Joomla CMS: Page principale

Joomla CMS 3.10.11 (avec JPlatform 13.1 inclus)
Documentation des API du CMS Joomla en version 3.10.11 et du framework Joomla Platform intégré
Joomla CMS Documentation

Service de documentation des API de Joomla

Capture de la documentation en ligne des API Joomla au format PHPdoc via Doxygen Retrouvez la documentation et les schémas d'héritage des classes du CMS et du Framework Joomla.

Utilisez le moteur de recherche en haut à droite si vous recherchez une classe particulière
ou accèdez directement aux informations suivantes :

Listes des API par types :

Index des Classes PHP Joomla
Schémas d'héritage des Classes PHP Joomla
Membres des Classes PHP Joomla (méthodes et propriétés)
Recherche des Classes PHP Joomla via la liste des fichiers PHP

Retrouvez les autres API de Joomla au format HTML et CHM sur le site api.joomla.fr

Autres sites de l'AFUJ et de la communauté Joomla!

Association AFUJ (Association Francophone des Utilisateurs de Joomla)

  • forum.joomla.fr Développeurs : Forum d'aide des développeurs Joomla Francophone
  • www.joomla.fr : Portail Joomla france
  • www.afuj.fr : Side des adhérents de l'AFUJ
  • Wiki docs.joomla.org (FR) : site d'information des développeurs Joomla Francophone
Ce site d'API et les autres services présents sont édités par l'AFUJ (Association Francophone des Utilisateurs de Joomla).
Le nom Joomla!® est utilisé sous license limitée de Open Source Matters, le propriétaire mondial de la marque de commerce.
AFUJ.fr n'est ni affilié à Open Source Matters ou au projet Joomla!® ni approuvé par eux.

  • Documentation et API générés le 26/09/2022 par l'équipe www.joomla.fr de l'AFUJ avec la solution doxygen


Joomla CMS: Liste des éléments obsolètes

Liste des éléments obsolètes
Classe AbstractCliApplication
2.0 Use the joomla/console package instead
Classe AbstractDaemonApplication
2.0 Deprecated without replacement
Classe AbstractRegistryFormat
2.0 Format objects should directly implement the FormatInterface
Global(e) AbstractRegistryFormat::getInstance ($type, array $options=array())
2.0 Use Factory::getFormat() instead
Classe Access
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::check ($userId, $action, $asset=null)
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::checkGroup ($groupId, $action, $asset=null)
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::clearStatics ()
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::getActions ($component, $section='component')
4.0 Use Access::getActionsFromFile or Access::getActionsFromData instead.
Global(e) Access::getActions ($component, $section='component')
4.0 Use StaticAccess::getActionsFromFile or StaticAccess::getActionsFromData instead.
Global(e) Access::getActionsFromData ($data, $xpath='/access/section[=\ 'component\']/')
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::getActionsFromFile ($file, $xpath='/access/section[=\ 'component\']/')
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::getAssetRules ($asset, $recursive=false)
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::getAuthorisedViewLevels ($userId)
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::getGroupsByUser ($userId, $recursive=true)
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::getUsersByGroup ($groupId, $recursive=false)
4.0 Use Joomla\CMS\Access\Access directly
Global(e) Access::preloadPermissionsParentIdMapping ($assetType)
3.7.0 No replacement. Will be removed in 4.0.
Classe ActionlogsHelperPhp55
Will be inlined back into ActionlogsHelper when PHP 5.5 or newer is the minimum supported PHP version
Classe Adapter
5.0 Will be removed without replacement
Classe AdapterInstance
5.0 Will be removed without replacement
Global(e) AdminModel::editAssociations ($data)
5.0 It is handled by regular save method now.
Global(e) AdminViewSysinfo::_setSubMenu ()
4.0 To be removed with Hathor
Classe Apc
2.0 The Storage class chain will be removed.
Global(e) Apc::__construct ($options=array())
2.0
Global(e) Apc::destroy ($id)
2.0
Global(e) Apc::isSupported ()
2.0
Global(e) Apc::read ($id)
2.0
Global(e) Apc::write ($id, $sessionData)
2.0
Classe ApcStorage
4.0 Use the APCu handler instead
Classe Apcu
2.0 The Storage class chain will be removed.
Global(e) ApplicationHelper::parseXMLInstallFile ($path)
4.0 Use ::parseXMLInstallFile instead.
Global(e) ApplicationHelper::parseXMLLangMetaFile ($path)
4.0 Use ::parseXMLInstallFile instead.
Classe Backgroundfill
The joomla/image package is deprecated
Global(e) bannersBuildRoute (&$query)
4.0 Use Class based routers instead
Global(e) bannersParseRoute ($segments)
4.0 Use Class based routers instead
Global(e) BaseApplication::doExecute ()
4.0 The default concrete implementation of doExecute() will be removed, subclasses will need to provide their own implementation.
Global(e) BaseController::authorise ($task)
3.0 Use instead.
Classe BlowfishCipher
4.0 Without replacement use SodiumCipher
Classe Brightness
The joomla/image package is deprecated
Global(e) Browser::isSSLConnection ()
4.0 - Use the isSSLConnection method on the application object.
Global(e) CacheController::get ($id, $group=null)
4.0 Implement own method in subclass
Global(e) CacheController::store ($data, $id, $group=null, $wrkarounds=true)
4.0 Implement own method in subclass
Global(e) CacheHelper::getClientOptions ()
4.0 No replacement.
Classe CacheliteStorage
4.0 Deprecated without replacement
Global(e) CacheModelCache::getClient ()
4.0 No replacement.
Global(e) CacheStorage::test ()
4.0
Global(e) CallbackController::call ()
4.0
Global(e) CategoriesControllerCategories::saveorder ()
4.0
Global(e) CategoriesHelper::getActions ($extension, $categoryId=0)
3.2 Use JHelperContent::getActions() instead
Classe Cli
5.0 Use Joomla instead
Classe Cli
2.0 Use a Symfony implementation when using the joomla/console package
Global(e) Cli::__construct (array $source=null, array $options=array())
5.0 Use Joomla instead
Global(e) Cli::parseArguments ()
5.0 Use Joomla instead
Global(e) Cli::serialize ()
5.0 Use Joomla instead
Global(e) Cli::unserialize ($input)
5.0 Use Joomla instead
Classe ClientWrapper
4.0 Will be removed without replacement
Classe CliInput
2.0 Use the joomla/console package instead
Classe CliOutput
2.0 Use the joomla/console package instead
Global(e) CMSApplication::getCfg ($varname, $default=null)
5.0 Use get() instead
Global(e) CMSApplication::isAdmin ()
4.0 Use isClient('administrator') instead.
Global(e) CMSApplication::isSite ()
4.0 Use isClient('site') instead.
Classe CMSObject
4.0
Global(e) CMSObject::__toString ()
12.3 Classes should provide their own __toString() implementation.
Global(e) CMSObject::getError ($i=null, $toString=true)
12.3 JError has been deprecated
Global(e) CMSObject::getErrors ()
12.3 JError has been deprecated
Global(e) CMSObject::setError ($error)
12.3 JError has been deprecated
Classe ColorProcessor
2.0 Use the joomla/console package instead
Classe ColorProcessor
2.0 Use the joomla/console package instead
Classe ColorStyle
2.0 Use the joomla/console package instead
Classe Component
4.0 Use Joomla
Global(e) Component::__construct ($title, $element, $link, $target=null, $class=null, $id=null, $icon=null)
4.0 Use Joomla
Global(e) Component::get ($name)
4.0 Use Joomla
Global(e) ComponentHelper::_load ($option)
4.0 Use JComponentHelper::load() instead
Global(e) ComponentRecord::__get ($name)
4.0 Access the item parameters through the getParams() method
Global(e) ComponentRecord::__set ($name, $value)
4.0 Set the item parameters through the setParams() method
Classe ConfigControllerApplication
4.0
Global(e) ConfigControllerApplication::__construct ($config=array())
4.0
Global(e) ConfigControllerApplication::cancel ()
4.0 Use ConfigControllerApplicationCancel instead.
Global(e) ConfigControllerApplication::removeroot ()
4.0 Use ConfigControllerApplicationRemoveroot instead.
Global(e) ConfigControllerApplication::save ()
4.0 Use ConfigControllerApplicationSave instead.
Classe ConfigControllerComponent
4.0
Global(e) ConfigControllerComponent::__construct ($config=array())
4.0
Global(e) ConfigControllerComponent::cancel ()
4.0 Use ConfigControllerComponentCancel instead.
Global(e) ConfigControllerComponent::save ()
4.0 Use ConfigControllerComponentSave instead.
Global(e) ContactBuildRoute (&$query)
4.0 Use Class based routers instead
Global(e) ContactModelContact::getContactQuery ($pk=null)
4.0 Use ContactModelContact::getItem() instead
Global(e) ContactParseRoute ($segments)
4.0 Use Class based routers instead
Classe ContactRouterRulesLegacy
4.0
Global(e) ContactRouterRulesLegacy::__construct ($router)
4.0
Global(e) ContactRouterRulesLegacy::build (&$query, &$segments)
4.0
Global(e) ContactRouterRulesLegacy::parse (&$segments, &$vars)
4.0
Global(e) ContactRouterRulesLegacy::preprocess (&$query)
4.0
Classe Container
4.0 Use Joomla
Global(e) Container::exists ($key)
3.0 Use ContainerInterface::has() instead
Global(e) ContainerAwareInterface::getContainer ()
2.0 The getter will no longer be part of the interface.
Classe Content
3.1.4 Class will be removed upon completion of transition to UCM
Global(e) Content::__construct ( $db)
3.1.4 Class will be removed upon completion of transition to UCM
Global(e) Content::_getAssetName ()
3.1.4 Class will be removed upon completion of transition to UCM
Global(e) Content::_getAssetParentId (Table $table=null, $id=null)
3.1.4 Class will be removed upon completion of transition to UCM
Global(e) Content::_getAssetTitle ()
3.1.4 Class will be removed upon completion of transition to UCM
Global(e) Content::bind ($array, $ignore='')
3.1.4 Class will be removed upon completion of transition to UCM
Global(e) Content::check ()
3.1.4 Class will be removed upon completion of transition to UCM
Global(e) Content::getDefaultAssetValues ($component)
3.4 Class will be removed upon completion of transition to UCM
Global(e) Content::store ($updateNulls=false)
3.1.4 Class will be removed upon completion of transition to UCM
Global(e) contentBuildRoute (&$query)
4.0 Use Class based routers instead
Global(e) ContentHelper::_getActions ($categoryId=0, $id=0, $assetName='')
3.2 Use ContentHelper::getActions() instead
Global(e) ContentHelper::filterText ($text)
4.0 Use JComponentHelper::filterText() instead.
Global(e) ContentHelperQuery::orderDownColumns (&$articles, $numColumns=1)
4.0
Classe ContentHistoryHelper
4.0 Deprecated in favour of in Joomla 4
Global(e) ContentHistoryHelper::__construct ($typeAlias=null)
4.0
Global(e) ContentHistoryHelper::deleteHistory ($table)
4.0 Use ::delete in Joomla 4
Global(e) ContentHistoryHelper::getHistory ($typeId, $id)
4.0 Use ::get in Joomla 4
Global(e) ContentHistoryHelper::store ($table)
4.0 Use ::store in Joomla 4
Global(e) ContentModelArticles::getAuthors ()
4.0 To be removed with Hathor
Global(e) contentParseRoute ($segments)
4.0 Use Class based routers instead
Classe ContentRouterRulesLegacy
4.0
Global(e) ContentRouterRulesLegacy::__construct ($router)
4.0
Global(e) ContentRouterRulesLegacy::build (&$query, &$segments)
4.0
Global(e) ContentRouterRulesLegacy::parse (&$segments, &$vars)
4.0
Global(e) ContentRouterRulesLegacy::preprocess (&$query)
4.0
Global(e) ContentViewCategory::display ($tpl=null)
4.0
Global(e) ContentViewFeatured::$columns
4.0
Classe Contrast
The joomla/image package is deprecated
Classe Cookie
5.0 Use Joomla instead
Global(e) Cookie::__construct (array $source=null, array $options=array())
5.0 Use Joomla instead
Global(e) Cookie::set ($name, $value, $expire=0, $path='', $domain='', $secure=false, $httpOnly=false)
5.0 Use Joomla instead
Global(e) Crypt::hasStrongPasswordSupport ()
4.0
Classe CryptoCipher
5.0 Without replacement use SodiumCipher
Classe CryptPassword
4.0 Use PHP 5.5's native password hashing API
Global(e) CryptPassword::create ($password, $type=null)
4.0 Use PHP 5.5's native password hashing API
Global(e) CryptPassword::getDefaultType ()
4.0 Use PHP 5.5's native password hashing API
Global(e) CryptPassword::setDefaultType ($type)
4.0 Use PHP 5.5's native password hashing API
Global(e) CryptPassword::verify ($password, $hash)
4.0 Use PHP 5.5's native password hashing API
Classe Database
2.0 The Storage class chain will be removed
Global(e) Database::__construct ($options=array())
2.0
Global(e) Database::destroy ($id)
2.0
Global(e) Database::gc ($lifetime=1440)
2.0
Global(e) Database::read ($id)
2.0
Global(e) Database::write ($id, $data)
2.0
Classe DelegatingDispatcher
2.0 Create your own delegating (decorating) dispatcher as needed.
Global(e) Dispatcher::setListenerFilter ($regex)
1.1.0 Incorporate a method in your listener object such as getEvents to feed into the setListener method.
Global(e) Document::addScript ($url, $options=array(), $attribs=array())
4.0 The (url, mime, defer, async) method signature is deprecated, use (url, options, attributes) instead.
Global(e) Document::addScriptVersion ($url, $options=array(), $attribs=array())
4.0 This method is deprecated, use addScript(url, options, attributes) instead.
Global(e) Document::addStyleSheet ($url, $options=array(), $attribs=array())
4.0 The (url, mime, media, attribs) method signature is deprecated, use (url, options, attributes) instead.
Global(e) Document::addStyleSheetVersion ($url, $options=array(), $attribs=array())
4.0 This method is deprecated, use addStyleSheet(url, options, attributes) instead.
Classe Edgedetect
The joomla/image package is deprecated
Global(e) Editor::getContent ($editor)
4.0 Use Joomla.editors API, see core.js
Global(e) Editor::initialise ()
4.0 This function will not load any custom tag from 4.0 forward, use JHtml::script
Global(e) Editor::save ($editor)
4.0 Bind functionality to form submit through javascript
Global(e) Editor::setContent ($editor, $html)
4.0 Use Joomla.editors API, see core.js
Global(e) EditorField::save ()
4.0 Will be removed without replacement
Classe Emboss
The joomla/image package is deprecated
Classe ExtensionHelper
4.0 Replace class with a non static methods for better testing
Global(e) Factory::getAcl ()
4.0 - Use JAccess directly.
Global(e) Factory::getEditor ($editor=null)
4.0 - Use Editor directly
Global(e) Factory::getFeedParser ($url, $cacheTime=0)
4.0 Use directly JFeedFactory or supply SimplePie instead. Mehod will be proxied to JFeedFactory beginning in 3.2
Global(e) Factory::getUri ($uri='SERVER')
4.0 - Use JUri directly.
Global(e) Factory::getXml ($data, $isFile=true)
4.0 - Use SimpleXML directly.
Global(e) File::getName ($file)
4.0 - Use basename() instead.
Global(e) File::read ($filename, $incpath=false, $amount=0, $chunksize=8192, $offset=0)
4.0 - Use the native file_get_contents() instead.
Global(e) FileLayout::refreshIncludePaths ()
3.5 Use FileLayout::clearIncludePaths()
Global(e) FileLayout::setLayout ($layoutId)
3.5 Use setLayoutId()
Classe Files
5.0 Use Joomla instead
Global(e) Files::__construct (array $source=null, array $options=array())
5.0 Use Joomla instead
Global(e) Files::decodeData (array $data)
5.0 Use Joomla instead
Global(e) Files::get ($name, $default=null, $filter='cmd')
5.0 Use Joomla instead
Global(e) Files::set ($name, $value)
5.0 Use Joomla instead
Classe FileWrapper
4.0 Use instead
Global(e) FileWrapper::copy ($src, $dest, $path=null, $useStreams=false)
4.0 Use instead
Global(e) FileWrapper::delete ($file)
4.0 Use instead
Global(e) FileWrapper::exists ($file)
4.0 Use instead
Global(e) FileWrapper::getExt ($file)
4.0 Use instead
Global(e) FileWrapper::getName ($file)
4.0 Use instead
Global(e) FileWrapper::makeSafe ($file)
4.0 Use instead
Global(e) FileWrapper::move ($src, $dest, $path='', $useStreams=false)
4.0 Use instead
Global(e) FileWrapper::read ($filename, $incpath=false, $amount=0, $chunksize=8192, $offset=0)
4.0 Use instead
Global(e) FileWrapper::stripExt ($file)
4.0 Use instead
Global(e) FileWrapper::upload ($src, $dest, $useStreams=false)
4.0 Use instead
Global(e) FileWrapper::write ($file, &$buffer, $useStreams=false)
4.0 Use instead
Global(e) FinderBuildRoute (&$query)
4.0 Use Class based routers instead
Global(e) FinderHelper::getActions ()
3.2 Use JHelperContent::getActions() instead
Global(e) FinderIndexerHelper::getContentPath ($url)
4.0
Global(e) FinderParseRoute ($segments)
4.0 Use Class based routers instead
Global(e) FOFController::_createView ($name, $prefix='', $type='', $config=array())
since version 2.0
Global(e) FOFController::accesspublic ()
since 2.0
Global(e) FOFController::accessregistered ()
since 2.0
Global(e) FOFController::accessspecial ()
since 2.0
Global(e) FOFController::authorise ($task)
2.0 Use JAccess instead.
Classe FOFDatabase
13.3 (Platform) & 4.0 (CMS)
Global(e) FOFDatabase::getConnectors ()
13.1 (Platform) & 4.0 (CMS)
Global(e) FOFDatabase::getErrorMsg ($escaped=false)
13.3 (Platform) & 4.0 (CMS)
Global(e) FOFDatabase::getErrorNum ()
13.3 (Platform) & 4.0 (CMS)
Global(e) FOFDatabase::getInstance ($options=array())
13.1 (Platform) & 4.0 (CMS)
Global(e) FOFDatabase::query ()
13.1 (Platform) & 4.0 (CMS)
Global(e) FOFDatabase::splitSql ($query)
13.1 (Platform) & 4.0 (CMS)
Global(e) FOFDatabase::stderr ($showSQL=false)
13.3 (Platform) & 4.0 (CMS)
Global(e) FOFDatabase::test ()
12.3 (Platform) & 4.0 (CMS) - Use FOFDatabaseDriver::isSupported() instead.
Global(e) FOFDatabaseDriver::getUTFSupport ()
12.3 (Platform) & 4.0 (CMS) - Use hasUTFSupport() instead
Global(e) FOFDatabaseDriver::loadNextObject ($class='stdClass')
12.3 (Platform) & 4.0 (CMS) - Use getIterator() instead
Global(e) FOFDatabaseDriver::loadNextRow ()
4.0 (CMS) Use FOFDatabaseDriver::getIterator() instead
Global(e) FOFDatabaseDriverJoomla::getErrorNum ()
13.3 (Platform) & 4.0 (CMS)
Classe FOFDatabaseDriverMysql
Will be removed when the minimum supported PHP version no longer includes the deprecated PHP mysql extension
Global(e) FOFDatabaseDriverPdo::loadNextObject ($class='stdClass')
4.0 (CMS) Use getIterator() instead
Global(e) FOFDatabaseDriverPdo::loadNextRow ()
4.0 (CMS) Use getIterator() instead
Classe FOFDatabaseQueryMysql
Will be removed when the minimum supported PHP version no longer includes the deprecated PHP mysql extension
Global(e) FOFInput::setVar ($name, $value=null, &$input=array(), $overwrite=true)
Global(e) FOFLess::parse ($str=null, $initialVariables=null)
2.0
Global(e) FOFPlatformInterface::checkVersion ($version1, $version2, $operator)
Use PHP's version_compare against JVERSION in your code. This method is scheduled for removal in FOF 3.0
Global(e) FOFTable::getFields ()
2.1
Classe FOFUtilsObject
2.1
Global(e) FOFView::assign ()
13.3 Use native PHP syntax.
Global(e) FOFView::assignRef ($key, &$val)
13.3 Use native PHP syntax.
Global(e) FOFView::setEscape ($spec)
2.1 Override FOFView::escape() instead.
Classe FolderWrapper
4.0 Use instead
Global(e) FolderWrapper::copy ($src, $dest, $path='', $force=false, $useStreams=false)
4.0 Use instead
Global(e) FolderWrapper::create ($path='', $mode=493)
4.0 Use instead
Global(e) FolderWrapper::delete ($path)
4.0 Use instead
Global(e) FolderWrapper::exists ($path)
4.0 Use instead
Global(e) FolderWrapper::files ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^..*', '.*~'), $naturalSort=false)
4.0 Use instead
Global(e) FolderWrapper::folders ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^..*'))
4.0 Use instead
Global(e) FolderWrapper::listFolderTree ($path, $filter, $maxLevel=3, $level=0, $parent=0)
4.0 Use instead
Global(e) FolderWrapper::makeSafe ($path)
4.0 Use instead
Global(e) FolderWrapper::move ($src, $dest, $path='', $useStreams=false)
4.0 Use instead
Global(e) Form::getControlGroup ($name, $group=null, $default=null)
3.2.3 Use renderField() instead of getControlGroup
Global(e) Form::getControlGroups ($name)
3.2.3 Use renderFieldset() instead of getControlGroups
Global(e) Form::loadFieldType ($type, $new=true)
4.0 Use FormHelper::loadFieldType() directly
Global(e) Form::loadRuleType ($type, $new=true)
4.0 Use FormHelper::loadRuleType() directly
Global(e) FormController::editAssociations ()
5.0 It is handled by regular save method now.
Global(e) FormField::getControlGroup ()
3.2.3 Use renderField() instead
Classe FormWrapper
4.0 Use Joomla\CMS\Form\FormHelper directly
Global(e) FormWrapper::addFieldPath ($new=null)
4.0 Use Joomla\CMS\Form\FormHelper directly
Global(e) FormWrapper::addFormPath ($new=null)
4.0 Use Joomla\CMS\Form\FormHelper directly
Global(e) FormWrapper::addRulePath ($new=null)
4.0 Use Joomla\CMS\Form\FormHelper directly
Global(e) FormWrapper::loadFieldClass ($type)
4.0 Use Joomla\CMS\Form\FormHelper directly
Global(e) FormWrapper::loadFieldType ($type, $new=true)
4.0 Use Joomla\CMS\Form\FormHelper directly
Global(e) FormWrapper::loadRuleClass ($type)
4.0 Use Joomla\CMS\Form\FormHelper directly
Global(e) FormWrapper::loadRuleType ($type, $new=true)
4.0 Use Joomla\CMS\Form\FormHelper directly
Espace de nommage FrameworkOnFramework

4.0 Deprecated without replacement include FOF by your own if required

2.1

Classe Grayscale
The joomla/image package is deprecated
Classe Heading
4.0 Use Joomla
Global(e) Heading::__construct ($title, $class=null, $id=null, $icon=null)
4.0 Use Joomla
Global(e) Heading::get ($name)
4.0 Use Joomla
Global(e) HeadRenderer::fetchHead ($document)
4.0 Method code will be moved into the render method
Classe HelpsiteField
4.0 To be removed
Global(e) HTMLHelper::getJSObject (array $array=array())
4.0 Use json_encode() or ‘Joomla::toString('json’)` instead
Global(e) HTMLHelper::getMd5Version ($path)
4.0 Usage of MD5SUM files is deprecated, use version instead.
Global(e) HTMLHelper::script ($file, $options=array(), $attribs=array())
4.0 The (file, framework, relative, pathOnly, detectBrowser, detectDebug) method signature is deprecated, use (file, options, attributes) instead.
Global(e) HTMLHelper::stylesheet ($file, $options=array(), $attribs=array())
4.0 The (file, attribs, relative, pathOnly, detectBrowser, detectDebug) method signature is deprecated, use (file, options, attributes) instead.
Global(e) HtmlView::assign ()
3.0 Use native PHP syntax.
Global(e) HtmlView::assignRef ($key, &$val)
3.0 Use native PHP syntax.
Global(e) HtmlView::setEscape ($spec)
3.0 Override ::escape() instead.
Classe Image
The joomla/image package is deprecated
Classe ImageFilter
The joomla/image package is deprecated
Global(e) Input::__construct ($source=null, array $options=array())
5.0 Use Joomla instead
Global(e) Input::__get ($name)
5.0 Use Joomla instead
Global(e) Input::getArray (array $vars=array(), $datasource=null, $defaultFilter='unknown')
5.0 Use Joomla instead
Global(e) Input::getArrayRecursive (array $vars=array(), $datasource=null, $defaultFilter='unknown', $recursion=false)
5.0 Use Joomla instead
Global(e) Input::unserialize ($input)
5.0 Use Joomla instead
Global(e) InputFilter::_cleanAttributes ($attrSet)
4.0 Use InputFilter::cleanAttributes() instead
Global(e) InputFilter::_cleanTags ($source)
4.0 Use InputFilter::cleanTags() instead
Global(e) InputFilter::_decode ($source)
4.0 Use InputFilter::decode() instead
Global(e) InputFilter::_escapeAttributeValues ($source)
4.0 Use InputFilter::escapeAttributeValues() instead
Global(e) InputFilter::_remove ($source)
4.0 Use InputFilter::remove() instead
Global(e) InputFilter::_stripCSSExpressions ($source)
4.0 Use InputFilter::stripCSSExpressions() instead
Global(e) InputFilter::decode ($source)
This method will be removed once support for PHP 5.3 is discontinued.
Global(e) InstalledVersions::getRawData ()
Use getAllRawData() instead which returns all datasets for all autoloaders present in the process. getRawData only returns the first dataset loaded, which may not be what you expect.
Global(e) Installer::getAdapter ($name, $options=array())
4.0 The internal adapter cache will no longer be supported, use loadAdapter() to fetch an adapter instance
Global(e) Installer::loadAllAdapters ($options=array())
4.0 Individual adapters should be instantiated as needed
Global(e) InstallerHelper::getActions ()
3.2 Use JHelperContent::getActions() instead
Global(e) InstallerHelper::splitSql ($query)
4.0 Use ::splitSql() directly
Global(e) JAdminCssMenu::getTree ()
4.0
Global(e) JAdminCssMenu::populateTree ($levels)
4.0
Classe JAdministratorHelper
4.0 Deprecated without replacement
Classe JApplication
3.2 Use CMSApplication instead unless specified otherwise
Global(e) JApplication::__construct ($config=array())
3.2
Global(e) JApplication::__toString ()
3.2
Global(e) JApplication::_createConfiguration ($file)
3.2
Global(e) JApplication::_createSession ($name)
3.2
Global(e) JApplication::afterSessionStart ()
3.2
Global(e) JApplication::checkSession ()
3.2
Global(e) JApplication::dispatch ($component=null)
3.2
Global(e) JApplication::enqueueMessage ($msg, $type='message')
3.2
Global(e) JApplication::getCfg ($varname, $default=null)
3.2
Global(e) JApplication::getClientId ()
3.2
Global(e) JApplication::getHash ($seed)
3.2 Use JApplicationHelper::getHash instead
Global(e) JApplication::getInstance ($client, $config=array(), $prefix='J')
3.2 Use JApplicationCms::getInstance() instead
Global(e) JApplication::getMenu ($name=null, $options=array())
3.2
Global(e) JApplication::getMessageQueue ()
3.2
Global(e) JApplication::getName ()
3.2
Global(e) JApplication::getPathway ($name=null, $options=array())
3.2
Global(e) JApplication::getRouter ($name=null, array $options=array())
3.2
Global(e) JApplication::getTemplate ($params=false)
3.2
Global(e) JApplication::getUserState ($key, $default=null)
3.2
Global(e) JApplication::getUserStateFromRequest ($key, $request, $default=null, $type='none')
3.2
Global(e) JApplication::initialise ($options=array())
3.2
Global(e) JApplication::isAdmin ()
3.2
Global(e) JApplication::isSite ()
3.2
Global(e) JApplication::isSSLConnection ()
3.2
Global(e) JApplication::isWinOs ()
4.0 Use the IS_WIN constant instead.
Global(e) JApplication::login ($credentials, $options=array())
3.2
Global(e) JApplication::logout ($userid=null, $options=array())
3.2
Global(e) JApplication::redirect ($url, $msg='', $msgType='message', $moved=false)
3.2
Global(e) JApplication::render ()
3.2
Global(e) JApplication::route ()
3.2
Global(e) JApplication::setUserState ($key, $value)
3.2
Global(e) JApplication::stringURLSafe ($string)
3.2 Use JApplicationHelper::stringURLSafe instead
Classe JApplicationWebRouter
4.0 Use the joomla/router package via Composer instead
Classe JApplicationWebRouterBase
4.0 Use the joomla/router package via Composer instead
Classe JApplicationWebRouterRest
4.0 Use the joomla/router package via Composer instead
Classe JArchive
4.0 use the Joomla class instead
Global(e) JArchive::extract ($archivename, $extractdir)
4.0 use the Joomla class instead
Global(e) JArchive::getAdapter ($type)
4.0 use the Joomla class instead
Classe JArchiveBzip2
4.0 use the Joomla class instead
Classe JArchiveExtractable
4.0 use the Joomla interface instead
Classe JArchiveGzip
4.0 use the Joomla class instead
Classe JArchiveTar
4.0 use the Joomla class instead
Global(e) JArchiveWrapperArchive::extract ($archivename, $extractdir)
4.0 use the Joomla class instead
Global(e) JArchiveWrapperArchive::getAdapter ($type)
4.0 use the Joomla class instead
Classe JArchiveZip
4.0 use the Joomla class instead
Classe JArrayHelper
4.0 Use Joomla instead
Global(e) JArrayHelper::arrayUnique ($myArray)
4.0 Use Joomla::arrayUnique instead
Global(e) JArrayHelper::fromObject ($object, $recurse=true, $regex=null)
4.0 Use Joomla::fromObject instead
Global(e) JArrayHelper::getColumn (&$array, $index)
4.0 Use Joomla::getColumn instead
Global(e) JArrayHelper::getValue (&$array, $name, $default=null, $type='')
4.0 Use Joomla::getValue instead
Global(e) JArrayHelper::invert ($array)
4.0 Use Joomla::invert instead
Global(e) JArrayHelper::isAssociative ($array)
4.0 Use Joomla::isAssociative instead
Global(e) JArrayHelper::pivot ($source, $key=null)
4.0 Use Joomla::pivot instead
Global(e) JArrayHelper::sortObjects (&$a, $k, $direction=1, $caseSensitive=true, $locale=false)
4.0 Use Joomla::sortObjects instead
Global(e) JArrayHelper::toInteger (&$array, $default=null)
4.0 Use Joomla::toInteger instead
Global(e) JArrayHelper::toObject (&$array, $class='stdClass', $recursive=true)
4.0 Use Joomla::toObject instead
Global(e) JArrayHelper::toString ($array=null, $innerGlue='=', $outerGlue=' ', $keepOuterKey=false)
4.0 Use Joomla::toString instead
Classe JController
4.0 Use the default MVC library
Classe JControllerBase
4.0 Use the default MVC library
Classe JDatabase
4.0
Global(e) JDatabase::getConnectors ()
4.0
Global(e) JDatabase::getErrorMsg ($escaped=false)
4.0
Global(e) JDatabase::getErrorNum ()
4.0
Global(e) JDatabase::getInstance ($options=array())
4.0
Global(e) JDatabase::query ()
4.0
Global(e) JDatabase::splitSql ($query)
4.0
Global(e) JDatabase::stderr ($showSQL=false)
4.0
Global(e) JDatabase::test ()
4.0 - Use JDatabaseDriver::isSupported() instead.
Global(e) JDatabaseDriver::getUTFSupport ()
4.0 - Use hasUTFSupport() instead
Global(e) JDatabaseDriver::loadNextObject ($class='stdClass')
4.0 - Use getIterator() instead
Global(e) JDatabaseDriver::loadNextRow ()
4.0 (CMS) Use JDatabaseDriver::getIterator() instead
Global(e) JDatabaseDriver::setDebug ($level)
4.0 This will be removed in Joomla 4 without replacement
Classe JDatabaseDriverMysql
4.0 Use MySQLi or PDO MySQL instead
Global(e) JDatabaseDriverPdo::loadNextObject ($class='stdClass')
4.0 (CMS) Use getIterator() instead
Global(e) JDatabaseDriverPdo::loadNextRow ()
4.0 (CMS) Use getIterator() instead
Classe JDatabaseDriverPostgresql
4.0 Use PDO PostgreSQL instead
Classe JDatabaseException
2.5.5
Classe JDatabaseExporterMysql
4.0 Use MySQLi or PDO MySQL instead
Classe JDatabaseImporterMysql
4.0 Use MySQLi or PDO MySQL instead
Classe JDatabaseImporterPostgresql
4.0 Use PDO PostgreSQL instead
Classe JDatabaseIteratorMysql
4.0 Use MySQLi or PDO MySQL instead
Classe JDatabaseIteratorPostgresql
4.0 Use PDO PostgreSQL instead
Classe JDatabaseMysql
3.0 Use JDatabaseDriverMysql instead.
Classe JDatabaseMysqli
3.0 Use JDatabaseDriverMysqli instead.
Global(e) JDatabaseQuery::unionDistinct ($query, $glue='')
4.0 Use union() instead.
Classe JDatabaseQueryMysql
4.0 Use MySQLi or PDO MySQL instead
Classe JDatabaseQueryPostgresql
4.0 Use PDO PostgreSQL instead
Classe JDatabaseSqlazure
3.0 Use JDatabaseDriverSqlazure instead.
Classe JDatabaseSqlsrv
3.0 Use JDatabaseDriverSqlsrv instead.
Classe JDispatcher
3.0
Classe JError
4.0 Will be removed without replacement
Global(e) JError::addToStack (JException $e)
4.0
Global(e) JError::attachHandler ()
4.0
Global(e) JError::customErrorHandler ($level, $msg)
4.0 Throw an Exception or enqueue the message to the application, eg. ::getApplication()->enqueueMessage($msg)
Global(e) JError::customErrorPage ($error)
4.0 Use ::render() instead
Global(e) JError::detachHandler ()
4.0
Global(e) JError::getError ($unset=false)
4.0
Global(e) JError::getErrorHandling ($level)
4.0
Global(e) JError::getErrors ()
4.0
Global(e) JError::handleCallback (&$error, $options)
4.0
Global(e) JError::handleDie (&$error, $options)
4.0
Global(e) JError::handleEcho (&$error, $options)
4.0
Global(e) JError::handleIgnore (&$error, $options)
4.0
Global(e) JError::handleLog (&$error, $options)
4.0
Global(e) JError::handleMessage (&$error, $options)
4.0
Global(e) JError::handleVerbose (&$error, $options)
4.0
Global(e) JError::isError ($object)
4.0
Global(e) JError::raise ($level, $code, $msg, $info=null, $backtrace=false)
4.0
Global(e) JError::raiseError ($code, $msg, $info=null)
4.0 Just throw an Exception
Global(e) JError::raiseNotice ($code, $msg, $info=null)
4.0 Use ::getApplication()->enqueueMessage($msg, 'notice') when wou want to notify the UI
Global(e) JError::raiseWarning ($code, $msg, $info=null)
4.0 Use ::getApplication()->enqueueMessage($msg, 'warning') when wou want to notify the UI
Global(e) JError::registerErrorLevel ($level, $name, $handler='ignore')
4.0
Global(e) JError::renderBacktrace ($error)
4.0 Use JLayoutHelper::render('joomla.error.backtrace', array('backtrace' => $error->getTrace())) instead
Global(e) JError::setErrorHandling ($level, $mode, $options=null)
4.0
Global(e) JError::throwError (&$exception)
4.0 Just throw an Exception
Global(e) JError::translateErrorLevel ($level)
4.0
Classe JEvent
4.0 The CMS' Event classes will be replaced with the joomla/event package
Classe JEventDispatcher
4.0 The CMS' Event classes will be replaced with the joomla/event package
Classe JException
1.7
Global(e) JException::__construct ($msg, $code=0, $level=null, $info=null, $backtrace=false)
1.7
Global(e) JException::__toString ()
1.7
Global(e) JException::get ($property, $default=null)
1.7
Global(e) JException::getError ($i=null, $toString=true)
1.7
Global(e) JException::getErrors ()
1.7
Global(e) JException::getProperties ($public=true)
1.7
Global(e) JException::set ($property, $value=null)
1.7
Global(e) JException::setError ($error)
1.7
Global(e) JException::setProperties ($properties)
1.7
Global(e) JException::toString ()
1.7
Classe JFacebook
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookAlbum
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookCheckin
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookComment
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookEvent
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookGroup
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookLink
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookNote
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookOAuth
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookObject
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookPhoto
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookPost
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookStatus
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookUser
4.0 Use the joomla/facebook package via Composer instead
Classe JFacebookVideo
4.0 Use the joomla/facebook package via Composer instead
Classe JFormFieldCategoryParent
4.0 Use categoryedit instead.
Classe JFormFieldDirectories
4.0 Use JFormFieldFolderlist
Classe JFormFieldRepeatable
4.0 Use JFormFieldSubform
Global(e) JFormFieldText::getSuggestions ()
4.0 Use getOptions instead
Classe JFormFieldUsergroup
3.5
Classe JGithubAccount
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubAccount::createAuthorisation (array $scopes=array(), $note='', $url='')
use authorization->create()
Global(e) JGithubAccount::deleteAuthorisation ($id)
use authorization->delete()
Global(e) JGithubAccount::editAuthorisation ($id, array $scopes=array(), array $addScopes=array(), array $removeScopes=array(), $note='', $url='')
use authorization->edit()
Global(e) JGithubAccount::getAuthorisation ($id)
use authorization->get()
Global(e) JGithubAccount::getAuthorisations ()
use authorization->getList()
Global(e) JGithubAccount::getRateLimit ()
use authorization->getRateLimit()
Classe JGithubCommits
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubCommits::create ($user, $repo, $message, $tree, array $parents=array())
use data->commits->create()
Global(e) JGithubCommits::createCommitComment ($user, $repo, $sha, $comment, $line, $filepath, $position)
use repositories->comments->create()
Global(e) JGithubCommits::deleteCommitComment ($user, $repo, $id)
use repositories->comments->delete()
Global(e) JGithubCommits::editCommitComment ($user, $repo, $id, $comment)
use repositories->comments->edit()
Global(e) JGithubCommits::getCommit ($user, $repo, $sha, $page=0, $limit=0)
use repositories->commits->get()
Global(e) JGithubCommits::getCommitComment ($user, $repo, $id)
use repositories->comments->get()
Global(e) JGithubCommits::getCommitComments ($user, $repo, $sha, $page=0, $limit=0)
use repositories->comments->getList()
Global(e) JGithubCommits::getDiff ($user, $repo, $base, $head)
use repositories->commits->compare()
Global(e) JGithubCommits::getList ($user, $repo, $page=0, $limit=0)
use repositories->commits->getList()
Global(e) JGithubCommits::getListComments ($user, $repo, $page=0, $limit=0)
use repositories->comments->getListRepository()
Classe JGithubForks
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubForks::create ($user, $repo, $org='')
use repositories->forks->create()
Global(e) JGithubForks::getList ($user, $repo, $page=0, $limit=0)
use repositories->forks->getList()
Classe JGithubHooks
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubHooks::create ($user, $repo, $name, array $config, array $events=array('push'), $active=true)
use repositories->hooks->create()
Global(e) JGithubHooks::delete ($user, $repo, $id)
use repositories->hooks->delete()
Global(e) JGithubHooks::edit ($user, $repo, $id, $name, array $config, array $events=array('push'), array $addEvents=array(), array $removeEvents=array(), $active=true)
use repositories->hooks->edit()
Global(e) JGithubHooks::get ($user, $repo, $id)
use repositories->hooks->get()
Global(e) JGithubHooks::getList ($user, $repo, $page=0, $limit=0)
use repositories->hooks->getList()
Global(e) JGithubHooks::test ($user, $repo, $id)
use repositories->hooks->test()
Classe JGithubHttp
4.0 Use the joomla/github package via Composer instead
Classe JGithubMeta
4.0 Use the joomla/github package via Composer instead
Classe JGithubMilestones
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubMilestones::create ($user, $repo, $title, $state=null, $description=null, $dueOn=null)
use issues->milestones->create()
Global(e) JGithubMilestones::delete ($user, $repo, $milestoneId)
use issues->milestones->delete()
Global(e) JGithubMilestones::edit ($user, $repo, $milestoneId, $title=null, $state=null, $description=null, $dueOn=null)
use issues->milestones->edit()
Global(e) JGithubMilestones::get ($user, $repo, $milestoneId)
use issues->milestones->get()
Global(e) JGithubMilestones::getList ($user, $repo, $state='open', $sort='due_date', $direction='desc', $page=0, $limit=0)
use issues->milestones->getList()
Classe JGithubObject
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackage
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageActivityEvents
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageActivityNotifications
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageActivityStarring
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageActivityWatching
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageAuthorization
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageData
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageDataBlobs
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageDataCommits
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageDataRefs
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageDataTags
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageDataTrees
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubPackageGists::createComment ($gistId, $body)
use gists->comments->create()
Global(e) JGithubPackageGists::deleteComment ($commentId)
use gists->comments->delete()
Global(e) JGithubPackageGists::editComment ($commentId, $body)
use gists->comments->edit()
Global(e) JGithubPackageGists::getComment ($commentId)
use gists->comments->get()
Global(e) JGithubPackageGists::getComments ($gistId, $page=0, $limit=0)
use gists->comments->getList()
Classe JGithubPackageGistsComments
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageGitignore
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubPackageIssues::createComment ($user, $repo, $issueId, $body)
use issues->comments->create()
Global(e) JGithubPackageIssues::createLabel ($user, $repo, $name, $color)
use issues->labels->create()
Global(e) JGithubPackageIssues::deleteComment ($user, $repo, $commentId)
use issues->comments->delete()
Global(e) JGithubPackageIssues::deleteLabel ($user, $repo, $label)
use issues->labels->delete()
Global(e) JGithubPackageIssues::editComment ($user, $repo, $commentId, $body)
use issues->comments->edit()
Global(e) JGithubPackageIssues::editLabel ($user, $repo, $label, $name, $color)
use issues->labels->update()
Global(e) JGithubPackageIssues::getComment ($user, $repo, $commentId)
use issues->comments->get()
Global(e) JGithubPackageIssues::getComments ($user, $repo, $issueId, $page=0, $limit=0)
use issues->comments->getList()
Global(e) JGithubPackageIssues::getLabel ($user, $repo, $name)
use issues->labels->get()
Global(e) JGithubPackageIssues::getLabels ($user, $repo)
use issues->labels->getList()
Classe JGithubPackageIssuesAssignees
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageIssuesComments
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageIssuesEvents
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageIssuesLabels
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageIssuesMilestones
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageMarkdown
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageOrgsMembers
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageOrgsTeams
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubPackagePulls::createComment ($user, $repo, $pullId, $body, $commitId, $filePath, $position)
use pulls->comments->create()
Global(e) JGithubPackagePulls::createCommentReply ($user, $repo, $pullId, $body, $inReplyTo)
use pulls->comments->createReply()
Global(e) JGithubPackagePulls::deleteComment ($user, $repo, $commentId)
use pulls->comments->delete()
Global(e) JGithubPackagePulls::editComment ($user, $repo, $commentId, $body)
use pulls->comments->edit()
Global(e) JGithubPackagePulls::getComment ($user, $repo, $commentId)
use pulls->comments->get()
Global(e) JGithubPackagePulls::getComments ($user, $repo, $pullId, $page=0, $limit=0)
use pulls->comments->getList()
Classe JGithubPackagePullsComments
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesCollaborators
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesComments
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesCommits
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesContents
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesDownloads
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesForks
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesHooks
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesKeys
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesMerging
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesStatistics
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageRepositoriesStatuses
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageSearch
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageUsers
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubPackageUsers::getUser ($user)
use users->get()
Global(e) JGithubPackageUsers::getUsers ($since=0)
use users->getList()
Global(e) JGithubPackageUsers::updateUser ($name='', $email='', $blog='', $company='', $location='', $hireable='', $bio='')
use users->edit()
Classe JGithubPackageUsersEmails
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageUsersFollowers
4.0 Use the joomla/github package via Composer instead
Classe JGithubPackageUsersKeys
4.0 Use the joomla/github package via Composer instead
Classe JGithubRefs
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubRefs::create ($user, $repo, $ref, $sha)
use data->refs->create()
Global(e) JGithubRefs::edit ($user, $repo, $ref, $sha, $force=false)
use data->refs->edit()
Global(e) JGithubRefs::get ($user, $repo, $ref)
use data->refs->get()
Global(e) JGithubRefs::getList ($user, $repo, $namespace='', $page=0, $limit=0)
use data->refs->getList()
Classe JGithubStatuses
4.0 Use the joomla/github package via Composer instead
Global(e) JGithubStatuses::create ($user, $repo, $sha, $state, $targetUrl=null, $description=null)
use repositories->statuses->create()
Global(e) JGithubStatuses::getList ($user, $repo, $sha)
use repositories->statuses->getList()
Classe JGoogleAuth
4.0 Use the joomla/google package via Composer instead
Classe JGoogleAuthOauth2
4.0 Use the joomla/google package via Composer instead
Classe JGoogleData
4.0 Use the joomla/google package via Composer instead
Classe JGoogleDataAdsense
4.0 Use the joomla/google package via Composer instead
Classe JGoogleDataCalendar
4.0 Use the joomla/google package via Composer instead
Classe JGoogleDataPicasa
4.0 Use the joomla/google package via Composer instead
Classe JGoogleDataPicasaAlbum
4.0 Use the joomla/google package via Composer instead
Classe JGoogleDataPicasaPhoto
4.0 Use the joomla/google package via Composer instead
Classe JGoogleDataPlus
4.0 Use the joomla/google package via Composer instead
Classe JGoogleDataPlusActivities
4.0 Use the joomla/google package via Composer instead
Classe JGoogleDataPlusComments
4.0 Use the joomla/google package via Composer instead
Classe JGoogleDataPlusPeople
4.0 Use the joomla/google package via Composer instead
Classe JGoogleEmbed
4.0 Use the joomla/google package via Composer instead
Classe JGoogleEmbedAnalytics
4.0 Use the joomla/google package via Composer instead
Classe JGoogleEmbedMaps
4.0 Use the joomla/google package via Composer instead
Classe JGrid
4.0 This class will be removed without any replacement
Classe JHtmlBatch
4.0 Use JLayout directly
Global(e) JHtmlBatch::access ()
4.0 instead of JHtml::_('batch.access'); use JLayoutHelper::render('joomla.html.batch.access', array());
Global(e) JHtmlBatch::item ($extension)
4.0 instead of JHtml::_('batch.item'); use JLayoutHelper::render('joomla.html.batch.item', array('extension' => 'com_XXX'));
Global(e) JHtmlBatch::language ()
4.0 instead of JHtml::_('batch.language'); use JLayoutHelper::render('joomla.html.batch.language', array());
Global(e) JHtmlBatch::tag ()
4.0 instead of JHtml::_('batch.tag'); use JLayoutHelper::render('joomla.html.batch.tag', array());
Global(e) JHtmlBatch::user ($noUser=true)
4.0 instead of JHtml::_('batch.user'); use JLayoutHelper::render('joomla.html.batch.user', array());
Global(e) JHtmlBehavior::_getJSObject ($array=array())
4.0 - Use JHtml::getJSObject() instead.
Global(e) JHtmlBehavior::calendar ()
4.0
Global(e) JHtmlBehavior::colorpicker ()
4.0 Use directly the field or the layout
Global(e) JHtmlBehavior::framework ($extras=false, $debug=null)
4.0 Update scripts to jquery
Global(e) JHtmlBehavior::modal ($selector='a.modal', $params=array())
4.0 Use the modal equivalent from bootstrap
Global(e) JHtmlBehavior::noframes ()
4.0 Add a X-Frame-Options HTTP Header with the SAMEORIGIN value instead.
Global(e) JHtmlBehavior::simplecolorpicker ()
4.0 Use directly the field or the layout
Global(e) JHtmlBehavior::switcher ()
4.0 No replacement, only used in Hathor.
Global(e) JHtmlBehavior::tabstate ()
4.0 In Joomla 4 use the custom element joomla-tab.
Global(e) JHtmlBehavior::tooltip ($selector='.hasTip', $params=array())
4.0 Use JHtmlBootstrap::tooltip() instead.
Global(e) JHtmlBehavior::tree ($id, $params=array(), $root=array())
4.0 No replacement, not used since 3.0.
Global(e) JHtmlBootstrap::addPanel ($selector, $id)
4.0 Use JHtml::_('bootstrap.addTab') instead.
Global(e) JHtmlBootstrap::affix ($selector='affix', $params=array())
4.0 Bootstrap 4.0 dropped this so will Joomla.
Global(e) JHtmlBootstrap::endPane ()
4.0 Use JHtml::_('bootstrap.endTabSet') instead.
Global(e) JHtmlBootstrap::endPanel ()
4.0 Use JHtml::_('bootstrap.endTab') instead.
Global(e) JHtmlBootstrap::modal ($selector='modal', $params=array())
4.0 This method was used by the old renderModal() implementation. Since the new implementation it is unneeded and the broken JS it was injecting could create issues As a case, please see: https://github.com/joomla/joomla-cms/pull/6918
Global(e) JHtmlBootstrap::startPane ($selector='myTab', $params=array())
4.0 Use JHtml::_('bootstrap.startTabSet') instead.
Global(e) JHtmlBootstrap::tooltipExtended ($extended=true)
4.0 No replacement, use Bootstrap tooltips.
Global(e) JHtmlBootstrap::typeahead ($selector='.typeahead', $params=array())
4.0 Bootstrap 4.0 dropped this so will Joomla.
Global(e) JHtmlGrid::behavior ()
4.0 This is only used in hathor and will be removed without replacement
Global(e) JHtmlGrid::boolean ($i, $value, $taskOn=null, $taskOff=null)
4.0 This is only used in hathor and will be removed without replacement
Global(e) JHtmlIcon::email ($article, $params, $attribs=array(), $legacy=false)
4.0 The functionality to email an article is removed in Joomla 4
Global(e) JHtmlIcon::print_screen ($article, $params, $attribs=array(), $legacy=false)

for 4.0

for 4.0

Global(e) JHtmlJGrid::action ($i, $task, $prefix='', $text='', $activeTitle='', $inactiveTitle='', $tip=false, $activeClass='', $inactiveClass='', $enabled=true, $translate=true, $checkbox='cb')
4.0]
Global(e) JHtmlJquery::ui (array $components=array('core'), $debug=null)
4.0 jQuery UI will be removed from Joomla 4 without replacement.
Global(e) JHtmlMessages::state ($value=0, $i=0, $canChange=false)
4.0 Use JHtmlMessages::status() instead
Global(e) JHtmlPhpSetting::integer ($val)
4.0 Use intval() or casting instead.
Classe JHtmlRules
4.0
Global(e) JHtmlRules::_getImagesArray ()
4.0
Global(e) JHtmlRules::_getParentAssetId ($assetId)
4.0
Global(e) JHtmlRules::_getUserGroups ()
4.0
Global(e) JHtmlRules::assetFormWidget ($actions, $assetId=null, $parent=null, $control='jform[rules]', $idPrefix='jform_rules')
4.0
Global(e) JHtmlSelect::optgroup ($text, $optKey='value', $optText='text')
4.0 Use JHtmlSelect::groupedList()
Global(e) JHtmlSelect::suggestionlist ($data, $optKey='value', $optText='text', $idtag=null, $translate=false)
4.0 Just create the <datalist> directly instead
Classe JHtmlSliders
3.7.0 These helpers are dependent on the deprecated MooTools support
Global(e) JHtmlSliders::end ()
3.7.0 These helpers are dependent on the deprecated MooTools support
Global(e) JHtmlSliders::loadBehavior ($group, $params=array())
3.7.0 These helpers are dependent on the deprecated MooTools support
Global(e) JHtmlSliders::panel ($text, $id)
3.7.0 These helpers are dependent on the deprecated MooTools support
Global(e) JHtmlSliders::start ($group='sliders', $params=array())
3.7.0 These helpers are dependent on the deprecated MooTools support
Classe JHtmlSortablelist
5.0 Sortable List will be deprecated in favour of a new dragula script in 4.0
Global(e) JHtmlSortablelist::_proceedSaveOrderButton ()
4.0 The logic is merged in the JLayout file
Global(e) JHtmlSortablelist::sortable ($tableId, $formId, $sortDir='asc', $saveOrderingUrl=null, $proceedSaveOrderButton=true, $nestedList=false)
5.0 In Joomla 4 call JHtml::_('dragablelist.dragable') and add a class of js-draggable to the tbody element of the table
Classe JHtmlTabs
3.7.0 These helpers are dependent on the deprecated MooTools support
Global(e) JHtmlTabs::end ()
3.7.0 These helpers are dependent on the deprecated MooTools support
Global(e) JHtmlTabs::loadBehavior ($group, $params=array())
3.7.0 These helpers are dependent on the deprecated MooTools support
Global(e) JHtmlTabs::panel ($text, $id)
3.7.0 These helpers are dependent on the deprecated MooTools support
Global(e) JHtmlTabs::start ($group='tabs', $params=array())
3.7.0 These helpers are dependent on the deprecated MooTools support
Classe JHtmlTextdiff
4.0 No replacement
Classe JJsonResponse
4.0
Global(e) JJsonResponse::__construct ($response=null, $message=null, $error=false)
4.0 Use JResponseJson instead.
Classe JKeychain
4.0 Deprecated without replacement
Global(e) JLoader::loadByPsr0 ($class)
4.0 this method will be removed
Classe JModel
4.0 Use the default MVC library
Classe JModelBase
4.0 Use the default MVC library
Classe JModelDatabase
4.0 Use the default MVC library
Classe JNode
3.0
Global(e) JNode::__construct ()
3.0
Global(e) JNode::addChild (&$child)
3.0
Global(e) JNode::getChildren ()
3.0
Global(e) JNode::getParent ()
3.0
Global(e) JNode::hasChildren ()
3.0
Global(e) JNode::hasParent ()
3.0
Global(e) JNode::setParent (&$parent)
3.0
Classe JOAuth1Client
4.0 Use the joomla/oauth1 framework package that will be bundled instead
Classe JOAuth2Client
4.0 Use the joomla/oauth2 framework package that will be bundled instead
Classe JObservable
2.5
Global(e) JObservable::__construct ()
2.5
Global(e) JObservable::attach ($observer)
2.5
Global(e) JObservable::detach ($observer)
2.5
Global(e) JObservable::getState ()
2.5
Global(e) JObservable::notify ()
2.5
Classe JObserver
2.5
Global(e) JObserver::__construct (&$subject)
2.5
Global(e) JObserver::update (&$args)
2.5
Espace de nommage Joomla
4.0 Use JHtmlSidebar instead.
Espace de nommage Joomla

4.0 without replacement

4.0 without replacement

Espace de nommage Joomla

4.0 Use IS_UNIX instead

4.0 use the Joomla class instead

4.0 Will be removed without replacement

4.0 Will be removed without replacement

4.0 Will be removed without replacement

Espace de nommage Joomla

3.2 removed without replacement in 4.0 see global.php for an alternative

3.2

Global(e) JoomlaupdateHelper::getActions ()
3.2 Use JHelperContent::getActions() instead
Classe JOpenstreetmap
4.0 Use the joomla/openstreetmap package via Composer instead
Classe JOpenstreetmapChangesets
4.0 Use the joomla/openstreetmap package via Composer instead
Classe JOpenstreetmapElements
4.0 Use the joomla/openstreetmap package via Composer instead
Classe JOpenstreetmapGps
4.0 Use the joomla/openstreetmap package via Composer instead
Classe JOpenstreetmapInfo
4.0 Use the joomla/openstreetmap package via Composer instead
Classe JOpenstreetmapOauth
4.0 Use the joomla/openstreetmap package via Composer instead
Classe JOpenstreetmapObject
4.0 Use the joomla/openstreetmap package via Composer instead
Classe JOpenstreetmapUser
4.0 Use the joomla/openstreetmap package via Composer instead
Classe JPlatform
4.0 Deprecated without replacement
Global(e) JPlatform::getLongVersion ()
4.0 Deprecated without replacement
Global(e) JPlatform::getShortVersion ()
4.0 Deprecated without replacement
Global(e) JPlatform::isCompatible ($minimum)
4.0 Deprecated without replacement
Classe JRequest
1.7 Get the JInput object from the application instead
Global(e) JRequest::_cleanVar ($var, $mask=0, $type=null)
1.7
Global(e) JRequest::checkToken ($method='post')
1.7 Use JSession::checkToken() instead. Note that 'default' has to become 'request'.
Global(e) JRequest::get ($hash='default', $mask=0)
1.7 Use JInput::get()
Global(e) JRequest::getBool ($name, $default=false, $hash='default')
1.7
Global(e) JRequest::getCmd ($name, $default='', $hash='default')
1.7
Global(e) JRequest::getFloat ($name, $default=0.0, $hash='default')
1.7
Global(e) JRequest::getInt ($name, $default=0, $hash='default')
1.7
Global(e) JRequest::getMethod ()
1.7 Use JInput::getMethod() instead
Global(e) JRequest::getString ($name, $default='', $hash='default', $mask=0)
1.7
Global(e) JRequest::getUInt ($name, $default=0, $hash='default')
1.7
Global(e) JRequest::getUri ()
1.7
Global(e) JRequest::getVar ($name, $default=null, $hash='default', $type='none', $mask=0)
1.7 Use JInput::get()
Global(e) JRequest::getWord ($name, $default='', $hash='default')
1.7
Global(e) JRequest::set ($array, $hash='default', $overwrite=true)
1.7 Use JInput::set()
Global(e) JRequest::setVar ($name, $value=null, $hash='method', $overwrite=true)
1.7
Classe JResponse
1.5 Use JApplicationWeb instead
Global(e) JResponse::allowCache ($allow=null)
3.2 Use JApplicationWeb::allowCache() instead
Global(e) JResponse::appendBody ($content)
3.2 Use JApplicationWeb::appendBody() instead
Global(e) JResponse::clearHeaders ()
3.2 Use JApplicationWeb::clearHeaders() instead
Global(e) JResponse::clientEncoding ()
3.2 Use JApplicationWebClient instead
Global(e) JResponse::compress ($data)
3.2 Use JApplicationWeb::compress() instead
Global(e) JResponse::getBody ($toArray=false)
3.2 Use JApplicationWeb::getBody() instead
Global(e) JResponse::getHeaders ()
3.2 Use JApplicationWeb::getHeaders() instead
Global(e) JResponse::prependBody ($content)
3.2 Use JApplicationWeb::prependBody() instead
Global(e) JResponse::sendHeaders ()
3.2 Use JApplicationWeb::sendHeaders() instead
Global(e) JResponse::setBody ($content)
3.2 Use JApplicationWeb::setBody() instead
Global(e) JResponse::setHeader ($name, $value, $replace=false)
3.2 Use JApplicationWeb::setHeader() instead
Global(e) JResponse::toString ($compress=false)
3.2 Use JApplicationCms::toString() instead
Global(e) JROUTER_MODE_RAW

4.0

4.0

Global(e) JROUTER_MODE_SEF

4.0

4.0

Classe JSessionHandlerInterface
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionHandlerJoomla
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionHandlerNative
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionStorage
4.0 The CMS' Session classes will be replaced with the joomla/session package
Global(e) JSessionStorage::test ()
4.0 - Use JSessionStorage::isSupported() instead.
Classe JSessionStorageApc
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionStorageApcu
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionStorageDatabase
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionStorageMemcache
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionStorageMemcached
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionStorageNone
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionStorageWincache
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSessionStorageXcache
4.0 The CMS' Session classes will be replaced with the joomla/session package
Classe JSimplecrypt
2.5.5 Use JCrypt instead.
Global(e) JSimplecrypt::__construct ($privateKey=null)
2.5.5 Use JCrypt instead.
Global(e) JSimplecrypt::decrypt ($s)
2.5.5 Use JCrypt instead.
Global(e) JSimplecrypt::encrypt ($s)
2.5.5 Use JCrypt instead.
Classe JSimplepieFactory
3.0 Use JFeed or supply your own methods
Global(e) JSimplepieFactory::getFeedParser ($url, $cacheTime=0)
3.0 Use JFeedFactory($url) instead.
Classe Json
5.0 Use Joomla instead
Global(e) Json::__construct (array $source=null, array $options=array())
5.0 Use Joomla instead
Global(e) Json::getRaw ()
5.0 Use Joomla instead
Classe JString
4.0 Use Joomla\String\StringHelperinsteadunlessotherwisenoted.</dd><dt>\anchor_deprecated000476\_setscopeJStringGlobal(e)\_internalrefd1/d86/classJString#abc3bca707d36381d8dfbcff5f1c96456"JString::parse_url"($url)</dt><dd>4.0(CMS)-Use@link\Joomla\Uri\UriHelper::parse_url()instead.</dd><dt>\anchor_deprecated000475\_setscopeJStringGlobal(e)\_internalrefd1/d86/classJString#a2605cd002deb073cebad634d3eef8d57"JString::splitCamelCase"($string)</dt><dd>4.0-UseJStringNormalise::fromCamelCase()</dd><dt>\anchor_deprecated000071\_setscopeJSubMenuHelperGlobal(e)\_internalrefd9/dd9/classJSubMenuHelper#aea3892680ab65c78138a061efbe366ec"JSubMenuHelper::addEntry"($name,$link='',$active=false)</dt><dd>4.0UseJHtmlSidebar::addEntry()instead.</dd><dt>\anchor_deprecated000073\_setscopeJSubMenuHelperGlobal(e)\_internalrefd9/dd9/classJSubMenuHelper#a6d8202fe1d70008439cae35bfc5a6027"JSubMenuHelper::addFilter"($label,$name,$options,$noDefault=false)</dt><dd>4.0UseJHtmlSidebar::addFilter()instead.</dd><dt>\anchor_deprecated000076\_setscopeJSubMenuHelperGlobal(e)\_internalrefd9/dd9/classJSubMenuHelper#af8b331d3ac442a1071aa9f7db3b60637"JSubMenuHelper::getAction"()</dt><dd>4.0UseJHtmlSidebar::getAction()instead.</dd><dt>\anchor_deprecated000072\_setscopeJSubMenuHelperGlobal(e)\_internalrefd9/dd9/classJSubMenuHelper#ad031a82828c51570a409903806d0c64e"JSubMenuHelper::getEntries"()</dt><dd>4.0UseJHtmlSidebar::getEntries()instead.</dd><dt>\anchor_deprecated000074\_setscopeJSubMenuHelperGlobal(e)\_internalrefd9/dd9/classJSubMenuHelper#a9c3018c8cbf572b583804fe5de11aeca"JSubMenuHelper::getFilters"()</dt><dd>4.0UseJHtmlSidebar::getFilters()instead.</dd><dt>\anchor_deprecated000075\_setscopeJSubMenuHelperGlobal(e)\_internalrefd9/dd9/classJSubMenuHelper#a20f03f8752472acc565489823368ade2"JSubMenuHelper::setAction"($action)</dt><dd>4.0UseJHtmlSidebar::setAction()instead.</dd><dt>\anchor_deprecated000678\_setscopeJTableSessionClasse\_internalrefdd/db1/classJTableSession"JTableSession"</dt><dd>3.2UseSQLqueriestointeractwiththesessiontable.</dd><dt>\anchor_deprecated000679\_setscopeJTableSessionGlobal(e)\_internalrefdd/db1/classJTableSession#ad20e38ee661fe37bff9536f529a73bc8"JTableSession::__construct"(JDatabaseDriver$db)</dt><dd>3.2UseSQLqueriestointeractwiththesessiontable.</dd><dt>\anchor_deprecated000685\_setscopeJTableSessionGlobal(e)\_internalrefdd/db1/classJTableSession#aa28ac608bea4e0e77c6b69ce97471e2e"JTableSession::delete"($oid=null)</dt><dd>3.2UseSQLqueriestointeractwiththesessiontable.</dd><dt>\anchor_deprecated000682\_setscopeJTableSessionGlobal(e)\_internalrefdd/db1/classJTableSession#af836c1e12a6c08eb981c4dc865b5281d"JTableSession::destroy"($userId,$clientIds=array())</dt><dd>3.2UseSQLqueriestointeractwiththesessiontable.</dd><dt>\anchor_deprecated000684\_setscopeJTableSessionGlobal(e)\_internalrefdd/db1/classJTableSession#a7d1732ad4d4fce6965cb06e237f264aa"JTableSession::exists"($userid)</dt><dd>3.2UseSQLqueriestointeractwiththesessiontable.</dd><dt>\anchor_deprecated000680\_setscopeJTableSessionGlobal(e)\_internalrefdd/db1/classJTableSession#a96035cc8722c3099fb60b0e2e92d40b1"JTableSession::insert"($sessionId,$clientId)</dt><dd>3.2UseSQLqueriestointeractwiththesessiontable.</dd><dt>\anchor_deprecated000683\_setscopeJTableSessionGlobal(e)\_internalrefdd/db1/classJTableSession#af4e016873c6e524a9b013783a3d7019a"JTableSession::purge"($maxLifetime=1440)</dt><dd>3.2UseSQLqueriestointeractwiththesessiontable.</dd><dt>\anchor_deprecated000681\_setscopeJTableSessionGlobal(e)\_internalrefdd/db1/classJTableSession#a9848803d6bdcd998e856651fd91a792f"JTableSession::update"($updateNulls=false)</dt><dd>3.2UseSQLqueriestointeractwiththesessiontable.</dd><dt>\anchor_deprecated000895\_setscopeJoomla::CMS::Language::Wrapper::JTextWrapperClasse\_internalrefd9/d6f/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1JTextWrapper"JTextWrapper"</dt><dd>4.0Use<tt>JText</tt>directly</dd><dt>\anchor_deprecated000896\_setscopeJoomla::CMS::Language::Wrapper::JTextWrapperGlobal(e)\_internalrefd9/d6f/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1JTextWrapper#af20da2d1f01b25117ffef362191d0f66"JTextWrapper::_"($string,$jsSafe=false,$interpretBackSlashes=true,$script=false)</dt><dd>4.0Use<tt>JText</tt>directly</dd><dt>\anchor_deprecated000897\_setscopeJoomla::CMS::Language::Wrapper::JTextWrapperGlobal(e)\_internalrefd9/d6f/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1JTextWrapper#a6dc081bdfec9a9fb9509db68739a1d27"JTextWrapper::alt"($string,$alt,$jsSafe=false,$interpretBackSlashes=true,$script=false)</dt><dd>4.0Use<tt>JText</tt>directly</dd><dt>\anchor_deprecated000898\_setscopeJoomla::CMS::Language::Wrapper::JTextWrapperGlobal(e)\_internalrefd9/d6f/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1JTextWrapper#abe86e4c85c187cfe57d75f23394cbbce"JTextWrapper::plural"($string,$n)</dt><dd>4.0Use<tt>JText</tt>directly</dd><dt>\anchor_deprecated000900\_setscopeJoomla::CMS::Language::Wrapper::JTextWrapperGlobal(e)\_internalrefd9/d6f/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1JTextWrapper#ac7abb36b74024617fc72c954ed2384b2"JTextWrapper::printf"($string)</dt><dd>4.0Use<tt>JText</tt>directly</dd><dt>\anchor_deprecated000901\_setscopeJoomla::CMS::Language::Wrapper::JTextWrapperGlobal(e)\_internalrefd9/d6f/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1JTextWrapper#ac42a292f7be20cdb46284ea3429d3502"JTextWrapper::script"($string=null,$jsSafe=false,$interpretBackSlashes=true)</dt><dd>4.0Use<tt>JText</tt>directly</dd><dt>\anchor_deprecated000899\_setscopeJoomla::CMS::Language::Wrapper::JTextWrapperGlobal(e)\_internalrefd9/d6f/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1JTextWrapper#a5ce1c799eebebb881068710a8a6ba00d"JTextWrapper::sprintf"($string)</dt><dd>4.0Use<tt>JText</tt>directly</dd><dt>\anchor_deprecated000573\_setscopeJTreeClasse\_internalrefd2/de0/classJTree"JTree"</dt><dd>3.0</dd><dt>\anchor_deprecated000576\_setscopeJTreeGlobal(e)\_internalrefd2/de0/classJTree#a095c5d389db211932136b53f25f39685"JTree::__construct"()</dt><dd>3.0</dd><dt>\anchor_deprecated000577\_setscopeJTreeGlobal(e)\_internalrefd2/de0/classJTree#ab18f841c8abe719a7d0a09b9d90e1c87"JTree::addChild"(&$node,$setCurrent=false)</dt><dd>3.0</dd><dt>\anchor_deprecated000578\_setscopeJTreeGlobal(e)\_internalrefd2/de0/classJTree#a95ecaee3537b1ad29b04ef383a57bbae"JTree::getParent"()</dt><dd>3.0</dd><dt>\anchor_deprecated000579\_setscopeJTreeGlobal(e)\_internalrefd2/de0/classJTree#a4a20559544fdf4dcb457e258dc976cf8"JTree::reset"()</dt><dd>3.0</dd><dt>\anchor_deprecated000492\_setscopeJTwitterClasse\_internalrefd8/d1c/classJTwitter"JTwitter"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000479\_setscopeJTwitterBlockClasse\_internalrefd1/d36/classJTwitterBlock"JTwitterBlock"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000480\_setscopeJTwitterDirectmessagesClasse\_internalrefd9/d8d/classJTwitterDirectmessages"JTwitterDirectmessages"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000481\_setscopeJTwitterFavoritesClasse\_internalrefdb/d60/classJTwitterFavorites"JTwitterFavorites"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000482\_setscopeJTwitterFriendsClasse\_internalrefda/d27/classJTwitterFriends"JTwitterFriends"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000483\_setscopeJTwitterHelpClasse\_internalrefd4/dc6/classJTwitterHelp"JTwitterHelp"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000484\_setscopeJTwitterListsClasse\_internalrefdf/da4/classJTwitterLists"JTwitterLists"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000485\_setscopeJTwitterOAuthClasse\_internalrefd8/d56/classJTwitterOAuth"JTwitterOAuth"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000486\_setscopeJTwitterObjectClasse\_internalrefd3/d9f/classJTwitterObject"JTwitterObject"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000487\_setscopeJTwitterPlacesClasse\_internalrefd6/df9/classJTwitterPlaces"JTwitterPlaces"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000488\_setscopeJTwitterProfileClasse\_internalrefd2/df4/classJTwitterProfile"JTwitterProfile"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000489\_setscopeJTwittersearchClasse\_internalrefd8/d84/classJTwittersearch"JTwittersearch"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000490\_setscopeJTwitterStatusesClasse\_internalrefd4/d18/classJTwitterStatuses"JTwitterStatuses"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000491\_setscopeJTwitterTrendsClasse\_internalrefd7/de3/classJTwitterTrends"JTwitterTrends"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000493\_setscopeJTwitterUsersClasse\_internalrefd2/d2f/classJTwitterUsers"JTwitterUsers"</dt><dd>4.0Usethe<tt>joomla/twitter</tt>packageviaComposerinstead</dd><dt>\anchor_deprecated000508\_setscopeJViewClasse\_internalrefdd/d89/interfaceJView"JView"</dt><dd>4.0UsethedefaultMVClibrary</dd><dt>\anchor_deprecated000506\_setscopeJViewBaseClasse\_internalrefd9/dca/classJViewBase"JViewBase"</dt><dd>4.0UsethedefaultMVClibrary</dd><dt>\anchor_deprecated000507\_setscopeJViewHtmlClasse\_internalrefdb/d2f/classJViewHtml"JViewHtml"</dt><dd>4.0UsethedefaultMVClibrary</dd><dt>\anchor_deprecated000686\_setscopeJXMLElementClasse\_internalrefd0/dd6/classJXMLElement"JXMLElement"</dt><dd>3.0UseSimpleXMLElementinstead.</dd><dt>\anchor_deprecated000688\_setscopeJXMLElementGlobal(e)\_internalrefd0/dd6/classJXMLElement#a854f51b536d729bb9d0f60267262453e"JXMLElement::asFormattedXml"($compressed=false,$indent="\,$level=0)</dt><dd>3.0UseSimpleXMLElement::asXml()instead.</dd><dt>\anchor_deprecated000687\_setscopeJXMLElementGlobal(e)\_internalrefd0/dd6/classJXMLElement#a4b516aaa5fa38da4fed24ab6001627e2"JXMLElement::name"()</dt><dd>3.0UseSimpleXMLElement::getName()instead.</dd><dt>\anchor_deprecated000884\_setscopeJoomla::CMS::Language::LanguageGlobal(e)\_internalrefd1/d7c/classJoomla_1_1CMS_1_1Language_1_1Language#a1f0d84e1274636fbad65bcef025c840b"Language::exists"($lang,$basePath=JPATH_BASE)</dt><dd>3.7.0,useLanguageHelper::exists()instead.</dd><dt>\anchor_deprecated000886\_setscopeJoomla::CMS::Language::LanguageGlobal(e)\_internalrefd1/d7c/classJoomla_1_1CMS_1_1Language_1_1Language#ae3192a4e2c5f8d6fbe1729ac5764fcfe"Language::getKnownLanguages"($basePath=JPATH_BASE)</dt><dd>3.7.0,useLanguageHelper::getKnownLanguages()instead.</dd><dt>\anchor_deprecated000887\_setscopeJoomla::CMS::Language::LanguageGlobal(e)\_internalrefd1/d7c/classJoomla_1_1CMS_1_1Language_1_1Language#abaacdc003e3ef8ba93b7f7b580a1bc08"Language::getLanguagePath"($basePath=JPATH_BASE,$language=null)</dt><dd>3.7.0,useLanguageHelper::getLanguagePath()instead.</dd><dt>\anchor_deprecated000885\_setscopeJoomla::CMS::Language::LanguageGlobal(e)\_internalrefd1/d7c/classJoomla_1_1CMS_1_1Language_1_1Language#a53f96bee211709b99894e334cbaee951"Language::getMetadata"($lang)</dt><dd>3.7.0,useLanguageHelper::getMetadata()instead.</dd><dt>\anchor_deprecated000889\_setscopeJoomla::CMS::Language::LanguageGlobal(e)\_internalrefd1/d7c/classJoomla_1_1CMS_1_1Language_1_1Language#a6c2dfb3bc9f19954e79d1fcf1b05e4d8"Language::parseLanguageFiles"($dir=null)</dt><dd>3.7.0,useLanguageHelper::parseLanguageFiles()instead.</dd><dt>\anchor_deprecated000890\_setscopeJoomla::CMS::Language::LanguageGlobal(e)\_internalrefd1/d7c/classJoomla_1_1CMS_1_1Language_1_1Language#a6eb3294254e4575ca30e4c58f6029f8a"Language::parseXMLLanguageFile"($path)</dt><dd>3.7.0,useLanguageHelper::parseXMLLanguageFile()instead.</dd><dt>\anchor_deprecated000888\_setscopeJoomla::CMS::Language::LanguageGlobal(e)\_internalrefd1/d7c/classJoomla_1_1CMS_1_1Language_1_1Language#ab611393ebe9bdfa9ea57e683909d3c76"Language::setLanguage"($lang)</dt><dd>4.0(CMS)-InstantiateanewLanguageobjectinstead</dd><dt>\anchor_deprecated000902\_setscopeJoomla::CMS::Language::Wrapper::LanguageHelperWrapperClasse\_internalrefd7/dfa/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1LanguageHelperWrapper"LanguageHelperWrapper"</dt><dd>4.0Use<tt>Joomla\\CMS\\Language\\LanguageHelper</tt>directly</dd><dt>\anchor_deprecated000903\_setscopeJoomla::CMS::Language::Wrapper::LanguageHelperWrapperGlobal(e)\_internalrefd7/dfa/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1LanguageHelperWrapper#a5036969c5450e1226292fe54ca56d96d"LanguageHelperWrapper::createLanguageList"($actualLanguage,$basePath=JPATH_BASE,$caching=false,$installed=false)</dt><dd>4.0Use<tt>Joomla\\CMS\\Language\\LanguageHelper</tt>directly</dd><dt>\anchor_deprecated000904\_setscopeJoomla::CMS::Language::Wrapper::LanguageHelperWrapperGlobal(e)\_internalrefd7/dfa/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1LanguageHelperWrapper#a72a07d497534e77599bcd61fb9d24b80"LanguageHelperWrapper::detectLanguage"()</dt><dd>4.0Use<tt>Joomla\\CMS\\Language\\LanguageHelper</tt>directly</dd><dt>\anchor_deprecated000905\_setscopeJoomla::CMS::Language::Wrapper::LanguageHelperWrapperGlobal(e)\_internalrefd7/dfa/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1LanguageHelperWrapper#af48b560dff57e8ff0900b939886cb4c5"LanguageHelperWrapper::getLanguages"($key='default')</dt><dd>4.0Use<tt>Joomla\\CMS\\Language\\LanguageHelper</tt>directly</dd><dt>\anchor_deprecated000033\_setscopeLanguagesHelperGlobal(e)\_internalrefd5/dcf/classLanguagesHelper#a57590fcc8047ed0ae29b04a64bb65e57"LanguagesHelper::addSubmenu"($vName,$client=0)</dt><dd>4.0$clientparameterisnotneededanymore.</dd><dt>\anchor_deprecated000034\_setscopeLanguagesHelperGlobal(e)\_internalrefd5/dcf/classLanguagesHelper#a03e66c13a28cfe582e57f78d0f2096e8"LanguagesHelper::getActions"()</dt><dd>3.2UseJHelperContent::getActions()instead.</dd><dt>\anchor_deprecated000035\_setscopeLanguagesHelperGlobal(e)\_internalrefd5/dcf/classLanguagesHelper#af9debae6b12967c83d6aafafe5f941e9"LanguagesHelper::parseFile"($fileName)</dt><dd>3.9.0UseJLanguageHelper::parseIniFile()instead.</dd><dt>\anchor_deprecated000041\_setscopeLanguagesModelInstalledGlobal(e)\_internalrefdb/d98/classLanguagesModelInstalled#a63204ce7317b5ce81b1827ad313dc3b3"LanguagesModelInstalled::compareLanguages"($lang1,$lang2)</dt><dd>4.0</dd><dt>\anchor_deprecated000040\_setscopeLanguagesModelInstalledGlobal(e)\_internalrefdb/d98/classLanguagesModelInstalled#af905ccf9ab7e8a203d75acb4596e6c9a"LanguagesModelInstalled::getLanguageList"()</dt><dd>4.0</dd><dt>\anchor_deprecated000892\_setscopeJoomla::CMS::Language::LanguageStemmerClasse\_internalrefd0/df4/classJoomla_1_1CMS_1_1Language_1_1LanguageStemmer"LanguageStemmer"</dt><dd>4.0Usewamania/php-stemmer</dd><dt>\anchor_deprecated001098\_setscopeJoomla::Ldap::LdapClientClasse\_internalrefde/dd9/classJoomla_1_1Ldap_1_1LdapClient"LdapClient"</dt><dd>Thejoomla/ldappackageisdeprecated</dd><dt>\anchor_deprecated000844\_setscopeJoomla::CMS::Helper::LibraryHelperGlobal(e)\_internalrefd0/de8/classJoomla_1_1CMS_1_1Helper_1_1LibraryHelper#a460004efb32090273f870cf718e733c3"LibraryHelper::_load"($element)</dt><dd>4.0UseLibraryHelper::loadLibrary()instead</dd><dt>\anchor_deprecated000638\_setscopeLogExceptionClasse\_internalrefd3/dc1/classLogException"LogException"</dt><dd>2.5.5Usesemanticexceptionsinstead</dd><dt>\anchor_deprecated000910\_setscopeJoomla::CMS::Mail::MailGlobal(e)\_internalrefdf/ddc/classJoomla_1_1CMS_1_1Mail_1_1Mail#a2f7958a6458617c91ebea5a182db862a"Mail::sendAdminMail"($adminName,$adminEmail,$email,$type,$title,$author,$url=null)</dt><dd>4.0Withoutreplacementpleaseimplementitinyourowncode</dd><dt>\anchor_deprecated000911\_setscopeJoomla::CMS::Mail::MailWrapperClasse\_internalrefd5/d47/classJoomla_1_1CMS_1_1Mail_1_1MailWrapper"MailWrapper"</dt><dd>4.0Willberemovedwithoutreplacement</dd><dt>\anchor_deprecated000737\_setscopeJoomla::CMS::Crypt::Cipher::McryptCipherClasse\_internalrefd3/d26/classJoomla_1_1CMS_1_1Crypt_1_1Cipher_1_1McryptCipher"McryptCipher"</dt><dd>4.0WithoutreplacementuseSodiumCipher</dd><dt>\anchor_deprecated000043\_setscopeMediaHelperClasse\_internalrefde/ded/classMediaHelper"MediaHelper"</dt><dd>4.0UseJHelperMediainstead</dd><dt>\anchor_deprecated000046\_setscopeMediaHelperGlobal(e)\_internalrefde/ded/classMediaHelper#a926f94b476e65bf2172c2aec076a3a14"MediaHelper::canUpload"($file,$error='')</dt><dd>4.0UseJHelperMedia::canUploadinstead</dd><dt>\anchor_deprecated000049\_setscopeMediaHelperGlobal(e)\_internalrefde/ded/classMediaHelper#ab3a8f5f932daea0eeb5ae83143b1ab1f"MediaHelper::countFiles"($dir)</dt><dd>4.0UseJHelperMedia::countFilesinstead</dd><dt>\anchor_deprecated000045\_setscopeMediaHelperGlobal(e)\_internalrefde/ded/classMediaHelper#af2921c4c1adb352544a987e11b3cbef1"MediaHelper::getTypeIcon"($fileName)</dt><dd>4.0UseJHelperMedia::getTypeIconinstead</dd><dt>\anchor_deprecated000048\_setscopeMediaHelperGlobal(e)\_internalrefde/ded/classMediaHelper#af31717b08c4d28389d997c08db3c7893"MediaHelper::imageResize"($width,$height,$target)</dt><dd>4.0UseJHelperMedia::imageResizeinstead</dd><dt>\anchor_deprecated000044\_setscopeMediaHelperGlobal(e)\_internalrefde/ded/classMediaHelper#a3182bea05df703043a35d9981ef5260e"MediaHelper::isImage"($fileName)</dt><dd>4.0UseJHelperMedia::isImageinstead</dd><dt>\anchor_deprecated000047\_setscopeMediaHelperGlobal(e)\_internalrefde/ded/classMediaHelper#acc49df9e14d182454acd78a7304a8c58"MediaHelper::parseSize"($size)</dt><dd>4.0UseJHtml::_('number.bytes')instead</dd><dt>\anchor_deprecated001142\_setscopeJoomla::Session::Storage::MemcacheClasse\_internalrefd3/d88/classJoomla_1_1Session_1_1Storage_1_1Memcache"Memcache"</dt><dd>2.0TheStorageclasschainwillberemoved</dd><dt>\anchor_deprecated001144\_setscopeJoomla::Session::Storage::MemcacheGlobal(e)\_internalrefd3/d88/classJoomla_1_1Session_1_1Storage_1_1Memcache#aa7f5a18682ecb8e0dc450e26cebfaa37"Memcache::__construct"($options=array())</dt><dd>2.0</dd><dt>\anchor_deprecated001146\_setscopeJoomla::Session::Storage::MemcacheGlobal(e)\_internalrefd3/d88/classJoomla_1_1Session_1_1Storage_1_1Memcache#adc36dedf4b7b9d79eed5296b94001311"Memcache::isSupported"()</dt><dd>2.0</dd><dt>\anchor_deprecated001145\_setscopeJoomla::Session::Storage::MemcacheGlobal(e)\_internalrefd3/d88/classJoomla_1_1Session_1_1Storage_1_1Memcache#acc294a6cc8e69743746820e3d15e3f78"Memcache::register"()</dt><dd>2.0</dd><dt>\anchor_deprecated001147\_setscopeJoomla::Session::Storage::MemcachedClasse\_internalrefdf/d32/classJoomla_1_1Session_1_1Storage_1_1Memcached"Memcached"</dt><dd>2.0TheStorageclasschainwillberemoved</dd><dt>\anchor_deprecated001149\_setscopeJoomla::Session::Storage::MemcachedGlobal(e)\_internalrefdf/d32/classJoomla_1_1Session_1_1Storage_1_1Memcached#aa7f5a18682ecb8e0dc450e26cebfaa37"Memcached::__construct"($options=array())</dt><dd>2.0</dd><dt>\anchor_deprecated001151\_setscopeJoomla::Session::Storage::MemcachedGlobal(e)\_internalrefdf/d32/classJoomla_1_1Session_1_1Storage_1_1Memcached#adc36dedf4b7b9d79eed5296b94001311"Memcached::isSupported"()</dt><dd>2.0</dd><dt>\anchor_deprecated001150\_setscopeJoomla::Session::Storage::MemcachedGlobal(e)\_internalrefdf/d32/classJoomla_1_1Session_1_1Storage_1_1Memcached#acc294a6cc8e69743746820e3d15e3f78"Memcached::register"()</dt><dd>2.0</dd><dt>\anchor_deprecated000729\_setscopeJoomla::CMS::Cache::Storage::MemcacheStorageClasse\_internalrefdf/dfd/classJoomla_1_1CMS_1_1Cache_1_1Storage_1_1MemcacheStorage"MemcacheStorage"</dt><dd>4.0UsetheMemcachedhandlerinstead</dd><dt>\anchor_deprecated000915\_setscopeJoomla::CMS::Menu::MenuHelperClasse\_internalrefd5/d4e/classJoomla_1_1CMS_1_1Menu_1_1MenuHelper"MenuHelper"</dt><dd>4.0</dd><dt>\anchor_deprecated000916\_setscopeJoomla::CMS::Menu::MenuHelperGlobal(e)\_internalrefd5/d4e/classJoomla_1_1CMS_1_1Menu_1_1MenuHelper#a095c5d389db211932136b53f25f39685"MenuHelper::__construct"()</dt><dd>4.0</dd><dt>\anchor_deprecated000917\_setscopeJoomla::CMS::Menu::MenuHelperGlobal(e)\_internalrefd5/d4e/classJoomla_1_1CMS_1_1Menu_1_1MenuHelper#a85aad71f8e50436bd0de8e9c37bd0aec"MenuHelper::addPreset"($name,$title,$path,$replace=true)</dt><dd>4.0UseJoomla\Component\Menus\Administrator\Helper\MenusHelper</dd><dt>\anchor_deprecated000921\_setscopeJoomla::CMS::Menu::MenuHelperGlobal(e)\_internalrefd5/d4e/classJoomla_1_1CMS_1_1Menu_1_1MenuHelper#af13e80bc253a9d84351d6c11bb8a9f92"MenuHelper::createLevels"($menuItems)</dt><dd>4.0</dd><dt>\anchor_deprecated000918\_setscopeJoomla::CMS::Menu::MenuHelperGlobal(e)\_internalrefd5/d4e/classJoomla_1_1CMS_1_1Menu_1_1MenuHelper#a9ce559b9fc5a222befe0bd01766bf528"MenuHelper::getPresets"()</dt><dd>4.0UseJoomla\Component\Menus\Administrator\Helper\MenusHelper</dd><dt>\anchor_deprecated000919\_setscopeJoomla::CMS::Menu::MenuHelperGlobal(e)\_internalrefd5/d4e/classJoomla_1_1CMS_1_1Menu_1_1MenuHelper#a1f5440941828943ca2cca806e1671070"MenuHelper::loadPreset"($name,$fallback=true)</dt><dd>4.0UseJoomla\Component\Menus\Administrator\Helper\MenusHelper</dd><dt>\anchor_deprecated000922\_setscopeJoomla::CMS::Menu::MenuHelperGlobal(e)\_internalrefd5/d4e/classJoomla_1_1CMS_1_1Menu_1_1MenuHelper#ae714fc5eec045f24c8ab6c21042c2fa3"MenuHelper::loadXml"($elements,&$items,$replace=array())</dt><dd>4.0UseJoomla\Component\Menus\Administrator\Helper\MenusHelper</dd><dt>\anchor_deprecated000923\_setscopeJoomla::CMS::Menu::MenuHelperGlobal(e)\_internalrefd5/d4e/classJoomla_1_1CMS_1_1Menu_1_1MenuHelper#aee942b7042d4712f2fdc04c50fc84079"MenuHelper::parseXmlNode"($node,$replace=array())</dt><dd>4.0UseJoomla\Component\Menus\Administrator\Helper\MenusHelper</dd><dt>\anchor_deprecated000920\_setscopeJoomla::CMS::Menu::MenuHelperGlobal(e)\_internalrefd5/d4e/classJoomla_1_1CMS_1_1Menu_1_1MenuHelper#a43186439010860e08b4eaa77544f3df4"MenuHelper::resolveAlias"(&$item)</dt><dd>4.0UseJoomla\Component\Menus\Administrator\Helper\MenusHelper</dd><dt>\anchor_deprecated000924\_setscopeJoomla::CMS::Menu::MenuItemGlobal(e)\_internalrefda/dc1/classJoomla_1_1CMS_1_1Menu_1_1MenuItem#abc8e9e31bb15c8a44c3210ec551407c8"MenuItem::__get"($name)</dt><dd>4.0Accesstheitemparametersthroughthe<tt>getParams()</tt>method</dd><dt>\anchor_deprecated000926\_setscopeJoomla::CMS::Menu::MenuItemGlobal(e)\_internalrefda/dc1/classJoomla_1_1CMS_1_1Menu_1_1MenuItem#a8f132f051b7cd7d570ccb9f6e2bb4201"MenuItem::__isset"($name)</dt><dd>4.0Deprecatedwithoutreplacement</dd><dt>\anchor_deprecated000925\_setscopeJoomla::CMS::Menu::MenuItemGlobal(e)\_internalrefda/dc1/classJoomla_1_1CMS_1_1Menu_1_1MenuItem#a83c2703c91959192f759992ad5640b67"MenuItem::__set"($name,$value)</dt><dd>4.0Settheitemparametersthroughthe<tt>setParams()</tt>method</dd><dt>\anchor_deprecated000927\_setscopeJoomla::CMS::Menu::MenuItemGlobal(e)\_internalrefda/dc1/classJoomla_1_1CMS_1_1Menu_1_1MenuItem#a27364d29d51af329adbf9932331e5527"MenuItem::get"($property,$default=null)</dt><dd>4.0</dd><dt>\anchor_deprecated000928\_setscopeJoomla::CMS::Menu::MenuItemGlobal(e)\_internalrefda/dc1/classJoomla_1_1CMS_1_1Menu_1_1MenuItem#aa8e041aadfff39111bb6f02deba1f2e0"MenuItem::set"($property,$value=null)</dt><dd>4.0</dd><dt>\anchor_deprecated000050\_setscopeMenusControllerItemsGlobal(e)\_internalrefda/df3/classMenusControllerItems#a539884b09ae104b160f85e76d8af0821"MenusControllerItems::saveorder"()</dt><dd>4.0</dd><dt>\anchor_deprecated000051\_setscopeMenusHelperGlobal(e)\_internalrefd4/dd4/classMenusHelper#afb25e815048af4a09a9efeda4197cd08"MenusHelper::getActions"($parentId=0)</dt><dd>3.2UseJHelperContent::getActions()instead</dd><dt>\anchor_deprecated000052\_setscopeMenusHelperGlobal(e)\_internalrefd4/dd4/classMenusHelper#af7c3171f99d12a07933da7caf16ea8be"MenusHelper::getMenuItems"($menutype,$enabledOnly=false,$exclude=array())</dt><dd>4.0Thismethodwillreturnanodeobjecttoiterateoverin4.0.</dd><dt>\anchor_deprecated000054\_setscopeMessagesHelperGlobal(e)\_internalrefdd/dea/classMessagesHelper#a03e66c13a28cfe582e57f78d0f2096e8"MessagesHelper::getActions"()</dt><dd>3.2UseJHelperContent::getActions()instead</dd><dt>\anchor_deprecated001197\_setscopeModArticlesCategoryHelperGlobal(e)\_internalrefdb/de1/classModArticlesCategoryHelper#aa8dff13ef2b453f647f2c775356d9452"ModArticlesCategoryHelper::getList"(&$params)</dt><dd>Catslugisdeprecated,usecatidinstead.4.0</dd><dt>\anchor_deprecated001198\_setscopeModArticlesLatestHelperGlobal(e)\_internalrefde/d15/classModArticlesLatestHelper#aa8dff13ef2b453f647f2c775356d9452"ModArticlesLatestHelper::getList"(&$params)</dt><dd>Catslugisdeprecated,usecatidinstead.4.0</dd><dt>\anchor_deprecated001199\_setscopeModArticlesNewsHelperGlobal(e)\_internalrefde/d5a/classModArticlesNewsHelper#aa8dff13ef2b453f647f2c775356d9452"ModArticlesNewsHelper::getList"(&$params)</dt><dd>Catslugisdeprecated,usecatidinstead.4.0</dd><dt>\anchor_deprecated001200\_setscopeModArticlesPopularHelperGlobal(e)\_internalrefd6/d0c/classModArticlesPopularHelper#aa8dff13ef2b453f647f2c775356d9452"ModArticlesPopularHelper::getList"(&$params)</dt><dd>Catslugisdeprecated,usecatidinstead.4.0</dd><dt>\anchor_deprecated000077\_setscopeModLoginHelperGlobal(e)\_internalrefde/d88/classModLoginHelper#af2b4b360530dd9b49793532c82aff37a"ModLoginHelper::getTwoFactorMethods"()</dt><dd>4.0UseJAuthenticationHelper::getTwoFactorMethods()instead.<p>4.0UseJAuthenticationHelper::getTwoFactorMethods()instead.</dd><dt>\anchor_deprecated000078\_setscopeModMenuHelperGlobal(e)\_internalrefd1/d79/classModMenuHelper#ada98f74b49aa289a220dee2b1b9f7de3"ModMenuHelper::getMenus"()</dt><dd>4.0</dd><dt>\anchor_deprecated000082\_setscopeModQuickIconHelperGlobal(e)\_internalrefdb/ddb/classModQuickIconHelper#a2e0a8e008620fe84a7c237685e214b16"ModQuickIconHelper::getTitle"($params,$module)</dt><dd>4.0Unused.Titlecanbeadjustedinmoduleitselfifneeded.</dd><dt>\anchor_deprecated001202\_setscopeModRelatedItemsHelperGlobal(e)\_internalrefd7/db3/classModRelatedItemsHelper#aa8dff13ef2b453f647f2c775356d9452"ModRelatedItemsHelper::getList"(&$params)</dt><dd>Catslugisdeprecated,usecatidinstead.4.0</dd><dt>\anchor_deprecated000845\_setscopeJoomla::CMS::Helper::ModuleHelperGlobal(e)\_internalrefdd/d7f/classJoomla_1_1CMS_1_1Helper_1_1ModuleHelper#a295d69d1ee7f64c57c0eaa1c95cd03bf"ModuleHelper::_load"()</dt><dd>4.0UseModuleHelper::load()instead</dd><dt>\anchor_deprecated000055\_setscopeModulesHelperGlobal(e)\_internalrefdf/da6/classModulesHelper#a0b0e33590d9d242f5322fd1a82c3ef0c"ModulesHelper::getActions"($moduleId=0)</dt><dd>3.2UseJHelperContent::getActions()instead</dd><dt>\anchor_deprecated000056\_setscopeModulesHelperXMLClasse\_internalrefd5/dea/classModulesHelperXML"ModulesHelperXML"</dt><dd>3.2Donotuse.</dd><dt>\anchor_deprecated000057\_setscopeModulesHelperXMLGlobal(e)\_internalrefd5/dea/classModulesHelperXML#a26cd06400335fbe43c912fc93fe45892"ModulesHelperXML::parseXMLModuleFile"(&$rows)</dt><dd>3.2Donotuse.</dd><dt>\anchor_deprecated000037\_setscopeMultilangstatusHelperGlobal(e)\_internalrefd6/d3b/classMultilangstatusHelper#ac9cf851f5a6b49e6b896b8d3c5876c03"MultilangstatusHelper::getHomepages"()</dt><dd>4.0UseJLanguageMultilang::getSiteHomePages()instead.</dd><dt>\anchor_deprecated000036\_setscopeMultilangstatusHelperGlobal(e)\_internalrefd6/d3b/classMultilangstatusHelper#a2e1eab3390e8314bbb9977e983f2223f"MultilangstatusHelper::getSitelangs"()</dt><dd>4.0UseJLanguageHelper::getInstalledLanguages(0)instead.</dd><dt>\anchor_deprecated000893\_setscopeJoomla::CMS::Language::MultilanguageGlobal(e)\_internalrefd4/dbc/classJoomla_1_1CMS_1_1Language_1_1Multilanguage#a0e3802e7f76c4907184a3c7b0e65a336"Multilanguage::getSiteLangs"()</dt><dd>3.7.0Use\JLanguageHelper::getInstalledLanguages(0)instead.</dd><dt>\anchor_deprecated001092\_setscopeJoomla::Image::Filter::NegateClasse\_internalrefd0/d31/classJoomla_1_1Image_1_1Filter_1_1Negate"Negate"</dt><dd>Thejoomla/imagepackageisdeprecated</dd><dt>\anchor_deprecated000125Global(e)\_internalrefd7/de2/components_2com__newsfeeds_2router_8php#a466e31bdbdc312e978dfc3c03170f5bd"newsfeedsBuildRoute"(&$query)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000126Global(e)\_internalrefd7/de2/components_2com__newsfeeds_2router_8php#a727b8e37a6132d1a42ef214661656585"newsfeedsParseRoute"($segments)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000120\_setscopeNewsfeedsRouterRulesLegacyClasse\_internalrefd6/df4/classNewsfeedsRouterRulesLegacy"NewsfeedsRouterRulesLegacy"</dt><dd>4.0</dd><dt>\anchor_deprecated000121\_setscopeNewsfeedsRouterRulesLegacyGlobal(e)\_internalrefd6/df4/classNewsfeedsRouterRulesLegacy#acf45f3bb3fae5f672e910976fd6c666e"NewsfeedsRouterRulesLegacy::__construct"($router)</dt><dd>4.0</dd><dt>\anchor_deprecated000123\_setscopeNewsfeedsRouterRulesLegacyGlobal(e)\_internalrefd6/df4/classNewsfeedsRouterRulesLegacy#ad68b2c3276f05036ed2d64fd252f812f"NewsfeedsRouterRulesLegacy::build"(&$query,&$segments)</dt><dd>4.0</dd><dt>\anchor_deprecated000124\_setscopeNewsfeedsRouterRulesLegacyGlobal(e)\_internalrefd6/df4/classNewsfeedsRouterRulesLegacy#a8e98d09413d19e384846d4e27d29656d"NewsfeedsRouterRulesLegacy::parse"(&$segments,&$vars)</dt><dd>4.0</dd><dt>\anchor_deprecated000122\_setscopeNewsfeedsRouterRulesLegacyGlobal(e)\_internalrefd6/df4/classNewsfeedsRouterRulesLegacy#a95bc020fbe5177c2270b603d14b53620"NewsfeedsRouterRulesLegacy::preprocess"(&$query)</dt><dd>4.0</dd><dt>\anchor_deprecated000942\_setscopeJoomla::CMS::Menu::NodeClasse\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node"Node"</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000943\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#a095c5d389db211932136b53f25f39685"Node::__construct"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000944\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#a9ee37baa3e7a620e66b4b918581995a0"Node::addChild"(Node$child)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000955\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#af5ea6a083ddb07beb8a30dd32e309ceb"Node::get"($name)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000949\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#a8650a4f6150ed357d88fa043f1685ac5"Node::getChildren"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000950\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#a23fac327059bf3fd0fe57555252d8cf2"Node::getLevel"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000954\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#ac30e143829b81d81c9fa0f6d6c8542fe"Node::getParam"($key)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000947\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#a95ecaee3537b1ad29b04ef383a57bbae"Node::getParent"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000948\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#a1332d27ba1ecefa899e393e83309735e"Node::hasChildren"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000946\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#af777a5920aced0a4e1678d9ab65f35f7"Node::hasParent"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000951\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#a846a3636e0fd9960ac164258af6d3552"Node::isRoot"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000945\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#a9ff80b728771a4a617f1c8c697642402"Node::removeChild"(Node$child)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000952\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#a563ede72d41af4963503ed5316453d91"Node::setActive"($active)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000953\_setscopeJoomla::CMS::Menu::NodeGlobal(e)\_internalrefd3/da8/classJoomla_1_1CMS_1_1Menu_1_1Node#acea33626ce48b08330367563311514fe"Node::setParams"(Registry$params)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated001152\_setscopeJoomla::Session::Storage::NoneClasse\_internalrefde/d68/classJoomla_1_1Session_1_1Storage_1_1None"None"</dt><dd>2.0TheStorageclasschainwillberemoved</dd><dt>\anchor_deprecated001153\_setscopeJoomla::Session::Storage::NoneGlobal(e)\_internalrefde/d68/classJoomla_1_1Session_1_1Storage_1_1None#acc294a6cc8e69743746820e3d15e3f78"None::register"()</dt><dd>2.0</dd><dt>\anchor_deprecated001187Global(e)\_internalrefd8/da9/administrator_2components_2com__banners_2views_2banners_2tmpl_2default_8php#a24d794dfc756320ffadb905d526299bc"null"</dt><dd></dd><dt>\anchor_deprecated000726\_setscopeJoomla::CMS::Cache::Controller::OutputControllerGlobal(e)\_internalrefdd/d9b/classJoomla_1_1CMS_1_1Cache_1_1Controller_1_1OutputController#a817082ace0e2589d27b22890290aa4a9"OutputController::end"()</dt><dd>4.0</dd><dt>\anchor_deprecated000725\_setscopeJoomla::CMS::Cache::Controller::OutputControllerGlobal(e)\_internalrefdd/d9b/classJoomla_1_1CMS_1_1Cache_1_1Controller_1_1OutputController#a605f733c814f7850bed78f1384ebdc38"OutputController::start"($id,$group=null)</dt><dd>4.0</dd><dt>\anchor_deprecated000811\_setscopeJoomla::CMS::Filter::OutputFilterGlobal(e)\_internalrefdc/d39/classJoomla_1_1CMS_1_1Filter_1_1OutputFilter#ac2f3097c43559597472b2318228ff347"OutputFilter::_ampReplaceCallback"($m)</dt><dd>4.0UseOutputFilter::ampReplaceCallback()instead</dd><dt>\anchor_deprecated000812\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperClasse\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper"OutputFilterWrapper"</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000818\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperGlobal(e)\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper#ae181e07f0e6097ac239c47757398f444"OutputFilterWrapper::_ampReplaceCallback"($m)</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000817\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperGlobal(e)\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper#a552253fba44277ff4cd6a887917693e0"OutputFilterWrapper::ampReplace"($text)</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000819\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperGlobal(e)\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper#a3efaf2945d5112d7a30ab64ddd274bff"OutputFilterWrapper::cleanText"(&$text)</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000814\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperGlobal(e)\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper#a66b2892f2cea400d9e6ec6373a507610"OutputFilterWrapper::linkXHTMLSafe"($input)</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000813\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperGlobal(e)\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper#a76f0986021f1fd0ac421e613d354307f"OutputFilterWrapper::objectHTMLSafe"(&$mixed,$quoteStyle=3,$excludeKeys='')</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000815\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperGlobal(e)\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper#a8c95895a2951d3f6555c7345f578e8b5"OutputFilterWrapper::stringURLSafe"($string)</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000816\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperGlobal(e)\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper#ab6eaf4208822a630489fb066a1d0481f"OutputFilterWrapper::stringURLUnicodeSlug"($string)</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000821\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperGlobal(e)\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper#adb027e7f040864ad9796efdc0a94c34c"OutputFilterWrapper::stripIframes"($string)</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000820\_setscopeJoomla::CMS::Filter::Wrapper::OutputFilterWrapperGlobal(e)\_internalrefd1/d86/classJoomla_1_1CMS_1_1Filter_1_1Wrapper_1_1OutputFilterWrapper#a1651b27b6d1ad0c72f06e9ac1d43aef9"OutputFilterWrapper::stripImages"($string)</dt><dd>4.0Use<tt>Joomla\\CMS\\Filter\\OutputFilter</tt>directly</dd><dt>\anchor_deprecated000981\_setscopeJoomla::CMS::Pagination::PaginationGlobal(e)\_internalrefdd/d61/classJoomla_1_1CMS_1_1Pagination_1_1Pagination#a27364d29d51af329adbf9932331e5527"Pagination::get"($property,$default=null)</dt><dd>4.0Accessthepropertiesdirectly.</dd><dt>\anchor_deprecated000980\_setscopeJoomla::CMS::Pagination::PaginationGlobal(e)\_internalrefdd/d61/classJoomla_1_1CMS_1_1Pagination_1_1Pagination#aa8e041aadfff39111bb6f02deba1f2e0"Pagination::set"($property,$value=null)</dt><dd>4.0Accessthepropertiesdirectly.</dd><dt>\anchor_deprecated000984\_setscopeJoomla::CMS::Pathway::PathwayGlobal(e)\_internalrefd3/ddf/classJoomla_1_1CMS_1_1Pathway_1_1Pathway#a9a4ba296cc898e1cd447f2693bace003"Pathway::_makeItem"($name,$link)</dt><dd>4.0UsemakeItem()instead@codeCoverageIgnore</dd><dt>\anchor_deprecated000797\_setscopeJoomla::CMS::Filesystem::Wrapper::PathWrapperClasse\_internalrefdb/df7/classJoomla_1_1CMS_1_1Filesystem_1_1Wrapper_1_1PathWrapper"PathWrapper"</dt><dd>4.0Use\Joomla\CMS\Filesystem\Pathinstead</dd><dt>\anchor_deprecated000798\_setscopeJoomla::CMS::Filesystem::Wrapper::PathWrapperGlobal(e)\_internalrefdb/df7/classJoomla_1_1CMS_1_1Filesystem_1_1Wrapper_1_1PathWrapper#a9ca7f3a0f2d38fb2a1eca0b2de544b32"PathWrapper::canChmod"($path)</dt><dd>4.0Use\Joomla\CMS\Filesystem\Pathinstead</dd><dt>\anchor_deprecated000801\_setscopeJoomla::CMS::Filesystem::Wrapper::PathWrapperGlobal(e)\_internalrefdb/df7/classJoomla_1_1CMS_1_1Filesystem_1_1Wrapper_1_1PathWrapper#a061ec60f44f82e92332f321454d57d0e"PathWrapper::check"($path)</dt><dd>4.0Use\Joomla\CMS\Filesystem\Pathinstead</dd><dt>\anchor_deprecated000802\_setscopeJoomla::CMS::Filesystem::Wrapper::PathWrapperGlobal(e)\_internalrefdb/df7/classJoomla_1_1CMS_1_1Filesystem_1_1Wrapper_1_1PathWrapper#ac78a1af21ff85cc0cd3f83a7f8f83659"PathWrapper::clean"($path,$ds=DIRECTORY_SEPARATOR)</dt><dd>4.0Use\Joomla\CMS\Filesystem\Pathinstead</dd><dt>\anchor_deprecated000804\_setscopeJoomla::CMS::Filesystem::Wrapper::PathWrapperGlobal(e)\_internalrefdb/df7/classJoomla_1_1CMS_1_1Filesystem_1_1Wrapper_1_1PathWrapper#a3b2dbf7e27aec9ab4f89460da12e2028"PathWrapper::find"($paths,$file)</dt><dd>4.0Use\Joomla\CMS\Filesystem\Pathinstead</dd><dt>\anchor_deprecated000800\_setscopeJoomla::CMS::Filesystem::Wrapper::PathWrapperGlobal(e)\_internalrefdb/df7/classJoomla_1_1CMS_1_1Filesystem_1_1Wrapper_1_1PathWrapper#a1b6cd768af55beabfa79e34367a74340"PathWrapper::getPermissions"($path)</dt><dd>4.0Use\Joomla\CMS\Filesystem\Pathinstead</dd><dt>\anchor_deprecated000803\_setscopeJoomla::CMS::Filesystem::Wrapper::PathWrapperGlobal(e)\_internalrefdb/df7/classJoomla_1_1CMS_1_1Filesystem_1_1Wrapper_1_1PathWrapper#abcae643cf9bdc2d87fca7e55afcc408a"PathWrapper::isOwner"($path)</dt><dd>4.0Use\Joomla\CMS\Filesystem\Pathinstead</dd><dt>\anchor_deprecated000799\_setscopeJoomla::CMS::Filesystem::Wrapper::PathWrapperGlobal(e)\_internalrefdb/df7/classJoomla_1_1CMS_1_1Filesystem_1_1Wrapper_1_1PathWrapper#a8fd82e751ae35db61612d726eabdd893"PathWrapper::setPermissions"($path,$filemode='0644',$foldermode='0755')</dt><dd>4.0Use\Joomla\CMS\Filesystem\Pathinstead</dd><dt>\anchor_deprecated001196\_setscopeTYPO3::PharStreamWrapper::PharStreamWrapperGlobal(e)\_internalrefd7/d67/classTYPO3_1_1PharStreamWrapper_1_1PharStreamWrapper#a8eac7fa6975405ed1f4c8c0dfc57e017"PharStreamWrapper::resolveAssertable"()</dt><dd>UseManager::instance()directly</dd><dt>\anchor_deprecated001179\_setscopePHPMailerGlobal(e)\_internalrefd6/d16/classPHPMailer#ae378ec9e9d3d519fd3412b740e065ccb"PHPMailer::encodeQPphp"($string,$line_max=76,$space_conv=false)</dt><dd>UseencodeQPinstead.</dd><dt>\anchor_deprecated001204\_setscopePlgEditorCodemirrorGlobal(e)\_internalrefd7/d38/classPlgEditorCodemirror#a5a4b78e721e7d51150f3e0d2483b3ca6"PlgEditorCodemirror::onGetContent"($id)</dt><dd>4.0Usedirectlythereturnedcode</dd><dt>\anchor_deprecated001206\_setscopePlgEditorCodemirrorGlobal(e)\_internalrefd7/d38/classPlgEditorCodemirror#a944f749dc92f9056580f2f2d8994c73f"PlgEditorCodemirror::onGetInsertMethod"()</dt><dd>4.0Codeisloadedintheinitscript</dd><dt>\anchor_deprecated001203\_setscopePlgEditorCodemirrorGlobal(e)\_internalrefd7/d38/classPlgEditorCodemirror#a1d91a71690c3b7ba2e9aa6157b2de6d2"PlgEditorCodemirror::onSave"($id)</dt><dd>4.0Codeexecutesdirectlyonsubmit</dd><dt>\anchor_deprecated001205\_setscopePlgEditorCodemirrorGlobal(e)\_internalrefd7/d38/classPlgEditorCodemirror#a1d62b383b3d0ef36c410bb5ca2e92831"PlgEditorCodemirror::onSetContent"($id,$content)</dt><dd>4.0Usedirectlythereturnedcode</dd><dt>\anchor_deprecated001208\_setscopePlgEditorNoneGlobal(e)\_internalrefd1/d50/classPlgEditorNone#a5a4b78e721e7d51150f3e0d2483b3ca6"PlgEditorNone::onGetContent"($id)</dt><dd>4.0Usedirectlythereturnedcode</dd><dt>\anchor_deprecated001210\_setscopePlgEditorNoneGlobal(e)\_internalrefd1/d50/classPlgEditorNone#a77175481364477ba968ef2ca294c4159"PlgEditorNone::onGetInsertMethod"($id)</dt><dd>4.0</dd><dt>\anchor_deprecated001207\_setscopePlgEditorNoneGlobal(e)\_internalrefd1/d50/classPlgEditorNone#aea22c4bb0c72e7e2d881578501b703f2"PlgEditorNone::onSave"($editor)</dt><dd>4.0Usedirectlythereturnedcode</dd><dt>\anchor_deprecated001209\_setscopePlgEditorNoneGlobal(e)\_internalrefd1/d50/classPlgEditorNone#ac118945102657279fda015d91ccd728c"PlgEditorNone::onSetContent"($id,$html)</dt><dd>4.0Usedirectlythereturnedcode</dd><dt>\anchor_deprecated001215\_setscopePlgEditorTinymceGlobal(e)\_internalrefd2/de9/classPlgEditorTinymce#a389fa974ac9b9093b6523909ad07abd5"PlgEditorTinymce::onDisplayLegacy"($name,$content,$width,$height,$col,$row,$buttons=true,$id=null,$asset=null,$author=null,$params=array())</dt><dd>4.0</dd><dt>\anchor_deprecated001211\_setscopePlgEditorTinymceGlobal(e)\_internalrefd2/de9/classPlgEditorTinymce#a5a4b78e721e7d51150f3e0d2483b3ca6"PlgEditorTinymce::onGetContent"($id)</dt><dd>4.0Usedirectlythereturnedcode</dd><dt>\anchor_deprecated001214\_setscopePlgEditorTinymceGlobal(e)\_internalrefd2/de9/classPlgEditorTinymce#a6773e025fa035cce445833c891e52aff"PlgEditorTinymce::onGetInsertMethod"($name)</dt><dd>3.5tinyMCE(APIv4)willgetthecontentautomaticallyfromthetextarea</dd><dt>\anchor_deprecated001213\_setscopePlgEditorTinymceGlobal(e)\_internalrefd2/de9/classPlgEditorTinymce#a1d91a71690c3b7ba2e9aa6157b2de6d2"PlgEditorTinymce::onSave"($id)</dt><dd>4.0Usedirectlythereturnedcode</dd><dt>\anchor_deprecated001212\_setscopePlgEditorTinymceGlobal(e)\_internalrefd2/de9/classPlgEditorTinymce#ac118945102657279fda015d91ccd728c"PlgEditorTinymce::onSetContent"($id,$html)</dt><dd>4.0Usedirectlythereturnedcode</dd><dt>\anchor_deprecated001216\_setscopePlgSystemSefGlobal(e)\_internalrefd1/d77/classPlgSystemSef#a97cbc8fd8857c6b5a86c73d3fbaacfd0"PlgSystemSef::route"(&$matches)</dt><dd>4.0Noreplacement.</dd><dt>\anchor_deprecated000985\_setscopeJoomla::CMS::Plugin::PluginHelperGlobal(e)\_internalrefd5/d61/classJoomla_1_1CMS_1_1Plugin_1_1PluginHelper#ad407d58c868657248a5d6a9a8601cf2c"PluginHelper::_import"($plugin,$autocreate=true,\JEventDispatcher$dispatcher=null)</dt><dd>4.0UsePluginHelper::import()instead</dd><dt>\anchor_deprecated000986\_setscopeJoomla::CMS::Plugin::PluginHelperGlobal(e)\_internalrefd5/d61/classJoomla_1_1CMS_1_1Plugin_1_1PluginHelper#a1dedbe02a078c9171e74df4ae2f95b68"PluginHelper::_load"()</dt><dd>4.0UsePluginHelper::load()instead</dd><dt>\anchor_deprecated000058\_setscopePluginsHelperGlobal(e)\_internalrefdd/d08/classPluginsHelper#a03e66c13a28cfe582e57f78d0f2096e8"PluginsHelper::getActions"()</dt><dd>3.2UseJHelperContent::getActions()instead</dd><dt>\anchor_deprecated001027\_setscopeJoomla::CMS::Toolbar::Button::PopupButtonGlobal(e)\_internalrefde/dcd/classJoomla_1_1CMS_1_1Toolbar_1_1Button_1_1PopupButton#a352e93bef2ac9f5cebf7d0ab9e001912"PopupButton::fetchButton"($type='Modal',$name='',$text='',$url='',$width=640,$height=480,$top=0,$left=0,$onClose='',$title='',$footer=null)</dt><dd>Unused,willberemovedin4.0]<p>Unused,willberemovedin4.0]</dd><dt>\anchor_deprecated000894\_setscopeJoomla::CMS::Language::Stemmer::PorterenClasse\_internalrefd4/d97/classJoomla_1_1CMS_1_1Language_1_1Stemmer_1_1Porteren"Porteren"</dt><dd>4.0Usewamania/php-stemmer</dd><dt>\anchor_deprecated000127Global(e)\_internalrefde/d43/components_2com__privacy_2router_8php#ad51abf6808b49a9d97e4c14a7f359b92"privacyBuildRoute"(&$query)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000128Global(e)\_internalrefde/d43/components_2com__privacy_2router_8php#a34acbe98fe7d39194375bca83c600360"privacyParseRoute"($segments)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated001070\_setscopeJoomla::Application::Cli::Output::Processor::ProcessorInterfaceClasse\_internalrefdf/d21/interfaceJoomla_1_1Application_1_1Cli_1_1Output_1_1Processor_1_1ProcessorInterface"ProcessorInterface"</dt><dd>2.0Usethe<tt>joomla/console</tt>packageinstead</dd><dt>\anchor_deprecated000988\_setscopeJoomla::CMS::Profiler::ProfilerGlobal(e)\_internalrefd5/dfd/classJoomla_1_1CMS_1_1Profiler_1_1Profiler#a144248575cd034a40315155a9b48ff87"Profiler::getMemory"()</dt><dd>4.0-UsePHP'snativememory_get_usage()</dd><dt>\anchor_deprecated000987\_setscopeJoomla::CMS::Profiler::ProfilerGlobal(e)\_internalrefd5/dfd/classJoomla_1_1CMS_1_1Profiler_1_1Profiler#a17fe922ddb405349a98e32a6677a4a75"Profiler::getmicrotime"()</dt><dd>4.0-UsePHP'smicrotime(1)</dd><dt>\anchor_deprecated000059\_setscopeRedirectHelperGlobal(e)\_internalrefdc/dc7/classRedirectHelper#a03e66c13a28cfe582e57f78d0f2096e8"RedirectHelper::getActions"()</dt><dd>3.2UseJHelperContent::getActions()instead</dd><dt>\anchor_deprecated001104\_setscopeJoomla::Registry::RegistryGlobal(e)\_internalrefdd/df0/classJoomla_1_1Registry_1_1Registry#a8dbfd280aa1c23f8e78f49c55d85877c"Registry::getInstance"($id)</dt><dd>2.0InstantiateanewRegistryinstanceinstead</dd><dt>\anchor_deprecated000738\_setscopeJoomla::CMS::Crypt::Cipher::Rijndael256CipherClasse\_internalrefd1/d60/classJoomla_1_1CMS_1_1Crypt_1_1Cipher_1_1Rijndael256Cipher"Rijndael256Cipher"</dt><dd>4.0WithoutreplacementuseSodiumCipher</dd><dt>\anchor_deprecated000999\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a7f100e52d7c8c5bfbff99a401d90b43e"Router::_buildRawRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainbuildstage</dd><dt>\anchor_deprecated001001\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a3040b84b525379f95968627b6ab319c2"Router::_buildSefRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainbuildstage</dd><dt>\anchor_deprecated001005\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a6d352cbc3a4a39a9bd14c7631ad2ea34"Router::_createUri"($url)</dt><dd>4.0UsecreateUri()instead@codeCoverageIgnore</dd><dt>\anchor_deprecated001008\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a28a8ec42a5dee32dae9694b967cc12a0"Router::_decodeSegments"($segments)</dt><dd>4.0Thisshouldbeperformedinthecomponentrouterinstead@codeCoverageIgnore</dd><dt>\anchor_deprecated001006\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a8b5ddfb776870bcc092e6adde481d881"Router::_encodeSegments"($segments)</dt><dd>4.0Thisshouldbeperformedinthecomponentrouterinstead@codeCoverageIgnore</dd><dt>\anchor_deprecated000995\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#aaf22715c9a2a59362fbfd70bb7bef756"Router::_parseRawRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainparsestage</dd><dt>\anchor_deprecated000997\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a2916078a92a4570b998cc04551a65bab"Router::_parseSefRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainparsestage</dd><dt>\anchor_deprecated001004\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a0034ccd728911ec6a8e00d2b21b888fa"Router::_processBuildRules"(&$uri)</dt><dd>4.0UseprocessBuildRules()instead</dd><dt>\anchor_deprecated001003\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#aa2266a5267574f6e0164afbbb4a8d6fd"Router::_processParseRules"(&$uri)</dt><dd>4.0UseprocessParseRules()instead</dd><dt>\anchor_deprecated001000\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#ac89544835a5536102eb017c99dd99479"Router::buildRawRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainbuildstage</dd><dt>\anchor_deprecated001002\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a0ea8acb6eaf0b2e641447c1f7f33926b"Router::buildSefRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainbuildstage</dd><dt>\anchor_deprecated001009\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a623ceb96ce0b5cee0a69d1f8f257023c"Router::decodeSegments"($segments)</dt><dd>4.0Thisshouldbeperformedinthecomponentrouterinstead</dd><dt>\anchor_deprecated001007\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#ad12c065b0a54c43ac77765298d4549f2"Router::encodeSegments"($segments)</dt><dd>4.0Thisshouldbeperformedinthecomponentrouterinstead</dd><dt>\anchor_deprecated000993\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a6575c27b4e37901c864476375ec9369e"Router::getMode"()</dt><dd>4.0</dd><dt>\anchor_deprecated000996\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#add7b686408e17cf1f176e012bd5fee33"Router::parseRawRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainparsestage</dd><dt>\anchor_deprecated000998\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#a2b110732b69e8926dd007b07ae45357e"Router::parseSefRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainparsestage</dd><dt>\anchor_deprecated000994\_setscopeJoomla::CMS::Router::RouterGlobal(e)\_internalrefdb/d79/classJoomla_1_1CMS_1_1Router_1_1Router#aedb3b9354b6451554912fd1cb36bb2d0"Router::setMode"($mode)</dt><dd>4.0</dd><dt>\anchor_deprecated000129Global(e)\_internalrefde/d6f/components_2com__search_2router_8php#a169d47707536d44e1dc557aaf460dd1c"searchBuildRoute"(&$query)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000060\_setscopeSearchHelperGlobal(e)\_internalrefd3/df1/classSearchHelper#a03e66c13a28cfe582e57f78d0f2096e8"SearchHelper::getActions"()</dt><dd>3.2UseJHelperContent::getActions()instead.</dd><dt>\anchor_deprecated000061\_setscopeSearchHelperGlobal(e)\_internalrefd3/df1/classSearchHelper#aa8c54069d2a3b2bcefbf61464252cc53"SearchHelper::logSearch"($searchTerm)</dt><dd>4.0Use\Joomla\CMS\Helper\SearchHelper::logSearch()instead.</dd><dt>\anchor_deprecated000130Global(e)\_internalrefde/d6f/components_2com__search_2router_8php#ac40d4f24a0bd3c4fbc0a64be85aad9d8"searchParseRoute"($segments)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000936\_setscopeJoomla::CMS::Menu::Node::SeparatorClasse\_internalrefd8/dd0/classJoomla_1_1CMS_1_1Menu_1_1Node_1_1Separator"Separator"</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000937\_setscopeJoomla::CMS::Menu::Node::SeparatorGlobal(e)\_internalrefd8/dd0/classJoomla_1_1CMS_1_1Menu_1_1Node_1_1Separator#af3490a2ed468bdf5d4b1e2054e82104c"Separator::__construct"($title=null)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000938\_setscopeJoomla::CMS::Menu::Node::SeparatorGlobal(e)\_internalrefd8/dd0/classJoomla_1_1CMS_1_1Menu_1_1Node_1_1Separator#af5ea6a083ddb07beb8a30dd32e309ceb"Separator::get"($name)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated001111\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#abc8e9e31bb15c8a44c3210ec551407c8"Session::__get"($name)</dt><dd>2.0Usegetmethodsfornon-deprecatedproperties</dd><dt>\anchor_deprecated001121\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a049485e225cf72b1ec3e8c8fb834770f"Session::_createToken"($length=32)</dt><dd>Asof2.0thesessiontokenwillbeafixedlength<p>2.0UsecreateTokeninstead</dd><dt>\anchor_deprecated001120\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a134f8d548fd8674cb2b691e9145691d3"Session::_setCookieParams"()</dt><dd>2.0</dd><dt>\anchor_deprecated001124\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a1557dbe3d6fa1b6129294c479334b3a6"Session::_setCounter"()</dt><dd>2.0UsesetCounterinstead</dd><dt>\anchor_deprecated001126\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a1283cf0f2267e639f3ae0337debec7ea"Session::_setOptions"(array$options)</dt><dd>2.0UsesetOptionsinstead</dd><dt>\anchor_deprecated001125\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#ab9f50c424913e010b708c79dd2984996"Session::_setTimers"()</dt><dd>2.0UsesetTimersinstead</dd><dt>\anchor_deprecated001119\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a43c71a826f71b672a21bd66606543789"Session::_start"()</dt><dd>2.0</dd><dt>\anchor_deprecated001127\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a124b3c975cf75c46075eaee6f7a0af43"Session::_validate"($restart=false)</dt><dd>2.0Usevalidateinstead</dd><dt>\anchor_deprecated001118\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#ac226ff9d287784019453f19b03d46e35"Session::clear"($name,$namespace='default')</dt><dd>2.0Namespacesupportwillberemoved.</dd><dt>\anchor_deprecated001123\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#afac48126ed93dfbe9eab6416d72010e6"Session::createToken"($length=32)</dt><dd>Asof2.0thesessiontokenwillbeafixedlength</dd><dt>\anchor_deprecated001115\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a428cfdd44e3b9a0af0a5db53824588fd"Session::get"($name,$default=null,$namespace='default')</dt><dd>2.0Namespacesupportwillberemoved.</dd><dt>\anchor_deprecated001112\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a4764304627a61db0e911a19b3291e37c"Session::getInstance"($handler,array$options=array())</dt><dd>2.0Asingletonobjectstorewillnolongerbesupported</dd><dt>\anchor_deprecated001113\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a76b5c0c4fd8e74dda6b3540fb021cd43"Session::getStores"()</dt><dd>2.0TheStorageclasschainwillberemoved</dd><dt>\anchor_deprecated001117\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a91debd2d6c210a9cacb9cbcb57956318"Session::has"($name,$namespace='default')</dt><dd>2.0Namespacesupportwillberemoved.</dd><dt>\anchor_deprecated001114\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a9164c6e7b2cec7a573ef1d76c113415d"Session::initialise"(Input$input,DispatcherInterface$dispatcher=null)</dt><dd>2.0In2.0theDispatcherInterfaceshouldbeinjectedviatheobjectconstructor</dd><dt>\anchor_deprecated001116\_setscopeJoomla::Session::SessionGlobal(e)\_internalrefd0/d11/classJoomla_1_1Session_1_1Session#a7dcd55127a212333c996efd42ba86bb4"Session::set"($name,$value=null,$namespace='default')</dt><dd>2.0Namespacesupportwillberemoved.</dd><dt>\anchor_deprecated000739\_setscopeJoomla::CMS::Crypt::Cipher::SimpleCipherClasse\_internalrefd4/d5f/classJoomla_1_1CMS_1_1Crypt_1_1Cipher_1_1SimpleCipher"SimpleCipher"</dt><dd>4.0WithoutreplacementuseSodiumCipher</dd><dt>\anchor_deprecated000747\_setscopeJoomla::CMS::Crypt::Password::SimpleCryptPasswordClasse\_internalrefde/d6a/classJoomla_1_1CMS_1_1Crypt_1_1Password_1_1SimpleCryptPassword"SimpleCryptPassword"</dt><dd>4.0UsePHP5.5'snativepasswordhashingAPI</dd><dt>\anchor_deprecated000750\_setscopeJoomla::CMS::Crypt::Password::SimpleCryptPasswordGlobal(e)\_internalrefde/d6a/classJoomla_1_1CMS_1_1Crypt_1_1Password_1_1SimpleCryptPassword#a7660a5afd3838f0ab34fbd01a1e0586e"SimpleCryptPassword::create"($password,$type=null)</dt><dd>4.0UsePHP5.5'snativepasswordhashingAPI</dd><dt>\anchor_deprecated000755\_setscopeJoomla::CMS::Crypt::Password::SimpleCryptPasswordGlobal(e)\_internalrefde/d6a/classJoomla_1_1CMS_1_1Crypt_1_1Password_1_1SimpleCryptPassword#a2d4f35544790de1dc2c2254d907a3f90"SimpleCryptPassword::getDefaultType"()</dt><dd>4.0UsePHP5.5'snativepasswordhashingAPI</dd><dt>\anchor_deprecated000752\_setscopeJoomla::CMS::Crypt::Password::SimpleCryptPasswordGlobal(e)\_internalrefde/d6a/classJoomla_1_1CMS_1_1Crypt_1_1Password_1_1SimpleCryptPassword#af2e54b755ff702884c06d8bf3292290f"SimpleCryptPassword::getSalt"($length)</dt><dd>4.0UsePHP5.5'snativepasswordhashingAPI</dd><dt>\anchor_deprecated000751\_setscopeJoomla::CMS::Crypt::Password::SimpleCryptPasswordGlobal(e)\_internalrefde/d6a/classJoomla_1_1CMS_1_1Crypt_1_1Password_1_1SimpleCryptPassword#aab02aeaa3d19790556269ecf9944947d"SimpleCryptPassword::setCost"($cost)</dt><dd>4.0UsePHP5.5'snativepasswordhashingAPI</dd><dt>\anchor_deprecated000754\_setscopeJoomla::CMS::Crypt::Password::SimpleCryptPasswordGlobal(e)\_internalrefde/d6a/classJoomla_1_1CMS_1_1Crypt_1_1Password_1_1SimpleCryptPassword#a20f399fc7380b4fc442539e742466488"SimpleCryptPassword::setDefaultType"($type)</dt><dd>4.0UsePHP5.5'snativepasswordhashingAPI</dd><dt>\anchor_deprecated000753\_setscopeJoomla::CMS::Crypt::Password::SimpleCryptPasswordGlobal(e)\_internalrefde/d6a/classJoomla_1_1CMS_1_1Crypt_1_1Password_1_1SimpleCryptPassword#a0b0e76b98f7b749714978936b099ce5e"SimpleCryptPassword::verify"($password,$hash)</dt><dd>4.0UsePHP5.5'snativepasswordhashingAPI</dd><dt>\anchor_deprecated001185\_setscopeSimplePieEspacedenommage\_internalrefd7/d93/namespaceSimplePie"SimplePie"</dt><dd>Use<p>UseDOMDocumentinstead!</dd><dt>\anchor_deprecated001194\_setscopeSimplePieGlobal(e)\_internalrefdb/da9/classSimplePie#a8fad0bea08499c9d212b492a43165f5c"SimplePie::get_favicon"()</dt><dd>Useyourownfaviconhandlinginstead</dd><dt>\anchor_deprecated001192\_setscopeSimplePieGlobal(e)\_internalrefdb/da9/classSimplePie#a4ae116e46ea15e934735ff4680c2d14b"SimplePie::set_cache_class"($class='SimplePie_Cache')</dt><dd>Use</dd><dt>\anchor_deprecated001193\_setscopeSimplePieGlobal(e)\_internalrefdb/da9/classSimplePie#a5fa77357b21749d4c05b90e6bd17b597"SimplePie::set_favicon_handler"($page=false,$qs='i')</dt><dd>Useyourownfaviconhandlinginstead</dd><dt>\anchor_deprecated001184\_setscopeSimplePie_CacheGlobal(e)\_internalrefd4/d9d/classSimplePie__Cache#a53e2db879d0165ae9d628382b5338718"SimplePie_Cache::create"($location,$filename,$extension)</dt><dd>Use</dd><dt>\anchor_deprecated001188\_setscopeSimplePie_EnclosureGlobal(e)\_internalrefd9/d46/classSimplePie__Enclosure#a2bd284749ba9b8f0dc7aa1880ced45a4"SimplePie_Enclosure::native_embed"($options='')</dt><dd>Usethesecondparameterto</dd><dt>\anchor_deprecated001190\_setscopeSimplePie_MiscGlobal(e)\_internalrefd7/dc9/classSimplePie__Misc#ac82774d3a6f92827ae3d6e3c78a4be85"SimplePie_Misc::entities_decode"($data)</dt><dd>UseDOMDocumentinstead</dd><dt>\anchor_deprecated001189\_setscopeSimplePie_MiscGlobal(e)\_internalrefd7/dc9/classSimplePie__Misc#a905a3148ee530ca2bb510b68134be72d"SimplePie_Misc::get_element"($realname,$string)</dt><dd>UseDOMDocumentinstead(parsingHTMLwithregexisbad!)</dd><dt>\anchor_deprecated001191\_setscopeSimplePie_Net_IPv6Global(e)\_internalrefdb/d62/classSimplePie__Net__IPv6#a329f9e3e2124440d6b91adb785312edd"SimplePie_Net_IPv6::checkIPv6"($ip)</dt><dd>Use</dd><dt>\anchor_deprecated000718\_setscopeJoomla::CMS::Application::SiteApplicationGlobal(e)\_internalrefd6/d71/classJoomla_1_1CMS_1_1Application_1_1SiteApplication#a7e81cde983a01434ae5ef1d3f716714c"SiteApplication::getPageParameters"($option=null)</dt><dd>4.0UsegetParams()instead</dd><dt>\anchor_deprecated001013\_setscopeJoomla::CMS::Router::SiteRouterGlobal(e)\_internalrefdd/d1a/classJoomla_1_1CMS_1_1Router_1_1SiteRouter#a3040b84b525379f95968627b6ab319c2"SiteRouter::_buildSefRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainbuildstage@codeCoverageIgnore</dd><dt>\anchor_deprecated001012\_setscopeJoomla::CMS::Router::SiteRouterGlobal(e)\_internalrefdd/d1a/classJoomla_1_1CMS_1_1Router_1_1SiteRouter#ac89544835a5536102eb017c99dd99479"SiteRouter::buildRawRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainbuildstage</dd><dt>\anchor_deprecated001014\_setscopeJoomla::CMS::Router::SiteRouterGlobal(e)\_internalrefdd/d1a/classJoomla_1_1CMS_1_1Router_1_1SiteRouter#a0ea8acb6eaf0b2e641447c1f7f33926b"SiteRouter::buildSefRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainbuildstage</dd><dt>\anchor_deprecated001010\_setscopeJoomla::CMS::Router::SiteRouterGlobal(e)\_internalrefdd/d1a/classJoomla_1_1CMS_1_1Router_1_1SiteRouter#add7b686408e17cf1f176e012bd5fee33"SiteRouter::parseRawRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainparsestage</dd><dt>\anchor_deprecated001011\_setscopeJoomla::CMS::Router::SiteRouterGlobal(e)\_internalrefdd/d1a/classJoomla_1_1CMS_1_1Router_1_1SiteRouter#a2b110732b69e8926dd007b07ae45357e"SiteRouter::parseSefRoute"(&$uri)</dt><dd>4.0Attachyourlogicasruletothemainparsestage</dd><dt>\anchor_deprecated001015\_setscopeJoomla::CMS::Router::SiteRouterGlobal(e)\_internalrefdd/d1a/classJoomla_1_1CMS_1_1Router_1_1SiteRouter#ab3df232113c105af984b6c25ad1ed99f"SiteRouter::processBuildRules"(&$uri,$stage=self::PROCESS_DURING)</dt><dd>4.0Thespeciallogicshouldbeimplementedasrule</dd><dt>\anchor_deprecated001093\_setscopeJoomla::Image::Filter::SketchyClasse\_internalrefdf/d88/classJoomla_1_1Image_1_1Filter_1_1Sketchy"Sketchy"</dt><dd>Thejoomla/imagepackageisdeprecated</dd><dt>\anchor_deprecated001094\_setscopeJoomla::Image::Filter::SmoothClasse\_internalrefd3/da3/classJoomla_1_1Image_1_1Filter_1_1Smooth"Smooth"</dt><dd>Thejoomla/imagepackageisdeprecated</dd><dt>\anchor_deprecated001071\_setscopeJoomla::Application::Cli::Output::StdoutClasse\_internalrefd7/d4d/classJoomla_1_1Application_1_1Cli_1_1Output_1_1Stdout"Stdout"</dt><dd>2.0Usethe<tt>joomla/console</tt>packageinstead</dd><dt>\anchor_deprecated001164\_setscopeJoomla::Session::StorageClasse\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage"Storage"</dt><dd>2.0TheStorageclasschainwillberemoved.</dd><dt>\anchor_deprecated001166\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#aa7f5a18682ecb8e0dc450e26cebfaa37"Storage::__construct"($options=array())</dt><dd>2.0</dd><dt>\anchor_deprecated001170\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#aa69c8bf1f1dcf4e72552efff1fe3e87e"Storage::close"()</dt><dd>2.0</dd><dt>\anchor_deprecated001173\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#a726fa8a4b4b187b9ca32ba427aac8137"Storage::destroy"($id)</dt><dd>2.0</dd><dt>\anchor_deprecated001174\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#abb561f5c9bf8e7b2c7a18a358c8f71d7"Storage::gc"($maxlifetime=null)</dt><dd>2.0</dd><dt>\anchor_deprecated001167\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#ab818329559466f212b2e5446fa46af98"Storage::getInstance"($name='none',$options=array())</dt><dd>2.0</dd><dt>\anchor_deprecated001175\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#adc36dedf4b7b9d79eed5296b94001311"Storage::isSupported"()</dt><dd>2.0</dd><dt>\anchor_deprecated001169\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#ac70d1623e67e5b6d1859856dcef15d82"Storage::open"($savePath,$sessionName)</dt><dd>2.0</dd><dt>\anchor_deprecated001171\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#afa59bebedda70c37b94c2efc35da83f3"Storage::read"($id)</dt><dd>2.0</dd><dt>\anchor_deprecated001168\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#acc294a6cc8e69743746820e3d15e3f78"Storage::register"()</dt><dd>2.0</dd><dt>\anchor_deprecated001172\_setscopeJoomla::Session::StorageGlobal(e)\_internalrefdc/dd7/classJoomla_1_1Session_1_1Storage#aa98c83f0aa2942dd689d7bb83062dfba"Storage::write"($id,$sessionData)</dt><dd>2.0</dd><dt>\anchor_deprecated001176\_setscopeJoomla::String::StringClasse\_internalrefda/dc3/classJoomla_1_1String_1_1String"String"</dt><dd>2.0UseStringHelperinstead</dd><dt>\anchor_deprecated001078\_setscopeJoomla::Filesystem::Stream::StringClasse\_internalrefd9/d3d/classJoomla_1_1Filesystem_1_1Stream_1_1String"String"</dt><dd>2.0UseStringWrapperinstead</dd><dt>\anchor_deprecated001079\_setscopeJoomla::Filesystem::Support::StringControllerGlobal(e)\_internalrefd3/d0e/classJoomla_1_1Filesystem_1_1Support_1_1StringController#a390b1cb2d27eb602bc59688ee3b79705"StringController::_getArray"()</dt><dd>2.0Use<tt>getArray</tt>instead.</dd><dt>\anchor_deprecated000131Global(e)\_internalrefd1/d71/components_2com__tags_2router_8php#aacc10a8751b4518310cd0e678bb4ecb9"tagsBuildRoute"(&$query)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000062\_setscopeTagsHelperClasse\_internalrefd3/d92/classTagsHelper"TagsHelper"</dt><dd>4.0</dd><dt>\anchor_deprecated000063\_setscopeTagsHelperGlobal(e)\_internalrefd3/d92/classTagsHelper#a99488d1d73449db2f9e2107c2258e89a"TagsHelper::addSubmenu"($extension)</dt><dd>4.0</dd><dt>\anchor_deprecated000846\_setscopeJoomla::CMS::Helper::TagsHelperGlobal(e)\_internalrefd6/dde/classJoomla_1_1CMS_1_1Helper_1_1TagsHelper#a3dacc07bec74e084cf729bd1edab470d"TagsHelper::createTagsFromMetadata"($metadata)</dt><dd>4.0ThismethodisnolongerusedintheCMSandwillnotbereplaced.</dd><dt>\anchor_deprecated000847\_setscopeJoomla::CMS::Helper::TagsHelperGlobal(e)\_internalrefd6/dde/classJoomla_1_1CMS_1_1Helper_1_1TagsHelper#a0b4a696b33994af790dd2e43cbb5bda9"TagsHelper::getTypeId"($typeAlias)</dt><dd>4.0Use\JUcmType::getTypeId()instead</dd><dt>\anchor_deprecated000132Global(e)\_internalrefd1/d71/components_2com__tags_2router_8php#aa0a6d0282e4c3e9957cae3fedb9f7db0"tagsParseRoute"($segments)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000064\_setscopeTemplatesHelperGlobal(e)\_internalrefd5/df6/classTemplatesHelper#a03e66c13a28cfe582e57f78d0f2096e8"TemplatesHelper::getActions"()</dt><dd>3.2UseJHelperContent::getActions()instead</dd><dt>\anchor_deprecated000906\_setscopeJoomla::CMS::Language::Wrapper::TransliterateWrapperClasse\_internalrefd7/d18/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1TransliterateWrapper"TransliterateWrapper"</dt><dd>4.0Use<tt>Joomla\\CMS\\Language\\Transliterate</tt>directly</dd><dt>\anchor_deprecated000907\_setscopeJoomla::CMS::Language::Wrapper::TransliterateWrapperGlobal(e)\_internalrefd7/d18/classJoomla_1_1CMS_1_1Language_1_1Wrapper_1_1TransliterateWrapper#a8fe2c1de3a8988fc44e2c54576235805"TransliterateWrapper::utf8_latin_to_ascii"($string,$case=0)</dt><dd>4.0Use<tt>Joomla\\CMS\\Language\\Transliterate</tt>directly</dd><dt>\anchor_deprecated000956\_setscopeJoomla::CMS::Menu::TreeClasse\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree"Tree"</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000957\_setscopeJoomla::CMS::Menu::TreeGlobal(e)\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree#a095c5d389db211932136b53f25f39685"Tree::__construct"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000963\_setscopeJoomla::CMS::Menu::TreeGlobal(e)\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree#a82c72e989b58675e412254571ced798d"Tree::addChild"(Node$node,$setCurrent=false)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000965\_setscopeJoomla::CMS::Menu::TreeGlobal(e)\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree#ad0deb84858ef36ac73fd601013b2a468"Tree::getCss"()</dt><dd>4.0</dd><dt>\anchor_deprecated000959\_setscopeJoomla::CMS::Menu::TreeGlobal(e)\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree#ad926899d7cac34a3f1a90e552d8eb27d"Tree::getCurrent"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000964\_setscopeJoomla::CMS::Menu::TreeGlobal(e)\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree#a7a27aa8d4dd64e4f282c455ba73bd05d"Tree::getIconClass"()</dt><dd>4.0</dd><dt>\anchor_deprecated000961\_setscopeJoomla::CMS::Menu::TreeGlobal(e)\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree#abc045ac1e48463e56c32bcf5e94ea4ff"Tree::getParent"($setCurrent=true)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000958\_setscopeJoomla::CMS::Menu::TreeGlobal(e)\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree#aad5f81bb01a9f12cfb3fc38ca462a90d"Tree::getRoot"()</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000962\_setscopeJoomla::CMS::Menu::TreeGlobal(e)\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree#a143c845a49bded309294e3fd3a876575"Tree::reset"($clear=false)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000960\_setscopeJoomla::CMS::Menu::TreeGlobal(e)\_internalrefd8/dae/classJoomla_1_1CMS_1_1Menu_1_1Tree#a202dbcec01b06526d6b89f95c611f5c5"Tree::setCurrent"($node)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000740\_setscopeJoomla::CMS::Crypt::Cipher::TripleDesCipherClasse\_internalrefdb/dca/classJoomla_1_1CMS_1_1Crypt_1_1Cipher_1_1TripleDesCipher"TripleDesCipher"</dt><dd>4.0WithoutreplacementuseSodiumCipher</dd><dt>\anchor_deprecated001195\_setscopeSymfony::Component::Yaml::UnescaperGlobal(e)\_internalrefd0/d26/classSymfony_1_1Component_1_1Yaml_1_1Unescaper#ac469db39bd848179bdd0d025f92fece3"Unescaper::ENCODING"</dt><dd>sinceversion2.5,toberemovedin3.0</dd><dt>\anchor_deprecated001029\_setscopeJoomla::CMS::Updater::UpdaterGlobal(e)\_internalrefd9/d19/classJoomla_1_1CMS_1_1Updater_1_1Updater#a2ef1f62b3b1f4397eae1e18a236a7699"Updater::update"($id)</dt><dd>4.0Noreplacement.</dd><dt>\anchor_deprecated001031\_setscopeJoomla::CMS::Uri::UriGlobal(e)\_internalrefdd/d20/classJoomla_1_1CMS_1_1Uri_1_1Uri#ad80913db46e29abe8c9270c6a0abf115"Uri::_cleanPath"($path)</dt><dd>4.0Use@link\Joomla\Uri\Uri::cleanPath()instead</dd><dt>\anchor_deprecated001030\_setscopeJoomla::CMS::Uri::UriGlobal(e)\_internalrefdd/d20/classJoomla_1_1CMS_1_1Uri_1_1Uri#a5d101758b135bd36ba8992cc3bb67a24"Uri::setPath"($path)</dt><dd>4.0Use@link\Joomla\Uri\Uri::setPath()</dd><dt>\anchor_deprecated000939\_setscopeJoomla::CMS::Menu::Node::UrlClasse\_internalrefd0/d3b/classJoomla_1_1CMS_1_1Menu_1_1Node_1_1Url"Url"</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000940\_setscopeJoomla::CMS::Menu::Node::UrlGlobal(e)\_internalrefd0/d3b/classJoomla_1_1CMS_1_1Menu_1_1Node_1_1Url#a64a9fcc545f85c5d523953f658f7d31d"Url::__construct"($title,$link,$target=null,$class=null,$id=null,$icon=null)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated000941\_setscopeJoomla::CMS::Menu::Node::UrlGlobal(e)\_internalrefd0/d3b/classJoomla_1_1CMS_1_1Menu_1_1Node_1_1Url#af5ea6a083ddb07beb8a30dd32e309ceb"Url::get"($name)</dt><dd>4.0UseJoomla\CMS\Menu\MenuItem</dd><dt>\anchor_deprecated001033\_setscopeJoomla::CMS::User::UserGlobal(e)\_internalrefd9/d48/classJoomla_1_1CMS_1_1User_1_1User#afe776480ad8a3dabfa049aa5f227d22f"User::__construct"($identifier=0,UserWrapper$userHelper=null)</dt><dd>4.0]</dd><dt>\anchor_deprecated001034\_setscopeJoomla::CMS::User::UserGlobal(e)\_internalrefd9/d48/classJoomla_1_1CMS_1_1User_1_1User#ae539ead199fab983ade91130cf594633"User::getInstance"($identifier=0,UserWrapper$userHelper=null)</dt><dd>4.0]</dd><dt>\anchor_deprecated001035\_setscopeJoomla::CMS::User::UserGlobal(e)\_internalrefd9/d48/classJoomla_1_1CMS_1_1User_1_1User#a015cb52e5774a1972d296c9694d2a3c3"User::getParameters"()</dt><dd>4.0-InsteaduseUser::getParam()</dd><dt>\anchor_deprecated001039\_setscopeJoomla::CMS::User::UserHelperGlobal(e)\_internalrefd2/dd7/classJoomla_1_1CMS_1_1User_1_1UserHelper#a308504ae32b92c09c8e8a04f766f6b7c"UserHelper::clearExpiredTokens"()</dt><dd>4.0Thisishandledintheauthenticationpluginitself</dd><dt>\anchor_deprecated001036\_setscopeJoomla::CMS::User::UserHelperGlobal(e)\_internalrefd2/dd7/classJoomla_1_1CMS_1_1User_1_1UserHelper#a381f6ad225f9b2c064fb9370d5b65817"UserHelper::getCryptedPassword"($plaintext,$salt='',$encryption='md5-hex',$showEncrypt=false)</dt><dd>4.0</dd><dt>\anchor_deprecated001040\_setscopeJoomla::CMS::User::UserHelperGlobal(e)\_internalrefd2/dd7/classJoomla_1_1CMS_1_1User_1_1UserHelper#a4ec458ae9ef1e186ac5d21308a4fd7c3"UserHelper::getRememberCookieData"()</dt><dd>4.0Thisishandledintheauthenticationpluginitself</dd><dt>\anchor_deprecated001037\_setscopeJoomla::CMS::User::UserHelperGlobal(e)\_internalrefd2/dd7/classJoomla_1_1CMS_1_1User_1_1UserHelper#ad855c18784e872e282711026ff2ede7a"UserHelper::getSalt"($encryption='md5-hex',$seed='',$plaintext='')</dt><dd>4.0</dd><dt>\anchor_deprecated001038\_setscopeJoomla::CMS::User::UserHelperGlobal(e)\_internalrefd2/dd7/classJoomla_1_1CMS_1_1User_1_1UserHelper#acea9dab95600a087f4188f5afc3147a9"UserHelper::invalidateCookie"($userId,$cookieName)</dt><dd>4.0Thisishandledintheauthenticationpluginitself.The'invalid'columninthedbshouldberemovedaswell</dd><dt>\anchor_deprecated000146Global(e)\_internalrefdc/dbd/components_2com__users_2router_8php#a0ecc2edc0319048196b312631f748da4"usersBuildRoute"(&$query)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000065\_setscopeUsersHelperGlobal(e)\_internalrefd1/dbc/classUsersHelper#a03e66c13a28cfe582e57f78d0f2096e8"UsersHelper::getActions"()</dt><dd>3.2UseJHelperContent::getActions()instead</dd><dt>\anchor_deprecated000138\_setscopeUsersHelperRouteClasse\_internalrefdf/d60/classUsersHelperRoute"UsersHelperRoute"</dt><dd>4.0</dd><dt>\anchor_deprecated000139\_setscopeUsersHelperRouteGlobal(e)\_internalrefdf/d60/classUsersHelperRoute#ad82555a0fd9a8910f149bf81615bc28e"UsersHelperRoute::getItems"()</dt><dd>4.0</dd><dt>\anchor_deprecated000140\_setscopeUsersHelperRouteGlobal(e)\_internalrefdf/d60/classUsersHelperRoute#a55bb8b16324158a04e3a160df7268949"UsersHelperRoute::getLoginRoute"()</dt><dd>4.0</dd><dt>\anchor_deprecated000141\_setscopeUsersHelperRouteGlobal(e)\_internalrefdf/d60/classUsersHelperRoute#a77b9d32198d930a502d68c895018dea5"UsersHelperRoute::getProfileRoute"()</dt><dd>4.0</dd><dt>\anchor_deprecated000142\_setscopeUsersHelperRouteGlobal(e)\_internalrefdf/d60/classUsersHelperRoute#a128a5dd208b3cb10282997d9a7b95060"UsersHelperRoute::getRegistrationRoute"()</dt><dd>4.0</dd><dt>\anchor_deprecated000143\_setscopeUsersHelperRouteGlobal(e)\_internalrefdf/d60/classUsersHelperRoute#a4a7ba46102bd4b35117b5fe5efe29e98"UsersHelperRoute::getRemindRoute"()</dt><dd>4.0</dd><dt>\anchor_deprecated000144\_setscopeUsersHelperRouteGlobal(e)\_internalrefdf/d60/classUsersHelperRoute#a1d2a9b75f9c411cd0acabb76abdb40df"UsersHelperRoute::getResendRoute"()</dt><dd>4.0</dd><dt>\anchor_deprecated000145\_setscopeUsersHelperRouteGlobal(e)\_internalrefdf/d60/classUsersHelperRoute#ab6520636091c48a982196983195a2623"UsersHelperRoute::getResetRoute"()</dt><dd>4.0</dd><dt>\anchor_deprecated000147Global(e)\_internalrefdc/dbd/components_2com__users_2router_8php#a6c6f2730b25c4300d1d3f887da0a726c"usersParseRoute"($segments)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000133\_setscopeUsersRouterRulesLegacyClasse\_internalrefdf/d72/classUsersRouterRulesLegacy"UsersRouterRulesLegacy"</dt><dd>4.0</dd><dt>\anchor_deprecated000134\_setscopeUsersRouterRulesLegacyGlobal(e)\_internalrefdf/d72/classUsersRouterRulesLegacy#acf45f3bb3fae5f672e910976fd6c666e"UsersRouterRulesLegacy::__construct"($router)</dt><dd>4.0</dd><dt>\anchor_deprecated000136\_setscopeUsersRouterRulesLegacyGlobal(e)\_internalrefdf/d72/classUsersRouterRulesLegacy#ad68b2c3276f05036ed2d64fd252f812f"UsersRouterRulesLegacy::build"(&$query,&$segments)</dt><dd>4.0</dd><dt>\anchor_deprecated000137\_setscopeUsersRouterRulesLegacyGlobal(e)\_internalrefdf/d72/classUsersRouterRulesLegacy#a8e98d09413d19e384846d4e27d29656d"UsersRouterRulesLegacy::parse"(&$segments,&$vars)</dt><dd>4.0</dd><dt>\anchor_deprecated000135\_setscopeUsersRouterRulesLegacyGlobal(e)\_internalrefdf/d72/classUsersRouterRulesLegacy#a95bc020fbe5177c2270b603d14b53620"UsersRouterRulesLegacy::preprocess"(&$query)</dt><dd>4.0</dd><dt>\anchor_deprecated001041\_setscopeJoomla::CMS::User::UserWrapperClasse\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper"UserWrapper"</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001047\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#ab947cab0056c71c88a37577a1fd78c29"UserWrapper::activateUser"($activation)</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001042\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a7dbaac39670ba98b0c82ceeeee9f1147"UserWrapper::addUserToGroup"($userId,$groupId)</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001055\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#ae202ad5dd05268f8ccfcf43f124c358a"UserWrapper::clearExpiredTokens"()</dt><dd>4.0</dd><dt>\anchor_deprecated001053\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a16223650568390ddac8b3c9606038186"UserWrapper::genRandomPassword"($length=8)</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001051\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a024f923bdb45cebdecfbf07b2237493e"UserWrapper::getCryptedPassword"($plaintext,$salt='',$encryption='md5-hex',$showEncrypt=false)</dt><dd>4.0</dd><dt>\anchor_deprecated001046\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a6ab17ba6789bebe7704d56c5305364db"UserWrapper::getProfile"($userId=0)</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001056\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a4a03cb6397fea8ec2e02f63b06cd7b0d"UserWrapper::getRememberCookieData"()</dt><dd>4.0</dd><dt>\anchor_deprecated001052\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a5b05a0fbe9fdf54190dadab8adb49bc1"UserWrapper::getSalt"($encryption='md5-hex',$seed='',$plaintext='')</dt><dd>4.0</dd><dt>\anchor_deprecated001057\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a089ca4957022b0d1aa02be1532554990"UserWrapper::getShortHashedUserAgent"()</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001043\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#ac51f02e9d5feb80a5693fd562357fe4a"UserWrapper::getUserGroups"($userId)</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001048\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a6fa33ca83c0e23fb24d9cadf843324c3"UserWrapper::getUserId"($username)</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001049\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#ab96e10d2886cacde86732a19b2b51c27"UserWrapper::hashPassword"($password,$algorithm=PASSWORD_BCRYPT,array$options=array())</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001054\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a7f24f6d225c69bb15ff1567ac4cacb7c"UserWrapper::invalidateCookie"($userId,$cookieName)</dt><dd>4.0</dd><dt>\anchor_deprecated001044\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#addc2729e7b708c9b67d8df0089c04987"UserWrapper::removeUserFromGroup"($userId,$groupId)</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001045\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#a7c0d71c019535ecffbc0aa1cab3b87aa"UserWrapper::setUserGroups"($userId,$groups)</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001050\_setscopeJoomla::CMS::User::UserWrapperGlobal(e)\_internalrefd8/d17/classJoomla_1_1CMS_1_1User_1_1UserWrapper#afe2548f44de00df41904b33780dc6b7d"UserWrapper::verifyPassword"($password,$hash,$userId=0)</dt><dd>4.0Use<tt>Joomla\\CMS\\User\\UserHelper</tt>directly</dd><dt>\anchor_deprecated001061\_setscopeJoomla::CMS::VersionGlobal(e)\_internalrefdc/d1c/classJoomla_1_1CMS_1_1Version#abc8e9e31bb15c8a44c3210ec551407c8"Version::__get"($name)</dt><dd>4.0Accesstheconstantsdirectly</dd><dt>\anchor_deprecated000719\_setscopeJoomla::CMS::Application::WebApplicationGlobal(e)\_internalrefde/d64/classJoomla_1_1CMS_1_1Application_1_1WebApplication#a7983989146940daccb4950fb9a2138f8"WebApplication::initialise"($session=null,$document=null,$language=null,$dispatcher=null)</dt><dd>4.0</dd><dt>\anchor_deprecated001154\_setscopeJoomla::Session::Storage::WincacheClasse\_internalrefd0/dfc/classJoomla_1_1Session_1_1Storage_1_1Wincache"Wincache"</dt><dd>2.0TheStorageclasschainwillberemoved</dd><dt>\anchor_deprecated001155\_setscopeJoomla::Session::Storage::WincacheGlobal(e)\_internalrefd0/dfc/classJoomla_1_1Session_1_1Storage_1_1Wincache#aa7f5a18682ecb8e0dc450e26cebfaa37"Wincache::__construct"($options=array())</dt><dd>2.0</dd><dt>\anchor_deprecated001157\_setscopeJoomla::Session::Storage::WincacheGlobal(e)\_internalrefd0/dfc/classJoomla_1_1Session_1_1Storage_1_1Wincache#adc36dedf4b7b9d79eed5296b94001311"Wincache::isSupported"()</dt><dd>2.0</dd><dt>\anchor_deprecated001156\_setscopeJoomla::Session::Storage::WincacheGlobal(e)\_internalrefd0/dfc/classJoomla_1_1Session_1_1Storage_1_1Wincache#acc294a6cc8e69743746820e3d15e3f78"Wincache::register"()</dt><dd>2.0</dd><dt>\anchor_deprecated000148Global(e)\_internalrefde/d08/components_2com__wrapper_2router_8php#a7767248f438ca2528a161c32fac0aed3"wrapperBuildRoute"(&$query)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated000149Global(e)\_internalrefde/d08/components_2com__wrapper_2router_8php#a58e69e54a9c28bea28d54413e9e2f794"wrapperParseRoute"($segments)</dt><dd>4.0UseClassbasedroutersinstead</dd><dt>\anchor_deprecated001158\_setscopeJoomla::Session::Storage::XcacheClasse\_internalrefd0/d59/classJoomla_1_1Session_1_1Storage_1_1Xcache"Xcache"</dt><dd>2.0TheStorageclasschainwillberemoved</dd><dt>\anchor_deprecated001159\_setscopeJoomla::Session::Storage::XcacheGlobal(e)\_internalrefd0/d59/classJoomla_1_1Session_1_1Storage_1_1Xcache#aa7f5a18682ecb8e0dc450e26cebfaa37"Xcache::__construct"($options=array())</dt><dd>2.0</dd><dt>\anchor_deprecated001162\_setscopeJoomla::Session::Storage::XcacheGlobal(e)\_internalrefd0/d59/classJoomla_1_1Session_1_1Storage_1_1Xcache#a726fa8a4b4b187b9ca32ba427aac8137"Xcache::destroy"($id)</dt><dd>2.0</dd><dt>\anchor_deprecated001163\_setscopeJoomla::Session::Storage::XcacheGlobal(e)\_internalrefd0/d59/classJoomla_1_1Session_1_1Storage_1_1Xcache#adc36dedf4b7b9d79eed5296b94001311"Xcache::isSupported"()</dt><dd>2.0</dd><dt>\anchor_deprecated001160\_setscopeJoomla::Session::Storage::XcacheGlobal(e)\_internalrefd0/d59/classJoomla_1_1Session_1_1Storage_1_1Xcache#afa59bebedda70c37b94c2efc35da83f3"Xcache::read"($id)</dt><dd>2.0</dd><dt>\anchor_deprecated001161\_setscopeJoomla::Session::Storage::XcacheGlobal(e)\_internalrefd0/d59/classJoomla_1_1Session_1_1Storage_1_1Xcache#aa98c83f0aa2942dd689d7bb83062dfba"Xcache::write"($id,$sessionData)</dt><dd>2.0</dd><dt>\anchor_deprecated000730\_setscopeJoomla::CMS::Cache::Storage::XcacheStorageClasse\_internalrefd7/d3f/classJoomla_1_1CMS_1_1Cache_1_1Storage_1_1XcacheStorage"XcacheStorage"</dt><dd>4.0TheXCachePHPextensionisnotcompatiblewithPHP7</dd><dt>\anchor_deprecated001072\_setscopeJoomla::Application::Cli::Output::XmlClasse\_internalrefd1/da4/classJoomla_1_1Application_1_1Cli_1_1Output_1_1Xml"Xml"</dt><dd>2.0Usethe<tt>joomla/console</tt>packageinstead</dd></dl>


Joomla CMS: Liste des espaces de nommage

Liste des espaces de nommage
Liste de tous les espaces de nommage avec une brève description:
[Niveau de détails 12345]
▼N Brumann
N Polyfill
▼N Composer
N Autoload
N FrameworkOnFramework
N IDNA
▼N Joomla
N Admin
N Administrator
▶N Application
▶N Cli
▶N Output
N Processor
N Web
▶N Archive
N Exception
N Cli
▶N CMS
▶N Access
N Exception
N Wrapper
N Adapter
N Application
N Association
N Authentication
▶N Cache
N Controller
N Exception
N Storage
▶N Captcha
N Google
N Categories
N Client
▶N Component
N Exception
▶N Router
N Rules
▶N Crypt
N Cipher
N Password
N Date
▶N Document
N Feed
N Opensearch
▶N Renderer
N Feed
N Html
N Editor
N Environment
N Exception
N Extension
▶N Feed
▶N Parser
N Rss
▶N Filesystem
N Streams
N Support
N Wrapper
▶N Filter
N Wrapper
▶N Form
N Field
N Rule
N Help
N Helper
N HTML
▶N Http
N Transport
N Wrapper
N Image
N Input
▶N Installer
N Adapter
N Manifest
▶N Language
N Stemmer
N Wrapper
N Layout
▶N Log
N Logger
N Mail
▶N Menu
N Node
N Microdata
▶N MVC
N Controller
N Factory
N Model
N View
N Object
N Pagination
N Pathway
N Plugin
N Profiler
N Response
▶N Router
N Exception
▶N Schema
N ChangeItem
▶N Session
N Exception
N String
▶N Table
N Observer
N Tag
▶N Toolbar
N Button
N UCM
▶N Updater
N Adapter
N Uri
N User
N Utility
N Versioning
N Data
▶N DI
N Exception
N Event
▶N Filesystem
N Clients
N Exception
N Stream
N Support
N Filter
▶N Image
N Filter
N Input
N Installation
N Language
N Ldap
N Legacy
N Libraries
N Platform
N Plugin
N Plugins
▶N Registry
N Format
▶N Session
N Storage
N Site
N String
N Uri
N Utilities
▼N ParagonIE
▶N Sodium
▶N Core
N ChaCha20
▶N Curve25519
N Ge
N Poly1305
▼N PasswordCompat
N binary
N phlyMail
N phpmailer
N PHPMailer
▼N Psr
N Container
N Log
▼N ReCaptcha
N RequestMethod
N SimplePie
N Sodium
▼N Symfony
▶N Component
▶N Yaml
N Exception
▶N Polyfill
N Ctype
N Php55
N Php56
N Php71
N Php73
N Util
▼N TYPO3
▶N PharStreamWrapper
N Interceptor
N Phar
N Resolver
N utf8


Joomla CMS: Référence de l'espace de nommage Brumann

Espaces de nommage
Référence de l'espace de nommage Brumann

Espaces de nommage

Polyfill


Joomla CMS: Référence de l'espace de nommage Brumann\Polyfill

  • Brumann
  • Polyfill
Structures de données
Référence de l'espace de nommage Brumann\Polyfill

Structures de données

class | DisallowedClassesSubstitutor
class | Unserialize


Joomla CMS: Référence de l'espace de nommage Composer

Espaces de nommage | Structures de données
Référence de l'espace de nommage Composer

Espaces de nommage

Autoload

Structures de données

class InstalledVersions


Joomla CMS: Référence de l'espace de nommage Composer\Autoload

  • Composer
  • Autoload
Structures de données | Fonctions
Référence de l'espace de nommage Composer\Autoload

Structures de données

class | ClassLoader
class | ComposerStaticInitc14bde14f8c86840049f5c1809c453dd

Fonctions

includeFile ($file)

Documentation des fonctions

◆ includeFile()

Composer\Autoload\includeFile ( $file )
private

Scope isolated include.

Prevents access to $this/self from included files.

Paramètres
string $file
Renvoie
void

Références $file.

Référencé par ClassLoader\loadClass().


Joomla CMS: Référence de l'espace de nommage FrameworkOnFramework

Référence de l'espace de nommage FrameworkOnFramework

Description détaillée

autoloader

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2, or later
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

An autoloader for FOF-powered components. It allows the autoloading of various classes related to the operation of a component, from Controllers and Models to Helpers and Fields. If a class doesn't exist, it will be created on the fly.

autoloader

Depuis
2.1

autoloader

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2, or later

The main class autoloader for FOF itself

autoloader

Depuis
2.1

config

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2, or later

Configuration parser for the dispatcher-specific settings

Depuis
2.1

config

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2, or later
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

The Interface of an FOFConfigDomain class. The methods are used to parse and provision sensible information to consumers. FOFConfigProvider acts as an adapter to the FOFConfigDomain classes.

Depuis
2.1

Configuration parser for the tables-specific settings

Depuis
2.1

Configuration parser for the view-specific settings

Depuis
2.1

Reads and parses the fof.xml file in the back-end of a FOF-powered component, provisioning the data to the rest of the FOF framework

Depuis
2.1

controller

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

FrameworkOnFramework controller class. FOF is based on the thin controller paradigm, where the controller is mainly used to set up the model state and spawn the view.

Depuis
1.0

database

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

This file is adapted from the Joomla! Platform. It is used to iterate a database cursor returning FOFTable objects instead of plain stdClass objects

database

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

This file is adapted from the Joomla! Platform. It is used to iterate a database cursor returning FOFTable objects instead of plain stdClass objects

dispatcher

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

FrameworkOnFramework dispatcher class

FrameworkOnFramework is a set of classes which extend Joomla! 1.5 and later's MVC framework with features making maintaining complex software much easier, without tedious repetitive copying of the same code over and over again.

Depuis
1.0

dispatcher

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

utils

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

encrypt

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

A simple implementation of AES-128, AES-192 and AES-256 encryption using the high performance mcrypt library.

Depuis
1.0

encrypt

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

FOFEncryptBase32

Depuis
1.0

utils

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

This class provides an RFC6238-compliant Time-based One Time Passwords, compatible with Google Authenticator (with PassCodeLength = 6 and TimePeriod = 30).

Depuis
1.0

form form

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

Form Field class for FOF Joomla! access levels

Depuis
2.0

form

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

Form Field class for FOF Supports a generic list of options.

Depuis
2.0

form

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

Form Field class for the FOF framework Supports a button input.

Depuis
2.0

Form Field class for FOF Joomla! cache handlers

Depuis
2.0

Form Field class for the FOF framework Supports a calendar / date field.

Depuis
2.0

Form Field class for the FOF framework Supports a captcha field.

Depuis
2.0

Form Field class for the FOF framework A single checkbox

Depuis
2.0

Form Field class for FOF Supports a list of checkbox.

Depuis
2.0

Form Field class for FOF Components installed on the site

Depuis
2.1

Form Field class for the FOF framework An editarea field for content creation and formatted HTML display

Depuis
2.0

Form Field class for the FOF framework Supports a one line text field.

Depuis
2.0

Form Field class for the FOF framework A hidden field

Depuis
2.0

Form Field class for the FOF framework Media selection field. This is an alias of the "media" field type.

Depuis
2.0

Form Field class for the FOF framework Media selection field.

Depuis
2.0

Form Field class for FOF Available site languages

Depuis
2.0

Form Field class for FOF Generic list from a model's results

Depuis
2.0

Form Field class for FOF Renders the row ordering interface checkbox in browse views

Depuis
2.0

Form Field class for FOF Plugins installed on the site

Depuis
2.0

Form Field class for FOF Radio selection list

Depuis
2.0

Form Field class for FOF Relation list

Depuis
2.0

Form Field class for FOF Joomla! ACL Rules

Depuis
2.1

Form Field class for FOF Renders the checkbox in browse views which allows you to select rows

Depuis
2.0

Form Field class for FOF Joomla! session handlers

Depuis
2.0

Form Field class for the FOF framework Spacer used between form elements

Depuis
2.0

Form Field class for FOF Radio selection listGeneric list from an SQL statement

Depuis
2.0

Form Field class for FOF Tag Fields

Depuis
2.1

Form Field class for the FOF framework Supports a URL text field.

Depuis
2.0

Form Field class for the FOF framework Supports a text area

Depuis
2.0

Form Field class for the FOF framework Supports a title field with an optional slug display below it.

Depuis
2.0

Form Field class for the FOF framework A user selection box / display field

Depuis
2.0

Form Field class for FOF Joomla! user groups

Depuis
2.0

Generic interface that a FOF form field class must implement

Depuis
2.0

FOFForm is an extension to JForm which support not only edit views but also browse (record list) and read (single record display) views based on XML forms.

Depuis
2.0

Access level field header

Depuis
2.0

Generic field header, without any filters

Depuis
2.0

Generic field header, with text input (search) filter

Depuis
2.0

Generic field header, with drop down filters

Depuis
2.0

Generic field header, with drop down filters based on a SQL query

Depuis
2.0

Generic filter, text box entry with calendar button

Depuis
2.3.3

Generic filter, text box entry with optional buttons

Depuis
2.0

Generic filter, drop-down based on fixed options

Depuis
2.0

Generic filter, drop-down based on SQL query

Depuis
2.0

Language field header

Depuis
2.0

Ordering field header

Depuis
2.0

Field header for Published (enabled) columns

Depuis
2.0

Row selection checkbox

Depuis
2.0

An interface for FOFFormHeader fields, used to define the filters and the elements of the header row in repeatable (browse) views

Depuis
2.0

FOFForm's helper class. Provides a storage for filesystem's paths where FOFForm's entities reside and methods for creating those entities. Also stores objects with entities' prototypes for further reusing.

Depuis
2.0

hal

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

Implementation of the Hypertext Application Language document in PHP. It can be used to provide hypermedia in a web service context.

Depuis
2.1

Implementation of the Hypertext Application Language link in PHP.

Depuis
2.1

Implementation of the Hypertext Application Language links in PHP. This is actually a collection of links.

Depuis
2.1

Interface for HAL document renderers

Depuis
2.1

Implements the HAL over JSON renderer

Depuis
2.1

include

Copyright
Copyright (C) 2010-2015 Nicholas K. Dionysopoulos GNU General Public License version 2, or later
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.
Obsolète:
4.0 Deprecated without replacement include FOF by your own if required

Initializes FOF

inflector

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

The FOFInflector is an adaptation of the Akelos PHP Inflector which is a PHP port from a Ruby on Rails project. FOFInflector to pluralize and singularize English nouns.

Depuis
1.0

input

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

FrameworkOnFramework input handling class. Extends upon the JInput class.

Depuis
2.0

platformFilesystem

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

platform

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

Part of the FOF Platform Abstraction Layer.

This implements the platform class for Joomla! 2.5 or later

Depuis
2.1

layout

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

Base class for rendering a display layout loaded from from a layout file

This class searches for Joomla! version override Layouts. For example, if you have run this under Joomla! 3.0 and you try to load mylayout.default it will automatically search for the layout files default.j30.php, default.j3.php and default.php, in this order.

Depuis
1.0

layout

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

Helper to render a FOFLayout object, storing a base path

Depuis
x.y

less

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

This class is taken verbatim from:

lessphp v0.3.9 http://leafo.net/lessphp

LESS css compiler, adapted from http://lesscss.org

Copyright 2012, Leaf Corcoran leafo.nosp@m.t@gm.nosp@m.ail.c.nosp@m.om Licensed under MIT or GPLv3, see LICENSE

Depuis
2.0

less

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

This class is taken verbatim from:

lessphp v0.3.9 http://leafo.net/lessphp

LESS css compiler, adapted from http://lesscss.org

Copyright 2012, Leaf Corcoran leafo.nosp@m.t@gm.nosp@m.ail.c.nosp@m.om Licensed under MIT or GPLv3, see LICENSE

Depuis
2.1

This class is taken near verbatim (changes marked with FOF comment markers) from:

lessphp v0.3.9 http://leafo.net/lessphp

LESS css compiler, adapted from http://lesscss.org

Copyright 2012, Leaf Corcoran leafo.nosp@m.t@gm.nosp@m.ail.c.nosp@m.om Licensed under MIT or GPLv3, see LICENSE

THIS IS THIRD PARTY CODE. Code comments are mostly useless placeholders to stop phpcs from complaining...

Depuis
2.0

model

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

FrameworkOnFramework model behavior class to filter front-end access to items based on the viewing access levels.

Depuis
2.1

model

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

FrameworkOnFramework model behavior class

Depuis
2.1

FrameworkOnFramework model behavior class to filter front-end access to items that are enabled.

Depuis
2.1

FrameworkOnFramework model behavior class to filter front-end access to items based on the language.

Depuis
2.1

FrameworkOnFramework model behavior class to filter front-end access to items created by the currently logged in user only.

Depuis
2.1

FrameworkOnFramework model behavior class. It defines the events which are called by a Model.

Depuis
2.1

FrameworkOnFramework model behavior dispatcher class

Depuis
2.1

FrameworkOnFramework Model class. The Model is the workhorse. It performs all of the business logic based on its state and then returns the raw (processed) data to the caller, or modifies its own state. It's important to note that the model doesn't get data directly from the request (this is the Controller's business) and that it doesn't output anything (that the View's business).

Depuis
1.0

platform

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

Part of the FOF Platform Abstraction Layer. It implements everything that depends on the platform FOF is running under, e.g. the Joomla! CMS front-end, the Joomla! CMS back-end, a CLI Joomla! Platform app, a bespoke Joomla! Platform / Framework web application and so on.

This is the abstract class implementing some basic housekeeping functionality and provides the static interface to get the appropriate Platform object for use in the rest of the framework.

Depuis
2.1

query

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

FrameworkOnFramework query base class; for compatibility purposes

Depuis
2.1
Obsolète:
2.1

render

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

Abstract view renderer class. The renderer is what turns XML view templates into actual HTML code, renders the submenu links and potentially wraps the HTML output in a div with a component-specific ID.

Depuis
2.0

render

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

Default Joomla! 1.5, 1.7, 2.5 view renderer class

Depuis
2.0

Joomla! 3 view renderer class

Depuis
2.0

Akeeba Strapper view renderer class.

Depuis
2.0

Helper class with utilitarian functions concerning strings

Depuis
2.0

table

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

FrameworkOnFramework table behavior class for assets

Depuis
2.1

table

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

FrameworkOnFramework table behavior class for content History

Depuis
2.2.0

FrameworkOnFramework table behavior class for tags

Depuis
2.1

FrameworkOnFramework table behavior class. It defines the events which are called by a Table.

Depuis
2.1

FrameworkOnFramework table behavior dispatcher class

Depuis
2.1

Normally this shouldn't be required. Some PHP versions, however, seem to require this. Why? No idea whatsoever. If I remove it, FOF crashes on some hosts. Same PHP version on another host and no problem occurs. Any takers? FrameworkOnFramework Table class. The Table is one part controller, one part model and one part data adapter. It's supposed to handle operations for single records.

Depuis
1.0

template

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

A utility class to load view templates, media files and modules.

Depuis
1.0

toolbar

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

The Toolbar class renders the back-end component title area and the back- and front-end toolbars.

Depuis
1.0

view

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

FrameworkOnFramework CSV View class. Automatically renders the data in CSV format.

Depuis
1.0

view

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

FrameworkOnFramework Form class. It preferably renders an XML view template instead of a traditional PHP-based view template.

Depuis
2.0

FrameworkOnFramework HTML output class. Together with PHP-based view templates it will render your data into an HTML representation.

Depuis
2.1

FrameworkOnFramework JSON View class. Renders the data as a JSON object or array. It can optionally output HAL links as well.

Depuis
2.0

FrameworkOnFramework raw output class. It works like an HTML view, but the output is bare HTML.

Depuis
2.1

FrameworkOnFramework View class. The View is the MVC component which gets the raw data from a Model and renders it in a way that makes sense. The usual rendering is HTML, but you can also output JSON, CSV, XML, or even media (images, videos, ...) and documents (Word, PDF, Excel...).

Depuis
1.0


Joomla CMS: Référence de l'espace de nommage IDNA

Référence de l'espace de nommage IDNA

Description détaillée

transcode wrapper functions Convert charset transcoding

Auteur
Matthias Sommerfeld, mso@p.nosp@m.hlyl.nosp@m.abs.d.nosp@m.e
Version
0.1.0


Joomla CMS: Référence de l'espace de nommage Joomla

Espaces de nommage
Référence de l'espace de nommage Joomla

Espaces de nommage

Admin
Administrator
Application
Archive
Cli
CMS
Data
DI
Event
Filesystem
Filter
Image
Input
Installation
Language
Ldap
Legacy
Libraries
Platform
Plugin
Plugins
Registry
Session
Site
String
Uri
Utilities


Joomla CMS: Référence de l'espace de nommage Joomla\Admin

  • Joomla
  • Admin
Référence de l'espace de nommage Joomla\Admin

Description détaillée

Layout

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\Administrator

  • Joomla
  • Administrator
Référence de l'espace de nommage Joomla\Administrator

Description détaillée

com_actionlogs

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.actionlogs

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_admin

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_admin

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_admin

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_admin

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_admin

Copyright
(C) 2019 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains post-installation message handling for notifying users of a change in the default .htaccess and web.config files.

com_admin

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

com_admin

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains post-installation message handling for eAccelerator compatibility.

com_admin

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains post-installation message handling for notifying users of a change in the default .htaccess and web.config files.

com_admin

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

This file contains post-installation message handling for notifying users of a change in the default .htaccess file regarding hardening against XSS in SVG's

com_admin

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains post-installation message handling for Joomla 4.0 pre checks

com_admin

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains post-installation message handling for the checks if the installation is affected by the issue with content languages access in 3.4.0

com_admin

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains post-installation message handling for the checking minimum PHP version support

com_admin

Copyright
(C) 2020 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains post-installation message handling for notifying users of a change in the default textfilter settings

com_admin

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains post-installation message handling for notifying users of a change in various default settings.

com_admin

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_admin

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_admin

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_ajax

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_associations

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_cache

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_cache

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_cache

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_cache

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_cache

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_categories

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_categories

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_categories

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_categories

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_categories

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_categories

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_categories

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_checkin

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_checkin

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_checkin

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contenthistory

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_cpanel

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_fields

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_fields

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_fields

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_finder

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_finder

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_finder

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_finder

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_finder

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Installer Update Sites Controller

com_installer

Depuis
3.4

com_installer

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Extension Manager Update Sites View

com_installer

Depuis
3.4

com_joomlaupdate

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_joomlaupdate

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_joomlaupdate

Copyright
(C) 2019 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_joomlaupdate

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_languages

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_languages

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_languages

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_associations

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_login

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_login

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_login

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_login

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Menus HTML helper class.

com_menus

Depuis
1.7

Layout

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_messages

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_messages

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_messages

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_messages

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_messages

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_messages

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_modules

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_modules

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_modules

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_modules

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_modules

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_modules

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_modules

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_modules

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

View to edit a module.

com_templates

Depuis
3.2

com_modules

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_plugins

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_plugins

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_plugins

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_plugins

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_plugins

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_plugins

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_postinstall

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_privacy

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_redirect

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_redirect

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

A dropdown containing all valid HTTP 1.1 response codes.

com_redirect

Depuis
3.4

com_redirect

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_search

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_search

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_search

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_tags

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_tags

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_templates

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_templates

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_templates

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_templates

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_templates

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_templates

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_templates

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Utility class for the submenu.

Depuis
1.5
Obsolète:
4.0 Use JHtmlSidebar instead.

mod_custom

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_feed

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_latest

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_latest

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_latestactions

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_logged

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_logged

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_logged

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_login

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_login

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_menu

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_menu

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_menu

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_menu

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_multilangstatus

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_popular

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_popular

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_privacy_dashboard

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_quickicon

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_quickicon

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_sampledata

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_stats_admin

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_status

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_status

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_submenu

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_submenu

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_title

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_title

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_toolbar

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_toolbar

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_version

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.hathor

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.hathor

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.hathor

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_cache

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_checkin

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.hathor

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.hathor

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_installer

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_joomlaupdate

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_languages

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.hathor

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_messages

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_templates

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_messages

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_quickicon

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.hathor

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Templates.isis

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.Isis

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_version

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.Isis

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Templates.isis

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
Depuis
3.0

Template.system

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.system

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\Application

  • Joomla
  • Application
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\Application

Espaces de nommage

Cli
Web

Structures de données

class | AbstractApplication
class | AbstractCliApplication
class | AbstractDaemonApplication
class | AbstractWebApplication

Description détaillée

Part of the Joomla Framework Application Package

Copyright
Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Application\Cli

  • Joomla
  • Application
  • Cli
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\Application\Cli

Espaces de nommage

Output

Structures de données

class | CliInput
class | CliOutput
class | ColorProcessor
class | ColorStyle

Description détaillée

Part of the Joomla Framework Application Package

Copyright
Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Application\Cli\Output

  • Joomla
  • Application
  • Cli
  • Output
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\Application\Cli\Output

Espaces de nommage

Processor

Structures de données

class | Stdout
class | Xml

Description détaillée

Part of the Joomla Framework Application Package

Copyright
Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Application\Cli\Output\Processor

  • Joomla
  • Application
  • Cli
  • Output
  • Processor
Structures de données
Référence de l'espace de nommage Joomla\Application\Cli\Output\Processor

Structures de données

class | ColorProcessor
interface | ProcessorInterface

Description détaillée

Part of the Joomla Framework Application Package

Copyright
Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Application\Web

  • Joomla
  • Application
  • Web
Structures de données
Référence de l'espace de nommage Joomla\Application\Web

Structures de données

class WebClient

Description détaillée

Part of the Joomla Framework Application Package

Copyright
Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Archive

  • Joomla
  • Archive
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\Archive

Espaces de nommage

Exception

Structures de données

class | Archive
class | Bzip2
interface | ExtractableInterface
class | Gzip
class | Tar
class | Zip

Description détaillée

Part of the Joomla Framework Archive Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Archive\Exception

  • Joomla
  • Archive
  • Exception
Structures de données
Référence de l'espace de nommage Joomla\Archive\Exception

Structures de données

class | UnknownArchiveException
class | UnsupportedArchiveException

Description détaillée

Part of the Joomla Framework Archive Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Cli

  • Joomla
  • Cli
Référence de l'espace de nommage Joomla\Cli

Description détaillée

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS

  • Joomla
  • CMS
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS

Espaces de nommage

Access
Adapter
Application
Association
Authentication
Cache
Captcha
Categories
Client
Component
Crypt
Date
Document
Editor
Environment
Exception
Extension
Feed
Filesystem
Filter
Form
Help
Helper
HTML
Http
Image
Input
Installer
Language
Layout
Log
Mail
Menu
Microdata
MVC
Object
Pagination
Pathway
Plugin
Profiler
Response
Router
Schema
Session
String
Table
Tag
Toolbar
UCM
Updater
Uri
User
Utility
Versioning

Structures de données

class | Factory
class | Version

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Access

  • Joomla
  • CMS
  • Access
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Access

Espaces de nommage

Exception
Wrapper

Structures de données

class | Access
class | Rule
class | Rules

Description détaillée

Joomla! Content Management System

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Access\Exception

  • Joomla
  • CMS
  • Access
  • Exception
Structures de données
Référence de l'espace de nommage Joomla\CMS\Access\Exception

Structures de données

class NotAllowed

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Access\Wrapper

  • Joomla
  • CMS
  • Access
  • Wrapper
Structures de données
Référence de l'espace de nommage Joomla\CMS\Access\Wrapper

Structures de données

class Access

Description détaillée

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Adapter

  • Joomla
  • CMS
  • Adapter
Structures de données
Référence de l'espace de nommage Joomla\CMS\Adapter

Structures de données

class | Adapter
class | AdapterInstance

Description détaillée

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Application

  • Joomla
  • CMS
  • Application
Structures de données
Référence de l'espace de nommage Joomla\CMS\Application

Structures de données

class | AdministratorApplication
class | ApplicationHelper
class | BaseApplication
class | CliApplication
class | CMSApplication
class | DaemonApplication
class | SiteApplication
class | WebApplication

Description détaillée

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Association

  • Joomla
  • CMS
  • Association
Structures de données
Référence de l'espace de nommage Joomla\CMS\Association

Structures de données

class | AssociationExtensionHelper
interface | AssociationExtensionInterface

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Authentication

  • Joomla
  • CMS
  • Authentication
Structures de données
Référence de l'espace de nommage Joomla\CMS\Authentication

Structures de données

class | Authentication
class | AuthenticationResponse
interface | ProviderAwareAuthenticationPluginInterface

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
Copyright (C) 2022 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Cache

  • Joomla
  • CMS
  • Cache
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Cache

Espaces de nommage

Controller
Exception
Storage

Structures de données

class | Cache
class | CacheController
class | CacheStorage

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Cache\Controller

  • Joomla
  • CMS
  • Cache
  • Controller
Structures de données
Référence de l'espace de nommage Joomla\CMS\Cache\Controller

Structures de données

class | CallbackController
class | OutputController
class | PageController
class | ViewController

Description détaillée

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Cache\Exception

  • Joomla
  • CMS
  • Cache
  • Exception
Structures de données
Référence de l'espace de nommage Joomla\CMS\Cache\Exception

Structures de données

class | CacheConnectingException
interface | CacheExceptionInterface
class | UnsupportedCacheException

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Cache\Storage

  • Joomla
  • CMS
  • Cache
  • Storage
Structures de données
Référence de l'espace de nommage Joomla\CMS\Cache\Storage

Structures de données

class | ApcStorage
class | ApcuStorage
class | CacheliteStorage
class | CacheStorageHelper
class | FileStorage
class | MemcachedStorage
class | MemcacheStorage
class | RedisStorage
class | WincacheStorage
class | XcacheStorage

Description détaillée

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Captcha

  • Joomla
  • CMS
  • Captcha
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Captcha

Espaces de nommage

Google

Structures de données

class Captcha

Description détaillée

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Captcha\Google

  • Joomla
  • CMS
  • Captcha
  • Google
Structures de données
Référence de l'espace de nommage Joomla\CMS\Captcha\Google

Structures de données

class HttpBridgePostRequestMethod

Description détaillée

Joomla! Content Management System

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Categories

  • Joomla
  • CMS
  • Categories
Structures de données
Référence de l'espace de nommage Joomla\CMS\Categories

Structures de données

class | Categories
class | CategoryFactory
interface | CategoryFactoryInterface
interface | CategoryInterface
class | CategoryNode
class | SectionNotFoundException

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE

Joomla! Content Management System

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Client

  • Joomla
  • CMS
  • Client
Structures de données
Référence de l'espace de nommage Joomla\CMS\Client

Structures de données

class | ClientHelper
class | ClientWrapper
class | FtpClient

Description détaillée

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Component

  • Joomla
  • CMS
  • Component
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Component

Espaces de nommage

Exception
Router

Structures de données

class | ComponentHelper
class | ComponentRecord

Description détaillée

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Component\Exception

  • Joomla
  • CMS
  • Component
  • Exception
Structures de données
Référence de l'espace de nommage Joomla\CMS\Component\Exception

Structures de données

class MissingComponentException

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Component\Router

  • Joomla
  • CMS
  • Component
  • Router
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Component\Router

Espaces de nommage

Rules

Structures de données

class | RouterBase
interface | RouterInterface
class | RouterLegacy
class | RouterView
class | RouterViewConfiguration

Description détaillée

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Component\Router\Rules

  • Joomla
  • CMS
  • Component
  • Router
  • Rules
Structures de données
Référence de l'espace de nommage Joomla\CMS\Component\Router\Rules

Structures de données

class | MenuRules
class | NomenuRules
interface | RulesInterface
class | StandardRules

Description détaillée

Joomla! Content Management System

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Crypt

  • Joomla
  • CMS
  • Crypt
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Crypt

Espaces de nommage

Cipher
Password

Structures de données

interface | CipherInterface
class | Crypt
interface | CryptPassword
class | Key

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Crypt\Cipher

  • Joomla
  • CMS
  • Crypt
  • Cipher
Structures de données
Référence de l'espace de nommage Joomla\CMS\Crypt\Cipher

Structures de données

class | BlowfishCipher
class | CryptoCipher
class | McryptCipher
class | Rijndael256Cipher
class | SimpleCipher
class | SodiumCipher
class | TripleDesCipher

Description détaillée

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Crypt\Password

  • Joomla
  • CMS
  • Crypt
  • Password
Structures de données
Référence de l'espace de nommage Joomla\CMS\Crypt\Password

Structures de données

class SimpleCryptPassword

Description détaillée

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Date

  • Joomla
  • CMS
  • Date
Structures de données
Référence de l'espace de nommage Joomla\CMS\Date

Structures de données

class Date

Description détaillée

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Document

  • Joomla
  • CMS
  • Document
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Document

Espaces de nommage

Feed
Opensearch
Renderer

Structures de données

class | Document
class | DocumentRenderer
class | ErrorDocument
class | FeedDocument
class | HtmlDocument
class | ImageDocument
class | JsonDocument
class | OpensearchDocument
class | RawDocument
class | XmlDocument

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Document\Feed

  • Joomla
  • CMS
  • Document
  • Feed
Structures de données
Référence de l'espace de nommage Joomla\CMS\Document\Feed

Structures de données

class | FeedEnclosure
class | FeedImage
class | FeedItem

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Document\Opensearch

  • Joomla
  • CMS
  • Document
  • Opensearch
Structures de données
Référence de l'espace de nommage Joomla\CMS\Document\Opensearch

Structures de données

class | OpensearchImage
class | OpensearchUrl

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Document\Renderer

  • Joomla
  • CMS
  • Document
  • Renderer
Espaces de nommage
Référence de l'espace de nommage Joomla\CMS\Document\Renderer

Espaces de nommage

Feed
Html


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Document\Renderer\Feed

  • Joomla
  • CMS
  • Document
  • Renderer
  • Feed
Structures de données
Référence de l'espace de nommage Joomla\CMS\Document\Renderer\Feed

Structures de données

class | AtomRenderer
class | RssRenderer

Description détaillée

Joomla! Content Management System

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Document\Renderer\Html

  • Joomla
  • CMS
  • Document
  • Renderer
  • Html
Structures de données
Référence de l'espace de nommage Joomla\CMS\Document\Renderer\Html

Structures de données

class | ComponentRenderer
class | HeadRenderer
class | MessageRenderer
class | ModuleRenderer
class | ModulesRenderer

Description détaillée

Joomla! Content Management System

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Editor

  • Joomla
  • CMS
  • Editor
Structures de données
Référence de l'espace de nommage Joomla\CMS\Editor

Structures de données

class Editor

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Environment

  • Joomla
  • CMS
  • Environment
Structures de données
Référence de l'espace de nommage Joomla\CMS\Environment

Structures de données

class Browser

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Exception

  • Joomla
  • CMS
  • Exception
Structures de données
Référence de l'espace de nommage Joomla\CMS\Exception

Structures de données

class ExceptionHandler

Description détaillée

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Extension

  • Joomla
  • CMS
  • Extension
Structures de données
Référence de l'espace de nommage Joomla\CMS\Extension

Structures de données

class ExtensionHelper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Feed

  • Joomla
  • CMS
  • Feed
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Feed

Espaces de nommage

Parser

Structures de données

class | Feed
class | FeedEntry
class | FeedFactory
class | FeedLink
class | FeedParser
class | FeedPerson

Description détaillée

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Feed\Parser

  • Joomla
  • CMS
  • Feed
  • Parser
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Feed\Parser

Espaces de nommage

Rss

Structures de données

class | AtomParser
interface | NamespaceParserInterface
class | RssParser

Description détaillée

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Feed\Parser\Rss

  • Joomla
  • CMS
  • Feed
  • Parser
  • Rss
Structures de données
Référence de l'espace de nommage Joomla\CMS\Feed\Parser\Rss

Structures de données

class | ItunesRssParser
class | MediaRssParser

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Filesystem

  • Joomla
  • CMS
  • Filesystem
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Filesystem

Espaces de nommage

Streams
Support
Wrapper

Structures de données

class | File
class | FilesystemHelper
class | Folder
class | Patcher
class | Path
class | Stream

Description détaillée

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Filesystem\Streams

  • Joomla
  • CMS
  • Filesystem
  • Streams
Structures de données
Référence de l'espace de nommage Joomla\CMS\Filesystem\Streams

Structures de données

class StreamString

Description détaillée

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Filesystem\Support

  • Joomla
  • CMS
  • Filesystem
  • Support
Structures de données
Référence de l'espace de nommage Joomla\CMS\Filesystem\Support

Structures de données

class StringController

Description détaillée

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Filesystem\Wrapper

  • Joomla
  • CMS
  • Filesystem
  • Wrapper
Structures de données
Référence de l'espace de nommage Joomla\CMS\Filesystem\Wrapper

Structures de données

class | FileWrapper
class | FolderWrapper
class | PathWrapper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Filter

  • Joomla
  • CMS
  • Filter
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Filter

Espaces de nommage

Wrapper

Structures de données

class | InputFilter
class | OutputFilter

Description détaillée

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Filter\Wrapper

  • Joomla
  • CMS
  • Filter
  • Wrapper
Structures de données
Référence de l'espace de nommage Joomla\CMS\Filter\Wrapper

Structures de données

class OutputFilterWrapper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Form

  • Joomla
  • CMS
  • Form
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Form

Espaces de nommage

Field
Rule

Structures de données

class | Form
class | FormField
class | FormHelper
class | FormRule
class | FormWrapper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Form\Field

  • Joomla
  • CMS
  • Form
  • Field
Structures de données
Référence de l'espace de nommage Joomla\CMS\Form\Field

Structures de données

class | AuthorField
class | CaptchaField
class | ChromestyleField
class | ContenthistoryField
class | ContentlanguageField
class | ContenttypeField
class | EditorField
class | FrontendlanguageField
class | HeadertagField
class | HelpsiteField
class | LastvisitdaterangeField
class | LimitboxField
class | MediaField
class | MenuField
class | MenuitemField
class | ModuleorderField
class | ModulepositionField
class | ModuletagField
class | OrderingField
class | PluginstatusField
class | RedirectStatusField
class | RegistrationdaterangeField
class | StatusField
class | TagField
class | TemplatestyleField
class | UseractiveField
class | UserField
class | UsergrouplistField
class | UserstateField

Description détaillée

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Form\Rule

  • Joomla
  • CMS
  • Form
  • Rule
Structures de données
Référence de l'espace de nommage Joomla\CMS\Form\Rule

Structures de données

class | BooleanRule
class | CalendarRule
class | CaptchaRule
class | ColorRule
class | CssIdentifierSubstringRule
class | EmailRule
class | EqualsRule
class | ExistsRule
class | FilePathRule
class | ModuleLayoutRule
class | NotequalsRule
class | NumberRule
class | OptionsRule
class | PasswordRule
class | RulesRule
class | SubformRule
class | TelRule
class | UrlRule
class | UsernameRule

Description détaillée

Joomla! Content Management System

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2021 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2019 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Help

  • Joomla
  • CMS
  • Help
Structures de données
Référence de l'espace de nommage Joomla\CMS\Help

Structures de données

class Help

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Helper

  • Joomla
  • CMS
  • Helper
Structures de données
Référence de l'espace de nommage Joomla\CMS\Helper

Structures de données

class | AuthenticationHelper
class | CMSHelper
class | ContentHelper
class | ContentHistoryHelper
class | LibraryHelper
class | MediaHelper
class | ModuleHelper
class | RouteHelper
class | SearchHelper
class | TagsHelper
class | UserGroupsHelper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\HTML

  • Joomla
  • CMS
  • HTML
Structures de données
Référence de l'espace de nommage Joomla\CMS\HTML

Structures de données

class HTMLHelper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Http

  • Joomla
  • CMS
  • Http
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Http

Espaces de nommage

Transport
Wrapper

Structures de données

class | Http
class | HttpFactory
class | Response
interface | TransportInterface

Description détaillée

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Http\Transport

  • Joomla
  • CMS
  • Http
  • Transport
Structures de données
Référence de l'espace de nommage Joomla\CMS\Http\Transport

Structures de données

class | CurlTransport
class | SocketTransport
class | StreamTransport

Description détaillée

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Http\Wrapper

  • Joomla
  • CMS
  • Http
  • Wrapper
Structures de données
Référence de l'espace de nommage Joomla\CMS\Http\Wrapper

Structures de données

class FactoryWrapper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Image

  • Joomla
  • CMS
  • Image
Structures de données
Référence de l'espace de nommage Joomla\CMS\Image

Structures de données

class | Image
class | ImageFilter

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Input

  • Joomla
  • CMS
  • Input
Structures de données
Référence de l'espace de nommage Joomla\CMS\Input

Structures de données

class | Cli
class | Cookie
class | Files
class | Input
class | Json

Description détaillée

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Installer

  • Joomla
  • CMS
  • Installer
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Installer

Espaces de nommage

Adapter
Manifest

Structures de données

class | Installer
class | InstallerAdapter
class | InstallerExtension
class | InstallerHelper
class | InstallerScript
class | Manifest

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Installer\Adapter

  • Joomla
  • CMS
  • Installer
  • Adapter
Structures de données
Référence de l'espace de nommage Joomla\CMS\Installer\Adapter

Structures de données

class | ComponentAdapter
class | FileAdapter
class | LanguageAdapter
class | LibraryAdapter
class | ModuleAdapter
class | PackageAdapter
class | PluginAdapter
class | TemplateAdapter

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Installer\Manifest

  • Joomla
  • CMS
  • Installer
  • Manifest
Structures de données
Référence de l'espace de nommage Joomla\CMS\Installer\Manifest

Structures de données

class | LibraryManifest
class | PackageManifest

Description détaillée

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Language

  • Joomla
  • CMS
  • Language
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Language

Espaces de nommage

Stemmer
Wrapper

Structures de données

class | Associations
class | Language
class | LanguageHelper
class | LanguageStemmer
class | Multilanguage
class | Text
class | Transliterate

Description détaillée

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Language\Stemmer

  • Joomla
  • CMS
  • Language
  • Stemmer
Structures de données
Référence de l'espace de nommage Joomla\CMS\Language\Stemmer

Structures de données

class Porteren

Description détaillée

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org
Copyright (C) 2005 Richard Heyes (http://www.phpguru.org/). All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Language\Wrapper

  • Joomla
  • CMS
  • Language
  • Wrapper
Structures de données
Référence de l'espace de nommage Joomla\CMS\Language\Wrapper

Structures de données

class | JTextWrapper
class | LanguageHelperWrapper
class | TransliterateWrapper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Layout

  • Joomla
  • CMS
  • Layout
Structures de données
Référence de l'espace de nommage Joomla\CMS\Layout

Structures de données

class | BaseLayout
class | FileLayout
class | LayoutHelper
interface | LayoutInterface

Description détaillée

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Log

  • Joomla
  • CMS
  • Log
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Log

Espaces de nommage

Logger

Structures de données

class | DelegatingPsrLogger
class | Log
class | LogEntry
class | Logger

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Log\Logger

  • Joomla
  • CMS
  • Log
  • Logger
Structures de données
Référence de l'espace de nommage Joomla\CMS\Log\Logger

Structures de données

class | CallbackLogger
class | DatabaseLogger
class | EchoLogger
class | FormattedtextLogger
class | MessagequeueLogger
class | SyslogLogger
class | W3cLogger

Description détaillée

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Mail

  • Joomla
  • CMS
  • Mail
Structures de données
Référence de l'espace de nommage Joomla\CMS\Mail

Structures de données

class | Mail
class | MailHelper
class | MailWrapper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Menu

  • Joomla
  • CMS
  • Menu
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Menu

Espaces de nommage

Node

Structures de données

class | AbstractMenu
class | AdministratorMenu
class | MenuHelper
class | MenuItem
class | Node
class | SiteMenu
class | Tree

Description détaillée

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Menu\Node

  • Joomla
  • CMS
  • Menu
  • Node
Structures de données
Référence de l'espace de nommage Joomla\CMS\Menu\Node

Structures de données

class | Component
class | Container
class | Heading
class | Separator
class | Url

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Microdata

  • Joomla
  • CMS
  • Microdata
Structures de données
Référence de l'espace de nommage Joomla\CMS\Microdata

Structures de données

class Microdata

Description détaillée

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\MVC

  • Joomla
  • CMS
  • MVC
Espaces de nommage
Référence de l'espace de nommage Joomla\CMS\MVC

Espaces de nommage

Controller
Factory
Model
View


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\MVC\Controller

  • Joomla
  • CMS
  • MVC
  • Controller
Structures de données
Référence de l'espace de nommage Joomla\CMS\MVC\Controller

Structures de données

class | AdminController
class | BaseController
class | FormController

Description détaillée

Joomla! Content Management System

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\MVC\Factory

  • Joomla
  • CMS
  • MVC
  • Factory
Structures de données
Référence de l'espace de nommage Joomla\CMS\MVC\Factory

Structures de données

class | LegacyFactory
class | MVCFactory
interface | MVCFactoryInterface

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\MVC\Model

  • Joomla
  • CMS
  • MVC
  • Model
Structures de données
Référence de l'espace de nommage Joomla\CMS\MVC\Model

Structures de données

class | AdminModel
class | BaseDatabaseModel
class | FormModel
class | ItemModel
class | ListModel

Description détaillée

Joomla! Content Management System

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\MVC\View

  • Joomla
  • CMS
  • MVC
  • View
Structures de données
Référence de l'espace de nommage Joomla\CMS\MVC\View

Structures de données

class | CategoriesView
class | CategoryFeedView
class | CategoryView
class | HtmlView

Description détaillée

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Object

  • Joomla
  • CMS
  • Object
Structures de données
Référence de l'espace de nommage Joomla\CMS\Object

Structures de données

class CMSObject

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Pagination

  • Joomla
  • CMS
  • Pagination
Structures de données
Référence de l'espace de nommage Joomla\CMS\Pagination

Structures de données

class | Pagination
class | PaginationObject

Description détaillée

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Pathway

  • Joomla
  • CMS
  • Pathway
Structures de données
Référence de l'espace de nommage Joomla\CMS\Pathway

Structures de données

class | Pathway
class | SitePathway

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Plugin

  • Joomla
  • CMS
  • Plugin
Structures de données
Référence de l'espace de nommage Joomla\CMS\Plugin

Structures de données

class | CMSPlugin
class | PluginHelper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Profiler

  • Joomla
  • CMS
  • Profiler
Structures de données
Référence de l'espace de nommage Joomla\CMS\Profiler

Structures de données

class Profiler

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Response

  • Joomla
  • CMS
  • Response
Structures de données
Référence de l'espace de nommage Joomla\CMS\Response

Structures de données

class JsonResponse

Description détaillée

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Router

  • Joomla
  • CMS
  • Router
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Router

Espaces de nommage

Exception

Structures de données

class | AdministratorRouter
class | Route
class | Router
class | SiteRouter

Description détaillée

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Router\Exception

  • Joomla
  • CMS
  • Router
  • Exception
Structures de données
Référence de l'espace de nommage Joomla\CMS\Router\Exception

Structures de données

class RouteNotFoundException

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Schema

  • Joomla
  • CMS
  • Schema
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Schema

Espaces de nommage

ChangeItem

Structures de données

class | ChangeItem
class | ChangeSet

Description détaillée

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Schema\ChangeItem

  • Joomla
  • CMS
  • Schema
  • ChangeItem
Structures de données
Référence de l'espace de nommage Joomla\CMS\Schema\ChangeItem

Structures de données

class | MysqlChangeItem
class | PostgresqlChangeItem
class | SqlsrvChangeItem

Description détaillée

Joomla! Content Management System

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Session

  • Joomla
  • CMS
  • Session
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Session

Espaces de nommage

Exception

Structures de données

class | MetadataManager
class | Session

Description détaillée

Joomla! Content Management System

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Session\Exception

  • Joomla
  • CMS
  • Session
  • Exception
Structures de données
Référence de l'espace de nommage Joomla\CMS\Session\Exception

Structures de données

class UnsupportedStorageException

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\String

  • Joomla
  • CMS
  • String
Structures de données
Référence de l'espace de nommage Joomla\CMS\String

Structures de données

class PunycodeHelper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Table

  • Joomla
  • CMS
  • Table
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Table

Espaces de nommage

Observer

Structures de données

class | Asset
class | Category
class | Content
class | ContentHistory
class | ContentType
class | CoreContent
class | Extension
class | Language
class | Menu
class | MenuType
class | Module
class | Nested
class | Table
interface | TableInterface
class | Ucm
class | Update
class | UpdateSite
class | User
class | Usergroup
class | ViewLevel

Description détaillée

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Table\Observer

  • Joomla
  • CMS
  • Table
  • Observer
Structures de données
Référence de l'espace de nommage Joomla\CMS\Table\Observer

Structures de données

class | AbstractObserver
class | ContentHistory
class | Tags

Description détaillée

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Tag

  • Joomla
  • CMS
  • Tag
Structures de données
Référence de l'espace de nommage Joomla\CMS\Tag

Structures de données

interface TaggableTableInterface

Description détaillée

Joomla! Content Management System

Copyright
(C) 2020 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Toolbar

  • Joomla
  • CMS
  • Toolbar
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Toolbar

Espaces de nommage

Button

Structures de données

class | Toolbar
class | ToolbarButton
class | ToolbarHelper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Toolbar\Button

  • Joomla
  • CMS
  • Toolbar
  • Button
Structures de données
Référence de l'espace de nommage Joomla\CMS\Toolbar\Button

Structures de données

class | ConfirmButton
class | CustomButton
class | HelpButton
class | LinkButton
class | PopupButton
class | SeparatorButton
class | SliderButton
class | StandardButton

Description détaillée

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\UCM

  • Joomla
  • CMS
  • UCM
Structures de données
Référence de l'espace de nommage Joomla\CMS\UCM

Structures de données

interface | UCM
class | UCMBase
class | UCMContent
class | UCMType

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Updater

  • Joomla
  • CMS
  • Updater
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\CMS\Updater

Espaces de nommage

Adapter

Structures de données

class | DownloadSource
class | Update
class | UpdateAdapter
class | Updater

Description détaillée

Joomla! Content Management System

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Updater\Adapter

  • Joomla
  • CMS
  • Updater
  • Adapter
Structures de données
Référence de l'espace de nommage Joomla\CMS\Updater\Adapter

Structures de données

class | CollectionAdapter
class | ExtensionAdapter

Description détaillée

Joomla! Content Management System

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Uri

  • Joomla
  • CMS
  • Uri
Structures de données
Référence de l'espace de nommage Joomla\CMS\Uri

Structures de données

class Uri

Description détaillée

Joomla! Content Management System

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\User

  • Joomla
  • CMS
  • User
Structures de données
Référence de l'espace de nommage Joomla\CMS\User

Structures de données

class | User
class | UserHelper
class | UserWrapper

Description détaillée

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Utility

  • Joomla
  • CMS
  • Utility
Structures de données
Référence de l'espace de nommage Joomla\CMS\Utility

Structures de données

class | BufferStreamHandler
class | Utility

Description détaillée

Joomla! Content Management System

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Joomla! Content Management System

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\CMS\Versioning

  • Joomla
  • CMS
  • Versioning
Structures de données
Référence de l'espace de nommage Joomla\CMS\Versioning

Structures de données

interface VersionableTableInterface

Description détaillée

Joomla! Content Management System

Copyright
(C) 2019 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\Data

  • Joomla
  • Data
Structures de données
Référence de l'espace de nommage Joomla\Data

Structures de données

class | DataObject
class | DataSet
interface | DumpableInterface

Description détaillée

Part of the Joomla Framework Data Package

Copyright
Copyright (C) 2005 - 2016 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\DI

  • Joomla
  • DI
Espaces de nommage | Structures de données | Fonctions | Variables
Référence de l'espace de nommage Joomla\DI

Espaces de nommage

Exception

Structures de données

class | Container
interface | ContainerAwareInterface
interface | ServiceProviderInterface

Fonctions

getContainer ()
setContainer (Container $container)

Variables

trait ContainerAwareTrait

Description détaillée

Part of the Joomla Framework DI Package

Copyright
Copyright (C) 2013 - 2018 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE

Documentation des fonctions

◆ getContainer()

Joomla\DI\getContainer ( )

Get the DI container.

Renvoie
Container
Depuis
1.2
Exceptions

◆ setContainer()

Joomla\DI\setContainer ( Container $container )

Set the DI container.

Paramètres
Container $container The DI container.
Renvoie
mixed Returns itself to support chaining.
Depuis
1.2

Documentation des variables

◆ ContainerAwareTrait

trait ContainerAwareTrait
Valeur initiale :
{
private $container

Defines the trait for a Container Aware Class.

Depuis
1.2
Note
Traits are available in PHP 5.4+


Joomla CMS: Référence de l'espace de nommage Joomla\DI\Exception

  • Joomla
  • DI
  • Exception
Structures de données
Référence de l'espace de nommage Joomla\DI\Exception

Structures de données

class | DependencyResolutionException
class | KeyNotFoundException
class | ProtectedKeyException

Description détaillée

Part of the Joomla Framework DI Package

Copyright
Copyright (C) 2013 - 2018 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Event

  • Joomla
  • Event
Structures de données | Fonctions | Variables
Référence de l'espace de nommage Joomla\Event

Structures de données

class | AbstractEvent
class | DelegatingDispatcher
class | Dispatcher
interface | DispatcherAwareInterface
interface | DispatcherInterface
class | Event
class | EventImmutable
interface | EventInterface
class | ListenersPriorityQueue
class | Priority

Fonctions

getDispatcher ()
setDispatcher (DispatcherInterface $dispatcher)

Variables

trait DispatcherAwareTrait

Description détaillée

Part of the Joomla Framework Event Package

Copyright
Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE

Documentation des fonctions

◆ getDispatcher()

Joomla\Event\getDispatcher ( )

Get the event dispatcher.

Renvoie
DispatcherInterface
Depuis
1.2.0
Exceptions

Références $dispatcher.

◆ setDispatcher()

Joomla\Event\setDispatcher ( DispatcherInterface $dispatcher )

Set the dispatcher to use.

Paramètres
DispatcherInterface $dispatcher The dispatcher to use.
Renvoie
$this
Depuis
1.2.0

Références $dispatcher.

Documentation des variables

◆ DispatcherAwareTrait

trait DispatcherAwareTrait
Valeur initiale :
{
private $dispatcher
$dispatcher
$dispatcher
Definition: administrator/components/com_media/views/imageslist/tmpl/default_image.php:15

Defines the trait for a Dispatcher Aware Class.

Depuis
1.2.0


Joomla CMS: Référence de l'espace de nommage Joomla\Filesystem

  • Joomla
  • Filesystem
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\Filesystem

Espaces de nommage

Clients
Exception
Stream
Support

Structures de données

class | Buffer
class | File
class | Folder
class | Helper
class | Patcher
class | Path
class | Stream

Description détaillée

Part of the Joomla Framework Filesystem Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Filesystem\Clients

  • Joomla
  • Filesystem
  • Clients
Structures de données
Référence de l'espace de nommage Joomla\Filesystem\Clients

Structures de données

class FtpClient

Description détaillée

Part of the Joomla Framework Filesystem Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Filesystem\Exception

  • Joomla
  • Filesystem
  • Exception
Structures de données
Référence de l'espace de nommage Joomla\Filesystem\Exception

Structures de données

class FilesystemException

Description détaillée

Part of the Joomla Framework Filesystem Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Filesystem\Stream

  • Joomla
  • Filesystem
  • Stream
Structures de données
Référence de l'espace de nommage Joomla\Filesystem\Stream

Structures de données

class | String
class | StringWrapper

Description détaillée

Part of the Joomla Framework Filesystem Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Filesystem\Support

  • Joomla
  • Filesystem
  • Support
Structures de données
Référence de l'espace de nommage Joomla\Filesystem\Support

Structures de données

class StringController

Description détaillée

Part of the Joomla Framework Filesystem Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Filter

  • Joomla
  • Filter
Structures de données
Référence de l'espace de nommage Joomla\Filter

Structures de données

class | InputFilter
class | OutputFilter

Description détaillée

Part of the Joomla Framework Filter Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Image

  • Joomla
  • Image
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\Image

Espaces de nommage

Filter

Structures de données

class | Image
class | ImageFilter

Description détaillée

Part of the Joomla Framework Image Package

Copyright
Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Image\Filter

  • Joomla
  • Image
  • Filter
Structures de données
Référence de l'espace de nommage Joomla\Image\Filter

Structures de données

class | Backgroundfill
class | Brightness
class | Contrast
class | Edgedetect
class | Emboss
class | Grayscale
class | Negate
class | Sketchy
class | Smooth

Description détaillée

Part of the Joomla Framework Image Package

Copyright
Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Input

  • Joomla
  • Input
Structures de données
Référence de l'espace de nommage Joomla\Input

Structures de données

class | Cli
class | Cookie
class | Files
class | Input
class | Json

Description détaillée

Part of the Joomla Framework Input Package

Copyright
Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Installation

  • Joomla
  • Installation
Référence de l'espace de nommage Joomla\Installation

Description détaillée

Application

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Controller

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2019 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Model

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

Model

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Model

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Model

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Response

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

View

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

View

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\Language

  • Joomla
  • Language
Référence de l'espace de nommage Joomla\Language

Description détaillée

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

fr-FR localise class

Depuis
1.6
Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\Ldap

  • Joomla
  • Ldap
Structures de données
Référence de l'espace de nommage Joomla\Ldap

Structures de données

class LdapClient

Description détaillée

Part of the Joomla Framework LDAP Package

Copyright
Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Legacy

  • Joomla
  • Legacy
Référence de l'espace de nommage Joomla\Legacy

Description détaillée

Application

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Base

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Base

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Base

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Base

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Database

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Database

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Dispatcher

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Error

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Exception

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Form

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Log

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Request

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Response

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Simplecrypt

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Simplepie

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Table

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Utilities

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\Libraries

  • Joomla
  • Libraries
Référence de l'espace de nommage Joomla\Libraries

Description détaillée

HTML

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Class

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

HTML

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

HTML

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

HTML

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

HTML

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

HTML

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

HTML

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

HTML

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

HTML

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Less

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Formatter ruleset for Joomla formatted CSS generated via LESS

Less

Depuis
3.4
Obsolète:
4.0 without replacement

LESS

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Wrapper class for lessc

Less

Depuis
3.4
Obsolète:
4.0 without replacement
Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Form

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Platform

  • Joomla
  • Platform
Référence de l'espace de nommage Joomla\Platform

Description détaillée

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

MySQL database driver supporting PDO based connections

Database

Voir également
http://php.net/manual/en/ref.pdo-mysql.php
Depuis
3.4

Query Building Class.

Database

Depuis
3.4

Input

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Bootstrap file for the Joomla Platform [with legacy libraries]. Including this file into your application will make Joomla Platform libraries [including legacy libraries] available for use.

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Bootstrap file for the Joomla Platform. Including this file into your application will make Joomla Platform libraries available for use.

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Application

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Archive

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Archive

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Archive

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Archive

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Wrapper class for JArchive

Archive

Depuis
3.4
Obsolète:
4.0 use the Joomla class instead

Controller

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Database

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Database

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Database

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Database

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Database

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

Database

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

MySQL export driver for the PDO based MySQL database driver.

Database

Depuis
3.4

MySQL import driver for the PDO based MySQL database driver.

Database

Depuis
3.4

Database

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE

MySQL database iterator for the PDO based MySQL database driver.

Database 3.4 Database (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Database (C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Event (C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Facebook (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Form (C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Form (C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Form (C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Form (C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Form (C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Form (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE GitHub (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE GitHub (C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE GitHub (C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE GitHub (C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE GitHub (C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt Google (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Grid (C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Keychain (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Linkedin (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE MediaWiki (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Model (C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Model (C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE OAuth1 (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE OAuth2 (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Observer (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Observer (C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Wrapper class for JObserverMapper Observer 3.4 Openstreetmap (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE (C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Application (C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Wrapper class for JRoute Application 3.4 deprecated 460. Session (C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Session (C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Session (C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Session (C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Session (C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Session (C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE String (C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE String (C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Wrapper class for JStringNormalise String 3.4 deprecated 477. Wrapper class for JStringPunycode String 3.4 deprecated 478. Twitter (C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE Utilities (C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE View (C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE (C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt Static class to handle loading of libraries. 1.7.0


Joomla CMS: Référence de l'espace de nommage Joomla\Plugin

  • Joomla
  • Plugin
Référence de l'espace de nommage Joomla\Plugin

Description détaillée

Editors.tinymce

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.privacyconsent

Copyright
(C) 2019 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

User.terms

Copyright
(C) 2019 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Authentication.cookie

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Authentication.gmail

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Authentication.joomla

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Authentication.ldap

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Captcha

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains the functions used by the com_postinstall code to deliver the necessary post-installation messages for the end of life of reCAPTCHA V1.

Captcha

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Captcha

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.confirmconsent

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.Contact

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.emailcloak

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.Fields

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.finder

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.joomla

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.loadmodule

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.pagebreak

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.pagebreak

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.pagenavigation

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.pagenavigation

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.vote

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Content.vote

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors.codemirror

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors.codemirror

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Supports an HTML select list of fonts

Editors.codemirror

Depuis
3.4

Editors.codemirror

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors.none

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors.tinymce

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Generates the list of options for available skins.

Editors.tinymce

Depuis
3.4

Form Field class for the TinyMCE editor.

Editors.tinymce

Depuis
3.7.0

Editors.tinymce

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Generates the list of directories available for drag and drop upload.

Editors.tinymce

Depuis
3.7.0

Editors.tinymce

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors-xtd.article

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors-xtd.contact

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors-xtd.fields

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors-xtd.image

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors-xtd.menu

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors-xtd.module

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors-xtd.pagebreak

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Editors-xtd.readmore

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Extension.Joomla

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Calendar

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Calendar

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Checkboxes

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Color

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Color

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Editor

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Imagelist

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Integer

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Integer

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.List

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Media

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Media

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Radio

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Repeatable

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Sql

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Text

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Text

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Textarea

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.URL

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.URL

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.User

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Fields.Usergrouplist

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Finder.Categories

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Finder.Contacts

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Finder.Content

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Finder.Newsfeeds

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Finder.Tags

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Installer.folderInstaller

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Installer.folderinstaller

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Installer.packageInstaller

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Installer.packageinstaller

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Installer.urlinstaller

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Privacy.actionlogs

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Privacy.consents

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Privacy.contact

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Privacy.content

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Privacy.message

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Privacy.user

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Quickicon.eos310

Copyright
(C) 2021 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Quickicon.Extensionupdate

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Quickicon.Joomlaupdate

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Quickicon.phpversioncheck

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Quickicon.privacycheck

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Sampledata.Blog

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Search.categories

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Search.contacts

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Search.content

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Search.newsfeeds

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Search.tags

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.cache

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.Debug

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.Fields

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.Highlight

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.languagecode

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.languagefilter

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.log

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.logout

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.logrotation

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.p3p

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.privacyconsent

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.redirect

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.remember

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.sef

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.sessiongc

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.stats

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.stats

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.updatenotification

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

System.updatenotification

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Twofactorauth.totp

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

This file contains the functions used by the com_postinstall code to deliver the necessary post-installation messages concerning the activation of the two-factor authentication code.

Twofactorauth.totp.tmpl

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Twofactorauth.totp

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Twofactorauth.yubikey.tmpl

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Twofactorauth.yubikey

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

User.contactcreator

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

User.joomla

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

User.profile

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Provides input for "Date of Birth" field

User.profile

Depuis
3.3.7

User.profile

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

User.profile

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

User.terms

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\Plugins

  • Joomla
  • Plugins
Référence de l'espace de nommage Joomla\Plugins

Description détaillée

System.actionlogs

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\Registry

  • Joomla
  • Registry
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\Registry

Espaces de nommage

Format

Structures de données

class | AbstractRegistryFormat
class | Factory
interface | FormatInterface
class | Registry

Description détaillée

Part of the Joomla Framework Registry Package

Copyright
Copyright (C) 2005 - 2022 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Registry\Format

  • Joomla
  • Registry
  • Format
Structures de données
Référence de l'espace de nommage Joomla\Registry\Format

Structures de données

class | Ini
class | Json
class | Php
class | Xml
class | Yaml

Description détaillée

Part of the Joomla Framework Registry Package

Copyright
Copyright (C) 2005 - 2022 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Session

  • Joomla
  • Session
Espaces de nommage | Structures de données
Référence de l'espace de nommage Joomla\Session

Espaces de nommage

Storage

Structures de données

class | Session
class | Storage

Description détaillée

Part of the Joomla Framework Session Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Session\Storage

  • Joomla
  • Session
  • Storage
Structures de données
Référence de l'espace de nommage Joomla\Session\Storage

Structures de données

class | Apc
class | Apcu
class | Database
class | Memcache
class | Memcached
class | None
class | Wincache
class | Xcache

Description détaillée

Part of the Joomla Framework Session Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Site

  • Joomla
  • Site
Référence de l'espace de nommage Joomla\Site

Description détaillée

Layout

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2017 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_ajax

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_banners

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_config

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Cancel Controller for module editing

com_config

Depuis
3.2

Display Controller for module editing

com_config

Depuis
3.2

Save Controller for module editing

com_config

Depuis
3.2

View to edit a module.

com_config

Depuis
3.2

com_contact

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Contact Component Route Helper

com_contact

Depuis
1.5

com_contact

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Single item model for a contact

com_contact

Depuis
1.5

com_contact

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_content

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contenthistory

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_fields

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_finder

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_mailto

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_mailto

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Mailto route helper class.

com_mailto

Depuis
1.6.1

com_users

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_media

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_menus

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_modules

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_privacy

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_search

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_search

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_search

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_search

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_tags

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_users

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2018 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_wrapper

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_wrapper

Copyright
(C) 2008 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_wrapper

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_wrapper

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
Obsolète:
3.2 removed without replacement in 4.0 see global.php for an alternative

Layout

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt
Obsolète:
3.2

Layout

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt

Layout

Copyright
(C) 2022 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_archive

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_archive

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_categories

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_category

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_latest

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_latest

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_news

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_news

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_popular

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_popular

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_articles_popular

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_banners

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_banners

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_breadcrumbs

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_breadcrumbs

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_custom

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_feed

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_feed

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_finder

Copyright
(C) 2011 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_footer

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_footer

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_languages

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_login

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_login

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_menu

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_menu

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_random_image

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_random_image

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_related_items

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_related_items

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_search

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_search

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_stats

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_stats

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_syndicate

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_tags_popular

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_tags_similar

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_users_latest

Copyright
(C) 2009 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_whosonline

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_whosonline

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_wrapper

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_wrapper

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Templates.beez3

Copyright
(C) 2010 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_contact

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Templates.beez3

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.beez5

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_newsfeeds

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

com_weblinks

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Templates.beez3

Copyright
(C) 2014 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

mod_languages

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Templates.beez3

Copyright
(C) 2013 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Templates.beez3

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Templates.protostar

Copyright
(C) 2012 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.protostar

Copyright
(C) 2015 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Templates.protostar

Copyright
(C) 2016 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.system

Copyright
(C) 2005 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.system

Copyright
(C) 2006 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt

Template.system

Copyright
(C) 2007 Open Source Matters, Inc. https://www.joomla.org GNU General Public License version 2 or later; see LICENSE.txt


Joomla CMS: Référence de l'espace de nommage Joomla\String

  • Joomla
  • String
Structures de données
Référence de l'espace de nommage Joomla\String

Structures de données

class | Inflector
class | Normalise
class | String

Description détaillée

Part of the Joomla Framework String Package

Copyright
Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Uri

  • Joomla
  • Uri
Structures de données
Référence de l'espace de nommage Joomla\Uri

Structures de données

class | AbstractUri
class | Uri
class | UriHelper
class | UriImmutable
interface | UriInterface

Description détaillée

Part of the Joomla Framework Uri Package

Copyright
Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE


Joomla CMS: Référence de l'espace de nommage Joomla\Utilities

  • Joomla
  • Utilities
Structures de données
Référence de l'espace de nommage Joomla\Utilities

Structures de données

class | ArrayHelper
class | IpHelper

Description détaillée

Part of the Joomla Framework Utilities Package

Copyright
Copyright (C) 2005 - 2021 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE

Part of the Joomla Framework Utilities Package

Copyright
Copyright (C) 2010-2016 Nicholas K. Dionysopoulos / Akeeba Ltd. All rights reserved. GNU General Public License version 2 or later; see LICENSE.txt
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.


Joomla CMS: Référence de l'espace de nommage ParagonIE

Espaces de nommage
Référence de l'espace de nommage ParagonIE

Espaces de nommage

Sodium


Joomla CMS: Référence de l'espace de nommage ParagonIE\Sodium

  • ParagonIE
  • Sodium
Espaces de nommage | Structures de données
Référence de l'espace de nommage ParagonIE\Sodium

Espaces de nommage

Core

Structures de données

class | Compat
class | Crypto
class | File


Joomla CMS: Référence de l'espace de nommage ParagonIE\Sodium\Core

  • ParagonIE
  • Sodium
  • Core
Espaces de nommage | Structures de données
Référence de l'espace de nommage ParagonIE\Sodium\Core

Espaces de nommage

ChaCha20
Curve25519
Poly1305

Structures de données

class | BLAKE2b
class | ChaCha20
class | Curve25519
class | Ed25519
class | HChaCha20
class | HSalsa20
class | Poly1305
class | Salsa20
class | SipHash
class | Util
class | X25519
class | XChaCha20
class | Xsalsa20


Joomla CMS: Référence de l'espace de nommage ParagonIE\Sodium\Core\ChaCha20

  • ParagonIE
  • Sodium
  • Core
  • ChaCha20
Structures de données
Référence de l'espace de nommage ParagonIE\Sodium\Core\ChaCha20

Structures de données

class | Ctx
class | IetfCtx


Joomla CMS: Référence de l'espace de nommage ParagonIE\Sodium\Core\Curve25519

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
Espaces de nommage | Structures de données
Référence de l'espace de nommage ParagonIE\Sodium\Core\Curve25519

Espaces de nommage

Ge

Structures de données

class | Fe
class | H


Joomla CMS: Référence de l'espace de nommage ParagonIE\Sodium\Core\Curve25519\Ge

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
  • Ge
Structures de données
Référence de l'espace de nommage ParagonIE\Sodium\Core\Curve25519\Ge

Structures de données

class | Cached
class | P1p1
class | P2
class | P3
class | Precomp


Joomla CMS: Référence de l'espace de nommage ParagonIE\Sodium\Core\Poly1305

  • ParagonIE
  • Sodium
  • Core
  • Poly1305
Structures de données
Référence de l'espace de nommage ParagonIE\Sodium\Core\Poly1305

Structures de données

class State


Joomla CMS: Référence de l'espace de nommage PasswordCompat

Espaces de nommage
Référence de l'espace de nommage PasswordCompat

Espaces de nommage

binary


Joomla CMS: Référence de l'espace de nommage PasswordCompat\binary

  • PasswordCompat
  • binary
Référence de l'espace de nommage PasswordCompat\binary


Joomla CMS: Référence de l'espace de nommage phlyMail

Référence de l'espace de nommage phlyMail

Description détaillée

UCTC - The Unicode Transcoder

Converts between various flavours of Unicode representations like UCS-4 or UTF-8 Supported schemes:

  • UCS-4 Little Endian / Big Endian / Array (partially)
  • UTF-16 Little Endian / Big Endian (not yet)
  • UTF-8
  • UTF-7

  • UTF-7 IMAP (modified UTF-7)

    Nahariya 4.0+ Default branch

    Auteur
    Matthias Sommerfeld mso@p.nosp@m.hlyL.nosp@m.abs.d.nosp@m.e
    Copyright
    2003-2009 phlyLabs Berlin, http://phlylabs.de
    Version
    0.0.6 2009-05-10
    Note
    This file has been modified by the Joomla! Project and no longer reflects the original work of its author.


Joomla CMS: Référence de l'espace de nommage phpmailer

Référence de l'espace de nommage phpmailer

Description détaillée

EasyPeasyICS Simple ICS/vCal data generator.

Auteur
Marcus Bointon phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k
Manuel Reinhard manu@.nosp@m.spra.nosp@m.in.ch

Built with inspiration from http://stackoverflow.com/questions/1463480/how-can-i-use-php-to-dynamically-publish-an-ical-file-to-be-read-by-google-calend/1464355#1464355 History: 2010/12/17 - Manuel Reinhard - when it all started 2014 PHPMailer project becomes maintainer Class EasyPeasyICS. Simple ICS data generator

easypeasyics


Joomla CMS: Référence de l'espace de nommage PHPMailer

Référence de l'espace de nommage PHPMailer

Description détaillée

PHPMailer - PHP email creation and transport class. PHP Version 5

The PHPMailer GitHub project Marcus Bointon (Synchro/coolbru) phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k Jim Jagielski (jimjag) jimja.nosp@m.g@gm.nosp@m.ail.c.nosp@m.om Andy Prevost (codeworxtech) codew.nosp@m.orxt.nosp@m.ech@u.nosp@m.sers.nosp@m..sour.nosp@m.cefo.nosp@m.rge.n.nosp@m.et Brent R. Matzelle (original founder) 2012 - 2014 Marcus Bointon 2010 - 2012 Jim Jagielski 2004 - 2009 Andy Prevost http://www.gnu.org/copyleft/lesser.html GNU Lesser General Public License This program is distributed in the hope that it will be useful - WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. PHPMailer - PHP email creation and transport class. Marcus Bointon (Synchro/coolbru) phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k Jim Jagielski (jimjag) jimja.nosp@m.g@gm.nosp@m.ail.c.nosp@m.om Andy Prevost (codeworxtech) codew.nosp@m.orxt.nosp@m.ech@u.nosp@m.sers.nosp@m..sour.nosp@m.cefo.nosp@m.rge.n.nosp@m.et Brent R. Matzelle (original founder) PHPMailer exception handler PHPMailer - PHP email creation and transport class. PHP Version 5.4 https://github.com/PHPMailer/PHPMailer/ The PHPMailer GitHub project Marcus Bointon (Synchro/coolbru) phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k Jim Jagielski (jimjag) jimja.nosp@m.g@gm.nosp@m.ail.c.nosp@m.om Andy Prevost (codeworxtech) codew.nosp@m.orxt.nosp@m.ech@u.nosp@m.sers.nosp@m..sour.nosp@m.cefo.nosp@m.rge.n.nosp@m.et Brent R. Matzelle (original founder) 2012 - 2014 Marcus Bointon 2010 - 2012 Jim Jagielski 2004 - 2009 Andy Prevost http://www.gnu.org/copyleft/lesser.html GNU Lesser General Public License This program is distributed in the hope that it will be useful - WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. PHPMailerOAuth - PHPMailer subclass adding OAuth support. Marcus Bointon () phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k PHPMailerOAuthGoogle - Wrapper for League OAuth2 Google provider. Marcus Bointon () phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k https://github.com/thephpleague/oauth2-client PHPMailer POP-Before-SMTP Authentication Class. PHP Version 5 https://github.com/PHPMailer/PHPMailer/ Marcus Bointon (Synchro/coolbru) phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k Jim Jagielski (jimjag) jimja.nosp@m.g@gm.nosp@m.ail.c.nosp@m.om Andy Prevost (codeworxtech) codew.nosp@m.orxt.nosp@m.ech@u.nosp@m.sers.nosp@m..sour.nosp@m.cefo.nosp@m.rge.n.nosp@m.et Brent R. Matzelle (original founder) 2012 - 2014 Marcus Bointon 2010 - 2012 Jim Jagielski 2004 - 2009 Andy Prevost http://www.gnu.org/copyleft/lesser.html GNU Lesser General Public License This program is distributed in the hope that it will be useful - WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. PHPMailer POP-Before-SMTP Authentication Class. Specifically for PHPMailer to use for RFC1939 POP-before-SMTP authentication. Does not support APOP. Richard Davey (original author) rich@.nosp@m.core.nosp@m.php.c.nosp@m.o.uk Marcus Bointon (Synchro/coolbru) phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k Jim Jagielski (jimjag) jimja.nosp@m.g@gm.nosp@m.ail.c.nosp@m.om Andy Prevost (codeworxtech) codew.nosp@m.orxt.nosp@m.ech@u.nosp@m.sers.nosp@m..sour.nosp@m.cefo.nosp@m.rge.n.nosp@m.et PHPMailer RFC821 SMTP email transport class. PHP Version 5 https://github.com/PHPMailer/PHPMailer/ The PHPMailer GitHub project Marcus Bointon (Synchro/coolbru) phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k Jim Jagielski (jimjag) jimja.nosp@m.g@gm.nosp@m.ail.c.nosp@m.om Andy Prevost (codeworxtech) codew.nosp@m.orxt.nosp@m.ech@u.nosp@m.sers.nosp@m..sour.nosp@m.cefo.nosp@m.rge.n.nosp@m.et Brent R. Matzelle (original founder) 2014 Marcus Bointon 2010 - 2012 Jim Jagielski 2004 - 2009 Andy Prevost http://www.gnu.org/copyleft/lesser.html GNU Lesser General Public License This program is distributed in the hope that it will be useful - WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. PHPMailer RFC821 SMTP email transport class. Implements RFC 821 SMTP commands and provides some utility methods for sending mail to an SMTP server. Chris Ryan Marcus Bointon phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k PHPMailer SPL autoloader. PHP Version 5 https://github.com/PHPMailer/PHPMailer/ The PHPMailer GitHub project Marcus Bointon (Synchro/coolbru) phpma.nosp@m.iler.nosp@m.@sync.nosp@m.hrom.nosp@m.edia..nosp@m.co.u.nosp@m.k Jim Jagielski (jimjag) jimja.nosp@m.g@gm.nosp@m.ail.c.nosp@m.om Andy Prevost (codeworxtech) codew.nosp@m.orxt.nosp@m.ech@u.nosp@m.sers.nosp@m..sour.nosp@m.cefo.nosp@m.rge.n.nosp@m.et Brent R. Matzelle (original founder) 2012 - 2014 Marcus Bointon 2010 - 2012 Jim Jagielski 2004 - 2009 Andy Prevost http://www.gnu.org/copyleft/lesser.html GNU Lesser General Public License This program is distributed in the hope that it will be useful - WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


Joomla CMS: Référence de l'espace de nommage Psr

Espaces de nommage
Référence de l'espace de nommage Psr

Espaces de nommage

Container
Log


Joomla CMS: Référence de l'espace de nommage Psr\Container

  • Psr
  • Container
Structures de données
Référence de l'espace de nommage Psr\Container

Structures de données

interface | ContainerExceptionInterface
interface | ContainerInterface
interface | NotFoundExceptionInterface

Description détaillée

http://www.opensource.org/licenses/mit-license.php MIT (see the LICENSE file)


Joomla CMS: Référence de l'espace de nommage Psr\Log

  • Psr
  • Log
Structures de données | Fonctions | Variables
Référence de l'espace de nommage Psr\Log

Structures de données

class | AbstractLogger
class | InvalidArgumentException
interface | LoggerAwareInterface
interface | LoggerInterface
class | LogLevel
class | NullLogger

Fonctions

setLogger (LoggerInterface $logger)

Variables

trait | LoggerAwareTrait
trait | LoggerTrait

Documentation des fonctions

◆ setLogger()

Psr\Log\setLogger ( LoggerInterface $logger )

Sets a logger.

Paramètres
LoggerInterface $logger

Référencé par ImageFilter\__construct(), et Image\__construct().

Documentation des variables

◆ LoggerAwareTrait

trait LoggerAwareTrait
Valeur initiale :
{
protected $logger

Basic Implementation of LoggerAwareInterface.

◆ LoggerTrait

trait LoggerTrait

This is a simple Logger trait that classes unable to extend AbstractLogger (because they extend another class, etc) can include.

It simply delegates all log-level-specific methods to the log method to reduce boilerplate code that a simple Logger that does the same thing with messages regardless of the error level has to implement.


Joomla CMS: Référence de l'espace de nommage ReCaptcha

Espaces de nommage | Structures de données
Référence de l'espace de nommage ReCaptcha

Espaces de nommage

RequestMethod

Structures de données

class | ReCaptcha
interface | RequestMethod
class | RequestParameters
class | Response

Description détaillée

This is a PHP library that handles calling reCAPTCHA.

Copyright
Copyright (c) 2015, Google Inc. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


Joomla CMS: Référence de l'espace de nommage ReCaptcha\RequestMethod

  • ReCaptcha
  • RequestMethod
Structures de données
Référence de l'espace de nommage ReCaptcha\RequestMethod

Structures de données

class | Curl
class | CurlPost
class | Post
class | Socket
class | SocketPost

Description détaillée

This is a PHP library that handles calling reCAPTCHA.

Copyright
Copyright (c) 2015, Google Inc. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


Joomla CMS: Référence de l'espace de nommage SimplePie

Référence de l'espace de nommage SimplePie

Description détaillée

SimplePie

A PHP-Based RSS and Atom Feed Framework. Takes the hard work out of managing a complete RSS/Atom solution.

Copyright (c) 2004-2009, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of
      conditions and the following disclaimer.

    * Redistributions in binary form must reproduce the above copyright notice, this list
      of conditions and the following disclaimer in the documentation and/or other materials
      provided with the distribution.

    * Neither the name of the SimplePie Team nor the names of its contributors may be used
      to endorse or promote products derived from this software without specific prior
      written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Copyright
2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
Auteur
Ryan Parman
Geoffrey Sneddon
Ryan McCue SimplePie http://www.opensource.org/licenses/bsd-license.php BSD License Autoloader class API SimplePie A PHP-Based RSS and Atom Feed Framework. Takes the hard work out of managing a complete RSS/Atom solution. Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. Neither the name of the SimplePie Team nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue Ryan Parman Geoffrey Sneddon Ryan McCue http://simplepie.org/ SimplePie http://www.opensource.org/licenses/bsd-license.php BSD License Manages all author-related data Used by { SimplePie_Item::get_author()} and { SimplePie::get_authors()} This class can be overloaded with { SimplePie::set_author_class()} API Base for cache objects Classes to be used with { SimplePie_Cache::register()} are expected to implement this interface. Caching Base class for database-based caches Caching Caches data to the filesystem Caching Caches data to memcache Registered for URLs with the "memcache" protocol For example, memcache://localhost:11211/?timeout=3600&prefix=sp_ will connect to memcache on localhost on port 11211. All tables will be prefixed with sp_ and data will expire after 3600 seconds Caching Memcache Caches data to a MySQL database Registered for URLs with the "mysql" protocol For example, mysql://root:password@localhost:3306/mydb?prefix=sp_ will connect to the mydb database on localhost on port 3306, with the user root and the password password. All tables will be prefixed with sp_ Caching Used to create cache objects This class can be overloaded with { SimplePie::set_cache_class()}, although the preferred way is to create your own handler via { register()} Caching Handles <media:text> captions as defined in Media RSS. Used by { SimplePie_Enclosure::get_caption()} and { SimplePie_Enclosure::get_captions()} This class can be overloaded with { SimplePie::set_caption_class()} API Manages all category-related data Used by { SimplePie_Item::get_category()} and { SimplePie_Item::get_categories()} This class can be overloaded with { SimplePie::set_category_class()} API Content-type sniffing Based on the rules in http://tools.ietf.org/html/draft-abarth-mime-sniff-06 This is used since we can't always trust Content-Type headers, and is based upon the HTML5 parsing rules. This class can be overloaded with { SimplePie::set_content_type_sniffer_class()} HTTP Manages <media:copyright> copyright tags as defined in Media RSS Used by { SimplePie_Enclosure::get_copyright()} This class can be overloaded with { SimplePie::set_copyright_class()} API SimplePie class. Class for backward compatibility. deprecated 1185. SimplePie} directly API Handles <media:credit> as defined in Media RSS Used by { SimplePie_Enclosure::get_credit()} and { SimplePie_Enclosure::get_credits()} This class can be overloaded with { SimplePie::set_credit_class()} API Decode HTML Entities This implements HTML5 as of revision 967 (2007-06-28) deprecated 1186. Handles everything related to enclosures (including Media RSS and iTunes RSS) Used by { SimplePie_Item::get_enclosure()} and { SimplePie_Item::get_enclosures()} This class can be overloaded with { SimplePie::set_enclosure_class()} API SimplePie A PHP-Based RSS and Atom Feed Framework. Takes the hard work out of managing a complete RSS/Atom solution. Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. Neither the name of the SimplePie Team nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 1.4-dev 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue Ryan Parman Geoffrey Sneddon Ryan McCue http://simplepie.org/ SimplePie http://www.opensource.org/licenses/bsd-license.php BSD License General SimplePie exception class Used for fetching remote files and reading local files Supports HTTP 1.0 via cURL or fsockopen, with spotty HTTP 1.1 support This class can be overloaded with { SimplePie::set_file_class()} HTTP todo 20. Decode 'gzip' encoded HTTP data HTTP http://www.gzip.org/format.txt HTTP Response Parser HTTP IRI parser/serialiser/normaliser HTTP Geoffrey Sneddon Steve Minutillo Ryan McCue 2007-2012 Geoffrey Sneddon, Steve Minutillo, Ryan McCue http://www.opensource.org/licenses/bsd-license.php Manages all item-related data Used by { SimplePie::get_item()} and { SimplePie::get_items()} This class can be overloaded with { SimplePie::set_item_class()} API Used for feed auto-discovery This class can be overloaded with { SimplePie::set_locator_class()} Miscellanous utilities Class to validate and to work with IPv6 addresses. HTTP 2003-2005 The PHP Group http://www.opensource.org/licenses/bsd-license.php http://pear.php.net/package/Net_IPv6 Alexander Merz alexa.nosp@m.nder.nosp@m..merz.nosp@m.@web.nosp@m..de elfrink at introweb dot nl Josh Peck
Geoffrey Sneddon geoff.nosp@m.ers@.nosp@m.gmail.nosp@m..com

Date Parser

Parsing

Parses XML into something sane

This class can be overloaded with {

Voir également
SimplePie::set_parser_class()}

Parsing

Handles <media:rating> or <itunes:explicit> tags as defined in Media RSS and iTunes RSS respectively

Used by {

Voir également
SimplePie_Enclosure::get_rating()} and {
SimplePie_Enclosure::get_ratings()}

This class can be overloaded with {

Voir également
SimplePie::set_rating_class()}

API

Handles creating objects and calling methods

Access this via {

Voir également
SimplePie::get_registry()}

Handles <media:restriction> as defined in Media RSS

Used by {

Voir également
SimplePie_Enclosure::get_restriction()} and {
SimplePie_Enclosure::get_restrictions()}

This class can be overloaded with {

Voir également
SimplePie::set_restriction_class()}

API

Used for data cleanup and post-processing

This class can be overloaded with {

Voir également
SimplePie::set_sanitize_class()}

Handles <atom:source>

Used by {

Voir également
SimplePie_Item::get_source()}

This class can be overloaded with {

Voir également
SimplePie::set_source_class()}

API

Parses the XML Declaration

Parsing

SimplePie

A PHP-Based RSS and Atom Feed Framework. Takes the hard work out of managing a complete RSS/Atom solution.

Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of
      conditions and the following disclaimer.

    * Redistributions in binary form must reproduce the above copyright notice, this list
      of conditions and the following disclaimer in the documentation and/or other materials
      provided with the distribution.

    * Neither the name of the SimplePie Team nor the names of its contributors may be used
      to endorse or promote products derived from this software without specific prior
      written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Version
1.3.3
Copyright
2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
Auteur
Ryan Parman
Geoffrey Sneddon
Ryan McCue SimplePie http://www.opensource.org/licenses/bsd-license.php BSD License SimplePie API


Joomla CMS: Référence de l'espace de nommage Sodium

Variables
Référence de l'espace de nommage Sodium

Variables

const | CRYPTO_AEAD_AES256GCM_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_KEYBYTES
const | CRYPTO_AEAD_AES256GCM_NSECBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_NSECBYTES
const | CRYPTO_AEAD_AES256GCM_NPUBBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_NPUBBYTES
const | CRYPTO_AEAD_AES256GCM_ABYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_ABYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_ABYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_ABYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES
const | CRYPTO_AUTH_BYTES = ParagonIE_Sodium_Compat::CRYPTO_AUTH_BYTES
const | CRYPTO_AUTH_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AUTH_KEYBYTES
const | CRYPTO_BOX_SEALBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_SEALBYTES
const | CRYPTO_BOX_SECRETKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_SECRETKEYBYTES
const | CRYPTO_BOX_PUBLICKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_PUBLICKEYBYTES
const | CRYPTO_BOX_KEYPAIRBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_KEYPAIRBYTES
const | CRYPTO_BOX_MACBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_MACBYTES
const | CRYPTO_BOX_NONCEBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_NONCEBYTES
const | CRYPTO_BOX_SEEDBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_SEEDBYTES
const | CRYPTO_KX_BYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_BYTES
const | CRYPTO_KX_SEEDBYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_SEEDBYTES
const | CRYPTO_KX_PUBLICKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_PUBLICKEYBYTES
const | CRYPTO_KX_SECRETKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_SECRETKEYBYTES
const | CRYPTO_GENERICHASH_BYTES = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_BYTES
const | CRYPTO_GENERICHASH_BYTES_MIN = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_BYTES_MIN
const | CRYPTO_GENERICHASH_BYTES_MAX = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_BYTES_MAX
const | CRYPTO_GENERICHASH_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_KEYBYTES
const | CRYPTO_GENERICHASH_KEYBYTES_MIN = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_KEYBYTES_MIN
const | CRYPTO_GENERICHASH_KEYBYTES_MAX = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_KEYBYTES_MAX
const | CRYPTO_SCALARMULT_BYTES = ParagonIE_Sodium_Compat::CRYPTO_SCALARMULT_BYTES
const | CRYPTO_SCALARMULT_SCALARBYTES = ParagonIE_Sodium_Compat::CRYPTO_SCALARMULT_SCALARBYTES
const | CRYPTO_SHORTHASH_BYTES = ParagonIE_Sodium_Compat::CRYPTO_SHORTHASH_BYTES
const | CRYPTO_SHORTHASH_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SHORTHASH_KEYBYTES
const | CRYPTO_SECRETBOX_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SECRETBOX_KEYBYTES
const | CRYPTO_SECRETBOX_MACBYTES = ParagonIE_Sodium_Compat::CRYPTO_SECRETBOX_MACBYTES
const | CRYPTO_SECRETBOX_NONCEBYTES = ParagonIE_Sodium_Compat::CRYPTO_SECRETBOX_NONCEBYTES
const | CRYPTO_SIGN_BYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_BYTES
const | CRYPTO_SIGN_SEEDBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_SEEDBYTES
const | CRYPTO_SIGN_PUBLICKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_PUBLICKEYBYTES
const | CRYPTO_SIGN_SECRETKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_SECRETKEYBYTES
const | CRYPTO_SIGN_KEYPAIRBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_KEYPAIRBYTES
const | CRYPTO_STREAM_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_STREAM_KEYBYTES
const | CRYPTO_STREAM_NONCEBYTES = ParagonIE_Sodium_Compat::CRYPTO_STREAM_NONCEBYTES

Documentation des variables

◆ CRYPTO_AEAD_AES256GCM_ABYTES

const CRYPTO_AEAD_AES256GCM_ABYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_ABYTES

◆ CRYPTO_AEAD_AES256GCM_KEYBYTES

const CRYPTO_AEAD_AES256GCM_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_KEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_aead_aes256gcm_encrypt(), et ParagonIE_Sodium_Compat\crypto_aead_aes256gcm_keygen().

◆ CRYPTO_AEAD_AES256GCM_NPUBBYTES

const CRYPTO_AEAD_AES256GCM_NPUBBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_NPUBBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_aead_aes256gcm_encrypt().

◆ CRYPTO_AEAD_AES256GCM_NSECBYTES

const CRYPTO_AEAD_AES256GCM_NSECBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_NSECBYTES

◆ CRYPTO_AEAD_CHACHA20POLY1305_ABYTES

const CRYPTO_AEAD_CHACHA20POLY1305_ABYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_ABYTES

Référencé par ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_decrypt(), et ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_decrypt().

◆ CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES

const CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES

◆ CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_keygen().

◆ CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_decrypt(), et ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_encrypt().

◆ CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES

◆ CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_encrypt(), et ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_keygen().

◆ CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_decrypt(), et ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_encrypt().

◆ CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES

◆ CRYPTO_AUTH_BYTES

const CRYPTO_AUTH_BYTES = ParagonIE_Sodium_Compat::CRYPTO_AUTH_BYTES

Référencé par ParagonIE_Sodium_Compat\crypto_auth_verify().

◆ CRYPTO_AUTH_KEYBYTES

const CRYPTO_AUTH_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AUTH_KEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_auth(), ParagonIE_Sodium_Compat\crypto_auth_keygen(), et ParagonIE_Sodium_Compat\crypto_auth_verify().

◆ CRYPTO_BOX_KEYPAIRBYTES

const CRYPTO_BOX_KEYPAIRBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_KEYPAIRBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_box(), ParagonIE_Sodium_Compat\crypto_box_open(), ParagonIE_Sodium_Compat\crypto_box_publickey(), ParagonIE_Sodium_Compat\crypto_box_seal_open(), et ParagonIE_Sodium_Compat\crypto_box_secretkey().

◆ CRYPTO_BOX_MACBYTES

const CRYPTO_BOX_MACBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_MACBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_box_open().

◆ CRYPTO_BOX_NONCEBYTES

const CRYPTO_BOX_NONCEBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_NONCEBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_box(), et ParagonIE_Sodium_Compat\crypto_box_open().

◆ CRYPTO_BOX_PUBLICKEYBYTES

const CRYPTO_BOX_PUBLICKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_PUBLICKEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_box_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Compat\crypto_box_seal(), ParagonIE_Sodium_Compat\crypto_kx(), et ParagonIE_Sodium_Compat\crypto_scalarmult().

◆ CRYPTO_BOX_SEALBYTES

const CRYPTO_BOX_SEALBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_SEALBYTES

◆ CRYPTO_BOX_SECRETKEYBYTES

const CRYPTO_BOX_SECRETKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_SECRETKEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_box_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Compat\crypto_box_publickey_from_secretkey(), ParagonIE_Sodium_Compat\crypto_kx(), ParagonIE_Sodium_Compat\crypto_scalarmult(), et ParagonIE_Sodium_Compat\crypto_scalarmult_base().

◆ CRYPTO_BOX_SEEDBYTES

const CRYPTO_BOX_SEEDBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_SEEDBYTES

◆ CRYPTO_GENERICHASH_BYTES

const CRYPTO_GENERICHASH_BYTES = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_BYTES

◆ CRYPTO_GENERICHASH_BYTES_MAX

const CRYPTO_GENERICHASH_BYTES_MAX = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_BYTES_MAX

◆ CRYPTO_GENERICHASH_BYTES_MIN

const CRYPTO_GENERICHASH_BYTES_MIN = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_BYTES_MIN

◆ CRYPTO_GENERICHASH_KEYBYTES

const CRYPTO_GENERICHASH_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_KEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_generichash_keygen().

◆ CRYPTO_GENERICHASH_KEYBYTES_MAX

const CRYPTO_GENERICHASH_KEYBYTES_MAX = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_KEYBYTES_MAX

Référencé par ParagonIE_Sodium_Compat\crypto_generichash(), ParagonIE_Sodium_Compat\crypto_generichash_init(), et ParagonIE_Sodium_Compat\crypto_generichash_init_salt_personal().

◆ CRYPTO_GENERICHASH_KEYBYTES_MIN

const CRYPTO_GENERICHASH_KEYBYTES_MIN = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_KEYBYTES_MIN

Référencé par ParagonIE_Sodium_Compat\crypto_generichash(), et ParagonIE_Sodium_Compat\crypto_generichash_init().

◆ CRYPTO_KX_BYTES

const CRYPTO_KX_BYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_BYTES

◆ CRYPTO_KX_PUBLICKEYBYTES

const CRYPTO_KX_PUBLICKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_PUBLICKEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_kx_client_session_keys(), ParagonIE_Sodium_Compat\crypto_kx_publickey(), et ParagonIE_Sodium_Compat\crypto_kx_server_session_keys().

◆ CRYPTO_KX_SECRETKEYBYTES

const CRYPTO_KX_SECRETKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_SECRETKEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_kx_keypair(), ParagonIE_Sodium_Compat\crypto_kx_publickey(), ParagonIE_Sodium_Compat\crypto_kx_secretkey(), et ParagonIE_Sodium_Compat\crypto_kx_seed_keypair().

◆ CRYPTO_KX_SEEDBYTES

const CRYPTO_KX_SEEDBYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_SEEDBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_kx_seed_keypair().

◆ CRYPTO_SCALARMULT_BYTES

const CRYPTO_SCALARMULT_BYTES = ParagonIE_Sodium_Compat::CRYPTO_SCALARMULT_BYTES

◆ CRYPTO_SCALARMULT_SCALARBYTES

const CRYPTO_SCALARMULT_SCALARBYTES = ParagonIE_Sodium_Compat::CRYPTO_SCALARMULT_SCALARBYTES

◆ CRYPTO_SECRETBOX_KEYBYTES

const CRYPTO_SECRETBOX_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SECRETBOX_KEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_secretbox(), ParagonIE_Sodium_Compat\crypto_secretbox_keygen(), ParagonIE_Sodium_Compat\crypto_secretbox_open(), ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305(), et ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305_open().

◆ CRYPTO_SECRETBOX_MACBYTES

const CRYPTO_SECRETBOX_MACBYTES = ParagonIE_Sodium_Compat::CRYPTO_SECRETBOX_MACBYTES

◆ CRYPTO_SECRETBOX_NONCEBYTES

const CRYPTO_SECRETBOX_NONCEBYTES = ParagonIE_Sodium_Compat::CRYPTO_SECRETBOX_NONCEBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_secretbox(), ParagonIE_Sodium_Compat\crypto_secretbox_open(), ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305(), et ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305_open().

◆ CRYPTO_SHORTHASH_BYTES

const CRYPTO_SHORTHASH_BYTES = ParagonIE_Sodium_Compat::CRYPTO_SHORTHASH_BYTES

◆ CRYPTO_SHORTHASH_KEYBYTES

const CRYPTO_SHORTHASH_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SHORTHASH_KEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_shorthash(), et ParagonIE_Sodium_Compat\crypto_shorthash_keygen().

◆ CRYPTO_SIGN_BYTES

const CRYPTO_SIGN_BYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_BYTES

Référencé par ParagonIE_Sodium_Compat\crypto_sign_open(), et ParagonIE_Sodium_Compat\crypto_sign_verify_detached().

◆ CRYPTO_SIGN_KEYPAIRBYTES

const CRYPTO_SIGN_KEYPAIRBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_KEYPAIRBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_sign_publickey(), et ParagonIE_Sodium_Compat\crypto_sign_secretkey().

◆ CRYPTO_SIGN_PUBLICKEYBYTES

const CRYPTO_SIGN_PUBLICKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_PUBLICKEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_sign_ed25519_pk_to_curve25519(), ParagonIE_Sodium_Compat\crypto_sign_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Compat\crypto_sign_open(), et ParagonIE_Sodium_Compat\crypto_sign_verify_detached().

◆ CRYPTO_SIGN_SECRETKEYBYTES

const CRYPTO_SIGN_SECRETKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_SECRETKEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_sign(), ParagonIE_Sodium_Compat\crypto_sign_detached(), ParagonIE_Sodium_Compat\crypto_sign_keypair_from_secretkey_and_publickey(), et ParagonIE_Sodium_Compat\crypto_sign_publickey_from_secretkey().

◆ CRYPTO_SIGN_SEEDBYTES

const CRYPTO_SIGN_SEEDBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_SEEDBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_sign_ed25519_sk_to_curve25519().

◆ CRYPTO_STREAM_KEYBYTES

const CRYPTO_STREAM_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_STREAM_KEYBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_stream(), ParagonIE_Sodium_Compat\crypto_stream_keygen(), et ParagonIE_Sodium_Compat\crypto_stream_xor().

◆ CRYPTO_STREAM_NONCEBYTES

const CRYPTO_STREAM_NONCEBYTES = ParagonIE_Sodium_Compat::CRYPTO_STREAM_NONCEBYTES

Référencé par ParagonIE_Sodium_Compat\crypto_stream(), et ParagonIE_Sodium_Compat\crypto_stream_xor().


Joomla CMS: Référence de l'espace de nommage Symfony

Espaces de nommage
Référence de l'espace de nommage Symfony

Espaces de nommage

Component
Polyfill


Joomla CMS: Référence de l'espace de nommage Symfony\Component

  • Symfony
  • Component
Espaces de nommage
Référence de l'espace de nommage Symfony\Component

Espaces de nommage

Yaml


Joomla CMS: Référence de l'espace de nommage Symfony\Component\Yaml

  • Symfony
  • Component
  • Yaml
Espaces de nommage | Structures de données
Référence de l'espace de nommage Symfony\Component\Yaml

Espaces de nommage

Exception

Structures de données

class | Dumper
class | Escaper
class | Inline
class | Parser
class | Unescaper
class | Yaml


Joomla CMS: Référence de l'espace de nommage Symfony\Component\Yaml\Exception

  • Symfony
  • Component
  • Yaml
  • Exception
Structures de données
Référence de l'espace de nommage Symfony\Component\Yaml\Exception

Structures de données

class | DumpException
interface | ExceptionInterface
class | ParseException
class | RuntimeException


Joomla CMS: Référence de l'espace de nommage Symfony\Polyfill

  • Symfony
  • Polyfill
Espaces de nommage
Référence de l'espace de nommage Symfony\Polyfill

Espaces de nommage

Ctype
Php55
Php56
Php71
Php73
Util


Joomla CMS: Référence de l'espace de nommage Symfony\Polyfill\Ctype

  • Symfony
  • Polyfill
  • Ctype
Structures de données
Référence de l'espace de nommage Symfony\Polyfill\Ctype

Structures de données

class Ctype


Joomla CMS: Référence de l'espace de nommage Symfony\Polyfill\Php55

  • Symfony
  • Polyfill
  • Php55
Structures de données
Référence de l'espace de nommage Symfony\Polyfill\Php55

Structures de données

class | Php55
class | Php55ArrayColumn


Joomla CMS: Référence de l'espace de nommage Symfony\Polyfill\Php56

  • Symfony
  • Polyfill
  • Php56
Structures de données
Référence de l'espace de nommage Symfony\Polyfill\Php56

Structures de données

class Php56


Joomla CMS: Référence de l'espace de nommage Symfony\Polyfill\Php71

  • Symfony
  • Polyfill
  • Php71
Structures de données
Référence de l'espace de nommage Symfony\Polyfill\Php71

Structures de données

class Php71


Joomla CMS: Référence de l'espace de nommage Symfony\Polyfill\Php73

  • Symfony
  • Polyfill
  • Php73
Structures de données
Référence de l'espace de nommage Symfony\Polyfill\Php73

Structures de données

class Php73


Joomla CMS: Référence de l'espace de nommage Symfony\Polyfill\Util

  • Symfony
  • Polyfill
  • Util
Structures de données
Référence de l'espace de nommage Symfony\Polyfill\Util

Structures de données

class | BinaryNoFuncOverload
class | BinaryOnFuncOverload


Joomla CMS: Référence de l'espace de nommage TYPO3

Espaces de nommage
Référence de l'espace de nommage TYPO3

Espaces de nommage

PharStreamWrapper


Joomla CMS: Référence de l'espace de nommage TYPO3\PharStreamWrapper

  • TYPO3
  • PharStreamWrapper
Espaces de nommage | Structures de données
Référence de l'espace de nommage TYPO3\PharStreamWrapper

Espaces de nommage

Interceptor
Phar
Resolver

Structures de données

interface | Assertable
class | Behavior
interface | Collectable
class | Exception
class | Helper
class | Manager
class | PharStreamWrapper
interface | Resolvable


Joomla CMS: Référence de l'espace de nommage TYPO3\PharStreamWrapper\Interceptor

  • TYPO3
  • PharStreamWrapper
  • Interceptor
Structures de données
Référence de l'espace de nommage TYPO3\PharStreamWrapper\Interceptor

Structures de données

class | ConjunctionInterceptor
class | PharExtensionInterceptor
class | PharMetaDataInterceptor


Joomla CMS: Référence de l'espace de nommage TYPO3\PharStreamWrapper\Phar

  • TYPO3
  • PharStreamWrapper
  • Phar
Structures de données
Référence de l'espace de nommage TYPO3\PharStreamWrapper\Phar

Structures de données

class | Container
class | DeserializationException
class | Manifest
class | Reader
class | ReaderException
class | Stub


Joomla CMS: Référence de l'espace de nommage TYPO3\PharStreamWrapper\Resolver

  • TYPO3
  • PharStreamWrapper
  • Resolver
Structures de données
Référence de l'espace de nommage TYPO3\PharStreamWrapper\Resolver

Structures de données

class | PharInvocation
class | PharInvocationCollection
class | PharInvocationResolver


Joomla CMS: Référence de l'espace de nommage utf8

Référence de l'espace de nommage utf8

Description détaillée

Define UTF8_CORE as required Wrapper round mb_strlen Assumes you have mb_internal_encoding to UTF-8 already Note: this function does not count bad bytes in the string - these are simply ignored

Paramètres
string UTF-8 string
Renvoie
int number of UTF-8 characters in string

Assumes mbstring internal encoding is set to UTF-8 Wrapper around mb_strpos Find position of first occurrence of a string

Paramètres
string | haystack
string | needle (you should validate this with utf8_is_valid)
integer | offset in characters (from left)
Renvoie
mixed integer position or FALSE on failure

Assumes mbstring internal encoding is set to UTF-8 Wrapper around mb_strrpos Find position of last occurrence of a char in a string

Paramètres
string | haystack
string | needle (you should validate this with utf8_is_valid)
integer | (optional) offset (from left)
Renvoie
mixed integer position or FALSE on failure

Assumes mbstring internal encoding is set to UTF-8 Wrapper around mb_substr Return part of a string given character offset (and optionally length)

Paramètres
string
integer | number of UTF-8 characters offset (from left)
integer | (optional) length in UTF-8 characters from offset
Renvoie
mixed string or FALSE if failure

Assumes mbstring internal encoding is set to UTF-8 Wrapper around mb_strtolower Make a string lowercase Note: The concept of a characters "case" only exists is some alphabets such as Latin, Greek, Cyrillic, Armenian and archaic Georgian - it does not exist in the Chinese alphabet, for example. See Unicode Standard Annex #21: Case Mappings

Paramètres
string
Renvoie
mixed either string in lowercase or FALSE is UTF-8 invalid

Assumes mbstring internal encoding is set to UTF-8 Wrapper around mb_strtoupper Make a string uppercase Note: The concept of a characters "case" only exists is some alphabets such as Latin, Greek, Cyrillic, Armenian and archaic Georgian - it does not exist in the Chinese alphabet, for example. See Unicode Standard Annex #21: Case Mappings

Paramètres
string
Renvoie
mixed either string in lowercase or FALSE is UTF-8 invalid

Define UTF8_CORE as required Unicode aware replacement for strlen(). Returns the number of characters in the string (not the number of bytes), replacing multibyte characters with a single byte equivalent utf8_decode() converts characters that are not in ISO-8859-1 to '?', which, for the purpose of counting, is alright - It's much faster than iconv_strlen Note: this function does not count bad UTF-8 bytes in the string

  • these are simply ignored
    Auteur
    <chernyshevsky at="" hotmail="" dot="" com>=""> http://www.php.net/manual/en/function.utf8-decode.php string UTF-8 string int number of UTF-8 characters in string UTF-8 aware alternative to strpos Find position of first occurrence of a string Note: This will get alot slower if offset is used Note: requires utf8_strlen amd utf8_substr to be loaded string haystack string needle (you should validate this with utf8_is_valid) integer offset in characters (from left) mixed integer position or FALSE on failure http://www.php.net/strpos utf8_strlen utf8_substr UTF-8 aware alternative to strrpos Find position of last occurrence of a char in a string Note: This will get alot slower if offset is used Note: requires utf8_substr and utf8_strlen to be loaded string haystack string needle (you should validate this with utf8_is_valid) integer (optional) offset (from left) mixed integer position or FALSE on failure http://www.php.net/strrpos utf8_substr utf8_strlen UTF-8 aware alternative to substr Return part of a string given character offset (and optionally length) Note arguments: comparied to substr - if offset or length are not integers, this version will not complain but rather massages them into an integer. Note on returned values: substr documentation states false can be returned in some cases (e.g. offset > string length) mb_substr never returns false, it will return an empty string instead. This adopts the mb_substr approach Note on implementation: PCRE only supports repetitions of less than 65536, in order to accept up to MAXINT values for offset and length, we'll repeat a group of 65535 characters when needed. Note on implementation: calculating the number of characters in the string is a relatively expensive operation, so we only carry it out when necessary. It isn't necessary for +ve offsets and no specified length Chris Smithchris.nosp@m.@jal.nosp@m.akai..nosp@m.co.u.nosp@m.k string integer number of UTF-8 characters offset (from left) integer (optional) length in UTF-8 characters from offset mixed string or FALSE if failure UTF-8 aware alternative to strtolower Make a string lowercase Note: The concept of a characters "case" only exists is some alphabets such as Latin, Greek, Cyrillic, Armenian and archaic Georgian - it does not exist in the Chinese alphabet, for example. See Unicode Standard Annex #21: Case Mappings Note: requires utf8_to_unicode and utf8_from_unicode Andreas Gohr andi@.nosp@m.spli.nosp@m.tbrai.nosp@m.n.or.nosp@m.g string mixed either string in lowercase or FALSE is UTF-8 invalid http://www.php.net/strtolower utf8_to_unicode utf8_from_unicode http://www.unicode.org/reports/tr21/tr21-5.html http://dev.splitbrain.org/view/darcs/dokuwiki/inc/utf8.php UTF-8 aware alternative to strtoupper Make a string uppercase Note: The concept of a characters "case" only exists is some alphabets such as Latin, Greek, Cyrillic, Armenian and archaic Georgian - it does not exist in the Chinese alphabet, for example. See Unicode Standard Annex #21: Case Mappings Note: requires utf8_to_unicode and utf8_from_unicode Andreas Gohr andi@.nosp@m.spli.nosp@m.tbrai.nosp@m.n.or.nosp@m.g string mixed either string in lowercase or FALSE is UTF-8 invalid http://www.php.net/strtoupper utf8_to_unicode utf8_from_unicode http://www.unicode.org/reports/tr21/tr21-5.html http://dev.splitbrain.org/view/darcs/dokuwiki/inc/utf8.php UTF-8 aware alternative to str_ireplace Case-insensitive version of str_replace Note: requires utf8_strtolower Note: it's not fast and gets slower if $search / $replace is array Notes: it's based on the assumption that the lower and uppercase versions of a UTF-8 character will have the same length in bytes which is currently true given the hash table to strtolower string string http://www.php.net/str_ireplace utf8_strtolower Replacement for str_pad. $padStr may contain multi-byte characters. Oliver Saunders <oliver (a) osinternetservices.com> string $input int $length string $padStr int $type ( same constants as str_pad ) string http://www.php.net/str_pad utf8_substr UTF-8 aware alternative to str_split Convert a string to an array Note: requires utf8_strlen to be loaded string UTF-8 encoded int number to characters to split string by string characters in string reverses http://www.php.net/str_split utf8_strlen UTF-8 aware alternative to strcasecmp A case insensitive string comparison Note: requires utf8_strtolower string string int http://www.php.net/strcasecmp utf8_strtolower UTF-8 aware alternative to strcspn Find length of initial segment not matching mask Note: requires utf8_strlen and utf8_substr (if start, length are used) string int http://www.php.net/strcspn utf8_strlen UTF-8 aware alternative to stristr Find first occurrence of a string using case insensitive comparison Note: requires utf8_strtolower string string int http://www.php.net/strcasecmp utf8_strtolower UTF-8 aware alternative to strrev Reverse a string string UTF-8 encoded string characters in string reverses http://www.php.net/strrev UTF-8 aware alternative to strspn Find length of initial segment matching mask Note: requires utf8_strlen and utf8_substr (if start, length are used) string int http://www.php.net/strspn UTF-8 aware replacement for ltrim() Note: you only need to use this if you are supplying the charlist optional arg and it contains UTF-8 characters. Otherwise ltrim will work normally on a UTF-8 string Andreas Gohr andi@.nosp@m.spli.nosp@m.tbrai.nosp@m.n.or.nosp@m.g http://www.php.net/ltrim http://dev.splitbrain.org/view/darcs/dokuwiki/inc/utf8.php string UTF-8 aware replacement for rtrim() Note: you only need to use this if you are supplying the charlist optional arg and it contains UTF-8 characters. Otherwise rtrim will work normally on a UTF-8 string Andreas Gohr andi@.nosp@m.spli.nosp@m.tbrai.nosp@m.n.or.nosp@m.g http://www.php.net/rtrim http://dev.splitbrain.org/view/darcs/dokuwiki/inc/utf8.php string UTF-8 aware replacement for trim() Note: you only need to use this if you are supplying the charlist optional arg and it contains UTF-8 characters. Otherwise trim will work normally on a UTF-8 string Andreas Gohr andi@.nosp@m.spli.nosp@m.tbrai.nosp@m.n.or.nosp@m.g http://www.php.net/trim http://dev.splitbrain.org/view/darcs/dokuwiki/inc/utf8.php string UTF-8 aware alternative to ucfirst Make a string's first character uppercase Note: requires utf8_strtoupper string string with first character as upper case (if applicable) http://www.php.net/ucfirst utf8_strtoupper UTF-8 aware alternative to ucwords Uppercase the first character of each word in a string Note: requires utf8_substr_replace and utf8_strtoupper string string with first char of each word uppercase http://www.php.net/ucwords Callback function for preg_replace_callback call in utf8_ucwords You don't need to call this yourself array of matches corresponding to a single word string with first char of the word in uppercase utf8_ucwords utf8_strtoupper This is the dynamic loader for the library. It checks whether you have the mbstring extension available and includes relevant files on that basis, falling back to the native (as in written in PHP) version if mbstring is unavailable. It's probably easiest to use this, if you don't want to understand the dependencies involved, in conjunction with PHP versions etc. At the same time, you might get better performance by managing loading yourself. The smartest way to do this, bearing in mind performance, is probably to "load on demand" - i.e. just before you use these functions in your code, load the version you need. It makes sure the the following functions are available; utf8_strlen, utf8_strpos, utf8_strrpos, utf8_substr, utf8_strtolower, utf8_strtoupper Other functions in the ./native directory depend on these six functions being available Tools to help with ASCII in UTF-8 Tests whether a string contains only 7bit ASCII bytes. You might use this to conditionally check whether a string needs handling as UTF-8 or not, potentially offering performance benefits by using the native PHP equivalent if it's just ASCII e.g.; if ( utf8_is_ascii($someString) ) { // It's just ASCII - use the native PHP version $someString = strtolower($someString); } else { $someString = utf8_strtolower($someString); } string boolean TRUE if it's all ASCII utf8_is_ascii_ctrl Tests whether a string contains only 7bit ASCII bytes with device control codes omitted. The device control codes can be found on the second table here: http://www.w3schools.com/tags/ref_ascii.asp string boolean TRUE if it's all ASCII without device control codes utf8_is_ascii Strip out all non-7bit ASCII bytes If you need to transmit a string to system which you know can only support 7bit ASCII, you could use this function. string string with non ASCII bytes removed utf8_strip_non_ascii_ctrl Strip out all non 7bit ASCII bytes and ASCII device control codes. For a list of ASCII device control codes see the 2nd table here: http://www.w3schools.com/tags/ref_ascii.asp string boolean TRUE if it's all ASCII Replace accented UTF-8 characters by unaccented ASCII-7 "equivalents". The purpose of this function is to replace characters commonly found in Latin alphabets with something more or less equivalent from the ASCII range. This can be useful for converting a UTF-8 to something ready for a filename, for example. Following the use of this function, you would probably also pass the string through utf8_strip_non_ascii to clean out any other non-ASCII chars Use the optional parameter to just deaccent lower ($case = -1) or upper ($case = 1) letters. Default is to deaccent both cases ($case = 0) For a more complete implementation of transliteration, see the utf8_to_ascii package available from the phputf8 project downloads: http://prdownloads.sourceforge.net/phputf8 string UTF-8 string int (optional) -1 lowercase only, +1 uppercase only, 1 both cases string UTF-8 with accented characters replaced by ASCII chars string accented chars replaced with ascii equivalents Andreas Gohr andi@.nosp@m.spli.nosp@m.tbrai.nosp@m.n.or.nosp@m.g Tools for locating / replacing bad bytes in UTF-8 strings The Original Code is Mozilla Communicator client code. The Initial Developer of the Original Code is Netscape Communications Corporation. Portions created by the Initial Developer are Copyright (C) 1998 the Initial Developer. All Rights Reserved. Ported to PHP by Henri Sivonen (http://hsivonen.iki.fi) Slight modifications to fit with phputf8 library by Harry Fuecks (hfuecks gmail com) http://lxr.mozilla.org/seamonkey/source/intl/uconv/src/nsUTF8ToUnicode.cpp http://lxr.mozilla.org/seamonkey/source/intl/uconv/src/nsUnicodeToUTF8.cpp http://hsivonen.iki.fi/php-utf8/ utf8_is_valid Locates the first bad byte in a UTF-8 string returning it's byte index in the string PCRE Pattern to locate bad bytes in a UTF-8 string Comes from W3 FAQ: Multilingual Forms Note: modified to include full ASCII range including control chars http://www.w3.org/International/questions/qa-forms-utf-8 string mixed integer byte index or FALSE if no bad found Locates all bad bytes in a UTF-8 string and returns a list of their byte index in the string PCRE Pattern to locate bad bytes in a UTF-8 string Comes from W3 FAQ: Multilingual Forms Note: modified to include full ASCII range including control chars http://www.w3.org/International/questions/qa-forms-utf-8 string mixed array of integers or FALSE if no bad found Strips out any bad bytes from a UTF-8 string and returns the rest PCRE Pattern to locate bad bytes in a UTF-8 string Comes from W3 FAQ: Multilingual Forms Note: modified to include full ASCII range including control chars http://www.w3.org/International/questions/qa-forms-utf-8 string string Replace bad bytes with an alternative character - ASCII character recommended is replacement char PCRE Pattern to locate bad bytes in a UTF-8 string Comes from W3 FAQ: Multilingual Forms Note: modified to include full ASCII range including control chars http://www.w3.org/International/questions/qa-forms-utf-8 string to search string to replace bad bytes with (defaults to '?') - use ASCII string Return code from utf8_bad_identify() when a five octet sequence is detected. Note: 5 octets sequences are valid UTF-8 but are not supported by Unicode so do not represent a useful character utf8_bad_identify Return code from utf8_bad_identify() when a six octet sequence is detected. Note: 6 octets sequences are valid UTF-8 but are not supported by Unicode so do not represent a useful character utf8_bad_identify Return code from utf8_bad_identify(). Invalid octet for use as start of multi-byte UTF-8 sequence utf8_bad_identify Return code from utf8_bad_identify(). From Unicode 3.1, non-shortest form is illegal utf8_bad_identify Return code from utf8_bad_identify(). From Unicode 3.2, surrogate characters are illegal utf8_bad_identify Return code from utf8_bad_identify(). Codepoints outside the Unicode range are illegal utf8_bad_identify Return code from utf8_bad_identify(). Incomplete multi-octet sequence Note: this is kind of a "catch-all" utf8_bad_identify Reports on the type of bad byte found in a UTF-8 string. Returns a status code on the first bad byte found Joomla modification - As of PHP 7.4, curly brace access has been deprecated. As a result this function has been modified to use square brace syntax See https://github.com/php/php-src/commit/d574df63dc375f5fc9202ce5afde23f866b6450a for additional references hsivo.nosp@m.nen@.nosp@m.iki.f.nosp@m.i string UTF-8 encoded string mixed integer constant describing problem or FALSE if valid UTF-8 utf8_bad_explain http://hsivonen.iki.fi/php-utf8/ Takes a return code from utf8_bad_identify() are returns a message (in English) explaining what the problem is. int return code from utf8_bad_identify mixed string message or FALSE if return code unknown utf8_bad_identify PCRE Regular expressions for UTF-8. Note this file is not actually used by the rest of the library but these regular expressions can be useful to have available. http://www.w3.org/International/questions/qa-forms-utf-8 PCRE Pattern to check a UTF-8 string is valid Comes from W3 FAQ: Multilingual Forms Note: modified to include full ASCII range including control chars http://www.w3.org/International/questions/qa-forms-utf-8 PCRE Pattern to match single UTF-8 characters Comes from W3 FAQ: Multilingual Forms Note: modified to include full ASCII range including control chars http://www.w3.org/International/questions/qa-forms-utf-8 PCRE Pattern to locate bad bytes in a UTF-8 string Comes from W3 FAQ: Multilingual Forms Note: modified to include full ASCII range including control chars http://www.w3.org/International/questions/qa-forms-utf-8 Locate a byte index given a UTF-8 character index Given a string and a character index in the string, in terms of the UTF-8 character position, returns the byte index of that character. Can be useful when you want to PHP's native string functions but we warned, locating the byte can be expensive Takes variable number of parameters - first must be the search string then 1 to n UTF-8 character positions to obtain byte indexes for - it is more efficient to search the string for multiple characters at once, than make repeated calls to this function Chris Smithchris.nosp@m.@jal.nosp@m.akai..nosp@m.co.u.nosp@m.k string string to locate index in int (n times) mixed - int if only one input int, array if more boolean TRUE if it's all ASCII Given a string and any byte index, returns the byte index of the start of the current UTF-8 character, relative to supplied position. If the current character begins at the same place as the supplied byte index, that byte index will be returned. Otherwise this function will step backwards, looking for the index where current UTF-8 character begins Chris Smithchris.nosp@m.@jal.nosp@m.akai..nosp@m.co.u.nosp@m.k string int byte index in the string int byte index of start of next UTF-8 character Given a string and any byte index, returns the byte index of the start of the next UTF-8 character, relative to supplied position. If the next character begins at the same place as the supplied byte index, that byte index will be returned. Chris Smithchris.nosp@m.@jal.nosp@m.akai..nosp@m.co.u.nosp@m.k string int byte index in the string int byte index of start of next UTF-8 character Utilities for processing "special" characters in UTF-8. "Special" largely means anything which would be regarded as a non-word character, like ASCII control characters and punctuation. This has a "Roman" bias - it would be unaware of modern Chinese "punctuation" characters for example. Note: requires utils/unicode.php to be loaded utf8_is_valid Used internally. Builds a PCRE pattern from the $UTF8_SPECIAL_CHARS array defined in this file The $UTF8_SPECIAL_CHARS should contain all special characters (non-letter/non-digit) defined in the various local charsets - it's not a complete list of non-alphanum characters in UTF-8. It's not perfect but should match most cases of special chars. This function adds the control chars 0x00 to 0x19 to the array of special chars (they are not included in $UTF8_SPECIAL_CHARS) string utf8_from_unicode utf8_is_word_chars utf8_strip_specials Checks a string for whether it contains only word characters. This is logically equivalent to the PCRE meta character. Note that this is not a 100% guarantee that the string only contains alpha / numeric characters but just that common non-alphanumeric are not in the string, including ASCII device control characters. string to check boolean TRUE if the string only contains word characters utf8_specials_pattern Removes special characters (nonalphanumeric) from a UTF-8 string This can be useful as a helper for sanitizing a string for use as something like a file name or a unique identifier. Be warned though it does not handle all possible non-alphanumeric characters and is not intended is some kind of security / injection filter. Andreas Gohr andi@.nosp@m.spli.nosp@m.tbrai.nosp@m.n.or.nosp@m.g string $string The UTF8 string to strip of special chars string (optional) $repl Replace special with this string string with common non-alphanumeric characters removed utf8_specials_pattern Tools for conversion between UTF-8 and unicode The Original Code is Mozilla Communicator client code. The Initial Developer of the Original Code is Netscape Communications Corporation. Portions created by the Initial Developer are Copyright (C) 1998 the Initial Developer. All Rights Reserved. Ported to PHP by Henri Sivonen (http://hsivonen.iki.fi) Slight modifications to fit with phputf8 library by Harry Fuecks (hfuecks gmail com) http://lxr.mozilla.org/seamonkey/source/intl/uconv/src/nsUTF8ToUnicode.cpp http://lxr.mozilla.org/seamonkey/source/intl/uconv/src/nsUnicodeToUTF8.cpp http://hsivonen.iki.fi/php-utf8/ Takes an UTF-8 string and returns an array of ints representing the Unicode characters. Astral planes are supported ie. the ints in the output can be > 0xFFFF. Occurrances of the BOM are ignored. Surrogates are not allowed. Returns false if the input string isn't a valid UTF-8 octet sequence and raises a PHP error at level E_USER_WARNING Note: this function has been modified slightly in this library to trigger errors on encountering bad bytes Joomla modification - As of PHP 7.4, curly brace access has been deprecated. As a result this function has been modified to use square brace syntax See https://github.com/php/php-src/commit/d574df63dc375f5fc9202ce5afde23f866b6450a for additional references hsivo.nosp@m.nen@.nosp@m.iki.f.nosp@m.i string UTF-8 encoded string mixed array of unicode code points or FALSE if UTF-8 invalid utf8_from_unicode http://hsivonen.iki.fi/php-utf8/ Takes an array of ints representing the Unicode characters and returns a UTF-8 string. Astral planes are supported ie. the ints in the input can be > 0xFFFF. Occurrances of the BOM are ignored. Surrogates are not allowed. Returns false if the input array contains ints that represent surrogates or are outside the Unicode range and raises a PHP error at level E_USER_WARNING Note: this function has been modified slightly in this library to use output buffering to concatenate the UTF-8 string (faster) as well as reference the array by it's keys array of unicode code points representing a string mixed UTF-8 string or FALSE if array contains invalid code points hsivo.nosp@m.nen@.nosp@m.iki.f.nosp@m.i utf8_to_unicode http://hsivonen.iki.fi/php-utf8/ Tools for validating a UTF-8 string is well formed. The Original Code is Mozilla Communicator client code. The Initial Developer of the Original Code is Netscape Communications Corporation. Portions created by the Initial Developer are Copyright (C) 1998 the Initial Developer. All Rights Reserved. Ported to PHP by Henri Sivonen (http://hsivonen.iki.fi) Slight modifications to fit with phputf8 library by Harry Fuecks (hfuecks gmail com) http://lxr.mozilla.org/seamonkey/source/intl/uconv/src/nsUTF8ToUnicode.cpp http://lxr.mozilla.org/seamonkey/source/intl/uconv/src/nsUnicodeToUTF8.cpp http://hsivonen.iki.fi/php-utf8/ Tests a string as to whether it's valid UTF-8 and supported by the Unicode standard Note: this function has been modified to simple return true or false hsivo.nosp@m.nen@.nosp@m.iki.f.nosp@m.i string UTF-8 encoded string boolean true if valid http://hsivonen.iki.fi/php-utf8/ utf8_compliant Tests whether a string complies as UTF-8. This will be much faster than utf8_is_valid but will pass five and six octet UTF-8 sequences, which are not supported by Unicode and so cannot be displayed correctly in a browser. In other words it is not as strict as utf8_is_valid but it's faster. If you use is to validate user input, you place yourself at the risk that attackers will be able to inject 5 and 6 byte sequences (which may or may not be a significant risk, depending on what you are are doing) utf8_is_valid http://www.php.net/manual/en/reference.pcre.pattern.modifiers.php#54805 string UTF-8 string to check boolean TRUE if string is valid UTF-8


Joomla CMS: Membres de l'espace de nommage

Liste de tous les membres des espaces de nommage avec des liens vers la documentation de namespace de chaque membre :

- c -

  • ContainerAwareTrait : Joomla\DI
  • CRYPTO_AEAD_AES256GCM_ABYTES : Sodium
  • CRYPTO_AEAD_AES256GCM_KEYBYTES : Sodium
  • CRYPTO_AEAD_AES256GCM_NPUBBYTES : Sodium
  • CRYPTO_AEAD_AES256GCM_NSECBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_ABYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES : Sodium
  • CRYPTO_AUTH_BYTES : Sodium
  • CRYPTO_AUTH_KEYBYTES : Sodium
  • CRYPTO_BOX_KEYPAIRBYTES : Sodium
  • CRYPTO_BOX_MACBYTES : Sodium
  • CRYPTO_BOX_NONCEBYTES : Sodium
  • CRYPTO_BOX_PUBLICKEYBYTES : Sodium
  • CRYPTO_BOX_SEALBYTES : Sodium
  • CRYPTO_BOX_SECRETKEYBYTES : Sodium
  • CRYPTO_BOX_SEEDBYTES : Sodium
  • CRYPTO_GENERICHASH_BYTES : Sodium
  • CRYPTO_GENERICHASH_BYTES_MAX : Sodium
  • CRYPTO_GENERICHASH_BYTES_MIN : Sodium
  • CRYPTO_GENERICHASH_KEYBYTES : Sodium
  • CRYPTO_GENERICHASH_KEYBYTES_MAX : Sodium
  • CRYPTO_GENERICHASH_KEYBYTES_MIN : Sodium
  • CRYPTO_KX_BYTES : Sodium
  • CRYPTO_KX_PUBLICKEYBYTES : Sodium
  • CRYPTO_KX_SECRETKEYBYTES : Sodium
  • CRYPTO_KX_SEEDBYTES : Sodium
  • CRYPTO_SCALARMULT_BYTES : Sodium
  • CRYPTO_SCALARMULT_SCALARBYTES : Sodium
  • CRYPTO_SECRETBOX_KEYBYTES : Sodium
  • CRYPTO_SECRETBOX_MACBYTES : Sodium
  • CRYPTO_SECRETBOX_NONCEBYTES : Sodium
  • CRYPTO_SHORTHASH_BYTES : Sodium
  • CRYPTO_SHORTHASH_KEYBYTES : Sodium
  • CRYPTO_SIGN_BYTES : Sodium
  • CRYPTO_SIGN_KEYPAIRBYTES : Sodium
  • CRYPTO_SIGN_PUBLICKEYBYTES : Sodium
  • CRYPTO_SIGN_SECRETKEYBYTES : Sodium
  • CRYPTO_SIGN_SEEDBYTES : Sodium
  • CRYPTO_STREAM_KEYBYTES : Sodium
  • CRYPTO_STREAM_NONCEBYTES : Sodium

- d -

  • DispatcherAwareTrait : Joomla\Event

- g -

  • getContainer() : Joomla\DI
  • getDispatcher() : Joomla\Event

- i -

  • includeFile() : Composer\Autoload

- l -

  • LoggerAwareTrait : Psr\Log
  • LoggerTrait : Psr\Log

- s -

  • setContainer() : Joomla\DI
  • setDispatcher() : Joomla\Event
  • setLogger() : Psr\Log


Joomla CMS: Membres de l'espace de nommage

  • getContainer() : Joomla\DI
  • getDispatcher() : Joomla\Event
  • includeFile() : Composer\Autoload
  • setContainer() : Joomla\DI
  • setDispatcher() : Joomla\Event
  • setLogger() : Psr\Log


Joomla CMS: Membres de l'espace de nommage

- c -

  • ContainerAwareTrait : Joomla\DI
  • CRYPTO_AEAD_AES256GCM_ABYTES : Sodium
  • CRYPTO_AEAD_AES256GCM_KEYBYTES : Sodium
  • CRYPTO_AEAD_AES256GCM_NPUBBYTES : Sodium
  • CRYPTO_AEAD_AES256GCM_NSECBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_ABYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES : Sodium
  • CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES : Sodium
  • CRYPTO_AUTH_BYTES : Sodium
  • CRYPTO_AUTH_KEYBYTES : Sodium
  • CRYPTO_BOX_KEYPAIRBYTES : Sodium
  • CRYPTO_BOX_MACBYTES : Sodium
  • CRYPTO_BOX_NONCEBYTES : Sodium
  • CRYPTO_BOX_PUBLICKEYBYTES : Sodium
  • CRYPTO_BOX_SEALBYTES : Sodium
  • CRYPTO_BOX_SECRETKEYBYTES : Sodium
  • CRYPTO_BOX_SEEDBYTES : Sodium
  • CRYPTO_GENERICHASH_BYTES : Sodium
  • CRYPTO_GENERICHASH_BYTES_MAX : Sodium
  • CRYPTO_GENERICHASH_BYTES_MIN : Sodium
  • CRYPTO_GENERICHASH_KEYBYTES : Sodium
  • CRYPTO_GENERICHASH_KEYBYTES_MAX : Sodium
  • CRYPTO_GENERICHASH_KEYBYTES_MIN : Sodium
  • CRYPTO_KX_BYTES : Sodium
  • CRYPTO_KX_PUBLICKEYBYTES : Sodium
  • CRYPTO_KX_SECRETKEYBYTES : Sodium
  • CRYPTO_KX_SEEDBYTES : Sodium
  • CRYPTO_SCALARMULT_BYTES : Sodium
  • CRYPTO_SCALARMULT_SCALARBYTES : Sodium
  • CRYPTO_SECRETBOX_KEYBYTES : Sodium
  • CRYPTO_SECRETBOX_MACBYTES : Sodium
  • CRYPTO_SECRETBOX_NONCEBYTES : Sodium
  • CRYPTO_SHORTHASH_BYTES : Sodium
  • CRYPTO_SHORTHASH_KEYBYTES : Sodium
  • CRYPTO_SIGN_BYTES : Sodium
  • CRYPTO_SIGN_KEYPAIRBYTES : Sodium
  • CRYPTO_SIGN_PUBLICKEYBYTES : Sodium
  • CRYPTO_SIGN_SECRETKEYBYTES : Sodium
  • CRYPTO_SIGN_SEEDBYTES : Sodium
  • CRYPTO_STREAM_KEYBYTES : Sodium
  • CRYPTO_STREAM_NONCEBYTES : Sodium

- d -

  • DispatcherAwareTrait : Joomla\Event

- l -

  • LoggerAwareTrait : Psr\Log
  • LoggerTrait : Psr\Log


Joomla CMS: Structures de données

Structures de données
Liste des structures de données avec une brève description :
[Niveau de détails 123456]
▶N Brumann
▶N Polyfill
C DisallowedClassesSubstitutor
C Unserialize
▶N Composer
▶N Autoload
C ClassLoader
C ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
C InstalledVersions
▶N Joomla
▶N Application
▶N Cli
▶N Output
▶N Processor
C ColorProcessor
C ProcessorInterface
C Stdout
C Xml
C CliInput
C CliOutput
C ColorProcessor
C ColorStyle
▶N Web
C WebClient
C AbstractApplication
C AbstractCliApplication
C AbstractDaemonApplication
C AbstractWebApplication
▶N Archive
▶N Exception
C UnknownArchiveException
C UnsupportedArchiveException
C Archive
C Bzip2
C ExtractableInterface
C Gzip
C Tar
C Zip
▶N CMS
▶N Access
▶N Exception
C NotAllowed
▶N Wrapper
C Access
C Access
C Rule
C Rules
▶N Adapter
C Adapter
C AdapterInstance
▶N Application
C AdministratorApplication
C ApplicationHelper
C BaseApplication
C CliApplication
C CMSApplication
C DaemonApplication
C SiteApplication
C WebApplication
▶N Association
C AssociationExtensionHelper
C AssociationExtensionInterface
▶N Authentication
C Authentication
C AuthenticationResponse
C ProviderAwareAuthenticationPluginInterface
▶N Cache
▶N Controller
C CallbackController
C OutputController
C PageController
C ViewController
▶N Exception
C CacheConnectingException
C CacheExceptionInterface
C UnsupportedCacheException
▶N Storage
C ApcStorage
C ApcuStorage
C CacheliteStorage
C CacheStorageHelper
C FileStorage
C MemcachedStorage
C MemcacheStorage
C RedisStorage
C WincacheStorage
C XcacheStorage
C Cache
C CacheController
C CacheStorage
▶N Captcha
▶N Google
C HttpBridgePostRequestMethod
C Captcha
▶N Categories
C Categories
C CategoryFactory
C CategoryFactoryInterface
C CategoryInterface
C CategoryNode
C SectionNotFoundException
▶N Client
C ClientHelper
C ClientWrapper
C FtpClient
▶N Component
▶N Exception
C MissingComponentException
▶N Router
▶N Rules
C MenuRules
C NomenuRules
C RulesInterface
C StandardRules
C RouterBase
C RouterInterface
C RouterLegacy
C RouterView
C RouterViewConfiguration
C ComponentHelper
C ComponentRecord
▶N Crypt
▶N Cipher
C BlowfishCipher
C CryptoCipher
C McryptCipher
C Rijndael256Cipher
C SimpleCipher
C SodiumCipher
C TripleDesCipher
▶N Password
C SimpleCryptPassword
C CipherInterface
C Crypt
C CryptPassword
C Key
▶N Date
C Date
▶N Document
▶N Feed
C FeedEnclosure
C FeedImage
C FeedItem
▶N Opensearch
C OpensearchImage
C OpensearchUrl
▶N Renderer
▶N Feed
C AtomRenderer
C RssRenderer
▶N Html
C ComponentRenderer
C HeadRenderer
C MessageRenderer
C ModuleRenderer
C ModulesRenderer
C Document
C DocumentRenderer
C ErrorDocument
C FeedDocument
C HtmlDocument
C ImageDocument
C JsonDocument
C OpensearchDocument
C RawDocument
C XmlDocument
▶N Editor
C Editor
▶N Environment
C Browser
▶N Exception
C ExceptionHandler
▶N Extension
C ExtensionHelper
▶N Feed
▶N Parser
▶N Rss
C ItunesRssParser
C MediaRssParser
C AtomParser
C NamespaceParserInterface
C RssParser
C Feed
C FeedEntry
C FeedFactory
C FeedLink
C FeedParser
C FeedPerson
▶N Filesystem
▶N Streams
C StreamString
▶N Support
C StringController
▶N Wrapper
C FileWrapper
C FolderWrapper
C PathWrapper
C File
C FilesystemHelper
C Folder
C Patcher
C Path
C Stream
▶N Filter
▶N Wrapper
C OutputFilterWrapper
C InputFilter
C OutputFilter
▶N Form
▶N Field
C AuthorField
C CaptchaField
C ChromestyleField
C ContenthistoryField
C ContentlanguageField
C ContenttypeField
C EditorField
C FrontendlanguageField
C HeadertagField
C HelpsiteField
C LastvisitdaterangeField
C LimitboxField
C MediaField
C MenuField
C MenuitemField
C ModuleorderField
C ModulepositionField
C ModuletagField
C OrderingField
C PluginstatusField
C RedirectStatusField
C RegistrationdaterangeField
C StatusField
C TagField
C TemplatestyleField
C UseractiveField
C UserField
C UsergrouplistField
C UserstateField
▶N Rule
C BooleanRule
C CalendarRule
C CaptchaRule
C ColorRule
C CssIdentifierSubstringRule
C EmailRule
C EqualsRule
C ExistsRule
C FilePathRule
C ModuleLayoutRule
C NotequalsRule
C NumberRule
C OptionsRule
C PasswordRule
C RulesRule
C SubformRule
C TelRule
C UrlRule
C UsernameRule
C Form
C FormField
C FormHelper
C FormRule
C FormWrapper
▶N Help
C Help
▶N Helper
C AuthenticationHelper
C CMSHelper
C ContentHelper
C ContentHistoryHelper
C LibraryHelper
C MediaHelper
C ModuleHelper
C RouteHelper
C SearchHelper
C TagsHelper
C UserGroupsHelper
▶N HTML
C HTMLHelper
▶N Http
▶N Transport
C CurlTransport
C SocketTransport
C StreamTransport
▶N Wrapper
C FactoryWrapper
C Http
C HttpFactory
C Response
C TransportInterface
▶N Image
C Image
C ImageFilter
▶N Input
C Cli
C Cookie
C Files
C Input
C Json
▶N Installer
▶N Adapter
C ComponentAdapter
C FileAdapter
C LanguageAdapter
C LibraryAdapter
C ModuleAdapter
C PackageAdapter
C PluginAdapter
C TemplateAdapter
▶N Manifest
C LibraryManifest
C PackageManifest
C Installer
C InstallerAdapter
C InstallerExtension
C InstallerHelper
C InstallerScript
C Manifest
▶N Language
▶N Stemmer
C Porteren
▶N Wrapper
C JTextWrapper
C LanguageHelperWrapper
C TransliterateWrapper
C Associations
C Language
C LanguageHelper
C LanguageStemmer
C Multilanguage
C Text
C Transliterate
▶N Layout
C BaseLayout
C FileLayout
C LayoutHelper
C LayoutInterface
▶N Log
▶N Logger
C CallbackLogger
C DatabaseLogger
C EchoLogger
C FormattedtextLogger
C MessagequeueLogger
C SyslogLogger
C W3cLogger
C DelegatingPsrLogger
C Log
C LogEntry
C Logger
▶N Mail
C Mail
C MailHelper
C MailWrapper
▶N Menu
▶N Node
C Component
C Container
C Heading
C Separator
C Url
C AbstractMenu
C AdministratorMenu
C MenuHelper
C MenuItem
C Node
C SiteMenu
C Tree
▶N Microdata
C Microdata
▶N MVC
▶N Controller
C AdminController
C BaseController
C FormController
▶N Factory
C LegacyFactory
C MVCFactory
C MVCFactoryInterface
▶N Model
C AdminModel
C BaseDatabaseModel
C FormModel
C ItemModel
C ListModel
▶N View
C CategoriesView
C CategoryFeedView
C CategoryView
C HtmlView
▶N Object
C CMSObject
▶N Pagination
C Pagination
C PaginationObject
▶N Pathway
C Pathway
C SitePathway
▶N Plugin
C CMSPlugin
C PluginHelper
▶N Profiler
C Profiler
▶N Response
C JsonResponse
▶N Router
▶N Exception
C RouteNotFoundException
C AdministratorRouter
C Route
C Router
C SiteRouter
▶N Schema
▶N ChangeItem
C MysqlChangeItem
C PostgresqlChangeItem
C SqlsrvChangeItem
C ChangeItem
C ChangeSet
▶N Session
▶N Exception
C UnsupportedStorageException
C MetadataManager
C Session
▶N String
C PunycodeHelper
▶N Table
▶N Observer
C AbstractObserver
C ContentHistory
C Tags
C Asset
C Category
C Content
C ContentHistory
C ContentType
C CoreContent
C Extension
C Language
C Menu
C MenuType
C Module
C Nested
C Table
C TableInterface
C Ucm
C Update
C UpdateSite
C User
C Usergroup
C ViewLevel
▶N Tag
C TaggableTableInterface
▶N Toolbar
▶N Button
C ConfirmButton
C CustomButton
C HelpButton
C LinkButton
C PopupButton
C SeparatorButton
C SliderButton
C StandardButton
C Toolbar
C ToolbarButton
C ToolbarHelper
▶N UCM
C UCM
C UCMBase
C UCMContent
C UCMType
▶N Updater
▶N Adapter
C CollectionAdapter
C ExtensionAdapter
C DownloadSource
C Update
C UpdateAdapter
C Updater
▶N Uri
C Uri
▶N User
C User
C UserHelper
C UserWrapper
▶N Utility
C BufferStreamHandler
C Utility
▶N Versioning
C VersionableTableInterface
C Factory
C Version
▶N Data
C DataObject
C DataSet
C DumpableInterface
▶N DI
▶N Exception
C DependencyResolutionException
C KeyNotFoundException
C ProtectedKeyException
C Container
C ContainerAwareInterface
C ServiceProviderInterface
▶N Event
C AbstractEvent
C DelegatingDispatcher
C Dispatcher
C DispatcherAwareInterface
C DispatcherInterface
C Event
C EventImmutable
C EventInterface
C ListenersPriorityQueue
C Priority
▶N Filesystem
▶N Clients
C FtpClient
▶N Exception
C FilesystemException
▶N Stream
C String
C StringWrapper
▶N Support
C StringController
C Buffer
C File
C Folder
C Helper
C Patcher
C Path
C Stream
▶N Filter
C InputFilter
C OutputFilter
▶N Image
▶N Filter
C Backgroundfill
C Brightness
C Contrast
C Edgedetect
C Emboss
C Grayscale
C Negate
C Sketchy
C Smooth
C Image
C ImageFilter
▶N Input
C Cli
C Cookie
C Files
C Input
C Json
▶N Ldap
C LdapClient
▶N Registry
▶N Format
C Ini
C Json
C Php
C Xml
C Yaml
C AbstractRegistryFormat
C Factory
C FormatInterface
C Registry
▶N Session
▶N Storage
C Apc
C Apcu
C Database
C Memcache
C Memcached
C None
C Wincache
C Xcache
C Session
C Storage
▶N String
C Inflector
C Normalise
C String
▶N Uri
C AbstractUri
C Uri
C UriHelper
C UriImmutable
C UriInterface
▶N Utilities
C ArrayHelper
C IpHelper
▶N ParagonIE
▶N Sodium
▶N Core
▶N ChaCha20
C Ctx
C IetfCtx
▶N Curve25519
▶N Ge
C Cached
C P1p1
C P2
C P3
C Precomp
C Fe
C H
▶N Poly1305
C State
C BLAKE2b
C ChaCha20
C Curve25519
C Ed25519
C HChaCha20
C HSalsa20
C Poly1305
C Salsa20
C SipHash
C Util
C X25519
C XChaCha20
C Xsalsa20
C Compat
C Crypto
C File
▶N PasswordCompat
▶N Psr
▶N Container
C ContainerExceptionInterface
C ContainerInterface
C NotFoundExceptionInterface
▶N Log
C AbstractLogger
C InvalidArgumentException
C LoggerAwareInterface
C LoggerInterface
C LogLevel
C NullLogger
▶N ReCaptcha
▶N RequestMethod
C Curl
C CurlPost
C Post
C Socket
C SocketPost
C ReCaptcha
C RequestMethod
C RequestParameters
C Response
▶N Symfony
▶N Component
▶N Yaml
▶N Exception
C DumpException
C ExceptionInterface
C ParseException
C RuntimeException
C Dumper
C Escaper
C Inline
C Parser
C Unescaper
C Yaml
▶N Polyfill
▶N Ctype
C Ctype
▶N Php55
C Php55
C Php55ArrayColumn
▶N Php56
C Php56
▶N Php71
C Php71
▶N Php73
C Php73
▶N Util
C BinaryNoFuncOverload
C BinaryOnFuncOverload
▶N TYPO3
▶N PharStreamWrapper
▶N Interceptor
C ConjunctionInterceptor
C PharExtensionInterceptor
C PharMetaDataInterceptor
▶N Phar
C Container
C DeserializationException
C Manifest
C Reader
C ReaderException
C Stub
▶N Resolver
C PharInvocation
C PharInvocationCollection
C PharInvocationResolver
C Assertable
C Behavior
C Collectable
C Exception
C Helper
C Manager
C PharStreamWrapper
C Resolvable
C ActionLogPlugin
C ActionlogsController
C ActionlogsControllerActionlogs
C ActionlogsHelper
C ActionlogsHelperPhp55
C ActionlogsModelActionlog
C ActionlogsModelActionlogs
C ActionlogsViewActionlogs
C AdminController
C AdminControllerProfile
C AdminModelHelp
C AdminModelProfile
C AdminModelSysInfo
C AdminViewHelp
C AdminViewProfile
C AdminViewSysinfo
C AKAbstractObject
C AKAbstractPart
C AKAbstractPartObserver
C AKAbstractPostproc
C AKAbstractUnarchiver
C AKCoreTimer
C AKEncryptionAES
C AKEncryptionAESAdapterAbstract
C AKEncryptionAESAdapterInterface
C AKFactory
C AKPostprocDirect
C AKText
C AKUnarchiverJPA
C AKUnarchiverZIP
C AKUtilsLister
C AssociationsController
C AssociationsControllerAssociation
C AssociationsControllerAssociations
C AssociationsHelper
C AssociationsModelAssociation
C AssociationsModelAssociations
C AssociationsViewAssociation
C AssociationsViewAssociations
C BannerHelper
C BannersCategories
C BannersController
C BannersControllerBanner
C BannersControllerBanners
C BannersControllerClient
C BannersControllerClients
C BannersControllerTracks
C BannersHelper
C BannersModelBanner
C BannersModelBanners
C BannersModelClient
C BannersModelClients
C BannersModelDownload
C BannersModelTracks
C BannersRouter
C BannersTableBanner
C BannersTableClient
C BannersViewBanner
C BannersViewBanners
C BannersViewClient
C BannersViewClients
C BannersViewDownload
C BannersViewTracks
C CacheController
C CacheHelper
C CacheModelCache
C CacheViewCache
C CacheViewPurge
C CallbackFilterIterator
C CannotPerformOperationException
C CategoriesController
C CategoriesControllerAjax
C CategoriesControllerCategories
C CategoriesControllerCategory
C CategoriesHelper
C CategoriesModelCategories
C CategoriesModelCategory
C CategoriesTableCategory
C CategoriesViewCategories
C CategoriesViewCategory
C CategoryHelperAssociation
C CheckinController
C CheckinModelCheckin
C CheckinViewCheckin
C ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd
C ConfigController
C ConfigControllerApplication
C ConfigControllerApplicationCancel
C ConfigControllerApplicationDisplay
C ConfigControllerApplicationRemoveroot
C ConfigControllerApplicationSave
C ConfigControllerApplicationSendtestmail
C ConfigControllerApplicationStore
C ConfigControllerCancel
C ConfigControllerCanceladmin
C ConfigControllerCmsbase
C ConfigControllerComponent
C ConfigControllerComponentCancel
C ConfigControllerComponentDisplay
C ConfigControllerComponentSave
C ConfigControllerConfigDisplay
C ConfigControllerConfigSave
C ConfigControllerDisplay
C ConfigControllerHelper
C ConfigControllerModulesCancel
C ConfigControllerModulesDisplay
C ConfigControllerModulesSave
C ConfigControllerTemplatesDisplay
C ConfigControllerTemplatesSave
C ConfigHelperConfig
C ConfigModelApplication
C ConfigModelCms
C ConfigModelComponent
C ConfigModelConfig
C ConfigModelForm
C ConfigModelModules
C ConfigModelTemplates
C ConfigViewApplicationHtml
C ConfigViewApplicationJson
C ConfigViewCmsHtml
C ConfigViewCmsJson
C ConfigViewComponentHtml
C ConfigViewConfigHtml
C ConfigViewModulesHtml
C ConfigViewTemplatesHtml
C ContactAssociationsHelper
C ContactCategories
C ContactController
C ContactControllerAjax
C ContactControllerContact
C ContactControllerContacts
C ContactHelper
C ContactHelperAssociation
C ContactHelperRoute
C ContactModelCategories
C ContactModelCategory
C ContactModelContact
C ContactModelContacts
C ContactModelFeatured
C ContactRouter
C ContactRouterRulesLegacy
C ContactTableContact
C ContactViewCategories
C ContactViewCategory
C ContactViewContact
C ContactViewContacts
C ContactViewFeatured
C ContentAssociationsHelper
C ContentCategories
C ContentController
C ContentControllerAjax
C ContentControllerArticle
C ContentControllerArticles
C ContentControllerFeatured
C ContentHelper
C ContentHelperAssociation
C ContentHelperQuery
C ContentHelperRoute
C ContenthistoryController
C ContenthistoryControllerHistory
C ContenthistoryControllerPreview
C ContenthistoryHelper
C ContenthistoryModelCompare
C ContenthistoryModelHistory
C ContenthistoryModelPreview
C ContenthistoryViewCompare
C ContenthistoryViewHistory
C ContenthistoryViewPreview
C ContentModelArchive
C ContentModelArticle
C ContentModelArticles
C ContentModelCategories
C ContentModelCategory
C ContentModelFeature
C ContentModelFeatured
C ContentModelForm
C ContentRouter
C ContentRouterRulesLegacy
C ContentTableFeatured
C ContentViewArchive
C ContentViewArticle
C ContentViewArticles
C ContentViewCategories
C ContentViewCategory
C ContentViewFeatured
C ContentViewForm
C CpanelController
C CpanelViewCpanel
C Crypto
C CryptoExceptionHandler
C CryptoTestFailedException
C DeletefilesCli
C easyparse
C EasyPeasyICS
C En_GBLocalise
C FieldsController
C FieldsControllerField
C FieldsControllerFields
C FieldsControllerGroup
C FieldsControllerGroups
C FieldsHelper
C FieldsListPlugin
C FieldsModelField
C FieldsModelFields
C FieldsModelGroup
C FieldsModelGroups
C FieldsPlugin
C FieldsTableField
C FieldsTableGroup
C FieldsViewField
C FieldsViewFields
C FieldsViewGroup
C FieldsViewGroups
C FinderCli
C FinderController
C FinderControllerFilter
C FinderControllerFilters
C FinderControllerIndex
C FinderControllerIndexer
C FinderControllerMaps
C FinderControllerSuggestions
C FinderHelper
C FinderHelperLanguage
C FinderHelperRoute
C FinderIndexer
C FinderIndexerAdapter
C FinderIndexerDriverMysql
C FinderIndexerDriverPostgresql
C FinderIndexerDriverSqlsrv
C FinderIndexerHelper
C FinderIndexerParser
C FinderIndexerParserHtml
C FinderIndexerParserRtf
C FinderIndexerParserTxt
C FinderIndexerQuery
C FinderIndexerResponse
C FinderIndexerResult
C FinderIndexerStemmer
C FinderIndexerStemmerFr
C FinderIndexerStemmerPorter_En
C FinderIndexerStemmerSnowball
C FinderIndexerTaxonomy
C FinderIndexerToken
C FinderModelFilter
C FinderModelFilters
C FinderModelIndex
C FinderModelIndexer
C FinderModelMaps
C FinderModelSearch
C FinderModelStatistics
C FinderModelSuggestions
C FinderRouter
C FinderTableFilter
C FinderTableLink
C FinderTableMap
C FinderViewFilter
C FinderViewFilters
C FinderViewIndex
C FinderViewIndexer
C FinderViewMaps
C FinderViewSearch
C FinderViewStatistics
C FOFAutoloaderComponent
C FOFAutoloaderFof
C FOFConfigDomainDispatcher
C FOFConfigDomainInterface
C FOFConfigDomainTables
C FOFConfigDomainViews
C FOFConfigProvider
C FOFController
C FOFDatabase
C FOFDatabaseDriver
C FOFDatabaseDriverJoomla
C FOFDatabaseDriverMysql
C FOFDatabaseDriverMysqli
C FOFDatabaseDriverOracle
C FOFDatabaseDriverPdo
C FOFDatabaseDriverPdomysql
C FOFDatabaseDriverPostgresql
C FOFDatabaseDriverSqlazure
C FOFDatabaseDriverSqlite
C FOFDatabaseDriverSqlsrv
C FOFDatabaseFactory
C FOFDatabaseInstaller
C FOFDatabaseInterface
C FOFDatabaseIterator
C FOFDatabaseIteratorAzure
C FOFDatabaseIteratorMysql
C FOFDatabaseIteratorMysqli
C FOFDatabaseIteratorOracle
C FOFDatabaseIteratorPdo
C FOFDatabaseIteratorPdomysql
C FOFDatabaseIteratorPostgresql
C FOFDatabaseIteratorSqlite
C FOFDatabaseIteratorSqlsrv
C FOFDatabaseQuery
C FOFDatabaseQueryElement
C FOFDatabaseQueryLimitable
C FOFDatabaseQueryMysql
C FOFDatabaseQueryMysqli
C FOFDatabaseQueryOracle
C FOFDatabaseQueryPdo
C FOFDatabaseQueryPdomysql
C FOFDatabaseQueryPostgresql
C FOFDatabaseQueryPreparable
C FOFDatabaseQuerySqlazure
C FOFDatabaseQuerySqlite
C FOFDatabaseQuerySqlsrv
C FOFDispatcher
C FOFDownload
C FOFDownloadAdapterAbstract
C FOFDownloadAdapterCurl
C FOFDownloadAdapterFopen
C FOFDownloadInterface
C FOFEncryptAes
C FOFEncryptAesAbstract
C FOFEncryptAesInterface
C FOFEncryptAesMcrypt
C FOFEncryptAesOpenssl
C FOFEncryptBase32
C FOFEncryptRandval
C FOFEncryptRandvalinterface
C FOFEncryptTotp
C FOFForm
C FOFFormField
C FOFFormFieldAccesslevel
C FOFFormFieldActions
C FOFFormFieldButton
C FOFFormFieldCachehandler
C FOFFormFieldCalendar
C FOFFormFieldCaptcha
C FOFFormFieldCheckbox
C FOFFormFieldCheckboxes
C FOFFormFieldComponents
C FOFFormFieldEditor
C FOFFormFieldEmail
C FOFFormFieldGroupedbutton
C FOFFormFieldGroupedlist
C FOFFormFieldHidden
C FOFFormFieldImage
C FOFFormFieldImagelist
C FOFFormFieldInteger
C FOFFormFieldLanguage
C FOFFormFieldList
C FOFFormFieldMedia
C FOFFormFieldModel
C FOFFormFieldOrdering
C FOFFormFieldPassword
C FOFFormFieldPlugins
C FOFFormFieldPublished
C FOFFormFieldRadio
C FOFFormFieldRelation
C FOFFormFieldRules
C FOFFormFieldSelectrow
C FOFFormFieldSessionhandler
C FOFFormFieldSpacer
C FOFFormFieldSql
C FOFFormFieldTag
C FOFFormFieldTel
C FOFFormFieldText
C FOFFormFieldTextarea
C FOFFormFieldTimezone
C FOFFormFieldTitle
C FOFFormFieldUrl
C FOFFormFieldUser
C FOFFormFieldUsergroup
C FOFFormHeader
C FOFFormHeaderAccesslevel
C FOFFormHeaderField
C FOFFormHeaderFielddate
C FOFFormHeaderFieldfilterable
C FOFFormHeaderFieldsearchable
C FOFFormHeaderFieldselectable
C FOFFormHeaderFieldsql
C FOFFormHeaderFilterdate
C FOFFormHeaderFilterfilterable
C FOFFormHeaderFiltersearchable
C FOFFormHeaderFilterselectable
C FOFFormHeaderFiltersql
C FOFFormHeaderLanguage
C FOFFormHeaderModel
C FOFFormHeaderOrdering
C FOFFormHeaderPublished
C FOFFormHeaderRowselect
C FOFFormHelper
C FOFHalDocument
C FOFHalLink
C FOFHalLinks
C FOFHalRenderInterface
C FOFHalRenderJson
C FOFInflector
C FOFInput
C FOFIntegrationJoomlaFilesystem
C FOFIntegrationJoomlaPlatform
C FOFLayoutFile
C FOFLayoutHelper
C FOFLess
C FOFLessFormatterClassic
C FOFLessFormatterCompressed
C FOFLessFormatterJoomla
C FOFLessFormatterLessjs
C FOFLessParser
C FOFModel
C FOFModelBehavior
C FOFModelBehaviorAccess
C FOFModelBehaviorEmptynonzero
C FOFModelBehaviorEnabled
C FOFModelBehaviorFilters
C FOFModelBehaviorLanguage
C FOFModelBehaviorPrivate
C FOFModelDispatcherBehavior
C FOFModelField
C FOFModelFieldBoolean
C FOFModelFieldDate
C FOFModelFieldNumber
C FOFModelFieldText
C FOFPlatform
C FOFPlatformFilesystem
C FOFPlatformFilesystemInterface
C FOFPlatformInterface
C FOFQueryAbstract
C FOFRenderAbstract
C FOFRenderJoomla
C FOFRenderJoomla3
C FOFRenderStrapper
C FOFStringUtils
C FOFTable
C FOFTableBehavior
C FOFTableBehaviorAssets
C FOFTableBehaviorContenthistory
C FOFTableBehaviorTags
C FOFTableDispatcherBehavior
C FOFTableNested
C FOFTableRelations
C FOFTemplateUtils
C FOFToolbar
C FOFUtilsArray
C FOFUtilsCacheCleaner
C FOFUtilsConfigHelper
C FOFUtilsFilescheck
C FOFUtilsIniParser
C FOFUtilsInstallscript
C FOFUtilsIp
C FOFUtilsObject
C FOFUtilsObservableDispatcher
C FOFUtilsObservableEvent
C FOFUtilsPhpfunc
C FOFUtilsTimer
C FOFUtilsUpdate
C FOFUtilsUpdateCollection
C FOFUtilsUpdateExtension
C FOFUtilsUpdateJoomla
C FOFView
C FOFViewCsv
C FOFViewForm
C FOFViewHtml
C FOFViewJson
C FOFViewRaw
C Fr_FRLocalise
C GarbageCron
C idna_convert
C InstallationApplicationWeb
C InstallationControllerDatabase
C InstallationControllerDefault
C InstallationControllerDetectftproot
C InstallationControllerFtp
C InstallationControllerInstallConfig
C InstallationControllerInstallDatabase
C InstallationControllerInstallDatabase_backup
C InstallationControllerInstallDatabase_remove
C InstallationControllerInstallEmail
C InstallationControllerInstallLanguages
C InstallationControllerInstallSample
C InstallationControllerPreinstall
C InstallationControllerRemovefolder
C InstallationControllerSetdefaultlanguage
C InstallationControllerSetlanguage
C InstallationControllerSite
C InstallationControllerSummary
C InstallationControllerVerifyftpsettings
C InstallationFormFieldLanguage
C InstallationFormFieldPrefix
C InstallationFormFieldSample
C InstallationFormRulePrefix
C InstallationFormRuleUsername
C InstallationHelperDatabase
C InstallationHtmlHelper
C InstallationModelConfiguration
C InstallationModelDatabase
C InstallationModelFtp
C InstallationModelLanguages
C InstallationModelSetup
C InstallationResponseJson
C InstallationViewCompleteHtml
C InstallationViewDefault
C InstallationViewDefaultlanguageHtml
C InstallationViewInstallHtml
C InstallationViewLanguagesHtml
C InstallationViewPreinstallHtml
C InstallationViewRemoveHtml
C InstallationViewSummaryHtml
C InstallerController
C InstallerControllerDatabase
C InstallerControllerDiscover
C InstallerControllerInstall
C InstallerControllerManage
C InstallerControllerUpdate
C InstallerControllerUpdatesites
C InstallerHelper
C InstallerHtmlManage
C InstallerHtmlUpdatesites
C InstallerModel
C InstallerModelDatabase
C InstallerModelDiscover
C InstallerModelInstall
C InstallerModelLanguages
C InstallerModelManage
C InstallerModelUpdate
C InstallerModelUpdatesites
C InstallerModelWarnings
C InstallerViewDatabase
C InstallerViewDefault
C InstallerViewDiscover
C InstallerViewInstall
C InstallerViewLanguages
C InstallerViewManage
C InstallerViewUpdate
C InstallerViewUpdatesites
C InstallerViewWarnings
C InvalidCiphertextException
C JAdminCssMenu
C JAdministratorHelper
C JApplication
C JApplicationWebRouter
C JApplicationWebRouterBase
C JApplicationWebRouterRest
C JArchive
C JArchiveBzip2
C JArchiveExtractable
C JArchiveGzip
C JArchiveTar
C JArchiveWrapperArchive
C JArchiveZip
C JArrayHelper
C JClassLoader
C JController
C JControllerBase
C JDatabase
C JDatabaseDriver
C JDatabaseDriverMysql
C JDatabaseDriverMysqli
C JDatabaseDriverOracle
C JDatabaseDriverPdo
C JDatabaseDriverPdomysql
C JDatabaseDriverPgsql
C JDatabaseDriverPostgresql
C JDatabaseDriverSqlazure
C JDatabaseDriverSqlite
C JDatabaseException
C JDatabaseExceptionConnecting
C JDatabaseExceptionExecuting
C JDatabaseExceptionUnsupported
C JDatabaseExporter
C JDatabaseExporterMysql
C JDatabaseExporterMysqli
C JDatabaseExporterPdomysql
C JDatabaseExporterPgsql
C JDatabaseExporterPostgresql
C JDatabaseFactory
C JDatabaseImporter
C JDatabaseImporterMysql
C JDatabaseImporterMysqli
C JDatabaseImporterPdomysql
C JDatabaseImporterPgsql
C JDatabaseImporterPostgresql
C JDatabaseInterface
C JDatabaseIterator
C JDatabaseIteratorMysql
C JDatabaseIteratorMysqli
C JDatabaseIteratorOracle
C JDatabaseIteratorPdo
C JDatabaseIteratorPdomysql
C JDatabaseIteratorPgsql
C JDatabaseIteratorPostgresql
C JDatabaseIteratorSqlazure
C JDatabaseIteratorSqlite
C JDatabaseIteratorSqlsrv
C JDatabaseMysql
C JDatabaseMysqli
C JDatabaseQuery
C JDatabaseQueryElement
C JDatabaseQueryLimitable
C JDatabaseQueryMysql
C JDatabaseQueryMysqli
C JDatabaseQueryOracle
C JDatabaseQueryPdo
C JDatabaseQueryPdomysql
C JDatabaseQueryPgsql
C JDatabaseQueryPostgresql
C JDatabaseQueryPreparable
C JDatabaseQuerySqlazure
C JDatabaseQuerySqlite
C JDatabaseQuerySqlsrv
C JDatabaseSqlazure
C JDatabaseSqlsrv
C JDispatcher
C JError
C JEvent
C JEventDispatcher
C JException
C JFacebook
C JFacebookAlbum
C JFacebookCheckin
C JFacebookComment
C JFacebookEvent
C JFacebookGroup
C JFacebookLink
C JFacebookNote
C JFacebookOAuth
C JFacebookObject
C JFacebookPhoto
C JFacebookPost
C JFacebookStatus
C JFacebookUser
C JFacebookVideo
C JFormFieldAccessLevel
C JFormFieldAliastag
C JFormFieldBannerClient
C JFormFieldBranches
C JFormFieldCacheHandler
C JFormFieldCalendar
C JFormFieldCategory
C JFormFieldCategoryEdit
C JFormFieldCategoryParent
C JFormFieldCheckbox
C JFormFieldCheckboxes
C JFormFieldClicks
C JFormFieldColor
C JFormFieldCombo
C JFormFieldComponentlayout
C JFormFieldComponents
C JFormFieldComponentsCategory
C JFormFieldConfigComponents
C JFormFieldConsentBox
C JFormFieldContentMap
C JFormFieldContentTypes
C JFormFieldDatabaseConnection
C JFormFieldDirectories
C JFormFieldDob
C JFormFieldEMail
C JFormFieldExtension
C JFormFieldExtensionStatus
C JFormFieldFieldcontexts
C JFormFieldFieldgroups
C JFormFieldFieldlayout
C JFormFieldFile
C JFormFieldFileList
C JFormFieldFilters
C JFormFieldFolder
C JFormFieldFolderList
C JFormFieldFonts
C JFormFieldGroupedList
C JFormFieldGroupParent
C JFormFieldHidden
C JFormFieldImageList
C JFormFieldImpMade
C JFormFieldImpTotal
C JFormFieldInteger
C JFormFieldItemLanguage
C JFormFieldItemType
C JFormFieldLanguage
C JFormFieldLanguageclient
C JFormFieldLevels
C JFormFieldList
C JFormFieldLocation
C JFormFieldLogCreator
C JFormFieldLogsDateRange
C JFormFieldLogType
C JFormFieldMenuitemByType
C JFormFieldMenuOrdering
C JFormFieldMenuParent
C JFormFieldMenuPreset
C JFormFieldMenutype
C JFormFieldMessageStates
C JFormFieldMeter
C JFormFieldModal_Article
C JFormFieldModal_Category
C JFormFieldModal_Contact
C JFormFieldModal_Menu
C JFormFieldModal_Newsfeed
C JFormFieldModalAssociation
C JFormFieldModulelayout
C JFormFieldModulesModule
C JFormFieldModulesPosition
C JFormFieldNewsfeeds
C JFormFieldNote
C JFormFieldNumber
C JFormFieldPassword
C JFormFieldPluginElement
C JFormFieldPluginInfo
C JFormFieldPluginordering
C JFormFieldPlugins
C JFormFieldPluginType
C JFormFieldPredefinedList
C JFormFieldprivacy
C JFormFieldRadio
C JFormFieldRange
C JFormFieldRedirect
C JFormFieldRepeatable
C JFormFieldRules
C JFormFieldSearchFilter
C JFormFieldSection
C JFormFieldSessionHandler
C JFormFieldSkins
C JFormFieldSpacer
C JFormFieldSQL
C JFormFieldSubform
C JFormFieldTel
C JFormFieldTemplateLocation
C JFormFieldTemplateName
C JFormFieldterms
C JFormFieldText
C JFormFieldTextarea
C JFormFieldTimezone
C JFormFieldTinymceBuilder
C JFormFieldTos
C JFormFieldType
C JFormFieldUploaddirs
C JFormFieldUrl
C JFormFieldUsergroup
C JFormFieldUserMessages
C JFormFieldVoteradio
C JFormRuleContactEmail
C JFormRuleContactEmailMessage
C JFormRuleContactEmailSubject
C JFormRuleLoginUniqueField
C JFormRuleLogoutUniqueField
C JGithub
C JGithubAccount
C JGithubCommits
C JGithubForks
C JGithubHooks
C JGithubHttp
C JGithubMeta
C JGithubMilestones
C JGithubObject
C JGithubPackage
C JGithubPackageActivity
C JGithubPackageActivityEvents
C JGithubPackageActivityNotifications
C JGithubPackageActivityStarring
C JGithubPackageActivityWatching
C JGithubPackageAuthorization
C JGithubPackageData
C JGithubPackageDataBlobs
C JGithubPackageDataCommits
C JGithubPackageDataRefs
C JGithubPackageDataTags
C JGithubPackageDataTrees
C JGithubPackageGists
C JGithubPackageGistsComments
C JGithubPackageGitignore
C JGithubPackageIssues
C JGithubPackageIssuesAssignees
C JGithubPackageIssuesComments
C JGithubPackageIssuesEvents
C JGithubPackageIssuesLabels
C JGithubPackageIssuesMilestones
C JGithubPackageMarkdown
C JGithubPackageOrgs
C JGithubPackageOrgsMembers
C JGithubPackageOrgsTeams
C JGithubPackagePulls
C JGithubPackagePullsComments
C JGithubPackageRepositories
C JGithubPackageRepositoriesCollaborators
C JGithubPackageRepositoriesComments
C JGithubPackageRepositoriesCommits
C JGithubPackageRepositoriesContents
C JGithubPackageRepositoriesDownloads
C JGithubPackageRepositoriesForks
C JGithubPackageRepositoriesHooks
C JGithubPackageRepositoriesKeys
C JGithubPackageRepositoriesMerging
C JGithubPackageRepositoriesStatistics
C JGithubPackageRepositoriesStatuses
C JGithubPackageSearch
C JGithubPackageUsers
C JGithubPackageUsersEmails
C JGithubPackageUsersFollowers
C JGithubPackageUsersKeys
C JGithubRefs
C JGithubStatuses
C JGoogle
C JGoogleAuth
C JGoogleAuthOauth2
C JGoogleData
C JGoogleDataAdsense
C JGoogleDataCalendar
C JGoogleDataPicasa
C JGoogleDataPicasaAlbum
C JGoogleDataPicasaPhoto
C JGoogleDataPlus
C JGoogleDataPlusActivities
C JGoogleDataPlusComments
C JGoogleDataPlusPeople
C JGoogleEmbed
C JGoogleEmbedAnalytics
C JGoogleEmbedMaps
C JGrid
C JHtmlAccess
C JHtmlActionsDropdown
C JHtmlAdminLanguage
C JHtmlBanner
C JHtmlBatch
C JHtmlBehavior
C JHtmlBootstrap
C JHtmlCategoriesAdministrator
C JHtmlCategory
C JHtmlContact
C JHtmlContent
C JHtmlContentAdministrator
C JHtmlContentLanguage
C JHtmlDate
C JHtmlDebug
C JHtmlDirectory
C JHtmlDropdown
C JHtmlEmail
C JHtmlFilter
C JHtmlFinder
C JHtmlForm
C JHtmlFormbehavior
C JHtmlGrid
C JHtmlIcon
C JHtmlIcons
C JHtmlJGrid
C JHtmlJquery
C JHtmlLanguages
C JHtmlLinks
C JHtmlList
C JHtmlMenu
C JHtmlMessages
C JHtmlModules
C JHtmlNewsfeed
C JHtmlNumber
C JHtmlPhpSetting
C JHtmlQuery
C JHtmlRedirect
C JHtmlRules
C JHtmlSearchtools
C JHtmlSelect
C JHtmlSidebar
C JHtmlSliders
C JHtmlSortablelist
C JHtmlString
C JHtmlSystem
C JHtmlTabs
C JHtmlTag
C JHtmlTel
C JHtmlTemplates
C JHtmlTextdiff
C JHtmlUser
C JHtmlUsers
C JInput
C JInputCli
C JInputCookie
C JInputFiles
C JInputJSON
C JJsonResponse
C JKeychain
C JLess
C JLessFormatterJoomla
C JLinkedin
C JLinkedinCommunications
C JLinkedinCompanies
C JLinkedinGroups
C JLinkedinJobs
C JLinkedinOauth
C JLinkedinObject
C JLinkedinPeople
C JLinkedinStream
C JLoader
C JMediawiki
C JMediawikiCategories
C JMediawikiHttp
C JMediawikiImages
C JMediawikiLinks
C JMediawikiObject
C JMediawikiPages
C JMediawikiSearch
C JMediawikiSites
C JMediawikiUsers
C JModel
C JModelBase
C JModelDatabase
C JNode
C JOAuth1Client
C JOAuth2Client
C JObservable
C JObservableInterface
C JObserver
C JObserverInterface
C JObserverMapper
C JObserverUpdater
C JObserverUpdaterInterface
C JObserverWrapperMapper
C JoomlaInstallerScript
C JoomlaupdateController
C JoomlaupdateControllerUpdate
C JoomlaupdateHelper
C JoomlaupdateHelperSelect
C JoomlaupdateModelDefault
C JoomlaupdateViewDefault
C JoomlaupdateViewUpdate
C JoomlaupdateViewUpload
C JOpenstreetmap
C JOpenstreetmapChangesets
C JOpenstreetmapElements
C JOpenstreetmapGps
C JOpenstreetmapInfo
C JOpenstreetmapOauth
C JOpenstreetmapObject
C JOpenstreetmapUser
C JPlatform
C JRequest
C JResponse
C JRouterInstallation
C JRouteWrapperRoute
C JSessionHandlerInterface
C JSessionHandlerJoomla
C JSessionHandlerNative
C JSessionStorage
C JSessionStorageApc
C JSessionStorageApcu
C JSessionStorageDatabase
C JSessionStorageMemcache
C JSessionStorageMemcached
C JSessionStorageNone
C JSessionStorageRedis
C JSessionStorageWincache
C JSessionStorageXcache
C JSimplecrypt
C JSimplepieFactory
C JSite
C JsonException
C JsonSerializable
C JString
C JStringWrapperNormalise
C JStringWrapperPunycode
C JSubMenuHelper
C JTableSession
C JTree
C JTwitter
C JTwitterBlock
C JTwitterDirectmessages
C JTwitterFavorites
C JTwitterFriends
C JTwitterHelp
C JTwitterLists
C JTwitterOAuth
C JTwitterObject
C JTwitterPlaces
C JTwitterProfile
C JTwittersearch
C JTwitterStatuses
C JTwitterTrends
C JTwitterUsers
C JView
C JViewBase
C JViewHtml
C JXMLElement
C KeychainManager
C LanguagesController
C LanguagesControllerInstalled
C LanguagesControllerLanguage
C LanguagesControllerLanguages
C LanguagesControllerOverride
C LanguagesControllerOverrides
C LanguagesControllerStrings
C LanguagesHelper
C LanguagesModelInstalled
C LanguagesModelLanguage
C LanguagesModelLanguages
C LanguagesModelOverride
C LanguagesModelOverrides
C LanguagesModelStrings
C LanguagesViewInstalled
C LanguagesViewLanguage
C LanguagesViewLanguages
C LanguagesViewMultilangstatus
C LanguagesViewOverride
C LanguagesViewOverrides
C lessc
C lessc_formatter_classic
C lessc_formatter_compressed
C lessc_formatter_lessjs
C lessc_parser
C lessify
C LogException
C LoginController
C LoginModelLogin
C LoginViewLogin
C MailtoController
C MailtoHelper
C MailtoModelMailto
C MailtoViewMailto
C MailtoViewSent
C Mcrypt
C MediaController
C MediaControllerFile
C MediaControllerFolder
C MediaHelper
C MediaModelList
C MediaModelManager
C MediaViewImages
C MediaViewImagesList
C MediaViewMedia
C MediaViewMediaList
C MenusAssociationsHelper
C MenusController
C MenusControllerAjax
C MenusControllerItem
C MenusControllerItems
C MenusControllerMenu
C MenusControllerMenus
C MenusHelper
C MenusHtmlMenus
C MenusModelItem
C MenusModelItems
C MenusModelMenu
C MenusModelMenus
C MenusModelMenutypes
C MenusTableMenu
C MenusViewItem
C MenusViewItems
C MenusViewMenu
C MenusViewMenus
C MenusViewMenutypes
C MessagesController
C MessagesControllerConfig
C MessagesControllerMessage
C MessagesControllerMessages
C MessagesHelper
C MessagesModelConfig
C MessagesModelMessage
C MessagesModelMessages
C MessagesTableMessage
C MessagesViewConfig
C MessagesViewMessage
C MessagesViewMessages
C ModArchiveHelper
C ModArticlesCategoriesHelper
C ModArticlesCategoryHelper
C ModArticlesLatestHelper
C ModArticlesNewsHelper
C ModArticlesPopularHelper
C ModBannersHelper
C ModBreadCrumbsHelper
C ModFeedHelper
C ModFinderHelper
C ModLanguagesHelper
C ModLatestActionsHelper
C ModLatestHelper
C ModLoggedHelper
C ModLoginHelper
C ModMenuHelper
C ModPopularHelper
C ModPrivacyDashboardHelper
C ModQuickIconHelper
C ModRandomImageHelper
C ModRelatedItemsHelper
C ModSampledataHelper
C ModSearchHelper
C ModStatsHelper
C ModSyndicateHelper
C ModTagsPopularHelper
C ModTagssimilarHelper
C ModulesController
C ModulesControllerModule
C ModulesControllerModules
C ModulesHelper
C ModulesHelperXML
C ModulesModelModule
C ModulesModelModules
C ModulesModelPositions
C ModulesModelSelect
C ModulesViewModule
C ModulesViewModules
C ModulesViewPositions
C ModulesViewPreview
C ModulesViewSelect
C ModUsersLatestHelper
C ModVersionHelper
C ModWhosonlineHelper
C ModWrapperHelper
C MultilangstatusHelper
C Net_IDNA_php4
C NewsfeedsAssociationsHelper
C NewsfeedsCategories
C NewsfeedsController
C NewsfeedsControllerAjax
C NewsfeedsControllerNewsfeed
C NewsfeedsControllerNewsfeeds
C NewsfeedsHelper
C NewsfeedsHelperAssociation
C NewsfeedsHelperRoute
C NewsfeedsModelCategories
C NewsfeedsModelCategory
C NewsfeedsModelNewsfeed
C NewsfeedsModelNewsfeeds
C NewsfeedsRouter
C NewsfeedsRouterRulesLegacy
C NewsfeedsTableNewsfeed
C NewsfeedsViewCategories
C NewsfeedsViewCategory
C NewsfeedsViewNewsfeed
C NewsfeedsViewNewsfeeds
C nodecounter
C ntlm_sasl_client_class
C OpenSSL
C ParagonIE_Sodium_Compat
C ParagonIE_Sodium_Core32_BLAKE2b
C ParagonIE_Sodium_Core32_ChaCha20
C ParagonIE_Sodium_Core32_ChaCha20_Ctx
C ParagonIE_Sodium_Core32_ChaCha20_IetfCtx
C ParagonIE_Sodium_Core32_Curve25519
C ParagonIE_Sodium_Core32_Curve25519_Fe
C ParagonIE_Sodium_Core32_Curve25519_Ge_Cached
C ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1
C ParagonIE_Sodium_Core32_Curve25519_Ge_P2
C ParagonIE_Sodium_Core32_Curve25519_Ge_P3
C ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp
C ParagonIE_Sodium_Core32_Curve25519_H
C ParagonIE_Sodium_Core32_Ed25519
C ParagonIE_Sodium_Core32_HChaCha20
C ParagonIE_Sodium_Core32_HSalsa20
C ParagonIE_Sodium_Core32_Int32
C ParagonIE_Sodium_Core32_Int64
C ParagonIE_Sodium_Core32_Poly1305
C ParagonIE_Sodium_Core32_Poly1305_State
C ParagonIE_Sodium_Core32_Salsa20
C ParagonIE_Sodium_Core32_SecretStream_State
C ParagonIE_Sodium_Core32_SipHash
C ParagonIE_Sodium_Core32_Util
C ParagonIE_Sodium_Core32_X25519
C ParagonIE_Sodium_Core32_XChaCha20
C ParagonIE_Sodium_Core32_XSalsa20
C ParagonIE_Sodium_Core_Base64_Common
C ParagonIE_Sodium_Core_Base64_Original
C ParagonIE_Sodium_Core_Base64_UrlSafe
C ParagonIE_Sodium_Core_BLAKE2b
C ParagonIE_Sodium_Core_ChaCha20
C ParagonIE_Sodium_Core_ChaCha20_Ctx
C ParagonIE_Sodium_Core_ChaCha20_IetfCtx
C ParagonIE_Sodium_Core_Curve25519
C ParagonIE_Sodium_Core_Curve25519_Fe
C ParagonIE_Sodium_Core_Curve25519_Ge_Cached
C ParagonIE_Sodium_Core_Curve25519_Ge_P1p1
C ParagonIE_Sodium_Core_Curve25519_Ge_P2
C ParagonIE_Sodium_Core_Curve25519_Ge_P3
C ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
C ParagonIE_Sodium_Core_Curve25519_H
C ParagonIE_Sodium_Core_Ed25519
C ParagonIE_Sodium_Core_HChaCha20
C ParagonIE_Sodium_Core_HSalsa20
C ParagonIE_Sodium_Core_Poly1305
C ParagonIE_Sodium_Core_Poly1305_State
C ParagonIE_Sodium_Core_Ristretto255
C ParagonIE_Sodium_Core_Salsa20
C ParagonIE_Sodium_Core_SecretStream_State
C ParagonIE_Sodium_Core_SipHash
C ParagonIE_Sodium_Core_Util
C ParagonIE_Sodium_Core_X25519
C ParagonIE_Sodium_Core_XChaCha20
C ParagonIE_Sodium_Core_XSalsa20
C ParagonIE_Sodium_Crypto
C ParagonIE_Sodium_Crypto32
C ParagonIE_Sodium_File
C PasswordHash
C PHPMailer
C phpmailerException
C PHPMailerOAuth
C PHPMailerOAuthGoogle
C PlgActionlogJoomla
C PlgAuthenticationCookie
C PlgAuthenticationGMail
C PlgAuthenticationJoomla
C PlgAuthenticationLdap
C PlgButtonArticle
C PlgButtonContact
C PlgButtonFields
C PlgButtonImage
C PlgButtonMenu
C PlgButtonModule
C PlgButtonPagebreak
C PlgButtonReadmore
C PlgCaptchaRecaptcha
C PlgCaptchaRecaptcha_Invisible
C PlgContentConfirmConsent
C PlgContentContact
C PlgContentEmailcloak
C PlgContentFields
C PlgContentFinder
C PlgContentJoomla
C PlgContentLoadmodule
C PlgContentPagebreak
C PlgContentPagenavigation
C PlgContentVote
C PlgEditorCodemirror
C PlgEditorNone
C PlgEditorTinymce
C PlgExtensionJoomla
C PlgFieldsCalendar
C PlgFieldsCheckboxes
C PlgFieldsColor
C PlgFieldsEditor
C PlgFieldsImagelist
C PlgFieldsInteger
C PlgFieldsList
C PlgFieldsMedia
C PlgFieldsRadio
C PlgFieldsRepeatable
C PlgFieldsSql
C PlgFieldsText
C PlgFieldsTextarea
C PlgFieldsUrl
C PlgFieldsUser
C PlgFieldsUsergrouplist
C PlgFinderCategories
C PlgFinderContacts
C PlgFinderContent
C PlgFinderNewsfeeds
C PlgFinderTags
C PlgInstallerFolderInstaller
C PlgInstallerPackageInstaller
C PlgInstallerUrlInstaller
C PlgPrivacyActionlogs
C PlgPrivacyConsents
C PlgPrivacyContact
C PlgPrivacyContent
C PlgPrivacyMessage
C PlgPrivacyUser
C PlgQuickiconEos310
C PlgQuickiconExtensionupdate
C PlgQuickiconJoomlaupdate
C PlgQuickiconPhpVersionCheck
C PlgQuickiconPrivacyCheck
C PlgSampledataBlog
C PlgSearchCategories
C PlgSearchContacts
C PlgSearchContent
C PlgSearchNewsfeeds
C PlgSearchTags
C PlgSystemActionLogs
C PlgSystemCache
C PlgSystemDebug
C PlgSystemFields
C PlgSystemHighlight
C PlgSystemLanguagecode
C PlgSystemLanguageFilter
C PlgSystemLog
C PlgSystemLogout
C PlgSystemLogrotation
C PlgSystemP3p
C PlgSystemPrivacyconsent
C PlgSystemRedirect
C PlgSystemRemember
C PlgSystemSef
C PlgSystemSessionGc
C PlgSystemStats
C PlgSystemStatsFormFieldBase
C PlgSystemStatsFormFieldData
C PlgSystemStatsFormFieldUniqueid
C PlgSystemUpdatenotification
C PlgTwofactorauthTotp
C PlgTwofactorauthYubikey
C PlgUserContactCreator
C PlgUserJoomla
C PlgUserProfile
C PlgUserTerms
C PluginsController
C PluginsControllerPlugin
C PluginsControllerPlugins
C PluginsHelper
C PluginsModelPlugin
C PluginsModelPlugins
C PluginsViewPlugin
C PluginsViewPlugins
C POP3
C PostinstallControllerMessage
C PostinstallModelMessages
C PostinstallToolbar
C PostinstallViewMessages
C PrivacyController
C PrivacyControllerConsents
C PrivacyControllerRequest
C PrivacyControllerRequests
C PrivacyExportDomain
C PrivacyExportField
C PrivacyExportItem
C PrivacyFormFieldRequeststatus
C PrivacyFormFieldRequesttype
C PrivacyHelper
C PrivacyHtmlHelper
C PrivacyModelCapabilities
C PrivacyModelConfirm
C PrivacyModelConsents
C PrivacyModelDashboard
C PrivacyModelExport
C PrivacyModelRemind
C PrivacyModelRemove
C PrivacyModelRequest
C PrivacyModelRequests
C PrivacyPlugin
C PrivacyRemovalStatus
C PrivacyRouter
C PrivacyTableConsent
C PrivacyTableRequest
C PrivacyViewCapabilities
C PrivacyViewConfirm
C PrivacyViewConsents
C PrivacyViewDashboard
C PrivacyViewExport
C PrivacyViewRemind
C PrivacyViewRequest
C PrivacyViewRequests
C RedirectController
C RedirectControllerLink
C RedirectControllerLinks
C RedirectHelper
C RedirectModelLink
C RedirectModelLinks
C RedirectTableLink
C RedirectViewLink
C RedirectViewLinks
C SearchController
C SearchControllerSearches
C SearchHelper
C SearchModelSearch
C SearchModelSearches
C SearchRouter
C SearchViewSearch
C SearchViewSearches
C SessionGc
C SessionMetadataGc
C SimplePie
C SimplePie_Author
C SimplePie_Autoloader
C SimplePie_Cache
C SimplePie_Cache_Base
C SimplePie_Cache_DB
C SimplePie_Cache_File
C SimplePie_Cache_Memcache
C SimplePie_Cache_MySQL
C SimplePie_Caption
C SimplePie_Category
C SimplePie_Content_Type_Sniffer
C SimplePie_Copyright
C SimplePie_Core
C SimplePie_Credit
C SimplePie_Decode_HTML_Entities
C SimplePie_Enclosure
C SimplePie_Exception
C SimplePie_File
C SimplePie_gzdecode
C SimplePie_HTTP_Parser
C SimplePie_IRI
C SimplePie_Item
C SimplePie_Locator
C SimplePie_Misc
C SimplePie_Net_IPv6
C SimplePie_Parse_Date
C SimplePie_Parser
C SimplePie_Rating
C SimplePie_Registry
C SimplePie_Restriction
C SimplePie_Sanitize
C SimplePie_Source
C SimplePie_XML_Declaration_Parser
C SMTP
C SplFixedArray
C tagparse
C TagsController
C TagsControllerTag
C TagsControllerTags
C TagsHelper
C TagsHelperRoute
C TagsModelTag
C TagsModelTags
C TagsRouter
C TagsTableTag
C TagsViewTag
C TagsViewTags
C TemplateHelper
C TemplatesController
C TemplatesControllerStyle
C TemplatesControllerStyles
C TemplatesControllerTemplate
C TemplatesHelper
C TemplatesModelStyle
C TemplatesModelStyles
C TemplatesModelTemplate
C TemplatesModelTemplates
C TemplatesTableStyle
C TemplatesViewStyle
C TemplatesViewStyles
C TemplatesViewTemplate
C TemplatesViewTemplates
C uctc
C Updatecron
C UsersController
C UsersControllerGroup
C UsersControllerGroups
C UsersControllerLevel
C UsersControllerLevels
C UsersControllerMail
C UsersControllerNote
C UsersControllerNotes
C UsersControllerProfile
C UsersControllerRegistration
C UsersControllerRemind
C UsersControllerReset
C UsersControllerUser
C UsersControllerUsers
C UsersHelper
C UsersHelperDebug
C UsersHelperRoute
C UsersModelDebuggroup
C UsersModelDebugUser
C UsersModelGroup
C UsersModelGroups
C UsersModelLevel
C UsersModelLevels
C UsersModelLogin
C UsersModelMail
C UsersModelNote
C UsersModelNotes
C UsersModelProfile
C UsersModelRegistration
C UsersModelRemind
C UsersModelReset
C UsersModelUser
C UsersModelUsers
C UsersRouter
C UsersRouterRulesLegacy
C UsersTableNote
C UsersViewDebuggroup
C UsersViewDebuguser
C UsersViewGroup
C UsersViewGroups
C UsersViewLevel
C UsersViewLevels
C UsersViewLogin
C UsersViewMail
C UsersViewNote
C UsersViewNotes
C UsersViewProfile
C UsersViewRegistration
C UsersViewRemind
C UsersViewReset
C UsersViewUser
C UsersViewUsers
C WrapperController
C WrapperRouter
C WrapperViewWrapper


Joomla CMS: Référence de la classe DisallowedClassesSubstitutor

  • Brumann
  • Polyfill
  • DisallowedClassesSubstitutor
Fonctions membres publiques | Champs de données | Fonctions membres privées | Attributs privés
Référence de la classe DisallowedClassesSubstitutor

Fonctions membres publiques

__construct ($serialized, array $allowedClasses)
getSubstitutedSerialized ()

Champs de données

const | PATTERN_STRING = '#s:(\d+):(")#'
const | PATTERN_OBJECT = '#(^|;)O:\d+:"([^"]*)":(\d+):\{#'

Fonctions membres privées

buildIgnoreItems ()
substituteObjects ()
replace ($replacement, $start, $end)
ignore ($start, $end)
shift ($offset, $size)
sanitizeItem ($className, $leftBorder, $objectSize)

Attributs privés

$serialized
$allowedClasses
$ignoreItems = array()

Description détaillée

Worker implementation for identifying and skipping false-positives not to be substituted - like nested serializations in string literals.

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $serialized,
 |  | array | $allowedClasses
 | ) |  |
Paramètres
string | $serialized
string[] | $allowedClasses

Références DisallowedClassesSubstitutor\$allowedClasses, DisallowedClassesSubstitutor\$serialized, DisallowedClassesSubstitutor\buildIgnoreItems(), et DisallowedClassesSubstitutor\substituteObjects().

Documentation des fonctions membres

◆ buildIgnoreItems()

buildIgnoreItems ( )
private

Identifies items to be ignored - like nested serializations in string literals.

Références $offset, $start, et DisallowedClassesSubstitutor\ignore().

Référencé par DisallowedClassesSubstitutor\__construct().

◆ getSubstitutedSerialized()

getSubstitutedSerialized ( )
Renvoie
string

Références DisallowedClassesSubstitutor\$serialized.

◆ ignore()

ignore | ( | $start,
 |  | $end
 | ) |
private

Whether given offset positions should be ignored.

Paramètres
int | $start
int | $end
Renvoie
bool

Références $start.

Référencé par DisallowedClassesSubstitutor\buildIgnoreItems(), et DisallowedClassesSubstitutor\substituteObjects().

◆ replace()

replace | ( | $replacement,
 |  | $start,
 |  | $end
 | ) |
private

Replaces sanitized object class names in serialized data.

Paramètres
string | $replacement | Sanitized object data
int | $start | Start offset in serialized data
int | $end | End offset in serialized data

Références $start.

Référencé par DisallowedClassesSubstitutor\substituteObjects().

◆ sanitizeItem()

sanitizeItem | ( | $className,
 |  | $leftBorder,
 |  | $objectSize
 | ) |
private

Sanitizes object class item.

Paramètres
string | $className
int | $leftBorder
int | $objectSize
Renvoie
string

Références $className.

Référencé par DisallowedClassesSubstitutor\substituteObjects().

◆ shift()

shift | ( | $offset,
 |  | $size
 | ) |
private

Shifts offset positions of ignore items by $size. This is necessary whenever object class names have been substituted which have a different length than before.

Paramètres
int | $offset
int | $size

Références $offset.

Référencé par DisallowedClassesSubstitutor\substituteObjects().

◆ substituteObjects()

substituteObjects ( )
private

Substitutes disallowed object class names and respects items to be ignored.

Références $className, $offset, $start, DisallowedClassesSubstitutor\ignore(), DisallowedClassesSubstitutor\replace(), DisallowedClassesSubstitutor\sanitizeItem(), et DisallowedClassesSubstitutor\shift().

Référencé par DisallowedClassesSubstitutor\__construct().

Documentation des champs

◆ $allowedClasses

$allowedClasses
private

Référencé par DisallowedClassesSubstitutor\__construct().

◆ $ignoreItems

$ignoreItems = array()
private

◆ $serialized

$serialized
private

Référencé par DisallowedClassesSubstitutor\__construct(), et DisallowedClassesSubstitutor\getSubstitutedSerialized().

◆ PATTERN_OBJECT

const PATTERN_OBJECT = '#(^|;)O:\d+:"([^"]*)":(\d+):\{#'

◆ PATTERN_STRING

const PATTERN_STRING = '#s:(\d+):(")#'
La documentation de cette classe a été générée à partir du fichier suivant :
  • DisallowedClassesSubstitutor.php


Joomla CMS: Référence de la classe Unserialize

  • Brumann
  • Polyfill
  • Unserialize
Fonctions membres publiques statiques
Référence de la classe Unserialize

Fonctions membres publiques statiques

static unserialize ($serialized, array $options=array())

Documentation des fonctions membres

◆ unserialize()

static unserialize | ( |  | $serialized,
 |  | array | $options = array()
 | ) |  |
static
Voir également
https://secure.php.net/manual/en/function.unserialize.php
Paramètres
string | $serialized | Serialized data
array | $options | Associative array containing options
Renvoie
mixed

Références $options.

Référencé par Manifest\deserializeMetaData().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Unserialize.php


Joomla CMS: Référence de la classe ClassLoader

  • Composer
  • Autoload
  • ClassLoader
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres privées | Attributs privés | Attributs privés statiques
Référence de la classe ClassLoader

Fonctions membres publiques

__construct ($vendorDir=null)
getPrefixes ()
getPrefixesPsr4 ()
getFallbackDirs ()
getFallbackDirsPsr4 ()
getClassMap ()
addClassMap (array $classMap)
add ($prefix, $paths, $prepend=false)
addPsr4 ($prefix, $paths, $prepend=false)
set ($prefix, $paths)
setPsr4 ($prefix, $paths)
setUseIncludePath ($useIncludePath)
getUseIncludePath ()
setClassMapAuthoritative ($classMapAuthoritative)
isClassMapAuthoritative ()
setApcuPrefix ($apcuPrefix)
getApcuPrefix ()
register ($prepend=false)
unregister ()
loadClass ($class)
findFile ($class)

Fonctions membres publiques statiques

static getRegisteredLoaders ()

Fonctions membres privées

findFileWithExtension ($class, $ext)

Attributs privés

$vendorDir
$prefixLengthsPsr4 = array()
$prefixDirsPsr4 = array()
$fallbackDirsPsr4 = array()
$prefixesPsr0 = array()
$fallbackDirsPsr0 = array()
$useIncludePath = false
$classMap = array()
$classMapAuthoritative = false
$missingClasses = array()
$apcuPrefix

Attributs privés statiques

static $registeredLoaders = array()

Description détaillée

ClassLoader implements a PSR-0, PSR-4 and classmap class loader.

$loader = new \Composer\Autoload\ClassLoader();

// register classes with namespaces
$loader->add('Symfony\Component', __DIR__.'/component');
$loader->add('Symfony',           __DIR__.'/framework');

// activate the autoloader
$loader->register();

// to enable searching the include path (eg. for PEAR packages)
$loader->setUseIncludePath(true);

In this example, if you try to use a class in the Symfony namespace or one of its children (Symfony for instance), the autoloader will first look for the class under the component/ directory, and it will then fallback to the framework/ directory if not found before giving up.

This class is loosely based on the Symfony UniversalClassLoader.

Auteur
Fabien Potencier fabie.nosp@m.n@sy.nosp@m.mfony.nosp@m..com
Jordi Boggiano j.bog.nosp@m.gian.nosp@m.o@sel.nosp@m.d.be
Voir également
https://www.php-fig.org/psr/psr-0/
https://www.php-fig.org/psr/psr-4/

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $vendorDir = null )
Paramètres
?string $vendorDir

Références ClassLoader\$vendorDir.

Documentation des fonctions membres

◆ add()

add | ( | $prefix,
 |  | $paths,
 |  | $prepend = false
 | ) |

Registers a set of PSR-0 directories for a given prefix, either appending or prepending to the ones previously set for this prefix.

Paramètres
string | $prefix | The prefix
string[]|string | $paths The PSR-0 root directories
bool | $prepend | Whether to prepend the directories
Renvoie
void

Références $prefix.

◆ addClassMap()

addClassMap ( array $classMap )
Paramètres
string[] $classMap Class to filename map -param array<string, string> $classMap
Renvoie
void

Références ClassLoader\$classMap.

◆ addPsr4()

addPsr4 | ( | $prefix,
 |  | $paths,
 |  | $prepend = false
 | ) |

Registers a set of PSR-4 directories for a given namespace, either appending or prepending to the ones previously set for this namespace.

Paramètres
string | $prefix | The prefix/namespace, with trailing '\'
string[]|string | $paths The PSR-4 base directories
bool | $prepend | Whether to prepend the directories
Exceptions

Références $prefix, et elseif.

◆ findFile()

findFile ( $class )

Finds the path to the file where the class is defined.

Paramètres
string $class The name of the class
Renvoie
string|false The path if found, false otherwise

Références $class, $file, ClassLoader\findFileWithExtension(), et null.

Référencé par ClassLoader\loadClass().

◆ findFileWithExtension()

findFileWithExtension | ( | $class,
 |  | $ext
 | ) |
private
Paramètres
string | $class
string | $ext
Renvoie
string|false

Références $class, $file, $prefix, et DIRECTORY_SEPARATOR.

Référencé par ClassLoader\findFile().

◆ getApcuPrefix()

getApcuPrefix ( )

The APCu prefix in use, or null if APCu caching is not enabled.

Renvoie
string|null

Références ClassLoader\$apcuPrefix.

◆ getClassMap()

getClassMap ( )
Renvoie
string[] Array of classname => path -return array<string, string>

Références ClassLoader\$classMap.

◆ getFallbackDirs()

getFallbackDirs ( )
Renvoie
array[] -return array<string, string>

Références ClassLoader\$fallbackDirsPsr0.

◆ getFallbackDirsPsr4()

getFallbackDirsPsr4 ( )
Renvoie
array[] -return array<string, string>

Références ClassLoader\$fallbackDirsPsr4.

◆ getPrefixes()

getPrefixes ( )
Renvoie
string[]

◆ getPrefixesPsr4()

getPrefixesPsr4 ( )
Renvoie
array[] -return array<string, array<int, string>>

Références ClassLoader\$prefixDirsPsr4.

◆ getRegisteredLoaders()

static getRegisteredLoaders ( )
static

Returns the currently registered loaders indexed by their corresponding vendor directories.

Renvoie
self[]

◆ getUseIncludePath()

getUseIncludePath ( )

Can be used to check if the autoloader uses the include path to check for classes.

Renvoie
bool

Références ClassLoader\$useIncludePath.

◆ isClassMapAuthoritative()

isClassMapAuthoritative ( )

Should class lookup fail if not found in the current class map?

Renvoie
bool

Références ClassLoader\$classMapAuthoritative.

◆ loadClass()

loadClass ( $class )

Loads the given class or interface.

Paramètres
string $class The name of the class
Renvoie
true|null True if loaded, null otherwise

Références $class, $file, ClassLoader\findFile(), Composer\Autoload\includeFile(), et null.

◆ register()

register ( $prepend = false )

Registers this instance as an autoloader.

Paramètres
bool $prepend Whether to prepend the autoloader or not
Renvoie
void

Références ClassLoader\$vendorDir, et null.

◆ set()

set | ( | $prefix,
 |  | $paths
 | ) |

Registers a set of PSR-0 directories for a given prefix, replacing any others previously set for this prefix.

Paramètres
string | $prefix | The prefix
string[]|string | $paths The PSR-0 base directories
Renvoie
void

Références $prefix.

◆ setApcuPrefix()

setApcuPrefix ( $apcuPrefix )

APCu prefix to use to cache found/not-found classes, if the extension is enabled.

Paramètres
string | null $apcuPrefix
Renvoie
void

Références ClassLoader\$apcuPrefix, et null.

◆ setClassMapAuthoritative()

setClassMapAuthoritative ( $classMapAuthoritative )

Turns off searching the prefix and fallback directories for classes that have not been registered with the class map.

Paramètres
bool $classMapAuthoritative
Renvoie
void

Références ClassLoader\$classMapAuthoritative.

◆ setPsr4()

setPsr4 | ( | $prefix,
 |  | $paths
 | ) |

Registers a set of PSR-4 directories for a given namespace, replacing any others previously set for this namespace.

Paramètres
string | $prefix | The prefix/namespace, with trailing '\'
string[]|string | $paths The PSR-4 base directories
Exceptions

Références $prefix.

◆ setUseIncludePath()

setUseIncludePath ( $useIncludePath )

Turns on searching the include path for class files.

Paramètres
bool $useIncludePath
Renvoie
void

Références ClassLoader\$useIncludePath.

◆ unregister()

unregister ( )

Unregisters this instance as an autoloader.

Renvoie
void

Références null.

Documentation des champs

◆ $apcuPrefix

$apcuPrefix
private

Référencé par ClassLoader\getApcuPrefix(), et ClassLoader\setApcuPrefix().

◆ $classMap

$classMap = array()
private

Référencé par ClassLoader\addClassMap(), et ClassLoader\getClassMap().

◆ $classMapAuthoritative

$classMapAuthoritative = false
private

Référencé par ClassLoader\isClassMapAuthoritative(), et ClassLoader\setClassMapAuthoritative().

◆ $fallbackDirsPsr0

$fallbackDirsPsr0 = array()
private

Référencé par ClassLoader\getFallbackDirs().

◆ $fallbackDirsPsr4

$fallbackDirsPsr4 = array()
private

Référencé par ClassLoader\getFallbackDirsPsr4().

◆ $missingClasses

$missingClasses = array()
private

◆ $prefixDirsPsr4

$prefixDirsPsr4 = array()
private

Référencé par ClassLoader\getPrefixesPsr4().

◆ $prefixesPsr0

$prefixesPsr0 = array()
private

◆ $prefixLengthsPsr4

$prefixLengthsPsr4 = array()
private

◆ $registeredLoaders

$registeredLoaders = array()
staticprivate

◆ $useIncludePath

$useIncludePath = false
private

Référencé par ClassLoader\getUseIncludePath(), et ClassLoader\setUseIncludePath().

◆ $vendorDir

$vendorDir
private

Référencé par ClassLoader\__construct(), et ClassLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ClassLoader.php


Joomla CMS: Référence de la classe ComposerStaticInitc14bde14f8c86840049f5c1809c453dd

  • Composer
  • Autoload
  • ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe ComposerStaticInitc14bde14f8c86840049f5c1809c453dd

Fonctions membres publiques statiques

static getInitializer (ClassLoader $loader)

Attributs publics statiques

static | $files
static | $prefixLengthsPsr4
static | $prefixDirsPsr4
static | $prefixesPsr0
static | $classMap

Documentation des fonctions membres

◆ getInitializer()

static getInitializer ( ClassLoader $loader )
static

Références ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\$classMap, $loader, ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\$prefixDirsPsr4, ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\$prefixesPsr0, ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\$prefixLengthsPsr4, et null.

Documentation des champs

◆ $classMap

$classMap
static

Référencé par ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\getInitializer().

◆ $files

$files
static
Valeur initiale :
= array (
'2fb9d6f23c8e8faefc193a4cde0cab4f' => __DIR__ . '/..' . '/joomla/string/src/phputf8/utf8.php',
'e6851e0ae7328fe5412fcec73928f3d9' => __DIR__ . '/..' . '/joomla/string/src/phputf8/ord.php',
'd9ad1b7c85c100a18c404a13824b846e' => __DIR__ . '/..' . '/joomla/string/src/phputf8/str_ireplace.php',
'62bad9b6730d2f83493d2337bf61519d' => __DIR__ . '/..' . '/joomla/string/src/phputf8/str_pad.php',
'c4d521b8d54308532dce032713d4eec0' => __DIR__ . '/..' . '/joomla/string/src/phputf8/str_split.php',
'fa973e71cace925de2afdc692b861b1d' => __DIR__ . '/..' . '/joomla/string/src/phputf8/strcasecmp.php',
'0c98c2f1295d9f4d093cc77d5834bb04' => __DIR__ . '/..' . '/joomla/string/src/phputf8/strcspn.php',
'a52639d843b4094945115c178a91ca86' => __DIR__ . '/..' . '/joomla/string/src/phputf8/stristr.php',
'73ee7d0297e683c4c2e7798ef040fb2f' => __DIR__ . '/..' . '/joomla/string/src/phputf8/strrev.php',
'd55633c05ddb996e0005f35debaa7b5b' => __DIR__ . '/..' . '/joomla/string/src/phputf8/strspn.php',
'944e69d23b93558fc0714353cf0c8beb' => __DIR__ . '/..' . '/joomla/string/src/phputf8/trim.php',
'31264bab20f14a8fc7a9d4265d91ee98' => __DIR__ . '/..' . '/joomla/string/src/phputf8/ucfirst.php',
'05d739a990f75f0c44ebe1f032b33148' => __DIR__ . '/..' . '/joomla/string/src/phputf8/ucwords.php',
'4292e2fa66516089e6006723267587b4' => __DIR__ . '/..' . '/joomla/string/src/phputf8/utils/ascii.php',
'87465e33b7551b401bf051928f220e9a' => __DIR__ . '/..' . '/joomla/string/src/phputf8/utils/validation.php',
'320cde22f66dd4f5d3fd621d3e88b98f' => __DIR__ . '/..' . '/symfony/polyfill-ctype/bootstrap.php',
'e40631d46120a9c38ea139981f8dab26' => __DIR__ . '/..' . '/ircmaxell/password-compat/lib/password.php',
'5255c38a0faeba867671b61dfda6d864' => __DIR__ . '/..' . '/paragonie/random_compat/lib/random.php',
'edc6464955a37aa4d5fbf39d40fb6ee7' => __DIR__ . '/..' . '/symfony/polyfill-php55/bootstrap.php',
'bd9634f2d41831496de0d3dfe4c94881' => __DIR__ . '/..' . '/symfony/polyfill-php56/bootstrap.php',
'e277be14c90068cf94faed2c43dbe6d8' => __DIR__ . '/..' . '/symfony/polyfill-php71/bootstrap.php',
'0d59ee240a4cd96ddbb4ff164fccea4d' => __DIR__ . '/..' . '/symfony/polyfill-php73/bootstrap.php',
'3109cb1a231dcd04bee1f9f620d46975' => __DIR__ . '/..' . '/paragonie/sodium_compat/autoload.php',
)

Référencé par ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd\getLoader().

◆ $prefixDirsPsr4

$prefixDirsPsr4
static

Référencé par ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\getInitializer().

◆ $prefixesPsr0

$prefixesPsr0
static
Valeur initiale :
= array (
'S' =>
array (
'SimplePie' =>
array (
0 => __DIR__ . '/..' . '/simplepie/simplepie/library',
),
),
'J' =>
array (
'Joomla\\Session' =>
array (
0 => __DIR__ . '/..' . '/joomla/session',
),
),
)

Référencé par ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\getInitializer().

◆ $prefixLengthsPsr4

$prefixLengthsPsr4
static

Référencé par ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\getInitializer().

La documentation de cette classe a été générée à partir du fichier suivant :
  • autoload_static.php


Joomla CMS: Référence de la classe InstalledVersions

  • Composer
  • InstalledVersions
Fonctions membres publiques statiques | Fonctions membres privées statiques | Attributs privés statiques
Référence de la classe InstalledVersions

Fonctions membres publiques statiques

static | getInstalledPackages ()
static | getInstalledPackagesByType ($type)
static | isInstalled ($packageName, $includeDevRequirements=true)
static | satisfies (VersionParser $parser, $packageName, $constraint)
static | getVersionRanges ($packageName)
static | getVersion ($packageName)
static | getPrettyVersion ($packageName)
static | getReference ($packageName)
static | getInstallPath ($packageName)
static | getRootPackage ()
static | getRawData ()
static | getAllRawData ()
static | reload ($data)

Fonctions membres privées statiques

static getInstalled ()

Attributs privés statiques

static | $installed
static | $canGetVendors
static | $installedByVendor = array()

Description détaillée

This class is copied in every Composer installed project and available to all

See also https://getcomposer.org/doc/07-runtime.md#installed-versions

To require its presence, you can require composer-runtime-api ^2.0

Documentation des fonctions membres

◆ getAllRawData()

static getAllRawData ( )
static

Returns the raw data of all installed.php which are currently loaded for custom implementations

Renvoie
array[] -return list<array{root: array{name: string, version: string, reference: string, pretty_version: string, aliases: string[], dev: bool, install_path: string, type: string}, versions: array<string, array{dev_requirement: bool, pretty_version?: string, version?: string, aliases?: string[], reference?: string, replaced?: string[], provided?: string[], install_path?: string, type?: string}>}>

◆ getInstalled()

static getInstalled ( )
staticprivate
Renvoie
array[] -return list<array{root: array{name: string, version: string, reference: string, pretty_version: string, aliases: string[], dev: bool, install_path: string, type: string}, versions: array<string, array{dev_requirement: bool, pretty_version?: string, version?: string, aliases?: string[], reference?: string, replaced?: string[], provided?: string[], install_path?: string, type?: string}>}>

Références $loader, $vendorDir, elseif, et null.

◆ getInstalledPackages()

static getInstalledPackages ( )
static

Returns a list of all package names which are present, either by being installed, replaced or provided

Renvoie
string[] -return list<string>

◆ getInstalledPackagesByType()

static getInstalledPackagesByType ( $type )
static

Returns a list of all package names with a specific type e.g. 'library'

Paramètres
string $type
Renvoie
string[] -return list<string>

Références $name, et $type.

◆ getInstallPath()

static getInstallPath ( $packageName )
static
Paramètres
string $packageName
Renvoie
string|null If the package is being replaced or provided but is not really installed, null will be returned as install path. Packages of type metapackages also have a null install path.

Références null.

◆ getPrettyVersion()

static getPrettyVersion ( $packageName )
static
Paramètres
string $packageName
Renvoie
string|null If the package is being replaced or provided but is not really installed, null will be returned as version, use satisfies or getVersionRanges if you need to know if a given version is present

Références null.

◆ getRawData()

static getRawData ( )
static

Returns the raw installed.php data for custom implementations

Obsolète:
Use getAllRawData() instead which returns all datasets for all autoloaders present in the process. getRawData only returns the first dataset loaded, which may not be what you expect.
Renvoie
array[] -return array{root: array{name: string, version: string, reference: string, pretty_version: string, aliases: string[], dev: bool, install_path: string, type: string}, versions: array<string, array{dev_requirement: bool, pretty_version?: string, version?: string, aliases?: string[], reference?: string, replaced?: string[], provided?: string[], install_path?: string, type?: string}>}

Références null.

◆ getReference()

static getReference ( $packageName )
static
Paramètres
string $packageName
Renvoie
string|null If the package is being replaced or provided but is not really installed, null will be returned as reference

Références null.

◆ getRootPackage()

static getRootPackage ( )
static
Renvoie
array -return array{name: string, version: string, reference: string, pretty_version: string, aliases: string[], dev: bool, install_path: string, type: string}

◆ getVersion()

static getVersion ( $packageName )
static
Paramètres
string $packageName
Renvoie
string|null If the package is being replaced or provided but is not really installed, null will be returned as version, use satisfies or getVersionRanges if you need to know if a given version is present

Références null.

◆ getVersionRanges()

static getVersionRanges ( $packageName )
static

Returns a version constraint representing all the range(s) which are installed for a given package

It is easier to use this via isInstalled() with the $constraint argument if you need to check whether a given version of a package is installed, and not just whether it exists

Paramètres
string $packageName
Renvoie
string Version constraint usable with composer/semver

◆ isInstalled()

static isInstalled | ( | $packageName,
 |  | $includeDevRequirements = true
 | ) |
static

Checks whether the given package is installed

This also returns true if the package name is provided or replaced by another package

Paramètres
string | $packageName
bool | $includeDevRequirements
Renvoie
bool

◆ reload()

static reload ( $data )
static

Lets you reload the static array from another file

This is only useful for complex integrations in which a project needs to use this class but then also needs to execute another project's autoloader in process, and wants to ensure both projects have access to their version of installed.php.

A typical case would be PHPUnit, where it would need to make sure it reads all the data it needs from this class, then call reload() with require $CWD/vendor/composer/installed.php (or similar) as input to make sure the project in which it runs can then also use this class safely, without interference between PHPUnit's dependencies and the project's dependencies.

Paramètres
array[] $data A vendor/composer/installed.php data set
Renvoie
void

-param array{root: array{name: string, version: string, reference: string, pretty_version: string, aliases: string[], dev: bool, install_path: string, type: string}, versions: array<string, array{dev_requirement: bool, pretty_version?: string, version?: string, aliases?: string[], reference?: string, replaced?: string[], provided?: string[], install_path?: string, type?: string}>} $data

Références $data.

◆ satisfies()

static satisfies | ( | VersionParser | $parser,
 |  |  | $packageName,
 |  |  | $constraint
 | ) |  |
static

Checks whether the given package satisfies a version constraint

e.g. If you want to know whether version 2.3+ of package foo/bar is installed, you would call:

Composer::satisfies(new VersionParser, 'foo/bar', '^2.3')

Paramètres
VersionParser | $parser | Install composer/semver to have access to this class and functionality
string | $packageName
string | null | $constraint | A version constraint to check for, if you pass one you have to make sure composer/semver is required by your package
Renvoie
bool

Documentation des champs

◆ $canGetVendors

$canGetVendors
staticprivate

◆ $installed

$installed
staticprivate

◆ $installedByVendor

$installedByVendor = array()
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • InstalledVersions.php


Joomla CMS: Référence de la classe ColorProcessor

  • Joomla
  • Application
  • Cli
  • Output
  • Processor
  • ColorProcessor
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés | Attributs protégés statiques | Fonctions membres privées
Référence de la classe ColorProcessor
+ Graphe d'héritage de ColorProcessor:
ProcessorInterface ColorProcessor

Fonctions membres publiques

__construct ($noColors=null)
addStyle ($name, ColorStyle $style)
process ($string)

Fonctions membres publiques statiques

static stripColors ($string)

Champs de données

$noColors = false

Attributs protégés

$tagFilter = '/<([a-z=;]+)>(.*?)<\/\\1>/s'
$styles = array()

Attributs protégés statiques

static $stripFilter = '/<[\/]?[a-z=;]+>/'

Fonctions membres privées

replaceColors ($text, $tag, $match, Colorstyle $style)
addPredefinedStyles ()

Description détaillée

Class ColorProcessor.

Depuis
1.0
Obsolète:
2.0 Use the joomla/console package instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $noColors = null )

Class constructor

Paramètres
boolean $noColors Defines non-colored mode on construct
Depuis
1.1.0

Références ColorProcessor\$noColors, ColorProcessor\addPredefinedStyles(), et null.

Documentation des fonctions membres

◆ addPredefinedStyles()

addPredefinedStyles ( )
private

Adds predefined color styles to the ColorProcessor object

Renvoie
Stdout Instance of $this to allow chaining.
Depuis
1.0

Références ColorProcessor\addStyle().

Référencé par ColorProcessor\__construct().

◆ addStyle()

addStyle | ( |  | $name,
 |  | ColorStyle | $style
 | ) |  |

Add a style.

Paramètres
string | $name | The style name.
ColorStyle | $style | The color style.
Renvoie
ColorProcessor Instance of $this to allow chaining.
Depuis
1.0

Références $name, et $style.

Référencé par ColorProcessor\addPredefinedStyles().

◆ process()

process ( $string )

Process a string.

Paramètres
string $string The string to process.
Renvoie
string
Depuis
1.0

Implémente ProcessorInterface.

Références $i, elseif, ColorStyle\fromString(), et ColorProcessor\replaceColors().

◆ replaceColors()

replaceColors | ( |  | $text,
 |  |  | $tag,
 |  |  | $match,
 |  | Colorstyle | $style
 | ) |  |
private

Replace color tags in a string.

Paramètres
string | $text | The original text.
string | $tag | The matched tag.
string | $match | The match.
ColorStyle | $style | The color style to apply.
Renvoie
string
Depuis
1.0

Références $style, et $text.

Référencé par ColorProcessor\process().

◆ stripColors()

static stripColors ( $string )
static

Strip color tags from a string.

Paramètres
string $string The string.
Renvoie
string
Depuis
1.0

Documentation des champs

◆ $noColors

$noColors = false

Référencé par ColorProcessor\__construct().

◆ $stripFilter

$stripFilter = '/<[\/]?[a-z=;]+>/'
staticprotected

◆ $styles

$styles = array()
protected

◆ $tagFilter

$tagFilter = '/<([a-z=;]+)>(.*?)<\/\\1>/s'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Output/Processor/ColorProcessor.php


Joomla CMS: Référence de l'interface ProcessorInterface

  • Joomla
  • Application
  • Cli
  • Output
  • Processor
  • ProcessorInterface
Fonctions membres publiques
Référence de l'interface ProcessorInterface
+ Graphe d'héritage de ProcessorInterface:
ColorProcessor ColorProcessor

Fonctions membres publiques

process ($output)

Description détaillée

Class ProcessorInterface.

Depuis
1.1.0
Obsolète:
2.0 Use the joomla/console package instead

Documentation des fonctions membres

◆ process()

process ( $output )

Process the provided output into a string.

Paramètres
string $output The string to process.
Renvoie
string
Depuis
1.1.0

Implémenté dans ColorProcessor.

La documentation de cette interface a été générée à partir du fichier suivant :
  • ProcessorInterface.php


Joomla CMS: Référence de la classe Stdout

  • Joomla
  • Application
  • Cli
  • Output
  • Stdout
Fonctions membres publiques
Référence de la classe Stdout
+ Graphe d'héritage de Stdout:
CliOutput

Fonctions membres publiques

out ($text='', $nl=true)
- Fonctions membres publiques hérités de CliOutput
__construct (ProcessorInterface $processor=null)
setProcessor (ProcessorInterface $processor)
getProcessor ()
out ($text='', $nl=true)

Membres hérités additionnels

- Attributs protégés hérités de CliOutput
$processor

Description détaillée

Class Stdout.

Depuis
1.0
Obsolète:
2.0 Use the joomla/console package instead

Documentation des fonctions membres

◆ out()

out | ( | $text = '',
 |  | $nl = true
 | ) |

Write a string to standard output

Paramètres
string | $text | The text to display.
boolean | $nl | True (default) to append a new line at the end of the output string.
Renvoie
Stdout Instance of $this to allow chaining.
Depuis
1.0

Références $text, CliOutput\getProcessor(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Stdout.php


Joomla CMS: Référence de la classe Xml

  • Joomla
  • Application
  • Cli
  • Output
  • Xml
Fonctions membres publiques
Référence de la classe Xml
+ Graphe d'héritage de Xml:
CliOutput

Fonctions membres publiques

out ($text='', $nl=true)
- Fonctions membres publiques hérités de CliOutput
__construct (ProcessorInterface $processor=null)
setProcessor (ProcessorInterface $processor)
getProcessor ()
out ($text='', $nl=true)

Membres hérités additionnels

- Attributs protégés hérités de CliOutput
$processor

Description détaillée

Class Xml.

Depuis
1.0
Obsolète:
2.0 Use the joomla/console package instead

Documentation des fonctions membres

◆ out()

out | ( | $text = '',
 |  | $nl = true
 | ) |

Write a string to standard output.

Paramètres
string | $text | The text to display.
boolean | $nl | True (default) to append a new line at the end of the output string.
Renvoie
void
Depuis
1.0
Exceptions

Références $text, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • application/src/Cli/Output/Xml.php


Joomla CMS: Référence de la classe CliInput

  • Joomla
  • Application
  • Cli
  • CliInput
Fonctions membres publiques
Référence de la classe CliInput

Fonctions membres publiques

in ()

Description détaillée

Class CliInput

Depuis
1.6.0
Obsolète:
2.0 Use the joomla/console package instead

Documentation des fonctions membres

◆ in()

in ( )

Get a value from standard input.

Renvoie
string The input string from standard input.
Depuis
1.6.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • CliInput.php


Joomla CMS: Référence de la classe CliOutput

  • Joomla
  • Application
  • Cli
  • CliOutput
Fonctions membres publiques | Attributs protégés
Référence de la classe CliOutput
+ Graphe d'héritage de CliOutput:
Stdout Xml

Fonctions membres publiques

__construct (ProcessorInterface $processor=null)
setProcessor (ProcessorInterface $processor)
getProcessor ()
out ($text='', $nl=true)

Attributs protégés

$processor

Description détaillée

Class CliOutput

Depuis
1.0
Obsolète:
2.0 Use the joomla/console package instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( ProcessorInterface $processor = null )

Constructor

Paramètres
ProcessorInterface $processor The output processor.
Depuis
1.1.2

Références CliOutput\$processor, et CliOutput\setProcessor().

Documentation des fonctions membres

◆ getProcessor()

getProcessor ( )

Get a processor

Renvoie
ProcessorInterface
Depuis
1.0

Références CliOutput\$processor.

Référencé par Stdout\out().

◆ out()

out | ( | $text = '',
 |  | $nl = true
 | ) |
abstract

Write a string to an output handler.

Paramètres
string | $text | The text to display.
boolean | $nl | True (default) to append a new line at the end of the output string.
Renvoie
void
Depuis
1.0

◆ setProcessor()

setProcessor ( ProcessorInterface $processor )

Set a processor

Paramètres
ProcessorInterface $processor The output processor.
Renvoie
Stdout Instance of $this to allow chaining.
Depuis
1.0

Références CliOutput\$processor.

Référencé par CliOutput\__construct().

Documentation des champs

◆ $processor

$processor
protected

Référencé par CliOutput\__construct(), CliOutput\getProcessor(), et CliOutput\setProcessor().

La documentation de cette classe a été générée à partir du fichier suivant :
  • CliOutput.php


Joomla CMS: Référence de la classe ColorProcessor

  • Joomla
  • Application
  • Cli
  • ColorProcessor
Référence de la classe ColorProcessor
+ Graphe d'héritage de ColorProcessor:
ColorProcessor ProcessorInterface

Membres hérités additionnels

- Fonctions membres publiques hérités de ColorProcessor
__construct ($noColors=null)
addStyle ($name, ColorStyle $style)
process ($string)
- Fonctions membres publiques statiques hérités de ColorProcessor
static | stripColors ($string)
- Champs de données hérités de ColorProcessor
$noColors = false
- Attributs protégés hérités de ColorProcessor
$tagFilter = '/<([a-z=;]+)>(.*?)<\/\\1>/s'
$styles = array()
- Attributs protégés statiques hérités de ColorProcessor
static | $stripFilter = '/<[\/]?[a-z=;]+>/'

Description détaillée

Class ColorProcessor.

Depuis
1.0
Obsolète:
2.0 Use the joomla/console package instead
La documentation de cette classe a été générée à partir du fichier suivant :
  • ColorProcessor.php


Joomla CMS: Référence de la classe ColorStyle

  • Joomla
  • Application
  • Cli
  • ColorStyle
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés | Attributs privés statiques
Référence de la classe ColorStyle

Fonctions membres publiques

__construct ($fg='', $bg='', $options=array())
__toString ()
getStyle ()
getKnownColors ()
getKnownOptions ()

Fonctions membres publiques statiques

static fromString ($string)

Attributs privés

$fgColor = 0
$bgColor = 0
$options = array()

Attributs privés statiques

static | $knownColors
static | $knownOptions
static | $fgBase = 30
static | $bgBase = 40

Description détaillée

Class ColorStyle

Depuis
1.0
Obsolète:
2.0 Use the joomla/console package instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $fg = '',
 |  | $bg = '',
 |  | $options = array()
 | ) |

Constructor

Paramètres
string | $fg | Foreground color.
string | $bg | Background color.
array | $options | Style options.
Depuis
1.0
Exceptions

Références $option, ColorStyle\$options, ColorStyle\getKnownColors(), et ColorStyle\getKnownOptions().

Documentation des fonctions membres

◆ __toString()

__toString ( )

Convert to a string.

Renvoie
string
Depuis
1.0

Références ColorStyle\getStyle().

◆ fromString()

static fromString ( $string )
static

Create a color style from a parameter string.

Example: fg=red;bg=blue;options=bold,blink

Paramètres
string $string The parameter string.
Renvoie
ColorStyle Instance of $this to allow chaining.
Depuis
1.0
Exceptions

Références ColorStyle\$options, $parts, et Input\count().

Référencé par ColorProcessor\process().

◆ getKnownColors()

getKnownColors ( )

Get the known colors.

Renvoie
string
Depuis
1.0

Référencé par ColorStyle\__construct().

◆ getKnownOptions()

getKnownOptions ( )

Get the known options.

Renvoie
array
Depuis
1.0

Référencé par ColorStyle\__construct().

◆ getStyle()

getStyle ( )

Get the translated color code.

Renvoie
string
Depuis
1.0

Références ColorStyle\$bgColor, ColorStyle\$fgColor, et $option.

Référencé par ColorStyle\__toString().

Documentation des champs

◆ $bgBase

$bgBase = 40
staticprivate

◆ $bgColor

$bgColor = 0
private

Référencé par ColorStyle\getStyle().

◆ $fgBase

$fgBase = 30
staticprivate

◆ $fgColor

$fgColor = 0
private

Référencé par ColorStyle\getStyle().

◆ $knownColors

$knownColors
staticprivate
Valeur initiale :
= array(
'black' => 0,
'red' => 1,
'green' => 2,
'yellow' => 3,
'blue' => 4,
'magenta' => 5,
'cyan' => 6,
'white' => 7,
)

◆ $knownOptions

$knownOptions
staticprivate
Valeur initiale :
= array(
'bold' => 1,
'underscore' => 4,
'blink' => 5,
'reverse' => 7,
)

◆ $options

$options = array()
private

Référencé par ColorStyle\__construct(), et ColorStyle\fromString().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ColorStyle.php


Joomla CMS: Référence de la classe WebClient

  • Joomla
  • Application
  • Web
  • WebClient
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe WebClient

Fonctions membres publiques

__construct ($userAgent=null, $acceptEncoding=null, $acceptLanguage=null)
__get ($name)

Champs de données

const | WINDOWS = 1
const | WINDOWS_PHONE = 2
const | WINDOWS_CE = 3
const | IPHONE = 4
const | IPAD = 5
const | IPOD = 6
const | MAC = 7
const | BLACKBERRY = 8
const | ANDROID = 9
const | LINUX = 10
const | TRIDENT = 11
const | WEBKIT = 12
const | GECKO = 13
const | PRESTO = 14
const | KHTML = 15
const | AMAYA = 16
const | IE = 17
const | FIREFOX = 18
const | CHROME = 19
const | SAFARI = 20
const | OPERA = 21
const | ANDROIDTABLET = 22
const | EDGE = 23
const | BLINK = 24
const | EDG = 25

Fonctions membres protégées

detectBrowser ($userAgent)
detectEncoding ($acceptEncoding)
detectEngine ($userAgent)
detectLanguage ($acceptLanguage)
detectPlatform ($userAgent)
detectRobot ($userAgent)
detectHeaders ()

Attributs protégés

$platform
$mobile = false
$engine
$browser
$browserVersion
$languages = array()
$encodings = array()
$userAgent
$acceptEncoding
$acceptLanguage
$robot = false
$detection = array()
$headers

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $userAgent = null,
 |  | $acceptEncoding = null,
 |  | $acceptLanguage = null
 | ) |

Class constructor.

Paramètres
string | $userAgent | The optional user-agent string to parse.
string | $acceptEncoding | The optional client accept encoding string to parse.
string | $acceptLanguage | The optional client accept language string to parse.
Depuis
1.0

Références WebClient\$acceptEncoding, WebClient\$acceptLanguage, et WebClient\$userAgent.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to get an object property's value by name.

Paramètres
string $name Name of the property for which to return a value.
Renvoie
mixed The requested value if it exists.
Depuis
1.0

Références $name, WebClient\detectBrowser(), WebClient\detectEncoding(), WebClient\detectEngine(), WebClient\detectHeaders(), WebClient\detectLanguage(), WebClient\detectPlatform(), et WebClient\detectRobot().

◆ detectBrowser()

detectBrowser ( $userAgent )
protected

Detects the client browser and version in a user agent string.

Paramètres
string $userAgent The user-agent string to parse.
Renvoie
void
Depuis
1.0

Références $key, WebClient\$userAgent, et elseif.

Référencé par WebClient\__get().

◆ detectEncoding()

detectEncoding ( $acceptEncoding )
protected

Method to detect the accepted response encoding by the client.

Paramètres
string $acceptEncoding The client accept encoding string to parse.
Renvoie
void
Depuis
1.0

Références WebClient\$acceptEncoding.

Référencé par WebClient\__get().

◆ detectEngine()

detectEngine ( $userAgent )
protected

Detects the client rendering engine in a user agent string.

Paramètres
string $userAgent The user-agent string to parse.
Renvoie
void
Depuis
1.0

Références WebClient\$userAgent, $version, et elseif.

Référencé par WebClient\__get().

◆ detectHeaders()

detectHeaders ( )
protected

Fills internal array of headers

Renvoie
void
Depuis
1.3.0

Références $name, et $value.

Référencé par WebClient\__get().

◆ detectLanguage()

detectLanguage ( $acceptLanguage )
protected

Method to detect the accepted languages by the client.

Paramètres
mixed $acceptLanguage The client accept language string to parse.
Renvoie
void
Depuis
1.0

Références WebClient\$acceptLanguage.

Référencé par WebClient\__get().

◆ detectPlatform()

detectPlatform ( $userAgent )
protected

Detects the client platform in a user agent string.

Paramètres
string $userAgent The user-agent string to parse.
Renvoie
void
Depuis
1.0

Attempt to distinguish between Android phones and tablets There is no totally foolproof method but certain rules almost always hold Android 3.x is only used for tablets Some devices and browsers encourage users to change their UA string to include Tablet. Google encourages manufacturers to exclude the string Mobile from tablet device UA strings. In some modes Kindle Android devices include the string Mobile but they include the string Silk.

Références WebClient\$userAgent, et elseif.

Référencé par WebClient\__get().

◆ detectRobot()

detectRobot ( $userAgent )
protected

Determines if the browser is a robot or not.

Paramètres
string $userAgent The user-agent string to parse.
Renvoie
void
Depuis
1.0

Références WebClient\$userAgent.

Référencé par WebClient\__get().

Documentation des champs

◆ $acceptEncoding

$acceptEncoding
protected

Référencé par WebClient\__construct(), et WebClient\detectEncoding().

◆ $acceptLanguage

$acceptLanguage
protected

Référencé par WebClient\__construct(), et WebClient\detectLanguage().

◆ $browser

$browser
protected

◆ $browserVersion

$browserVersion
protected

◆ $detection

$detection = array()
protected

◆ $encodings

$encodings = array()
protected

◆ $engine

$engine
protected

◆ $headers

$headers
protected

◆ $languages

$languages = array()
protected

◆ $mobile

$mobile = false
protected

◆ $platform

$platform
protected

◆ $robot

$robot = false
protected

◆ $userAgent

$userAgent
protected

Référencé par WebClient\__construct(), WebClient\detectBrowser(), WebClient\detectEngine(), WebClient\detectPlatform(), et WebClient\detectRobot().

◆ AMAYA

const AMAYA = 16

◆ ANDROID

const ANDROID = 9

◆ ANDROIDTABLET

const ANDROIDTABLET = 22

◆ BLACKBERRY

const BLACKBERRY = 8

◆ BLINK

const BLINK = 24

◆ CHROME

const CHROME = 19

◆ EDG

const EDG = 25

◆ EDGE

const EDGE = 23

◆ FIREFOX

const FIREFOX = 18

◆ GECKO

const GECKO = 13

◆ IE

const IE = 17

◆ IPAD

const IPAD = 5

◆ IPHONE

const IPHONE = 4

◆ IPOD

const IPOD = 6

◆ KHTML

const KHTML = 15

◆ LINUX

const LINUX = 10

◆ MAC

const MAC = 7

◆ OPERA

const OPERA = 21

◆ PRESTO

const PRESTO = 14

◆ SAFARI

const SAFARI = 20

◆ TRIDENT

const TRIDENT = 11

◆ WEBKIT

const WEBKIT = 12

◆ WINDOWS

const WINDOWS = 1

◆ WINDOWS_CE

const WINDOWS_CE = 3

◆ WINDOWS_PHONE

const WINDOWS_PHONE = 2
La documentation de cette classe a été générée à partir du fichier suivant :
  • WebClient.php


Joomla CMS: Référence de la classe AbstractApplication

  • Joomla
  • Application
  • AbstractApplication
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe AbstractApplication
+ Graphe d'héritage de AbstractApplication:
LoggerAwareInterface AbstractCliApplication AbstractWebApplication BaseApplication AbstractDaemonApplication JApplication CliApplication WebApplication DaemonApplication CMSApplication AdministratorApplication SiteApplication

Fonctions membres publiques

__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Champs de données

$input

Fonctions membres protégées

doExecute ()
initialise ()

Attributs protégés

$config

Attributs privés

$logger

Description détaillée

Joomla Framework Base Application Class

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Input | $input = null,
 |  | Registry | $config = null
 | ) |  |

Class constructor.

Paramètres
Input | $input | An optional argument to provide dependency injection for the application's input object. If the argument is an Input object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
Depuis
1.0

Références AbstractApplication\$config, AbstractApplication\$input, et AbstractApplication\initialise().

Documentation des fonctions membres

◆ close()

close ( $code = 0 )

Method to close the application.

Paramètres
integer $code The exit code (optional; default is 0).
Renvoie
void
Depuis
1.0

Référencé par AbstractCliApplication\__construct(), AbstractWebApplication\checkToken(), AbstractDaemonApplication\detach(), AbstractWebApplication\redirect(), AbstractDaemonApplication\shutdown(), et AbstractDaemonApplication\signal().

◆ doExecute()

doExecute ( )
abstractprotected

Method to run the application routines. Most likely you will want to instantiate a controller and execute it, or perform some sort of task directly.

Renvoie
mixed
Depuis
1.0

Référencé par AbstractApplication\execute(), AbstractWebApplication\execute(), et AbstractDaemonApplication\execute().

◆ execute()

execute ( )

Execute the application.

Renvoie
void
Depuis
1.0

Références AbstractApplication\doExecute().

◆ get()

get | ( | $key,
 |  | $default = null
 | ) |

Returns a property of the object or the default value if the property is not set.

Paramètres
string | $key | The name of the property.
mixed | $default | The default value (optional) if none is set.
Renvoie
mixed The value of the configuration.
Depuis
1.0

Références $default, et $key.

Référencé par MetadataManager\createRecordIfNonExisting().

◆ getLogger()

getLogger ( )

Get the logger.

Renvoie
LoggerInterface
Depuis
1.0

Références AbstractApplication\$logger.

Référencé par AbstractDaemonApplication\__construct(), AbstractDaemonApplication\changeIdentity(), AbstractDaemonApplication\daemonize(), AbstractDaemonApplication\detach(), AbstractDaemonApplication\execute(), AbstractDaemonApplication\fork(), AbstractDaemonApplication\isActive(), AbstractDaemonApplication\restart(), AbstractDaemonApplication\setupSignalHandlers(), AbstractDaemonApplication\shutdown(), AbstractDaemonApplication\signal(), AbstractDaemonApplication\stop(), et AbstractDaemonApplication\writeProcessIdFile().

◆ initialise()

initialise ( )
protected

Custom initialisation method.

Called at the end of the AbstractApplication::__construct method. This is for developers to inject initialisation code for their application classes.

Renvoie
void
Depuis
1.0

Référencé par AbstractApplication\__construct().

◆ set()

set | ( | $key,
 |  | $value = null
 | ) |

Modifies a property of the object, creating it if it does not already exist.

Paramètres
string | $key | The name of the property.
mixed | $value | The value of the property to set (optional).
Renvoie
mixed Previous value of the property
Depuis
1.0

Références $key, et $value.

◆ setConfiguration()

setConfiguration ( Registry $config )

Sets the configuration for the application.

Paramètres
Registry $config A registry object holding the configuration.
Renvoie
AbstractApplication Returns itself to support chaining.
Depuis
1.0

Références AbstractApplication\$config.

◆ setLogger()

setLogger ( LoggerInterface $logger )

Set the logger.

Paramètres
LoggerInterface $logger The logger.
Renvoie
AbstractApplication Returns itself to support chaining.
Depuis
1.0

Implémente LoggerAwareInterface.

Références AbstractApplication\$logger.

Documentation des champs

◆ $config

$config
protected

Référencé par AbstractCliApplication\__construct(), AbstractApplication\__construct(), AbstractDaemonApplication\__construct(), AbstractWebApplication\__construct(), et AbstractApplication\setConfiguration().

◆ $input

$input

Référencé par AbstractCliApplication\__construct(), AbstractApplication\__construct(), AbstractDaemonApplication\__construct(), et AbstractWebApplication\__construct().

◆ $logger

$logger
private

Référencé par AbstractApplication\getLogger(), et AbstractApplication\setLogger().

La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractApplication.php


Joomla CMS: Référence de la classe AbstractCliApplication

  • Joomla
  • Application
  • AbstractCliApplication
Fonctions membres publiques | Attributs protégés
Référence de la classe AbstractCliApplication
+ Graphe d'héritage de AbstractCliApplication:
AbstractApplication LoggerAwareInterface AbstractDaemonApplication

Fonctions membres publiques

__construct (Input\Cli $input=null, Registry $config=null, Cli\CliOutput $output=null, Cli\CliInput $cliInput=null)
getOutput ()
getCliInput ()
out ($text='', $nl=true)
in ()
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Attributs protégés

$output
$cliInput
- Attributs protégés hérités de AbstractApplication
$config

Membres hérités additionnels

- Champs de données hérités de AbstractApplication
$input
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Description détaillée

Base class for a Joomla! command line application.

Depuis
1.0
Obsolète:
2.0 Use the joomla/console package instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Input\Cli | $input = null,
 |  | Registry | $config = null,
 |  | Cli\CliOutput | $output = null,
 |  | Cli\CliInput | $cliInput = null
 | ) |  |

Class constructor.

Paramètres
Input\Cli | $input | An optional argument to provide dependency injection for the application's input object. If the argument is an Input object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
Cli\CliOutput | $output | An optional argument to provide dependency injection for the application's output object. If the argument is a Cli object that object will become the application's input object, otherwise a default output object is created.
Cli\CliInput | $cliInput | An optional argument to provide dependency injection for the application's CLI input object. If the argument is a Cli object that object will become the application's input object, otherwise a default input object is created.
Depuis
1.0

Références AbstractCliApplication\$cliInput, AbstractApplication\$config, AbstractApplication\$input, AbstractCliApplication\$output, et AbstractApplication\close().

Documentation des fonctions membres

◆ getCliInput()

getCliInput ( )

Get a CLI input object.

Renvoie
Cli
Depuis
1.6.0

Références AbstractCliApplication\$cliInput.

Référencé par AbstractCliApplication\in().

◆ getOutput()

getOutput ( )

Get an output object.

Renvoie
Cli
Depuis
1.0

Références AbstractCliApplication\$output.

Référencé par AbstractCliApplication\out().

◆ in()

in ( )

Get a value from standard input.

Renvoie
string The input string from standard input.
Depuis
1.0

Références AbstractCliApplication\getCliInput().

◆ out()

out | ( | $text = '',
 |  | $nl = true
 | ) |

Write a string to standard output.

Paramètres
string | $text | The text to display.
boolean | $nl | True (default) to append a new line at the end of the output string.
Renvoie
AbstractCliApplication Instance of $this to allow chaining.
Depuis
1.0

Références $text, et AbstractCliApplication\getOutput().

Documentation des champs

◆ $cliInput

$cliInput
protected

Référencé par AbstractCliApplication\__construct(), AbstractDaemonApplication\__construct(), et AbstractCliApplication\getCliInput().

◆ $output

$output
protected

Référencé par AbstractCliApplication\__construct(), AbstractDaemonApplication\__construct(), et AbstractCliApplication\getOutput().

La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractCliApplication.php


Joomla CMS: Référence de la classe AbstractDaemonApplication

  • Joomla
  • Application
  • AbstractDaemonApplication
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe AbstractDaemonApplication
+ Graphe d'héritage de AbstractDaemonApplication:
AbstractCliApplication LoggerAwareInterface AbstractApplication LoggerAwareInterface

Fonctions membres publiques

__construct (Cli $input=null, Registry $config=null, Cli\CliOutput $output=null, Cli\CliInput $cliInput=null)
signal ($signal)
isActive ()
loadConfiguration ($data)
execute ()
restart ()
stop ()
- Fonctions membres publiques hérités de AbstractCliApplication
__construct (Input\Cli $input=null, Registry $config=null, Cli\CliOutput $output=null, Cli\CliInput $cliInput=null)
getOutput ()
getCliInput ()
out ($text='', $nl=true)
in ()
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres protégées

changeIdentity ()
daemonize ()
detach ()
fork ()
gc ()
setupSignalHandlers ()
shutdown ($restart=false)
writeProcessIdFile ()
postFork ()
pcntlChildExitStatus ($status)
pcntlFork ()
pcntlSignal ($signal, $handler, $restart=true)
pcntlWait (&$status, $options=0)
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Attributs protégés

$exiting = false
$parentId = 0
$processId = 0
$running = false
- Attributs protégés hérités de AbstractCliApplication
$output
$cliInput
- Attributs protégés hérités de AbstractApplication
$config

Attributs protégés statiques

static $signals

Membres hérités additionnels

- Champs de données hérités de AbstractApplication
$input

Description détaillée

Class to turn Cli applications into daemons. It requires CLI and PCNTL support built into PHP.

https://www.php.net/manual/en/features.commandline.php 1.0 deprecated 1064.

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Cli | $input = null,
 |  | Registry | $config = null,
 |  | Cli\CliOutput | $output = null,
 |  | Cli\CliInput | $cliInput = null
 | ) |  |

Class constructor.

Paramètres
Input\Cli | $input | An optional argument to provide dependency injection for the application's input object. If the argument is an Input object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
Cli\CliOutput | $output | An optional argument to provide dependency injection for the application's output object. If the argument is a Cli object that object will become the application's input object, otherwise a default output object is created.
Cli\CliInput | $cliInput | An optional argument to provide dependency injection for the application's CLI input object. If the argument is a Cli object that object will become the application's input object, otherwise a default input object is created.
Depuis
1.0

Références AbstractCliApplication\$cliInput, AbstractApplication\$config, AbstractApplication\$input, AbstractCliApplication\$output, AbstractApplication\getLogger(), et null.

Documentation des fonctions membres

◆ changeIdentity()

changeIdentity ( )
protected

Method to change the identity of the daemon process and resources.

Renvoie
boolean True if identity successfully changed
Depuis
1.0
Voir également
posix_setuid()

Références $file, $info, $user, et AbstractApplication\getLogger().

Référencé par AbstractDaemonApplication\daemonize().

◆ daemonize()

daemonize ( )
protected

Method to put the application into the background.

Renvoie
boolean
Depuis
1.0
Exceptions

Références AbstractDaemonApplication\$processId, AbstractDaemonApplication\changeIdentity(), AbstractDaemonApplication\detach(), AbstractApplication\getLogger(), AbstractDaemonApplication\isActive(), name, AbstractDaemonApplication\setupSignalHandlers(), et AbstractDaemonApplication\writeProcessIdFile().

Référencé par AbstractDaemonApplication\execute().

◆ detach()

detach ( )
protected

This is truly where the magic happens. This is where we fork the process and kill the parent process, which is essentially what turns the application into a daemon.

Renvoie
void
Depuis
1.0
Exceptions

Références AbstractDaemonApplication\$processId, AbstractApplication\close(), AbstractDaemonApplication\fork(), AbstractApplication\getLogger(), et name.

Référencé par AbstractDaemonApplication\daemonize().

◆ execute()

execute ( )

Execute the daemon.

Renvoie
void
Depuis
1.0

Références AbstractDaemonApplication\daemonize(), AbstractApplication\doExecute(), AbstractDaemonApplication\gc(), AbstractApplication\getLogger(), et name.

◆ fork()

fork ( )
protected

Method to fork the process.

Renvoie
integer The child process id to the parent process, zero to the child process.
Depuis
1.0
Exceptions

Références AbstractApplication\getLogger(), AbstractDaemonApplication\pcntlFork(), et AbstractDaemonApplication\postFork().

Référencé par AbstractDaemonApplication\detach().

◆ gc()

gc ( )
protected

Method to perform basic garbage collection and memory management in the sense of clearing the stat cache. We will probably call this method pretty regularly in our main loop.

Renvoie
void
Depuis
1.0

Référencé par AbstractDaemonApplication\execute().

◆ isActive()

isActive ( )

Check to see if the daemon is active. This does not assume that $this daemon is active, but only if an instance of the application is active as a daemon.

Renvoie
boolean True if daemon is active.
Depuis
1.0

Références AbstractApplication\getLogger().

Référencé par AbstractDaemonApplication\daemonize(), AbstractDaemonApplication\shutdown(), et AbstractDaemonApplication\signal().

◆ loadConfiguration()

loadConfiguration ( $data )

Load an object or array into the application configuration object.

Paramètres
mixed $data Either an array or object to be loaded into the configuration object.
Renvoie
AbstractDaemonApplication Instance of $this to allow chaining.
Depuis
1.0

Références $name, $options, $tmp, et null.

◆ pcntlChildExitStatus()

pcntlChildExitStatus ( $status )
protected

Method to return the exit code of a terminated child process.

Paramètres
integer $status The status parameter is the status parameter supplied to a successful call to pcntl_waitpid().
Renvoie
integer The child process exit code.
Voir également
pcntl_wexitstatus()
Depuis
1.0

Référencé par AbstractDaemonApplication\signal().

◆ pcntlFork()

pcntlFork ( )
protected

Method to return the exit code of a terminated child process.

Renvoie
integer On success, the PID of the child process is returned in the parent's thread of execution, and a 0 is returned in the child's thread of execution. On failure, a -1 will be returned in the parent's context, no child process will be created, and a PHP error is raised.
Voir également
pcntl_fork()
Depuis
1.0

Référencé par AbstractDaemonApplication\fork().

◆ pcntlSignal()

pcntlSignal | ( | $signal,
 |  | $handler,
 |  | $restart = true
 | ) |
protected

Method to install a signal handler.

Paramètres
integer | $signal | The signal number.
callable | $handler | The signal handler which may be the name of a user created function, or method, or either of the two global constants SIG_IGN or SIG_DFL.
boolean | $restart | Specifies whether system call restarting should be used when this signal arrives.
Renvoie
boolean True on success.
Voir également
pcntl_signal()
Depuis
1.0

Référencé par AbstractDaemonApplication\setupSignalHandlers().

◆ pcntlWait()

pcntlWait | ( | & | $status,
 |  |  | $options = 0
 | ) |  |
protected

Method to wait on or return the status of a forked child.

Paramètres
integer | $status | Status information.
integer | $options | If wait3 is available on your system (mostly BSD-style systems), you can provide the optional options parameter.
Renvoie
integer The process ID of the child which exited, -1 on error or zero if WNOHANG was provided as an option (on wait3-available systems) and no child was available.
Voir également
pcntl_wait()
Depuis
1.0

Références $options.

Référencé par AbstractDaemonApplication\signal().

◆ postFork()

postFork ( )
protected

Method to handle post-fork triggering of the onFork event.

Renvoie
void
Depuis
1.0

Référencé par AbstractDaemonApplication\fork().

◆ restart()

restart ( )

Restart daemon process.

Renvoie
void
Depuis
1.0

Références AbstractApplication\getLogger(), name, et AbstractDaemonApplication\shutdown().

◆ setupSignalHandlers()

setupSignalHandlers ( )
protected

Method to attach the AbstractDaemonApplication signal handler to the known signals. Applications can override these handlers by using the pcntl_signal() function and attaching a different callback method.

Renvoie
boolean
Depuis
1.0
Voir également
pcntl_signal()

Références AbstractApplication\getLogger(), null, et AbstractDaemonApplication\pcntlSignal().

Référencé par AbstractDaemonApplication\daemonize().

◆ shutdown()

shutdown ( $restart = false )
protected

Method to shut down the daemon and optionally restart it.

Paramètres
boolean $restart True to restart the daemon on exit.
Renvoie
void
Depuis
1.0

Références $GLOBALS, AbstractApplication\close(), AbstractApplication\getLogger(), et AbstractDaemonApplication\isActive().

Référencé par AbstractDaemonApplication\restart(), AbstractDaemonApplication\signal(), et AbstractDaemonApplication\stop().

◆ signal()

signal ( $signal )

Method to handle POSIX signals.

Paramètres
integer $signal The received POSIX signal.
Renvoie
void
Depuis
1.0
Voir également
pcntl_signal()
Exceptions

Références AbstractApplication\close(), AbstractApplication\getLogger(), AbstractDaemonApplication\isActive(), AbstractDaemonApplication\pcntlChildExitStatus(), AbstractDaemonApplication\pcntlWait(), et AbstractDaemonApplication\shutdown().

◆ stop()

stop ( )

Stop daemon process.

Renvoie
void
Depuis
1.0

Références AbstractApplication\getLogger(), name, et AbstractDaemonApplication\shutdown().

◆ writeProcessIdFile()

writeProcessIdFile ( )
protected

Method to write the process id file out to disk.

Renvoie
boolean
Depuis
1.0

Références $file, $folder, et AbstractApplication\getLogger().

Référencé par AbstractDaemonApplication\daemonize().

Documentation des champs

◆ $exiting

$exiting = false
protected

◆ $parentId

$parentId = 0
protected

◆ $processId

$processId = 0
protected

Référencé par AbstractDaemonApplication\daemonize(), et AbstractDaemonApplication\detach().

◆ $running

$running = false
protected

◆ $signals

$signals
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractDaemonApplication.php


Joomla CMS: Référence de la classe AbstractWebApplication

  • Joomla
  • Application
  • AbstractWebApplication
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe AbstractWebApplication
+ Graphe d'héritage de AbstractWebApplication:
AbstractApplication LoggerAwareInterface

Fonctions membres publiques

__construct (Input $input=null, Registry $config=null, Web\WebClient $client=null)
execute ()
redirect ($url, $status=303)
allowCache ($allow=null)
setHeader ($name, $value, $replace=false)
getHeaders ()
clearHeaders ()
sendHeaders ()
setBody ($content)
prependBody ($content)
appendBody ($content)
getBody ($asArray=false)
getSession ()
isValidHttpStatus ($code)
isSslConnection ()
setSession (Session $session)
checkToken ($method='post')
getFormToken ($forceNew=false)
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres publiques statiques

static isAscii ($str)

Champs de données

$charSet = 'utf-8'
$mimeType = 'text/html'
$httpVersion = '1.1'
$modifiedDate
$client
- Champs de données hérités de AbstractApplication
$input

Fonctions membres protégées

compress ()
respond ()
getHttpStatusValue ($value)
checkConnectionAlive ()
checkHeadersSent ()
detectRequestUri ()
header ($string, $replace=true, $code=null)
isRedirectState ($state)
loadSystemUris ($requestUri=null)
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Attributs protégés

$response
- Attributs protégés hérités de AbstractApplication
$config

Attributs privés

$session
$responseMap

Description détaillée

Base class for a Joomla! Web application.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Input | $input = null,
 |  | Registry | $config = null,
 |  | Web\WebClient | $client = null
 | ) |  |

Class constructor.

Paramètres
Input | $input | An optional argument to provide dependency injection for the application's input object. If the argument is an Input object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
Web\WebClient | $client | An optional argument to provide dependency injection for the application's client object. If the argument is a Web object that object will become the application's client object, otherwise a default client object is created.
Depuis
1.0

Références AbstractWebApplication\$client, AbstractApplication\$config, AbstractApplication\$input, et AbstractWebApplication\loadSystemUris().

Documentation des fonctions membres

◆ allowCache()

allowCache ( $allow = null )

Set/get cachable state for the response. If $allow is set, sets the cachable state of the response. Always returns the current state.

Paramètres
boolean $allow True to allow browser caching.
Renvoie
boolean
Depuis
1.0

Références null.

Référencé par AbstractWebApplication\respond().

◆ appendBody()

appendBody ( $content )

Append content to the body content

Paramètres
string $content The content to append to the response body.
Renvoie
AbstractWebApplication Instance of $this to allow chaining.
Depuis
1.0

Références $content.

◆ checkConnectionAlive()

checkConnectionAlive ( )
protected

Method to check the current client connection status to ensure that it is alive. We are wrapping this to isolate the connection_status() function from our code base for testing reasons.

Renvoie
boolean True if the connection is valid and normal.
Voir également
connection_status()
Depuis
1.0

Référencé par AbstractWebApplication\compress().

◆ checkHeadersSent()

checkHeadersSent ( )
protected

Method to check to see if headers have already been sent. We are wrapping this to isolate the headers_sent() function from our code base for testing reasons.

Renvoie
boolean True if the headers have already been sent.
Voir également
headers_sent()
Depuis
1.0

Référencé par AbstractWebApplication\compress(), AbstractWebApplication\redirect(), et AbstractWebApplication\sendHeaders().

◆ checkToken()

checkToken ( $method = 'post' )

Checks for a form token in the request.

Use in conjunction with getFormToken.

Paramètres
string $method The request method in which to look for the token key.
Renvoie
boolean True if found and valid, false otherwise.
Depuis
1.0

Références AbstractApplication\close(), AbstractWebApplication\getFormToken(), AbstractWebApplication\getSession(), et AbstractWebApplication\redirect().

◆ clearHeaders()

clearHeaders ( )

Method to clear any set response headers.

Renvoie
AbstractWebApplication Instance of $this to allow chaining.
Depuis
1.0

◆ compress()

compress ( )
protected

Checks the accept encoding of the browser and compresses the data before sending it to the client if possible.

Renvoie
void
Depuis
1.0

Références $data, AbstractWebApplication\checkConnectionAlive(), AbstractWebApplication\checkHeadersSent(), AbstractWebApplication\getBody(), AbstractWebApplication\setBody(), et AbstractWebApplication\setHeader().

Référencé par AbstractWebApplication\execute().

◆ detectRequestUri()

detectRequestUri ( )
protected

Method to detect the requested URI from server environment variables.

Renvoie
string The requested URI
Depuis
1.0

Références $uri, et AbstractWebApplication\isSslConnection().

Référencé par AbstractWebApplication\loadSystemUris().

◆ execute()

execute ( )

Execute the application.

Renvoie
void
Depuis
1.0

Références AbstractWebApplication\compress(), AbstractApplication\doExecute(), et AbstractWebApplication\respond().

◆ getBody()

getBody ( $asArray = false )

Return the body content

Paramètres
boolean $asArray True to return the body as an array of strings.
Renvoie
string|string[] The response body either as an array or concatenated string.
Depuis
1.0

Référencé par AbstractWebApplication\compress(), et AbstractWebApplication\respond().

◆ getFormToken()

getFormToken ( $forceNew = false )

Method to determine a hash for anti-spoofing variable names

Paramètres
boolean $forceNew If true, force a new token to be created
Renvoie
string Hashed var name
Depuis
1.0

Références $userId, et AbstractWebApplication\getSession().

Référencé par AbstractWebApplication\checkToken().

◆ getHeaders()

getHeaders ( )

Method to get the array of response headers to be sent when the response is sent to the client.

Renvoie
array
Depuis
1.0

◆ getHttpStatusValue()

getHttpStatusValue ( $value )
protected

Check if a given value can be successfully mapped to a valid http status value

Paramètres
string | int $value The given status as int or string
Renvoie
string
Depuis
1.8.0

Références $value.

Référencé par AbstractWebApplication\sendHeaders().

◆ getSession()

getSession ( )

Method to get the application session object.

Renvoie
Session The session object
Depuis
1.0

Références AbstractWebApplication\$session, et null.

Référencé par AbstractWebApplication\checkToken(), et AbstractWebApplication\getFormToken().

◆ header()

header | ( | $string,
 |  | $replace = true,
 |  | $code = null
 | ) |
protected

Method to send a header to the client. We are wrapping this to isolate the header() function from our code base for testing reasons.

Paramètres
string | $string | The header string.
boolean | $replace | The optional replace parameter indicates whether the header should replace a previous similar header, or add a second header of the same type.
integer | $code | Forces the HTTP response code to the specified value. Note that this parameter only has an effect if the string is not empty.
Renvoie
void
Voir également
header()
Depuis
1.0

Référencé par AbstractWebApplication\sendHeaders().

◆ isAscii()

static isAscii ( $str )
static

Tests whether a string contains only 7bit ASCII bytes.

You might use this to conditionally check whether a string needs handling as UTF-8 or not, potentially offering performance benefits by using the native PHP equivalent if it's just ASCII e.g.;

Paramètres
string $str The string to test.
Renvoie
boolean True if the string is all ASCII
Depuis
1.4.0

◆ isRedirectState()

isRedirectState ( $state )
protected

Checks if a state is a redirect state

Paramètres
integer $state The HTTP status code.
Renvoie
boolean
Depuis
1.8.0

Références $state.

Référencé par AbstractWebApplication\redirect().

◆ isSslConnection()

isSslConnection ( )

Determine if we are using a secure (SSL) connection.

Renvoie
boolean True if using SSL, false if not.
Depuis
1.0

Référencé par AbstractWebApplication\detectRequestUri().

◆ isValidHttpStatus()

isValidHttpStatus ( $code )

Check if the value is a valid HTTP status code

Paramètres
integer $code The potential status code
Renvoie
boolean
Depuis
1.8.1

◆ loadSystemUris()

loadSystemUris ( $requestUri = null )
protected

Method to load the system URI strings for the application.

Paramètres
string $requestUri An optional request URI to use instead of detecting one from the server environment variables.
Renvoie
void
Depuis
1.0

Références $path, $uri, et AbstractWebApplication\detectRequestUri().

Référencé par AbstractWebApplication\__construct().

◆ prependBody()

prependBody ( $content )

Prepend content to the body content

Paramètres
string $content The content to prepend to the response body.
Renvoie
AbstractWebApplication Instance of $this to allow chaining.
Depuis
1.0

Références $content.

◆ redirect()

redirect | ( | $url,
 |  | $status = 303
 | ) |

Redirect to another URL.

If the headers have not been sent the redirect will be accomplished using a "301 Moved Permanently" or "303 See Other" code in the header pointing to the new location. If the headers have already been sent this will be accomplished using a JavaScript statement.

Paramètres
string | $url | The URL to redirect to. Can only be http/https URL
integer | $status | The HTTP status code to be provided. 303 is assumed by default.
Renvoie
void
Depuis
1.0
Exceptions

Références $html, $parts, $path, $prefix, $uri, $url, AbstractWebApplication\checkHeadersSent(), AbstractApplication\close(), AbstractWebApplication\isRedirectState(), json_encode, AbstractWebApplication\respond(), et AbstractWebApplication\setHeader().

Référencé par AbstractWebApplication\checkToken().

◆ respond()

respond ( )
protected

Method to send the application response to the client. All headers will be sent prior to the main application output data.

Renvoie
void
Depuis
1.0

Références AbstractWebApplication\allowCache(), AbstractWebApplication\getBody(), AbstractWebApplication\sendHeaders(), et AbstractWebApplication\setHeader().

Référencé par AbstractWebApplication\execute(), et AbstractWebApplication\redirect().

◆ sendHeaders()

sendHeaders ( )

Send the response headers.

Renvoie
AbstractWebApplication Instance of $this to allow chaining.
Depuis
1.0

Références AbstractWebApplication\checkHeadersSent(), AbstractWebApplication\getHttpStatusValue(), et AbstractWebApplication\header().

Référencé par AbstractWebApplication\respond().

◆ setBody()

setBody ( $content )

Set body content. If body content already defined, this will replace it.

Paramètres
string $content The content to set as the response body.
Renvoie
AbstractWebApplication Instance of $this to allow chaining.
Depuis
1.0

Références $content.

Référencé par AbstractWebApplication\compress().

◆ setHeader()

setHeader | ( | $name,
 |  | $value,
 |  | $replace = false
 | ) |

Method to set a response header. If the replace flag is set then all headers with the given name will be replaced by the new one. The headers are stored in an internal array to be sent when the site is sent to the browser.

Paramètres
string | $name | The name of the header to set.
string | $value | The value of the header to set.
boolean | $replace | True to replace any headers with the same name.
Renvoie
AbstractWebApplication Instance of $this to allow chaining.
Depuis
1.0

Références $key, $name, et $value.

Référencé par AbstractWebApplication\compress(), AbstractWebApplication\redirect(), et AbstractWebApplication\respond().

◆ setSession()

setSession ( Session $session )

Sets the session for the application to use, if required.

Paramètres
Session $session A session object.
Renvoie
AbstractWebApplication Returns itself to support chaining.
Depuis
1.0

Références AbstractWebApplication\$session.

Documentation des champs

◆ $charSet

$charSet = 'utf-8'

◆ $client

$client

Référencé par AbstractWebApplication\__construct().

◆ $httpVersion

$httpVersion = '1.1'

◆ $mimeType

$mimeType = 'text/html'

◆ $modifiedDate

$modifiedDate

◆ $response

$response
protected

◆ $responseMap

$responseMap
private

◆ $session

$session
private

Référencé par AbstractWebApplication\getSession(), et AbstractWebApplication\setSession().

La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractWebApplication.php


Joomla CMS: Référence de la classe UnknownArchiveException

  • Joomla
  • Archive
  • Exception
  • UnknownArchiveException
Référence de la classe UnknownArchiveException
+ Graphe d'héritage de UnknownArchiveException:

Description détaillée

Exception class defining an unknown archive type

Depuis
1.1.7
La documentation de cette classe a été générée à partir du fichier suivant :
  • UnknownArchiveException.php


Joomla CMS: Référence de la classe UnsupportedArchiveException

  • Joomla
  • Archive
  • Exception
  • UnsupportedArchiveException
Référence de la classe UnsupportedArchiveException
+ Graphe d'héritage de UnsupportedArchiveException:

Description détaillée

Exception class defining an unsupported archive adapter

Depuis
1.1.7
La documentation de cette classe a été générée à partir du fichier suivant :
  • UnsupportedArchiveException.php


Joomla CMS: Référence de la classe Archive

  • Joomla
  • Archive
  • Archive
Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe Archive

Fonctions membres publiques

__construct ($options=array())
extract ($archivename, $extractdir)
setAdapter ($type, $class, $override=true)

Champs de données

$options = array()

Attributs protégés

$adapters = array()

Description détaillée

An Archive handling class

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Create a new Archive object.

Paramètres
array | \ArrayAccess $options An array of options
Depuis
1.0
Exceptions

Références Archive\$options.

Documentation des fonctions membres

◆ extract()

extract | ( | $archivename,
 |  | $extractdir
 | ) |

Extract an archive file to a directory.

Paramètres
string | $archivename | The name of the archive file
string | $extractdir | Directory to unpack into
Renvoie
boolean True for success
Depuis
1.0
Exceptions
UnknownArchiveException if the archive type is not supported

Références $path, File\copy(), Folder\create(), et null.

◆ setAdapter()

setAdapter | ( | $type,
 |  | $class,
 |  | $override = true
 | ) |

Method to override the provided adapter with your own implementation.

Paramètres
string | $type | Name of the adapter to set.
string | object | $class | FQCN of your class which implements ExtractableInterface.
boolean | $override | True to force override the adapter type.
Renvoie
Archive This object for chaining.
Depuis
1.0
Exceptions
UnsupportedArchiveException if the adapter type is not supported

Références $class, et $type.

Documentation des champs

◆ $adapters

$adapters = array()
protected

◆ $options

$options = array()

Référencé par Archive\__construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Archive.php


Joomla CMS: Référence de la classe Bzip2

  • Joomla
  • Archive
  • Bzip2
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Attributs privés
Référence de la classe Bzip2
+ Graphe d'héritage de Bzip2:
ExtractableInterface

Fonctions membres publiques

__construct ($options=array())
extract ($archive, $destination)

Fonctions membres publiques statiques

static isSupported ()

Attributs protégés

$options = array()

Attributs privés

$data

Description détaillée

Bzip2 format adapter for the Archive package

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Create a new Archive object.

Paramètres
array | \ArrayAccess $options An array of options
Depuis
1.0
Exceptions

Références Bzip2\$options.

Documentation des fonctions membres

◆ extract()

extract | ( | $archive,
 |  | $destination
 | ) |

Extract a Bzip2 compressed file to a given path

Paramètres
string | $archive | Path to Bzip2 archive to extract
string | $destination | Path to extract archive to
Renvoie
boolean True if successful
Depuis
1.0
Exceptions

Implémente ExtractableInterface.

Références $buffer, $input, $output, Stream\getStream(), null, et File\write().

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
1.0

Implémente ExtractableInterface.

Documentation des champs

◆ $data

$data
private

◆ $options

$options = array()
protected

Référencé par Bzip2\__construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Bzip2.php


Joomla CMS: Référence de l'interface ExtractableInterface

  • Joomla
  • Archive
  • ExtractableInterface
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de l'interface ExtractableInterface
+ Graphe d'héritage de ExtractableInterface:
Bzip2 Gzip Tar Zip

Fonctions membres publiques

extract ($archive, $destination)

Fonctions membres publiques statiques

static isSupported ()

Description détaillée

Archive class interface

Depuis
1.0

Documentation des fonctions membres

◆ extract()

extract | ( | $archive,
 |  | $destination
 | ) |

Extract a compressed file to a given path

Paramètres
string | $archive | Path to archive to extract
string | $destination | Path to extract archive to
Renvoie
boolean True if successful
Depuis
1.0
Exceptions

Implémenté dans Zip, Tar, Gzip, et Bzip2.

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
1.0

Implémenté dans Zip, Gzip, Tar, et Bzip2.

La documentation de cette interface a été générée à partir du fichier suivant :
  • ExtractableInterface.php


Joomla CMS: Référence de la classe Gzip

  • Joomla
  • Archive
  • Gzip
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Attributs privés
Référence de la classe Gzip
+ Graphe d'héritage de Gzip:
ExtractableInterface

Fonctions membres publiques

__construct ($options=array())
extract ($archive, $destination)
getFilePosition ()

Fonctions membres publiques statiques

static isSupported ()

Attributs protégés

$options = array()

Attributs privés

$flags = array('FTEXT' => 0x01, 'FHCRC' => 0x02, 'FEXTRA' => 0x04, 'FNAME' => 0x08, 'FCOMMENT' => 0x10)
$data

Description détaillée

Gzip format adapter for the Archive package

This class is inspired from and draws heavily in code and concept from the Compress package of The Horde Project http://www.horde.org

Michael Slusarz slusa.nosp@m.rz@h.nosp@m.orde..nosp@m.org Michael Cochrane mike@.nosp@m.graf.nosp@m.tonha.nosp@m.ll.c.nosp@m.o.nz

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Create a new Archive object.

Paramètres
array | \ArrayAccess $options An array of options
Depuis
1.0
Exceptions

Références Gzip\$options.

Documentation des fonctions membres

◆ extract()

extract | ( | $archive,
 |  | $destination
 | ) |

Extract a Gzip compressed file to a given path

Paramètres
string | $archive | Path to ZIP archive to extract
string | $destination | Path to extract archive to
Renvoie
boolean True if successful
Depuis
1.0
Exceptions

Implémente ExtractableInterface.

Références $buffer, $input, $output, $position, Gzip\getFilePosition(), Stream\getStream(), null, et File\write().

◆ getFilePosition()

getFilePosition ( )

Get file data offset for archive

Renvoie
integer Data position marker for archive
Depuis
1.0
Exceptions

Références $info, et $position.

Référencé par Gzip\extract().

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
1.0

Implémente ExtractableInterface.

Documentation des champs

◆ $data

$data
private

◆ $flags

$flags = array('FTEXT' => 0x01, 'FHCRC' => 0x02, 'FEXTRA' => 0x04, 'FNAME' => 0x08, 'FCOMMENT' => 0x10)
private

◆ $options

$options = array()
protected

Référencé par Gzip\__construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Gzip.php


Joomla CMS: Référence de la classe Tar

  • Joomla
  • Archive
  • Tar
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe Tar
+ Graphe d'héritage de Tar:
ExtractableInterface

Fonctions membres publiques

__construct ($options=array())
extract ($archive, $destination)

Fonctions membres publiques statiques

static isSupported ()

Fonctions membres protégées

getTarInfo (&$data)

Attributs protégés

$options = array()

Fonctions membres privées

isBelow ($destination, $path)

Attributs privés

$types
$data
$metadata

Description détaillée

Tar format adapter for the Archive package

This class is inspired from and draws heavily in code and concept from the Compress package of The Horde Project http://www.horde.org

Michael Slusarz slusa.nosp@m.rz@h.nosp@m.orde..nosp@m.org Michael Cochrane mike@.nosp@m.graf.nosp@m.tonha.nosp@m.ll.c.nosp@m.o.nz

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Create a new Archive object.

Paramètres
array | \ArrayAccess $options An array of options or an object that implements
Depuis
1.0
Exceptions

Références Tar\$options.

Documentation des fonctions membres

◆ extract()

extract | ( | $archive,
 |  | $destination
 | ) |

Extract a ZIP compressed file to a given path

Paramètres
string | $archive | Path to ZIP archive to extract
string | $destination | Path to extract archive into
Renvoie
boolean True if successful
Depuis
1.0
Exceptions

Implémente ExtractableInterface.

Références $buffer, $i, $n, $path, $type, Path\clean(), Folder\create(), Tar\getTarInfo(), Tar\isBelow(), null, Path\resolve(), et File\write().

◆ getTarInfo()

getTarInfo ( & $data )
protected

Get the list of files/data from a Tar archive buffer.

Paramètres
string $data The Tar archive buffer.
Renvoie
array Archive metadata array
KEY: Position in the array
VALUES: 'attr'  --  File attributes
'data'  --  Raw file contents
'date'  --  File modification time
'name'  --  Filename
'size'  --  Original file size
'type'  --  File type
Depuis
1.0
Exceptions

Références Tar\$data, $file, $info, $mode, $position, elseif, et null.

Référencé par Tar\extract().

◆ isBelow()

isBelow | ( | $destination,
 |  | $path
 | ) |
private

Check if a path is below a given destination path

Paramètres
string | $destination | Root path
string | $path | Path to check
Renvoie
boolean
Depuis
1.1.12

Références $path, Path\clean(), et Path\resolve().

Référencé par Tar\extract().

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
1.0

Implémente ExtractableInterface.

Documentation des champs

◆ $data

$data
private

Référencé par Tar\getTarInfo().

◆ $metadata

$metadata
private

◆ $options

$options = array()
protected

Référencé par Tar\__construct().

◆ $types

$types
private
Valeur initiale :
= array(
0x0 => 'Unix file',
0x30 => 'File',
0x31 => 'Link',
0x32 => 'Symbolic link',
0x33 => 'Character special file',
0x34 => 'Block special file',
0x35 => 'Directory',
0x36 => 'FIFO special file',
0x37 => 'Contiguous file',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • Tar.php


Joomla CMS: Référence de la classe Zip

  • Joomla
  • Archive
  • Zip
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe Zip
+ Graphe d'héritage de Zip:
ExtractableInterface

Fonctions membres publiques

__construct ($options=array())
create ($archive, $files)
extract ($archive, $destination)
checkZipData ($data)

Fonctions membres publiques statiques

static | isSupported ()
static | hasNativeSupport ()

Fonctions membres protégées

extractCustom ($archive, $destination)
extractNative ($archive, $destination)
unix2DosTime ($unixtime=null)

Attributs protégés

$options = array()

Fonctions membres privées

readZipInfo ($data)
getFileData ($key)
addToZipFile (array &$file, array &$contents, array &$ctrldir)
createZipFile (array $contents, array $ctrlDir, $path)
isBelow ($destination, $path)

Attributs privés

$methods
$ctrlDirHeader = "\x50\x4b\x01\x02"
$ctrlDirEnd = "\x50\x4b\x05\x06\x00\x00\x00\x00"
$fileHeader = "\x50\x4b\x03\x04"
$data
$metadata

Description détaillée

ZIP format adapter for the Archive package

The ZIP compression code is partially based on code from: Eric Mueller eric@.nosp@m.them.nosp@m.epark.nosp@m..com http://www.zend.com/codex.php?id=535&single=1

Deins125 webma.nosp@m.ster.nosp@m.@atla.nosp@m.nt.r.nosp@m.u http://www.zend.com/codex.php?id=470&single=1

The ZIP compression date code is partially based on code from Peter Listiak mlady.nosp@m.@use.nosp@m.rs.so.nosp@m.urce.nosp@m.forge.nosp@m..net

This class is inspired from and draws heavily in code and concept from the Compress package of The Horde Project http://www.horde.org

Chuck Hagenbuch chuck.nosp@m.@hor.nosp@m.de.or.nosp@m.g Michael Slusarz slusa.nosp@m.rz@h.nosp@m.orde..nosp@m.org Michael Cochrane mike@.nosp@m.graf.nosp@m.tonha.nosp@m.ll.c.nosp@m.o.nz

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Create a new Archive object.

Paramètres
array | \ArrayAccess $options An array of options or an object that implements
Depuis
1.0
Exceptions

Références Zip\$options.

Documentation des fonctions membres

◆ addToZipFile()

addToZipFile | ( | array & | $file,
 |  | array & | $contents,
 |  | array & | $ctrldir
 | ) |  |
private

Adds a "file" to the ZIP archive.

Paramètres
array | $file | File data array to add
array | $contents | An array of existing zipped files.
array | $ctrldir | An array of central directory information.
Renvoie
void
Depuis
1.0

Références Zip\$ctrlDirHeader, Zip\$data, $file, Zip\$fileHeader, $name, null, et Zip\unix2DosTime().

Référencé par Zip\create().

◆ checkZipData()

checkZipData ( $data )

Checks to see if the data is a valid ZIP file.

Paramètres
string $data ZIP archive data buffer.
Renvoie
boolean True if valid, false if invalid.
Depuis
1.0

Références Zip\$data.

◆ create()

create | ( | $archive,
 |  | $files
 | ) |

Create a ZIP compressed file from an array of file data.

Paramètres
string | $archive | Path to save archive.
array | $files | Array of files to add to archive.
Renvoie
boolean True if successful.
Depuis
1.0

Références $file, $files, Zip\addToZipFile(), et Zip\createZipFile().

◆ createZipFile()

createZipFile | ( | array | $contents,
 |  | array | $ctrlDir,
 |  |  | $path
 | ) |  |
private

Creates the ZIP file.

Official ZIP file format: http://www.pkware.com/appnote.txt

Paramètres
array | $contents | An array of existing zipped files.
array | $ctrlDir | An array of central directory information.
string | $path | The path to store the archive.
Renvoie
boolean True if successful
Depuis
1.0

Références $buffer, Zip\$data, $path, et File\write().

Référencé par Zip\create().

◆ extract()

extract | ( | $archive,
 |  | $destination
 | ) |

Extract a ZIP compressed file to a given path

Paramètres
string | $archive | Path to ZIP archive to extract
string | $destination | Path to extract archive into
Renvoie
boolean True if successful
Depuis
1.0
Exceptions

Implémente ExtractableInterface.

Références Zip\extractCustom(), et Zip\extractNative().

◆ extractCustom()

extractCustom | ( | $archive,
 |  | $destination
 | ) |
protected

Extract a ZIP compressed file to a given path using a php based algorithm that only requires zlib support

Paramètres
string | $archive | Path to ZIP archive to extract.
string | $destination | Path to extract archive into.
Renvoie
boolean True if successful
Depuis
1.0
Exceptions

Références $buffer, $i, Zip\$metadata, $path, Path\clean(), Folder\create(), Zip\getFileData(), Zip\isBelow(), null, Zip\readZipInfo(), et File\write().

Référencé par Zip\extract().

◆ extractNative()

extractNative | ( | $archive,
 |  | $destination
 | ) |
protected

Extract a ZIP compressed file to a given path using native php api calls for speed

Paramètres
string | $archive | Path to ZIP archive to extract
string | $destination | Path to extract archive into
Renvoie
boolean True on success
Exceptions

Références $buffer, $file, Folder\create(), Zip\isBelow(), et File\write().

Référencé par Zip\extract().

◆ getFileData()

getFileData ( $key )
private

Returns the file data for a file by offset in the ZIP archive

Paramètres
integer $key The position of the file in the archive.
Renvoie
string Uncompressed file data buffer.
Depuis
1.0

Références $key.

Référencé par Zip\extractCustom().

◆ hasNativeSupport()

static hasNativeSupport ( )
static

Method to determine if the server has native zip support for faster handling

Renvoie
boolean True if php has native ZIP support
Depuis
1.0

◆ isBelow()

isBelow | ( | $destination,
 |  | $path
 | ) |
private

Check if a path is below a given destination path

Paramètres
string | $destination | Root path
string | $path | Path to check
Renvoie
boolean
Depuis
1.1.10

Références $path, Path\clean(), et Path\resolve().

Référencé par Zip\extractCustom(), et Zip\extractNative().

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
1.0

Implémente ExtractableInterface.

◆ readZipInfo()

readZipInfo ( $data )
private

Get the list of files/data from a ZIP archive buffer.

KEY: Position in zipfile
VALUES: 'attr'  --  File attributes
        'crc'   --  CRC checksum
        'csize' --  Compressed file size
        'date'  --  File modification time
        'name'  --  Filename
        'method'--  Compression method
        'size'  --  Original file size
        'type'  --  File type
Paramètres
string $data The ZIP archive buffer.
Renvoie
boolean True on success
Depuis
1.0
Exceptions

Références Zip\$data, $info, $name, $offset, et null.

Référencé par Zip\extractCustom().

◆ unix2DosTime()

unix2DosTime ( $unixtime = null )
protected

Converts a UNIX timestamp to a 4-byte DOS date and time format (date in high 2-bytes, time in low 2-bytes allowing magnitude comparison).

Paramètres
integer $unixtime The current UNIX timestamp.
Renvoie
integer The current date in a 4-byte DOS format.
Depuis
1.0

Références null.

Référencé par Zip\addToZipFile().

Documentation des champs

◆ $ctrlDirEnd

$ctrlDirEnd = "\x50\x4b\x05\x06\x00\x00\x00\x00"
private

◆ $ctrlDirHeader

$ctrlDirHeader = "\x50\x4b\x01\x02"
private

Référencé par Zip\addToZipFile().

◆ $data

$data
private

Référencé par Zip\addToZipFile(), Zip\checkZipData(), Zip\createZipFile(), et Zip\readZipInfo().

◆ $fileHeader

$fileHeader = "\x50\x4b\x03\x04"
private

Référencé par Zip\addToZipFile().

◆ $metadata

$metadata
private

Référencé par Zip\extractCustom().

◆ $methods

$methods
private
Valeur initiale :
= array(
0x0 => 'None',
0x1 => 'Shrunk',
0x2 => 'Super Fast',
0x3 => 'Fast',
0x4 => 'Normal',
0x5 => 'Maximum',
0x6 => 'Imploded',
0x8 => 'Deflated',
)

◆ $options

$options = array()
protected

Référencé par Zip\__construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Zip.php


Joomla CMS: Référence de la classe NotAllowed

  • Joomla
  • CMS
  • Access
  • Exception
  • NotAllowed
Référence de la classe NotAllowed
+ Graphe d'héritage de NotAllowed:

Description détaillée

Exception class defining a not allowed access

Depuis
3.6.3
La documentation de cette classe a été générée à partir du fichier suivant :
  • NotAllowed.php


Joomla CMS: Référence de la classe Access

  • Joomla
  • CMS
  • Access
  • Wrapper
  • Access
Fonctions membres publiques
Référence de la classe Access

Fonctions membres publiques

clearStatics ()
check ($userId, $action, $asset=null)
checkGroup ($groupId, $action, $asset=null)
getAssetRules ($asset, $recursive=false)
getGroupsByUser ($userId, $recursive=true)
getUsersByGroup ($groupId, $recursive=false)
getAuthorisedViewLevels ($userId)
getActions ($component, $section='component')
getActionsFromFile ($file, $xpath='/access/section[@name=\ 'component\']/')
getActionsFromData ($data, $xpath='/access/section[@name=\ 'component\']/')

Description détaillée

Wrapper class for Access

Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly

Documentation des fonctions membres

◆ check()

check | ( | $userId,
 |  | $action,
 |  | $asset = null
 | ) |

Helper wrapper method for check

Paramètres
integer | $userId | Id of the user for which to check authorisation.
string | $action | The name of the action to authorise.
mixed | $asset | Integer asset id or the name of the asset as a string. Defaults to the global asset node.
Renvoie
boolean True if authorised.
Voir également
StaticAccess::check()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly

Références $action, $asset, et $userId.

◆ checkGroup()

checkGroup | ( | $groupId,
 |  | $action,
 |  | $asset = null
 | ) |

Helper wrapper method for checkGroup

Paramètres
integer | $groupId | The path to the group for which to check authorisation.
string | $action | The name of the action to authorise.
mixed | $asset | Integer asset id or the name of the asset as a string. Defaults to the global asset node.
Renvoie
boolean True if authorised.
Voir également
StaticAccess::checkGroup()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly

Références $action, et $asset.

◆ clearStatics()

clearStatics ( )

Helper wrapper method for addUserToGroup

Renvoie
void
Voir également
StaticAccess::clearStatics
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly

◆ getActions()

getActions | ( | $component,
 |  | $section = 'component'
 | ) |

Helper wrapper method for getActions

Paramètres
string | $component | The component from which to retrieve the actions.
string | $section | The name of the section within the component from which to retrieve the actions.
Renvoie
array List of actions available for the given component and section.
Voir également
StaticAccess::getActions()
Depuis
3.4
Obsolète:
4.0 Use StaticAccess::getActionsFromFile or StaticAccess::getActionsFromData instead.

Références $component, et $section.

◆ getActionsFromData()

getActionsFromData | ( | $data,
 |  | $xpath = '/access/section[@name=\'component\']/'
 | ) |

Helper wrapper method for getActionsFromData

Paramètres
string | \SimpleXMLElement | $data | The XML string or an XML element.
string | $xpath | An optional xpath to search for the fields.
Renvoie
boolean|array False if case of error or the list of actions available.
Voir également
StaticAccess::getActionsFromData()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly

Références $data.

◆ getActionsFromFile()

getActionsFromFile | ( | $file,
 |  | $xpath = '/access/section[@name=\'component\']/'
 | ) |

Helper wrapper method for getActionsFromFile

Paramètres
string | $file | The path to the XML file.
string | $xpath | An optional xpath to search for the fields.
Renvoie
boolean|array False if case of error or the list of actions available.
Voir également
StaticAccess::getActionsFromFile()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly

Références $file.

◆ getAssetRules()

getAssetRules | ( | $asset,
 |  | $recursive = false
 | ) |

Helper wrapper method for getAssetRules

Paramètres
mixed | $asset | Integer asset id or the name of the asset as a string.
boolean | $recursive | True to return the rules object with inherited rules.
Renvoie
AccessRules AccessRules object for the asset.
Voir également
StaticAccess::getAssetRules
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly

Références $asset.

◆ getAuthorisedViewLevels()

getAuthorisedViewLevels ( $userId )

Helper wrapper method for getAuthorisedViewLevels

Paramètres
integer $userId Id of the user for which to get the list of authorised view levels.
Renvoie
array List of view levels for which the user is authorised.
Voir également
StaticAccess::getAuthorisedViewLevels()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly

Références $userId.

◆ getGroupsByUser()

getGroupsByUser | ( | $userId,
 |  | $recursive = true
 | ) |

Helper wrapper method for getGroupsByUser

Paramètres
integer | $userId | Id of the user for which to get the list of groups.
boolean | $recursive | True to include inherited user groups.
Renvoie
array List of user group ids to which the user is mapped.
Voir également
StaticAccess::getGroupsByUser()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly

Références $userId.

◆ getUsersByGroup()

getUsersByGroup | ( | $groupId,
 |  | $recursive = false
 | ) |

Helper wrapper method for getUsersByGroup

Paramètres
integer | $groupId | The group Id
boolean | $recursive | Recursively include all child groups (optional)
Renvoie
array
Voir également
StaticAccess::getUsersByGroup()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Access\Access directly
La documentation de cette classe a été générée à partir du fichier suivant :
  • Wrapper/Access.php


Joomla CMS: Référence de la classe Access

  • Joomla
  • CMS
  • Access
  • Access
Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe Access

Fonctions membres publiques statiques

static | clearStatics ()
static | check ($userId, $action, $assetKey=null, $preload=true)
static | preload ($assetTypes='components', $reload=false)
static | checkGroup ($groupId, $action, $assetKey=null, $preload=true)
static | getAssetRules ($assetKey, $recursive=false, $recursiveParentAsset=true, $preload=true)
static | getExtensionNameFromAsset ($assetKey)
static | getAssetType ($assetKey)
static | getGroupTitle ($groupId)
static | getGroupsByUser ($userId, $recursive=true)
static | getUsersByGroup ($groupId, $recursive=false)
static | getAuthorisedViewLevels ($userId)
static | getActions ($component, $section='component')
static | getActionsFromFile ($file, $xpath="/access/section[@name='component']/")
static | getActionsFromData ($data, $xpath="/access/section[@name='component']/")

Fonctions membres protégées statiques

static | getAssetAncestors ($assetType, $assetId)
static & | preloadPermissionsParentIdMapping ($assetType)
static | preloadPermissions ($assetType, $reload=false)
static | preloadComponents ()
static | getGroupPath ($groupId)
static | cleanAssetKey ($assetKey=null)
static | getAssetId ($assetKey)
static | getAssetName ($assetKey)

Attributs protégés statiques

static | $viewLevels = array()
static | $assetRules = array()
static | $assetRulesIdentities = array()
static | $assetPermissionsById = array()
static | $assetPermissionsByName = array()
static | $assetPermissionsParentIdMapping = array()
static | $preloadedAssetTypes = array()
static | $identities = array()
static | $userGroups = array()
static | $userGroupPaths = array()
static | $groupsByUser = array()
static | $preloadedAssets = array()
static | $rootAssetId = null

Description détaillée

Class that handles all access authorisation routines.

Depuis
1.7.0

Documentation des fonctions membres

◆ check()

static check | ( | $userId,
 |  | $action,
 |  | $assetKey = null,
 |  | $preload = true
 | ) |
static

Method to check if a user is authorised to perform an action, optionally on an asset.

Paramètres
integer | $userId | Id of the user for which to check authorisation.
string | $action | The name of the action to authorise.
integer | string | $assetKey | The asset key (asset id or asset name). null fallback to root asset.
boolean | $preload | Indicates whether preloading should be used.
Renvoie
boolean|null True if allowed, false for an explicit deny, null for an implicit deny.
Depuis
1.7.0

Références $action, et $userId.

Référencé par User\authorise(), et User\save().

◆ checkGroup()

static checkGroup | ( | $groupId,
 |  | $action,
 |  | $assetKey = null,
 |  | $preload = true
 | ) |
static

Method to check if a group is authorised to perform an action, optionally on an asset.

Paramètres
integer | $groupId | The path to the group for which to check authorisation.
string | $action | The name of the action to authorise.
integer | string | $assetKey | The asset key (asset id or asset name). null fallback to root asset.
boolean | $preload | Indicates whether preloading should be used.
Renvoie
boolean True if authorised.
Depuis
1.7.0

Références $action.

Référencé par UserHelper\checkSuperUserInUsers(), UsergrouplistField\getOptions(), et User\save().

◆ cleanAssetKey()

static cleanAssetKey ( $assetKey = null )
staticprotected

Method to clean the asset key to make sure we always have something.

Paramètres
integer | string $assetKey The asset key (asset id or asset name). null fallback to root asset.
Renvoie
integer|string Asset id or asset name.
Depuis
3.7.0

Références null.

◆ clearStatics()

static clearStatics ( )
static

Method for clearing static caches.

Renvoie
void
Depuis
1.7.3

Références null.

Référencé par User\clearAccessRights().

◆ getActions()

static getActions | ( | $component,
 |  | $section = 'component'
 | ) |
static

Method to return a list of actions for which permissions can be set given a component and section.

Paramètres
string | $component | The component from which to retrieve the actions.
string | $section | The name of the section within the component from which to retrieve the actions.
Renvoie
array List of actions available for the given component and section.
Depuis
1.7.0
Obsolète:
4.0 Use Access::getActionsFromFile or Access::getActionsFromData instead.

Références $component, $section, et JPATH_ADMINISTRATOR.

Référencé par RulesRule\getFieldActions().

◆ getActionsFromData()

static getActionsFromData | ( | $data,
 |  | $xpath = "/access/section[@name='component']/"
 | ) |
static

Method to return a list of actions from a string or from an xml for which permissions can be set.

Paramètres
string | \SimpleXMLElement | $data | The XML string or an XML element.
string | $xpath | An optional xpath to search for the fields.
Renvoie
boolean|array False if case of error or the list of actions available.
Depuis
3.0.0

Références $action, et $data.

◆ getActionsFromFile()

static getActionsFromFile | ( | $file,
 |  | $xpath = "/access/section[@name='component']/"
 | ) |
static

Method to return a list of actions from a file for which permissions can be set.

Paramètres
string | $file | The path to the XML file.
string | $xpath | An optional xpath to search for the fields.
Renvoie
boolean|array False if case of error or the list of actions available.
Depuis
3.0.0

Références $file.

Référencé par ContentHelper\_getActions(), et ContentHelper\getActions().

◆ getAssetAncestors()

static getAssetAncestors | ( | $assetType,
 |  | $assetId
 | ) |
staticprotected

Method to recursively retrieve the list of parent Asset IDs for a particular Asset.

Paramètres
string | $assetType | The asset type, or the asset name, or the extension of the asset (e.g. 'com_content.article', 'com_menus.menu.2', 'com_contact').
integer | $assetId | The numeric asset id.
Renvoie
array List of ancestor ids (includes original $assetId).
Depuis
1.6

Références $assetId, et $id.

◆ getAssetId()

static getAssetId ( $assetKey )
staticprotected

Method to get the asset id from the asset key.

Paramètres
integer | string $assetKey The asset key (asset id or asset name).
Renvoie
integer The asset id.
Depuis
3.7.0

Références null.

◆ getAssetName()

static getAssetName ( $assetKey )
staticprotected

Method to get the asset name from the asset key.

Paramètres
integer | string $assetKey The asset key (asset id or asset name).
Renvoie
string The asset name (ex: com_content.article.8).
Depuis
3.7.0

Références elseif, et null.

◆ getAssetRules()

static getAssetRules | ( | $assetKey,
 |  | $recursive = false,
 |  | $recursiveParentAsset = true,
 |  | $preload = true
 | ) |
static

Method to return the Rules object for an asset. The returned object can optionally hold only the rules explicitly set for the asset or the summation of all inherited rules from parent assets and explicit rules.

Paramètres
integer | string | $assetKey | The asset key (asset id or asset name). null fallback to root asset.
boolean | $recursive | True to return the rules object with inherited rules.
boolean | $recursiveParentAsset | True to calculate the rule also based on inherited component/extension rules.
boolean | $preload | Indicates whether preloading should be used.
Renvoie
Rules Rules object for the asset.
Depuis
1.7.0
Note
The non preloading code will be removed in 4.0. All asset rules should use asset preloading.

Hashing the collected rules allows us to store only one instance of the Rules object for Assets that have the same exact permissions... it's a great way to save some memory.

Références $asset, $assetId, $db, $hash, $id, $query, JDEBUG, Rules\mergeCollection(), name, et null.

Référencé par User\authorise(), et Content\getDefaultAssetValues().

◆ getAssetType()

static getAssetType ( $assetKey )
static

Method to get the asset type from the asset name.

For top level components this returns "components": 'com_content' returns 'components'

For other types: 'com_content.article.1' returns 'com_content.article' 'com_content.category.1' returns 'com_content.category'

Paramètres
integer | string $assetKey The asset key (asset id or asset name).
Renvoie
string The asset type (ex: com_content.article).
Depuis
1.6

◆ getAuthorisedViewLevels()

static getAuthorisedViewLevels ( $userId )
static

Method to return a list of view levels for which the user is authorised.

Paramètres
integer $userId Id of the user for which to get the list of authorised view levels.
Renvoie
array List of view levels for which the user is authorised.
Depuis
1.7.0

Références $authorised, $db, $groups, $id, $query, $user, $userId, et elseif.

Référencé par User\getAuthorisedViewLevels().

◆ getExtensionNameFromAsset()

static getExtensionNameFromAsset ( $assetKey )
static

Method to get the extension name from the asset name.

Paramètres
integer | string $assetKey The asset key (asset id or asset name).
Renvoie
string The extension name (ex: com_content).
Depuis
1.6

◆ getGroupPath()

static getGroupPath ( $groupId )
staticprotected

Gets the parent groups that a leaf group belongs to in its branch back to the root of the tree (including the leaf group id).

Paramètres
mixed $groupId An integer or array of integers representing the identities to check.
Renvoie
mixed True if allowed, false for an explicit deny, null for an implicit deny.
Depuis
1.7.0

Références $groups.

◆ getGroupsByUser()

static getGroupsByUser | ( | $userId,
 |  | $recursive = true
 | ) |
static

Method to return a list of user groups mapped to a user. The returned list can optionally hold only the groups explicitly mapped to the user or all groups both explicitly mapped and inherited by the user.

Paramètres
integer | $userId | Id of the user for which to get the list of groups.
boolean | $recursive | True to include inherited user groups.
Renvoie
array List of user group ids to which the user is mapped.
Depuis
1.7.0

Références $db, $query, $userId, et ArrayHelper\toInteger().

Référencé par ComponentHelper\filterText(), et User\getAuthorisedGroups().

◆ getGroupTitle()

static getGroupTitle ( $groupId )
static

Method to return the title of a user group

Paramètres
integer $groupId Id of the group for which to get the title of.
Renvoie
string The title of the group
Depuis
3.5

Références $db, et $query.

◆ getUsersByGroup()

static getUsersByGroup | ( | $groupId,
 |  | $recursive = false
 | ) |
static

Method to return a list of user Ids contained in a Group

Paramètres
integer | $groupId | The group Id
boolean | $recursive | Recursively include all child groups (optional)
Renvoie
array
Depuis
1.7.0

Références $db, $query, et ArrayHelper\toInteger().

◆ preload()

static preload | ( | $assetTypes = 'components',
 |  | $reload = false
 | ) |
static

Method to preload the Rules object for the given asset type.

Paramètres
integer | string | array | $assetTypes | The type or name of the asset (e.g. 'com_content.article', 'com_menus.menu.2'). Also accepts the asset id. An array of asset type or a special 'components' string to load all component assets.
boolean | $reload | Set to true to reload from database.
Renvoie
boolean True on success.
Depuis
1.6
Note
This method will return void in 4.0.

◆ preloadComponents()

static preloadComponents ( )
staticprotected

Method to preload the Rules objects for all components.

Note: This will only get the base permissions for the component. e.g. it will get 'com_content', but not 'com_content.article.1' or any more specific asset type rules.

Renvoie
array Array of component names that were preloaded.
Depuis
1.6

Références $asset, $component, $db, $query, JDEBUG, et null.

◆ preloadPermissions()

static preloadPermissions | ( | $assetType,
 |  | $reload = false
 | ) |
staticprotected

Method to retrieve the Asset Rule strings for this particular Asset Type and stores them for later usage in getAssetRules(). Stores 2 arrays: one where the list has the Asset ID as the key and a second one where the Asset Name is the key.

Paramètres
string | $assetType | The asset type, or the asset name, or the extension of the asset (e.g. 'com_content.article', 'com_menus.menu.2', 'com_contact').
boolean | $reload | Reload the preloaded assets.
Renvoie
boolean True
Depuis
1.6
Note
This function will return void in 4.0.

Références $asset, $db, $query, et JDEBUG.

◆ preloadPermissionsParentIdMapping()

static& preloadPermissionsParentIdMapping ( $assetType )
staticprotected

Method to retrieve the list of Asset IDs and their Parent Asset IDs and store them for later usage in getAssetRules().

Paramètres
string $assetType The asset type, or the asset name, or the extension of the asset (e.g. 'com_content.article', 'com_menus.menu.2', 'com_contact').
Renvoie
array List of asset ids (includes parent asset id information).
Depuis
1.6
Obsolète:
3.7.0 No replacement. Will be removed in 4.0.

Références $db, et $query.

Documentation des champs

◆ $assetPermissionsById

$assetPermissionsById = array()
staticprotected

◆ $assetPermissionsByName

$assetPermissionsByName = array()
staticprotected

◆ $assetPermissionsParentIdMapping

$assetPermissionsParentIdMapping = array()
staticprotected

◆ $assetRules

$assetRules = array()
staticprotected

Référencé par JFormFieldRules\getInput(), FOFFormFieldRules\getInput25(), et FOFFormFieldRules\getInput3x().

◆ $assetRulesIdentities

$assetRulesIdentities = array()
staticprotected

◆ $groupsByUser

$groupsByUser = array()
staticprotected

◆ $identities

$identities = array()
staticprotected

Référencé par Rule\__construct(), Rules\__construct(), Rule\allow(), Rules\merge(), Rules\mergeAction(), et Rule\mergeIdentities().

◆ $preloadedAssets

$preloadedAssets = array()
staticprotected

◆ $preloadedAssetTypes

$preloadedAssetTypes = array()
staticprotected

◆ $rootAssetId

$rootAssetId = null
staticprotected

◆ $userGroupPaths

$userGroupPaths = array()
staticprotected

◆ $userGroups

$userGroups = array()
staticprotected

◆ $viewLevels

$viewLevels = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Access.php


Joomla CMS: Référence de la classe Rule

  • Joomla
  • CMS
  • Access
  • Rule
Fonctions membres publiques | Attributs protégés
Référence de la classe Rule

Fonctions membres publiques

__construct ($identities)
getData ()
mergeIdentities ($identities)
mergeIdentity ($identity, $allow)
allow ($identities)
__toString ()

Attributs protégés

$data = array()

Description détaillée

Rule class.

Depuis
2.5.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $identities )

Constructor.

The input array must be in the form: array(-42 => true, 3 => true, 4 => false) or an equivalent JSON encoded string.

Paramètres
mixed $identities A JSON format string (probably from the database) or a named array.
Depuis
1.7.0

Références Access\$identities.

Documentation des fonctions membres

◆ __toString()

__toString ( )

Convert this object into a JSON encoded string.

Renvoie
string JSON encoded string
Depuis
1.7.0

Références json_encode.

◆ allow()

allow ( $identities )

Checks that this action can be performed by an identity.

The identity is an integer where +ve represents a user group, and -ve represents a user.

Paramètres
mixed $identities An integer or array of integers representing the identities to check.
Renvoie
mixed True if allowed, false for an explicit deny, null for an implicit deny.
Depuis
1.7.0

Références Access\$identities, et null.

◆ getData()

getData ( )

Get the data for the action.

Renvoie
array A named array
Depuis
1.7.0

Références $data.

◆ mergeIdentities()

mergeIdentities ( $identities )

Merges the identities

Paramètres
mixed $identities An integer or array of integers representing the identities to check.
Renvoie
void
Depuis
1.7.0

Références Access\$identities.

◆ mergeIdentity()

mergeIdentity | ( | $identity,
 |  | $allow
 | ) |

Merges the values for an identity.

Paramètres
integer | $identity | The identity.
boolean | $allow | The value for the identity (true == allow, false == deny).
Renvoie
void
Depuis
1.7.0

Documentation des champs

◆ $data

$data = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Rule.php


Joomla CMS: Référence de la classe Rules

  • Joomla
  • CMS
  • Access
  • Rules
Fonctions membres publiques | Attributs protégés
Référence de la classe Rules

Fonctions membres publiques

__construct ($input='')
getData ()
mergeCollection ($input)
merge ($actions)
mergeAction ($action, $identities)
allow ($action, $identity)
getAllowed ($identity)
__toString ()

Attributs protégés

$data = array()

Description détaillée

Access rules class.

Depuis
2.5.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $input = '' )

Constructor.

The input array must be in the form: array('action' => array(-42 => true, 3 => true, 4 => false)) or an equivalent JSON encoded string, or an object where properties are arrays.

Paramètres
mixed $input A JSON format string (probably from the database) or a nested array.
Depuis
1.7.0

Références $action, Access\$identities, $input, et elseif.

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic method to convert the object to JSON string representation.

Renvoie
string JSON representation of the actions array
Depuis
1.7.0

Références $data, $name, et json_encode.

◆ allow()

allow | ( | $action,
 |  | $identity
 | ) |

Checks that an action can be performed by an identity.

The identity is an integer where +ve represents a user group, and -ve represents a user.

Paramètres
string | $action | The name of the action.
mixed | $identity | An integer representing the identity, or an array of identities
Renvoie
mixed Object or null if there is no information about the action.
Depuis
1.7.0

Références $action.

◆ getAllowed()

getAllowed ( $identity )

Get the allowed actions for an identity.

Paramètres
mixed $identity An integer representing the identity or an array of identities
Renvoie
Allowed actions for the identity or identities
Depuis
1.7.0

Références $action, et $name.

◆ getData()

getData ( )

Get the data for the action.

Renvoie
array A named array of Rule objects.
Depuis
1.7.0

Références $data.

◆ merge()

merge ( $actions )

Method to merge actions with this object.

Paramètres
mixed $actions Rule object, an array of actions or a JSON string array of actions.
Renvoie
void
Depuis
1.7.0

Références $action, $data, Access\$identities, $name, et elseif.

◆ mergeAction()

mergeAction | ( | $action,
 |  | $identities
 | ) |

Merges an array of identities for an action.

Paramètres
string | $action | The name of the action.
array | $identities | An array of identities
Renvoie
void
Depuis
1.7.0

Références $action, et Access\$identities.

◆ mergeCollection()

mergeCollection ( $input )

Method to merge a collection of Rules.

Paramètres
mixed $input Rule or array of Rules
Renvoie
void
Depuis
1.7.0

Références $input.

Référencé par Access\getAssetRules().

Documentation des champs

◆ $data

$data = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Rules.php


Joomla CMS: Référence de la classe Adapter

  • Joomla
  • CMS
  • Adapter
  • Adapter
Fonctions membres publiques | Attributs protégés
Référence de la classe Adapter
+ Graphe d'héritage de Adapter:
CMSObject

Fonctions membres publiques

__construct ($basepath, $classprefix=null, $adapterfolder=null)
getDbo ()
getAdapter ($name, $options=array())
setAdapter ($name, &$adapter=null, $options=array())
loadAllAdapters ($options=array())
- Fonctions membres publiques hérités de CMSObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Attributs protégés

$_adapters = array()
$_adapterfolder = 'adapters'
$_classprefix = 'J'
$_basepath = null
$_db
- Attributs protégés hérités de CMSObject
$_errors = array()

Description détaillée

Adapter Class Retains common adapter pattern functions Class harvested from joomla.installer.installer

Depuis
1.6
Obsolète:
5.0 Will be removed without replacement

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $basepath,
 |  | $classprefix = null,
 |  | $adapterfolder = null
 | ) |

Constructor

Paramètres
string | $basepath | Base Path of the adapters
string | $classprefix | Class prefix of adapters
string | $adapterfolder | Name of folder to append to base path
Depuis
1.6

Documentation des fonctions membres

◆ getAdapter()

getAdapter | ( | $name,
 |  | $options = array()
 | ) |

Return an adapter.

Paramètres
string | $name | Name of adapter to return
array | $options | Adapter options
Renvoie
static|boolean Adapter of type 'name' or false
Depuis
1.6

Références $name, et $options.

◆ getDbo()

getDbo ( )

Get the database connector object

Renvoie
Database connector object
Depuis
1.6

◆ loadAllAdapters()

loadAllAdapters ( $options = array() )

Loads all adapters.

Paramètres
array $options Adapter options
Renvoie
void
Depuis
1.6

Références $class, $file, $files, $name, et $options.

◆ setAdapter()

setAdapter | ( |  | $name,
 |  | & | $adapter = null,
 |  |  | $options = array()
 | ) |  |

Set an adapter by name

Paramètres
string | $name | Adapter name
object | &$adapter | Adapter object
array | $options | Adapter options
Renvoie
boolean True if successful
Depuis
1.6

Références $class, $name, $options, et JLoader\register().

Documentation des champs

◆ $_adapterfolder

$_adapterfolder = 'adapters'
protected

◆ $_adapters

$_adapters = array()
protected

◆ $_basepath

$_basepath = null
protected

◆ $_classprefix

$_classprefix = 'J'
protected

◆ $_db

$_db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Adapter.php


Joomla CMS: Référence de la classe AdapterInstance

  • Joomla
  • CMS
  • Adapter
  • AdapterInstance
Fonctions membres publiques | Attributs protégés
Référence de la classe AdapterInstance
+ Graphe d'héritage de AdapterInstance:
CMSObject

Fonctions membres publiques

__construct (Adapter $parent, \JDatabaseDriver $db, array $options=array())
getParent ()
- Fonctions membres publiques hérités de CMSObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Attributs protégés

$parent = null
$db = null
- Attributs protégés hérités de CMSObject
$_errors = array()

Description détaillée

Adapter Instance Class

Depuis
1.6
Obsolète:
5.0 Will be removed without replacement

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Adapter | $parent,
 |  | \JDatabaseDriver | $db,
 |  | array | $options = array()
 | ) |  |

Constructor

Paramètres
Adapter | $parent | Parent object
\JDatabaseDriver | $db | Database object
array | $options | Configuration Options
Depuis
1.6

Références $db, $options, et parent.

Documentation des fonctions membres

◆ getParent()

getParent ( )

Retrieves the parent object

Renvoie
Adapter
Depuis
1.6

Documentation des champs

◆ $db

$db = null
protected

◆ $parent

$parent = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AdapterInstance.php


Joomla CMS: Référence de la classe AdministratorApplication

  • Joomla
  • CMS
  • Application
  • AdministratorApplication
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées
Référence de la classe AdministratorApplication
+ Graphe d'héritage de AdministratorApplication:
CMSApplication WebApplication BaseApplication AbstractApplication LoggerAwareInterface

Fonctions membres publiques

__construct (Input $input=null, Registry $config=null, \JApplicationWebClient $client=null)
dispatch ($component=null)
getTemplate ($params=false)
login ($credentials, $options=array())
- Fonctions membres publiques hérités de CMSApplication
__construct (Input $input=null, Registry $config=null, \JApplicationWebClient $client=null)
checkSession ()
enqueueMessage ($msg, $type='message')
execute ()
getCfg ($varname, $default=null)
getClientId ()
getMenu ($name=null, $options=array())
getMessageQueue ($clear=false)
getName ()
getPathway ($name=null, $options=array())
getTemplate ($params=false)
getUserState ($key, $default=null)
getUserStateFromRequest ($key, $request, $default=null, $type='none')
isAdmin ()
isSite ()
isHttpsForced ($clientId=null)
isClient ($identifier)
loadSession (\JSession $session=null)
login ($credentials, $options=array())
logout ($userid=null, $options=array())
redirect ($url, $status=303)
setUserState ($key, $value)
toString ($compress=false)
- Fonctions membres publiques hérités de WebApplication
__construct (Input $input=null, Registry $config=null, \JApplicationWebClient $client=null)
initialise ($session=null, $document=null, $language=null, $dispatcher=null)
execute ()
redirect ($url, $status=303)
loadConfiguration ($data)
allowCache ($allow=null)
setHeader ($name, $value, $replace=false)
getHeaders ()
clearHeaders ()
sendHeaders ()
setBody ($content)
prependBody ($content)
appendBody ($content)
getBody ($asArray=false)
getDocument ()
getLanguage ()
getSession ()
flushAssets ()
isSSLConnection ()
loadDocument (\JDocument $document=null)
loadLanguage (\JLanguage $language=null)
loadSession (\JSession $session=null)
afterSessionStart ()
- Fonctions membres publiques hérités de BaseApplication
__construct (Input $input=null, Registry $config=null)
getIdentity ()
registerEvent ($event, $handler)
triggerEvent ($event, array $args=null)
loadDispatcher (\JEventDispatcher $dispatcher=null)
loadIdentity (\JUser $identity=null)
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres publiques statiques

static | getRouter ($name='administrator', array $options=array())
static | purgeMessages ()
- Fonctions membres publiques statiques hérités de CMSApplication
static | getInstance ($name=null)
static | getRouter ($name=null, array $options=array())
- Fonctions membres publiques statiques hérités de WebApplication
static | getInstance ($name=null)

Fonctions membres protégées

doExecute ()
initialiseApp ($options=array())
render ()
route ()
- Fonctions membres protégées hérités de CMSApplication
checkUserRequireReset ($option, $view, $layout, $tasks)
initialiseApp ($options=array())
loadLibraryLanguage ()
render ()
route ()
- Fonctions membres protégées hérités de WebApplication
render ()
compress ()
respond ()
isRedirectState ($state)
getHttpStatusValue ($value)
checkConnectionAlive ()
checkHeadersSent ()
detectRequestUri ()
fetchConfigurationData ($file='', $class='\JConfig')
header ($string, $replace=true, $code=null)
loadSystemUris ($requestUri=null)
- Fonctions membres protégées hérités de BaseApplication
doExecute ()
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Membres hérités additionnels

- Champs de données hérités de CMSApplication
$scope = null
- Champs de données hérités de WebApplication
$charSet = 'utf-8'
$mimeType = 'text/html'
$modifiedDate
$client
- Champs de données hérités de AbstractApplication
$input
- Attributs protégés hérités de CMSApplication
$docOptions = array()
$_clientId = null
$_messageQueue = array()
$_name = null
$profiler = null
$template = null
- Attributs protégés hérités de WebApplication
$document
$language
$session
$response
- Attributs protégés hérités de BaseApplication
$dispatcher
$identity
- Attributs protégés hérités de AbstractApplication
$config
- Attributs protégés statiques hérités de CMSApplication
static | $instances = array()
- Attributs protégés statiques hérités de WebApplication
static | $instance

Description détaillée

Joomla! Administrator Application class

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Input | $input = null,
 |  | Registry | $config = null,
 |  | \JApplicationWebClient | $client = null
 | ) |  |

Class constructor.

Paramètres
Input | $input | An optional argument to provide dependency injection for the application's input object. If the argument is a object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
\JApplicationWebClient | $client | An optional argument to provide dependency injection for the application's client object. If the argument is a object that object will become the application's client object, otherwise a default client object is created.
Depuis
3.2

Références $client, $config, $input, et null.

Documentation des fonctions membres

◆ dispatch()

dispatch ( $component = null )

Dispatch the application

Paramètres
string $component The component which is being rendered.
Renvoie
void
Depuis
3.2

Références $component, $document, $template, JAdministratorHelper\findOption(), getDocument, et null.

◆ doExecute()

doExecute ( )
protected

Method to run the Web application routines.

Renvoie
void
Depuis
3.2

Références $lang, $options, JDEBUG, et null.

◆ getRouter()

static getRouter | ( |  | $name = 'administrator',
 |  | array | $options = array()
 | ) |  |
static

Return a reference to the object.

Paramètres
string | $name | The name of the application.
array | $options | An optional associative array of configuration settings.
Renvoie
Depuis
3.2

Références $name, et $options.

◆ getTemplate()

getTemplate ( $params = false )

Gets the name of the current template.

Paramètres
boolean $params True to return the template parameters
Renvoie
string The name of the template.
Depuis
3.2
Exceptions

Références $db, $params, $query, $template, et JPATH_THEMES.

◆ initialiseApp()

initialiseApp ( $options = array() )
protected

Initialise the application.

Paramètres
array $options An optional associative array of configuration settings.
Renvoie
void
Depuis
3.2

Références $lang, $options, $params, $user, et ComponentHelper\getParams().

◆ login()

login | ( | $credentials,
 |  | $options = array()
 | ) |

Login authentication function

Paramètres
array | $credentials | Array('username' => string, 'password' => string)
array | $options | Array('remember' => boolean)
Renvoie
boolean True on success.
Depuis
3.2

Références $lang, et $options.

◆ purgeMessages()

static purgeMessages ( )
static

Purge the jos_messages table of old messages

Renvoie
void
Depuis
3.2

Références $config, $db, $query, et $user.

◆ render()

render ( )
protected

Rendering is the process of pushing the document buffers into the template placeholders, retrieving data from the document and pushing it into the application response buffer.

Renvoie
void
Depuis
3.2

Références $component, $file, $input, et elseif.

◆ route()

route ( )
protected

Route the application.

Routing is the process of examining the request environment to determine which component should receive the request. The component optional parameters are then set in the request object to be processed when the application is being dispatched.

Renvoie
void
Depuis
3.2

Références $uri.

La documentation de cette classe a été générée à partir du fichier suivant :
  • AdministratorApplication.php


Joomla CMS: Référence de la classe ApplicationHelper

  • Joomla
  • CMS
  • Application
  • ApplicationHelper
Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe ApplicationHelper

Fonctions membres publiques statiques

static | getComponentName ($default=null)
static | getHash ($seed)
static | stringURLSafe ($string, $language='')
static | getClientInfo ($id=null, $byName=false)
static | addClientInfo ($client)
static | parseXMLInstallFile ($path)
static | parseXMLLangMetaFile ($path)

Attributs protégés statiques

static $_clients = array()

Description détaillée

Application helper functions

Depuis
1.5

Documentation des fonctions membres

◆ addClientInfo()

static addClientInfo ( $client )
static

Adds information for a client.

Paramètres
mixed $client A client identifier either an array or object
Renvoie
boolean True if the information is added. False on error
Depuis
1.6

Références $client, et $info.

◆ getClientInfo()

static getClientInfo | ( | $id = null,
 |  | $byName = false
 | ) |
static

Gets information on a specific client id. This method will be useful in future versions when we start mapping applications in the database.

This method will return a client information array if called with no arguments which can be used to add custom application information.

Paramètres
integer | $id | A client identifier
boolean | $byName | If True, find the client by its name
Renvoie
mixed Object describing the client or false if not known
Depuis
1.5

Références $client, $id, JPATH_ADMINISTRATOR, JPATH_INSTALLATION, JPATH_SITE, et null.

Référencé par InstallerExtension\__construct(), PackageAdapter\_getExtensionId(), CollectionAdapter\_startElement(), Installer\copyManifest(), ModuleAdapter\discover(), TemplateAdapter\discover(), LanguageAdapter\discover_install(), ExtensionAdapter\findUpdate(), TemplatestyleField\getGroups(), Pathway\getInstance(), Router\getInstance(), LanguageAdapter\install(), Installer\parseFiles(), Installer\parseLanguages(), ModuleAdapter\prepareDiscoverInstall(), TemplateAdapter\prepareDiscoverInstall(), PluginAdapter\prepareDiscoverInstall(), ModuleAdapter\refreshManifestCache(), TemplateAdapter\refreshManifestCache(), PluginAdapter\refreshManifestCache(), LanguageAdapter\refreshManifestCache(), ComponentAdapter\refreshManifestCache(), Installer\removeFiles(), ModulepositionField\setup(), ModuleAdapter\setupInstallPaths(), TemplateAdapter\setupInstallPaths(), TemplateAdapter\uninstall(), PackageAdapter\uninstall(), LanguageAdapter\uninstall(), et LanguageAdapter\update().

◆ getComponentName()

static getComponentName ( $default = null )
static

Return the name of the request component [main component]

Paramètres
string $default The default option
Renvoie
string Option (e.g. com_something)
Depuis
1.6

Références $default, $input, et $option.

Référencé par FileLayout\setComponent().

◆ getHash()

static getHash ( $seed )
static

Provides a secure hash based on a seed

Paramètres
string $seed Seed string.
Renvoie
string A secure hash
Depuis
3.2

Référencé par CMSHelper\getCurrentLanguage(), ContentHelper\getCurrentLanguage(), et Session\getFormToken().

◆ parseXMLInstallFile()

static parseXMLInstallFile ( $path )
static

Parse a XML install manifest file.

XML Root tag should be 'install' except for languages which use meta file.

Paramètres
string $path Full path to XML file.
Renvoie
array XML metadata.
Depuis
1.5
Obsolète:
4.0 Use ::parseXMLInstallFile instead.

Références $path.

◆ parseXMLLangMetaFile()

static parseXMLLangMetaFile ( $path )
static

Parse a XML language meta file.

XML Root tag for languages which is meta file.

Paramètres
string $path Full path to XML file.
Renvoie
array XML metadata.
Depuis
1.5
Obsolète:
4.0 Use ::parseXMLInstallFile instead.

Références $data, et $path.

◆ stringURLSafe()

static stringURLSafe | ( | $string,
 |  | $language = ''
 | ) |
static

This method transliterates a string into a URL safe string or returns a URL safe UTF-8 string based on the global configuration

Paramètres
string | $string | String to process
string | $language | Language to transliterate to if unicode slugs are disabled
Renvoie
string Processed string
Depuis
3.2

Références $language, $output, et ComponentHelper\getParams().

Référencé par MenuType\check(), Category\check(), Content\check(), et Menu\store().

Documentation des champs

◆ $_clients

$_clients = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ApplicationHelper.php


Joomla CMS: Référence de la classe BaseApplication

  • Joomla
  • CMS
  • Application
  • BaseApplication
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe BaseApplication
+ Graphe d'héritage de BaseApplication:
AbstractApplication LoggerAwareInterface JApplication CliApplication WebApplication DaemonApplication CMSApplication AdministratorApplication SiteApplication

Fonctions membres publiques

__construct (Input $input=null, Registry $config=null)
getIdentity ()
registerEvent ($event, $handler)
triggerEvent ($event, array $args=null)
loadDispatcher (\JEventDispatcher $dispatcher=null)
loadIdentity (\JUser $identity=null)
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres protégées

doExecute ()
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Attributs protégés

$dispatcher
$identity
- Attributs protégés hérités de AbstractApplication
$config

Membres hérités additionnels

- Champs de données hérités de AbstractApplication
$input

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Input | $input = null,
 |  | Registry | $config = null
 | ) |  |

Class constructor.

Paramètres
Input | $input | An optional argument to provide dependency injection for the application's input object. If the argument is a object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
Depuis
3.0.0

Références $config, et $input.

Documentation des fonctions membres

◆ doExecute()

doExecute ( )
protected

Method to run the application routines. Most likely you will want to instantiate a controller and execute it, or perform some sort of task directly.

Renvoie
void
Depuis
3.4 (CMS)
Obsolète:
4.0 The default concrete implementation of doExecute() will be removed, subclasses will need to provide their own implementation.

◆ getIdentity()

getIdentity ( )

Get the application identity.

Renvoie
mixed A object or null.
Depuis
3.0.0

◆ loadDispatcher()

loadDispatcher ( \JEventDispatcher $dispatcher = null )

Allows the application to load a custom or default dispatcher.

The logic and options for creating this object are adequately generic for default cases but for many applications it will make sense to override this method and create event dispatchers, if required, based on more specific needs.

Paramètres
\JEventDispatcher $dispatcher An optional dispatcher object. If omitted, the factory dispatcher is created.
Renvoie
BaseApplication This method is chainable.
Depuis
3.0.0

Références $dispatcher, JEventDispatcher\getInstance(), et null.

◆ loadIdentity()

loadIdentity ( \JUser $identity = null )

Allows the application to load a custom or default identity.

The logic and options for creating this object are adequately generic for default cases but for many applications it will make sense to override this method and create an identity, if required, based on more specific needs.

Paramètres
\JUser $identity An optional identity object. If omitted, the factory user is created.
Renvoie
BaseApplication This method is chainable.
Depuis
3.0.0

Références null.

◆ registerEvent()

registerEvent | ( | $event,
 |  | $handler
 | ) |

Registers a handler to a particular event group.

Paramètres
string | $event | The event name.
callable | $handler | The handler, a function or an instance of an event object.
Renvoie
BaseApplication The application to allow chaining.
Depuis
3.0.0

◆ triggerEvent()

triggerEvent | ( |  | $event,
 |  | array | $args = null
 | ) |  |

Calls all handlers associated with an event group.

Paramètres
string | $event | The event name.
array | $args | An array of arguments (optional).
Renvoie
array An array of results from each function call, or null if no dispatcher is defined.
Depuis
3.0.0

Documentation des champs

◆ $dispatcher

$dispatcher
protected

◆ $identity

$identity
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • BaseApplication.php


Joomla CMS: Référence de la classe CliApplication

  • Joomla
  • CMS
  • Application
  • CliApplication
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe CliApplication
+ Graphe d'héritage de CliApplication:
BaseApplication AbstractApplication LoggerAwareInterface DaemonApplication

Fonctions membres publiques

__construct (Cli $input=null, Registry $config=null, \JEventDispatcher $dispatcher=null)
execute ()
loadConfiguration ($data)
out ($text='', $nl=true)
getOutput ()
setOutput (CliOutput $output)
in ()
- Fonctions membres publiques hérités de BaseApplication
__construct (Input $input=null, Registry $config=null)
getIdentity ()
registerEvent ($event, $handler)
triggerEvent ($event, array $args=null)
loadDispatcher (\JEventDispatcher $dispatcher=null)
loadIdentity (\JUser $identity=null)
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres publiques statiques

static getInstance ($name=null)

Fonctions membres protégées

fetchConfigurationData ($file='', $class='\JConfig')
- Fonctions membres protégées hérités de BaseApplication
doExecute ()
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Attributs protégés

$output
- Attributs protégés hérités de BaseApplication
$dispatcher
$identity
- Attributs protégés hérités de AbstractApplication
$config

Attributs protégés statiques

static $instance

Membres hérités additionnels

- Champs de données hérités de AbstractApplication
$input

Description détaillée

Base class for a Joomla! command line application.

Depuis
2.5.0
Note
As of 4.0 this class will be abstract

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Cli | $input = null,
 |  | Registry | $config = null,
 |  | \JEventDispatcher | $dispatcher = null
 | ) |  |

Class constructor.

Paramètres
Cli | $input | An optional argument to provide dependency injection for the application's input object. If the argument is a object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
\JEventDispatcher | $dispatcher | An optional argument to provide dependency injection for the application's event dispatcher. If the argument is a object that object will become the application's event dispatcher, if it is null then the default event dispatcher will be created based on the application's loadDispatcher() method.
Voir également
BaseApplication::loadDispatcher()
Depuis
1.7.0

Références $config, $dispatcher, et $input.

Documentation des fonctions membres

◆ execute()

execute ( )

Execute the application.

Renvoie
void
Depuis
1.7.0

◆ fetchConfigurationData()

fetchConfigurationData | ( | $file = '',
 |  | $class = '\JConfig'
 | ) |
protected

Method to load a PHP configuration class file based on convention and return the instantiated data object. You will extend this method in child classes to provide configuration data from whatever data source is relevant for your specific application.

Paramètres
string | $file | The path and filename of the configuration file. If not provided, configuration.php in JPATH_CONFIGURATION will be used.
string | $class | The class name to instantiate.
Renvoie
mixed Either an array or object to be loaded into the configuration object.
Depuis
1.7.0

Références $class, $config, $file, JPATH_CONFIGURATION, et JLoader\register().

◆ getInstance()

static getInstance ( $name = null )
static

Returns a reference to the global CliApplication object, only creating it if it doesn't already exist.

This method must be invoked as: $cli = CliApplication::getInstance();

Paramètres
string $name The name (optional) of the JApplicationCli class to instantiate.
Renvoie
CliApplication
Depuis
1.7.0

Références $name.

◆ getOutput()

getOutput ( )

Get an output object.

Renvoie
CliOutput
Depuis
3.3

Références $default, et $output.

◆ in()

in ( )

Get a value from standard input.

Renvoie
string The input string from standard input.
Depuis
1.7.0

◆ loadConfiguration()

loadConfiguration ( $data )

Load an object or array into the application configuration object.

Paramètres
mixed $data Either an array or object to be loaded into the configuration object.
Renvoie
CliApplication Instance of $this to allow chaining.
Depuis
1.7.0

Références $data, et elseif.

◆ out()

out | ( | $text = '',
 |  | $nl = true
 | ) |

Write a string to standard output.

Paramètres
string | $text | The text to display.
boolean | $nl | True (default) to append a new line at the end of the output string.
Renvoie
CliApplication Instance of $this to allow chaining.
Depuis
1.7.0

Références $output, et $text.

◆ setOutput()

setOutput ( CliOutput $output )

Set an output object.

Paramètres
CliOutput $output CliOutput object
Renvoie
CliApplication Instance of $this to allow chaining.
Depuis
3.3

Références $output.

Documentation des champs

◆ $instance

$instance
staticprotected

◆ $output

$output
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CliApplication.php


Joomla CMS: Référence de la classe CMSApplication

  • Joomla
  • CMS
  • Application
  • CMSApplication
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe CMSApplication
+ Graphe d'héritage de CMSApplication:
WebApplication BaseApplication AbstractApplication LoggerAwareInterface AdministratorApplication SiteApplication

Fonctions membres publiques

__construct (Input $input=null, Registry $config=null, \JApplicationWebClient $client=null)
checkSession ()
enqueueMessage ($msg, $type='message')
execute ()
getCfg ($varname, $default=null)
getClientId ()
getMenu ($name=null, $options=array())
getMessageQueue ($clear=false)
getName ()
getPathway ($name=null, $options=array())
getTemplate ($params=false)
getUserState ($key, $default=null)
getUserStateFromRequest ($key, $request, $default=null, $type='none')
isAdmin ()
isSite ()
isHttpsForced ($clientId=null)
isClient ($identifier)
loadSession (\JSession $session=null)
login ($credentials, $options=array())
logout ($userid=null, $options=array())
redirect ($url, $status=303)
setUserState ($key, $value)
toString ($compress=false)
- Fonctions membres publiques hérités de WebApplication
__construct (Input $input=null, Registry $config=null, \JApplicationWebClient $client=null)
initialise ($session=null, $document=null, $language=null, $dispatcher=null)
execute ()
redirect ($url, $status=303)
loadConfiguration ($data)
allowCache ($allow=null)
setHeader ($name, $value, $replace=false)
getHeaders ()
clearHeaders ()
sendHeaders ()
setBody ($content)
prependBody ($content)
appendBody ($content)
getBody ($asArray=false)
getDocument ()
getLanguage ()
getSession ()
flushAssets ()
isSSLConnection ()
loadDocument (\JDocument $document=null)
loadLanguage (\JLanguage $language=null)
loadSession (\JSession $session=null)
afterSessionStart ()
- Fonctions membres publiques hérités de BaseApplication
__construct (Input $input=null, Registry $config=null)
getIdentity ()
registerEvent ($event, $handler)
triggerEvent ($event, array $args=null)
loadDispatcher (\JEventDispatcher $dispatcher=null)
loadIdentity (\JUser $identity=null)
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres publiques statiques

static | getInstance ($name=null)
static | getRouter ($name=null, array $options=array())
- Fonctions membres publiques statiques hérités de WebApplication
static | getInstance ($name=null)

Champs de données

$scope = null
- Champs de données hérités de WebApplication
$charSet = 'utf-8'
$mimeType = 'text/html'
$modifiedDate
$client
- Champs de données hérités de AbstractApplication
$input

Fonctions membres protégées

checkUserRequireReset ($option, $view, $layout, $tasks)
initialiseApp ($options=array())
loadLibraryLanguage ()
render ()
route ()
- Fonctions membres protégées hérités de WebApplication
render ()
compress ()
respond ()
isRedirectState ($state)
getHttpStatusValue ($value)
checkConnectionAlive ()
checkHeadersSent ()
detectRequestUri ()
fetchConfigurationData ($file='', $class='\JConfig')
header ($string, $replace=true, $code=null)
loadSystemUris ($requestUri=null)
- Fonctions membres protégées hérités de BaseApplication
doExecute ()
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Attributs protégés

$docOptions = array()
$_clientId = null
$_messageQueue = array()
$_name = null
$profiler = null
$template = null
- Attributs protégés hérités de WebApplication
$document
$language
$session
$response
- Attributs protégés hérités de BaseApplication
$dispatcher
$identity
- Attributs protégés hérités de AbstractApplication
$config

Attributs protégés statiques

static | $instances = array()
- Attributs protégés statiques hérités de WebApplication
static | $instance

Description détaillée

Joomla! CMS Application class

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Input | $input = null,
 |  | Registry | $config = null,
 |  | \JApplicationWebClient | $client = null
 | ) |  |

Class constructor.

Paramètres
Input | $input | An optional argument to provide dependency injection for the application's input object. If the argument is a object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
\JApplicationWebClient | $client | An optional argument to provide dependency injection for the application's client object. If the argument is a object that object will become the application's client object, otherwise a default client object is created.
Depuis
3.2

Références $client, $config, $input, JDEBUG, et null.

Documentation des fonctions membres

◆ checkSession()

checkSession ( )

Checks the user session.

If the session record doesn't exist, initialise it. If session is new, create session variables

Renvoie
void
Depuis
3.2
Exceptions

◆ checkUserRequireReset()

checkUserRequireReset | ( | $option,
 |  | $view,
 |  | $layout,
 |  | $tasks
 | ) |
protected

Check if the user is required to reset their password.

If the user is required to reset their password will be redirected to the page that manage the password reset.

Paramètres
string | $option | The option that manage the password reset
string | $view | The view that manage the password reset
string | $layout | The layout of the view that manage the password reset
string | $tasks | Permitted tasks
Renvoie
void

Références $layout, $name, $option, $task, et $view.

◆ enqueueMessage()

enqueueMessage | ( | $msg,
 |  | $type = 'message'
 | ) |

Enqueue a system message.

Paramètres
string | $msg | The message to enqueue.
string | $type | The message type. Default is message.
Renvoie
void
Depuis
3.2

Références $message, $messages, $type, et InputFilter\getInstance().

◆ execute()

execute ( )

Execute the application.

Renvoie
void
Depuis
3.2

Références $input, et null.

◆ getCfg()

getCfg | ( | $varname,
 |  | $default = null
 | ) |

Gets a configuration value.

Paramètres
string | $varname | The name of the value to get.
string | $default | Default value to return
Renvoie
mixed The user state.
Depuis
3.2
Obsolète:
5.0 Use get() instead

Références $default.

◆ getClientId()

getClientId ( )

Gets the client id of the current running application.

Renvoie
integer A client identifier.
Depuis
3.2

◆ getInstance()

static getInstance ( $name = null )
static

Returns a reference to the global CMSApplication object, only creating it if it doesn't already exist.

This method must be invoked as: $web = CMSApplication::getInstance();

Paramètres
string $name The name (optional) of the CMSApplication class to instantiate.
Renvoie
CMSApplication
Depuis
3.2
Exceptions

Références $name.

Référencé par SitePathway\__construct(), SiteRouter\__construct(), et Factory\getApplication().

◆ getMenu()

getMenu | ( | $name = null,
 |  | $options = array()
 | ) |

Returns the application object.

Paramètres
string | $name | The name of the application/client.
array | $options | An optional associative array of configuration settings.
Renvoie
|null
Depuis
3.2

Références $menu, $name, et $options.

◆ getMessageQueue()

getMessageQueue ( $clear = false )

Get the system message queue.

Paramètres
boolean $clear Clear the messages currently attached to the application object
Renvoie
array The system message queue.
Depuis
3.2

◆ getName()

getName ( )

Gets the name of the current running application.

Renvoie
string The name of the application.
Depuis
3.2

◆ getPathway()

getPathway | ( | $name = null,
 |  | $options = array()
 | ) |

Returns the application object.

Paramètres
string | $name | The name of the application.
array | $options | An optional associative array of configuration settings.
Renvoie
|null
Depuis
3.2

Références $name, et $options.

◆ getRouter()

static getRouter | ( |  | $name = null,
 |  | array | $options = array()
 | ) |  |
static

Returns the application object.

Paramètres
string | $name | The name of the application.
array | $options | An optional associative array of configuration settings.
Renvoie
|null
Depuis
3.2

Références $app, $name, et $options.

◆ getTemplate()

getTemplate ( $params = false )

Gets the name of the current template.

Paramètres
boolean $params An optional associative array of configuration settings
Renvoie
mixed System is the fallback.
Depuis
3.2

Références $params, et $template.

◆ getUserState()

getUserState | ( | $key,
 |  | $default = null
 | ) |

Gets a user state.

Paramètres
string | $key | The path of the state.
mixed | $default | Optional default value, returned if the internal value is null.
Renvoie
mixed The user state or null.
Depuis
3.2

Références $default, $key, et null.

◆ getUserStateFromRequest()

getUserStateFromRequest | ( | $key,
 |  | $request,
 |  | $default = null,
 |  | $type = 'none'
 | ) |

Gets the value of a user state variable.

Paramètres
string | $key | The key of the user state variable.
string | $request | The name of the variable passed in a request.
string | $default | The default value for the variable if not found. Optional.
string | $type | Filter for the variable, for valid values see JFilterInput::clean().Optional.@returnmixedTherequestuserstate.@since3.2

Références $default, $key, $type, et null.

◆ initialiseApp()

initialiseApp ( $options = array() )
protected

Initialise the application.

Paramètres
array $options An optional associative array of configuration settings.
Renvoie
void
Depuis
3.2

Références $editor, $lang, $language, $options, et $user.

◆ isAdmin()

isAdmin ( )

Is admin interface?

Renvoie
boolean True if this application is administrator.
Depuis
3.2
Obsolète:
4.0 Use isClient('administrator') instead.

◆ isClient()

isClient ( $identifier )

Check the client interface by name.

Paramètres
string $identifier String identifier for the application interface
Renvoie
boolean True if this application is of the given type client interface.
Depuis
3.7.0

◆ isHttpsForced()

isHttpsForced ( $clientId = null )

Checks if HTTPS is forced in the client configuration.

Paramètres
integer $clientId An optional client id (defaults to current application client).
Renvoie
boolean True if is forced for the client, false otherwise.
Depuis
3.7.3

Références $clientId, et null.

◆ isSite()

isSite ( )

Is site interface?

Renvoie
boolean True if this application is site.
Depuis
3.2
Obsolète:
4.0 Use isClient('site') instead.

◆ loadLibraryLanguage()

loadLibraryLanguage ( )
protected

Load the library language files for the application

Renvoie
void
Depuis
3.6.3

Références JPATH_ADMINISTRATOR.

◆ loadSession()

loadSession ( \JSession $session = null )

Allows the application to load a custom or default session.

The logic and options for creating this object are adequately generic for default cases but for many applications it will make sense to override this method and create a session, if required, based on more specific needs.

Paramètres
\JSession $session An optional session object. If omitted, the session is created.
Renvoie
CMSApplication This method is chainable.
Depuis
3.2

Références null.

◆ login()

login | ( | $credentials,
 |  | $options = array()
 | ) |

Login authentication function.

Username and encoded password are passed the onUserLogin event which is responsible for the user validation. A successful validation updates the current session record with the user's details.

Username and encoded password are sent as credentials (along with other possibilities) to each observer (authentication plugin) for user validation. Successful validation will update the current session with the user details.

Paramètres
array | $credentials | Array('username' => string, 'password' => string)
array | $options | Array('remember' => boolean)
Renvoie
boolean| True on success, false if failed or silent handling is configured, or a object on authentication error.
Depuis
3.2

Références $options, $results, et $user.

◆ logout()

logout | ( | $userid = null,
 |  | $options = array()
 | ) |

Logout authentication function.

Passed the current user information to the onUserLogout event and reverts the current session record back to 'anonymous' parameters. If any of the authentication plugins did not successfully complete the logout routine then the whole method fails. Any errors raised should be done in the plugin as this provides the ability to give much more information about why the routine may have failed.

Paramètres
integer | $userid | The user to load - Can be an integer or string - If string, it is converted to ID automatically
array | $options | Array('clientid' => array of client id's)
Renvoie
boolean True on success
Depuis
3.2

Références $options, $parameters, $results, et $user.

◆ redirect()

redirect | ( | $url,
 |  | $status = 303
 | ) |

Redirect to another URL.

If the headers have not been sent the redirect will be accomplished using a "301 Moved Permanently" or "303 See Other" code in the header pointing to the new location. If the headers have already been sent this will be accomplished using a JavaScript statement.

Paramètres
string | $url | The URL to redirect to. Can only be http/https URL
integer | $status | The HTTP 1.1 status code to be provided. 303 is assumed by default.
Renvoie
void
Depuis
3.2

Références $message, $type, et $url.

◆ render()

render ( )
protected

Rendering is the process of pushing the document buffers into the template placeholders, retrieving data from the document and pushing it into the application response buffer.

Renvoie
void
Depuis
3.2

Références $data, JDEBUG, JPATH_BASE, JPATH_THEMES, et null.

◆ route()

route ( )
protected

Route the application.

Routing is the process of examining the request environment to determine which component should receive the request. The component optional parameters are then set in the request object to be processed when the application is being dispatched.

Renvoie
void
Depuis
3.2

Références $active, $base, $item, $key, $position, $uri, $value, et null.

◆ setUserState()

setUserState | ( | $key,
 |  | $value
 | ) |

Sets the value of a user state variable.

Paramètres
string | $key | The path of the state.
mixed | $value | The value of the variable.
Renvoie
mixed The previous state, if one existed.
Depuis
3.2

Références $key, $value, et null.

◆ toString()

toString ( $compress = false )

Sends all headers prior to returning the string

Paramètres
boolean $compress If true, compress the data
Renvoie
string
Depuis
3.2

Documentation des champs

◆ $_clientId

$_clientId = null
protected

◆ $_messageQueue

$_messageQueue = array()
protected

◆ $_name

$_name = null
protected

◆ $docOptions

$docOptions = array()
protected

◆ $instances

$instances = array()
staticprotected

◆ $profiler

$profiler = null
protected

◆ $scope

$scope = null

◆ $template

$template = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CMSApplication.php


Joomla CMS: Référence de la classe DaemonApplication

  • Joomla
  • CMS
  • Application
  • DaemonApplication
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe DaemonApplication
+ Graphe d'héritage de DaemonApplication:
CliApplication BaseApplication AbstractApplication LoggerAwareInterface

Fonctions membres publiques

__construct (\JInputCli $input=null, Registry $config=null, \JEventDispatcher $dispatcher=null)
isActive ()
loadConfiguration ($data)
execute ()
restart ()
stop ()
- Fonctions membres publiques hérités de CliApplication
__construct (Cli $input=null, Registry $config=null, \JEventDispatcher $dispatcher=null)
execute ()
loadConfiguration ($data)
out ($text='', $nl=true)
getOutput ()
setOutput (CliOutput $output)
in ()
- Fonctions membres publiques hérités de BaseApplication
__construct (Input $input=null, Registry $config=null)
getIdentity ()
registerEvent ($event, $handler)
triggerEvent ($event, array $args=null)
loadDispatcher (\JEventDispatcher $dispatcher=null)
loadIdentity (\JUser $identity=null)
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres publiques statiques

static | signal ($signal)
- Fonctions membres publiques statiques hérités de CliApplication
static | getInstance ($name=null)

Fonctions membres protégées

changeIdentity ()
daemonize ()
detach ()
fork ()
gc ()
setupSignalHandlers ()
shutdown ($restart=false)
writeProcessIdFile ()
postFork ()
pcntlChildExitStatus ($status)
pcntlFork ()
pcntlSignal ($signal, $handler, $restart=true)
pcntlWait (&$status, $options=0)
- Fonctions membres protégées hérités de CliApplication
fetchConfigurationData ($file='', $class='\JConfig')
- Fonctions membres protégées hérités de BaseApplication
doExecute ()
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Attributs protégés

$exiting = false
$parentId = 0
$processId = 0
$running = false
- Attributs protégés hérités de CliApplication
$output
- Attributs protégés hérités de BaseApplication
$dispatcher
$identity
- Attributs protégés hérités de AbstractApplication
$config

Attributs protégés statiques

static | $signals
- Attributs protégés statiques hérités de CliApplication
static | $instance

Membres hérités additionnels

- Champs de données hérités de AbstractApplication
$input

Description détaillée

Class to turn CliApplication applications into daemons. It requires CLI and PCNTL support built into PHP.

https://www.php.net/manual/en/features.commandline.php 1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | \JInputCli | $input = null,
 |  | Registry | $config = null,
 |  | \JEventDispatcher | $dispatcher = null
 | ) |  |

Class constructor.

Paramètres
\JInputCli | $input | An optional argument to provide dependency injection for the application's input object. If the argument is a object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
\JEventDispatcher | $dispatcher | An optional argument to provide dependency injection for the application's event dispatcher. If the argument is a object that object will become the application's event dispatcher, if it is null then the default event dispatcher will be created based on the application's loadDispatcher() method.
Depuis
1.7.0
Exceptions

Références $config, $dispatcher, $input, et null.

Documentation des fonctions membres

◆ changeIdentity()

changeIdentity ( )
protected

Method to change the identity of the daemon process and resources.

Renvoie
boolean True if identity successfully changed
Depuis
1.7.0
Voir également
posix_setuid()

Références $file, $info, et $user.

◆ daemonize()

daemonize ( )
protected

Method to put the application into the background.

Renvoie
boolean
Depuis
1.7.0
Exceptions

Références name.

◆ detach()

detach ( )
protected

This is truly where the magic happens. This is where we fork the process and kill the parent process, which is essentially what turns the application into a daemon.

Renvoie
void
Depuis
3.0.0
Exceptions

Références name.

◆ execute()

execute ( )

Execute the daemon.

Renvoie
void
Depuis
1.7.0

Références name.

◆ fork()

fork ( )
protected

Method to fork the process.

Renvoie
integer The child process id to the parent process, zero to the child process.
Depuis
1.7.0
Exceptions

Références elseif.

◆ gc()

gc ( )
protected

Method to perform basic garbage collection and memory management in the sense of clearing the stat cache. We will probably call this method pretty regularly in our main loop.

Renvoie
void
Depuis
1.7.0

◆ isActive()

isActive ( )

Check to see if the daemon is active. This does not assume that $this daemon is active, but only if an instance of the application is active as a daemon.

Renvoie
boolean True if daemon is active.
Depuis
1.7.0

◆ loadConfiguration()

loadConfiguration ( $data )

Load an object or array into the application configuration object.

Paramètres
mixed $data Either an array or object to be loaded into the configuration object.
Renvoie
DaemonApplication Instance of $this to allow chaining.
Depuis
1.7.0

Références $data, $name, $options, $tmp, et null.

◆ pcntlChildExitStatus()

pcntlChildExitStatus ( $status )
protected

Method to return the exit code of a terminated child process.

Paramètres
integer $status The status parameter is the status parameter supplied to a successful call to pcntl_waitpid().
Renvoie
integer The child process exit code.
Voir également
pcntl_wexitstatus()
Depuis
1.7.3

◆ pcntlFork()

pcntlFork ( )
protected

Method to return the exit code of a terminated child process.

Renvoie
integer On success, the PID of the child process is returned in the parent's thread of execution, and a 0 is returned in the child's thread of execution. On failure, a -1 will be returned in the parent's context, no child process will be created, and a PHP error is raised.
Voir également
pcntl_fork()
Depuis
1.7.3

◆ pcntlSignal()

pcntlSignal | ( | $signal,
 |  | $handler,
 |  | $restart = true
 | ) |
protected

Method to install a signal handler.

Paramètres
integer | $signal | The signal number.
callable | $handler | The signal handler which may be the name of a user created function, or method, or either of the two global constants SIG_IGN or SIG_DFL.
boolean | $restart | Specifies whether system call restarting should be used when this signal arrives.
Renvoie
boolean True on success.
Voir également
pcntl_signal()
Depuis
1.7.3

◆ pcntlWait()

pcntlWait | ( | & | $status,
 |  |  | $options = 0
 | ) |  |
protected

Method to wait on or return the status of a forked child.

Paramètres
integer | &$status | Status information.
integer | $options | If wait3 is available on your system (mostly BSD-style systems), you can provide the optional options parameter.
Renvoie
integer The process ID of the child which exited, -1 on error or zero if WNOHANG was provided as an option (on wait3-available systems) and no child was available.
Voir également
pcntl_wait()
Depuis
1.7.3

Références $options.

◆ postFork()

postFork ( )
protected

Method to handle post-fork triggering of the onFork event.

Renvoie
void
Depuis
3.0.0

◆ restart()

restart ( )

Restart daemon process.

Renvoie
void
Depuis
1.7.0

Références name.

◆ setupSignalHandlers()

setupSignalHandlers ( )
protected

Method to attach the DaemonApplication signal handler to the known signals. Applications can override these handlers by using the pcntl_signal() function and attaching a different callback method.

Renvoie
boolean
Depuis
1.7.0
Voir également
pcntl_signal()

Références null.

◆ shutdown()

shutdown ( $restart = false )
protected

Method to shut down the daemon and optionally restart it.

Paramètres
boolean $restart True to restart the daemon on exit.
Renvoie
void
Depuis
1.7.0

Références $GLOBALS.

◆ signal()

static signal ( $signal )
static

Method to handle POSIX signals.

Paramètres
integer $signal The received POSIX signal.
Renvoie
void
Depuis
1.7.0
Voir également
pcntl_signal()
Exceptions

◆ stop()

stop ( )

Stop daemon process.

Renvoie
void
Depuis
1.7.0

Références name.

◆ writeProcessIdFile()

writeProcessIdFile ( )
protected

Method to write the process id file out to disk.

Renvoie
boolean
Depuis
1.7.0

Références $file, et $folder.

Documentation des champs

◆ $exiting

$exiting = false
protected

◆ $parentId

$parentId = 0
protected

◆ $processId

$processId = 0
protected

◆ $running

$running = false
protected

◆ $signals

$signals
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • DaemonApplication.php


Joomla CMS: Référence de la classe SiteApplication

  • Joomla
  • CMS
  • Application
  • SiteApplication
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés
Référence de la classe SiteApplication
+ Graphe d'héritage de SiteApplication:
CMSApplication WebApplication BaseApplication AbstractApplication LoggerAwareInterface

Fonctions membres publiques

__construct (Input $input=null, Registry $config=null, \JApplicationWebClient $client=null)
dispatch ($component=null)
getDetectBrowser ()
getLanguageFilter ()
getMenu ($name='site', $options=array())
getPageParameters ($option=null)
getParams ($option=null)
getPathway ($name='site', $options=array())
getTemplate ($params=false)
login ($credentials, $options=array())
setDetectBrowser ($state=false)
setLanguageFilter ($state=false)
setTemplate ($template, $styleParams=null)
- Fonctions membres publiques hérités de CMSApplication
__construct (Input $input=null, Registry $config=null, \JApplicationWebClient $client=null)
checkSession ()
enqueueMessage ($msg, $type='message')
execute ()
getCfg ($varname, $default=null)
getClientId ()
getMenu ($name=null, $options=array())
getMessageQueue ($clear=false)
getName ()
getPathway ($name=null, $options=array())
getTemplate ($params=false)
getUserState ($key, $default=null)
getUserStateFromRequest ($key, $request, $default=null, $type='none')
isAdmin ()
isSite ()
isHttpsForced ($clientId=null)
isClient ($identifier)
loadSession (\JSession $session=null)
login ($credentials, $options=array())
logout ($userid=null, $options=array())
redirect ($url, $status=303)
setUserState ($key, $value)
toString ($compress=false)
- Fonctions membres publiques hérités de WebApplication
__construct (Input $input=null, Registry $config=null, \JApplicationWebClient $client=null)
initialise ($session=null, $document=null, $language=null, $dispatcher=null)
execute ()
redirect ($url, $status=303)
loadConfiguration ($data)
allowCache ($allow=null)
setHeader ($name, $value, $replace=false)
getHeaders ()
clearHeaders ()
sendHeaders ()
setBody ($content)
prependBody ($content)
appendBody ($content)
getBody ($asArray=false)
getDocument ()
getLanguage ()
getSession ()
flushAssets ()
isSSLConnection ()
loadDocument (\JDocument $document=null)
loadLanguage (\JLanguage $language=null)
loadSession (\JSession $session=null)
afterSessionStart ()
- Fonctions membres publiques hérités de BaseApplication
__construct (Input $input=null, Registry $config=null)
getIdentity ()
registerEvent ($event, $handler)
triggerEvent ($event, array $args=null)
loadDispatcher (\JEventDispatcher $dispatcher=null)
loadIdentity (\JUser $identity=null)
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres publiques statiques

static | getRouter ($name='site', array $options=array())
- Fonctions membres publiques statiques hérités de CMSApplication
static | getInstance ($name=null)
static | getRouter ($name=null, array $options=array())
- Fonctions membres publiques statiques hérités de WebApplication
static | getInstance ($name=null)

Fonctions membres protégées

authorise ($itemid)
doExecute ()
initialiseApp ($options=array())
loadLibraryLanguage ()
render ()
route ()
- Fonctions membres protégées hérités de CMSApplication
checkUserRequireReset ($option, $view, $layout, $tasks)
initialiseApp ($options=array())
loadLibraryLanguage ()
render ()
route ()
- Fonctions membres protégées hérités de WebApplication
render ()
compress ()
respond ()
isRedirectState ($state)
getHttpStatusValue ($value)
checkConnectionAlive ()
checkHeadersSent ()
detectRequestUri ()
fetchConfigurationData ($file='', $class='\JConfig')
header ($string, $replace=true, $code=null)
loadSystemUris ($requestUri=null)
- Fonctions membres protégées hérités de BaseApplication
doExecute ()
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Attributs protégés

$_language_filter = false
$_detect_browser = false
- Attributs protégés hérités de CMSApplication
$docOptions = array()
$_clientId = null
$_messageQueue = array()
$_name = null
$profiler = null
$template = null
- Attributs protégés hérités de WebApplication
$document
$language
$session
$response
- Attributs protégés hérités de BaseApplication
$dispatcher
$identity
- Attributs protégés hérités de AbstractApplication
$config

Membres hérités additionnels

- Champs de données hérités de CMSApplication
$scope = null
- Champs de données hérités de WebApplication
$charSet = 'utf-8'
$mimeType = 'text/html'
$modifiedDate
$client
- Champs de données hérités de AbstractApplication
$input
- Attributs protégés statiques hérités de CMSApplication
static | $instances = array()
- Attributs protégés statiques hérités de WebApplication
static | $instance

Description détaillée

Joomla! Site Application class

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Input | $input = null,
 |  | Registry | $config = null,
 |  | \JApplicationWebClient | $client = null
 | ) |  |

Class constructor.

Paramètres
Input | $input | An optional argument to provide dependency injection for the application's input object. If the argument is a object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
\JApplicationWebClient | $client | An optional argument to provide dependency injection for the application's client object. If the argument is a object that object will become the application's client object, otherwise a default client object is created.
Depuis
3.2

Références $client, $config, et $input.

Documentation des fonctions membres

◆ authorise()

authorise ( $itemid )
protected

Check if the user can access the application

Paramètres
integer $itemid The item ID to check authorisation for
Renvoie
void
Depuis
3.2
Exceptions

Références $itemid, $url, et $user.

◆ dispatch()

dispatch ( $component = null )

Dispatch the application

Paramètres
string $component The component which is being rendered.
Renvoie
void
Depuis
3.2

Références $component, $document, $params, $template, getDocument, htmlspecialchars, JROUTER_MODE_SEF, et null.

◆ doExecute()

doExecute ( )
protected

Method to run the Web application routines.

Renvoie
void
Depuis
3.2

Références JDEBUG, et null.

◆ getDetectBrowser()

getDetectBrowser ( )

Return the current state of the detect browser option.

Renvoie
boolean
Depuis
3.2

◆ getLanguageFilter()

getLanguageFilter ( )

Return the current state of the language filter.

Renvoie
boolean
Depuis
3.2

◆ getMenu()

getMenu | ( | $name = 'site',
 |  | $options = array()
 | ) |

Return a reference to the object.

Paramètres
string | $name | The name of the application/client.
array | $options | An optional associative array of configuration settings.
Renvoie
object.
Depuis
3.2

Références $name, et $options.

◆ getPageParameters()

getPageParameters ( $option = null )

Get the application parameters

Paramètres
string $option The component option
Renvoie
Registry The parameters object
Depuis
3.2
Obsolète:
4.0 Use getParams() instead

Références $option.

◆ getParams()

getParams ( $option = null )

Get the application parameters

Paramètres
string $option The component option
Renvoie
Registry The parameters object
Depuis
3.2

Références $description, $hash, $menu, $option, $params, $title, ComponentHelper\getParams(), et null.

◆ getPathway()

getPathway | ( | $name = 'site',
 |  | $options = array()
 | ) |

Return a reference to the object.

Paramètres
string | $name | The name of the application.
array | $options | An optional associative array of configuration settings.
Renvoie
A object
Depuis
3.2

Références $name, et $options.

◆ getRouter()

static getRouter | ( |  | $name = 'site',
 |  | array | $options = array()
 | ) |  |
static

Return a reference to the object.

Paramètres
string | $name | The name of the application.
array | $options | An optional associative array of configuration settings.
Renvoie
Depuis
3.2

Références $name, et $options.

◆ getTemplate()

getTemplate ( $params = false )

Gets the name of the current template.

Paramètres
boolean $params True to return the template parameters
Renvoie
string The name of the template.
Depuis
3.2
Exceptions

Références $db, $id, $item, $menu, $params, $query, $template, $tmpl, JPATH_THEMES, et null.

◆ initialiseApp()

initialiseApp ( $options = array() )
protected

Initialise the application.

Paramètres
array $options An optional associative array of configuration settings.
Renvoie
void
Depuis
3.2

Références $lang, $options, $params, $user, ComponentHelper\getParams(), et null.

◆ loadLibraryLanguage()

loadLibraryLanguage ( )
protected

Load the library language files for the application

Renvoie
void
Depuis
3.6.3

Références JPATH_ADMINISTRATOR, JPATH_SITE, et null.

◆ login()

login | ( | $credentials,
 |  | $options = array()
 | ) |

Login authentication function

Paramètres
array | $credentials | Array('username' => string, 'password' => string)
array | $options | Array('remember' => boolean)
Renvoie
boolean True on success.
Depuis
3.2

Références $options.

◆ render()

render ( )
protected

Rendering is the process of pushing the document buffers into the template placeholders, retrieving data from the document and pushing it into the application response buffer.

Renvoie
void
Depuis
3.2

Références $file, $template, et JPATH_THEMES.

◆ route()

route ( )
protected

Route the application.

Routing is the process of examining the request environment to determine which component should receive the request. The component optional parameters are then set in the request object to be processed when the application is being dispatched.

Renvoie
void
Depuis
3.2

Références null.

◆ setDetectBrowser()

setDetectBrowser ( $state = false )

Set the current state of the detect browser option.

Paramètres
boolean $state The new state of the detect browser option
Renvoie
boolean The previous state
Depuis
3.2

Références $state.

◆ setLanguageFilter()

setLanguageFilter ( $state = false )

Set the current state of the language filter.

Paramètres
boolean $state The new state of the language filter
Renvoie
boolean The previous state
Depuis
3.2

Références $state.

◆ setTemplate()

setTemplate | ( | $template,
 |  | $styleParams = null
 | ) |

Overrides the default template that would be used

Paramètres
string | $template | The template name
mixed | $styleParams | The template style parameters
Renvoie
void
Depuis
3.2

Références $template, et JPATH_THEMES.

Documentation des champs

◆ $_detect_browser

$_detect_browser = false
protected

◆ $_language_filter

$_language_filter = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • SiteApplication.php


Joomla CMS: Référence de la classe WebApplication

  • Joomla
  • CMS
  • Application
  • WebApplication
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Attributs privés
Référence de la classe WebApplication
+ Graphe d'héritage de WebApplication:
BaseApplication AbstractApplication LoggerAwareInterface CMSApplication AdministratorApplication SiteApplication

Fonctions membres publiques

__construct (Input $input=null, Registry $config=null, \JApplicationWebClient $client=null)
initialise ($session=null, $document=null, $language=null, $dispatcher=null)
execute ()
redirect ($url, $status=303)
loadConfiguration ($data)
allowCache ($allow=null)
setHeader ($name, $value, $replace=false)
getHeaders ()
clearHeaders ()
sendHeaders ()
setBody ($content)
prependBody ($content)
appendBody ($content)
getBody ($asArray=false)
getDocument ()
getLanguage ()
getSession ()
flushAssets ()
isSSLConnection ()
loadDocument (\JDocument $document=null)
loadLanguage (\JLanguage $language=null)
loadSession (\JSession $session=null)
afterSessionStart ()
- Fonctions membres publiques hérités de BaseApplication
__construct (Input $input=null, Registry $config=null)
getIdentity ()
registerEvent ($event, $handler)
triggerEvent ($event, array $args=null)
loadDispatcher (\JEventDispatcher $dispatcher=null)
loadIdentity (\JUser $identity=null)
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres publiques statiques

static getInstance ($name=null)

Champs de données

$charSet = 'utf-8'
$mimeType = 'text/html'
$modifiedDate
$client
- Champs de données hérités de AbstractApplication
$input

Fonctions membres protégées

render ()
compress ()
respond ()
isRedirectState ($state)
getHttpStatusValue ($value)
checkConnectionAlive ()
checkHeadersSent ()
detectRequestUri ()
fetchConfigurationData ($file='', $class='\JConfig')
header ($string, $replace=true, $code=null)
loadSystemUris ($requestUri=null)
- Fonctions membres protégées hérités de BaseApplication
doExecute ()
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Attributs protégés

$document
$language
$session
$response
- Attributs protégés hérités de BaseApplication
$dispatcher
$identity
- Attributs protégés hérités de AbstractApplication
$config

Attributs protégés statiques

static $instance

Attributs privés

$responseMap
$singleValueResponseHeaders

Description détaillée

Base class for a Joomla! Web application.

Depuis
2.5.0
Note
As of 4.0 this class will be abstract

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Input | $input = null,
 |  | Registry | $config = null,
 |  | \JApplicationWebClient | $client = null
 | ) |  |

Class constructor.

Paramètres
Input | $input | An optional argument to provide dependency injection for the application's input object. If the argument is a object that object will become the application's input object, otherwise a default input object is created.
Registry | $config | An optional argument to provide dependency injection for the application's config object. If the argument is a Registry object that object will become the application's config object, otherwise a default config object is created.
\JApplicationWebClient | $client | An optional argument to provide dependency injection for the application's client object. If the argument is a object that object will become the application's client object, otherwise a default client object is created.
Depuis
1.7.3

Références $client, $config, et $input.

Documentation des fonctions membres

◆ afterSessionStart()

afterSessionStart ( )

After the session has been started we need to populate it with some default values.

Renvoie
void
Depuis
3.0.1

◆ allowCache()

allowCache ( $allow = null )

Set/get cachable state for the response. If $allow is set, sets the cachable state of the response. Always returns the current state.

Paramètres
boolean $allow True to allow browser caching.
Renvoie
boolean
Depuis
1.7.3

Références null.

◆ appendBody()

appendBody ( $content )

Append content to the body content

Paramètres
string $content The content to append to the response body.
Renvoie
WebApplication Instance of $this to allow chaining.
Depuis
1.7.3

Références $content.

◆ checkConnectionAlive()

checkConnectionAlive ( )
protected

Method to check the current client connection status to ensure that it is alive. We are wrapping this to isolate the connection_status() function from our code base for testing reasons.

Renvoie
boolean True if the connection is valid and normal.
Voir également
connection_status()
Depuis
1.7.3

◆ checkHeadersSent()

checkHeadersSent ( )
protected

Method to check to see if headers have already been sent. We are wrapping this to isolate the headers_sent() function from our code base for testing reasons.

Renvoie
boolean True if the headers have already been sent.
Voir également
headers_sent()
Depuis
1.7.3

◆ clearHeaders()

clearHeaders ( )

Method to clear any set response headers.

Renvoie
WebApplication Instance of $this to allow chaining.
Depuis
1.7.3

◆ compress()

compress ( )
protected

Checks the accept encoding of the browser and compresses the data before sending it to the client if possible.

Renvoie
void
Depuis
1.7.3

Références $data.

◆ detectRequestUri()

detectRequestUri ( )
protected

Method to detect the requested URI from server environment variables.

Renvoie
string The requested URI
Depuis
1.7.3

Références $uri, et elseif.

◆ execute()

execute ( )

Execute the application.

Renvoie
void
Depuis
1.7.3

◆ fetchConfigurationData()

fetchConfigurationData | ( | $file = '',
 |  | $class = '\JConfig'
 | ) |
protected

Method to load a PHP configuration class file based on convention and return the instantiated data object. You will extend this method in child classes to provide configuration data from whatever data source is relevant for your specific application.

Paramètres
string | $file | The path and filename of the configuration file. If not provided, configuration.php in JPATH_CONFIGURATION will be used.
string | $class | The class name to instantiate.
Renvoie
mixed Either an array or object to be loaded into the configuration object.
Depuis
1.7.3
Exceptions

Références $class, $config, $file, JPATH_CONFIGURATION, et JLoader\register().

◆ flushAssets()

flushAssets ( )

Flush the media version to refresh versionable assets

Renvoie
void
Depuis
3.2

Références $version.

◆ getBody()

getBody ( $asArray = false )

Return the body content

Paramètres
boolean $asArray True to return the body as an array of strings.
Renvoie
mixed The response body either as an array or concatenated string.
Depuis
1.7.3

◆ getDocument()

getDocument ( )

Method to get the application document object.

Renvoie
The document object
Depuis
1.7.3

Références $document.

◆ getHeaders()

getHeaders ( )

Method to get the array of response headers to be sent when the response is sent to the client.

Renvoie
array *
Depuis
1.7.3

◆ getHttpStatusValue()

getHttpStatusValue ( $value )
protected

Check if a given value can be successfully mapped to a valid http status value

Paramètres
string $value The given status as int or string
Renvoie
string
Depuis
3.8.0

Références $value.

◆ getInstance()

static getInstance ( $name = null )
static

Returns a reference to the global WebApplication object, only creating it if it doesn't already exist.

This method must be invoked as: $web = WebApplication::getInstance();

Paramètres
string $name The name (optional) of the JApplicationWeb class to instantiate.
Renvoie
WebApplication
Depuis
1.7.3

Références $name.

◆ getLanguage()

getLanguage ( )

Method to get the application language object.

Renvoie
The language object
Depuis
1.7.3

Références $language.

◆ getSession()

getSession ( )

Method to get the application session object.

Renvoie
The session object
Depuis
1.7.3

◆ header()

header | ( | $string,
 |  | $replace = true,
 |  | $code = null
 | ) |
protected

Method to send a header to the client. We are wrapping this to isolate the header() function from our code base for testing reasons.

Paramètres
string | $string | The header string.
boolean | $replace | The optional replace parameter indicates whether the header should replace a previous similar header, or add a second header of the same type.
integer | $code | Forces the HTTP response code to the specified value. Note that this parameter only has an effect if the string is not empty.
Renvoie
void
Voir également
header()
Depuis
1.7.3

Références null.

◆ initialise()

initialise | ( | $session = null,
 |  | $document = null,
 |  | $language = null,
 |  | $dispatcher = null
 | ) |

Initialise the application.

Paramètres
mixed | $session | An optional argument to provide dependency injection for the application's session object. If the argument is a object that object will become the application's session object, if it is false then there will be no session object, and if it is null then the default session object will be created based on the application's loadSession() method.
mixed | $document | An optional argument to provide dependency injection for the application's document object. If the argument is a object that object will become the application's document object, if it is false then there will be no document object, and if it is null then the default document object will be created based on the application's loadDocument() method.
mixed | $language | An optional argument to provide dependency injection for the application's language object. If the argument is a object that object will become the application's language object, if it is false then there will be no language object, and if it is null then the default language object will be created based on the application's loadLanguage() method.
mixed | $dispatcher | An optional argument to provide dependency injection for the application's event dispatcher. If the argument is a object that object will become the application's event dispatcher, if it is null then the default event dispatcher will be created based on the application's loadDispatcher() method.
Renvoie
WebApplication Instance of $this to allow chaining.
Obsolète:
4.0
Voir également
WebApplication::loadSession()
WebApplication::loadDocument()
WebApplication::loadLanguage()
WebApplication::loadDispatcher()
Depuis
1.7.3

Références $dispatcher, $document, et $language.

◆ isRedirectState()

isRedirectState ( $state )
protected

Checks if a state is a redirect state

Paramètres
integer $state The HTTP 1.1 status code.
Renvoie
boolean
Depuis
3.8.0

Références $state.

◆ isSSLConnection()

isSSLConnection ( )

Determine if we are using a secure (SSL) connection.

Renvoie
boolean True if using SSL, false if not.
Depuis
3.0.1

◆ loadConfiguration()

loadConfiguration ( $data )

Load an object or array into the application configuration object.

Paramètres
mixed $data Either an array or object to be loaded into the configuration object.
Renvoie
WebApplication Instance of $this to allow chaining.
Depuis
1.7.3

Références $data, et elseif.

◆ loadDocument()

loadDocument ( \JDocument $document = null )

Allows the application to load a custom or default document.

The logic and options for creating this object are adequately generic for default cases but for many applications it will make sense to override this method and create a document, if required, based on more specific needs.

Paramètres
\JDocument $document An optional document object. If omitted, the factory document is created.
Renvoie
WebApplication This method is chainable.
Depuis
1.7.3

Références $document, getDocument, et null.

◆ loadLanguage()

loadLanguage ( \JLanguage $language = null )

Allows the application to load a custom or default language.

The logic and options for creating this object are adequately generic for default cases but for many applications it will make sense to override this method and create a language, if required, based on more specific needs.

Paramètres
\JLanguage $language An optional language object. If omitted, the factory language is created.
Renvoie
WebApplication This method is chainable.
Depuis
1.7.3

Références $language, language, et null.

◆ loadSession()

loadSession ( \JSession $session = null )

Allows the application to load a custom or default session.

The logic and options for creating this object are adequately generic for default cases but for many applications it will make sense to override this method and create a session, if required, based on more specific needs.

Paramètres
\JSession $session An optional session object. If omitted, the session is created.
Renvoie
WebApplication This method is chainable.
Depuis
1.7.3

Références $name, $options, et null.

◆ loadSystemUris()

loadSystemUris ( $requestUri = null )
protected

Method to load the system URI strings for the application.

Paramètres
string $requestUri An optional request URI to use instead of detecting one from the server environment variables.
Renvoie
void
Depuis
1.7.3

Références $path, et $uri.

◆ prependBody()

prependBody ( $content )

Prepend content to the body content

Paramètres
string $content The content to prepend to the response body.
Renvoie
WebApplication Instance of $this to allow chaining.
Depuis
1.7.3

Références $content.

◆ redirect()

redirect | ( | $url,
 |  | $status = 303
 | ) |

Redirect to another URL.

If the headers have not been sent the redirect will be accomplished using a "301 Moved Permanently" or "303 See Other" code in the header pointing to the new location. If the headers have already been sent this will be accomplished using a JavaScript statement.

Paramètres
string | $url | The URL to redirect to. Can only be http/https URL.
integer | $status | The HTTP 1.1 status code to be provided. 303 is assumed by default.
Renvoie
void
Depuis
1.7.3

Références $html, $parts, $path, $prefix, $uri, $url, et json_encode.

◆ render()

render ( )
protected

Rendering is the process of pushing the document buffers into the template placeholders, retrieving data from the document and pushing it into the application response buffer.

Renvoie
void
Depuis
1.7.3

Références $data, $options, JPATH_BASE, et JPATH_THEMES.

◆ respond()

respond ( )
protected

Method to send the application response to the client. All headers will be sent prior to the main application output data.

Renvoie
void
Depuis
1.7.3

◆ sendHeaders()

sendHeaders ( )

Send the response headers.

Renvoie
WebApplication Instance of $this to allow chaining.
Depuis
1.7.3

◆ setBody()

setBody ( $content )

Set body content. If body content already defined, this will replace it.

Paramètres
string $content The content to set as the response body.
Renvoie
WebApplication Instance of $this to allow chaining.
Depuis
1.7.3

Références $content.

◆ setHeader()

setHeader | ( | $name,
 |  | $value,
 |  | $replace = false
 | ) |

Method to set a response header. If the replace flag is set then all headers with the given name will be replaced by the new one. The headers are stored in an internal array to be sent when the site is sent to the browser.

Paramètres
string | $name | The name of the header to set.
string | $value | The value of the header to set.
boolean | $replace | True to replace any headers with the same name.
Renvoie
WebApplication Instance of $this to allow chaining.
Depuis
1.7.3

Références $key, $name, $names, et $value.

Documentation des champs

◆ $charSet

$charSet = 'utf-8'

◆ $client

$client

◆ $document

$document
protected

◆ $instance

$instance
staticprotected

◆ $language

$language
protected

◆ $mimeType

$mimeType = 'text/html'

◆ $modifiedDate

$modifiedDate

◆ $response

$response
protected

◆ $responseMap

$responseMap
private

◆ $session

$session
protected

◆ $singleValueResponseHeaders

$singleValueResponseHeaders
private
Valeur initiale :
= array(
'status',
'content-length',
'host',
'content-type',
'content-location',
'date',
'location',
'retry-after',
'server',
'mime-version',
'last-modified',
'etag',
'accept-ranges',
'content-range',
'age',
'expires',
'clear-site-data',
'pragma',
'strict-transport-security',
'content-security-policy',
'content-security-policy-report-only',
'x-frame-options',
'x-xss-protection',
'x-content-type-options',
'referrer-policy',
'expect-ct',
'feature-policy',
'permissions-policy',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • WebApplication.php


Joomla CMS: Référence de la classe AssociationExtensionHelper

  • Joomla
  • CMS
  • Association
  • AssociationExtensionHelper
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe AssociationExtensionHelper
+ Graphe d'héritage de AssociationExtensionHelper:
AssociationExtensionInterface ContactAssociationsHelper ContentAssociationsHelper MenusAssociationsHelper NewsfeedsAssociationsHelper

Fonctions membres publiques

hasAssociationsSupport ()
getItemTypes ()
getAssociationList ($typeName, $itemId)
getType ($typeName='')
getTypeFields ($typeName)
getTypeSupport ($typeName)
getTypeTables ($typeName)
getTypeJoins ($typeName)
getTypeTitle ($typeName)
getTypeFieldName ($typeName, $fieldName)

Fonctions membres protégées

getSupportTemplate ()
getFieldsTemplate ()

Attributs protégés

$extension = 'com_??'
$itemTypes = array()
$associationsSupport = false

Fonctions membres privées

getTypeInformation ($typeName, $part='support')

Description détaillée

Association Extension Helper

Depuis
3.7.0

Documentation des fonctions membres

◆ getAssociationList()

getAssociationList | ( | $typeName,
 |  | $itemId
 | ) |

Get the associated items for an item

Paramètres
string | $typeName | The item type
int | $itemId | The id of item for which we need the associated items
Renvoie
array
Depuis
3.7.0

Références $itemId, $items, $key, et ArrayHelper\fromObject().

◆ getFieldsTemplate()

getFieldsTemplate ( )
protected

Get default values for fields array

Renvoie
array
Depuis
3.7.0

◆ getItemTypes()

getItemTypes ( )

Get the item types

Renvoie
array Array of item types
Depuis
3.7.0

◆ getSupportTemplate()

getSupportTemplate ( )
protected

Get default values for support array

Renvoie
array
Depuis
3.7.0

◆ getType()

getType ( $typeName = '' )

Get information about the type

Paramètres
string $typeName The item type
Renvoie
array Array of item types
Depuis
3.7.0

Références $fields, et $title.

◆ getTypeFieldName()

getTypeFieldName | ( | $typeName,
 |  | $fieldName
 | ) |

Get a table field name for a type

Paramètres
string | $typeName | The item type
string | $fieldName | The item type
Renvoie
string
Depuis
3.7.0

Références $fields, et $tmp.

◆ getTypeFields()

getTypeFields ( $typeName )

Get information about the fields the type provides

Paramètres
string $typeName The item type
Renvoie
array Array of support information
Depuis
3.7.0

◆ getTypeInformation()

getTypeInformation | ( | $typeName,
 |  | $part = 'support'
 | ) |
private

Get information about the type

Paramètres
string | $typeName | The item type
string | $part | part of the information
Renvoie
array Array of support information
Depuis
3.7.0

Références $type.

◆ getTypeJoins()

getTypeJoins ( $typeName )

Get information about the table joins for the type

Paramètres
string $typeName The item type
Renvoie
array Array of support information
Depuis
3.7.0

◆ getTypeSupport()

getTypeSupport ( $typeName )

Get information about the fields the type provides

Paramètres
string $typeName The item type
Renvoie
array Array of support information
Depuis
3.7.0

◆ getTypeTables()

getTypeTables ( $typeName )

Get information about the tables the type use

Paramètres
string $typeName The item type
Renvoie
array Array of support information
Depuis
3.7.0

◆ getTypeTitle()

getTypeTitle ( $typeName )

Get the type title

Paramètres
string $typeName The item type
Renvoie
array Array of support information
Depuis
3.7.0

Références $type.

◆ hasAssociationsSupport()

hasAssociationsSupport ( )

Checks if the extension supports associations

Renvoie
boolean Supports the extension associations
Depuis
3.7.0

Implémente AssociationExtensionInterface.

Documentation des champs

◆ $associationsSupport

boolean $associationsSupport = false
protected

Has the extension association support

Depuis
3.7.0

◆ $extension

array $extension = 'com_??'
protected

The extension name

Depuis
3.7.0

◆ $itemTypes

array $itemTypes = array()
protected

Array of item types

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • AssociationExtensionHelper.php


Joomla CMS: Référence de l'interface AssociationExtensionInterface

  • Joomla
  • CMS
  • Association
  • AssociationExtensionInterface
Fonctions membres publiques
Référence de l'interface AssociationExtensionInterface
+ Graphe d'héritage de AssociationExtensionInterface:
AssociationExtensionHelper ContactAssociationsHelper ContentAssociationsHelper MenusAssociationsHelper NewsfeedsAssociationsHelper

Fonctions membres publiques

hasAssociationsSupport ()

Description détaillée

Association Extension Interface for the helper classes

Depuis
3.7.0

Documentation des fonctions membres

◆ hasAssociationsSupport()

hasAssociationsSupport ( )

Checks if the extension supports associations

Renvoie
boolean Supports the extension associations
Depuis
3.7.0

Implémenté dans AssociationExtensionHelper.

La documentation de cette interface a été générée à partir du fichier suivant :
  • AssociationExtensionInterface.php


Joomla CMS: Référence de la classe Authentication

  • Joomla
  • CMS
  • Authentication
  • Authentication
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés | Attributs protégés statiques
Référence de la classe Authentication
+ Graphe d'héritage de Authentication:

Fonctions membres publiques

__construct ()
getState ()
attach ($observer)
detach ($observer)
authenticate ($credentials, $options=array())

Fonctions membres publiques statiques

static | getInstance ()
static | authorise ($response, $options=array())

Champs de données

const | STATUS_SUCCESS = 1
const | STATUS_CANCEL = 2
const | STATUS_FAILURE = 4
const | STATUS_EXPIRED = 8
const | STATUS_DENIED = 16
const | STATUS_UNKNOWN = 32

Attributs protégés

$observers = array()
$state = null
$methods = array()

Attributs protégés statiques

static $instance

Description détaillée

Authentication class, provides an interface for the Joomla authentication system

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Depuis
1.7.0

Références PluginHelper\importPlugin().

Documentation des fonctions membres

◆ attach()

attach ( $observer )

Attach an observer object

Paramètres
object $observer An observer object to attach
Renvoie
void
Depuis
1.7.0

Références $check, $class, et $key.

◆ authenticate()

authenticate | ( | $credentials,
 |  | $options = array()
 | ) |

Finds out if a set of login credentials are valid by asking all observing objects to run their respective authentication routines.

Paramètres
array | $credentials | Array holding the user credentials.
array | $options | Array holding user options.
Renvoie
AuthenticationResponse Response object with status variable filled in for last plugin or first successful plugin.
Voir également
AuthenticationResponse
Depuis
1.7.0

Références $className, $options, et PluginHelper\getPlugin().

◆ authorise()

static authorise | ( | $response,
 |  | $options = array()
 | ) |
static

Authorises that a particular user should be able to login

Paramètres
AuthenticationResponse | $response | response including username of the user to authorise
array | $options | list of options
Renvoie
AuthenticationResponse[] Array of authentication response objects
Depuis
1.7.0

Références $dispatcher, $options, $results, JEventDispatcher\getInstance(), et PluginHelper\importPlugin().

◆ detach()

detach ( $observer )

Detach an observer object

Paramètres
object $observer An observer object to detach.
Renvoie
boolean True if the observer object was detached.
Depuis
1.7.0

Références $key.

◆ getInstance()

static getInstance ( )
static

Returns the global authentication object, only creating it if it doesn't already exist.

Renvoie
Authentication The global Authentication object
Depuis
1.7.0

◆ getState()

getState ( )

Get the state of the Authentication object

Renvoie
mixed The state of the object.
Depuis
1.7.0

Références $state.

Documentation des champs

◆ $instance

$instance
staticprotected

◆ $methods

$methods = array()
protected

◆ $observers

$observers = array()
protected

◆ $state

$state = null
protected

◆ STATUS_CANCEL

const STATUS_CANCEL = 2

◆ STATUS_DENIED

const STATUS_DENIED = 16

◆ STATUS_EXPIRED

const STATUS_EXPIRED = 8

◆ STATUS_FAILURE

const STATUS_FAILURE = 4

◆ STATUS_SUCCESS

const STATUS_SUCCESS = 1

◆ STATUS_UNKNOWN

const STATUS_UNKNOWN = 32
La documentation de cette classe a été générée à partir du fichier suivant :
  • Authentication.php


Joomla CMS: Référence de la classe AuthenticationResponse

  • Joomla
  • CMS
  • Authentication
  • AuthenticationResponse
Champs de données
Référence de la classe AuthenticationResponse

Champs de données

$status = Authentication::STATUS_FAILURE
$type = ''
$error_message = ''
$username = ''
$password = ''
$email = ''
$fullname = ''
$birthdate = ''
$gender = ''
$postcode = ''
$country = ''
$language = ''
$timezone = ''

Description détaillée

Authentication response class, provides an object for storing user and error details

Depuis
1.7.0

Documentation des champs

◆ $birthdate

$birthdate = ''

◆ $country

$country = ''

◆ $email

$email = ''

◆ $error_message

$error_message = ''

◆ $fullname

$fullname = ''

◆ $gender

$gender = ''

◆ $language

$language = ''

◆ $password

$password = ''

◆ $postcode

$postcode = ''

◆ $status

$status = Authentication::STATUS_FAILURE

◆ $timezone

$timezone = ''

◆ $type

$type = ''

◆ $username

$username = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • AuthenticationResponse.php


Joomla CMS: Référence de l'interface ProviderAwareAuthenticationPluginInterface

  • Joomla
  • CMS
  • Authentication
  • ProviderAwareAuthenticationPluginInterface
Fonctions membres publiques statiques
Référence de l'interface ProviderAwareAuthenticationPluginInterface

Fonctions membres publiques statiques

static | isPrimaryProvider ()
static | getProviderName ()

Description détaillée

Interface class defining the necessary methods for an authentication plugin to be provider aware Please note: might be deprecated with Joomla 4.2

Depuis
3.10.7

Documentation des fonctions membres

◆ getProviderName()

static getProviderName ( )
static

Return provider name

Renvoie
string
Depuis
3.10.7

◆ isPrimaryProvider()

static isPrimaryProvider ( )
static

Return if plugin acts as primary provider

Renvoie
true
Depuis
3.10.7
La documentation de cette interface a été générée à partir du fichier suivant :
  • ProviderAwareAuthenticationPluginInterface.php


Joomla CMS: Référence de la classe CallbackController

  • Joomla
  • CMS
  • Cache
  • Controller
  • CallbackController
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe CallbackController
+ Graphe d'héritage de CallbackController:
CacheController

Fonctions membres publiques

call ()
get ($callback, $args=array(), $id=false, $wrkarounds=false, $woptions=array())
- Fonctions membres publiques hérités de CacheController
__construct ($options)
__call ($name, $arguments)
get ($id, $group=null)
store ($data, $id, $group=null, $wrkarounds=true)

Fonctions membres protégées

_makeId ($callback, $args)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de CacheController
static | getInstance ($type='output', $options=array())
static | addIncludePath ($path='')
- Champs de données hérités de CacheController
$cache
$options

Description détaillée

Joomla! Cache callback type object

Depuis
1.7.0

Documentation des fonctions membres

◆ _makeId()

_makeId | ( | $callback,
 |  | $args
 | ) |
protected

Generate a callback cache ID

Paramètres
callback | $callback | Callback to cache
array | $args | Arguments to the callback method to cache
Renvoie
string MD5 Hash
Depuis
1.7.0

Références $hash.

◆ call()

call ( )

Executes a cacheable callback if not found in cache else returns cached output and result

Since arguments to this function are read with func_get_args you can pass any number of arguments to this method as long as the first argument passed is the callback definition.

The callback definition can be in several forms:

  • Standard PHP Callback array see https://www.php.net/callback [recommended]
  • Function name as a string eg. 'foo' for function foo()
  • Static method name as a string eg. 'MyClass::myMethod' for method myMethod() of class MyClass
Renvoie
mixed Result of the callback
Depuis
1.7.0
Obsolète:
4.0

◆ get()

get | ( | $callback,
 |  | $args = array(),
 |  | $id = false,
 |  | $wrkarounds = false,
 |  | $woptions = array()
 | ) |

Executes a cacheable callback if not found in cache else returns cached output and result

Paramètres
mixed | $callback | Callback or string shorthand for a callback
array | $args | Callback arguments
mixed | $id | Cache ID
boolean | $wrkarounds | True to use workarounds
array | $woptions | Workaround options
Renvoie
mixed Result of the callback
Depuis
1.7.0

Références $class, $data, $document, $id, $output, elseif, getDocument, Cache\getWorkarounds(), null, et Cache\setWorkarounds().

La documentation de cette classe a été générée à partir du fichier suivant :
  • CallbackController.php


Joomla CMS: Référence de la classe OutputController

  • Joomla
  • CMS
  • Cache
  • Controller
  • OutputController
Fonctions membres publiques | Attributs protégés
Référence de la classe OutputController
+ Graphe d'héritage de OutputController:
CacheController

Fonctions membres publiques

start ($id, $group=null)
end ()
get ($id, $group=null)
store ($data, $id, $group=null, $wrkarounds=true)
- Fonctions membres publiques hérités de CacheController
__construct ($options)
__call ($name, $arguments)
get ($id, $group=null)
store ($data, $id, $group=null, $wrkarounds=true)

Attributs protégés

$_id
$_group
$_locktest = null

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de CacheController
static | getInstance ($type='output', $options=array())
static | addIncludePath ($path='')
- Champs de données hérités de CacheController
$cache
$options

Description détaillée

Joomla Cache output type object

Depuis
1.7.0

Documentation des fonctions membres

◆ end()

end ( )

Stop the cache buffer and store the cached data

Renvoie
boolean True if the cache data was stored
Depuis
1.7.0
Obsolète:
4.0

Références $data, $id, Log\add(), null, et Log\WARNING.

◆ get()

get | ( | $id,
 |  | $group = null
 | ) |

Get stored cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
mixed Boolean false on no result, cached object otherwise
Depuis
1.7.0

Références $data, et $id.

◆ start()

start | ( | $id,
 |  | $group = null
 | ) |

Start the cache

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0
Obsolète:
4.0

Références $data, $id, Log\add(), null, et Log\WARNING.

◆ store()

store | ( | $data,
 |  | $id,
 |  | $group = null,
 |  | $wrkarounds = true
 | ) |

Store data to cache by ID and group

Paramètres
mixed | $data | The data to store
string | $id | The cache data ID
string | $group | The cache data group
boolean | $wrkarounds | True to use wrkarounds
Renvoie
boolean True if cache stored
Depuis
1.7.0

Références $data, et $id.

Documentation des champs

◆ $_group

$_group
protected

◆ $_id

$_id
protected

◆ $_locktest

$_locktest = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • OutputController.php


Joomla CMS: Référence de la classe PageController

  • Joomla
  • CMS
  • Cache
  • Controller
  • PageController
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PageController
+ Graphe d'héritage de PageController:
CacheController

Fonctions membres publiques

get ($id=false, $group='page')
store ($data, $id, $group=null, $wrkarounds=true)
- Fonctions membres publiques hérités de CacheController
__construct ($options)
__call ($name, $arguments)
get ($id, $group=null)
store ($data, $id, $group=null, $wrkarounds=true)

Fonctions membres protégées

_makeId ()
_noChange ()
_setEtag ($etag)

Attributs protégés

$_id
$_group
$_locktest = null

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de CacheController
static | getInstance ($type='output', $options=array())
static | addIncludePath ($path='')
- Champs de données hérités de CacheController
$cache
$options

Description détaillée

Joomla! Cache page type object

Depuis
1.7.0

Documentation des fonctions membres

◆ _makeId()

_makeId ( )
protected

Generate a page cache id

Renvoie
string MD5 Hash
Depuis
1.7.0

Références Cache\makeId().

◆ _noChange()

_noChange ( )
protected

There is no change in page data so send an unmodified header and die gracefully

Renvoie
void
Depuis
1.7.0

Références $app.

◆ _setEtag()

_setEtag ( $etag )
protected

Set the ETag header in the response

Paramètres
string $etag The entity tag (etag) to set
Renvoie
void
Depuis
1.7.0

◆ get()

get | ( | $id = false,
 |  | $group = 'page'
 | ) |

Get the cached page data

Paramètres
boolean | $id | The cache data ID
string | $group | The cache data group
Renvoie
mixed Boolean false on no result, cached object otherwise
Depuis
1.7.0

Références $data, $id, Cache\getWorkarounds(), et null.

◆ store()

store | ( | $data,
 |  | $id,
 |  | $group = null,
 |  | $wrkarounds = true
 | ) |

Stop the cache buffer and store the cached data

Paramètres
mixed | $data | The data to store
string | $id | The cache data ID
string | $group | The cache data group
boolean | $wrkarounds | True to use workarounds
Renvoie
boolean
Depuis
1.7.0

Références $data, $id, et Cache\setWorkarounds().

Documentation des champs

◆ $_group

$_group
protected

◆ $_id

$_id
protected

◆ $_locktest

$_locktest = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • PageController.php


Joomla CMS: Référence de la classe ViewController

  • Joomla
  • CMS
  • Cache
  • Controller
  • ViewController
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ViewController
+ Graphe d'héritage de ViewController:
CacheController

Fonctions membres publiques

get ($view, $method='display', $id=false, $wrkarounds=true)
- Fonctions membres publiques hérités de CacheController
__construct ($options)
__call ($name, $arguments)
get ($id, $group=null)
store ($data, $id, $group=null, $wrkarounds=true)

Fonctions membres protégées

_makeId ($view, $method)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de CacheController
static | getInstance ($type='output', $options=array())
static | addIncludePath ($path='')
- Champs de données hérités de CacheController
$cache
$options

Description détaillée

Joomla! Cache view type object

Depuis
1.7.0

Documentation des fonctions membres

◆ _makeId()

_makeId | ( | $view,
 |  | $method
 | ) |
protected

Generate a view cache ID.

Paramètres
object | $view | The view object to cache output for
string | $method | The method name to cache for the view object
Renvoie
string MD5 Hash
Depuis
1.7.0

Références $view, et Cache\makeId().

◆ get()

get | ( | $view,
 |  | $method = 'display',
 |  | $id = false,
 |  | $wrkarounds = true
 | ) |

Get the cached view data

Paramètres
object | $view | The view object to cache output for
string | $method | The method name of the view method to cache output for
mixed | $id | The cache data ID
boolean | $wrkarounds | True to enable workarounds.
Renvoie
boolean True if the cache is hit (false else)
Depuis
1.7.0

Références $data, $id, $view, Cache\getWorkarounds(), null, et Cache\setWorkarounds().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ViewController.php


Joomla CMS: Référence de la classe CacheConnectingException

  • Joomla
  • CMS
  • Cache
  • Exception
  • CacheConnectingException
Référence de la classe CacheConnectingException
+ Graphe d'héritage de CacheConnectingException:
CacheExceptionInterface

Description détaillée

Exception class defining an error connecting to the cache storage engine

Depuis
3.6.3
La documentation de cette classe a été générée à partir du fichier suivant :
  • CacheConnectingException.php


Joomla CMS: Référence de l'interface CacheExceptionInterface

  • Joomla
  • CMS
  • Cache
  • Exception
  • CacheExceptionInterface
Référence de l'interface CacheExceptionInterface
+ Graphe d'héritage de CacheExceptionInterface:
CacheConnectingException UnsupportedCacheException

Description détaillée

Exception interface defining a cache storage error

Depuis
3.7.0
La documentation de cette interface a été générée à partir du fichier suivant :
  • CacheExceptionInterface.php


Joomla CMS: Référence de la classe UnsupportedCacheException

  • Joomla
  • CMS
  • Cache
  • Exception
  • UnsupportedCacheException
Référence de la classe UnsupportedCacheException
+ Graphe d'héritage de UnsupportedCacheException:
CacheExceptionInterface

Description détaillée

Exception class defining an unsupported cache storage object

Depuis
3.6.3
La documentation de cette classe a été générée à partir du fichier suivant :
  • UnsupportedCacheException.php


Joomla CMS: Référence de la classe ApcStorage

  • Joomla
  • CMS
  • Cache
  • Storage
  • ApcStorage
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe ApcStorage
+ Graphe d'héritage de ApcStorage:
CacheStorage

Fonctions membres publiques

contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)
- Fonctions membres publiques hérités de CacheStorage
__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de CacheStorage
static | isSupported ()
static | test ()
static | addIncludePath ($path='')

Membres hérités additionnels

- Champs de données hérités de CacheStorage
$_now
$_lifetime
$_locking
$_language
$_application
$_hash
- Fonctions membres protégées hérités de CacheStorage
_getCacheId ($id, $group)
- Attributs protégés hérités de CacheStorage
$rawname

Description détaillée

APC cache storage handler

1.7.0 deprecated 727.

Documentation des fonctions membres

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
1.7.0

Références $key, $mode, et elseif.

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id.

◆ gc()

gc ( )

Garbage collect expired cache data

Renvoie
boolean
Depuis
1.7.0

Références $key, et elseif.

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $id.

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $data, $item, $key, $name, et elseif.

◆ isSupported()

static isSupported ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
3.0.0

◆ lock()

lock | ( | $id,
 |  | $group,
 |  | $locktime
 | ) |

Lock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
integer | $locktime | Cached item max lock time
Renvoie
mixed Boolean false if locking failed or an object containing properties lock and locklooped
Depuis
1.7.0

Références $id.

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id.

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
1.7.0

Références $data, et $id.

◆ unlock()

unlock | ( | $id,
 |  | $group = null
 | ) |

Unlock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ApcStorage.php


Joomla CMS: Référence de la classe ApcuStorage

  • Joomla
  • CMS
  • Cache
  • Storage
  • ApcuStorage
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe ApcuStorage
+ Graphe d'héritage de ApcuStorage:
CacheStorage

Fonctions membres publiques

contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)
- Fonctions membres publiques hérités de CacheStorage
__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de CacheStorage
static | isSupported ()
static | test ()
static | addIncludePath ($path='')

Membres hérités additionnels

- Champs de données hérités de CacheStorage
$_now
$_lifetime
$_locking
$_language
$_application
$_hash
- Fonctions membres protégées hérités de CacheStorage
_getCacheId ($id, $group)
- Attributs protégés hérités de CacheStorage
$rawname

Description détaillée

APCu cache storage handler

3.5

Documentation des fonctions membres

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
3.5

Références $key, $mode, et elseif.

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id.

◆ gc()

gc ( )

Garbage collect expired cache data

Renvoie
boolean
Depuis
3.5

Références $key, et elseif.

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
3.5

Références $id.

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
3.5

Références $data, $item, $key, $name, et elseif.

◆ isSupported()

static isSupported ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
3.5

◆ lock()

lock | ( | $id,
 |  | $group,
 |  | $locktime
 | ) |

Lock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
integer | $locktime | Cached item max lock time
Renvoie
mixed Boolean false if locking failed or an object containing properties lock and locklooped
Depuis
3.5

Références $id.

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.5

Références $id.

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
3.5

Références $data, et $id.

◆ unlock()

unlock | ( | $id,
 |  | $group = null
 | ) |

Unlock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.5

Références $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ApcuStorage.php


Joomla CMS: Référence de la classe CacheliteStorage

  • Joomla
  • CMS
  • Cache
  • Storage
  • CacheliteStorage
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe CacheliteStorage
+ Graphe d'héritage de CacheliteStorage:
CacheStorage

Fonctions membres publiques

__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
gc ()
- Fonctions membres publiques hérités de CacheStorage
__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de CacheStorage
static | isSupported ()
static | test ()
static | addIncludePath ($path='')

Fonctions membres protégées

initCache ($cloptions)
- Fonctions membres protégées hérités de CacheStorage
_getCacheId ($id, $group)

Attributs protégés

$_root
- Attributs protégés hérités de CacheStorage
$rawname

Attributs protégés statiques

static $CacheLiteInstance = null

Membres hérités additionnels

- Champs de données hérités de CacheStorage
$_now
$_lifetime
$_locking
$_language
$_application
$_hash

Description détaillée

Cache lite storage handler

1.7.0 deprecated 728.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.7.0

Références $options, et null.

Documentation des fonctions membres

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
1.7.0

Références $folder, $mode, elseif, et JLoader\import().

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id.

◆ gc()

gc ( )

Garbage collect expired cache data

Renvoie
boolean
Depuis
1.7.0

Références $file.

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $id.

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $data, $file, $files, $folder, $item, et $path.

◆ initCache()

initCache ( $cloptions )
protected

Instantiates the Cache_Lite object. Only initializes the engine if it does not already exist.

Paramètres
array $cloptions optional parameters
Renvoie
Depuis
1.7.0

◆ isSupported()

static isSupported ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
3.0.0

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id.

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
1.7.0

Références $data, et $id.

Documentation des champs

◆ $_root

$_root
protected

◆ $CacheLiteInstance

$CacheLiteInstance = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CacheliteStorage.php


Joomla CMS: Référence de la classe CacheStorageHelper

  • Joomla
  • CMS
  • Cache
  • Storage
  • CacheStorageHelper
Fonctions membres publiques | Champs de données
Référence de la classe CacheStorageHelper

Fonctions membres publiques

__construct ($group)
updateSize ($size)

Champs de données

$group = ''
$size = 0
$count = 0

Description détaillée

Cache storage helper functions.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $group )

Constructor

Paramètres
string $group The cache data group
Depuis
1.7.0

Documentation des fonctions membres

◆ updateSize()

updateSize ( $size )

Increase cache items count.

Paramètres
string $size Cached item size
Renvoie
void
Depuis
1.7.0

Références size.

Documentation des champs

◆ $count

$count = 0

◆ $group

$group = ''

◆ $size

$size = 0
La documentation de cette classe a été générée à partir du fichier suivant :
  • CacheStorageHelper.php


Joomla CMS: Référence de la classe FileStorage

  • Joomla
  • CMS
  • Cache
  • Storage
  • FileStorage
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FileStorage
+ Graphe d'héritage de FileStorage:
CacheStorage

Fonctions membres publiques

__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)
- Fonctions membres publiques hérités de CacheStorage
__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres protégées

_checkExpire ($id, $group)
_getFilePath ($id, $group)
_deleteFolder ($path)
_cleanPath ($path, $ds=DIRECTORY_SEPARATOR)
_filesInFolder ($path, $filter='.', $recurse=false, $fullpath=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*', '.*~'))
_folders ($path, $filter='.', $recurse=false, $fullpath=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*'))
- Fonctions membres protégées hérités de CacheStorage
_getCacheId ($id, $group)

Attributs protégés

$_root
$_locked_files = array()
- Attributs protégés hérités de CacheStorage
$rawname

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de CacheStorage
static | isSupported ()
static | test ()
static | addIncludePath ($path='')
- Champs de données hérités de CacheStorage
$_now
$_lifetime
$_locking
$_language
$_application
$_hash

Description détaillée

File cache storage handler

Depuis
1.7.0
Note
For performance reasons this class does not use the Filesystem package's API

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters
Depuis
1.7.0

Références $options, et $path.

Documentation des fonctions membres

◆ _checkExpire()

_checkExpire | ( | $id,
 |  | $group
 | ) |
protected

Check if a cache object has expired

Using @ error suppressor here because between if we did a file_exists() and then filemsize() there will be a little time space when another process can delete the file and then you get PHP Warning

Paramètres
string | $id | Cache ID to check
string | $group | The cache data group
Renvoie
boolean True if the cache ID is valid
Depuis
1.7.0

Références $id, et $path.

◆ _cleanPath()

_cleanPath | ( | $path,
 |  | $ds = DIRECTORY_SEPARATOR
 | ) |
protected

Function to strip additional / or \ in a path name

Paramètres
string | $path | The path to clean
string | $ds | Directory separator (optional)
Renvoie
string The cleaned path
Depuis
1.7.0

Références $path.

◆ _deleteFolder()

_deleteFolder ( $path )
protected

Quickly delete a folder of files

Paramètres
string $path The path to the folder to delete.
Renvoie
boolean
Depuis
1.7.0

Références $file, $files, $folder, $path, Log\add(), elseif, et Log\WARNING.

◆ _filesInFolder()

_filesInFolder | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $fullpath = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludefilter = array('^\..*', '.*~')
 | ) |
protected

Utility function to quickly read the files in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for file names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $fullpath | True to return the full path to the file.
array | $exclude | Array with names of files which should not be shown in the result.
array | $excludefilter | Array of folder names to exclude
Renvoie
array Files in the given folder.
Depuis
1.7.0

Références $file, $filter, $path, Log\add(), et Log\WARNING.

◆ _folders()

_folders | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $fullpath = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludefilter = array('^\..*')
 | ) |
protected

Utility function to read the folders in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for folder names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $fullpath | True to return the full path to the folders.
array | $exclude | Array with names of folders which should not be shown in the result.
array | $excludefilter | Array with regular expressions matching folders which should not be shown in the result.
Renvoie
array Folders in the given folder.
Depuis
1.7.0

Références $file, $filter, $path, Log\add(), et Log\WARNING.

◆ _getFilePath()

_getFilePath | ( | $id,
 |  | $group
 | ) |
protected

Get a cache file path from an ID/group pair

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean|string The path to the data object or boolean false if the cache directory does not exist
Depuis
1.7.0

Références $id, et $name.

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
1.7.0

Références $folder, $i, $mode, $n, et $return.

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id.

◆ gc()

gc ( )

Garbage collect expired cache data

Renvoie
boolean
Depuis
1.7.0

Références $file, et $files.

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $data, $id, et $path.

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $data, $file, $files, $folder, $item, et $path.

◆ lock()

lock | ( | $id,
 |  | $group,
 |  | $locktime
 | ) |

Lock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
integer | $locktime | Cached item max lock time
Renvoie
mixed Boolean false if locking failed or an object containing properties lock and locklooped
Depuis
1.7.0

Références $id, et $path.

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id, et $path.

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
1.7.0

Références $data, $id, et $path.

◆ unlock()

unlock | ( | $id,
 |  | $group = null
 | ) |

Unlock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id, et $path.

Documentation des champs

◆ $_locked_files

$_locked_files = array()
protected

◆ $_root

$_root
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FileStorage.php


Joomla CMS: Référence de la classe MemcachedStorage

  • Joomla
  • CMS
  • Cache
  • Storage
  • MemcachedStorage
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe MemcachedStorage
+ Graphe d'héritage de MemcachedStorage:
CacheStorage

Fonctions membres publiques

__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)
- Fonctions membres publiques hérités de CacheStorage
__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de CacheStorage
static | isSupported ()
static | test ()
static | addIncludePath ($path='')

Fonctions membres protégées

getConnection ()
_getCacheId ($id, $group)
lockindex ()
unlockindex ()
- Fonctions membres protégées hérités de CacheStorage
_getCacheId ($id, $group)

Attributs protégés

$_compress = 0
- Attributs protégés hérités de CacheStorage
$rawname

Attributs protégés statiques

static $_db = null

Membres hérités additionnels

- Champs de données hérités de CacheStorage
$_now
$_lifetime
$_locking
$_language
$_application
$_hash

Description détaillée

Memcached cache storage handler

3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
3.0.0

Références $options, et null.

Documentation des fonctions membres

◆ _getCacheId()

_getCacheId | ( | $id,
 |  | $group
 | ) |
protected

Get a cache_id string from an id/group pair

Paramètres
string | $id | The cache data id
string | $group | The cache data group
Renvoie
string The cache_id string
Depuis
1.7.0

Références $id, $prefix, et Cache\getPlatformPrefix().

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
3.0.0

Références $key, $mode, $prefix, et $value.

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id.

◆ flush()

flush ( )

Flush all existing items in storage.

Renvoie
boolean
Depuis
3.6.3

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
3.0.0

Références $id.

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
3.0.0

Références $data, $item, et $key.

◆ getConnection()

getConnection ( )
protected

Create the Memcached connection

Renvoie
void
Depuis
3.0.0
Exceptions

Références $config, et null.

◆ isSupported()

static isSupported ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
3.0.0

◆ lock()

lock | ( | $id,
 |  | $group,
 |  | $locktime
 | ) |

Lock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
integer | $locktime | Cached item max lock time
Renvoie
mixed Boolean false if locking failed or an object containing properties lock and locklooped
Depuis
3.0.0

Références $id.

◆ lockindex()

lockindex ( )
protected

Lock cache index

Renvoie
boolean
Depuis
3.0.0

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.0.0

Références $id, $key, et $value.

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
3.0.0

Références $data, et $id.

◆ unlock()

unlock | ( | $id,
 |  | $group = null
 | ) |

Unlock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.0.0

Références $id.

◆ unlockindex()

unlockindex ( )
protected

Unlock cache index

Renvoie
boolean
Depuis
3.0.0

Documentation des champs

◆ $_compress

$_compress = 0
protected

◆ $_db

$_db = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • MemcachedStorage.php


Joomla CMS: Référence de la classe MemcacheStorage

  • Joomla
  • CMS
  • Cache
  • Storage
  • MemcacheStorage
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe MemcacheStorage
+ Graphe d'héritage de MemcacheStorage:
CacheStorage

Fonctions membres publiques

__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)
- Fonctions membres publiques hérités de CacheStorage
__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de CacheStorage
static | isSupported ()
static | test ()
static | addIncludePath ($path='')

Fonctions membres protégées

getConnection ()
_getCacheId ($id, $group)
lockindex ()
unlockindex ()
- Fonctions membres protégées hérités de CacheStorage
_getCacheId ($id, $group)

Attributs protégés

$_compress = 0
- Attributs protégés hérités de CacheStorage
$rawname

Attributs protégés statiques

static $_db = null

Membres hérités additionnels

- Champs de données hérités de CacheStorage
$_now
$_lifetime
$_locking
$_language
$_application
$_hash

Description détaillée

Memcache cache storage handler

1.7.0 deprecated 729.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.7.0

Références $options, et null.

Documentation des fonctions membres

◆ _getCacheId()

_getCacheId | ( | $id,
 |  | $group
 | ) |
protected

Get a cache_id string from an id/group pair

Paramètres
string | $id | The cache data id
string | $group | The cache data group
Renvoie
string The cache_id string
Depuis
1.7.0

Références $id, $prefix, et Cache\getPlatformPrefix().

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
1.7.0

Références $key, $mode, $prefix, et $value.

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id.

◆ flush()

flush ( )

Flush all existing items in storage.

Renvoie
boolean
Depuis
3.6.3

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $id.

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $data, $item, et $key.

◆ getConnection()

getConnection ( )
protected

Create the Memcache connection

Renvoie
void
Depuis
1.7.0
Exceptions

Références $config, et null.

◆ isSupported()

static isSupported ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
3.0.0

◆ lock()

lock | ( | $id,
 |  | $group,
 |  | $locktime
 | ) |

Lock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
integer | $locktime | Cached item max lock time
Renvoie
mixed Boolean false if locking failed or an object containing properties lock and locklooped
Depuis
1.7.0

Références $id.

◆ lockindex()

lockindex ( )
protected

Lock cache index

Renvoie
boolean
Depuis
1.7.0

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id, $key, et $value.

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
1.7.0

Références $data, et $id.

◆ unlock()

unlock | ( | $id,
 |  | $group = null
 | ) |

Unlock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id.

◆ unlockindex()

unlockindex ( )
protected

Unlock cache index

Renvoie
boolean
Depuis
1.7.0

Documentation des champs

◆ $_compress

$_compress = 0
protected

◆ $_db

$_db = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • MemcacheStorage.php


Joomla CMS: Référence de la classe RedisStorage

  • Joomla
  • CMS
  • Cache
  • Storage
  • RedisStorage
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe RedisStorage
+ Graphe d'héritage de RedisStorage:
CacheStorage

Fonctions membres publiques

__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
- Fonctions membres publiques hérités de CacheStorage
__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres publiques statiques

static | isSupported ()
static | isConnected ()
- Fonctions membres publiques statiques hérités de CacheStorage
static | isSupported ()
static | test ()
static | addIncludePath ($path='')

Fonctions membres protégées

getConnection ()
- Fonctions membres protégées hérités de CacheStorage
_getCacheId ($id, $group)

Attributs protégés

$_persistent = false
- Attributs protégés hérités de CacheStorage
$rawname

Attributs protégés statiques

static $_redis = null

Membres hérités additionnels

- Champs de données hérités de CacheStorage
$_now
$_lifetime
$_locking
$_language
$_application
$_hash

Description détaillée

Redis cache storage handler for PECL

Depuis
3.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
3.4

Références $options, et null.

Documentation des fonctions membres

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
3.4

Références $key, et $mode.

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id.

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
3.4

Références $id.

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
3.4

Références $data, $item, et $key.

◆ getConnection()

getConnection ( )
protected

Create the Redis connection

Renvoie
|boolean Redis connection object on success, boolean on failure
Depuis
3.4
Note
As of 4.0 this method will throw a JCacheExceptionConnecting object on connection failure

Références $config, Log\add(), Log\DEBUG, null, et JError\raiseWarning().

◆ isConnected()

static isConnected ( )
static

Test to see if the Redis connection is available.

Renvoie
boolean
Depuis
3.4

◆ isSupported()

static isSupported ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
3.4

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.4

Références $id.

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
3.4

Références $data, et $id.

Documentation des champs

◆ $_persistent

$_persistent = false
protected

◆ $_redis

$_redis = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • RedisStorage.php


Joomla CMS: Référence de la classe WincacheStorage

  • Joomla
  • CMS
  • Cache
  • Storage
  • WincacheStorage
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe WincacheStorage
+ Graphe d'héritage de WincacheStorage:
CacheStorage

Fonctions membres publiques

contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
gc ()
- Fonctions membres publiques hérités de CacheStorage
__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de CacheStorage
static | isSupported ()
static | test ()
static | addIncludePath ($path='')

Membres hérités additionnels

- Champs de données hérités de CacheStorage
$_now
$_lifetime
$_locking
$_language
$_application
$_hash
- Fonctions membres protégées hérités de CacheStorage
_getCacheId ($id, $group)
- Attributs protégés hérités de CacheStorage
$rawname

Description détaillée

WinCache cache storage handler

1.7.0

Documentation des fonctions membres

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
1.7.0

Références $key, et $mode.

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id.

◆ gc()

gc ( )

Garbage collect expired cache data

Renvoie
boolean
Depuis
1.7.0

Références $key.

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $id.

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $data, $item, $key, et $name.

◆ isSupported()

static isSupported ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
3.0.0

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id.

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
1.7.0

Références $data, et $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • WincacheStorage.php


Joomla CMS: Référence de la classe XcacheStorage

  • Joomla
  • CMS
  • Cache
  • Storage
  • XcacheStorage
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe XcacheStorage
+ Graphe d'héritage de XcacheStorage:
CacheStorage

Fonctions membres publiques

contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
- Fonctions membres publiques hérités de CacheStorage
__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de CacheStorage
static | isSupported ()
static | test ()
static | addIncludePath ($path='')

Membres hérités additionnels

- Champs de données hérités de CacheStorage
$_now
$_lifetime
$_locking
$_language
$_application
$_hash
- Fonctions membres protégées hérités de CacheStorage
_getCacheId ($id, $group)
- Attributs protégés hérités de CacheStorage
$rawname

Description détaillée

XCache cache storage handler

1.7.0 deprecated 730.

Documentation des fonctions membres

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
1.7.0

Références $key, et $mode.

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id.

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $id, et null.

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0
Note
This requires the php.ini setting xcache.admin.enable_auth = Off.

Références $data, $item, et $key.

◆ isSupported()

static isSupported ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
3.0.0

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id.

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
1.7.0

Références $data, et $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • XcacheStorage.php


Joomla CMS: Référence de la classe Cache

  • Joomla
  • CMS
  • Cache
  • Cache
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs publics statiques
Référence de la classe Cache

Fonctions membres publiques

__construct ($options)
setCaching ($enabled)
getCaching ()
setLifeTime ($lt)
contains ($id, $group=null)
get ($id, $group=null)
getAll ()
store ($data, $id, $group=null)
remove ($id, $group=null)
clean ($group=null, $mode='group')
gc ()
lock ($id, $group=null, $locktime=null)
unlock ($id, $group=null)
& _getStorage ()

Fonctions membres publiques statiques

static | getInstance ($type='output', $options=array())
static | getStores ()
static | getWorkarounds ($data, $options=array())
static | setWorkarounds ($data, $options=array())
static | makeId ()
static | getPlatformPrefix ()
static | addIncludePath ($path='')

Champs de données

$_options

Attributs publics statiques

static $_handler = array()

Description détaillée

Joomla! Cache base object

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor

Paramètres
array $options Cache options
Depuis
1.7.0

Références $option, $options, $value, JPATH_CACHE, et Cache\setCaching().

Documentation des fonctions membres

◆ _getStorage()

& _getStorage ( )

Get the cache storage handler

Renvoie
CacheStorage
Depuis
1.7.0

Références $hash.

Référencé par Cache\clean(), Cache\contains(), Cache\gc(), Cache\get(), Cache\getAll(), Cache\lock(), Cache\remove(), Cache\store(), et Cache\unlock().

◆ addIncludePath()

static addIncludePath ( $path = '' )
static

Add a directory where Cache should search for handlers. You may either pass a string or an array of directories.

Paramètres
array | string $path A path to search.
Renvoie
array An array with directory elements
Depuis
1.7.0

Références $path, et JLoader\import().

◆ clean()

clean | ( | $group = null,
 |  | $mode = 'group'
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean True on success, false otherwise
Depuis
1.7.0

Références $mode, Cache\_getStorage(), et Cache\getCaching().

◆ contains()

contains | ( | $id,
 |  | $group = null
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

Références $id, Cache\_getStorage(), et Cache\getCaching().

◆ gc()

gc ( )

Garbage collect expired cache data

Renvoie
boolean
Depuis
1.7.0

Références Cache\_getStorage(), et Cache\getCaching().

◆ get()

get | ( | $id,
 |  | $group = null
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

Références $id, Cache\_getStorage(), et Cache\getCaching().

◆ getAll()

getAll ( )

Get a list of all cached data

Renvoie
mixed Boolean false on failure or an object with a list of cache groups and data
Depuis
1.7.0

Références Cache\_getStorage(), et Cache\getCaching().

◆ getCaching()

getCaching ( )

Get caching state

Renvoie
boolean
Depuis
1.7.0

Référencé par Cache\clean(), Cache\contains(), Cache\gc(), Cache\get(), Cache\getAll(), Cache\lock(), Cache\remove(), Cache\store(), et Cache\unlock().

◆ getInstance()

static getInstance | ( | $type = 'output',
 |  | $options = array()
 | ) |
static

Returns a reference to a cache adapter object, always creating it

Paramètres
string | $type | The cache object type to instantiate
array | $options | The array of options
Renvoie
CacheController
Depuis
1.7.0

Références $options, $type, et CacheController\getInstance().

Référencé par PlgSystemActionLogs\clearCacheGroups(), et Factory\getCache().

◆ getPlatformPrefix()

static getPlatformPrefix ( )
static

Set a prefix cache key if device calls for separate caching

Renvoie
string
Depuis
3.5

Référencé par MemcacheStorage\_getCacheId(), MemcachedStorage\_getCacheId(), et CacheStorage\_getCacheId().

◆ getStores()

static getStores ( )
static

Get the storage handlers

Renvoie
array
Depuis
1.7.0

$file

Références $class, et $file.

◆ getWorkarounds()

static getWorkarounds | ( | $data,
 |  | $options = array()
 | ) |
static

Perform workarounds on retrieved cached data

Paramètres
string | $data | Cached data
array | $options | Array of options
Renvoie
string Body of cached data
Depuis
1.7.0

Références $app, $data, $document, $name, $options, elseif, getDocument, et null.

Référencé par ViewController\get(), PageController\get(), CallbackController\get(), et HtmlDocument\getBuffer().

◆ lock()

lock | ( | $id,
 |  | $group = null,
 |  | $locktime = null
 | ) |

Set lock flag on cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $locktime | The default locktime for locking the cache.
Renvoie
Object with properties of lock and locklooped
Depuis
1.7.0

Références $id, Cache\_getStorage(), et Cache\getCaching().

◆ makeId()

static makeId ( )
static

Create a safe ID for cached data from URL parameters

Renvoie
string MD5 encoded cache ID
Depuis
1.7.0

Références $app, $key, $param, $type, $value, et null.

Référencé par ViewController\_makeId(), et PageController\_makeId().

◆ remove()

remove | ( | $id,
 |  | $group = null
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id, Cache\_getStorage(), et Cache\getCaching().

◆ setCaching()

setCaching ( $enabled )

Set caching enabled state

Paramètres
boolean $enabled True to enable caching
Renvoie
void
Depuis
1.7.0

Références $enabled.

Référencé par Cache\__construct().

◆ setLifeTime()

setLifeTime ( $lt )

Set cache lifetime

Paramètres
integer $lt Cache lifetime
Renvoie
void
Depuis
1.7.0

◆ setWorkarounds()

static setWorkarounds | ( | $data,
 |  | $options = array()
 | ) |
static

Create workarounds for data to be cached

Paramètres
string | $data | Cached data
array | $options | Array of options
Renvoie
string Data to be cached
Depuis
1.7.0

Références $app, $data, $document, $now, $options, $type, $value, et getDocument.

Référencé par ViewController\get(), CallbackController\get(), HtmlDocument\getBuffer(), et PageController\store().

◆ store()

store | ( | $data,
 |  | $id,
 |  | $group = null
 | ) |

Store the cached data by ID and group

Paramètres
mixed | $data | The data to store
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $data, $id, Cache\_getStorage(), et Cache\getCaching().

◆ unlock()

unlock | ( | $id,
 |  | $group = null
 | ) |

Unset lock flag on cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Références $id, Cache\_getStorage(), et Cache\getCaching().

Documentation des champs

◆ $_handler

$_handler = array()
static

◆ $_options

$_options
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Cache/Cache.php


Joomla CMS: Référence de la classe CacheController

  • Joomla
  • CMS
  • Cache
  • CacheController
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données
Référence de la classe CacheController
+ Graphe d'héritage de CacheController:
CallbackController OutputController PageController ViewController

Fonctions membres publiques

__construct ($options)
__call ($name, $arguments)
get ($id, $group=null)
store ($data, $id, $group=null, $wrkarounds=true)

Fonctions membres publiques statiques

static | getInstance ($type='output', $options=array())
static | addIncludePath ($path='')

Champs de données

$cache
$options

Description détaillée

Public cache handler

Depuis
1.7.0
Note
As of 4.0 this class will be abstract

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor

Paramètres
array $options Array of options
Depuis
1.7.0

Références $option, $options, et $value.

Documentation des fonctions membres

◆ __call()

__call | ( | $name,
 |  | $arguments
 | ) |

Magic method to proxy CacheController method calls to Cache

Paramètres
string | $name | Name of the function
array | $arguments | Array of arguments for the function
Renvoie
mixed
Depuis
1.7.0

Références $name.

◆ addIncludePath()

static addIncludePath ( $path = '' )
static

Add a directory where Cache should search for controllers. You may either pass a string or an array of directories.

Paramètres
array | string $path A path to search.
Renvoie
array An array with directory elements
Depuis
1.7.0

Références $path, et JLoader\import().

◆ get()

get | ( | $id,
 |  | $group = null
 | ) |

Get stored cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
mixed Boolean false on no result, cached object otherwise
Depuis
1.7.0
Obsolète:
4.0 Implement own method in subclass

Références $data, et $id.

◆ getInstance()

static getInstance | ( | $type = 'output',
 |  | $options = array()
 | ) |
static

Returns a reference to a cache adapter object, always creating it

Paramètres
string | $type | The cache object type to instantiate; default is output.
array | $options | Array of options
Renvoie
CacheController
Depuis
1.7.0
Exceptions

Références $class, $options, $path, $type, JLoader\import(), et JLoader\register().

Référencé par Cache\getInstance().

◆ store()

store | ( | $data,
 |  | $id,
 |  | $group = null,
 |  | $wrkarounds = true
 | ) |

Store data to cache by ID and group

Paramètres
mixed | $data | The data to store
string | $id | The cache data ID
string | $group | The cache data group
boolean | $wrkarounds | True to use wrkarounds
Renvoie
boolean True if cache stored
Depuis
1.7.0
Obsolète:
4.0 Implement own method in subclass

Références $data, et $id.

Documentation des champs

◆ $cache

$cache

◆ $options

$options
La documentation de cette classe a été générée à partir du fichier suivant :
  • CacheController.php


Joomla CMS: Référence de la classe CacheStorage

  • Joomla
  • CMS
  • Cache
  • CacheStorage
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe CacheStorage
+ Graphe d'héritage de CacheStorage:
ApcStorage ApcuStorage CacheliteStorage FileStorage MemcachedStorage MemcacheStorage RedisStorage WincacheStorage XcacheStorage

Fonctions membres publiques

__construct ($options=array())
contains ($id, $group)
get ($id, $group, $checkTime=true)
getAll ()
store ($id, $group, $data)
remove ($id, $group)
clean ($group, $mode=null)
flush ()
gc ()
lock ($id, $group, $locktime)
unlock ($id, $group=null)

Fonctions membres publiques statiques

static | isSupported ()
static | test ()
static | addIncludePath ($path='')

Champs de données

$_now
$_lifetime
$_locking
$_language
$_application
$_hash

Fonctions membres protégées

_getCacheId ($id, $group)

Attributs protégés

$rawname

Description détaillée

Abstract cache storage handler

Depuis
1.7.0
Note
As of 4.0 this class will be abstract

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters
Depuis
1.7.0

Références $config, $options, et JPATH_CONFIGURATION.

Documentation des fonctions membres

◆ _getCacheId()

_getCacheId | ( | $id,
 |  | $group
 | ) |
protected

Get a cache ID string from an ID/group pair

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
string
Depuis
1.7.0

Références $id, $name, et Cache\getPlatformPrefix().

◆ addIncludePath()

static addIncludePath ( $path = '' )
static

Add a directory where CacheStorage should search for handlers. You may either pass a string or an array of directories.

Paramètres
array | string $path A path to search.
Renvoie
array An array with directory elements
Depuis
1.7.0

Références $path, et JLoader\import().

◆ clean()

clean | ( | $group,
 |  | $mode = null
 | ) |

Clean cache for a group given a mode.

group mode : cleans all cache in the group notgroup mode : cleans all cache not in the group

Paramètres
string | $group | The cache data group
string | $mode | The mode for cleaning cache [group|notgroup]
Renvoie
boolean
Depuis
1.7.0

◆ contains()

contains | ( | $id,
 |  | $group
 | ) |

Check if the cache contains data stored by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
3.7.0

◆ flush()

flush ( )

Flush all existing items in storage.

Renvoie
boolean
Depuis
3.6.3

◆ gc()

gc ( )

Garbage collect expired cache data

Renvoie
boolean
Depuis
1.7.0

◆ get()

get | ( | $id,
 |  | $group,
 |  | $checkTime = true
 | ) |

Get cached data by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
boolean | $checkTime | True to verify cache time expiration threshold
Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

◆ getAll()

getAll ( )

Get all cached data

Renvoie
mixed Boolean false on failure or a cached data object
Depuis
1.7.0

◆ isSupported()

static isSupported ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
3.0.0

◆ lock()

lock | ( | $id,
 |  | $group,
 |  | $locktime
 | ) |

Lock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
integer | $locktime | Cached item max lock time
Renvoie
mixed Boolean false if locking failed or an object containing properties lock and locklooped
Depuis
1.7.0

◆ remove()

remove | ( | $id,
 |  | $group
 | ) |

Remove a cached data entry by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

◆ store()

store | ( | $id,
 |  | $group,
 |  | $data
 | ) |

Store the data to cache by ID and group

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
string | $data | The data to store in cache
Renvoie
boolean
Depuis
1.7.0

◆ test()

static test ( )
static

Test to see if the storage handler is available.

Renvoie
boolean
Depuis
1.7.0
Obsolète:
4.0

Références Log\add(), et Log\WARNING.

◆ unlock()

unlock | ( | $id,
 |  | $group = null
 | ) |

Unlock cached item

Paramètres
string | $id | The cache data ID
string | $group | The cache data group
Renvoie
boolean
Depuis
1.7.0

Documentation des champs

◆ $_application

$_application

◆ $_hash

$_hash

◆ $_language

$_language

◆ $_lifetime

$_lifetime

◆ $_locking

$_locking

◆ $_now

$_now

◆ $rawname

$rawname
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CacheStorage.php


Joomla CMS: Référence de la classe HttpBridgePostRequestMethod

  • Joomla
  • CMS
  • Captcha
  • Google
  • HttpBridgePostRequestMethod
Fonctions membres publiques | Champs de données | Attributs privés
Référence de la classe HttpBridgePostRequestMethod
+ Graphe d'héritage de HttpBridgePostRequestMethod:
RequestMethod

Fonctions membres publiques

__construct (Http $http=null)
submit (RequestParameters $params)

Champs de données

const SITE_VERIFY_URL = 'https://www.google.com/recaptcha/api/siteverify'

Attributs privés

$http

Description détaillée

Bridges the Joomla! HTTP API to the Google Recaptcha RequestMethod interface for a POST request.

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Http $http = null )

Class constructor.

Paramètres
Http | null $http The HTTP adapter
Depuis
3.9.0

Références HttpFactory\getHttp().

Documentation des fonctions membres

◆ submit()

submit ( RequestParameters $params )

Submit the request with the specified parameters.

Paramètres
RequestParameters $params Request parameters
Renvoie
string Body of the reCAPTCHA response
Depuis
3.9.0

Implémente RequestMethod.

Références $params.

Documentation des champs

◆ $http

$http
private

◆ SITE_VERIFY_URL

const SITE_VERIFY_URL = 'https://www.google.com/recaptcha/api/siteverify'
La documentation de cette classe a été générée à partir du fichier suivant :
  • HttpBridgePostRequestMethod.php


Joomla CMS: Référence de la classe Captcha

  • Joomla
  • CMS
  • Captcha
  • Captcha
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Fonctions membres privées | Attributs privés | Attributs privés statiques
Référence de la classe Captcha
+ Graphe d'héritage de Captcha:

Fonctions membres publiques

__construct ($captcha, $options)
initialise ($id)
display ($name, $id, $class='')
checkAnswer ($code)
setupField (\Joomla\CMS\Form\Field\CaptchaField $field, \SimpleXMLElement $element)
getState ()
attach ($observer)
detach ($observer)

Fonctions membres publiques statiques

static getInstance ($captcha, array $options=array())

Attributs protégés

$_observers = array()
$_state = null
$_methods = array()

Fonctions membres privées

_load (array $options=array())

Attributs privés

$_captcha
$_name

Attributs privés statiques

static $_instances = array()

Description détaillée

Joomla! Captcha base object

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $captcha,
 |  | $options
 | ) |

Class constructor.

Paramètres
string | $captcha | The plugin to use.
array | $options | Associative array of options.
Depuis
2.5
Exceptions

Références $options.

Documentation des fonctions membres

◆ _load()

_load ( array $options = array() )
private

Load the Captcha plugin.

Paramètres
array $options Associative array of options.
Renvoie
void
Depuis
2.5
Exceptions

Références $name, $options, $params, $path, PluginHelper\getPlugin(), et JPATH_PLUGINS.

◆ attach()

attach ( $observer )

Attach an observer object

Paramètres
object $observer An observer object to attach
Renvoie
void
Depuis
2.5

Références $check, $class, et $key.

◆ checkAnswer()

checkAnswer ( $code )

Checks if the answer is correct.

Paramètres
string $code The answer.
Renvoie
bool Whether the provided answer was correct
Depuis
2.5
Exceptions

Références null.

◆ detach()

detach ( $observer )

Detach an observer object

Paramètres
object $observer An observer object to detach.
Renvoie
boolean True if the observer object was detached.
Depuis
2.5

Références $key.

◆ display()

display | ( | $name,
 |  | $id,
 |  | $class = ''
 | ) |

Get the HTML for the captcha.

Paramètres
string | $name | The control name.
string | $id | The id for the control.
string | $class | Value for the HTML class attribute
Renvoie
mixed The return value of the function "onDisplay" of the selected Plugin.
Depuis
2.5
Exceptions

Références $class, $id, $name, et null.

◆ getInstance()

static getInstance | ( |  | $captcha,
 |  | array | $options = array()
 | ) |  |
static

Returns the global Captcha object, only creating it if it doesn't already exist.

Paramètres
string | $captcha | The plugin to use.
array | $options | Associative array of options.
Renvoie
Captcha|null Instance of this class.
Depuis
2.5
Exceptions

Références $options.

Référencé par CaptchaField\setup(), et CaptchaRule\test().

◆ getState()

getState ( )

Get the state of the Captcha object

Renvoie
mixed The state of the object.
Depuis
2.5

◆ initialise()

initialise ( $id )

Fire the onInit event to initialise the captcha plugin.

Paramètres
string $id The id of the field.
Renvoie
boolean True on success
Depuis
2.5
Exceptions

Références $id.

◆ setupField()

setupField | ( | \Joomla\CMS\Form\Field\CaptchaField | $field,
 |  | \SimpleXMLElement | $element
 | ) |  |

Method to react on the setup of a captcha field. Gives the possibility to change the field and/or the XML element for the field.

Paramètres
\Joomla\CMS\Form\Field\CaptchaField | $field | Captcha field instance
\SimpleXMLElement | $element | XML form definition
Renvoie
void

Références $field, et null.

Documentation des champs

◆ $_captcha

$_captcha
private

◆ $_instances

$_instances = array()
staticprivate

◆ $_methods

$_methods = array()
protected

◆ $_name

$_name
private

◆ $_observers

$_observers = array()
protected

◆ $_state

$_state = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Captcha.php


Joomla CMS: Référence de la classe Categories

  • Joomla
  • CMS
  • Categories
  • Categories
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs publics statiques | Attributs protégés
Référence de la classe Categories
+ Graphe d'héritage de Categories:
CategoryInterface

Fonctions membres publiques

__construct ($options)
get ($id='root', $forceload=false)
getExtension ()

Fonctions membres publiques statiques

static getInstance ($extension, $options=array())

Attributs publics statiques

static $instances = array()

Attributs protégés

$_nodes
$_checkedCategories
$_extension = null
$_table = null
$_field = null
$_key = null
$_statefield = null
$_options = null

Description détaillée

Categories Class.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Class constructor

Paramètres
array $options Array of options
Depuis
1.6

Références $options, Factory\getLanguage(), et Multilanguage\isEnabled().

Documentation des fonctions membres

◆ get()

get | ( | $id = 'root',
 |  | $forceload = false
 | ) |

Loads a specific category and all its children in a CategoryNode object

Paramètres
mixed | $id | an optional id integer or equal to 'root'
boolean | $forceload | True to force the _load method to execute
Renvoie
CategoryNode|null|boolean CategoryNode object or null if $id is not valid
Depuis
1.6

Implémente CategoryInterface.

Références $id, et elseif.

◆ getExtension()

getExtension ( )

Returns the extension of the category.

Renvoie
string The extension
Depuis
3.9.0

◆ getInstance()

static getInstance | ( | $extension,
 |  | $options = array()
 | ) |
static

Returns a reference to a Categories object

Paramètres
string | $extension | Name of the categories extension
array | $options | An array of options
Renvoie
Categories|boolean Categories object on success, boolean false if an object does not exist
Depuis
1.6

Références $component, $extension, $hash, $options, $parts, $path, $section, JPATH_SITE, et JLoader\register().

Documentation des champs

◆ $_checkedCategories

$_checkedCategories
protected

◆ $_extension

$_extension = null
protected

◆ $_field

$_field = null
protected

◆ $_key

$_key = null
protected

◆ $_nodes

$_nodes
protected

◆ $_options

$_options = null
protected

◆ $_statefield

$_statefield = null
protected

◆ $_table

$_table = null
protected

◆ $instances

$instances = array()
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • Categories.php


Joomla CMS: Référence de la classe CategoryFactory

  • Joomla
  • CMS
  • Categories
  • CategoryFactory
Fonctions membres publiques | Attributs privés
Référence de la classe CategoryFactory
+ Graphe d'héritage de CategoryFactory:
CategoryFactoryInterface

Fonctions membres publiques

__construct ($namespace)
createCategory (array $options=array(), $section='')

Attributs privés

$namespace

Description détaillée

Option based categories factory.

Depuis
3.10.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $namespace )

The namespace must be like: Joomla

Paramètres
string $namespace The namespace
Depuis
3.10.0

Documentation des fonctions membres

◆ createCategory()

createCategory | ( | array | $options = array(),
 |  |  | $section = ''
 | ) |  |

Creates a category.

Paramètres
array | $options | The options
string | $section | The section
Renvoie
CategoryInterface
Depuis
3.10.0
Exceptions
SectionNotFoundException

Implémente CategoryFactoryInterface.

Références $className, $options, et $section.

Documentation des champs

◆ $namespace

$namespace
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • CategoryFactory.php


Joomla CMS: Référence de l'interface CategoryFactoryInterface

  • Joomla
  • CMS
  • Categories
  • CategoryFactoryInterface
Fonctions membres publiques
Référence de l'interface CategoryFactoryInterface
+ Graphe d'héritage de CategoryFactoryInterface:
CategoryFactory

Fonctions membres publiques

createCategory (array $options=array(), $section='')

Description détaillée

Category factory interface

Depuis
3.10.0

Documentation des fonctions membres

◆ createCategory()

createCategory | ( | array | $options = array(),
 |  |  | $section = ''
 | ) |  |

Creates a category.

Paramètres
array | $options | The options
string | $section | The section
Renvoie
CategoryInterface
Depuis
3.10.0
Exceptions
SectionNotFoundException

Implémenté dans CategoryFactory.

La documentation de cette interface a été générée à partir du fichier suivant :
  • CategoryFactoryInterface.php


Joomla CMS: Référence de l'interface CategoryInterface

  • Joomla
  • CMS
  • Categories
  • CategoryInterface
Fonctions membres publiques
Référence de l'interface CategoryInterface
+ Graphe d'héritage de CategoryInterface:
Categories

Fonctions membres publiques

get ($id='root', $forceload=false)

Description détaillée

The category interface.

Depuis
3.10.0

Documentation des fonctions membres

◆ get()

get | ( | $id = 'root',
 |  | $forceload = false
 | ) |

Loads a specific category and all its children in a CategoryNode object.

Paramètres
mixed | $id | an optional id integer or equal to 'root'
boolean | $forceload | True to force the _load method to execute
Renvoie
CategoryNode|null CategoryNode object or null if $id is not valid
Depuis
3.10.0

Implémenté dans Categories.

La documentation de cette interface a été générée à partir du fichier suivant :
  • CategoryInterface.php


Joomla CMS: Référence de la classe CategoryNode

  • Joomla
  • CMS
  • Categories
  • CategoryNode
Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe CategoryNode
+ Graphe d'héritage de CategoryNode:

Fonctions membres publiques

__construct ($category=null, $constructor=null)
setParent ($parent)
addChild ($child)
removeChild ($id)
& getChildren ($recursive=false)
getParent ()
hasChildren ()
hasParent ()
setSibling ($sibling, $right=true)
getSibling ($right=true)
getParams ()
getMetadata ()
getPath ()
getAuthor ($modifiedUser=false)
setAllLoaded ()
getNumItems ($recursive=false)

Champs de données

$id = null
$asset_id = null
$parent_id = null
$lft = null
$rgt = null
$level = null
$extension = null
$title = null
$alias = null
$description = null
$published = null
$checked_out = 0
$checked_out_time = 0
$access = null
$params = null
$metadesc = null
$metakey = null
$metadata = null
$created_user_id = null
$created_time = null
$modified_user_id = null
$modified_time = null
$hits = null
$language = null
$numitems = null
$childrennumitems = null
$slug = null
$assets = null

Attributs protégés

$_parent = null
$_children = array()
$_path = array()
$_leftSibling = null
$_rightSibling = null
$_allChildrenloaded = false
$_constructor = null

Description détaillée

Helper class to load Categorytree

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $category = null,
 |  | $constructor = null
 | ) |

Class constructor

Paramètres
array | $category | The category data.
CategoryNode | $constructor | The tree constructor.
Depuis
1.6

Références $category.

Documentation des fonctions membres

◆ addChild()

addChild ( $child )

Add child to this node

If the child already has a parent, the link is unset

Paramètres
CategoryNode $child The child to be added.
Renvoie
void
Depuis
1.6

◆ getAuthor()

getAuthor ( $modifiedUser = false )

Returns the user that created the category

Paramètres
boolean $modifiedUser Returns the modified_user when set to true
Renvoie
A object containing a userid
Depuis
1.6

◆ getChildren()

& getChildren ( $recursive = false )

Get the children of this node

Paramètres
boolean $recursive False by default
Renvoie
CategoryNode[] The children
Depuis
1.6

Références $items.

◆ getMetadata()

getMetadata ( )

Returns the category metadata

Renvoie
Registry A Registry object containing the metadata
Depuis
1.6

◆ getNumItems()

getNumItems ( $recursive = false )

Returns the number of items.

Paramètres
boolean $recursive If false number of children, if true number of descendants
Renvoie
integer Number of children or descendants
Depuis
1.6

Références $count.

◆ getParams()

getParams ( )

Returns the category parameters

Renvoie
Registry
Depuis
1.6

Références $params.

◆ getParent()

getParent ( )

Get the parent of this node

Renvoie
CategoryNode
Depuis
1.6

◆ getPath()

getPath ( )

Returns the category path to the root category

Renvoie
array
Depuis
1.6

◆ getSibling()

getSibling ( $right = true )

Returns the right or left sibling of a category

Paramètres
boolean $right If set to false, returns the left sibling
Renvoie
CategoryNode|null CategoryNode object with the sibling information or null if there is no sibling on that side.
Depuis
1.6

◆ hasChildren()

hasChildren ( )

Test if this node has children

Renvoie
boolean True if there is a child
Depuis
1.6

◆ hasParent()

hasParent ( )

Test if this node has a parent

Renvoie
boolean True if there is a parent
Depuis
1.6

Références null.

◆ removeChild()

removeChild ( $id )

Remove a specific child

Paramètres
integer $id ID of a category
Renvoie
void
Depuis
1.6

Références $key.

◆ setAllLoaded()

setAllLoaded ( )

Set to load all children

Renvoie
void
Depuis
1.6

◆ setParent()

setParent ( $parent )

Set the parent of this category

If the category already has a parent, the link is unset

Paramètres
CategoryNode | null $parent CategoryNode for the parent to be set or null
Renvoie
void
Depuis
1.6

Références $id, et $key.

◆ setSibling()

setSibling | ( | $sibling,
 |  | $right = true
 | ) |

Function to set the left or right sibling of a category

Paramètres
CategoryNode | $sibling | CategoryNode object for the sibling
boolean | $right | If set to false, the sibling is the left one
Renvoie
void
Depuis
1.6

Documentation des champs

◆ $_allChildrenloaded

$_allChildrenloaded = false
protected

◆ $_children

$_children = array()
protected

◆ $_constructor

$_constructor = null
protected

◆ $_leftSibling

$_leftSibling = null
protected

◆ $_parent

$_parent = null
protected

◆ $_path

$_path = array()
protected

◆ $_rightSibling

$_rightSibling = null
protected

◆ $access

$access = null

◆ $alias

$alias = null

◆ $asset_id

$asset_id = null

◆ $assets

$assets = null

◆ $checked_out

$checked_out = 0

◆ $checked_out_time

$checked_out_time = 0

◆ $childrennumitems

$childrennumitems = null

◆ $created_time

$created_time = null

◆ $created_user_id

$created_user_id = null

◆ $description

$description = null

◆ $extension

$extension = null

◆ $hits

$hits = null

◆ $id

$id = null

◆ $language

$language = null

◆ $level

$level = null

◆ $lft

$lft = null

◆ $metadata

$metadata = null

◆ $metadesc

$metadesc = null

◆ $metakey

$metakey = null

◆ $modified_time

$modified_time = null

◆ $modified_user_id

$modified_user_id = null

◆ $numitems

$numitems = null

◆ $params

$params = null

◆ $parent_id

$parent_id = null

◆ $published

$published = null

◆ $rgt

$rgt = null

◆ $slug

$slug = null

◆ $title

$title = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • CategoryNode.php


Joomla CMS: Référence de la classe SectionNotFoundException

  • Joomla
  • CMS
  • Categories
  • SectionNotFoundException
Référence de la classe SectionNotFoundException
+ Graphe d'héritage de SectionNotFoundException:

Description détaillée

Representing when a category section cannot be found.

Depuis
3.10.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • SectionNotFoundException.php


Joomla CMS: Référence de la classe ClientHelper

  • Joomla
  • CMS
  • Client
  • ClientHelper
Fonctions membres publiques statiques
Référence de la classe ClientHelper

Fonctions membres publiques statiques

static | getCredentials ($client, $force=false)
static | setCredentials ($client, $user, $pass)
static | hasCredentials ($client)
static | setCredentialsFromRequest ($client)

Description détaillée

Client helper class

Depuis
1.7.0

Documentation des fonctions membres

◆ getCredentials()

static getCredentials | ( | $client,
 |  | $force = false
 | ) |
static

Method to return the array of client layer configuration options

Paramètres
string | $client | Client name, currently only 'ftp' is supported
boolean | $force | Forces re-creation of the login credentials. Set this to true if login credentials in the session storage have changed
Renvoie
array Client layer configuration options, consisting of at least these fields: enabled, host, port, user, pass, root
Depuis
1.7.0

Références $client, $config, $options, et null.

Référencé par File\append(), Folder\copy(), File\copy(), Folder\create(), File\delete(), Folder\delete(), ClientWrapper\getCredentials(), File\move(), Folder\move(), File\upload(), et File\write().

◆ hasCredentials()

static hasCredentials ( $client )
static

Method to determine if client login credentials are present

Paramètres
string $client Client name, currently only 'ftp' is supported
Renvoie
boolean True if login credentials are available
Depuis
1.7.0

Références $client, $config, $options, $return, $user, elseif, et null.

Référencé par ClientWrapper\hasCredentials().

◆ setCredentials()

static setCredentials | ( | $client,
 |  | $user,
 |  | $pass
 | ) |
static

Method to set client login credentials

Paramètres
string | $client | Client name, currently only 'ftp' is supported
string | $user | Username
string | $pass | Password
Renvoie
boolean True if the given login credentials have been set and are valid
Depuis
1.7.0

Références $client, $config, $options, $return, $user, et FtpClient\getInstance().

Référencé par ClientWrapper\setCredentials().

◆ setCredentialsFromRequest()

static setCredentialsFromRequest ( $client )
static

Determine whether input fields for client settings need to be shown

If valid credentials were passed along with the request, they are saved to the session. This functions returns an exception if invalid credentials have been given or if the connection to the server failed for some other reason.

Paramètres
string $client The name of the client.
Renvoie
mixed True, if FTP settings; JError if using legacy tree.
Depuis
1.7.0
Exceptions

Références $client, $input, $return, $user, null, et JError\raiseWarning().

Référencé par ClientWrapper\setCredentialsFromRequest().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ClientHelper.php


Joomla CMS: Référence de la classe ClientWrapper

  • Joomla
  • CMS
  • Client
  • ClientWrapper
Fonctions membres publiques
Référence de la classe ClientWrapper

Fonctions membres publiques

getCredentials ($client, $force=false)
setCredentials ($client, $user, $pass)
hasCredentials ($client)
setCredentialsFromRequest ($client)

Description détaillée

Wrapper class for ClientHelper

Depuis
3.4
Obsolète:
4.0 Will be removed without replacement

Documentation des fonctions membres

◆ getCredentials()

getCredentials | ( | $client,
 |  | $force = false
 | ) |

Helper wrapper method for getCredentials

Paramètres
string | $client | Client name, currently only 'ftp' is supported
boolean | $force | Forces re-creation of the login credentials. Set this to
Renvoie
array Client layer configuration options, consisting of at least
Voir également
ClientHelper::getCredentials()
Depuis
3.4

Références $client, et ClientHelper\getCredentials().

◆ hasCredentials()

hasCredentials ( $client )

Helper wrapper method for hasCredentials

Paramètres
string $client Client name, currently only 'ftp' is supported
Renvoie
boolean True if login credentials are available
Voir également
ClientHelper::hasCredentials()
Depuis
3.4

Références $client, et ClientHelper\hasCredentials().

◆ setCredentials()

setCredentials | ( | $client,
 |  | $user,
 |  | $pass
 | ) |

Helper wrapper method for setCredentials

Paramètres
string | $client | Client name, currently only 'ftp' is supported
string | $user | Username
string | $pass | Password
Renvoie
boolean True if the given login credentials have been set and are valid
Voir également
ClientHelper::setCredentials()
Depuis
3.4

Références $client, $user, et ClientHelper\setCredentials().

◆ setCredentialsFromRequest()

setCredentialsFromRequest ( $client )

Helper wrapper method for setCredentialsFromRequest

Paramètres
string $client The name of the client.
Renvoie
mixed True, if FTP settings; JError if using legacy tree
Voir également
UserHelper::setCredentialsFromRequest()
Depuis
3.4
Exceptions

Références $client, et ClientHelper\setCredentialsFromRequest().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ClientWrapper.php


Joomla CMS: Référence de la classe FtpClient

  • Joomla
  • CMS
  • Client
  • FtpClient
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe FtpClient

Fonctions membres publiques

__construct (array $options=array())
__destruct ()
setOptions (array $options)
connect ($host='127.0.0.1', $port=21)
isConnected ()
login ($user='anonymous', $pass='jftp @joomla.org')
quit ()
pwd ()
syst ()
chdir ($path)
reinit ()
rename ($from, $to)
chmod ($path, $mode)
delete ($path)
mkdir ($path)
restart ($point)
create ($path)
read ($remote, &$buffer)
get ($local, $remote)
store ($local, $remote=null)
write ($remote, $buffer)
append ($remote, $buffer)
size ($remote)
listNames ($path=null)
listDetails ($path=null, $type='all')

Fonctions membres publiques statiques

static getInstance ($host='127.0.0.1', $port='21', array $options=array(), $user=null, $pass=null)

Fonctions membres protégées

_putCmd ($cmd, $expectedResponse)
_verifyResponse ($expected)
_passive ()
_findMode ($fileName)
_mode ($mode)

Attributs protégés

$_conn = null
$_dataconn = null
$_pasv = null
$_response = null
$_timeout = 15
$_type = null
$_autoAscii
$_lineEndings = array('UNIX' => "\n", 'WIN' => "\r\n")

Attributs protégés statiques

static $instances = array()

Description détaillée

FTP client class

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array $options = array() )

FtpClient object constructor

Paramètres
array $options Associative array of options to set
Depuis
1.5

Références $options, FtpClient\setOptions(), et BufferStreamHandler\stream_register().

◆ __destruct()

__destruct ( )

FtpClient object destructor

Closes an existing connection, if we have one

Depuis
1.5

Références FtpClient\quit().

Documentation des fonctions membres

◆ _findMode()

_findMode ( $fileName )
protected

Method to find out the correct transfer mode for a specific file

Paramètres
string $fileName Name of the file
Renvoie
integer Transfer-mode for this filetype [FTP_ASCII|FTP_BINARY]
Depuis
1.5

Références $mode, et elseif.

Référencé par FtpClient\append(), FtpClient\get(), FtpClient\read(), FtpClient\store(), et FtpClient\write().

◆ _mode()

_mode ( $mode )
protected

Set transfer mode

Paramètres
integer $mode Integer representation of data transfer mode [1:Binary|0:Ascii] Defined constants can also be used [FTP_BINARY|FTP_ASCII]
Renvoie
boolean True if successful
Depuis
1.5

Références $mode, FtpClient\_putCmd(), Log\add(), et Log\WARNING.

Référencé par FtpClient\append(), FtpClient\get(), FtpClient\read(), FtpClient\store(), et FtpClient\write().

◆ _passive()

_passive ( )
protected

Set server to passive mode and open a data port connection

Renvoie
boolean True if successful
Depuis
1.5

Références FtpClient\$_timeout, $parts, Log\add(), null, et Log\WARNING.

Référencé par FtpClient\append(), FtpClient\create(), FtpClient\get(), FtpClient\listDetails(), FtpClient\listNames(), FtpClient\read(), FtpClient\size(), FtpClient\store(), et FtpClient\write().

◆ _putCmd()

_putCmd | ( | $cmd,
 |  | $expectedResponse
 | ) |
protected

Send command to the FTP server and validate an expected response code

Paramètres
string | $cmd | Command to send to the FTP server
mixed | $expectedResponse | Integer response code or array of integer response codes
Renvoie
boolean True if command executed successfully
Depuis
1.5

Références FtpClient\_verifyResponse(), Log\add(), et Log\WARNING.

Référencé par FtpClient\_mode(), FtpClient\append(), FtpClient\chdir(), FtpClient\chmod(), FtpClient\create(), FtpClient\delete(), FtpClient\get(), FtpClient\listDetails(), FtpClient\listNames(), FtpClient\login(), FtpClient\mkdir(), FtpClient\pwd(), FtpClient\read(), FtpClient\reinit(), FtpClient\rename(), FtpClient\restart(), FtpClient\size(), FtpClient\store(), FtpClient\syst(), et FtpClient\write().

◆ _verifyResponse()

_verifyResponse ( $expected )
protected

Verify the response code from the server and log response if flag is set

Paramètres
mixed $expected Integer response code or array of integer response codes
Renvoie
boolean True if response code from the server is expected
Depuis
1.5

Références FtpClient\$_timeout, $parts, Log\add(), null, et Log\WARNING.

Référencé par FtpClient\_putCmd(), FtpClient\append(), FtpClient\connect(), FtpClient\create(), FtpClient\get(), FtpClient\listDetails(), FtpClient\listNames(), FtpClient\read(), FtpClient\store(), et FtpClient\write().

◆ append()

append | ( | $remote,
 |  | $buffer
 | ) |

Method to append a string to the FTP server

Paramètres
string | $remote | FTP path to file to append to
string | $buffer | Contents to append to the FTP server
Renvoie
boolean True if successful
Depuis
3.6.0

Références $buffer, $mode, $tmp, FtpClient\_findMode(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), et FtpClient\size().

◆ chdir()

chdir ( $path )

Method to change the current working directory on the FTP server

Paramètres
string $path Path to change into on the server
Renvoie
boolean True if successful
Depuis
1.5

Références $path, FtpClient\_putCmd(), Log\add(), et Log\WARNING.

◆ chmod()

chmod | ( | $path,
 |  | $mode
 | ) |

Method to change mode for a path on the FTP server

Paramètres
string | $path | Path to change mode on
mixed | $mode | Octal value to change mode to, e.g. '0777', 0777 or 511 (string or integer)
Renvoie
boolean True if successful
Depuis
1.5

Références $mode, $path, FtpClient\_putCmd(), Log\add(), et Log\WARNING.

◆ connect()

connect | ( | $host = '127.0.0.1',
 |  | $port = 21
 | ) |

Method to connect to a FTP server

Paramètres
string | $host | Host to connect to [Default: 127.0.0.1]
string | $port | Port to connect on [Default: port 21]
Renvoie
boolean True if successful
Depuis
3.0.0

Références FtpClient\_verifyResponse(), Log\add(), null, et Log\WARNING.

◆ create()

create ( $path )

Method to create an empty file on the FTP server

Paramètres
string $path Path local file to store on the FTP server
Renvoie
boolean True if successful
Depuis
1.5

Références $buffer, $path, FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), Log\add(), et Log\WARNING.

◆ delete()

delete ( $path )

Method to delete a path [file/folder] on the FTP server

Paramètres
string $path Path to delete
Renvoie
boolean True if successful
Depuis
1.5

Références $path, FtpClient\_putCmd(), Log\add(), et Log\WARNING.

◆ get()

get | ( | $local,
 |  | $remote
 | ) |

Method to get a file from the FTP server and save it to a local file

Paramètres
string | $local | Local path to save remote file to
string | $remote | Path to remote file to get on the FTP server
Renvoie
boolean True if successful
Depuis
1.5

Références $buffer, $mode, FtpClient\_findMode(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), Log\add(), et Log\WARNING.

◆ getInstance()

static getInstance | ( |  | $host = '127.0.0.1',
 |  |  | $port = '21',
 |  | array | $options = array(),
 |  |  | $user = null,
 |  |  | $pass = null
 | ) |  |
static

Returns the global FTP connector object, only creating it if it doesn't already exist.

You may optionally specify a username and password in the parameters. If you do so, you may not login() again with different credentials using the same object. If you do not use this option, you must quit() the current connection when you are done, to free it for use by others.

Paramètres
string | $host | Host to connect to
string | $port | Port to connect to
array | $options | Array with any of these options: type=>[FTP_AUTOASCII|FTP_ASCII|FTP_BINARY], timeout=>(int)
string | $user | Username to use for a connection
string | $pass | Password to use for a connection
Renvoie
FtpClient The FTP Client object.
Depuis
1.5

Références $options, $return, $user, FtpClient\isConnected(), et null.

Référencé par File\append(), Folder\copy(), File\copy(), Folder\create(), File\delete(), Folder\delete(), File\move(), Folder\move(), ClientHelper\setCredentials(), File\upload(), et File\write().

◆ isConnected()

isConnected ( )

Method to determine if the object is connected to an FTP server

Renvoie
boolean True if connected
Depuis
1.5

Référencé par FtpClient\getInstance().

◆ listDetails()

listDetails | ( | $path = null,
 |  | $type = 'all'
 | ) |

Method to list the contents of a directory on the FTP server

Paramètres
string | $path | Path to the local file to be stored on the FTP server
string | $type | Return type [raw|all|folders|files]
Renvoie
mixed If $type is raw: string Directory listing, otherwise array of string with file-names
Depuis
1.5

Références $data, $file, $path, $type, FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), Log\add(), null, et Log\WARNING.

Référencé par FtpClient\listNames().

◆ listNames()

listNames ( $path = null )

Method to list the filenames of the contents of a directory on the FTP server

Note: Some servers also return folder names. However, to be sure to list folders on all servers, you should use listDetails() instead if you also need to deal with folders

Paramètres
string $path Path local file to store on the FTP server
Renvoie
string Directory listing
Depuis
1.5

Références $data, $key, $list, $path, FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), Log\add(), FtpClient\listDetails(), null, et Log\WARNING.

◆ login()

login | ( | $user = 'anonymous',
 |  | $pass = 'jftp@joomla.org'
 | ) |

Method to login to a server once connected

Paramètres
string | $user | Username to login to the server
string | $pass | Password to login to the server
Renvoie
boolean True if successful
Depuis
1.5

Références $user, FtpClient\_putCmd(), Log\add(), et Log\WARNING.

◆ mkdir()

mkdir ( $path )

Method to create a directory on the FTP server

Paramètres
string $path Directory to create
Renvoie
boolean True if successful
Depuis
1.5

Références $path, FtpClient\_putCmd(), Log\add(), et Log\WARNING.

◆ pwd()

pwd ( )

Method to retrieve the current working directory on the FTP server

Renvoie
string Current working directory
Depuis
1.5

Références FtpClient\_putCmd(), Log\add(), null, et Log\WARNING.

◆ quit()

quit ( )

Method to quit and close the connection

Renvoie
boolean True if successful
Depuis
1.5

Référencé par FtpClient\__destruct().

◆ read()

read | ( |  | $remote,
 |  | & | $buffer
 | ) |  |

Method to read a file from the FTP server's contents into a buffer

Paramètres
string | $remote | Path to remote file to read on the FTP server
string | &$buffer | Buffer variable to read file contents into
Renvoie
boolean True if successful
Depuis
1.5

Références $buffer, $mode, $os, $tmp, FtpClient\_findMode(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), Log\add(), et Log\WARNING.

◆ reinit()

reinit ( )

Method to reinitialise the server, ie. need to login again

NOTE: This command not available on all servers

Renvoie
boolean True if successful
Depuis
1.5

Références FtpClient\_putCmd(), Log\add(), et Log\WARNING.

◆ rename()

rename | ( | $from,
 |  | $to
 | ) |

Method to rename a file/folder on the FTP server

Paramètres
string | $from | Path to change file/folder from
string | $to | Path to change file/folder to
Renvoie
boolean True if successful
Depuis
1.5

Références FtpClient\_putCmd(), Log\add(), et Log\WARNING.

◆ restart()

restart ( $point )

Method to restart data transfer at a given byte

Paramètres
integer $point Byte to restart transfer at
Renvoie
boolean True if successful
Depuis
1.5

Références FtpClient\_putCmd(), Log\add(), et Log\WARNING.

◆ setOptions()

setOptions ( array $options )

Set client options

Paramètres
array $options Associative array of options to set
Renvoie
boolean True if successful
Depuis
1.5

Références $options.

Référencé par FtpClient\__construct().

◆ size()

size ( $remote )

Get the size of the remote file.

Paramètres
string $remote FTP path to file whose size to get
Renvoie
mixed number of bytes or false on error
Depuis
3.6.0

Références FtpClient\_passive(), et FtpClient\_putCmd().

Référencé par FtpClient\append().

◆ store()

store | ( | $local,
 |  | $remote = null
 | ) |

Method to store a file to the FTP server

Paramètres
string | $local | Path to local file to store on the FTP server
string | $remote | FTP path to file to create
Renvoie
boolean True if successful
Depuis
1.5

Références $mode, FtpClient\_findMode(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), Log\add(), null, et Log\WARNING.

◆ syst()

syst ( )

Method to system string from the FTP server

Renvoie
string System identifier string
Depuis
1.5

Références FtpClient\$_response, FtpClient\_putCmd(), Log\add(), elseif, et Log\WARNING.

◆ write()

write | ( | $remote,
 |  | $buffer
 | ) |

Method to write a string to the FTP server

Paramètres
string | $remote | FTP path to file to write to
string | $buffer | Contents to write to the FTP server
Renvoie
boolean True if successful
Depuis
1.5

Références $buffer, $mode, $tmp, FtpClient\_findMode(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), Log\add(), et Log\WARNING.

Documentation des champs

◆ $_autoAscii

$_autoAscii
protected
Valeur initiale :
= array(
'asp',
'bat',
'c',
'cpp',
'csv',
'h',
'htm',
'html',
'shtml',
'ini',
'inc',
'log',
'php',
'php3',
'pl',
'perl',
'sh',
'sql',
'txt',
'xhtml',
'xml',
)

◆ $_conn

$_conn = null
protected

◆ $_dataconn

$_dataconn = null
protected

◆ $_lineEndings

$_lineEndings = array('UNIX' => "\n", 'WIN' => "\r\n")
protected

◆ $_pasv

$_pasv = null
protected

◆ $_response

$_response = null
protected

Référencé par FtpClient\syst().

◆ $_timeout

$_timeout = 15
protected

Référencé par FtpClient\_passive(), et FtpClient\_verifyResponse().

◆ $_type

$_type = null
protected

◆ $instances

$instances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Client/FtpClient.php


Joomla CMS: Référence de la classe MissingComponentException

  • Joomla
  • CMS
  • Component
  • Exception
  • MissingComponentException
Fonctions membres publiques
Référence de la classe MissingComponentException
+ Graphe d'héritage de MissingComponentException:
RouteNotFoundException

Fonctions membres publiques

__construct ($message='', $code=404, \Exception $previous=null)
- Fonctions membres publiques hérités de RouteNotFoundException
__construct ($message='', $code=404, \Exception $previous=null)

Description détaillée

Exception class defining an error for a missing component

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $message = '',
 |  |  | $code = 404,
 |  | \Exception | $previous = null
 | ) |  |

Constructor

Paramètres
string | $message | The Exception message to throw.
integer | $code | The Exception code.
\Exception | $previous | The previous exception used for the exception chaining.
Depuis
3.7.0

Références $message.

La documentation de cette classe a été générée à partir du fichier suivant :
  • MissingComponentException.php


Joomla CMS: Référence de la classe MenuRules

  • Joomla
  • CMS
  • Component
  • Router
  • Rules
  • MenuRules
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MenuRules
+ Graphe d'héritage de MenuRules:
RulesInterface

Fonctions membres publiques

__construct (RouterView $router)
preprocess (&$query)
parse (&$segments, &$vars)
build (&$query, &$segments)

Fonctions membres protégées

buildLookup ($language=' *')

Attributs protégés

$router
$lookup = array()

Description détaillée

Rule to identify the right Itemid for a view in a component

Depuis
3.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( RouterView $router )

Class constructor.

Paramètres
RouterView $router Router this rule belongs to
Depuis
3.4

Documentation des fonctions membres

◆ build()

build | ( | & | $query,
 |  | & | $segments
 | ) |  |

Dummymethod to fullfill the interface requirements

Paramètres
array | &$query | The vars that should be converted
array | &$segments | The URL segments to create
Renvoie
void
Depuis
3.4

Implémente RulesInterface.

◆ buildLookup()

buildLookup ( $language = '*' )
protected

Method to build the lookup array

Paramètres
string $language The language that the lookup should be built up for
Renvoie
void
Depuis
3.4

Here it will become a bit tricky language != * can override existing entries language == * cannot override existing entries

Here it will become a bit tricky language != * can override existing entries language == * cannot override existing entries

Références $attributes, $component, $item, $items, $language, $layout, $view, et ComponentHelper\getComponent().

◆ parse()

parse | ( | & | $segments,
 |  | & | $vars
 | ) |  |

Dummymethod to fullfill the interface requirements

Paramètres
array | &$segments | The URL segments to parse
array | &$vars | The vars that result from the segments
Renvoie
void
Depuis
3.4

Implémente RulesInterface.

◆ preprocess()

preprocess ( & $query )

Finds the right Itemid for this query

Paramètres
array &$query The query array to process
Renvoie
void
Depuis
3.4

If the active item id is not the same as the supplied item id or we have a supplied item id and no active menu item then we just use the supplied menu item and continue

Implémente RulesInterface.

Références $active, $default, $id, $language, $layout, $query, $view, et null.

Documentation des champs

◆ $lookup

$lookup = array()
protected

◆ $router

$router
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • MenuRules.php


Joomla CMS: Référence de la classe NomenuRules

  • Joomla
  • CMS
  • Component
  • Router
  • Rules
  • NomenuRules
Fonctions membres publiques | Attributs protégés
Référence de la classe NomenuRules
+ Graphe d'héritage de NomenuRules:
RulesInterface

Fonctions membres publiques

__construct (RouterView $router)
preprocess (&$query)
parse (&$segments, &$vars)
build (&$query, &$segments)

Attributs protégés

$router

Description détaillée

Rule to process URLs without a menu item

Depuis
3.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( RouterView $router )

Class constructor.

Paramètres
RouterView $router Router this rule belongs to
Depuis
3.4

Documentation des fonctions membres

◆ build()

build | ( | & | $query,
 |  | & | $segments
 | ) |  |

Build a menu-less URL

Paramètres
array | &$query | The vars that should be converted
array | &$segments | The URL segments to create
Renvoie
void
Depuis
3.4

Implémente RulesInterface.

Références $item, $query, et $view.

◆ parse()

parse | ( | & | $segments,
 |  | & | $vars
 | ) |  |

Parse a menu-less URL

Paramètres
array | &$segments | The URL segments to parse
array | &$vars | The vars that result from the segments
Renvoie
void
Depuis
3.4

Implémente RulesInterface.

Références $active.

◆ preprocess()

preprocess ( & $query )

Dummymethod to fullfill the interface requirements

Paramètres
array &$query The query array to process
Renvoie
void
Depuis
3.4

Implémente RulesInterface.

Documentation des champs

◆ $router

$router
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • NomenuRules.php


Joomla CMS: Référence de l'interface RulesInterface

  • Joomla
  • CMS
  • Component
  • Router
  • Rules
  • RulesInterface
Fonctions membres publiques
Référence de l'interface RulesInterface
+ Graphe d'héritage de RulesInterface:
MenuRules NomenuRules StandardRules

Fonctions membres publiques

preprocess (&$query)
parse (&$segments, &$vars)
build (&$query, &$segments)

Description détaillée

RouterRules interface for Joomla

Depuis
3.4

Documentation des fonctions membres

◆ build()

build | ( | & | $query,
 |  | & | $segments
 | ) |  |

Builds URI segments from a query to encode the necessary informations for a route in a human-readable URL. This method should retrieve all its input from its method arguments.

Paramètres
array | &$query | The vars that should be converted
array | &$segments | The URL segments to create
Renvoie
void
Depuis
3.4

Implémenté dans MenuRules, StandardRules, et NomenuRules.

◆ parse()

parse | ( | & | $segments,
 |  | & | $vars
 | ) |  |

Parses a URI to retrieve informations for the right route through the component. This method should retrieve all its input from its method arguments.

Paramètres
array | &$segments | The URL segments to parse
array | &$vars | The vars that result from the segments
Renvoie
void
Depuis
3.4

Implémenté dans MenuRules, NomenuRules, et StandardRules.

◆ preprocess()

preprocess ( & $query )

Prepares a query set to be handed over to the build() method. This should complete a partial query set to work as a complete non-SEFed URL and in general make sure that all information is present and properly formatted. For example, the Itemid should be retrieved and set here.

Paramètres
array &$query The query array to process
Renvoie
void
Depuis
3.4

Implémenté dans MenuRules, NomenuRules, et StandardRules.

La documentation de cette interface a été générée à partir du fichier suivant :
  • RulesInterface.php


Joomla CMS: Référence de la classe StandardRules

  • Joomla
  • CMS
  • Component
  • Router
  • Rules
  • StandardRules
Fonctions membres publiques | Attributs protégés
Référence de la classe StandardRules
+ Graphe d'héritage de StandardRules:
RulesInterface

Fonctions membres publiques

__construct (RouterView $router)
preprocess (&$query)
parse (&$segments, &$vars)
build (&$query, &$segments)

Attributs protégés

$router

Description détaillée

Rule for the standard handling of component routing

Depuis
3.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( RouterView $router )

Class constructor.

Paramètres
RouterView $router Router this rule belongs to
Depuis
3.4

Documentation des fonctions membres

◆ build()

build | ( | & | $query,
 |  | & | $segments
 | ) |  |

Build a standard URL

Paramètres
array | &$query | The vars that should be converted
array | &$segments | The URL segments to create
Renvoie
void
Depuis
3.4

Implémente RulesInterface.

Références $id, $item, $path, $query, $view, elseif, et null.

◆ parse()

parse | ( | & | $segments,
 |  | & | $vars
 | ) |  |

Parse the URL

Paramètres
array | &$segments | The URL segments to parse
array | &$vars | The vars that result from the segments
Renvoie
void
Depuis
3.4

Implémente RulesInterface.

Références $active, $key, $view, children, elseif, et name.

◆ preprocess()

preprocess ( & $query )

Dummymethod to fullfill the interface requirements

Paramètres
array &$query The query array to process
Renvoie
void
Depuis
3.4

Implémente RulesInterface.

Documentation des champs

◆ $router

$router
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • StandardRules.php


Joomla CMS: Référence de la classe RouterBase

  • Joomla
  • CMS
  • Component
  • Router
  • RouterBase
Fonctions membres publiques | Champs de données
Référence de la classe RouterBase
+ Graphe d'héritage de RouterBase:
RouterInterface RouterView

Fonctions membres publiques

__construct ($app=null, $menu=null)
preprocess ($query)
- Fonctions membres publiques hérités de RouterInterface
build (&$query)
parse (&$segments)

Champs de données

$app
$menu

Description détaillée

Base component routing class

Depuis
3.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $app = null,
 |  | $menu = null
 | ) |

Class constructor.

Paramètres
\JApplicationCms | $app | Application-object that the router should use
\JMenu | $menu | Menu-object that the router should use
Depuis
3.4

Références $app, et $menu.

Documentation des fonctions membres

◆ preprocess()

preprocess ( $query )

Generic method to preprocess a URL

Paramètres
array $query An associative array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Implémente RouterInterface.

Références $query.

Documentation des champs

◆ $app

$app

◆ $menu

$menu
La documentation de cette classe a été générée à partir du fichier suivant :
  • RouterBase.php


Joomla CMS: Référence de l'interface RouterInterface

  • Joomla
  • CMS
  • Component
  • Router
  • RouterInterface
Fonctions membres publiques
Référence de l'interface RouterInterface
+ Graphe d'héritage de RouterInterface:
RouterBase RouterLegacy RouterView

Fonctions membres publiques

preprocess ($query)
build (&$query)
parse (&$segments)

Description détaillée

Component routing interface

Depuis
3.3

Documentation des fonctions membres

◆ build()

build ( & $query )

Build method for URLs This method is meant to transform the query parameters into a more human readable form. It is only executed when SEF mode is switched on.

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Implémenté dans RouterView, et RouterLegacy.

◆ parse()

parse ( & $segments )

Parse method for URLs This method is meant to transform the human readable URL back into query parameters. It is only executed when SEF mode is switched on.

Paramètres
array &$segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Depuis
3.3

Implémenté dans RouterView, et RouterLegacy.

◆ preprocess()

preprocess ( $query )

Prepare-method for URLs This method is meant to validate and complete the URL parameters. For example it can add the Itemid or set a language parameter. This method is executed on each URL, regardless of SEF mode switched on or not.

Paramètres
array $query An associative array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Implémenté dans RouterView, RouterBase, et RouterLegacy.

La documentation de cette interface a été générée à partir du fichier suivant :
  • RouterInterface.php


Joomla CMS: Référence de la classe RouterLegacy

  • Joomla
  • CMS
  • Component
  • Router
  • RouterLegacy
Fonctions membres publiques | Attributs protégés
Référence de la classe RouterLegacy
+ Graphe d'héritage de RouterLegacy:
RouterInterface

Fonctions membres publiques

__construct ($component)
preprocess ($query)
build (&$query)
parse (&$segments)

Attributs protégés

$component

Description détaillée

Default routing class for missing or legacy component routers

Depuis
3.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $component )

Constructor

Paramètres
string $component Component name without the com_ prefix this router should react upon
Depuis
3.3

Références $component.

Documentation des fonctions membres

◆ build()

build ( & $query )

Generic build function for missing or legacy component router

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Implémente RouterInterface.

Références $function, $i, $query, et $total.

◆ parse()

parse ( & $segments )

Generic parse function for missing or legacy component router

Paramètres
array &$segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Depuis
3.3

Implémente RouterInterface.

Références $function, $i, et $total.

◆ preprocess()

preprocess ( $query )

Generic preprocess function for missing or legacy component router

Paramètres
array $query An associative array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Implémente RouterInterface.

Références $query.

Documentation des champs

◆ $component

$component
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • RouterLegacy.php


Joomla CMS: Référence de la classe RouterView

  • Joomla
  • CMS
  • Component
  • Router
  • RouterView
Fonctions membres publiques | Attributs protégés
Référence de la classe RouterView
+ Graphe d'héritage de RouterView:
RouterBase RouterInterface

Fonctions membres publiques

registerView (RouterViewConfiguration $view)
getViews ()
getPath ($query)
getRules ()
attachRules ($rules)
attachRule (RulesInterface $rule)
detachRule (RulesInterface $rule)
preprocess ($query)
build (&$query)
parse (&$segments)
getName ()
- Fonctions membres publiques hérités de RouterBase
__construct ($app=null, $menu=null)
preprocess ($query)

Attributs protégés

$name
$rules = array()
$views = array()

Membres hérités additionnels

- Champs de données hérités de RouterBase
$app
$menu

Description détaillée

View-based component routing class

Depuis
3.5

Documentation des fonctions membres

◆ attachRule()

attachRule ( RulesInterface $rule )

Attach a build rule

Paramètres
RulesInterface $rule The function to be called.
Renvoie
void
Depuis
3.5

◆ attachRules()

attachRules ( $rules )

Add a number of router rules to the object

Paramètres
RulesInterface[] $rules Array of JComponentRouterRulesInterface objects
Renvoie
void
Depuis
3.5

◆ build()

build ( & $query )

Build method for URLs

Paramètres
array &$query Array of query elements
Renvoie
array Array of URL segments
Depuis
3.5

Implémente RouterInterface.

Références $query.

◆ detachRule()

detachRule ( RulesInterface $rule )

Remove a build rule

Paramètres
RulesInterface $rule The rule to be removed.
Renvoie
boolean Was a rule removed?
Depuis
3.5

Références $id, et $r.

◆ getName()

getName ( )

Method to return the name of the router

Renvoie
string Name of the router
Depuis
3.5

Références $name, $r, name, et null.

◆ getPath()

getPath ( $query )

Get the path of views from target view to root view including content items of a nestable view

Paramètres
array $query Array of query elements
Renvoie
array List of views including IDs of content items
Depuis
3.5

Références $key, $path, $query, $start, $view, et elseif.

◆ getRules()

getRules ( )

Get all currently attached rules

Renvoie
RulesInterface[] All currently attached rules in an array
Depuis
3.5

◆ getViews()

getViews ( )

Return an array of registered view objects

Renvoie
RouterViewConfiguration[] Array of registered view objects
Depuis
3.5

◆ parse()

parse ( & $segments )

Parse method for URLs

Paramètres
array &$segments Array of URL string-segments
Renvoie
array Associative array of query values
Depuis
3.5

Implémente RouterInterface.

◆ preprocess()

preprocess ( $query )

Generic method to preprocess a URL

Paramètres
array $query An associative array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.5

Implémente RouterInterface.

Références $query.

◆ registerView()

registerView ( RouterViewConfiguration $view )

Register the views of a component

Paramètres
RouterViewConfiguration $view View configuration object
Renvoie
void
Depuis
3.5

Références $view.

Documentation des champs

◆ $name

$name
protected

◆ $rules

$rules = array()
protected

◆ $views

$views = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • RouterView.php


Joomla CMS: Référence de la classe RouterViewConfiguration

  • Joomla
  • CMS
  • Component
  • Router
  • RouterViewConfiguration
Fonctions membres publiques | Champs de données
Référence de la classe RouterViewConfiguration

Fonctions membres publiques

__construct ($name)
setName ($name)
setKey ($key)
setParent (RouterViewconfiguration $parent, $parentKey=false)
setNestable ($isNestable=true)
addLayout ($layout)
removeLayout ($layout)

Champs de données

$name
$key = false
$parent = false
$parent_key = false
$nestable = false
$layouts = array('default')
$children = array()
$child_keys = array()
$path = array()

Description détaillée

View-configuration class for the view-based component router

Depuis
3.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $name )

Constructor for the View-configuration class

Paramètres
string $name Name of the view
Depuis
3.5

Références $name, et name.

Documentation des fonctions membres

◆ addLayout()

addLayout ( $layout )

Add a layout to this view

Paramètres
string $layout Layouts that this view supports
Renvoie
RouterViewconfiguration This object for chaining
Depuis
3.5

Références $layout.

◆ removeLayout()

removeLayout ( $layout )

Remove a layout from this view

Paramètres
string $layout Layouts that this view supports
Renvoie
RouterViewconfiguration This object for chaining
Depuis
3.5

Références $key, et $layout.

◆ setKey()

setKey ( $key )

Set the key-identifier for the view

Paramètres
string $key Key of the view
Renvoie
RouterViewconfiguration This object for chaining
Depuis
3.5

Références $key.

◆ setName()

setName ( $name )

Set the name of the view

Paramètres
string $name Name of the view
Renvoie
RouterViewconfiguration This object for chaining
Depuis
3.5

Références $name, et name.

◆ setNestable()

setNestable ( $isNestable = true )

Set if this view is nestable or not

Paramètres
bool $isNestable If set to true, the view is nestable
Renvoie
RouterViewconfiguration This object for chaining
Depuis
3.5

◆ setParent()

setParent | ( | RouterViewconfiguration | $parent,
 |  |  | $parentKey = false
 | ) |  |

Set the parent view of this view

Paramètres
RouterViewconfiguration | $parent | Parent view object
string | $parentKey | Key of the parent view in this context
Renvoie
RouterViewconfiguration This object for chaining
Depuis
3.5

Références $key, $name, et parent.

Documentation des champs

◆ $child_keys

$child_keys = array()

◆ $children

$children = array()

◆ $key

$key = false

◆ $layouts

$layouts = array('default')

◆ $name

$name

◆ $nestable

$nestable = false

◆ $parent

$parent = false

◆ $parent_key

$parent_key = false

◆ $path

$path = array()
La documentation de cette classe a été générée à partir du fichier suivant :
  • RouterViewConfiguration.php


Joomla CMS: Référence de la classe ComponentHelper

  • Joomla
  • CMS
  • Component
  • ComponentHelper
Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe ComponentHelper

Fonctions membres publiques statiques

static | getComponent ($option, $strict=false)
static | isEnabled ($option)
static | isInstalled ($option)
static | getParams ($option, $strict=false)
static | filterText ($text)
static | getComponents ()

Fonctions membres protégées statiques

static | executeComponent ($path)
static | _load ($option)

Attributs protégés statiques

static $components = array()

Description détaillée

Component helper class

Depuis
1.5

Documentation des fonctions membres

◆ _load()

static _load ( $option )
staticprotected

Load the installed components into the components property.

Paramètres
string $option The element value for the extension
Renvoie
boolean True on success
Depuis
1.5
Obsolète:
4.0 Use JComponentHelper::load() instead

Références $option.

◆ executeComponent()

static executeComponent ( $path )
staticprotected

Execute the component.

Paramètres
string $path The component path.
Renvoie
string The component output
Depuis
1.7

Références $path.

◆ filterText()

static filterText ( $text )
static

Applies the global text filters to arbitrary text as per settings for current user groups

Paramètres
string $text The string to filter
Renvoie
string The filtered string
Depuis
2.5

Références $attributes, $config, $filter, $filters, $text, $user, elseif, et Access\getGroupsByUser().

◆ getComponent()

static getComponent | ( | $option,
 |  | $strict = false
 | ) |
static

Get the component information.

Paramètres
string | $option | The component option.
boolean | $strict | If set and the component does not exist, the enabled attribute will be set to false.
Renvoie
ComponentRecord An object with the information for the component.
Depuis
1.5

Références $option, et false.

Référencé par MenuRules\buildLookup(), et RouteHelper\findItem().

◆ getComponents()

static getComponents ( )
static

Get installed components

Renvoie
ComponentRecord[] The components property
Depuis
3.6.3

Référencé par SiteRouter\parse().

◆ getParams()

static getParams | ( | $option,
 |  | $strict = false
 | ) |
static

Gets the parameter object for the component

Paramètres
string | $option | The option for the component.
boolean | $strict | If set and the component does not exist, false will be returned
Renvoie
Registry A Registry object.
Voir également
Registry
Depuis
1.5

Références $option.

Référencé par TagField\__construct(), MediaHelper\canUpload(), MediaHelper\checkMimeType(), CMSHelper\getCurrentLanguage(), ContentHelper\getCurrentLanguage(), TagsHelper\getItemTags(), MediaField\getLayoutData(), ModuleHelper\getModules(), TagField\getOptions(), SiteApplication\getParams(), AdministratorApplication\initialiseApp(), SiteApplication\initialiseApp(), ModuleHelper\isAdminMultilang(), SearchHelper\logSearch(), Router\parse(), ModuleHelper\renderModule(), ContentHistoryHelper\store(), ApplicationHelper\stringURLSafe(), PasswordRule\test(), EmailRule\test(), et LanguageAdapter\uninstall().

◆ isEnabled()

static isEnabled ( $option )
static

Checks if the component is enabled

Paramètres
string $option The component option.
Renvoie
boolean
Depuis
1.5

Références $option.

Référencé par FileLayout\validComponent().

◆ isInstalled()

static isInstalled ( $option )
static

Checks if a component is installed

Paramètres
string $option The component option.
Renvoie
integer
Depuis
3.4

Références $option.

Documentation des champs

◆ $components

$components = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ComponentHelper.php


Joomla CMS: Référence de la classe ComponentRecord

  • Joomla
  • CMS
  • Component
  • ComponentRecord
Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe ComponentRecord
+ Graphe d'héritage de ComponentRecord:

Fonctions membres publiques

__construct ($data=array())
__get ($name)
__set ($name, $value)
getParams ()
setParams ($params)

Champs de données

$id
$option
$enabled

Attributs protégés

$params

Description détaillée

Object representing a component extension record

Depuis
3.7.0
Note
As of 4.0 this class will no longer extend JObject

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $data = array() )

Class constructor

Paramètres
array $data The component record data to load
Depuis
3.7.0

Références $data, $key, et $value.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.7.0
Obsolète:
4.0 Access the item parameters through the getParams() method

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.7.0
Obsolète:
4.0 Set the item parameters through the setParams() method

Références $name, et $value.

◆ getParams()

getParams ( )

Returns the menu item parameters

Renvoie
Registry
Depuis
3.7.0

Références $params.

◆ setParams()

setParams ( $params )

Sets the menu item parameters

Paramètres
Registry | string $params The data to be stored as the parameters
Renvoie
void
Depuis
3.7.0

Références $params.

Documentation des champs

◆ $enabled

$enabled

◆ $id

$id

◆ $option

$option

◆ $params

$params
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ComponentRecord.php


Joomla CMS: Référence de la classe BlowfishCipher

  • Joomla
  • CMS
  • Crypt
  • Cipher
  • BlowfishCipher
Attributs protégés
Référence de la classe BlowfishCipher
+ Graphe d'héritage de BlowfishCipher:
McryptCipher CipherInterface

Attributs protégés

$type = MCRYPT_BLOWFISH
$mode = MCRYPT_MODE_CBC
$keyType = 'blowfish'
- Attributs protégés hérités de McryptCipher
$type
$mode
$keyType

Membres hérités additionnels

- Fonctions membres publiques hérités de McryptCipher
__construct ()
decrypt ($data, Key $key)
encrypt ($data, Key $key)
generateKey (array $options=array())
pbkdf2 ($p, $s, $kl, $c=10000, $a='sha256')

Description détaillée

Crypt cipher for Blowfish encryption, decryption and key generation.

Depuis
3.0.0
Obsolète:
4.0 Without replacement use SodiumCipher

Documentation des champs

◆ $keyType

$keyType = 'blowfish'
protected

◆ $mode

$mode = MCRYPT_MODE_CBC
protected

◆ $type

$type = MCRYPT_BLOWFISH
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • BlowfishCipher.php


Joomla CMS: Référence de la classe CryptoCipher

  • Joomla
  • CMS
  • Crypt
  • Cipher
  • CryptoCipher
Fonctions membres publiques
Référence de la classe CryptoCipher
+ Graphe d'héritage de CryptoCipher:
CipherInterface

Fonctions membres publiques

decrypt ($data, Key $key)
encrypt ($data, Key $key)
generateKey (array $options=array())

Description détaillée

Crypt cipher for encryption, decryption and key generation via the php-encryption library.

Depuis
3.5
Obsolète:
5.0 Without replacement use SodiumCipher

Documentation des fonctions membres

◆ decrypt()

decrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to decrypt a data string.

Paramètres
string | $data | The encrypted string to decrypt.
Key | $key | The key object to use for decryption.
Renvoie
string The decrypted data string.
Depuis
3.5
Exceptions

Implémente CipherInterface.

Références $data, et $key.

◆ encrypt()

encrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to encrypt a data string.

Paramètres
string | $data | The data string to encrypt.
Key | $key | The key object to use for encryption.
Renvoie
string The encrypted data string.
Depuis
3.5
Exceptions

Implémente CipherInterface.

Références $data, et $key.

◆ generateKey()

generateKey ( array $options = array() )

Method to generate a new encryption key object.

Paramètres
array $options Key generation options.
Renvoie
Key
Depuis
3.5
Exceptions

Implémente CipherInterface.

Références $key, et Crypto\CreateNewRandomKey().

La documentation de cette classe a été générée à partir du fichier suivant :
  • CryptoCipher.php


Joomla CMS: Référence de la classe McryptCipher

  • Joomla
  • CMS
  • Crypt
  • Cipher
  • McryptCipher
Fonctions membres publiques | Attributs protégés
Référence de la classe McryptCipher
+ Graphe d'héritage de McryptCipher:
CipherInterface BlowfishCipher Rijndael256Cipher TripleDesCipher

Fonctions membres publiques

__construct ()
decrypt ($data, Key $key)
encrypt ($data, Key $key)
generateKey (array $options=array())
pbkdf2 ($p, $s, $kl, $c=10000, $a='sha256')

Attributs protégés

$type
$mode
$keyType

Description détaillée

Crypt cipher for mcrypt algorithm encryption, decryption and key generation.

Depuis
3.0.0
Obsolète:
4.0 Without replacement use SodiumCipher

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor.

Depuis
3.0.0
Exceptions

Documentation des fonctions membres

◆ decrypt()

decrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to decrypt a data string.

Paramètres
string | $data | The encrypted string to decrypt.
Key | $key | The key object to use for decryption.
Renvoie
string The decrypted data string.
Depuis
3.0.0
Exceptions

Implémente CipherInterface.

Références $data, et $key.

◆ encrypt()

encrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to encrypt a data string.

Paramètres
string | $data | The data string to encrypt.
Key | $key | The key object to use for encryption.
Renvoie
string The encrypted data string.
Depuis
3.0.0
Exceptions

Implémente CipherInterface.

Références $data, et $key.

◆ generateKey()

generateKey ( array $options = array() )

Method to generate a new encryption key object.

Paramètres
array $options Key generation options.
Renvoie
Key
Depuis
3.0.0
Exceptions

Implémente CipherInterface.

Références $key, $options, et Crypt\genRandomBytes().

◆ pbkdf2()

pbkdf2 | ( | $p,
 |  | $s,
 |  | $kl,
 |  | $c = 10000,
 |  | $a = 'sha256'
 | ) |

PBKDF2 Implementation for deriving keys.

Paramètres
string | $p | Password
string | $s | Salt
integer | $kl | Key length
integer | $c | Iteration count
string | $a | Hash algorithm
Renvoie
string The derived key.

http://www.ietf.org/rfc/rfc2898.txt 3.0.0

Références $b, $i, et null.

Documentation des champs

◆ $keyType

$keyType
protected

◆ $mode

$mode
protected

◆ $type

$type
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • McryptCipher.php


Joomla CMS: Référence de la classe Rijndael256Cipher

  • Joomla
  • CMS
  • Crypt
  • Cipher
  • Rijndael256Cipher
Attributs protégés
Référence de la classe Rijndael256Cipher
+ Graphe d'héritage de Rijndael256Cipher:
McryptCipher CipherInterface

Attributs protégés

$type = MCRYPT_RIJNDAEL_256
$mode = MCRYPT_MODE_CBC
$keyType = 'rijndael256'
- Attributs protégés hérités de McryptCipher
$type
$mode
$keyType

Membres hérités additionnels

- Fonctions membres publiques hérités de McryptCipher
__construct ()
decrypt ($data, Key $key)
encrypt ($data, Key $key)
generateKey (array $options=array())
pbkdf2 ($p, $s, $kl, $c=10000, $a='sha256')

Description détaillée

Crypt cipher for Rijndael 256 encryption, decryption and key generation.

Depuis
3.0.0
Obsolète:
4.0 Without replacement use SodiumCipher

Documentation des champs

◆ $keyType

$keyType = 'rijndael256'
protected

◆ $mode

$mode = MCRYPT_MODE_CBC
protected

◆ $type

$type = MCRYPT_RIJNDAEL_256
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Rijndael256Cipher.php


Joomla CMS: Référence de la classe SimpleCipher

  • Joomla
  • CMS
  • Crypt
  • Cipher
  • SimpleCipher
Fonctions membres publiques | Fonctions membres privées
Référence de la classe SimpleCipher
+ Graphe d'héritage de SimpleCipher:
CipherInterface

Fonctions membres publiques

decrypt ($data, Key $key)
encrypt ($data, Key $key)
generateKey (array $options=array())

Fonctions membres privées

_hexToInt ($s, $i)
_hexToIntArray ($hex)
_intToHex ($i)

Description détaillée

Crypt cipher for Simple encryption, decryption and key generation.

Depuis
3.0.0
Obsolète:
4.0 Without replacement use SodiumCipher

Documentation des fonctions membres

◆ _hexToInt()

_hexToInt | ( | $s,
 |  | $i
 | ) |
private

Convert hex to an integer

Paramètres
string | $s | The hex string to convert.
integer | $i | The offset?
Renvoie
integer
Depuis
1.7.0

Références $i.

◆ _hexToIntArray()

_hexToIntArray ( $hex )
private

Convert hex to an array of integers

Paramètres
string $hex The hex string to convert to an integer array.
Renvoie
array An array of integers.
Depuis
1.7.0

Références $i.

◆ _intToHex()

_intToHex ( $i )
private

Convert an integer to a hexadecimal string.

Paramètres
integer $i An integer value to convert to a hex string.
Renvoie
string
Depuis
1.7.0

Références $i.

◆ decrypt()

decrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to decrypt a data string.

Paramètres
string | $data | The encrypted string to decrypt.
Key | $key | The key[/pair] object to use for decryption.
Renvoie
string The decrypted data string.
Depuis
3.0.0
Exceptions

Implémente CipherInterface.

Références $data, $i, $key, et $tmp.

◆ encrypt()

encrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to encrypt a data string.

Paramètres
string | $data | The data string to encrypt.
Key | $key | The key[/pair] object to use for encryption.
Renvoie
string The encrypted data string.
Depuis
3.0.0
Exceptions

Implémente CipherInterface.

Références $data, $i, $key, et $tmp.

◆ generateKey()

generateKey ( array $options = array() )

Method to generate a new encryption key[/pair] object.

Paramètres
array $options Key generation options.
Renvoie
Key
Depuis
3.0.0

Implémente CipherInterface.

Références $key, et Crypt\genRandomBytes().

La documentation de cette classe a été générée à partir du fichier suivant :
  • SimpleCipher.php


Joomla CMS: Référence de la classe SodiumCipher

  • Joomla
  • CMS
  • Crypt
  • Cipher
  • SodiumCipher
Fonctions membres publiques | Attributs privés
Référence de la classe SodiumCipher
+ Graphe d'héritage de SodiumCipher:
CipherInterface

Fonctions membres publiques

decrypt ($data, Key $key)
encrypt ($data, Key $key)
generateKey (array $options=array())
setNonce ($nonce)

Attributs privés

$nonce

Description détaillée

JCrypt cipher for sodium algorithm encryption, decryption and key generation.

Depuis
3.8.0

Documentation des fonctions membres

◆ decrypt()

decrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to decrypt a data string.

Paramètres
string | $data | The encrypted string to decrypt.
Key | $key | The key object to use for decryption.
Renvoie
string The decrypted data string.
Depuis
3.8.0
Exceptions

Implémente CipherInterface.

Références $data, $key, ParagonIE_Sodium_Compat\crypto_box_keypair_from_secretkey_and_publickey(), et ParagonIE_Sodium_Compat\crypto_box_open().

◆ encrypt()

encrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to encrypt a data string.

Paramètres
string | $data | The data string to encrypt.
Key | $key | The key object to use for encryption.
Renvoie
string The encrypted data string.
Depuis
3.8.0
Exceptions

Implémente CipherInterface.

Références $data, $key, ParagonIE_Sodium_Compat\crypto_box(), et ParagonIE_Sodium_Compat\crypto_box_keypair_from_secretkey_and_publickey().

◆ generateKey()

generateKey ( array $options = array() )

Method to generate a new encryption key object.

Paramètres
array $options Key generation options.
Renvoie
Key
Depuis
3.8.0
Exceptions
RuntimeException

Implémente CipherInterface.

Références $key, ParagonIE_Sodium_Compat\crypto_box_keypair(), ParagonIE_Sodium_Compat\crypto_box_publickey(), et ParagonIE_Sodium_Compat\crypto_box_secretkey().

◆ setNonce()

setNonce ( $nonce )

Set the nonce to use for encrypting/decrypting messages

Paramètres
string $nonce The message nonce
Renvoie
void
Depuis
3.8.0

Documentation des champs

◆ $nonce

$nonce
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • SodiumCipher.php


Joomla CMS: Référence de la classe TripleDesCipher

  • Joomla
  • CMS
  • Crypt
  • Cipher
  • TripleDesCipher
Attributs protégés
Référence de la classe TripleDesCipher
+ Graphe d'héritage de TripleDesCipher:
McryptCipher CipherInterface

Attributs protégés

$type = MCRYPT_3DES
$mode = MCRYPT_MODE_CBC
$keyType = '3des'
- Attributs protégés hérités de McryptCipher
$type
$mode
$keyType

Membres hérités additionnels

- Fonctions membres publiques hérités de McryptCipher
__construct ()
decrypt ($data, Key $key)
encrypt ($data, Key $key)
generateKey (array $options=array())
pbkdf2 ($p, $s, $kl, $c=10000, $a='sha256')

Description détaillée

JCrypt cipher for Triple DES encryption, decryption and key generation.

Depuis
3.0.0
Obsolète:
4.0 Without replacement use SodiumCipher

Documentation des champs

◆ $keyType

$keyType = '3des'
protected

◆ $mode

$mode = MCRYPT_MODE_CBC
protected

◆ $type

$type = MCRYPT_3DES
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • TripleDesCipher.php


Joomla CMS: Référence de la classe SimpleCryptPassword

  • Joomla
  • CMS
  • Crypt
  • Password
  • SimpleCryptPassword
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe SimpleCryptPassword
+ Graphe d'héritage de SimpleCryptPassword:
CryptPassword

Fonctions membres publiques

create ($password, $type=null)
setCost ($cost)
verify ($password, $hash)
setDefaultType ($type)
getDefaultType ()

Fonctions membres protégées

getSalt ($length)

Attributs protégés

$cost = 10
$defaultType = '$2y$'

Membres hérités additionnels

- Champs de données hérités de CryptPassword
const | BLOWFISH = '$2y$'
const | JOOMLA = 'Joomla'
const | PBKDF = '$pbkdf$'
const | MD5 = '$1$'

Description détaillée

Joomla Platform Password Crypter

Depuis
3.0.1
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Documentation des fonctions membres

◆ create()

create | ( | $password,
 |  | $type = null
 | ) |

Creates a password hash

Paramètres
string | $password | The password to hash.
string | $type | The hash type.
Renvoie
mixed The hashed password or false if the password is too long.
Depuis
3.0.1
Exceptions

Implémente CryptPassword.

Références $password, $type, CryptPassword\BLOWFISH, Crypt\hasStrongPasswordSupport(), CryptPassword\JOOMLA, et CryptPassword\MD5.

◆ getDefaultType()

getDefaultType ( )

Gets the default type

Renvoie
string $type The default type
Depuis
3.1.4
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Implémente CryptPassword.

◆ getSalt()

getSalt ( $length )
protected

Generates a salt of specified length. The salt consists of characters in the set [./0-9A-Za-z].

Paramètres
integer $length The number of characters to return.
Renvoie
string The string of random characters.
Depuis
3.0.1
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Références Crypt\genRandomBytes().

◆ setCost()

setCost ( $cost )

Sets the cost parameter for the generated hash for algorithms that use a cost factor.

Paramètres
integer $cost The new cost value.
Renvoie
void
Depuis
3.0.1
Obsolète:
4.0 Use PHP 5.5's native password hashing API

◆ setDefaultType()

setDefaultType ( $type )

Sets a default type

Paramètres
string $type The value to set as default.
Renvoie
void
Depuis
3.1.4
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Implémente CryptPassword.

Références $type.

◆ verify()

verify | ( | $password,
 |  | $hash
 | ) |

Verifies a password hash

Paramètres
string | $password | The password to verify.
string | $hash | The password hash to check.
Renvoie
boolean True if the password is valid, false otherwise.
Depuis
3.0.1
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Implémente CryptPassword.

Références $hash, $parts, $password, $type, Crypt\hasStrongPasswordSupport(), et Crypt\timingSafeCompare().

Documentation des champs

◆ $cost

$cost = 10
protected

◆ $defaultType

$defaultType = '$2y$'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • SimpleCryptPassword.php


Joomla CMS: Référence de l'interface CipherInterface

  • Joomla
  • CMS
  • Crypt
  • CipherInterface
Fonctions membres publiques
Référence de l'interface CipherInterface
+ Graphe d'héritage de CipherInterface:
CryptoCipher McryptCipher SimpleCipher SodiumCipher BlowfishCipher Rijndael256Cipher TripleDesCipher

Fonctions membres publiques

decrypt ($data, Key $key)
encrypt ($data, Key $key)
generateKey (array $options=array())

Description détaillée

Crypt cipher interface.

Depuis
3.0.0

Documentation des fonctions membres

◆ decrypt()

decrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to decrypt a data string.

Paramètres
string | $data | The encrypted string to decrypt.
Key | $key | The key[/pair] object to use for decryption.
Renvoie
string The decrypted data string.
Depuis
3.0.0

Implémenté dans McryptCipher, SodiumCipher, SimpleCipher, et CryptoCipher.

◆ encrypt()

encrypt | ( |  | $data,
 |  | Key | $key
 | ) |  |

Method to encrypt a data string.

Paramètres
string | $data | The data string to encrypt.
Key | $key | The key[/pair] object to use for encryption.
Renvoie
string The encrypted data string.
Depuis
3.0.0

Implémenté dans McryptCipher, SodiumCipher, SimpleCipher, et CryptoCipher.

◆ generateKey()

generateKey ( array $options = array() )

Method to generate a new encryption key[/pair] object.

Paramètres
array $options Key generation options.
Renvoie
Key
Depuis
3.0.0

Implémenté dans McryptCipher, SimpleCipher, SodiumCipher, et CryptoCipher.

La documentation de cette interface a été générée à partir du fichier suivant :
  • CipherInterface.php


Joomla CMS: Référence de la classe Crypt

  • Joomla
  • CMS
  • Crypt
  • Crypt
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés
Référence de la classe Crypt

Fonctions membres publiques

__construct (CipherInterface $cipher=null, Key $key=null)
decrypt ($data)
encrypt ($data)
generateKey (array $options=array())
setKey (Key $key)

Fonctions membres publiques statiques

static | genRandomBytes ($length=16)
static | timingSafeCompare ($known, $unknown)
static | hasStrongPasswordSupport ()
static | safeStrlen ($str)
static | safeSubstr ($str, $start, $length=null)

Attributs privés

$_cipher
$_key

Description détaillée

Crypt is a Joomla Platform class for handling basic encryption/decryption of data.

Depuis
3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | CipherInterface | $cipher = null,
 |  | Key | $key = null
 | ) |  |

Object Constructor takes an optional key to be used for encryption/decryption. If no key is given then the secret word from the configuration object is used.

Paramètres
CipherInterface | $cipher | The encryption cipher object.
Key | $key | The encryption key[/pair)].
Depuis
3.0.0

Références $key.

Documentation des fonctions membres

◆ decrypt()

decrypt ( $data )

Method to decrypt a data string.

Paramètres
string $data The encrypted string to decrypt.
Renvoie
string The decrypted data string.
Depuis
3.0.0
Exceptions

Références $data.

◆ encrypt()

encrypt ( $data )

Method to encrypt a data string.

Paramètres
string $data The data string to encrypt.
Renvoie
string The encrypted data string.
Depuis
3.0.0

Références $data.

◆ generateKey()

generateKey ( array $options = array() )

Method to generate a new encryption key[/pair] object.

Paramètres
array $options Key generation options.
Renvoie
Key
Depuis
3.0.0

Références $options.

◆ genRandomBytes()

static genRandomBytes ( $length = 16 )
static

Generate random bytes.

Paramètres
integer $length Length of the random data to generate
Renvoie
string Random binary data
Depuis
3.0.0

Référencé par SimpleCipher\generateKey(), McryptCipher\generateKey(), SimpleCryptPassword\getSalt(), et Path\isOwner().

◆ hasStrongPasswordSupport()

static hasStrongPasswordSupport ( )
static

Tests for the availability of updated crypt(). Based on a method by Anthony Ferrera

Renvoie
boolean Always returns true since 3.3
Note
To be removed when PHP 5.3.7 or higher is the minimum supported version. 3.2 deprecated 741.

Références Log\add(), JPATH_ROOT, et Log\WARNING.

Référencé par SimpleCryptPassword\create(), et SimpleCryptPassword\verify().

◆ safeStrlen()

static safeStrlen ( $str )
static

Safely detect a string's length

This method is derived from ::safeStrlen()

Paramètres
string $str String to check the length of
Renvoie
integer
Depuis
3.5 mbstring.func_overload
Exceptions

Références null.

◆ safeSubstr()

static safeSubstr | ( | $str,
 |  | $start,
 |  | $length = null
 | ) |
static

Safely extract a substring

This method is derived from ::safeSubstr()

Paramètres
string | $str | The string to extract the substring from
integer | $start | The starting position to extract from
integer | $length | The length of the string to return
Renvoie
string
Depuis
3.5

Références $start, et null.

◆ setKey()

setKey ( Key $key )

Method to set the encryption key[/pair] object.

Paramètres
Key $key The key object to set.
Renvoie
Crypt
Depuis
3.0.0

Références $key.

◆ timingSafeCompare()

static timingSafeCompare | ( | $known,
 |  | $unknown
 | ) |
static

A timing safe comparison method.

This defeats hacking attempts that use timing based attack vectors.

NOTE: Length will leak.

Paramètres
string | $known | A known string to check against.
string | $unknown | An unknown string to check.
Renvoie
boolean True if the two strings are exactly the same.
Depuis
3.2

Référencé par SimpleCryptPassword\verify().

Documentation des champs

◆ $_cipher

$_cipher
private

◆ $_key

$_key
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • Crypt.php


Joomla CMS: Référence de l'interface CryptPassword

  • Joomla
  • CMS
  • Crypt
  • CryptPassword
Fonctions membres publiques | Champs de données
Référence de l'interface CryptPassword
+ Graphe d'héritage de CryptPassword:
SimpleCryptPassword

Fonctions membres publiques

create ($password, $type=null)
verify ($password, $hash)
setDefaultType ($type)
getDefaultType ()

Champs de données

const | BLOWFISH = '$2y$'
const | JOOMLA = 'Joomla'
const | PBKDF = '$pbkdf$'
const | MD5 = '$1$'

Description détaillée

Joomla Platform Password Hashing Interface

Depuis
3.0.1
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Documentation des fonctions membres

◆ create()

create | ( | $password,
 |  | $type = null
 | ) |

Creates a password hash

Paramètres
string | $password | The password to hash.
string | $type | The type of hash. This determines the prefix of the hashing function.
Renvoie
string The hashed password.
Depuis
3.0.1
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Implémenté dans SimpleCryptPassword.

◆ getDefaultType()

getDefaultType ( )

Gets the default type

Renvoie
void
Depuis
3.1.4
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Implémenté dans SimpleCryptPassword.

◆ setDefaultType()

setDefaultType ( $type )

Sets a default prefix

Paramètres
string $type The prefix to set as default
Renvoie
void
Depuis
3.1.4
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Implémenté dans SimpleCryptPassword.

◆ verify()

verify | ( | $password,
 |  | $hash
 | ) |

Verifies a password hash

Paramètres
string | $password | The password to verify.
string | $hash | The password hash to check.
Renvoie
boolean True if the password is valid, false otherwise.
Depuis
3.0.1
Obsolète:
4.0 Use PHP 5.5's native password hashing API

Implémenté dans SimpleCryptPassword.

Documentation des champs

◆ BLOWFISH

const BLOWFISH = '$2y$'

Référencé par SimpleCryptPassword\create().

◆ JOOMLA

const JOOMLA = 'Joomla'

Référencé par SimpleCryptPassword\create().

◆ MD5

const MD5 = '$1$'

Référencé par SimpleCryptPassword\create().

◆ PBKDF

const PBKDF = '$pbkdf$'
La documentation de cette interface a été générée à partir du fichier suivant :
  • CryptPassword.php


Joomla CMS: Référence de la classe Key

  • Joomla
  • CMS
  • Crypt
  • Key
Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe Key

Fonctions membres publiques

__construct ($type, $private=null, $public=null)
__get ($name)

Champs de données

$private
$public

Attributs protégés

$type

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $type,
 |  | $private = null,
 |  | $public = null
 | ) |

Constructor.

Paramètres
string | $type | The key type.
string | $private | The private key.
string | $public | The public key.
Depuis
3.0.0

Références $type, et null.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to return some protected property values.

Paramètres
string $name The name of the property to return.
Renvoie
mixed
Depuis
3.0.0

Références $name, et $type.

Documentation des champs

◆ $private

$private

◆ $public

$public

◆ $type

$type
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Key.php


Joomla CMS: Référence de la classe Date

  • Joomla
  • CMS
  • Date
  • Date
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs publics statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe Date
+ Graphe d'héritage de Date:

Fonctions membres publiques

__construct ($date='now', $tz=null)
__get ($name)
__toString ()
dayToString ($day, $abbr=false)
calendar ($format, $local=false, $translate=true)
format ($format, $local=false, $translate=true)
getOffsetFromGmt ($hours=false)
monthToString ($month, $abbr=false)
setTimezone ($tz)
toISO8601 ($local=false)
toSql ($local=false, \JDatabaseDriver $db=null)
toRFC822 ($local=false)
toUnix ()

Fonctions membres publiques statiques

static getInstance ($date='now', $tz=null)

Champs de données

const | DAY_ABBR = "\x021\x03"
const | DAY_NAME = "\x022\x03"
const | MONTH_ABBR = "\x023\x03"
const | MONTH_NAME = "\x024\x03"

Attributs publics statiques

static $format = 'Y-m-d H:i:s'

Attributs protégés

$tz

Attributs protégés statiques

static | $gmt
static | $stz

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $date = 'now',
 |  | $tz = null
 | ) |

Constructor.

Paramètres
string | $date | String in a format accepted by strtotime(), defaults to "now".
mixed | $tz | Time zone to be used for the date. Might be a string or a DateTimeZone object.
Depuis
1.7.0

Références $date, Date\$tz, elseif, et null.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to access properties of the date given by class to the format method.

Paramètres
string $name The name of the property.
Renvoie
mixed A value if the property name is valid, null otherwise.
Depuis
1.7.0

Références $name, $value, Date\format(), et null.

◆ __toString()

__toString ( )

Magic method to render the date object in the format specified in the public static member Date::$format.

Renvoie
string The date as a formatted string.
Depuis
1.7.0

Références $format.

◆ calendar()

calendar | ( | $format,
 |  | $local = false,
 |  | $translate = true
 | ) |

Gets the date as a formatted string in a local calendar.

Paramètres
string | $format | The date format specification string (see PHP_MANUAL#date)
boolean | $local | True to return the date string in the local time zone, false to return it in GMT.
boolean | $translate | True to translate localised strings
Renvoie
string The date string in the specified format format.
Depuis
1.7.0

Références Date\$format, et Date\format().

◆ dayToString()

dayToString | ( | $day,
 |  | $abbr = false
 | ) |

Translates day of week number to a string.

Paramètres
integer | $day | The numeric day of the week.
boolean | $abbr | Return the abbreviated day string?
Renvoie
string The day of the week.
Depuis
1.7.0

Référencé par Date\format().

◆ format()

format | ( | $format,
 |  | $local = false,
 |  | $translate = true
 | ) |

Gets the date as a formatted string.

Paramètres
string | $format | The date format specification string (see PHP_MANUAL#date)
boolean | $local | True to return the date string in the local time zone, false to return it in GMT.
boolean | $translate | True to translate localised strings
Renvoie
string The date string in the specified format format.
Depuis
1.7.0

Références Date\$format, $return, Date\dayToString(), et Date\monthToString().

Référencé par Date\__get(), Date\calendar(), Date\toISO8601(), Date\toRFC822(), et Date\toSql().

◆ getInstance()

static getInstance | ( | $date = 'now',
 |  | $tz = null
 | ) |
static

Proxy for new JDate().

Paramètres
string | $date | String in a format accepted by strtotime(), defaults to "now".
mixed | $tz | Time zone to be used for the date.
Renvoie
Date
Depuis
1.7.3

Références $date, et Date\$tz.

◆ getOffsetFromGmt()

getOffsetFromGmt ( $hours = false )

Get the time offset from GMT in hours or seconds.

Paramètres
boolean $hours True to return the value in hours.
Renvoie
float The time offset from GMT either in hours or in seconds.
Depuis
1.7.0

◆ monthToString()

monthToString | ( | $month,
 |  | $abbr = false
 | ) |

Translates month number to a string.

Paramètres
integer | $month | The numeric month of the year.
boolean | $abbr | If true, return the abbreviated month string
Renvoie
string The month of the year.
Depuis
1.7.0

Référencé par Date\format().

◆ setTimezone()

setTimezone ( $tz )

Method to wrap the setTimezone() function and set the internal time zone object.

Paramètres
\DateTimeZone $tz The new object.
Renvoie
Date
Depuis
1.7.0
Note
This method can't be type hinted due to a PHP bug: https://bugs.php.net/bug.php?id=61483

Références Date\$tz.

◆ toISO8601()

toISO8601 ( $local = false )

Gets the date as an ISO 8601 string. IETF RFC 3339 defines the ISO 8601 format and it can be found at the IETF Web site.

Paramètres
boolean $local True to return the date string in the local time zone, false to return it in GMT.
Renvoie
string The date string in ISO 8601 format.

1.7.0

Références Date\format().

◆ toRFC822()

toRFC822 ( $local = false )

Gets the date as an RFC 822 string. IETF RFC 2822 supercedes RFC 822 and its definition can be found at the IETF Web site.

Paramètres
boolean $local True to return the date string in the local time zone, false to return it in GMT.
Renvoie
string The date string in RFC 822 format.

1.7.0

Références Date\format().

◆ toSql()

toSql | ( |  | $local = false,
 |  | \JDatabaseDriver | $db = null
 | ) |  |

Gets the date as an SQL datetime string.

Paramètres
boolean | $local | True to return the date string in the local time zone, false to return it in GMT.
\JDatabaseDriver | $db | The database driver or null to use ::getDbo()
Renvoie
string The date string in SQL datetime format.

2.5.0

Références $db, Date\format(), et null.

◆ toUnix()

toUnix ( )

Gets the date as UNIX time stamp.

Renvoie
integer The date as a UNIX timestamp.
Depuis
1.7.0

Documentation des champs

◆ $format

$format = 'Y-m-d H:i:s'
static

Référencé par Date\calendar(), et Date\format().

◆ $gmt

$gmt
staticprotected

◆ $stz

$stz
staticprotected

◆ $tz

$tz
protected

Référencé par Date\__construct(), Date\getInstance(), et Date\setTimezone().

◆ DAY_ABBR

const DAY_ABBR = "\x021\x03"

◆ DAY_NAME

const DAY_NAME = "\x022\x03"

◆ MONTH_ABBR

const MONTH_ABBR = "\x023\x03"

◆ MONTH_NAME

const MONTH_NAME = "\x024\x03"
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Date/Date.php


Joomla CMS: Référence de la classe FeedEnclosure

  • Joomla
  • CMS
  • Document
  • Feed
  • FeedEnclosure
Champs de données
Référence de la classe FeedEnclosure

Champs de données

$url = ''
$length = ''
$type = ''

Description détaillée

Data object representing a feed enclosure

Depuis
1.7.0

Documentation des champs

◆ $length

$length = ''

◆ $type

$type = ''

◆ $url

$url = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • FeedEnclosure.php


Joomla CMS: Référence de la classe FeedImage

  • Joomla
  • CMS
  • Document
  • Feed
  • FeedImage
Champs de données
Référence de la classe FeedImage

Champs de données

$title = ''
$url = ''
$link = ''
$width
$height
$description

Description détaillée

Data object representing a feed image

Depuis
1.7.0

Documentation des champs

◆ $description

$description

◆ $height

$height

◆ $link

$link = ''

◆ $title

$title = ''

◆ $url

$url = ''

◆ $width

$width
La documentation de cette classe a été générée à partir du fichier suivant :
  • FeedImage.php


Joomla CMS: Référence de la classe FeedItem

  • Joomla
  • CMS
  • Document
  • Feed
  • FeedItem
Fonctions membres publiques | Champs de données
Référence de la classe FeedItem

Fonctions membres publiques

setEnclosure (FeedEnclosure $enclosure)

Champs de données

$title
$link
$description
$author
$authorEmail
$category
$comments
$enclosure = null
$guid
$date
$source

Description détaillée

Data object representing a feed item

Depuis
1.7.0

Documentation des fonctions membres

◆ setEnclosure()

setEnclosure ( FeedEnclosure $enclosure )

Set the FeedEnclosure for this item

Paramètres
FeedEnclosure $enclosure The FeedEnclosure to add to the feed.
Renvoie
FeedItem instance of $this to allow chaining
Depuis
1.7.0

Documentation des champs

◆ $author

$author

◆ $authorEmail

$authorEmail

◆ $category

$category

◆ $comments

$comments

◆ $date

$date

◆ $description

$description

◆ $enclosure

$enclosure = null

◆ $guid

$guid

◆ $link

$link

◆ $source

$source

◆ $title

$title
La documentation de cette classe a été générée à partir du fichier suivant :
  • FeedItem.php


Joomla CMS: Référence de la classe OpensearchImage

  • Joomla
  • CMS
  • Document
  • Opensearch
  • OpensearchImage
Champs de données
Référence de la classe OpensearchImage

Champs de données

$type = ''
$data = ''
$width
$height

Description détaillée

Data object representing an OpenSearch image

Depuis
1.7.0

Documentation des champs

◆ $data

$data = ''

◆ $height

$height

◆ $type

$type = ''

◆ $width

$width
La documentation de cette classe a été générée à partir du fichier suivant :
  • OpensearchImage.php


Joomla CMS: Référence de la classe OpensearchUrl

  • Joomla
  • CMS
  • Document
  • Opensearch
  • OpensearchUrl
Champs de données
Référence de la classe OpensearchUrl

Champs de données

$type = 'text/html'
$rel = 'results'
$template

Description détaillée

Data object representing an OpenSearch URL

Depuis
1.7.0

Documentation des champs

◆ $rel

$rel = 'results'

◆ $template

$template

◆ $type

$type = 'text/html'
La documentation de cette classe a été générée à partir du fichier suivant :
  • OpensearchUrl.php


Joomla CMS: Référence de la classe AtomRenderer

  • Joomla
  • CMS
  • Document
  • Renderer
  • Feed
  • AtomRenderer
Fonctions membres publiques | Attributs protégés
Référence de la classe AtomRenderer
+ Graphe d'héritage de AtomRenderer:
DocumentRenderer

Fonctions membres publiques

render ($name='', $params=null, $content=null)
- Fonctions membres publiques hérités de DocumentRenderer
__construct (Document $doc)
render ($name, $params=null, $content=null)
getContentType ()

Attributs protégés

$_mime = 'application/atom+xml'
- Attributs protégés hérités de DocumentRenderer
$_doc = null
$_mime = 'text/html'

Membres hérités additionnels

- Fonctions membres protégées hérités de DocumentRenderer
_relToAbs ($text)

Documentation des fonctions membres

◆ render()

render | ( | $name = '',
 |  | $params = null,
 |  | $content = null
 | ) |

Render the feed.

Paramètres
string | $name | The name of the element to render
array | $params | Array of values
string | $content | Override the output of the renderer
Renvoie
string The output of the script
Voir également
DocumentRenderer::render()
Depuis
3.5

Références $app, $count, $data, $feed, $i, $minorVersion, $now, $title, $url, elseif, ENT_COMPAT, Uri\getInstance(), htmlspecialchars, et null.

Documentation des champs

◆ $_mime

$_mime = 'application/atom+xml'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AtomRenderer.php


Joomla CMS: Référence de la classe RssRenderer

  • Joomla
  • CMS
  • Document
  • Renderer
  • Feed
  • RssRenderer
Fonctions membres publiques | Attributs protégés
Référence de la classe RssRenderer
+ Graphe d'héritage de RssRenderer:
DocumentRenderer

Fonctions membres publiques

render ($name='', $params=null, $content=null)
- Fonctions membres publiques hérités de DocumentRenderer
__construct (Document $doc)
render ($name, $params=null, $content=null)
getContentType ()

Attributs protégés

$_mime = 'application/rss+xml'
- Attributs protégés hérités de DocumentRenderer
$_doc = null
$_mime = 'text/html'

Membres hérités additionnels

- Fonctions membres protégées hérités de DocumentRenderer
_relToAbs ($text)

Documentation des fonctions membres

◆ render()

render | ( | $name = '',
 |  | $params = null,
 |  | $content = null
 | ) |

Render the feed.

Paramètres
string | $name | The name of the element to render
array | $params | Array of values
string | $content | Override the output of the renderer
Renvoie
string The output of the script
Voir également
DocumentRenderer::render()
Depuis
3.5

Références $app, $count, $data, $feed, $i, $now, $title, $url, elseif, ENT_COMPAT, Uri\getInstance(), htmlspecialchars, et null.

Documentation des champs

◆ $_mime

$_mime = 'application/rss+xml'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • RssRenderer.php


Joomla CMS: Référence de la classe ComponentRenderer

  • Joomla
  • CMS
  • Document
  • Renderer
  • Html
  • ComponentRenderer
Fonctions membres publiques
Référence de la classe ComponentRenderer
+ Graphe d'héritage de ComponentRenderer:
DocumentRenderer

Fonctions membres publiques

render ($component=null, $params=array(), $content=null)
- Fonctions membres publiques hérités de DocumentRenderer
__construct (Document $doc)
render ($name, $params=null, $content=null)
getContentType ()

Membres hérités additionnels

- Fonctions membres protégées hérités de DocumentRenderer
_relToAbs ($text)
- Attributs protégés hérités de DocumentRenderer
$_doc = null
$_mime = 'text/html'

Description détaillée

HTML document renderer for the component output

Depuis
3.5

Documentation des fonctions membres

◆ render()

render | ( | $component = null,
 |  | $params = array(),
 |  | $content = null
 | ) |

Renders a component script and returns the results as a string

Paramètres
string | $component | The name of the component to render
array | $params | Associative array of values
string | $content | Content script
Renvoie
string The output of the script
Depuis
3.5

Références $content.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ComponentRenderer.php


Joomla CMS: Référence de la classe HeadRenderer

  • Joomla
  • CMS
  • Document
  • Renderer
  • Html
  • HeadRenderer
Fonctions membres publiques
Référence de la classe HeadRenderer
+ Graphe d'héritage de HeadRenderer:
DocumentRenderer

Fonctions membres publiques

render ($head, $params=array(), $content=null)
fetchHead ($document)
- Fonctions membres publiques hérités de DocumentRenderer
__construct (Document $doc)
render ($name, $params=null, $content=null)
getContentType ()

Membres hérités additionnels

- Fonctions membres protégées hérités de DocumentRenderer
_relToAbs ($text)
- Attributs protégés hérités de DocumentRenderer
$_doc = null
$_mime = 'text/html'

Description détaillée

HTML document renderer for the document <head> element

Depuis
3.5

Documentation des fonctions membres

◆ fetchHead()

fetchHead ( $document )

Generates the head HTML and return the results as a string

Paramètres
JDocumentHtml $document The document for which the head will be created
Renvoie
string The head hTML
Depuis
3.5
Obsolète:
4.0 Method code will be moved into the render method

Références $app, $attribs, $base, $buffer, $content, $document, $link, $name, $type, $value, elseif, ENT_COMPAT, htmlspecialchars, JDEBUG, json_encode, null, et ArrayHelper\toString().

◆ render()

render | ( | $head,
 |  | $params = array(),
 |  | $content = null
 | ) |

Renders the document head and returns the results as a string

Paramètres
string | $head | (unused)
array | $params | Associative array of values
string | $content | The script
Renvoie
string The output of the script
Depuis
3.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • HeadRenderer.php


Joomla CMS: Référence de la classe MessageRenderer

  • Joomla
  • CMS
  • Document
  • Renderer
  • Html
  • MessageRenderer
Fonctions membres publiques | Fonctions membres privées
Référence de la classe MessageRenderer
+ Graphe d'héritage de MessageRenderer:
DocumentRenderer

Fonctions membres publiques

render ($name, $params=array(), $content=null)
- Fonctions membres publiques hérités de DocumentRenderer
__construct (Document $doc)
render ($name, $params=null, $content=null)
getContentType ()

Fonctions membres privées

getData ()

Membres hérités additionnels

- Fonctions membres protégées hérités de DocumentRenderer
_relToAbs ($text)
- Attributs protégés hérités de DocumentRenderer
$_doc = null
$_mime = 'text/html'

Description détaillée

HTML document renderer for the system message queue

Depuis
3.5

Documentation des fonctions membres

◆ getData()

getData ( )
private

Get and prepare system message data for output

Renvoie
array An array contains system message
Depuis
3.5

Références $messages.

◆ render()

render | ( | $name,
 |  | $params = array(),
 |  | $content = null
 | ) |

Renders the error stack and returns the results as a string

Paramètres
string | $name | Not used.
array | $params | Associative array of values
string | $content | Not used.
Renvoie
string The output of the script
Depuis
3.5

Références $app, $content, $displayData, $msgList, $name, $params, Log\add(), JPATH_THEMES, LayoutHelper\render(), et Log\WARNING.

La documentation de cette classe a été générée à partir du fichier suivant :
  • MessageRenderer.php


Joomla CMS: Référence de la classe ModuleRenderer

  • Joomla
  • CMS
  • Document
  • Renderer
  • Html
  • ModuleRenderer
Fonctions membres publiques
Référence de la classe ModuleRenderer
+ Graphe d'héritage de ModuleRenderer:
DocumentRenderer

Fonctions membres publiques

render ($module, $attribs=array(), $content=null)
- Fonctions membres publiques hérités de DocumentRenderer
__construct (Document $doc)
render ($name, $params=null, $content=null)
getContentType ()

Membres hérités additionnels

- Fonctions membres protégées hérités de DocumentRenderer
_relToAbs ($text)
- Attributs protégés hérités de DocumentRenderer
$_doc = null
$_mime = 'text/html'

Description détaillée

HTML document renderer for a single module

Depuis
3.5

Documentation des fonctions membres

◆ render()

render | ( | $module,
 |  | $attribs = array(),
 |  | $content = null
 | ) |

Renders a module script and returns the results as a string

Paramètres
string | $module | The name of the module to render
array | $attribs | Associative array of values
string | $content | If present, module information from the buffer will be used
Renvoie
string The output of the script
Depuis
3.5

If module isn't found in the database but data has been pushed in the buffer we want to render it

Références $attribs, $cacheparams, $content, $module, $params, $title, $tmp, ENT_COMPAT, ModuleHelper\getModule(), null, et ModuleHelper\renderModule().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ModuleRenderer.php


Joomla CMS: Référence de la classe ModulesRenderer

  • Joomla
  • CMS
  • Document
  • Renderer
  • Html
  • ModulesRenderer
Fonctions membres publiques
Référence de la classe ModulesRenderer
+ Graphe d'héritage de ModulesRenderer:
DocumentRenderer

Fonctions membres publiques

render ($position, $params=array(), $content=null)
- Fonctions membres publiques hérités de DocumentRenderer
__construct (Document $doc)
render ($name, $params=null, $content=null)
getContentType ()

Membres hérités additionnels

- Fonctions membres protégées hérités de DocumentRenderer
_relToAbs ($text)
- Attributs protégés hérités de DocumentRenderer
$_doc = null
$_mime = 'text/html'

Description détaillée

HTML document renderer for a module position

Depuis
3.5

Documentation des fonctions membres

◆ render()

render | ( | $position,
 |  | $params = array(),
 |  | $content = null
 | ) |

Renders multiple modules script and returns the results as a string

Paramètres
string | $position | The position of the modules to render
array | $params | Associative array of values
string | $content | Module content
Renvoie
string The output of the script
Depuis
3.5

Références $app, $buffer, $content, $displayData, $menusEditing, $mod, $moduleHtml, $params, $position, $renderer, $user, JEventDispatcher\getInstance(), ModuleHelper\getModules(), et LayoutHelper\render().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ModulesRenderer.php


Joomla CMS: Référence de la classe Document

  • Joomla
  • CMS
  • Document
  • Document
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs publics statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe Document
+ Graphe d'héritage de Document:
ErrorDocument FeedDocument HtmlDocument ImageDocument JsonDocument OpensearchDocument RawDocument XmlDocument

Fonctions membres publiques

__construct ($options=array())
setType ($type)
getType ()
getBuffer ()
setBuffer ($content, $options=array())
getMetaData ($name, $attribute='name')
setMetaData ($name, $content, $attribute='name')
addScript ($url, $options=array(), $attribs=array())
addScriptVersion ($url, $options=array(), $attribs=array())
addScriptDeclaration ($content, $type='text/javascript')
addScriptOptions ($key, $options, $merge=true)
getScriptOptions ($key=null)
addStyleSheet ($url, $options=array(), $attribs=array())
addStyleSheetVersion ($url, $options=array(), $attribs=array())
addStyleDeclaration ($content, $type='text/css')
setCharset ($type='utf-8')
getCharset ()
setLanguage ($lang='en-gb')
getLanguage ()
setDirection ($dir='ltr')
getDirection ()
setTitle ($title)
getTitle ()
setMediaVersion ($mediaVersion)
getMediaVersion ()
setBase ($base)
getBase ()
setDescription ($description)
getDescription ()
setLink ($url)
getLink ()
setGenerator ($generator)
getGenerator ()
setModifiedDate ($date)
getModifiedDate ()
setMimeEncoding ($type='text/html', $sync=true)
getMimeEncoding ()
setLineEnd ($style)
_getLineEnd ()
setTab ($string)
_getTab ()
loadRenderer ($type)
parse ($params=array())
render ($cache=false, $params=array())

Fonctions membres publiques statiques

static getInstance ($type='html', $attributes=array())

Champs de données

$title = ''
$description = ''
$link = ''
$base = ''
$language = 'en-gb'
$direction = 'ltr'
$_generator = 'Joomla! - Open Source Content Management'
$_mdate = ''
$_tab = "\11"
$_lineEnd = "\12"
$_charset = 'utf-8'
$_mime = ''
$_namespace = ''
$_profile = ''
$_scripts = array()
$_script = array()
$_styleSheets = array()
$_style = array()
$_metaTags = array()
$_engine = null
$_type = null

Attributs publics statiques

static $_buffer = null

Attributs protégés

$scriptOptions = array()
$mediaVersion = null

Attributs protégés statiques

static $instances = array()

Description détaillée

Document class, provides an easy interface to parse and display a document

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor.

Paramètres
array $options Associative array of options
Depuis
1.7.0

Références $options.

Documentation des fonctions membres

◆ _getLineEnd()

_getLineEnd ( )

Returns the lineEnd

Renvoie
string
Depuis
1.7.0

◆ _getTab()

_getTab ( )

Returns a string containing the unit for indenting HTML

Renvoie
string
Depuis
1.7.0

◆ addScript()

addScript | ( | $url,
 |  | $options = array(),
 |  | $attribs = array()
 | ) |

Adds a linked script to the page

Paramètres
string | $url | URL to the linked script.
array | $options | Array of options. Example: array('version' => 'auto', 'conditional' => 'lt IE 9')
array | $attribs | Array of attributes. Example: array('id' => 'scriptid', 'async' => 'async', 'data-test' => 1)
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0
Obsolète:
4.0 The (url, mime, defer, async) method signature is deprecated, use (url, options, attributes) instead.

Références $attribs, $options, et $url.

◆ addScriptDeclaration()

addScriptDeclaration | ( | $content,
 |  | $type = 'text/javascript'
 | ) |

Adds a script to the page

Paramètres
string | $content | Script
string | $type | Scripting mime (defaults to 'text/javascript')
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $content, et $type.

◆ addScriptOptions()

addScriptOptions | ( | $key,
 |  | $options,
 |  | $merge = true
 | ) |

Add option for script

Paramètres
string | $key | Name in Storage
mixed | $options | Scrip options as array or string
bool | $merge | Whether merge with existing (true) or replace (false)
Renvoie
Document instance of $this to allow chaining
Depuis
3.5

Références $key, et $options.

◆ addScriptVersion()

addScriptVersion | ( | $url,
 |  | $options = array(),
 |  | $attribs = array()
 | ) |

Adds a linked script to the page with a version to allow to flush it. Ex: myscript.js?54771616b5bceae9df03c6173babf11d If not specified Joomla! automatically handles versioning

Paramètres
string | $url | URL to the linked script.
array | $options | Array of options. Example: array('version' => 'auto', 'conditional' => 'lt IE 9')
array | $attribs | Array of attributes. Example: array('id' => 'scriptid', 'async' => 'async', 'data-test' => 1)
Renvoie
Document instance of $this to allow chaining
Depuis
3.2
Obsolète:
4.0 This method is deprecated, use addScript(url, options, attributes) instead.

Références $attribs, $options, et $url.

◆ addStyleDeclaration()

addStyleDeclaration | ( | $content,
 |  | $type = 'text/css'
 | ) |

Adds a stylesheet declaration to the page

Paramètres
string | $content | Style declarations
string | $type | Type of stylesheet (defaults to 'text/css')
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $content, et $type.

◆ addStyleSheet()

addStyleSheet | ( | $url,
 |  | $options = array(),
 |  | $attribs = array()
 | ) |

Adds a linked stylesheet to the page

Paramètres
string | $url | URL to the linked style sheet
array | $options | Array of options. Example: array('version' => 'auto', 'conditional' => 'lt IE 9')
array | $attribs | Array of attributes. Example: array('id' => 'stylesheet', 'data-test' => 1)
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0
Obsolète:
4.0 The (url, mime, media, attribs) method signature is deprecated, use (url, options, attributes) instead.

Références $attribs, $options, et $url.

◆ addStyleSheetVersion()

addStyleSheetVersion | ( | $url,
 |  | $options = array(),
 |  | $attribs = array()
 | ) |

Adds a linked stylesheet version to the page. Ex: template.css?54771616b5bceae9df03c6173babf11d If not specified Joomla! automatically handles versioning

Paramètres
string | $url | URL to the linked style sheet
array | $options | Array of options. Example: array('version' => 'auto', 'conditional' => 'lt IE 9')
array | $attribs | Array of attributes. Example: array('id' => 'stylesheet', 'data-test' => 1)
Renvoie
Document instance of $this to allow chaining
Depuis
3.2
Obsolète:
4.0 This method is deprecated, use addStyleSheet(url, options, attributes) instead.

Références $attribs, $options, et $url.

◆ getBase()

getBase ( )

Return the base URI of the document.

Renvoie
string
Depuis
1.7.0

Références $base.

◆ getBuffer()

getBuffer ( )

Get the contents of the document buffer

Renvoie
mixed
Depuis
1.7.0

◆ getCharset()

getCharset ( )

Returns the document charset encoding.

Renvoie
string
Depuis
1.7.0

◆ getDescription()

getDescription ( )

Return the description of the document.

Renvoie
string
Depuis
1.7.0

Références $description.

◆ getDirection()

getDirection ( )

Returns the document direction declaration.

Renvoie
string
Depuis
1.7.0

Références $direction.

◆ getGenerator()

getGenerator ( )

Returns the document generator

Renvoie
string
Depuis
1.7.0

◆ getInstance()

static getInstance | ( | $type = 'html',
 |  | $attributes = array()
 | ) |
static

Returns the global Document object, only creating it if it doesn't already exist.

Paramètres
string | $type | The document type to instantiate
array | $attributes | Array of attributes
Renvoie
object The document object.
Depuis
1.7.0

Références $attributes, $class, $path, $type, null, et JLoader\register().

Référencé par ExceptionHandler\render().

◆ getLanguage()

getLanguage ( )

Returns the document language.

Renvoie
string
Depuis
1.7.0

Références $language.

◆ getLink()

getLink ( )

Returns the document base url

Renvoie
string
Depuis
1.7.0

Références $link.

◆ getMediaVersion()

getMediaVersion ( )

Return the media version

Renvoie
string
Depuis
3.2

◆ getMetaData()

getMetaData | ( | $name,
 |  | $attribute = 'name'
 | ) |

Gets a meta tag.

Paramètres
string | $name | Name of the meta HTML tag
string | $attribute | Attribute to use in the meta HTML tag
Renvoie
string
Depuis
1.7.0

Références $name, et elseif.

◆ getMimeEncoding()

getMimeEncoding ( )

Return the document MIME encoding that is sent to the browser.

Renvoie
string
Depuis
1.7.0

◆ getModifiedDate()

getModifiedDate ( )

Returns the document modified date

Renvoie
string|Date
Depuis
1.7.0

◆ getScriptOptions()

getScriptOptions ( $key = null )

Get script(s) options

Paramètres
string $key Name in Storage
Renvoie
array Options for given $key, or all script options
Depuis
3.5

Références $key.

◆ getTitle()

getTitle ( )

Return the title of the document.

Renvoie
string
Depuis
1.7.0

Références $title.

◆ getType()

getType ( )

Returns the document type

Renvoie
string
Depuis
1.7.0

◆ loadRenderer()

loadRenderer ( $type )

Load a renderer

Paramètres
string $type The renderer type
Renvoie
DocumentRenderer
Depuis
1.7.0
Exceptions

Références $class, $path, $type, et JLoader\register().

◆ parse()

parse ( $params = array() )

Parses the document and prepares the buffers

Paramètres
array $params The array of parameters
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

◆ render()

render | ( | $cache = false,
 |  | $params = array()
 | ) |

Outputs the document

Paramètres
boolean | $cache | If true, cache the output
array | $params | Associative array of attributes
Renvoie
void The rendered data
Depuis
1.7.0

Références $app.

◆ setBase()

setBase ( $base )

Sets the base URI of the document

Paramètres
string $base The base URI to be set
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $base.

◆ setBuffer()

setBuffer | ( | $content,
 |  | $options = array()
 | ) |

Set the contents of the document buffer

Paramètres
string | $content | The content to be set in the buffer.
array | $options | Array of optional elements.
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $content.

◆ setCharset()

setCharset ( $type = 'utf-8' )

Sets the document charset

Paramètres
string $type Charset encoding string
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $type.

◆ setDescription()

setDescription ( $description )

Sets the description of the document

Paramètres
string $description The description to set
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $description, et description.

◆ setDirection()

setDirection ( $dir = 'ltr' )

Sets the global document direction declaration. Default is left-to-right (ltr).

Paramètres
string $dir The language direction to be set
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

◆ setGenerator()

setGenerator ( $generator )

Sets the document generator

Paramètres
string $generator The generator to be set
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

◆ setLanguage()

setLanguage ( $lang = 'en-gb' )

Sets the global document language declaration. Default is English (en-gb).

Paramètres
string $lang The language to be set
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $lang, et language.

◆ setLineEnd()

setLineEnd ( $style )

Sets the line end style to Windows, Mac, Unix or a custom string.

Paramètres
string $style "win", "mac", "unix" or custom string.
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $style.

◆ setLink()

setLink ( $url )

Sets the document link

Paramètres
string $url A url
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $url.

◆ setMediaVersion()

setMediaVersion ( $mediaVersion )

Set the assets version

Paramètres
string $mediaVersion Media version to use
Renvoie
Document instance of $this to allow chaining
Depuis
3.2

◆ setMetaData()

setMetaData | ( | $name,
 |  | $content,
 |  | $attribute = 'name'
 | ) |

Sets or alters a meta tag.

Paramètres
string | $name | Name of the meta HTML tag
mixed | $content | Value of the meta HTML tag as array or string
string | $attribute | Attribute to use in the meta HTML tag
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $content, $name, et elseif.

◆ setMimeEncoding()

setMimeEncoding | ( | $type = 'text/html',
 |  | $sync = true
 | ) |

Sets the document MIME encoding that is sent to the browser.

This usually will be text/html because most browsers cannot yet accept the proper mime settings for XHTML: application/xhtml+xml and to a lesser extent application/xml and text/xml. See the W3C note ( http://www.w3.org/TR/xhtml-media-types/) for more details.

Paramètres
string | $type | The document type to be sent
boolean | $sync | Should the type be synced with HTML?
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

http://www.w3.org/TR/xhtml-media-types

Références $type.

◆ setModifiedDate()

setModifiedDate ( $date )

Sets the document modified date

Paramètres
string | Date $date The date to be set
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0
Exceptions

Références $date.

◆ setTab()

setTab ( $string )

Sets the string used to indent HTML

Paramètres
string $string String used to indent ("\11", "\t", ' ', etc.).
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

◆ setTitle()

setTitle ( $title )

Sets the title of the document

Paramètres
string $title The title to be set
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $title, et title.

◆ setType()

setType ( $type )

Set the document type

Paramètres
string $type Type document is to set to
Renvoie
Document instance of $this to allow chaining
Depuis
1.7.0

Références $type.

Documentation des champs

◆ $_buffer

$_buffer = null
static

◆ $_charset

$_charset = 'utf-8'

◆ $_engine

$_engine = null

◆ $_generator

$_generator = 'Joomla! - Open Source Content Management'

◆ $_lineEnd

$_lineEnd = "\12"

◆ $_mdate

$_mdate = ''

◆ $_metaTags

$_metaTags = array()

◆ $_mime

$_mime = ''

◆ $_namespace

$_namespace = ''

◆ $_profile

$_profile = ''

◆ $_script

$_script = array()

◆ $_scripts

$_scripts = array()

◆ $_style

$_style = array()

◆ $_styleSheets

$_styleSheets = array()

◆ $_tab

$_tab = "\11"

◆ $_type

$_type = null

◆ $base

$base = ''

◆ $description

$description = ''

◆ $direction

$direction = 'ltr'

◆ $instances

$instances = array()
staticprotected

◆ $language

$language = 'en-gb'

◆ $link

$link = ''

◆ $mediaVersion

$mediaVersion = null
protected

◆ $scriptOptions

$scriptOptions = array()
protected

◆ $title

$title = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • Document.php


Joomla CMS: Référence de la classe DocumentRenderer

  • Joomla
  • CMS
  • Document
  • DocumentRenderer
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe DocumentRenderer
+ Graphe d'héritage de DocumentRenderer:
AtomRenderer RssRenderer ComponentRenderer HeadRenderer MessageRenderer ModuleRenderer ModulesRenderer

Fonctions membres publiques

__construct (Document $doc)
render ($name, $params=null, $content=null)
getContentType ()

Fonctions membres protégées

_relToAbs ($text)

Attributs protégés

$_doc = null
$_mime = 'text/html'

Description détaillée

Abstract class for a renderer

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Document $doc )

Class constructor

Paramètres
Document $doc A reference to the Document object that instantiated the renderer
Depuis
1.7.0

Références $doc.

Documentation des fonctions membres

◆ _relToAbs()

_relToAbs ( $text )
protected

Convert links in a text from relative to absolute

Paramètres
string $text The text processed
Renvoie
string Text with converted links
Depuis
1.7.0

Références $base, $text, et Uri\base().

◆ getContentType()

getContentType ( )

Return the content type of the renderer

Renvoie
string The contentType
Depuis
1.7.0

◆ render()

render | ( | $name,
 |  | $params = null,
 |  | $content = null
 | ) |

Renders a script and returns the results as a string

Paramètres
string | $name | The name of the element to render
array | $params | Array of values
string | $content | Override the output of the renderer
Renvoie
string The output of the script
Depuis
1.7.0

Documentation des champs

◆ $_doc

$_doc = null
protected

◆ $_mime

$_mime = 'text/html'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • DocumentRenderer.php


Joomla CMS: Référence de la classe ErrorDocument

  • Joomla
  • CMS
  • Document
  • ErrorDocument
Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe ErrorDocument
+ Graphe d'héritage de ErrorDocument:
Document

Fonctions membres publiques

__construct ($options=array())
setError ($error)
render ($cache=false, $params=array())
_loadTemplate ($directory, $filename)
renderBacktrace ()
- Fonctions membres publiques hérités de Document
__construct ($options=array())
setType ($type)
getType ()
getBuffer ()
setBuffer ($content, $options=array())
getMetaData ($name, $attribute='name')
setMetaData ($name, $content, $attribute='name')
addScript ($url, $options=array(), $attribs=array())
addScriptVersion ($url, $options=array(), $attribs=array())
addScriptDeclaration ($content, $type='text/javascript')
addScriptOptions ($key, $options, $merge=true)
getScriptOptions ($key=null)
addStyleSheet ($url, $options=array(), $attribs=array())
addStyleSheetVersion ($url, $options=array(), $attribs=array())
addStyleDeclaration ($content, $type='text/css')
setCharset ($type='utf-8')
getCharset ()
setLanguage ($lang='en-gb')
getLanguage ()
setDirection ($dir='ltr')
getDirection ()
setTitle ($title)
getTitle ()
setMediaVersion ($mediaVersion)
getMediaVersion ()
setBase ($base)
getBase ()
setDescription ($description)
getDescription ()
setLink ($url)
getLink ()
setGenerator ($generator)
getGenerator ()
setModifiedDate ($date)
getModifiedDate ()
setMimeEncoding ($type='text/html', $sync=true)
getMimeEncoding ()
setLineEnd ($style)
_getLineEnd ()
setTab ($string)
_getTab ()
loadRenderer ($type)
parse ($params=array())
render ($cache=false, $params=array())

Champs de données

$baseurl = ''
$debug = false
$error
$template = null
$_file = null
- Champs de données hérités de Document
$title = ''
$description = ''
$link = ''
$base = ''
$language = 'en-gb'
$direction = 'ltr'
$_generator = 'Joomla! - Open Source Content Management'
$_mdate = ''
$_tab = "\11"
$_lineEnd = "\12"
$_charset = 'utf-8'
$_mime = ''
$_namespace = ''
$_profile = ''
$_scripts = array()
$_script = array()
$_styleSheets = array()
$_style = array()
$_metaTags = array()
$_engine = null
$_type = null

Attributs protégés

$_error
- Attributs protégés hérités de Document
$scriptOptions = array()
$mediaVersion = null

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Document
static | getInstance ($type='html', $attributes=array())
- Attributs publics statiques hérités de Document
static | $_buffer = null
- Attributs protégés statiques hérités de Document
static | $instances = array()

Description détaillée

ErrorDocument class, provides an easy interface to parse and display an error page

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Associative array of attributes
Depuis
1.7.0

Références $options.

Documentation des fonctions membres

◆ _loadTemplate()

_loadTemplate | ( | $directory,
 |  | $filename
 | ) |

Load a template file

Paramètres
string | $directory | The name of the template
string | $filename | The actual filename
Renvoie
string The contents of the template
Depuis
1.7.0

◆ render()

render | ( | $cache = false,
 |  | $params = array()
 | ) |

Render the document

Paramètres
boolean | $cache | If true, cache the output
array | $params | Associative array of attributes
Renvoie
string The rendered data
Depuis
1.7.0

Références $data, $file, $lang, $language, $params, $template, Uri\base(), JPATH_BASE, et null.

◆ renderBacktrace()

renderBacktrace ( )

Render the backtrace

Renvoie
string The contents of the backtrace
Depuis
1.7.0

Références LayoutHelper\render().

◆ setError()

setError ( $error )

Set error object

Paramètres
\Exception | \Throwable $error Error object to set
Renvoie
boolean True on success
Depuis
1.7.0

Documentation des champs

◆ $_error

$_error
protected

◆ $_file

$_file = null

◆ $baseurl

$baseurl = ''

◆ $debug

$debug = false

◆ $error

$error

◆ $template

$template = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • ErrorDocument.php


Joomla CMS: Référence de la classe FeedDocument

  • Joomla
  • CMS
  • Document
  • FeedDocument
Fonctions membres publiques | Champs de données
Référence de la classe FeedDocument
+ Graphe d'héritage de FeedDocument:
Document

Fonctions membres publiques

__construct ($options=array())
render ($cache=false, $params=array())
addItem (FeedItem $item)
- Fonctions membres publiques hérités de Document
__construct ($options=array())
setType ($type)
getType ()
getBuffer ()
setBuffer ($content, $options=array())
getMetaData ($name, $attribute='name')
setMetaData ($name, $content, $attribute='name')
addScript ($url, $options=array(), $attribs=array())
addScriptVersion ($url, $options=array(), $attribs=array())
addScriptDeclaration ($content, $type='text/javascript')
addScriptOptions ($key, $options, $merge=true)
getScriptOptions ($key=null)
addStyleSheet ($url, $options=array(), $attribs=array())
addStyleSheetVersion ($url, $options=array(), $attribs=array())
addStyleDeclaration ($content, $type='text/css')
setCharset ($type='utf-8')
getCharset ()
setLanguage ($lang='en-gb')
getLanguage ()
setDirection ($dir='ltr')
getDirection ()
setTitle ($title)
getTitle ()
setMediaVersion ($mediaVersion)
getMediaVersion ()
setBase ($base)
getBase ()
setDescription ($description)
getDescription ()
setLink ($url)
getLink ()
setGenerator ($generator)
getGenerator ()
setModifiedDate ($date)
getModifiedDate ()
setMimeEncoding ($type='text/html', $sync=true)
getMimeEncoding ()
setLineEnd ($style)
_getLineEnd ()
setTab ($string)
_getTab ()
loadRenderer ($type)
parse ($params=array())
render ($cache=false, $params=array())

Champs de données

$syndicationURL = ''
$image = null
$copyright = ''
$pubDate = ''
$lastBuildDate = ''
$editor = ''
$docs = ''
$editorEmail = ''
$webmaster = ''
$category = ''
$ttl = ''
$rating = ''
$skipHours = ''
$skipDays = ''
$items = array()
- Champs de données hérités de Document
$title = ''
$description = ''
$link = ''
$base = ''
$language = 'en-gb'
$direction = 'ltr'
$_generator = 'Joomla! - Open Source Content Management'
$_mdate = ''
$_tab = "\11"
$_lineEnd = "\12"
$_charset = 'utf-8'
$_mime = ''
$_namespace = ''
$_profile = ''
$_scripts = array()
$_script = array()
$_styleSheets = array()
$_style = array()
$_metaTags = array()
$_engine = null
$_type = null

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Document
static | getInstance ($type='html', $attributes=array())
- Attributs publics statiques hérités de Document
static | $_buffer = null
- Attributs protégés hérités de Document
$scriptOptions = array()
$mediaVersion = null
- Attributs protégés statiques hérités de Document
static | $instances = array()

Description détaillée

FeedDocument class, provides an easy interface to parse and display any feed document

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Associative array of options
Depuis
1.7.0

Références $options.

Documentation des fonctions membres

◆ addItem()

addItem ( FeedItem $item )

Adds a FeedItem to the feed.

Paramètres
FeedItem $item The feeditem to add to the feed.
Renvoie
FeedDocument instance of $this to allow chaining
Depuis
1.7.0

Références $item, $link, et items.

◆ render()

render | ( | $cache = false,
 |  | $params = array()
 | ) |

Render the document

Paramètres
boolean | $cache | If true, cache the output
array | $params | Associative array of attributes
Renvoie
string The rendered data
Depuis
1.7.0
Exceptions

Références $attr, $data, $params, $renderer, et $type.

Documentation des champs

◆ $category

$category = ''

◆ $copyright

$copyright = ''

◆ $docs

$docs = ''

◆ $editor

$editor = ''

◆ $editorEmail

$editorEmail = ''

◆ $image

$image = null

◆ $items

$items = array()

◆ $lastBuildDate

$lastBuildDate = ''

◆ $pubDate

$pubDate = ''

◆ $rating

$rating = ''

◆ $skipDays

$skipDays = ''

◆ $skipHours

$skipHours = ''

◆ $syndicationURL

$syndicationURL = ''

◆ $ttl

$ttl = ''

◆ $webmaster

$webmaster = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • FeedDocument.php


Joomla CMS: Référence de la classe HtmlDocument

  • Joomla
  • CMS
  • Document
  • HtmlDocument
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe HtmlDocument
+ Graphe d'héritage de HtmlDocument:
Document

Fonctions membres publiques

__construct ($options=array())
getHeadData ()
resetHeadData ($types=null)
setHeadData ($data)
mergeHeadData ($data)
addHeadLink ($href, $relation, $relType='rel', $attribs=array())
addFavicon ($href, $type='image/vnd.microsoft.icon', $relation='shortcut icon')
addCustomTag ($html)
isHtml5 ()
setHtml5 ($state)
getBuffer ($type=null, $name=null, $attribs=array())
setBuffer ($content, $options=array())
parse ($params=array())
render ($caching=false, $params=array())
countModules ($condition)
countMenuChildren ()
- Fonctions membres publiques hérités de Document
__construct ($options=array())
setType ($type)
getType ()
getBuffer ()
setBuffer ($content, $options=array())
getMetaData ($name, $attribute='name')
setMetaData ($name, $content, $attribute='name')
addScript ($url, $options=array(), $attribs=array())
addScriptVersion ($url, $options=array(), $attribs=array())
addScriptDeclaration ($content, $type='text/javascript')
addScriptOptions ($key, $options, $merge=true)
getScriptOptions ($key=null)
addStyleSheet ($url, $options=array(), $attribs=array())
addStyleSheetVersion ($url, $options=array(), $attribs=array())
addStyleDeclaration ($content, $type='text/css')
setCharset ($type='utf-8')
getCharset ()
setLanguage ($lang='en-gb')
getLanguage ()
setDirection ($dir='ltr')
getDirection ()
setTitle ($title)
getTitle ()
setMediaVersion ($mediaVersion)
getMediaVersion ()
setBase ($base)
getBase ()
setDescription ($description)
getDescription ()
setLink ($url)
getLink ()
setGenerator ($generator)
getGenerator ()
setModifiedDate ($date)
getModifiedDate ()
setMimeEncoding ($type='text/html', $sync=true)
getMimeEncoding ()
setLineEnd ($style)
_getLineEnd ()
setTab ($string)
_getTab ()
loadRenderer ($type)
parse ($params=array())
render ($cache=false, $params=array())

Champs de données

$_links = array()
$_custom = array()
$template = null
$baseurl = null
$params = null
$_file = null
- Champs de données hérités de Document
$title = ''
$description = ''
$link = ''
$base = ''
$language = 'en-gb'
$direction = 'ltr'
$_generator = 'Joomla! - Open Source Content Management'
$_mdate = ''
$_tab = "\11"
$_lineEnd = "\12"
$_charset = 'utf-8'
$_mime = ''
$_namespace = ''
$_profile = ''
$_scripts = array()
$_script = array()
$_styleSheets = array()
$_style = array()
$_metaTags = array()
$_engine = null
$_type = null

Fonctions membres protégées

_loadTemplate ($directory, $filename)
_fetchTemplate ($params=array())
_parseTemplate ()
_renderTemplate ()

Attributs protégés

$_template = ''
$_template_tags = array()
$_caching = null
- Attributs protégés hérités de Document
$scriptOptions = array()
$mediaVersion = null

Fonctions membres privées

resetHeadDatum ($type)

Attributs privés

$_html5 = null

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Document
static | getInstance ($type='html', $attributes=array())
- Attributs publics statiques hérités de Document
static | $_buffer = null
- Attributs protégés statiques hérités de Document
static | $instances = array()

Description détaillée

HtmlDocument class, provides an easy interface to parse and display a HTML document

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Associative array of options
Depuis
1.7.0

Références $options.

Documentation des fonctions membres

◆ _fetchTemplate()

_fetchTemplate ( $params = array() )
protected

Fetch the template, and initialise the params

Paramètres
array $params Parameters to determine the template
Renvoie
HtmlDocument instance of $this to allow chaining
Depuis
1.7.0

Références $file, $filter, $lang, $params, $template, Uri\base(), JPATH_BASE, et null.

◆ _loadTemplate()

_loadTemplate | ( | $directory,
 |  | $filename
 | ) |
protected

Load a template file

Paramètres
string | $directory | The name of the template
string | $filename | The actual filename
Renvoie
string The contents of the template
Depuis
1.7.0

Références $icon, $path, Uri\base(), et JPATH_BASE.

◆ _parseTemplate()

_parseTemplate ( )
protected

Parse a document template

Renvoie
HtmlDocument instance of $this to allow chaining
Depuis
1.7.0

Références $attribs, $i, $name, $type, et null.

◆ _renderTemplate()

_renderTemplate ( )
protected

Render pre-parsed template

Renvoie
string rendered template
Depuis
1.7.0

◆ addCustomTag()

addCustomTag ( $html )

Adds a custom HTML string to the head block

Paramètres
string $html The HTML to add to the head
Renvoie
HtmlDocument instance of $this to allow chaining
Depuis
1.7.0

Références $html.

◆ addFavicon()

addFavicon | ( | $href,
 |  | $type = 'image/vnd.microsoft.icon',
 |  | $relation = 'shortcut icon'
 | ) |

Adds a shortcut icon (favicon)

This adds a link to the icon shown in the favorites list or on the left of the url in the address bar. Some browsers display it on the tab, as well.

Paramètres
string | $href | The link that is being related.
string | $type | File type
string | $relation | Relation of link
Renvoie
HtmlDocument instance of $this to allow chaining
Depuis
1.7.0

Références $href, et $type.

◆ addHeadLink()

addHeadLink | ( | $href,
 |  | $relation,
 |  | $relType = 'rel',
 |  | $attribs = array()
 | ) |

Adds <link> tags to the head of the document

$relType defaults to 'rel' as it is the most common relation type used. ('rev' refers to reverse relation, 'rel' indicates normal, forward relation.) Typical tag: <link href="index.php" rel="Start">

Paramètres
string | $href | The link that is being related.
string | $relation | Relation of link.
string | $relType | Relation type attribute. Either rel or rev (default: 'rel').
array | $attribs | Associative array of remaining attributes.
Renvoie
HtmlDocument instance of $this to allow chaining
Depuis
1.7.0

Références $attribs, et $href.

◆ countMenuChildren()

countMenuChildren ( )

Count the number of child menu items of the current active menu item

Renvoie
integer Number of child menu items
Depuis
1.7.0

Références $active, $app, $db, $menu, et $query.

◆ countModules()

countModules ( $condition )

Count the modules based on the given condition

Paramètres
string $condition The condition to use
Renvoie
integer Number of modules found
Depuis
1.7.0

Références $condition, $i, $n, $name, Log\add(), ModuleHelper\getModules(), et Log\WARNING.

◆ getBuffer()

getBuffer | ( | $type = null,
 |  | $name = null,
 |  | $attribs = array()
 | ) |

Get the contents of a document include

Paramètres
string | $type | The type of renderer
string | $name | The name of the element to render
array | $attribs | Associative array of remaining attributes.
Renvoie
mixed|string The output of the renderer
Depuis
1.7.0

Références $attribs, $data, $hash, $itemId, $name, $options, $renderer, $title, $type, Factory\getApplication(), Factory\getCache(), Cache\getWorkarounds(), null, et Cache\setWorkarounds().

◆ getHeadData()

getHeadData ( )

Get the HTML document head data

Renvoie
array The document head data in array form
Depuis
1.7.0

Références $data, $description, $link, et $title.

◆ isHtml5()

isHtml5 ( )

Returns whether the document is set up to be output as HTML5

Renvoie
boolean true when HTML5 is used
Depuis
3.0.0

◆ mergeHeadData()

mergeHeadData ( $data )

Merge the HTML document head data

Paramètres
array $data The document head data in array form
Renvoie
HtmlDocument|null instance of $this to allow chaining or null for empty input data
Depuis
1.7.0

Références $data, $key, $type, description, title, et true.

◆ parse()

parse ( $params = array() )

Parses the template and populates the buffer

Paramètres
array $params Parameters for fetching the template
Renvoie
HtmlDocument instance of $this to allow chaining
Depuis
1.7.0

Références $params.

◆ render()

render | ( | $caching = false,
 |  | $params = array()
 | ) |

Outputs the template to the browser.

Paramètres
boolean | $caching | If true, cache the output
array | $params | Associative array of attributes
Renvoie
string The rendered data
Depuis
1.7.0

Références $data, et $params.

◆ resetHeadData()

resetHeadData ( $types = null )

Reset the HTML document head data

Paramètres
mixed $types type or types of the heads elements to reset
Renvoie
HtmlDocument instance of $this to allow chaining
Depuis
3.7.0

Références $type, description, et title.

◆ resetHeadDatum()

resetHeadDatum ( $type )
private

Reset a part the HTML document head data

Paramètres
string $type type of the heads elements to reset
Renvoie
void
Depuis
3.7.0

Références $type.

◆ setBuffer()

setBuffer | ( | $content,
 |  | $options = array()
 | ) |

Set the contents a document includes

Paramètres
string | $content | The content to be set in the buffer.
array | $options | Array of optional elements.
Renvoie
HtmlDocument instance of $this to allow chaining
Depuis
1.7.0

Références $content, $options, et null.

◆ setHeadData()

setHeadData ( $data )

Set the HTML document head data

Paramètres
array $data The document head data in array form
Renvoie
HtmlDocument|null instance of $this to allow chaining or null for empty input data
Depuis
1.7.0

Références $data, description, null, et title.

◆ setHtml5()

setHtml5 ( $state )

Sets whether the document should be output as HTML5

Paramètres
bool $state True when HTML5 should be output
Renvoie
void
Depuis
3.0.0

Références $state.

Documentation des champs

◆ $_caching

$_caching = null
protected

◆ $_custom

$_custom = array()

◆ $_file

$_file = null

◆ $_html5

$_html5 = null
private

◆ $_links

$_links = array()

◆ $_template

$_template = ''
protected

◆ $_template_tags

$_template_tags = array()
protected

◆ $baseurl

$baseurl = null

◆ $params

$params = null

◆ $template

$template = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • HtmlDocument.php


Joomla CMS: Référence de la classe ImageDocument

  • Joomla
  • CMS
  • Document
  • ImageDocument
Fonctions membres publiques
Référence de la classe ImageDocument
+ Graphe d'héritage de ImageDocument:
Document

Fonctions membres publiques

__construct ($options=array())
render ($cache=false, $params=array())
- Fonctions membres publiques hérités de Document
__construct ($options=array())
setType ($type)
getType ()
getBuffer ()
setBuffer ($content, $options=array())
getMetaData ($name, $attribute='name')
setMetaData ($name, $content, $attribute='name')
addScript ($url, $options=array(), $attribs=array())
addScriptVersion ($url, $options=array(), $attribs=array())
addScriptDeclaration ($content, $type='text/javascript')
addScriptOptions ($key, $options, $merge=true)
getScriptOptions ($key=null)
addStyleSheet ($url, $options=array(), $attribs=array())
addStyleSheetVersion ($url, $options=array(), $attribs=array())
addStyleDeclaration ($content, $type='text/css')
setCharset ($type='utf-8')
getCharset ()
setLanguage ($lang='en-gb')
getLanguage ()
setDirection ($dir='ltr')
getDirection ()
setTitle ($title)
getTitle ()
setMediaVersion ($mediaVersion)
getMediaVersion ()
setBase ($base)
getBase ()
setDescription ($description)
getDescription ()
setLink ($url)
getLink ()
setGenerator ($generator)
getGenerator ()
setModifiedDate ($date)
getModifiedDate ()
setMimeEncoding ($type='text/html', $sync=true)
getMimeEncoding ()
setLineEnd ($style)
_getLineEnd ()
setTab ($string)
_getTab ()
loadRenderer ($type)
parse ($params=array())
render ($cache=false, $params=array())

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Document
static | getInstance ($type='html', $attributes=array())
- Champs de données hérités de Document
$title = ''
$description = ''
$link = ''
$base = ''
$language = 'en-gb'
$direction = 'ltr'
$_generator = 'Joomla! - Open Source Content Management'
$_mdate = ''
$_tab = "\11"
$_lineEnd = "\12"
$_charset = 'utf-8'
$_mime = ''
$_namespace = ''
$_profile = ''
$_scripts = array()
$_script = array()
$_styleSheets = array()
$_style = array()
$_metaTags = array()
$_engine = null
$_type = null
- Attributs publics statiques hérités de Document
static | $_buffer = null
- Attributs protégés hérités de Document
$scriptOptions = array()
$mediaVersion = null
- Attributs protégés statiques hérités de Document
static | $instances = array()

Description détaillée

ImageDocument class, provides an easy interface to output image data

Depuis
3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Associative array of options
Depuis
3.0.0

Références $options.

Documentation des fonctions membres

◆ render()

render | ( | $cache = false,
 |  | $params = array()
 | ) |

Render the document.

Paramètres
boolean | $cache | If true, cache the output
array | $params | Associative array of attributes
Renvoie
string The rendered data
Depuis
3.0.0

Références $params, $type, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ImageDocument.php


Joomla CMS: Référence de la classe JsonDocument

  • Joomla
  • CMS
  • Document
  • JsonDocument
Fonctions membres publiques | Attributs protégés
Référence de la classe JsonDocument
+ Graphe d'héritage de JsonDocument:
Document

Fonctions membres publiques

__construct ($options=array())
getName ()
setName ($name='joomla')
- Fonctions membres publiques hérités de Document
__construct ($options=array())
setType ($type)
getType ()
getBuffer ()
setBuffer ($content, $options=array())
getMetaData ($name, $attribute='name')
setMetaData ($name, $content, $attribute='name')
addScript ($url, $options=array(), $attribs=array())
addScriptVersion ($url, $options=array(), $attribs=array())
addScriptDeclaration ($content, $type='text/javascript')
addScriptOptions ($key, $options, $merge=true)
getScriptOptions ($key=null)
addStyleSheet ($url, $options=array(), $attribs=array())
addStyleSheetVersion ($url, $options=array(), $attribs=array())
addStyleDeclaration ($content, $type='text/css')
setCharset ($type='utf-8')
getCharset ()
setLanguage ($lang='en-gb')
getLanguage ()
setDirection ($dir='ltr')
getDirection ()
setTitle ($title)
getTitle ()
setMediaVersion ($mediaVersion)
getMediaVersion ()
setBase ($base)
getBase ()
setDescription ($description)
getDescription ()
setLink ($url)
getLink ()
setGenerator ($generator)
getGenerator ()
setModifiedDate ($date)
getModifiedDate ()
setMimeEncoding ($type='text/html', $sync=true)
getMimeEncoding ()
setLineEnd ($style)
_getLineEnd ()
setTab ($string)
_getTab ()
loadRenderer ($type)
parse ($params=array())
render ($cache=false, $params=array())

Attributs protégés

$_name = 'joomla'
- Attributs protégés hérités de Document
$scriptOptions = array()
$mediaVersion = null

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Document
static | getInstance ($type='html', $attributes=array())
- Champs de données hérités de Document
$title = ''
$description = ''
$link = ''
$base = ''
$language = 'en-gb'
$direction = 'ltr'
$_generator = 'Joomla! - Open Source Content Management'
$_mdate = ''
$_tab = "\11"
$_lineEnd = "\12"
$_charset = 'utf-8'
$_mime = ''
$_namespace = ''
$_profile = ''
$_scripts = array()
$_script = array()
$_styleSheets = array()
$_style = array()
$_metaTags = array()
$_engine = null
$_type = null
- Attributs publics statiques hérités de Document
static | $_buffer = null
- Attributs protégés statiques hérités de Document
static | $instances = array()

Description détaillée

JsonDocument class, provides an easy interface to parse and display JSON output

1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Associative array of options
Depuis
1.7.0

Références $options.

Documentation des fonctions membres

◆ getName()

getName ( )

Returns the document name

Renvoie
string
Depuis
1.7.0

◆ setName()

setName ( $name = 'joomla' )

Sets the document name

Paramètres
string $name Document name
Renvoie
JsonDocument instance of $this to allow chaining
Depuis
1.7.0

Références $name.

Documentation des champs

◆ $_name

$_name = 'joomla'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • JsonDocument.php


Joomla CMS: Référence de la classe OpensearchDocument

  • Joomla
  • CMS
  • Document
  • OpensearchDocument
Fonctions membres publiques | Attributs privés
Référence de la classe OpensearchDocument
+ Graphe d'héritage de OpensearchDocument:
Document

Fonctions membres publiques

__construct ($options=array())
render ($cache=false, $params=array())
setShortName ($name)
addUrl (OpensearchUrl $url)
addImage (OpensearchImage $image)
- Fonctions membres publiques hérités de Document
__construct ($options=array())
setType ($type)
getType ()
getBuffer ()
setBuffer ($content, $options=array())
getMetaData ($name, $attribute='name')
setMetaData ($name, $content, $attribute='name')
addScript ($url, $options=array(), $attribs=array())
addScriptVersion ($url, $options=array(), $attribs=array())
addScriptDeclaration ($content, $type='text/javascript')
addScriptOptions ($key, $options, $merge=true)
getScriptOptions ($key=null)
addStyleSheet ($url, $options=array(), $attribs=array())
addStyleSheetVersion ($url, $options=array(), $attribs=array())
addStyleDeclaration ($content, $type='text/css')
setCharset ($type='utf-8')
getCharset ()
setLanguage ($lang='en-gb')
getLanguage ()
setDirection ($dir='ltr')
getDirection ()
setTitle ($title)
getTitle ()
setMediaVersion ($mediaVersion)
getMediaVersion ()
setBase ($base)
getBase ()
setDescription ($description)
getDescription ()
setLink ($url)
getLink ()
setGenerator ($generator)
getGenerator ()
setModifiedDate ($date)
getModifiedDate ()
setMimeEncoding ($type='text/html', $sync=true)
getMimeEncoding ()
setLineEnd ($style)
_getLineEnd ()
setTab ($string)
_getTab ()
loadRenderer ($type)
parse ($params=array())
render ($cache=false, $params=array())

Attributs privés

$_shortName = ''
$_images = array()
$_urls = array()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Document
static | getInstance ($type='html', $attributes=array())
- Champs de données hérités de Document
$title = ''
$description = ''
$link = ''
$base = ''
$language = 'en-gb'
$direction = 'ltr'
$_generator = 'Joomla! - Open Source Content Management'
$_mdate = ''
$_tab = "\11"
$_lineEnd = "\12"
$_charset = 'utf-8'
$_mime = ''
$_namespace = ''
$_profile = ''
$_scripts = array()
$_script = array()
$_styleSheets = array()
$_style = array()
$_metaTags = array()
$_engine = null
$_type = null
- Attributs publics statiques hérités de Document
static | $_buffer = null
- Attributs protégés hérités de Document
$scriptOptions = array()
$mediaVersion = null
- Attributs protégés statiques hérités de Document
static | $instances = array()

Description détaillée

Opensearch class, provides an easy interface to display an Opensearch document

1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Associative array of options
Depuis
1.7.0

Références $app, $options, $path, Uri\base(), Uri\getInstance(), JPATH_BASE, et JPATH_THEMES.

Documentation des fonctions membres

◆ addImage()

addImage ( OpensearchImage $image )

Adds an image to the Opensearch description.

Paramètres
OpensearchImage $image The image to add to the description.
Renvoie
OpensearchDocument instance of $this to allow chaining
Depuis
1.7.0

Références $image.

◆ addUrl()

addUrl ( OpensearchUrl $url )

Adds a URL to the Opensearch description.

Paramètres
OpensearchUrl $url The url to add to the description.
Renvoie
OpensearchDocument instance of $this to allow chaining
Depuis
1.7.0

Références $url.

◆ render()

render | ( | $cache = false,
 |  | $params = array()
 | ) |

Render the document

Paramètres
boolean | $cache | If true, cache the output
array | $params | Associative array of attributes
Renvoie
string The rendered data
Depuis
1.7.0

Références $image, $params, $url, description, htmlspecialchars, et JDEBUG.

◆ setShortName()

setShortName ( $name )

Sets the short name

Paramètres
string $name The name.
Renvoie
OpensearchDocument instance of $this to allow chaining
Depuis
1.7.0

Références $name.

Documentation des champs

◆ $_images

$_images = array()
private

◆ $_shortName

$_shortName = ''
private

◆ $_urls

$_urls = array()
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • OpensearchDocument.php


Joomla CMS: Référence de la classe RawDocument

  • Joomla
  • CMS
  • Document
  • RawDocument
Fonctions membres publiques
Référence de la classe RawDocument
+ Graphe d'héritage de RawDocument:
Document

Fonctions membres publiques

__construct ($options=array())
render ($cache=false, $params=array())
- Fonctions membres publiques hérités de Document
__construct ($options=array())
setType ($type)
getType ()
getBuffer ()
setBuffer ($content, $options=array())
getMetaData ($name, $attribute='name')
setMetaData ($name, $content, $attribute='name')
addScript ($url, $options=array(), $attribs=array())
addScriptVersion ($url, $options=array(), $attribs=array())
addScriptDeclaration ($content, $type='text/javascript')
addScriptOptions ($key, $options, $merge=true)
getScriptOptions ($key=null)
addStyleSheet ($url, $options=array(), $attribs=array())
addStyleSheetVersion ($url, $options=array(), $attribs=array())
addStyleDeclaration ($content, $type='text/css')
setCharset ($type='utf-8')
getCharset ()
setLanguage ($lang='en-gb')
getLanguage ()
setDirection ($dir='ltr')
getDirection ()
setTitle ($title)
getTitle ()
setMediaVersion ($mediaVersion)
getMediaVersion ()
setBase ($base)
getBase ()
setDescription ($description)
getDescription ()
setLink ($url)
getLink ()
setGenerator ($generator)
getGenerator ()
setModifiedDate ($date)
getModifiedDate ()
setMimeEncoding ($type='text/html', $sync=true)
getMimeEncoding ()
setLineEnd ($style)
_getLineEnd ()
setTab ($string)
_getTab ()
loadRenderer ($type)
parse ($params=array())
render ($cache=false, $params=array())

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Document
static | getInstance ($type='html', $attributes=array())
- Champs de données hérités de Document
$title = ''
$description = ''
$link = ''
$base = ''
$language = 'en-gb'
$direction = 'ltr'
$_generator = 'Joomla! - Open Source Content Management'
$_mdate = ''
$_tab = "\11"
$_lineEnd = "\12"
$_charset = 'utf-8'
$_mime = ''
$_namespace = ''
$_profile = ''
$_scripts = array()
$_script = array()
$_styleSheets = array()
$_style = array()
$_metaTags = array()
$_engine = null
$_type = null
- Attributs publics statiques hérités de Document
static | $_buffer = null
- Attributs protégés hérités de Document
$scriptOptions = array()
$mediaVersion = null
- Attributs protégés statiques hérités de Document
static | $instances = array()

Description détaillée

RawDocument class, provides an easy interface to parse and display raw output

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Associative array of options
Depuis
1.7.0

Références $options.

Documentation des fonctions membres

◆ render()

render | ( | $cache = false,
 |  | $params = array()
 | ) |

Render the document.

Paramètres
boolean | $cache | If true, cache the output
array | $params | Associative array of attributes
Renvoie
string The rendered data
Depuis
1.7.0

Références $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • RawDocument.php


Joomla CMS: Référence de la classe XmlDocument

  • Joomla
  • CMS
  • Document
  • XmlDocument
Fonctions membres publiques | Attributs protégés
Référence de la classe XmlDocument
+ Graphe d'héritage de XmlDocument:
Document

Fonctions membres publiques

__construct ($options=array())
render ($cache=false, $params=array())
getName ()
setName ($name='joomla')
isDownload ()
setDownload ($download=false)
- Fonctions membres publiques hérités de Document
__construct ($options=array())
setType ($type)
getType ()
getBuffer ()
setBuffer ($content, $options=array())
getMetaData ($name, $attribute='name')
setMetaData ($name, $content, $attribute='name')
addScript ($url, $options=array(), $attribs=array())
addScriptVersion ($url, $options=array(), $attribs=array())
addScriptDeclaration ($content, $type='text/javascript')
addScriptOptions ($key, $options, $merge=true)
getScriptOptions ($key=null)
addStyleSheet ($url, $options=array(), $attribs=array())
addStyleSheetVersion ($url, $options=array(), $attribs=array())
addStyleDeclaration ($content, $type='text/css')
setCharset ($type='utf-8')
getCharset ()
setLanguage ($lang='en-gb')
getLanguage ()
setDirection ($dir='ltr')
getDirection ()
setTitle ($title)
getTitle ()
setMediaVersion ($mediaVersion)
getMediaVersion ()
setBase ($base)
getBase ()
setDescription ($description)
getDescription ()
setLink ($url)
getLink ()
setGenerator ($generator)
getGenerator ()
setModifiedDate ($date)
getModifiedDate ()
setMimeEncoding ($type='text/html', $sync=true)
getMimeEncoding ()
setLineEnd ($style)
_getLineEnd ()
setTab ($string)
_getTab ()
loadRenderer ($type)
parse ($params=array())
render ($cache=false, $params=array())

Attributs protégés

$name = 'joomla'
$isDownload = false
- Attributs protégés hérités de Document
$scriptOptions = array()
$mediaVersion = null

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Document
static | getInstance ($type='html', $attributes=array())
- Champs de données hérités de Document
$title = ''
$description = ''
$link = ''
$base = ''
$language = 'en-gb'
$direction = 'ltr'
$_generator = 'Joomla! - Open Source Content Management'
$_mdate = ''
$_tab = "\11"
$_lineEnd = "\12"
$_charset = 'utf-8'
$_mime = ''
$_namespace = ''
$_profile = ''
$_scripts = array()
$_script = array()
$_styleSheets = array()
$_style = array()
$_metaTags = array()
$_engine = null
$_type = null
- Attributs publics statiques hérités de Document
static | $_buffer = null
- Attributs protégés statiques hérités de Document
static | $instances = array()

Description détaillée

XmlDocument class, provides an easy interface to parse and display XML output

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Associative array of options
Depuis
1.7.0

Références $options.

Documentation des fonctions membres

◆ getName()

getName ( )

Returns the document name

Renvoie
string
Depuis
1.7.0

Références $name.

◆ isDownload()

isDownload ( )

Check if this document is intended for download

Renvoie
string
Depuis
3.9.0

◆ render()

render | ( | $cache = false,
 |  | $params = array()
 | ) |

Render the document.

Paramètres
boolean | $cache | If true, cache the output
array | $params | Associative array of attributes
Renvoie
string The rendered data
Depuis
1.7.0

Références $params.

◆ setDownload()

setDownload ( $download = false )

Sets the document's download state

Paramètres
boolean $download If true, this document will be downloaded; if false, this document will be displayed inline
Renvoie
XmlDocument instance of $this to allow chaining
Depuis
3.9.0

◆ setName()

setName ( $name = 'joomla' )

Sets the document name

Paramètres
string $name Document name
Renvoie
XmlDocument instance of $this to allow chaining
Depuis
1.7.0

Références $name, et name.

Documentation des champs

◆ $isDownload

$isDownload = false
protected

◆ $name

$name = 'joomla'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • XmlDocument.php


Joomla CMS: Référence de la classe Editor

  • Joomla
  • CMS
  • Editor
  • Editor
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe Editor
+ Graphe d'héritage de Editor:

Fonctions membres publiques

__construct ($editor='none')
getState ()
attach ($observer)
detach ($observer)
initialise ()
display ($name, $html, $width, $height, $col, $row, $buttons=true, $id=null, $asset=null, $author=null, $params=array())
save ($editor)
getContent ($editor)
setContent ($editor, $html)
getButtons ($editor, $buttons=true)

Fonctions membres publiques statiques

static getInstance ($editor='none')

Fonctions membres protégées

_loadEditor ($config=array())

Attributs protégés

$_observers = array()
$_state = null
$_methods = array()
$_editor = null
$_name = null
$asset = null
$author = null

Attributs protégés statiques

static $instances = array()

Description détaillée

Editor class to handle WYSIWYG editors

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $editor = 'none' )

Constructor

Paramètres
string $editor The editor name

Références $editor.

Documentation des fonctions membres

◆ _loadEditor()

_loadEditor ( $config = array() )
protected

Load the editor

Paramètres
array $config Associative array of editor config parameters
Renvoie
mixed
Depuis
1.5

Références Editor\$_name, $config, $name, $params, $path, Editor\initialise(), JPATH_PLUGINS, et null.

Référencé par Editor\display(), Editor\getContent(), Editor\save(), et Editor\setContent().

◆ attach()

attach ( $observer )

Attach an observer object

Paramètres
array | object $observer An observer object to attach or an array with handler and event keys
Renvoie
void
Depuis
1.5

Références $check, $class, et $key.

◆ detach()

detach ( $observer )

Detach an observer object

Paramètres
object $observer An observer object to detach.
Renvoie
boolean True if the observer object was detached.
Depuis
1.5

Références $key.

◆ display()

display | ( | $name,
 |  | $html,
 |  | $width,
 |  | $height,
 |  | $col,
 |  | $row,
 |  | $buttons = true,
 |  | $id = null,
 |  | $asset = null,
 |  | $author = null,
 |  | $params = array()
 | ) |

Display the editor area.

Paramètres
string | $name | The control name.
string | $html | The contents of the text area.
string | $width | The width of the text area (px or %).
string | $height | The height of the text area (px or %).
integer | $col | The number of columns for the textarea.
integer | $row | The number of rows for the textarea.
boolean | $buttons | True and the editor buttons will be displayed.
string | $id | An optional ID for the textarea (note: since 1.6). If not supplied the name is used.
string | $asset | The object asset
object | $author | The author.
array | $params | Associative array of editor parameters.
Renvoie
string
Depuis
1.5

Références Editor\$asset, Editor\$author, $buttons, $height, $html, $id, $name, $params, $results, $return, $row, $width, Editor\_loadEditor(), et null.

◆ getButtons()

getButtons | ( | $editor,
 |  | $buttons = true
 | ) |

Get the editor extended buttons (usually from plugins)

Paramètres
string | $editor | The name of the editor.
mixed | $buttons | Can be boolean or array, if boolean defines if the buttons are displayed, if array defines a list of buttons not to show.
Renvoie
array
Depuis
1.5

Références $button, $buttons, $className, et $editor.

◆ getContent()

getContent ( $editor )

Get the editor contents

Paramètres
string $editor The name of the editor control
Renvoie
string
Depuis
1.5
Obsolète:
4.0 Use Joomla.editors API, see core.js

Références $editor, $results, $return, et Editor\_loadEditor().

◆ getInstance()

static getInstance ( $editor = 'none' )
static

Returns the global Editor object, only creating it if it doesn't already exist.

Paramètres
string $editor The editor to use.
Renvoie
Editor The Editor object.
Depuis
1.5

Références $editor.

Référencé par EditorField\getEditor(), et Factory\getEditor().

◆ getState()

getState ( )

Get the state of the Editor object

Renvoie
mixed The state of the object.
Depuis
1.5

Références Editor\$_state.

◆ initialise()

initialise ( )

Initialise the editor

Renvoie
void
Depuis
1.5
Obsolète:
4.0 This function will not load any custom tag from 4.0 forward, use JHtml::script

Références $document, $results, $return, getDocument, et null.

Référencé par Editor\_loadEditor().

◆ save()

save ( $editor )

Save the editor content

Paramètres
string $editor The name of the editor control
Renvoie
string
Depuis
1.5
Obsolète:
4.0 Bind functionality to form submit through javascript

Références $editor, $results, $return, Editor\_loadEditor(), et null.

◆ setContent()

setContent | ( | $editor,
 |  | $html
 | ) |

Set the editor contents

Paramètres
string | $editor | The name of the editor control
string | $html | The contents of the text area
Renvoie
string
Depuis
1.5
Obsolète:
4.0 Use Joomla.editors API, see core.js

Références $editor, $html, $results, $return, et Editor\_loadEditor().

Documentation des champs

◆ $_editor

$_editor = null
protected

◆ $_methods

$_methods = array()
protected

◆ $_name

$_name = null
protected

Référencé par Editor\_loadEditor().

◆ $_observers

$_observers = array()
protected

◆ $_state

$_state = null
protected

Référencé par Editor\getState().

◆ $asset

$asset = null
protected

Référencé par Editor\display().

◆ $author

$author = null
protected

Référencé par Editor\display().

◆ $instances

$instances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Editor.php


Joomla CMS: Référence de la classe Browser

  • Joomla
  • CMS
  • Environment
  • Browser
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe Browser

Fonctions membres publiques

__construct ($userAgent=null, $accept=null)
match ($userAgent=null, $accept=null)
getPlatform ()
setBrowser ($browser)
getBrowser ()
getMajor ()
getMinor ()
getVersion ()
getAgentString ()
getHTTPProtocol ()
isViewable ($mimetype)
isBrowser ($browser)
isRobot ()
isMobile ()
isSSLConnection ()

Fonctions membres publiques statiques

static getInstance ($userAgent=null, $accept=null)

Fonctions membres protégées

_setPlatform ()
identifyBrowserVersion ()

Attributs protégés

$majorVersion = 0
$minorVersion = 0
$browser = ''
$agent = ''
$lowerAgent = ''
$accept = ''
$acceptParsed = array()
$platform = ''
$robots
$mobile = false
$images = array('jpeg', 'gif', 'png', 'pjpeg', 'x-png', 'bmp')

Attributs protégés statiques

static $instances = array()

Description détaillée

Browser class, provides capability information about the current web client.

Browser identification is performed by examining the HTTP_USER_AGENT environment variable provided by the web server.

This class has many influences from the lib/Browser.php code in version 3 of Horde by Chuck Hagenbuch and Jon Parise.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $userAgent = null,
 |  | $accept = null
 | ) |

Create a browser instance (constructor).

Paramètres
string | $userAgent | The browser string to parse.
string | $accept | The HTTP_ACCEPT settings to use.
Depuis
1.7.0

Documentation des fonctions membres

◆ _setPlatform()

_setPlatform ( )
protected

Match the platform of the browser.

This is a pretty simplistic implementation, but it's intended to let us tell what line breaks to send, so it's good enough for its purpose.

Renvoie
void
Depuis
1.7.0

Références elseif.

◆ getAgentString()

getAgentString ( )

Return the full browser agent string.

Renvoie
string The browser agent string
Depuis
1.7.0

◆ getBrowser()

getBrowser ( )

Retrieve the current browser.

Renvoie
string The current browser.
Depuis
1.7.0

◆ getHTTPProtocol()

getHTTPProtocol ( )

Returns the server protocol in use on the current server.

Renvoie
string The HTTP server protocol version.
Depuis
1.7.0

◆ getInstance()

static getInstance | ( | $userAgent = null,
 |  | $accept = null
 | ) |
static

Returns the global Browser object, only creating it if it doesn't already exist.

Paramètres
string | $userAgent | The browser string to parse.
string | $accept | The HTTP_ACCEPT settings to use.
Renvoie
Browser The Browser object.
Depuis
1.7.0

Référencé par HTMLHelper\includeRelativeFiles().

◆ getMajor()

getMajor ( )

Retrieve the current browser's major version.

Renvoie
integer The current browser's major version
Depuis
1.7.0

◆ getMinor()

getMinor ( )

Retrieve the current browser's minor version.

Renvoie
integer The current browser's minor version.
Depuis
1.7.0

Références $minorVersion.

◆ getPlatform()

getPlatform ( )

Return the currently matched platform.

Renvoie
string The user's platform.
Depuis
1.7.0

◆ getVersion()

getVersion ( )

Retrieve the current browser's version.

Renvoie
string The current browser's version.
Depuis
1.7.0

Références $minorVersion.

◆ identifyBrowserVersion()

identifyBrowserVersion ( )
protected

Set browser version, not by engine version Fallback to use when no other method identify the engine version

Renvoie
void
Depuis
1.7.0

Références $version.

◆ isBrowser()

isBrowser ( $browser )

Determine if the given browser is the same as the current.

Paramètres
string $browser The browser to check.
Renvoie
boolean Is the given browser the same as the current?
Depuis
1.7.0

◆ isMobile()

isMobile ( )

Determines if the browser is mobile version or not.

Renvoie
boolean True if browser is a known mobile version.
Depuis
1.7.0

◆ isRobot()

isRobot ( )

Determines if the browser is a robot or not.

Renvoie
boolean True if browser is a known robot.
Depuis
1.7.0

◆ isSSLConnection()

isSSLConnection ( )

Determine if we are using a secure (SSL) connection.

Renvoie
boolean True if using SSL, false if not.
Depuis
1.7.0
Obsolète:
4.0 - Use the isSSLConnection method on the application object.

◆ isViewable()

isViewable ( $mimetype )

Determines if a browser can display a given MIME type.

Note that image/jpeg and image/pjpeg appear to be the same entity, but Mozilla doesn't seem to want to accept the latter. For our purposes, we will treat them the same.

Paramètres
string $mimetype The MIME type to check.
Renvoie
boolean True if the browser can display the MIME type.
Depuis
1.7.0

Références $type.

◆ match()

match | ( | $userAgent = null,
 |  | $accept = null
 | ) |

Parses the user agent string and inititializes the object with all the known features and quirks for the given browser.

Paramètres
string | $userAgent | The browser string to parse.
string | $accept | The HTTP_ACCEPT settings to use.
Renvoie
void
Depuis
1.7.0

Références $version, et elseif.

◆ setBrowser()

setBrowser ( $browser )

Sets the current browser.

Paramètres
string $browser The browser to set as current.
Renvoie
void
Depuis
1.7.0

Documentation des champs

◆ $accept

$accept = ''
protected

◆ $acceptParsed

$acceptParsed = array()
protected

◆ $agent

$agent = ''
protected

◆ $browser

$browser = ''
protected

◆ $images

$images = array('jpeg', 'gif', 'png', 'pjpeg', 'x-png', 'bmp')
protected

◆ $instances

$instances = array()
staticprotected

◆ $lowerAgent

$lowerAgent = ''
protected

◆ $majorVersion

$majorVersion = 0
protected

◆ $minorVersion

$minorVersion = 0
protected

◆ $mobile

$mobile = false
protected

◆ $platform

$platform = ''
protected

◆ $robots

$robots
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Browser.php


Joomla CMS: Référence de la classe ExceptionHandler

  • Joomla
  • CMS
  • Exception
  • ExceptionHandler
Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe ExceptionHandler

Fonctions membres publiques statiques

static | handleException ($error)
static | render ($error)

Fonctions membres protégées statiques

static | isException ($error)
static | logException ($error)

Description détaillée

Displays the custom error page when an uncaught exception occurs.

Depuis
3.0

Documentation des fonctions membres

◆ handleException()

static handleException ( $error )
static

Handles exceptions: logs errors and renders error page.

Paramètres
\Exception | \Throwable $error An Exception or Throwable (PHP 7+) object for which to render the error page.
Renvoie
void
Depuis
3.10.0

◆ isException()

static isException ( $error )
staticprotected

Checks if given error belong to PHP exception class ( for PHP 7+, for PHP 5-).

Paramètres
mixed $error Any error value.
Renvoie
bool
Depuis
3.10.0

◆ logException()

static logException ( $error )
staticprotected

Logs exception, catching all possible errors during logging.

Paramètres
\Exception | \Throwable $error An Exception or Throwable (PHP 7+) object to get error message from.
Renvoie
void
Depuis
3.10.0

Références Log\add(), et Log\CRITICAL.

◆ render()

static render ( $error )
static

Render the error page based on an exception.

Paramètres
\Exception | \Throwable $error An Exception or Throwable (PHP 7+) object for which to render the error page.
Renvoie
void
Depuis
3.0

Références $app, $attributes, $data, $document, Factory\$language, $message, $template, Text\_(), Factory\getApplication(), Document\getInstance(), Factory\getLanguage(), JDEBUG, et JPATH_THEMES.

Référencé par JError\customErrorPage().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ExceptionHandler.php


Joomla CMS: Référence de la classe ExtensionHelper

  • Joomla
  • CMS
  • Extension
  • ExtensionHelper
Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe ExtensionHelper

Fonctions membres publiques statiques

static | getCoreExtensions ()
static | checkIfCoreExtension ($type, $element, $clientId=0, $folder='')

Attributs protégés statiques

static $coreExtensions

Description détaillée

Extension Helper class.

Depuis
3.7.4
Obsolète:
4.0 Replace class with a non static methods for better testing

Documentation des fonctions membres

◆ checkIfCoreExtension()

static checkIfCoreExtension | ( | $type,
 |  | $element,
 |  | $clientId = 0,
 |  | $folder = ''
 | ) |
static

Check if an extension is core or not

Paramètres
string | $type | The extension's type.
string | $element | The extension's element name.
integer | $clientId | The extension's client ID. Default 0.
string | $folder | The extension's folder. Default ''.
Renvoie
boolean True if core, false if not.
Depuis
3.7.4

Références $clientId, $folder, et $type.

◆ getCoreExtensions()

static getCoreExtensions ( )
static

Gets the core extensions.

Renvoie
array Array with core extensions. Each extension is an array with following format: type, element, folder, client_id.
Depuis
3.7.4

Documentation des champs

◆ $coreExtensions

$coreExtensions
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ExtensionHelper.php


Joomla CMS: Référence de la classe ItunesRssParser

  • Joomla
  • CMS
  • Feed
  • Parser
  • Rss
  • ItunesRssParser
Fonctions membres publiques
Référence de la classe ItunesRssParser
+ Graphe d'héritage de ItunesRssParser:
NamespaceParserInterface

Fonctions membres publiques

processElementForFeed (Feed $feed, \SimpleXMLElement $el)
processElementForFeedEntry (FeedEntry $entry, \SimpleXMLElement $el)

Description détaillée

RSS Feed Parser Namespace handler for iTunes.

3.1.4

Documentation des fonctions membres

◆ processElementForFeed()

processElementForFeed | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |

Method to handle an element for the feed given that the itunes namespace is present.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Implémente NamespaceParserInterface.

◆ processElementForFeedEntry()

processElementForFeedEntry | ( | FeedEntry | $entry,
 |  | \SimpleXMLElement | $el
 | ) |  |

Method to handle the feed entry element for the feed given that the itunes namespace is present.

Paramètres
FeedEntry | $entry | The FeedEntry object being built from the parsed feed entry.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Implémente NamespaceParserInterface.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ItunesRssParser.php


Joomla CMS: Référence de la classe MediaRssParser

  • Joomla
  • CMS
  • Feed
  • Parser
  • Rss
  • MediaRssParser
Fonctions membres publiques
Référence de la classe MediaRssParser
+ Graphe d'héritage de MediaRssParser:
NamespaceParserInterface

Fonctions membres publiques

processElementForFeed (Feed $feed, \SimpleXMLElement $el)
processElementForFeedEntry (FeedEntry $entry, \SimpleXMLElement $el)

Description détaillée

RSS Feed Parser Namespace handler for MediaRSS.

3.1.4

Documentation des fonctions membres

◆ processElementForFeed()

processElementForFeed | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |

Method to handle an element for the feed given that the media namespace is present.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Implémente NamespaceParserInterface.

◆ processElementForFeedEntry()

processElementForFeedEntry | ( | FeedEntry | $entry,
 |  | \SimpleXMLElement | $el
 | ) |  |

Method to handle the feed entry element for the feed given that the media namespace is present.

Paramètres
FeedEntry | $entry | The FeedEntry object being built from the parsed feed entry.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Implémente NamespaceParserInterface.

La documentation de cette classe a été générée à partir du fichier suivant :
  • MediaRssParser.php


Joomla CMS: Référence de la classe AtomParser

  • Joomla
  • CMS
  • Feed
  • Parser
  • AtomParser
Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe AtomParser
+ Graphe d'héritage de AtomParser:
FeedParser

Fonctions membres protégées

handleAuthor (Feed $feed, \SimpleXMLElement $el)
handleContributor (Feed $feed, \SimpleXMLElement $el)
handleGenerator (Feed $feed, \SimpleXMLElement $el)
handleId (Feed $feed, \SimpleXMLElement $el)
handleLink (Feed $feed, \SimpleXMLElement $el)
handleRights (Feed $feed, \SimpleXMLElement $el)
handleSubtitle (Feed $feed, \SimpleXMLElement $el)
handleTitle (Feed $feed, \SimpleXMLElement $el)
handleUpdated (Feed $feed, \SimpleXMLElement $el)
initialise ()
processFeedEntry (FeedEntry $entry, \SimpleXMLElement $el)
- Fonctions membres protégées hérités de FeedParser
initialise ()
processElement (Feed $feed, \SimpleXMLElement $el, array $namespaces)
fetchNamespace ($prefix)
moveToNextElement ($name=null)
moveToClosingElement ()

Attributs protégés

$version
- Attributs protégés hérités de FeedParser
$entryElementName = 'entry'
$namespaces = array()
$stream
$inputFilter

Fonctions membres privées

bestLinkForUri (array $links)

Membres hérités additionnels

- Fonctions membres publiques hérités de FeedParser
__construct (\XMLReader $stream, InputFilter $inputFilter=null)
parse ()
registerNamespace ($prefix, NamespaceParserInterface $namespace)

Description détaillée

ATOM Feed Parser class.

3.1.4

Documentation des fonctions membres

◆ bestLinkForUri()

bestLinkForUri ( array $links )
private

If there is more than one <link> in the feed entry, find the most appropriate one and return it.

Paramètres
array $links Array of <link> elements from the feed entry.
Renvoie

Références $link, et $rel.

◆ handleAuthor()

handleAuthor | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <author> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleContributor()

handleContributor | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <contributor> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleGenerator()

handleGenerator | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <generator> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleId()

handleId | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <id> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleLink()

handleLink | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <link> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed, et $link.

◆ handleRights()

handleRights | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <rights> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleSubtitle()

handleSubtitle | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <subtitle> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleTitle()

handleTitle | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <title> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleUpdated()

handleUpdated | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <updated> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ initialise()

initialise ( )
protected

Method to initialise the feed for parsing. Here we detect the version and advance the stream reader so that it is ready to parse feed elements.

Renvoie
void
Depuis
3.1.4

◆ processFeedEntry()

processFeedEntry | ( | FeedEntry | $entry,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle a <entry> element for the feed.

Paramètres
FeedEntry | $entry | The FeedEntry object being built from the parsed feed entry.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $link, et $uri.

Documentation des champs

◆ $version

$version
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AtomParser.php


Joomla CMS: Référence de l'interface NamespaceParserInterface

  • Joomla
  • CMS
  • Feed
  • Parser
  • NamespaceParserInterface
Fonctions membres publiques
Référence de l'interface NamespaceParserInterface
+ Graphe d'héritage de NamespaceParserInterface:
ItunesRssParser MediaRssParser

Fonctions membres publiques

processElementForFeed (Feed $feed, \SimpleXMLElement $el)
processElementForFeedEntry (FeedEntry $entry, \SimpleXMLElement $el)

Description détaillée

Feed Namespace interface.

Depuis
3.1.4

Documentation des fonctions membres

◆ processElementForFeed()

processElementForFeed | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |

Method to handle an element for the feed given that a certain namespace is present.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Implémenté dans ItunesRssParser, et MediaRssParser.

◆ processElementForFeedEntry()

processElementForFeedEntry | ( | FeedEntry | $entry,
 |  | \SimpleXMLElement | $el
 | ) |  |

Method to handle the feed entry element for the feed given that a certain namespace is present.

Paramètres
FeedEntry | $entry | The FeedEntry object being built from the parsed feed entry.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Implémenté dans ItunesRssParser, et MediaRssParser.

La documentation de cette interface a été générée à partir du fichier suivant :
  • NamespaceParserInterface.php


Joomla CMS: Référence de la classe RssParser

  • Joomla
  • CMS
  • Feed
  • Parser
  • RssParser
Fonctions membres protégées | Attributs protégés
Référence de la classe RssParser
+ Graphe d'héritage de RssParser:
FeedParser

Fonctions membres protégées

handleCategory (Feed $feed, \SimpleXMLElement $el)
handleCloud (Feed $feed, \SimpleXMLElement $el)
handleCopyright (Feed $feed, \SimpleXMLElement $el)
handleDescription (Feed $feed, \SimpleXMLElement $el)
handleGenerator (Feed $feed, \SimpleXMLElement $el)
handleImage (Feed $feed, \SimpleXMLElement $el)
handleLanguage (Feed $feed, \SimpleXMLElement $el)
handleLastBuildDate (Feed $feed, \SimpleXMLElement $el)
handleLink (Feed $feed, \SimpleXMLElement $el)
handleManagingEditor (Feed $feed, \SimpleXMLElement $el)
handleSkipDays (Feed $feed, \SimpleXMLElement $el)
handleSkipHours (Feed $feed, \SimpleXMLElement $el)
handlePubDate (Feed $feed, \SimpleXMLElement $el)
handleTitle (Feed $feed, \SimpleXMLElement $el)
handleTtl (Feed $feed, \SimpleXMLElement $el)
handleWebmaster (Feed $feed, \SimpleXMLElement $el)
initialise ()
processFeedEntry (FeedEntry $entry, \SimpleXMLElement $el)
processPerson ($data)
- Fonctions membres protégées hérités de FeedParser
initialise ()
processElement (Feed $feed, \SimpleXMLElement $el, array $namespaces)
fetchNamespace ($prefix)
moveToNextElement ($name=null)
moveToClosingElement ()

Attributs protégés

$entryElementName = 'item'
$version
- Attributs protégés hérités de FeedParser
$entryElementName = 'entry'
$namespaces = array()
$stream
$inputFilter

Membres hérités additionnels

- Fonctions membres publiques hérités de FeedParser
__construct (\XMLReader $stream, InputFilter $inputFilter=null)
parse ()
registerNamespace ($prefix, NamespaceParserInterface $namespace)

Description détaillée

RSS Feed Parser class.

3.1.4

Documentation des fonctions membres

◆ handleCategory()

handleCategory | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <category> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $category, et $feed.

◆ handleCloud()

handleCloud | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <cloud> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleCopyright()

handleCopyright | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <copyright> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleDescription()

handleDescription | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <description> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleGenerator()

handleGenerator | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <generator> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleImage()

handleImage | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <image> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed, $image, et null.

◆ handleLanguage()

handleLanguage | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <language> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleLastBuildDate()

handleLastBuildDate | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <lastBuildDate> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleLink()

handleLink | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <link> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed, et $link.

◆ handleManagingEditor()

handleManagingEditor | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <managingEditor> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handlePubDate()

handlePubDate | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <pubDate> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleSkipDays()

handleSkipDays | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <skipDays> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleSkipHours()

handleSkipHours | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <skipHours> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleTitle()

handleTitle | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <title> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleTtl()

handleTtl | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <ttl> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ handleWebmaster()

handleWebmaster | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle the <webmaster> element for the feed.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $feed, $name, $tmp, et null.

◆ initialise()

initialise ( )
protected

Method to initialise the feed for parsing. Here we detect the version and advance the stream reader so that it is ready to parse feed elements.

Renvoie
void
Depuis
3.1.4

◆ processFeedEntry()

processFeedEntry | ( | FeedEntry | $entry,
 |  | \SimpleXMLElement | $el
 | ) |  |
protected

Method to handle a <item> element for the feed.

Paramètres
FeedEntry | $entry | The FeedEntry object being built from the parsed feed entry.
\SimpleXMLElement | $el | The current XML element object to handle.
Renvoie
void
Depuis
3.1.4

Références $author, $category, $link, FeedEntry\addCategory(), FeedEntry\addLink(), et null.

◆ processPerson()

processPerson ( $data )
protected

Method to parse a string with person data and return a FeedPerson object.

Paramètres
string $data The string to parse for a person.
Renvoie
FeedPerson
Depuis
3.1.4

Références $data.

Documentation des champs

◆ $entryElementName

$entryElementName = 'item'
protected

◆ $version

$version
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • RssParser.php


Joomla CMS: Référence de la classe Feed

  • Joomla
  • CMS
  • Feed
  • Feed
Fonctions membres publiques | Attributs protégés
Référence de la classe Feed
+ Graphe d'héritage de Feed:

Fonctions membres publiques

__get ($name)
__set ($name, $value)
addCategory ($name, $uri='')
addContributor ($name, $email, $uri=null, $type=null)
addEntry (FeedEntry $entry)
count ()
offsetExists ($offset)
offsetGet ($offset)
offsetSet ($offset, $value)
offsetUnset ($offset)
removeCategory ($name)
removeContributor (FeedPerson $contributor)
removeEntry (FeedEntry $entry)
setAuthor ($name, $email, $uri=null, $type=null)
reverseItems ()

Attributs protégés

$properties
$entries = array()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to return values for feed properties.

Paramètres
string $name The name of the property.
Renvoie
mixed
Depuis
3.1.4

Références $name, et null.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Magic method to set values for feed properties.

Paramètres
string | $name | The name of the property.
mixed | $value | The value to set for the property.
Renvoie
void
Depuis
3.1.4

Références $name, $value, et null.

◆ addCategory()

addCategory | ( | $name,
 |  | $uri = ''
 | ) |

Method to add a category to the feed object.

Paramètres
string | $name | The name of the category to add.
string | $uri | The optional URI for the category to add.
Renvoie
Feed
Depuis
3.1.4

Références $name, et $uri.

◆ addContributor()

addContributor | ( | $name,
 |  | $email,
 |  | $uri = null,
 |  | $type = null
 | ) |

Method to add a contributor to the feed object.

Paramètres
string | $name | The full name of the person to add.
string | $email | The email address of the person to add.
string | $uri | The optional URI for the person to add.
string | $type | The optional type of person to add.
Renvoie
Feed
Depuis
3.1.4

Références $name, $type, et $uri.

◆ addEntry()

addEntry ( FeedEntry $entry )

Method to add an entry to the feed object.

Paramètres
FeedEntry $entry The entry object to add.
Renvoie
Feed
Depuis
3.1.4

◆ count()

count ( )

Returns a count of the number of entries in the feed.

This method is here to implement the Countable interface. You can call it by doing count($feed) rather than $feed->count();

Renvoie
integer number of entries in the feed.

◆ offsetExists()

offsetExists ( $offset )

Whether or not an offset exists. This method is executed when using isset() or empty() on objects implementing ArrayAccess.

Paramètres
mixed $offset An offset to check for.
Renvoie
boolean
Voir également
ArrayAccess::offsetExists()
Depuis
3.1.4

Références $offset.

◆ offsetGet()

offsetGet ( $offset )

Returns the value at specified offset.

Paramètres
mixed $offset The offset to retrieve.
Renvoie
mixed The value at the offset.
Voir également
ArrayAccess::offsetGet()
Depuis
3.1.4

Références $offset.

◆ offsetSet()

offsetSet | ( | $offset,
 |  | $value
 | ) |

Assigns a value to the specified offset.

Paramètres
mixed | $offset | The offset to assign the value to.
FeedEntry | $value | The JFeedEntry to set.
Renvoie
boolean
Voir également
ArrayAccess::offsetSet()
Depuis
3.1.4
Exceptions

Références $offset, et $value.

◆ offsetUnset()

offsetUnset ( $offset )

Unsets an offset.

Paramètres
mixed $offset The offset to unset.
Renvoie
void
Voir également
ArrayAccess::offsetUnset()
Depuis
3.1.4

Références $offset.

◆ removeCategory()

removeCategory ( $name )

Method to remove a category from the feed object.

Paramètres
string $name The name of the category to remove.
Renvoie
Feed
Depuis
3.1.4

Références $name.

◆ removeContributor()

removeContributor ( FeedPerson $contributor )

Method to remove a contributor from the feed object.

Paramètres
FeedPerson $contributor The person object to remove.
Renvoie
Feed
Depuis
3.1.4

◆ removeEntry()

removeEntry ( FeedEntry $entry )

Method to remove an entry from the feed object.

Paramètres
FeedEntry $entry The entry object to remove.
Renvoie
Feed
Depuis
3.1.4

◆ reverseItems()

reverseItems ( )

Method to reverse the items if display is set to 'oldest first'

Renvoie
Feed
Depuis
3.1.4

◆ setAuthor()

setAuthor | ( | $name,
 |  | $email,
 |  | $uri = null,
 |  | $type = null
 | ) |

Shortcut method to set the author for the feed object.

Paramètres
string | $name | The full name of the person to set.
string | $email | The email address of the person to set.
string | $uri | The optional URI for the person to set.
string | $type | The optional type of person to set.
Renvoie
Feed
Depuis
3.1.4

Références $author, $name, $type, et $uri.

Documentation des champs

◆ $entries

$entries = array()
protected

◆ $properties

$properties
protected
Valeur initiale :
= array(
'uri' => '',
'title' => '',
'updatedDate' => '',
'description' => '',
'categories' => array(),
'contributors' => array(),
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • Feed.php


Joomla CMS: Référence de la classe FeedEntry

  • Joomla
  • CMS
  • Feed
  • FeedEntry
Fonctions membres publiques | Attributs protégés
Référence de la classe FeedEntry

Fonctions membres publiques

__get ($name)
__set ($name, $value)
addCategory ($name, $uri='')
addContributor ($name, $email, $uri=null, $type=null)
addLink (FeedLink $link)
removeCategory ($name)
removeContributor (FeedPerson $contributor)
removeLink (FeedLink $link)
setAuthor ($name, $email, $uri=null, $type=null)

Attributs protégés

$properties

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to return values for feed entry properties.

Paramètres
string $name The name of the property.
Renvoie
mixed
Depuis
3.1.4

Références $name, et null.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Magic method to set values for feed properties.

Paramètres
string | $name | The name of the property.
mixed | $value | The value to set for the property.
Renvoie
void
Depuis
3.1.4

Références $name, $value, et null.

◆ addCategory()

addCategory | ( | $name,
 |  | $uri = ''
 | ) |

Method to add a category to the feed entry object.

Paramètres
string | $name | The name of the category to add.
string | $uri | The optional URI for the category to add.
Renvoie
FeedEntry
Depuis
3.1.4

Références $name, et $uri.

Référencé par RssParser\processFeedEntry().

◆ addContributor()

addContributor | ( | $name,
 |  | $email,
 |  | $uri = null,
 |  | $type = null
 | ) |

Method to add a contributor to the feed entry object.

Paramètres
string | $name | The full name of the person to add.
string | $email | The email address of the person to add.
string | $uri | The optional URI for the person to add.
string | $type | The optional type of person to add.
Renvoie
FeedEntry
Depuis
3.1.4

Références $name, $type, et $uri.

◆ addLink()

addLink ( FeedLink $link )

Method to add a link to the feed entry object.

Paramètres
FeedLink $link The link object to add.
Renvoie
FeedEntry
Depuis
3.1.4

Références $link.

Référencé par RssParser\processFeedEntry().

◆ removeCategory()

removeCategory ( $name )

Method to remove a category from the feed entry object.

Paramètres
string $name The name of the category to remove.
Renvoie
FeedEntry
Depuis
3.1.4

Références $name.

◆ removeContributor()

removeContributor ( FeedPerson $contributor )

Method to remove a contributor from the feed entry object.

Paramètres
FeedPerson $contributor The person object to remove.
Renvoie
FeedEntry
Depuis
3.1.4

◆ removeLink()

removeLink ( FeedLink $link )

Method to remove a link from the feed entry object.

Paramètres
FeedLink $link The link object to remove.
Renvoie
FeedEntry
Depuis
3.1.4

Références $link.

◆ setAuthor()

setAuthor | ( | $name,
 |  | $email,
 |  | $uri = null,
 |  | $type = null
 | ) |

Shortcut method to set the author for the feed entry object.

Paramètres
string | $name | The full name of the person to set.
string | $email | The email address of the person to set.
string | $uri | The optional URI for the person to set.
string | $type | The optional type of person to set.
Renvoie
FeedEntry
Depuis
3.1.4

Références $author, $name, $type, et $uri.

Documentation des champs

◆ $properties

$properties
protected
Valeur initiale :
= array(
'uri' => '',
'title' => '',
'updatedDate' => '',
'content' => '',
'categories' => array(),
'contributors' => array(),
'links' => array(),
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • FeedEntry.php


Joomla CMS: Référence de la classe FeedFactory

  • Joomla
  • CMS
  • Feed
  • FeedFactory
Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe FeedFactory

Fonctions membres publiques

getFeed ($uri)
registerParser ($tagName, $className, $overwrite=false)

Attributs protégés

$parsers = array('rss' => 'Joomla\\CMS\\Feed\\Parser\\RssParser', 'feed' => 'Joomla\\CMS\\Feed\\Parser\\AtomParser')

Fonctions membres privées

_fetchFeedParser ($type, \XMLReader $reader)

Description détaillée

Feed factory class.

Depuis
3.1.4

Documentation des fonctions membres

◆ _fetchFeedParser()

_fetchFeedParser | ( |  | $type,
 |  | \XMLReader | $reader
 | ) |  |
private

Method to return a new JFeedParser object based on the registered parsers and a given type.

Paramètres
string | $type | The name of parser to return.
\XMLReader | $reader | The XMLReader instance for the feed.
Renvoie
FeedParser
Depuis
3.1.4
Exceptions

Références $type.

◆ getFeed()

getFeed ( $uri )

Method to load a URI into the feed reader for parsing.

Paramètres
string $uri The URI of the feed to load. Idn uris must be passed already converted to punycode.
Renvoie
Feed
Depuis
3.1.4
Exceptions

Références $options, $uri, HttpFactory\getHttp(), et null.

◆ registerParser()

registerParser | ( | $tagName,
 |  | $className,
 |  | $overwrite = false
 | ) |

Method to register a FeedParser class for a given root tag name.

Paramètres
string | $tagName | The root tag name for which to register the parser class.
string | $className | The FeedParser class name to register for a root tag name.
boolean | $overwrite | True to overwrite the parser class if one is already registered.
Renvoie
FeedFactory
Depuis
3.1.4
Exceptions

Références $className.

Documentation des champs

◆ $parsers

$parsers = array('rss' => 'Joomla\\CMS\\Feed\\Parser\\RssParser', 'feed' => 'Joomla\\CMS\\Feed\\Parser\\AtomParser')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FeedFactory.php


Joomla CMS: Référence de la classe FeedLink

  • Joomla
  • CMS
  • Feed
  • FeedLink
Fonctions membres publiques | Champs de données
Référence de la classe FeedLink

Fonctions membres publiques

__construct ($uri=null, $relation=null, $type=null, $language=null, $title=null, $length=null)

Champs de données

$uri
$relation
$type
$language
$title
$length

Description détaillée

Feed Link class.

Depuis
3.1.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $uri = null,
 |  | $relation = null,
 |  | $type = null,
 |  | $language = null,
 |  | $title = null,
 |  | $length = null
 | ) |

Constructor.

Paramètres
string | $uri | The URI to the linked resource.
string | $relation | The relationship between the feed and the linked resource.
string | $type | The resource type.
string | $language | The language of the resource found at the given URI.
string | $title | The title of the resource.
integer | $length | The length of the resource in bytes.
Depuis
3.1.4
Exceptions

Références $language, $title, $type, $uri, language, et title.

Documentation des champs

◆ $language

$language

◆ $length

$length

◆ $relation

$relation

◆ $title

$title

◆ $type

$type

◆ $uri

$uri
La documentation de cette classe a été générée à partir du fichier suivant :
  • FeedLink.php


Joomla CMS: Référence de la classe FeedParser

  • Joomla
  • CMS
  • Feed
  • FeedParser
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FeedParser
+ Graphe d'héritage de FeedParser:
AtomParser RssParser

Fonctions membres publiques

__construct (\XMLReader $stream, InputFilter $inputFilter=null)
parse ()
registerNamespace ($prefix, NamespaceParserInterface $namespace)

Fonctions membres protégées

initialise ()
processElement (Feed $feed, \SimpleXMLElement $el, array $namespaces)
fetchNamespace ($prefix)
moveToNextElement ($name=null)
moveToClosingElement ()

Attributs protégés

$entryElementName = 'entry'
$namespaces = array()
$stream
$inputFilter

Description détaillée

Feed Parser class.

Depuis
3.1.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | \XMLReader | $stream,
 |  | InputFilter | $inputFilter = null
 | ) |  |

Constructor.

Paramètres
\XMLReader | $stream | The XMLReader stream object for the feed.
InputFilter | $inputFilter | The InputFilter object to be used
Depuis
3.1.4

Références InputFilter\getInstance().

Documentation des fonctions membres

◆ fetchNamespace()

fetchNamespace ( $prefix )
protected

Method to get a namespace object for a given namespace prefix.

Paramètres
string $prefix The XML prefix for which to fetch the namespace object.
Renvoie
mixed NamespaceParserInterface or false if none exists.
Depuis
3.1.4

Références $className, et $prefix.

◆ initialise()

initialise ( )
abstractprotected

Method to initialise the feed for parsing. If child parsers need to detect versions or other such things this is where you'll want to implement that logic.

Renvoie
void
Depuis
3.1.4

◆ moveToClosingElement()

moveToClosingElement ( )
protected

Method to move the stream parser to the closing XML node of the current element.

Renvoie
void
Depuis
3.1.4
Exceptions

Références $name.

◆ moveToNextElement()

moveToNextElement ( $name = null )
protected

Method to move the stream parser to the next XML element node.

Paramètres
string $name The name of the element for which to move the stream forward until is found.
Renvoie
boolean True if the stream parser is on an XML element node.
Depuis
3.1.4

Références $name.

◆ parse()

parse ( )

Method to parse the feed into a JFeed object.

Renvoie
Feed
Depuis
3.1.4

Références $feed, $prefix, et $uri.

◆ processElement()

processElement | ( | Feed | $feed,
 |  | \SimpleXMLElement | $el,
 |  | array | $namespaces
 | ) |  |
protected

Method to parse a specific feed element.

Paramètres
Feed | $feed | The Feed object being built from the parsed feed.
\SimpleXMLElement | $el | The current XML element object to handle.
array | $namespaces | The array of relevant namespace objects to process for the element.
Renvoie
void
Depuis
3.1.4

Références $feed.

◆ registerNamespace()

registerNamespace | ( |  | $prefix,
 |  | NamespaceParserInterface | $namespace
 | ) |  |

Method to register a namespace handler object.

Paramètres
string | $prefix | The XML namespace prefix for which to register the namespace object.
NamespaceParserInterface | $namespace | The namespace object to register.
Renvoie
JFeed
Depuis
3.1.4

Références $prefix.

Documentation des champs

◆ $entryElementName

$entryElementName = 'entry'
protected

◆ $inputFilter

$inputFilter
protected

◆ $namespaces

$namespaces = array()
protected

◆ $stream

$stream
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FeedParser.php


Joomla CMS: Référence de la classe FeedPerson

  • Joomla
  • CMS
  • Feed
  • FeedPerson
Fonctions membres publiques | Champs de données
Référence de la classe FeedPerson

Fonctions membres publiques

__construct ($name=null, $email=null, $uri=null, $type=null)

Champs de données

$email
$name
$type
$uri

Description détaillée

Feed Person class.

Depuis
3.1.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $name = null,
 |  | $email = null,
 |  | $uri = null,
 |  | $type = null
 | ) |

Constructor.

Paramètres
string | $name | The full name of the person.
string | $email | The email address of the person.
string | $uri | The URI for the person.
string | $type | The type of person.
Depuis
3.1.4

Références $name, $type, $uri, et name.

Documentation des champs

◆ $email

$email

◆ $name

$name

◆ $type

$type

◆ $uri

$uri
La documentation de cette classe a été générée à partir du fichier suivant :
  • FeedPerson.php


Joomla CMS: Référence de la classe StreamString

  • Joomla
  • CMS
  • Filesystem
  • Streams
  • StreamString
Fonctions membres publiques | Attributs protégés
Référence de la classe StreamString

Fonctions membres publiques

stream_open ($path, $mode, $options, &$openedPath)
stream_stat ()
url_stat ($path, $flags=0)
stream_read ($count)
stream_write ($data)
stream_tell ()
stream_eof ()
stream_seek ($offset, $whence)
stream_flush ()

Attributs protégés

$currentString
$path
$mode
$options
$openedPath
$pos
$len
$stat

Description détaillée

String Stream Wrapper

This class allows you to use a PHP string in the same way that you would normally use a regular stream wrapper

Depuis
1.7.0

Documentation des fonctions membres

◆ stream_eof()

stream_eof ( )

End of field check

Renvoie
boolean True if at end of field.
Depuis
1.7.0

◆ stream_flush()

stream_flush ( )

Stream flush, always returns true.

Renvoie
boolean
Depuis
1.7.0
Note
Data storage is not supported

◆ stream_open()

stream_open | ( |  | $path,
 |  |  | $mode,
 |  |  | $options,
 |  | & | $openedPath
 | ) |  |

Method to open a file or URL.

Paramètres
string | $path | The stream path.
string | $mode | Not used.
integer | $options | Not used.
string | &$openedPath | Not used.
Renvoie
boolean
Depuis
1.7.0

Références $path, et StringController\getRef().

◆ stream_read()

stream_read ( $count )

Method to read a given number of bytes starting at the current position and moving to the end of the string defined by the current position plus the given number.

Paramètres
integer $count Bytes of data from the current position should be returned.
Renvoie
void
Depuis
1.7.0

https://www.php.net/manual/en/streamwrapper.stream-read.php

Références $count.

◆ stream_seek()

stream_seek | ( | $offset,
 |  | $whence
 | ) |

Stream offset

Paramètres
integer | $offset | The starting offset.
integer | $whence | SEEK_SET, SEEK_CUR, SEEK_END
Renvoie
boolean True on success.
Depuis
1.7.0

Références $offset.

◆ stream_stat()

stream_stat ( )

Method to retrieve information from a file resource

Renvoie
array

1.7.0

◆ stream_tell()

stream_tell ( )

Method to get the current position

Renvoie
integer The position
Depuis
1.7.0

◆ stream_write()

stream_write ( $data )

Stream write, always returning false.

Paramètres
string $data The data to write.
Renvoie
boolean
Depuis
1.7.0
Note
Updating the string is not supported.

◆ url_stat()

url_stat | ( | $path,
 |  | $flags = 0
 | ) |

Method to retrieve information about a file.

Paramètres
string | $path | File path or URL to stat
integer | $flags | Additional flags set by the streams API
Renvoie
array

1.7.0

Références $now, $path, et StringController\getRef().

Documentation des champs

◆ $currentString

$currentString
protected

◆ $len

$len
protected

◆ $mode

$mode
protected

◆ $openedPath

$openedPath
protected

◆ $options

$options
protected

◆ $path

$path
protected

◆ $pos

$pos
protected

◆ $stat

$stat
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • StreamString.php


Joomla CMS: Référence de la classe StringController

  • Joomla
  • CMS
  • Filesystem
  • Support
  • StringController
Fonctions membres publiques
Référence de la classe StringController

Fonctions membres publiques

_getArray ()
createRef ($reference, &$string)
getRef ($reference)

Description détaillée

String Controller

Depuis
1.7.0

Documentation des fonctions membres

◆ _getArray()

_getArray ( )

Defines a variable as an array

Renvoie
array
Depuis
1.7.0

◆ createRef()

createRef | ( |  | $reference,
 |  | & | $string
 | ) |  |

Create a reference

Paramètres
string | $reference | The key
string | &$string | The value
Renvoie
void
Depuis
1.7.0

◆ getRef()

getRef ( $reference )

Get reference

Paramètres
string $reference The key for the reference.
Renvoie
mixed False if not set, reference if it exists
Depuis
1.7.0

Référencé par StreamString\stream_open(), et StreamString\url_stat().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Filesystem/Support/StringController.php


Joomla CMS: Référence de la classe FileWrapper

  • Joomla
  • CMS
  • Filesystem
  • Wrapper
  • FileWrapper
Fonctions membres publiques
Référence de la classe FileWrapper

Fonctions membres publiques

getExt ($file)
stripExt ($file)
makeSafe ($file)
copy ($src, $dest, $path=null, $useStreams=false)
delete ($file)
move ($src, $dest, $path='', $useStreams=false)
read ($filename, $incpath=false, $amount=0, $chunksize=8192, $offset=0)
write ($file, &$buffer, $useStreams=false)
upload ($src, $dest, $useStreams=false)
exists ($file)
getName ($file)

Description détaillée

Wrapper class for File

Depuis
3.4
Obsolète:
4.0 Use instead

Documentation des fonctions membres

◆ copy()

copy | ( | $src,
 |  | $dest,
 |  | $path = null,
 |  | $useStreams = false
 | ) |

Helper wrapper method for copy

Paramètres
string | $src | The path to the source file.
string | $dest | The path to the destination file.
string | $path | An optional base path to prefix to the file names.
boolean | $useStreams | True to use streams.
Renvoie
boolean True on success.
Voir également
File::copy()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $path, et File\copy().

◆ delete()

delete ( $file )

Helper wrapper method for delete

Paramètres
mixed $file The file name or an array of file names
Renvoie
boolean True on success.
Voir également
File::delete()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $file, et File\delete().

◆ exists()

exists ( $file )

Helper wrapper method for exists

Paramètres
string $file File path.
Renvoie
boolean True if path is a file.
Voir également
File::exists()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $file, et File\exists().

◆ getExt()

getExt ( $file )

Helper wrapper method for getExt

Paramètres
string $file The file name.
Renvoie
string The file extension.
Voir également
File::getExt()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $file, et File\getExt().

◆ getName()

getName ( $file )

Helper wrapper method for getName

Paramètres
string $file File path.
Renvoie
string filename.
Voir également
File::getName()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $file, et File\getName().

◆ makeSafe()

makeSafe ( $file )

Helper wrapper method for makeSafe

Paramètres
string $file The name of the file [not full path].
Renvoie
string The sanitised string.
Voir également
File::makeSafe()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $file, et File\makeSafe().

◆ move()

move | ( | $src,
 |  | $dest,
 |  | $path = '',
 |  | $useStreams = false
 | ) |

Helper wrapper method for move

Paramètres
string | $src | The path to the source file.
string | $dest | The path to the destination file.
string | $path | An optional base path to prefix to the file names.
boolean | $useStreams | True to use streams.
Renvoie
boolean True on success.
Voir également
File::move()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $path, et File\move().

◆ read()

read | ( | $filename,
 |  | $incpath = false,
 |  | $amount = 0,
 |  | $chunksize = 8192,
 |  | $offset = 0
 | ) |

Helper wrapper method for read

Paramètres
string | $filename | The full file path.
boolean | $incpath | Use include path.
integer | $amount | Amount of file to read.
integer | $chunksize | Size of chunks to read.
integer | $offset | Offset of the file.
Renvoie
mixed Returns file contents or boolean False if failed.
Voir également
File::read()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $offset, et File\read().

◆ stripExt()

stripExt ( $file )

Helper wrapper method for stripExt

Paramètres
string $file The file name.
Renvoie
string The file name without the extension.
Voir également
File::stripExt()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $file, et File\stripExt().

◆ upload()

upload | ( | $src,
 |  | $dest,
 |  | $useStreams = false
 | ) |

Helper wrapper method for upload

Paramètres
string | $src | The name of the php (temporary) uploaded file.
string | $dest | The path (including filename) to move the uploaded file to.
boolean | $useStreams | True to use streams.
Renvoie
boolean True on success.
Voir également
File::upload()
Depuis
3.4
Obsolète:
4.0 Use instead

Références File\upload().

◆ write()

write | ( |  | $file,
 |  | & | $buffer,
 |  |  | $useStreams = false
 | ) |  |

Helper wrapper method for write

Paramètres
string | $file | The full file path.
string | &$buffer | The buffer to write.
boolean | $useStreams | Use streams.
Renvoie
boolean True on success.
Voir également
File::write()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $buffer, $file, et File\write().

La documentation de cette classe a été générée à partir du fichier suivant :
  • FileWrapper.php


Joomla CMS: Référence de la classe FolderWrapper

  • Joomla
  • CMS
  • Filesystem
  • Wrapper
  • FolderWrapper
Fonctions membres publiques
Référence de la classe FolderWrapper

Fonctions membres publiques

copy ($src, $dest, $path='', $force=false, $useStreams=false)
create ($path='', $mode=493)
delete ($path)
move ($src, $dest, $path='', $useStreams=false)
exists ($path)
files ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*', '.*~'), $naturalSort=false)
folders ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*'))
listFolderTree ($path, $filter, $maxLevel=3, $level=0, $parent=0)
makeSafe ($path)

Description détaillée

Wrapper class for Folder

Depuis
3.4
Obsolète:
4.0 Use instead

Documentation des fonctions membres

◆ copy()

copy | ( | $src,
 |  | $dest,
 |  | $path = '',
 |  | $force = false,
 |  | $useStreams = false
 | ) |

Helper wrapper method for copy

Paramètres
string | $src | The path to the source folder.
string | $dest | The path to the destination folder.
string | $path | An optional base path to prefix to the file names.
boolean | $force | Force copy.
boolean | $useStreams | Optionally force folder/file overwrites.
Renvoie
boolean True on success.
Voir également
Folder::copy()
Depuis
3.4
Exceptions
RuntimeException
Obsolète:
4.0 Use instead

Références $path, et Folder\copy().

◆ create()

create | ( | $path = '',
 |  | $mode = 493
 | ) |

Helper wrapper method for create

Paramètres
string | $path | A path to create from the base path.
integer | $mode | Directory permissions to set for folders created. 0755 by default.
Renvoie
boolean True if successful.
Voir également
Folder::create()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $mode, $path, et Folder\create().

Référencé par File\copy(), et File\upload().

◆ delete()

delete ( $path )

Helper wrapper method for delete

Paramètres
string $path The path to the folder to delete.
Renvoie
boolean True on success.
Voir également
Folder::delete()
Depuis
3.4
Exceptions
UnexpectedValueException
Obsolète:
4.0 Use instead

Références $path, et Folder\delete().

◆ exists()

exists ( $path )

Helper wrapper method for exists

Paramètres
string $path Folder name relative to installation dir.
Renvoie
boolean True if path is a folder.
Voir également
Folder::exists()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $path, et Folder\exists().

◆ files()

files | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludefilter = array('^\..*', '.*~'),
 |  | $naturalSort = false
 | ) |

Helper wrapper method for files

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for file names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the file.
array | $exclude | Array with names of files which should not be shown in the result.
array | $excludefilter | Array of filter to exclude.
boolean | $naturalSort | False for asort, true for natsort.
Renvoie
array Files in the given folder.
Voir également
Folder::files()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $filter, $path, et Folder\files().

◆ folders()

folders | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludefilter = array('^\..*')
 | ) |

Helper wrapper method for folders

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for folder names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the folders.
array | $exclude | Array with names of folders which should not be shown in the result.
array | $excludefilter | Array with regular expressions matching folders which should not be shown in the result.
Renvoie
array Folders in the given folder.
Voir également
Folder::folders()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $filter, $path, et Folder\folders().

◆ listFolderTree()

listFolderTree | ( | $path,
 |  | $filter,
 |  | $maxLevel = 3,
 |  | $level = 0,
 |  | $parent = 0
 | ) |

Helper wrapper method for listFolderTree

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for folder names.
integer | $maxLevel | The maximum number of levels to recursively read, defaults to three.
integer | $level | The current level, optional.
integer | $parent | Unique identifier of the parent folder, if any.
Renvoie
array Folders in the given folder.
Voir également
Folder::listFolderTree()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $filter, $path, et Folder\listFolderTree().

◆ makeSafe()

makeSafe ( $path )

Helper wrapper method for makeSafe

Paramètres
string $path The full path to sanitise.
Renvoie
string The sanitised string
Voir également
Folder::makeSafe()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $path, et Folder\makeSafe().

◆ move()

move | ( | $src,
 |  | $dest,
 |  | $path = '',
 |  | $useStreams = false
 | ) |

Helper wrapper method for move

Paramètres
string | $src | The path to the source folder.
string | $dest | The path to the destination folder.
string | $path | An optional base path to prefix to the file names.
boolean | $useStreams | Optionally use streams.
Renvoie
mixed Error message on false or boolean true on success.
Voir également
Folder::move()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $path, et Folder\move().

La documentation de cette classe a été générée à partir du fichier suivant :
  • FolderWrapper.php


Joomla CMS: Référence de la classe PathWrapper

  • Joomla
  • CMS
  • Filesystem
  • Wrapper
  • PathWrapper
Fonctions membres publiques
Référence de la classe PathWrapper

Fonctions membres publiques

canChmod ($path)
setPermissions ($path, $filemode='0644', $foldermode='0755')
getPermissions ($path)
check ($path)
clean ($path, $ds=DIRECTORY_SEPARATOR)
isOwner ($path)
find ($paths, $file)

Description détaillée

Wrapper class for Path

Depuis
3.4
Obsolète:
4.0 Use instead

Documentation des fonctions membres

◆ canChmod()

canChmod ( $path )

Helper wrapper method for canChmod

Paramètres
string $path Path to check.
Renvoie
boolean True if path can have mode changed.
Voir également
Path::canChmod()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $path, et Path\canChmod().

◆ check()

check ( $path )

Helper wrapper method for check

Paramètres
string $path A file system path to check.
Renvoie
string A cleaned version of the path or exit on error.
Voir également
Path::check()
Depuis
3.4
Exceptions
Exception
Obsolète:
4.0 Use instead

Références $path, et Path\check().

◆ clean()

clean | ( | $path,
 |  | $ds = DIRECTORY_SEPARATOR
 | ) |

Helper wrapper method for clean

Paramètres
string | $path | The path to clean.
string | $ds | Directory separator (optional).
Renvoie
string The cleaned path.
Voir également
Path::clean()
Depuis
3.4
Exceptions
UnexpectedValueException
Obsolète:
4.0 Use instead

Références $path, et Path\clean().

Référencé par Folder\copy(), File\copy(), File\move(), Folder\move(), et File\upload().

◆ find()

find | ( | $paths,
 |  | $file
 | ) |

Helper wrapper method for find

Paramètres
mixed | $paths | A path string or array of path strings to search in
string | $file | The file name to look for.
Renvoie
mixed The full path and file name for the target file, or boolean false if the file is not found in any of the paths.
Voir également
Path::find()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $file, et Path\find().

◆ getPermissions()

getPermissions ( $path )

Helper wrapper method for getPermissions

Paramètres
string $path The path of a file/folder.
Renvoie
string Filesystem permissions.
Voir également
Path::getPermissions()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $path, et Path\getPermissions().

◆ isOwner()

isOwner ( $path )

Helper wrapper method for isOwner

Paramètres
string $path Path to check ownership.
Renvoie
boolean True if the php script owns the path passed.
Voir également
Path::isOwner()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $path, et Path\isOwner().

◆ setPermissions()

setPermissions | ( | $path,
 |  | $filemode = '0644',
 |  | $foldermode = '0755'
 | ) |

Helper wrapper method for setPermissions

Paramètres
string | $path | Root path to begin changing mode [without trailing slash].
string | $filemode | Octal representation of the value to change file mode to [null = no change].
string | $foldermode | Octal representation of the value to change folder mode to [null = no change].
Renvoie
boolean True if successful [one fail means the whole operation failed].
Voir également
Path::setPermissions()
Depuis
3.4
Obsolète:
4.0 Use instead

Références $path, et Path\setPermissions().

La documentation de cette classe a été générée à partir du fichier suivant :
  • PathWrapper.php


Joomla CMS: Référence de la classe File

  • Joomla
  • CMS
  • Filesystem
  • File
Fonctions membres publiques statiques
Référence de la classe File

Fonctions membres publiques statiques

static | getExt ($file)
static | stripExt ($file)
static | makeSafe ($file)
static | copy ($src, $dest, $path=null, $useStreams=false)
static | delete ($file)
static | move ($src, $dest, $path='', $useStreams=false)
static | read ($filename, $incpath=false, $amount=0, $chunksize=8192, $offset=0)
static | write ($file, $buffer, $useStreams=false)
static | append ($file, $buffer, $useStreams=false)
static | upload ($src, $dest, $useStreams=false, $allowUnsafe=false, $safeFileOptions=array())
static | exists ($file)
static | getName ($file)

Description détaillée

A File handling class

Depuis
1.7.0

Documentation des fonctions membres

◆ append()

static append | ( | $file,
 |  | $buffer,
 |  | $useStreams = false
 | ) |
static

Append contents to a file

Paramètres
string | $file | The full file path
string | $buffer | The buffer to write
boolean | $useStreams | Use streams
Renvoie
boolean True on success
Depuis
3.6.0

Références $buffer, $file, Log\add(), Path\clean(), ClientHelper\getCredentials(), FtpClient\getInstance(), Factory\getStream(), JPATH_ROOT, Text\sprintf(), et Log\WARNING.

◆ copy()

static copy | ( | $src,
 |  | $dest,
 |  | $path = null,
 |  | $useStreams = false
 | ) |
static

Copies a file

Paramètres
string | $src | The path to the source file
string | $dest | The path to the destination file
string | $path | An optional base path to prefix to the file names
boolean | $useStreams | True to use streams
Renvoie
boolean True on success
Depuis
1.7.0

Références $path, Log\add(), PathWrapper\clean(), FolderWrapper\create(), ClientHelper\getCredentials(), FtpClient\getInstance(), Factory\getStream(), JPATH_ROOT, Text\sprintf(), et Log\WARNING.

◆ delete()

static delete ( $file )
static

Delete a file or array of files

Paramètres
mixed $file The file name or an array of file names
Renvoie
boolean True on success
Depuis
1.7.0

Références $file, $files, Log\add(), elseif, ClientHelper\getCredentials(), FtpClient\getInstance(), JPATH_ROOT, Text\sprintf(), et Log\WARNING.

Référencé par Patcher\apply().

◆ exists()

static exists ( $file )
static

Wrapper for the standard file_exists function

Paramètres
string $file File path
Renvoie
boolean True if path is a file
Depuis
1.7.0

Références $file.

Référencé par FileWrapper\exists().

◆ getExt()

static getExt ( $file )
static

Gets the extension of a file name

Paramètres
string $file The file name
Renvoie
string The file extension
Depuis
1.7.0

Références $file, et DIRECTORY_SEPARATOR.

Référencé par FileWrapper\getExt(), et Stream\open().

◆ getName()

static getName ( $file )
static

Returns the name, without any path.

Paramètres
string $file File path
Renvoie
string filename
Depuis
1.7.0
Obsolète:
4.0 - Use basename() instead.

Références $file, Log\add(), et Log\WARNING.

Référencé par FileWrapper\getName().

◆ makeSafe()

static makeSafe ( $file )
static

Makes file name safe to use

Paramètres
string $file The name of the file [not full path]
Renvoie
string The sanitised string
Depuis
1.7.0

Références $file.

◆ move()

static move | ( | $src,
 |  | $dest,
 |  | $path = '',
 |  | $useStreams = false
 | ) |
static

Moves a file

Paramètres
string | $src | The path to the source file
string | $dest | The path to the destination file
string | $path | An optional base path to prefix to the file names
boolean | $useStreams | True to use streams
Renvoie
boolean True on success
Depuis
1.7.0

Références $path, Text\_(), Log\add(), PathWrapper\clean(), ClientHelper\getCredentials(), FtpClient\getInstance(), Factory\getStream(), JPATH_ROOT, Text\sprintf(), et Log\WARNING.

◆ read()

static read | ( | $filename,
 |  | $incpath = false,
 |  | $amount = 0,
 |  | $chunksize = 8192,
 |  | $offset = 0
 | ) |
static

Read the contents of a file

Paramètres
string | $filename | The full file path
boolean | $incpath | Use include path
integer | $amount | Amount of file to read
integer | $chunksize | Size of chunks to read
integer | $offset | Offset of the file
Renvoie
mixed Returns file contents or boolean False if failed
Depuis
1.7.0
Obsolète:
4.0 - Use the native file_get_contents() instead.

Références $data, $offset, Log\add(), null, Text\sprintf(), et Log\WARNING.

Référencé par FileWrapper\read().

◆ stripExt()

static stripExt ( $file )
static

Strips the last extension off of a file name

Paramètres
string $file The file name
Renvoie
string The file name without the extension
Depuis
1.7.0

Références $file.

◆ upload()

static upload | ( | $src,
 |  | $dest,
 |  | $useStreams = false,
 |  | $allowUnsafe = false,
 |  | $safeFileOptions = array()
 | ) |
static

Moves an uploaded file to a destination folder

Paramètres
string | $src | The name of the php (temporary) uploaded file
string | $dest | The path (including filename) to move the uploaded file to
boolean | $useStreams | True to use streams
boolean | $allowUnsafe | Allow the upload of unsafe files
boolean | $safeFileOptions | Options to ::isSafeFile
Renvoie
boolean True on success
Depuis
1.7.0

Références $baseDir, Text\_(), Log\add(), PathWrapper\clean(), FolderWrapper\create(), ClientHelper\getCredentials(), FtpClient\getInstance(), Factory\getStream(), JPATH_ROOT, Text\sprintf(), et Log\WARNING.

◆ write()

static write | ( | $file,
 |  | $buffer,
 |  | $useStreams = false
 | ) |
static

Write contents to a file

Paramètres
string | $file | The full file path
string | $buffer | The buffer to write
boolean | $useStreams | Use streams
Renvoie
boolean True on success
Depuis
1.7.0

Références $buffer, $file, Log\add(), ClientHelper\getCredentials(), FtpClient\getInstance(), Factory\getStream(), JPATH_ROOT, Text\sprintf(), true, et Log\WARNING.

Référencé par Patcher\apply().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Filesystem/File.php


Joomla CMS: Référence de la classe FilesystemHelper

  • Joomla
  • CMS
  • Filesystem
  • FilesystemHelper
Fonctions membres publiques statiques | Fonctions membres privées statiques
Référence de la classe FilesystemHelper

Fonctions membres publiques statiques

static | remotefsize ($url)
static | ftpChmod ($url, $mode)
static | getWriteModes ()
static | getSupported ()
static | getTransports ()
static | getFilters ()
static | getJStreams ()
static | isJoomlaStream ($streamname)
static | fileUploadMaxSize ($unitOutput=true)

Fonctions membres privées statiques

static | parseSize ($size)
static | parseSizeUnit ($maxSize)

Description détaillée

File system helper

Holds support functions for the filesystem, particularly the stream

Depuis
1.7.0

Documentation des fonctions membres

◆ fileUploadMaxSize()

static fileUploadMaxSize ( $unitOutput = true )
static

Calculates the maximum upload file size and returns string with unit or the size in bytes

Call it with JFilesystemHelper::fileUploadMaxSize();

Paramètres
bool $unitOutput This parameter determines whether the return value should be a string with a unit
Renvoie
float|string The maximum upload size of files with the appropriate unit or in bytes
Depuis
3.4

◆ ftpChmod()

static ftpChmod | ( | $url,
 |  | $mode
 | ) |
static

Quick FTP chmod

Paramètres
string | $url | Link identifier
integer | $mode | The new permissions, given as an octal value.
Renvoie
mixed

1.7.0

Références $mode, $path, $url, et $user.

Référencé par Stream\chmod().

◆ getFilters()

static getFilters ( )
static

Returns a list of filters

Renvoie
array
Depuis
1.7.0

◆ getJStreams()

static getJStreams ( )
static

Returns a list of J! streams

Renvoie
array
Depuis
1.7.0

Références $file, et $files.

◆ getSupported()

static getSupported ( )
static

Stream and Filter Support Operations

Returns the supported streams, in addition to direct file access Also includes Joomla! streams as well as PHP streams

Renvoie
array Streams
Depuis
1.7.0

◆ getTransports()

static getTransports ( )
static

Returns a list of transports

Renvoie
array
Depuis
1.7.0

◆ getWriteModes()

static getWriteModes ( )
static

Modes that require a write operation

Renvoie
array
Depuis
1.7.0

Référencé par Stream\_getFilename().

◆ isJoomlaStream()

static isJoomlaStream ( $streamname )
static

Determine if a stream is a Joomla stream.

Paramètres
string $streamname The name of a stream
Renvoie
boolean True for a Joomla Stream
Depuis
1.7.0

Référencé par Stream\open().

◆ parseSize()

static parseSize ( $size )
staticprivate

Returns the size in bytes without the unit for the comparison

Paramètres
string $size The size which is received from the PHP settings
Renvoie
float The size in bytes without the unit
Depuis
3.4

Références $return.

◆ parseSizeUnit()

static parseSizeUnit ( $maxSize )
staticprivate

Creates the rounded size of the size with the appropriate unit

Paramètres
float $maxSize The maximum size which is allowed for the uploads
Renvoie
string String with the size and the appropriate unit
Depuis
3.4

Références $base, et $maxSize.

◆ remotefsize()

static remotefsize ( $url )
static

Remote file size function for streams that don't support it

Paramètres
string $url TODO Add text
Renvoie
mixed

1.7.0

Références $path, $url, et $user.

Référencé par Stream\filesize().

La documentation de cette classe a été générée à partir du fichier suivant :
  • FilesystemHelper.php


Joomla CMS: Référence de la classe Folder

  • Joomla
  • CMS
  • Filesystem
  • Folder
Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe Folder

Fonctions membres publiques statiques

static | copy ($src, $dest, $path='', $force=false, $useStreams=false)
static | create ($path='', $mode=0755)
static | delete ($path)
static | move ($src, $dest, $path='', $useStreams=false)
static | exists ($path)
static | files ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludeFilter=array('^\..*', '.*~'), $naturalSort=false)
static | folders ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludeFilter=array('^\..*'))
static | listFolderTree ($path, $filter, $maxLevel=3, $level=0, $parent=0)
static | makeSafe ($path)

Fonctions membres protégées statiques

static _items ($path, $filter, $recurse, $full, $exclude, $excludeFilterString, $findFiles)

Description détaillée

A Folder handling class

Depuis
1.7.0

Documentation des fonctions membres

◆ _items()

static _items | ( | $path,
 |  | $filter,
 |  | $recurse,
 |  | $full,
 |  | $exclude,
 |  | $excludeFilterString,
 |  | $findFiles
 | ) |
staticprotected

Function to read the files/folders in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for file names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the file.
array | $exclude | Array with names of files which should not be shown in the result.
string | $excludeFilterString | Regexp of files to exclude
boolean | $findFiles | True to read the files, false to read the folders
Renvoie
array Files.
Depuis
1.7.0

Références $file, $filter, et $path.

◆ copy()

static copy | ( | $src,
 |  | $dest,
 |  | $path = '',
 |  | $force = false,
 |  | $useStreams = false
 | ) |
static

Copy a folder.

Paramètres
string | $src | The path to the source folder.
string | $dest | The path to the destination folder.
string | $path | An optional base path to prefix to the file names.
boolean | $force | Force copy.
boolean | $useStreams | Optionally force folder/file overwrites.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $file, $path, PathWrapper\clean(), DIRECTORY_SEPARATOR, ClientHelper\getCredentials(), FtpClient\getInstance(), Factory\getStream(), JPATH_ROOT, null, et Path\removeRoot().

Référencé par FolderWrapper\copy().

◆ create()

static create | ( | $path = '',
 |  | $mode = 0755
 | ) |
static

Create a folder – and all necessary parent folders.

Paramètres
string | $path | A path to create from the base path.
integer | $mode | Directory permissions to set for folders created. 0755 by default.
Renvoie
boolean True if successful.
Depuis
1.7.0

Références $mode, $path, Text\_(), Log\add(), ClientHelper\getCredentials(), FtpClient\getInstance(), JPATH_ROOT, null, et Log\WARNING.

Référencé par FolderWrapper\create().

◆ delete()

static delete ( $path )
static

Delete a folder.

Paramètres
string $path The path to the folder to delete.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $file, $files, $folder, $path, Text\_(), Log\add(), elseif, ClientHelper\getCredentials(), FtpClient\getInstance(), JPATH_ROOT, Text\sprintf(), et Log\WARNING.

Référencé par FolderWrapper\delete().

◆ exists()

static exists ( $path )
static

Wrapper for the standard file_exists function

Paramètres
string $path Folder name relative to installation dir
Renvoie
boolean True if path is a folder
Depuis
1.7.0

Références $path.

Référencé par FolderWrapper\exists().

◆ files()

static files | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludeFilter = array('^\..*', '.*~'),
 |  | $naturalSort = false
 | ) |
static

Utility function to read the files in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for file names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the file.
array | $exclude | Array with names of files which should not be shown in the result.
array | $excludeFilter | Array of filter to exclude
boolean | $naturalSort | False for asort, true for natsort
Renvoie
array Files in the given folder.
Depuis
1.7.0

Références $filter, $path, Log\add(), Text\sprintf(), et Log\WARNING.

Référencé par FolderWrapper\files().

◆ folders()

static folders | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludeFilter = array('^\..*')
 | ) |
static

Utility function to read the folders in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for folder names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the folders.
array | $exclude | Array with names of folders which should not be shown in the result.
array | $excludeFilter | Array with regular expressions matching folders which should not be shown in the result.
Renvoie
array Folders in the given folder.
Depuis
1.7.0

Références $filter, $path, Log\add(), Text\sprintf(), et Log\WARNING.

Référencé par FolderWrapper\folders().

◆ listFolderTree()

static listFolderTree | ( | $path,
 |  | $filter,
 |  | $maxLevel = 3,
 |  | $level = 0,
 |  | $parent = 0
 | ) |
static

Lists folder in format suitable for tree display.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for folder names.
integer | $maxLevel | The maximum number of levels to recursively read, defaults to three.
integer | $level | The current level, optional.
integer | $parent | Unique identifier of the parent folder, if any.
Renvoie
array Folders in the given folder.
Depuis
1.7.0

Références $filter, $GLOBALS, $id, $name, $path, et JPATH_ROOT.

Référencé par FolderWrapper\listFolderTree().

◆ makeSafe()

static makeSafe ( $path )
static

Makes path name safe to use.

Paramètres
string $path The full path to sanitise.
Renvoie
string The sanitised string.
Depuis
1.7.0

Références $path.

Référencé par FolderWrapper\makeSafe().

◆ move()

static move | ( | $src,
 |  | $dest,
 |  | $path = '',
 |  | $useStreams = false
 | ) |
static

Moves a folder.

Paramètres
string | $src | The path to the source folder.
string | $dest | The path to the destination folder.
string | $path | An optional base path to prefix to the file names.
boolean | $useStreams | Optionally use streams.
Renvoie
mixed Error message on false or boolean true on success.
Depuis
1.7.0

Références $path, Text\_(), PathWrapper\clean(), ClientHelper\getCredentials(), FtpClient\getInstance(), Factory\getStream(), JPATH_ROOT, et Text\sprintf().

Référencé par FolderWrapper\move().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Filesystem/Folder.php


Joomla CMS: Référence de la classe Patcher

  • Joomla
  • CMS
  • Filesystem
  • Patcher
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe Patcher

Fonctions membres publiques

reset ()
apply ()
addFile ($filename, $root=JPATH_BASE, $strip=0)
add ($udiff, $root=JPATH_BASE, $strip=0)

Fonctions membres publiques statiques

static getInstance ()

Champs de données

const | SRC_FILE = '/^---\\s+(\\S+)\s+\\d{1,4}-\\d{1,2}-\\d{1,2}\\s+\\d{1,2}:\\d{1,2}:\\d{1,2}(\\.\\d+)?\\s+(\+|-)\\d{4}/A'
const | DST_FILE = '/^\\+\\+\\+\\s+(\\S+)\s+\\d{1,4}-\\d{1,2}-\\d{1,2}\\s+\\d{1,2}:\\d{1,2}:\\d{1,2}(\\.\\d+)?\\s+(\+|-)\\d{4}/A'
const | HUNK = '/@@ -(\\d+)(,(\\d+))?\\s+\\+(\\d+)(,(\\d+))?\\s+@@($)/A'
const | SPLIT = '/(\r\n)|(\r)|(\n)/'

Fonctions membres protégées

__construct ()
applyHunk (&$lines, $src, $dst, $srcLine, $srcSize, $dstLine, $dstSize)
& getSource ($src)
& getDestination ($dst, $src)

Fonctions membres protégées statiques

static | splitLines ($data)
static | findHeader (&$lines, &$src, &$dst)
static | findHunk (&$lines, &$srcLine, &$srcSize, &$dstLine, &$dstSize)

Attributs protégés

$sources = array()
$destinations = array()
$removals = array()
$patches = array()

Attributs protégés statiques

static $instance

Description détaillée

A Unified Diff Format Patcher class

This has been derived from the PhpPatcher version 0.1.1 written by Giuseppe Mazzotta 3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
protected

Constructor

The constructor is protected to force the use of FilesystemPatcher::getInstance()

Depuis
3.0.0

Documentation des fonctions membres

◆ add()

add | ( | $udiff,
 |  | $root = JPATH_BASE,
 |  | $strip = 0
 | ) |

Add a unified diff string to the patcher

Paramètres
string | $udiff | Unified diff input string
string | $root | The files root path
string | $strip | The number of '/' to strip
Renvoie
FilesystemPatcher $this for chaining
Depuis
3.0.0

Références $root, et DIRECTORY_SEPARATOR.

◆ addFile()

addFile | ( | $filename,
 |  | $root = JPATH_BASE,
 |  | $strip = 0
 | ) |

Add a unified diff file to the patcher

Paramètres
string | $filename | Path to the unified diff file
string | $root | The files root path
string | $strip | The number of '/' to strip
Renvoie
FilesystemPatcher $this for chaining
Depuis
3.0.0

Références $root.

◆ apply()

apply ( )

Apply the patches

Renvoie
integer The number of files patched
Depuis
3.0.0
Exceptions

Références $buffer, $content, $file, File\delete(), null, et File\write().

◆ applyHunk()

applyHunk | ( | & | $lines,
 |  |  | $src,
 |  |  | $dst,
 |  |  | $srcLine,
 |  |  | $srcSize,
 |  |  | $dstLine,
 |  |  | $dstSize
 | ) |  |
protected

Apply the patch

Paramètres
array | &$lines | The udiff array of lines
string | $src | The source file
string | $dst | The destination file
string | $srcLine | The beginning of the patch for the source file
string | $srcSize | The size of the patch for the source file
string | $dstLine | The beginning of the patch for the destination file
string | $dstSize | The size of the patch for the destination file
Renvoie
void
Depuis
3.0.0
Exceptions

Références elseif, Path\removeRoot(), et Text\sprintf().

◆ findHeader()

static findHeader | ( | & | $lines,
 |  | & | $src,
 |  | & | $dst
 | ) |  |
staticprotected

Find the diff header

The internal array pointer of $lines is on the next line after the finding

Paramètres
array | &$lines | The udiff array of lines
string | &$src | The source file
string | &$dst | The destination file
Renvoie
boolean TRUE in case of success, FALSE in case of failure
Depuis
3.0.0
Exceptions

◆ findHunk()

static findHunk | ( | & | $lines,
 |  | & | $srcLine,
 |  | & | $srcSize,
 |  | & | $dstLine,
 |  | & | $dstSize
 | ) |  |
staticprotected

Find the next hunk of difference

The internal array pointer of $lines is on the next line after the finding

Paramètres
array | &$lines | The udiff array of lines
string | &$srcLine | The beginning of the patch for the source file
string | &$srcSize | The size of the patch for the source file
string | &$dstLine | The beginning of the patch for the destination file
string | &$dstSize | The size of the patch for the destination file
Renvoie
boolean TRUE in case of success, false in case of failure
Depuis
3.0.0
Exceptions

◆ getDestination()

& getDestination | ( | $dst,
 |  | $src
 | ) |
protected

Get the lines of a destination file

Paramètres
string | $dst | The path of a destination file
string | $src | The path of a source file
Renvoie
array The lines of the destination file
Depuis
3.0.0

◆ getInstance()

static getInstance ( )
static

Method to get a patcher

Renvoie
FilesystemPatcher an instance of the patcher
Depuis
3.0.0

◆ getSource()

& getSource ( $src )
protected

Get the lines of a source file

Paramètres
string $src The path of a file
Renvoie
array The lines of the source file
Depuis
3.0.0

Références null.

◆ reset()

reset ( )

Reset the pacher

Renvoie
FilesystemPatcher This object for chaining
Depuis
3.0.0

◆ splitLines()

static splitLines ( $data )
staticprotected

Separate CR or CRLF lines

Paramètres
string $data Input string
Renvoie
array The lines of the inputdestination file
Depuis
3.0.0

Références $data.

Documentation des champs

◆ $destinations

$destinations = array()
protected

◆ $instance

$instance
staticprotected

◆ $patches

$patches = array()
protected

◆ $removals

$removals = array()
protected

◆ $sources

$sources = array()
protected

◆ DST_FILE

const DST_FILE = '/^\\+\\+\\+\\s+(\\S+)\s+\\d{1,4}-\\d{1,2}-\\d{1,2}\\s+\\d{1,2}:\\d{1,2}:\\d{1,2}(\\.\\d+)?\\s+(\+|-)\\d{4}/A'

Regular expression for searching destination files

◆ HUNK

const HUNK = '/@@ -(\\d+)(,(\\d+))?\\s+\\+(\\d+)(,(\\d+))?\\s+@@($)/A'

Regular expression for searching hunks of differences

◆ SPLIT

const SPLIT = '/(\r\n)|(\r)|(\n)/'

Regular expression for splitting lines

◆ SRC_FILE

const SRC_FILE = '/^---\\s+(\\S+)\s+\\d{1,4}-\\d{1,2}-\\d{1,2}\\s+\\d{1,2}:\\d{1,2}:\\d{1,2}(\\.\\d+)?\\s+(\+|-)\\d{4}/A'

Regular expression for searching source files

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Filesystem/Patcher.php


Joomla CMS: Référence de la classe Path

  • Joomla
  • CMS
  • Filesystem
  • Path
Fonctions membres publiques statiques | Fonctions membres privées statiques
Référence de la classe Path

Fonctions membres publiques statiques

static | canChmod ($path)
static | setPermissions ($path, $filemode='0644', $foldermode='0755')
static | getPermissions ($path)
static | check ($path)
static | clean ($path, $ds=DIRECTORY_SEPARATOR)
static | isOwner ($path)
static | find ($paths, $file)
static | resolve ($path)
static | removeRoot ($message, $rootDirectory=null)

Fonctions membres privées statiques

static makePattern ($dir)

Description détaillée

A Path handling class

Depuis
1.7.0

Documentation des fonctions membres

◆ canChmod()

static canChmod ( $path )
static

Checks if a path's permissions can be changed.

Paramètres
string $path Path to check.
Renvoie
boolean True if path can have mode changed.
Depuis
1.7.0

Références $path.

Référencé par PathWrapper\canChmod().

◆ check()

static check ( $path )
static

Checks for snooping outside of the file system root.

Paramètres
string $path A file system path to check.
Renvoie
string A cleaned version of the path or exit on error.
Depuis
1.7.0
Exceptions
Exception

Références $path, et JPATH_ROOT.

Référencé par PathWrapper\check(), et FilePathRule\test().

◆ clean()

static clean | ( | $path,
 |  | $ds = DIRECTORY_SEPARATOR
 | ) |
static

Function to strip additional / or \ in a path name.

Paramètres
string | $path | The path to clean.
string | $ds | Directory separator (optional).
Renvoie
string The cleaned path.
Depuis
1.7.0
Exceptions
UnexpectedValueException

Références $path, elseif, et JPATH_ROOT.

Référencé par File\append(), et PathWrapper\clean().

◆ find()

static find | ( | $paths,
 |  | $file
 | ) |
static

Searches the directory paths for a given file.

Paramètres
mixed | $paths | An path string or array of path strings to search in
string | $file | The file name to look for.
Renvoie
mixed The full path and file name for the target file, or boolean false if the file is not found in any of the paths.
Depuis
1.7.0

Références $file, et $path.

Référencé par PathWrapper\find().

◆ getPermissions()

static getPermissions ( $path )
static

Get the permissions of the file/folder at a given path.

Paramètres
string $path The path of a file/folder.
Renvoie
string Filesystem permissions.
Depuis
1.7.0

Références $i, $mode, et $path.

Référencé par PathWrapper\getPermissions().

◆ isOwner()

static isOwner ( $path )
static

Method to determine if script owns the path.

Paramètres
string $path Path to check ownership.
Renvoie
boolean True if the php script owns the path passed.
Depuis
1.7.0

Références $path, $return, $tmp, Crypt\genRandomBytes(), et JPATH_SITE.

Référencé par PathWrapper\isOwner().

◆ makePattern()

static makePattern ( $dir )
staticprivate

Turn directory separators into match classes

Paramètres
string $dir A directory name
Renvoie
string
Depuis
3.10.7

◆ removeRoot()

static removeRoot | ( | $message,
 |  | $rootDirectory = null
 | ) |
static

Remove all references to root directory path and the system tmp path from a message

Paramètres
string | $message | The message to be cleaned
string | $rootDirectory | Optional root directory, defaults to JPATH_ROOT
Renvoie
string
Depuis
3.10.7

Références $message, et JPATH_ROOT.

Référencé par LogEntry\__construct(), Patcher\applyHunk(), et Folder\copy().

◆ resolve()

static resolve ( $path )
static

Resolves /./, /../ and multiple / in a string and returns the resulting absolute path, inspired by Flysystem Removes trailing slashes

Paramètres
string $path A path to resolve
Renvoie
string The resolved path
Depuis
3.9.25

Références $parts, $path, et DIRECTORY_SEPARATOR.

◆ setPermissions()

static setPermissions | ( | $path,
 |  | $filemode = '0644',
 |  | $foldermode = '0755'
 | ) |
static

Chmods files and directories recursively to given permissions.

Paramètres
string | $path | Root path to begin changing mode [without trailing slash].
string | $filemode | Octal representation of the value to change file mode to [null = no change].
string | $foldermode | Octal representation of the value to change folder mode to [null = no change].
Renvoie
boolean True if successful [one fail means the whole operation failed].
Depuis
1.7.0

Références $file, et $path.

Référencé par PathWrapper\setPermissions().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Filesystem/Path.php


Joomla CMS: Référence de la classe Stream

  • Joomla
  • CMS
  • Filesystem
  • Stream
Fonctions membres publiques | Attributs protégés
Référence de la classe Stream
+ Graphe d'héritage de Stream:
CMSObject

Fonctions membres publiques

__construct ($writeprefix='', $readprefix='', $context=array())
__destruct ()
open ($filename, $mode='r', $useIncludePath=false, $context=null, $usePrefix=false, $relative=false, $detectProcessingMode=false)
close ()
eof ()
filesize ()
gets ($length=0)
read ($length=0)
seek ($offset, $whence=SEEK_SET)
tell ()
write (&$string, $length=0, $chunk=0)
chmod ($filename='', $mode=0)
get_meta_data ()
_buildContext ()
setContextOptions ($context)
addContextEntry ($wrapper, $name, $value)
deleteContextEntry ($wrapper, $name)
applyContextToStream ()
appendFilter ($filterName, $readWrite=STREAM_FILTER_READ, $params=array())
prependFilter ($filterName, $readWrite=STREAM_FILTER_READ, $params=array())
removeFilter (&$resource, $byindex=false)
copy ($src, $dest, $context=null, $usePrefix=true, $relative=false)
move ($src, $dest, $context=null, $usePrefix=true, $relative=false)
delete ($filename, $context=null, $usePrefix=true, $relative=false)
upload ($src, $dest, $context=null, $usePrefix=true, $relative=false)
writeFile ($filename, &$buffer)
_getFilename ($filename, $mode, $usePrefix, $relative)
getFileHandle ()
- Fonctions membres publiques hérités de CMSObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Attributs protégés

$filemode = 0644
$dirmode = 0755
$chunksize = 8192
$filename
$writeprefix
$readprefix
$processingmethod = 'f'
$filters = array()
$fh
$filesize
$context = null
$contextOptions
$openmode
- Attributs protégés hérités de CMSObject
$_errors = array()

Description détaillée

Joomla! Stream Interface

The Joomla! stream interface is designed to handle files as streams where as the legacy File static class treated files in a rather atomic manner.

Note
This class adheres to the stream wrapper operations: https://www.php.net/manual/en/intro.stream.php PHP Stream Manual https://www.php.net/manual/en/wrappers.php Stream Wrappers https://www.php.net/manual/en/filters.php Stream Filters https://www.php.net/manual/en/transports.php Socket Transports (used by some options, particularly HTTP proxy) 1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $writeprefix = '',
 |  | $readprefix = '',
 |  | $context = array()
 | ) |

Constructor

Paramètres
string | $writeprefix | Prefix of the stream (optional). Unlike the JPATH_*, this has a final path separator!
string | $readprefix | The read prefix (optional).
array | $context | The context options (optional).
Depuis
1.7.0

Références $context.

◆ __destruct()

__destruct ( )

Destructor

Depuis
1.7.0

Documentation des fonctions membres

◆ _buildContext()

_buildContext ( )

Stream contexts Builds the context from the array

Renvoie
mixed
Depuis
1.7.0

Références null.

◆ _getFilename()

_getFilename | ( | $filename,
 |  | $mode,
 |  | $usePrefix,
 |  | $relative
 | ) |

Determine the appropriate 'filename' of a file

Paramètres
string | $filename | Original filename of the file
string | $mode | Mode string to retrieve the filename
boolean | $usePrefix | Controls the use of a prefix
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
string
Depuis
1.7.0

Références $mode, FilesystemHelper\getWriteModes(), et JPATH_ROOT.

◆ addContextEntry()

addContextEntry | ( | $wrapper,
 |  | $name,
 |  | $value
 | ) |

Adds a particular options to the context

Paramètres
string | $wrapper | The wrapper to use
string | $name | The option to set
string | $value | The value of the option
Renvoie
void

Stream Context Creation https://www.php.net/manual/en/context.php Context Options for various streams 1.7.0

Références $name, et $value.

◆ appendFilter()

appendFilter | ( | $filterName,
 |  | $readWrite = STREAM_FILTER_READ,
 |  | $params = array()
 | ) |

Stream filters Append a filter to the chain

Paramètres
string | $filterName | The key name of the filter.
integer | $readWrite | Optional. Defaults to STREAM_FILTER_READ.
array | $params | An array of params for the stream_filter_append call.
Renvoie
mixed

1.7.0

Références $params.

◆ applyContextToStream()

applyContextToStream ( )

Applies the current context to the stream

Use this to change the values of the context after you've opened a stream

Renvoie
mixed
Depuis
1.7.0

◆ chmod()

chmod | ( | $filename = '',
 |  | $mode = 0
 | ) |

Chmod wrapper

Paramètres
string | $filename | File name.
mixed | $mode | Mode to use.
Renvoie
boolean
Depuis
1.7.0

Références $mode, Text\_(), et FilesystemHelper\ftpChmod().

◆ close()

close ( )

Attempt to close a file handle

Will return false if it failed and true on success If the file is not open the system will return true, this function destroys the file handle as well

Renvoie
boolean
Depuis
1.7.0

Références Text\_(), et null.

◆ copy()

copy | ( | $src,
 |  | $dest,
 |  | $context = null,
 |  | $usePrefix = true,
 |  | $relative = false
 | ) |

Copy a file from src to dest

Paramètres
string | $src | The file path to copy from.
string | $dest | The file path to copy to.
resource | $context | A valid context resource (optional) created with stream_context_create.
boolean | $usePrefix | Controls the use of a prefix (optional).
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
mixed
Depuis
1.7.0

Références $context, et elseif.

◆ delete()

delete | ( | $filename,
 |  | $context = null,
 |  | $usePrefix = true,
 |  | $relative = false
 | ) |

Delete a file

Paramètres
string | $filename | The file path to delete.
resource | $context | A valid context resource (optional) created with stream_context_create.
boolean | $usePrefix | Controls the use of a prefix (optional).
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
mixed
Depuis
1.7.0

Références $context, et elseif.

◆ deleteContextEntry()

deleteContextEntry | ( | $wrapper,
 |  | $name
 | ) |

Deletes a particular setting from a context

Paramètres
string | $wrapper | The wrapper to use
string | $name | The option to unset
Renvoie
void

1.7.0

Références $name.

◆ eof()

eof ( )

Work out if we're at the end of the file for a stream

Renvoie
boolean
Depuis
1.7.0

Références Text\_().

◆ filesize()

filesize ( )

Retrieve the file size of the path

Renvoie
mixed
Depuis
1.7.0

Références Text\_(), et FilesystemHelper\remotefsize().

◆ get_meta_data()

get_meta_data ( )

Get the stream metadata

Renvoie
array header/metadata

1.7.0

Références Text\_().

◆ getFileHandle()

getFileHandle ( )

Return the internal file handle

Renvoie
resource File handler
Depuis
1.7.0

◆ gets()

gets ( $length = 0 )

Get a line from the stream source.

Paramètres
integer $length The number of bytes (optional) to read.
Renvoie
mixed
Depuis
1.7.0

Références Text\_().

◆ move()

move | ( | $src,
 |  | $dest,
 |  | $context = null,
 |  | $usePrefix = true,
 |  | $relative = false
 | ) |

Moves a file

Paramètres
string | $src | The file path to move from.
string | $dest | The file path to move to.
resource | $context | A valid context resource (optional) created with stream_context_create.
boolean | $usePrefix | Controls the use of a prefix (optional).
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
mixed
Depuis
1.7.0

Références $context, et elseif.

◆ open()

open | ( | $filename,
 |  | $mode = 'r',
 |  | $useIncludePath = false,
 |  | $context = null,
 |  | $usePrefix = false,
 |  | $relative = false,
 |  | $detectProcessingMode = false
 | ) |

Generic File Operations

Open a stream with some lazy loading smarts

Paramètres
string | $filename | Filename
string | $mode | Mode string to use
boolean | $useIncludePath | Use the PHP include path
resource | $context | Context to use when opening
boolean | $usePrefix | Use a prefix to open the file
boolean | $relative | Filename is a relative path (if false, strips JPATH_ROOT to make it relative)
boolean | $detectProcessingMode | Detect the processing method for the file and use the appropriate function to handle output automatically
Renvoie
boolean
Depuis
1.7.0

Références $context, $mode, $url, Text\_(), elseif, File\getExt(), et FilesystemHelper\isJoomlaStream().

◆ prependFilter()

prependFilter | ( | $filterName,
 |  | $readWrite = STREAM_FILTER_READ,
 |  | $params = array()
 | ) |

Prepend a filter to the chain

Paramètres
string | $filterName | The key name of the filter.
integer | $readWrite | Optional. Defaults to STREAM_FILTER_READ.
array | $params | An array of params for the stream_filter_prepend call.
Renvoie
mixed

1.7.0

Références $filters, et $params.

◆ read()

read ( $length = 0 )

Read a file

Handles user space streams appropriately otherwise any read will return 8192

Paramètres
integer $length Length of data to read
Renvoie
mixed

1.7.0

Références $filesize, et Text\_().

◆ removeFilter()

removeFilter | ( | & | $resource,
 |  |  | $byindex = false
 | ) |  |

Remove a filter, either by resource (handed out from the append or prepend function) or via getting the filter list)

Paramètres
resource | &$resource | The resource.
boolean | $byindex | The index of the filter.
Renvoie
boolean Result of operation
Depuis
1.7.0

◆ seek()

seek | ( | $offset,
 |  | $whence = SEEK_SET
 | ) |

Seek the file

Note: the return value is different to that of fseek

Paramètres
integer | $offset | Offset to use when seeking.
integer | $whence | Seek mode to use.
Renvoie
boolean True on success, false on failure

1.7.0

Références $offset, et Text\_().

◆ setContextOptions()

setContextOptions ( $context )

Updates the context to the array

Format is the same as the options for stream_context_create

Paramètres
array $context Options to create the context with
Renvoie
void

1.7.0

Références $context.

◆ tell()

tell ( )

Returns the current position of the file read/write pointer.

Renvoie
mixed
Depuis
1.7.0

Références Text\_().

◆ upload()

upload | ( | $src,
 |  | $dest,
 |  | $context = null,
 |  | $usePrefix = true,
 |  | $relative = false
 | ) |

Upload a file

Paramètres
string | $src | The file path to copy from (usually a temp folder).
string | $dest | The file path to copy to.
resource | $context | A valid context resource (optional) created with stream_context_create.
boolean | $usePrefix | Controls the use of a prefix (optional).
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
mixed
Depuis
1.7.0

Références $context, et Text\_().

◆ write()

write | ( | & | $string,
 |  |  | $length = 0,
 |  |  | $chunk = 0
 | ) |  |

File write

Whilst this function accepts a reference, the underlying fwrite will do a copy! This will roughly double the memory allocation for any write you do. Specifying chunked will get around this by only writing in specific chunk sizes. This defaults to 8192 which is a sane number to use most of the time (change the default with JStream::set('chunksize', newsize);) Note: This doesn't support gzip/bzip2 writing like reading does

Paramètres
string | &$string | Reference to the string to write.
integer | $length | Length of the string to write.
integer | $chunk | Size of chunks to write in.
Renvoie
boolean

1.7.0

Références $start, Text\_(), et elseif.

◆ writeFile()

writeFile | ( |  | $filename,
 |  | & | $buffer
 | ) |  |

Writes a chunk of data to a file.

Paramètres
string | $filename | The file name.
string | &$buffer | The data to write to the file.
Renvoie
boolean
Depuis
1.7.0

Références $buffer.

Documentation des champs

◆ $chunksize

$chunksize = 8192
protected

◆ $context

$context = null
protected

◆ $contextOptions

$contextOptions
protected

◆ $dirmode

$dirmode = 0755
protected

◆ $fh

$fh
protected

◆ $filemode

$filemode = 0644
protected

◆ $filename

$filename
protected

◆ $filesize

$filesize
protected

◆ $filters

$filters = array()
protected

◆ $openmode

$openmode
protected

◆ $processingmethod

$processingmethod = 'f'
protected

◆ $readprefix

$readprefix
protected

◆ $writeprefix

$writeprefix
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Filesystem/Stream.php


Joomla CMS: Référence de la classe OutputFilterWrapper

  • Joomla
  • CMS
  • Filter
  • Wrapper
  • OutputFilterWrapper
Fonctions membres publiques
Référence de la classe OutputFilterWrapper

Fonctions membres publiques

objectHTMLSafe (&$mixed, $quoteStyle=3, $excludeKeys='')
linkXHTMLSafe ($input)
stringURLSafe ($string)
stringURLUnicodeSlug ($string)
ampReplace ($text)
_ampReplaceCallback ($m)
cleanText (&$text)
stripImages ($string)
stripIframes ($string)

Description détaillée

Wrapper class for OutputFilter

Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

Documentation des fonctions membres

◆ _ampReplaceCallback()

_ampReplaceCallback ( $m )

Helper wrapper method for _ampReplaceCallback

Paramètres
string $m String to process.
Renvoie
string Replaced string.
Voir également
OutputFilter::_ampReplaceCallback()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

Références OutputFilter\_ampReplaceCallback().

◆ ampReplace()

ampReplace ( $text )

Helper wrapper method for ampReplace

Paramètres
string $text Text to process.
Renvoie
string Processed string.
Voir également
OutputFilter::ampReplace()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

Références $text, et OutputFilter\ampReplace().

◆ cleanText()

cleanText ( & $text )

Helper wrapper method for cleanText

Paramètres
string &$text Text to clean.
Renvoie
string Cleaned text.
Voir également
OutputFilter::cleanText()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

Références $text, et OutputFilter\cleanText().

◆ linkXHTMLSafe()

linkXHTMLSafe ( $input )

Helper wrapper method for linkXHTMLSafe

Paramètres
string $input String to process.
Renvoie
string Processed string.
Voir également
OutputFilter::linkXHTMLSafe()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

Références $input, et OutputFilter\linkXHTMLSafe().

◆ objectHTMLSafe()

objectHTMLSafe | ( | & | $mixed,
 |  |  | $quoteStyle = 3,
 |  |  | $excludeKeys = ''
 | ) |  |

Helper wrapper method for objectHTMLSafe

Paramètres
object | &$mixed | An object to be parsed.
integer | $quoteStyle | The optional quote style for the htmlspecialchars function.
mixed | $excludeKeys | An optional string single field name or array of field names not.
Renvoie
void
Voir également
OutputFilter::objectHTMLSafe()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

◆ stringURLSafe()

stringURLSafe ( $string )

Helper wrapper method for stringURLSafe

Paramètres
string $string String to process.
Renvoie
string Processed string.
Voir également
OutputFilter::stringURLSafe()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

Références OutputFilter\stringURLSafe().

◆ stringURLUnicodeSlug()

stringURLUnicodeSlug ( $string )

Helper wrapper method for stringURLUnicodeSlug

Paramètres
string $string String to process.
Renvoie
string Processed string.
Voir également
OutputFilter::stringURLUnicodeSlug()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

◆ stripIframes()

stripIframes ( $string )

Helper wrapper method for stripIframes

Paramètres
string $string Sting to be cleaned.
Renvoie
string Cleaned string.
Voir également
OutputFilter::stripIframes()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

Références OutputFilter\stripIframes().

◆ stripImages()

stripImages ( $string )

Helper wrapper method for stripImages

Paramètres
string $string Sting to be cleaned.
Renvoie
string Cleaned string.
Voir également
OutputFilter::stripImages()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Filter\OutputFilter directly

Références OutputFilter\stripImages().

La documentation de cette classe a été générée à partir du fichier suivant :
  • OutputFilterWrapper.php


Joomla CMS: Référence de la classe InputFilter

  • Joomla
  • CMS
  • Filter
  • InputFilter
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Fonctions membres protégées statiques
Référence de la classe InputFilter
+ Graphe d'héritage de InputFilter:
InputFilter

Fonctions membres publiques

__construct ($tagsArray=array(), $attrArray=array(), $tagsMethod=0, $attrMethod=0, $xssAuto=1, $stripUSC=-1)
clean ($source, $type='string')
emailToPunycode ($text)
- Fonctions membres publiques hérités de InputFilter
__construct ($tagsArray=array(), $attrArray=array(), $tagsMethod=self::ONLY_ALLOW_DEFINED_TAGS, $attrMethod=self::ONLY_ALLOW_DEFINED_ATTRIBUTES, $xssAuto=1)
clean ($source, $type='string')

Fonctions membres publiques statiques

static & | getInstance ($tagsArray=array(), $attrArray=array(), $tagsMethod=0, $attrMethod=0, $xssAuto=1, $stripUSC=-1)
static | isSafeFile ($file, $options=array())
- Fonctions membres publiques statiques hérités de InputFilter
static | checkAttribute ($attrSubSet)

Champs de données

$stripUSC = 0
- Champs de données hérités de InputFilter
const | TAGS_WHITELIST = 0
const | TAGS_BLACKLIST = 1
const | ATTR_WHITELIST = 0
const | ATTR_BLACKLIST = 1
const | ONLY_ALLOW_DEFINED_TAGS = 0
const | ONLY_BLOCK_DEFINED_TAGS = 1
const | ONLY_ALLOW_DEFINED_ATTRIBUTES = 0
const | ONLY_BLOCK_DEFINED_ATTRIBUTES = 1
$tagsArray
$attrArray
$tagsMethod
$attrMethod
$xssAuto
$tagBlacklist
$attrBlacklist

Fonctions membres protégées

_remove ($source)
remove ($source)
_cleanTags ($source)
cleanTags ($source)
_cleanAttributes ($attrSet)
escapeAttributeValues ($source)
_decode ($source)
decode ($source)
_escapeAttributeValues ($source)
_stripCSSExpressions ($source)
stripUSC ($source)
- Fonctions membres protégées hérités de InputFilter
remove ($source)
cleanTags ($source)
cleanAttributes ($attrSet)
decode ($source)
escapeAttributeValues ($source)
stripCssExpressions ($source)

Fonctions membres protégées statiques

static decodeFileData (array $data)

Membres hérités additionnels

- Attributs protégés statiques hérités de InputFilter
static $instances = array()

Description détaillée

InputFilter is a class for filtering input from any data source

Forked from the php input filter library by: Daniel Morris dan@r.nosp@m.ootc.nosp@m.ube.c.nosp@m.om Original Contributors: Gianpaolo Racca, Ghislain Picard, Marco Wandschneider, Chris Tobin and Andrew Eddie.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $tagsArray = array(),
 |  | $attrArray = array(),
 |  | $tagsMethod = 0,
 |  | $attrMethod = 0,
 |  | $xssAuto = 1,
 |  | $stripUSC = -1
 | ) |

Constructor for inputFilter class. Only first parameter is required.

Paramètres
array | $tagsArray | List of user-defined tags
array | $attrArray | List of user-defined attributes
integer | $tagsMethod | WhiteList method = 0, BlackList method = 1
integer | $attrMethod | WhiteList method = 0, BlackList method = 1
integer | $xssAuto | Only auto clean essentials = 0, Allow clean blacklisted tags/attr = 1
integer | $stripUSC | Strip 4-byte unicode characters = 1, no strip = 0, ask the database driver = -1
Depuis
1.7.0

If Unicode Supplementary Characters stripping is not set we have to check with the database driver. If the driver does not support USCs (i.e. there is no utf8mb4 support) we will enable USC stripping.

Références $db.

Documentation des fonctions membres

◆ _cleanAttributes()

_cleanAttributes ( $attrSet )
protected

Internal method to strip a tag of certain attributes

Paramètres
array $attrSet Array of attribute pairs to filter
Renvoie
array Filtered array of attribute pairs
Depuis
1.7.0
Obsolète:
4.0 Use InputFilter::cleanAttributes() instead

◆ _cleanTags()

_cleanTags ( $source )
protected

Internal method to strip a string of certain tags

Paramètres
string $source Input string to be 'cleaned'
Renvoie
string 'Cleaned' version of input parameter
Depuis
1.7.0
Obsolète:
4.0 Use InputFilter::cleanTags() instead

◆ _decode()

_decode ( $source )
protected

Try to convert to plaintext

Paramètres
string $source The source string.
Renvoie
string Plaintext string
Depuis
1.7.0
Obsolète:
4.0 Use InputFilter::decode() instead

◆ _escapeAttributeValues()

_escapeAttributeValues ( $source )
protected

Escape < > and " inside attribute values

Paramètres
string $source The source string.
Renvoie
string Filtered string
Depuis
1.7.0
Obsolète:
4.0 Use InputFilter::escapeAttributeValues() instead

◆ _remove()

_remove ( $source )
protected

Internal method to iteratively remove all unwanted tags and attributes

Paramètres
string $source Input string to be 'cleaned'
Renvoie
string 'Cleaned' version of input parameter
Depuis
1.7.0
Obsolète:
4.0 Use InputFilter::remove() instead

◆ _stripCSSExpressions()

_stripCSSExpressions ( $source )
protected

Remove CSS Expressions in the form of <property>:expression(...)

Paramètres
string $source The source string.
Renvoie
string Filtered string
Depuis
1.7.0
Obsolète:
4.0 Use InputFilter::stripCSSExpressions() instead

◆ clean()

clean | ( | $source,
 |  | $type = 'string'
 | ) |

Method to be called by another php script. Processes for XSS and specified bad code.

Paramètres
mixed | $source | Input string/array-of-string to be 'cleaned'
string | $type | The return type for the variable: INT: An integer, or an array of integers, UINT: An unsigned integer, or an array of unsigned integers, FLOAT: A floating point number, or an array of floating point numbers, BOOLEAN: A boolean value, WORD: A string containing A-Z or underscores only (not case sensitive), ALNUM: A string containing A-Z or 0-9 only (not case sensitive), CMD: A string containing A-Z, 0-9, underscores, periods or hyphens (not case sensitive), BASE64: A string containing A-Z, 0-9, forward slashes, plus or equals (not case sensitive), STRING: A fully decoded and sanitised string (default), HTML: A sanitised string, ARRAY: An array, PATH: A sanitised file path, or an array of sanitised file paths, TRIM: A string trimmed from normal, non-breaking and multibyte spaces USERNAME: Do not use (use an application specific filter), RAW: The raw string is returned with no filtering, unknown: An unknown filter will act like STRING. If the input is an array it will return an array of fully decoded and sanitised strings.
Renvoie
mixed 'Cleaned' version of input parameter
Depuis
1.7.0

Références $key, $type, et $value.

◆ cleanTags()

cleanTags ( $source )
protected

Internal method to strip a string of certain tags

Paramètres
string $source Input string to be 'cleaned'
Renvoie
string 'Cleaned' version of input parameter
Depuis
3.5

Références $offset, et elseif.

◆ decode()

decode ( $source )
protected

Try to convert to plaintext

Paramètres
string $source The source string.
Renvoie
string Plaintext string
Depuis
3.5

Références ENT_COMPAT.

◆ decodeFileData()

static decodeFileData ( array $data )
staticprotected

Method to decode a file data array.

Paramètres
array $data The data array to decode.
Renvoie
array
Depuis
3.4

Références $data.

◆ emailToPunycode()

emailToPunycode ( $text )

Function to punyencode utf8 mail when saving content

Paramètres
string $text The strings to encode
Renvoie
string The punyencoded mail
Depuis
3.5

Références $text.

◆ escapeAttributeValues()

escapeAttributeValues ( $source )
protected

Escape < > and " inside attribute values

Paramètres
string $source The source string.
Renvoie
string Filtered string
Depuis
3.5

◆ getInstance()

static& getInstance | ( | $tagsArray = array(),
 |  | $attrArray = array(),
 |  | $tagsMethod = 0,
 |  | $attrMethod = 0,
 |  | $xssAuto = 1,
 |  | $stripUSC = -1
 | ) |
static

Returns an input filter object, only creating it if it doesn't already exist.

Paramètres
array | $tagsArray | List of user-defined tags
array | $attrArray | List of user-defined attributes
integer | $tagsMethod | WhiteList method = 0, BlackList method = 1
integer | $attrMethod | WhiteList method = 0, BlackList method = 1
integer | $xssAuto | Only auto clean essentials = 0, Allow clean blacklisted tags/attr = 1
integer | $stripUSC | Strip 4-byte unicode characters = 1, no strip = 0, ask the database driver = -1
Renvoie
InputFilter The InputFilter object.
Depuis
1.7.0

Référencé par Cookie\__construct(), Files\__construct(), Json\__construct(), Cli\__construct(), Input\__construct(), FeedParser\__construct(), ExtensionAdapter\_endElement(), Update\_endElement(), CollectionAdapter\_startElement(), CMSApplication\enqueueMessage(), Cli\unserialize(), et Input\unserialize().

◆ isSafeFile()

static isSafeFile | ( | $file,
 |  | $options = array()
 | ) |
static

Checks an uploaded for suspicious naming and potential PHP contents which could indicate a hacking attempt.

The options you can define are: null_byte Prevent files with a null byte in their name (buffer overflow attack) forbidden_extensions Do not allow these strings anywhere in the file's extension php_tag_in_content Do not allow <?php tag in content phar_stub_in_content Do not allow the __HALT_COMPILER() phar stub in content shorttag_in_content Do not allow short tag <? in content shorttag_extensions Which file extensions to scan for short tags in content fobidden_ext_in_content Do not allow forbidden_extensions anywhere in content php_ext_content_extensions Which file extensions to scan for .php in content

This code is an adaptation and improvement of Admin Tools' UploadShield feature, relicensed and contributed by its author.

Paramètres
array | $file | An uploaded file descriptor
array | $options | The scanner options (see the code for details)
Renvoie
boolean True of the file is safe
Depuis
3.4

Références $data, $file, $i, et $options.

Référencé par Files\get().

◆ remove()

remove ( $source )
protected

Internal method to iteratively remove all unwanted tags and attributes

Paramètres
string $source Input string to be 'cleaned'
Renvoie
string 'Cleaned' version of input parameter
Depuis
3.5

Références htmlspecialchars.

◆ stripUSC()

stripUSC ( $source )
protected

Recursively strip Unicode Supplementary Characters from the source. Not: objects cannot be filtered.

Paramètres
mixed $source The data to filter
Renvoie
mixed The filtered result
Depuis
3.5

Documentation des champs

◆ $stripUSC

$stripUSC = 0
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Filter/InputFilter.php


Joomla CMS: Référence de la classe OutputFilter

  • Joomla
  • CMS
  • Filter
  • OutputFilter
Fonctions membres publiques statiques
Référence de la classe OutputFilter
+ Graphe d'héritage de OutputFilter:
OutputFilter

Fonctions membres publiques statiques

static | linkXHTMLSafe ($input)
static | stringJSSafe ($string)
static | stringURLSafe ($string, $language='')
static | ampReplaceCallback ($m)
static | _ampReplaceCallback ($m)
- Fonctions membres publiques statiques hérités de OutputFilter
static | objectHtmlSafe (&$mixed, $quoteStyle=\ENT_QUOTES, $excludeKeys='')
static | linkXhtmlSafe ($input)
static | stringUrlSafe ($string, $language='')
static | stringUrlUnicodeSlug ($string)
static | ampReplace ($text)
static | cleanText (&$text)
static | stripImages ($string)
static | stripIframes ($string)

Description détaillée

OutputFilter

Depuis
1.7.0

Documentation des fonctions membres

◆ _ampReplaceCallback()

static _ampReplaceCallback ( $m )
static

Callback method for replacing & with & in a string

Paramètres
string $m String to process
Renvoie
string Replaced string
Depuis
1.7.0
Obsolète:
4.0 Use OutputFilter::ampReplaceCallback() instead

Référencé par OutputFilterWrapper\_ampReplaceCallback().

◆ ampReplaceCallback()

static ampReplaceCallback ( $m )
static

Callback method for replacing & with & in a string

Paramètres
string $m String to process
Renvoie
string Replaced string
Depuis
3.5

◆ linkXHTMLSafe()

static linkXHTMLSafe ( $input )
static

This method processes a string and replaces all instances of & with & in links only.

Paramètres
string $input String to process
Renvoie
string Processed string
Depuis
1.7.0

Références $input.

Référencé par OutputFilterWrapper\linkXHTMLSafe().

◆ stringJSSafe()

static stringJSSafe ( $string )
static

This method processes a string and escapes it for use in JavaScript

Paramètres
string $string String to process
Renvoie
string Processed text

◆ stringURLSafe()

static stringURLSafe | ( | $string,
 |  | $language = ''
 | ) |
static

This method processes a string and replaces all accented UTF-8 characters by unaccented ASCII-7 "equivalents", whitespaces are replaced by hyphens and the string is lowercase.

Paramètres
string | $string | String to process
string | $language | Language to transliterate to
Renvoie
string Processed string
Depuis
1.7.0

Références $lang, $language, et Language\getInstance().

Référencé par OutputFilterWrapper\stringURLSafe().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Filter/OutputFilter.php


Joomla CMS: Référence de la classe AuthorField

  • Joomla
  • CMS
  • Form
  • Field
  • AuthorField
Champs de données | Fonctions membres protégées | Attributs protégés statiques
Référence de la classe AuthorField
+ Graphe d'héritage de AuthorField:
JFormFieldList

Champs de données

$type = 'Author'

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés statiques

static $options = array()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Form Field to load a list of content authors

Depuis
3.2

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the options to populate list

Renvoie
array The field option objects.
Depuis
3.2

Références $db, $hash, $options, $query, et Factory\getDbo().

Documentation des champs

◆ $options

$options = array()
staticprotected

◆ $type

$type = 'Author'
La documentation de cette classe a été générée à partir du fichier suivant :
  • AuthorField.php


Joomla CMS: Référence de la classe CaptchaField

  • Joomla
  • CMS
  • Form
  • Field
  • CaptchaField
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CaptchaField
+ Graphe d'héritage de CaptchaField:
FormField

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (\SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de FormField
__construct ($form=null)
__get ($name)
__set ($name, $value)
setForm (Form $form)
setup (\SimpleXMLElement $element, $value, $group=null)
setValue ($value)
getAttribute ($name, $default=null)
getControlGroup ()
render ($layoutId, $data=array())
renderField ($options=array())

Fonctions membres protégées

getInput ()
- Fonctions membres protégées hérités de FormField
getId ($fieldId, $fieldName)
getInput ()
getTitle ()
getLabel ()
getName ($fieldName)
getFieldName ($fieldName)
getLayoutData ()
getLayoutPaths ()
getRenderer ($layoutId='default')
isDebugEnabled ()

Attributs protégés

$type = 'Captcha'
$_captcha
- Attributs protégés hérités de FormField
$description
$hint
$autocomplete = 'on'
$spellcheck = true
$autofocus = false
$element
$form
$formControl
$hidden = false
$translateLabel = true
$translateDescription = true
$translateHint = true
$id
$input
$label
$multiple = false
$pattern
$validationtext
$name
$fieldname
$group
$required = false
$disabled = false
$readonly = false
$type
$validate
$value
$default
$size
$class
$labelclass
$onchange
$onclick
$showon
$layout
$renderLayout = 'joomla.form.renderfield'
$renderLabelLayout = 'joomla.form.renderlabel'

Membres hérités additionnels

- Champs de données hérités de FormField
$repeat = false
- Attributs protégés statiques hérités de FormField
static | $count = 0
static | $generated_fieldname = '__field'

Description détaillée

Captcha field.

Depuis
2.5

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input.

Renvoie
string The field input.
Depuis
2.5

Références name, et null.

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Depuis
2.5

Give the captcha instance a possibility to react on the setup-process, e.g. by altering the XML structure of the field, for example hiding the label when using invisible captchas.

Références $app, $default, $value, Factory\getApplication(), Captcha\getInstance(), null, et try.

Documentation des champs

◆ $_captcha

$_captcha
protected

◆ $type

$type = 'Captcha'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CaptchaField.php


Joomla CMS: Référence de la classe ChromestyleField

  • Joomla
  • CMS
  • Form
  • Field
  • ChromestyleField
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe ChromestyleField
+ Graphe d'héritage de ChromestyleField:
JFormFieldGroupedList

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (\SimpleXMLElement $element, $value, $group=null)

Champs de données

$type = 'ChromeStyle'

Fonctions membres protégées

getGroups ()
getTemplateModuleStyles ()
getSystemTemplate ()
getTemplates ()
- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()

Attributs protégés

$clientId
- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Description détaillée

Chrome Styles field.

Depuis
3.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $clientId, et $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to get the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getGroups()

getGroups ( )
protected

Method to get the list of template chrome style options grouped by template.

Renvoie
array The field option objects as a nested array in groups.
Depuis
3.0

Références $groups, $style, $template, et $tmp.

◆ getSystemTemplate()

getSystemTemplate ( )
protected

Method to get the system template as an object.

Renvoie
The object of system template.
Depuis
3.0

Références $template.

◆ getTemplateModuleStyles()

getTemplateModuleStyles ( )
protected

Method to get the templates module styles.

Renvoie
array The array of styles, grouped by templates.
Depuis
3.0

Références $path, $template, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getTemplates()

getTemplates ( )
protected

Return a list of templates

Renvoie
array List of templates
Depuis
3.2.1

Références $db, $query, et Factory\getDbo().

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $client, $clientId, et $value.

Documentation des champs

◆ $clientId

$clientId
protected

◆ $type

$type = 'ChromeStyle'
La documentation de cette classe a été générée à partir du fichier suivant :
  • ChromestyleField.php


Joomla CMS: Référence de la classe ContenthistoryField

  • Joomla
  • CMS
  • Form
  • Field
  • ContenthistoryField
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe ContenthistoryField
+ Graphe d'héritage de ContenthistoryField:
FormField

Fonctions membres publiques

getLayoutData ()
- Fonctions membres publiques hérités de FormField
__construct ($form=null)
__get ($name)
__set ($name, $value)
setForm (Form $form)
setup (\SimpleXMLElement $element, $value, $group=null)
setValue ($value)
getAttribute ($name, $default=null)
getControlGroup ()
render ($layoutId, $data=array())
renderField ($options=array())

Champs de données

$type = 'ContentHistory'
- Champs de données hérités de FormField
$repeat = false

Fonctions membres protégées

getInput ()
- Fonctions membres protégées hérités de FormField
getId ($fieldId, $fieldName)
getInput ()
getTitle ()
getLabel ()
getName ($fieldName)
getFieldName ($fieldName)
getLayoutData ()
getLayoutPaths ()
getRenderer ($layoutId='default')
isDebugEnabled ()

Attributs protégés

$layout = 'joomla.form.field.contenthistory'
- Attributs protégés hérités de FormField
$description
$hint
$autocomplete = 'on'
$spellcheck = true
$autofocus = false
$element
$form
$formControl
$hidden = false
$translateLabel = true
$translateDescription = true
$translateHint = true
$id
$input
$label
$multiple = false
$pattern
$validationtext
$name
$fieldname
$group
$required = false
$disabled = false
$readonly = false
$type
$validate
$value
$default
$size
$class
$labelclass
$onchange
$onclick
$showon
$layout
$renderLayout = 'joomla.form.renderfield'
$renderLabelLayout = 'joomla.form.renderlabel'

Membres hérités additionnels

- Attributs protégés statiques hérités de FormField
static | $count = 0
static | $generated_fieldname = '__field'

Description détaillée

Field to select Content History from a modal list.

Depuis
3.2

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the content history field input markup.

Renvoie
string The field input markup.
Depuis
3.2

Références name.

◆ getLayoutData()

getLayoutData ( )

Get the data that is going to be passed to the layout

Renvoie
array

Références $data, $itemId, $label, $link, Session\getFormToken(), et Table\getInstance().

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.contenthistory'
protected

◆ $type

$type = 'ContentHistory'
La documentation de cette classe a été générée à partir du fichier suivant :
  • ContenthistoryField.php


Joomla CMS: Référence de la classe ContentlanguageField

  • Joomla
  • CMS
  • Form
  • Field
  • ContentlanguageField
Champs de données | Fonctions membres protégées
Référence de la classe ContentlanguageField
+ Graphe d'héritage de ContentlanguageField:
JFormFieldList

Champs de données

$type = 'ContentLanguage'

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Provides a list of content languages

Voir également
JFormFieldLanguage for a select list of application languages.
Depuis
1.6

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options for content languages.

Renvoie
array The options the field is going to show.
Depuis
1.6

Documentation des champs

◆ $type

$type = 'ContentLanguage'
La documentation de cette classe a été générée à partir du fichier suivant :
  • ContentlanguageField.php


Joomla CMS: Référence de la classe ContenttypeField

  • Joomla
  • CMS
  • Form
  • Field
  • ContenttypeField
Champs de données | Fonctions membres protégées
Référence de la classe ContenttypeField
+ Graphe d'héritage de ContenttypeField:
JFormFieldList

Champs de données

$type = 'Contenttype'

Fonctions membres protégées

getInput ()
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Content Type field.

Depuis
3.1

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input for a list of content types.

Renvoie
string The field input.
Depuis
3.1

Références value.

◆ getOptions()

getOptions ( )
protected

Method to get a list of content types

Renvoie
array The field option objects.
Depuis
3.1

Références $db, $lang, $option, $options, $parts, $query, Factory\getDbo(), Factory\getLanguage(), JPATH_ADMINISTRATOR, et null.

Documentation des champs

◆ $type

$type = 'Contenttype'
La documentation de cette classe a été générée à partir du fichier suivant :
  • ContenttypeField.php


Joomla CMS: Référence de la classe EditorField

  • Joomla
  • CMS
  • Form
  • Field
  • EditorField
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe EditorField
+ Graphe d'héritage de EditorField:
JFormFieldTextarea

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (\SimpleXMLElement $element, $value, $group=null)
save ()
- Fonctions membres publiques hérités de JFormFieldTextarea
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$type = 'Editor'

Fonctions membres protégées

getInput ()
getEditor ()
- Fonctions membres protégées hérités de JFormFieldTextarea
getInput ()
getLayoutData ()

Attributs protégés

$editor
$height
$width
$assetField
$authorField
$asset
$buttons
$hide
$editorType
- Attributs protégés hérités de JFormFieldTextarea
$type = 'Textarea'
$rows
$columns
$maxlength
$layout = 'joomla.form.field.textarea'

Description détaillée

A textarea field for content creation

Voir également
JEditor
Depuis
1.6

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, $value, et elseif.

◆ getEditor()

getEditor ( )
protected

Method to get an Editor object based on the form field.

Renvoie
Editor The Editor object.
Depuis
1.6

Références $db, $editor, $query, Factory\getConfig(), Factory\getDbo(), Editor\getInstance(), et null.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for the editor area

Renvoie
string The field input markup.
Depuis
1.6

Références $editor, $params, ENT_COMPAT, height, htmlspecialchars, name, value, et width.

◆ save()

save ( )

Method to get the JEditor output for an onSave event.

Renvoie
string The JEditor object output.
Depuis
1.6
Obsolète:
4.0 Will be removed without replacement
Voir également
Editor::save()

Références $editor.

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
FormField::setup()
Depuis
3.2

Références $buttons, $hide, $value, elseif, height, et width.

Documentation des champs

◆ $asset

$asset
protected

◆ $assetField

$assetField
protected

◆ $authorField

$authorField
protected

◆ $buttons

$buttons
protected

◆ $editor

$editor
protected

◆ $editorType

$editorType
protected

◆ $height

$height
protected

◆ $hide

$hide
protected

◆ $type

$type = 'Editor'

◆ $width

$width
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • EditorField.php


Joomla CMS: Référence de la classe FrontendlanguageField

  • Joomla
  • CMS
  • Form
  • Field
  • FrontendlanguageField
Champs de données | Fonctions membres protégées
Référence de la classe FrontendlanguageField
+ Graphe d'héritage de FrontendlanguageField:
JFormFieldList

Champs de données

$type = 'Frontend_Language'

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Provides a list of published content languages with home pages

Voir également
JFormFieldLanguage for a select list of application languages.
Depuis
3.5

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options for frontend published content languages with homes.

Renvoie
array The options the field is going to show.
Depuis
3.5

Références $db, $query, Factory\getApplication(), Factory\getDbo(), et Factory\getUser().

Documentation des champs

◆ $type

$type = 'Frontend_Language'
La documentation de cette classe a été générée à partir du fichier suivant :
  • FrontendlanguageField.php


Joomla CMS: Référence de la classe HeadertagField

  • Joomla
  • CMS
  • Form
  • Field
  • HeadertagField
Fonctions membres protégées | Attributs protégés
Référence de la classe HeadertagField
+ Graphe d'héritage de HeadertagField:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'HeaderTag'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla! CMS.

Depuis
3.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.0

Références $options, et $tmp.

Documentation des champs

◆ $type

$type = 'HeaderTag'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • HeadertagField.php


Joomla CMS: Référence de la classe HelpsiteField

  • Joomla
  • CMS
  • Form
  • Field
  • HelpsiteField
Champs de données | Fonctions membres protégées
Référence de la classe HelpsiteField
+ Graphe d'héritage de HelpsiteField:
JFormFieldList

Champs de données

$type = 'Helpsite'

Fonctions membres protégées

getOptions ()
getInput ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Form Field class for the Joomla Platform. Provides a select list of help sites.

Depuis
1.6
Obsolète:
4.0 To be removed

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Override to add refresh button

Renvoie
string The field input markup.
Depuis
3.2

Références $button, et $html.

◆ getOptions()

getOptions ( )
protected

Method to get the help site field options.

Renvoie
array The field option objects.
Depuis
1.6

Références $options, Help\createSiteList(), JPATH_ADMINISTRATOR, et value.

Documentation des champs

◆ $type

$type = 'Helpsite'
La documentation de cette classe a été générée à partir du fichier suivant :
  • HelpsiteField.php


Joomla CMS: Référence de la classe LastvisitdaterangeField

  • Joomla
  • CMS
  • Form
  • Field
  • LastvisitdaterangeField
Fonctions membres publiques
Référence de la classe LastvisitdaterangeField
+ Graphe d'héritage de LastvisitdaterangeField:
JFormFieldPredefinedList JFormFieldList

Fonctions membres publiques

__construct ($form=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Field to show a list of available date ranges to filter on last visit date.

Depuis
3.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $form = null )

Method to instantiate the form field object.

Paramètres
Form $form The form to attach to the form field object.
Depuis
1.7.0

Références $form, $lang, Factory\getLanguage(), et JPATH_ADMINISTRATOR.

La documentation de cette classe a été générée à partir du fichier suivant :
  • LastvisitdaterangeField.php


Joomla CMS: Référence de la classe LimitboxField

  • Joomla
  • CMS
  • Form
  • Field
  • LimitboxField
Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe LimitboxField
+ Graphe d'héritage de LimitboxField:
JFormFieldList

Champs de données

$type = 'Limitbox'

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$defaultLimits = array(5, 10, 15, 20, 25, 30, 50, 100, 200, 500)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Attributs protégés statiques

static $options = array()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Field to load a list of posible item count limits

Depuis
3.2

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the options to populate to populate list

Renvoie
array The field option objects.
Depuis
3.2

Références $hash, $options, $showAll, et $value.

Documentation des champs

◆ $defaultLimits

$defaultLimits = array(5, 10, 15, 20, 25, 30, 50, 100, 200, 500)
protected

◆ $options

$options = array()
staticprotected

◆ $type

$type = 'Limitbox'
La documentation de cette classe a été générée à partir du fichier suivant :
  • LimitboxField.php


Joomla CMS: Référence de la classe MediaField

  • Joomla
  • CMS
  • Form
  • Field
  • MediaField
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MediaField
+ Graphe d'héritage de MediaField:
FormField

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (\SimpleXMLElement $element, $value, $group=null)
getLayoutData ()
- Fonctions membres publiques hérités de FormField
__construct ($form=null)
__get ($name)
__set ($name, $value)
setForm (Form $form)
setup (\SimpleXMLElement $element, $value, $group=null)
setValue ($value)
getAttribute ($name, $default=null)
getControlGroup ()
render ($layoutId, $data=array())
renderField ($options=array())

Fonctions membres protégées

getInput ()
- Fonctions membres protégées hérités de FormField
getId ($fieldId, $fieldName)
getInput ()
getTitle ()
getLabel ()
getName ($fieldName)
getFieldName ($fieldName)
getLayoutData ()
getLayoutPaths ()
getRenderer ($layoutId='default')
isDebugEnabled ()

Attributs protégés

$type = 'Media'
$authorField
$asset
$link
$width
$height
$preview
$directory
$previewWidth
$previewHeight
$layout = 'joomla.form.field.media'
- Attributs protégés hérités de FormField
$description
$hint
$autocomplete = 'on'
$spellcheck = true
$autofocus = false
$element
$form
$formControl
$hidden = false
$translateLabel = true
$translateDescription = true
$translateHint = true
$id
$input
$label
$multiple = false
$pattern
$validationtext
$name
$fieldname
$group
$required = false
$disabled = false
$readonly = false
$type
$validate
$value
$default
$size
$class
$labelclass
$onchange
$onclick
$showon
$layout
$renderLayout = 'joomla.form.renderfield'
$renderLabelLayout = 'joomla.form.renderlabel'

Membres hérités additionnels

- Champs de données hérités de FormField
$repeat = false
- Attributs protégés statiques hérités de FormField
static | $count = 0
static | $generated_fieldname = '__field'

Description détaillée

Provides a modal media selector including upload mechanism

Depuis
1.6

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for a media selector. Use attributes to identify specific created_by and asset_id fields

Renvoie
string The field input markup.
Depuis
1.6

Références name.

◆ getLayoutData()

getLayoutData ( )

Get the data that is going to be passed to the layout

Renvoie
array

Références $asset, $data, $folder, $link, elseif, folder, ComponentHelper\getParams(), JPATH_ROOT, et value.

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
FormField::setup()
Depuis
3.2

Références $value, height, et width.

Documentation des champs

◆ $asset

$asset
protected

◆ $authorField

$authorField
protected

◆ $directory

$directory
protected

◆ $height

$height
protected

◆ $layout

$layout = 'joomla.form.field.media'
protected

◆ $link

$link
protected

◆ $preview

$preview
protected

◆ $previewHeight

$previewHeight
protected

◆ $previewWidth

$previewWidth
protected

◆ $type

$type = 'Media'
protected

◆ $width

$width
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • MediaField.php


Joomla CMS: Référence de la classe MenuField

  • Joomla
  • CMS
  • Form
  • Field
  • MenuField
Champs de données | Fonctions membres protégées
Référence de la classe MenuField
+ Graphe d'héritage de MenuField:
JFormFieldGroupedList

Champs de données

$type = 'Menu'

Fonctions membres protégées

getGroups ()
- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()

Membres hérités additionnels

- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Description détaillée

Supports an HTML select list of menus

Depuis
1.6

Documentation des fonctions membres

◆ getGroups()

getGroups ( )
protected

Method to get the field option groups.

Renvoie
array The field option objects as a nested array in groups.
Depuis
1.7.0
Exceptions

Références $check, $clientId, $db, $groups, $key, $label, $menu, $option, $options, $query, $showAll, $user, Factory\getDbo(), Factory\getUser(), et value.

Documentation des champs

◆ $type

$type = 'Menu'
La documentation de cette classe a été générée à partir du fichier suivant :
  • MenuField.php


Joomla CMS: Référence de la classe MenuitemField

  • Joomla
  • CMS
  • Form
  • Field
  • MenuitemField
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe MenuitemField
+ Graphe d'héritage de MenuitemField:
JFormFieldGroupedList

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (\SimpleXMLElement $element, $value, $group=null)

Champs de données

$type = 'MenuItem'

Fonctions membres protégées

getGroups ()
- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()

Attributs protégés

$menuType
$clientId
$language
$published
$disable
- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Description détaillée

Supports an HTML grouped select list of menu item grouped by menu

Depuis
1.6

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getGroups()

getGroups ( )
protected

Method to get the field option groups.

Renvoie
array The field option objects as a nested array in groups.
Depuis
1.6

Références $db, $groups, $items, $lang, $link, $menu, $menuType, $query, Factory\getDbo(), MenusHelper\getMenuLinks(), et language.

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
FormField::setup()
Depuis
3.2

Références $value, et language.

Documentation des champs

◆ $clientId

$clientId
protected

◆ $disable

$disable
protected

◆ $language

$language
protected

◆ $menuType

$menuType
protected

◆ $published

$published
protected

◆ $type

$type = 'MenuItem'
La documentation de cette classe a été générée à partir du fichier suivant :
  • MenuitemField.php


Joomla CMS: Référence de la classe ModuleorderField

  • Joomla
  • CMS
  • Form
  • Field
  • ModuleorderField
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ModuleorderField
+ Graphe d'héritage de ModuleorderField:
FormField

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (\SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de FormField
__construct ($form=null)
__get ($name)
__set ($name, $value)
setForm (Form $form)
setup (\SimpleXMLElement $element, $value, $group=null)
setValue ($value)
getAttribute ($name, $default=null)
getControlGroup ()
render ($layoutId, $data=array())
renderField ($options=array())

Fonctions membres protégées

getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de FormField
getId ($fieldId, $fieldName)
getInput ()
getTitle ()
getLabel ()
getName ($fieldName)
getFieldName ($fieldName)
getLayoutData ()
getLayoutPaths ()
getRenderer ($layoutId='default')
isDebugEnabled ()

Attributs protégés

$type = 'ModuleOrder'
$layout = 'joomla.form.field.moduleorder'
- Attributs protégés hérités de FormField
$description
$hint
$autocomplete = 'on'
$spellcheck = true
$autofocus = false
$element
$form
$formControl
$hidden = false
$translateLabel = true
$translateDescription = true
$translateHint = true
$id
$input
$label
$multiple = false
$pattern
$validationtext
$name
$fieldname
$group
$required = false
$disabled = false
$readonly = false
$type
$validate
$value
$default
$size
$class
$labelclass
$onchange
$onclick
$showon
$layout
$renderLayout = 'joomla.form.renderfield'
$renderLabelLayout = 'joomla.form.renderlabel'

Membres hérités additionnels

- Champs de données hérités de FormField
$repeat = false
- Attributs protégés statiques hérités de FormField
static | $count = 0
static | $generated_fieldname = '__field'

Description détaillée

Module Order field.

Depuis
1.6

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.6.3

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.6.3

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for the moduleorder field.

Renvoie
string The field input markup.
Depuis
1.6

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.6.3

Références $data, $name, et Session\getFormToken().

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
FormField::setup()
Depuis
3.6.3

Références $return, et $value.

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.moduleorder'
protected

◆ $type

$type = 'ModuleOrder'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ModuleorderField.php


Joomla CMS: Référence de la classe ModulepositionField

  • Joomla
  • CMS
  • Form
  • Field
  • ModulepositionField
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ModulepositionField
+ Graphe d'héritage de ModulepositionField:
JFormFieldText

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (\SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Attributs protégés

$type = 'ModulePosition'
$clientId
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Description détaillée

Module Position field.

Depuis
1.6

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $clientId, et $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références $clientId, $html, $link, $script, et Factory\getDocument().

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
FormField::setup()
Depuis
3.2

Références $client, $clientId, $value, et ApplicationHelper\getClientInfo().

Documentation des champs

◆ $clientId

$clientId
protected

◆ $type

$type = 'ModulePosition'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ModulepositionField.php


Joomla CMS: Référence de la classe ModuletagField

  • Joomla
  • CMS
  • Form
  • Field
  • ModuletagField
Fonctions membres protégées | Attributs protégés
Référence de la classe ModuletagField
+ Graphe d'héritage de ModuletagField:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'ModuleTag'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Module Tag field.

Depuis
3.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.0

Références $options, et $tmp.

Documentation des champs

◆ $type

$type = 'ModuleTag'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ModuletagField.php


Joomla CMS: Référence de la classe OrderingField

  • Joomla
  • CMS
  • Form
  • Field
  • OrderingField
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe OrderingField
+ Graphe d'héritage de OrderingField:
FormField

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (\SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de FormField
__construct ($form=null)
__get ($name)
__set ($name, $value)
setForm (Form $form)
setup (\SimpleXMLElement $element, $value, $group=null)
setValue ($value)
getAttribute ($name, $default=null)
getControlGroup ()
render ($layoutId, $data=array())
renderField ($options=array())

Fonctions membres protégées

getInput ()
getQuery ()
getItemId ()
- Fonctions membres protégées hérités de FormField
getId ($fieldId, $fieldName)
getInput ()
getTitle ()
getLabel ()
getName ($fieldName)
getFieldName ($fieldName)
getLayoutData ()
getLayoutPaths ()
getRenderer ($layoutId='default')
isDebugEnabled ()

Attributs protégés

$type = 'Ordering'
$contentType
- Attributs protégés hérités de FormField
$description
$hint
$autocomplete = 'on'
$spellcheck = true
$autofocus = false
$element
$form
$formControl
$hidden = false
$translateLabel = true
$translateDescription = true
$translateHint = true
$id
$input
$label
$multiple = false
$pattern
$validationtext
$name
$fieldname
$group
$required = false
$disabled = false
$readonly = false
$type
$validate
$value
$default
$size
$class
$labelclass
$onchange
$onclick
$showon
$layout
$renderLayout = 'joomla.form.renderfield'
$renderLabelLayout = 'joomla.form.renderlabel'

Membres hérités additionnels

- Champs de données hérités de FormField
$repeat = false
- Attributs protégés statiques hérités de FormField
static | $count = 0
static | $generated_fieldname = '__field'

Description détaillée

Ordering field.

Depuis
3.2

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.2

Références $attr, $html, $itemId, $query, if, name, size, et value.

◆ getItemId()

getItemId ( )
protected

Retrieves the current Item's Id.

Renvoie
integer The current item ID
Depuis
3.2

◆ getQuery()

getQuery ( )
protected

Builds the query for the ordering list.

Renvoie
The query for the ordering form field
Depuis
3.2

Références $db, $ordering, $query, $title, elseif, Factory\getDbo(), et UCMType\getType().

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
FormField::setup()
Depuis
3.2

Références $value.

Documentation des champs

◆ $contentType

$contentType
protected

◆ $type

$type = 'Ordering'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • OrderingField.php


Joomla CMS: Référence de la classe PluginstatusField

  • Joomla
  • CMS
  • Form
  • Field
  • PluginstatusField
Champs de données | Attributs protégés
Référence de la classe PluginstatusField
+ Graphe d'héritage de PluginstatusField:
JFormFieldPredefinedList JFormFieldList

Champs de données

$type = 'Plugin_Status'

Attributs protégés

$predefinedOptions
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Plugin Status field.

Depuis
3.5

Documentation des champs

◆ $predefinedOptions

$predefinedOptions
protected
Valeur initiale :
= array(
'0' => 'JDISABLED',
'1' => 'JENABLED',
)

◆ $type

$type = 'Plugin_Status'
La documentation de cette classe a été générée à partir du fichier suivant :
  • PluginstatusField.php


Joomla CMS: Référence de la classe RedirectStatusField

  • Joomla
  • CMS
  • Form
  • Field
  • RedirectStatusField
Champs de données | Attributs protégés
Référence de la classe RedirectStatusField
+ Graphe d'héritage de RedirectStatusField:
JFormFieldPredefinedList JFormFieldList

Champs de données

$type = 'Redirect_Status'

Attributs protégés

$predefinedOptions
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Redirect Status field.

Depuis
3.8.0

Documentation des champs

◆ $predefinedOptions

$predefinedOptions
protected
Valeur initiale :
= array(
'-2' => 'JTRASHED',
'0' => 'JDISABLED',
'1' => 'JENABLED',
'2' => 'JARCHIVED',
'*' => 'JALL',
)

◆ $type

$type = 'Redirect_Status'
La documentation de cette classe a été générée à partir du fichier suivant :
  • RedirectStatusField.php


Joomla CMS: Référence de la classe RegistrationdaterangeField

  • Joomla
  • CMS
  • Form
  • Field
  • RegistrationdaterangeField
Fonctions membres publiques | Attributs protégés
Référence de la classe RegistrationdaterangeField
+ Graphe d'héritage de RegistrationdaterangeField:
JFormFieldPredefinedList JFormFieldList

Fonctions membres publiques

__construct ($form=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'RegistrationDateRange'
$predefinedOptions
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Registration Date Range field.

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $form = null )

Method to instantiate the form field object.

Paramètres
Form $form The form to attach to the form field object.
Depuis
1.7.0

Références $form, $lang, Factory\getLanguage(), et JPATH_ADMINISTRATOR.

Documentation des champs

◆ $predefinedOptions

$predefinedOptions
protected
Valeur initiale :
= array(
'today' => 'COM_USERS_OPTION_RANGE_TODAY',
'past_week' => 'COM_USERS_OPTION_RANGE_PAST_WEEK',
'past_1month' => 'COM_USERS_OPTION_RANGE_PAST_1MONTH',
'past_3month' => 'COM_USERS_OPTION_RANGE_PAST_3MONTH',
'past_6month' => 'COM_USERS_OPTION_RANGE_PAST_6MONTH',
'past_year' => 'COM_USERS_OPTION_RANGE_PAST_YEAR',
'post_year' => 'COM_USERS_OPTION_RANGE_POST_YEAR',
)

◆ $type

$type = 'RegistrationDateRange'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • RegistrationdaterangeField.php


Joomla CMS: Référence de la classe StatusField

  • Joomla
  • CMS
  • Form
  • Field
  • StatusField
Champs de données | Attributs protégés
Référence de la classe StatusField
+ Graphe d'héritage de StatusField:
JFormFieldPredefinedList JFormFieldList

Champs de données

$type = 'Status'

Attributs protégés

$predefinedOptions
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Form Field to load a list of states

Depuis
3.2

Documentation des champs

◆ $predefinedOptions

$predefinedOptions
protected
Valeur initiale :
= array(
-2 => 'JTRASHED',
0 => 'JUNPUBLISHED',
1 => 'JPUBLISHED',
2 => 'JARCHIVED',
'*' => 'JALL',
)

◆ $type

$type = 'Status'
La documentation de cette classe a été générée à partir du fichier suivant :
  • StatusField.php


Joomla CMS: Référence de la classe TagField

  • Joomla
  • CMS
  • Form
  • Field
  • TagField
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe TagField
+ Graphe d'héritage de TagField:
JFormFieldList

Fonctions membres publiques

__construct ()
isNested ()
allowCustom ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$type = 'Tag'
$isNested = null

Fonctions membres protégées

getInput ()
getOptions ()
prepareOptionsNested (&$options)
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$comParams = null
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

List of Tags field.

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Depuis
3.1

Références ComponentHelper\getParams().

Documentation des fonctions membres

◆ allowCustom()

allowCustom ( )

Determines if the field allows or denies custom values

Renvoie
boolean

◆ getInput()

getInput ( )
protected

Method to get the field input for a tag field.

Renvoie
string The field input.
Depuis
3.1

Références $id, null, et value.

◆ getOptions()

getOptions ( )
protected

Method to get a list of tags

Renvoie
array The field option objects.
Depuis
3.1

Références $app, $db, $id, $lang, $language, $option, $options, $published, $query, TagsHelper\convertPathsToNames(), elseif, Factory\getApplication(), Factory\getDbo(), ComponentHelper\getParams(), Multilanguage\isEnabled(), et ArrayHelper\toInteger().

◆ isNested()

isNested ( )

Determine if the field has to be tagnested

Renvoie
boolean
Depuis
3.1

Références null.

◆ prepareOptionsNested()

prepareOptionsNested ( & $options )
protected

Add "-" before nested tags, depending on level

Paramètres
array &$options Array of tags
Renvoie
array The field option objects.
Depuis
3.1

Références $option, et $options.

Documentation des champs

◆ $comParams

$comParams = null
protected

◆ $isNested

$isNested = null

◆ $type

$type = 'Tag'
La documentation de cette classe a été générée à partir du fichier suivant :
  • TagField.php


Joomla CMS: Référence de la classe TemplatestyleField

  • Joomla
  • CMS
  • Form
  • Field
  • TemplatestyleField
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe TemplatestyleField
+ Graphe d'héritage de TemplatestyleField:
JFormFieldGroupedList

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (\SimpleXMLElement $element, $value, $group=null)

Champs de données

$type = 'TemplateStyle'

Fonctions membres protégées

getGroups ()
- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()

Attributs protégés

$clientName
$template
- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Description détaillée

Supports a select grouped list of template styles

Depuis
1.6

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getGroups()

getGroups ( )
protected

Method to get the list of template style options grouped by template. Use the client attribute to specify a specific client. Use the template attribute to specify a specific template

Renvoie
array The field option objects as a nested array in groups.
Depuis
1.6

Références $client, $db, $groups, $lang, $name, $query, $style, $template, ApplicationHelper\getClientInfo(), Factory\getDbo(), Factory\getLanguage(), et null.

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
FormField::setup()
Depuis
3.2

Références $value.

Documentation des champs

◆ $clientName

$clientName
protected

◆ $template

$template
protected

◆ $type

$type = 'TemplateStyle'
La documentation de cette classe a été générée à partir du fichier suivant :
  • TemplatestyleField.php


Joomla CMS: Référence de la classe UseractiveField

  • Joomla
  • CMS
  • Form
  • Field
  • UseractiveField
Fonctions membres publiques | Attributs protégés
Référence de la classe UseractiveField
+ Graphe d'héritage de UseractiveField:
JFormFieldPredefinedList JFormFieldList

Fonctions membres publiques

__construct ($form=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'UserActive'
$predefinedOptions
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Field to show a list of available user active statuses

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $form = null )

Method to instantiate the form field object.

Paramètres
Form $form The form to attach to the form field object.
Depuis
1.7.0

Références $form, $lang, Factory\getLanguage(), et JPATH_ADMINISTRATOR.

Documentation des champs

◆ $predefinedOptions

$predefinedOptions
protected
Valeur initiale :
= array(
'0' => 'COM_USERS_ACTIVATED',
'1' => 'COM_USERS_UNACTIVATED',
)

◆ $type

$type = 'UserActive'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • UseractiveField.php


Joomla CMS: Référence de la classe UserField

  • Joomla
  • CMS
  • Form
  • Field
  • UserField
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe UserField
+ Graphe d'héritage de UserField:
FormField

Fonctions membres publiques

setup (\SimpleXMLElement $element, $value, $group=null)
getLayoutData ()
- Fonctions membres publiques hérités de FormField
__construct ($form=null)
__get ($name)
__set ($name, $value)
setForm (Form $form)
setup (\SimpleXMLElement $element, $value, $group=null)
setValue ($value)
getAttribute ($name, $default=null)
getControlGroup ()
render ($layoutId, $data=array())
renderField ($options=array())

Champs de données

$type = 'User'
- Champs de données hérités de FormField
$repeat = false

Fonctions membres protégées

getInput ()
getGroups ()
getExcluded ()
- Fonctions membres protégées hérités de FormField
getId ($fieldId, $fieldName)
getInput ()
getTitle ()
getLabel ()
getName ($fieldName)
getFieldName ($fieldName)
getLayoutData ()
getLayoutPaths ()
getRenderer ($layoutId='default')
isDebugEnabled ()

Attributs protégés

$groups = null
$excluded = null
$layout = 'joomla.form.field.user'
- Attributs protégés hérités de FormField
$description
$hint
$autocomplete = 'on'
$spellcheck = true
$autofocus = false
$element
$form
$formControl
$hidden = false
$translateLabel = true
$translateDescription = true
$translateHint = true
$id
$input
$label
$multiple = false
$pattern
$validationtext
$name
$fieldname
$group
$required = false
$disabled = false
$readonly = false
$type
$validate
$value
$default
$size
$class
$labelclass
$onchange
$onclick
$showon
$layout
$renderLayout = 'joomla.form.renderfield'
$renderLabelLayout = 'joomla.form.renderlabel'

Membres hérités additionnels

- Attributs protégés statiques hérités de FormField
static | $count = 0
static | $generated_fieldname = '__field'

Description détaillée

Field to select a user ID from a modal list.

Depuis
1.6

Documentation des fonctions membres

◆ getExcluded()

getExcluded ( )
protected

Method to get the users to exclude from the list of users

Renvoie
mixed Array of users to exclude or null to to not exclude them
Depuis
1.6

◆ getGroups()

getGroups ( )
protected

Method to get the filtering groups (null means no filtering)

Renvoie
mixed Array of filtering groups or null.
Depuis
1.6

◆ getInput()

getInput ( )
protected

Method to get the user field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références name.

◆ getLayoutData()

getLayoutData ( )

Get the data that is going to be passed to the layout

Renvoie
array
Depuis
3.5

Références $current, $data, $name, $value, elseif, User\getInstance(), Factory\getUser(), null, et value.

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Depuis
3.7.0
Voir également
JFormField::setup()

Références $return, $value, et Factory\getUser().

Documentation des champs

◆ $excluded

$excluded = null
protected

◆ $groups

$groups = null
protected

◆ $layout

$layout = 'joomla.form.field.user'
protected

◆ $type

$type = 'User'
La documentation de cette classe a été générée à partir du fichier suivant :
  • UserField.php


Joomla CMS: Référence de la classe UsergrouplistField

  • Joomla
  • CMS
  • Form
  • Field
  • UsergrouplistField
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe UsergrouplistField
+ Graphe d'héritage de UsergrouplistField:
JFormFieldList

Fonctions membres publiques

setup (\SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'UserGroupList'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Attributs protégés statiques

static $options = array()

Description détaillée

Field to load a dropdown list of available user groups

Depuis
3.2

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the options to populate list

Renvoie
array The field option objects.
Depuis
3.2

Références $groups, $options, Access\checkGroup(), UserGroupsHelper\getInstance(), et Factory\getUser().

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Depuis
1.7.0

Références $value.

Documentation des champs

◆ $options

$options = array()
staticprotected

◆ $type

$type = 'UserGroupList'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • UsergrouplistField.php


Joomla CMS: Référence de la classe UserstateField

  • Joomla
  • CMS
  • Form
  • Field
  • UserstateField
Attributs protégés
Référence de la classe UserstateField
+ Graphe d'héritage de UserstateField:
JFormFieldPredefinedList JFormFieldList

Attributs protégés

$type = 'UserState'
$predefinedOptions
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Field to load a list of available users statuses

Depuis
3.2

Documentation des champs

◆ $predefinedOptions

$predefinedOptions
protected
Valeur initiale :
= array(
'0' => 'JENABLED',
'1' => 'JDISABLED',
)

◆ $type

$type = 'UserState'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • UserstateField.php


Joomla CMS: Référence de la classe BooleanRule

  • Joomla
  • CMS
  • Form
  • Rule
  • BooleanRule
Attributs protégés
Référence de la classe BooleanRule
+ Graphe d'héritage de BooleanRule:
FormRule

Attributs protégés

$regex = '^(?:[01]|true|false)$'
$modifiers = 'i'
- Attributs protégés hérités de FormRule
$regex
$modifiers

Membres hérités additionnels

- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
1.7.0

Documentation des champs

◆ $modifiers

$modifiers = 'i'
protected

◆ $regex

$regex = '^(?:[01]|true|false)$'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • BooleanRule.php


Joomla CMS: Référence de la classe CalendarRule

  • Joomla
  • CMS
  • Form
  • Rule
  • CalendarRule
Fonctions membres publiques
Référence de la classe CalendarRule
+ Graphe d'héritage de CalendarRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform

Depuis
3.7.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test the calendar value for a valid parts.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
3.7.0

Références $required, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • CalendarRule.php


Joomla CMS: Référence de la classe CaptchaRule

  • Joomla
  • CMS
  • Form
  • Rule
  • CaptchaRule
Fonctions membres publiques
Référence de la classe CaptchaRule
+ Graphe d'héritage de CaptchaRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Framework.

Depuis
2.5

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test if the Captcha is correct.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
2.5

Références $app, $form, $value, et Captcha\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • CaptchaRule.php


Joomla CMS: Référence de la classe ColorRule

  • Joomla
  • CMS
  • Form
  • Rule
  • ColorRule
Fonctions membres publiques
Référence de la classe ColorRule
+ Graphe d'héritage de ColorRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
1.7.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test for a valid color in hexadecimal.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
1.7.0

Références $required, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ColorRule.php


Joomla CMS: Référence de la classe CssIdentifierSubstringRule

  • Joomla
  • CMS
  • Form
  • Rule
  • CssIdentifierSubstringRule
Fonctions membres publiques
Référence de la classe CssIdentifierSubstringRule
+ Graphe d'héritage de CssIdentifierSubstringRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
3.10.7

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test if a string is a valid CSS identifer substring

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
3.10.7

The following regex rules are based on the Html::cleanCssIdentifier method from Drupal https://github.com/drupal/drupal/blob/8.8.5/core/lib/Drupal/Component/Utility/Html.php#L116-L130

with the addition for Joomla that we allow the colon (U+003A).

Valid characters in a CSS identifier are:

  • the hyphen (U+002D)
  • a-z (U+0030 - U+0039)
  • A-Z (U+0041 - U+005A)
  • the underscore (U+005F)
  • the colon (U+003A)
  • 0-9 (U+0061 - U+007A)
  • ISO 10646 characters U+00A1 and higher

Références $required, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • CssIdentifierSubstringRule.php


Joomla CMS: Référence de la classe EmailRule

  • Joomla
  • CMS
  • Form
  • Rule
  • EmailRule
Fonctions membres publiques | Attributs protégés
Référence de la classe EmailRule
+ Graphe d'héritage de EmailRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Attributs protégés

$regex = "^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$"
- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
1.7.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test the email address and optionally check for uniqueness.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
mixed Boolean true if field value is valid, Exception on failure.
Depuis
1.7.0

validDomains value should consist of component name and the name of domain list field in component's configuration, separated by a dot. This allows different components and contexts to use different lists. If value is incomplete, com_users.domains is used as fallback.

Références $config, $db, $form, $input, $key, $query, $required, $userId, $value, et ComponentHelper\getParams().

Documentation des champs

◆ $regex

$regex = "^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$"
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • EmailRule.php


Joomla CMS: Référence de la classe EqualsRule

  • Joomla
  • CMS
  • Form
  • Rule
  • EqualsRule
Fonctions membres publiques
Référence de la classe EqualsRule
+ Graphe d'héritage de EqualsRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
1.7.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test if two values are equal. To use this rule, the form XML needs a validate attribute of equals and a field attribute that is equal to the field to test against.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
1.7.0
Exceptions

Références $field, $form, $input, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • EqualsRule.php


Joomla CMS: Référence de la classe ExistsRule

  • Joomla
  • CMS
  • Form
  • Rule
  • ExistsRule
Fonctions membres publiques
Référence de la classe ExistsRule
+ Graphe d'héritage de ExistsRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form rule class to determine if a value exists in a database table.

Depuis
3.9.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test the username for uniqueness.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
3.9.0

Références $db, $value, et Factory\getDbo().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ExistsRule.php


Joomla CMS: Référence de la classe FilePathRule

  • Joomla
  • CMS
  • Form
  • Rule
  • FilePathRule
Fonctions membres publiques
Référence de la classe FilePathRule
+ Graphe d'héritage de FilePathRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
3.9.21

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test if the file path is valid

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
3.9.21

Références $path, $required, $value, Path\check(), et JPATH_ROOT.

La documentation de cette classe a été générée à partir du fichier suivant :
  • FilePathRule.php


Joomla CMS: Référence de la classe ModuleLayoutRule

  • Joomla
  • CMS
  • Form
  • Rule
  • ModuleLayoutRule
Attributs protégés
Référence de la classe ModuleLayoutRule
+ Graphe d'héritage de ModuleLayoutRule:
FormRule

Attributs protégés

$regex = '^([A-Za-z0-9_-]+:)?[A-Za-z0-9-][A-Za-z0-9\.-]*$'
- Attributs protégés hérités de FormRule
$regex
$modifiers

Membres hérités additionnels

- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
3.9.26

Documentation des champs

◆ $regex

$regex = '^([A-Za-z0-9_-]+:)?[A-Za-z0-9-][A-Za-z0-9\.-]*$'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ModuleLayoutRule.php


Joomla CMS: Référence de la classe NotequalsRule

  • Joomla
  • CMS
  • Form
  • Rule
  • NotequalsRule
Fonctions membres publiques
Référence de la classe NotequalsRule
+ Graphe d'héritage de NotequalsRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
1.7.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test if two values are not equal. To use this rule, the form XML needs a validate attribute of equals and a field attribute that is equal to the field to test against.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
1.7.0
Exceptions

Références $field, $input, $value, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • NotequalsRule.php


Joomla CMS: Référence de la classe NumberRule

  • Joomla
  • CMS
  • Form
  • Rule
  • NumberRule
Fonctions membres publiques
Référence de la classe NumberRule
+ Graphe d'héritage de NumberRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
3.5

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test the range for a number value using min and max attributes.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
3.5

Références $required, $value, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • NumberRule.php


Joomla CMS: Référence de la classe OptionsRule

  • Joomla
  • CMS
  • Form
  • Rule
  • OptionsRule
Fonctions membres publiques
Référence de la classe OptionsRule
+ Graphe d'héritage de OptionsRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform. Requires the value entered be one of the options in a field of type="list"

Depuis
1.7.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test the value.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
1.7.0

Références $field, $form, $options, $required, $value, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • OptionsRule.php


Joomla CMS: Référence de la classe PasswordRule

  • Joomla
  • CMS
  • Form
  • Rule
  • PasswordRule
Fonctions membres publiques
Référence de la classe PasswordRule
+ Graphe d'héritage de PasswordRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
3.1.2

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test if two values are not equal. To use this rule, the form XML needs a validate attribute of equals and a field attribute that is equal to the field to test against.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
3.1.2
Exceptions

Références $params, $required, $value, et ComponentHelper\getParams().

La documentation de cette classe a été générée à partir du fichier suivant :
  • PasswordRule.php


Joomla CMS: Référence de la classe RulesRule

  • Joomla
  • CMS
  • Form
  • Rule
  • RulesRule
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe RulesRule
+ Graphe d'héritage de RulesRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Fonctions membres protégées

getValueActions ($value)
getFieldActions (\SimpleXMLElement $element)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
1.7.0

Documentation des fonctions membres

◆ getFieldActions()

getFieldActions ( \SimpleXMLElement $element )
protected

Method to get the list of possible permission action names for the form field.

Paramètres
\SimpleXMLElement $element The object representing the <field> tag for the form field object.
Renvoie
array A list of permission action names from the form field element definition.
Depuis
1.7.0

Références $component, $item, $section, et Access\getActions().

◆ getValueActions()

getValueActions ( $value )
protected

Method to get the list of permission action names from the form field value.

Paramètres
mixed $value The form field value to validate.
Renvoie
array A list of permission action names from the form field value.
Depuis
1.7.0

Références $name, et $value.

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test the value.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
1.7.0

Références $action, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • RulesRule.php


Joomla CMS: Référence de la classe SubformRule

  • Joomla
  • CMS
  • Form
  • Rule
  • SubformRule
Fonctions membres publiques
Référence de la classe SubformRule
+ Graphe d'héritage de SubformRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form rule to validate subforms field-wise.

Depuis
3.9.7

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test given values for a subform..

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
3.9.7

Références $field, $form, $row, $value, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • SubFormRule.php


Joomla CMS: Référence de la classe TelRule

  • Joomla
  • CMS
  • Form
  • Rule
  • TelRule
Fonctions membres publiques
Référence de la classe TelRule
+ Graphe d'héritage de TelRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform

Depuis
1.7.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test the url for a valid parts.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
1.7.0

Références $required, $value, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • TelRule.php


Joomla CMS: Référence de la classe UrlRule

  • Joomla
  • CMS
  • Form
  • Rule
  • UrlRule
Fonctions membres publiques
Référence de la classe UrlRule
+ Graphe d'héritage de UrlRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
1.7.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test an external or internal url for all valid parts.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
1.7.0 JString

Références $required, $value, et UriHelper\parse_url().

La documentation de cette classe a été générée à partir du fichier suivant :
  • UrlRule.php


Joomla CMS: Référence de la classe UsernameRule

  • Joomla
  • CMS
  • Form
  • Rule
  • UsernameRule
Fonctions membres publiques
Référence de la classe UsernameRule
+ Graphe d'héritage de UsernameRule:
FormRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)
- Fonctions membres publiques hérités de FormRule
test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Membres hérités additionnels

- Attributs protégés hérités de FormRule
$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
1.7.0

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test the username for uniqueness.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
1.7.0

Références $db, $form, $query, $userId, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • UsernameRule.php


Joomla CMS: Référence de la classe Form

  • Joomla
  • CMS
  • Form
  • Form
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe Form

Fonctions membres publiques

__construct ($name, array $options=array())
bind ($data)
filter ($data, $group=null)
getErrors ()
getField ($name, $group=null, $value=null)
getFieldAttribute ($name, $attribute, $default=null, $group=null)
getFieldset ($set=null)
getFieldsets ($group=null)
getFormControl ()
getGroup ($group, $nested=false)
getInput ($name, $group=null, $value=null)
getLabel ($name, $group=null)
getName ()
getValue ($name, $group=null, $default=null)
getControlGroup ($name, $group=null, $default=null)
getControlGroups ($name)
renderField ($name, $group=null, $default=null, $options=array())
renderFieldset ($name, $options=array())
load ($data, $replace=true, $xpath=false)
loadFile ($file, $reset=true, $xpath=false)
removeField ($name, $group=null)
removeGroup ($group)
reset ($xml=false)
setField (\SimpleXMLElement $element, $group=null, $replace=true, $fieldset='default')
setFieldAttribute ($name, $attribute, $value, $group=null)
setFields (&$elements, $group=null, $replace=true, $fieldset='default')
setValue ($name, $group=null, $value=null)
validate ($data, $group=null)
getAttribute ($name, $default=null)
getData ()
getXml ()
getFieldXml ($name, $group=null)

Fonctions membres publiques statiques

static | addFieldPath ($new=null)
static | addFormPath ($new=null)
static | addRulePath ($new=null)
static | getInstance ($name, $data=null, $options=array(), $replace=true, $xpath=false)

Champs de données

$repeat = false

Fonctions membres protégées

bindLevel ($group, $data)
filterField ($element, $value)
findField ($name, $group=null)
& findFieldsByFieldset ($name)
& findFieldsByGroup ($group=null, $nested=false)
& findGroup ($group)
loadField ($element, $group=null, $value=null)
loadFieldType ($type, $new=true)
loadRuleType ($type, $new=true)
syncPaths ()
validateField (\SimpleXMLElement $element, $group=null, $value=null, Registry $input=null)

Fonctions membres protégées statiques

static | addNode (\SimpleXMLElement $source, \SimpleXMLElement $new)
static | mergeNode (\SimpleXMLElement $source, \SimpleXMLElement $new)
static | mergeNodes (\SimpleXMLElement $source, \SimpleXMLElement $new)

Attributs protégés

$data
$errors = array()
$name
$options = array()
$xml

Attributs protégés statiques

static $forms = array()

Description détaillée

Form Class for the Joomla Platform.

This class implements a robust API for constructing, populating, filtering, and validating forms. It uses XML definitions to construct form fields and a variety of field and rule classes to render and validate the form.

http://www.w3.org/TR/html5/forms.html 1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $name,
 |  | array | $options = array()
 | ) |  |

Method to instantiate the form object.

Paramètres
string | $name | The name of the form.
array | $options | An array of form options.
Depuis
1.7.0

Références $name, $options, et name.

Documentation des fonctions membres

◆ addFieldPath()

static addFieldPath ( $new = null )
static

Proxy for FormHelper::addFieldPath().

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Depuis
1.7.0

Références FormHelper\addFieldPath().

◆ addFormPath()

static addFormPath ( $new = null )
static

Proxy for FormHelper::addFormPath().

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Voir également
FormHelper::addFormPath()
Depuis
1.7.0

Références FormHelper\addFormPath().

Référencé par PlgUserTerms\onContentPrepareForm().

◆ addNode()

static addNode | ( | \SimpleXMLElement | $source,
 |  | \SimpleXMLElement | $new
 | ) |  |
staticprotected

Adds a new child SimpleXMLElement node to the source.

Paramètres
\SimpleXMLElement | $source | The source element on which to append.
\SimpleXMLElement | $new | The new element to append.
Renvoie
void
Depuis
1.7.0

Références $name, $value, et htmlspecialchars.

◆ addRulePath()

static addRulePath ( $new = null )
static

Proxy for FormHelper::addRulePath().

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Voir également
FormHelper::addRulePath()
Depuis
1.7.0

Références FormHelper\addRulePath().

◆ bind()

bind ( $data )

Method to bind data to the form.

Paramètres
mixed $data An array or object of data to bind to the form.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $data, et null.

Référencé par JFormFieldSubform\loadSubFormData().

◆ bindLevel()

bindLevel | ( | $group,
 |  | $data
 | ) |
protected

Method to bind data to the form for the group level.

Paramètres
string | $group | The dot-separated form group path on which to bind the data.
mixed | $data | An array or object of data to bind to the form for the group level.
Renvoie
void
Depuis
1.7.0

Références $data, elseif, et ArrayHelper\isAssociative().

◆ filter()

filter | ( | $data,
 |  | $group = null
 | ) |

Method to filter the form data.

Paramètres
array | $data | An array of field values to filter.
string | $group | The dot-separated form group path on which to filter the fields.
Renvoie
mixed Array or false.
Depuis
1.7.0

Références $data, $field, $fields, $groups, $input, $key, $name, et $output.

◆ filterField()

filterField | ( | $element,
 |  | $value
 | ) |
protected

Method to apply an input filter to a value based on field data.

Paramètres
string | $element | The XML element object representation of the form field.
mixed | $value | The value to filter for the field.
Renvoie
mixed The filtered value.
Depuis
1.7.0

Références $action, $date, $field, $filter, $format, $id, $key, $offset, $required, $return, $value, elseif, null, et ArrayHelper\toInteger().

◆ findField()

findField | ( | $name,
 |  | $group = null
 | ) |
protected

Method to get a form field represented as an XML element object.

Paramètres
string | $name | The name of the form field.
string | $group | The optional dot-separated form group path on which to find the field.
Renvoie
|boolean The XML element object for the field or boolean false on error.
Depuis
1.7.0

Références $field, $fields, $name, $names, et $tmp.

◆ findFieldsByFieldset()

& findFieldsByFieldset ( $name )
protected

Method to get an array of <field> elements from the form XML document which are in a specified fieldset by name.

Paramètres
string $name The name of the fieldset.
Renvoie
[]|boolean Boolean false on error or array of SimpleXMLElement objects.
Depuis
1.7.0

Références $fields, et $name.

◆ findFieldsByGroup()

& findFieldsByGroup | ( | $group = null,
 |  | $nested = false
 | ) |
protected

Method to get an array of <field> elements from the form XML document which are in a control group by name.

Paramètres
mixed | $group | The optional dot-separated form group path on which to find the fields. Null will return all fields. False will return fields not in a group.
boolean | $nested | True to also include fields in nested groups that are inside of the group for which to find fields.
Renvoie
[]|boolean Boolean false on error or array of SimpleXMLElement objects.
Depuis
1.7.0

Références $field, $fields, $names, $tmp, et elseif.

◆ findGroup()

& findGroup ( $group )
protected

Method to get a form field group represented as an XML element object.

Paramètres
string $group The dot-separated form group path on which to find the group.
Renvoie
[]|boolean An array of XML element objects for the group or boolean false on error.
Depuis
1.7.0

Références $current, $fields, $groups, $i, $n, $names, et $tmp.

◆ getAttribute()

getAttribute | ( | $name,
 |  | $default = null
 | ) |

Returns the value of an attribute of the form itself

Paramètres
string | $name | Name of the attribute to get
mixed | $default | Optional value to return if attribute not found
Renvoie
mixed Value of the attribute / default
Depuis
3.2

Références $attributes, $default, $name, $value, et null.

◆ getControlGroup()

getControlGroup | ( | $name,
 |  | $group = null,
 |  | $default = null
 | ) |

Method to get a control group with label and input.

Paramètres
string | $name | The name of the field for which to get the value.
string | $group | The optional dot-separated form group path on which to get the value.
mixed | $default | The optional default value of the field value is empty.
Renvoie
string A string containing the html for the control group
Depuis
3.2
Obsolète:
3.2.3 Use renderField() instead of getControlGroup

Références $default, et $name.

◆ getControlGroups()

getControlGroups ( $name )

Method to get all control groups with label and input of a fieldset.

Paramètres
string $name The name of the fieldset for which to get the values.
Renvoie
string A string containing the html for the control groups
Depuis
3.2
Obsolète:
3.2.3 Use renderFieldset() instead of getControlGroups

Références $name.

◆ getData()

getData ( )

Getter for the form data

Renvoie
Registry Object with the data
Depuis
3.2

Références $data.

◆ getErrors()

getErrors ( )

Return all errors, if any.

Renvoie
array Array of error messages or RuntimeException objects.
Depuis
1.7.0

◆ getField()

getField | ( | $name,
 |  | $group = null,
 |  | $value = null
 | ) |

Method to get a form field represented as a JFormField object.

Paramètres
string | $name | The name of the form field.
string | $group | The optional dot-separated form group path on which to find the field.
mixed | $value | The optional value to use as the default for the field.
Renvoie
|boolean The JFormField object for the field or boolean false on error.
Depuis
1.7.0

Références $name, et $value.

◆ getFieldAttribute()

getFieldAttribute | ( | $name,
 |  | $attribute,
 |  | $default = null,
 |  | $group = null
 | ) |

Method to get an attribute value from a field XML element. If the attribute doesn't exist or is null then the optional default value will be used.

Paramètres
string | $name | The name of the form field for which to get the attribute value.
string | $attribute | The name of the attribute for which to get a value.
mixed | $default | The optional default value to use if no attribute value exists.
string | $group | The optional dot-separated form group path on which to find the field.
Renvoie
mixed The attribute value for the field.
Depuis
1.7.0
Exceptions

Références $default, et $name.

◆ getFieldset()

getFieldset ( $set = null )

Method to get an array of JFormField objects in a given fieldset by name. If no name is given then all fields are returned.

Paramètres
string $set The optional name of the fieldset.
Renvoie
[] The array of JFormField objects in the fieldset.
Depuis
1.7.0

Références $field, $fields, et $groups.

◆ getFieldsets()

getFieldsets ( $group = null )

Method to get an array of fieldset objects optionally filtered over a given field group.

Paramètres
string $group The dot-separated form group path on which to filter the fieldsets.
Renvoie
array The array of fieldset objects.
Depuis
1.7.0

Références $fieldsets, $name, $tmp, et $value.

◆ getFieldXml()

getFieldXml | ( | $name,
 |  | $group = null
 | ) |

Method to get a form field represented as an XML element object.

Paramètres
string | $name | The name of the form field.
string | $group | The optional dot-separated form group path on which to find the field.
Renvoie
|boolean The XML element object for the field or boolean false on error.
Depuis
3.7.0

Références $name.

◆ getFormControl()

getFormControl ( )

Method to get the form control. This string serves as a container for all form fields. For example, if there is a field named 'foo' and a field named 'bar' and the form control is empty the fields will be rendered like: <input name="foo" /> and <input name="bar" />. If the form control is set to 'joomla' however, the fields would be rendered like: <input name="joomla[foo]" /> and <input name="joomla[bar]" />.

Renvoie
string The form control string.
Depuis
1.7.0

◆ getGroup()

getGroup | ( | $group,
 |  | $nested = false
 | ) |

Method to get an array of JFormField objects in a given field group by name.

Paramètres
string | $group | The dot-separated form group path for which to get the form fields.
boolean | $nested | True to also include fields in nested groups that are inside of the group for which to find fields.
Renvoie
[] The array of JFormField objects in the field group.
Depuis
1.7.0

Références $field, $fields, et $groups.

◆ getInput()

getInput | ( | $name,
 |  | $group = null,
 |  | $value = null
 | ) |

Method to get a form field markup for the field input.

Paramètres
string | $name | The name of the form field.
string | $group | The optional dot-separated form group path on which to find the field.
mixed | $value | The optional value to use as the default for the field.
Renvoie
string The form field markup.
Depuis
1.7.0

Références $field, $name, et $value.

◆ getInstance()

static getInstance | ( | $name,
 |  | $data = null,
 |  | $options = array(),
 |  | $replace = true,
 |  | $xpath = false
 | ) |
static

Method to get an instance of a form.

Paramètres
string | $name | The name of the form.
string | $data | The name of an XML file or string to load as the form definition.
array | $options | An array of form options.
boolean | $replace | Flag to toggle whether form fields should be replaced if a field already exists with the same group/name.
string | boolean | $xpath | An optional xpath to search for the fields.
Renvoie
Form JForm instance.
Depuis
1.7.0
Exceptions

Références $data, $name, et $options.

◆ getLabel()

getLabel | ( | $name,
 |  | $group = null
 | ) |

Method to get the label for a field input.

Paramètres
string | $name | The name of the form field.
string | $group | The optional dot-separated form group path on which to find the field.
Renvoie
string The form field label.
Depuis
1.7.0

Références $field, et $name.

◆ getName()

getName ( )

Method to get the form name.

Renvoie
string The name of the form.
Depuis
1.7.0

Références $name.

Référencé par JFormFieldSubform\loadSubFormData().

◆ getValue()

getValue | ( | $name,
 |  | $group = null,
 |  | $default = null
 | ) |

Method to get the value of a field.

Paramètres
string | $name | The name of the field for which to get the value.
string | $group | The optional dot-separated form group path on which to get the value.
mixed | $default | The optional default value of the field value is empty.
Renvoie
mixed The value of the field or the default value if empty.
Depuis
1.7.0

Références $default, $name, et $return.

◆ getXml()

getXml ( )

Method to get the XML form object

Renvoie
The form XML object
Depuis
3.2

◆ load()

load | ( | $data,
 |  | $replace = true,
 |  | $xpath = false
 | ) |

Method to load the form description from an XML string or object.

The replace option works per field. If a field being loaded already exists in the current form definition then the behavior or load will vary depending upon the replace flag. If it is set to true, then the existing field will be replaced in its exact location by the new field being loaded. If it is false, then the new field being loaded will be ignored and the method will move on to the next field to load.

Paramètres
string | $data | The name of an XML string or object.
string | $replace | Flag to toggle whether form fields should be replaced if a field already exists with the same group/name.
string | $xpath | An optional xpath to search for the fields.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Références $current, $data, $field, $fields, $groups, et elseif.

◆ loadField()

loadField | ( | $element,
 |  | $group = null,
 |  | $value = null
 | ) |
protected

Method to load, setup and return a JFormField object based on field data.

Paramètres
string | $element | The XML element object representation of the form field.
string | $group | The optional dot-separated form group path on which to find the field.
mixed | $value | The optional value to use as the default for the field.
Renvoie
|boolean The JFormField object for the field or boolean false on error.
Depuis
1.7.0

Références $default, $field, $lang, $type, $value, et null.

◆ loadFieldType()

loadFieldType | ( | $type,
 |  | $new = true
 | ) |
protected

Proxy for FormHelper::loadFieldType().

Paramètres
string | $type | The field type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
FormField|boolean FormField object on success, false otherwise.
Depuis
1.7.0
Obsolète:
4.0 Use FormHelper::loadFieldType() directly

Références $type, et FormHelper\loadFieldType().

◆ loadFile()

loadFile | ( | $file,
 |  | $reset = true,
 |  | $xpath = false
 | ) |

Method to load the form description from an XML file.

The reset option works on a group basis. If the XML file references groups that have already been created they will be replaced with the fields in the new XML file unless the $reset parameter has been set to false.

Paramètres
string | $file | The filesystem path of an XML file.
string | $reset | Flag to toggle whether form fields should be replaced if a field already exists with the same group/name.
string | $xpath | An optional xpath to search for the fields.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Références $file.

◆ loadRuleType()

loadRuleType | ( | $type,
 |  | $new = true
 | ) |
protected

Proxy for FormHelper::loadRuleType().

Paramètres
string | $type | The rule type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
FormRule|boolean FormRule object on success, false otherwise.
Voir également
FormHelper::loadRuleType()
Depuis
1.7.0
Obsolète:
4.0 Use FormHelper::loadRuleType() directly

Références $type, et FormHelper\loadRuleType().

◆ mergeNode()

static mergeNode | ( | \SimpleXMLElement | $source,
 |  | \SimpleXMLElement | $new
 | ) |  |
staticprotected

Update the attributes of a child node

Paramètres
\SimpleXMLElement | $source | The source element on which to append the attributes
\SimpleXMLElement | $new | The new element to append
Renvoie
void
Depuis
1.7.0

Références $name, et $value.

◆ mergeNodes()

static mergeNodes | ( | \SimpleXMLElement | $source,
 |  | \SimpleXMLElement | $new
 | ) |  |
staticprotected

Merges new elements into a source <fields> element.

Paramètres
\SimpleXMLElement | $source | The source element.
\SimpleXMLElement | $new | The new element to merge.
Renvoie
void
Depuis
1.7.0

Références $fields, $name, $type, et $value.

◆ removeField()

removeField | ( | $name,
 |  | $group = null
 | ) |

Method to remove a field from the form definition.

Paramètres
string | $name | The name of the form field for which remove.
string | $group | The optional dot-separated form group path on which to find the field.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0
Exceptions

Références $name.

◆ removeGroup()

removeGroup ( $group )

Method to remove a group from the form definition.

Paramètres
string $group The dot-separated form group path for the group to remove.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

◆ renderField()

renderField | ( | $name,
 |  | $group = null,
 |  | $default = null,
 |  | $options = array()
 | ) |

Method to get a control group with label and input.

Paramètres
string | $name | The name of the field for which to get the value.
string | $group | The optional dot-separated form group path on which to get the value.
mixed | $default | The optional default value of the field value is empty.
array | $options | Any options to be passed into the rendering of the field
Renvoie
string A string containing the html for the control goup
Depuis
3.2.3

Références $default, $field, $name, et $options.

◆ renderFieldset()

renderFieldset | ( | $name,
 |  | $options = array()
 | ) |

Method to get all control groups with label and input of a fieldset.

Paramètres
string | $name | The name of the fieldset for which to get the values.
array | $options | Any options to be passed into the rendering of the field
Renvoie
string A string containing the html for the control goups
Depuis
3.2.3

Références $field, $fields, $html, $name, et $options.

◆ reset()

reset ( $xml = false )

Method to reset the form data store and optionally the form XML definition.

Paramètres
boolean $xml True to also reset the XML form definition.
Renvoie
boolean True on success.
Depuis
1.7.0

◆ setField()

setField | ( | \SimpleXMLElement | $element,
 |  |  | $group = null,
 |  |  | $replace = true,
 |  |  | $fieldset = 'default'
 | ) |  |

Method to set a field XML element to the form definition. If the replace flag is set then the field will be set whether it already exists or not. If it isn't set, then the field will not be replaced if it already exists.

Paramètres
\SimpleXMLElement | $element | The XML element object representation of the form field.
string | $group | The optional dot-separated form group path on which to set the field.
boolean | $replace | True to replace an existing field if one already exists.
string | $fieldset | The name of the fieldset we are adding the field to.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $fields, et $path.

◆ setFieldAttribute()

setFieldAttribute | ( | $name,
 |  | $attribute,
 |  | $value,
 |  | $group = null
 | ) |

Method to set an attribute value for a field XML element.

Paramètres
string | $name | The name of the form field for which to set the attribute value.
string | $attribute | The name of the attribute for which to set a value.
mixed | $value | The value to set for the attribute.
string | $group | The optional dot-separated form group path on which to find the field.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $name, et $value.

◆ setFields()

setFields | ( | & | $elements,
 |  |  | $group = null,
 |  |  | $replace = true,
 |  |  | $fieldset = 'default'
 | ) |  |

Method to set some field XML elements to the form definition. If the replace flag is set then the fields will be set whether they already exists or not. If it isn't set, then the fields will not be replaced if they already exist.

Paramètres
array | &$elements | The array of XML element object representations of the form fields.
string | $group | The optional dot-separated form group path on which to set the fields.
boolean | $replace | True to replace existing fields if they already exist.
string | $fieldset | The name of the fieldset we are adding the field to.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $return.

◆ setValue()

setValue | ( | $name,
 |  | $group = null,
 |  | $value = null
 | ) |

Method to set the value of a field. If the field does not exist in the form then the method will return false.

Paramètres
string | $name | The name of the field for which to set the value.
string | $group | The optional dot-separated form group path on which to find the field.
mixed | $value | The value to set for the field.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $name, et $value.

◆ syncPaths()

syncPaths ( )
protected

Method to synchronize any field, form or rule paths contained in the XML document.

Renvoie
boolean True on success.
Depuis
1.7.0

Références $path, $prefix, FormHelper\addFieldPrefix(), FormHelper\addFormPrefix(), FormHelper\addRulePrefix(), et JPATH_ROOT.

◆ validate()

validate | ( | $data,
 |  | $group = null
 | ) |

Method to validate form data.

Validation warnings will be pushed into JForm::errors and should be retrieved with JForm::getErrors() when validate returns boolean false.

Paramètres
array | $data | An array of field values to validate.
string | $group | The optional dot-separated form group path on which to filter the fields to be validated.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $data, $field, $fields, $groups, $input, $name, $return, $value, et null.

◆ validateField()

validateField | ( | \SimpleXMLElement | $element,
 |  |  | $group = null,
 |  |  | $value = null,
 |  | Registry | $input = null
 | ) |  |
protected

Method to validate a JFormField object based on field data.

Paramètres
\SimpleXMLElement | $element | The XML element object representation of the form field.
string | $group | The optional dot-separated form group path on which to find the field.
mixed | $value | The optional value to use as the default for the field.
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Renvoie
boolean Boolean true if field value is valid, Exception on failure.
Depuis
1.7.0
Exceptions

Références $disabled, $input, $message, $required, $type, $value, et null.

Documentation des champs

◆ $data

$data
protected

◆ $errors

$errors = array()
protected

◆ $forms

$forms = array()
staticprotected

◆ $name

$name
protected

◆ $options

$options = array()
protected

◆ $repeat

$repeat = false

◆ $xml

$xml
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Form.php


Joomla CMS: Référence de la classe FormField

  • Joomla
  • CMS
  • Form
  • FormField
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe FormField
+ Graphe d'héritage de FormField:
CaptchaField ContenthistoryField MediaField ModuleorderField OrderingField UserField

Fonctions membres publiques

__construct ($form=null)
__get ($name)
__set ($name, $value)
setForm (Form $form)
setup (\SimpleXMLElement $element, $value, $group=null)
setValue ($value)
getAttribute ($name, $default=null)
getControlGroup ()
render ($layoutId, $data=array())
renderField ($options=array())

Champs de données

$repeat = false

Fonctions membres protégées

getId ($fieldId, $fieldName)
getInput ()
getTitle ()
getLabel ()
getName ($fieldName)
getFieldName ($fieldName)
getLayoutData ()
getLayoutPaths ()
getRenderer ($layoutId='default')
isDebugEnabled ()

Attributs protégés

$description
$hint
$autocomplete = 'on'
$spellcheck = true
$autofocus = false
$element
$form
$formControl
$hidden = false
$translateLabel = true
$translateDescription = true
$translateHint = true
$id
$input
$label
$multiple = false
$pattern
$validationtext
$name
$fieldname
$group
$required = false
$disabled = false
$readonly = false
$type
$validate
$value
$default
$size
$class
$labelclass
$onchange
$onclick
$showon
$layout
$renderLayout = 'joomla.form.renderfield'
$renderLabelLayout = 'joomla.form.renderlabel'

Attributs protégés statiques

static | $count = 0
static | $generated_fieldname = '__field'

Description détaillée

Abstract Form Field class for the Joomla Platform.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $form = null )

Method to instantiate the form field object.

Paramètres
Form $form The form to attach to the form field object.
Depuis
1.7.0

Références $form, $parts, et Normalise\fromCamelCase().

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
1.7.0

Références $input, $label, et $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, $value, et name.

◆ getAttribute()

getAttribute | ( | $name,
 |  | $default = null
 | ) |

Method to get an attribute of the field

Paramètres
string | $name | Name of the attribute to get
mixed | $default | Optional value to return if attribute not found
Renvoie
mixed Value of the attribute / default
Depuis
3.2

Références $attributes, $default, et null.

◆ getControlGroup()

getControlGroup ( )

Method to get a control group with label and input.

Renvoie
string A string containing the html for the control group
Depuis
3.2
Obsolète:
3.2.3 Use renderField() instead

◆ getFieldName()

getFieldName ( $fieldName )
protected

Method to get the field name used.

Paramètres
string $fieldName The field element name.
Renvoie
string The field name
Depuis
1.7.0

Références $count.

◆ getId()

getId | ( | $fieldId,
 |  | $fieldName
 | ) |
protected

Method to get the id used for the field input tag.

Paramètres
string | $fieldId | The field element id.
string | $fieldName | The field element name.
Renvoie
string The id to be used for the field input tag.
Depuis
1.7.0

Références $id.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.7.0

Références name.

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
1.7.0

Références $data, et $position.

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.5

Références $alt, $description, $label, description, name, null, onclick, size, validate(), et value.

◆ getLayoutPaths()

getLayoutPaths ( )
protected

Allow to override renderer include paths in child fields

Renvoie
array
Depuis
3.5

Références $renderer.

◆ getName()

getName ( $fieldName )
protected

Method to get the name used for the field input tag.

Paramètres
string $fieldName The field element name.
Renvoie
string The name to be used for the field input tag.
Depuis
1.7.0

Références $groups, et $name.

◆ getRenderer()

getRenderer ( $layoutId = 'default' )
protected

Get the renderer

Paramètres
string $layoutId Id to load
Renvoie
FileLayout
Depuis
3.5

Références $renderer.

◆ getTitle()

getTitle ( )
protected

Method to get the field title.

Renvoie
string The field title.
Depuis
1.7.0

Références $title.

◆ isDebugEnabled()

isDebugEnabled ( )
protected

Is debug enabled for this field

Renvoie
boolean
Depuis
3.5

◆ render()

render | ( | $layoutId,
 |  | $data = array()
 | ) |

Render a layout of this field

Paramètres
string | $layoutId | Layout identifier
array | $data | Optional data for the layout
Renvoie
string
Depuis
3.5

Références $data.

◆ renderField()

renderField ( $options = array() )

Method to get a control group with label and input.

Paramètres
array $options Options to be passed into the rendering of the field
Renvoie
string A string containing the html for the control group
Depuis
3.2

Références $data, $options, json_encode, et FormHelper\parseShowOnConditions().

◆ setForm()

setForm ( Form $form )

Method to attach a JForm object to the field.

Paramètres
Form $form The JForm object to attach to the form field.
Renvoie
FormField The form field object so that the method can be used in a chain.
Depuis
1.7.0

Références $form.

◆ setup()

setup | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Depuis
1.7.0

Références $attributes, $value, null, et value.

◆ setValue()

setValue ( $value )

Simple method to set the value

Paramètres
mixed $value Value to set
Renvoie
void
Depuis
3.2

Références $value, et value.

Documentation des champs

◆ $autocomplete

$autocomplete = 'on'
protected

◆ $autofocus

$autofocus = false
protected

◆ $class

$class
protected

◆ $count

$count = 0
staticprotected

◆ $default

$default
protected

◆ $description

$description
protected

◆ $disabled

$disabled = false
protected

◆ $element

$element
protected

◆ $fieldname

$fieldname
protected

◆ $form

$form
protected

◆ $formControl

$formControl
protected

◆ $generated_fieldname

$generated_fieldname = '__field'
staticprotected

◆ $group

$group
protected

◆ $hidden

$hidden = false
protected

◆ $hint

$hint
protected

◆ $id

$id
protected

◆ $input

$input
protected

◆ $label

$label
protected

◆ $labelclass

$labelclass
protected

◆ $layout

$layout
protected

◆ $multiple

$multiple = false
protected

◆ $name

$name
protected

◆ $onchange

$onchange
protected

◆ $onclick

$onclick
protected

◆ $pattern

$pattern
protected

◆ $readonly

$readonly = false
protected

◆ $renderLabelLayout

$renderLabelLayout = 'joomla.form.renderlabel'
protected

◆ $renderLayout

$renderLayout = 'joomla.form.renderfield'
protected

◆ $repeat

$repeat = false

◆ $required

$required = false
protected

◆ $showon

$showon
protected

◆ $size

$size
protected

◆ $spellcheck

$spellcheck = true
protected

◆ $translateDescription

$translateDescription = true
protected

◆ $translateHint

$translateHint = true
protected

◆ $translateLabel

$translateLabel = true
protected

◆ $type

$type
protected

◆ $validate

$validate
protected

◆ $validationtext

$validationtext
protected

◆ $value

$value
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FormField.php


Joomla CMS: Référence de la classe FormHelper

  • Joomla
  • CMS
  • Form
  • FormHelper
Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe FormHelper

Fonctions membres publiques statiques

static | loadFieldType ($type, $new=true)
static | loadRuleType ($type, $new=true)
static | loadFieldClass ($type)
static | loadRuleClass ($type)
static | addFieldPath ($new=null)
static | addFormPath ($new=null)
static | addRulePath ($new=null)
static | addFieldPrefix ($new=null)
static | addFormPrefix ($new=null)
static | addRulePrefix ($new=null)
static | parseShowOnConditions ($showOn, $formControl=null, $group=null)

Fonctions membres protégées statiques

static | loadType ($entity, $type, $new=true)
static | loadClass ($entity, $type)
static | addPath ($entity, $new=null)
static | addPrefix ($entity, $new=null)

Attributs protégés statiques

static | $paths
static | $prefixes = array('field' => array(), 'form' => array(), 'rule' => array())
static | $entities = array('field' => array(), 'form' => array(), 'rule' => array())

Description détaillée

Form's helper class. Provides a storage for filesystem's paths where Form's entities reside and methods for creating those entities. Also stores objects with entities' prototypes for further reusing.

Depuis
1.7.0

Documentation des fonctions membres

◆ addFieldPath()

static addFieldPath ( $new = null )
static

Method to add a path to the list of field include paths.

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Depuis
1.7.0

Référencé par PlgUserTerms\__construct(), FormWrapper\addFieldPath(), et Form\addFieldPath().

◆ addFieldPrefix()

static addFieldPrefix ( $new = null )
static

Method to add a namespace prefix to the list of field lookups.

Paramètres
mixed $new A namespaces or array of namespaces to add.
Renvoie
array The list of namespaces that have been added.
Depuis
3.8.0

Référencé par Form\syncPaths().

◆ addFormPath()

static addFormPath ( $new = null )
static

Method to add a path to the list of form include paths.

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Depuis
1.7.0

Référencé par FormWrapper\addFormPath(), et Form\addFormPath().

◆ addFormPrefix()

static addFormPrefix ( $new = null )
static

Method to add a namespace to the list of form lookups.

Paramètres
mixed $new A namespace or array of namespaces to add.
Renvoie
array The list of namespaces that have been added.
Depuis
3.8.0

Référencé par Form\syncPaths().

◆ addPath()

static addPath | ( | $entity,
 |  | $new = null
 | ) |
staticprotected

Method to add a path to the list of include paths for one of the form's entities. Currently supported entities: field, rule and form. You are free to support your own in a subclass.

Paramètres
string | $entity | Form's entity name for which paths will be added.
mixed | $new | A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Depuis
1.7.0

Références $path.

◆ addPrefix()

static addPrefix | ( | $entity,
 |  | $new = null
 | ) |
staticprotected

Method to add a namespace to the list of namespaces for one of the form's entities. Currently supported entities: field, rule and form. You are free to support your own in a subclass.

Paramètres
string | $entity | Form's entity name for which paths will be added.
mixed | $new | A namespace or array of namespaces to add.
Renvoie
array The list of namespaces that have been added.
Depuis
3.8.0

Références $prefix.

◆ addRulePath()

static addRulePath ( $new = null )
static

Method to add a path to the list of rule include paths.

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Depuis
1.7.0

Référencé par FormWrapper\addRulePath(), et Form\addRulePath().

◆ addRulePrefix()

static addRulePrefix ( $new = null )
static

Method to add a namespace to the list of rule lookups.

Paramètres
mixed $new A namespace or array of namespaces to add.
Renvoie
array The list of namespaces that have been added.
Depuis
3.8.0

Référencé par Form\syncPaths().

◆ loadClass()

static loadClass | ( | $entity,
 |  | $type
 | ) |
staticprotected

Load a class for one of the form's entities of a particular type. Currently, it makes sense to use this method for the "field" and "rule" entities (but you can support more entities in your subclass).

Paramètres
string | $entity | One of the form entities (field or rule).
string | $type | Type of an entity.
Renvoie
string|boolean Class name on success or false otherwise.
Depuis
1.7.0

Références $class, $file, $i, $n, $name, $path, $prefix, $type, et Normalise\toSpaceSeparated().

◆ loadFieldClass()

static loadFieldClass ( $type )
static

Attempt to import the JFormField class file if it isn't already imported. You can use this method outside of JForm for loading a field for inheritance or composition.

Paramètres
string $type Type of a field whose class should be loaded.
Renvoie
string|boolean Class name on success or false otherwise.
Depuis
1.7.0

Références $type.

Référencé par FormWrapper\loadFieldClass().

◆ loadFieldType()

static loadFieldType | ( | $type,
 |  | $new = true
 | ) |
static

Method to load a form field object given a type.

Paramètres
string | $type | The field type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
FormField|boolean FormField object on success, false otherwise.
Depuis
1.7.0

Références $type.

Référencé par FormWrapper\loadFieldType(), et Form\loadFieldType().

◆ loadRuleClass()

static loadRuleClass ( $type )
static

Attempt to import the JFormRule class file if it isn't already imported. You can use this method outside of JForm for loading a rule for inheritance or composition.

Paramètres
string $type Type of a rule whose class should be loaded.
Renvoie
string|boolean Class name on success or false otherwise.
Depuis
1.7.0

Références $type.

Référencé par FormWrapper\loadRuleClass().

◆ loadRuleType()

static loadRuleType | ( | $type,
 |  | $new = true
 | ) |
static

Method to load a form rule object given a type.

Paramètres
string | $type | The rule type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
FormRule|boolean FormRule object on success, false otherwise.
Depuis
1.7.0

Références $type.

Référencé par FormWrapper\loadRuleType(), et Form\loadRuleType().

◆ loadType()

static loadType | ( | $entity,
 |  | $type,
 |  | $new = true
 | ) |
staticprotected

Method to load a form entity object given a type. Each type is loaded only once and then used as a prototype for other objects of same type. Please, use this method only with those entities which support types (forms don't support them).

Paramètres
string | $entity | The entity.
string | $type | The entity type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
mixed Entity object on success, false otherwise.
Depuis
1.7.0

Références $class, $key, et $type.

◆ parseShowOnConditions()

static parseShowOnConditions | ( | $showOn,
 |  | $formControl = null,
 |  | $group = null
 | ) |
static

Parse the show on conditions

Paramètres
string | $showOn | Show on conditions.
string | $formControl | Form name.
string | $group | The dot-separated form group path.
Renvoie
array Array with show on conditions.
Depuis
3.7.0

Références $field, et $groups.

Référencé par FormField\renderField().

Documentation des champs

◆ $entities

$entities = array('field' => array(), 'form' => array(), 'rule' => array())
staticprotected

◆ $paths

$paths
staticprotected

◆ $prefixes

$prefixes = array('field' => array(), 'form' => array(), 'rule' => array())
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FormHelper.php


Joomla CMS: Référence de la classe FormRule

  • Joomla
  • CMS
  • Form
  • FormRule
Fonctions membres publiques | Attributs protégés
Référence de la classe FormRule
+ Graphe d'héritage de FormRule:
BooleanRule CalendarRule CaptchaRule ColorRule CssIdentifierSubstringRule EmailRule EqualsRule ExistsRule FilePathRule ModuleLayoutRule NotequalsRule NumberRule OptionsRule PasswordRule RulesRule SubformRule TelRule UrlRule UsernameRule

Fonctions membres publiques

test (\SimpleXMLElement $element, $value, $group=null, Registry $input=null, Form $form=null)

Attributs protégés

$regex
$modifiers

Description détaillée

Form Rule class for the Joomla Platform.

Depuis
1.6

Documentation des fonctions membres

◆ test()

test | ( | \SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | Form | $form = null
 | ) |  |

Method to test the value.

Paramètres
\SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
Form | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
1.6
Exceptions

Références $value.

Documentation des champs

◆ $modifiers

$modifiers
protected

◆ $regex

$regex
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FormRule.php


Joomla CMS: Référence de la classe FormWrapper

  • Joomla
  • CMS
  • Form
  • FormWrapper
Fonctions membres publiques
Référence de la classe FormWrapper

Fonctions membres publiques

loadFieldType ($type, $new=true)
loadRuleType ($type, $new=true)
loadFieldClass ($type)
loadRuleClass ($type)
addFieldPath ($new=null)
addFormPath ($new=null)
addRulePath ($new=null)

Description détaillée

Wrapper class for FormHelper

Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Form\FormHelper directly

Documentation des fonctions membres

◆ addFieldPath()

addFieldPath ( $new = null )

Helper wrapper method for addFieldPath

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Voir également
FormHelper::addFieldPath()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Form\FormHelper directly

Références FormHelper\addFieldPath().

◆ addFormPath()

addFormPath ( $new = null )

Helper wrapper method for addFormPath

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Voir également
FormHelper::addFormPath()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Form\FormHelper directly

Références FormHelper\addFormPath().

◆ addRulePath()

addRulePath ( $new = null )

Helper wrapper method for addRulePath

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Voir également
FormHelper::addRulePath()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Form\FormHelper directly

Références FormHelper\addRulePath().

◆ loadFieldClass()

loadFieldClass ( $type )

Helper wrapper method for loadFieldClass

Paramètres
string $type Type of a field whose class should be loaded.
Renvoie
mixed Class name on success or false otherwise.
Voir également
FormHelper::loadFieldClass()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Form\FormHelper directly

Références $type, et FormHelper\loadFieldClass().

◆ loadFieldType()

loadFieldType | ( | $type,
 |  | $new = true
 | ) |

Helper wrapper method for loadFieldType

Paramètres
string | $type | The field type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
mixed JFormField object on success, false otherwise.
Voir également
FormHelper::loadFieldType()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Form\FormHelper directly

Références $type, et FormHelper\loadFieldType().

◆ loadRuleClass()

loadRuleClass ( $type )

Helper wrapper method for loadRuleClass

Paramètres
string $type Type of a rule whose class should be loaded.
Renvoie
mixed Class name on success or false otherwise.
Voir également
FormHelper::loadRuleClass()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Form\FormHelper directly

Références $type, et FormHelper\loadRuleClass().

◆ loadRuleType()

loadRuleType | ( | $type,
 |  | $new = true
 | ) |

Helper wrapper method for loadRuleType

Paramètres
string | $type | The field type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
mixed JFormField object on success, false otherwise.
Voir également
FormHelper::loadRuleType()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Form\FormHelper directly

Références $type, et FormHelper\loadRuleType().

La documentation de cette classe a été générée à partir du fichier suivant :
  • FormWrapper.php


Joomla CMS: Référence de la classe Help

  • Joomla
  • CMS
  • Help
  • Help
Fonctions membres publiques statiques
Référence de la classe Help

Fonctions membres publiques statiques

static | createUrl ($ref, $useComponent=false, $override=null, $component=null)
static | createSiteList ($pathToXml)

Description détaillée

Help system class

Depuis
1.5

Documentation des fonctions membres

◆ createSiteList()

static createSiteList ( $pathToXml )
static

Builds a list of the help sites which can be used in a select option.

Paramètres
string $pathToXml Path to an XML file.
Renvoie
array An array of arrays (text, value, selected).
Depuis
1.5

Références $list, et $option.

Référencé par HelpsiteField\getOptions().

◆ createUrl()

static createUrl | ( | $ref,
 |  | $useComponent = false,
 |  | $override = null,
 |  | $component = null
 | ) |
static

Create a URL for a given help key reference

Paramètres
string | $ref | The name of the help screen (its key reference)
boolean | $useComponent | Use the help file in the component directory
string | $override | Use this URL instead of any other
string | $component | Name of component (or null for current component)
Renvoie
string
Depuis
1.5

Références $app, $component, $lang, $params, $url, $version, JPATH_BASE, et null.

Référencé par HelpButton\_getCommand().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Help.php


Joomla CMS: Référence de la classe AuthenticationHelper

  • Joomla
  • CMS
  • Helper
  • AuthenticationHelper
Fonctions membres publiques statiques
Référence de la classe AuthenticationHelper

Fonctions membres publiques statiques

static getTwoFactorMethods ()

Description détaillée

Authentication helper class

Depuis
3.6.3

Documentation des fonctions membres

◆ getTwoFactorMethods()

static getTwoFactorMethods ( )
static

Get the Two Factor Authentication Methods available.

Renvoie
array Two factor authentication methods.
Depuis
3.6.3

Références $options, et JEventDispatcher\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • AuthenticationHelper.php


Joomla CMS: Référence de la classe CMSHelper

  • Joomla
  • CMS
  • Helper
  • CMSHelper
Fonctions membres publiques
Référence de la classe CMSHelper
+ Graphe d'héritage de CMSHelper:
ContentHistoryHelper TagsHelper

Fonctions membres publiques

getCurrentLanguage ($detectBrowser=true)
getLanguageId ($langCode)
getRowData (TableInterface $table)
getDataObject (TableInterface $table)

Description détaillée

Base Helper class.

Depuis
3.2

Documentation des fonctions membres

◆ getCurrentLanguage()

getCurrentLanguage ( $detectBrowser = true )

Gets the current language

Paramètres
boolean $detectBrowser Flag indicating whether to use the browser language as a fallback.
Renvoie
string The language string
Depuis
3.2

Références $app, LanguageHelper\detectLanguage(), Factory\getApplication(), ApplicationHelper\getHash(), ComponentHelper\getParams(), PluginHelper\getPlugin(), Factory\getSession(), Multilanguage\isEnabled(), et null.

◆ getDataObject()

getDataObject ( TableInterface $table )

Method to get an object containing all of the table columns and values.

Paramètres
TableInterface $table Table object.
Renvoie
Contains all of the columns and values.
Depuis
3.2

Références $field, et $fields.

◆ getLanguageId()

getLanguageId ( $langCode )

Gets the associated language ID

Paramètres
string $langCode The language code to look up
Renvoie
integer The language ID
Depuis
3.2

Références $db, $query, et Factory\getDbo().

◆ getRowData()

getRowData ( TableInterface $table )

Gets a row of data from a table

Paramètres
TableInterface $table Table instance for a row.
Renvoie
array Associative array of all columns and values for a row in a table.
Depuis
3.2

Références $data, $field, $fields, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • CMSHelper.php


Joomla CMS: Référence de la classe ContentHelper

  • Joomla
  • CMS
  • Helper
  • ContentHelper
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe ContentHelper

Fonctions membres publiques

getRowData (Table $table)

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | countRelations (&$items, $config)
static | _getActions ($categoryId=0, $id=0, $assetName='')
static | getActions ($component='', $section='', $id=0)
static | getCurrentLanguage ($detectBrowser=true)
static | getLanguageId ($langCode)

Description détaillée

Helper for standard content style extensions. This class mainly simplifies static helper methods often repeated in individual components

Depuis
3.1

Documentation des fonctions membres

◆ _getActions()

static _getActions | ( | $categoryId = 0,
 |  | $id = 0,
 |  | $assetName = ''
 | ) |
static

Gets a list of the actions that can be performed.

Paramètres
integer | $categoryId | The category ID.
integer | $id | The item ID.
string | $assetName | The asset name
Renvoie
Depuis
3.1
Obsolète:
3.2 Use ContentHelper::getActions() instead

Références $action, $id, $path, $section, $user, Log\add(), elseif, Access\getActionsFromFile(), Factory\getUser(), JPATH_ADMINISTRATOR, et Log\WARNING.

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar. Must be implemented by each extension.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
3.1

◆ countRelations()

static countRelations | ( | & | $items,
 |  |  | $config
 | ) |  |
static

Adds Count relations for Category and Tag Managers

Paramètres
stdClass[] | &$items The category or tag objects
stdClass | $config | Configuration object allowing to use a custom relations table
Renvoie
stdClass[]
Depuis
3.9.1

Get relation counts for all category objects with single query NOTE: 'state IN', allows counting specific states / conditions only, also prevents warnings with custom states / conditions, do not remove

Références $config, $db, $item, $items, $n, et Factory\getDbo().

◆ getActions()

static getActions | ( | $component = '',
 |  | $section = '',
 |  | $id = 0
 | ) |
static

Gets a list of the actions that can be performed.

Paramètres
string | $component | The component name.
string | $section | The access section name.
integer | $id | The item ID.
Renvoie
Depuis
3.2

Références $action, $component, $id, $section, $user, Log\add(), Log\ERROR, Access\getActionsFromFile(), Factory\getUser(), JPATH_ADMINISTRATOR, et null.

◆ getCurrentLanguage()

static getCurrentLanguage ( $detectBrowser = true )
static

Gets the current language

Paramètres
boolean $detectBrowser Flag indicating whether to use the browser language as a fallback.
Renvoie
string The language string
Depuis
3.1
Note
CmsHelper::getCurrentLanguage is the preferred method

Références $app, LanguageHelper\detectLanguage(), Factory\getApplication(), ApplicationHelper\getHash(), ComponentHelper\getParams(), PluginHelper\getPlugin(), Factory\getSession(), Multilanguage\isEnabled(), et null.

◆ getLanguageId()

static getLanguageId ( $langCode )
static

Gets the associated language ID

Paramètres
string $langCode The language code to look up
Renvoie
integer The language ID
Depuis
3.1
Note
CmsHelper::getLanguage() is the preferred method.

Références $db, $query, et Factory\getDbo().

Référencé par UCMBase\mapBase(), et UCMContent\store().

◆ getRowData()

getRowData ( Table $table )

Gets a row of data from a table

Paramètres
Table $table Table instance for a row.
Renvoie
array Associative array of all columns and values for a row in a table.
Depuis
3.1

Références $data.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ContentHelper.php


Joomla CMS: Référence de la classe ContentHistoryHelper

  • Joomla
  • CMS
  • Helper
  • ContentHistoryHelper
Fonctions membres publiques | Champs de données
Référence de la classe ContentHistoryHelper
+ Graphe d'héritage de ContentHistoryHelper:
CMSHelper

Fonctions membres publiques

__construct ($typeAlias=null)
deleteHistory ($table)
getHistory ($typeId, $id)
store ($table)
- Fonctions membres publiques hérités de CMSHelper
getCurrentLanguage ($detectBrowser=true)
getLanguageId ($langCode)
getRowData (TableInterface $table)
getDataObject (TableInterface $table)

Champs de données

$typeAlias = null

Description détaillée

Versions helper class, provides methods to perform various tasks relevant versioning of content.

Depuis
3.2
Obsolète:
4.0 Deprecated in favour of in Joomla 4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $typeAlias = null )

Constructor

Paramètres
string $typeAlias The type of content to be versioned (for example, 'com_content.article').
Depuis
3.2
Obsolète:
4.0

Documentation des fonctions membres

◆ deleteHistory()

deleteHistory ( $table )

Method to delete the history for an item.

Paramètres
Table $table Table object being versioned
Renvoie
boolean true on success, otherwise false.
Depuis
3.2
Obsolète:
4.0 Use ::delete in Joomla 4

Références $db, $id, $key, $query, et Table\getInstance().

◆ getHistory()

getHistory | ( | $typeId,
 |  | $id
 | ) |

Method to get a list of available versions of this item.

Paramètres
integer | $typeId | Type id for this component item.
mixed | $id | Primary key of row to get history for.
Renvoie
mixed The return value or null if the query failed.
Depuis
3.2
Obsolète:
4.0 Use ::get in Joomla 4

Références $db, $id, et $query.

◆ store()

store ( $table )

Method to save a version snapshot to the content history table.

Paramètres
Table $table Table object being versioned
Renvoie
boolean True on success, otherwise false.
Depuis
3.2
Obsolète:
4.0 Use ::store in Joomla 4

Références $context, $data, $input, $key, elseif, Table\getInstance(), ComponentHelper\getParams(), et json_encode.

Documentation des champs

◆ $typeAlias

$typeAlias = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • ContentHistoryHelper.php


Joomla CMS: Référence de la classe LibraryHelper

  • Joomla
  • CMS
  • Helper
  • LibraryHelper
Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe LibraryHelper

Fonctions membres publiques statiques

static | getLibrary ($element, $strict=false)
static | isEnabled ($element)
static | getParams ($element, $strict=false)
static | saveParams ($element, $params)

Fonctions membres protégées statiques

static _load ($element)

Attributs protégés statiques

static $libraries = array()

Description détaillée

Library helper class

Depuis
3.2

Documentation des fonctions membres

◆ _load()

static _load ( $element )
staticprotected

Load the installed library into the libraries property.

Paramètres
string $element The element value for the extension
Renvoie
boolean True on success
Depuis
3.2
Obsolète:
4.0 Use LibraryHelper::loadLibrary() instead

◆ getLibrary()

static getLibrary | ( | $element,
 |  | $strict = false
 | ) |
static

Get the library information.

Paramètres
string | $element | Element of the library in the extensions table.
boolean | $strict | If set and the library does not exist, the enabled attribute will be set to false.
Renvoie
An object with the library's information.
Depuis
3.2

Références false.

◆ getParams()

static getParams | ( | $element,
 |  | $strict = false
 | ) |
static

Gets the parameter object for the library

Paramètres
string | $element | Element of the library in the extensions table.
boolean | $strict | If set and the library does not exist, false will be returned
Renvoie
Registry A Registry object.
Voir également
Registry
Depuis
3.2

Référencé par Version\getMediaVersion(), et Version\setMediaVersion().

◆ isEnabled()

static isEnabled ( $element )
static

Checks if a library is enabled

Paramètres
string $element Element of the library in the extensions table.
Renvoie
boolean
Depuis
3.2

◆ saveParams()

static saveParams | ( | $element,
 |  | $params
 | ) |
static

Save the parameters object for the library

Paramètres
string | $element | Element of the library in the extensions table.
Registry | $params | Params to save
Renvoie
Registry A Registry object.
Voir également
Registry
Depuis
3.2

Références $db, $params, et $query.

Référencé par Version\setMediaVersion().

Documentation des champs

◆ $libraries

$libraries = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • LibraryHelper.php


Joomla CMS: Référence de la classe MediaHelper

  • Joomla
  • CMS
  • Helper
  • MediaHelper
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres privées
Référence de la classe MediaHelper

Fonctions membres publiques

isImage ($fileName)
canUpload ($file, $component='com_media', $allowedExecutables=array())
countFiles ($dir)
toBytes ($val)

Fonctions membres publiques statiques

static | getTypeIcon ($fileName)
static | imageResize ($width, $height, $target)

Fonctions membres privées

getMimeType ($file, $isImage=false)
checkMimeType ($mime, $component='com_media')

Description détaillée

Media helper class

Depuis
3.2

Documentation des fonctions membres

◆ canUpload()

canUpload | ( | $file,
 |  | $component = 'com_media',
 |  | $allowedExecutables = array()
 | ) |

Checks if the file can be uploaded

Paramètres
array | $file | File information
string | $component | The option name for the component storing the parameters
string | $allowedExecutables | Array of executable file types that shall be whitelisted
Renvoie
boolean
Depuis
3.2

Références $app, $check, $component, $file, $images, $maxSize, $mime, $params, elseif, ComponentHelper\getParams(), jimport(), et null.

◆ checkMimeType()

checkMimeType | ( | $mime,
 |  | $component = 'com_media'
 | ) |
private

Checks the Mime type

Paramètres
string | $mime | The mime to be checked
string | $component | The optional name for the component storing the parameters
Renvoie
boolean true if mime type checking is disabled or it passes the checks else false
Depuis
3.7

Références $component, $mime, $params, et ComponentHelper\getParams().

◆ countFiles()

countFiles ( $dir )

Counts the files and directories in a directory that are not php or html files.

Paramètres
string $dir Directory name
Renvoie
array The number of media files and directories in the given directory
Depuis
3.2

Références DIRECTORY_SEPARATOR.

◆ getMimeType()

getMimeType | ( | $file,
 |  | $isImage = false
 | ) |
private

Get the Mime type

Paramètres
string | $file | The link to the file to be checked
boolean | $isImage | True if the passed file is an image else false
Renvoie
mixed the mime type detected false on error
Depuis
3.7.2

Références $file, $mime, et elseif.

◆ getTypeIcon()

static getTypeIcon ( $fileName )
static

Gets the file extension for purposed of using an icon

Paramètres
string $fileName The filename
Renvoie
string File extension to determine icon
Depuis
3.2

◆ imageResize()

static imageResize | ( | $width,
 |  | $height,
 |  | $target
 | ) |
static

Calculate the size of a resized image

Paramètres
integer | $width | Image width
integer | $height | Image height
integer | $target | Target size
Renvoie
array The new width and height
Depuis
3.2

Références $height, $target, et $width.

◆ isImage()

isImage ( $fileName )

Checks if the file is an image

Paramètres
string $fileName The filename
Renvoie
boolean
Depuis
3.2

◆ toBytes()

toBytes ( $val )

Small helper function that properly converts any configuration options to their byte representation.

Paramètres
string | integer $val The value to be converted to bytes.
Renvoie
integer The calculated bytes value from the input.
Depuis
3.3
La documentation de cette classe a été générée à partir du fichier suivant :
  • MediaHelper.php


Joomla CMS: Référence de la classe ModuleHelper

  • Joomla
  • CMS
  • Helper
  • ModuleHelper
Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe ModuleHelper

Fonctions membres publiques statiques

static & | getModule ($name, $title=null)
static & | getModules ($position)
static | isEnabled ($module)
static | renderModule ($module, $attribs=array())
static | getLayoutPath ($module, $layout='default')
static | cleanModuleList ($modules)
static | isAdminMultilang ()
static & | getModuleById ($id)

Fonctions membres protégées statiques

static & | _load ()
static & | load ()

Description détaillée

Module helper class

Depuis
1.5

Documentation des fonctions membres

◆ _load()

static& _load ( )
staticprotected

Load published modules.

Renvoie
array
Depuis
1.5
Obsolète:
4.0 Use ModuleHelper::load() instead

◆ cleanModuleList()

static cleanModuleList ( $modules )
static

Clean the module list

Paramètres
array $modules Array with module objects
Renvoie
array

Références $i, $module, $modules, et null.

◆ getLayoutPath()

static getLayoutPath | ( | $module,
 |  | $layout = 'default'
 | ) |
static

Get the path to a layout for a module

Paramètres
string | $module | The name of the module
string | $layout | The name of the module layout. If alternative layout, in the form template:filename.
Renvoie
string The path to the module layout
Depuis
1.5

Références $layout, $module, $template, JPATH_BASE, et JPATH_THEMES.

◆ getModule()

static& getModule | ( | $name,
 |  | $title = null
 | ) |
static

Get module by name (real, eg 'Breadcrumbs' or folder, eg 'mod_breadcrumbs')

Paramètres
string | $name | The name of the module
string | $title | The title of the module, optional
Renvoie
The Module object
Depuis
1.5

Références $i, $modules, $name, $title, $total, name, null, et title.

Référencé par ModuleRenderer\render().

◆ getModuleById()

static& getModuleById ( $id )
static

Get module by id

Paramètres
string $id The id of the module
Renvoie
The Module object
Depuis
3.9.0

Références $i, $id, $modules, et $total.

◆ getModules()

static& getModules ( $position )
static

Get modules by position

Paramètres
string $position The position of the module
Renvoie
array An array of module objects
Depuis
1.5

Références $i, $input, $modules, $position, $total, et ComponentHelper\getParams().

Référencé par HtmlDocument\countModules(), et ModulesRenderer\render().

◆ isAdminMultilang()

static isAdminMultilang ( )
static

Method to determine if filtering by language is enabled in back-end for modules.

Renvoie
boolean True if enabled; false otherwise.
Depuis
3.8.0

Références $enabled, LanguageHelper\getInstalledLanguages(), et ComponentHelper\getParams().

◆ isEnabled()

static isEnabled ( $module )
static

Checks if a module is enabled. A given module will only be returned if it meets the following criteria: it is enabled, it is assigned to the current menu item or all items, and the user meets the access level requirements.

Paramètres
string $module The module name
Renvoie
boolean See description for conditions.
Depuis
1.5

Références $module, et null.

◆ load()

static& load ( )
staticprotected

Load published modules.

Renvoie
array
Depuis
3.2

Références $app, $modules, et null.

◆ renderModule()

static renderModule | ( | $module,
 |  | $attribs = array()
 | ) |
static

Render the module.

Paramètres
object | $module | A module object.
array | $attribs | An array of attributes for the module (probably from the XML).
Renvoie
string The HTML content of the module output.
Depuis
1.5

Références $app, $attribs, $content, $lang, $module, $params, $path, $style, $template, ComponentHelper\getParams(), JDEBUG, JPATH_BASE, JPATH_THEMES, et null.

Référencé par ModuleRenderer\render().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ModuleHelper.php


Joomla CMS: Référence de la classe RouteHelper

  • Joomla
  • CMS
  • Helper
  • RouteHelper
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe RouteHelper

Fonctions membres publiques

getRoute ($id, $typealias, $link='', $language=null, $catid=null)

Fonctions membres publiques statiques

static getCategoryRoute ($catid, $language=0, $extension='')

Fonctions membres protégées

findItem ($needles=array())

Fonctions membres protégées statiques

static lookupItem ($needles=array())

Attributs protégés

$extension
$id
$view

Attributs protégés statiques

static $lookup

Description détaillée

Route Helper

A class providing basic routing for urls that are for content types found in the #__content_types table and rows found in the #__ucm_content table.

Depuis
3.1

Documentation des fonctions membres

◆ findItem()

findItem ( $needles = array() )
protected

Method to find the item in the menu structure

Paramètres
array $needles Array of lookup values
Renvoie
mixed
Depuis
3.1

Références $active, $app, $attributes, $component, $default, $id, $item, $items, $language, $view, extension, ComponentHelper\getComponent(), Multilanguage\isEnabled(), et null.

◆ getCategoryRoute()

static getCategoryRoute | ( | $catid,
 |  | $language = 0,
 |  | $extension = ''
 | ) |
static

Fetches the category route

Paramètres
mixed | $catid | Category ID or instance
mixed | $language | Language code
string | $extension | Extension to lookup
Renvoie
string
Depuis
3.2
Exceptions

Références $category, $extension, $id, $item, $language, $link, et Multilanguage\isEnabled().

◆ getRoute()

getRoute | ( | $id,
 |  | $typealias,
 |  | $link = '',
 |  | $language = null,
 |  | $catid = null
 | ) |

A method to get the route for a specific item

Paramètres
integer | $id | Value of the primary key for the item in its content table
string | $typealias | The type_alias for the item being routed. Of the form extension.view.
string | $link | The link to be routed
string | $language | The language of the content for multilingual sites
integer | $catid | Optional category id
Renvoie
string The route of the item
Depuis
3.1

Références $category, $id, $item, $language, $link, $name, $view, extension, Multilanguage\isEnabled(), et view.

◆ lookupItem()

static lookupItem ( $needles = array() )
staticprotected

Static alias to findItem() used to find the item in the menu structure

Paramètres
array $needles Array of lookup values
Renvoie
mixed
Depuis
3.2

Documentation des champs

◆ $extension

$extension
protected

◆ $id

$id
protected

◆ $lookup

$lookup
staticprotected

◆ $view

$view
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • RouteHelper.php


Joomla CMS: Référence de la classe SearchHelper

  • Joomla
  • CMS
  • Helper
  • SearchHelper
Fonctions membres publiques statiques
Référence de la classe SearchHelper

Fonctions membres publiques statiques

static logSearch ($term, $component)

Description détaillée

Helper class for Joomla! Search components

Depuis
3.0

Documentation des fonctions membres

◆ logSearch()

static logSearch | ( | $term,
 |  | $component
 | ) |
static

Method to log search terms to the database

Paramètres
string | $term | The term being searched
string | $component | The component being used for the search
Renvoie
void
Depuis
3.0

Références $component, $db, $query, et ComponentHelper\getParams().

Référencé par SearchViewSearch\display(), et SearchHelper\logSearch().

La documentation de cette classe a été générée à partir du fichier suivant :
  • SearchHelper.php


Joomla CMS: Référence de la classe TagsHelper

  • Joomla
  • CMS
  • Helper
  • TagsHelper
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés
Référence de la classe TagsHelper
+ Graphe d'héritage de TagsHelper:
CMSHelper

Fonctions membres publiques

addTagMapping ($ucmId, TableInterface $table, $tags=array())
createTagsFromField ($tags)
createTagsFromMetadata ($metadata)
getItemTags ($contentType, $id, $getTagData=true)
getTagIds ($ids, $prefix)
getTagItemsQuery ($tagId, $typesr=null, $includeChildren=false, $orderByOption='c.core_title', $orderDir='ASC', $anyOrAll=true, $languageFilter='all', $stateFilter='0, 1')
getTagNames ($tagIds)
getTagTreeArray ($id, &$tagTreeArray=array())
getTypeId ($typeAlias)
postStoreProcess (TableInterface $table, $newTags=array(), $replace=true)
preStoreProcess (TableInterface $table, $newTags=array())
tagDeleteInstances ($tagId)
tagItem ($ucmId, TableInterface $table, $tags=array(), $replace=true)
unTagItem ($contentId, TableInterface $table, $tags=array())
- Fonctions membres publiques hérités de CMSHelper
getCurrentLanguage ($detectBrowser=true)
getLanguageId ($langCode)
getRowData (TableInterface $table)
getDataObject (TableInterface $table)

Fonctions membres publiques statiques

static | convertPathsToNames ($tags)
static | getTypes ($arrayType='objectList', $selectTypes=null, $useAlias=true)
static | searchTags ($filters=array())

Champs de données

$typeAlias = null

Attributs protégés

$tagsChanged = false
$replaceTags = false

Description détaillée

Tags helper class, provides methods to perform various tasks relevant tagging of content.

Depuis
3.1

Documentation des fonctions membres

◆ addTagMapping()

addTagMapping | ( |  | $ucmId,
 |  | TableInterface | $table,
 |  |  | $tags = array()
 | ) |  |

Method to add tag rows to mapping table.

Paramètres
integer | $ucmId | ID of the #__ucm_content item being tagged
TableInterface | $table | Table object being tagged
array | $tags | Array of tags to be applied.
Renvoie
boolean true on success, otherwise false.
Depuis
3.1

Références $db, $item, $key, $query, TableInterface\getDbo(), et TableInterface\getKeyName().

◆ convertPathsToNames()

static convertPathsToNames ( $tags )
static

Function that converts tags paths into paths of names

Paramètres
array $tags Array of tags
Renvoie
array
Depuis
3.1

Références $db, et $query.

Référencé par TagField\getOptions().

◆ createTagsFromField()

createTagsFromField ( $tags )

Create any new tags by looking for #new# in the strings

Paramètres
array $tags Tags text array from the field
Renvoie
mixed If successful, metadata with new tag titles replaced by tag ids. Otherwise false.
Depuis
3.1

Références $canCreate, $key, Table\addIncludePath(), Table\getInstance(), et JPATH_ADMINISTRATOR.

◆ createTagsFromMetadata()

createTagsFromMetadata ( $metadata )

Create any new tags by looking for #new# in the metadata

Paramètres
string $metadata Metadata JSON string
Renvoie
mixed If successful, metadata with new tag titles replaced by tag ids. Otherwise false.
Depuis
3.1
Obsolète:
4.0 This method is no longer used in the CMS and will not be replaced.

Références Table\addIncludePath(), Table\getInstance(), JPATH_ADMINISTRATOR, et json_encode.

◆ getItemTags()

getItemTags | ( | $contentType,
 |  | $id,
 |  | $getTagData = true
 | ) |

Method to get a list of tags for an item, optionally with the tag data.

Paramètres
string | $contentType | Content type alias. Dot separated.
integer | $id | Id of the item to retrieve tags for.
boolean | $getTagData | If true, data from the tags table will be included, defaults to true.
Renvoie
array Array of of tag objects
Depuis
3.1

Références $db, $groups, $id, $language, $query, $user, et ComponentHelper\getParams().

◆ getTagIds()

getTagIds | ( | $ids,
 |  | $prefix
 | ) |

Method to get a list of tags for a given item. Normally used for displaying a list of tags within a layout

Paramètres
mixed | $ids | The id or array of ids (primary key) of the item to be tagged.
string | $prefix | Dot separated string with the option and view to be used for a url.
Renvoie
string Comma separated list of tag Ids.
Depuis
3.1

Ids possible formats:

$id = 1; $id = array(1,2); $id = array('1,3,4,19'); $id = '1,3';

Références $db, $prefix, $query, et ArrayHelper\toInteger().

◆ getTagItemsQuery()

getTagItemsQuery | ( |  | $tagId,
 |  |  | $typesr = null,
 |  |  | $includeChildren = false,
 |  |  | $orderByOption = 'c.core_title',
 |  |  | $orderDir = 'ASC',
 |  |  | $anyOrAll = true,
 |  |  | $languageFilter = 'all',
 |  |  | $stateFilter = '0,
 |  | 1' |
 | ) |  |

Method to get a query to retrieve a detailed list of items for a tag.

Paramètres
mixed | $tagId | Tag or array of tags to be matched
mixed | $typesr | Null, type or array of type aliases for content types to be included in the results
boolean | $includeChildren | True to include the results from child tags
string | $orderByOption | Column to order the results by
string | $orderDir | Direction to sort the results in
boolean | $anyOrAll | True to include items matching at least one tag, false to include items all tags in the array.
string | $languageFilter | Optional filter on language. Options are 'all', 'current' or any string.
string | $stateFilter | Optional filtering on publication state, defaults to published or unpublished.
Renvoie
Query to retrieve a list of tags
Depuis
3.1

Références $db, $groups, $language, $query, $type, $user, et ArrayHelper\toInteger().

◆ getTagNames()

getTagNames ( $tagIds )

Function that converts tag ids to their tag names

Paramètres
array $tagIds Array of integer tag ids.
Renvoie
array An array of tag names.
Depuis
3.1

Références $db, $query, et ArrayHelper\toInteger().

◆ getTagTreeArray()

getTagTreeArray | ( |  | $id,
 |  | & | $tagTreeArray = array()
 | ) |  |

Method to get an array of tag ids for the current tag and its children

Paramètres
integer | $id | An optional ID
array | &$tagTreeArray | Array containing the tag tree
Renvoie
mixed
Depuis
3.1

Références $id, Table\addIncludePath(), Table\getInstance(), et JPATH_ADMINISTRATOR.

◆ getTypeId()

getTypeId ( $typeAlias )

Method to get the type id for a type alias.

Paramètres
string $typeAlias A type alias.
Renvoie
string Name of the table for a type
Depuis
3.1
Obsolète:
4.0 Use ::getTypeId() instead

◆ getTypes()

static getTypes | ( | $arrayType = 'objectList',
 |  | $selectTypes = null,
 |  | $useAlias = true
 | ) |
static

Method to get a list of types with associated data.

Paramètres
string | $arrayType | Optionally specify that the returned list consist of objects, associative arrays, or arrays. Options are: rowList, assocList, and objectList
array | $selectTypes | Optional array of type ids to limit the results to. Often from a request.
boolean | $useAlias | If true, the alias is used to match, if false the type_id is used.
Renvoie
array Array of of types
Depuis
3.1

Références $db, $query, et ArrayHelper\toInteger().

◆ postStoreProcess()

postStoreProcess | ( | TableInterface | $table,
 |  |  | $newTags = array(),
 |  |  | $replace = true
 | ) |  |

Function that handles saving tags used in a table class after a store()

Paramètres
TableInterface | $table | Table being processed
array | $newTags | Array of new tags
boolean | $replace | Flag indicating if all existing tags should be replaced
Renvoie
boolean
Depuis
3.1

Références $data, $key, Table\getInstance(), et TableInterface\reset().

◆ preStoreProcess()

preStoreProcess | ( | TableInterface | $table,
 |  |  | $newTags = array()
 | ) |  |

Function that preProcesses data from a table prior to a store() to ensure proper tag handling

Paramètres
TableInterface | $table | Table being processed
array | $newTags | Array of new tags
Renvoie
null
Depuis
3.1

Références $key, et TableInterface\reset().

◆ searchTags()

static searchTags ( $filters = array() )
static

Function to search tags

Paramètres
array $filters Filter to apply to the search
Renvoie
array
Depuis
3.1

Références $db, $filters, $groups, $query, $results, Table\addIncludePath(), Table\getInstance(), JPATH_ADMINISTRATOR, et ArrayHelper\toInteger().

◆ tagDeleteInstances()

tagDeleteInstances ( $tagId )

Method to delete all instances of a tag from the mapping table. Generally used when a tag is deleted.

Paramètres
integer $tagId The tag_id (primary key) for the deleted tag.
Renvoie
void
Depuis
3.1

Références $db, et $query.

◆ tagItem()

tagItem | ( |  | $ucmId,
 |  | TableInterface | $table,
 |  |  | $tags = array(),
 |  |  | $replace = true
 | ) |  |

Method to add or update tags associated with an item.

Paramètres
integer | $ucmId | Id of the #__ucm_content item being tagged
TableInterface | $table | Table object being tagged
array | $tags | Array of tags to be applied.
boolean | $replace | Flag indicating if all existing tags should be replaced
Renvoie
boolean true on success, otherwise false.
Depuis
3.1

Références $key.

◆ unTagItem()

unTagItem | ( |  | $contentId,
 |  | TableInterface | $table,
 |  |  | $tags = array()
 | ) |  |

Method to untag an item

Paramètres
integer | $contentId | ID of the content item being untagged
TableInterface | $table | Table object being untagged
array | $tags | Array of tags to be untagged. Use an empty array to untag all existing tags.
Renvoie
boolean true on success, otherwise false.
Depuis
3.1

Références $db, $id, $key, $query, TableInterface\getKeyName(), et ArrayHelper\toInteger().

Documentation des champs

◆ $replaceTags

$replaceTags = false
protected

◆ $tagsChanged

$tagsChanged = false
protected

◆ $typeAlias

$typeAlias = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • TagsHelper.php


Joomla CMS: Référence de la classe UserGroupsHelper

  • Joomla
  • CMS
  • Helper
  • UserGroupsHelper
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres privées | Attributs privés | Attributs privés statiques
Référence de la classe UserGroupsHelper

Fonctions membres publiques

__construct (array $groups=array(), $mode=self::MODE_INSTANCE)
count ()
get ($id)
getAll ()
has ($id)
total ()
load ($id)
loadAll ()
populateGroupData ($group)
setGroups (array $groups)

Fonctions membres publiques statiques

static getInstance ()

Champs de données

const | MODE_SINGLETON = 1
const | MODE_INSTANCE = 2

Fonctions membres privées

isSingleton ()
populateGroupsData ()

Attributs privés

$groups = array()
$mode
$total

Attributs privés statiques

static $instance

Description détaillée

Helper to deal with user groups.

Depuis
3.6.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | array | $groups = array(),
 |  |  | $mode = self::MODE_INSTANCE
 | ) |  |

Constructor

Paramètres
array | $groups | Array of groups
integer | $mode | Working mode for this class
Depuis
3.6.3

Références $groups, et $mode.

Documentation des fonctions membres

◆ count()

count ( )

Count loaded user groups.

Renvoie
integer
Depuis
3.6.3

◆ get()

get ( $id )

Get a user group by its id.

Paramètres
integer $id Group identifier
Renvoie
mixed stdClass on success. False otherwise
Depuis
3.6.3

Références $id.

◆ getAll()

getAll ( )

Get the list of existing user groups.

Renvoie
array
Depuis
3.6.3

Références $groups.

◆ getInstance()

static getInstance ( )
static

Get the helper instance.

Renvoie
self
Depuis
3.6.3

Références $groups, et null.

Référencé par UsergrouplistField\getOptions().

◆ has()

has ( $id )

Check if a group is in the list.

Paramètres
integer $id Group identifier
Renvoie
boolean
Depuis
3.6.3

Références $id.

◆ isSingleton()

isSingleton ( )
private

Check if this instance is a singleton.

Renvoie
boolean
Depuis
3.6.3

◆ load()

load ( $id )

Load a group from database.

Paramètres
integer $id Group identifier
Renvoie
mixed
Depuis
3.6.3

Références $db, $id, et $query.

◆ loadAll()

loadAll ( )

Load all user groups from the database.

Renvoie
self
Depuis
3.6.3

Références $db, $groups, et $query.

◆ populateGroupData()

populateGroupData ( $group )

Populate data for a specific user group.

Paramètres
\stdClass $group Group
Renvoie
Depuis
3.6.3

Références if.

◆ populateGroupsData()

populateGroupsData ( )
private

Populates extra information for groups.

Renvoie
array
Depuis
3.6.3

Références $groups.

◆ setGroups()

setGroups ( array $groups )

Set the groups to be used as source.

Paramètres
array $groups Array of user groups.
Renvoie
self
Depuis
3.6.3

Références $groups.

◆ total()

total ( )

Get total available user groups in database.

Renvoie
integer
Depuis
3.6.3

Références $db, $query, $total, et null.

Documentation des champs

◆ $groups

$groups = array()
private

◆ $instance

$instance
staticprivate

◆ $mode

$mode
private

◆ $total

$total
private

◆ MODE_INSTANCE

const MODE_INSTANCE = 2

◆ MODE_SINGLETON

const MODE_SINGLETON = 1
La documentation de cette classe a été générée à partir du fichier suivant :
  • UserGroupsHelper.php


Joomla CMS: Référence de la classe HTMLHelper

  • Joomla
  • CMS
  • HTML
  • HTMLHelper
Fonctions membres publiques statiques | Attributs publics statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe HTMLHelper

Fonctions membres publiques statiques

static | _ ($key)
static | register ($key, $function)
static | unregister ($key)
static | isRegistered ($key)
static | link ($url, $text, $attribs=null)
static | iframe ($url, $name, $attribs=null, $noFrames='')
static | image ($file, $alt, $attribs=null, $relative=false, $returnPath=0)
static | stylesheet ($file, $options=array(), $attribs=array())
static | script ($file, $options=array(), $attribs=array())
static | setFormatOptions ($options)
static | date ($input='now', $format=null, $tz=true, $gregorian=false)
static | tooltip ($tooltip, $title='', $image='tooltip.png', $text='', $href='', $alt='Tooltip', $class='hasTooltip')
static | tooltipText ($title='', $content='', $translate=true, $escape=true)
static | calendar ($value, $name, $id, $format='%Y-%m-%d', $attribs=array())
static | addIncludePath ($path='')
static | getJSObject (array $array=array())

Attributs publics statiques

static $formatOptions = array('format.depth' => 0, 'format.eol' => "\n", 'format.indent' => "\t")

Fonctions membres protégées statiques

static | extract ($key)
static | call ($function, $args)
static | getMd5Version ($path)
static | includeRelativeFiles ($folder, $file, $relative, $detectBrowser, $detectDebug)

Attributs protégés statiques

static | $includePaths = array()
static | $registry = array()

Description détaillée

Utility class for all HTML drawing classes

Depuis
1.5

Documentation des fonctions membres

◆ _()

static _ ( $key )
static

Class loader method

Additional arguments may be supplied and are passed to the sub-class. Additional include paths are also able to be specified for third-party use

Paramètres
string $key The name of helper method to load, (prefix).(class).function prefix and class are optional and can be used to load custom html helpers.
Renvoie
mixed Result of HTMLHelper::call($function, $args)
Depuis
1.5
Exceptions

Références $className, $file, $function, $key, $path, $prefix, et JLoader\register().

Référencé par PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), et Text\script().

◆ addIncludePath()

static addIncludePath ( $path = '' )
static

Add a directory where HTMLHelper should search for helpers. You may either pass a string or an array of directories.

Paramètres
string $path A path to search.
Renvoie
array An array with directory elements
Depuis
1.5

Références $path.

◆ calendar()

static calendar | ( | $value,
 |  | $name,
 |  | $id,
 |  | $format = '%Y-%m-%d',
 |  | $attribs = array()
 | ) |
static

Displays a calendar control field

Paramètres
string | $value | The date value
string | $name | The name of the text field
string | $id | The id of the text field
string | $format | The date format
mixed | $attribs | Additional HTML attributes The array can have the following keys: readonly Sets the readonly parameter for the input tag disabled Sets the disabled parameter for the input tag autofocus Sets the autofocus parameter for the input tag autocomplete Sets the autocomplete parameter for the input tag filter Sets the filter for the input tag
Renvoie
string HTML markup for a calendar field
Depuis
1.5

Références $attribs, $autocomplete, $autofocus, $class, $data, $direction, $disabled, $filter, $format, $hint, $id, $inputvalue, $name, $onchange, $readonly, $required, $value, elseif, Factory\getDbo(), Factory\getDocument(), Factory\getLanguage(), JPATH_ROOT, null, et LayoutHelper\render().

◆ call()

static call | ( | $function,
 |  | $args
 | ) |
staticprotected

Function caller method

Paramètres
callable | $function | Function or method to call
array | $args | Arguments to be passed to function
Renvoie
mixed Function result or false on error.

1.6

Références $function.

◆ date()

static date | ( | $input = 'now',
 |  | $format = null,
 |  | $tz = true,
 |  | $gregorian = false
 | ) |
static

Returns formatted date according to a given format and time zone.

Paramètres
string | $input | String in a format accepted by date(), defaults to "now".
string | $format | The date format specification string (see PHP_MANUAL#date).
mixed | $tz | Time zone to be used for the date. Special cases: boolean true for user setting, boolean false for server setting.
boolean | $gregorian | True to use Gregorian calendar.
Renvoie
string A date translated by the given format and time zone.
Voir également
strftime
Depuis
1.5

Références $date, $format, $input, elseif, Factory\getConfig(), Factory\getDate(), Factory\getLanguage(), Factory\getUser(), et null.

◆ extract()

static extract ( $key )
staticprotected

Method to extract a key

Paramètres
string $key The name of helper method to load, (prefix).(class).function prefix and class are optional and can be used to load custom html helpers.
Renvoie
array Contains lowercase key, prefix, file, function.
Depuis
1.6

Références $file, $key, $parts, et $prefix.

◆ getJSObject()

static getJSObject ( array $array = array() )
static

Internal method to get a JavaScript object notation string from an array

Paramètres
array $array The array to convert to JavaScript object notation
Renvoie
string JavaScript object notation representation of the array
Depuis
3.0
Obsolète:
4.0 Use json_encode() or ‘Joomla::toString('json’)` instead

Références $key, Log\add(), elseif, json_encode, null, et Log\WARNING.

◆ getMd5Version()

static getMd5Version ( $path )
staticprotected

Include version with MD5SUM file in path.

Paramètres
string $path Folder name to search into (images, css, js, ...).
Renvoie
string Query string to add.
Depuis
3.7.0
Obsolète:
4.0 Usage of MD5SUM files is deprecated, use version instead.

Références $path, Log\add(), et Log\WARNING.

◆ iframe()

static iframe | ( | $url,
 |  | $name,
 |  | $attribs = null,
 |  | $noFrames = ''
 | ) |
static

Write a <iframe> element

Paramètres
string | $url | The relative URL to use for the src attribute.
string | $name | The target attribute to use.
array | string | $attribs | Attributes to be added to the <iframe> element
string | $noFrames | The message to display if the iframe tag is not supported.
Renvoie
string
Depuis
1.5

Références $attribs, $name, $url, et ArrayHelper\toString().

◆ image()

static image | ( | $file,
 |  | $alt,
 |  | $attribs = null,
 |  | $relative = false,
 |  | $returnPath = 0
 | ) |
static

Write a <img> element

Paramètres
string | $file | The relative or absolute URL to use for the src attribute.
string | $alt | The alt text.
array | string | $attribs | Attributes to be added to the <img> element
boolean | $relative | Flag if the path to the file is relative to the /media folder (and searches in template).
integer | $returnPath | Defines the return value for the method: -1: Returns a <img> tag without looking for relative files 0: Returns a <img> tag while searching for relative files 1: Returns the file path to the image while searching for relative files
Renvoie
string|null HTML markup for the image, relative path to the image, or null if path is to be returned but image is not found
Depuis
1.5

Références $alt, $attribs, $file, null, et ArrayHelper\toString().

◆ includeRelativeFiles()

static includeRelativeFiles | ( | $folder,
 |  | $file,
 |  | $relative,
 |  | $detectBrowser,
 |  | $detectDebug
 | ) |
staticprotected

Compute the files to be included

Paramètres
string | $folder | Folder name to search in (i.e. images, css, js).
string | $file | Path to file.
boolean | $relative | Flag if the path to the file is relative to the /media folder (and searches in template).
boolean | $detectBrowser | Flag if the browser should be detected to include specific browser files.
boolean | $detectDebug | Flag if debug mode is enabled to include uncompressed files if debug is on.
Renvoie
array files to be included.
Voir également
JBrowser
Depuis
1.6

Références $extension, $file, $files, $path, $template, Uri\base(), Factory\getApplication(), Factory\getConfig(), Browser\getInstance(), JPATH_ROOT, JPATH_THEMES, et Uri\root().

◆ isRegistered()

static isRegistered ( $key )
static

Test if the key is registered.

Paramètres
string $key The name of the key
Renvoie
boolean True if the key is registered.
Depuis
1.6

Références $key.

◆ link()

static link | ( | $url,
 |  | $text,
 |  | $attribs = null
 | ) |
static

Write a <a> element

Paramètres
string | $url | The relative URL to use for the href attribute
string | $text | The target attribute to use
array | string | $attribs | Attributes to be added to the <a> element
Renvoie
string
Depuis
1.5

Références $attribs, $text, $url, et ArrayHelper\toString().

◆ register()

static register | ( | $key,
 |  | $function
 | ) |
static

Registers a function to be called with a specific key

Paramètres
string | $key | The name of the key
string | $function | Function or method
Renvoie
boolean True if the function is callable
Depuis
1.6

Références $function, et $key.

◆ script()

static script | ( | $file,
 |  | $options = array(),
 |  | $attribs = array()
 | ) |
static

Write a <script> element to load a JavaScript file

Paramètres
string | $file | Path to file.
array | $options | Array of options. Example: array('version' => 'auto', 'conditional' => 'lt IE 9')
array | $attribs | Array of attributes. Example: array('id' => 'scriptid', 'async' => 'async', 'data-test' => 1)
Renvoie
array|string|null Nothing if $returnPath is false, null, path or array of path if specific JavaScript browser files were detected
Voir également
HTMLHelper::stylesheet()
Depuis
1.5
Obsolète:
4.0 The (file, framework, relative, pathOnly, detectBrowser, detectDebug) method signature is deprecated, use (file, options, attributes) instead.

Références $attribs, $document, $file, $options, Log\add(), Factory\getDocument(), et Log\WARNING.

◆ setFormatOptions()

static setFormatOptions ( $options )
static

Set format related options.

Updates the formatOptions array with all valid values in the passed array.

Paramètres
array $options Option key/value pairs.
Renvoie
void
Voir également
HTMLHelper::$formatOptions
Depuis
1.5

Références $key, et $options.

◆ stylesheet()

static stylesheet | ( | $file,
 |  | $options = array(),
 |  | $attribs = array()
 | ) |
static

Write a <link> element to load a CSS file

Paramètres
string | $file | Path to file
array | $options | Array of options. Example: array('version' => 'auto', 'conditional' => 'lt IE 9')
array | $attribs | Array of attributes. Example: array('id' => 'scriptid', 'async' => 'async', 'data-test' => 1)
Renvoie
array|string|null nothing if $returnPath is false, null, path or array of path if specific CSS browser files were detected
Voir également
Browser
Depuis
1.5
Obsolète:
4.0 The (file, attribs, relative, pathOnly, detectBrowser, detectDebug) method signature is deprecated, use (file, options, attributes) instead.

Références $attribs, $document, $file, $options, Log\add(), Factory\getDocument(), et Log\WARNING.

◆ tooltip()

static tooltip | ( | $tooltip,
 |  | $title = '',
 |  | $image = 'tooltip.png',
 |  | $text = '',
 |  | $href = '',
 |  | $alt = 'Tooltip',
 |  | $class = 'hasTooltip'
 | ) |
static

Creates a tooltip with an image as button

Paramètres
string | $tooltip | The tip string.
mixed | $title | The title of the tooltip or an associative array with keys contained in {'title','image','text','href','alt'} and values corresponding to parameters of the same name.
string | $image | The image for the tip, if no text is provided.
string | $text | The text for the tip.
string | $href | A URL that will be used to create the link.
string | $alt | The alt attribute for img tag.
string | $class | CSS class for the tool tip.
Renvoie
string
Depuis
1.5

Références $alt, $class, $href, $image, $param, $text, $title, $tooltip, ENT_COMPAT, htmlspecialchars, et null.

◆ tooltipText()

static tooltipText | ( | $title = '',
 |  | $content = '',
 |  | $translate = true,
 |  | $escape = true
 | ) |
static

Converts a double colon separated string or 2 separate strings to a string ready for bootstrap tooltips

Paramètres
string | $title | The title of the tooltip (or combined '::' separated string).
string | $content | The content to tooltip.
boolean | $translate | If true will pass texts through JText.
boolean | $escape | If true will pass texts through htmlspecialchars.
Renvoie
string The tooltip string
Depuis
3.1.2

Références $content, $title, elseif, et htmlspecialchars.

◆ unregister()

static unregister ( $key )
static

Removes a key for a method from registry.

Paramètres
string $key The name of the key
Renvoie
boolean True if a set key is unset
Depuis
1.6

Références $key.

Documentation des champs

◆ $formatOptions

$formatOptions = array('format.depth' => 0, 'format.eol' => "\n", 'format.indent' => "\t")
static

◆ $includePaths

$includePaths = array()
staticprotected

◆ $registry

$registry = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • HTMLHelper.php


Joomla CMS: Référence de la classe CurlTransport

  • Joomla
  • CMS
  • Http
  • Transport
  • CurlTransport
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe CurlTransport
+ Graphe d'héritage de CurlTransport:
TransportInterface

Fonctions membres publiques

__construct (Registry $options)
request ($method, Uri $uri, $data=null, array $headers=null, $timeout=null, $userAgent=null)

Fonctions membres publiques statiques

static isSupported ()

Fonctions membres protégées

getResponse ($content, $info)

Attributs protégés

$options

Fonctions membres privées

redirectsAllowed ()

Description détaillée

HTTP transport class for using cURL.

Depuis
1.7.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Registry $options )

Constructor. CURLOPT_FOLLOWLOCATION must be disabled when open_basedir or safe_mode are enabled.

Paramètres
Registry $options Client options object.

1.7.3

Implémente TransportInterface.

Références $options.

Documentation des fonctions membres

◆ getResponse()

getResponse | ( | $content,
 |  | $info
 | ) |
protected

Method to get a response object from a server response.

Paramètres
string | $content | The complete server response, including headers as a string if the response has no errors.
array | $info | The cURL request information.
Renvoie
Response
Depuis
1.7.3
Exceptions

Références $content, $info, $return, et null.

◆ isSupported()

static isSupported ( )
static

Method to check if HTTP transport cURL is available for use

Renvoie
boolean true if available, else false
Depuis
3.0.0

Implémente TransportInterface.

◆ redirectsAllowed()

redirectsAllowed ( )
private

Check if redirects are allowed

Renvoie
boolean
Depuis
3.0.0

Références elseif.

◆ request()

request | ( |  | $method,
 |  | Uri | $uri,
 |  |  | $data = null,
 |  | array | $headers = null,
 |  |  | $timeout = null,
 |  |  | $userAgent = null
 | ) |  |

Send a request to the server and return a HttpResponse object with the response.

Paramètres
string | $method | The HTTP method for sending the request.
Uri | $uri | The URI to the resource to request.
mixed | $data | Either an associative array or a string to be sent with the request.
array | $headers | An array of request headers to send with the request.
integer | $timeout | Read timeout in seconds.
string | $userAgent | The optional user agent string to send with the request.
Renvoie
Response
Depuis
1.7.3
Exceptions

Implémente TransportInterface.

Références $config, $content, $data, $info, $key, $message, $options, $uri, $user, $value, et request.

Documentation des champs

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CurlTransport.php


Joomla CMS: Référence de la classe SocketTransport

  • Joomla
  • CMS
  • Http
  • Transport
  • SocketTransport
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés
Référence de la classe SocketTransport
+ Graphe d'héritage de SocketTransport:
TransportInterface

Fonctions membres publiques

__construct (Registry $options)
request ($method, Uri $uri, $data=null, array $headers=null, $timeout=null, $userAgent=null)

Fonctions membres publiques statiques

static isSupported ()

Fonctions membres protégées

getResponse ($content)
connect (Uri $uri, $timeout=null)

Attributs protégés

$connections
$options

Description détaillée

HTTP transport class for using sockets directly.

Depuis
1.7.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Registry $options )

Constructor.

Paramètres
Registry $options Client options object.
Depuis
1.7.3
Exceptions

Implémente TransportInterface.

Références $options.

Documentation des fonctions membres

◆ connect()

connect | ( | Uri | $uri,
 |  |  | $timeout = null
 | ) |  |
protected

Method to connect to a server and get the resource.

Paramètres
Uri | $uri | The URI to connect with.
integer | $timeout | Read timeout in seconds.
Renvoie
resource Socket connection resource.
Depuis
1.7.3
Exceptions

Références $key, $uri, elseif, et null.

◆ getResponse()

getResponse ( $content )
protected

Method to get a response object from a server response.

Paramètres
string $content The complete server response, including headers.
Renvoie
Response
Depuis
1.7.3
Exceptions

Références $content, et $return.

◆ isSupported()

static isSupported ( )
static

Method to check if http transport socket available for use

Renvoie
boolean True if available else false
Depuis
3.0.0

Implémente TransportInterface.

◆ request()

request | ( |  | $method,
 |  | Uri | $uri,
 |  |  | $data = null,
 |  | array | $headers = null,
 |  |  | $timeout = null,
 |  |  | $userAgent = null
 | ) |  |

Send a request to the server and return a HttpResponse object with the response.

Paramètres
string | $method | The HTTP method for sending the request.
Uri | $uri | The URI to the resource to request.
mixed | $data | Either an associative array or a string to be sent with the request.
array | $headers | An array of request headers to send with the request.
integer | $timeout | Read timeout in seconds.
string | $userAgent | The optional user agent string to send with the request.
Renvoie
Response
Depuis
1.7.3
Exceptions

Implémente TransportInterface.

Références $content, $data, $path, $uri, $value, null, et request.

Documentation des champs

◆ $connections

$connections
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • SocketTransport.php


Joomla CMS: Référence de la classe StreamTransport

  • Joomla
  • CMS
  • Http
  • Transport
  • StreamTransport
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés
Référence de la classe StreamTransport
+ Graphe d'héritage de StreamTransport:
TransportInterface

Fonctions membres publiques

__construct (Registry $options)
request ($method, Uri $uri, $data=null, array $headers=null, $timeout=null, $userAgent=null)

Fonctions membres publiques statiques

static isSupported ()

Fonctions membres protégées

getResponse (array $headers, $body)

Attributs protégés

$options

Description détaillée

HTTP transport class for using PHP streams.

Depuis
1.7.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Registry $options )

Constructor.

Paramètres
Registry $options Client options object.
Depuis
1.7.3
Exceptions

Implémente TransportInterface.

Références $options.

Documentation des fonctions membres

◆ getResponse()

getResponse | ( | array | $headers,
 |  |  | $body
 | ) |  |
protected

Method to get a response object from a server response.

Paramètres
array | $headers | The response headers as an array.
string | $body | The response body as a string.
Renvoie
Response
Depuis
1.7.3
Exceptions

Références $return.

◆ isSupported()

static isSupported ( )
static

Method to check if http transport stream available for use

Renvoie
boolean true if available else false
Depuis
3.0.0

Implémente TransportInterface.

◆ request()

request | ( |  | $method,
 |  | Uri | $uri,
 |  |  | $data = null,
 |  | array | $headers = null,
 |  |  | $timeout = null,
 |  |  | $userAgent = null
 | ) |  |

Send a request to the server and return a HttpResponse object with the response.

Paramètres
string | $method | The HTTP method for sending the request.
Uri | $uri | The URI to the resource to request.
mixed | $data | Either an associative array or a string to be sent with the request.
array | $headers | An array of request headers to send with the request.
integer | $timeout | Read timeout in seconds.
string | $userAgent | The optional user agent string to send with the request.
Renvoie
Response
Depuis
1.7.3
Exceptions

Implémente TransportInterface.

Références $config, $content, $context, $data, $key, $options, $uri, $user, $value, et elseif.

Documentation des champs

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • StreamTransport.php


Joomla CMS: Référence de la classe FactoryWrapper

  • Joomla
  • CMS
  • Http
  • Wrapper
  • FactoryWrapper
Fonctions membres publiques
Référence de la classe FactoryWrapper

Fonctions membres publiques

getHttp (Registry $options=null, $adapters=null)
getAvailableDriver (Registry $options, $default=null)
getHttpTransports ()

Description détaillée

Wrapper class for HttpFactory

Depuis
3.4

Documentation des fonctions membres

◆ getAvailableDriver()

getAvailableDriver | ( | Registry | $options,
 |  |  | $default = null
 | ) |  |

Helper wrapper method for getAvailableDriver

Paramètres
Registry | $options | Option for creating http transport object.
mixed | $default | Adapter (string) or queue of adapters (array) to use.
Renvoie
TransportInterface Interface sub-class
Voir également
HttpFactory::getAvailableDriver()
Depuis
3.4

Références $default, $options, et HttpFactory\getAvailableDriver().

◆ getHttp()

getHttp | ( | Registry | $options = null,
 |  |  | $adapters = null
 | ) |  |

Helper wrapper method for getHttp

Paramètres
Registry | $options | Client options object.
mixed | $adapters | Adapter (string) or queue of adapters (array) to use for communication.
Renvoie
Http Joomla Http class
Voir également
HttpFactory::getHttp()
Depuis
3.4
Exceptions

Références $options, et HttpFactory\getHttp().

◆ getHttpTransports()

getHttpTransports ( )

Helper wrapper method for getHttpTransports

Renvoie
array An array of available transport handlers
Voir également
HttpFactory::getHttpTransports()
Depuis
3.4

Références HttpFactory\getHttpTransports().

La documentation de cette classe a été générée à partir du fichier suivant :
  • FactoryWrapper.php


Joomla CMS: Référence de la classe Http

  • Joomla
  • CMS
  • Http
  • Http
Fonctions membres publiques | Attributs protégés
Référence de la classe Http

Fonctions membres publiques

__construct (Registry $options=null, TransportInterface $transport=null)
getOption ($key)
setOption ($key, $value)
options ($url, array $headers=null, $timeout=null)
head ($url, array $headers=null, $timeout=null)
get ($url, array $headers=null, $timeout=null)
post ($url, $data, array $headers=null, $timeout=null)
put ($url, $data, array $headers=null, $timeout=null)
delete ($url, array $headers=null, $timeout=null)
trace ($url, array $headers=null, $timeout=null)
patch ($url, $data, array $headers=null, $timeout=null)

Attributs protégés

$options
$transport

Description détaillée

HTTP client class.

Depuis
1.7.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | TransportInterface | $transport = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Client options object. If the registry contains any headers.* elements, these will be added to the request headers.
TransportInterface | $transport | The HTTP transport object.
Depuis
1.7.3

Références $options, et HttpFactory\getAvailableDriver().

Documentation des fonctions membres

◆ delete()

delete | ( |  | $url,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the DELETE command to the server.

Paramètres
string | $url | Path to the resource.
array | $headers | An array of name-value pairs to include in the header of the request.
integer | $timeout | Read timeout in seconds.
Renvoie
Response
Depuis
1.7.3

Références $key, $url, et null.

◆ get()

get | ( |  | $url,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the GET command to the server.

Paramètres
string | $url | Path to the resource.
array | $headers | An array of name-value pairs to include in the header of the request.
integer | $timeout | Read timeout in seconds.
Renvoie
Response
Depuis
1.7.3

Références $key, $url, et null.

◆ getOption()

getOption ( $key )

Get an option from the HTTP client.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
1.7.3

Références $key.

◆ head()

head | ( |  | $url,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the HEAD command to the server.

Paramètres
string | $url | Path to the resource.
array | $headers | An array of name-value pairs to include in the header of the request.
integer | $timeout | Read timeout in seconds.
Renvoie
Response
Depuis
1.7.3

Références $key, $url, et null.

◆ options()

options | ( |  | $url,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the OPTIONS command to the server.

Paramètres
string | $url | Path to the resource.
array | $headers | An array of name-value pairs to include in the header of the request.
integer | $timeout | Read timeout in seconds.
Renvoie
Response
Depuis
1.7.3

Références $key, $url, et null.

◆ patch()

patch | ( |  | $url,
 |  |  | $data,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the PATCH command to the server.

Paramètres
string | $url | Path to the resource.
mixed | $data | Either an associative array or a string to be sent with the request.
array | $headers | An array of name-value pairs to include in the header of the request.
integer | $timeout | Read timeout in seconds.
Renvoie
Response
Depuis
3.0.1

Références $data, $key, $url, et null.

◆ post()

post | ( |  | $url,
 |  |  | $data,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the POST command to the server.

Paramètres
string | $url | Path to the resource.
mixed | $data | Either an associative array or a string to be sent with the request.
array | $headers | An array of name-value pairs to include in the header of the request
integer | $timeout | Read timeout in seconds.
Renvoie
Response
Depuis
1.7.3

Références $data, $key, $url, et null.

◆ put()

put | ( |  | $url,
 |  |  | $data,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the PUT command to the server.

Paramètres
string | $url | Path to the resource.
mixed | $data | Either an associative array or a string to be sent with the request.
array | $headers | An array of name-value pairs to include in the header of the request.
integer | $timeout | Read timeout in seconds.
Renvoie
Response
Depuis
1.7.3

Références $data, $key, $url, et null.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the HTTP client.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
Http This object for method chaining.
Depuis
1.7.3

Références $key, et $value.

◆ trace()

trace | ( |  | $url,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the TRACE command to the server.

Paramètres
string | $url | Path to the resource.
array | $headers | An array of name-value pairs to include in the header of the request.
integer | $timeout | Read timeout in seconds.
Renvoie
Response
Depuis
1.7.3

Références $key, $url, et null.

Documentation des champs

◆ $options

$options
protected

◆ $transport

$transport
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Http.php


Joomla CMS: Référence de la classe HttpFactory

  • Joomla
  • CMS
  • Http
  • HttpFactory
Fonctions membres publiques statiques
Référence de la classe HttpFactory

Fonctions membres publiques statiques

static | getHttp (Registry $options=null, $adapters=null)
static | getAvailableDriver (Registry $options, $default=null)
static | getHttpTransports ()

Description détaillée

HTTP factory class.

Depuis
3.0.0

Documentation des fonctions membres

◆ getAvailableDriver()

static getAvailableDriver | ( | Registry | $options,
 |  |  | $default = null
 | ) |  |
static

Finds an available http transport object for communication

Paramètres
Registry | $options | Option for creating http transport object
mixed | $default | Adapter (string) or queue of adapters (array) to use
Renvoie
TransportInterface Interface sub-class
Depuis
3.0.0

Références $class, $default, et $options.

Référencé par Http\__construct(), et FactoryWrapper\getAvailableDriver().

◆ getHttp()

static getHttp | ( | Registry | $options = null,
 |  |  | $adapters = null
 | ) |  |
static

method to receive Http instance.

Paramètres
Registry | $options | Client options object.
mixed | $adapters | Adapter (string) or queue of adapters (array) to use for communication.
Renvoie
Http Joomla Http class
Exceptions

Références $options.

Référencé par HttpBridgePostRequestMethod\__construct(), FeedFactory\getFeed(), FactoryWrapper\getHttp(), UpdateAdapter\getUpdateSiteResponse(), et Update\loadFromXml().

◆ getHttpTransports()

static getHttpTransports ( )
static

Get the http transport handlers

Renvoie
array An array of available transport handlers
Depuis
3.0.0

$file

Références $file, $key, et $names.

Référencé par FactoryWrapper\getHttpTransports().

La documentation de cette classe a été générée à partir du fichier suivant :
  • HttpFactory.php


Joomla CMS: Référence de la classe Response

  • Joomla
  • CMS
  • Http
  • Response
Champs de données
Référence de la classe Response

Champs de données

$code
$headers = array()
$body

Description détaillée

HTTP response data object class.

Depuis
1.7.3

Documentation des champs

◆ $body

$body

◆ $code

$code

◆ $headers

$headers = array()
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Http/Response.php


Joomla CMS: Référence de l'interface TransportInterface

  • Joomla
  • CMS
  • Http
  • TransportInterface
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de l'interface TransportInterface
+ Graphe d'héritage de TransportInterface:
CurlTransport SocketTransport StreamTransport

Fonctions membres publiques

__construct (Registry $options)
request ($method, Uri $uri, $data=null, array $headers=null, $timeout=null, $userAgent=null)

Fonctions membres publiques statiques

static isSupported ()

Description détaillée

HTTP transport class interface.

Depuis
1.7.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Registry $options )

Constructor.

Paramètres
Registry $options Client options object.
Depuis
1.7.3

Implémenté dans SocketTransport, CurlTransport, et StreamTransport.

Documentation des fonctions membres

◆ isSupported()

static isSupported ( )
static

Method to check if HTTP transport is available for use

Renvoie
boolean True if available else false
Depuis
3.0.0

Implémenté dans SocketTransport, CurlTransport, et StreamTransport.

◆ request()

request | ( |  | $method,
 |  | Uri | $uri,
 |  |  | $data = null,
 |  | array | $headers = null,
 |  |  | $timeout = null,
 |  |  | $userAgent = null
 | ) |  |

Send a request to the server and return a HttpResponse object with the response.

Paramètres
string | $method | The HTTP method for sending the request.
Uri | $uri | The URI to the resource to request.
mixed | $data | Either an associative array or a string to be sent with the request.
array | $headers | An array of request headers to send with the request.
integer | $timeout | Read timeout in seconds.
string | $userAgent | The optional user agent string to send with the request.
Renvoie
Response
Depuis
1.7.3

Implémenté dans StreamTransport, SocketTransport, et CurlTransport.

La documentation de cette interface a été générée à partir du fichier suivant :
  • TransportInterface.php


Joomla CMS: Référence de la classe Image

  • Joomla
  • CMS
  • Image
  • Image
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe Image
+ Graphe d'héritage de Image:
Image LoggerAwareInterface

Fonctions membres publiques

__construct ($source=null)
- Fonctions membres publiques hérités de Image
__construct ($source=null)
getHandle ()
getLogger ()
setLogger (LoggerInterface $logger)
getOrientation ()
generateThumbs ($thumbSizes, $creationMethod=self::SCALE_INSIDE)
createThumbs ($thumbSizes, $creationMethod=self::SCALE_INSIDE, $thumbsFolder=null)
crop ($width, $height, $left=null, $top=null, $createNew=true)
filter ($type, array $options=array())
getHeight ()
getWidth ()
getPath ()
isLoaded ()
isTransparent ()
loadFile ($path)
resize ($width, $height, $createNew=true, $scaleMethod=self::SCALE_INSIDE)
cropResize ($width, $height, $createNew=true)
rotate ($angle, $background=-1, $createNew=true)
flip ($mode, $createNew=true)
watermark (Image $watermark, $transparency=50, $bottomMargin=0, $rightMargin=0)
toFile ($path, $type=IMAGETYPE_JPEG, array $options=array())
destroy ()
__destruct ()
setThumbnailGenerate ($quality=true)

Fonctions membres protégées

getFilterInstance ($type)
- Fonctions membres protégées hérités de Image
getFilterInstance ($type)
prepareDimensions ($width, $height, $scaleMethod)
sanitizeHeight ($height, $width)
sanitizeOffset ($offset)
sanitizeWidth ($width, $height)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Image
static | getImageFileProperties ($path)
- Champs de données hérités de Image
const | SCALE_FILL = 1
const | SCALE_INSIDE = 2
const | SCALE_OUTSIDE = 3
const | CROP = 4
const | CROP_RESIZE = 5
const | SCALE_FIT = 6
const | ORIENTATION_LANDSCAPE = 'landscape'
const | ORIENTATION_PORTRAIT = 'portrait'
const | ORIENTATION_SQUARE = 'square'
- Attributs protégés hérités de Image
$handle
$path
$logger
$generateBestQuality = true
- Attributs protégés statiques hérités de Image
static | $formats = array()

Description détaillée

Class to manipulate an image.

Depuis
1.7.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $source = null )

Class constructor.

Paramètres
mixed $source Either a file path for a source image or a GD resource handler for an image.
Depuis
1.7.3
Exceptions

Références Log\createDelegatedLogger(), et Psr\Log\setLogger().

Documentation des fonctions membres

◆ getFilterInstance()

getFilterInstance ( $type )
protected

Method to get an image filter instance of a specified type.

Paramètres
string $type The image filter type to get.
Renvoie
ImageFilter
Depuis
1.7.3
Exceptions

Références $className, $type, Log\add(), et Log\ERROR.

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Image/Image.php


Joomla CMS: Référence de la classe ImageFilter

  • Joomla
  • CMS
  • Image
  • ImageFilter
Fonctions membres publiques
Référence de la classe ImageFilter
+ Graphe d'héritage de ImageFilter:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

__construct ($handle)
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Class to manipulate an image.

Depuis
1.7.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $handle )

Class constructor.

Paramètres
resource $handle The image resource on which to apply the filter.
Depuis
1.7.3

Références Log\createDelegatedLogger(), et Psr\Log\setLogger().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Image/ImageFilter.php


Joomla CMS: Référence de la classe Cli

  • Joomla
  • CMS
  • Input
  • Cli
Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe Cli
+ Graphe d'héritage de Cli:
Input Input

Fonctions membres publiques

__construct (array $source=null, array $options=array())
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
getArray (array $vars=array(), $datasource=null, $defaultFilter='unknown')
unserialize ($input)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Champs de données

$executable
$args = array()

Fonctions membres protégées

parseArguments ()
- Fonctions membres protégées hérités de Input
getArrayRecursive (array $vars=array(), $datasource=null, $defaultFilter='unknown', $recursion=false)
- Fonctions membres protégées hérités de Input
loadAllInputs ()

Membres hérités additionnels

- Attributs protégés hérités de Input
$inputs = array()
- Attributs protégés hérités de Input
$options = array()
$filter
$data = array()
$inputs = array()
- Attributs protégés statiques hérités de Input
static $loaded = false

Description détaillée

Joomla! Input CLI Class

Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | array | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Source data (Optional, default is $_REQUEST)
array | $options | Array of configuration parameters (Optional)
Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Références Input\$options, et InputFilter\getInstance().

Documentation des fonctions membres

◆ parseArguments()

parseArguments ( )
protected

Initialise the options and arguments

Not supported: -abc c-value

Renvoie
void
Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Références $i, $key, $value, Input\count(), et elseif.

◆ serialize()

serialize ( )

Method to serialize the input.

Renvoie
string The serialized input.
Depuis
3.0.0
Obsolète:
5.0 Use Joomla instead

Références Input\$inputs, Input\loadAllInputs(), et Input\serialize().

◆ unserialize()

unserialize ( $input )

Method to unserialize the input.

Paramètres
string $input The serialized input.
Renvoie
Input The input object.
Depuis
3.0.0
Obsolète:
5.0 Use Joomla instead

Références $input, InputFilter\getInstance(), et Input\unserialize().

Documentation des champs

◆ $args

$args = array()

◆ $executable

$executable
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Input/Cli.php


Joomla CMS: Référence de la classe Cookie

  • Joomla
  • CMS
  • Input
  • Cookie
Fonctions membres publiques
Référence de la classe Cookie
+ Graphe d'héritage de Cookie:
Input Input

Fonctions membres publiques

__construct (array $source=null, array $options=array())
set ($name, $value, $expire=0, $path='', $domain='', $secure=false, $httpOnly=false)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
getArray (array $vars=array(), $datasource=null, $defaultFilter='unknown')
unserialize ($input)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de Input
getArrayRecursive (array $vars=array(), $datasource=null, $defaultFilter='unknown', $recursion=false)
- Fonctions membres protégées hérités de Input
loadAllInputs ()
- Attributs protégés hérités de Input
$inputs = array()
- Attributs protégés hérités de Input
$options = array()
$filter
$data = array()
$inputs = array()
- Attributs protégés statiques hérités de Input
static $loaded = false

Description détaillée

Joomla! Input Cookie Class

Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | array | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Ignored.
array | $options | Array of configuration parameters (Optional)
Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Références Input\$options, et InputFilter\getInstance().

Documentation des fonctions membres

◆ set()

set | ( | $name,
 |  | $value,
 |  | $expire = 0,
 |  | $path = '',
 |  | $domain = '',
 |  | $secure = false,
 |  | $httpOnly = false
 | ) |

Sets a value

Paramètres
string | $name | Name of the value to set.
mixed | $value | Value to assign to the input.
integer | $expire | The time the cookie expires. This is a Unix timestamp so is in number of seconds since the epoch. In other words, you'll most likely set this with the time() function plus the number of seconds before you want it to expire. Or you might use mktime(). time()+60*60*24*30 will set the cookie to expire in 30 days. If set to 0, or omitted, the cookie will expire at the end of the session (when the browser closes).
string | $path | The path on the server in which the cookie will be available on. If set to '/', the cookie will be available within the entire domain. If set to '/foo/', the cookie will only be available within the /foo/ directory and all sub-directories such as /foo/bar/ of domain. The default value is the current directory that the cookie is being set in.
string | $domain | The domain that the cookie is available to. To make the cookie available on all subdomains of example.com (including example.com itself) then you'd set it to '.example.com'. Although some browsers will accept cookies without the initial ., RFC 2109 requires it to be included. Setting the domain to 'www.example.com' or '.www.example.com' will make the cookie only available in the www subdomain.
boolean | $secure | Indicates that the cookie should only be transmitted over a secure HTTPS connection from the client. When set to TRUE, the cookie will only be set if a secure connection exists. On the server-side, it's on the programmer to send this kind of cookie only on secure connection (e.g. with respect to $_SERVER["HTTPS"]).
boolean | $httpOnly | When TRUE the cookie will be made accessible only through the HTTP protocol. This means that the cookie won't be accessible by scripting languages, such as JavaScript. This setting can effectively help to reduce identity theft through XSS attacks (although it is not supported by all browsers).
Renvoie
void

setcookie() 1.7.0 deprecated 861.

Références $key, $name, $path, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Input/Cookie.php


Joomla CMS: Référence de la classe Files

  • Joomla
  • CMS
  • Input
  • Files
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe Files
+ Graphe d'héritage de Files:
Input Input

Fonctions membres publiques

__construct (array $source=null, array $options=array())
get ($name, $default=null, $filter='cmd')
set ($name, $value)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
getArray (array $vars=array(), $datasource=null, $defaultFilter='unknown')
unserialize ($input)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Fonctions membres protégées

decodeData (array $data)
- Fonctions membres protégées hérités de Input
getArrayRecursive (array $vars=array(), $datasource=null, $defaultFilter='unknown', $recursion=false)
- Fonctions membres protégées hérités de Input
loadAllInputs ()

Attributs protégés

$decodedData = array()
- Attributs protégés hérités de Input
$inputs = array()
- Attributs protégés hérités de Input
$options = array()
$filter
$data = array()
$inputs = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de Input
static $loaded = false

Description détaillée

Joomla! Input Files Class

Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | array | $source = null,
 |  | array | $options = array()
 | ) |  |

The class constructor.

Paramètres
array | $source | The source argument is ignored. $_FILES is always used.
array | $options | An optional array of configuration options: filter : a custom JFilterInput object.
Depuis
3.0.0
Obsolète:
5.0 Use Joomla instead

Références Input\$options, et InputFilter\getInstance().

Documentation des fonctions membres

◆ decodeData()

decodeData ( array $data )
protected

Method to decode a data array.

Paramètres
array $data The data array to decode.
Renvoie
array
Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Références Input\$data.

◆ get()

get | ( | $name,
 |  | $default = null,
 |  | $filter = 'cmd'
 | ) |

Gets a value from the input data.

Paramètres
string | $name | The name of the input property (usually the name of the files INPUT tag) to get.
mixed | $default | The default value to return if the named property does not exist.
string | $filter | The filter to apply to the value.
Renvoie
mixed The filtered input value.
Voir également
JFilterInput::clean()
Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Références $default, Input\$filter, $name, $results, et InputFilter\isSafeFile().

◆ set()

set | ( | $name,
 |  | $value
 | ) |

Sets a value.

Paramètres
string | $name | The name of the input property to set.
mixed | $value | The value to assign to the input property.
Renvoie
void
Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Documentation des champs

◆ $decodedData

$decodedData = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Input/Files.php


Joomla CMS: Référence de la classe Input

  • Joomla
  • CMS
  • Input
  • Input
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs privés statiques
Référence de la classe Input
+ Graphe d'héritage de Input:
Input Cli Cookie Files Json

Fonctions membres publiques

__construct ($source=null, array $options=array())
__get ($name)
getArray (array $vars=array(), $datasource=null, $defaultFilter='unknown')
unserialize ($input)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Fonctions membres protégées

getArrayRecursive (array $vars=array(), $datasource=null, $defaultFilter='unknown', $recursion=false)
- Fonctions membres protégées hérités de Input
loadAllInputs ()

Attributs protégés

$inputs = array()
- Attributs protégés hérités de Input
$options = array()
$filter
$data = array()
$inputs = array()

Attributs privés statiques

static $allowedGlobals = array('REQUEST', 'GET', 'POST', 'FILES', 'SERVER', 'ENV')

Membres hérités additionnels

- Attributs protégés statiques hérités de Input
static $loaded = false

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Source data (Optional, default is $_REQUEST)
array | $options | Array of configuration parameters (Optional)
Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Références Input\$options, et InputFilter\getInstance().

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to get an input object

Paramètres
mixed $name Name of the input object to retrieve.
Renvoie
Input The request input object
Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Références $className, $GLOBALS, $name, et null.

◆ getArray()

getArray | ( | array | $vars = array(),
 |  |  | $datasource = null,
 |  |  | $defaultFilter = 'unknown'
 | ) |  |

Gets an array of values from the request.

Paramètres
array | $vars | Associative array of keys and filter types to apply. If empty and datasource is null, all the input data will be returned but filtered using the filter given by the parameter defaultFilter in JFilterInput::clean.
mixed | $datasource | Array to retrieve data from, or null.
string | $defaultFilter | Default filter used in JFilterInput::clean if vars is empty and datasource is null. If 'unknown', the default case is used in JFilterInput::clean.
Renvoie
mixed The filtered input data.
Depuis
1.7.0
Obsolète:
5.0 Use Joomla instead

Références Input\getArrayRecursive().

◆ getArrayRecursive()

getArrayRecursive | ( | array | $vars = array(),
 |  |  | $datasource = null,
 |  |  | $defaultFilter = 'unknown',
 |  |  | $recursion = false
 | ) |  |
protected

Gets an array of values from the request.

Paramètres
array | $vars | Associative array of keys and filter types to apply. If empty and datasource is null, all the input data will be returned but filtered using the filter given by the parameter defaultFilter in JFilterInput::clean.
mixed | $datasource | Array to retrieve data from, or null.
string | $defaultFilter | Default filter used in JFilterInput::clean if vars is empty and datasource is null. If 'unknown', the default case is used in JFilterInput::clean.
bool | $recursion | Flag to indicate a recursive function call.
Renvoie
mixed The filtered input data.
Depuis
3.4.2
Obsolète:
5.0 Use Joomla instead

Références Input\$data, Input\$filter, $results, elseif, et null.

Référencé par Input\getArray().

◆ unserialize()

unserialize ( $input )

Method to unserialize the input.

Paramètres
string $input The serialized input.
Renvoie
Input The input object.
Depuis
3.0.0
Obsolète:
5.0 Use Joomla instead

Références $input, et InputFilter\getInstance().

Référencé par Cli\unserialize().

Documentation des champs

◆ $allowedGlobals

$allowedGlobals = array('REQUEST', 'GET', 'POST', 'FILES', 'SERVER', 'ENV')
staticprivate

◆ $inputs

$inputs = array()
protected

Référencé par Cli\serialize().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Input/Input.php


Joomla CMS: Référence de la classe Json

  • Joomla
  • CMS
  • Input
  • Json
Fonctions membres publiques | Attributs privés
Référence de la classe Json
+ Graphe d'héritage de Json:
Input Input

Fonctions membres publiques

__construct (array $source=null, array $options=array())
getRaw ()
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
getArray (array $vars=array(), $datasource=null, $defaultFilter='unknown')
unserialize ($input)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Attributs privés

$_raw

Membres hérités additionnels

- Fonctions membres protégées hérités de Input
getArrayRecursive (array $vars=array(), $datasource=null, $defaultFilter='unknown', $recursion=false)
- Fonctions membres protégées hérités de Input
loadAllInputs ()
- Attributs protégés hérités de Input
$inputs = array()
- Attributs protégés hérités de Input
$options = array()
$filter
$data = array()
$inputs = array()
- Attributs protégés statiques hérités de Input
static $loaded = false

Description détaillée

Joomla! Input JSON Class

This class decodes a JSON string from the raw request data and makes it available via the standard JInput interface.

Depuis
3.0.1
Obsolète:
5.0 Use Joomla instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | array | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Source data (Optional, default is the raw HTTP input decoded from JSON)
array | $options | Array of configuration parameters (Optional)
Depuis
3.0.1
Obsolète:
5.0 Use Joomla instead

Références Input\$options, et InputFilter\getInstance().

Documentation des fonctions membres

◆ getRaw()

getRaw ( )

Gets the raw JSON string from the request.

Renvoie
string The raw JSON string from the request.
Depuis
3.0.1
Obsolète:
5.0 Use Joomla instead

Documentation des champs

◆ $_raw

$_raw
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Input/Json.php


Joomla CMS: Référence de la classe ComponentAdapter

  • Joomla
  • CMS
  • Installer
  • Adapter
  • ComponentAdapter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ComponentAdapter
+ Graphe d'héritage de ComponentAdapter:
InstallerAdapter

Fonctions membres publiques

getElement ($element=null)
loadLanguage ($path=null)
uninstall ($id)
discover ()
refreshManifestCache ()
- Fonctions membres publiques hérités de InstallerAdapter
__construct (Installer $parent, \JDatabaseDriver $db, array $options=array())
discover_install ()
getDiscoverInstallSupported ()
getElement ($element=null)
getManifest ()
getName ()
getRoute ()
install ()
prepareDiscoverInstall ()
setManifest ($manifest)
setRoute ($route)
update ()

Fonctions membres protégées

checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
parseOptionalTags ()
setupInstallPaths ()
setupUpdates ()
_buildAdminMenus ($componentId=null)
_updateSiteMenus ($componentId=null)
_updateMenus ($componentId, $clientId=null)
_rollback_menu ($step)
- Fonctions membres protégées hérités de InstallerAdapter
canUninstallPackageChild ($packageId)
checkExistingExtension ()
checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
doDatabaseTransactions ()
doLoadLanguage ($extension, $source, $base=JPATH_ADMINISTRATOR)
getScriptClassName ()
parseQueries ()
parseOptionalTags ()
setupInstallPaths ()
setupScriptfile ()
setupUpdates ()
storeExtension ()
triggerManifestScript ($method)

Attributs protégés

$oldAdminFiles = null
$oldFiles = null
$manifest_script = null
$install_script = null
- Attributs protégés hérités de InstallerAdapter
$currentExtensionId = null
$element = null
$extension = null
$extensionMessage = ''
$manifest_script = null
$name = null
$route = 'install'
$supportsDiscoverInstall = true
$type

Membres hérités additionnels

- Champs de données hérités de InstallerAdapter
$manifest = null

Description détaillée

Component installer

Depuis
3.1

Documentation des fonctions membres

◆ _buildAdminMenus()

_buildAdminMenus ( $componentId = null )
protected

Method to build menu database entries for a component

Paramètres
int | null $componentId The component ID for which I'm building menus
Renvoie
boolean True if successful
Depuis
3.1

Références $data, $db, $option, $query, et parent.

◆ _rollback_menu()

_rollback_menu ( $step )
protected

Custom rollback method

  • Roll back the component menu item
Paramètres
array $step Installation step to rollback.
Renvoie
boolean True on success
Depuis
3.1

Références $step.

◆ _updateMenus()

_updateMenus | ( | $componentId,
 |  | $clientId = null
 | ) |
protected

Method to update menu database entries for a component in case if the component has been uninstalled before.

Paramètres
int | null | $componentId | The component ID.
int | $clientId | The client id
Renvoie
boolean True if successful
Depuis
3.7.0

Références $clientId, $db, $option, $query, et parent.

◆ _updateSiteMenus()

_updateSiteMenus ( $componentId = null )
protected

Method to update menu database entries for a component in case the component has been uninstalled before. NOTE: This will not update admin menus. Use _updateMenus() instead to update admin menus ase well.

Paramètres
int | null $componentId The component ID.
Renvoie
boolean True if successful
Depuis
3.4.2

◆ checkExtensionInFilesystem()

checkExtensionInFilesystem ( )
protected

Method to check if the extension is present in the filesystem

Renvoie
boolean
Depuis
3.4
Exceptions

Références elseif, et parent.

◆ copyBaseFiles()

copyBaseFiles ( )
protected

Method to copy the extension's base files from the <files> tag(s) and the manifest file

Renvoie
void
Depuis
3.4
Exceptions

Références $path, et parent.

◆ createExtensionRoot()

createExtensionRoot ( )
protected

Method to create the extension root path if necessary

Renvoie
void
Depuis
3.4
Exceptions

Références parent.

◆ discover()

discover ( )

Discover unregistered extensions.

Renvoie
array A list of extensions.
Depuis
3.1

Références $component, $extension, $results, Table\getInstance(), JPATH_ADMINISTRATOR, JPATH_SITE, json_encode, et Installer\parseXMLInstallFile().

◆ getElement()

getElement ( $element = null )

Get the filtered extension element from the manifest

Paramètres
string $element Optional element name to be converted
Renvoie
string The filtered element
Depuis
3.4

◆ loadLanguage()

loadLanguage ( $path = null )

Custom loadLanguage method

Paramètres
string $path The path language files are on.
Renvoie
void
Depuis
3.1

Références $client, $extension, $folder, $path, elseif, JPATH_ADMINISTRATOR, JPATH_SITE, null, et parent.

◆ parseOptionalTags()

parseOptionalTags ( )
protected

Method to parse optional tags in the manifest

Renvoie
void
Depuis
3.4

Références parent.

◆ refreshManifestCache()

refreshManifestCache ( )

Refreshes the extension table cache

Renvoie
boolean Result of operation, true if updated, false on failure
Depuis
3.1

Références $client, ApplicationHelper\getClientInfo(), json_encode, parent, et Installer\parseXMLInstallFile().

◆ setupInstallPaths()

setupInstallPaths ( )
protected

Method to do any prechecks and setup the install paths for the extension

Renvoie
void
Depuis
3.4
Exceptions

Références JPATH_ADMINISTRATOR, JPATH_SITE, et parent.

◆ setupUpdates()

setupUpdates ( )
protected

Method to setup the update routine for the adapter

Renvoie
void
Depuis
3.4

Références null, parent, et Installer\setPath().

◆ uninstall()

uninstall ( $id )

Custom uninstall method for components

Paramètres
integer $id The unique extension id of the component to uninstall
Renvoie
boolean True on success
Depuis
3.1

Manifest Document Setup Section

Installer Trigger Loading and Uninstall

Database Processing Section

Filesystem Processing Section

Références $asset, $category, $db, $id, $query, extension, Table\getInstance(), JPATH_ADMINISTRATOR, JPATH_SITE, et parent.

Documentation des champs

◆ $install_script

$install_script = null
protected

◆ $manifest_script

$manifest_script = null
protected

◆ $oldAdminFiles

$oldAdminFiles = null
protected

◆ $oldFiles

$oldFiles = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ComponentAdapter.php


Joomla CMS: Référence de la classe FileAdapter

  • Joomla
  • CMS
  • Installer
  • Adapter
  • FileAdapter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FileAdapter
+ Graphe d'héritage de FileAdapter:
InstallerAdapter

Fonctions membres publiques

getElement ($element=null)
loadLanguage ($path)
uninstall ($id)
refreshManifestCache ()
- Fonctions membres publiques hérités de InstallerAdapter
__construct (Installer $parent, \JDatabaseDriver $db, array $options=array())
discover_install ()
getDiscoverInstallSupported ()
getElement ($element=null)
getManifest ()
getName ()
getRoute ()
install ()
prepareDiscoverInstall ()
setManifest ($manifest)
setRoute ($route)
update ()

Fonctions membres protégées

copyBaseFiles ()
finaliseInstall ()
parseOptionalTags ()
setupInstallPaths ()
storeExtension ()
extensionExistsInSystem ($extension=null)
populateFilesAndFolderList ()
- Fonctions membres protégées hérités de InstallerAdapter
canUninstallPackageChild ($packageId)
checkExistingExtension ()
checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
doDatabaseTransactions ()
doLoadLanguage ($extension, $source, $base=JPATH_ADMINISTRATOR)
getScriptClassName ()
parseQueries ()
parseOptionalTags ()
setupInstallPaths ()
setupScriptfile ()
setupUpdates ()
storeExtension ()
triggerManifestScript ($method)

Attributs protégés

$scriptElement = null
$supportsDiscoverInstall = false
- Attributs protégés hérités de InstallerAdapter
$currentExtensionId = null
$element = null
$extension = null
$extensionMessage = ''
$manifest_script = null
$name = null
$route = 'install'
$supportsDiscoverInstall = true
$type

Membres hérités additionnels

- Champs de données hérités de InstallerAdapter
$manifest = null

Description détaillée

File installer

Depuis
3.1

Documentation des fonctions membres

◆ copyBaseFiles()

copyBaseFiles ( )
protected

Method to copy the extension's base files from the <files> tag(s) and the manifest file

Renvoie
void
Depuis
3.4
Exceptions

Références $folder, et parent.

◆ extensionExistsInSystem()

extensionExistsInSystem ( $extension = null )
protected

Function used to check if extension is already installed

Paramètres
string $extension The element name of the extension to install
Renvoie
boolean True if extension exists
Depuis
3.1

Références $db, $extension, $id, $query, et parent.

◆ finaliseInstall()

finaliseInstall ( )
protected

Method to finalise the installation processing

Renvoie
void
Depuis
3.4
Exceptions

Références $manifest, $path, Table\getInstance(), JPATH_MANIFESTS, et parent.

◆ getElement()

getElement ( $element = null )

Get the filtered extension element from the manifest

Paramètres
string $element Optional element name to be converted
Renvoie
string The filtered element
Depuis
3.4

Références parent.

◆ loadLanguage()

loadLanguage ( $path )

Custom loadLanguage method

Paramètres
string $path The path on which to find language files.
Renvoie
void
Depuis
3.1

Références $extension, $path, et JPATH_SITE.

◆ parseOptionalTags()

parseOptionalTags ( )
protected

Method to parse optional tags in the manifest

Renvoie
void
Depuis
3.4

Références parent.

◆ populateFilesAndFolderList()

populateFilesAndFolderList ( )
protected

Function used to populate files and folder list

Renvoie
boolean none
Depuis
3.1

Références $file, $files, $folder, $path, $target, JPATH_ROOT, et parent.

◆ refreshManifestCache()

refreshManifestCache ( )

Refreshes the extension table cache

Renvoie
boolean result of operation, true if updated, false on failure
Depuis
3.1

Références JPATH_MANIFESTS, json_encode, parent, et Installer\parseXMLInstallFile().

◆ setupInstallPaths()

setupInstallPaths ( )
protected

Method to do any prechecks and setup the install paths for the extension

Renvoie
void
Depuis
3.4

Références JPATH_MANIFESTS, JPATH_ROOT, name, et parent.

◆ storeExtension()

storeExtension ( )
protected

Method to store the extension to the database

Renvoie
void
Depuis
3.4
Exceptions

Références $name, extension, et parent.

◆ uninstall()

uninstall ( $id )

Custom uninstall method

Paramètres
string $id The id of the file to uninstall
Renvoie
boolean True on success
Depuis
3.1

Références $db, $files, $folder, $id, $query, $row, $target, Table\getInstance(), JPATH_MANIFESTS, JPATH_ROOT, parent, et JLoader\register().

Documentation des champs

◆ $scriptElement

$scriptElement = null
protected

◆ $supportsDiscoverInstall

$supportsDiscoverInstall = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FileAdapter.php


Joomla CMS: Référence de la classe LanguageAdapter

  • Joomla
  • CMS
  • Installer
  • Adapter
  • LanguageAdapter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe LanguageAdapter
+ Graphe d'héritage de LanguageAdapter:
InstallerAdapter

Fonctions membres publiques

install ()
update ()
uninstall ($eid)
discover ()
discover_install ()
refreshManifestCache ()
- Fonctions membres publiques hérités de InstallerAdapter
__construct (Installer $parent, \JDatabaseDriver $db, array $options=array())
discover_install ()
getDiscoverInstallSupported ()
getElement ($element=null)
getManifest ()
getName ()
getRoute ()
install ()
prepareDiscoverInstall ()
setManifest ($manifest)
setRoute ($route)
update ()

Fonctions membres protégées

copyBaseFiles ()
setupInstallPaths ()
storeExtension ()
_install ($cname, $basePath, $clientId, &$element)
getSefString ($itemLanguageTag)
- Fonctions membres protégées hérités de InstallerAdapter
canUninstallPackageChild ($packageId)
checkExistingExtension ()
checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
doDatabaseTransactions ()
doLoadLanguage ($extension, $source, $base=JPATH_ADMINISTRATOR)
getScriptClassName ()
parseQueries ()
parseOptionalTags ()
setupInstallPaths ()
setupScriptfile ()
setupUpdates ()
storeExtension ()
triggerManifestScript ($method)

Attributs protégés

$core = false
- Attributs protégés hérités de InstallerAdapter
$currentExtensionId = null
$element = null
$extension = null
$extensionMessage = ''
$manifest_script = null
$name = null
$route = 'install'
$supportsDiscoverInstall = true
$type

Membres hérités additionnels

- Champs de données hérités de InstallerAdapter
$manifest = null

Description détaillée

Language installer

Depuis
3.1

Documentation des fonctions membres

◆ _install()

_install | ( |  | $cname,
 |  |  | $basePath,
 |  |  | $clientId,
 |  | & | $element
 | ) |  |
protected

Install function that is designed to handle individual clients

Paramètres
string | $cname | Cname
string | $basePath | The base name.
integer | $clientId | The client id.
object | &$element | The XML element.
Renvoie
boolean|integer The extension ID on success, boolean false on failure
Depuis
3.1

Références $basePath, $clientId, $description, $file, $files, $name, $row, elseif, Table\getInstance(), JPATH_INSTALLATION, JPATH_SITE, name, parent, et LanguageHelper\parseXMLLanguageFile().

◆ copyBaseFiles()

copyBaseFiles ( )
protected

Method to copy the extension's base files from the <files> tag(s) and the manifest file

Renvoie
void
Depuis
3.4
Exceptions

◆ discover()

discover ( )

Custom discover method Finds language files

Renvoie
boolean True on success
Depuis
3.1

Références $extension, $language, $results, Table\getInstance(), JPATH_ADMINISTRATOR, JPATH_SITE, json_encode, et Installer\parseXMLInstallFile().

◆ discover_install()

discover_install ( )

Custom discover install method Basically updates the manifest cache and leaves everything alone

Renvoie
integer The extension id
Depuis
3.1

Références $client, ApplicationHelper\getClientInfo(), json_encode, parent, et Installer\parseXMLInstallFile().

◆ getSefString()

getSefString ( $itemLanguageTag )
protected

Gets a unique language SEF string.

This function checks other existing language with the same code, if they exist provides a unique SEF name. For instance: en-GB, en-US and en-AU will share the same SEF code by default: www.mywebsite.com/en/ To avoid this conflict, this function creates an specific SEF in case of existing conflict: For example: www.mywebsite.com/en-au/

Paramètres
string $itemLanguageTag Language Tag.
Renvoie
string
Depuis
3.7.0

Références $db, $langs, et $query.

◆ install()

install ( )

Custom install method

Note: This behaves badly due to hacks made in the middle of 1.5.x to add the ability to install multiple distinct packs in one install. The preferred method is to use a package to install multiple language packs.

Renvoie
boolean|integer The extension ID on success, boolean false on failure
Depuis
3.1

Références $basePath, $client, $clientId, ApplicationHelper\getClientInfo(), JPATH_ADMINISTRATOR, JPATH_SITE, null, et parent.

◆ refreshManifestCache()

refreshManifestCache ( )

Refreshes the extension table cache

Renvoie
boolean result of operation, true if updated, false on failure
Depuis
3.1

Références $client, ApplicationHelper\getClientInfo(), json_encode, parent, et Installer\parseXMLInstallFile().

◆ setupInstallPaths()

setupInstallPaths ( )
protected

Method to do any prechecks and setup the install paths for the extension

Renvoie
void
Depuis
3.4

◆ storeExtension()

storeExtension ( )
protected

Method to store the extension to the database

Renvoie
void
Depuis
3.4
Exceptions

◆ uninstall()

uninstall ( $eid )

Custom uninstall method

Paramètres
string $eid The tag of the language to uninstall
Renvoie
boolean True on success
Depuis
3.1

Références $client, $count, $db, $extension, $params, $path, $query, $user, $users, ApplicationHelper\getClientInfo(), Table\getInstance(), ComponentHelper\getParams(), et parent.

◆ update()

update ( )

Custom update method

Renvoie
boolean True on success, false on failure
Depuis
3.1

Finalization and Cleanup Section

Références $basePath, $client, $clientId, $file, $name, $row, ApplicationHelper\getClientInfo(), Table\getInstance(), if, null, et parent.

Documentation des champs

◆ $core

$core = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • LanguageAdapter.php


Joomla CMS: Référence de la classe LibraryAdapter

  • Joomla
  • CMS
  • Installer
  • Adapter
  • LibraryAdapter
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe LibraryAdapter
+ Graphe d'héritage de LibraryAdapter:
InstallerAdapter

Fonctions membres publiques

getElement ($element=null)
loadLanguage ($path=null)
prepareDiscoverInstall ()
uninstall ($id)
discover ()
refreshManifestCache ()
- Fonctions membres publiques hérités de InstallerAdapter
__construct (Installer $parent, \JDatabaseDriver $db, array $options=array())
discover_install ()
getDiscoverInstallSupported ()
getElement ($element=null)
getManifest ()
getName ()
getRoute ()
install ()
prepareDiscoverInstall ()
setManifest ($manifest)
setRoute ($route)
update ()

Fonctions membres protégées

checkExtensionInFilesystem ()
copyBaseFiles ()
parseOptionalTags ()
setupInstallPaths ()
storeExtension ()
- Fonctions membres protégées hérités de InstallerAdapter
canUninstallPackageChild ($packageId)
checkExistingExtension ()
checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
doDatabaseTransactions ()
doLoadLanguage ($extension, $source, $base=JPATH_ADMINISTRATOR)
getScriptClassName ()
parseQueries ()
parseOptionalTags ()
setupInstallPaths ()
setupScriptfile ()
setupUpdates ()
storeExtension ()
triggerManifestScript ($method)

Membres hérités additionnels

- Champs de données hérités de InstallerAdapter
$manifest = null
- Attributs protégés hérités de InstallerAdapter
$currentExtensionId = null
$element = null
$extension = null
$extensionMessage = ''
$manifest_script = null
$name = null
$route = 'install'
$supportsDiscoverInstall = true
$type

Description détaillée

Library installer

Depuis
3.1

Documentation des fonctions membres

◆ checkExtensionInFilesystem()

checkExtensionInFilesystem ( )
protected

Method to check if the extension is present in the filesystem, flags the route as update if so

Renvoie
void
Depuis
3.4
Exceptions

Références extension, Table\getInstance(), null, parent, et Installer\setPackageUninstall().

◆ copyBaseFiles()

copyBaseFiles ( )
protected

Method to copy the extension's base files from the <files> tag(s) and the manifest file

Renvoie
void
Depuis
3.4
Exceptions

Références parent.

◆ discover()

discover ( )

Custom discover method

Renvoie
array Extension list of extensions available
Depuis
3.1

Références $extension, $file, $folder, $results, DIRECTORY_SEPARATOR, Table\getInstance(), JPATH_MANIFESTS, json_encode, et Installer\parseXMLInstallFile().

◆ getElement()

getElement ( $element = null )

Get the filtered extension element from the manifest

Paramètres
string $element Optional element name to be converted
Renvoie
string The filtered element
Depuis
3.4

◆ loadLanguage()

loadLanguage ( $path = null )

Custom loadLanguage method

Paramètres
string $path The path where to find language files.
Renvoie
void
Depuis
3.1

Références $extension, $path, JPATH_SITE, et parent.

◆ parseOptionalTags()

parseOptionalTags ( )
protected

Method to parse optional tags in the manifest

Renvoie
void
Depuis
3.4

Références parent.

◆ prepareDiscoverInstall()

prepareDiscoverInstall ( )

Prepares the adapter for a discover_install task

Renvoie
void
Depuis
3.4

Références extension, JPATH_MANIFESTS, et parent.

◆ refreshManifestCache()

refreshManifestCache ( )

Refreshes the extension table cache

Renvoie
boolean Result of operation, true if updated, false on failure
Depuis
3.1

Références JPATH_MANIFESTS, json_encode, parent, et Installer\parseXMLInstallFile().

◆ setupInstallPaths()

setupInstallPaths ( )
protected

Method to do any prechecks and setup the install paths for the extension

Renvoie
void
Depuis
3.4
Exceptions

Références DIRECTORY_SEPARATOR, et parent.

◆ storeExtension()

storeExtension ( )
protected

Method to store the extension to the database

Renvoie
void
Depuis
3.4
Exceptions

Références $name, extension, json_encode, parent, et Installer\parseXMLInstallFile().

◆ uninstall()

uninstall ( $id )

Custom uninstall method

Paramètres
string $id The id of the library to uninstall.
Renvoie
boolean True on success
Depuis
3.1

Références $files, $id, $manifest, $row, Table\getInstance(), JPATH_MANIFESTS, et parent.

La documentation de cette classe a été générée à partir du fichier suivant :
  • LibraryAdapter.php


Joomla CMS: Référence de la classe ModuleAdapter

  • Joomla
  • CMS
  • Installer
  • Adapter
  • ModuleAdapter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ModuleAdapter
+ Graphe d'héritage de ModuleAdapter:
InstallerAdapter

Fonctions membres publiques

getElement ($element=null)
loadLanguage ($path=null)
prepareDiscoverInstall ()
discover ()
refreshManifestCache ()
- Fonctions membres publiques hérités de InstallerAdapter
__construct (Installer $parent, \JDatabaseDriver $db, array $options=array())
discover_install ()
getDiscoverInstallSupported ()
getElement ($element=null)
getManifest ()
getName ()
getRoute ()
install ()
prepareDiscoverInstall ()
setManifest ($manifest)
setRoute ($route)
update ()

Fonctions membres protégées

checkExistingExtension ()
copyBaseFiles ()
finaliseInstall ()
parseOptionalTags ()
setupInstallPaths ()
_rollback_menu ($arg)
_rollback_module ($arg)
- Fonctions membres protégées hérités de InstallerAdapter
canUninstallPackageChild ($packageId)
checkExistingExtension ()
checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
doDatabaseTransactions ()
doLoadLanguage ($extension, $source, $base=JPATH_ADMINISTRATOR)
getScriptClassName ()
parseQueries ()
parseOptionalTags ()
setupInstallPaths ()
setupScriptfile ()
setupUpdates ()
storeExtension ()
triggerManifestScript ($method)

Attributs protégés

$clientId
$scriptElement = null
- Attributs protégés hérités de InstallerAdapter
$currentExtensionId = null
$element = null
$extension = null
$extensionMessage = ''
$manifest_script = null
$name = null
$route = 'install'
$supportsDiscoverInstall = true
$type

Membres hérités additionnels

- Champs de données hérités de InstallerAdapter
$manifest = null

Description détaillée

Module installer

Depuis
3.1

Documentation des fonctions membres

◆ _rollback_menu()

_rollback_menu ( $arg )
protected

Custom rollback method

  • Roll back the menu item
Paramètres
array $arg Installation step to rollback
Renvoie
boolean True on success
Depuis
3.1

Références $db, $query, et parent.

◆ _rollback_module()

_rollback_module ( $arg )
protected

Custom rollback method

  • Roll back the module item
Paramètres
array $arg Installation step to rollback
Renvoie
boolean True on success
Depuis
3.1

Références $db, $query, et parent.

◆ checkExistingExtension()

checkExistingExtension ( )
protected

Method to check if the extension is already present in the database

Renvoie
void
Depuis
3.4
Exceptions

Références extension.

◆ copyBaseFiles()

copyBaseFiles ( )
protected

Method to copy the extension's base files from the <files> tag(s) and the manifest file

Renvoie
void
Depuis
3.4
Exceptions

Références $path, et parent.

◆ discover()

discover ( )

Custom discover method

Renvoie
array Extension list of extensions available
Depuis
3.1

Références $extension, $module, $results, ApplicationHelper\getClientInfo(), Table\getInstance(), JPATH_ADMINISTRATOR, JPATH_SITE, json_encode, et Installer\parseXMLInstallFile().

◆ finaliseInstall()

finaliseInstall ( )
protected

Method to finalise the installation processing

Renvoie
void
Depuis
3.4
Exceptions

Références Table\getInstance(), et parent.

◆ getElement()

getElement ( $element = null )

Get the filtered extension element from the manifest

Paramètres
string $element Optional element name to be converted
Renvoie
string The filtered element
Depuis
3.4

Références $file.

◆ loadLanguage()

loadLanguage ( $path = null )

Custom loadLanguage method

Paramètres
string $path The path where we find language files
Renvoie
void
Depuis
3.4

Références $client, $extension, $folder, $path, JPATH_ADMINISTRATOR, JPATH_SITE, et parent.

◆ parseOptionalTags()

parseOptionalTags ( )
protected

Method to parse optional tags in the manifest

Renvoie
void
Depuis
3.4

Références parent.

◆ prepareDiscoverInstall()

prepareDiscoverInstall ( )

Prepares the adapter for a discover_install task

Renvoie
void
Depuis
3.4

Références $client, ApplicationHelper\getClientInfo(), et parent.

◆ refreshManifestCache()

refreshManifestCache ( )

Refreshes the extension table cache

Renvoie
boolean Result of operation, true if updated, false on failure.
Depuis
3.1

Références $client, ApplicationHelper\getClientInfo(), json_encode, parent, et Installer\parseXMLInstallFile().

◆ setupInstallPaths()

setupInstallPaths ( )
protected

Method to do any prechecks and setup the install paths for the extension

Renvoie
void
Depuis
3.4
Exceptions

Références $basePath, $client, ApplicationHelper\getClientInfo(), JPATH_SITE, et parent.

Documentation des champs

◆ $clientId

$clientId
protected

◆ $scriptElement

$scriptElement = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ModuleAdapter.php


Joomla CMS: Référence de la classe PackageAdapter

  • Joomla
  • CMS
  • Installer
  • Adapter
  • PackageAdapter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs privés statiques
Référence de la classe PackageAdapter
+ Graphe d'héritage de PackageAdapter:
InstallerAdapter

Fonctions membres publiques

getElement ($element=null)
loadLanguage ($path)
onExtensionAfterInstall (Installer $installer, $eid)
uninstall ($id)
refreshManifestCache ()
- Fonctions membres publiques hérités de InstallerAdapter
__construct (Installer $parent, \JDatabaseDriver $db, array $options=array())
discover_install ()
getDiscoverInstallSupported ()
getElement ($element=null)
getManifest ()
getName ()
getRoute ()
install ()
prepareDiscoverInstall ()
setManifest ($manifest)
setRoute ($route)
update ()

Fonctions membres protégées

checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
parseOptionalTags ()
setupInstallPaths ()
storeExtension ()
triggerManifestScript ($method)
_getExtensionId ($type, $id, $client, $group)
- Fonctions membres protégées hérités de InstallerAdapter
canUninstallPackageChild ($packageId)
checkExistingExtension ()
checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
doDatabaseTransactions ()
doLoadLanguage ($extension, $source, $base=JPATH_ADMINISTRATOR)
getScriptClassName ()
parseQueries ()
parseOptionalTags ()
setupInstallPaths ()
setupScriptfile ()
setupUpdates ()
storeExtension ()
triggerManifestScript ($method)

Attributs protégés

$installedIds = array()
$results = array()
$supportsDiscoverInstall = false
- Attributs protégés hérités de InstallerAdapter
$currentExtensionId = null
$element = null
$extension = null
$extensionMessage = ''
$manifest_script = null
$name = null
$route = 'install'
$supportsDiscoverInstall = true
$type

Attributs privés statiques

static $eventRegistered = false

Membres hérités additionnels

- Champs de données hérités de InstallerAdapter
$manifest = null

Description détaillée

Package installer

Depuis
3.1

Documentation des fonctions membres

◆ _getExtensionId()

_getExtensionId | ( | $type,
 |  | $id,
 |  | $client,
 |  | $group
 | ) |
protected

Gets the extension id.

Paramètres
string | $type | The extension type.
string | $id | The name of the extension (the element field).
integer | $client | The application id (0: Joomla CMS site; 1: Joomla CMS administrator).
string | $group | The extension group (mainly for plugins).
Renvoie
integer
Depuis
3.1

Références $client, $db, $id, $query, $type, ApplicationHelper\getClientInfo(), et parent.

◆ checkExtensionInFilesystem()

checkExtensionInFilesystem ( )
protected

Method to check if the extension is present in the filesystem, flags the route as update if so

Renvoie
void
Depuis
3.4
Exceptions

Références elseif, JPATH_MANIFESTS, et parent.

◆ copyBaseFiles()

copyBaseFiles ( )
protected

Method to copy the extension's base files from the <files> tag(s) and the manifest file

Renvoie
void
Depuis
3.4
Exceptions

Références $file, $folder, InstallerHelper\detectType(), JEventDispatcher\getInstance(), Installer\install(), parent, et InstallerHelper\unpack().

◆ createExtensionRoot()

createExtensionRoot ( )
protected

Method to create the extension root path if necessary

Renvoie
void
Depuis
3.4
Exceptions

◆ getElement()

getElement ( $element = null )

Get the filtered extension element from the manifest

Paramètres
string $element Optional element name to be converted
Renvoie
string The filtered element
Depuis
3.4

◆ loadLanguage()

loadLanguage ( $path )

Load language from a path

Paramètres
string $path The path of the language.
Renvoie
void
Depuis
3.1

Références $path.

◆ onExtensionAfterInstall()

onExtensionAfterInstall | ( | Installer | $installer,
 |  |  | $eid
 | ) |  |

Handler for the onExtensionAfterInstall event

Paramètres
Installer | $installer | Installer instance managing the extension's installation
integer | boolean | $eid | The extension ID of the installed extension on success, boolean false on install failure
Renvoie
void
Depuis
3.7.0

◆ parseOptionalTags()

parseOptionalTags ( )
protected

Method to parse optional tags in the manifest

Renvoie
void
Depuis
3.4

Références parent.

◆ refreshManifestCache()

refreshManifestCache ( )

Refreshes the extension table cache

Renvoie
boolean Result of operation, true if updated, false on failure
Depuis
3.1

Références JPATH_MANIFESTS, json_encode, parent, et Installer\parseXMLInstallFile().

◆ setupInstallPaths()

setupInstallPaths ( )
protected

Method to do any prechecks and setup the install paths for the extension

Renvoie
void
Depuis
3.4
Exceptions

Références JPATH_MANIFESTS, et parent.

◆ storeExtension()

storeExtension ( )
protected

Method to store the extension to the database

Renvoie
void
Depuis
3.4
Exceptions

Références $name, extension, name, et parent.

◆ triggerManifestScript()

triggerManifestScript ( $method )
protected

Executes a custom install script method

Paramètres
string $method The install method to execute
Renvoie
boolean True on success
Depuis
3.4

Références parent.

◆ uninstall()

uninstall ( $id )

Custom uninstall method

Paramètres
integer $id The id of the package to uninstall.
Renvoie
boolean True on success
Depuis
3.1

Références $client, $extension, $folder, $id, $manifest, $row, ApplicationHelper\getClientInfo(), Table\getInstance(), if, JPATH_MANIFESTS, null, parent, JLoader\register(), et Installer\setPackageUninstall().

Documentation des champs

◆ $eventRegistered

$eventRegistered = false
staticprivate

◆ $installedIds

$installedIds = array()
protected

◆ $results

$results = array()
protected

◆ $supportsDiscoverInstall

$supportsDiscoverInstall = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • PackageAdapter.php


Joomla CMS: Référence de la classe PluginAdapter

  • Joomla
  • CMS
  • Installer
  • Adapter
  • PluginAdapter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PluginAdapter
+ Graphe d'héritage de PluginAdapter:
InstallerAdapter

Fonctions membres publiques

getElement ($element=null)
loadLanguage ($path=null)
prepareDiscoverInstall ()
uninstall ($id)
discover ()
refreshManifestCache ()
- Fonctions membres publiques hérités de InstallerAdapter
__construct (Installer $parent, \JDatabaseDriver $db, array $options=array())
discover_install ()
getDiscoverInstallSupported ()
getElement ($element=null)
getManifest ()
getName ()
getRoute ()
install ()
prepareDiscoverInstall ()
setManifest ($manifest)
setRoute ($route)
update ()

Fonctions membres protégées

checkExistingExtension ()
copyBaseFiles ()
createExtensionRoot ()
getScriptClassName ()
parseOptionalTags ()
setupInstallPaths ()
storeExtension ()
- Fonctions membres protégées hérités de InstallerAdapter
canUninstallPackageChild ($packageId)
checkExistingExtension ()
checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
doDatabaseTransactions ()
doLoadLanguage ($extension, $source, $base=JPATH_ADMINISTRATOR)
getScriptClassName ()
parseQueries ()
parseOptionalTags ()
setupInstallPaths ()
setupScriptfile ()
setupUpdates ()
storeExtension ()
triggerManifestScript ($method)

Attributs protégés

$scriptElement = null
$oldFiles = null
- Attributs protégés hérités de InstallerAdapter
$currentExtensionId = null
$element = null
$extension = null
$extensionMessage = ''
$manifest_script = null
$name = null
$route = 'install'
$supportsDiscoverInstall = true
$type

Membres hérités additionnels

- Champs de données hérités de InstallerAdapter
$manifest = null

Description détaillée

Plugin installer

Depuis
3.1

Documentation des fonctions membres

◆ checkExistingExtension()

checkExistingExtension ( )
protected

Method to check if the extension is already present in the database

Renvoie
void
Depuis
3.4
Exceptions

Références extension.

◆ copyBaseFiles()

copyBaseFiles ( )
protected

Method to copy the extension's base files from the <files> tag(s) and the manifest file

Renvoie
void
Depuis
3.4
Exceptions

Références $path, et parent.

◆ createExtensionRoot()

createExtensionRoot ( )
protected

Method to create the extension root path if necessary

Renvoie
void
Depuis
3.4
Exceptions

Références parent, et Installer\setPath().

◆ discover()

discover ( )

Custom discover method

Renvoie
array Extension) list of extensions available
Depuis
3.1

Références $extension, $file, $folder, $results, Table\getInstance(), JPATH_SITE, json_encode, et Installer\parseXMLInstallFile().

◆ getElement()

getElement ( $element = null )

Get the filtered extension element from the manifest

Paramètres
string $element Optional element name to be converted
Renvoie
string The filtered element
Depuis
3.4

Références $file, et $type.

◆ getScriptClassName()

getScriptClassName ( )
protected

Get the class name for the install adapter script.

Renvoie
string The class name.
Depuis
3.4

◆ loadLanguage()

loadLanguage ( $path = null )

Custom loadLanguage method

Paramètres
string $path The path where to find language files.
Renvoie
void
Depuis
3.1

Références $extension, $file, $folder, $name, $path, JPATH_ADMINISTRATOR, JPATH_PLUGINS, et parent.

◆ parseOptionalTags()

parseOptionalTags ( )
protected

Method to parse optional tags in the manifest

Renvoie
void
Depuis
3.4

Références parent.

◆ prepareDiscoverInstall()

prepareDiscoverInstall ( )

Prepares the adapter for a discover_install task

Renvoie
void
Depuis
3.4

Références $basePath, $client, extension, ApplicationHelper\getClientInfo(), et parent.

◆ refreshManifestCache()

refreshManifestCache ( )

Refreshes the extension table cache.

Renvoie
boolean Result of operation, true if updated, false on failure.
Depuis
3.1

Références $client, ApplicationHelper\getClientInfo(), json_encode, parent, et Installer\parseXMLInstallFile().

◆ setupInstallPaths()

setupInstallPaths ( )
protected

Method to do any prechecks and setup the install paths for the extension

Renvoie
void
Depuis
3.4
Exceptions

Références JPATH_PLUGINS, et parent.

◆ storeExtension()

storeExtension ( )
protected

Method to store the extension to the database

Renvoie
void
Depuis
3.4
Exceptions

Références $name, extension, json_encode, name, parent, et Installer\parseXMLInstallFile().

◆ uninstall()

uninstall ( $id )

Custom uninstall method

Paramètres
integer $id The id of the plugin to uninstall
Renvoie
boolean True on success
Depuis
3.1

Installer Trigger Loading

Références $db, $id, $query, $row, Table\getInstance(), JPATH_PLUGINS, null, parent, et JLoader\register().

Documentation des champs

◆ $oldFiles

$oldFiles = null
protected

◆ $scriptElement

$scriptElement = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • PluginAdapter.php


Joomla CMS: Référence de la classe TemplateAdapter

  • Joomla
  • CMS
  • Installer
  • Adapter
  • TemplateAdapter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe TemplateAdapter
+ Graphe d'héritage de TemplateAdapter:
InstallerAdapter

Fonctions membres publiques

loadLanguage ($path=null)
prepareDiscoverInstall ()
uninstall ($id)
discover ()
refreshManifestCache ()
- Fonctions membres publiques hérités de InstallerAdapter
__construct (Installer $parent, \JDatabaseDriver $db, array $options=array())
discover_install ()
getDiscoverInstallSupported ()
getElement ($element=null)
getManifest ()
getName ()
getRoute ()
install ()
prepareDiscoverInstall ()
setManifest ($manifest)
setRoute ($route)
update ()

Fonctions membres protégées

checkExistingExtension ()
copyBaseFiles ()
parseOptionalTags ()
parseQueries ()
setupInstallPaths ()
storeExtension ()
- Fonctions membres protégées hérités de InstallerAdapter
canUninstallPackageChild ($packageId)
checkExistingExtension ()
checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
doDatabaseTransactions ()
doLoadLanguage ($extension, $source, $base=JPATH_ADMINISTRATOR)
getScriptClassName ()
parseQueries ()
parseOptionalTags ()
setupInstallPaths ()
setupScriptfile ()
setupUpdates ()
storeExtension ()
triggerManifestScript ($method)

Attributs protégés

$clientId
- Attributs protégés hérités de InstallerAdapter
$currentExtensionId = null
$element = null
$extension = null
$extensionMessage = ''
$manifest_script = null
$name = null
$route = 'install'
$supportsDiscoverInstall = true
$type

Membres hérités additionnels

- Champs de données hérités de InstallerAdapter
$manifest = null

Description détaillée

Template installer

Depuis
3.1

Documentation des fonctions membres

◆ checkExistingExtension()

checkExistingExtension ( )
protected

Method to check if the extension is already present in the database

Renvoie
void
Depuis
3.4
Exceptions

Références extension.

◆ copyBaseFiles()

copyBaseFiles ( )
protected

Method to copy the extension's base files from the <files> tag(s) and the manifest file

Renvoie
void
Depuis
3.4
Exceptions

Références $path, et parent.

◆ discover()

discover ( )

Discover existing but uninstalled templates

Renvoie
array Extension list

Références $extension, $results, $template, ApplicationHelper\getClientInfo(), Table\getInstance(), JPATH_ADMINISTRATOR, JPATH_SITE, json_encode, et Installer\parseXMLInstallFile().

◆ loadLanguage()

loadLanguage ( $path = null )

Custom loadLanguage method

Paramètres
string $path The path where to find language files.
Renvoie
InstallerTemplate
Depuis
3.1

Références $base, $basePath, $client, $extension, $path, JPATH_ADMINISTRATOR, JPATH_SITE, et parent.

◆ parseOptionalTags()

parseOptionalTags ( )
protected

Method to parse optional tags in the manifest

Renvoie
void
Depuis
3.4

Références parent.

◆ parseQueries()

parseQueries ( )
protected

Overloaded method to parse queries for template installations

Renvoie
void
Depuis
3.4
Exceptions

Références $columns, $db, $lang, $query, et extension.

◆ prepareDiscoverInstall()

prepareDiscoverInstall ( )

Prepares the adapter for a discover_install task

Renvoie
void
Depuis
3.4

Références $client, extension, ApplicationHelper\getClientInfo(), et parent.

◆ refreshManifestCache()

refreshManifestCache ( )

Refreshes the extension table cache

Renvoie
boolean Result of operation, true if updated, false on failure
Depuis
3.1

Références $client, ApplicationHelper\getClientInfo(), json_encode, parent, et Installer\parseXMLInstallFile().

◆ setupInstallPaths()

setupInstallPaths ( )
protected

Method to do any prechecks and setup the install paths for the extension

Renvoie
void
Depuis
3.4
Exceptions

Références $basePath, $client, ApplicationHelper\getClientInfo(), JPATH_SITE, et parent.

◆ storeExtension()

storeExtension ( )
protected

Method to store the extension to the database

Renvoie
void
Depuis
3.4
Exceptions

Références $clientId, $name, extension, json_encode, parent, et Installer\parseXMLInstallFile().

◆ uninstall()

uninstall ( $id )

Custom uninstall method

Paramètres
integer $id The extension ID
Renvoie
boolean True on success
Depuis
3.1

Références $client, $clientId, $db, $id, $manifest, $name, $query, $row, ApplicationHelper\getClientInfo(), Table\getInstance(), et parent.

Documentation des champs

◆ $clientId

$clientId
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • TemplateAdapter.php


Joomla CMS: Référence de la classe LibraryManifest

  • Joomla
  • CMS
  • Installer
  • Manifest
  • LibraryManifest
Champs de données | Fonctions membres protégées
Référence de la classe LibraryManifest
+ Graphe d'héritage de LibraryManifest:
Manifest

Champs de données

$libraryname = ''
$creationDate = ''
$copyright = ''
$license = ''
$author = ''
$authoremail = ''
$authorurl = ''
- Champs de données hérités de Manifest
$manifest_file = ''
$name = ''
$version = ''
$description = ''
$packager = ''
$packagerurl = ''
$update = ''
$filelist = array()

Fonctions membres protégées

loadManifestFromData (\SimpleXMLElement $xml)
- Fonctions membres protégées hérités de Manifest
loadManifestFromData (\SimpleXmlElement $xml)

Membres hérités additionnels

- Fonctions membres publiques hérités de Manifest
__construct ($xmlpath='')
loadManifestFromXml ($xmlfile)

Description détaillée

Joomla! Library Manifest File

Depuis
3.1

Documentation des fonctions membres

◆ loadManifestFromData()

loadManifestFromData ( \SimpleXMLElement $xml )
protected

Apply manifest data from a to the object.

Paramètres
\SimpleXMLElement $xml Data to load
Renvoie
void
Depuis
3.1

Références $file, if, et name.

Documentation des champs

◆ $author

$author = ''

◆ $authoremail

$authoremail = ''

◆ $authorurl

$authorurl = ''

◆ $copyright

$copyright = ''

◆ $creationDate

$creationDate = ''

◆ $libraryname

$libraryname = ''

◆ $license

$license = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • LibraryManifest.php


Joomla CMS: Référence de la classe PackageManifest

  • Joomla
  • CMS
  • Installer
  • Manifest
  • PackageManifest
Champs de données | Fonctions membres protégées
Référence de la classe PackageManifest
+ Graphe d'héritage de PackageManifest:
Manifest

Champs de données

$packagename = ''
$url = ''
$scriptfile = ''
$blockChildUninstall = false
- Champs de données hérités de Manifest
$manifest_file = ''
$name = ''
$version = ''
$description = ''
$packager = ''
$packagerurl = ''
$update = ''
$filelist = array()

Fonctions membres protégées

loadManifestFromData (\SimpleXMLElement $xml)
- Fonctions membres protégées hérités de Manifest
loadManifestFromData (\SimpleXmlElement $xml)

Membres hérités additionnels

- Fonctions membres publiques hérités de Manifest
__construct ($xmlpath='')
loadManifestFromXml ($xmlfile)

Description détaillée

Joomla! Package Manifest File

Depuis
3.1

Documentation des fonctions membres

◆ loadManifestFromData()

loadManifestFromData ( \SimpleXMLElement $xml )
protected

Apply manifest data from a to the object.

Paramètres
\SimpleXMLElement $xml Data to load
Renvoie
void
Depuis
3.1

Références $file, $folder, $value, description, if, et name.

Documentation des champs

◆ $blockChildUninstall

$blockChildUninstall = false

◆ $packagename

$packagename = ''

◆ $scriptfile

$scriptfile = ''

◆ $url

$url = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • PackageManifest.php


Joomla CMS: Référence de la classe Installer

  • Joomla
  • CMS
  • Installer
  • Installer
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés | Attributs protégés statiques
Référence de la classe Installer
+ Graphe d'héritage de Installer:

Fonctions membres publiques

__construct ($basepath=__DIR__, $classprefix='\\Joomla\\CMS\\Installer\\Adapter', $adapterfolder='Adapter')
isOverwrite ()
setOverwrite ($state=false)
getRedirectUrl ()
setRedirectUrl ($newurl)
isPackageUninstall ()
setPackageUninstall ($uninstall)
isUpgrade ()
setUpgrade ($state=false)
getManifest ()
getPath ($name, $default=null)
setPath ($name, $value)
pushStep ($step)
abort ($msg=null, $type=null)
install ($path=null)
discover_install ($eid=null)
discover ()
update ($path=null)
uninstall ($type, $identifier, $cid=0)
refreshManifestCache ($eid)
setupInstall ($route='install', $returnAdapter=false)
parseQueries (\SimpleXMLElement $element)
parseSQLFiles ($element)
setSchemaVersion (\SimpleXMLElement $schema, $eid)
parseSchemaUpdates (\SimpleXMLElement $schema, $eid)
parseFiles (\SimpleXMLElement $element, $cid=0, $oldFiles=null, $oldMD5=null)
parseLanguages (\SimpleXMLElement $element, $cid=0)
parseMedia (\SimpleXMLElement $element, $cid=0)
getParams ()
copyFiles ($files, $overwrite=null)
removeFiles ($element, $cid=0)
copyManifest ($cid=1)
findManifest ()
isManifest ($file)
generateManifestCache ()
cleanDiscoveredExtension ($type, $element, $folder='', $client=0)
findDeletedFiles ($oldFiles, $newFiles)
loadMD5Sum ($filename)
getAdapter ($name, $options=array())
getAdapters ($options=array(), array $custom=array())
loadAdapter ($adapter, $options=array())
loadAllAdapters ($options=array())

Fonctions membres publiques statiques

static | getInstance ($basepath=__DIR__, $classprefix='\\Joomla\\CMS\\Installer\\Adapter', $adapterfolder='Adapter')
static | parseXMLInstallFile ($path)

Champs de données

$manifestClass = null
$extension = null
$message = null
$manifest = null
$extraQuery = ''

Attributs protégés

$paths = array()
$upgrade = null
$overwrite = false
$stepStack = array()
$extension_message = null
$redirect_url = null
$packageUninstall = false

Attributs protégés statiques

static | $instance
static | $instances

Description détaillée

Joomla base installer class

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $basepath = __DIR__,
 |  | $classprefix = '\\Joomla\\CMS\\Installer\\Adapter',
 |  | $adapterfolder = 'Adapter'
 | ) |

Constructor

Paramètres
string | $basepath | Base Path of the adapters
string | $classprefix | Class prefix of adapters
string | $adapterfolder | Name of folder to append to base path
Depuis
3.1

Références extension, et Table\getInstance().

Documentation des fonctions membres

◆ abort()

abort | ( | $msg = null,
 |  | $type = null
 | ) |

Installation abort method

Paramètres
string | $msg | Abort message from the installer
string | $type | Package type if defined
Renvoie
boolean True if successful
Depuis
3.1

Références $db, $query, $step, $type, et null.

◆ cleanDiscoveredExtension()

cleanDiscoveredExtension | ( | $type,
 |  | $element,
 |  | $folder = '',
 |  | $client = 0
 | ) |

Cleans up discovered extensions if they're being installed some other way

Paramètres
string | $type | The type of extension (component, etc)
string | $element | Unique element identifier (e.g. com_content)
string | $folder | The folder of the extension (plugins; e.g. system)
integer | $client | The client application (administrator or site)
Renvoie
object Result of query
Depuis
3.1

Références $client, $db, $folder, $query, et $type.

◆ copyFiles()

copyFiles | ( | $files,
 |  | $overwrite = null
 | ) |

Copyfiles

Copy files from source directory to the target directory

Paramètres
array | $files | Array with filenames
boolean | $overwrite | True if existing files can be replaced
Renvoie
boolean True on success
Depuis
3.1

Références $file, $files, $step, elseif, et null.

◆ copyManifest()

copyManifest ( $cid = 1 )

Copies the installation manifest file to the extension folder in the given client

Paramètres
integer $cid Where to copy the installfile [optional: defaults to 1 (admin)]
Renvoie
boolean True on success, False on error
Depuis
3.1

Références $client, $path, et ApplicationHelper\getClientInfo().

◆ discover()

discover ( )

Extension discover method

Asks each adapter to find extensions

Renvoie
InstallerExtension[]
Depuis
3.1

Références $results, et $tmp.

◆ discover_install()

discover_install ( $eid = null )

Discovered package installation method

Paramètres
integer $eid Extension ID
Renvoie
boolean True if successful
Depuis
3.1

Références $dispatcher, $params, $type, extension, JEventDispatcher\getInstance(), PluginHelper\importPlugin(), et null.

◆ findDeletedFiles()

findDeletedFiles | ( | $oldFiles,
 |  | $newFiles
 | ) |

Compares two "files" entries to find deleted files/folders

Paramètres
array | $oldFiles | An array of objects that are the old files
array | $newFiles | An array of objects that are the new files
Renvoie
array An array with the delete files and folders in findDeletedFiles[files] and findDeletedFiles[folders] respectively
Depuis
3.1

Références $file, et $files.

◆ findManifest()

findManifest ( )

Tries to find the package manifest file

Renvoie
boolean True on success, False on error
Depuis
3.1

Références $file, $manifest, et null.

◆ generateManifestCache()

generateManifestCache ( )

Generates a manifest cache

Renvoie
string serialised manifest data
Depuis
3.1

Références json_encode.

◆ getAdapter()

getAdapter | ( | $name,
 |  | $options = array()
 | ) |

Fetches an adapter and adds it to the internal storage if an instance is not set while also ensuring its a valid adapter name

Paramètres
string | $name | Name of adapter to return
array | $options | Adapter options
Renvoie
InstallerAdapter
Depuis
3.4
Obsolète:
4.0 The internal adapter cache will no longer be supported, use loadAdapter() to fetch an adapter instance

Références $name, et $options.

◆ getAdapters()

getAdapters | ( |  | $options = array(),
 |  | array | $custom = array()
 | ) |  |

Gets a list of available install adapters.

Paramètres
array | $options | An array of options to inject into the adapter
array | $custom | Array of custom install adapters
Renvoie
array An array of available install adapters.
Depuis
3.4
Note
As of 4.0, this method will only return the names of available adapters and will not instantiate them and store to the $_adapters class var.

Références $class, $file, $files, $name, $options, et JLoader\register().

◆ getInstance()

static getInstance | ( | $basepath = __DIR__,
 |  | $classprefix = '\\Joomla\\CMS\\Installer\\Adapter',
 |  | $adapterfolder = 'Adapter'
 | ) |
static

Returns the global Installer object, only creating it if it doesn't already exist.

Paramètres
string | $basepath | Base Path of the adapters
string | $classprefix | Class prefix of adapters
string | $adapterfolder | Name of folder to append to base path
Renvoie
Installer An installer object
Depuis
3.1

◆ getManifest()

getManifest ( )

Get the installation manifest object

Renvoie
Manifest object
Depuis
3.1

Références $manifest.

◆ getParams()

getParams ( )

Method to parse the parameters of an extension, build the JSON string for its default parameters, and return the JSON string.

Renvoie
string JSON string of parameter values
Depuis
3.1
Note
This method must always return a JSON compliant string

Références $field, $fieldsets, $name, $value, json_encode, et null.

◆ getPath()

getPath | ( | $name,
 |  | $default = null
 | ) |

Get an installer path by name

Paramètres
string | $name | Path name
string | $default | Default value
Renvoie
string Path
Depuis
3.1

Références $default, et $name.

◆ getRedirectUrl()

getRedirectUrl ( )

Get the redirect location

Renvoie
string Redirect location (or null)
Depuis
3.1

◆ install()

install ( $path = null )

Package installation method

Paramètres
string $path Path to package source folder
Renvoie
boolean True if successful
Depuis
3.1

Références $dispatcher, $manifest, $path, JEventDispatcher\getInstance(), et PluginHelper\importPlugin().

Référencé par PackageAdapter\copyBaseFiles().

◆ isManifest()

isManifest ( $file )

Is the XML file a valid Joomla installation manifest file.

Paramètres
string $file An xmlfile path to check
Renvoie
|null A , or null if the file failed to parse
Depuis
3.1

Références $file.

◆ isOverwrite()

isOverwrite ( )

Get the allow overwrite switch

Renvoie
boolean Allow overwrite switch
Depuis
3.1

◆ isPackageUninstall()

isPackageUninstall ( )

Get whether this installer is uninstalling extensions which are part of a package

Renvoie
boolean
Depuis
3.7.0

◆ isUpgrade()

isUpgrade ( )

Get the upgrade switch

Renvoie
boolean
Depuis
3.1

◆ loadAdapter()

loadAdapter | ( | $adapter,
 |  | $options = array()
 | ) |

Method to load an adapter instance

Paramètres
string | $adapter | Adapter name
array | $options | Adapter options
Renvoie
InstallerAdapter
Depuis
3.4
Exceptions

Références $class, $options, $path, et JLoader\register().

◆ loadAllAdapters()

loadAllAdapters ( $options = array() )

Loads all adapters.

Paramètres
array $options Adapter options
Renvoie
void
Depuis
3.4
Obsolète:
4.0 Individual adapters should be instantiated as needed
Note
This method is serving as a proxy of the legacy API into the preferred API

Références $options.

◆ loadMD5Sum()

loadMD5Sum ( $filename )

Loads an MD5SUMS file into an associative array

Paramètres
string $filename Filename to load
Renvoie
array Associative array with filenames as the index and the MD5 as the value
Depuis
3.1

Références $data, $results, et $row.

◆ parseFiles()

parseFiles | ( | \SimpleXMLElement | $element,
 |  |  | $cid = 0,
 |  |  | $oldFiles = null,
 |  |  | $oldMD5 = null
 | ) |  |

Method to parse through a files element of the installation manifest and take appropriate action.

Paramètres
\SimpleXMLElement | $element | The XML node to process
integer | $cid | Application ID of application to install to
array | $oldFiles | List of old files (SimpleXMLElement's)
array | $oldMD5 | List of old MD5 sums (indexed by filename with value as MD5)
Renvoie
boolean True on success
Depuis
3.1

Références $client, $file, $folder, $path, et ApplicationHelper\getClientInfo().

◆ parseLanguages()

parseLanguages | ( | \SimpleXMLElement | $element,
 |  |  | $cid = 0
 | ) |  |

Method to parse through a languages element of the installation manifest and take appropriate action.

Paramètres
\SimpleXMLElement | $element | The XML node to process
integer | $cid | Application ID of application to install to
Renvoie
boolean True on success
Depuis
3.1

Références $client, $file, $folder, $path, et ApplicationHelper\getClientInfo().

◆ parseMedia()

parseMedia | ( | \SimpleXMLElement | $element,
 |  |  | $cid = 0
 | ) |  |

Method to parse through a media element of the installation manifest and take appropriate action.

Paramètres
\SimpleXMLElement | $element | The XML node to process
integer | $cid | Application ID of application to install to
Renvoie
boolean True on success
Depuis
3.1

Références $file, $folder, $path, JPATH_ROOT, et null.

◆ parseQueries()

parseQueries ( \SimpleXMLElement $element )

Backward compatible method to parse through a queries element of the installation manifest file and take appropriate action.

Paramètres
\SimpleXMLElement $element The XML node to process
Renvoie
mixed Number of queries processed or False on error
Depuis
3.1

Références $db, et $query.

◆ parseSchemaUpdates()

parseSchemaUpdates | ( | \SimpleXMLElement | $schema,
 |  |  | $eid
 | ) |  |

Method to process the updates for an item

Paramètres
\SimpleXMLElement | $schema | The XML node to process
integer | $eid | Extension Identifier
Renvoie
boolean Result of the operations
Depuis
3.1

Références $buffer, $db, $file, $files, $query, $version, elseif, et JDatabaseDriver\splitSql().

◆ parseSQLFiles()

parseSQLFiles ( $element )

Method to extract the name of a discreet installation sql file from the installation manifest file.

Paramètres
object $element The XML node to process
Renvoie
mixed Number of queries processed or False on error
Depuis
3.1

Références $buffer, $db, $file, $query, elseif, et JDatabaseDriver\splitSql().

◆ parseXMLInstallFile()

static parseXMLInstallFile ( $path )
static

Parse a XML install manifest file.

XML Root tag should be 'install' except for languages which use meta file.

Paramètres
string $path Full path to XML file.
Renvoie
array XML metadata.
Depuis
3.0.0

Références $data, $name, et $path.

Référencé par ModuleAdapter\discover(), LibraryAdapter\discover(), TemplateAdapter\discover(), PluginAdapter\discover(), LanguageAdapter\discover(), ComponentAdapter\discover(), LanguageAdapter\discover_install(), LibraryAdapter\refreshManifestCache(), ModuleAdapter\refreshManifestCache(), TemplateAdapter\refreshManifestCache(), FileAdapter\refreshManifestCache(), PluginAdapter\refreshManifestCache(), PackageAdapter\refreshManifestCache(), LanguageAdapter\refreshManifestCache(), ComponentAdapter\refreshManifestCache(), LibraryAdapter\storeExtension(), TemplateAdapter\storeExtension(), et PluginAdapter\storeExtension().

◆ pushStep()

pushStep ( $step )

Pushes a step onto the installer stack for rolling back steps

Paramètres
array $step Installer step
Renvoie
void
Depuis
3.1

Références $step.

◆ refreshManifestCache()

refreshManifestCache ( $eid )

Refreshes the manifest cache stored in #__extensions

Paramètres
integer $eid Extension ID
Renvoie
boolean
Depuis
3.1

Références extension.

◆ removeFiles()

removeFiles | ( | $element,
 |  | $cid = 0
 | ) |

Method to parse through a files element of the installation manifest and remove the files that were installed

Paramètres
object | $element | The XML node to process
integer | $cid | Application ID of application to remove from
Renvoie
boolean True on success
Depuis
3.1

Références $client, $file, $files, $folder, $path, ApplicationHelper\getClientInfo(), et null.

◆ setOverwrite()

setOverwrite ( $state = false )

Set the allow overwrite switch

Paramètres
boolean $state Overwrite switch state
Renvoie
boolean True it state is set, false if it is not
Depuis
3.1

Références $state, et $tmp.

◆ setPackageUninstall()

setPackageUninstall ( $uninstall )

Set whether this installer is uninstalling extensions which are part of a package

Paramètres
boolean $uninstall True if a package triggered the uninstall, false otherwise
Renvoie
void
Depuis
3.7.0

Référencé par LibraryAdapter\checkExtensionInFilesystem(), et PackageAdapter\uninstall().

◆ setPath()

setPath | ( | $name,
 |  | $value
 | ) |

Sets an installer path by name

Paramètres
string | $name | Path name
string | $value | Path
Renvoie
void
Depuis
3.1

Références $name, et $value.

Référencé par PluginAdapter\createExtensionRoot(), et ComponentAdapter\setupUpdates().

◆ setRedirectUrl()

setRedirectUrl ( $newurl )

Set the redirect location

Paramètres
string $newurl New redirect location
Renvoie
void
Depuis
3.1

◆ setSchemaVersion()

setSchemaVersion | ( | \SimpleXMLElement | $schema,
 |  |  | $eid
 | ) |  |

Set the schema version for an extension by looking at its latest update

Paramètres
\SimpleXMLElement | $schema | Schema Tag
integer | $eid | Extension ID
Renvoie
void
Depuis
3.1

Références $db, $files, $query, et elseif.

◆ setUpgrade()

setUpgrade ( $state = false )

Set the upgrade switch

Paramètres
boolean $state Upgrade switch state
Renvoie
boolean True if upgrade, false otherwise
Depuis
3.1

Références $state, et $tmp.

◆ setupInstall()

setupInstall | ( | $route = 'install',
 |  | $returnAdapter = false
 | ) |

Prepare for installation: this method sets the installation directory, finds and checks the installation file and verifies the installation type.

Paramètres
string | $route | The install route being followed
boolean | $returnAdapter | Flag to return the instantiated adapter
Renvoie
boolean|InstallerAdapter InstallerAdapter object if explicitly requested otherwise boolean
Depuis
3.1

Références $params, $route, et $type.

◆ uninstall()

uninstall | ( | $type,
 |  | $identifier,
 |  | $cid = 0
 | ) |

Package uninstallation method

Paramètres
string | $type | Package type
mixed | $identifier | Package identifier for adapter
integer | $cid | Application ID; deprecated in 1.6
Renvoie
boolean True if successful
Depuis
3.1

Références $dispatcher, $params, $type, extension, JEventDispatcher\getInstance(), et PluginHelper\importPlugin().

◆ update()

update ( $path = null )

Package update method

Paramètres
string $path Path to package source folder
Renvoie
boolean True if successful
Depuis
3.1

Références $dispatcher, $manifest, $path, JEventDispatcher\getInstance(), et PluginHelper\importPlugin().

Documentation des champs

◆ $extension

$extension = null

◆ $extension_message

$extension_message = null
protected

◆ $extraQuery

$extraQuery = ''

◆ $instance

$instance
staticprotected

◆ $instances

$instances
staticprotected

◆ $manifest

$manifest = null

◆ $manifestClass

$manifestClass = null

◆ $message

$message = null

◆ $overwrite

$overwrite = false
protected

◆ $packageUninstall

$packageUninstall = false
protected

◆ $paths

$paths = array()
protected

◆ $redirect_url

$redirect_url = null
protected

◆ $stepStack

$stepStack = array()
protected

◆ $upgrade

$upgrade = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Installer.php


Joomla CMS: Référence de la classe InstallerAdapter

  • Joomla
  • CMS
  • Installer
  • InstallerAdapter
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe InstallerAdapter
+ Graphe d'héritage de InstallerAdapter:
ComponentAdapter FileAdapter LanguageAdapter LibraryAdapter ModuleAdapter PackageAdapter PluginAdapter TemplateAdapter

Fonctions membres publiques

__construct (Installer $parent, \JDatabaseDriver $db, array $options=array())
discover_install ()
getDiscoverInstallSupported ()
getElement ($element=null)
getManifest ()
getName ()
getRoute ()
install ()
prepareDiscoverInstall ()
setManifest ($manifest)
setRoute ($route)
update ()

Champs de données

$manifest = null

Fonctions membres protégées

canUninstallPackageChild ($packageId)
checkExistingExtension ()
checkExtensionInFilesystem ()
copyBaseFiles ()
createExtensionRoot ()
doDatabaseTransactions ()
doLoadLanguage ($extension, $source, $base=JPATH_ADMINISTRATOR)
getScriptClassName ()
parseQueries ()
parseOptionalTags ()
setupInstallPaths ()
setupScriptfile ()
setupUpdates ()
storeExtension ()
triggerManifestScript ($method)

Attributs protégés

$currentExtensionId = null
$element = null
$extension = null
$extensionMessage = ''
$manifest_script = null
$name = null
$route = 'install'
$supportsDiscoverInstall = true
$type

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Installer | $parent,
 |  | \JDatabaseDriver | $db,
 |  | array | $options = array()
 | ) |  |

Constructor

Paramètres
Installer | $parent | Parent object
\JDatabaseDriver | $db | Database object
array | $options | Configuration Options
Depuis
3.4

Références $db, $options, extension, et Table\getInstance().

Documentation des fonctions membres

◆ canUninstallPackageChild()

canUninstallPackageChild ( $packageId )
protected

Check if a package extension allows its child extensions to be uninstalled individually

Paramètres
integer $packageId The extension ID of the package to check
Renvoie
boolean
Depuis
3.7.0
Note
This method defaults to true to emulate the behavior of 3.6 and earlier which did not support this lookup

Références $manifest, Table\getInstance(), JPATH_MANIFESTS, et parent.

◆ checkExistingExtension()

checkExistingExtension ( )
protected

Method to check if the extension is already present in the database

Renvoie
void
Depuis
3.4
Exceptions

Références extension.

◆ checkExtensionInFilesystem()

checkExtensionInFilesystem ( )
protected

Method to check if the extension is present in the filesystem, flags the route as update if so

Renvoie
void
Depuis
3.4
Exceptions

Références elseif, et parent.

◆ copyBaseFiles()

copyBaseFiles ( )
abstractprotected

Method to copy the extension's base files from the <files> tag(s) and the manifest file

Renvoie
void
Depuis
3.4
Exceptions

◆ createExtensionRoot()

createExtensionRoot ( )
protected

Method to create the extension root path if necessary

Renvoie
void
Depuis
3.4
Exceptions

Références parent.

◆ discover_install()

discover_install ( )

Generic discover_install method for extensions

Renvoie
boolean True on success
Depuis
3.4

Références $description, extension, name, et parent.

◆ doDatabaseTransactions()

doDatabaseTransactions ( )
protected

Method to handle database transactions for the installer

Renvoie
boolean True on success
Depuis
3.4
Exceptions

Références $route, et parent.

◆ doLoadLanguage()

doLoadLanguage | ( | $extension,
 |  | $source,
 |  | $base = JPATH_ADMINISTRATOR
 | ) |
protected

Load language files

Paramètres
string | $extension | The name of the extension
string | $source | Path to the extension
string | $base | Base path for the extension language
Renvoie
void
Depuis
3.4

Références $base, $extension, $lang, et null.

◆ getDiscoverInstallSupported()

getDiscoverInstallSupported ( )

Checks if the adapter supports discover_install

Renvoie
boolean
Depuis
3.4

◆ getElement()

getElement ( $element = null )

Get the filtered extension element from the manifest

Paramètres
string $element Optional element name to be converted
Renvoie
string The filtered element
Depuis
3.4

◆ getManifest()

getManifest ( )

Get the manifest object.

Renvoie
Manifest object
Depuis
3.4

Références $manifest.

◆ getName()

getName ( )

Get the filtered component name from the manifest

Renvoie
string The filtered name
Depuis
3.4

Références $name.

◆ getRoute()

getRoute ( )

Get the install route being followed

Renvoie
string The install route
Depuis
3.4

Références $route.

◆ getScriptClassName()

getScriptClassName ( )
protected

Get the class name for the install adapter script.

Renvoie
string The class name.
Depuis
3.4

Références $className.

◆ install()

install ( )

Generic install method for extensions

Renvoie
boolean|integer The extension ID on success, boolean false on failure
Depuis
3.4

Références $description, extension, name, et parent.

◆ parseOptionalTags()

parseOptionalTags ( )
protected

Method to parse optional tags in the manifest

Renvoie
void
Depuis
3.1

◆ parseQueries()

parseQueries ( )
protected

Method to parse the queries specified in the <sql> tags

Renvoie
void
Depuis
3.4
Exceptions

Références elseif, et parent.

◆ prepareDiscoverInstall()

prepareDiscoverInstall ( )

Prepares the adapter for a discover_install task

Renvoie
void
Depuis
3.4

◆ setManifest()

setManifest ( $manifest )

Set the manifest object.

Paramètres
object $manifest The manifest object
Renvoie
InstallerAdapter Instance of this class to support chaining
Depuis
3.4

Références $manifest.

◆ setRoute()

setRoute ( $route )

Set the install route being followed

Paramètres
string $route The install route being followed
Renvoie
InstallerAdapter Instance of this class to support chaining
Depuis
3.4

Références $route.

◆ setupInstallPaths()

setupInstallPaths ( )
abstractprotected

Method to do any prechecks and setup the install paths for the extension

Renvoie
void
Depuis
3.4

◆ setupScriptfile()

setupScriptfile ( )
protected

Setup the manifest script file for those adapters that use it.

Renvoie
void
Depuis
3.4

Références parent, et JLoader\register().

◆ setupUpdates()

setupUpdates ( )
protected

Method to setup the update routine for the adapter

Renvoie
void
Depuis
3.4

◆ storeExtension()

storeExtension ( )
abstractprotected

Method to store the extension to the database

Renvoie
void
Depuis
3.4
Exceptions

◆ triggerManifestScript()

triggerManifestScript ( $method )
protected

Executes a custom install script method

Paramètres
string $method The install method to execute
Renvoie
boolean True on success
Depuis
3.4
Exceptions

Références parent.

◆ update()

update ( )

Generic update method for extensions

Renvoie
boolean|integer The extension ID on success, boolean false on failure
Depuis
3.4

Références parent.

Documentation des champs

◆ $currentExtensionId

$currentExtensionId = null
protected

◆ $element

$element = null
protected

◆ $extension

$extension = null
protected

◆ $extensionMessage

$extensionMessage = ''
protected

◆ $manifest

$manifest = null

◆ $manifest_script

$manifest_script = null
protected

◆ $name

$name = null
protected

◆ $route

$route = 'install'
protected

◆ $supportsDiscoverInstall

$supportsDiscoverInstall = true
protected

◆ $type

$type
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • InstallerAdapter.php


Joomla CMS: Référence de la classe InstallerExtension

  • Joomla
  • CMS
  • Installer
  • InstallerExtension
Fonctions membres publiques | Champs de données
Référence de la classe InstallerExtension
+ Graphe d'héritage de InstallerExtension:

Fonctions membres publiques

__construct (\SimpleXMLElement $element=null)

Champs de données

$filename = ''
$type = ''
$id = ''
$published = false
$client = 'site'
$group = ''
$manifest_cache = null
$params = null

Description détaillée

Extension object

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( \SimpleXMLElement $element = null )

Constructor

Paramètres
\SimpleXMLElement $element A SimpleXMLElement from which to load data from
Depuis
3.1

Références ApplicationHelper\getClientInfo(), et null.

Documentation des champs

◆ $client

$client = 'site'

◆ $filename

$filename = ''

◆ $group

$group = ''

◆ $id

$id = ''

◆ $manifest_cache

$manifest_cache = null

◆ $params

$params = null

◆ $published

$published = false

◆ $type

$type = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • InstallerExtension.php


Joomla CMS: Référence de la classe InstallerHelper

  • Joomla
  • CMS
  • Installer
  • InstallerHelper
Fonctions membres publiques statiques | Champs de données
Référence de la classe InstallerHelper

Fonctions membres publiques statiques

static | downloadPackage ($url, $target=false)
static | unpack ($packageFilename, $alwaysReturnArray=false)
static | detectType ($packageDirectory)
static | getFilenameFromUrl ($url)
static | cleanupInstall ($package, $resultdir)
static | splitSql ($query)
static | isChecksumValid ($packagefile, $updateObject)

Champs de données

const | HASH_NOT_VALIDATED = 0
const | HASH_VALIDATED = 1
const | HASH_NOT_PROVIDED = 2

Description détaillée

Installer helper class

Depuis
3.1

Documentation des fonctions membres

◆ cleanupInstall()

static cleanupInstall | ( | $package,
 |  | $resultdir
 | ) |
static

Clean up temporary uploaded package and unpacked extension

Paramètres
string | $package | Path to the uploaded package file
string | $resultdir | Path to the unpacked extension
Renvoie
boolean True on success
Depuis
3.1

Références $config, et elseif.

◆ detectType()

static detectType ( $packageDirectory )
static

Method to detect the extension type from a package directory

Paramètres
string $packageDirectory Path to package directory
Renvoie
mixed Extension type string or boolean false on fail
Depuis
3.1

Références $file, $files, et $type.

Référencé par PackageAdapter\copyBaseFiles().

◆ downloadPackage()

static downloadPackage | ( | $url,
 |  | $target = false
 | ) |
static

Downloads a package

Paramètres
string | $url | URL of file to download
mixed | $target | Download target filename or false to get the filename from the URL
Renvoie
string|boolean Path to downloaded package or boolean false on failure
Depuis
3.1

Références $dispatcher, $parts, $target, $url, $version, elseif, JEventDispatcher\getInstance(), et PluginHelper\importPlugin().

◆ getFilenameFromUrl()

static getFilenameFromUrl ( $url )
static

Gets a file name out of a url

Paramètres
string $url URL to get name from
Renvoie
string Clean version of the filename or a unique id
Depuis
3.1

Références $default, $parts, et $url.

◆ isChecksumValid()

static isChecksumValid | ( | $packagefile,
 |  | $updateObject
 | ) |
static

Return the result of the checksum of a package with the SHA256/SHA384/SHA512 tags in the update server manifest

Paramètres
string | $packagefile | Location of the package to be installed
JUpdate | $updateObject | The Update Object
Renvoie
integer one if the hashes match, zero if hashes doesn't match, two if hashes not found
Depuis
3.9.0

Références $hash.

◆ splitSql()

static splitSql ( $query )
static

Splits contents of a sql file into array of discreet queries. Queries need to be delimited with end of statement marker ';'

Paramètres
string $query The SQL statement.
Renvoie
array Array of queries
Depuis
3.1
Obsolète:
4.0 Use ::splitSql() directly

Références $db, et $query.

◆ unpack()

static unpack | ( | $packageFilename,
 |  | $alwaysReturnArray = false
 | ) |
static

Unpacks a file and verifies it as a Joomla element package Supports .gz .tar .tar.gz and .zip

Paramètres
string | $packageFilename | The uploaded package filename or install directory
boolean | $alwaysReturnArray | If should return false (and leave garbage behind) or return $retval['type']=false
Renvoie
array|boolean Array on success or boolean false on failure
Depuis
3.1

Références null.

Référencé par PackageAdapter\copyBaseFiles().

Documentation des champs

◆ HASH_NOT_PROVIDED

const HASH_NOT_PROVIDED = 2

◆ HASH_NOT_VALIDATED

const HASH_NOT_VALIDATED = 0

◆ HASH_VALIDATED

const HASH_VALIDATED = 1
La documentation de cette classe a été générée à partir du fichier suivant :
  • InstallerHelper.php


Joomla CMS: Référence de la classe InstallerScript

  • Joomla
  • CMS
  • Installer
  • InstallerScript
Fonctions membres publiques | Attributs protégés
Référence de la classe InstallerScript

Fonctions membres publiques

preflight ($type, $parent)
getInstances ($isModule)
getParam ($name, $id=0)
setParams ($paramArray=null, $type='edit', $id=0)
getItemArray ($element, $table, $column, $identifier)
removeFiles ()
moveCliFiles ()

Attributs protégés

$release
$paramTable
$extension
$deleteFiles = array()
$deleteFolders = array()
$cliScriptFiles = array()
$minimumPhp
$minimumJoomla
$allowDowngrades = false

Description détaillée

Base install script for use by extensions providing helper methods for common behaviours.

Depuis
3.6

Documentation des fonctions membres

◆ getInstances()

getInstances ( $isModule )

Gets each instance of a module in the #__modules table

Paramètres
boolean $isModule True if the extension is a module as this can have multiple instances
Renvoie
array An array of ID's of the extension
Depuis
3.6

Références $db, $query, et extension.

◆ getItemArray()

getItemArray | ( | $element,
 |  | $table,
 |  | $column,
 |  | $identifier
 | ) |

Builds a standard select query to produce better DRY code in this script. This should produce a single unique cell which is json encoded - it will then return an associated array with this data in.

Paramètres
string | $element | The element to get from the query
string | $table | The table to search for the data in
string | $column | The column of the database to search from
mixed | $identifier | The integer id or the already quoted string
Renvoie
array Associated array containing data from the cell
Depuis
3.6

Références $db, et $query.

◆ getParam()

getParam | ( | $name,
 |  | $id = 0
 | ) |

Gets parameter value in the extensions row of the extension table

Paramètres
string | $name | The name of the parameter to be retrieved
integer | $id | The id of the item in the Param Table
Renvoie
string The parameter desired
Depuis
3.6

Références $id, $name, et $params.

◆ moveCliFiles()

moveCliFiles ( )

Moves the CLI scripts into the CLI folder in the CMS

Renvoie
void
Depuis
3.6

Références $file, $name, et JPATH_ROOT.

◆ preflight()

preflight | ( | $type,
 |  | $parent
 | ) |

Function called before extension installation/update/removal procedure commences

Paramètres
string | $type | The type of change (install, update or discover_install, not uninstall)
InstallerAdapter | $parent | The class calling this method
Renvoie
boolean True on success
Depuis
3.6

Références $manifest, $type, et extension.

◆ removeFiles()

removeFiles ( )

Remove the files and folders in the given array from

Renvoie
void
Depuis
3.6

Références $file, $folder, et JPATH_ROOT.

◆ setParams()

setParams | ( | $paramArray = null,
 |  | $type = 'edit',
 |  | $id = 0
 | ) |

Sets parameter values in the extensions row of the extension table. Note that the this must be called separately for deleting and editing. Note if edit is called as a type then if the param doesn't exist it will be created

Paramètres
array | $paramArray | The array of parameters to be added/edited/removed
string | $type | The type of change to be made to the param (edit/remove)
integer | $id | The id of the item in the relevant table
Renvoie
boolean True on success
Depuis
3.6

Références $db, $id, $name, $params, $query, $type, $value, elseif, et json_encode.

Documentation des champs

◆ $allowDowngrades

$allowDowngrades = false
protected

◆ $cliScriptFiles

$cliScriptFiles = array()
protected

◆ $deleteFiles

$deleteFiles = array()
protected

◆ $deleteFolders

$deleteFolders = array()
protected

◆ $extension

$extension
protected

◆ $minimumJoomla

$minimumJoomla
protected

◆ $minimumPhp

$minimumPhp
protected

◆ $paramTable

$paramTable
protected

◆ $release

$release
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • InstallerScript.php


Joomla CMS: Référence de la classe Manifest

  • Joomla
  • CMS
  • Installer
  • Manifest
Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe Manifest
+ Graphe d'héritage de Manifest:
LibraryManifest PackageManifest

Fonctions membres publiques

__construct ($xmlpath='')
loadManifestFromXml ($xmlfile)

Champs de données

$manifest_file = ''
$name = ''
$version = ''
$description = ''
$packager = ''
$packagerurl = ''
$update = ''
$filelist = array()

Fonctions membres protégées

loadManifestFromData (\SimpleXmlElement $xml)

Description détaillée

Joomla! Package Manifest File

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $xmlpath = '' )

Constructor

Paramètres
string $xmlpath Path to XML manifest file.
Depuis
3.1

Documentation des fonctions membres

◆ loadManifestFromData()

loadManifestFromData ( \SimpleXmlElement $xml )
abstractprotected

Apply manifest data from a to the object.

Paramètres
\SimpleXMLElement $xml Data to load
Renvoie
void
Depuis
3.1

◆ loadManifestFromXml()

loadManifestFromXml ( $xmlfile )

Load a manifest from a file

Paramètres
string $xmlfile Path to file to load
Renvoie
boolean
Depuis
3.1

Documentation des champs

◆ $description

$description = ''

◆ $filelist

$filelist = array()

◆ $manifest_file

$manifest_file = ''

◆ $name

$name = ''

◆ $packager

$packager = ''

◆ $packagerurl

$packagerurl = ''

◆ $update

$update = ''

◆ $version

$version = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Installer/Manifest.php


Joomla CMS: Référence de la classe Porteren

  • Joomla
  • CMS
  • Language
  • Stemmer
  • Porteren
Fonctions membres publiques | Fonctions membres privées statiques | Attributs privés statiques
Référence de la classe Porteren
+ Graphe d'héritage de Porteren:
LanguageStemmer

Fonctions membres publiques

stem ($token, $lang)
- Fonctions membres publiques hérités de LanguageStemmer
stem ($token, $lang)

Fonctions membres privées statiques

static | _step1ab ($word)
static | _step1c ($word)
static | _step2 ($word)
static | _step3 ($word)
static | _step4 ($word)
static | _step5 ($word)
static | _replace (&$str, $check, $repl, $m=null)
static | _m ($str)
static | _doubleConsonant ($str)
static | _cvc ($str)

Attributs privés statiques

static | $_regex_consonant = '(?:[bcdfghjklmnpqrstvwxz]|(?<=[aeiou])y|^y)'
static | $_regex_vowel = '(?:[aeiou]|(?<![aeiou])y)'

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de LanguageStemmer
static | getInstance ($adapter)
- Attributs protégés hérités de LanguageStemmer
$cache = array()
- Attributs protégés statiques hérités de LanguageStemmer
static | $instances = array()

Description détaillée

Porter English stemmer class.

This class was adapted from one written by Richard Heyes. See copyright and link information above.

Depuis
3.0.0
Obsolète:
4.0 Use wamania/php-stemmer

Documentation des fonctions membres

◆ _cvc()

static _cvc ( $str )
staticprivate

Checks for ending CVC sequence where second C is not W, X or Y

Paramètres
string $str String to check
Renvoie
boolean Result
Depuis
3.0.0

◆ _doubleConsonant()

static _doubleConsonant ( $str )
staticprivate

Returns true/false as to whether the given string contains two of the same consonant next to each other at the end of the string.

Paramètres
string $str String to check
Renvoie
boolean Result
Depuis
3.0.0

◆ _m()

static _m ( $str )
staticprivate

m() measures the number of consonant sequences in $str. if c is a consonant sequence and v a vowel sequence, and <..> indicates arbitrary presence,

<v> gives 0 vc<v> gives 1 vcvc<v> gives 2 vcvcvc<v> gives 3

Paramètres
string $str The string to return the m count for
Renvoie
integer The m count
Depuis
3.0.0

◆ _replace()

static _replace | ( | & | $str,
 |  |  | $check,
 |  |  | $repl,
 |  |  | $m = null
 | ) |  |
staticprivate

Replaces the first string with the second, at the end of the string. If third arg is given, then the preceding string must match that m count at least.

Paramètres
string | &$str | String to check
string | $check | Ending to check for
string | $repl | Replacement string
integer | $m | Optional minimum number of m() to meet
Renvoie
boolean Whether the $check string was at the end of the $str string. True does not necessarily mean that it was replaced.
Depuis
3.0.0

Références $check.

◆ _step1ab()

static _step1ab ( $word )
staticprivate

Step 1

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
3.0.0

Références elseif.

◆ _step1c()

static _step1c ( $word )
staticprivate

Step 1c

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
3.0.0

◆ _step2()

static _step2 ( $word )
staticprivate

Step 2

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
3.0.0

◆ _step3()

static _step3 ( $word )
staticprivate

Step 3

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
3.0.0

◆ _step4()

static _step4 ( $word )
staticprivate

Step 4

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
3.0.0

◆ _step5()

static _step5 ( $word )
staticprivate

Step 5

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
3.0.0

Références elseif.

◆ stem()

stem | ( | $token,
 |  | $lang
 | ) |

Method to stem a token and return the root.

Paramètres
string | $token | The token to stem.
string | $lang | The language of the token.
Renvoie
string The root token.
Depuis
3.0.0

Références Language\$lang.

Documentation des champs

◆ $_regex_consonant

$_regex_consonant = '(?:[bcdfghjklmnpqrstvwxz]|(?<=[aeiou])y|^y)'
staticprivate

◆ $_regex_vowel

$_regex_vowel = '(?:[aeiou]|(?<![aeiou])y)'
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • Porteren.php


Joomla CMS: Référence de la classe JTextWrapper

  • Joomla
  • CMS
  • Language
  • Wrapper
  • JTextWrapper
Fonctions membres publiques
Référence de la classe JTextWrapper

Fonctions membres publiques

_ ($string, $jsSafe=false, $interpretBackSlashes=true, $script=false)
alt ($string, $alt, $jsSafe=false, $interpretBackSlashes=true, $script=false)
plural ($string, $n)
sprintf ($string)
printf ($string)
script ($string=null, $jsSafe=false, $interpretBackSlashes=true)

Description détaillée

Wrapper class for JText

Depuis
3.4
Obsolète:
4.0 Use JText directly

Documentation des fonctions membres

◆ _()

_ | ( | $string,
 |  | $jsSafe = false,
 |  | $interpretBackSlashes = true,
 |  | $script = false
 | ) |

Helper wrapper method for _

Paramètres
string | $string | The string to translate.
mixed | $jsSafe | Boolean: Make the result javascript safe.
boolean $interpretBackSlashes To interpret backslashes (\=\,
=carriage return, =tabulation).
boolean | $script | To indicate that the string will be push in the javascript language store.
Renvoie
string The translated string or the key if $script is true.
Voir également
::_
Depuis
3.4
Obsolète:
4.0 Use JText directly

Références $script.

◆ alt()

alt | ( | $string,
 |  | $alt,
 |  | $jsSafe = false,
 |  | $interpretBackSlashes = true,
 |  | $script = false
 | ) |

Helper wrapper method for alt

Paramètres
string | $string | The string to translate.
string | $alt | The alternate option for global string.
mixed | $jsSafe | Boolean: Make the result javascript safe.
boolean $interpretBackSlashes To interpret backslashes (\=\,
=carriage return, =tabulation).
boolean | $script | To indicate that the string will be pushed in the javascript language store.
Renvoie
string The translated string or the key if $script is true.
Voir également
::alt
Depuis
3.4
Obsolète:
4.0 Use JText directly

Références $alt, et $script.

◆ plural()

plural | ( | $string,
 |  | $n
 | ) |

Helper wrapper method for plural

Paramètres
string | $string | The format string.
integer | $n | The number of items.
Renvoie
string The translated strings or the key if 'script' is true in the array of options.
Voir également
::plural
Depuis
3.4
Obsolète:
4.0 Use JText directly

Références $n.

◆ printf()

printf ( $string )

Helper wrapper method for printf

Paramètres
string $string The format string.
Renvoie
mixed
Voir également
::printf
Depuis
3.4
Obsolète:
4.0 Use JText directly

◆ script()

script | ( | $string = null,
 |  | $jsSafe = false,
 |  | $interpretBackSlashes = true
 | ) |

Helper wrapper method for script

Paramètres
string | $string | The key.
boolean | $jsSafe | Ensure the output is JavaScript safe.
boolean $interpretBackSlashes Interpret and
.
Renvoie
string
Voir également
::script
Depuis
3.4
Obsolète:
4.0 Use JText directly

◆ sprintf()

sprintf ( $string )

Helper wrapper method for sprintf

Paramètres
string $string The format string.
Renvoie
string The translated strings or the key if 'script' is true in the array of options.
Voir également
::sprintf
Depuis
3.4
Obsolète:
4.0 Use JText directly
La documentation de cette classe a été générée à partir du fichier suivant :
  • JTextWrapper.php


Joomla CMS: Référence de la classe LanguageHelperWrapper

  • Joomla
  • CMS
  • Language
  • Wrapper
  • LanguageHelperWrapper
Fonctions membres publiques
Référence de la classe LanguageHelperWrapper

Fonctions membres publiques

createLanguageList ($actualLanguage, $basePath=JPATH_BASE, $caching=false, $installed=false)
detectLanguage ()
getLanguages ($key='default')

Description détaillée

Wrapper class for LanguageHelper

Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Language\LanguageHelper directly

Documentation des fonctions membres

◆ createLanguageList()

createLanguageList | ( | $actualLanguage,
 |  | $basePath = JPATH_BASE,
 |  | $caching = false,
 |  | $installed = false
 | ) |

Helper wrapper method for createLanguageList

Paramètres
string | $actualLanguage | Client key for the area.
string | $basePath | Base path to use.
boolean | $caching | True if caching is used.
boolean | $installed | Get only installed languages.
Renvoie
array List of system languages.
Voir également
LanguageHelper::createLanguageList
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Language\LanguageHelper directly

Références $basePath, et LanguageHelper\createLanguageList().

◆ detectLanguage()

detectLanguage ( )

Helper wrapper method for detectLanguage

Renvoie
string locale or null if not found.
Voir également
LanguageHelper::detectLanguage
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Language\LanguageHelper directly

Références LanguageHelper\detectLanguage().

◆ getLanguages()

getLanguages ( $key = 'default' )

Helper wrapper method for getLanguages

Paramètres
string $key Array key
Renvoie
array An array of published languages.
Voir également
LanguageHelper::getLanguages
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Language\LanguageHelper directly

Références $key, et LanguageHelper\getLanguages().

La documentation de cette classe a été générée à partir du fichier suivant :
  • LanguageHelperWrapper.php


Joomla CMS: Référence de la classe TransliterateWrapper

  • Joomla
  • CMS
  • Language
  • Wrapper
  • TransliterateWrapper
Fonctions membres publiques
Référence de la classe TransliterateWrapper

Fonctions membres publiques

utf8_latin_to_ascii ($string, $case=0)

Description détaillée

Wrapper class for Transliterate

Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Language\Transliterate directly

Documentation des fonctions membres

◆ utf8_latin_to_ascii()

utf8_latin_to_ascii | ( | $string,
 |  | $case = 0
 | ) |

Helper wrapper method for utf8_latin_to_ascii

Paramètres
string | $string | String to transliterate.
integer | $case | Optionally specify upper or lower case. Default to null.
Renvoie
string Transliterated string.
Voir également
Transliterate::utf8_latin_to_ascii()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\Language\Transliterate directly

Références Transliterate\utf8_latin_to_ascii().

La documentation de cette classe a été générée à partir du fichier suivant :
  • TransliterateWrapper.php


Joomla CMS: Référence de la classe Associations

  • Joomla
  • CMS
  • Language
  • Associations
Fonctions membres publiques statiques
Référence de la classe Associations

Fonctions membres publiques statiques

static | getAssociations ($extension, $tablename, $context, $id, $pk='id', $aliasField='alias', $catField='catid', $advClause=array())
static | isEnabled ()

Description détaillée

Utility class for associations in multilang

Depuis
3.1

Documentation des fonctions membres

◆ getAssociations()

static getAssociations | ( | $extension,
 |  | $tablename,
 |  | $context,
 |  | $id,
 |  | $pk = 'id',
 |  | $aliasField = 'alias',
 |  | $catField = 'catid',
 |  | $advClause = array()
 | ) |
static

Get the associations.

Paramètres
string | $extension | The name of the component.
string | $tablename | The name of the table.
string | $context | The context
integer | $id | The primary key value.
string | $pk | The name of the primary key in the given $table.
string | $aliasField | If the table has an alias field set it here. Null to not use it
string | $catField | If the table has a catid field set it here. Null to not use it
array | $advClause | Additional advanced 'where' clause; use c as parent column key, c2 as associations column key
Renvoie
array The associated items
Depuis
3.1
Exceptions

Références $context, $db, $extension, $id, $item, $items, et $query.

◆ isEnabled()

static isEnabled ( )
static

Method to determine if the language filter Associations parameter is enabled. This works for both site and administrator.

Renvoie
boolean True if the parameter is implemented; false otherwise.
Depuis
3.2

Références $enabled, $params, et Multilanguage\isEnabled().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Associations.php


Joomla CMS: Référence de la classe Language

  • Joomla
  • CMS
  • Language
  • Language
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe Language

Fonctions membres publiques

__construct ($lang=null, $debug=false)
_ ($string, $jsSafe=false, $interpretBackSlashes=true)
transliterate ($string)
getTransliterator ()
setTransliterator ($function)
getPluralSuffixes ($count)
getPluralSuffixesCallback ()
setPluralSuffixesCallback ($function)
getIgnoredSearchWords ()
getIgnoredSearchWordsCallback ()
setIgnoredSearchWordsCallback ($function)
getLowerLimitSearchWord ()
getLowerLimitSearchWordCallback ()
setLowerLimitSearchWordCallback ($function)
getUpperLimitSearchWord ()
getUpperLimitSearchWordCallback ()
setUpperLimitSearchWordCallback ($function)
getSearchDisplayedCharactersNumber ()
getSearchDisplayedCharactersNumberCallback ()
setSearchDisplayedCharactersNumberCallback ($function)
load ($extension='joomla', $basePath=JPATH_BASE, $lang=null, $reload=false, $default=true)
debugFile ($filename)
get ($property, $default=null)
getName ()
getPaths ($extension=null)
getErrorFiles ()
getTag ()
getCalendar ()
isRtl ()
setDebug ($debug)
getDebug ()
getDefault ()
setDefault ($lang)
getOrphans ()
getUsed ()
hasKey ($string)
setLanguage ($lang)
getLocale ()
getFirstDay ()
getWeekEnd ()

Fonctions membres publiques statiques

static | getInstance ($lang, $debug=false)
static | exists ($lang, $basePath=JPATH_BASE)
static | getMetadata ($lang)
static | getKnownLanguages ($basePath=JPATH_BASE)
static | getLanguagePath ($basePath=JPATH_BASE, $language=null)
static | parseLanguageFiles ($dir=null)
static | parseXMLLanguageFile ($path)

Fonctions membres protégées

loadLanguage ($fileName, $extension='unknown')
parse ($fileName)
getCallerInfo ()

Attributs protégés

$debug = false
$default = 'en-GB'
$orphans = array()
$metadata = null
$locale = null
$lang = null
$paths = array()
$errorfiles = array()
$strings = array()
$used = array()
$counter = 0
$override = array()
$transliterator = null
$pluralSuffixesCallback = null
$ignoredSearchWordsCallback = null
$lowerLimitSearchWordCallback = null
$upperLimitSearchWordCallback = null
$searchDisplayedCharactersNumberCallback = null

Attributs protégés statiques

static $languages = array()

Description détaillée

Languages/translation handler class

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $lang = null,
 |  | $debug = false
 | ) |

Constructor activating the default information of the language.

Paramètres
string | $lang | The language
boolean | $debug | Indicates if language debugging is enabled.
Depuis
1.7.0

Class exists. Try to find -a transliterate method, -a getPluralSuffixes method, -a getIgnoredSearchWords method -a getLowerLimitSearchWord method -a getUpperLimitSearchWord method -a getSearchDisplayCharactersNumber method

Références $class, Language\$debug, Language\$default, Language\$lang, $path, Language\$paths, LanguageHelper\getMetadata(), JPATH_ADMINISTRATOR, JPATH_BASE, JPATH_SITE, Language\load(), null, Language\parse(), et Language\setDebug().

Documentation des fonctions membres

◆ _()

_ | ( | $string,
 |  | $jsSafe = false,
 |  | $interpretBackSlashes = true
 | ) |

Translate function, mimics the php gettext (alias _) function.

The function checks if $jsSafe is true, then if $interpretBackslashes is true.

Paramètres
string | $string | The string to translate
boolean | $jsSafe | Make the result javascript safe
boolean $interpretBackSlashes Interpret and
Renvoie
string The translation of the string
Depuis
1.7.0

Références $key, $value, elseif, et Language\getCallerInfo().

◆ debugFile()

debugFile ( $filename )

Debugs a language file

Paramètres
string $filename Absolute path to the file to debug
Renvoie
integer A count of the number of parsing errors
Depuis
3.6.3
Exceptions

Références Language\$debug, $file, $key, elseif, Language\getDebug(), et null.

Référencé par Language\parse().

◆ exists()

static exists | ( | $lang,
 |  | $basePath = JPATH_BASE
 | ) |
static

Checks if a language exists.

This is a simple, quick check for the directory that should contain language files for the given user.

Paramètres
string | $lang | Language to check.
string | $basePath | Optional path to check.
Renvoie
boolean True if the language exists.
Depuis
1.7.0
Obsolète:
3.7.0, use LanguageHelper::exists() instead.

Références $basePath, Language\$lang, et LanguageHelper\exists().

◆ get()

get | ( | $property,
 |  | $default = null
 | ) |

Get a metadata language property.

Paramètres
string | $property | The name of the property.
mixed | $default | The default value.
Renvoie
mixed The value of the property.
Depuis
1.7.0

Références Language\$default.

◆ getCalendar()

getCalendar ( )

Getter for the calendar type

Renvoie
string The calendar type.
Depuis
3.7.0

◆ getCallerInfo()

getCallerInfo ( )
protected

Determine who called Language or JText.

Renvoie
array Caller information.
Depuis
1.7.0

Références $class, $info, et $step.

Référencé par Language\_().

◆ getDebug()

getDebug ( )

Get the Debug property.

Renvoie
boolean True is in debug mode.
Depuis
1.7.0

Références Language\$debug.

Référencé par Language\debugFile().

◆ getDefault()

getDefault ( )

Get the default language code.

Renvoie
string Language code.
Depuis
1.7.0

Références Language\$default.

◆ getErrorFiles()

getErrorFiles ( )

Get a list of language files that are in error state.

Renvoie
array
Depuis
1.7.0

Références Language\$errorfiles.

◆ getFirstDay()

getFirstDay ( )

Get the first day of the week for this language.

Renvoie
integer The first day of the week according to the language
Depuis
1.7.0

◆ getIgnoredSearchWords()

getIgnoredSearchWords ( )

Returns an array of ignored search words

Renvoie
array The array of ignored search words.
Depuis
1.7.0

Références null.

◆ getIgnoredSearchWordsCallback()

getIgnoredSearchWordsCallback ( )

Getter for ignoredSearchWordsCallback function.

Renvoie
callable Function name or the actual function.
Depuis
1.7.0

Références Language\$ignoredSearchWordsCallback.

◆ getInstance()

static getInstance | ( | $lang,
 |  | $debug = false
 | ) |
static

Returns a language object.

Paramètres
string | $lang | The language to use.
boolean | $debug | The debug mode.
Renvoie
Language The Language object.
Depuis
1.7.0

Références Language\$debug, et Language\$lang.

Référencé par Factory\createLanguage(), et OutputFilter\stringURLSafe().

◆ getKnownLanguages()

static getKnownLanguages ( $basePath = JPATH_BASE )
static

Returns a list of known languages for an area

Paramètres
string $basePath The basepath to use
Renvoie
array key/value pair with the language file and real name.
Depuis
1.7.0
Obsolète:
3.7.0, use LanguageHelper::getKnownLanguages() instead.

Références $basePath, et LanguageHelper\getKnownLanguages().

◆ getLanguagePath()

static getLanguagePath | ( | $basePath = JPATH_BASE,
 |  | $language = null
 | ) |
static

Get the path to a language

Paramètres
string | $basePath | The basepath to use.
string | $language | The language tag.
Renvoie
string language related path or null.
Depuis
1.7.0
Obsolète:
3.7.0, use LanguageHelper::getLanguagePath() instead.

Références $basePath, $language, et LanguageHelper\getLanguagePath().

◆ getLocale()

getLocale ( )

Get the language locale based on current language.

Renvoie
array The locale according to the language.
Depuis
1.7.0

Références Language\$locale.

◆ getLowerLimitSearchWord()

getLowerLimitSearchWord ( )

Returns a lower limit integer for length of search words

Renvoie
integer The lower limit integer for length of search words (3 if no value was set for a specific language).
Depuis
1.7.0

Références null.

◆ getLowerLimitSearchWordCallback()

getLowerLimitSearchWordCallback ( )

Getter for lowerLimitSearchWordCallback function

Renvoie
callable Function name or the actual function.
Depuis
1.7.0

Références Language\$lowerLimitSearchWordCallback.

◆ getMetadata()

static getMetadata ( $lang )
static

Returns an associative array holding the metadata.

Paramètres
string $lang The name of the language.
Renvoie
mixed If $lang exists return key/value pair with the language metadata, otherwise return NULL.
Depuis
1.7.0
Obsolète:
3.7.0, use LanguageHelper::getMetadata() instead.

Références Language\$lang, et LanguageHelper\getMetadata().

◆ getName()

getName ( )

Getter for Name.

Renvoie
string Official name element of the language.
Depuis
1.7.0

Référencé par JFormFieldText\setup().

◆ getOrphans()

getOrphans ( )

Get the list of orphaned strings if being tracked.

Renvoie
array Orphaned text.
Depuis
1.7.0

Références Language\$orphans.

◆ getPaths()

getPaths ( $extension = null )

Get a list of language files that have been loaded.

Paramètres
string $extension An optional extension name.
Renvoie
array
Depuis
1.7.0

Références $extension, et Language\$paths.

◆ getPluralSuffixes()

getPluralSuffixes ( $count )

Returns an array of suffixes for plural rules.

Paramètres
integer $count The count number the rule is for.
Renvoie
array The array of suffixes.
Depuis
1.7.0

Références $count, et null.

◆ getPluralSuffixesCallback()

getPluralSuffixesCallback ( )

Getter for pluralSuffixesCallback function.

Renvoie
callable Function name or the actual function.
Depuis
1.7.0

Références Language\$pluralSuffixesCallback.

◆ getSearchDisplayedCharactersNumber()

getSearchDisplayedCharactersNumber ( )

Returns the number of characters displayed in search results.

Renvoie
integer The number of characters displayed (200 if no value was set for a specific language).
Depuis
1.7.0

Références null.

◆ getSearchDisplayedCharactersNumberCallback()

getSearchDisplayedCharactersNumberCallback ( )

Getter for searchDisplayedCharactersNumberCallback function

Renvoie
callable Function name or the actual function.
Depuis
1.7.0

Références Language\$searchDisplayedCharactersNumberCallback.

◆ getTag()

getTag ( )

Getter for the language tag (as defined in RFC 3066)

Renvoie
string The language tag.
Depuis
1.7.0

◆ getTransliterator()

getTransliterator ( )

Getter for transliteration function

Renvoie
callable The transliterator function
Depuis
1.7.0

Références Language\$transliterator.

◆ getUpperLimitSearchWord()

getUpperLimitSearchWord ( )

Returns an upper limit integer for length of search words

Renvoie
integer The upper limit integer for length of search words (200 if no value was set or if default value is < 200).
Depuis
1.7.0

Références null.

◆ getUpperLimitSearchWordCallback()

getUpperLimitSearchWordCallback ( )

Getter for upperLimitSearchWordCallback function

Renvoie
callable Function name or the actual function.
Depuis
1.7.0

Références Language\$upperLimitSearchWordCallback.

◆ getUsed()

getUsed ( )

Get the list of used strings.

Used strings are those strings requested and found either as a string or a constant.

Renvoie
array Used strings.
Depuis
1.7.0

Références Language\$used.

◆ getWeekEnd()

getWeekEnd ( )

Get the weekends days for this language.

Renvoie
string The weekend days of the week separated by a comma according to the language
Depuis
3.2

◆ hasKey()

hasKey ( $string )

Determines is a key exists.

Paramètres
string $string The key to check.
Renvoie
boolean True, if the key exists.
Depuis
1.7.0

Références $key.

Référencé par Text\alt().

◆ isRtl()

isRtl ( )

Get the RTL property.

Renvoie
boolean True is it an RTL language.
Depuis
1.7.0

◆ load()

load | ( | $extension = 'joomla',
 |  | $basePath = JPATH_BASE,
 |  | $lang = null,
 |  | $reload = false,
 |  | $default = true
 | ) |

Loads a single language file and appends the results to the existing strings

Paramètres
string | $extension | The extension for which a language file should be loaded.
string | $basePath | The basepath to use.
string | $lang | The language to load, default null for the current language.
boolean | $reload | Flag that will force a language to be reloaded if set to true.
boolean | $default | Flag that force the default language to be loaded if the current does not exist.
Renvoie
boolean True if the file has successfully loaded.
Depuis
1.7.0

Références $basePath, Language\$default, $extension, Language\$lang, $path, LanguageHelper\getLanguagePath(), et Language\loadLanguage().

Référencé par Language\__construct().

◆ loadLanguage()

loadLanguage | ( | $fileName,
 |  | $extension = 'unknown'
 | ) |
protected

Loads a language file.

This method will not note the successful loading of a file - use load() instead.

Paramètres
string | $fileName | The name of the file.
string | $extension | The name of the extension.
Renvoie
boolean True if new strings have been added to the language
Voir également
Language::load()
Depuis
1.7.0

Références $extension, Language\$strings, et Language\parse().

Référencé par Language\load().

◆ parse()

parse ( $fileName )
protected

Parses a language file.

Paramètres
string $fileName The name of the file.
Renvoie
array The array of parsed strings.
Depuis
1.7.0

Références Language\$strings, et Language\debugFile().

Référencé par Language\__construct(), et Language\loadLanguage().

◆ parseLanguageFiles()

static parseLanguageFiles ( $dir = null )
static

Searches for language directories within a certain base dir.

Paramètres
string $dir directory of files.
Renvoie
array Array holding the found languages as filename => real name pairs.
Depuis
1.7.0
Obsolète:
3.7.0, use LanguageHelper::parseLanguageFiles() instead.

Références LanguageHelper\parseLanguageFiles().

◆ parseXMLLanguageFile()

static parseXMLLanguageFile ( $path )
static

Parse XML file for language information.

Paramètres
string $path Path to the XML files.
Renvoie
array Array holding the found metadata as a key => value pair.
Depuis
1.7.0
Exceptions

Références $path, et LanguageHelper\parseXMLLanguageFile().

◆ setDebug()

setDebug ( $debug )

Set the Debug property.

Paramètres
boolean $debug The debug setting.
Renvoie
boolean Previous value.
Depuis
1.7.0

Références Language\$debug.

Référencé par Language\__construct().

◆ setDefault()

setDefault ( $lang )

Set the default language code.

Paramètres
string $lang The language code.
Renvoie
string Previous value.
Depuis
1.7.0

Références Language\$default, et Language\$lang.

◆ setIgnoredSearchWordsCallback()

setIgnoredSearchWordsCallback ( $function )

Setter for the ignoredSearchWordsCallback function

Paramètres
callable $function Function name or actual function.
Renvoie
callable The previous function.
Depuis
1.7.0

Références $function, et Language\$ignoredSearchWordsCallback.

◆ setLanguage()

setLanguage ( $lang )

Set the language attributes to the given language.

Once called, the language still needs to be loaded using Language::load().

Paramètres
string $lang Language code.
Renvoie
string Previous value.
Depuis
1.7.0
Obsolète:
4.0 (CMS) - Instantiate a new Language object instead

Références Language\$lang, et LanguageHelper\getMetadata().

◆ setLowerLimitSearchWordCallback()

setLowerLimitSearchWordCallback ( $function )

Setter for the lowerLimitSearchWordCallback function.

Paramètres
callable $function Function name or actual function.
Renvoie
callable The previous function.
Depuis
1.7.0

Références $function, et Language\$lowerLimitSearchWordCallback.

◆ setPluralSuffixesCallback()

setPluralSuffixesCallback ( $function )

Set the pluralSuffixes function.

Paramètres
callable $function Function name or actual function.
Renvoie
callable The previous function.
Depuis
1.7.0

Références $function, et Language\$pluralSuffixesCallback.

◆ setSearchDisplayedCharactersNumberCallback()

setSearchDisplayedCharactersNumberCallback ( $function )

Setter for the searchDisplayedCharactersNumberCallback function.

Paramètres
callable $function Function name or the actual function.
Renvoie
callable The previous function.
Depuis
1.7.0

Références $function, et Language\$searchDisplayedCharactersNumberCallback.

◆ setTransliterator()

setTransliterator ( $function )

Set the transliteration function.

Paramètres
callable $function Function name or the actual function.
Renvoie
callable The previous function.
Depuis
1.7.0

Références $function, et Language\$transliterator.

◆ setUpperLimitSearchWordCallback()

setUpperLimitSearchWordCallback ( $function )

Setter for the upperLimitSearchWordCallback function

Paramètres
callable $function Function name or the actual function.
Renvoie
callable The previous function.
Depuis
1.7.0

Références $function, et Language\$upperLimitSearchWordCallback.

◆ transliterate()

transliterate ( $string )

Transliterate function

This method processes a string and replaces all accented UTF-8 characters by unaccented ASCII-7 "equivalents".

Paramètres
string $string The string to transliterate.
Renvoie
string The transliteration of the string.
Depuis
1.7.0

Références null, et Transliterate\utf8_latin_to_ascii().

Documentation des champs

◆ $counter

$counter = 0
protected

◆ $debug

$debug = false
protected

Référencé par Language\__construct(), Language\debugFile(), Language\getDebug(), Language\getInstance(), et Language\setDebug().

◆ $default

$default = 'en-GB'
protected

Référencé par Language\__construct(), Language\get(), Language\getDefault(), Language\load(), et Language\setDefault().

◆ $errorfiles

$errorfiles = array()
protected

Référencé par Language\getErrorFiles().

◆ $ignoredSearchWordsCallback

$ignoredSearchWordsCallback = null
protected

Référencé par Language\getIgnoredSearchWordsCallback(), et Language\setIgnoredSearchWordsCallback().

◆ $lang

$lang = null
protected

Référencé par Text\_(), Language\__construct(), LanguageHelper\exists(), Language\exists(), LanguageHelper\getInstalledLanguages(), Language\getInstance(), LanguageHelper\getLanguages(), LanguageHelper\getMetadata(), Language\getMetadata(), Language\load(), Text\passSprintf(), Text\plural(), Text\printf(), Language\setDefault(), Language\setLanguage(), Text\sprintf(), et Porteren\stem().

◆ $languages

$languages = array()
staticprotected

Référencé par LanguageHelper\createLanguageList(), AssociationsHelper\getAssociationHtmlList(), LanguageHelper\getContentLanguages(), LanguageHelper\getInstalledLanguages(), InstallerModelLanguages\getLanguages(), LanguageHelper\getLanguages(), et LanguageHelper\parseLanguageFiles().

◆ $locale

$locale = null
protected

Référencé par JFormFieldTimezone\getGroups(), et Language\getLocale().

◆ $lowerLimitSearchWordCallback

$lowerLimitSearchWordCallback = null
protected

Référencé par Language\getLowerLimitSearchWordCallback(), et Language\setLowerLimitSearchWordCallback().

◆ $metadata

$metadata = null
protected

Référencé par LanguageHelper\createLanguageList(), LanguageHelper\getLanguages(), LanguageHelper\parseLanguageFiles(), et LanguageHelper\parseXMLLanguageFile().

◆ $orphans

$orphans = array()
protected

Référencé par Language\getOrphans().

◆ $override

$override = array()
protected

◆ $paths

$paths = array()
protected

Référencé par Language\__construct(), LanguageHelper\exists(), et Language\getPaths().

◆ $pluralSuffixesCallback

$pluralSuffixesCallback = null
protected

Référencé par Language\getPluralSuffixesCallback(), et Language\setPluralSuffixesCallback().

◆ $searchDisplayedCharactersNumberCallback

$searchDisplayedCharactersNumberCallback = null
protected

Référencé par Language\getSearchDisplayedCharactersNumberCallback(), et Language\setSearchDisplayedCharactersNumberCallback().

◆ $strings

$strings = array()
protected

Référencé par Language\loadLanguage(), Language\parse(), et LanguageHelper\saveToIniFile().

◆ $transliterator

$transliterator = null
protected

Référencé par Language\getTransliterator(), et Language\setTransliterator().

◆ $upperLimitSearchWordCallback

$upperLimitSearchWordCallback = null
protected

Référencé par Language\getUpperLimitSearchWordCallback(), et Language\setUpperLimitSearchWordCallback().

◆ $used

$used = array()
protected

Référencé par Language\getUsed().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Language/Language.php


Joomla CMS: Référence de la classe LanguageHelper

  • Joomla
  • CMS
  • Language
  • LanguageHelper
Fonctions membres publiques statiques
Référence de la classe LanguageHelper

Fonctions membres publiques statiques

static | createLanguageList ($actualLanguage, $basePath=JPATH_BASE, $caching=false, $installed=false)
static | detectLanguage ()
static | getLanguages ($key='default')
static | getInstalledLanguages ($clientId=null, $processMetaData=false, $processManifest=false, $pivot='element', $orderField=null, $orderDirection=null)
static | getContentLanguages ($publishedStates=array(1), $checkInstalled=true, $pivot='lang_code', $orderField=null, $orderDirection=null)
static | saveToIniFile ($fileName, array $strings)
static | exists ($lang, $basePath=JPATH_BASE)
static | getMetadata ($lang)
static | getKnownLanguages ($basePath=JPATH_BASE)
static | getLanguagePath ($basePath=JPATH_BASE, $language=null)
static | parseLanguageFiles ($dir=null)
static | parseXMLLanguageFile ($path)

Description détaillée

Language helper class

Depuis
1.5

Documentation des fonctions membres

◆ createLanguageList()

static createLanguageList | ( | $actualLanguage,
 |  | $basePath = JPATH_BASE,
 |  | $caching = false,
 |  | $installed = false
 | ) |
static

Builds a list of the system languages which can be used in a select option

Paramètres
string | $actualLanguage | Client key for the area
string | $basePath | Base path to use
boolean | $caching | True if caching is used
boolean | $installed | Get only installed languages
Renvoie
array List of system languages
Depuis
1.5

Références $basePath, $clientId, $language, Language\$languages, $list, Language\$metadata, JPATH_ADMINISTRATOR, et null.

Référencé par LanguageHelperWrapper\createLanguageList().

◆ detectLanguage()

static detectLanguage ( )
static

Tries to detect the language.

Renvoie
string locale or null if not found
Depuis
1.5

Références elseif.

Référencé par LanguageHelperWrapper\detectLanguage(), CMSHelper\getCurrentLanguage(), et ContentHelper\getCurrentLanguage().

◆ exists()

static exists | ( | $lang,
 |  | $basePath = JPATH_BASE
 | ) |
static

Checks if a language exists.

This is a simple, quick check for the directory that should contain language files for the given user.

Paramètres
string | $lang | Language to check.
string | $basePath | Optional path to check.
Renvoie
boolean True if the language exists.
Depuis
3.7.0

Références $basePath, Language\$lang, $path, et Language\$paths.

Référencé par Language\exists().

◆ getContentLanguages()

static getContentLanguages | ( | $publishedStates = array(1),
 |  | $checkInstalled = true,
 |  | $pivot = 'lang_code',
 |  | $orderField = null,
 |  | $orderDirection = null
 | ) |
static

Get a list of content languages.

Paramètres
array | $publishedStates | Array with the content language published states. Empty array for all.
boolean | $checkInstalled | Check if the content language is installed.
string | $pivot | The pivot of the returning array.
string | $orderField | Field to order the results.
string | $orderDirection | Direction to order the results.
Renvoie
array Array of the content languages.
Depuis
3.7.0

Références $db, $key, $language, Language\$languages, $query, elseif, null, ArrayHelper\pivot(), et ArrayHelper\sortObjects().

Référencé par CategoriesControllerAjax\fetchAssociations(), ContentControllerAjax\fetchAssociations(), MenusControllerAjax\fetchAssociations(), NewsfeedsControllerAjax\fetchAssociations(), ContactControllerAjax\fetchAssociations(), AssociationsHelper\getAssociationHtmlList(), AssociationsHelper\getContentLanguages(), et AdminModel\redirectToAssociations().

◆ getInstalledLanguages()

static getInstalledLanguages | ( | $clientId = null,
 |  | $processMetaData = false,
 |  | $processManifest = false,
 |  | $pivot = 'element',
 |  | $orderField = null,
 |  | $orderDirection = null
 | ) |
static

Get a list of installed languages.

Paramètres
integer | $clientId | The client app id.
boolean | $processMetaData | Fetch Language metadata.
boolean | $processManifest | Fetch Language manifest.
string | $pivot | The pivot of the returning array.
string | $orderField | Field to order the results.
string | $orderDirection | Direction to order the results.
Renvoie
array Array with the installed languages.
Depuis
3.7.0

Références $clientId, $db, Language\$lang, $language, Language\$languages, $query, JPATH_ADMINISTRATOR, JPATH_SITE, null, ArrayHelper\pivot(), et ArrayHelper\sortObjects().

Référencé par ModuleHelper\isAdminMultilang().

◆ getKnownLanguages()

static getKnownLanguages ( $basePath = JPATH_BASE )
static

Returns a list of known languages for an area

Paramètres
string $basePath The basepath to use
Renvoie
array key/value pair with the language file and real name.
Depuis
3.7.0

Références $basePath.

Référencé par Language\getKnownLanguages().

◆ getLanguagePath()

static getLanguagePath | ( | $basePath = JPATH_BASE,
 |  | $language = null
 | ) |
static

Get the path to a language

Paramètres
string | $basePath | The basepath to use.
string | $language | The language tag.
Renvoie
string language related path or null.
Depuis
3.7.0

Références $basePath, et $language.

Référencé par Language\getLanguagePath(), et Language\load().

◆ getLanguages()

static getLanguages ( $key = 'default' )
static

Get available languages

Paramètres
string $key Array key
Renvoie
array An array of published languages
Depuis
1.6

Références $db, $key, Language\$lang, Language\$languages, Language\$metadata, $query, et JPATH_BASE.

Référencé par LanguageHelperWrapper\getLanguages().

◆ getMetadata()

static getMetadata ( $lang )
static

Returns an associative array holding the metadata.

Paramètres
string $lang The name of the language.
Renvoie
mixed If $lang exists return key/value pair with the language metadata, otherwise return NULL.
Depuis
3.7.0

Références $file, Language\$lang, JPATH_BASE, et null.

Référencé par Language\__construct(), Language\getMetadata(), et Language\setLanguage().

◆ parseLanguageFiles()

static parseLanguageFiles ( $dir = null )
static

Searches for language directories within a certain base dir.

Paramètres
string $dir directory of files.
Renvoie
array Array holding the found languages as filename => real name pairs.
Depuis
3.7.0

Références $file, Language\$languages, et Language\$metadata.

Référencé par Language\parseLanguageFiles().

◆ parseXMLLanguageFile()

static parseXMLLanguageFile ( $path )
static

Parse XML file for language information.

Paramètres
string $path Path to the XML files.
Renvoie
array Array holding the found metadata as a key => value pair.
Depuis
3.7.0
Exceptions

Références Language\$metadata, et $path.

Référencé par LanguageAdapter\_install(), et Language\parseXMLLanguageFile().

◆ saveToIniFile()

static saveToIniFile | ( |  | $fileName,
 |  | array | $strings
 | ) |  |
static

Save strings to a language file.

Paramètres
string | $fileName | The language ini file path.
array | $strings | The array of strings.
Renvoie
boolean True if saved, false otherwise.
Depuis
3.7.0

Références $key, Language\$strings, JPATH_LIBRARIES, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • LanguageHelper.php


Joomla CMS: Référence de la classe LanguageStemmer

  • Joomla
  • CMS
  • Language
  • LanguageStemmer
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe LanguageStemmer
+ Graphe d'héritage de LanguageStemmer:
Porteren

Fonctions membres publiques

stem ($token, $lang)

Fonctions membres publiques statiques

static getInstance ($adapter)

Attributs protégés

$cache = array()

Attributs protégés statiques

static $instances = array()

Description détaillée

Stemmer base class.

Depuis
3.0.0
Obsolète:
4.0 Use wamania/php-stemmer

Documentation des fonctions membres

◆ getInstance()

static getInstance ( $adapter )
static

Method to get a stemmer, creating it if necessary.

Paramètres
string $adapter The type of stemmer to load.
Renvoie
LanguageStemmer A LanguageStemmer instance.
Depuis
3.0.0
Exceptions

Références $class.

◆ stem()

stem | ( | $token,
 |  | $lang
 | ) |
abstract

Method to stem a token and return the root.

Paramètres
string | $token | The token to stem.
string | $lang | The language of the token.
Renvoie
string The root token.
Depuis
3.0.0

Documentation des champs

◆ $cache

$cache = array()
protected

◆ $instances

$instances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • LanguageStemmer.php


Joomla CMS: Référence de la classe Multilanguage

  • Joomla
  • CMS
  • Language
  • Multilanguage
Fonctions membres publiques statiques
Référence de la classe Multilanguage

Fonctions membres publiques statiques

static | isEnabled ()
static | getSiteLangs ()
static | getSiteHomePages ()

Description détaillée

Utility class for multilang

Depuis
2.5.4

Documentation des fonctions membres

◆ getSiteHomePages()

static getSiteHomePages ( )
static

Method to return a list of language home page menu items.

Renvoie
array of menu objects.
Depuis
3.5

Références $db, $query, et null.

◆ getSiteLangs()

static getSiteLangs ( )
static

Method to return a list of published site languages.

Renvoie
array of language extension objects.
Depuis
3.5
Obsolète:
3.7.0 Use ::getInstalledLanguages(0) instead.

◆ isEnabled()

static isEnabled ( )
static

Method to determine if the language filter plugin is enabled. This works for both site and administrator.

Renvoie
boolean True if site is supporting multiple languages; false otherwise.
Depuis
2.5.4

Références $app, $db, $enabled, et $query.

Référencé par SitePathway\__construct(), Categories\__construct(), RouteHelper\findItem(), RouteHelper\getCategoryRoute(), CMSHelper\getCurrentLanguage(), ContentHelper\getCurrentLanguage(), SiteMenu\getItems(), TagField\getOptions(), RouteHelper\getRoute(), Associations\isEnabled(), et Menu\store().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Multilanguage.php


Joomla CMS: Référence de la classe Text

  • Joomla
  • CMS
  • Language
  • Text
Fonctions membres publiques statiques | Attributs protégés statiques | Fonctions membres privées statiques
Référence de la classe Text

Fonctions membres publiques statiques

static | _ ($string, $jsSafe=false, $interpretBackSlashes=true, $script=false)
static | alt ($string, $alt, $jsSafe=false, $interpretBackSlashes=true, $script=false)
static | plural ($string, $n)
static | sprintf ($string)
static | printf ($string)
static | script ($string=null, $jsSafe=false, $interpretBackSlashes=true)
static | getScriptStrings ()

Attributs protégés statiques

static $strings = array()

Fonctions membres privées statiques

static passSprintf (&$string, $jsSafe=false, $interpretBackSlashes=true, $script=false)

Description détaillée

Text handling class.

Depuis
1.7.0

Documentation des fonctions membres

◆ _()

static _ | ( | $string,
 |  | $jsSafe = false,
 |  | $interpretBackSlashes = true,
 |  | $script = false
 | ) |
static

Translates a string into the current language.

Examples: ‘<script>alert(Joomla.JText._(’<?php echo Text::_("JDEFAULT", array("script"=>true)); ?>'));</script>‘ will generate an alert message containing 'Default’ <?php echo Text::_("JDEFAULT"); ?> will generate a 'Default' string

Paramètres
string | $string | The string to translate.
mixed | $jsSafe | Boolean: Make the result javascript safe.
boolean $interpretBackSlashes To interpret backslashes (\=\,
=carriage return, =tabulation)
boolean | $script | To indicate that the string will be push in the javascript language store
Renvoie
string The translated string or the key if $script is true
Depuis
1.7.0

Références Language\$lang, $script, et Factory\getLanguage().

Référencé par Stream\chmod(), Stream\close(), Folder\create(), Folder\delete(), Stream\eof(), Stream\filesize(), Stream\get_meta_data(), Stream\gets(), ToolbarHelper\modal(), File\move(), Folder\move(), PlgContentConfirmConsent\onContentPrepareForm(), Stream\open(), Stream\read(), ExceptionHandler\render(), Stream\seek(), Stream\tell(), ToolbarHelper\title(), File\upload(), Stream\upload(), ToolbarHelper\versions(), et Stream\write().

◆ alt()

static alt | ( | $string,
 |  | $alt,
 |  | $jsSafe = false,
 |  | $interpretBackSlashes = true,
 |  | $script = false
 | ) |
static

Translates a string into the current language.

Examples: ‘<?php echo Text::alt('JALL’, 'language'); ?>‘ will generate a 'All’ string in English but a "Toutes" string in French ‘<?php echo Text::alt('JALL’, 'module'); ?>‘ will generate a 'All’ string in English but a "Tous" string in French

Paramètres
string | $string | The string to translate.
string | $alt | The alternate option for global string
mixed | $jsSafe | Boolean: Make the result javascript safe.
boolean $interpretBackSlashes To interpret backslashes (\=\,
=carriage return, =tabulation)
boolean | $script | To indicate that the string will be pushed in the javascript language store
Renvoie
string The translated string or the key if $script is true
Depuis
1.7.0

Références $alt, $script, Factory\getLanguage(), et Language\hasKey().

◆ getScriptStrings()

static getScriptStrings ( )
static

Get the strings that have been loaded to the JavaScript language store.

Renvoie
array
Depuis
3.7.0

◆ passSprintf()

static passSprintf | ( | & | $string,
 |  |  | $jsSafe = false,
 |  |  | $interpretBackSlashes = true,
 |  |  | $script = false
 | ) |  |
staticprivate

Checks the string if it should be interpreted as sprintf and runs sprintf over it.

Paramètres
string | &$string | The string to translate.
mixed | $jsSafe | Boolean: Make the result javascript safe.
boolean $interpretBackSlashes To interpret backslashes (\=\,
=carriage return, =tabulation)
boolean | $script | To indicate that the string will be push in the javascript language store
Renvoie
boolean Whether the string be interpreted as sprintf
Depuis
3.4.4

Références $i, Language\$lang, $script, et Factory\getLanguage().

◆ plural()

static plural | ( | $string,
 |  | $n
 | ) |
static

Like Text::sprintf but tries to pluralise the string.

Note that this method can take a mixed number of arguments as for the sprintf function.

The last argument can take an array of options:

array('jsSafe'=>boolean, 'interpretBackSlashes'=>boolean, 'script'=>boolean)

where:

jsSafe is a boolean to generate a javascript safe strings. interpretBackSlashes is a boolean to interpret backslashes \->\,
->new line, ->tabulation. script is a boolean to indicate that the string will be push in the javascript language store.

Examples: ‘<script>alert(Joomla.JText._(’<?php echo Text::plural("COM_PLUGINS_N_ITEMS_UNPUBLISHED", 1, array("script"=>true)); ?>'));</script>‘ will generate an alert message containing '1 plugin successfully disabled’ ‘<?php echo Text::plural('COM_PLUGINS_N_ITEMS_UNPUBLISHED’, 1); ?>‘ will generate a '1 plugin successfully disabled’ string

Paramètres
string | $string | The format string.
integer | $n | The number of items
Renvoie
string The translated strings or the key if 'script' is true in the array of options
Depuis
1.7.0

Références $count, $key, Language\$lang, $n, $suffix, et Factory\getLanguage().

◆ printf()

static printf ( $string )
static

Passes a string thru an printf.

Note that this method can take a mixed number of arguments as for the sprintf function.

Paramètres
string $string The format string.
Renvoie
mixed
Depuis
1.7.0

Références $count, Language\$lang, et Factory\getLanguage().

◆ script()

static script | ( | $string = null,
 |  | $jsSafe = false,
 |  | $interpretBackSlashes = true
 | ) |
static

Translate a string into the current language and stores it in the JavaScript language store.

Paramètres
string | $string | The Text key.
boolean | $jsSafe | Ensure the output is JavaScript safe.
boolean $interpretBackSlashes Interpret and
.
Renvoie
string
Depuis
1.7.0

Références HTMLHelper\_(), Log\add(), Factory\getDocument(), Factory\getLanguage(), null, et Log\WARNING.

◆ sprintf()

static sprintf ( $string )
static

Passes a string thru a sprintf.

Note that this method can take a mixed number of arguments as for the sprintf function.

The last argument can take an array of options:

array('jsSafe'=>boolean, 'interpretBackSlashes'=>boolean, 'script'=>boolean)

where:

jsSafe is a boolean to generate a javascript safe strings. interpretBackSlashes is a boolean to interpret backslashes \->\,
->new line, ->tabulation. script is a boolean to indicate that the string will be push in the javascript language store.

Paramètres
string $string The format string.
Renvoie
string The translated strings or the key if 'script' is true in the array of options.
Depuis
1.7.0

Références $count, Language\$lang, et Factory\getLanguage().

Référencé par File\append(), Patcher\applyHunk(), File\copy(), File\delete(), Folder\delete(), Folder\files(), Folder\folders(), File\move(), Folder\move(), File\read(), File\upload(), et File\write().

Documentation des champs

◆ $strings

$strings = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Text.php


Joomla CMS: Référence de la classe Transliterate

  • Joomla
  • CMS
  • Language
  • Transliterate
Fonctions membres publiques statiques
Référence de la classe Transliterate

Fonctions membres publiques statiques

static utf8_latin_to_ascii ($string, $case=0)

Description détaillée

Class to transliterate strings

Depuis
1.7.0
Note
Port of phputf8's utf8_accents_to_ascii()

Documentation des fonctions membres

◆ utf8_latin_to_ascii()

static utf8_latin_to_ascii | ( | $string,
 |  | $case = 0
 | ) |
static

Returns strings transliterated from UTF-8 to Latin

Paramètres
string | $string | String to transliterate
integer | $case | Optionally specify upper or lower case. Default to null.
Renvoie
string Transliterated string
Depuis
1.7.0

Références null.

Référencé par Language\transliterate(), et TransliterateWrapper\utf8_latin_to_ascii().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Transliterate.php


Joomla CMS: Référence de la classe BaseLayout

  • Joomla
  • CMS
  • Layout
  • BaseLayout
Fonctions membres publiques | Attributs protégés
Référence de la classe BaseLayout
+ Graphe d'héritage de BaseLayout:
LayoutInterface FileLayout

Fonctions membres publiques

setOptions ($options=null)
getOptions ()
resetOptions ()
escape ($output)
getDebugMessages ()
render ($displayData)
renderDebugMessages ()
addDebugMessage ($message)
clearDebugMessages ()
debug ($data=array())
get ($key, $defaultValue=null)
getData ()
isDebugEnabled ()
set ($key, $value)
setData (array $data)
setDebug ($debug)

Attributs protégés

$options = null
$data = array()
$debugMessages = array()

Description détaillée

Base class for rendering a display layout

3.0

Documentation des fonctions membres

◆ addDebugMessage()

addDebugMessage ( $message )

Add a debug message to the debug messages array

Paramètres
string $message Message to save
Renvoie
self
Depuis
3.2

Références $message.

◆ clearDebugMessages()

clearDebugMessages ( )

Clear the debug messages array

Renvoie
self
Depuis
3.5

◆ debug()

debug ( $data = array() )

Render a layout with debug info

Paramètres
mixed $data Data passed to the layout
Renvoie
string
Depuis
3.5

Références $data, et $output.

◆ escape()

escape ( $output )

Method to escape output.

Paramètres
string $output The output to escape.
Renvoie
string The escaped output.
Note
the ENT_COMPAT flag will be replaced by ENT_QUOTES in Joomla 4.0 to also escape single quotes
Depuis
3.0

Implémente LayoutInterface.

Références $output, ENT_COMPAT, et htmlspecialchars.

◆ get()

get | ( | $key,
 |  | $defaultValue = null
 | ) |

Method to get the value from the data array

Paramètres
string | $key | Key to search for in the data array
mixed | $defaultValue | Default value to return if the key is not set
Renvoie
mixed Value from the data array | defaultValue if doesn't exist
Depuis
3.5

Références $key.

◆ getData()

getData ( )

Get the data being rendered

Renvoie
array
Depuis
3.5

Références $data.

◆ getDebugMessages()

getDebugMessages ( )

Get the debug messages array

Renvoie
array
Depuis
3.2

◆ getOptions()

getOptions ( )

Get the options

Renvoie
Registry Object with the options
Depuis
3.2

Références $options.

◆ isDebugEnabled()

isDebugEnabled ( )

Check if debug mode is enabled

Renvoie
boolean
Depuis
3.5

◆ render()

render ( $displayData )

Method to render the layout.

Paramètres
array $displayData Array of properties available for use inside the layout file to build the displayed output
Renvoie
string The necessary HTML to display the layout
Depuis
3.0

Implémente LayoutInterface.

Références $displayData.

◆ renderDebugMessages()

renderDebugMessages ( )

Render the list of debug messages

Renvoie
string Output text/HTML code
Depuis
3.2

◆ resetOptions()

resetOptions ( )

Function to empty all the options

Renvoie
BaseLayout Instance of $this to allow chaining.
Depuis
3.2

Références null.

◆ set()

set | ( | $key,
 |  | $value
 | ) |

Method to set a value in the data array. Example: $layout->set('items', $items);

Paramètres
string | $key | Key for the data array
mixed | $value | Value to assign to the key
Renvoie
self
Depuis
3.5

Références $key, et $value.

◆ setData()

setData ( array $data )

Set the the data passed the layout

Paramètres
array $data Array with the data for the layout
Renvoie
self
Depuis
3.5

Références $data.

◆ setDebug()

setDebug ( $debug )

Change the debug mode

Paramètres
boolean $debug Enable / Disable debug
Renvoie
self
Depuis
3.5

◆ setOptions()

setOptions ( $options = null )

Set the options

Paramètres
array | Registry $options Array / Registry object with the options to load
Renvoie
BaseLayout Instance of $this to allow chaining.
Depuis
3.2

Références $options, et elseif.

Documentation des champs

◆ $data

$data = array()
protected

◆ $debugMessages

$debugMessages = array()
protected

◆ $options

$options = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • BaseLayout.php


Joomla CMS: Référence de la classe FileLayout

  • Joomla
  • CMS
  • Layout
  • FileLayout
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe FileLayout
+ Graphe d'héritage de FileLayout:
BaseLayout LayoutInterface

Fonctions membres publiques

__construct ($layoutId, $basePath=null, $options=null)
render ($displayData=array())
addIncludePath ($path)
addIncludePaths ($paths)
clearIncludePaths ()
getIncludePaths ()
getLayoutId ()
getSuffixes ()
loadLanguageSuffixes ()
loadVersionSuffixes ()
removeIncludePath ($path)
removeIncludePaths ($paths)
setComponent ($option)
setClient ($client)
setLayout ($layoutId)
setLayoutId ($layoutId)
getDefaultIncludePaths ()
setIncludePaths ($paths)
setSuffixes (array $suffixes)
sublayout ($layoutId, $displayData)
- Fonctions membres publiques hérités de BaseLayout
setOptions ($options=null)
getOptions ()
resetOptions ()
escape ($output)
getDebugMessages ()
render ($displayData)
renderDebugMessages ()
addDebugMessage ($message)
clearDebugMessages ()
debug ($data=array())
get ($key, $defaultValue=null)
getData ()
isDebugEnabled ()
set ($key, $value)
setData (array $data)
setDebug ($debug)

Fonctions membres protégées

getPath ()
validComponent ($option=null)
refreshIncludePaths ()

Attributs protégés

$layoutId = ''
$basePath = null
$fullPath = null
$includePaths = array()
- Attributs protégés hérités de BaseLayout
$options = null
$data = array()
$debugMessages = array()

Attributs protégés statiques

static $cache = array()

Description détaillée

Base class for rendering a display layout loaded from from a layout file

3.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $layoutId,
 |  | $basePath = null,
 |  | $options = null
 | ) |

Method to instantiate the file-based layout.

Paramètres
string | $layoutId | Dot separated path to the layout file, relative to base path
string | $basePath | Base path to use when loading layout files
mixed | $options | Optional custom options to load. Registry or array format [
Depuis
3.2]
3.0

Références $basePath, et $options.

Documentation des fonctions membres

◆ addIncludePath()

addIncludePath ( $path )

Add one path to include in layout search. Proxy of addIncludePaths()

Paramètres
string $path The path to search for layouts
Renvoie
self
Depuis
3.2

Références $path.

◆ addIncludePaths()

addIncludePaths ( $paths )

Add one or more paths to include in layout search

Paramètres
string|string[] $paths The path or array of paths to search for layouts
Renvoie
self
Depuis
3.2

◆ clearIncludePaths()

clearIncludePaths ( )

Clear the include paths

Renvoie
self
Depuis
3.5

◆ getDefaultIncludePaths()

getDefaultIncludePaths ( )

Get the default array of include paths

Renvoie
array
Depuis
3.5

Références $component, DIRECTORY_SEPARATOR, JPATH_ADMINISTRATOR, JPATH_ROOT, JPATH_SITE, JPATH_THEMES, et null.

◆ getIncludePaths()

getIncludePaths ( )

Get the active include paths

Renvoie
array
Depuis
3.5

◆ getLayoutId()

getLayoutId ( )

Get the active layout id

Renvoie
string
Depuis
3.5

◆ getPath()

getPath ( )
protected

Method to finds the full real file path, checking possible overrides

Renvoie
string The full path to the layout file
Depuis
3.0

Références $hash, $suffix, JLoader\import(), et json_encode.

◆ getSuffixes()

getSuffixes ( )

Get the active suffixes

Renvoie
array
Depuis
3.5

◆ loadLanguageSuffixes()

loadLanguageSuffixes ( )

Load the automatically generated language suffixes. Example: array('es-ES', 'es', 'ltr')

Renvoie
self
Depuis
3.5

Références $lang.

◆ loadVersionSuffixes()

loadVersionSuffixes ( )

Load the automatically generated version suffixes. Example: array('j311', 'j31', 'j3')

Renvoie
self
Depuis
3.5

◆ refreshIncludePaths()

refreshIncludePaths ( )
protected

Refresh the list of include paths

Renvoie
self
Depuis
3.2
Obsolète:
3.5 Use FileLayout::clearIncludePaths()

◆ removeIncludePath()

removeIncludePath ( $path )

Remove one path from the layout search

Paramètres
string $path The path to remove from the layout search
Renvoie
self
Depuis
3.2

Références $path.

◆ removeIncludePaths()

removeIncludePaths ( $paths )

Remove one or more paths to exclude in layout search

Paramètres
string $paths The path or array of paths to remove for the layout search
Renvoie
self
Depuis
3.2

◆ render()

render ( $displayData = array() )

Method to render the layout.

Paramètres
array $displayData Array of properties available for use inside the layout file to build the displayed output
Renvoie
string The necessary HTML to display the layout
Depuis
3.0

Implémente LayoutInterface.

Références $displayData, et $path.

◆ setClient()

setClient ( $client )

Function to initialise the application client

Paramètres
mixed $client Frontend: 'site' or 0 | Backend: 'admin' or 1
Renvoie
void
Depuis
3.2

Références $client.

◆ setComponent()

setComponent ( $option )

Method to change the component where search for layouts

Paramètres
string $option URL Option of the component. Example: com_content
Renvoie
mixed Component option string | null for none
Depuis
3.2

Références $component, $option, ApplicationHelper\getComponentName(), et null.

◆ setIncludePaths()

setIncludePaths ( $paths )

Set the include paths to search for layouts

Paramètres
array $paths Array with paths to search in
Renvoie
self
Depuis
3.5

◆ setLayout()

setLayout ( $layoutId )

Change the layout

Paramètres
string $layoutId Layout to render
Renvoie
self
Depuis
3.2
Obsolète:
3.5 Use setLayoutId()

◆ setLayoutId()

setLayoutId ( $layoutId )

Set the active layout id

Paramètres
string $layoutId Layout identifier
Renvoie
self
Depuis
3.5

Références null.

◆ setSuffixes()

setSuffixes ( array $suffixes )

Set suffixes to search layouts

Paramètres
mixed $suffixes String with a single suffix or 'auto' | 'none' or array of suffixes
Renvoie
self
Depuis
3.5

◆ sublayout()

sublayout | ( | $layoutId,
 |  | $displayData
 | ) |

Render a layout with the same include paths & options

Paramètres
string | $layoutId | The identifier for the sublayout to be searched in a subfolder with the name of the current layout
mixed | $displayData | Data to be rendered
Renvoie
string The necessary HTML to display the layout
Depuis
3.2

Références $basePath, $displayData, $options, et $sublayout.

◆ validComponent()

validComponent ( $option = null )
protected

Validate that the active component is valid

Paramètres
string $option URL Option of the component. Example: com_content
Renvoie
boolean
Depuis
3.2

Références $component, $option, ComponentHelper\isEnabled(), et null.

Documentation des champs

◆ $basePath

$basePath = null
protected

◆ $cache

$cache = array()
staticprotected

◆ $fullPath

$fullPath = null
protected

◆ $includePaths

$includePaths = array()
protected

◆ $layoutId

$layoutId = ''
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FileLayout.php


Joomla CMS: Référence de la classe LayoutHelper

  • Joomla
  • CMS
  • Layout
  • LayoutHelper
Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe LayoutHelper

Fonctions membres publiques statiques

static | debug ($layoutFile, $displayData=null, $basePath='', $options=null)
static | render ($layoutFile, $displayData=null, $basePath='', $options=null)

Attributs publics statiques

static $defaultBasePath = ''

Description détaillée

Helper to render a Layout object, storing a base path

3.1

Documentation des fonctions membres

◆ debug()

static debug | ( | $layoutFile,
 |  | $displayData = null,
 |  | $basePath = '',
 |  | $options = null
 | ) |
static

Method to render a layout with debug info

Paramètres
string | $layoutFile | Dot separated path to the layout file, relative to base path
mixed | $displayData | Object which properties are used inside the layout file to build displayed output
string | $basePath | Base path to use when loading layout files
mixed | $options | Optional custom options to load. Registry or array format
Renvoie
string
Depuis
3.5

Références $basePath, $displayData, $layout, $options, et null.

◆ render()

static render | ( | $layoutFile,
 |  | $displayData = null,
 |  | $basePath = '',
 |  | $options = null
 | ) |
static

Method to render the layout.

Paramètres
string | $layoutFile | Dot separated path to the layout file, relative to base path
mixed | $displayData | Object which properties are used inside the layout file to build displayed output
string | $basePath | Base path to use when loading layout files
mixed | $options | Optional custom options to load. Registry or array format
Renvoie
string
Depuis
3.1

Références $basePath, $displayData, $layout, $options, et null.

Référencé par HTMLHelper\calendar(), ModulesRenderer\render(), MessageRenderer\render(), et ErrorDocument\renderBacktrace().

Documentation des champs

◆ $defaultBasePath

$defaultBasePath = ''
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • LayoutHelper.php


Joomla CMS: Référence de l'interface LayoutInterface

  • Joomla
  • CMS
  • Layout
  • LayoutInterface
Fonctions membres publiques
Référence de l'interface LayoutInterface
+ Graphe d'héritage de LayoutInterface:
BaseLayout FileLayout

Fonctions membres publiques

escape ($output)
render ($displayData)

Description détaillée

Interface to handle display layout

3.0

Documentation des fonctions membres

◆ escape()

escape ( $output )

Method to escape output.

Paramètres
string $output The output to escape.
Renvoie
string The escaped output.
Depuis
3.0

Implémenté dans BaseLayout.

◆ render()

render ( $displayData )

Method to render the layout.

Paramètres
array $displayData Array of properties available for use inside the layout file to build the displayed output
Renvoie
string The rendered layout.
Depuis
3.0

Implémenté dans BaseLayout, et FileLayout.

La documentation de cette interface a été générée à partir du fichier suivant :
  • LayoutInterface.php


Joomla CMS: Référence de la classe CallbackLogger

  • Joomla
  • CMS
  • Log
  • Logger
  • CallbackLogger
Fonctions membres publiques | Attributs protégés
Référence de la classe CallbackLogger
+ Graphe d'héritage de CallbackLogger:
Logger

Fonctions membres publiques

__construct (array &$options)
addEntry (LogEntry $entry)
- Fonctions membres publiques hérités de Logger
__construct (array &$options)
addEntry (LogEntry $entry)

Attributs protégés

$callback
- Attributs protégés hérités de Logger
$options = array()
$priorities

Description détaillée

Joomla! Callback Log class

This class allows logging to be handled by a callback function. This allows unprecedented flexibility in the way logging can be handled.

Depuis
3.0.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array & $options )

Constructor.

Paramètres
array &$options Log object options.
Depuis
3.0.1
Exceptions

Références Logger\$options.

Documentation des fonctions membres

◆ addEntry()

addEntry ( LogEntry $entry )

Method to add an entry to the log.

Paramètres
LogEntry $entry The log entry object to add to the log.
Renvoie
void
Depuis
3.0.1
Exceptions

Documentation des champs

◆ $callback

$callback
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CallbackLogger.php


Joomla CMS: Référence de la classe DatabaseLogger

  • Joomla
  • CMS
  • Log
  • Logger
  • DatabaseLogger
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe DatabaseLogger
+ Graphe d'héritage de DatabaseLogger:
Logger

Fonctions membres publiques

__construct (array &$options)
addEntry (LogEntry $entry)
- Fonctions membres publiques hérités de Logger
__construct (array &$options)
addEntry (LogEntry $entry)

Fonctions membres protégées

connect ()

Attributs protégés

$driver = 'mysqli'
$host = '127.0.0.1'
$user = 'root'
$password = ''
$database = 'logging'
$table = 'jos_'
$db
- Attributs protégés hérités de Logger
$options = array()
$priorities

Description détaillée

Joomla! MySQL Database Log class

This class is designed to output logs to a specific MySQL database table. Fields in this table are based on the Syslog style of log output. This is designed to allow quick and easy searching.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array & $options )

Constructor.

Paramètres
array &$options Log object options.
Depuis
1.7.0

Références Logger\$options, null, et prefix.

Documentation des fonctions membres

◆ addEntry()

addEntry ( LogEntry $entry )

Method to add an entry to the log.

Paramètres
LogEntry $entry The log entry object to add to the log.
Renvoie
void
Depuis
1.7.0
Exceptions

◆ connect()

connect ( )
protected

Method to connect to the database server based on object properties.

Renvoie
void
Depuis
1.7.0
Exceptions

Références Logger\$options, JDatabaseDriver\getInstance(), et prefix.

Documentation des champs

◆ $database

$database = 'logging'
protected

◆ $db

$db
protected

◆ $driver

$driver = 'mysqli'
protected

◆ $host

$host = '127.0.0.1'
protected

◆ $password

$password = ''
protected

◆ $table

$table = 'jos_'
protected

◆ $user

$user = 'root'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • DatabaseLogger.php


Joomla CMS: Référence de la classe EchoLogger

  • Joomla
  • CMS
  • Log
  • Logger
  • EchoLogger
Fonctions membres publiques | Attributs protégés
Référence de la classe EchoLogger
+ Graphe d'héritage de EchoLogger:
Logger

Fonctions membres publiques

__construct (array &$options)
addEntry (LogEntry $entry)
- Fonctions membres publiques hérités de Logger
__construct (array &$options)
addEntry (LogEntry $entry)

Attributs protégés

$line_separator = "\n"
- Attributs protégés hérités de Logger
$options = array()
$priorities

Description détaillée

Joomla Echo logger class.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array & $options )

Constructor.

Paramètres
array &$options Log object options.
Depuis
3.0.0

Références Logger\$options.

Documentation des fonctions membres

◆ addEntry()

addEntry ( LogEntry $entry )

Method to add an entry to the log.

Paramètres
LogEntry $entry The log entry object to add to the log.
Renvoie
void
Depuis
1.7.0

Documentation des champs

◆ $line_separator

$line_separator = "\n"
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • EchoLogger.php


Joomla CMS: Référence de la classe FormattedtextLogger

  • Joomla
  • CMS
  • Log
  • Logger
  • FormattedtextLogger
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FormattedtextLogger
+ Graphe d'héritage de FormattedtextLogger:
Logger W3cLogger

Fonctions membres publiques

__construct (array &$options)
__destruct ()
addEntry (LogEntry $entry)
- Fonctions membres publiques hérités de Logger
__construct (array &$options)
addEntry (LogEntry $entry)

Fonctions membres protégées

formatLine (LogEntry $entry)
generateFileHeader ()
initFile ()
parseFields ()

Attributs protégés

$format = '{DATETIME} {PRIORITY} {CLIENTIP} {CATEGORY} {MESSAGE}'
$fields = array()
$path
$defer = false
$deferredEntries = array()
- Attributs protégés hérités de Logger
$options = array()
$priorities

Description détaillée

Joomla! Formatted Text File Log class

This class is designed to use as a base for building formatted text files for output. By default it emulates the Syslog style format output. This is a disk based output format.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array & $options )

Constructor.

Paramètres
array &$options Log object options.
Depuis
1.7.0

Références Logger\$options.

◆ __destruct()

__destruct ( )

If deferred, write all pending logs.

Depuis
3.9.0

Documentation des fonctions membres

◆ addEntry()

addEntry ( LogEntry $entry )

Method to add an entry to the log.

Paramètres
LogEntry $entry The log entry object to add to the log.
Renvoie
void
Depuis
1.7.0
Exceptions

◆ formatLine()

formatLine ( LogEntry $entry )
protected

Format a line for the log file.

Paramètres
JLogEntry $entry The log entry to format as a string.
Renvoie
String
Depuis
3.9.0

Références $field, $format, $tmp, et fields.

◆ generateFileHeader()

generateFileHeader ( )
protected

Method to generate the log file header.

Renvoie
string The log file header
Depuis
1.7.0

Références JPlatform\getLongVersion().

◆ initFile()

initFile ( )
protected

Method to initialise the log file. This will create the folder path to the file if it doesn't already exist and also get a new file header if the file doesn't already exist. If the file already exists it will simply open it for writing.

Renvoie
void
Depuis
1.7.0
Exceptions

◆ parseFields()

parseFields ( )
protected

Method to parse the format string into an array of fields.

Renvoie
void
Depuis
1.7.0

Références fields.

Documentation des champs

◆ $defer

$defer = false
protected

◆ $deferredEntries

$deferredEntries = array()
protected

◆ $fields

$fields = array()
protected

◆ $format

$format = '{DATETIME} {PRIORITY} {CLIENTIP} {CATEGORY} {MESSAGE}'
protected

◆ $path

$path
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FormattedtextLogger.php


Joomla CMS: Référence de la classe MessagequeueLogger

  • Joomla
  • CMS
  • Log
  • Logger
  • MessagequeueLogger
Fonctions membres publiques
Référence de la classe MessagequeueLogger
+ Graphe d'héritage de MessagequeueLogger:
Logger

Fonctions membres publiques

addEntry (LogEntry $entry)
- Fonctions membres publiques hérités de Logger
__construct (array &$options)
addEntry (LogEntry $entry)

Membres hérités additionnels

- Attributs protégés hérités de Logger
$options = array()
$priorities

Description détaillée

Joomla MessageQueue logger class.

This class is designed to output logs to a specific MySQL database table. Fields in this table are based on the Syslog style of log output. This is designed to allow quick and easy searching.

Depuis
1.7.0

Documentation des fonctions membres

◆ addEntry()

addEntry ( LogEntry $entry )

Method to add an entry to the log.

Paramètres
LogEntry $entry The log entry object to add to the log.
Renvoie
void
Depuis
1.7.0

Références Log\ALERT, Log\CRITICAL, Log\EMERGENCY, Log\ERROR, Log\INFO, Log\NOTICE, et Log\WARNING.

La documentation de cette classe a été générée à partir du fichier suivant :
  • MessagequeueLogger.php


Joomla CMS: Référence de la classe SyslogLogger

  • Joomla
  • CMS
  • Log
  • Logger
  • SyslogLogger
Fonctions membres publiques | Attributs protégés
Référence de la classe SyslogLogger
+ Graphe d'héritage de SyslogLogger:
Logger

Fonctions membres publiques

__construct (array &$options)
__destruct ()
addEntry (LogEntry $entry)
- Fonctions membres publiques hérités de Logger
__construct (array &$options)
addEntry (LogEntry $entry)

Attributs protégés

$priorities
- Attributs protégés hérités de Logger
$options = array()
$priorities

Description détaillée

Joomla! Syslog Log class

This class is designed to call the PHP Syslog function call which is then sent to the system wide log system. For Linux/Unix based systems this is the syslog subsystem, for the Windows based implementations this can be found in the Event Log. For Windows, permissions may prevent PHP from properly outputting messages.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array & $options )

Constructor.

Paramètres
array &$options Log object options.
Depuis
1.7.0

Références Logger\$options.

◆ __destruct()

__destruct ( )

Destructor.

Depuis
1.7.0

Documentation des fonctions membres

◆ addEntry()

addEntry ( LogEntry $entry )

Method to add an entry to the log.

Paramètres
LogEntry $entry The log entry object to add to the log.
Renvoie
void
Depuis
1.7.0

Documentation des champs

◆ $priorities

$priorities
protected
Valeur initiale :
= array(
Log::EMERGENCY => 'EMERG',
Log::ALERT => 'ALERT',
Log::CRITICAL => 'CRIT',
Log::ERROR => 'ERR',
Log::WARNING => 'WARNING',
Log::NOTICE => 'NOTICE',
Log::INFO => 'INFO',
Log::DEBUG => 'DEBUG',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • SyslogLogger.php


Joomla CMS: Référence de la classe W3cLogger

  • Joomla
  • CMS
  • Log
  • Logger
  • W3cLogger
Fonctions membres publiques | Attributs protégés
Référence de la classe W3cLogger
+ Graphe d'héritage de W3cLogger:
FormattedtextLogger Logger

Fonctions membres publiques

__construct (array &$options)
- Fonctions membres publiques hérités de FormattedtextLogger
__construct (array &$options)
__destruct ()
addEntry (LogEntry $entry)
- Fonctions membres publiques hérités de Logger
__construct (array &$options)
addEntry (LogEntry $entry)

Attributs protégés

$format = '{DATE} {TIME} {PRIORITY} {CLIENTIP} {CATEGORY} {MESSAGE}'
- Attributs protégés hérités de FormattedtextLogger
$format = '{DATETIME} {PRIORITY} {CLIENTIP} {CATEGORY} {MESSAGE}'
$fields = array()
$path
$defer = false
$deferredEntries = array()
- Attributs protégés hérités de Logger
$options = array()
$priorities

Membres hérités additionnels

- Fonctions membres protégées hérités de FormattedtextLogger
formatLine (LogEntry $entry)
generateFileHeader ()
initFile ()
parseFields ()

Description détaillée

Joomla! W3C Logging class

This class is designed to build log files based on the W3C specification.

1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array & $options )

Constructor.

Paramètres
array &$options Log object options.
Depuis
1.7.0

Références Logger\$options.

Documentation des champs

◆ $format

$format = '{DATE} {TIME} {PRIORITY} {CLIENTIP} {CATEGORY} {MESSAGE}'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • W3cLogger.php


Joomla CMS: Référence de la classe DelegatingPsrLogger

  • Joomla
  • CMS
  • Log
  • DelegatingPsrLogger
Fonctions membres publiques | Attributs protégés
Référence de la classe DelegatingPsrLogger
+ Graphe d'héritage de DelegatingPsrLogger:
AbstractLogger LoggerInterface

Fonctions membres publiques

__construct (Log $logger)
log ($level, $message, array $context=array())
- Fonctions membres publiques hérités de AbstractLogger
emergency ($message, array $context=array())
alert ($message, array $context=array())
critical ($message, array $context=array())
error ($message, array $context=array())
warning ($message, array $context=array())
notice ($message, array $context=array())
info ($message, array $context=array())
debug ($message, array $context=array())

Attributs protégés

$logger
$priorityMap

Description détaillée

Delegating logger which delegates log messages received from the PSR-3 interface to the Joomla! Log object.

Depuis
3.8.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Log $logger )

Constructor.

Paramètres
Log $logger The Log instance to delegate messages to.
Depuis
3.8.0

Documentation des fonctions membres

◆ log()

log | ( |  | $level,
 |  |  | $message,
 |  | array | $context = array()
 | ) |  |

Logs with an arbitrary level.

Paramètres
mixed | $level | The log level.
string | $message | The log message.
array | $context | Additional message context.
Renvoie
void
Depuis
3.8.0
Exceptions
InvalidArgumentException

Implémente LoggerInterface.

Références $category, $context, $date, $message, et null.

Documentation des champs

◆ $logger

$logger
protected

◆ $priorityMap

$priorityMap
protected
Valeur initiale :
= array(
LogLevel::EMERGENCY => Log::EMERGENCY,
LogLevel::ALERT => Log::ALERT,
LogLevel::CRITICAL => Log::CRITICAL,
LogLevel::ERROR => Log::ERROR,
LogLevel::WARNING => Log::WARNING,
LogLevel::NOTICE => Log::NOTICE,
LogLevel::INFO => Log::INFO,
LogLevel::DEBUG => Log::DEBUG
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • DelegatingPsrLogger.php


Joomla CMS: Référence de la classe Log

  • Joomla
  • CMS
  • Log
  • Log
Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe Log

Fonctions membres publiques statiques

static | add ($entry, $priority=self::INFO, $category='', $date=null, array $context=array())
static | addLogger (array $options, $priorities=self::ALL, $categories=array(), $exclude=false)
static | createDelegatedLogger ()
static | setInstance ($instance)

Champs de données

const | ALL = 30719
const | EMERGENCY = 1
const | ALERT = 2
const | CRITICAL = 4
const | ERROR = 8
const | WARNING = 16
const | NOTICE = 32
const | INFO = 64
const | DEBUG = 128

Fonctions membres protégées

__construct ()
addLoggerInternal (array $options, $priorities=self::ALL, $categories=array(), $exclude=false)
addLogEntry (LogEntry $entry)
findLoggers ($priority, $category)

Attributs protégés

$configurations = array()
$loggers = array()
$lookup = array()

Attributs protégés statiques

static $instance

Description détaillée

Joomla! Log Class

This class hooks into the global log configuration settings to allow for user configured logging events to be sent to where the user wishes them to be sent. On high load sites Syslog is probably the best (pure PHP function), then the text file based loggers (CSV, W3c or plain Formattedtext) and finally MySQL offers the most features (e.g. rapid searching) but will incur a performance hit due to INSERT being issued.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
protected

Constructor.

Depuis
1.7.0

Documentation des fonctions membres

◆ add()

static add | ( |  | $entry,
 |  |  | $priority = self::INFO,
 |  |  | $category = '',
 |  |  | $date = null,
 |  | array | $context = array()
 | ) |  |
static

Method to add an entry to the log.

Paramètres
mixed | $entry | The LogEntry object to add to the log or the message for a new LogEntry object.
integer | $priority | Message priority.
string | $category | Type of entry
string | $date | Date of entry (defaults to now if not specified or blank)
array | $context | An optional array with additional message context.
Renvoie
void
Depuis
1.7.0

Références $category, $context, et $date.

Référencé par Route\_(), JAdminCssMenu\__construct(), FileStorage\_deleteFolder(), ExtensionAdapter\_endElement(), Update\_endElement(), FileStorage\_filesInFolder(), FileStorage\_folders(), ContentHelper\_getActions(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), Mail\add(), Mail\addAttachment(), File\append(), FtpClient\chdir(), FtpClient\chmod(), FtpClient\connect(), File\copy(), HtmlDocument\countModules(), Folder\create(), FtpClient\create(), Factory\createMailer(), File\delete(), Folder\delete(), FtpClient\delete(), OutputController\end(), Folder\files(), CollectionAdapter\findUpdate(), ExtensionAdapter\findUpdate(), Folder\folders(), FtpClient\get(), Factory\getAcl(), ContentHelper\getActions(), RedisStorage\getConnection(), Factory\getEditor(), Factory\getFeedParser(), Image\getFilterInstance(), HTMLHelper\getJSObject(), HTMLHelper\getMd5Version(), File\getName(), UpdateAdapter\getUpdateSiteResponse(), Factory\getUri(), Factory\getXml(), Crypt\hasStrongPasswordSupport(), FtpClient\listDetails(), FtpClient\listNames(), Update\loadFromXml(), ExceptionHandler\logException(), FtpClient\login(), FtpClient\mkdir(), File\move(), FtpClient\pwd(), File\read(), FtpClient\read(), FtpClient\reinit(), FtpClient\rename(), MessageRenderer\render(), FtpClient\restart(), Text\script(), HTMLHelper\script(), Mail\setFrom(), Mail\setSender(), OutputController\start(), FtpClient\store(), HTMLHelper\stylesheet(), FtpClient\syst(), CacheStorage\test(), File\upload(), File\write(), et FtpClient\write().

◆ addLogEntry()

addLogEntry ( LogEntry $entry )
protected

Method to add an entry to the appropriate loggers.

Paramètres
LogEntry $entry The LogEntry object to send to the loggers.
Renvoie
void
Depuis
1.7.0
Exceptions

Références $class, Log\$loggers, et Log\findLoggers().

◆ addLogger()

static addLogger | ( | array | $options,
 |  |  | $priorities = self::ALL,
 |  |  | $categories = array(),
 |  |  | $exclude = false
 | ) |  |
static

Add a logger to the Log instance. Loggers route log entries to the correct files/systems to be logged.

Paramètres
array | $options | The object configuration array.
integer | $priorities | Message priority
array | $categories | Types of entry
boolean | $exclude | If true, all categories will be logged except those in the $categories array
Renvoie
void
Depuis
1.7.0

Références $options.

◆ addLoggerInternal()

addLoggerInternal | ( | array | $options,
 |  |  | $priorities = self::ALL,
 |  |  | $categories = array(),
 |  |  | $exclude = false
 | ) |  |
protected

Add a logger to the Log instance. Loggers route log entries to the correct files/systems to be logged. This method allows you to extend Log completely.

Paramètres
array | $options | The object configuration array.
integer | $priorities | Message priority
array | $categories | Types of entry
boolean | $exclude | If true, all categories will be logged except those in the $categories array
Renvoie
void
Depuis
1.7.0

Références $options, et elseif.

◆ createDelegatedLogger()

static createDelegatedLogger ( )
static

Creates a delegated PSR-3 compatible logger from the current singleton instance. This method always returns a new delegated logger.

Renvoie
DelegatingPsrLogger
Depuis
3.8.0

Référencé par ImageFilter\__construct(), Image\__construct(), et Factory\getApplication().

◆ findLoggers()

findLoggers | ( | $priority,
 |  | $category
 | ) |
protected

Method to find the loggers to use based on priority and category values.

Paramètres
integer | $priority | Message priority.
string | $category | Type of entry
Renvoie
array The array of loggers to use for the given priority and category values.
Depuis
1.7.0

Références $category, et Log\$loggers.

Référencé par Log\addLogEntry().

◆ setInstance()

static setInstance ( $instance )
static

Returns a reference to the a Log object, only creating it if it doesn't already exist. Note: This is principally made available for testing and internal purposes.

Paramètres
Log $instance The logging object instance to be used by the static methods.
Renvoie
void
Depuis
1.7.0

Références Log\$instance, et null.

Documentation des champs

◆ $configurations

$configurations = array()
protected

◆ $instance

$instance
staticprotected

Référencé par Log\setInstance().

◆ $loggers

$loggers = array()
protected

Référencé par Log\addLogEntry(), et Log\findLoggers().

◆ $lookup

$lookup = array()
protected

◆ ALERT

const ALERT = 2

Référencé par MessagequeueLogger\addEntry().

◆ ALL

const ALL = 30719

◆ CRITICAL

const CRITICAL = 4

Référencé par MessagequeueLogger\addEntry(), et ExceptionHandler\logException().

◆ DEBUG

const DEBUG = 128

Référencé par RedisStorage\getConnection().

◆ EMERGENCY

const EMERGENCY = 1

Référencé par MessagequeueLogger\addEntry().

◆ ERROR

const ERROR = 8

Référencé par MessagequeueLogger\addEntry(), ContentHelper\getActions(), et Image\getFilterInstance().

◆ INFO

const INFO = 64

Référencé par LogEntry\__construct(), MessagequeueLogger\addEntry(), et UpdateAdapter\getUpdateSiteResponse().

◆ NOTICE

const NOTICE = 32

Référencé par MessagequeueLogger\addEntry().

◆ WARNING

const WARNING = 16

Référencé par Route\_(), JAdminCssMenu\__construct(), FileStorage\_deleteFolder(), ExtensionAdapter\_endElement(), Update\_endElement(), FileStorage\_filesInFolder(), FileStorage\_folders(), ContentHelper\_getActions(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), Mail\add(), Mail\addAttachment(), MessagequeueLogger\addEntry(), File\append(), FtpClient\chdir(), FtpClient\chmod(), FtpClient\connect(), File\copy(), HtmlDocument\countModules(), Folder\create(), FtpClient\create(), Factory\createMailer(), File\delete(), Folder\delete(), FtpClient\delete(), OutputController\end(), Folder\files(), CollectionAdapter\findUpdate(), ExtensionAdapter\findUpdate(), Folder\folders(), FtpClient\get(), Factory\getAcl(), Factory\getEditor(), Factory\getFeedParser(), HTMLHelper\getJSObject(), HTMLHelper\getMd5Version(), File\getName(), UpdateAdapter\getUpdateSiteResponse(), Factory\getUri(), Factory\getXml(), Crypt\hasStrongPasswordSupport(), FtpClient\listDetails(), FtpClient\listNames(), Update\loadFromXml(), FtpClient\login(), FtpClient\mkdir(), File\move(), FtpClient\pwd(), File\read(), FtpClient\read(), FtpClient\reinit(), FtpClient\rename(), MessageRenderer\render(), FtpClient\restart(), Text\script(), HTMLHelper\script(), Mail\setFrom(), Mail\setSender(), OutputController\start(), FtpClient\store(), HTMLHelper\stylesheet(), FtpClient\syst(), CacheStorage\test(), File\upload(), File\write(), et FtpClient\write().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Log.php


Joomla CMS: Référence de la classe LogEntry

  • Joomla
  • CMS
  • Log
  • LogEntry
Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe LogEntry

Fonctions membres publiques

__construct ($message, $priority=Log::INFO, $category='', $date=null, array $context=array())

Champs de données

$category
$context
$date
$message
$priority = Log::INFO
$callStack = array()

Attributs protégés

$priorities

Description détaillée

Joomla! Log Entry class

This class is designed to hold log entries for either writing to an engine, or for supported engines, retrieving lists and building in memory (PHP based) search operations.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $message,
 |  |  | $priority = Log::INFO,
 |  |  | $category = '',
 |  |  | $date = null,
 |  | array | $context = array()
 | ) |  |

Constructor

Paramètres
string | $message | The message to log.
int | $priority | Message priority based on {$this->priorities}.
string | $category | Type of entry
string | $date | Date of entry (defaults to now if not specified or blank)
array | $context | An optional array with additional message context.
Depuis
1.7.0 3.10.7 If the message containes a full path, the root path (JPATH_ROOT) is removed from it to avoid any full path disclosure. Before 3.10.7, the path was propagated as provided.

Références $category, $context, $date, $message, category, Log\INFO, et Path\removeRoot().

Documentation des champs

◆ $callStack

$callStack = array()

◆ $category

$category

◆ $context

$context

◆ $date

$date

◆ $message

$message

◆ $priorities

$priorities
protected
Valeur initiale :
= array(
Log::EMERGENCY,
Log::ALERT,
Log::CRITICAL,
Log::ERROR,
Log::WARNING,
Log::NOTICE,
Log::INFO,
Log::DEBUG,
)

◆ $priority

$priority = Log::INFO
La documentation de cette classe a été générée à partir du fichier suivant :
  • LogEntry.php


Joomla CMS: Référence de la classe Logger

  • Joomla
  • CMS
  • Log
  • Logger
Fonctions membres publiques | Attributs protégés
Référence de la classe Logger
+ Graphe d'héritage de Logger:
CallbackLogger DatabaseLogger EchoLogger FormattedtextLogger MessagequeueLogger SyslogLogger W3cLogger

Fonctions membres publiques

__construct (array &$options)
addEntry (LogEntry $entry)

Attributs protégés

$options = array()
$priorities

Description détaillée

Joomla! Logger Base Class

This class is used to be the basis of logger classes to allow for defined functions to exist regardless of the child class.

Depuis
3.0.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array & $options )

Constructor.

Paramètres
array &$options Log object options.
Depuis
3.0.1

Références $options.

Documentation des fonctions membres

◆ addEntry()

addEntry ( LogEntry $entry )
abstract

Method to add an entry to the log.

Paramètres
LogEntry $entry The log entry object to add to the log.
Renvoie
void
Depuis
3.0.1
Exceptions

Documentation des champs

◆ $options

$options = array()
protected

Référencé par EchoLogger\__construct(), W3cLogger\__construct(), CallbackLogger\__construct(), SyslogLogger\__construct(), FormattedtextLogger\__construct(), DatabaseLogger\__construct(), et DatabaseLogger\connect().

◆ $priorities

$priorities
protected
Valeur initiale :
= array(
Log::EMERGENCY => 'EMERGENCY',
Log::ALERT => 'ALERT',
Log::CRITICAL => 'CRITICAL',
Log::ERROR => 'ERROR',
Log::WARNING => 'WARNING',
Log::NOTICE => 'NOTICE',
Log::INFO => 'INFO',
Log::DEBUG => 'DEBUG',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • Logger.php


Joomla CMS: Référence de la classe Mail

  • Joomla
  • CMS
  • Mail
  • Mail
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés statiques
Référence de la classe Mail
+ Graphe d'héritage de Mail:
PHPMailer

Fonctions membres publiques

Send ()
setFrom ($address, $name='', $auto=true)
setSender ($from)
setSubject ($subject)
setBody ($content)
addRecipient ($recipient, $name='')
addCc ($cc, $name='')
addBcc ($bcc, $name='')
addAttachment ($path, $name='', $encoding='base64', $type='application/octet-stream', $disposition='attachment')
clearAttachments ()
removeAttachment ($index=0)
addReplyTo ($replyto, $name='')
isHtml ($ishtml=true)
isSendmail ()
useSendmail ($sendmail=null)
useSmtp ($auth=null, $host=null, $user=null, $pass=null, $secure=null, $port=25)
sendMail ($from, $fromName, $recipient, $subject, $body, $mode=false, $cc=null, $bcc=null, $attachment=null, $replyTo=null, $replyToName=null)
sendAdminMail ($adminName, $adminEmail, $email, $type, $title, $author, $url=null)
- Fonctions membres publiques hérités de PHPMailer
__construct ($exceptions=null)
__destruct ()
isHTML ($isHtml=true)
isSMTP ()
isMail ()
isSendmail ()
isQmail ()
addAddress ($address, $name='')
addCC ($address, $name='')
addBCC ($address, $name='')
addReplyTo ($address, $name='')
parseAddresses ($addrstr, $useimap=true)
setFrom ($address, $name='', $auto=true)
getLastMessageID ()
idnSupported ()
punyencodeAddress ($address)
send ()
preSend ()
postSend ()
getSMTPInstance ()
smtpConnect ($options=null)
smtpClose ()
setLanguage ($langcode='en', $lang_path='')
getTranslations ()
addrAppend ($type, $addr)
addrFormat ($addr)
wrapText ($message, $length, $qp_mode=false)
utf8CharBoundary ($encodedText, $maxLength)
setWordWrap ()
createHeader ()
getMailMIME ()
getSentMIMEMessage ()
createBody ()
headerLine ($name, $value)
textLine ($value)
addAttachment ($path, $name='', $encoding='base64', $type='', $disposition='attachment')
getAttachments ()
encodeString ($str, $encoding='base64')
encodeHeader ($str, $position='text')
hasMultiBytes ($str)
has8bitChars ($text)
base64EncodeWrapMB ($str, $linebreak=null)
encodeQP ($string, $line_max=76)
encodeQPphp ( $string, $line_max=76, $space_conv=false)
encodeQ ($str, $position='text')
addStringAttachment ( $string, $filename, $encoding='base64', $type='', $disposition='attachment')
addEmbeddedImage ($path, $cid, $name='', $encoding='base64', $type='', $disposition='inline')
addStringEmbeddedImage ( $string, $cid, $name='', $encoding='base64', $type='', $disposition='inline')
inlineImageExists ()
attachmentExists ()
alternativeExists ()
clearQueuedAddresses ($kind)
clearAddresses ()
clearCCs ()
clearBCCs ()
clearReplyTos ()
clearAllRecipients ()
clearAttachments ()
clearCustomHeaders ()
isError ()
fixEOL ($str)
addCustomHeader ($name, $value=null)
getCustomHeaders ()
msgHTML ($message, $basedir='', $advanced=false)
html2text ($html, $advanced=false)
set ($name, $value='')
secureHeader ($str)
sign ($cert_filename, $key_filename, $key_pass, $extracerts_filename='')
DKIM_QP ($txt)
DKIM_Sign ($signHeader)
DKIM_HeaderC ($signHeader)
DKIM_BodyC ($body)
DKIM_Add ($headers_line, $subject, $body)
quotedString ($str)
getToAddresses ()
getCcAddresses ()
getBccAddresses ()
getReplyToAddresses ()
getAllRecipientAddresses ()

Fonctions membres publiques statiques

static | getInstance ($id='Joomla', $exceptions=true)
- Fonctions membres publiques statiques hérités de PHPMailer
static | validateAddress ($address, $patternselect=null)
static | rfcDate ()
static | _mime_types ($ext='')
static | filenameToType ($filename)
static | mb_pathinfo ($path, $options=null)
static | normalizeBreaks ($text, $breaktype="\")
static | hasLineLongerThanMax ($str)

Champs de données

$CharSet = 'utf-8'
- Champs de données hérités de PHPMailer
$Version = '5.2.28+joomla2'
$Priority = null
$CharSet = 'iso-8859-1'
$ContentType = 'text/plain'
$Encoding = '8bit'
$ErrorInfo = ''
$From = 'root@localhost'
$FromName = 'Root User'
$Sender = ''
$ReturnPath = ''
$Subject = ''
$Body = ''
$AltBody = ''
$Ical = ''
$WordWrap = 0
$Mailer = 'mail'
$Sendmail = '/usr/sbin/sendmail'
$UseSendmailOptions = true
$PluginDir = ''
$ConfirmReadingTo = ''
$Hostname = ''
$MessageID = ''
$MessageDate = ''
$Host = 'localhost'
$Port = 25
$Helo = ''
$SMTPSecure = ''
$SMTPAutoTLS = true
$SMTPAuth = false
$SMTPOptions = array()
$Username = ''
$Password = ''
$AuthType = ''
$Realm = ''
$Workstation = ''
$Timeout = 300
$SMTPDebug = 0
$Debugoutput = 'echo'
$SMTPKeepAlive = false
$SingleTo = false
$SingleToArray = array()
$do_verp = false
$AllowEmpty = false
$LE = "\n"
$DKIM_selector = ''
$DKIM_identity = ''
$DKIM_passphrase = ''
$DKIM_domain = ''
$DKIM_private = ''
$DKIM_private_string = ''
$action_function = ''
$XMailer = ''
const | STOP_MESSAGE = 0
const | STOP_CONTINUE = 1
const | STOP_CRITICAL = 2
const | CRLF = "\r\n"
const | MAX_LINE_LENGTH = 998

Fonctions membres protégées

add ($recipient, $name='', $method='addAddress')
- Fonctions membres protégées hérités de PHPMailer
edebug ($str)
addOrEnqueueAnAddress ($kind, $address, $name)
addAnAddress ($kind, $address, $name='')
sendmailSend ($header, $body)
mailSend ($header, $body)
smtpSend ($header, $body)
generateId ()
getBoundary ($boundary, $charSet, $contentType, $encoding)
endBoundary ($boundary)
setMessageType ()
attachAll ($disposition_type, $boundary)
encodeFile ($path, $encoding='base64')
setError ($msg)
serverHostname ()
lang ($key)
doCallback ($isSent, $to, $cc, $bcc, $subject, $body, $from)

Attributs protégés statiques

static $instances = array()

Membres hérités additionnels

- Attributs publics statiques hérités de PHPMailer
static | $validator = 'auto'
- Fonctions membres protégées statiques hérités de PHPMailer
static | isShellSafe ($string)
static | isPermittedPath ($path)
- Attributs protégés hérités de PHPMailer
$MIMEBody = ''
$MIMEHeader = ''
$mailHeader = ''
$smtp = null
$to = array()
$cc = array()
$bcc = array()
$ReplyTo = array()
$all_recipients = array()
$RecipientsQueue = array()
$ReplyToQueue = array()
$attachment = array()
$CustomHeader = array()
$lastMessageID = ''
$message_type = ''
$boundary = array()
$language = array()
$error_count = 0
$sign_cert_file = ''
$sign_key_file = ''
$sign_extracerts_file = ''
$sign_key_pass = ''
$exceptions = false
$uniqueid = ''

Description détaillée

Email Class. Provides a common interface to send email from the Joomla! Platform

Depuis
1.7.0

Documentation des fonctions membres

◆ add()

add | ( | $recipient,
 |  | $name = '',
 |  | $method = 'addAddress'
 | ) |
protected

Add recipients to the email.

Paramètres
mixed | $recipient | Either a string or array of strings [email address(es)]
mixed | $name | Either a string or array of strings [name(s)]
string | $method | The parent method's name.
Renvoie
Mail|boolean Returns this object for chaining on success or boolean false on failure.
Depuis
1.7.0
Exceptions

Références $name, PHPMailer\$to, Log\add(), MailHelper\cleanLine(), et Log\WARNING.

Référencé par Mail\addBcc(), Mail\addCc(), Mail\addRecipient(), et Mail\addReplyTo().

◆ addAttachment()

addAttachment | ( | $path,
 |  | $name = '',
 |  | $encoding = 'base64',
 |  | $type = 'application/octet-stream',
 |  | $disposition = 'attachment'
 | ) |

Add file attachment to the email

Paramètres
mixed | $path | Either a string or array of strings [filenames]
mixed | $name | Either a string or array of strings [names]. N.B. if this is an array it must contain the same number of elements as the array of paths supplied.
mixed | $encoding | The encoding of the attachment
mixed | $type | The mime type
string | $disposition | The disposition of the attachment
Renvoie
Mail|boolean Returns this object for chaining on success or boolean false on failure.
Depuis
3.0.1
Exceptions

Références $file, $key, $name, $path, $type, Log\add(), et Log\WARNING.

Référencé par Mail\sendMail().

◆ addBcc()

addBcc | ( | $bcc,
 |  | $name = ''
 | ) |

Add blind carbon copy recipients to the email

Paramètres
mixed | $bcc | Either a string or array of strings [email address(es)]
mixed | $name | Either a string or array of strings [name(s)]
Renvoie
Mail|boolean Returns this object for chaining on success or boolean false on failure.
Depuis
1.7.0

Références PHPMailer\$bcc, $name, et Mail\add().

Référencé par Mail\sendMail().

◆ addCc()

addCc | ( | $cc,
 |  | $name = ''
 | ) |

Add carbon copy recipients to the email

Paramètres
mixed | $cc | Either a string or array of strings [email address(es)]
mixed | $name | Either a string or array of strings [name(s)]
Renvoie
Mail|boolean Returns this object for chaining on success or boolean false on failure.
Depuis
1.7.0

Références PHPMailer\$cc, $name, et Mail\add().

Référencé par Mail\sendMail().

◆ addRecipient()

addRecipient | ( | $recipient,
 |  | $name = ''
 | ) |

Add recipients to the email

Paramètres
mixed | $recipient | Either a string or array of strings [email address(es)]
mixed | $name | Either a string or array of strings [name(s)]
Renvoie
Mail|boolean Returns this object for chaining.
Depuis
1.7.0

Références $name, et Mail\add().

Référencé par Mail\sendAdminMail(), et Mail\sendMail().

◆ addReplyTo()

addReplyTo | ( | $replyto,
 |  | $name = ''
 | ) |

Add Reply to email address(es) to the email

Paramètres
mixed | $replyto | Either a string or array of strings [email address(es)]
mixed | $name | Either a string or array of strings [name(s)]
Renvoie
Mail|boolean Returns this object for chaining on success or boolean false on failure.
Depuis
1.7.0

Références $name, et Mail\add().

Référencé par Mail\sendMail().

◆ clearAttachments()

clearAttachments ( )

Unset all file attachments from the email

Renvoie
Mail Returns this object for chaining.
Depuis
3.0.1

◆ getInstance()

static getInstance | ( | $id = 'Joomla',
 |  | $exceptions = true
 | ) |
static

Returns the global email object, only creating it if it doesn't already exist.

NOTE: If you need an instance to use that does not have the global configuration values, use an id string that is not 'Joomla'.

Paramètres
string | $id | The id string for the Mail instance [optional]
boolean | $exceptions | Flag if Exceptions should be thrown [optional]
Renvoie
Mail The global Mail object
Depuis
1.7.0

Références PHPMailer\$exceptions, et $id.

Référencé par Factory\createMailer().

◆ isHtml()

isHtml ( $ishtml = true )

Sets message type to HTML

Paramètres
boolean $ishtml Boolean true or false.
Renvoie
Mail Returns this object for chaining.
Depuis
3.1.4

Référencé par Mail\sendMail().

◆ isSendmail()

isSendmail ( )

Send messages using $Sendmail.

This overrides the parent class to remove the restriction on the executable's name containing the word "sendmail"

Renvoie
void
Depuis
1.7.0

Références Factory\getConfig().

Référencé par Mail\useSendmail().

◆ removeAttachment()

removeAttachment ( $index = 0 )

Unset file attachments specified by array index.

Paramètres
integer $index The numerical index of the attachment to remove
Renvoie
Mail Returns this object for chaining.
Depuis
3.0.1

◆ Send()

Send ( )

Send the mail

Renvoie
boolean| Boolean true if successful, boolean false if the mailonline configuration is set to 0, or a JException object if the mail function does not exist or sending the message fails.
Depuis
1.7.0
Exceptions

PHPMailer has an issue with servers with invalid certificates

See: https://github.com/PHPMailer/PHPMailer/wiki/Troubleshooting#opportunistic-tls

Références Factory\getApplication(), Factory\getConfig(), et JError\raiseNotice().

Référencé par Mail\sendAdminMail(), et Mail\sendMail().

◆ sendAdminMail()

sendAdminMail | ( | $adminName,
 |  | $adminEmail,
 |  | $email,
 |  | $type,
 |  | $title,
 |  | $author,
 |  | $url = null
 | ) |

Sends mail to administrator for approval of a user submission

Paramètres
string | $adminName | Name of administrator
string | $adminEmail | Email address of administrator
string | $email | [NOT USED TODO: Deprecate?]
string | $type | Type of item to approve
string | $title | Title of item to approve
string | $author | Author of item to approve
string | $url | A URL to included in the mail
Renvoie
boolean True on success
Depuis
1.7.0
Obsolète:
4.0 Without replacement please implement it in your own code

Références $author, $message, $subject, $title, $type, $url, Mail\addRecipient(), Mail\Send(), Mail\setBody(), et Mail\setSubject().

◆ sendMail()

sendMail | ( | $from,
 |  | $fromName,
 |  | $recipient,
 |  | $subject,
 |  | $body,
 |  | $mode = false,
 |  | $cc = null,
 |  | $bcc = null,
 |  | $attachment = null,
 |  | $replyTo = null,
 |  | $replyToName = null
 | ) |

Function to send an email

Paramètres
string | $from | From email address
string | $fromName | From name
mixed | $recipient | Recipient email address(es)
string | $subject | email subject
string | $body | Message body
boolean | $mode | false = plain text, true = HTML
mixed | $cc | CC email address(es)
mixed | $bcc | BCC email address(es)
mixed | $attachment | Attachment file name(s)
mixed | $replyTo | Reply to email address(es)
mixed | $replyToName | Reply to name(s)
Renvoie
boolean True on success
Depuis
1.7.0

Références PHPMailer\$attachment, PHPMailer\$bcc, PHPMailer\$cc, $config, $i, $mode, $subject, Mail\addAttachment(), Mail\addBcc(), Mail\addCc(), Mail\addRecipient(), Mail\addReplyTo(), elseif, Factory\getConfig(), Mail\isHtml(), Mail\Send(), Mail\setBody(), Mail\setSender(), et Mail\setSubject().

◆ setBody()

setBody ( $content )

Set the email body

Paramètres
string $content Body of the email
Renvoie
Mail Returns this object for chaining.
Depuis
1.7.0

Références $content, et MailHelper\cleanText().

Référencé par Mail\sendAdminMail(), et Mail\sendMail().

◆ setFrom()

setFrom | ( | $address,
 |  | $name = '',
 |  | $auto = true
 | ) |

Set the From and FromName properties.

Paramètres
string | $address | The sender email address
string | $name | The sender name
boolean | $auto | Whether to also set the Sender address, defaults to true
Renvoie
boolean
Depuis
1.7.0

Références $name, Log\add(), et Log\WARNING.

Référencé par Mail\setSender().

◆ setSender()

setSender ( $from )

Set the email sender

Paramètres
mixed $from email address and Name of sender array([0] => email Address, [1] => Name) or as a string
Renvoie
Mail|boolean Returns this object for chaining on success or boolean false on failure.
Depuis
1.7.0
Exceptions

Références Log\add(), MailHelper\cleanLine(), elseif, Mail\setFrom(), et Log\WARNING.

Référencé par Mail\sendMail().

◆ setSubject()

setSubject ( $subject )

Set the email subject

Paramètres
string $subject Subject of the email
Renvoie
Mail Returns this object for chaining.
Depuis
1.7.0

Références $subject, et MailHelper\cleanLine().

Référencé par Mail\sendAdminMail(), et Mail\sendMail().

◆ useSendmail()

useSendmail ( $sendmail = null )

Use sendmail for sending the email

Paramètres
string $sendmail Path to sendmail [optional]
Renvoie
boolean True on success
Depuis
1.7.0

Références PHPMailer\isMail(), et Mail\isSendmail().

◆ useSmtp()

useSmtp | ( | $auth = null,
 |  | $host = null,
 |  | $user = null,
 |  | $pass = null,
 |  | $secure = null,
 |  | $port = 25
 | ) |

Use SMTP for sending the email

Paramètres
string | $auth | SMTP Authentication [optional]
string | $host | SMTP Host [optional]
string | $user | SMTP Username [optional]
string | $pass | SMTP Password [optional]
string | $secure | Use secure methods
integer | $port | The SMTP port
Renvoie
boolean True on success
Depuis
1.7.0

Références $user, PHPMailer\isMail(), PHPMailer\isSMTP(), et null.

Documentation des champs

◆ $CharSet

$CharSet = 'utf-8'

◆ $instances

$instances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Mail.php


Joomla CMS: Référence de la classe MailHelper

  • Joomla
  • CMS
  • Mail
  • MailHelper
Fonctions membres publiques statiques
Référence de la classe MailHelper

Fonctions membres publiques statiques

static | cleanLine ($value)
static | cleanText ($value)
static | cleanBody ($body)
static | cleanSubject ($subject)
static | cleanAddress ($address)
static | isEmailAddress ($email)

Description détaillée

Email helper class, provides static methods to perform various tasks relevant to the Joomla email routines.

TODO: Test these methods as the regex work is first run and not tested thoroughly

Depuis
1.7.0

Documentation des fonctions membres

◆ cleanAddress()

static cleanAddress ( $address )
static

Verifies that an email address does not have any extra headers injected into it.

Paramètres
string $address email address.
Renvoie
mixed email address string or boolean false if injected headers are present.
Depuis
1.7.0

Référencé par MailWrapper\cleanAddress().

◆ cleanBody()

static cleanBody ( $body )
static

Cleans any injected headers from the email body.

Paramètres
string $body email body string.
Renvoie
string Cleaned email body string.
Depuis
1.7.0

Référencé par MailWrapper\cleanBody().

◆ cleanLine()

static cleanLine ( $value )
static

Cleans single line inputs.

Paramètres
string $value String to be cleaned.
Renvoie
string Cleaned string.
Depuis
1.7.0

Références $value.

Référencé par Mail\add(), MailWrapper\cleanLine(), Factory\createMailer(), Mail\setSender(), et Mail\setSubject().

◆ cleanSubject()

static cleanSubject ( $subject )
static

Cleans any injected headers from the subject string.

Paramètres
string $subject email subject string.
Renvoie
string Cleaned email subject string.
Depuis
1.7.0

Références $subject.

Référencé par MailWrapper\cleanSubject().

◆ cleanText()

static cleanText ( $value )
static

Cleans multi-line inputs.

Paramètres
string $value Multi-line string to be cleaned.
Renvoie
string Cleaned multi-line string.
Depuis
1.7.0

Références $value.

Référencé par MailWrapper\cleanText(), et Mail\setBody().

◆ isEmailAddress()

static isEmailAddress ( $email )
static

Verifies that the string is in a proper email address format.

Paramètres
string $email String to be verified.
Renvoie
boolean True if string has the correct format; false otherwise.
Depuis
1.7.0

Référencé par Factory\createMailer(), et MailWrapper\isEmailAddress().

La documentation de cette classe a été générée à partir du fichier suivant :
  • MailHelper.php


Joomla CMS: Référence de la classe MailWrapper

  • Joomla
  • CMS
  • Mail
  • MailWrapper
Fonctions membres publiques
Référence de la classe MailWrapper

Fonctions membres publiques

cleanLine ($value)
cleanText ($value)
cleanBody ($body)
cleanSubject ($subject)
cleanAddress ($address)
isEmailAddress ($email)

Description détaillée

Wrapper class for MailHelper

Depuis
3.4
Obsolète:
4.0 Will be removed without replacement

Documentation des fonctions membres

◆ cleanAddress()

cleanAddress ( $address )

Helper wrapper method for cleanAddress

Paramètres
string $address email address.
Renvoie
mixed email address string or boolean false if injected headers are present
Voir également
MailHelper::cleanAddress()
Depuis
3.4

Références MailHelper\cleanAddress().

◆ cleanBody()

cleanBody ( $body )

Helper wrapper method for cleanBody

Paramètres
string $body email body string.
Renvoie
string Cleaned email body string.
Voir également
MailHelper::cleanBody()
Depuis
3.4

Références MailHelper\cleanBody().

◆ cleanLine()

cleanLine ( $value )

Helper wrapper method for cleanLine

Paramètres
string $value String to be cleaned.
Renvoie
string Cleaned string.
Voir également
MailHelper::cleanLine()
Depuis
3.4

Références $value, et MailHelper\cleanLine().

◆ cleanSubject()

cleanSubject ( $subject )

Helper wrapper method for cleanSubject

Paramètres
string $subject email subject string.
Renvoie
string Cleaned email subject string.
Voir également
MailHelper::cleanSubject()
Depuis
3.4

Références $subject, et MailHelper\cleanSubject().

◆ cleanText()

cleanText ( $value )

Helper wrapper method for cleanText

Paramètres
string $value Multi-line string to be cleaned.
Renvoie
string Cleaned multi-line string.
Voir également
MailHelper::cleanText()
Depuis
3.4

Références $value, et MailHelper\cleanText().

◆ isEmailAddress()

isEmailAddress ( $email )

Helper wrapper method for isEmailAddress

Paramètres
string $email String to be verified.
Renvoie
boolean True if string has the correct format; false otherwise.
Voir également
MailHelper::isEmailAddress()
Depuis
3.4

Références MailHelper\isEmailAddress().

La documentation de cette classe a été générée à partir du fichier suivant :
  • MailWrapper.php


Joomla CMS: Référence de la classe Component

  • Joomla
  • CMS
  • Menu
  • Node
  • Component
Fonctions membres publiques | Attributs protégés
Référence de la classe Component
+ Graphe d'héritage de Component:
Node

Fonctions membres publiques

__construct ($title, $element, $link, $target=null, $class=null, $id=null, $icon=null)
get ($name)
- Fonctions membres publiques hérités de Node
__construct ()
addChild (Node $child)
removeChild (Node $child)
hasParent ()
getParent ()
hasChildren ()
getChildren ()
getLevel ()
isRoot ()
setActive ($active)
setParams (Registry $params)
getParam ($key)
get ($name)

Attributs protégés

$title = null
$element = null
$link = null
$target = null
$icon = null
- Attributs protégés hérités de Node
$id = null
$class = null
$active = false
$params
$parent = null
$children = array()

Description détaillée

A Component type of node for MenuTree

Voir également
Node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $title,
 |  | $element,
 |  | $link,
 |  | $target = null,
 |  | $class = null,
 |  | $id = null,
 |  | $icon = null
 | ) |

Constructor for the class.

Paramètres
string | $title | The title of the node
string | $element | The component name
string | $link | The node link
string | $target | The link target
string | $class | The CSS class for the node
string | $id | The node id
string | $icon | The title icon for the node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références Node\$class, $icon, Node\$id, $link, $target, $title, et title.

Documentation des fonctions membres

◆ get()

get ( $name )

Get an attribute value

Paramètres
string $name The attribute name
Renvoie
mixed
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $name.

Documentation des champs

◆ $element

$element = null
protected

◆ $icon

$icon = null
protected

◆ $link

$link = null
protected

◆ $target

$target = null
protected

◆ $title

$title = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Component.php


Joomla CMS: Référence de la classe Container

  • Joomla
  • CMS
  • Menu
  • Node
  • Container
Référence de la classe Container
+ Graphe d'héritage de Container:
Heading Node

Membres hérités additionnels

- Fonctions membres publiques hérités de Heading
__construct ($title, $class=null, $id=null, $icon=null)
get ($name)
- Fonctions membres publiques hérités de Node
__construct ()
addChild (Node $child)
removeChild (Node $child)
hasParent ()
getParent ()
hasChildren ()
getChildren ()
getLevel ()
isRoot ()
setActive ($active)
setParams (Registry $params)
getParam ($key)
get ($name)
- Attributs protégés hérités de Heading
$title = null
$link = '#'
$icon = null
- Attributs protégés hérités de Node
$id = null
$class = null
$active = false
$params
$parent = null
$children = array()

Description détaillée

A Container type of node for MenuTree

Voir également
Node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Menu/Node/Container.php


Joomla CMS: Référence de la classe Heading

  • Joomla
  • CMS
  • Menu
  • Node
  • Heading
Fonctions membres publiques | Attributs protégés
Référence de la classe Heading
+ Graphe d'héritage de Heading:
Node Container

Fonctions membres publiques

__construct ($title, $class=null, $id=null, $icon=null)
get ($name)
- Fonctions membres publiques hérités de Node
__construct ()
addChild (Node $child)
removeChild (Node $child)
hasParent ()
getParent ()
hasChildren ()
getChildren ()
getLevel ()
isRoot ()
setActive ($active)
setParams (Registry $params)
getParam ($key)
get ($name)

Attributs protégés

$title = null
$link = '#'
$icon = null
- Attributs protégés hérités de Node
$id = null
$class = null
$active = false
$params
$parent = null
$children = array()

Description détaillée

A Heading type of node for MenuTree

Voir également
Node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $title,
 |  | $class = null,
 |  | $id = null,
 |  | $icon = null
 | ) |

Constructor for the class.

Paramètres
string | $title | The title of the node
string | $class | The CSS class for the node
string | $id | The node id
string | $icon | The title icon for the node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références Node\$class, $icon, Node\$id, $title, et title.

Documentation des fonctions membres

◆ get()

get ( $name )

Get an attribute value

Paramètres
string $name The attribute name
Renvoie
mixed
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $name.

Documentation des champs

◆ $icon

$icon = null
protected

◆ $link

$link = '#'
protected

◆ $title

$title = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Heading.php


Joomla CMS: Référence de la classe Separator

  • Joomla
  • CMS
  • Menu
  • Node
  • Separator
Fonctions membres publiques | Attributs protégés
Référence de la classe Separator
+ Graphe d'héritage de Separator:
Node

Fonctions membres publiques

__construct ($title=null)
get ($name)
- Fonctions membres publiques hérités de Node
__construct ()
addChild (Node $child)
removeChild (Node $child)
hasParent ()
getParent ()
hasChildren ()
getChildren ()
getLevel ()
isRoot ()
setActive ($active)
setParams (Registry $params)
getParam ($key)
get ($name)

Attributs protégés

$title = null
- Attributs protégés hérités de Node
$id = null
$class = null
$active = false
$params
$parent = null
$children = array()

Description détaillée

A Separator type of node for MenuTree

Voir également
Node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $title = null )

Constructor for the class.

Paramètres
string $title The title of the node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $title, null, et title.

Documentation des fonctions membres

◆ get()

get ( $name )

Get an attribute value

Paramètres
string $name The attribute name
Renvoie
mixed
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $name.

Documentation des champs

◆ $title

$title = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Separator.php


Joomla CMS: Référence de la classe Url

  • Joomla
  • CMS
  • Menu
  • Node
  • Url
Fonctions membres publiques | Attributs protégés
Référence de la classe Url
+ Graphe d'héritage de Url:
Node

Fonctions membres publiques

__construct ($title, $link, $target=null, $class=null, $id=null, $icon=null)
get ($name)
- Fonctions membres publiques hérités de Node
__construct ()
addChild (Node $child)
removeChild (Node $child)
hasParent ()
getParent ()
hasChildren ()
getChildren ()
getLevel ()
isRoot ()
setActive ($active)
setParams (Registry $params)
getParam ($key)
get ($name)

Attributs protégés

$title = null
$link = null
$target = null
$icon = null
- Attributs protégés hérités de Node
$id = null
$class = null
$active = false
$params
$parent = null
$children = array()

Description détaillée

An external Url type of node for MenuTree

Voir également
Node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $title,
 |  | $link,
 |  | $target = null,
 |  | $class = null,
 |  | $id = null,
 |  | $icon = null
 | ) |

Constructor for the class.

Paramètres
string | $title | The title of the node
string | $link | The node link
string | $target | The link target
string | $class | The CSS class for the node
string | $id | The node id
string | $icon | The title icon for the node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références Node\$class, $icon, Node\$id, $link, $target, $title, et title.

Documentation des fonctions membres

◆ get()

get ( $name )

Get an attribute value

Paramètres
string $name The attribute name
Renvoie
mixed
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $name.

Documentation des champs

◆ $icon

$icon = null
protected

◆ $link

$link = null
protected

◆ $target

$target = null
protected

◆ $title

$title = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Url.php


Joomla CMS: Référence de la classe AbstractMenu

  • Joomla
  • CMS
  • Menu
  • AbstractMenu
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe AbstractMenu
+ Graphe d'héritage de AbstractMenu:
AdministratorMenu SiteMenu

Fonctions membres publiques

__construct ($options=array())
setUser ($user)
getItem ($id)
setDefault ($id, $language=' *')
getDefault ($language=' *')
setActive ($id)
getActive ()
getItems ($attributes, $values, $firstonly=false)
getParams ($id)
getMenu ()
authorise ($id)
load ()
__get ($propName)

Fonctions membres publiques statiques

static getInstance ($client, $options=array())

Fonctions membres protégées

getUser ()

Attributs protégés

$_items = array()
$_default = array()
$_active = 0
$storedUser

Attributs protégés statiques

static $instances = array()

Description détaillée

Menu class

Depuis
1.5
Note
Will become abstract in Joomla 4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options An array of configuration options.
Depuis
1.5

It is preferred NOT to inject and store the user when constructing the menu object, at least for the Menu object used by Joomla. The menu object can be built very early in the request, from an onAfterInitialise event but the user can be updated later (by the Remember me plugin for instance). As the stored user object is not updated, the menu will render incorrectly, not complying with menu items access levels. See https://github.com/joomla/joomla-cms/issues/11541

Références $item, $options, et null.

Documentation des fonctions membres

◆ __get()

__get ( $propName )

Magic getter for the user object. Returns the injected one if any, or the current one if none.

Using a magic getter to preserve B/C when we stopped storing the user object upon construction of the menu object. As the user property is not initialized anymore, this getter ensures any class extending this one can still use $instance->user and get a proper value.

Paramètres
string $propName Name of the missing or protected property.
Renvoie
User|null
Depuis
3.9.26

Références Factory\getUser().

◆ authorise()

authorise ( $id )

Method to check Menu object authorization against an access control object and optionally an access extension object

Paramètres
integer $id The menu id
Renvoie
boolean
Depuis
1.5

Références $id, et $menu.

◆ getActive()

getActive ( )

Get menu item by id.

Renvoie
MenuItem|null The item object if an active menu item has been set or null
Depuis
1.5

◆ getDefault()

getDefault ( $language = '*' )

Get the default item by language code.

Paramètres
string $language The language code, default value of * means all.
Renvoie
MenuItem|null The item object or null when not found for given language
Depuis
1.5

Références $language.

◆ getInstance()

static getInstance | ( | $client,
 |  | $options = array()
 | ) |
static

Returns a Menu object

Paramètres
string | $client | The name of the client
array | $options | An associative array of options
Renvoie
AbstractMenu A menu object.
Exceptions

Références $client, $info, $options, $path, et JLoader\register().

◆ getItem()

getItem ( $id )

Get menu item by id

Paramètres
integer $id The item id
Renvoie
MenuItem|null The item object if the ID exists or null if not found
Depuis
1.5

Références $id, et null.

◆ getItems()

getItems | ( | $attributes,
 |  | $values,
 |  | $firstonly = false
 | ) |

Gets menu items by attribute

Paramètres
mixed | $attributes | The field name(s).
mixed | $values | The value(s) of the field. If an array, need to match field names each attribute may have multiple values to lookup for.
boolean | $firstonly | If true, only returns the first item found
Renvoie
MenuItem|MenuItem[] An array of menu item objects or a single object if the $firstonly parameter is true
Depuis
1.5

Références $attributes, $count, $i, $item, et $items.

◆ getMenu()

getMenu ( )

Getter for the menu array

Renvoie
MenuItem[]
Depuis
1.5

◆ getParams()

getParams ( $id )

Gets the parameter object for a certain menu item

Paramètres
integer $id The item id
Renvoie
Registry
Depuis
1.5

Références $id, et $menu.

◆ getUser()

getUser ( )
protected

Internal getter for the user. Returns the injected one if any, or the current one if none.

Renvoie
User
Depuis
3.9.26

Références Factory\getUser().

◆ load()

load ( )

Loads the menu items

Renvoie
array
Depuis
1.5

◆ setActive()

setActive ( $id )

Set the default item by id

Paramètres
integer $id The item id
Renvoie
MenuItem|null The menu item representing the given ID if present or null otherwise
Depuis
1.5

Références $id.

◆ setDefault()

setDefault | ( | $id,
 |  | $language = '*'
 | ) |

Set the default item by id and language code.

Paramètres
integer | $id | The menu item id.
string | $language | The language code (since 1.6).
Renvoie
boolean True if a menu item with the given ID exists
Depuis
1.5

Références $id, et $language.

◆ setUser()

setUser ( $user )

Setter for the current user used to build menu.

Paramètres
User $user The new user to set.
Renvoie
null
Depuis
3.9.26

Références $user.

Documentation des champs

◆ $_active

$_active = 0
protected

◆ $_default

$_default = array()
protected

◆ $_items

$_items = array()
protected

◆ $instances

$instances = array()
staticprotected

◆ $storedUser

$storedUser
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractMenu.php


Joomla CMS: Référence de la classe AdministratorMenu

  • Joomla
  • CMS
  • Menu
  • AdministratorMenu
Référence de la classe AdministratorMenu
+ Graphe d'héritage de AdministratorMenu:
AbstractMenu

Membres hérités additionnels

- Fonctions membres publiques hérités de AbstractMenu
__construct ($options=array())
setUser ($user)
getItem ($id)
setDefault ($id, $language=' *')
getDefault ($language=' *')
setActive ($id)
getActive ()
getItems ($attributes, $values, $firstonly=false)
getParams ($id)
getMenu ()
authorise ($id)
load ()
__get ($propName)
- Fonctions membres publiques statiques hérités de AbstractMenu
static | getInstance ($client, $options=array())
- Fonctions membres protégées hérités de AbstractMenu
getUser ()
- Attributs protégés hérités de AbstractMenu
$_items = array()
$_default = array()
$_active = 0
$storedUser
- Attributs protégés statiques hérités de AbstractMenu
static | $instances = array()

Description détaillée

Menu class.

Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • AdministratorMenu.php


Joomla CMS: Référence de la classe MenuHelper

  • Joomla
  • CMS
  • Menu
  • MenuHelper
Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques | Fonctions membres privées
Référence de la classe MenuHelper

Fonctions membres publiques statiques

static | addPreset ($name, $title, $path, $replace=true)
static | getPresets ()
static | loadPreset ($name, $fallback=true)
static | resolveAlias (&$item)
static | createLevels ($menuItems)

Fonctions membres protégées statiques

static | loadXml ($elements, &$items, $replace=array())
static | parseXmlNode ($node, $replace=array())

Attributs protégés statiques

static $presets = null

Fonctions membres privées

__construct ()

Description détaillée

Menu Helper utility

Depuis
3.8.0
Obsolète:
4.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
private

Private constructor

Depuis
3.8.0
Obsolète:
4.0

Documentation des fonctions membres

◆ addPreset()

static addPreset | ( | $name,
 |  | $title,
 |  | $path,
 |  | $replace = true
 | ) |
static

Add a custom preset externally via plugin or any other means. WARNING: Presets with same name will replace previously added preset except Joomla's default preset (joomla)

Paramètres
string | $name | The unique identifier for the preset.
string | $title | The display label for the preset.
string | $path | The path to the preset file.
bool | $replace | Whether to replace the preset with the same name if any (except 'joomla').
Renvoie
void
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $name, $path, $title, et null.

◆ createLevels()

static createLevels ( $menuItems )
static

Parse the flat list of menu items and prepare the hierarchy of them using parent-child relationship.

Paramètres

Références $i, $item, et null.

◆ getPresets()

static getPresets ( )
static

Get a list of available presets.

Renvoie
[]
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $app, $file, $files, $name, $title, jimport(), JPATH_ADMINISTRATOR, JPATH_THEMES, et null.

◆ loadPreset()

static loadPreset | ( | $name,
 |  | $fallback = true
 | ) |
static

Load the menu items from a preset file into a hierarchical list of objects

Paramètres
string | $name | The preset name
bool | $fallback | Fallback to default (joomla) preset if the specified one could not be loaded?
Renvoie
[]
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $items, $name, elseif, et null.

◆ loadXml()

static loadXml | ( |  | $elements,
 |  | & | $items,
 |  |  | $replace = array()
 | ) |  |
staticprotected

Load a menu tree from an XML file

Paramètres

Following is a repeatable group based on simple database query. This requires sql_* attributes (sql_select and sql_from are required) The values can be used like - "{sql:columnName}" in any attribute of repeated elements. The repeated elements are place inside this xml node but they will be populated in the same level in the rendered menu

Références $db, $hidden, $item, $items, $query, et $results.

◆ parseXmlNode()

static parseXmlNode | ( | $node,
 |  | $replace = array()
 | ) |
staticprotected

Create a menu item node from an xml element

Paramètres
\SimpleXMLElement | $node | A menuitem element from preset xml
string[] | $replace The values to substitute in the title, link and element texts
Renvoie
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $item, et null.

◆ resolveAlias()

static resolveAlias ( & $item )
static

Method to resolve the menu item alias type menu item

Paramètres
\stdClass &$item The alias object
Renvoie
void
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $db, $item, $params, et $query.

Documentation des champs

◆ $presets

$presets = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • MenuHelper.php


Joomla CMS: Référence de la classe MenuItem

  • Joomla
  • CMS
  • Menu
  • MenuItem
Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe MenuItem
+ Graphe d'héritage de MenuItem:

Fonctions membres publiques

__construct ($data=array())
__get ($name)
__set ($name, $value)
__isset ($name)
getParams ()
setParams ($params)
get ($property, $default=null)
set ($property, $value=null)

Champs de données

$id
$menutype
$title
$alias
$note
$route
$link
$type
$level
$language
$browserNav
$access
$home
$img
$template_style_id
$component_id
$parent_id
$component
$tree = array()
$query = array()

Attributs protégés

$params

Description détaillée

Object representing a menu item

Depuis
3.7.0
Note
This class will no longer extend stdClass in Joomla 4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $data = array() )

Class constructor

Paramètres
array $data The menu item data to load
Depuis
3.7.0

Références $data, $key, et $value.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.7.0
Obsolète:
4.0 Access the item parameters through the getParams() method

Références $name.

◆ __isset()

__isset ( $name )

Method check if a certain otherwise inaccessible properties of the form field object is set.

Paramètres
string $name The property name to check.
Renvoie
boolean
Depuis
3.7.1
Obsolète:
4.0 Deprecated without replacement

Références $name, et null.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.7.0
Obsolète:
4.0 Set the item parameters through the setParams() method

Références $name, et $value.

◆ get()

get | ( | $property,
 |  | $default = null
 | ) |

Returns a property of the object or the default value if the property is not set.

Paramètres
string | $property | The name of the property.
mixed | $default | The default value.
Renvoie
mixed The value of the property.
Depuis
3.7.0
Obsolète:
4.0

Références $default.

◆ getParams()

getParams ( )

Returns the menu item parameters

Renvoie
Registry
Depuis
3.7.0

Références $params.

◆ set()

set | ( | $property,
 |  | $value = null
 | ) |

Modifies a property of the object, creating it if it does not already exist.

Paramètres
string | $property | The name of the property.
mixed | $value | The value of the property to set.
Renvoie
mixed Previous value of the property.
Depuis
3.7.0
Obsolète:
4.0

Références $value, et null.

◆ setParams()

setParams ( $params )

Sets the menu item parameters

Paramètres
Registry | string $params The data to be stored as the parameters
Renvoie
void
Depuis
3.7.0

Références $params.

Documentation des champs

◆ $access

$access

◆ $alias

$alias

◆ $browserNav

$browserNav

◆ $component

$component

◆ $component_id

$component_id

◆ $home

$home

◆ $id

$id

◆ $img

$img

◆ $language

$language

◆ $level

$level

◆ $link

$link

◆ $menutype

$menutype

◆ $note

$note

◆ $params

$params
protected

◆ $parent_id

$parent_id

◆ $query

$query = array()

◆ $route

$route

◆ $template_style_id

$template_style_id

◆ $title

$title

◆ $tree

$tree = array()

◆ $type

$type
La documentation de cette classe a été générée à partir du fichier suivant :
  • MenuItem.php


Joomla CMS: Référence de la classe Node

  • Joomla
  • CMS
  • Menu
  • Node
Fonctions membres publiques | Attributs protégés
Référence de la classe Node
+ Graphe d'héritage de Node:
Component Heading Separator Url Container

Fonctions membres publiques

__construct ()
addChild (Node $child)
removeChild (Node $child)
hasParent ()
getParent ()
hasChildren ()
getChildren ()
getLevel ()
isRoot ()
setActive ($active)
setParams (Registry $params)
getParam ($key)
get ($name)

Attributs protégés

$id = null
$class = null
$active = false
$params
$parent = null
$children = array()

Description détaillée

A Node for MenuTree

Voir également
Tree
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Documentation des fonctions membres

◆ addChild()

addChild ( Node $child )

Add child to this node

If the child already has a parent, the link is unset

Paramètres
Node $child The child to be added
Renvoie
Node The new added child
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $hash, children, et Node\removeChild().

◆ get()

get ( $name )

Get an attribute value

Paramètres
string $name The attribute name
Renvoie
mixed
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $name, et null.

◆ getChildren()

getChildren ( )

Get the children of this node

Renvoie
Node[] The children
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

◆ getLevel()

getLevel ( )

Find the current node depth in the tree hierarchy

Renvoie
integer The node level in the hierarchy, where ROOT == 0, First level menu item == 1, and so on.
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

◆ getParam()

getParam ( $key )

Get the param value from the node params

Paramètres
string $key The param name
Renvoie
mixed
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $key, et null.

◆ getParent()

getParent ( )

Get the parent of this node

Renvoie
Node The Node object's parent or null for no parent
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

◆ hasChildren()

hasChildren ( )

Test if this node has children

Renvoie
boolean
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références children.

◆ hasParent()

hasParent ( )

Test if this node has a parent

Renvoie
boolean True if there is a parent
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références parent.

◆ isRoot()

isRoot ( )

Check whether the object instance node is the root node

Renvoie
boolean
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

◆ removeChild()

removeChild ( Node $child )

Remove a child from this node

If the child exists it is unset

Paramètres
Node $child The child to be added
Renvoie
void
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $hash, children, et null.

Référencé par Node\addChild().

◆ setActive()

setActive ( $active )

Set the active state on or off

Paramètres
bool $active The new active state
Renvoie
void
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $active.

◆ setParams()

setParams ( Registry $params )

set the params array

Paramètres
Registry $params The params attributes
Renvoie
void
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $params.

Documentation des champs

◆ $active

$active = false
protected

◆ $children

$children = array()
protected

◆ $class

$class = null
protected

Référencé par Heading\__construct(), Url\__construct(), et Component\__construct().

◆ $id

$id = null
protected

Référencé par Heading\__construct(), Url\__construct(), et Component\__construct().

◆ $params

$params
protected

◆ $parent

$parent = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Node.php


Joomla CMS: Référence de la classe SiteMenu

  • Joomla
  • CMS
  • Menu
  • SiteMenu
Fonctions membres publiques | Attributs protégés
Référence de la classe SiteMenu
+ Graphe d'héritage de SiteMenu:
AbstractMenu

Fonctions membres publiques

__construct ($options=array())
getItems ($attributes, $values, $firstonly=false)
getDefault ($language=' *')
- Fonctions membres publiques hérités de AbstractMenu
__construct ($options=array())
setUser ($user)
getItem ($id)
setDefault ($id, $language=' *')
getDefault ($language=' *')
setActive ($id)
getActive ()
getItems ($attributes, $values, $firstonly=false)
getParams ($id)
getMenu ()
authorise ($id)
load ()
__get ($propName)

Attributs protégés

$app
$db
$language
- Attributs protégés hérités de AbstractMenu
$_items = array()
$_default = array()
$_active = 0
$storedUser

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de AbstractMenu
static | getInstance ($client, $options=array())
- Fonctions membres protégées hérités de AbstractMenu
getUser ()
- Attributs protégés statiques hérités de AbstractMenu
static | $instances = array()

Description détaillée

Menu class

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options An array of configuration options.
Depuis
1.5

Références $options, et language.

Documentation des fonctions membres

◆ getDefault()

getDefault ( $language = '*' )

Get menu item by id

Paramètres
string $language The language code.
Renvoie
MenuItem|null The item object or null when not found for given language
Depuis
1.6

Références $language.

◆ getItems()

getItems | ( | $attributes,
 |  | $values,
 |  | $firstonly = false
 | ) |

Gets menu items by attribute

Paramètres
string | $attributes | The field name
string | $values | The value of the field
boolean | $firstonly | If true, only returns the first item found
Renvoie
MenuItem|MenuItem[] An array of menu item objects or a single object if the $firstonly parameter is true
Depuis
1.6

Références $attributes, $key, elseif, Multilanguage\isEnabled(), et null.

Documentation des champs

◆ $app

$app
protected

◆ $db

$db
protected

◆ $language

$language
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • SiteMenu.php


Joomla CMS: Référence de la classe Tree

  • Joomla
  • CMS
  • Menu
  • Tree
Fonctions membres publiques | Attributs protégés
Référence de la classe Tree

Fonctions membres publiques

__construct ()
getRoot ()
getCurrent ()
setCurrent ($node)
getParent ($setCurrent=true)
reset ($clear=false)
addChild (Node $node, $setCurrent=false)
getIconClass ()
getCss ()

Attributs protégés

$root = null
$current = null
$css = array()

Description détaillée

Menu Tree class to represent a menu tree hierarchy

Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $root.

Documentation des fonctions membres

◆ addChild()

addChild | ( | Node | $node,
 |  |  | $setCurrent = false
 | ) |  |

Method to add a child

Paramètres
Node | $node | The node to process
bool | $setCurrent | Set this new child as the current node for further working
Renvoie
Node The newly added node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

◆ getCss()

getCss ( )

Get the CSS declarations for this tree

Renvoie
string[]
Depuis
3.8.0
Obsolète:
4.0

Références $css.

◆ getCurrent()

getCurrent ( )

Get the current node

Renvoie
Node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $current.

◆ getIconClass()

getIconClass ( )

Method to get the CSS class name for an icon identifier or create one if a custom image path is passed as the identifier

Renvoie
string CSS class name
Depuis
3.8.0
Obsolète:
4.0

Références $class, $classes, et null.

◆ getParent()

getParent ( $setCurrent = true )

Method to get the parent and set it as active optionally

Paramètres
bool $setCurrent Set that parent as the current node for further working
Renvoie
Node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

◆ getRoot()

getRoot ( )

Get the root node

Renvoie
Node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $root.

◆ reset()

reset ( $clear = false )

Method to reset the working pointer to the root node and optionally clear all menu nodes

Paramètres
bool $clear Whether to clear the existing menu items or just reset the pointer to root element
Renvoie
Node The root node
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Références $current, et $root.

◆ setCurrent()

setCurrent ( $node )

Get the current node

Paramètres
Node $node The node to be set as current
Renvoie
void
Depuis
3.8.0
Obsolète:
4.0 Use Joomla

Documentation des champs

◆ $css

$css = array()
protected

◆ $current

$current = null
protected

◆ $root

$root = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Tree.php


Joomla CMS: Référence de la classe Microdata

  • Joomla
  • CMS
  • Microdata
  • Microdata
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe Microdata

Fonctions membres publiques

__construct ($type='', $flag=true)
enable ($flag=true)
isEnabled ()
setType ($type)
getType ()
property ($property)
getProperty ()
content ($content, $machineContent=null)
getContent ()
getMachineContent ()
fallback ($type, $property)
getFallbackType ()
getFallbackProperty ()
display ($displayType='', $emptyOutput=false)
displayScope ()

Fonctions membres publiques statiques

static | sanitizeType ($type)
static | sanitizeProperty ($property)
static | getTypes ()
static | getAvailableTypes ()
static | getExpectedTypes ($type, $property)
static | isPropertyInType ($type, $property)
static | isTypeAvailable ($type)
static | htmlMeta ($content, $property, $scope='', $invert=false)
static | htmlSpan ($content, $property='', $scope='', $invert=false)
static | htmlDiv ($content, $property='', $scope='', $invert=false)
static | htmlTag ($tag, $content, $property='', $scope='', $invert=false)
static | htmlScope ($scope)
static | htmlProperty ($property)

Fonctions membres protégées

resetParams ()

Fonctions membres protégées statiques

static | loadTypes ()
static | getExpectedDisplayType ($type, $property)

Attributs protégés

$type = null
$property = null
$content = null
$machineContent = null
$fallbackType = null
$fallbackProperty = null
$enabled = true

Attributs protégés statiques

static $types = null

Description détaillée

Joomla Platform class for interacting with Microdata semantics.

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $type = '',
 |  | $flag = true
 | ) |

Initialize the class and setup the default $Type

Paramètres
string | $type | Optional, fallback to 'Thing' Type
boolean | $flag | Enable or disable the library output
Depuis
3.2

Références $type.

Documentation des fonctions membres

◆ content()

content | ( | $content,
 |  | $machineContent = null
 | ) |

Setup a Human content or content for the Machines

Paramètres
string | $content | The human content or machine content to be used
string | $machineContent | The machine content
Renvoie
Microdata Instance of $this
Depuis
3.2

Références $content, et content.

◆ display()

display | ( | $displayType = '',
 |  | $emptyOutput = false
 | ) |

This function handles the display logic. It checks if the Type, Property are available, if not check for a Fallback, then reset all params for the next use and return the HTML.

Paramètres
string | $displayType | Optional, 'inline', available options ['inline'|'span'|'div'|meta]
boolean | $emptyOutput | Return an empty string if the library output is disabled and there is a $content value
Renvoie
string
Depuis
3.2

Références $content, $html, content, elseif, et null.

◆ displayScope()

displayScope ( )

Return the HTML of the current Scope

Renvoie
string
Depuis
3.2

◆ enable()

enable ( $flag = true )

Enable or Disable the library output

Paramètres
boolean $flag Enable or disable the library output
Renvoie
Microdata Instance of $this
Depuis
3.2

◆ fallback()

fallback | ( | $type,
 |  | $property
 | ) |

Setup a Fallback Type and Property

Paramètres
string | $type | The Fallback Type
string | $property | The Fallback Property
Renvoie
Microdata Instance of $this
Depuis
3.2

Références $type, et null.

◆ getAvailableTypes()

static getAvailableTypes ( )
static

Return an array with all available Types from the http://schema.org vocabulary

Renvoie
array
Depuis
3.2

◆ getContent()

getContent ( )

Return the current $content

Renvoie
string
Depuis
3.2

Références $content.

◆ getExpectedDisplayType()

static getExpectedDisplayType | ( | $type,
 |  | $property
 | ) |
staticprotected

Return the expected display type: [normal|nested|meta] In which way to display the Property: normal -> itemprop="name" nested -> itemprop="director" itemscope itemtype="https://schema.org/Person" meta -> <meta itemprop="datePublished" content="1991-05-01">

Paramètres
string | $type | The Type where to find the Property
string | $property | The Property to process
Renvoie
string
Depuis
3.2

Références $type.

◆ getExpectedTypes()

static getExpectedTypes | ( | $type,
 |  | $property
 | ) |
static

Return the expected Types of the given Property

Paramètres
string | $type | The Type to process
string | $property | The Property to process
Renvoie
array
Depuis
3.2

Références $tmp, et $type.

◆ getFallbackProperty()

getFallbackProperty ( )

Return the current $fallbackProperty

Renvoie
string
Depuis
3.2

◆ getFallbackType()

getFallbackType ( )

Return the current $fallbackType

Renvoie
string
Depuis
3.2

◆ getMachineContent()

getMachineContent ( )

Return the current $machineContent

Renvoie
string
Depuis
3.3

◆ getProperty()

getProperty ( )

Return the current $Property name

Renvoie
string
Depuis
3.2

◆ getType()

getType ( )

Return the current $Type name

Renvoie
string
Depuis
3.2

Références $type.

◆ getTypes()

static getTypes ( )
static

Return an array with all available Types and Properties from the http://schema.org vocabulary

Renvoie
array
Depuis
3.2

◆ htmlDiv()

static htmlDiv | ( | $content,
 |  | $property = '',
 |  | $scope = '',
 |  | $invert = false
 | ) |
static

Return Microdata semantics in a <div> tag.

Paramètres
string | $content | The human content
string | $property | Optional, the human content to display
string | $scope | Optional, the Type scope to display
boolean | $invert | Optional, default = false, invert the $scope with the $property
Renvoie
string
Depuis
3.2

Références $content.

◆ htmlMeta()

static htmlMeta | ( | $content,
 |  | $property,
 |  | $scope = '',
 |  | $invert = false
 | ) |
static

Return Microdata semantics in a <meta> tag with content for machines.

Paramètres
string | $content | The machine content to display
string | $property | The Property
string | $scope | Optional, the Type scope to display
boolean | $invert | Optional, default = false, invert the $scope with the $property
Renvoie
string
Depuis
3.2

Références $content.

◆ htmlProperty()

static htmlProperty ( $property )
static

Return the HTML Property

Paramètres
string $property The Property to process
Renvoie
string
Depuis
3.2

◆ htmlScope()

static htmlScope ( $scope )
static

Return the HTML Scope

Paramètres
string $scope The Scope to process
Renvoie
string
Depuis
3.2

◆ htmlSpan()

static htmlSpan | ( | $content,
 |  | $property = '',
 |  | $scope = '',
 |  | $invert = false
 | ) |
static

Return Microdata semantics in a <span> tag.

Paramètres
string | $content | The human content
string | $property | Optional, the human content to display
string | $scope | Optional, the Type scope to display
boolean | $invert | Optional, default = false, invert the $scope with the $property
Renvoie
string
Depuis
3.2

Références $content.

◆ htmlTag()

static htmlTag | ( | $tag,
 |  | $content,
 |  | $property = '',
 |  | $scope = '',
 |  | $invert = false
 | ) |
static

Return Microdata semantics in a specified tag.

Paramètres
string | $tag | The HTML tag
string | $content | The human content
string | $property | Optional, the human content to display
string | $scope | Optional, the Type scope to display
boolean | $invert | Optional, default = false, invert the $scope with the $property
Renvoie
string
Depuis
3.3

Références $content, et $tmp.

◆ isEnabled()

isEnabled ( )

Return 'true' if the library output is enabled

Renvoie
boolean
Depuis
3.2

Références $enabled.

◆ isPropertyInType()

static isPropertyInType | ( | $type,
 |  | $property
 | ) |
static

Recursive function, control if the given Type has the given Property

Paramètres
string | $type | The Type where to check
string | $property | The Property to check
Renvoie
boolean
Depuis
3.2

Références $type.

◆ isTypeAvailable()

static isTypeAvailable ( $type )
static

Control if the given Type class is available

Paramètres
string $type The Type to check
Renvoie
boolean
Depuis
3.2

Références $type, et true.

◆ loadTypes()

static loadTypes ( )
staticprotected

Load all available Types and Properties from the http://schema.org vocabulary contained in the types.json file

Renvoie
void
Depuis
3.2

Références $path.

◆ property()

property ( $property )

Setup a $Property

Paramètres
string $property The Property
Renvoie
Microdata Instance of $this
Depuis
3.2

◆ resetParams()

resetParams ( )
protected

Reset all params

Renvoie
void
Depuis
3.2

Références content, et null.

◆ sanitizeProperty()

static sanitizeProperty ( $property )
static

Return the sanitized $Property

Paramètres
string $property The Property to sanitize
Renvoie
string
Depuis
3.2

◆ sanitizeType()

static sanitizeType ( $type )
static

Return the sanitized $Type

Paramètres
string $type The Type to sanitize
Renvoie
string
Depuis
3.2

Références $type.

◆ setType()

setType ( $type )

Set a new http://schema.org Type

Paramètres
string $type The $Type to be setup
Renvoie
Microdata Instance of $this
Depuis
3.2

Références $type.

Documentation des champs

◆ $content

$content = null
protected

◆ $enabled

$enabled = true
protected

◆ $fallbackProperty

$fallbackProperty = null
protected

◆ $fallbackType

$fallbackType = null
protected

◆ $machineContent

$machineContent = null
protected

◆ $property

$property = null
protected

◆ $type

$type = null
protected

◆ $types

$types = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Microdata.php


Joomla CMS: Référence de la classe AdminController

  • Joomla
  • CMS
  • MVC
  • Controller
  • AdminController
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe AdminController
+ Graphe d'héritage de AdminController:
BaseController

Fonctions membres publiques

__construct ($config=array(), MVCFactoryInterface $factory=null)
delete ()
publish ()
reorder ()
saveorder ()
checkin ()
saveOrderAjax ()
- Fonctions membres publiques hérités de BaseController
__construct ($config=array(), MVCFactoryInterface $factory=null)
addViewPath ($path)
authorise ($task)
execute ($task)
getModel ($name='', $prefix='', $config=array())
getName ()
getTask ()
getTasks ()
getView ($name='', $type='', $prefix='', $config=array())
redirect ()
registerDefaultTask ($method)
registerTask ($task, $method)
unregisterTask ($task)
setMessage ($text, $type='message')
checkToken ($method='post', $redirect=true)
setRedirect ($url, $msg=null, $type=null)

Fonctions membres protégées

postDeleteHook (\JModelLegacy $model, $id=null)
- Fonctions membres protégées hérités de BaseController
addPath ($type, $path)
checkEditId ($context, $id)
createModel ($name, $prefix='', $config=array())
createView ($name, $prefix='', $type='', $config=array())
holdEditId ($context, $id)
releaseEditId ($context, $id)
setPath ($type, $path)

Attributs protégés

$option
$text_prefix
$view_list
- Attributs protégés hérités de BaseController
$basePath
$default_view
$doTask
$message
$messageType
$methods
$name
$model_prefix
$paths
$redirect
$task
$taskMap
$input
$factory

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de BaseController
static | addModelPath ($path, $prefix='')
static | createFileName ($type, $parts=array())
static | getInstance ($prefix, $config=array())
- Attributs protégés statiques hérités de BaseController
static | $instance
static | $views

Description détaillée

Base class for a Joomla Administrator Controller

Controller (controllers are where you put all the actual code) Provides basic functionality, such as rendering views (aka displaying templates).

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $config = array(),
 |  | MVCFactoryInterface | $factory = null
 | ) |  |

Constructor.

Paramètres
array | $config | An optional associative array of configuration settings.
MVCFactoryInterface | $factory | The factory.
Voir également
Depuis
1.6
Exceptions

Références $config, $r, null, et option.

Documentation des fonctions membres

◆ checkin()

checkin ( )

Check in of one or more records.

Renvoie
boolean True on success
Depuis
1.6

Références $message, $return, et option.

◆ delete()

delete ( )

Removes an item.

Renvoie
void
Depuis
1.6

Références option.

◆ postDeleteHook()

postDeleteHook | ( | \JModelLegacy | $model,
 |  |  | $id = null
 | ) |  |
protected

Function that allows child controller access to model data after the item has been deleted.

Paramètres
\JModelLegacy | $model | The data model object.
integer | $id | The validated data.
Renvoie
void
Depuis
3.1

◆ publish()

publish ( )

Method to publish a list of items

Renvoie
void
Depuis
1.6

Références $data, $extension, $task, $value, elseif, ArrayHelper\getValue(), null, et option.

◆ reorder()

reorder ( )

Changes the order of one or more records.

Renvoie
boolean True on success
Depuis
1.6

Références $message, $return, et option.

◆ saveorder()

saveorder ( )

Method to save the submitted ordering values for records.

Renvoie
boolean True on success
Depuis
1.6

Références $i, $message, $return, et option.

◆ saveOrderAjax()

saveOrderAjax ( )

Method to save the submitted ordering values for records via AJAX.

Renvoie
void
Depuis
3.0

Références $i, et $return.

Documentation des champs

◆ $option

$option
protected

◆ $text_prefix

$text_prefix
protected

◆ $view_list

$view_list
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AdminController.php


Joomla CMS: Référence de la classe BaseController

  • Joomla
  • CMS
  • MVC
  • Controller
  • BaseController
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe BaseController
+ Graphe d'héritage de BaseController:
AdminController FormController

Fonctions membres publiques

__construct ($config=array(), MVCFactoryInterface $factory=null)
addViewPath ($path)
authorise ($task)
execute ($task)
getModel ($name='', $prefix='', $config=array())
getName ()
getTask ()
getTasks ()
getView ($name='', $type='', $prefix='', $config=array())
redirect ()
registerDefaultTask ($method)
registerTask ($task, $method)
unregisterTask ($task)
setMessage ($text, $type='message')
checkToken ($method='post', $redirect=true)
setRedirect ($url, $msg=null, $type=null)

Fonctions membres publiques statiques

static | addModelPath ($path, $prefix='')
static | createFileName ($type, $parts=array())
static | getInstance ($prefix, $config=array())

Fonctions membres protégées

addPath ($type, $path)
checkEditId ($context, $id)
createModel ($name, $prefix='', $config=array())
createView ($name, $prefix='', $type='', $config=array())
holdEditId ($context, $id)
releaseEditId ($context, $id)
setPath ($type, $path)

Attributs protégés

$basePath
$default_view
$doTask
$message
$messageType
$methods
$name
$model_prefix
$paths
$redirect
$task
$taskMap
$input
$factory

Attributs protégés statiques

static | $instance
static | $views

Description détaillée

Base class for a Joomla Controller

Controller (Controllers are where you put all the actual code.) Provides basic functionality, such as rendering views (aka displaying templates).

Depuis
2.5.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $config = array(),
 |  | MVCFactoryInterface | $factory = null
 | ) |  |

Constructor.

Paramètres
array | $config | An optional associative array of configuration settings. Recognized key values include 'name', 'default_task', 'model_path', and 'view_path' (this list is not meant to be comprehensive).
MVCFactoryInterface | $factory | The factory.
Depuis
3.0

Références $config, $r, elseif, JDEBUG, name, et null.

Documentation des fonctions membres

◆ addModelPath()

static addModelPath | ( | $path,
 |  | $prefix = ''
 | ) |
static

Adds to the stack of model paths in LIFO order.

Paramètres
mixed | $path | The directory (string), or list of directories (array) to add.
string | $prefix | A prefix for models
Renvoie
void
Depuis
3.0

Références $path, et $prefix.

◆ addPath()

addPath | ( | $type,
 |  | $path
 | ) |
protected

Adds to the search path for templates and resources.

Paramètres
string | $type | The path type (e.g. 'model', 'view').
mixed | $path | The directory string or stream array to search.
Renvoie
A object to support chaining.
Depuis
3.0

Références $path, et $type.

◆ addViewPath()

addViewPath ( $path )

Add one or more view paths to the controller's stack, in LIFO order.

Paramètres
mixed $path The directory (string) or list of directories (array) to add.
Renvoie
This object to support chaining.
Depuis
3.0

Références $path.

◆ authorise()

authorise ( $task )

Authorisation check

Paramètres
string $task The ACO Section Value to check access on.
Renvoie
boolean True if authorised
Depuis
3.0
Obsolète:
3.0 Use instead.

◆ checkEditId()

checkEditId | ( | $context,
 |  | $id
 | ) |
protected

Method to check whether an ID is in the edit list.

Paramètres
string | $context | The context for the session storage.
integer | $id | The ID of the record to add to the edit list.
Renvoie
boolean True if the ID is in the edit list.
Depuis
3.0

Références $context, $id, et JDEBUG.

◆ checkToken()

checkToken | ( | $method = 'post',
 |  | $redirect = true
 | ) |

Checks for a form token in the request.

Use in conjunction with ::_('form.token') or ::getFormToken.

Paramètres
string | $method | The request method in which to look for the token key.
boolean | $redirect | Whether to implicitly redirect user to the referrer page on failure or simply return false.
Renvoie
boolean True if found and valid, otherwise return false or redirect to referrer page.
Depuis
3.7.0
Voir également
::checkToken()

Références $app.

◆ createFileName()

static createFileName | ( | $type,
 |  | $parts = array()
 | ) |
static

Create the filename for a resource.

Paramètres
string | $type | The resource type to create the filename for.
array | $parts | An associative array of filename information. Optional.
Renvoie
string The filename.
Depuis
3.0

Références $parts, et $type.

Référencé par LegacyFactory\createView().

◆ createModel()

createModel | ( | $name,
 |  | $prefix = '',
 |  | $config = array()
 | ) |
protected

Method to load and return a model object.

Paramètres
string | $name | The name of the model.
string | $prefix | Optional model prefix.
array | $config | Configuration array for the model. Optional.
Renvoie
|boolean Model object on success; otherwise false on failure.
Depuis
3.0

Références $config, $name, $prefix, et null.

◆ createView()

createView | ( | $name,
 |  | $prefix = '',
 |  | $type = '',
 |  | $config = array()
 | ) |
protected

Method to load and return a view object. This method first looks in the current template directory for a match and, failing that, uses a default set path to load the view class file.

Note the "name, prefix, type" order of parameters, which differs from the "name, type, prefix" order used in related public methods.

Paramètres
string | $name | The name of the view.
string | $prefix | Optional prefix for the view class name.
string | $type | The type of view.
array | $config | Configuration array for the view. Optional.
Renvoie
|null View object on success; null or error result on failure.
Depuis
3.0
Exceptions

Références $config, $name, $prefix, et $type.

◆ execute()

execute ( $task )

Execute a task by triggering a method in the derived class.

Paramètres
string $task The task to perform. If no matching task is found, the '__default' task is executed, if defined.
Renvoie
mixed The value returned by the called method.
Depuis
3.0
Exceptions

Références $doTask, $task, elseif, et task.

◆ getInstance()

static getInstance | ( | $prefix,
 |  | $config = array()
 | ) |
static

Method to get a singleton controller instance.

Paramètres
string | $prefix | The prefix for the controller.
array | $config | An array of optional constructor options.
Renvoie
Depuis
3.0
Exceptions

Références $basePath, $class, $config, $file, $filter, $format, $input, $path, $prefix, $task, $type, et elseif.

◆ getModel()

getModel | ( | $name = '',
 |  | $prefix = '',
 |  | $config = array()
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
|boolean Model object on success; otherwise false on failure.
Depuis
3.0

Références $config, $item, $menu, $name, $params, $prefix, et task.

◆ getName()

getName ( )

Method to get the controller name

The dispatcher name is set by default parsed using the classname, or it can be set by passing a $config['name'] in the class constructor

Renvoie
string The name of the dispatcher
Depuis
3.0
Exceptions

Références $name, $r, name, et null.

◆ getTask()

getTask ( )

Get the last task that is being performed or was most recently performed.

Renvoie
string The task that is being performed or was most recently performed.
Depuis
3.0

Références $task.

◆ getTasks()

getTasks ( )

Gets the available tasks in the controller.

Renvoie
array Array[i] of task names.
Depuis
3.0

◆ getView()

getView | ( | $name = '',
 |  | $type = '',
 |  | $prefix = '',
 |  | $config = array()
 | ) |

Method to get a reference to the current view and load it if necessary.

Paramètres
string | $name | The view name. Optional, defaults to the controller name.
string | $type | The view type. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for view. Optional.
Renvoie
Reference to the view or an error.
Depuis
3.0
Exceptions

Références $config, $name, $prefix, $type, et $view.

◆ holdEditId()

holdEditId | ( | $context,
 |  | $id
 | ) |
protected

Method to add a record ID to the edit list.

Paramètres
string | $context | The context for the session storage.
integer | $id | The ID of the record to add to the edit list.
Renvoie
void
Depuis
3.0

Références $app, $context, $id, et JDEBUG.

◆ redirect()

redirect ( )

Redirects the browser or returns false if no redirect is set.

Renvoie
boolean False if no redirect exists.
Depuis
3.0

Références $app.

◆ registerDefaultTask()

registerDefaultTask ( $method )

Register the default task to perform if a mapping is not found.

Paramètres
string $method The name of the method in the derived class to perform if a named task is not found.
Renvoie
A object to support chaining.
Depuis
3.0

◆ registerTask()

registerTask | ( | $task,
 |  | $method
 | ) |

Register (map) a task to a method in the class.

Paramètres
string | $task | The task.
string | $method | The name of the method in the derived class to perform for this task.
Renvoie
A object to support chaining.
Depuis
3.0

Références $task.

◆ releaseEditId()

releaseEditId | ( | $context,
 |  | $id
 | ) |
protected

Method to check whether an ID is in the edit list.

Paramètres
string | $context | The context for the session storage.
integer | $id | The ID of the record to add to the edit list.
Renvoie
void
Depuis
3.0

Références $app, $context, $id, et JDEBUG.

◆ setMessage()

setMessage | ( | $text,
 |  | $type = 'message'
 | ) |

Sets the internal message that is passed with a redirect

Paramètres
string | $text | Message to display on redirect.
string | $type | Message type. Optional, defaults to 'message'.
Renvoie
string Previous message
Depuis
3.0

Références $message, $text, et $type.

◆ setPath()

setPath | ( | $type,
 |  | $path
 | ) |
protected

Sets an entire array of search paths for resources.

Paramètres
string | $type | The type of path to set, typically 'view' or 'model'.
string | $path | The new set of search paths. If null or false, resets to the current directory only.
Renvoie
void
Depuis
3.0

Références $path, et $type.

◆ setRedirect()

setRedirect | ( | $url,
 |  | $msg = null,
 |  | $type = null
 | ) |

Set a URL for browser redirection.

Paramètres
string | $url | URL to redirect to.
string | $msg | Message to display on redirect. Optional, defaults to value set internally by controller, if any.
string | $type | Message type. Optional, defaults to 'message' or the type set by a previous call to setMessage.
Renvoie
This object to support chaining.
Depuis
3.0

Références $type, $url, et null.

◆ unregisterTask()

unregisterTask ( $task )

Unregister (unmap) a task in the class.

Paramètres
string $task The task.
Renvoie
This object to support chaining.
Depuis
3.0

Références $task.

Documentation des champs

◆ $basePath

$basePath
protected

◆ $default_view

$default_view
protected

◆ $doTask

$doTask
protected

◆ $factory

$factory
protected

◆ $input

$input
protected

◆ $instance

$instance
staticprotected

◆ $message

$message
protected

◆ $messageType

$messageType
protected

◆ $methods

$methods
protected

◆ $model_prefix

$model_prefix
protected

◆ $name

$name
protected

◆ $paths

$paths
protected

◆ $redirect

$redirect
protected

◆ $task

$task
protected

◆ $taskMap

$taskMap
protected

◆ $views

$views
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • BaseController.php


Joomla CMS: Référence de la classe FormController

  • Joomla
  • CMS
  • MVC
  • Controller
  • FormController
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FormController
+ Graphe d'héritage de FormController:
BaseController

Fonctions membres publiques

__construct ($config=array(), MVCFactoryInterface $factory=null)
add ()
batch ($model)
cancel ($key=null)
edit ($key=null, $urlVar=null)
getModel ($name='', $prefix='', $config=array('ignore_request'=> true))
loadhistory ()
save ($key=null, $urlVar=null)
reload ($key=null, $urlVar=null)
editAssociations ()
- Fonctions membres publiques hérités de BaseController
__construct ($config=array(), MVCFactoryInterface $factory=null)
addViewPath ($path)
authorise ($task)
execute ($task)
getModel ($name='', $prefix='', $config=array())
getName ()
getTask ()
getTasks ()
getView ($name='', $type='', $prefix='', $config=array())
redirect ()
registerDefaultTask ($method)
registerTask ($task, $method)
unregisterTask ($task)
setMessage ($text, $type='message')
checkToken ($method='post', $redirect=true)
setRedirect ($url, $msg=null, $type=null)

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='id')
allowSave ($data, $key='id')
getRedirectToItemAppend ($recordId=null, $urlVar='id')
getRedirectToListAppend ()
postSaveHook (\JModelLegacy $model, $validData=array())
- Fonctions membres protégées hérités de BaseController
addPath ($type, $path)
checkEditId ($context, $id)
createModel ($name, $prefix='', $config=array())
createView ($name, $prefix='', $type='', $config=array())
holdEditId ($context, $id)
releaseEditId ($context, $id)
setPath ($type, $path)

Attributs protégés

$context
$option
$view_item
$view_list
$text_prefix
- Attributs protégés hérités de BaseController
$basePath
$default_view
$doTask
$message
$messageType
$methods
$name
$model_prefix
$paths
$redirect
$task
$taskMap
$input
$factory

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de BaseController
static | addModelPath ($path, $prefix='')
static | createFileName ($type, $parts=array())
static | getInstance ($prefix, $config=array())
- Attributs protégés statiques hérités de BaseController
static | $instance
static | $views

Description détaillée

Controller tailored to suit most form-based admin operations.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $config = array(),
 |  | MVCFactoryInterface | $factory = null
 | ) |  |

Constructor.

Paramètres
array | $config | An optional associative array of configuration settings.
MVCFactoryInterface | $factory | The factory.
Voir également
Depuis
1.6
Exceptions

Références $config, $context, $r, null, et option.

Documentation des fonctions membres

◆ add()

add ( )

Method to add a new record.

Renvoie
boolean True if the record can be added, false if not.
Depuis
1.6

Références $context, null, et option.

◆ allowAdd()

allowAdd ( $data = array() )
protected

Method to check if you can add a new record.

Extended classes can override this if necessary.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
1.6

Références $user, et option.

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method to check if you can edit an existing record.

Extended classes can override this if necessary.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key; default is id.
Renvoie
boolean
Depuis
1.6

Références option.

◆ allowSave()

allowSave | ( | $data,
 |  | $key = 'id'
 | ) |
protected

Method to check if you can save a new or existing record.

Extended classes can override this if necessary.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, et $key.

◆ batch()

batch ( $model )

Method to run batch operations.

Paramètres
\JModelLegacy $model The model of the component being processed.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
1.7

Références $id, $option, et extension.

◆ cancel()

cancel ( $key = null )

Method to cancel an edit.

Paramètres
string $key The name of the primary key of the URL variable.
Renvoie
boolean True if access level checks pass, false otherwise.
Depuis
1.6

Références $context, $key, $return, $url, null, et option.

◆ edit()

edit | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to edit an existing record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if access level check and checkout passes, false otherwise.
Depuis
1.6

Références $context, $key, null, et option.

◆ editAssociations()

editAssociations ( )

Load item to edit associations in com_associations

Renvoie
void
Depuis
3.9.0
Obsolète:
5.0 It is handled by regular save method now.

Références $app, $data, et $input.

◆ getModel()

getModel | ( | $name = '',
 |  | $prefix = '',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
The model.
Depuis
1.6

Références $config, $context, $name, et $prefix.

◆ getRedirectToItemAppend()

getRedirectToItemAppend | ( | $recordId = null,
 |  | $urlVar = 'id'
 | ) |
protected

Gets the URL arguments to append to an item redirect.

Paramètres
integer | $recordId | The primary key id for the item.
string | $urlVar | The name of the URL variable for the id.
Renvoie
string The arguments to append to the redirect URL.
Depuis
1.6

Références $forcedLanguage, $layout, $return, $tmpl, et null.

◆ getRedirectToListAppend()

getRedirectToListAppend ( )
protected

Gets the URL arguments to append to a list redirect.

Renvoie
string The arguments to append to the redirect URL.
Depuis
1.6

Références $forcedLanguage, et $tmpl.

◆ loadhistory()

loadhistory ( )

Method to load a row from version history

Renvoie
mixed True if the record can be added, an error object if not.
Depuis
3.2

Références $key, null, et option.

◆ postSaveHook()

postSaveHook | ( | \JModelLegacy | $model,
 |  |  | $validData = array()
 | ) |  |
protected

Function that allows child controller access to model data after the data has been saved.

Paramètres
\JModelLegacy | $model | The data model object.
array | $validData | The validated data.
Renvoie
void
Depuis
1.6

◆ reload()

reload | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to reload a record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
void
Depuis
3.7.4

We need the filtered value of calendar fields because the UTC normalision is done in the filter and on output. This would apply the Timezone offset on reload. We set the calendar values we save to the processed date.

Références $app, $data, $field, $form, $key, et option.

◆ save()

save | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to save a record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if successful, false otherwise.
Depuis
1.6

We need the filtered value of calendar fields because the UTC normalision is done in the filter and on output. This would apply the Timezone offset on reload. We set the calendar values we save to the processed date.

Références $app, $context, $data, $field, $form, $i, $key, $n, $prefix, $return, $task, $url, null, et option.

Documentation des champs

◆ $context

$context
protected

◆ $option

$option
protected

◆ $text_prefix

$text_prefix
protected

◆ $view_item

$view_item
protected

◆ $view_list

$view_list
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FormController.php


Joomla CMS: Référence de la classe LegacyFactory

  • Joomla
  • CMS
  • MVC
  • Factory
  • LegacyFactory
Fonctions membres publiques
Référence de la classe LegacyFactory
+ Graphe d'héritage de LegacyFactory:
MVCFactoryInterface

Fonctions membres publiques

createModel ($name, $prefix='', array $config=array())
createView ($name, $prefix='', $type='', array $config=array())
createTable ($name, $prefix='Table', array $config=array())

Description détaillée

Factory to create MVC objects in legacy mode. Uses the static getInstance function on the classes itself. Behavior of the old none namespaced extension set up.

Depuis
3.10.0

Documentation des fonctions membres

◆ createModel()

createModel | ( |  | $name,
 |  |  | $prefix = '',
 |  | array | $config = array()
 | ) |  |

Method to load and return a model object.

Paramètres
string | $name | The name of the model.
string | $prefix | Optional model prefix.
array | $config | Optional configuration array for the model.
Renvoie
The model object
Depuis
3.10.0
Exceptions

Implémente MVCFactoryInterface.

Références $config, $name, $prefix, et BaseDatabaseModel\getInstance().

◆ createTable()

createTable | ( |  | $name,
 |  |  | $prefix = 'Table',
 |  | array | $config = array()
 | ) |  |

Method to load and return a table object.

Paramètres
string | $name | The name of the table.
string | $prefix | Optional table prefix.
array | $config | Optional configuration array for the table.
Renvoie
The table object
Depuis
3.10.0
Exceptions

Implémente MVCFactoryInterface.

Références $config, $name, $prefix, et Table\getInstance().

◆ createView()

createView | ( |  | $name,
 |  |  | $prefix = '',
 |  |  | $type = '',
 |  | array | $config = array()
 | ) |  |

Method to load and return a view object.

Paramètres
string | $name | The name of the view.
string | $prefix | Optional view prefix.
string | $type | Optional type of view.
array | $config | Optional configuration array for the view.
Renvoie
The view object
Depuis
3.10.0
Exceptions

Implémente MVCFactoryInterface.

Références $config, $name, $path, $prefix, $type, BaseController\createFileName(), jimport(), null, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • LegacyFactory.php


Joomla CMS: Référence de la classe MVCFactory

  • Joomla
  • CMS
  • MVC
  • Factory
  • MVCFactory
Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe MVCFactory
+ Graphe d'héritage de MVCFactory:
MVCFactoryInterface

Fonctions membres publiques

__construct ($namespace, CMSApplication $application)
createModel ($name, $prefix='', array $config=array())
createView ($name, $prefix='', $type='', array $config=array())
createTable ($name, $prefix='', array $config=array())

Fonctions membres privées

getClassName ($suffix, $prefix)

Attributs privés

$namespace = null
$application = null

Description détaillée

Factory to create MVC objects based on a namespace.

Depuis
3.10.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $namespace,
 |  | CMSApplication | $application
 | ) |  |

The namespace must be like: Joomla

Paramètres
string | $namespace | The namespace.
CMSApplication | $application | The application
Depuis
3.10.0

Documentation des fonctions membres

◆ createModel()

createModel | ( |  | $name,
 |  |  | $prefix = '',
 |  | array | $config = array()
 | ) |  |

Method to load and return a model object.

Paramètres
string | $name | The name of the model.
string | $prefix | Optional model prefix.
array | $config | Optional configuration array for the model.
Renvoie
The model object
Depuis
3.10.0
Exceptions

Implémente MVCFactoryInterface.

Références $className, $config, $name, $prefix, et null.

◆ createTable()

createTable | ( |  | $name,
 |  |  | $prefix = '',
 |  | array | $config = array()
 | ) |  |

Method to load and return a table object.

Paramètres
string | $name | The name of the table.
string | $prefix | Optional table prefix.
array | $config | Optional configuration array for the table.
Renvoie
The table object
Depuis
3.10.0
Exceptions

Implémente MVCFactoryInterface.

Références $className, $config, $db, $name, $prefix, Factory\getDbo(), et null.

◆ createView()

createView | ( |  | $name,
 |  |  | $prefix = '',
 |  |  | $type = '',
 |  | array | $config = array()
 | ) |  |

Method to load and return a view object.

Paramètres
string | $name | The name of the view.
string | $prefix | Optional view prefix.
string | $type | Optional type of view.
array | $config | Optional configuration array for the view.
Renvoie
The view object
Depuis
3.10.0
Exceptions

Implémente MVCFactoryInterface.

Références $className, $config, $name, $prefix, $type, et null.

◆ getClassName()

getClassName | ( | $suffix,
 |  | $prefix
 | ) |
private

Returns a standard classname, if the class doesn't exist null is returned.

Paramètres
string | $suffix | The suffix
string | $prefix | The prefix
Renvoie
string|null The class name
Depuis
3.10.0

Références $className, $prefix, $suffix, et null.

Documentation des champs

◆ $application

$application = null
private

◆ $namespace

$namespace = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • MVCFactory.php


Joomla CMS: Référence de l'interface MVCFactoryInterface

  • Joomla
  • CMS
  • MVC
  • Factory
  • MVCFactoryInterface
Fonctions membres publiques
Référence de l'interface MVCFactoryInterface
+ Graphe d'héritage de MVCFactoryInterface:
LegacyFactory MVCFactory

Fonctions membres publiques

createModel ($name, $prefix='', array $config=array())
createView ($name, $prefix='', $type='', array $config=array())
createTable ($name, $prefix='', array $config=array())

Description détaillée

Factory to create MVC objects.

Depuis
3.10.0

Documentation des fonctions membres

◆ createModel()

createModel | ( |  | $name,
 |  |  | $prefix = '',
 |  | array | $config = array()
 | ) |  |

Method to load and return a model object.

Paramètres
string | $name | The name of the model.
string | $prefix | Optional model prefix.
array | $config | Optional configuration array for the model.
Renvoie
The model object
Depuis
3.10.0
Exceptions

Implémenté dans MVCFactory, et LegacyFactory.

◆ createTable()

createTable | ( |  | $name,
 |  |  | $prefix = '',
 |  | array | $config = array()
 | ) |  |

Method to load and return a table object.

Paramètres
string | $name | The name of the table.
string | $prefix | Optional table prefix.
array | $config | Optional configuration array for the table.
Renvoie
The table object
Depuis
3.10.0
Exceptions

Implémenté dans MVCFactory, et LegacyFactory.

◆ createView()

createView | ( |  | $name,
 |  |  | $prefix = '',
 |  |  | $type = '',
 |  | array | $config = array()
 | ) |  |

Method to load and return a view object.

Paramètres
string | $name | The name of the view.
string | $prefix | Optional view prefix.
string | $type | Optional type of view.
array | $config | Optional configuration array for the view.
Renvoie
The view object
Depuis
3.10.0
Exceptions

Implémenté dans MVCFactory, et LegacyFactory.

La documentation de cette interface a été générée à partir du fichier suivant :
  • MVCFactoryInterface.php


Joomla CMS: Référence de la classe AdminModel

  • Joomla
  • CMS
  • MVC
  • Model
  • AdminModel
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe AdminModel
+ Graphe d'héritage de AdminModel:
FormModel BaseDatabaseModel UsersModelLevel

Fonctions membres publiques

__construct ($config=array(), MVCFactoryInterface $factory=null)
batch ($commands, $pks, $contexts)
checkin ($pks=array())
checkout ($pk=null)
delete (&$pks)
getItem ($pk=null)
publish (&$pks, $value=1)
reorder ($pks, $delta=0)
save ($data)
saveorder ($pks=array(), $order=null)
createTagsHelper ($tagsObserver, $type, $pk, $typeAlias, $table)
generateTitle ($categoryId, $table)
initBatch ()
editAssociations ($data)
- Fonctions membres publiques hérités de FormModel
__construct ($config=array(), MVCFactoryInterface $factory=null)
checkin ($pk=null)
checkout ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de BaseDatabaseModel
__construct ($config=array(), MVCFactoryInterface $factory=null)
getDbo ()
getName ()
getState ($property=null, $default=null)
getTable ($name='', $prefix='Table', $options=array())
loadHistory ($versionId, \JTable &$table)
setDbo ($db)
setState ($property, $value=null)

Champs de données

$typeAlias

Fonctions membres protégées

batchAccess ($value, $pks, $contexts)
batchCopy ($value, $pks, $contexts)
cleanupPostBatchCopy (\JTableInterface $table, $newId, $oldId)
batchLanguage ($value, $pks, $contexts)
batchMove ($value, $pks, $contexts)
batchTag ($value, $pks, $contexts)
canDelete ($record)
canEditState ($record)
generateNewTitle ($categoryId, $alias, $title)
getReorderConditions ($table)
populateState ()
prepareTable ($table)
checkCategoryId ($categoryId)
redirectToAssociations ($data)
- Fonctions membres protégées hérités de FormModel
loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessData ($context, &$data, $group='content')
preprocessForm (\JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de BaseDatabaseModel
_getList ($query, $limitstart=0, $limit=0)
_getListCount ($query)
_createTable ($name, $prefix='Table', $config=array())
populateState ()

Attributs protégés

$text_prefix = null
$event_after_delete = null
$event_after_save = null
$event_before_delete = null
$event_before_save = null
$event_change_state = null
$batch_copymove = 'category_id'
$batch_commands
$associationsContext = null
$batchSet = null
$user = null
$table = null
$tableClassName = null
$contentType = null
$type = null
$tagsObserver = null
- Attributs protégés hérités de FormModel
$_forms = array()
$events_map = null
- Attributs protégés hérités de BaseDatabaseModel
$__state_set = null
$_db
$name
$option = null
$state
$event_clean_cache = null
$factory

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de BaseDatabaseModel
static | addIncludePath ($path='', $prefix='')
static | addTablePath ($path)
static | getInstance ($type, $prefix='', $config=array())
- Fonctions membres protégées statiques hérités de BaseDatabaseModel
static | _createFileName ($type, $parts=array())

Description détaillée

Prototype admin model.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $config = array(),
 |  | MVCFactoryInterface | $factory = null
 | ) |  |

Constructor.

Paramètres
array | $config | An optional associative array of configuration settings.
MVCFactoryInterface | $factory | The factory.
Voir également
Depuis
1.6

Références $config, elseif, et option.

Documentation des fonctions membres

◆ batch()

batch | ( | $commands,
 |  | $pks,
 |  | $contexts
 | ) |

Method to perform batch operations on an item or a set of items.

Paramètres
array | $commands | An array of commands to perform.
array | $pks | An array of item ids.
array | $contexts | An array of item contexts.
Renvoie
boolean Returns true on success, false on failure.
Depuis
1.7

Références elseif, ArrayHelper\getValue(), et ArrayHelper\toInteger().

◆ batchAccess()

batchAccess | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch access level changes for a group of rows.

Paramètres
integer | $value | The new value matching an Asset Group ID.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
1.7

Références $value.

◆ batchCopy()

batchCopy | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch copy items to a new category or current.

Paramètres
integer | $value | The new category.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
array|boolean An array of new IDs on success, boolean false on failure.
Depuis
1.7

Références $db, $query, $value, et elseif.

◆ batchLanguage()

batchLanguage | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch language changes for a group of rows.

Paramètres
string | $value | The new value matching a language.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
2.5

Références $value.

◆ batchMove()

batchMove | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch move items to a new category

Paramètres
integer | $value | The new category ID.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
1.7

Références $value.

◆ batchTag()

batchTag | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch tag a list of item.

Paramètres
integer | $value | The value of the new tag.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
3.1

Références $value.

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission for the component.
Depuis
1.6

Références option.

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission for the component.
Depuis
1.6

Références option.

◆ checkCategoryId()

checkCategoryId ( $categoryId )
protected

Method to check the validity of the category ID for batch copy and move

Paramètres
integer $categoryId The category ID to check
Renvoie
boolean
Depuis
3.2

Références $extension, et $user.

◆ checkin()

checkin ( $pks = array() )

Method override to check-in a record or an array of record

Paramètres
mixed $pks The ID of the primary key or an array of IDs
Renvoie
integer|boolean Boolean false if there is an error, otherwise the count of records checked in.
Depuis
1.6

Références $count.

◆ checkout()

checkout ( $pk = null )

Method override to check-out a record.

Paramètres
integer $pk The ID of the primary key.
Renvoie
boolean True if successful, false if an error occurs.
Depuis
1.6

◆ cleanupPostBatchCopy()

cleanupPostBatchCopy | ( | \JTableInterface | $table,
 |  |  | $newId,
 |  |  | $oldId
 | ) |  |
protected

Function that can be overridden to do any data cleanup after batch copying data

Paramètres
\JTableInterface | $table | The table object containing the newly created item
integer | $newId | The id of the new item
integer | $oldId | The original item id
Renvoie
void
Depuis
3.8.12

◆ createTagsHelper()

createTagsHelper | ( | $tagsObserver,
 |  | $type,
 |  | $pk,
 |  | $typeAlias,
 |  | $table
 | ) |

Method to create a tags helper to ensure proper management of tags

Paramètres
\JTableObserverTags | $tagsObserver | The tags observer for this table
\JUcmType | $type | The type for the table being processed
integer | $pk | Primary key of the item bing processed
string | $typeAlias | The type alias for this table
\JTable | $table | The object
Renvoie
void
Depuis
3.2

Références $type.

◆ delete()

delete ( & $pks )

Method to delete one or more records.

Paramètres
array &$pks An array of record primary keys.
Renvoie
boolean True if successful, false if an error occurs.
Depuis
1.6

Références $context, $db, $dispatcher, $i, $name, $query, $row, JEventDispatcher\getInstance(), et option.

◆ editAssociations()

editAssociations ( $data )

Method to load an item in com_associations.

Paramètres
array $data The form data.
Renvoie
boolean True if successful, false otherwise.
Depuis
3.9.0
Obsolète:
5.0 It is handled by regular save method now.

Références $data.

◆ generateNewTitle()

generateNewTitle | ( | $categoryId,
 |  | $alias,
 |  | $title
 | ) |
protected

Method to change the title & alias.

Paramètres
integer | $categoryId | The id of the category.
string | $alias | The alias.
string | $title | The title.
Renvoie
array Contains the modified title and alias.
Depuis
1.7

Références $title.

◆ generateTitle()

generateTitle | ( | $categoryId,
 |  | $table
 | ) |

A method to preprocess generating a new title in order to allow tables with alternative names for alias and title to use the batch move and copy methods

Paramètres
integer | $categoryId | The target category id
\JTable | $table | The within which move or copy is taking place
Renvoie
void
Depuis
3.2

Références $data.

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
|boolean Object on success, false on failure.
Depuis
1.6

Références $item, $return, et ArrayHelper\toObject().

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
\JTable $table A object.
Renvoie
array An array of conditions to add to ordering queries.
Depuis
1.6

◆ initBatch()

initBatch ( )

Method to initialize member variables used by batch methods and other methods like saveorder()

Renvoie
void
Depuis
3.8.2

Références null.

◆ populateState()

populateState ( )
protected

Stock method to auto-populate the model state.

Renvoie
void
Depuis
1.6

Références $key, $value, et option.

◆ prepareTable()

prepareTable ( $table )
protected

Prepare and sanitise the table data prior to saving.

Paramètres
\JTable $table A reference to a object.
Renvoie
void
Depuis
1.6

◆ publish()

publish | ( | & | $pks,
 |  |  | $value = 1
 | ) |  |

Method to change the published state of one or more records.

Paramètres
array | &$pks | A list of the primary keys to change.
integer | $value | The value of the published state.
Renvoie
boolean True on success.
Depuis
1.6

Prune items that are already at the given state. Note: Only models whose table correctly sets 'published' column alias (if different than published) will benefit from this

Références $context, $dispatcher, $i, $name, $user, $value, JEventDispatcher\getInstance(), et option.

◆ redirectToAssociations()

redirectToAssociations ( $data )
protected

Method to load an item in com_associations.

Paramètres
array $data The form data.
Renvoie
boolean True if successful, false otherwise.
Exceptions

Références $aliasArray, $app, $client, $component, $data, $extension, $id, $language, $target, $view, Factory\getApplication(), et LanguageHelper\getContentLanguages().

◆ reorder()

reorder | ( | $pks,
 |  | $delta = 0
 | ) |

Method to adjust the ordering of a row.

Returns NULL if the user did not have edit privileges for any of the selected primary keys.

Paramètres
integer | $pks | The ID of the primary key to move.
integer | $delta | Increment, usually +1 or -1
Renvoie
boolean|null False on failure or error, true on success, null if the $pk is empty (no items selected).
Depuis
1.6

Références $i, et null.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success, False on error.
Depuis
1.6

Références $app, $context, $data, $db, $dispatcher, $id, $key, $name, $query, JEventDispatcher\getInstance(), json_encode, option, et ArrayHelper\toInteger().

◆ saveorder()

saveorder | ( | $pks = array(),
 |  | $order = null
 | ) |

Saves the manually set order of records.

Paramètres
array | $pks | An array of primary key ids.
integer | $order | +1 or -1
Renvoie
boolean| Boolean true on success, false on failure, or if no items are selected
Depuis
1.6

Références $condition, $i, $key, et elseif.

Documentation des champs

◆ $associationsContext

$associationsContext = null
protected

◆ $batch_commands

$batch_commands
protected
Valeur initiale :
= array(
'assetgroup_id' => 'batchAccess',
'language_id' => 'batchLanguage',
'tag' => 'batchTag',
)

◆ $batch_copymove

$batch_copymove = 'category_id'
protected

◆ $batchSet

$batchSet = null
protected

◆ $contentType

$contentType = null
protected

◆ $event_after_delete

$event_after_delete = null
protected

◆ $event_after_save

$event_after_save = null
protected

◆ $event_before_delete

$event_before_delete = null
protected

◆ $event_before_save

$event_before_save = null
protected

◆ $event_change_state

$event_change_state = null
protected

◆ $table

$table = null
protected

◆ $tableClassName

$tableClassName = null
protected

◆ $tagsObserver

$tagsObserver = null
protected

◆ $text_prefix

$text_prefix = null
protected

◆ $type

$type = null
protected

◆ $typeAlias

$typeAlias

◆ $user

$user = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AdminModel.php


Joomla CMS: Référence de la classe BaseDatabaseModel

  • Joomla
  • CMS
  • MVC
  • Model
  • BaseDatabaseModel
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés
Référence de la classe BaseDatabaseModel
+ Graphe d'héritage de BaseDatabaseModel:
FormModel ItemModel ListModel AdminModel UsersModelLevel

Fonctions membres publiques

__construct ($config=array(), MVCFactoryInterface $factory=null)
getDbo ()
getName ()
getState ($property=null, $default=null)
getTable ($name='', $prefix='Table', $options=array())
loadHistory ($versionId, \JTable &$table)
setDbo ($db)
setState ($property, $value=null)

Fonctions membres publiques statiques

static | addIncludePath ($path='', $prefix='')
static | addTablePath ($path)
static | getInstance ($type, $prefix='', $config=array())

Fonctions membres protégées

_getList ($query, $limitstart=0, $limit=0)
_getListCount ($query)
_createTable ($name, $prefix='Table', $config=array())
populateState ()

Fonctions membres protégées statiques

static _createFileName ($type, $parts=array())

Attributs protégés

$__state_set = null
$_db
$name
$option = null
$state
$event_clean_cache = null
$factory

Description détaillée

Base class for a database aware Joomla Model

Acts as a Factory class for application specific objects and provides many supporting API functions.

Depuis
2.5.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $config = array(),
 |  | MVCFactoryInterface | $factory = null
 | ) |  |

Constructor

Paramètres
array | $config | An array of configuration options (name, state, dbo, table_path, ignore_request).
MVCFactoryInterface | $factory | The factory.
Depuis
3.0
Exceptions

Références $config, $r, elseif, JPATH_COMPONENT_ADMINISTRATOR, name, null, et option.

Documentation des fonctions membres

◆ _createFileName()

static _createFileName | ( | $type,
 |  | $parts = array()
 | ) |
staticprotected

Create the filename for a resource

Paramètres
string | $type | The resource type to create the filename for.
array | $parts | An associative array of filename information.
Renvoie
string The filename
Depuis
3.0

Références $parts, et $type.

◆ _createTable()

_createTable | ( | $name,
 |  | $prefix = 'Table',
 |  | $config = array()
 | ) |
protected

Method to load and return a model object.

Paramètres
string | $name | The name of the view
string | $prefix | The class prefix. Optional.
array | $config | Configuration settings to pass to ::getInstance
Renvoie
|boolean Table object or boolean false if failed
Depuis
3.0
Voir également
::getInstance()

Références $config, $name, $prefix, et null.

◆ _getList()

_getList | ( | $query,
 |  | $limitstart = 0,
 |  | $limit = 0
 | ) |
protected

Gets an array of objects from the results of database query.

Paramètres
string | $query | The query.
integer | $limitstart | Offset.
integer | $limit | The number of records.
Renvoie
object[] An array of results.
Depuis
3.0
Exceptions

Références $limit, et $query.

◆ _getListCount()

_getListCount ( $query )
protected

Returns a record count for the query.

Note: Current implementation of this method assumes that getListQuery() returns a set of unique rows, thus it uses SELECT COUNT(*) to count the rows. In cases that getListQuery() uses DISTINCT then either this method must be overridden by a custom implementation at the derived Model Class or a GROUP BY clause should be used to make the set unique.

Paramètres
\JDatabaseQuery | string $query The query.
Renvoie
integer Number of rows for query.
Depuis
3.0

Références $query, et null.

◆ addIncludePath()

static addIncludePath | ( | $path = '',
 |  | $prefix = ''
 | ) |
static

Add a directory where should search for models. You may either pass a string or an array of directories.

Paramètres
mixed | $path | A path or array[sting] of paths to search.
string | $prefix | A prefix for models.
Renvoie
array An array with directory elements. If prefix is equal to '', all directories are returned.
Depuis
3.0

Références $path, $prefix, et jimport().

◆ addTablePath()

static addTablePath ( $path )
static

Adds to the stack of model table paths in LIFO order.

Paramètres
mixed $path The directory as a string or directories as an array to add.
Renvoie
void
Depuis
3.0

Références $path.

◆ getDbo()

getDbo ( )

Method to get the database driver object

Renvoie
Depuis
3.0

◆ getInstance()

static getInstance | ( | $type,
 |  | $prefix = '',
 |  | $config = array()
 | ) |
static

Returns a Model object, always creating it

Paramètres
string | $type | The model type to instantiate
string | $prefix | Prefix for the model class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
|boolean A instance or false on failure
Depuis
3.0

Références $config, $path, $prefix, $type, jimport(), et null.

Référencé par LegacyFactory\createModel().

◆ getName()

getName ( )

Method to get the model name

The model name. By default parsed using the classname or it can be set by passing a $config['name'] in the class constructor

Renvoie
string The name of the model
Depuis
3.0
Exceptions

Références $name, $r, name, et null.

◆ getState()

getState | ( | $property = null,
 |  | $default = null
 | ) |

Method to get model state variables

Paramètres
string | $property | Optional parameter name
mixed | $default | Optional default value
Renvoie
mixed The property where specified, the state object where omitted
Depuis
3.0

Références $default, et null.

◆ getTable()

getTable | ( | $name = '',
 |  | $prefix = 'Table',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
A object
Depuis
3.0
Exceptions

Références $name, $options, et $prefix.

◆ loadHistory()

loadHistory | ( |  | $versionId,
 |  | \JTable & | $table
 | ) |  |

Method to load a row for editing from the version history table.

Paramètres
integer | $versionId | Key to the version history table.
\JTable | &$table | Content table object being loaded.
Renvoie
boolean False on failure or error, true otherwise.
Depuis
3.2

Références $key, et ArrayHelper\fromObject().

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Renvoie
void
Note
Calling getState in this method will result in recursion.
Depuis
3.0

◆ setDbo()

setDbo ( $db )

Method to set the database driver object

Paramètres
\JDatabaseDriver $db A based object
Renvoie
void
Depuis
3.0

Références $db.

◆ setState()

setState | ( | $property,
 |  | $value = null
 | ) |

Method to set model state variables

Paramètres
string | $property | The name of the property.
mixed | $value | The value of the property to set or null.
Renvoie
mixed The previous value of the property or null if not set.
Depuis
3.0

Références $value.

Documentation des champs

◆ $__state_set

$__state_set = null
protected

◆ $_db

$_db
protected

◆ $event_clean_cache

$event_clean_cache = null
protected

◆ $factory

$factory
protected

◆ $name

$name
protected

◆ $option

$option = null
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • BaseDatabaseModel.php


Joomla CMS: Référence de la classe FormModel

  • Joomla
  • CMS
  • MVC
  • Model
  • FormModel
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FormModel
+ Graphe d'héritage de FormModel:
BaseDatabaseModel AdminModel UsersModelLevel

Fonctions membres publiques

__construct ($config=array(), MVCFactoryInterface $factory=null)
checkin ($pk=null)
checkout ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de BaseDatabaseModel
__construct ($config=array(), MVCFactoryInterface $factory=null)
getDbo ()
getName ()
getState ($property=null, $default=null)
getTable ($name='', $prefix='Table', $options=array())
loadHistory ($versionId, \JTable &$table)
setDbo ($db)
setState ($property, $value=null)

Fonctions membres protégées

loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessData ($context, &$data, $group='content')
preprocessForm (\JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de BaseDatabaseModel
_getList ($query, $limitstart=0, $limit=0)
_getListCount ($query)
_createTable ($name, $prefix='Table', $config=array())
populateState ()

Attributs protégés

$_forms = array()
$events_map = null
- Attributs protégés hérités de BaseDatabaseModel
$__state_set = null
$_db
$name
$option = null
$state
$event_clean_cache = null
$factory

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de BaseDatabaseModel
static | addIncludePath ($path='', $prefix='')
static | addTablePath ($path)
static | getInstance ($type, $prefix='', $config=array())
- Fonctions membres protégées statiques hérités de BaseDatabaseModel
static | _createFileName ($type, $parts=array())

Description détaillée

Prototype form model.

Voir également
Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $config = array(),
 |  | MVCFactoryInterface | $factory = null
 | ) |  |

Constructor.

Paramètres
array | $config | An optional associative array of configuration settings.
MVCFactoryInterface | $factory | The factory.
Voir également
Depuis
3.6

Références $config.

Documentation des fonctions membres

◆ checkin()

checkin ( $pk = null )

Method to checkin a row.

Paramètres
integer $pk The numeric id of the primary key.
Renvoie
boolean False on failure or error, true otherwise.
Depuis
1.6

Références $user.

◆ checkout()

checkout ( $pk = null )

Method to check-out a row for editing.

Paramètres
integer $pk The numeric id of the primary key.
Renvoie
boolean False on failure or error, true otherwise.
Depuis
1.6

Références $user.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |
abstract

Abstract method for getting the form from the model.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
|boolean A object on success, false on failure
Depuis
1.6

◆ loadForm()

loadForm | ( | $name,
 |  | $source = null,
 |  | $options = array(),
 |  | $clear = false,
 |  | $xpath = false
 | ) |
protected

Method to get a form object.

Paramètres
string | $name | The name of the form.
string | $source | The form source. Can be XML string if file flag is set to false.
array | $options | Optional array of options for the form creation.
boolean | $clear | Optional argument to force load a new form.
string | $xpath | An optional xpath to search for the fields.
Renvoie
|boolean object on success, false on error.
Voir également
Depuis
1.6

Références $data, $form, $hash, $name, $options, et ArrayHelper\getValue().

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
array The default data is an empty array.
Depuis
1.6

◆ preprocessData()

preprocessData | ( |  | $context,
 |  | & | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to allow derived classes to preprocess the data.

Paramètres
string | $context | The context identifier.
mixed | &$data | The data to be processed. It gets altered directly.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
3.1

Références $context, $data, $dispatcher, $results, et JEventDispatcher\getInstance().

◆ preprocessForm()

preprocessForm | ( | \JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to allow derived classes to preprocess the form.

Paramètres
\JForm | $form | A object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Voir également
Depuis
1.6
Exceptions

Références $data, $dispatcher, $form, $results, et JEventDispatcher\getInstance().

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
\JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
Depuis
1.6

Références $data, $dispatcher, $form, $message, $return, et JEventDispatcher\getInstance().

Documentation des champs

◆ $_forms

$_forms = array()
protected

◆ $events_map

$events_map = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • FormModel.php


Joomla CMS: Référence de la classe ItemModel

  • Joomla
  • CMS
  • MVC
  • Model
  • ItemModel
Fonctions membres protégées | Attributs protégés
Référence de la classe ItemModel
+ Graphe d'héritage de ItemModel:
BaseDatabaseModel

Fonctions membres protégées

getStoreId ($id='')
- Fonctions membres protégées hérités de BaseDatabaseModel
_getList ($query, $limitstart=0, $limit=0)
_getListCount ($query)
_createTable ($name, $prefix='Table', $config=array())
populateState ()

Attributs protégés

$_item = null
$_context = 'group.type'
- Attributs protégés hérités de BaseDatabaseModel
$__state_set = null
$_db
$name
$option = null
$state
$event_clean_cache = null
$factory

Membres hérités additionnels

- Fonctions membres publiques hérités de BaseDatabaseModel
__construct ($config=array(), MVCFactoryInterface $factory=null)
getDbo ()
getName ()
getState ($property=null, $default=null)
getTable ($name='', $prefix='Table', $options=array())
loadHistory ($versionId, \JTable &$table)
setDbo ($db)
setState ($property, $value=null)
- Fonctions membres publiques statiques hérités de BaseDatabaseModel
static | addIncludePath ($path='', $prefix='')
static | addTablePath ($path)
static | getInstance ($type, $prefix='', $config=array())
- Fonctions membres protégées statiques hérités de BaseDatabaseModel
static | _createFileName ($type, $parts=array())

Description détaillée

Prototype item model.

Depuis
1.6

Documentation des fonctions membres

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

Documentation des champs

◆ $_context

$_context = 'group.type'
protected

◆ $_item

$_item = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ItemModel.php


Joomla CMS: Référence de la classe ListModel

  • Joomla
  • CMS
  • MVC
  • Model
  • ListModel
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ListModel
+ Graphe d'héritage de ListModel:
BaseDatabaseModel

Fonctions membres publiques

__construct ($config=array(), MVCFactoryInterface $factory=null)
getActiveFilters ()
getItems ()
getPagination ()
getTotal ()
getStart ()
getFilterForm ($data=array(), $loadData=true)
getUserStateFromRequest ($key, $request, $default=null, $type='none', $resetPage=true)
- Fonctions membres publiques hérités de BaseDatabaseModel
__construct ($config=array(), MVCFactoryInterface $factory=null)
getDbo ()
getName ()
getState ($property=null, $default=null)
getTable ($name='', $prefix='Table', $options=array())
loadHistory ($versionId, \JTable &$table)
setDbo ($db)
setState ($property, $value=null)

Fonctions membres protégées

_getListQuery ()
getListQuery ()
getStoreId ($id='')
loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
populateState ($ordering=null, $direction=null)
preprocessForm (\JForm $form, $data, $group='content')
refineSearchStringToRegex ($search, $regexDelimiter='/')
- Fonctions membres protégées hérités de BaseDatabaseModel
_getList ($query, $limitstart=0, $limit=0)
_getListCount ($query)
_createTable ($name, $prefix='Table', $config=array())
populateState ()

Attributs protégés

$cache = array()
$context = null
$filter_fields = array()
$query = array()
$lastQueryStoreId = null
$filterFormName = null
$htmlFormName = 'adminForm'
$filterBlacklist = array()
$listBlacklist = array('select')
- Attributs protégés hérités de BaseDatabaseModel
$__state_set = null
$_db
$name
$option = null
$state
$event_clean_cache = null
$factory

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de BaseDatabaseModel
static | addIncludePath ($path='', $prefix='')
static | addTablePath ($path)
static | getInstance ($type, $prefix='', $config=array())
- Fonctions membres protégées statiques hérités de BaseDatabaseModel
static | _createFileName ($type, $parts=array())

Description détaillée

Model class for handling lists of items.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $config = array(),
 |  | MVCFactoryInterface | $factory = null
 | ) |  |

Constructor.

Paramètres
array | $config | An optional associative array of configuration settings.
MVCFactoryInterface | $factory | The factory.
Voir également
Depuis
1.6

Références $config, et option.

Documentation des fonctions membres

◆ _getListQuery()

_getListQuery ( )
protected

Method to cache the last query constructed.

This method ensures that the query is constructed only once for a given state of the model.

Renvoie
A object
Depuis
1.6

Références $query.

◆ getActiveFilters()

getActiveFilters ( )

Function to get the active filters

Renvoie
array Associative array in the format: array('filter_published' => 0)
Depuis
3.2

Références $filter.

◆ getFilterForm()

getFilterForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Get the filter form

Paramètres
array | $data | data
boolean | $loadData | load current data
Renvoie
|boolean The object or false on error
Depuis
3.2

Références $form, et null.

◆ getItems()

getItems ( )

Method to get an array of data items.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
1.6

◆ getListQuery()

getListQuery ( )
protected

Method to get a object for retrieving the data set from a database.

Renvoie
A object to retrieve the data set.
Depuis
1.6

◆ getPagination()

getPagination ( )

Method to get a object for the data set.

Renvoie
A object for the data set.
Depuis
1.6

Références $limit.

◆ getStart()

getStart ( )

Method to get the starting number of items for the data set.

Renvoie
integer The starting number of items available in the data set.
Depuis
1.6

Références $limit, $start, et $total.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on the model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id An identifier string to generate the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ getTotal()

getTotal ( )

Method to get the total number of items for the data set.

Renvoie
integer The total number of items available in the data set.
Depuis
1.6

◆ getUserStateFromRequest()

getUserStateFromRequest | ( | $key,
 |  | $request,
 |  | $default = null,
 |  | $type = 'none',
 |  | $resetPage = true
 | ) |

Gets the value of a user state variable and sets it in the session

This is the same as the method in except that this also can optionally force you back to the first page when a filter has changed

Paramètres
string | $key | The key of the user state variable.
string | $request | The name of the variable passed in a request.
string | $default | The default value for the variable if not found. Optional.
string | $type | Filter for the variable, for valid values see JFilterInput::clean().Optional.@paramboolean$resetPageIftrue,thelimitstartinrequestissettozero@returnmixedTherequestuserstate.@since1.6

Références $app, $default, $filters, $input, $key, $name, $type, et null.

◆ loadForm()

loadForm | ( | $name,
 |  | $source = null,
 |  | $options = array(),
 |  | $clear = false,
 |  | $xpath = false
 | ) |
protected

Method to get a form object.

Paramètres
string | $name | The name of the form.
string | $source | The form source. Can be XML string if file flag is set to false.
array | $options | Optional array of options for the form creation.
boolean | $clear | Optional argument to force load a new form.
string | boolean | $xpath | An optional xpath to search for the fields.
Renvoie
|boolean object on success, False on error.
Voir également
Depuis
3.2

Références $data, $form, $hash, $name, $options, et ArrayHelper\getValue().

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
3.2

Références $data.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $field, $filters, $limit, $list, $name, $ordering, et $value.

◆ preprocessForm()

preprocessForm | ( | \JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to allow derived classes to preprocess the form.

Paramètres
\JForm | $form | A object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
3.2
Exceptions

Références $data, $dispatcher, $form, $results, et JEventDispatcher\getInstance().

◆ refineSearchStringToRegex()

refineSearchStringToRegex | ( | $search,
 |  | $regexDelimiter = '/'
 | ) |
protected

Parse and transform the search string into a string fit for regex-ing arbitrary strings against

Paramètres
string | $search | The search string
string | $regexDelimiter | The regex delimiter to use for the quoting
Renvoie
string Search string escaped for regex
Depuis
3.4

Références $key.

Documentation des champs

◆ $cache

$cache = array()
protected

◆ $context

$context = null
protected

◆ $filter_fields

$filter_fields = array()
protected

◆ $filterBlacklist

$filterBlacklist = array()
protected

◆ $filterFormName

$filterFormName = null
protected

◆ $htmlFormName

$htmlFormName = 'adminForm'
protected

◆ $lastQueryStoreId

$lastQueryStoreId = null
protected

◆ $listBlacklist

$listBlacklist = array('select')
protected

◆ $query

$query = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ListModel.php


Joomla CMS: Référence de la classe CategoriesView

  • Joomla
  • CMS
  • MVC
  • View
  • CategoriesView
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CategoriesView
+ Graphe d'héritage de CategoriesView:
HtmlView

Fonctions membres publiques

display ($tpl=null)
- Fonctions membres publiques hérités de HtmlView
__construct ($config=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null)
loadHelper ($hlp=null)
getForm ()
setDocumentTitle ($title)

Fonctions membres protégées

prepareDocument ()
- Fonctions membres protégées hérités de HtmlView
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Attributs protégés

$state
$items
$pageHeading
- Attributs protégés hérités de HtmlView
$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'

Membres hérités additionnels

- Champs de données hérités de HtmlView
$document

Description détaillée

Categories view base class.

Depuis
3.2

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
3.2

Références $app, $items, $params, $state, ENT_COMPAT, htmlspecialchars, items, maxLevelcat, pageclass_sfx, et parent.

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document

Renvoie
void
Depuis
3.2

Références $app, $menu, $title, et elseif.

Documentation des champs

◆ $items

$items
protected

◆ $pageHeading

$pageHeading
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CategoriesView.php


Joomla CMS: Référence de la classe CategoryFeedView

  • Joomla
  • CMS
  • MVC
  • View
  • CategoryFeedView
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe CategoryFeedView
+ Graphe d'héritage de CategoryFeedView:
HtmlView

Fonctions membres publiques

display ($tpl=null)
- Fonctions membres publiques hérités de HtmlView
__construct ($config=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null)
loadHelper ($hlp=null)
getForm ()
setDocumentTitle ($title)

Fonctions membres protégées

reconcileNames ($item)
- Fonctions membres protégées hérités de HtmlView
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Membres hérités additionnels

- Champs de données hérités de HtmlView
$document
- Attributs protégés hérités de HtmlView
$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'

Description détaillée

Base feed View class for a category

Depuis
3.2

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
3.2

Références $app, $author, $category, $date, $description, $document, $extension, $item, $items, $language, $link, $title, elseif, ENT_COMPAT, getDocument, et null.

◆ reconcileNames()

reconcileNames ( $item )
protected

Method to reconcile non standard names from components to usage in this class. Typically overridden in the component feed view class.

Paramètres
object $item The item for a feed, an element of the $items array.
Renvoie
void
Depuis
3.2

Références $item.

La documentation de cette classe a été générée à partir du fichier suivant :
  • CategoryFeedView.php


Joomla CMS: Référence de la classe CategoryView

  • Joomla
  • CMS
  • MVC
  • View
  • CategoryView
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CategoryView
+ Graphe d'héritage de CategoryView:
HtmlView

Fonctions membres publiques

commonCategoryDisplay ()
display ($tpl=null)
- Fonctions membres publiques hérités de HtmlView
__construct ($config=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null)
loadHelper ($hlp=null)
getForm ()
setDocumentTitle ($title)

Fonctions membres protégées

prepareDocument ()
addFeed ()
- Fonctions membres protégées hérités de HtmlView
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Attributs protégés

$state
$items
$category
$categories
$pagination
$children
$extension
$viewName
$defaultPageTitle
$runPlugins = false
- Attributs protégés hérités de HtmlView
$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'

Membres hérités additionnels

- Champs de données hérités de HtmlView
$document

Description détaillée

Base HTML View class for the a Category list

Depuis
3.2

Documentation des fonctions membres

◆ addFeed()

addFeed ( )
protected

Method to add an alternative feed link to a category layout.

Renvoie
void
Depuis
3.2

Références $attribs, et $link.

◆ commonCategoryDisplay()

commonCategoryDisplay ( )

Method with common display elements used in category list displays

Renvoie
boolean||void Boolean false or instance on error, nothing otherwise
Depuis
3.2

Références $active, $app, $category, $cparams, $dispatcher, $groups, $items, $layout, $params, $results, $state, $user, category, children, elseif, extension, JEventDispatcher\getInstance(), htmlspecialchars, items, maxLevel, null, pageclass_sfx, parent, et JError\raiseError().

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
3.2

◆ prepareDocument()

prepareDocument ( )
protected

Method to prepares the document

Renvoie
void
Depuis
3.2

Références $app, $title, elseif, et null.

Documentation des champs

◆ $categories

$categories
protected

◆ $category

$category
protected

◆ $children

$children
protected

◆ $defaultPageTitle

$defaultPageTitle
protected

◆ $extension

$extension
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $runPlugins

$runPlugins = false
protected

◆ $state

$state
protected

◆ $viewName

$viewName
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CategoryView.php


Joomla CMS: Référence de la classe HtmlView

  • Joomla
  • CMS
  • MVC
  • View
  • HtmlView
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe HtmlView
+ Graphe d'héritage de HtmlView:
CategoriesView CategoryFeedView CategoryView

Fonctions membres publiques

__construct ($config=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null)
loadHelper ($hlp=null)
getForm ()
setDocumentTitle ($title)

Champs de données

$document

Fonctions membres protégées

_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Attributs protégés

$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'

Description détaillée

Base class for a Joomla View

Class holding methods for displaying presentation data.

Depuis
2.5.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor

Paramètres
array $config A named configuration array for object construction. name: the name (optional) of the view (defaults to the view class name suffix). charset: the character set to use for display escape: the name (optional) of the function to use for escaping strings base_path: the parent path (optional) of the views directory (defaults to the component folder) template_plath: the path (optional) of the layout directory (defaults to base_path + /views/ + view name helper_path: the path (optional) of the helper files (defaults to base_path + /helpers/) layout: the layout (optional) to use to display the view
Depuis
3.0

Références $config, et elseif.

Documentation des fonctions membres

◆ _addPath()

_addPath | ( | $type,
 |  | $path
 | ) |
protected

Adds to the search path for templates and resources.

Paramètres
string | $type | The type of path to add.
mixed | $path | The directory or stream, or an array of either, to search.
Renvoie
void
Depuis
3.0

Références $path, $type, DIRECTORY_SEPARATOR, et jimport().

◆ _createFileName()

_createFileName | ( | $type,
 |  | $parts = array()
 | ) |
protected

Create the filename for a resource

Paramètres
string | $type | The resource type to create the filename for
array | $parts | An associative array of filename information
Renvoie
string The filename
Depuis
3.0

Références $parts, et $type.

◆ _setPath()

_setPath | ( | $type,
 |  | $path
 | ) |
protected

Sets an entire array of search paths for templates or resources.

Paramètres
string | $type | The type of path to set, typically 'template'.
mixed | $path | The new search path, or an array of search paths. If null or false, resets to the current directory only.
Renvoie
void
Depuis
3.0

Références $app, $component, $path, $type, et JPATH_THEMES.

◆ addHelperPath()

addHelperPath ( $path )

Adds to the stack of helper script paths in LIFO order.

Paramètres
mixed $path A directory path or an array of paths.
Renvoie
void
Depuis
3.0

Références $path.

◆ addTemplatePath()

addTemplatePath ( $path )

Adds to the stack of view script paths in LIFO order.

Paramètres
mixed $path A directory path or an array of paths.
Renvoie
void
Depuis
3.0

Références $path.

◆ assign()

assign ( )

Assigns variables to the view script via differing strategies.

This method is overloaded; you can assign all the properties of an object, an associative array, or a single value by name.

You are not allowed to set variables that begin with an underscore; these are either private properties for or private variables within the template script itself.

$view = new ;

// Assign directly $view->var1 = 'something'; $view->var2 = 'else';

// Assign by name and value $view->assign('var1', 'something'); $view->assign('var2', 'else');

// Assign by assoc-array $ary = array('var1' => 'something', 'var2' => 'else'); $view->assign($obj);

// Assign by object $obj = new ; $obj->var1 = 'something'; $obj->var2 = 'else'; $view->assign($obj);

Renvoie
boolean True on success, false on failure.
Depuis
3.0
Obsolète:
3.0 Use native PHP syntax.

Références $key.

◆ assignRef()

assignRef | ( |  | $key,
 |  | & | $val
 | ) |  |

Assign variable for the view (by reference).

You are not allowed to set variables that begin with an underscore; these are either private properties for or private variables within the template script itself.

$view = new ;

// Assign by name and value $view->assignRef('var1', $ref);

// Assign directly $view->var1 =

Paramètres
string | $key | The name for the reference in the view.
mixed | &$val | The referenced variable.
Renvoie
boolean True on success, false on failure.
Depuis
3.0
Obsolète:
3.0 Use native PHP syntax.

Références $key.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
::loadTemplate()
Depuis
3.0

◆ escape()

escape ( $var )

Escapes a value for output in a view script.

If escaping mechanism is either htmlspecialchars or htmlentities, uses $_encoding setting.

Paramètres
mixed $var The output to escape.
Renvoie
mixed The escaped value.
Note
the ENT_COMPAT flag will be replaced by ENT_QUOTES in Joomla 4.0 to also escape single quotes
Depuis
3.0

Références ENT_COMPAT.

◆ get()

get | ( | $property,
 |  | $default = null
 | ) |

Method to get data from a registered model or a property of the view

Paramètres
string | $property | The name of the method to call on the model or the property to get
string | $default | The name of the model to reference or the default value [optional]
Renvoie
mixed The return value of the method
Depuis
3.0

Références $default, et null.

◆ getForm()

getForm ( )

Returns the form object

Renvoie
mixed A object on success, false on failure
Depuis
3.2

Références $form.

◆ getLayout()

getLayout ( )

Get the layout.

Renvoie
string The layout name
Depuis
3.0

◆ getLayoutTemplate()

getLayoutTemplate ( )

Get the layout template.

Renvoie
string The layout template name
Depuis
3.0

◆ getModel()

getModel ( $name = null )

Method to get the model object

Paramètres
string $name The name of the model (optional)
Renvoie
mixed object
Depuis
3.0

Références $name, et null.

◆ getName()

getName ( )

Method to get the view name

The model name by default parsed using the classname, or it can be set by passing a $config['name'] in the class constructor

Renvoie
string The name of the model
Depuis
3.0
Exceptions

◆ loadHelper()

loadHelper ( $hlp = null )

Load a helper file

Paramètres
string $hlp The name of the helper source file automatically searches the helper paths and compiles as needed.
Renvoie
void
Depuis
3.0

Références $file, et jimport().

◆ loadTemplate()

loadTemplate ( $tpl = null )

Load a template file – first look in the templates folder for an override

Paramètres
string $tpl The name of the template source file; automatically searches the template paths and compiles as needed.
Renvoie
string The output of the the template script.
Depuis
3.0
Exceptions

Références $file, $lang, $layout, $template, DIRECTORY_SEPARATOR, jimport(), JPATH_BASE, JPATH_THEMES, et null.

◆ setDocumentTitle()

setDocumentTitle ( $title )

Sets the document title according to Global Configuration options

Paramètres
string $title The page title
Renvoie
void
Depuis
3.6

Références $app, $title, et elseif.

◆ setEscape()

setEscape ( $spec )

Sets the _escape() callback.

Paramètres
mixed $spec The callback for _escape() to use.
Renvoie
void
Depuis
3.0
Obsolète:
3.0 Override ::escape() instead.

◆ setLayout()

setLayout ( $layout )

Sets the layout name to use

Paramètres
string $layout The layout name or a string in format <template>:<layout file>="">
Renvoie
string Previous value.
Depuis
3.0

Références $layout.

◆ setLayoutExt()

setLayoutExt ( $value )

Allows a different extension for the layout files to be used

Paramètres
string $value The extension.
Renvoie
string Previous value
Depuis
3.0

Références $value.

◆ setModel()

setModel | ( | $model,
 |  | $default = false
 | ) |

Method to add a model to the view. We support a multiple model single view system by which models are referenced by classname. A caveat to the classname referencing is that any classname prepended by will be referenced by the name without , eg. is just Category.

Paramètres
\JModelLegacy | $model | The model to add to the view.
boolean | $default | Is this the default model?
Renvoie
The added model.
Depuis
3.0

Références $default, et $name.

Documentation des champs

◆ $_basePath

$_basePath = null
protected

◆ $_charset

$_charset = 'UTF-8'
protected

◆ $_defaultModel

$_defaultModel = null
protected

◆ $_escape

$_escape = 'htmlspecialchars'
protected

◆ $_layout

$_layout = 'default'
protected

◆ $_layoutExt

$_layoutExt = 'php'
protected

◆ $_layoutTemplate

$_layoutTemplate = '_'
protected

◆ $_models

$_models = array()
protected

◆ $_name

$_name = null
protected

◆ $_output

$_output = null
protected

◆ $_path

$_path = array('template' => array(), 'helper' => array())
protected

◆ $_template

$_template = null
protected

◆ $document

$document
La documentation de cette classe a été générée à partir du fichier suivant :
  • HtmlView.php


Joomla CMS: Référence de la classe CMSObject

  • Joomla
  • CMS
  • Object
  • CMSObject
Fonctions membres publiques | Attributs protégés
Référence de la classe CMSObject
+ Graphe d'héritage de CMSObject:
Adapter AdapterInstance Stream

Fonctions membres publiques

__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Attributs protégés

$_errors = array()

Description détaillée

Joomla Platform Object Class

This class allows for simple but smart objects with get and set methods and an internal error handler.

Depuis
1.7.0
Obsolète:
4.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $properties = null )

Class constructor, overridden in descendant classes.

Paramètres
mixed $properties Either and associative array or another object to set the initial properties of the object.
Depuis
1.7.0

Références null.

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic method to convert the object to a string gracefully.

Renvoie
string The classname.
Depuis
1.7.0
Obsolète:
12.3 Classes should provide their own __toString() implementation.

◆ def()

def | ( | $property,
 |  | $default = null
 | ) |

Sets a default value if not already assigned

Paramètres
string | $property | The name of the property.
mixed | $default | The default value.
Renvoie
mixed
Depuis
1.7.0

Références $default, et $value.

◆ get()

get | ( | $property,
 |  | $default = null
 | ) |

Returns a property of the object or the default value if the property is not set.

Paramètres
string | $property | The name of the property.
mixed | $default | The default value.
Renvoie
mixed The value of the property.
Depuis
1.7.0
Voir également
CMSObject::getProperties()

Références $default.

Référencé par MediaHelper\getContentTypeLink().

◆ getError()

getError | ( | $i = null,
 |  | $toString = true
 | ) |

Get the most recent error message.

Paramètres
integer | $i | Option error index.
boolean | $toString | Indicates if JError objects should return their error message.
Renvoie
string Error message
Depuis
1.7.0
Voir également
JError
Obsolète:
12.3 JError has been deprecated

Références $i, elseif, et null.

◆ getErrors()

getErrors ( )

Return all errors, if any.

Renvoie
array Array of error messages or JErrors.
Depuis
1.7.0
Voir également
JError
Obsolète:
12.3 JError has been deprecated

◆ getProperties()

getProperties ( $public = true )

Returns an associative array of object properties.

Paramètres
boolean $public If true, returns only the public properties.
Renvoie
array
Depuis
1.7.0
Voir également
CMSObject::get()

Références $key, et $value.

◆ set()

set | ( | $property,
 |  | $value = null
 | ) |

Modifies a property of the object, creating it if it does not already exist.

Paramètres
string | $property | The name of the property.
mixed | $value | The value of the property to set.
Renvoie
mixed Previous value of the property.
Depuis
1.7.0

Références $value, et null.

◆ setError()

setError ( $error )

Add an error message.

Paramètres
string $error Error message.
Renvoie
void
Depuis
1.7.0
Voir également
JError
Obsolète:
12.3 JError has been deprecated

◆ setProperties()

setProperties ( $properties )

Set the object properties based on a named array/hash.

Paramètres
mixed $properties Either an associative array or another object.
Renvoie
boolean
Depuis
1.7.0
Voir également
CMSObject::set()

Documentation des champs

◆ $_errors

$_errors = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CMSObject.php


Joomla CMS: Référence de la classe Pagination

  • Joomla
  • CMS
  • Pagination
  • Pagination
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe Pagination

Fonctions membres publiques

__construct ($total, $limitstart, $limit, $prefix='', CMSApplication $app=null)
setAdditionalUrlParam ($key, $value)
getAdditionalUrlParam ($key)
getRowOffset ($index)
getData ()
getPagesCounter ()
getResultsCounter ()
getPagesLinks ()
getPaginationLinks ($layoutId='joomla.pagination.links', $options=array())
getPaginationPages ()
getListFooter ()
getLimitBox ()
orderUpIcon ($i, $condition=true, $task='orderup', $alt='JLIB_HTML_MOVE_UP', $enabled=true, $checkbox='cb')
orderDownIcon ($i, $n, $condition=true, $task='orderdown', $alt='JLIB_HTML_MOVE_DOWN', $enabled=true, $checkbox='cb')
set ($property, $value=null)
get ($property, $default=null)

Champs de données

$limitstart = null
$limit = null
$total = null
$prefix = null
$pagesStart
$pagesStop
$pagesCurrent
$pagesTotal
$hideEmptyLimitstart = false

Fonctions membres protégées

_list_footer ($list)
_list_render ($list)
_item_active (PaginationObject $item)
_item_inactive (PaginationObject $item)
_buildDataObject ()

Attributs protégés

$viewall = false
$additionalUrlParams = array()
$app = null
$data

Description détaillée

Pagination Class. Provides a common interface for content pagination for the Joomla! CMS.

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $total,
 |  |  | $limitstart,
 |  |  | $limit,
 |  |  | $prefix = '',
 |  | CMSApplication | $app = null
 | ) |  |

Constructor.

Paramètres
integer | $total | The total number of items.
integer | $limitstart | The offset of the item to start at.
integer | $limit | The number of items to display per page.
string | $prefix | The prefix used for request variables.
CMSApplication | $app | The application object
Depuis
1.5

Références $app, $limit, $pagesTotal, $prefix, $total, et prefix.

Documentation des fonctions membres

◆ _buildDataObject()

_buildDataObject ( )
protected

Create and return the pagination data object.

Renvoie
Pagination data object.
Depuis
1.5

Références $data, $i, $key, $limit, $offset, $params, $value, et prefix.

◆ _item_active()

_item_active ( PaginationObject $item )
protected

Method to create an active pagination link to the item

Paramètres
PaginationObject $item The object with which to make an active link.
Renvoie
string HTML link
Depuis
1.5
Note
As of 4.0 this method will proxy to ‘::render('joomla.pagination.link’, ['data' => $item, 'active' => true])`

Références $class, $item, $title, et prefix.

◆ _item_inactive()

_item_inactive ( PaginationObject $item )
protected

Method to create an inactive pagination string

Paramètres
PaginationObject $item The item to be processed
Renvoie
string
Depuis
1.5
Note
As of 4.0 this method will proxy to ‘::render('joomla.pagination.link’, ['data' => $item, 'active' => false])`

Références $item.

◆ _list_footer()

_list_footer ( $list )
protected

Create the HTML for a list footer

Paramètres
array $list Pagination list data structure.
Renvoie
string HTML for a list footer
Depuis
1.5

Références $html, et $list.

◆ _list_render()

_list_render ( $list )
protected

Create the html for a list footer

Paramètres
array $list Pagination list data structure.
Renvoie
string HTML for a list start, previous, next,end
Depuis
1.5

Références $list.

◆ get()

get | ( | $property,
 |  | $default = null
 | ) |

Returns a property of the object or the default value if the property is not set.

Paramètres
string | $property | The name of the property.
mixed | $default | The default value.
Renvoie
mixed The value of the property.
Depuis
3.0
Obsolète:
4.0 Access the properties directly.

Références $default.

◆ getAdditionalUrlParam()

getAdditionalUrlParam ( $key )

Method to get an additional URL parameter (if it exists) to be added to all pagination class generated links.

Paramètres
string $key The name of the URL parameter for which to get the value.
Renvoie
mixed The value if it exists or null if it does not.
Depuis
1.6

Références $key, et null.

◆ getData()

getData ( )

Return the pagination data object, only creating it if it doesn't already exist.

Renvoie
Pagination data object.
Depuis
1.5

Références $data.

◆ getLimitBox()

getLimitBox ( )

Creates a dropdown box for selecting how many records to show per page.

Renvoie
string The HTML for the limit # input box.
Depuis
1.5

Références $html, $i, $limit, $selected, et prefix.

◆ getListFooter()

getListFooter ( )

Return the pagination footer.

Renvoie
string Pagination footer.
Depuis
1.5

Références $list, JPATH_THEMES, pagination_list_footer(), et prefix.

◆ getPagesCounter()

getPagesCounter ( )

Create and return the pagination pages counter string, ie. Page 2 of 4.

Renvoie
string Pagination pages counter string.
Depuis
1.5

Références $html, et null.

◆ getPagesLinks()

getPagesLinks ( )

Create and return the pagination page list string, ie. Previous, Next, 1 2 3 ... x.

Renvoie
string Pagination page list string.
Depuis
1.5

Références $data, $i, $list, $prefix, JPATH_THEMES, null, pagination_item_active(), pagination_item_inactive(), et pagination_list_render().

◆ getPaginationLinks()

getPaginationLinks | ( | $layoutId = 'joomla.pagination.links',
 |  | $options = array()
 | ) |

Get the pagination links

Paramètres
string | $layoutId | Layout to render the links
array | $options | Optional array with settings for the layout
Renvoie
string Pagination links.
Depuis
3.3

Références $list, $options, null, et prefix.

◆ getPaginationPages()

getPaginationPages ( )

Create and return the pagination pages list, ie. Previous, Next, 1 2 3 ... x.

Renvoie
array Pagination pages list.
Depuis
3.3

Références $data, $i, $list, et null.

◆ getResultsCounter()

getResultsCounter ( )

Create and return the pagination result set counter string, e.g. Results 1-10 of 42

Renvoie
string Pagination result set counter string.
Depuis
1.5

Références $html, $limit, $total, et null.

◆ getRowOffset()

getRowOffset ( $index )

Return the rationalised offset for a row with a given index.

Paramètres
integer $index The row index
Renvoie
integer Rationalised offset for a row with a given index.
Depuis
1.5

◆ orderDownIcon()

orderDownIcon | ( | $i,
 |  | $n,
 |  | $condition = true,
 |  | $task = 'orderdown',
 |  | $alt = 'JLIB_HTML_MOVE_DOWN',
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |

Return the icon to move an item DOWN.

Paramètres
integer | $i | The row index.
integer | $n | The number of items in the list.
boolean | $condition | True to show the icon.
string | $task | The task to fire.
string | $alt | The image alternative text string.
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string Either the icon to move an item down or a space.
Depuis
1.5

Références $alt, $condition, $enabled, $i, et $task.

◆ orderUpIcon()

orderUpIcon | ( | $i,
 |  | $condition = true,
 |  | $task = 'orderup',
 |  | $alt = 'JLIB_HTML_MOVE_UP',
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |

Return the icon to move an item UP.

Paramètres
integer | $i | The row index.
boolean | $condition | True to show the icon.
string | $task | The task to fire.
string | $alt | The image alternative text string.
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string Either the icon to move an item up or a space.
Depuis
1.5

Références $alt, $condition, $enabled, $i, et $task.

◆ set()

set | ( | $property,
 |  | $value = null
 | ) |

Modifies a property of the object, creating it if it does not already exist.

Paramètres
string | $property | The name of the property.
mixed | $value | The value of the property to set.
Renvoie
void
Depuis
3.0
Obsolète:
4.0 Access the properties directly.

Références $value.

◆ setAdditionalUrlParam()

setAdditionalUrlParam | ( | $key,
 |  | $value
 | ) |

Method to set an additional URL parameter to be added to all pagination class generated links.

Paramètres
string | $key | The name of the URL parameter for which to set a value.
mixed | $value | The value to set for the URL parameter.
Renvoie
mixed The old value for the parameter.
Depuis
1.6

Références $key, $value, et null.

Documentation des champs

◆ $additionalUrlParams

$additionalUrlParams = array()
protected

◆ $app

$app = null
protected

◆ $data

$data
protected

◆ $hideEmptyLimitstart

$hideEmptyLimitstart = false

◆ $limit

$limit = null

◆ $limitstart

$limitstart = null

◆ $pagesCurrent

$pagesCurrent

◆ $pagesStart

$pagesStart

◆ $pagesStop

$pagesStop

◆ $pagesTotal

$pagesTotal

◆ $prefix

$prefix = null

◆ $total

$total = null

◆ $viewall

$viewall = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Pagination.php


Joomla CMS: Référence de la classe PaginationObject

  • Joomla
  • CMS
  • Pagination
  • PaginationObject
Fonctions membres publiques | Champs de données
Référence de la classe PaginationObject

Fonctions membres publiques

__construct ($text, $prefix='', $base=null, $link=null, $active=false)

Champs de données

$text
$base
$link
$prefix
$active

Description détaillée

Pagination object representing a particular item in the pagination lists.

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $text,
 |  | $prefix = '',
 |  | $base = null,
 |  | $link = null,
 |  | $active = false
 | ) |

Class constructor.

Paramètres
string | $text | The link text.
string | $prefix | The prefix used for request variables.
integer | $base | The number of rows as a base offset.
string | $link | The link URL.
boolean | $active | Flag whether the object is the 'active' page
Depuis
1.5

Références $active, $base, $link, $prefix, $text, prefix, et text.

Documentation des champs

◆ $active

$active

◆ $base

$base

◆ $link

$link

◆ $prefix

$prefix

◆ $text

$text
La documentation de cette classe a été générée à partir du fichier suivant :
  • PaginationObject.php


Joomla CMS: Référence de la classe Pathway

  • Joomla
  • CMS
  • Pathway
  • Pathway
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe Pathway
+ Graphe d'héritage de Pathway:
SitePathway

Fonctions membres publiques

__construct ($options=array())
getPathway ()
setPathway ($pathway)
getPathwayNames ()
addItem ($name, $link='')
setItemName ($id, $name)

Fonctions membres publiques statiques

static getInstance ($client, $options=array())

Fonctions membres protégées

_makeItem ($name, $link)
makeItem ($name, $link)

Attributs protégés

$_pathway = array()
$_count = 0

Attributs protégés statiques

static $instances = array()

Description détaillée

Class to maintain a pathway.

The user's navigated path within the application.

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options The class options.
Depuis
1.5

Documentation des fonctions membres

◆ _makeItem()

_makeItem | ( | $name,
 |  | $link
 | ) |
protected

Create and return a new pathway object.

Paramètres
string | $name | Name of the item
string | $link | Link to the item
Renvoie
Pathway Pathway item object
Depuis
1.5
Obsolète:
4.0 Use makeItem() instead

Références $link, et $name.

◆ addItem()

addItem | ( | $name,
 |  | $link = ''
 | ) |

Create and add an item to the pathway.

Paramètres
string | $name | The name of the item.
string | $link | The link to the item.
Renvoie
boolean True on success
Depuis
1.5

Références $link, et $name.

◆ getInstance()

static getInstance | ( | $client,
 |  | $options = array()
 | ) |
static

Returns a Pathway object

Paramètres
string | $client | The name of the client
array | $options | An associative array of options
Renvoie
Pathway A Pathway object.
Depuis
1.5
Exceptions

Références $client, $info, $options, $path, ApplicationHelper\getClientInfo(), et JLoader\register().

◆ getPathway()

getPathway ( )

Return the Pathway items array

Renvoie
array Array of pathway items
Depuis
1.5

◆ getPathwayNames()

getPathwayNames ( )

Create and return an array of the pathway names.

Renvoie
array Array of names of pathway items
Depuis
1.5

Références $item, et $names.

◆ makeItem()

makeItem | ( | $name,
 |  | $link
 | ) |
protected

Create and return a new pathway object.

Paramètres
string | $name | Name of the item
string | $link | Link to the item
Renvoie
Pathway Pathway item object
Depuis
3.1

Références $item, $link, $name, et ENT_COMPAT.

◆ setItemName()

setItemName | ( | $id,
 |  | $name
 | ) |

Set item name.

Paramètres
integer | $id | The id of the item on which to set the name.
string | $name | The name to set.
Renvoie
boolean True on success
Depuis
1.5

Références $id, et $name.

◆ setPathway()

setPathway ( $pathway )

Set the Pathway items array.

Paramètres
array $pathway An array of pathway objects.
Renvoie
array The previous pathway data.
Depuis
1.5

Documentation des champs

◆ $_count

$_count = 0
protected

◆ $_pathway

$_pathway = array()
protected

◆ $instances

$instances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Pathway.php


Joomla CMS: Référence de la classe SitePathway

  • Joomla
  • CMS
  • Pathway
  • SitePathway
Fonctions membres publiques
Référence de la classe SitePathway
+ Graphe d'héritage de SitePathway:
Pathway

Fonctions membres publiques

__construct ($options=array())
- Fonctions membres publiques hérités de Pathway
__construct ($options=array())
getPathway ()
setPathway ($pathway)
getPathwayNames ()
addItem ($name, $link='')
setItemName ($id, $name)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Pathway
static | getInstance ($client, $options=array())
- Fonctions membres protégées hérités de Pathway
_makeItem ($name, $link)
makeItem ($name, $link)
- Attributs protégés hérités de Pathway
$_pathway = array()
$_count = 0
- Attributs protégés statiques hérités de Pathway
static | $instances = array()

Description détaillée

Class to manage the site application pathway.

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor.

Paramètres
array $options The class options.
Depuis
1.5

Références $app, $item, $lang, $link, $menu, $url, CMSApplication\getInstance(), Multilanguage\isEnabled(), null, et title.

La documentation de cette classe a été générée à partir du fichier suivant :
  • SitePathway.php


Joomla CMS: Référence de la classe CMSPlugin

  • Joomla
  • CMS
  • Plugin
  • CMSPlugin
Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe CMSPlugin
+ Graphe d'héritage de CMSPlugin:
JEvent PlgContentConfirmConsent PlgQuickiconEos310 PlgSystemSessionGc PlgUserTerms

Fonctions membres publiques

__construct (&$subject, $config=array())
loadLanguage ($extension='', $basePath=JPATH_ADMINISTRATOR)
- Fonctions membres publiques hérités de JEvent
__construct (&$subject)
update (&$args)

Champs de données

$params = null

Attributs protégés

$_name = null
$_type = null
$autoloadLanguage = false
- Attributs protégés hérités de JEvent
$_subject = null

Description détaillée

Plugin Class

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config = array()
 | ) |  |

Constructor

Paramètres
object | &$subject | The object to observe
array | $config | An optional associative array of configuration settings. Recognized key values include 'name', 'group', 'params', 'language' (this list is not meant to be comprehensive).
Depuis
1.5

Références $config, $subject, et null.

Documentation des fonctions membres

◆ loadLanguage()

loadLanguage | ( | $extension = '',
 |  | $basePath = JPATH_ADMINISTRATOR
 | ) |

Loads the plugin language file

Paramètres
string | $extension | The extension for which a language file should be loaded
string | $basePath | The basepath to use
Renvoie
boolean True, if the file has successfully loaded.
Depuis
1.5

Références $basePath, $extension, $lang, JPATH_PLUGINS, et null.

Documentation des champs

◆ $_name

$_name = null
protected

◆ $_type

$_type = null
protected

◆ $autoloadLanguage

$autoloadLanguage = false
protected

◆ $params

$params = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • CMSPlugin.php


Joomla CMS: Référence de la classe PluginHelper

  • Joomla
  • CMS
  • Plugin
  • PluginHelper
Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe PluginHelper

Fonctions membres publiques statiques

static | getLayoutPath ($type, $name, $layout='default')
static | getPlugin ($type, $plugin=null)
static | isEnabled ($type, $plugin=null)
static | importPlugin ($type, $plugin=null, $autocreate=true, \JEventDispatcher $dispatcher=null)

Fonctions membres protégées statiques

static | _import ($plugin, $autocreate=true, \JEventDispatcher $dispatcher=null)
static | import ($plugin, $autocreate=true, \JEventDispatcher $dispatcher=null)
static | _load ()

Attributs protégés statiques

static $plugins = null

Description détaillée

Plugin helper class

Depuis
1.5

Documentation des fonctions membres

◆ _import()

static _import | ( |  | $plugin,
 |  |  | $autocreate = true,
 |  | \JEventDispatcher | $dispatcher = null
 | ) |  |
staticprotected

Loads the plugin file.

Paramètres
object | $plugin | The plugin.
boolean | $autocreate | True to autocreate.
\JEventDispatcher | $dispatcher | Optionally allows the plugin to use a different dispatcher.
Renvoie
void
Depuis
1.5
Obsolète:
4.0 Use PluginHelper::import() instead

Références $dispatcher.

◆ _load()

static _load ( )
staticprotected

Loads the published plugins.

Renvoie
array An array of published plugins
Depuis
1.5
Obsolète:
4.0 Use PluginHelper::load() instead

◆ getLayoutPath()

static getLayoutPath | ( | $type,
 |  | $name,
 |  | $layout = 'default'
 | ) |
static

Get the path to a layout from a Plugin

Paramètres
string | $type | Plugin type
string | $name | Plugin name
string | $layout | Layout name
Renvoie
string Layout path
Depuis
3.0

Références $layout, $name, $template, $type, elseif, JPATH_PLUGINS, et JPATH_THEMES.

◆ getPlugin()

static getPlugin | ( | $type,
 |  | $plugin = null
 | ) |
static

Get the plugin data of a specific type if no specific plugin is specified otherwise only the specific plugin data is returned.

Paramètres
string | $type | The plugin type, relates to the subdirectory in the plugins directory.
string | $plugin | The plugin name.
Renvoie
mixed An array of plugin data objects, or a plugin data object.
Depuis
1.5

Références $type.

Référencé par Captcha\_load(), Authentication\authenticate(), CMSHelper\getCurrentLanguage(), et ContentHelper\getCurrentLanguage().

◆ import()

static import | ( |  | $plugin,
 |  |  | $autocreate = true,
 |  | \JEventDispatcher | $dispatcher = null
 | ) |  |
staticprotected

Loads the plugin file.

Paramètres
object | $plugin | The plugin.
boolean | $autocreate | True to autocreate.
\JEventDispatcher | $dispatcher | Optionally allows the plugin to use a different dispatcher.
Renvoie
void
Depuis
3.2

Références $className, $dispatcher, $path, JEventDispatcher\getInstance(), et JPATH_PLUGINS.

◆ importPlugin()

static importPlugin | ( |  | $type,
 |  |  | $plugin = null,
 |  |  | $autocreate = true,
 |  | \JEventDispatcher | $dispatcher = null
 | ) |  |
static

Loads all the plugin files for a particular type if no specific plugin is specified otherwise only the specific plugin is loaded.

Paramètres
string | $type | The plugin type, relates to the subdirectory in the plugins directory.
string | $plugin | The plugin name.
boolean | $autocreate | Autocreate the plugin.
\JEventDispatcher | $dispatcher | Optionally allows the plugin to use a different dispatcher.
Renvoie
boolean True on success.
Depuis
1.5

Références $dispatcher, $i, $results, $type, JEventDispatcher\getInstance(), name, et null.

Référencé par Authentication\__construct(), Authentication\authorise(), User\delete(), Installer\discover_install(), InstallerHelper\downloadPackage(), UserHelper\getProfile(), Installer\install(), User\save(), Installer\uninstall(), et Installer\update().

◆ isEnabled()

static isEnabled | ( | $type,
 |  | $plugin = null
 | ) |
static

Checks if a plugin is enabled.

Paramètres
string | $type | The plugin type, relates to the subdirectory in the plugins directory.
string | $plugin | The plugin name.
Renvoie
boolean
Depuis
1.5

Références $type.

Documentation des champs

◆ $plugins

$plugins = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • PluginHelper.php


Joomla CMS: Référence de la classe Profiler

  • Joomla
  • CMS
  • Profiler
  • Profiler
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe Profiler

Fonctions membres publiques

__construct ($prefix='')
mark ($label)
getMemory ()
getMarks ()
getBuffer ()
setStart ($startTime=0.0, $startMem=0)

Fonctions membres publiques statiques

static | getInstance ($prefix='')
static | getmicrotime ()

Attributs protégés

$start = 0
$prefix = ''
$buffer = null
$marks = null
$previousTime = 0.0
$previousMem = 0.0

Attributs protégés statiques

static $instances = array()

Description détaillée

Utility class to assist in the process of benchmarking the execution of sections of code to understand where time is being spent.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $prefix = '' )

Constructor

Paramètres
string $prefix Prefix for mark messages
Depuis
1.7.0

Références $prefix, et prefix.

Documentation des fonctions membres

◆ getBuffer()

getBuffer ( )

Get all profiler mark buffers.

Returns an array of all mark buffers created since the Profiler object was instantiated. Marks are strings as per Profiler::mark().

Renvoie
array Array of profiler marks
Depuis
1.7.0

Références $buffer.

◆ getInstance()

static getInstance ( $prefix = '' )
static

Returns the global Profiler object, only creating it if it doesn't already exist.

Paramètres
string $prefix Prefix used to distinguish profiler objects.
Renvoie
Profiler The Profiler object.
Depuis
1.7.0

Références $prefix.

◆ getMarks()

getMarks ( )

Get all profiler marks.

Returns an array of all marks created since the Profiler object was instantiated. Marks are objects as per JProfiler::mark().

Renvoie
array Array of profiler marks
Depuis
1.7.0

◆ getMemory()

getMemory ( )

Get information about current memory usage.

Renvoie
integer The memory usage

1.7.0 deprecated 988.

◆ getmicrotime()

static getmicrotime ( )
static

Get the current time.

Renvoie
float The current time
Depuis
1.7.0
Obsolète:
4.0 - Use PHP's microtime(1)

◆ mark()

mark ( $label )

Output a time mark

Paramètres
string $label A label for the time mark
Renvoie
string
Depuis
1.7.0

Références $current, $label, $start, et prefix.

◆ setStart()

setStart | ( | $startTime = 0.0,
 |  | $startMem = 0
 | ) |

Sets the start time.

Paramètres
double | $startTime | Unix timestamp in microseconds for setting the Profiler start time.
int | $startMem | Memory amount in bytes for setting the Profiler start memory.
Renvoie
$this For chaining
Depuis
3.0.0

Références $startMem, et $startTime.

Documentation des champs

◆ $buffer

$buffer = null
protected

◆ $instances

$instances = array()
staticprotected

◆ $marks

$marks = null
protected

◆ $prefix

$prefix = ''
protected

◆ $previousMem

$previousMem = 0.0
protected

◆ $previousTime

$previousTime = 0.0
protected

◆ $start

$start = 0
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Profiler.php


Joomla CMS: Référence de la classe JsonResponse

  • Joomla
  • CMS
  • Response
  • JsonResponse
Fonctions membres publiques | Champs de données
Référence de la classe JsonResponse

Fonctions membres publiques

__construct ($response=null, $message=null, $error=false, $ignoreMessages=false)
__toString ()

Champs de données

$success = true
$message = null
$messages = null
$data = null

Description détaillée

JSON Response class.

This class serves to provide the Joomla Platform with a common interface to access response variables for e.g. Ajax requests.

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $response = null,
 |  | $message = null,
 |  | $error = false,
 |  | $ignoreMessages = false
 | ) |

Constructor

Paramètres
mixed | $response | The Response data
string | $message | The main response message
boolean | $error | True, if the success flag shall be set to false, defaults to false
boolean | $ignoreMessages | True, if the message queue shouldn't be included, defaults to false
Depuis
3.1

Références $app, $message, $messages, et null.

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic toString method for sending the response in JSON format

Renvoie
string The response in JSON format
Depuis
3.1

Références json_encode.

Documentation des champs

◆ $data

$data = null

◆ $message

$message = null

◆ $messages

$messages = null

◆ $success

$success = true
La documentation de cette classe a été générée à partir du fichier suivant :
  • JsonResponse.php


Joomla CMS: Référence de la classe RouteNotFoundException

  • Joomla
  • CMS
  • Router
  • Exception
  • RouteNotFoundException
Fonctions membres publiques
Référence de la classe RouteNotFoundException
+ Graphe d'héritage de RouteNotFoundException:
MissingComponentException

Fonctions membres publiques

__construct ($message='', $code=404, \Exception $previous=null)

Description détaillée

Exception class defining an error for a missing route

Depuis
3.8.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $message = '',
 |  |  | $code = 404,
 |  | \Exception | $previous = null
 | ) |  |

Constructor

Paramètres
string | $message | The Exception message to throw.
integer | $code | The Exception code.
\Exception | $previous | The previous exception used for the exception chaining.
Depuis
3.8.0

Références $message.

La documentation de cette classe a été générée à partir du fichier suivant :
  • RouteNotFoundException.php


Joomla CMS: Référence de la classe AdministratorRouter

  • Joomla
  • CMS
  • Router
  • AdministratorRouter
Fonctions membres publiques
Référence de la classe AdministratorRouter
+ Graphe d'héritage de AdministratorRouter:
Router

Fonctions membres publiques

parse (&$uri)
build ($url)
- Fonctions membres publiques hérités de Router
__construct ($options=array())
parse (&$uri)
build ($url)
getMode ()
setMode ($mode)
setVar ($key, $value, $create=true)
setVars ($vars=array(), $merge=true)
getVar ($key)
getVars ()
attachBuildRule ($callback, $stage=self::PROCESS_DURING)
attachParseRule ($callback, $stage=self::PROCESS_DURING)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Router
static | getInstance ($client, $options=array())
- Champs de données hérités de Router
const | PROCESS_BEFORE = 'preprocess'
const | PROCESS_DURING = ''
const | PROCESS_AFTER = 'postprocess'
- Fonctions membres protégées hérités de Router
_parseRawRoute (&$uri)
parseRawRoute (&$uri)
_parseSefRoute (&$uri)
parseSefRoute (&$uri)
_buildRawRoute (&$uri)
buildRawRoute (&$uri)
_buildSefRoute (&$uri)
buildSefRoute (&$uri)
_processParseRules (&$uri)
processParseRules (&$uri, $stage=self::PROCESS_DURING)
_processBuildRules (&$uri)
processBuildRules (&$uri, $stage=self::PROCESS_DURING)
_createUri ($url)
createUri ($url)
_encodeSegments ($segments)
encodeSegments ($segments)
_decodeSegments ($segments)
decodeSegments ($segments)
- Attributs protégés hérités de Router
$mode = null
$_mode = null
$vars = array()
$_vars = array()
$rules
$_rules
$cache = array()
- Attributs protégés statiques hérités de Router
static | $instances = array()

Description détaillée

Class to create and parse routes

Depuis
1.5

Documentation des fonctions membres

◆ build()

build ( $url )

Function to convert an internal URI to a route

Paramètres
string $url The internal URL
Renvoie
Uri The absolute search engine friendly URL
Depuis
1.5

Références $route, $uri, $url, JPATH_ADMINISTRATOR, et Uri\root().

◆ parse()

parse ( & $uri )

Function to convert a route to an internal URI.

Paramètres
Uri &$uri The uri.
Renvoie
array
Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • AdministratorRouter.php


Joomla CMS: Référence de la classe Route

  • Joomla
  • CMS
  • Router
  • Route
Fonctions membres publiques statiques | Champs de données | Attributs privés statiques
Référence de la classe Route

Fonctions membres publiques statiques

static | _ ($url, $xhtml=true, $tls=self::TLS_IGNORE, $absolute=false)
static | link ($client, $url, $xhtml=true, $tls=self::TLS_IGNORE, $absolute=false)

Champs de données

const | TLS_IGNORE = 0
const | TLS_FORCE = 1
const | TLS_DISABLE = 2

Attributs privés statiques

static $_router = array()

Description détaillée

Route handling class

Depuis
1.7.0

Documentation des fonctions membres

◆ _()

static _ | ( | $url,
 |  | $xhtml = true,
 |  | $tls = self::TLS_IGNORE,
 |  | $absolute = false
 | ) |
static

Translates an internal Joomla URL to a humanly readable URL. This method builds links for the current active client.

Paramètres
string | $url | Absolute or Relative URI to Joomla resource.
boolean | $xhtml | Replace & by & for XML compliance.
integer | $tls | Secure state for the resolved URI. Use Route::TLS_* constants 0: (default) No change, use the protocol currently used in the request 1: Make URI secure using global secure site URI. 2: Make URI unsecure using the global unsecure site URI.
boolean | $absolute | Return an absolute URL
Renvoie
string The translated humanly readable URL.
Depuis
1.7.0

Références $app, $client, $url, Log\add(), Factory\getApplication(), null, et Log\WARNING.

◆ link()

static link | ( | $client,
 |  | $url,
 |  | $xhtml = true,
 |  | $tls = self::TLS_IGNORE,
 |  | $absolute = false
 | ) |
static

Translates an internal Joomla URL to a humanly readable URL. NOTE: To build link for active client instead of a specific client, you can use JRoute::_()

Paramètres
string | $client | The client name for which to build the link.
string | $url | Absolute or Relative URI to Joomla resource.
boolean | $xhtml | Replace & by & for XML compliance.
integer | $tls | Secure state for the resolved URI. Use Route::TLS_* constants 0: (default) No change, use the protocol currently used in the request 1: Make URI secure using global secure site URI. 2: Make URI unsecure using the global unsecure site URI.
boolean | $absolute | Return an absolute URL
Renvoie
string The translated humanly readable URL.
Exceptions

Références $app, $client, $uri, $url, elseif, ENT_COMPAT, Factory\getApplication(), Uri\getInstance(), et htmlspecialchars.

Documentation des champs

◆ $_router

$_router = array()
staticprivate

◆ TLS_DISABLE

const TLS_DISABLE = 2

Make URI unsecure using plain http (http).

Depuis
3.9.7

◆ TLS_FORCE

const TLS_FORCE = 1

Make URI secure using http over TLS (https).

Depuis
3.9.7

◆ TLS_IGNORE

const TLS_IGNORE = 0

No change, use the protocol currently used.

Depuis
3.9.7
La documentation de cette classe a été générée à partir du fichier suivant :
  • Route.php


Joomla CMS: Référence de la classe Router

  • Joomla
  • CMS
  • Router
  • Router
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe Router
+ Graphe d'héritage de Router:
AdministratorRouter SiteRouter

Fonctions membres publiques

__construct ($options=array())
parse (&$uri)
build ($url)
getMode ()
setMode ($mode)
setVar ($key, $value, $create=true)
setVars ($vars=array(), $merge=true)
getVar ($key)
getVars ()
attachBuildRule ($callback, $stage=self::PROCESS_DURING)
attachParseRule ($callback, $stage=self::PROCESS_DURING)

Fonctions membres publiques statiques

static getInstance ($client, $options=array())

Champs de données

const | PROCESS_BEFORE = 'preprocess'
const | PROCESS_DURING = ''
const | PROCESS_AFTER = 'postprocess'

Fonctions membres protégées

_parseRawRoute (&$uri)
parseRawRoute (&$uri)
_parseSefRoute (&$uri)
parseSefRoute (&$uri)
_buildRawRoute (&$uri)
buildRawRoute (&$uri)
_buildSefRoute (&$uri)
buildSefRoute (&$uri)
_processParseRules (&$uri)
processParseRules (&$uri, $stage=self::PROCESS_DURING)
_processBuildRules (&$uri)
processBuildRules (&$uri, $stage=self::PROCESS_DURING)
_createUri ($url)
createUri ($url)
_encodeSegments ($segments)
encodeSegments ($segments)
_decodeSegments ($segments)
decodeSegments ($segments)

Attributs protégés

$mode = null
$_mode = null
$vars = array()
$_vars = array()
$rules
$_rules
$cache = array()

Attributs protégés statiques

static $instances = array()

Description détaillée

Class to create and parse routes

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Array of options
Depuis
1.5

Références $options, et JROUTER_MODE_RAW.

Documentation des fonctions membres

◆ _buildRawRoute()

_buildRawRoute ( & $uri )
protected

Function to build a raw route

Paramètres
\JUri &$uri The internal URL
Renvoie
string Raw Route
Depuis
1.5
Obsolète:
4.0 Attach your logic as rule to the main build stage

Références $uri.

◆ _buildSefRoute()

_buildSefRoute ( & $uri )
protected

Function to build a sef route

Paramètres
\JUri &$uri The uri
Renvoie
string The SEF route
Depuis
1.5
Obsolète:
4.0 Attach your logic as rule to the main build stage

Références $uri.

◆ _createUri()

_createUri ( $url )
protected

Create a uri based on a full or partial URL string

Paramètres
string $url The URI
Renvoie
Depuis
1.5
Obsolète:
4.0 Use createUri() instead

Références $url.

◆ _decodeSegments()

_decodeSegments ( $segments )
protected

Decode route segments

Paramètres
array $segments An array of route segments
Renvoie
array Array of decoded route segments
Depuis
1.5
Obsolète:
4.0 This should be performed in the component router instead

◆ _encodeSegments()

_encodeSegments ( $segments )
protected

Encode route segments

Paramètres
array $segments An array of route segments
Renvoie
array Array of encoded route segments
Depuis
1.5
Obsolète:
4.0 This should be performed in the component router instead

◆ _parseRawRoute()

_parseRawRoute ( & $uri )
protected

Function to convert a raw route to an internal URI

Paramètres
\JUri &$uri The raw route
Renvoie
boolean
Depuis
1.5
Obsolète:
4.0 Attach your logic as rule to the main parse stage

Références $uri.

◆ _parseSefRoute()

_parseSefRoute ( & $uri )
protected

Function to convert a sef route to an internal URI

Paramètres
\JUri &$uri The sef URI
Renvoie
string Internal URI
Depuis
1.5
Obsolète:
4.0 Attach your logic as rule to the main parse stage

Références $uri.

◆ _processBuildRules()

_processBuildRules ( & $uri )
protected

Process the build uri query data based on custom defined rules

Paramètres
\JUri &$uri The URI
Renvoie
void
Depuis
1.5
Obsolète:
4.0 Use processBuildRules() instead

Références $uri.

◆ _processParseRules()

_processParseRules ( & $uri )
protected

Process the parsed router variables based on custom defined rules

Paramètres
\JUri &$uri The URI to parse
Renvoie
array The array of processed URI variables
Depuis
1.5
Obsolète:
4.0 Use processParseRules() instead

Références $uri.

◆ attachBuildRule()

attachBuildRule | ( | $callback,
 |  | $stage = self::PROCESS_DURING
 | ) |

Attach a build rule

Paramètres
callable | $callback | The function to be called
string | $stage | The stage of the build process that this should be added to. Possible values: 'preprocess', '' for the main build process, 'postprocess'
Renvoie
void
Depuis
1.5

◆ attachParseRule()

attachParseRule | ( | $callback,
 |  | $stage = self::PROCESS_DURING
 | ) |

Attach a parse rule

Paramètres
callable | $callback | The function to be called.
string | $stage | The stage of the parse process that this should be added to. Possible values: 'preprocess', '' for the main parse process, 'postprocess'
Renvoie
void
Depuis
1.5

◆ build()

build ( $url )

Function to convert an internal URI to a route

Paramètres
string $url The internal URL or an associative array
Renvoie
The absolute search engine friendly URL object
Depuis
1.5

Références $key, $uri, $url, JROUTER_MODE_RAW, et JROUTER_MODE_SEF.

◆ buildRawRoute()

buildRawRoute ( & $uri )
protected

Function to build a raw route

Paramètres
\JUri &$uri The internal URL
Renvoie
string Raw Route
Depuis
3.2
Obsolète:
4.0 Attach your logic as rule to the main build stage

◆ buildSefRoute()

buildSefRoute ( & $uri )
protected

Function to build a sef route

Paramètres
\JUri &$uri The uri
Renvoie
string The SEF route
Depuis
3.2
Obsolète:
4.0 Attach your logic as rule to the main build stage

◆ createUri()

createUri ( $url )
protected

Create a uri based on a full or partial URL string

Paramètres
string $url The URI or an associative array
Renvoie
Depuis
3.2

Références $key, $uri, et $url.

◆ decodeSegments()

decodeSegments ( $segments )
protected

Decode route segments

Paramètres
array $segments An array of route segments
Renvoie
array Array of decoded route segments
Depuis
3.2
Obsolète:
4.0 This should be performed in the component router instead

Références $i, et $total.

◆ encodeSegments()

encodeSegments ( $segments )
protected

Encode route segments

Paramètres
array $segments An array of route segments
Renvoie
array Array of encoded route segments
Depuis
3.2
Obsolète:
4.0 This should be performed in the component router instead

Références $i, et $total.

◆ getInstance()

static getInstance | ( | $client,
 |  | $options = array()
 | ) |
static

Returns the global Router object, only creating it if it doesn't already exist.

Paramètres
string | $client | The name of the client
array | $options | An associative array of options
Renvoie
Router A Router object.
Depuis
1.5
Exceptions

Références $client, $info, $options, $path, ApplicationHelper\getClientInfo(), et JLoader\register().

◆ getMode()

getMode ( )

Get the router mode

Renvoie
integer
Depuis
1.5
Obsolète:
4.0

◆ getVar()

getVar ( $key )

Get a router variable

Paramètres
string $key The name of the variable
Renvoie
mixed Value of the variable
Depuis
1.5

Références $key, et null.

◆ getVars()

getVars ( )

Get the router variable array

Renvoie
array An associative array of router variables
Depuis
1.5

◆ parse()

parse ( & $uri )

Function to convert a route to an internal URI

Paramètres
\JUri &$uri The uri.
Renvoie
array
Depuis
1.5

Références $uri, ComponentHelper\getParams(), JROUTER_MODE_RAW, et JROUTER_MODE_SEF.

◆ parseRawRoute()

parseRawRoute ( & $uri )
protected

Function to convert a raw route to an internal URI

Paramètres
\JUri &$uri The raw route
Renvoie
array Array of variables
Depuis
3.2
Obsolète:
4.0 Attach your logic as rule to the main parse stage

◆ parseSefRoute()

parseSefRoute ( & $uri )
protected

Function to convert a sef route to an internal URI

Paramètres
\JUri &$uri The sef URI
Renvoie
array Array of variables
Depuis
3.2
Obsolète:
4.0 Attach your logic as rule to the main parse stage

◆ processBuildRules()

processBuildRules | ( | & | $uri,
 |  |  | $stage = self::PROCESS_DURING
 | ) |  |
protected

Process the build uri query data based on custom defined rules

Paramètres
\JUri | &$uri | The URI
string | $stage | The stage that should be processed. Possible values: 'preprocess', 'postprocess' and '' for the main build stage
Renvoie
void
Depuis
3.2

Références $uri.

◆ processParseRules()

processParseRules | ( | & | $uri,
 |  |  | $stage = self::PROCESS_DURING
 | ) |  |
protected

Process the parsed router variables based on custom defined rules

Paramètres
\JUri | &$uri | The URI to parse
string | $stage | The stage that should be processed. Possible values: 'preprocess', 'postprocess' and '' for the main parse stage
Renvoie
array The array of processed URI variables
Depuis
3.2

Références $uri.

◆ setMode()

setMode ( $mode )

Set the router mode

Paramètres
integer $mode The routing mode.
Renvoie
void
Depuis
1.5
Obsolète:
4.0

Références $mode.

◆ setVar()

setVar | ( | $key,
 |  | $value,
 |  | $create = true
 | ) |

Set a router variable, creating it if it doesn't exist

Paramètres
string | $key | The name of the variable
mixed | $value | The value of the variable
boolean | $create | If True, the variable will be created if it doesn't exist yet
Renvoie
void
Depuis
1.5

Références $key, et $value.

◆ setVars()

setVars | ( | $vars = array(),
 |  | $merge = true
 | ) |

Set the router variable array

Paramètres
array | $vars | An associative array with variables
boolean | $merge | If True, the array will be merged instead of overwritten
Renvoie
void
Depuis
1.5

Documentation des champs

◆ $_mode

$_mode = null
protected

◆ $_rules

$_rules
protected
Valeur initiale :
= array(
'buildpreprocess' => array(),
'build' => array(),
'buildpostprocess' => array(),
'parsepreprocess' => array(),
'parse' => array(),
'parsepostprocess' => array(),
)

◆ $_vars

$_vars = array()
protected

◆ $cache

$cache = array()
protected

◆ $instances

$instances = array()
staticprotected

◆ $mode

$mode = null
protected

◆ $rules

$rules
protected
Valeur initiale :
= array(
'buildpreprocess' => array(),
'build' => array(),
'buildpostprocess' => array(),
'parsepreprocess' => array(),
'parse' => array(),
'parsepostprocess' => array(),
)

◆ $vars

$vars = array()
protected

◆ PROCESS_AFTER

const PROCESS_AFTER = 'postprocess'

◆ PROCESS_BEFORE

const PROCESS_BEFORE = 'preprocess'

◆ PROCESS_DURING

const PROCESS_DURING = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • Router.php


Joomla CMS: Référence de la classe SiteRouter

  • Joomla
  • CMS
  • Router
  • SiteRouter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe SiteRouter
+ Graphe d'héritage de SiteRouter:
Router

Fonctions membres publiques

__construct ($options=array(), CMSApplication $app=null, \JMenu $menu=null)
parse (&$uri)
build ($url)
getComponentRouter ($component)
setComponentRouter ($component, $router)
- Fonctions membres publiques hérités de Router
__construct ($options=array())
parse (&$uri)
build ($url)
getMode ()
setMode ($mode)
setVar ($key, $value, $create=true)
setVars ($vars=array(), $merge=true)
getVar ($key)
getVars ()
attachBuildRule ($callback, $stage=self::PROCESS_DURING)
attachParseRule ($callback, $stage=self::PROCESS_DURING)

Fonctions membres protégées

parseRawRoute (&$uri)
parseSefRoute (&$uri)
buildRawRoute (&$uri)
_buildSefRoute (&$uri)
buildSefRoute (&$uri)
processParseRules (&$uri, $stage=self::PROCESS_DURING)
processBuildRules (&$uri, $stage=self::PROCESS_DURING)
createUri ($url)
- Fonctions membres protégées hérités de Router
_parseRawRoute (&$uri)
parseRawRoute (&$uri)
_parseSefRoute (&$uri)
parseSefRoute (&$uri)
_buildRawRoute (&$uri)
buildRawRoute (&$uri)
_buildSefRoute (&$uri)
buildSefRoute (&$uri)
_processParseRules (&$uri)
processParseRules (&$uri, $stage=self::PROCESS_DURING)
_processBuildRules (&$uri)
processBuildRules (&$uri, $stage=self::PROCESS_DURING)
_createUri ($url)
createUri ($url)
_encodeSegments ($segments)
encodeSegments ($segments)
_decodeSegments ($segments)
decodeSegments ($segments)

Attributs protégés

$componentRouters = array()
$app
$menu
- Attributs protégés hérités de Router
$mode = null
$_mode = null
$vars = array()
$_vars = array()
$rules
$_rules
$cache = array()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Router
static | getInstance ($client, $options=array())
- Champs de données hérités de Router
const | PROCESS_BEFORE = 'preprocess'
const | PROCESS_DURING = ''
const | PROCESS_AFTER = 'postprocess'
- Attributs protégés statiques hérités de Router
static | $instances = array()

Description détaillée

Class to create and parse routes for the site application

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $options = array(),
 |  | CMSApplication | $app = null,
 |  | \JMenu | $menu = null
 | ) |  |

Class constructor

Paramètres
array | $options | Array of options
CMSApplication | $app | CMSApplication Object
\JMenu | $menu | object
Depuis
3.4

Références $app, $menu, $options, et CMSApplication\getInstance().

Documentation des fonctions membres

◆ _buildSefRoute()

_buildSefRoute ( & $uri )
protected

Function to build a sef route

Paramètres
\JUri &$uri The internal URL
Renvoie
void
Depuis
1.5
Obsolète:
4.0 Attach your logic as rule to the main build stage

Références $uri.

◆ build()

build ( $url )

Function to convert an internal URI to a route

Paramètres
string $url The internal URL
Renvoie
string The absolute search engine friendly URL
Depuis
1.5

Références $format, $route, $uri, $url, et JROUTER_MODE_SEF.

◆ buildRawRoute()

buildRawRoute ( & $uri )
protected

Function to build a raw route

Paramètres
\JUri &$uri The internal URL
Renvoie
string Raw Route
Depuis
3.2
Obsolète:
4.0 Attach your logic as rule to the main build stage

Références $component, $query, et $uri.

◆ buildSefRoute()

buildSefRoute ( & $uri )
protected

Function to build a sef route

Paramètres
\JUri &$uri The uri
Renvoie
void
Depuis
3.2
Obsolète:
4.0 Attach your logic as rule to the main build stage

Références $component, $item, $parts, $query, $route, $tmp, $uri, et null.

◆ createUri()

createUri ( $url )
protected

Create a uri based on a full or partial URL string

Paramètres
string $url The URI
Renvoie
Depuis
3.2

Références $item, $itemid, $option, $uri, $url, et null.

◆ getComponentRouter()

getComponentRouter ( $component )

Get component router

Paramètres
string $component Name of the component including com_ prefix
Renvoie
RouterInterface Component router
Depuis
3.3

Références $class, $component, $path, et JPATH_SITE.

◆ parse()

parse ( & $uri )

Function to convert a route to an internal URI

Paramètres
\JUri &$uri The uri.
Renvoie
array
Depuis
1.5

Références $component, $path, $suffix, $uri, ComponentHelper\getComponents(), JPATH_SITE, et JROUTER_MODE_SEF.

◆ parseRawRoute()

parseRawRoute ( & $uri )
protected

Function to convert a raw route to an internal URI

Paramètres
\JUri &$uri The raw route
Renvoie
array
Depuis
3.2
Obsolète:
4.0 Attach your logic as rule to the main parse stage

Références $item, $uri, et null.

◆ parseSefRoute()

parseSefRoute ( & $uri )
protected

Function to convert a sef route to an internal URI

Paramètres
\JUri &$uri The sef URI
Renvoie
string Internal URI
Depuis
3.2
Obsolète:
4.0 Attach your logic as rule to the main parse stage

Références $component, $item, $items, $route, $suffix, $uri, elseif, et null.

◆ processBuildRules()

processBuildRules | ( | & | $uri,
 |  |  | $stage = self::PROCESS_DURING
 | ) |  |
protected

Process the build uri query data based on custom defined rules

Paramètres
\JUri | &$uri | The URI
string | $stage | The stage that should be processed. Possible values: 'preprocess', 'postprocess' and '' for the main build stage
Renvoie
void
Depuis
3.2
Obsolète:
4.0 The special logic should be implemented as rule

Références $component, $item, $itemid, $lang, $query, $route, $uri, JROUTER_MODE_SEF, et null.

◆ processParseRules()

processParseRules | ( | & | $uri,
 |  |  | $stage = self::PROCESS_DURING
 | ) |  |
protected

Process the parsed router variables based on custom defined rules

Paramètres
\JUri | &$uri | The URI to parse
string | $stage | The stage that should be processed. Possible values: 'preprocess', 'postprocess' and '' for the main parse stage
Renvoie
array The array of processed URI variables
Depuis
3.2

Références $start, $uri, JROUTER_MODE_SEF, et null.

◆ setComponentRouter()

setComponentRouter | ( | $component,
 |  | $router
 | ) |

Set a router for a component

Paramètres
string | $component | Component name with com_ prefix
object | $router | Component router
Renvoie
boolean True if the router was accepted, false if not
Depuis
3.3

Références $component.

Documentation des champs

◆ $app

$app
protected

◆ $componentRouters

$componentRouters = array()
protected

◆ $menu

$menu
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • SiteRouter.php


Joomla CMS: Référence de la classe MysqlChangeItem

  • Joomla
  • CMS
  • Schema
  • ChangeItem
  • MysqlChangeItem
Fonctions membres protégées | Fonctions membres privées
Référence de la classe MysqlChangeItem
+ Graphe d'héritage de MysqlChangeItem:
ChangeItem

Fonctions membres protégées

buildCheckQuery ()
- Fonctions membres protégées hérités de ChangeItem
buildCheckQuery ()

Fonctions membres privées

fixInteger ($type1, $type2)
fixQuote ($string)
fixUtf8mb4TypeChecks ($type)
checkNull ($changesArray)
checkDefault ($changesArray, $type)

Membres hérités additionnels

- Fonctions membres publiques hérités de ChangeItem
__construct ($db, $file, $query)
check ()
fix ()
- Fonctions membres publiques statiques hérités de ChangeItem
static getInstance ($db, $file, $query)
- Champs de données hérités de ChangeItem
$file = null
$updateQuery = null
$checkQuery = null
$checkQueryExpected = 1
$db = null
$queryType = null
$msgElements = array()
$checkStatus = 0
$rerunStatus = 0

Description détaillée

Checks the database schema against one MySQL DDL query to see if it has been run.

Depuis
2.5

Documentation des fonctions membres

◆ buildCheckQuery()

buildCheckQuery ( )
protected

Checks a DDL query to see if it is a known type If yes, build a check query to see if the DDL has been run on the database. If successful, the $msgElements, $queryType, $checkStatus and $checkQuery fields are populated. The $msgElements contains the text to create the user message. The $checkQuery contains the SQL query to check whether the schema change has been run against the current database. The $queryType contains the type of DDL query that was run (for example, CREATE_TABLE, ADD_COLUMN, CHANGE_COLUMN_TYPE, ADD_INDEX). The $checkStatus field is set to zero if the query is created

If not successful, $checkQuery is empty and , and $checkStatus is -1. For example, this will happen if the current line is a non-DDL statement.

Renvoie
void
Depuis
2.5

When we made the UTF8MB4 conversion then text becomes medium text - so loosen the checks to these two types otherwise (for example) the profile fields profile_value check fails - see https://github.com/joomla/joomla-cms/issues/9258

When we made the UTF8MB4 conversion then text becomes medium text - so loosen the checks to these two types otherwise (for example) the profile fields profile_value check fails - see https://github.com/joomla/joomla-cms/issues/9258

Références $type, ChangeItem\$updateQuery, elseif, et null.

◆ checkDefault()

checkDefault | ( | $changesArray,
 |  | $type
 | ) |
private

Create query clause for column changes/modifications for DEFAULT attribute

Paramètres
array | $changesArray | The array of words after COLUMN name
string | $type | The type of the COLUMN
Renvoie
string The query clause for DEFAULT check in the check query
Depuis
3.8.6

Références $type.

◆ checkNull()

checkNull ( $changesArray )
private

Create query clause for column changes/modifications for NULL attribute

Paramètres
array $changesArray The array of words after COLUMN name
Renvoie
string The query clause for NULL check in the check query
Depuis
3.8.6

◆ fixInteger()

fixInteger | ( | $type1,
 |  | $type2
 | ) |
private

Fix up integer. Fixes problem with MySQL integer descriptions. On MySQL 8 display length is not shown anymore. This means we have to match e.g. both "int(10) unsigned" and "int unsigned", or both "int(11)" and "int" and so on. The same applies to the other integer data types "tinyint", "smallint", "mediumint" and "bigint".

Paramètres
string | $type1 | the column type
string | $type2 | the column attributes
Renvoie
string The original or changed column type.
Depuis
2.5

◆ fixQuote()

fixQuote ( $string )
private

Fixes up a string for inclusion in a query. Replaces name quote character with normal quote for literal. Drops trailing semicolon. Injects the database prefix.

Paramètres
string $string The input string to be cleaned up.
Renvoie
string The modified string.
Depuis
2.5

◆ fixUtf8mb4TypeChecks()

fixUtf8mb4TypeChecks ( $type )
private

Make check query for column changes/modifications tolerant for automatic type changes of text columns, e.g. from TEXT to MEDIUMTEXT, after conversion from utf8 to utf8mb4, and fix integer columns without display length for MySQL 8 (see also function "fixInteger" above).

Paramètres
string $type The column type found in the update query
Renvoie
string The condition for type check in the check query
Depuis
3.5

Références $type.

La documentation de cette classe a été générée à partir du fichier suivant :
  • MysqlChangeItem.php


Joomla CMS: Référence de la classe PostgresqlChangeItem

  • Joomla
  • CMS
  • Schema
  • ChangeItem
  • PostgresqlChangeItem
Fonctions membres protégées | Fonctions membres privées
Référence de la classe PostgresqlChangeItem
+ Graphe d'héritage de PostgresqlChangeItem:
ChangeItem

Fonctions membres protégées

buildCheckQuery ()
- Fonctions membres protégées hérités de ChangeItem
buildCheckQuery ()

Fonctions membres privées

fixInteger ($type1, $type2)
fixQuote ($string)

Membres hérités additionnels

- Fonctions membres publiques hérités de ChangeItem
__construct ($db, $file, $query)
check ()
fix ()
- Fonctions membres publiques statiques hérités de ChangeItem
static getInstance ($db, $file, $query)
- Champs de données hérités de ChangeItem
$file = null
$updateQuery = null
$checkQuery = null
$checkQueryExpected = 1
$db = null
$queryType = null
$msgElements = array()
$checkStatus = 0
$rerunStatus = 0

Description détaillée

Checks the database schema against one PostgreSQL DDL query to see if it has been run.

Depuis
3.0

Documentation des fonctions membres

◆ buildCheckQuery()

buildCheckQuery ( )
protected

Checks a DDL query to see if it is a known type If yes, build a check query to see if the DDL has been run on the database. If successful, the $msgElements, $queryType, $checkStatus and $checkQuery fields are populated. The $msgElements contains the text to create the user message. The $checkQuery contains the SQL query to check whether the schema change has been run against the current database. The $queryType contains the type of DDL query that was run (for example, CREATE_TABLE, ADD_COLUMN, CHANGE_COLUMN_TYPE, ADD_INDEX). The $checkStatus field is set to zero if the query is created

If not successful, $checkQuery is empty and , and $checkStatus is -1. For example, this will happen if the current line is a non-DDL statement.

Renvoie
void
Depuis
3.0

Références $type, ChangeItem\$updateQuery, elseif, et null.

◆ fixInteger()

fixInteger | ( | $type1,
 |  | $type2
 | ) |
private

Fix up integer. Fixes problem with PostgreSQL integer descriptions. If you change a column to "integer unsigned" it shows as "int(10) unsigned" in the check query.

Paramètres
string | $type1 | the column type
string | $type2 | the column attributes
Renvoie
string The original or changed column type.
Depuis
3.0

◆ fixQuote()

fixQuote ( $string )
private

Fixes up a string for inclusion in a query. Replaces name quote character with normal quote for literal. Drops trailing semicolon. Injects the database prefix.

Paramètres
string $string The input string to be cleaned up.
Renvoie
string The modified string.
Depuis
3.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • PostgresqlChangeItem.php


Joomla CMS: Référence de la classe SqlsrvChangeItem

  • Joomla
  • CMS
  • Schema
  • ChangeItem
  • SqlsrvChangeItem
Fonctions membres protégées | Fonctions membres privées
Référence de la classe SqlsrvChangeItem
+ Graphe d'héritage de SqlsrvChangeItem:
ChangeItem

Fonctions membres protégées

buildCheckQuery ()
- Fonctions membres protégées hérités de ChangeItem
buildCheckQuery ()

Fonctions membres privées

fixInteger ($type1, $type2)
fixQuote ($string)

Membres hérités additionnels

- Fonctions membres publiques hérités de ChangeItem
__construct ($db, $file, $query)
check ()
fix ()
- Fonctions membres publiques statiques hérités de ChangeItem
static getInstance ($db, $file, $query)
- Champs de données hérités de ChangeItem
$file = null
$updateQuery = null
$checkQuery = null
$checkQueryExpected = 1
$db = null
$queryType = null
$msgElements = array()
$checkStatus = 0
$rerunStatus = 0

Description détaillée

Checks the database schema against one SQL Server DDL query to see if it has been run.

Depuis
2.5

Documentation des fonctions membres

◆ buildCheckQuery()

buildCheckQuery ( )
protected

Checks a DDL query to see if it is a known type If yes, build a check query to see if the DDL has been run on the database. If successful, the $msgElements, $queryType, $checkStatus and $checkQuery fields are populated. The $msgElements contains the text to create the user message. The $checkQuery contains the SQL query to check whether the schema change has been run against the current database. The $queryType contains the type of DDL query that was run (for example, CREATE_TABLE, ADD_COLUMN, CHANGE_COLUMN_TYPE, ADD_INDEX). The $checkStatus field is set to zero if the query is created

If not successful, $checkQuery is empty and , and $checkStatus is -1. For example, this will happen if the current line is a non-DDL statement.

Renvoie
void
Depuis
2.5

Références ChangeItem\$updateQuery, elseif, et null.

◆ fixInteger()

fixInteger | ( | $type1,
 |  | $type2
 | ) |
private

Fix up integer. Fixes problem with MySQL integer descriptions. If you change a column to "integer unsigned" it shows as "int(10) unsigned" in the check query.

Paramètres
string | $type1 | the column type
string | $type2 | the column attributes
Renvoie
string The original or changed column type.
Depuis
2.5

◆ fixQuote()

fixQuote ( $string )
private

Fixes up a string for inclusion in a query. Replaces name quote character with normal quote for literal. Drops trailing semicolon. Injects the database prefix.

Paramètres
string $string The input string to be cleaned up.
Renvoie
string The modified string.
Depuis
2.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • SqlsrvChangeItem.php


Joomla CMS: Référence de la classe ChangeItem

  • Joomla
  • CMS
  • Schema
  • ChangeItem
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées
Référence de la classe ChangeItem
+ Graphe d'héritage de ChangeItem:
MysqlChangeItem PostgresqlChangeItem SqlsrvChangeItem

Fonctions membres publiques

__construct ($db, $file, $query)
check ()
fix ()

Fonctions membres publiques statiques

static getInstance ($db, $file, $query)

Champs de données

$file = null
$updateQuery = null
$checkQuery = null
$checkQueryExpected = 1
$db = null
$queryType = null
$msgElements = array()
$checkStatus = 0
$rerunStatus = 0

Fonctions membres protégées

buildCheckQuery ()

Description détaillée

Each object represents one query, which is one line from a DDL SQL query. This class is used to check the site's database to see if the DDL query has been run. If not, it provides the ability to fix the database by re-running the DDL query. The queries are parsed from the update files in the folder administrator/components/com_admin/sql/updates/<database>. These updates are run automatically if the site was updated using com_installer. However, it is possible that the program files could be updated without udpating the database (for example, if a user just copies the new files over the top of an existing installation).

This is an abstract class. We need to extend it for each database and add a buildCheckQuery() method that creates the query to check that a DDL query has been run.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $db,
 |  | $file,
 |  | $query
 | ) |

Constructor: builds check query and message from $updateQuery

Paramètres
\JDatabaseDriver | $db | Database connector object
string | $file | Full path name of the sql file
string | $query | Text of the sql query (one line of the file)
Depuis
2.5

Références $db, $file, et $query.

Documentation des fonctions membres

◆ buildCheckQuery()

buildCheckQuery ( )
abstractprotected

Checks a DDL query to see if it is a known type If yes, build a check query to see if the DDL has been run on the database. If successful, the $msgElements, $queryType, $checkStatus and $checkQuery fields are populated. The $msgElements contains the text to create the user message. The $checkQuery contains the SQL query to check whether the schema change has been run against the current database. The $queryType contains the type of DDL query that was run (for example, CREATE_TABLE, ADD_COLUMN, CHANGE_COLUMN_TYPE, ADD_INDEX). The $checkStatus field is set to zero if the query is created

If not successful, $checkQuery is empty and , and $checkStatus is -1. For example, this will happen if the current line is a non-DDL statement.

Renvoie
void
Depuis
2.5

◆ check()

check ( )

Runs the check query and checks that 1 row is returned If yes, return true, otherwise return false

Renvoie
boolean true on success, false otherwise
Depuis
2.5

Références $rows.

◆ fix()

fix ( )

Runs the update query to apply the change to the database

Renvoie
void
Depuis
2.5

Références $query.

◆ getInstance()

static getInstance | ( | $db,
 |  | $file,
 |  | $query
 | ) |
static

Returns a reference to the ChangeItem object.

Paramètres
\JDatabaseDriver | $db | Database connector object
string | $file | Full path name of the sql file
string | $query | Text of the sql query (one line of the file)
Renvoie
ChangeItem instance based on the database driver
Depuis
2.5
Exceptions

Références $class, $db, $file, et $query.

Référencé par ChangeSet\__construct().

Documentation des champs

◆ $checkQuery

$checkQuery = null

◆ $checkQueryExpected

$checkQueryExpected = 1

◆ $checkStatus

$checkStatus = 0

◆ $db

$db = null

◆ $file

$file = null

◆ $msgElements

$msgElements = array()

◆ $queryType

$queryType = null

◆ $rerunStatus

$rerunStatus = 0

◆ $updateQuery

$updateQuery = null

Référencé par MysqlChangeItem\buildCheckQuery(), SqlsrvChangeItem\buildCheckQuery(), et PostgresqlChangeItem\buildCheckQuery().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ChangeItem.php


Joomla CMS: Référence de la classe ChangeSet

  • Joomla
  • CMS
  • Schema
  • ChangeSet
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Attributs protégés statiques | Fonctions membres privées
Référence de la classe ChangeSet

Fonctions membres publiques

__construct ($db, $folder=null)
check ()
fix ()
getStatus ()
getSchema ()

Fonctions membres publiques statiques

static getInstance ($db, $folder=null)

Attributs protégés

$changeItems = array()
$db = null
$folder = null

Attributs protégés statiques

static $instance

Fonctions membres privées

getUpdateFiles ()
getUpdateQueries (array $sqlfiles)

Description détaillée

Contains a set of JSchemaChange objects for a particular instance of Joomla. Each of these objects contains a DDL query that should have been run against the database when this database was created or updated. This enables the Installation Manager to check that the current database schema is up to date.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $db,
 |  | $folder = null
 | ) |

Constructor: builds array of $changeItems by processing the .sql files in a folder. The folder for the Joomla core updates is administrator/components/com_admin/sql/updates/<database>.

Paramètres
\JDatabaseDriver | $db | The current database object
string | $folder | The full path to the folder containing the update queries
Depuis
2.5

Références $db, $folder, et ChangeItem\getInstance().

Documentation des fonctions membres

◆ check()

check ( )

Checks the database and returns an array of any errors found. Note these are not database errors but rather situations where the current schema is not up to date.

Renvoie
array Array of errors if any.
Depuis
2.5

Références $item.

◆ fix()

fix ( )

Runs the update query to apply the change to the database

Renvoie
void
Depuis
2.5

Références $item.

◆ getInstance()

static getInstance | ( | $db,
 |  | $folder = null
 | ) |
static

Returns a reference to the ChangeSet object, only creating it if it doesn't already exist.

Paramètres
\JDatabaseDriver | $db | The current database object
string | $folder | The full path to the folder containing the update queries
Renvoie
ChangeSet
Depuis
2.5

Références $db, et $folder.

◆ getSchema()

getSchema ( )

Gets the current database schema, based on the highest version number. Note that the .sql files are named based on the version and date, so the file name of the last file should match the database schema version in the #__schemas table.

Renvoie
string the schema version for the database
Depuis
2.5

◆ getStatus()

getStatus ( )

Returns an array of results for this set

Renvoie
array associative array of changeitems grouped by unchecked, ok, error, and skipped
Depuis
2.5

Références $item.

◆ getUpdateFiles()

getUpdateFiles ( )
private

Get list of SQL update files for this database

Renvoie
array list of sql update full-path names
Depuis
2.5

Références JPATH_ADMINISTRATOR.

◆ getUpdateQueries()

getUpdateQueries ( array $sqlfiles )
private

Get array of SQL queries

Paramètres
array $sqlfiles Array of .sql update filenames.
Renvoie
array Array of objects where: file=filename, update_query = text of SQL update query
Depuis
2.5

Références $buffer, $file, $query, et JDatabaseDriver\splitSql().

Documentation des champs

◆ $changeItems

$changeItems = array()
protected

◆ $db

$db = null
protected

◆ $folder

$folder = null
protected

◆ $instance

$instance
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ChangeSet.php


Joomla CMS: Référence de la classe UnsupportedStorageException

  • Joomla
  • CMS
  • Session
  • Exception
  • UnsupportedStorageException
Référence de la classe UnsupportedStorageException
+ Graphe d'héritage de UnsupportedStorageException:

Description détaillée

Exception class defining an unsupported session storage object

Depuis
3.6.3
La documentation de cette classe a été générée à partir du fichier suivant :
  • UnsupportedStorageException.php


Joomla CMS: Référence de la classe MetadataManager

  • Joomla
  • CMS
  • Session
  • MetadataManager
Fonctions membres publiques | Attributs privés
Référence de la classe MetadataManager

Fonctions membres publiques

__construct (AbstractApplication $app, \JDatabaseDriver $db)
createRecordIfNonExisting (Session $session, User $user)
deletePriorTo ($time)

Attributs privés

$app
$db

Description détaillée

Manager for optional session metadata.

Depuis
3.8.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | AbstractApplication | $app,
 |  | \JDatabaseDriver | $db
 | ) |  |

MetadataManager constructor.

Paramètres
AbstractApplication | $app | Application object.
\JDatabaseDriver | $db | Database driver.
Depuis
3.8.6

Références $app, et $db.

Documentation des fonctions membres

◆ createRecordIfNonExisting()

createRecordIfNonExisting | ( | Session | $session,
 |  | User | $user
 | ) |  |

Create the metadata record if it does not exist.

Paramètres
Session | $session | The session to create the metadata record for.
User | $user | The user to associate with the record.
Renvoie
void
Depuis
3.8.6
Exceptions

Références $columns, $query, $user, AbstractApplication\get(), Session\get(), Session\getId(), et Session\isNew().

◆ deletePriorTo()

deletePriorTo ( $time )

Delete records with a timestamp prior to the given time.

Paramètres
integer $time The time records should be deleted if expired before.
Renvoie
void
Depuis
3.8.6

Références $query.

Documentation des champs

◆ $app

$app
private

◆ $db

$db
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • MetadataManager.php


Joomla CMS: Référence de la classe Session

  • Joomla
  • CMS
  • Session
  • Session
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Attributs privés
Référence de la classe Session
+ Graphe d'héritage de Session:

Fonctions membres publiques

__construct ($store='none', array $options=array(), \JSessionHandlerInterface $handlerInterface=null)
__get ($name)
getState ()
getExpire ()
getToken ($forceNew=false)
hasToken ($tCheck, $forceExpire=true)
getIterator ()
getName ()
getId ()
getData ()
isActive ()
isNew ()
initialise (Input $input, \JEventDispatcher $dispatcher=null)
get ($name, $default=null, $namespace='default')
set ($name, $value=null, $namespace='default')
has ($name, $namespace='default')
clear ($name, $namespace='default')
start ()
destroy ()
restart ()
fork ()
close ()
gc ()
setHandler (\JSessionHandlerInterface $handler)

Fonctions membres publiques statiques

static | getInstance ($store, $options, \JSessionHandlerInterface $handlerInterface=null)
static | getFormToken ($forceNew=false)
static | checkToken ($method='post')
static | getStores ()

Fonctions membres protégées

_start ()
_createToken ($length=32)
_setCounter ()
_setTimers ()
_setOptions (array $options)
_validate ($restart=false)

Attributs protégés

$_state = 'inactive'
$_expire = 900
$_store = null
$_security = array('fix_browser')
$storeName
$_handler = null
$data

Attributs protégés statiques

static $instance

Attributs privés

$_input = null
$_dispatcher = null

Description détaillée

Class for managing HTTP sessions

Provides access to session-state values as well as session-level settings and lifetime management methods. Based on the standard PHP session handling mechanism it provides more advanced features such as expire timeouts.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $store = 'none',
 |  | array | $options = array(),
 |  | \JSessionHandlerInterface | $handlerInterface = null
 | ) |  |

Constructor

Paramètres
string | $store | The type of storage for the session.
array | $options | Optional parameters
\JSessionHandlerInterface | $handlerInterface | The session handler
Depuis
1.7.0

Références $options, et Session\_setOptions().

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to get read-only access to properties.

Paramètres
string $name Name of property to retrieve
Renvoie
mixed The value of the property
Depuis
3.0.1

Références $name.

◆ _createToken()

_createToken ( $length = 32 )
protected

Create a token-string

Paramètres
integer $length Length of string
Renvoie
string Generated token
Depuis
1.7.0

Références UserHelper\genRandomPassword().

Référencé par Session\getToken().

◆ _setCounter()

_setCounter ( )
protected

Set counter of session usage

Renvoie
boolean True on success
Depuis
1.7.0

Références $counter.

Référencé par Session\restart(), et Session\start().

◆ _setOptions()

_setOptions ( array $options )
protected

Set additional session options

Paramètres
array $options List of parameter
Renvoie
boolean True on success
Depuis
1.7.0

Références $options.

Référencé par Session\__construct().

◆ _setTimers()

_setTimers ( )
protected

Set the session timers

Renvoie
boolean True on success
Depuis
1.7.0

Références $start, et Session\has().

Référencé par Session\start().

◆ _start()

_start ( )
protected

Start a session.

Creates a session (or resumes the current one based on the state of the session)

Renvoie
boolean true on success
Depuis
1.7.0

Finally, empty the __default key since we no longer need it. Don't unset it completely, we need this for the administrator/components/com_admin/script.php to detect upgraded sessions and perform a full session cleanup.

Références Session\$data, et null.

Référencé par Session\restart(), et Session\start().

◆ _validate()

_validate ( $restart = false )
protected

Do some checks for security reason

  • timeout check (expire)
  • ip-fixiation
  • browser-fixiation

If one check failed, session data has to be cleaned.

Paramètres
boolean $restart Reactivate session
Renvoie
boolean True on success

1.7.0

Références elseif, Session\getExpire(), et null.

Référencé par Session\restart(), et Session\start().

◆ checkToken()

static checkToken ( $method = 'post' )
static

Checks for a form token in the request.

Use in conjunction with ::_('form.token') or Session::getFormToken.

Paramètres
string $method The request method in which to look for the token key.
Renvoie
boolean True if found and valid, false otherwise.
Depuis
3.0.0

Références $app.

◆ clear()

clear | ( | $name,
 |  | $namespace = 'default'
 | ) |

Unset data from the session store

Paramètres
string | $name | Name of variable
string | $namespace | Namespace to use, default to 'default'
Renvoie
mixed The value from session or NULL if not set
Depuis
1.7.0

Références $name, Session\getState(), Session\isActive(), null, et Session\start().

◆ close()

close ( )

Writes session data and ends session

Session data is usually stored after your script terminated without the need to call Session::close(), but as session data is locked to prevent concurrent writes only one script may operate on a session at any time. When using framesets together with sessions you will experience the frames loading one by one due to this locking. You can reduce the time needed to load all the frames by ending the session as soon as all changes to session variables are done.

Renvoie
void
Depuis
1.7.0

◆ destroy()

destroy ( )

Frees all session variables and destroys all data registered to a session

This method resets the data pointer and destroys all of the data associated with the current session in its storage. It forces a new session to be started after this method is called. It does not unset the session cookie.

Renvoie
boolean True on success
Voir également
session_destroy()
session_unset()
Depuis
1.7.0

Références Session\getState().

Référencé par Session\restart(), et Session\start().

◆ fork()

fork ( )

Create a new session and copy variables from the old one

Renvoie
boolean $result true on success
Depuis
1.7.0

Références Session\getState(), et null.

◆ gc()

gc ( )

Delete expired session data

Renvoie
boolean True on success, false otherwise.
Depuis
3.8.6

Références Session\getExpire().

◆ get()

get | ( | $name,
 |  | $default = null,
 |  | $namespace = 'default'
 | ) |

Get data from the session store

Paramètres
string | $name | Name of a variable
mixed | $default | Default value of a variable if not set
string | $namespace | Namespace to use, default to 'default'
Renvoie
mixed Value of a variable
Depuis
1.7.0

Références $default, $name, Session\getState(), Session\isActive(), null, et Session\start().

Référencé par MetadataManager\createRecordIfNonExisting().

◆ getData()

getData ( )

Returns a clone of the internal data pointer

Renvoie

Références Session\$data.

Référencé par Session\getIterator().

◆ getExpire()

getExpire ( )

Get expiration time in seconds

Renvoie
integer The session expiration time in seconds
Depuis
1.7.0

Références Session\$_expire.

Référencé par Session\_validate(), et Session\gc().

◆ getFormToken()

static getFormToken ( $forceNew = false )
static

Method to determine a hash for anti-spoofing variable names

Paramètres
boolean $forceNew If true, force a new token to be created
Renvoie
string Hashed var name
Depuis
1.7.0

Références $user, et ApplicationHelper\getHash().

Référencé par ContenthistoryField\getLayoutData(), et ModuleorderField\getLayoutData().

◆ getId()

getId ( )

Get session id

Renvoie
string The session id
Depuis
1.7.0

Références Session\getState().

Référencé par MetadataManager\createRecordIfNonExisting().

◆ getInstance()

static getInstance | ( |  | $store,
 |  |  | $options,
 |  | \JSessionHandlerInterface | $handlerInterface = null
 | ) |  |
static

Returns the global Session object, only creating it if it doesn't already exist.

Paramètres
string | $store | The type of storage for the session.
array | $options | An array of configuration options.
\JSessionHandlerInterface | $handlerInterface | The session handler
Renvoie
Session The Session object.
Depuis
1.7.0

Références $options.

Référencé par Factory\createSession().

◆ getIterator()

getIterator ( )

Retrieve an external iterator.

Renvoie
Depuis
3.0.1

Références Session\getData().

◆ getName()

getName ( )

Get session name

Renvoie
string The session name
Depuis
1.7.0

Références Session\getState().

◆ getState()

getState ( )

Get current state of session

Renvoie
string The session state
Depuis
1.7.0

Références Session\$_state.

Référencé par Session\clear(), Session\destroy(), Session\fork(), Session\get(), Session\getId(), Session\getName(), Session\has(), Session\isActive(), Session\restart(), Session\set(), et Session\start().

◆ getStores()

static getStores ( )
static

Get the session handlers

Renvoie
array An array of available session handlers
Depuis
1.7.0

$file

Références $class, $file, et JPATH_LIBRARIES.

◆ getToken()

getToken ( $forceNew = false )

Get a session token, if a token isn't set yet one will be generated.

Tokens are used to secure forms from spamming attacks. Once a token has been generated the system will check the post request to see if it is present, if not it will invalidate the session.

Paramètres
boolean $forceNew If true, force a new token to be created
Renvoie
string The session token
Depuis
1.7.0

Références Session\_createToken(), et null.

◆ has()

has | ( | $name,
 |  | $namespace = 'default'
 | ) |

Check whether data exists in the session store

Paramètres
string | $name | Name of variable
string | $namespace | Namespace to use, default to 'default'
Renvoie
boolean True if the variable exists
Depuis
1.7.0

Références $name, Session\getState(), Session\isActive(), null, et Session\start().

Référencé par Session\_setTimers().

◆ hasToken()

hasToken | ( | $tCheck,
 |  | $forceExpire = true
 | ) |

Method to determine if a token exists in the session. If not the session will be set to expired

Paramètres
string | $tCheck | Hashed token to be verified
boolean | $forceExpire | If true, expires the session
Renvoie
boolean
Depuis
1.7.0

◆ initialise()

initialise | ( | Input | $input,
 |  | \JEventDispatcher | $dispatcher = null
 | ) |  |

Check whether this session is currently created

Paramètres
Input | $input | Input object for the session to use.
\JEventDispatcher | $dispatcher | Dispatcher object for the session to use.
Renvoie
void
Depuis
3.0.1

Références $dispatcher, et $input.

◆ isActive()

isActive ( )

Shorthand to check if the session is active

Renvoie
boolean
Depuis
3.0.1

Références Session\getState().

Référencé par Session\clear(), Session\get(), Session\has(), et Session\set().

◆ isNew()

isNew ( )

Check whether this session is currently created

Renvoie
boolean True on success.
Depuis
1.7.0

Référencé par MetadataManager\createRecordIfNonExisting().

◆ restart()

restart ( )

Restart an expired or locked session.

Renvoie
boolean True on success
Voir également
Session::destroy()
Depuis
1.7.0

Destroy the session if it's not valid - we can't restart the session here unlike in the start method else we risk recursion.

Références Session\_setCounter(), Session\_start(), Session\_validate(), Session\destroy(), Session\getState(), et null.

Référencé par Session\start().

◆ set()

set | ( | $name,
 |  | $value = null,
 |  | $namespace = 'default'
 | ) |

Set data into the session store.

Paramètres
string | $name | Name of a variable.
mixed | $value | Value of a variable.
string | $namespace | Namespace to use, default to 'default'.
Renvoie
mixed Old value of a variable.
Depuis
1.7.0

Références $name, $prev, $value, Session\getState(), Session\isActive(), null, et Session\start().

◆ setHandler()

setHandler ( \JSessionHandlerInterface $handler )

Set the session handler

Paramètres
\JSessionHandlerInterface $handler The session handler
Renvoie
void

◆ start()

start ( )

Start a session.

Renvoie
void
Depuis
3.0.1

Références Session\_setCounter(), Session\_setTimers(), Session\_start(), Session\_validate(), Session\destroy(), Session\getState(), et Session\restart().

Référencé par Session\clear(), Session\get(), Session\has(), et Session\set().

Documentation des champs

◆ $_dispatcher

$_dispatcher = null
private

◆ $_expire

$_expire = 900
protected

Référencé par Session\getExpire().

◆ $_handler

$_handler = null
protected

◆ $_input

$_input = null
private

◆ $_security

$_security = array('fix_browser')
protected

◆ $_state

$_state = 'inactive'
protected

Référencé par Session\getState().

◆ $_store

$_store = null
protected

◆ $data

$data
protected

Référencé par Session\_start(), et Session\getData().

◆ $instance

$instance
staticprotected

◆ $storeName

$storeName
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Session/Session.php


Joomla CMS: Référence de la classe PunycodeHelper

  • Joomla
  • CMS
  • String
  • PunycodeHelper
Fonctions membres publiques statiques
Référence de la classe PunycodeHelper

Fonctions membres publiques statiques

static | toPunycode ($utfString)
static | fromPunycode ($punycodeString)
static | urlToPunycode ($uri)
static | urlToUTF8 ($uri)
static | emailToPunycode ($email)
static | emailToUTF8 ($email)

Description détaillée

Joomla Platform String Punycode Class

Class for handling UTF-8 URLs Wraps the Punycode library All functions assume the validity of utf-8 URLs.

Depuis
3.1.2

Documentation des fonctions membres

◆ emailToPunycode()

static emailToPunycode ( $email )
static

Transforms a UTF-8 email to a Punycode email This assumes a valid email address

Paramètres
string $email The UTF-8 email to transform
Renvoie
string The punycode email
Depuis
3.1.2

◆ emailToUTF8()

static emailToUTF8 ( $email )
static

Transforms a Punycode email to a UTF-8 email This assumes a valid email address

Paramètres
string $email The punycode email to transform
Renvoie
string The punycode email
Depuis
3.1.2

◆ fromPunycode()

static fromPunycode ( $punycodeString )
static

Transforms a Punycode string to a UTF-8 string

Paramètres
string $punycodeString The Punycode string to transform
Renvoie
string The UF-8 URL
Depuis
3.1.2

◆ toPunycode()

static toPunycode ( $utfString )
static

Transforms a UTF-8 string to a Punycode string

Paramètres
string $utfString The UTF-8 string to transform
Renvoie
string The punycode string
Depuis
3.1.2

◆ urlToPunycode()

static urlToPunycode ( $uri )
static

Transforms a UTF-8 URL to a Punycode URL

Paramètres
string $uri The UTF-8 URL to transform
Renvoie
string The punycode URL
Depuis
3.1.2

Références $uri, et UriHelper\parse_url().

◆ urlToUTF8()

static urlToUTF8 ( $uri )
static

Transforms a Punycode URL to a UTF-8 URL

Paramètres
string $uri The Punycode URL to transform
Renvoie
string The UTF-8 URL
Depuis
3.1.2

Références $uri, et UriHelper\parse_url().

La documentation de cette classe a été générée à partir du fichier suivant :
  • PunycodeHelper.php


Joomla CMS: Référence de la classe AbstractObserver

  • Joomla
  • CMS
  • Table
  • Observer
  • AbstractObserver
Fonctions membres publiques | Attributs protégés
Référence de la classe AbstractObserver
+ Graphe d'héritage de AbstractObserver:
JObserverInterface ContentHistory Tags

Fonctions membres publiques

__construct (TableInterface $table)
onBeforeLoad ($keys, $reset)
onAfterLoad (&$result, $row)
onBeforeStore ($updateNulls, $tableKey)
onAfterStore (&$result)
onBeforeDelete ($pk)
onAfterDelete ($pk)

Attributs protégés

$table

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de JObserverInterface
static createObserver (JObservableInterface $observableObject, $params=array())

Description détaillée

Table class supporting modified pre-order tree traversal behavior.

Depuis
3.1.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( TableInterface $table )

Constructor: Associates to $table $this observer

Paramètres
TableInterface $table Table to be observed
Depuis
3.1.2

Documentation des fonctions membres

◆ onAfterDelete()

onAfterDelete ( $pk )

Post-processor for $table->delete($pk)

Paramètres
mixed $pk The deleted primary key value.
Renvoie
void
Depuis
3.1.2

◆ onAfterLoad()

onAfterLoad | ( | & | $result,
 |  |  | $row
 | ) |  |

Post-processor for $table->load($keys, $reset)

Paramètres
boolean | &$result | The result of the load
array | $row | The loaded (and already binded to $this->table) row of the database table
Renvoie
void
Depuis
3.1.2

◆ onAfterStore()

onAfterStore ( & $result )

Post-processor for $table->store($updateNulls)

Paramètres
boolean &$result The result of the store
Renvoie
void
Depuis
3.1.2

◆ onBeforeDelete()

onBeforeDelete ( $pk )

Pre-processor for $table->delete($pk)

Paramètres
mixed $pk An optional primary key value to delete. If not set the instance property value is used.
Renvoie
void
Depuis
3.1.2
Exceptions

◆ onBeforeLoad()

onBeforeLoad | ( | $keys,
 |  | $reset
 | ) |

Pre-processor for $table->load($keys, $reset)

Paramètres
mixed | $keys | An optional primary key value to load the row by, or an array of fields to match. If not set the instance property value is used.
boolean | $reset | True to reset the default values before loading the new row.
Renvoie
void
Depuis
3.1.2

◆ onBeforeStore()

onBeforeStore | ( | $updateNulls,
 |  | $tableKey
 | ) |

Pre-processor for $table->store($updateNulls)

Paramètres
boolean | $updateNulls | The result of the load
string | $tableKey | The key of the table
Renvoie
void
Depuis
3.1.2

Documentation des champs

◆ $table

$table
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractObserver.php


Joomla CMS: Référence de la classe ContentHistory

  • Joomla
  • CMS
  • Table
  • Observer
  • ContentHistory
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs publics statiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContentHistory
+ Graphe d'héritage de ContentHistory:
AbstractObserver JObserverInterface

Fonctions membres publiques

onAfterStore (&$result)
onBeforeDelete ($pk)
- Fonctions membres publiques hérités de AbstractObserver
__construct (TableInterface $table)
onBeforeLoad ($keys, $reset)
onAfterLoad (&$result, $row)
onBeforeStore ($updateNulls, $tableKey)
onAfterStore (&$result)
onBeforeDelete ($pk)
onAfterDelete ($pk)

Fonctions membres publiques statiques

static | createObserver (\JObservableInterface $observableObject, $params=array())
- Fonctions membres publiques statiques hérités de JObserverInterface
static | createObserver (JObservableInterface $observableObject, $params=array())

Attributs publics statiques

static $_myTableForPregreplaceOnly

Fonctions membres protégées

parseTypeAlias ()

Attributs protégés

$contenthistoryHelper
$typeAliasPattern = null
- Attributs protégés hérités de AbstractObserver
$table

Description détaillée

Table class supporting modified pre-order tree traversal behavior.

Depuis
3.2

Documentation des fonctions membres

◆ createObserver()

static createObserver | ( | \JObservableInterface | $observableObject,
 |  |  | $params = array()
 | ) |  |
static

Creates the associated observer instance and attaches it to the $observableObject Creates the associated content history helper class instance $typeAlias can be of the form "{variableName}.type", automatically replacing {variableName} with table-instance variables variableName

Paramètres
\JObservableInterface | $observableObject | The subject object to be observed
array | $params | ( 'typeAlias' => $typeAlias )
Renvoie
ContentHistory
Depuis
3.2

Références $params.

◆ onAfterStore()

onAfterStore ( & $result )

Post-processor for $table->store($updateNulls)

Paramètres
boolean &$result The result of the load
Renvoie
void
Depuis
3.2

◆ onBeforeDelete()

onBeforeDelete ( $pk )

Pre-processor for $table->delete($pk)

Paramètres
mixed $pk An optional primary key value to delete. If not set the instance property value is used.
Renvoie
void
Depuis
3.2
Exceptions

◆ parseTypeAlias()

parseTypeAlias ( )
protected

Internal method Parses a TypeAlias of the form "{variableName}.type", replacing {variableName} with table-instance variables variableName Storing result into $this->contenthistoryHelper->typeAlias

Renvoie
void
Depuis
3.2

Références ContentHistory\$_myTableForPregreplaceOnly.

Documentation des champs

◆ $_myTableForPregreplaceOnly

$_myTableForPregreplaceOnly
static

Référencé par ContentHistory\parseTypeAlias().

◆ $contenthistoryHelper

$contenthistoryHelper
protected

◆ $typeAliasPattern

$typeAliasPattern = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Observer/ContentHistory.php


Joomla CMS: Référence de la classe Tags

  • Joomla
  • CMS
  • Table
  • Observer
  • Tags
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs publics statiques | Fonctions membres protégées | Attributs protégés
Référence de la classe Tags
+ Graphe d'héritage de Tags:
AbstractObserver JObserverInterface

Fonctions membres publiques

onBeforeStore ($updateNulls, $tableKey)
onAfterStore (&$result)
onBeforeDelete ($pk)
setNewTags ($newTags, $replaceTags)
- Fonctions membres publiques hérités de AbstractObserver
__construct (TableInterface $table)
onBeforeLoad ($keys, $reset)
onAfterLoad (&$result, $row)
onBeforeStore ($updateNulls, $tableKey)
onAfterStore (&$result)
onBeforeDelete ($pk)
onAfterDelete ($pk)

Fonctions membres publiques statiques

static | createObserver (\JObservableInterface $observableObject, $params=array())
- Fonctions membres publiques statiques hérités de JObserverInterface
static | createObserver (JObservableInterface $observableObject, $params=array())

Attributs publics statiques

static $_myTableForPregreplaceOnly

Fonctions membres protégées

parseTypeAlias ()

Attributs protégés

$tagsHelper
$typeAliasPattern = null
$newTags = false
$replaceTags = true
- Attributs protégés hérités de AbstractObserver
$table

Description détaillée

Abstract class defining methods that can be implemented by an Observer class of a Table class (which is an Observable). Attaches $this Observer to the $table in the constructor. The classes extending this class should not be instantiated directly, as they are automatically instanciated by the

Depuis
3.1.2

Documentation des fonctions membres

◆ createObserver()

static createObserver | ( | \JObservableInterface | $observableObject,
 |  |  | $params = array()
 | ) |  |
static

Creates the associated observer instance and attaches it to the $observableObject Creates the associated tags helper class instance $typeAlias can be of the form "{variableName}.type", automatically replacing {variableName} with table-instance variables variableName

Paramètres
\JObservableInterface | $observableObject | The subject object to be observed
array | $params | ( 'typeAlias' => $typeAlias )
Renvoie
Tags
Depuis
3.1.2

Références $params.

Référencé par Category\__construct(), et Content\__construct().

◆ onAfterStore()

onAfterStore ( & $result )

Post-processor for $table->store($updateNulls) You can change optional params newTags and replaceTags of tagsHelper with method setNewTagsToAdd

Paramètres
boolean &$result The result of the load
Renvoie
void
Depuis
3.1.2

◆ onBeforeDelete()

onBeforeDelete ( $pk )

Pre-processor for $table->delete($pk)

Paramètres
mixed $pk An optional primary key value to delete. If not set the instance property value is used.
Renvoie
void
Depuis
3.1.2
Exceptions

◆ onBeforeStore()

onBeforeStore | ( | $updateNulls,
 |  | $tableKey
 | ) |

Pre-processor for $table->store($updateNulls)

Paramètres
boolean | $updateNulls | The result of the load
string | $tableKey | The key of the table
Renvoie
void
Depuis
3.1.2

◆ parseTypeAlias()

parseTypeAlias ( )
protected

Internal method Parses a TypeAlias of the form "{variableName}.type", replacing {variableName} with table-instance variables variableName Storing result into $this->tagsHelper->typeAlias

Renvoie
void
Depuis
3.1.2

Références Tags\$_myTableForPregreplaceOnly.

◆ setNewTags()

setNewTags | ( | $newTags,
 |  | $replaceTags
 | ) |

Sets the new tags to be added or to replace existing tags

Paramètres
array | $newTags | New tags to be added to or replace current tags for an item
boolean | $replaceTags | Replace tags (true) or add them (false)
Renvoie
boolean
Depuis
3.1.2

Documentation des champs

◆ $_myTableForPregreplaceOnly

$_myTableForPregreplaceOnly
static

Référencé par Tags\parseTypeAlias().

◆ $newTags

$newTags = false
protected

◆ $replaceTags

$replaceTags = true
protected

◆ $tagsHelper

$tagsHelper
protected

◆ $typeAliasPattern

$typeAliasPattern = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Tags.php


Joomla CMS: Référence de la classe Asset

  • Joomla
  • CMS
  • Table
  • Asset
Fonctions membres publiques | Champs de données
Référence de la classe Asset
+ Graphe d'héritage de Asset:
Nested Table JObservableInterface

Fonctions membres publiques

__construct ($db)
loadByName ($name)
check ()
rebuild ($parentId=null, $leftId=0, $level=0, $path=null)
- Fonctions membres publiques hérités de Nested
debug ($level)
getPath ($pk=null, $diagnostic=false)
getTree ($pk=null, $diagnostic=false)
isLeaf ($pk=null)
setLocation ($referenceId, $position='after')
move ($delta, $where='')
moveByReference ($referenceId, $position='after', $pk=null, $recursiveUpdate=true)
delete ($pk=null, $children=true)
check ()
store ($updateNulls=false)
publish ($pks=null, $state=1, $userId=0)
orderUp ($pk)
orderDown ($pk)
getRootId ()
rebuild ($parentId=null, $leftId=0, $level=0, $path='')
rebuildPath ($pk=null)
reset ()
saveorder ($idArray=null, $lftArray=null)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Champs de données

$id = null
$name = null
$title = null
$rules = null
- Champs de données hérités de Nested
$parent_id
$level
$lft
$rgt
$alias

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Nested
recursiveUpdatePublishedColumn ($pk, $newState=null)
_getNode ($id, $key=null)
_getTreeRepositionData ($referenceNode, $nodeWidth, $position='before')
_logtable ($showData=true, $showQuery=true)
_runQuery ($query, $errorMessage)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Nested
$_location
$_location_id
$_cache = array()
$_debug = 0
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false
- Attributs protégés statiques hérités de Nested
static | $root_id = 0

Description détaillée

Table class supporting modified pre-order tree traversal behavior.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.7.0

Références $db.

Documentation des fonctions membres

◆ check()

check ( )

Assert that the nested set data is valid.

Renvoie
boolean True if the instance is sane and able to be stored in the database.
Depuis
1.7.0

Références $query.

◆ loadByName()

loadByName ( $name )

Method to load an asset by its name.

Paramètres
string $name The name of the asset.
Renvoie
integer
Depuis
1.7.0

Références $name.

◆ rebuild()

rebuild | ( | $parentId = null,
 |  | $leftId = 0,
 |  | $level = 0,
 |  | $path = null
 | ) |

Method to recursively rebuild the whole nested set tree.

Paramètres
integer | $parentId | The root of the tree to rebuild.
integer | $leftId | The left id to start with in building the tree.
integer | $level | The level to assign to the current nodes.
string | $path | The path to the current nodes.
Renvoie
integer 1 + value of root rgt on success, false on failure
Depuis
3.5
Exceptions

Références $query, et null.

Documentation des champs

◆ $id

$id = null

◆ $name

$name = null

◆ $rules

$rules = null

◆ $title

$title = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • Asset.php


Joomla CMS: Référence de la classe Category

  • Joomla
  • CMS
  • Table
  • Category
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe Category
+ Graphe d'héritage de Category:
Nested Table JObservableInterface

Fonctions membres publiques

__construct (\JDatabaseDriver $db)
check ()
bind ($array, $ignore='')
store ($updateNulls=false)
- Fonctions membres publiques hérités de Nested
debug ($level)
getPath ($pk=null, $diagnostic=false)
getTree ($pk=null, $diagnostic=false)
isLeaf ($pk=null)
setLocation ($referenceId, $position='after')
move ($delta, $where='')
moveByReference ($referenceId, $position='after', $pk=null, $recursiveUpdate=true)
delete ($pk=null, $children=true)
check ()
store ($updateNulls=false)
publish ($pks=null, $state=1, $userId=0)
orderUp ($pk)
orderDown ($pk)
getRootId ()
rebuild ($parentId=null, $leftId=0, $level=0, $path='')
rebuildPath ($pk=null)
reset ()
saveorder ($idArray=null, $lftArray=null)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Fonctions membres protégées

_getAssetName ()
_getAssetTitle ()
_getAssetParentId (Table $table=null, $id=null)
- Fonctions membres protégées hérités de Nested
recursiveUpdatePublishedColumn ($pk, $newState=null)
_getNode ($id, $key=null)
_getTreeRepositionData ($referenceNode, $nodeWidth, $position='before')
_logtable ($showData=true, $showQuery=true)
_runQuery ($query, $errorMessage)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Champs de données hérités de Nested
$parent_id
$level
$lft
$rgt
$alias
- Attributs protégés hérités de Nested
$_location
$_location_id
$_cache = array()
$_debug = 0
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false
- Attributs protégés statiques hérités de Nested
static | $root_id = 0

Description détaillée

Category table

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( \JDatabaseDriver $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.5

Références $db, et Tags\createObserver().

Documentation des fonctions membres

◆ _getAssetName()

_getAssetName ( )
protected

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Renvoie
string
Depuis
1.6

Références extension.

◆ _getAssetParentId()

_getAssetParentId | ( | Table | $table = null,
 |  |  | $id = null
 | ) |  |
protected

Get the parent asset id for the record

Paramètres
Table | $table | A JTable object for the asset parent.
integer | $id | The id for the asset
Renvoie
integer The id of the asset's parent
Depuis
1.6

Références $assetId, $id, $query, elseif, extension, et null.

◆ _getAssetTitle()

_getAssetTitle ( )
protected

Method to return the title to use for the asset table.

Renvoie
string
Depuis
1.6

Références $title.

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Overloaded bind function.

Paramètres
array | $array | named array
string | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
mixed Null if operation was satisfactory, otherwise returns an error
Voir également
Table::bind()
Depuis
1.6

◆ check()

check ( )

Override check function

Renvoie
boolean
Voir également
Table::check()
Depuis
1.5

Références $title, language, ApplicationHelper\stringURLSafe(), et title.

◆ store()

store ( $updateNulls = false )

Overridden Table::store to set created/modified and user id.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
1.6

Références $date, $user, extension, et Table\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Table/Category.php


Joomla CMS: Référence de la classe Content

  • Joomla
  • CMS
  • Table
  • Content
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe Content
+ Graphe d'héritage de Content:
Table JObservableInterface

Fonctions membres publiques

__construct (\JDatabaseDriver $db)
bind ($array, $ignore='')
check ()
store ($updateNulls=false)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Fonctions membres protégées

_getAssetName ()
_getAssetTitle ()
_getAssetParentId (Table $table=null, $id=null)
getDefaultAssetValues ($component)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Content table

Depuis
1.5
Obsolète:
3.1.4 Class will be removed upon completion of transition to UCM

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( \JDatabaseDriver $db )

Constructor

Paramètres
\JDatabaseDriver $db A database connector object
Depuis
1.5
Obsolète:
3.1.4 Class will be removed upon completion of transition to UCM

Références $db, et Tags\createObserver().

Documentation des fonctions membres

◆ _getAssetName()

_getAssetName ( )
protected

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Renvoie
string
Depuis
1.6
Obsolète:
3.1.4 Class will be removed upon completion of transition to UCM

◆ _getAssetParentId()

_getAssetParentId | ( | Table | $table = null,
 |  |  | $id = null
 | ) |  |
protected

Method to get the parent asset id for the record

Paramètres
Table | $table | A Table object (optional) for the asset parent
integer | $id | The id (optional) of the content.
Renvoie
integer
Depuis
1.6
Obsolète:
3.1.4 Class will be removed upon completion of transition to UCM

Références $assetId, $id, $query, et null.

◆ _getAssetTitle()

_getAssetTitle ( )
protected

Method to return the title to use for the asset table.

Renvoie
string
Depuis
1.6
Obsolète:
3.1.4 Class will be removed upon completion of transition to UCM

Références $title.

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Overloaded bind function

Paramètres
array | $array | Named array
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
mixed Null if operation was satisfactory, otherwise returns an error string
Voir également
Table::bind()
Depuis
1.6
Obsolète:
3.1.4 Class will be removed upon completion of transition to UCM

◆ check()

check ( )

Overloaded check function

Renvoie
boolean True on success, false on failure
Voir également
Table::check()
Depuis
1.5
Obsolète:
3.1.4 Class will be removed upon completion of transition to UCM

Ensure any new items have compulsory fields set. This is needed for things like frontend editing where we don't show all the fields or using some kind of API

Références $key, $title, language, ApplicationHelper\stringURLSafe(), et title.

◆ getDefaultAssetValues()

getDefaultAssetValues ( $component )
protected

Gets the default asset values for a component.

Paramètres
string $component The component asset name to search for
Renvoie
Rules The Rules object for the asset
Depuis
3.4
Obsolète:
3.4 Class will be removed upon completion of transition to UCM

Références $assetId, $component, $db, $query, et Access\getAssetRules().

◆ store()

store ( $updateNulls = false )

Overrides Table::store to set modified data and user id.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
1.6
Obsolète:
3.1.4 Class will be removed upon completion of transition to UCM

Références $date, $user, et Table\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Content.php


Joomla CMS: Référence de la classe ContentHistory

  • Joomla
  • CMS
  • Table
  • ContentHistory
Fonctions membres publiques | Champs de données
Référence de la classe ContentHistory
+ Graphe d'héritage de ContentHistory:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
store ($updateNulls=false)
getSha1 ($jsonData, ContentType $typeTable)
getHashMatch ()
deleteOldVersions ($maxVersions)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Champs de données

$ignoreChanges = array()
$convertToInt = array()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Content History table.

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db A database connector object
Depuis
3.1

Références $db.

Documentation des fonctions membres

◆ deleteOldVersions()

deleteOldVersions ( $maxVersions )

Utility method to remove the oldest versions of an item, saving only the most recent versions.

Paramètres
integer $maxVersions The maximum number of versions to save. All others will be deleted.
Renvoie
boolean true on success, false on failure.
Depuis
3.2

Références $db, et $query.

◆ getHashMatch()

getHashMatch ( )

Utility method to get a matching row based on the hash value and id columns. This lets us check to make sure we don't save duplicate versions.

Renvoie
string SHA1 hash on success. Empty string on failure.
Depuis
3.2

Références $db, et $query.

◆ getSha1()

getSha1 | ( |  | $jsonData,
 |  | ContentType | $typeTable
 | ) |  |

Utility method to get the hash after removing selected values. This lets us detect changes other than modified date (which will change on every save).

Paramètres
mixed | $jsonData | Either an object or a string with json-encoded data
ContentType | $typeTable | Table object with data for this content type
Renvoie
string SHA1 hash on success. Empty string on failure.
Depuis
3.2

Références $name, $options, $value, json_encode, et null.

◆ store()

store ( $updateNulls = false )

Overrides Table::store to set modified hash, user id, and save date.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
3.2

Références Table\getInstance(), et null.

Documentation des champs

◆ $convertToInt

$convertToInt = array()

◆ $ignoreChanges

$ignoreChanges = array()
La documentation de cette classe a été générée à partir du fichier suivant :
  • ContentHistory.php


Joomla CMS: Référence de la classe ContentType

  • Joomla
  • CMS
  • Table
  • ContentType
Fonctions membres publiques
Référence de la classe ContentType
+ Graphe d'héritage de ContentType:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
check ()
store ($updateNulls=false)
fieldmapExpand ($assoc=true)
getTypeId ($typeAlias)
getContentTable ()
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Tags table

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db A database connector object
Depuis
3.1

Références $db.

Documentation des fonctions membres

◆ check()

check ( )

Overloaded check method to ensure data integrity.

Renvoie
boolean True on success.
Depuis
3.1
Exceptions

◆ fieldmapExpand()

fieldmapExpand ( $assoc = true )

Method to expand the field mapping

Paramètres
boolean $assoc True to return an associative array.
Renvoie
mixed Array or object with field mappings. Defaults to object.
Depuis
3.1

Références $assoc.

◆ getContentTable()

getContentTable ( )

Method to get the Table object for the content type from the table object.

Renvoie
mixed Table object on success, otherwise false.
Depuis
3.2
Exceptions

Références $class.

◆ getTypeId()

getTypeId ( $typeAlias )

Method to get the id given the type alias

Paramètres
string $typeAlias Content type alias (for example, 'com_content.article').
Renvoie
mixed type_id for this alias if successful, otherwise null.
Depuis
3.2

Références $db, et $query.

◆ store()

store ( $updateNulls = false )

Overridden Table::store.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
3.1

Références Table\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ContentType.php


Joomla CMS: Référence de la classe CoreContent

  • Joomla
  • CMS
  • Table
  • CoreContent
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe CoreContent
+ Graphe d'héritage de CoreContent:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
bind ($array, $ignore='')
check ()
delete ($pk=null)
deleteByContentId ($contentItemId=null, $typeAlias=null)
store ($updateNulls=false)
publish ($pks=null, $state=1, $userId=0)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Fonctions membres protégées

storeUcmBase ($updateNulls=false, $isNew=false)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Core content table

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db A database connector object
Depuis
3.1

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Overloaded bind function

Paramètres
array | $array | Named array
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
mixed Null if operation was satisfactory, otherwise returns an error string
Voir également
Table::bind()
Depuis
3.1

◆ check()

check ( )

Overloaded check function

Renvoie
boolean True on success, false on failure
Voir également
Table::check()
Depuis
3.1

Références $key.

◆ delete()

delete ( $pk = null )

Override JTable delete method to include deleting corresponding row from #__ucm_base.

Paramètres
integer $pk primary key value to delete. Must be set or throws an exception.
Renvoie
boolean True on success.
Depuis
3.1
Exceptions

Références Table\getInstance().

◆ deleteByContentId()

deleteByContentId | ( | $contentItemId = null,
 |  | $typeAlias = null
 | ) |

Method to delete a row from the #__ucm_content table by content_item_id.

Paramètres
integer | $contentItemId | value of the core_content_item_id to delete. Corresponds to the primary key of the content table.
string | $typeAlias | Alias for the content type
Renvoie
boolean True on success.
Depuis
3.1
Exceptions

Références $db, $query, et null.

◆ publish()

publish | ( | $pks = null,
 |  | $state = 1,
 |  | $userId = 0
 | ) |

Method to set the publishing state for a row or list of rows in the database table. The method respects checked out rows by other users and will attempt to checkin rows that it can after adjustments are made.

Paramètres
mixed | $pks | An optional array of primary key values to update. If not set the instance property value is used.
integer | $state | The publishing state. eg. [0 = unpublished, 1 = published]
integer | $userId | The user id of the user performing the operation.
Renvoie
boolean True on success.
Depuis
3.1

Références $query, $state, $userId, et ArrayHelper\toInteger().

◆ store()

store ( $updateNulls = false )

Overrides Table::store to set modified data and user id.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
3.1

Références $date, et $user.

◆ storeUcmBase()

storeUcmBase | ( | $updateNulls = false,
 |  | $isNew = false
 | ) |
protected

Insert or update row in ucm_base table

Paramètres
boolean | $updateNulls | True to update fields even if they are null.
boolean | $isNew | if true, need to insert. Otherwise update.
Renvoie
boolean True on success.
Depuis
3.1

Références $db, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • CoreContent.php


Joomla CMS: Référence de la classe Extension

  • Joomla
  • CMS
  • Table
  • Extension
Fonctions membres publiques
Référence de la classe Extension
+ Graphe d'héritage de Extension:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
check ()
bind ($array, $ignore='')
find ($options=array())
publish ($pks=null, $state=1, $userId=0)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Extension table

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.7.0

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Overloaded bind function

Paramètres
array | $array | Named array
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
mixed Null if operation was satisfactory, otherwise returns an error
Voir également
Table::bind()
Depuis
1.7.0

◆ check()

check ( )

Overloaded check function

Renvoie
boolean True if the object is ok
Voir également
Table::check()
Depuis
1.7.0

Références name.

◆ find()

find ( $options = array() )

Method to create and execute a SELECT WHERE query.

Paramètres
array $options Array of options
Renvoie
string The database query result
Depuis
1.7.0

Références $options, et $query.

◆ publish()

publish | ( | $pks = null,
 |  | $state = 1,
 |  | $userId = 0
 | ) |

Method to set the publishing state for a row or list of rows in the database table. The method respects checked out rows by other users and will attempt to checkin rows that it can after adjustments are made.

Paramètres
mixed | $pks | An optional array of primary key values to update. If not set the instance property value is used.
integer | $state | The publishing state. eg. [0 = unpublished, 1 = published]
integer | $userId | The user id of the user performing the operation.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $query, $state, $userId, et ArrayHelper\toInteger().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Extension.php


Joomla CMS: Référence de la classe Language

  • Joomla
  • CMS
  • Table
  • Language
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe Language
+ Graphe d'héritage de Language:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
check ()
store ($updateNulls=false)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Fonctions membres protégées

_getAssetName ()
_getAssetTitle ()
_getAssetParentId (Table $table=null, $id=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Languages table.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.7.0

Références $db.

Documentation des fonctions membres

◆ _getAssetName()

_getAssetName ( )
protected

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Renvoie
string
Depuis
3.8.0

◆ _getAssetParentId()

_getAssetParentId | ( | Table | $table = null,
 |  |  | $id = null
 | ) |  |
protected

Method to get the parent asset under which to register this one. By default, all assets are registered to the ROOT node with ID, which will default to 1 if none exists. The extended class can define a table and id to lookup. If the asset does not exist it will be created.

Paramètres
Table | $table | A Table object for the asset parent.
integer | $id | Id to look up
Renvoie
integer
Depuis
3.8.0

Références $asset, $assetId, $id, Table\getInstance(), et null.

◆ _getAssetTitle()

_getAssetTitle ( )
protected

Method to return the title to use for the asset table.

Renvoie
string
Depuis
3.8.0

Références $title.

◆ check()

check ( )

Overloaded check method to ensure data integrity

Renvoie
boolean True on success
Depuis
1.7.0

Références title.

◆ store()

store ( $updateNulls = false )

Overrides Table::store to check unique fields.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
2.5.0

Références Table\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Table/Language.php


Joomla CMS: Référence de la classe Menu

  • Joomla
  • CMS
  • Table
  • Menu
Fonctions membres publiques
Référence de la classe Menu
+ Graphe d'héritage de Menu:
Nested Table JObservableInterface

Fonctions membres publiques

__construct (\JDatabaseDriver $db)
bind ($array, $ignore='')
check ()
store ($updateNulls=false)
- Fonctions membres publiques hérités de Nested
debug ($level)
getPath ($pk=null, $diagnostic=false)
getTree ($pk=null, $diagnostic=false)
isLeaf ($pk=null)
setLocation ($referenceId, $position='after')
move ($delta, $where='')
moveByReference ($referenceId, $position='after', $pk=null, $recursiveUpdate=true)
delete ($pk=null, $children=true)
check ()
store ($updateNulls=false)
publish ($pks=null, $state=1, $userId=0)
orderUp ($pk)
orderDown ($pk)
getRootId ()
rebuild ($parentId=null, $leftId=0, $level=0, $path='')
rebuildPath ($pk=null)
reset ()
saveorder ($idArray=null, $lftArray=null)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Champs de données hérités de Nested
$parent_id
$level
$lft
$rgt
$alias
- Fonctions membres protégées hérités de Nested
recursiveUpdatePublishedColumn ($pk, $newState=null)
_getNode ($id, $key=null)
_getTreeRepositionData ($referenceNode, $nodeWidth, $position='before')
_logtable ($showData=true, $showQuery=true)
_runQuery ($query, $errorMessage)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Nested
$_location
$_location_id
$_cache = array()
$_debug = 0
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false
- Attributs protégés statiques hérités de Nested
static | $root_id = 0

Description détaillée

Menu table

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( \JDatabaseDriver $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.5

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Overloaded bind function

Paramètres
array | $array | Named array
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
mixed Null if operation was satisfactory, otherwise returns an error
Voir également
Table::bind()
Depuis
1.5

Références language.

◆ check()

check ( )

Overloaded check function

Renvoie
boolean True on success
Voir également
Table::check()
Depuis
1.5

Références title.

◆ store()

store ( $updateNulls = false )

Overloaded store function

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
mixed False on failure, positive integer on success.
Voir également
Table::store()
Depuis
1.6

Références $db, $language, $query, elseif, Table\getInstance(), Multilanguage\isEnabled(), jimport(), JPATH_ROOT, language, ApplicationHelper\stringURLSafe(), et title.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Menu.php


Joomla CMS: Référence de la classe MenuType

  • Joomla
  • CMS
  • Table
  • MenuType
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe MenuType
+ Graphe d'héritage de MenuType:
Table JObservableInterface

Fonctions membres publiques

__construct (\JDatabaseDriver $db)
check ()
store ($updateNulls=false)
delete ($pk=null)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Fonctions membres protégées

_getAssetName ()
_getAssetTitle ()
_getAssetParentId (Table $table=null, $id=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Menu Types table

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( \JDatabaseDriver $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.6

Références $db.

Documentation des fonctions membres

◆ _getAssetName()

_getAssetName ( )
protected

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Renvoie
string
Depuis
3.6

Références $id.

◆ _getAssetParentId()

_getAssetParentId | ( | Table | $table = null,
 |  |  | $id = null
 | ) |  |
protected

Method to get the parent asset under which to register this one. By default, all assets are registered to the ROOT node with ID, which will default to 1 if none exists. The extended class can define a table and id to lookup. If the asset does not exist it will be created.

Paramètres
Table | $table | A Table object for the asset parent.
integer | $id | Id to look up
Renvoie
integer
Depuis
3.6

Références $asset, $assetId, $id, Table\getInstance(), et null.

◆ _getAssetTitle()

_getAssetTitle ( )
protected

Method to return the title to use for the asset table.

Renvoie
string
Depuis
3.6

Références $title.

◆ check()

check ( )

Overloaded check function

Renvoie
boolean True on success, false on failure
Voir également
Table::check()
Depuis
1.6

Références $query, ApplicationHelper\stringURLSafe(), et title.

◆ delete()

delete ( $pk = null )

Method to delete a row from the database table by primary key value.

Paramètres
mixed $pk An optional primary key value to delete. If not set the instance property value is used.
Renvoie
boolean True on success.
Depuis
1.6

Références $query, $userId, Table\getInstance(), json_encode, et null.

◆ store()

store ( $updateNulls = false )

Method to store a row in the database from the Table instance properties.

If a primary key value is set the row with that primary key value will be updated with the instance property values. If no primary key value is set a new row will be inserted into the database with the properties from the Table instance.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
1.6

Références $query, $userId, Table\getInstance(), et json_encode.

La documentation de cette classe a été générée à partir du fichier suivant :
  • MenuType.php


Joomla CMS: Référence de la classe Module

  • Joomla
  • CMS
  • Table
  • Module
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe Module
+ Graphe d'héritage de Module:
Table JObservableInterface

Fonctions membres publiques

__construct (\JDatabaseDriver $db)
check ()
bind ($array, $ignore='')
store ($updateNulls=false)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Fonctions membres protégées

_getAssetName ()
_getAssetTitle ()
_getAssetParentId (Table $table=null, $id=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Module table

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( \JDatabaseDriver $db )

Constructor.

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.5

Références $db.

Documentation des fonctions membres

◆ _getAssetName()

_getAssetName ( )
protected

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Renvoie
string
Depuis
3.2

◆ _getAssetParentId()

_getAssetParentId | ( | Table | $table = null,
 |  |  | $id = null
 | ) |  |
protected

Method to get the parent asset id for the record

Paramètres
Table | $table | A Table object (optional) for the asset parent
integer | $id | The id (optional) of the content.
Renvoie
integer
Depuis
3.2

Références $assetId, $id, $query, et null.

◆ _getAssetTitle()

_getAssetTitle ( )
protected

Method to return the title to use for the asset table.

Renvoie
string
Depuis
3.2

Références $title.

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Overloaded bind function.

Paramètres
array | $array | Named array.
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
mixed Null if operation was satisfactory, otherwise returns an error
Voir également
Table::bind()
Depuis
1.5

◆ check()

check ( )

Overloaded check function.

Renvoie
boolean True if the instance is sane and able to be stored in the database.
Voir également
Table::check()
Depuis
1.5

Références content, et title.

◆ store()

store ( $updateNulls = false )

Stores a module.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success, false on failure.
Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • Module.php


Joomla CMS: Référence de la classe Nested

  • Joomla
  • CMS
  • Table
  • Nested
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Attributs privés
Référence de la classe Nested
+ Graphe d'héritage de Nested:
Table JObservableInterface Asset Category Menu

Fonctions membres publiques

debug ($level)
getPath ($pk=null, $diagnostic=false)
getTree ($pk=null, $diagnostic=false)
isLeaf ($pk=null)
setLocation ($referenceId, $position='after')
move ($delta, $where='')
moveByReference ($referenceId, $position='after', $pk=null, $recursiveUpdate=true)
delete ($pk=null, $children=true)
check ()
store ($updateNulls=false)
publish ($pks=null, $state=1, $userId=0)
orderUp ($pk)
orderDown ($pk)
getRootId ()
rebuild ($parentId=null, $leftId=0, $level=0, $path='')
rebuildPath ($pk=null)
reset ()
saveorder ($idArray=null, $lftArray=null)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Champs de données

$parent_id
$level
$lft
$rgt
$alias

Fonctions membres protégées

recursiveUpdatePublishedColumn ($pk, $newState=null)
_getNode ($id, $key=null)
_getTreeRepositionData ($referenceNode, $nodeWidth, $position='before')
_logtable ($showData=true, $showQuery=true)
_runQuery ($query, $errorMessage)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()

Attributs protégés

$_location
$_location_id
$_cache = array()
$_debug = 0
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Attributs protégés statiques

static $root_id = 0

Attributs privés

$_validLocations = array('before', 'after', 'first-child', 'last-child')

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)

Description détaillée

Table class supporting modified pre-order tree traversal behavior.

Depuis
1.7.0

Documentation des fonctions membres

◆ _getNode()

_getNode | ( | $id,
 |  | $key = null
 | ) |
protected

Method to get nested set properties for a node in the tree.

Paramètres
integer | $id | Value to look up the node by.
string | $key | An optional key to look up the node by (parent | left | right). If omitted, the primary key of the table is used.
Renvoie
mixed Boolean false on failure or node object on success.
Depuis
1.7.0
Exceptions

Références $id, $key, $query, et $row.

◆ _getTreeRepositionData()

_getTreeRepositionData | ( | $referenceNode,
 |  | $nodeWidth,
 |  | $position = 'before'
 | ) |
protected

Method to get various data necessary to make room in the tree at a location for a node and its children. The returned data object includes conditions for SQL WHERE clauses for updating left and right id values to make room for the node as well as the new left and right ids for the node.

Paramètres
object | $referenceNode | A node object with at least a 'lft' and 'rgt' with which to make room in the tree around for a new node.
integer | $nodeWidth | The width of the node for which to make room in the tree.
string | $position | The position relative to the reference node where the room should be made.
Renvoie
mixed Boolean false on failure or data object on success.
Depuis
1.7.0

Références $data, et $position.

◆ _logtable()

_logtable | ( | $showData = true,
 |  | $showQuery = true
 | ) |
protected

Method to create a log table in the buffer optionally showing the query and/or data.

Paramètres
boolean | $showData | True to show data
boolean | $showQuery | True to show query
Renvoie
void
Depuis
1.7.0

Références $buffer, $query, $row, $rows, ENT_QUOTES, et htmlspecialchars.

◆ _runQuery()

_runQuery | ( | $query,
 |  | $errorMessage
 | ) |
protected

Runs a query and unlocks the database on an error.

Paramètres
mixed | $query | A string or object.
string | $errorMessage | Unused.
Renvoie
boolean void
Note
Since 3.0.0 this method returns void and will rethrow the database exception.
Depuis
1.7.0
Exceptions

Références $query.

◆ check()

check ( )

Checks that the object is valid and able to be stored.

This method checks that the parent_id is non-zero and exists in the database. Note that the root node (parent_id = 0) cannot be manipulated with this class.

Renvoie
boolean True if all checks pass.
Depuis
1.7.0

Références $query.

◆ debug()

debug ( $level )

Sets the debug level on or off

Paramètres
integer $level 0 = off, 1 = on
Renvoie
void
Depuis
1.7.0

◆ delete()

delete | ( | $pk = null,
 |  | $children = true
 | ) |

Method to delete a node and, optionally, its child nodes from the table.

Paramètres
integer | $pk | The primary key of the node to delete.
boolean | $children | True to delete child nodes, false to move them up a level.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $asset, $name, $query, Table\getInstance(), et null.

◆ getPath()

getPath | ( | $pk = null,
 |  | $diagnostic = false
 | ) |

Method to get an array of nodes from a given node to its root.

Paramètres
integer | $pk | Primary key of the node for which to get the path.
boolean | $diagnostic | Only select diagnostic data for the nested sets.
Renvoie
mixed An array of node objects including the start node.
Depuis
1.7.0
Exceptions

Références $query.

◆ getRootId()

getRootId ( )

Gets the ID of the root item in the tree

Renvoie
mixed The primary id of the root row, or false if not found and the internal error is set.
Depuis
1.7.0

Références $fields, et $query.

◆ getTree()

getTree | ( | $pk = null,
 |  | $diagnostic = false
 | ) |

Method to get a node and all its child nodes.

Paramètres
integer | $pk | Primary key of the node for which to get the tree.
boolean | $diagnostic | Only select diagnostic data for the nested sets.
Renvoie
mixed Boolean false on failure or array of node objects on success.
Depuis
1.7.0
Exceptions

Références $query.

◆ isLeaf()

isLeaf ( $pk = null )

Method to determine if a node is a leaf node in the tree (has no children).

Paramètres
integer $pk Primary key of the node to check.
Renvoie
boolean True if a leaf node, false if not or null if the node does not exist.
Note
Since 3.0.0 this method returns null if the node does not exist.
Depuis
1.7.0
Exceptions

◆ move()

move | ( | $delta,
 |  | $where = ''
 | ) |

Method to move a row in the ordering sequence of a group of rows defined by an SQL WHERE clause. Negative numbers move the row up in the sequence and positive numbers move it down.

Paramètres
integer | $delta | The direction and magnitude to move the row in the ordering sequence.
string | $where | WHERE clause to use for limiting the selection of rows to compact the ordering values.
Renvoie
mixed Boolean true on success.
Depuis
1.7.0

Références $position, et $query.

◆ moveByReference()

moveByReference | ( | $referenceId,
 |  | $position = 'after',
 |  | $pk = null,
 |  | $recursiveUpdate = true
 | ) |

Method to move a node and its children to a new location in the tree.

Paramètres
integer | $referenceId | The primary key of the node to reference new location by.
string | $position | Location type string. ['before', 'after', 'first-child', 'last-child']
integer | $pk | The primary key of the node to move.
boolean | $recursiveUpdate | Flag indicate that method recursiveUpdatePublishedColumn should be call.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $fields, $offset, $position, $query, null, et title.

◆ orderDown()

orderDown ( $pk )

Method to move a node one position to the right in the same level.

Paramètres
integer $pk Primary key of the node to move.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $query.

◆ orderUp()

orderUp ( $pk )

Method to move a node one position to the left in the same level.

Paramètres
integer $pk Primary key of the node to move.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $query.

◆ publish()

publish | ( | $pks = null,
 |  | $state = 1,
 |  | $userId = 0
 | ) |

Method to set the publishing state for a node or list of nodes in the database table. The method respects rows checked out by other users and will attempt to checkin rows that it can after adjustments are made. The method will not allow you to set a publishing state higher than any ancestor node and will not allow you to set a publishing state on a node with a checked out child.

Paramètres
mixed | $pks | An optional array of primary key values to update. If not set the instance property value is used.
integer | $state | The publishing state. eg. [0 = unpublished, 1 = published]
integer | $userId | The user id of the user performing the operation.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $key, $published, $query, $state, $userId, et ArrayHelper\toInteger().

◆ rebuild()

rebuild | ( | $parentId = null,
 |  | $leftId = 0,
 |  | $level = 0,
 |  | $path = ''
 | ) |

Method to recursively rebuild the whole nested set tree.

Paramètres
integer | $parentId | The root of the tree to rebuild.
integer | $leftId | The left id to start with in building the tree.
integer | $level | The level to assign to the current nodes.
string | $path | The path to the current nodes.
Renvoie
integer 1 + value of root rgt on success, false on failure
Depuis
1.7.0
Exceptions

Références $path, $query, et null.

◆ rebuildPath()

rebuildPath ( $pk = null )

Method to rebuild the node's path field from the alias values of the nodes from the current node to the root node of the tree.

Paramètres
integer $pk Primary key of the node for which to get the path.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $fields, $path, et $query.

◆ recursiveUpdatePublishedColumn()

recursiveUpdatePublishedColumn | ( | $pk,
 |  | $newState = null
 | ) |
protected

Method to recursive update published column for children rows.

Paramètres
integer | $pk | Id number of row which published column was changed.
integer | $newState | An optional value for published column of row identified by $pk.
Renvoie
boolean True on success.
Depuis
3.7.0
Exceptions

We have to calculate the correct value for c2.published based on p2.published and own c2.published column, where (p2) is parent category is and (c2) current category

p2.published <= c2.published AND p2.published > 0 THEN c2.published 2 <= 2 THEN 2 (If archived in archived then archived) 1 <= 2 THEN 2 (If archived in published then archived) 1 <= 1 THEN 1 (If published in published then published)

p2.published > c2.published AND c2.published > 0 THEN p2.published 2 > 1 THEN 2 (If published in archived then archived)

p2.published > c2.published THEN c2.published ELSE p2.published 2 > -2 THEN -2 (If trashed in archived then trashed) 2 > 0 THEN 0 (If unpublished in archived then unpublished) 1 > 0 THEN 0 (If unpublished in published then unpublished) 0 > -2 THEN -2 (If trashed in unpublished then trashed) ELSE 0 <= 2 THEN 0 (If archived in unpublished then unpublished) 0 <= 1 THEN 0 (If published in unpublished then unpublished) 0 <= 0 THEN 0 (If unpublished in unpublished then unpublished) -2 <= -2 THEN -2 (If trashed in trashed then trashed) -2 <= 0 THEN -2 (If unpublished in trashed then trashed) -2 <= 1 THEN -2 (If published in trashed then trashed) -2 <= 2 THEN -2 (If archived in trashed then trashed)

Références $key, $published, $query, et null.

◆ reset()

reset ( )

Method to reset class properties to the defaults set in the class definition. It will ignore the primary key as well as any private class properties (except $_errors).

Renvoie
void
Depuis
3.2.1

◆ saveorder()

saveorder | ( | $idArray = null,
 |  | $lftArray = null
 | ) |

Method to update order of table rows

Paramètres
array | $idArray | id numbers of rows to be reordered.
array | $lftArray | lft values of rows to be reordered.
Renvoie
integer 1 + value of root rgt on success, false on failure.
Depuis
1.7.0
Exceptions

Références $count, $i, et $query.

◆ setLocation()

setLocation | ( | $referenceId,
 |  | $position = 'after'
 | ) |

Method to set the location of a node in the tree object. This method does not save the new location to the database, but will set it in the object so that when the node is stored it will be stored in the new location.

Paramètres
integer | $referenceId | The primary key of the node to reference new location by.
string | $position | Location type string.
Renvoie
void
Note
Since 3.0.0 this method returns void and throws an when an invalid position is passed.
Voir également
Nested::$_validLocations
Depuis
1.7.0
Exceptions

Références $position.

◆ store()

store ( $updateNulls = false )

Method to store a node in the database table.

Paramètres
boolean $updateNulls True to update null values as well.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $query.

Documentation des champs

◆ $_cache

$_cache = array()
protected

◆ $_debug

$_debug = 0
protected

◆ $_location

$_location
protected

◆ $_location_id

$_location_id
protected

◆ $_validLocations

$_validLocations = array('before', 'after', 'first-child', 'last-child')
private

◆ $alias

$alias

◆ $level

$level

◆ $lft

$lft

◆ $parent_id

$parent_id

◆ $rgt

$rgt

◆ $root_id

$root_id = 0
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Nested.php


Joomla CMS: Référence de la classe Table

  • Joomla
  • CMS
  • Table
  • Table
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs privés statiques
Référence de la classe Table
+ Graphe d'héritage de Table:
JObservableInterface Content ContentHistory ContentType CoreContent Extension Language MenuType Module Nested Ucm Update UpdateSite User Usergroup ViewLevel

Fonctions membres publiques

__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Fonctions membres publiques statiques

static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)

Fonctions membres protégées

_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()

Attributs protégés

$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Attributs privés statiques

static | $_includePaths = array()
static | $tableFields

Description détaillée

Abstract Table class

Parent class to all tables.

Depuis
1.7.0 Joomla.Platform/jtable.cls

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $table,
 |  | $key,
 |  | $db
 | ) |

Object constructor to set table and key fields. In most cases this will be overridden by child classes to explicitly set the table and key fields for a particular database table.

Paramètres
string | $table | Name of the table to model.
mixed | $key | Name of the primary key field in the table or array of field names that compose the primary key.
\JDatabaseDriver | $db | object.
Depuis
1.7.0

Références $db, $fields, $key, $name, elseif, et null.

Documentation des fonctions membres

◆ _getAssetName()

_getAssetName ( )
protected

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Renvoie
string
Depuis
1.7.0

◆ _getAssetTitle()

_getAssetTitle ( )
protected

Method to return the title to use for the asset table.

In tracking the assets a title is kept for each asset so that there is some context available in a unified access manager. Usually this would just return $this->title or $this->name or whatever is being used for the primary name of the row. If this method is not overridden, the asset name is used.

Renvoie
string The string to use as the title in the asset table.
Depuis
1.7.0

◆ _lock()

_lock ( )
protected

Method to lock the database table for writing.

Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

◆ _unlock()

_unlock ( )
protected

Method to unlock the database table for writing.

Renvoie
boolean True on success.
Depuis
1.7.0

◆ addIncludePath()

static addIncludePath ( $path = null )
static

Add a filesystem path where Table should search for table class files.

Paramètres
array | string $path A filesystem path or array of filesystem paths to add.
Renvoie
array An array of filesystem paths to find Table classes in.
Depuis
1.7.0

Références $path.

Référencé par TagsHelper\createTagsFromField(), TagsHelper\createTagsFromMetadata(), TagsHelper\getTagTreeArray(), et TagsHelper\searchTags().

◆ appendPrimaryKeys()

appendPrimaryKeys | ( | $query,
 |  | $pk = null
 | ) |

Method to append the primary keys for this table to a query.

Paramètres
\JDatabaseQuery | $query | A query object to append.
mixed | $pk | Optional primary key parameter.
Renvoie
void
Depuis
3.1.4

Références $query.

◆ attachObserver()

attachObserver ( \JObserverInterface $observer )

Implement : Adds an observer to this instance. This method will be called fron the constructor of classes implementing which is instanciated by the constructor of $this with ::attachAllObservers($this)

Paramètres
\JObserverInterface | \JTableObserver $observer The observer object
Renvoie
void
Depuis
3.1.2

◆ bind()

bind | ( | $src,
 |  | $ignore = array()
 | ) |

Method to bind an associative array or object to the Table instance.This method only binds properties that are publicly accessible and optionally takes an array of properties to ignore when binding.

Paramètres
array | object | $src | An associative array or object to bind to the Table instance.
array | string | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $field, et json_encode.

◆ check()

check ( )

Method to perform sanity checks on the Table instance properties to ensure they are safe to store in the database.

Child classes should override this method to make sure the data they are storing in the database is safe and as expected before storage.

Renvoie
boolean True if the instance is sane and able to be stored in the database.
Depuis
1.7.0

◆ checkIn()

checkIn ( $pk = null )

Method to check a row in if the necessary properties/fields exist.

Checking a row in will allow other users the ability to edit the row.

Paramètres
mixed $pk An optional primary key value to check out. If not set the instance property value is used.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $dispatcher, $key, $query, elseif, JEventDispatcher\getInstance(), et null.

◆ checkOut()

checkOut | ( | $userId,
 |  | $pk = null
 | ) |

Method to check a row out if the necessary properties/fields exist.

To prevent race conditions while editing rows in a database, a row can be checked out if the fields 'checked_out' and 'checked_out_time' are available. While a row is checked out, any attempt to store the row by a user other than the one who checked the row out should be held until the row is checked in again.

Paramètres
integer | $userId | The Id of the user checking out the row.
mixed | $pk | An optional primary key value to check out. If not set the instance property value is used.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $key, $query, $userId, elseif, et null.

◆ getColumnAlias()

getColumnAlias ( $column )

Method to return the real name of a "special" column such as ordering, hits, published etc etc. In this way you are free to follow your db naming convention and use the built in functions.

Paramètres
string $column Name of the "special" column (ie ordering, hits)
Renvoie
string The string that identify the special
Depuis
3.4

Références $return.

◆ getDbo()

getDbo ( )

Method to get the object.

Renvoie
The internal database driver object.
Depuis
1.7.0

◆ getFields()

getFields ( $reload = false )

Get the columns from database table.

Paramètres
bool $reload flag to reload cache
Renvoie
mixed An array of the field names, or false if an error occurs.
Depuis
1.7.0
Exceptions

Références $fields, $key, et $name.

◆ getInstance()

static getInstance | ( | $type,
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |
static

Static method to get an instance of a Table class if it can be found in the table include paths.

To add include paths for searching for Table classes see Table::addIncludePath().

Paramètres
string | $type | The type (name) of the Table class to get an instance of.
string | $prefix | An optional prefix for the table class name.
array | $config | An optional array of configuration values for the Table object.
Renvoie
Table|boolean A Table object if found or boolean false on failure.
Depuis
1.7.0

Références $config, $db, $prefix, $type, et jimport().

Référencé par UCMContent\__construct(), InstallerAdapter\__construct(), Installer\__construct(), Language\_getAssetParentId(), MenuType\_getAssetParentId(), LanguageAdapter\_install(), ExtensionAdapter\_startElement(), CollectionAdapter\_startElement(), InstallerAdapter\canUninstallPackageChild(), LibraryAdapter\checkExtensionInFilesystem(), LegacyFactory\createTable(), TagsHelper\createTagsFromField(), TagsHelper\createTagsFromMetadata(), MenuType\delete(), CoreContent\delete(), Nested\delete(), ContentHistoryHelper\deleteHistory(), ModuleAdapter\discover(), LibraryAdapter\discover(), TemplateAdapter\discover(), PluginAdapter\discover(), LanguageAdapter\discover(), ComponentAdapter\discover(), FileAdapter\finaliseInstall(), ModuleAdapter\finaliseInstall(), ContenthistoryField\getLayoutData(), User\getTable(), TagsHelper\getTagTreeArray(), TagsHelper\postStoreProcess(), TagsHelper\searchTags(), Language\store(), ContentType\store(), UCMBase\store(), ContentHistory\store(), MenuType\store(), ContentHistoryHelper\store(), Menu\store(), UCMContent\store(), Category\store(), Content\store(), FileAdapter\uninstall(), LibraryAdapter\uninstall(), TemplateAdapter\uninstall(), PluginAdapter\uninstall(), PackageAdapter\uninstall(), LanguageAdapter\uninstall(), ComponentAdapter\uninstall(), Updater\update(), LanguageAdapter\update(), et ToolbarHelper\versions().

◆ getKeyName()

getKeyName ( $multiple = false )

Method to get the primary key field name for the table.

Paramètres
boolean $multiple True to return all primary keys (as an array) or false to return just the first one (as a string).
Renvoie
mixed Array of primary key field names or string containing the first primary key field.
Depuis
1.7.0

◆ getNextOrder()

getNextOrder ( $where = '' )

Method to get the next ordering value for a group of rows defined by an SQL WHERE clause.

This is useful for placing a new item last in a group of items in the table.

Paramètres
string $where WHERE clause to use for selecting the MAX(ordering) for the table.
Renvoie
integer The next ordering value.
Depuis
1.7.0
Exceptions

Références $query.

◆ getObserverOfClass()

getObserverOfClass ( $observerClass )

Gets the instance of the observer of class $observerClass

Paramètres
string $observerClass The observer class-name to return the object of
Renvoie
|null
Depuis
3.1.2

◆ getPrimaryKey()

getPrimaryKey ( array $keys = array() )

Get the primary key values for this table using passed in values as a default.

Paramètres
array $keys Optional primary key values to use.
Renvoie
array An array of primary key names and values.
Depuis
3.1.4

Références $key.

◆ getRules()

getRules ( )

Method to get the rules for the record.

Renvoie
object
Depuis
1.7.0

◆ getTableName()

getTableName ( )

Method to get the database table name for the class.

Renvoie
string The name of the database table being modeled.
Depuis
1.7.0

◆ hasField()

hasField ( $key )

Check if the record has a property (applying a column alias if it exists)

Paramètres
string $key key to be checked
Renvoie
boolean
Depuis
3.9.11

Références $key.

◆ hasPrimaryKey()

hasPrimaryKey ( )

Validate that the primary key has been set.

Renvoie
boolean True if the primary key(s) have been set.
Depuis
3.1.4

Références $count, $key, et $query.

◆ hit()

hit ( $pk = null )

Method to increment the hits for a row if the necessary property/field exists.

Paramètres
mixed $pk An optional primary key value to increment. If not set the instance property value is used.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $key, $query, elseif, et null.

◆ isCheckedOut()

isCheckedOut | ( | $with = 0,
 |  | $against = null
 | ) |

Method to determine if a row is checked out and therefore uneditable by a user.

If the row is checked out by the same user, then it is considered not checked out – as the user can still edit it.

Paramètres
integer | $with | The user ID to preform the match with, if an item is checked out by this user the function will return false.
integer | $against | The user ID to perform the match against when the function is used as a static function.
Renvoie
boolean True if checked out.
Depuis
1.7.0

Références $db, et $query.

◆ load()

load | ( | $keys = null,
 |  | $reset = true
 | ) |

Method to load a row from the database by primary key and bind the fields to the Table instance properties.

Paramètres
mixed | $keys | An optional primary key value to load the row by, or an array of fields to match. If not set the instance property value is used.
boolean | $reset | True to reset the default values before loading the new row.
Renvoie
boolean True if successful. False if row not found.
Depuis
1.7.0
Exceptions

Références $field, $fields, $key, $query, $row, $value, et elseif.

◆ move()

move | ( | $delta,
 |  | $where = ''
 | ) |

Method to move a row in the ordering sequence of a group of rows defined by an SQL WHERE clause.

Negative numbers move the row up in the sequence and positive numbers move it down.

Paramètres
integer | $delta | The direction and magnitude to move the row in the ordering sequence.
string | $where | WHERE clause to use for limiting the selection of rows to compact the ordering values.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions

Références $query, $row, elseif, et null.

◆ publish()

publish | ( | $pks = null,
 |  | $state = 1,
 |  | $userId = 0
 | ) |

Method to set the publishing state for a row or list of rows in the database table.

The method respects checked out rows by other users and will attempt to checkin rows that it can after adjustments are made.

Paramètres
mixed | $pks | An optional array of primary key values to update. If not set the instance property value is used.
integer | $state | The publishing state. eg. [0 = unpublished, 1 = published]
integer | $userId | The user ID of the user performing the operation.
Renvoie
boolean True on success; false if $pks is empty.
Depuis
1.7.0

Références $key, $query, $state, et $userId.

◆ reorder()

reorder ( $where = '' )

Method to compact the ordering values of rows in a group of rows defined by an SQL WHERE clause.

Paramètres
string $where WHERE clause to use for limiting the selection of rows to compact the ordering values.
Renvoie
mixed Boolean True on success.
Depuis
1.7.0
Exceptions

Références $i, et $query.

◆ reset()

reset ( )

Method to reset class properties to the defaults set in the class definition. It will ignore the primary key as well as any private class properties (except $_errors).

Renvoie
void
Depuis
1.7.0

◆ save()

save | ( | $src,
 |  | $orderingFilter = '',
 |  | $ignore = ''
 | ) |

Method to provide a shortcut to binding, checking and storing a Table instance to the database table.

The method will check a row in once the data has been stored and if an ordering filter is present will attempt to reorder the table rows based on the filter. The ordering filter is an instance property name. The rows that will be reordered are those whose value matches the Table instance for the property specified.

Paramètres
array | object | $src | An associative array or object to bind to the Table instance.
string | $orderingFilter | Filter for the order updating
array | string | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
boolean True on success.
Depuis
1.7.0

◆ setColumnAlias()

setColumnAlias | ( | $column,
 |  | $columnAlias
 | ) |

Method to register a column alias for a "special" column.

Paramètres
string | $column | The "special" column (ie ordering)
string | $columnAlias | The real column name (ie foo_ordering)
Renvoie
void
Depuis
3.4

◆ setDbo()

setDbo ( $db )

Method to set the object.

Paramètres
\JDatabaseDriver $db A object to be used by the table object.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $db.

◆ setRules()

setRules ( $input )

Method to set rules for the record.

Paramètres
mixed $input A object, JSON string, or array.
Renvoie
void
Depuis
1.7.0

Références $input.

Documentation des champs

◆ $_autoincrement

$_autoincrement = true
protected

◆ $_columnAlias

$_columnAlias = array()
protected

◆ $_db

$_db
protected

◆ $_includePaths

$_includePaths = array()
staticprivate

◆ $_jsonEncode

$_jsonEncode = array()
protected

◆ $_locked

$_locked = false
protected

◆ $_observers

$_observers
protected

◆ $_rules

$_rules
protected

◆ $_supportNullValue

$_supportNullValue = false
protected

◆ $_tbl

$_tbl = ''
protected

◆ $_tbl_key

$_tbl_key = ''
protected

◆ $_tbl_keys

$_tbl_keys = array()
protected

◆ $_trackAssets

$_trackAssets = false
protected

◆ $tableFields

$tableFields
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • Table.php


Joomla CMS: Référence de l'interface TableInterface

  • Joomla
  • CMS
  • Table
  • TableInterface
Fonctions membres publiques
Référence de l'interface TableInterface
+ Graphe d'héritage de TableInterface:
TaggableTableInterface VersionableTableInterface

Fonctions membres publiques

bind ($src, $ignore=array())
check ()
delete ($pk=null)
getDbo ()
getKeyName ()
load ($keys=null, $reset=true)
reset ()
store ($updateNulls=false)

Description détaillée

Table class interface.

Depuis
3.2

Documentation des fonctions membres

◆ bind()

bind | ( | $src,
 |  | $ignore = array()
 | ) |

Method to bind an associative array or object to the TableInterface instance.

This method only binds properties that are publicly accessible and optionally takes an array of properties to ignore when binding.

Paramètres
mixed | $src | An associative array or object to bind to the TableInterface instance.
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
boolean True on success.
Depuis
3.2
Exceptions

◆ check()

check ( )

Method to perform sanity checks on the TableInterface instance properties to ensure they are safe to store in the database.

Implementations of this interface should use this method to make sure the data they are storing in the database is safe and as expected before storage.

Renvoie
boolean True if the instance is sane and able to be stored in the database.
Depuis
3.2

◆ delete()

delete ( $pk = null )

Method to delete a record.

Paramètres
mixed $pk An optional primary key value to delete. If not set the instance property value is used.
Renvoie
boolean True on success.
Depuis
3.2
Exceptions

◆ getDbo()

getDbo ( )

Method to get the object.

Renvoie
The internal database driver object.
Depuis
3.2

Référencé par TagsHelper\addTagMapping().

◆ getKeyName()

getKeyName ( )

Method to get the primary key field name for the table.

Renvoie
string The name of the primary key for the table.
Depuis
3.2

Référencé par TagsHelper\addTagMapping(), et TagsHelper\unTagItem().

◆ load()

load | ( | $keys = null,
 |  | $reset = true
 | ) |

Method to load a row from the database by primary key and bind the fields to the TableInterface instance properties.

Paramètres
mixed | $keys | An optional primary key value to load the row by, or an array of fields to match. If not set the instance property value is used.
boolean | $reset | True to reset the default values before loading the new row.
Renvoie
boolean True if successful. False if row not found.
Depuis
3.2
Exceptions

◆ reset()

reset ( )

Method to reset class properties to the defaults set in the class definition.

It will ignore the primary key as well as any private class properties.

Renvoie
void
Depuis
3.2

Référencé par TagsHelper\postStoreProcess(), et TagsHelper\preStoreProcess().

◆ store()

store ( $updateNulls = false )

Method to store a row in the database from the TableInterface instance properties.

If a primary key value is set the row with that primary key value will be updated with the instance property values. If no primary key value is set a new row will be inserted into the database with the properties from the TableInterface instance.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
3.2
La documentation de cette interface a été générée à partir du fichier suivant :
  • TableInterface.php


Joomla CMS: Référence de la classe Ucm

  • Joomla
  • CMS
  • Table
  • Ucm
Fonctions membres publiques
Référence de la classe Ucm
+ Graphe d'héritage de Ucm:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

UCM map table

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db A database connector object
Depuis
3.1

Références $db.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Ucm.php


Joomla CMS: Référence de la classe Update

  • Joomla
  • CMS
  • Table
  • Update
Fonctions membres publiques
Référence de la classe Update
+ Graphe d'héritage de Update:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
check ()
bind ($array, $ignore='')
find ($options=array())
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Update table Stores updates temporarily

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.7.0

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Overloaded bind function

Paramètres
array | $array | Named array
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
mixed Null if operation was satisfactory, otherwise returns an error
Voir également
Table::bind()
Depuis
1.7.0

◆ check()

check ( )

Overloaded check function

Renvoie
boolean True if the object is ok
Voir également
Table::check()
Depuis
1.7.0

Références name.

◆ find()

find ( $options = array() )

Method to create and execute a SELECT WHERE query.

Paramètres
array $options Array of options
Renvoie
string Results of query
Depuis
1.7.0

Références $options, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Table/Update.php


Joomla CMS: Référence de la classe UpdateSite

  • Joomla
  • CMS
  • Table
  • UpdateSite
Fonctions membres publiques
Référence de la classe UpdateSite
+ Graphe d'héritage de UpdateSite:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
check ()
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Update site table Stores the update sites for extensions

Depuis
3.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
3.4

Références $db.

Documentation des fonctions membres

◆ check()

check ( )

Overloaded check function

Renvoie
boolean True if the object is ok
Voir également
Table::check()
Depuis
3.4

Références location, et name.

La documentation de cette classe a été générée à partir du fichier suivant :
  • UpdateSite.php


Joomla CMS: Référence de la classe User

  • Joomla
  • CMS
  • Table
  • User
Fonctions membres publiques | Champs de données
Référence de la classe User
+ Graphe d'héritage de User:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
load ($userId=null, $reset=true)
bind ($array, $ignore='')
check ()
store ($updateNulls=false)
delete ($userId=null)
setLastVisit ($timeStamp=null, $userId=null)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Champs de données

$groups

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Users table

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.7.0

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Method to bind the user, user groups, and any other necessary data.

Paramètres
array | $array | The data to bind.
mixed | $ignore | An array or space separated list of fields to ignore.
Renvoie
boolean True on success, false on failure.
Depuis
1.7.0

Références $groups, $query, $return, et ArrayHelper\toInteger().

◆ check()

check ( )

Validation and filtering

Renvoie
boolean True if satisfactory
Depuis
1.7.0

Références $config, $query, et null.

◆ delete()

delete ( $userId = null )

Method to delete a user, user groups, and any other necessary data from the database.

Paramètres
integer $userId An optional user id.
Renvoie
boolean True on success, false on failure.
Depuis
1.7.0

Références $query, et $userId.

◆ load()

load | ( | $userId = null,
 |  | $reset = true
 | ) |

Method to load a user, user groups, and any other necessary data from the database so that it can be bound to the user object.

Paramètres
integer | $userId | An optional user id.
boolean | $reset | False if row not found or on error (internal error state set in that case).
Renvoie
boolean True on success, false on failure.
Depuis
1.7.0

Références $data, $id, $query, $return, $userId, et null.

◆ setLastVisit()

setLastVisit | ( | $timeStamp = null,
 |  | $userId = null
 | ) |

Updates last visit time of user

Paramètres
integer | $timeStamp | The timestamp, defaults to 'now'.
integer | $userId | The user id (optional).
Renvoie
boolean False if an error occurs
Depuis
1.7.0

Références $date, $db, $id, $query, $userId, et null.

◆ store()

store ( $updateNulls = false )

Method to store a row in the database from the Table instance properties.

If a primary key value is set the row with that primary key value will be updated with the instance property values. If no primary key value is set a new row will be inserted into the database with the properties from the Table instance.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $groups, $key, $query, et block.

Documentation des champs

◆ $groups

$groups
La documentation de cette classe a été générée à partir du fichier suivant :
  • Table/User.php


Joomla CMS: Référence de la classe Usergroup

  • Joomla
  • CMS
  • Table
  • Usergroup
Fonctions membres publiques
Référence de la classe Usergroup
+ Graphe d'héritage de Usergroup:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
check ()
rebuild ($parentId=0, $left=0)
store ($updateNulls=false)
delete ($oid=null)
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Usergroup table class.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.7.0

Références $db.

Documentation des fonctions membres

◆ check()

check ( )

Method to check the current record to save

Renvoie
boolean True on success
Depuis
1.7.0

Références $db, $id, $query, elseif, et title.

◆ delete()

delete ( $oid = null )

Delete this object and its dependencies

Paramètres
integer $oid The primary key of the user group to delete.
Renvoie
mixed Boolean or Exception.
Depuis
1.7.0
Exceptions

Références $db, $id, $oid, et $query.

◆ rebuild()

rebuild | ( | $parentId = 0,
 |  | $left = 0
 | ) |

Method to recursively rebuild the nested set tree.

Paramètres
integer | $parentId | The root of the tree to rebuild.
integer | $left | The left id to start with in building the tree.
Renvoie
boolean True on success
Depuis
1.7.0

Références $db, $i, et $n.

◆ store()

store ( $updateNulls = false )

Inserts a new row if id is zero or updates an existing row in the database table

Paramètres
boolean $updateNulls If false, null object variables are not updated
Renvoie
boolean True if successful, false otherwise and an internal error message is set
Depuis
1.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • Usergroup.php


Joomla CMS: Référence de la classe ViewLevel

  • Joomla
  • CMS
  • Table
  • ViewLevel
Fonctions membres publiques
Référence de la classe ViewLevel
+ Graphe d'héritage de ViewLevel:
Table JObservableInterface

Fonctions membres publiques

__construct ($db)
bind ($array, $ignore='')
check ()
- Fonctions membres publiques hérités de Table
__construct ($table, $key, $db)
attachObserver (\JObserverInterface $observer)
getObserverOfClass ($observerClass)
getFields ($reload=false)
appendPrimaryKeys ($query, $pk=null)
getTableName ()
getKeyName ($multiple=false)
getDbo ()
setDbo ($db)
setRules ($input)
getRules ()
reset ()
bind ($src, $ignore=array())
load ($keys=null, $reset=true)
check ()
save ($src, $orderingFilter='', $ignore='')
checkOut ($userId, $pk=null)
checkIn ($pk=null)
hasPrimaryKey ()
hit ($pk=null)
isCheckedOut ($with=0, $against=null)
getNextOrder ($where='')
getPrimaryKey (array $keys=array())
reorder ($where='')
move ($delta, $where='')
publish ($pks=null, $state=1, $userId=0)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
hasField ($key)
- Fonctions membres publiques hérités de JObservableInterface
attachObserver (JObserverInterface $observer)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Table
static | getInstance ($type, $prefix='JTable', $config=array())
static | addIncludePath ($path=null)
- Fonctions membres protégées hérités de Table
_getAssetName ()
_getAssetTitle ()
_lock ()
_unlock ()
- Attributs protégés hérités de Table
$_tbl = ''
$_tbl_key = ''
$_tbl_keys = array()
$_db
$_trackAssets = false
$_rules
$_locked = false
$_autoincrement = true
$_observers
$_columnAlias = array()
$_jsonEncode = array()
$_supportNullValue = false

Description détaillée

Viewlevels table class.

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
\JDatabaseDriver $db Database driver object.
Depuis
1.7.0

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Method to bind the data.

Paramètres
array | $array | The data to bind.
mixed | $ignore | An array or space separated list of fields to ignore.
Renvoie
boolean True on success, false on failure.
Depuis
1.7.0

Références json_encode.

◆ check()

check ( )

Method to check the current record to save

Renvoie
boolean True on success
Depuis
1.7.0

Références $db, $query, et title.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ViewLevel.php


Joomla CMS: Référence de l'interface TaggableTableInterface

  • Joomla
  • CMS
  • Tag
  • TaggableTableInterface
Référence de l'interface TaggableTableInterface
+ Graphe d'héritage de TaggableTableInterface:
TableInterface

Membres hérités additionnels

- Fonctions membres publiques hérités de TableInterface
bind ($src, $ignore=array())
check ()
delete ($pk=null)
getDbo ()
getKeyName ()
load ($keys=null, $reset=true)
reset ()
store ($updateNulls=false)

Description détaillée

Empty Interface for a taggable Table class as a placeholder for extensions that need compatibility between Joomla Note: This is an empty placeholder to ease transition to the new system in 4.0. In 4.x this interface will contain 4 methods (these aren't included as they contain return typehints which would unncessarily increase the minimum PHP version required to use this interface).

Depuis
3.10.0
La documentation de cette interface a été générée à partir du fichier suivant :
  • TaggableTableInterface.php


Joomla CMS: Référence de la classe ConfirmButton

  • Joomla
  • CMS
  • Toolbar
  • Button
  • ConfirmButton
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ConfirmButton
+ Graphe d'héritage de ConfirmButton:
ToolbarButton

Fonctions membres publiques

fetchButton ($type='Confirm', $msg='', $name='', $text='', $task='', $list=true, $hideMenu=false)
fetchId ($type='Confirm', $msg='', $name='', $text='', $task='', $list=true, $hideMenu=false)
- Fonctions membres publiques hérités de ToolbarButton
__construct ($parent=null)
getName ()
render (&$definition)
fetchIconClass ($identifier)
fetchButton ()

Fonctions membres protégées

_getCommand ($msg, $name, $task, $list)

Attributs protégés

$_name = 'Confirm'
- Attributs protégés hérités de ToolbarButton
$_name = null
$_parent = null

Description détaillée

Renders a standard button with a confirm dialog

Depuis
3.0

Documentation des fonctions membres

◆ _getCommand()

_getCommand | ( | $msg,
 |  | $name,
 |  | $task,
 |  | $list
 | ) |
protected

Get the JavaScript command for the button

Paramètres
object | $msg | The message to display.
string | $name | Not used.
string | $task | The task used by the application
boolean | $list | True is requires a list confirmation.
Renvoie
string JavaScript command string
Depuis
3.0

Références $alert, $list, et $task.

◆ fetchButton()

fetchButton | ( | $type = 'Confirm',
 |  | $msg = '',
 |  | $name = '',
 |  | $text = '',
 |  | $task = '',
 |  | $list = true,
 |  | $hideMenu = false
 | ) |

Fetch the HTML for the button

Paramètres
string | $type | Unused string.
string | $msg | Message to render
string | $name | Name to be used as apart of the id
string | $text | Button text
string | $task | The task associated with the button
boolean | $list | True to allow use of lists
boolean | $hideMenu | True to hide the menu on click
Renvoie
string HTML string for the button
Depuis
3.0

Références $layout, $list, $name, $options, $task, et $text.

◆ fetchId()

fetchId | ( | $type = 'Confirm',
 |  | $msg = '',
 |  | $name = '',
 |  | $text = '',
 |  | $task = '',
 |  | $list = true,
 |  | $hideMenu = false
 | ) |

Get the button CSS Id

Paramètres
string | $type | Button type
string | $msg | Message to display
string | $name | Name to be used as apart of the id
string | $text | Button text
string | $task | The task associated with the button
boolean | $list | True to allow use of lists
boolean | $hideMenu | True to hide the menu on click
Renvoie
string Button CSS Id
Depuis
3.0

Références $name.

Documentation des champs

◆ $_name

$_name = 'Confirm'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ConfirmButton.php


Joomla CMS: Référence de la classe CustomButton

  • Joomla
  • CMS
  • Toolbar
  • Button
  • CustomButton
Fonctions membres publiques | Attributs protégés
Référence de la classe CustomButton
+ Graphe d'héritage de CustomButton:
ToolbarButton

Fonctions membres publiques

fetchButton ($type='Custom', $html='', $id='custom')
fetchId ($type='Custom', $html='', $id='custom')
- Fonctions membres publiques hérités de ToolbarButton
__construct ($parent=null)
getName ()
render (&$definition)
fetchIconClass ($identifier)
fetchButton ()

Attributs protégés

$_name = 'Custom'
- Attributs protégés hérités de ToolbarButton
$_name = null
$_parent = null

Description détaillée

Renders a custom button

Depuis
3.0

Documentation des fonctions membres

◆ fetchButton()

fetchButton | ( | $type = 'Custom',
 |  | $html = '',
 |  | $id = 'custom'
 | ) |

Fetch the HTML for the button

Paramètres
string | $type | Button type, unused string.
string | $html | HTML string for the button
string | $id | CSS id for the button
Renvoie
string HTML string for the button
Depuis
3.0

Références $html.

◆ fetchId()

fetchId | ( | $type = 'Custom',
 |  | $html = '',
 |  | $id = 'custom'
 | ) |

Get the button CSS Id

Paramètres
string | $type | Not used.
string | $html | Not used.
string | $id | The id prefix for the button.
Renvoie
string Button CSS Id
Depuis
3.0

Références $id.

Documentation des champs

◆ $_name

$_name = 'Custom'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CustomButton.php


Joomla CMS: Référence de la classe HelpButton

  • Joomla
  • CMS
  • Toolbar
  • Button
  • HelpButton
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe HelpButton
+ Graphe d'héritage de HelpButton:
ToolbarButton

Fonctions membres publiques

fetchButton ($type='Help', $ref='', $com=false, $override=null, $component=null)
fetchId ()
- Fonctions membres publiques hérités de ToolbarButton
__construct ($parent=null)
getName ()
render (&$definition)
fetchIconClass ($identifier)
fetchButton ()

Fonctions membres protégées

_getCommand ($ref, $com, $override, $component)

Attributs protégés

$_name = 'Help'
- Attributs protégés hérités de ToolbarButton
$_name = null
$_parent = null

Description détaillée

Renders a help popup window button

Depuis
3.0

Documentation des fonctions membres

◆ _getCommand()

_getCommand | ( | $ref,
 |  | $com,
 |  | $override,
 |  | $component
 | ) |
protected

Get the JavaScript command for the button

Paramètres
string | $ref | The name of the help screen (its key reference).
boolean | $com | Use the help file in the component directory.
string | $override | Use this URL instead of any other.
string | $component | Name of component to get Help (null for current component)
Renvoie
string JavaScript command string
Depuis
3.0

Références $component, $url, Help\createUrl(), ENT_QUOTES, htmlspecialchars, et json_encode.

◆ fetchButton()

fetchButton | ( | $type = 'Help',
 |  | $ref = '',
 |  | $com = false,
 |  | $override = null,
 |  | $component = null
 | ) |

Fetches the button HTML code.

Paramètres
string | $type | Unused string.
string | $ref | The name of the help screen (its key reference).
boolean | $com | Use the help file in the component directory.
string | $override | Use this URL instead of any other.
string | $component | Name of component to get Help (null for current component)
Renvoie
string
Depuis
3.0

Références $component, $layout, et $options.

◆ fetchId()

fetchId ( )

Get the button id

Redefined from JButton class

Renvoie
string Button CSS Id
Depuis
3.0

Documentation des champs

◆ $_name

$_name = 'Help'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • HelpButton.php


Joomla CMS: Référence de la classe LinkButton

  • Joomla
  • CMS
  • Toolbar
  • Button
  • LinkButton
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe LinkButton
+ Graphe d'héritage de LinkButton:
ToolbarButton

Fonctions membres publiques

fetchButton ($type='Link', $name='back', $text='', $url=null)
fetchId ($type='Link', $name='')
- Fonctions membres publiques hérités de ToolbarButton
__construct ($parent=null)
getName ()
render (&$definition)
fetchIconClass ($identifier)
fetchButton ()

Fonctions membres protégées

_getCommand ($url)

Attributs protégés

$_name = 'Link'
- Attributs protégés hérités de ToolbarButton
$_name = null
$_parent = null

Description détaillée

Renders a link button

Depuis
3.0

Documentation des fonctions membres

◆ _getCommand()

_getCommand ( $url )
protected

Get the JavaScript command for the button

Paramètres
object $url Button definition
Renvoie
string JavaScript command string
Depuis
3.0

Références $url.

◆ fetchButton()

fetchButton | ( | $type = 'Link',
 |  | $name = 'back',
 |  | $text = '',
 |  | $url = null
 | ) |

Fetch the HTML for the button

Paramètres
string | $type | Unused string.
string | $name | Name to be used as apart of the id
string | $text | Button text
string | $url | The link url
Renvoie
string HTML string for the button
Depuis
3.0

Références $layout, $name, $options, $text, et $url.

◆ fetchId()

fetchId | ( | $type = 'Link',
 |  | $name = ''
 | ) |

Get the button CSS Id

Paramètres
string | $type | The button type.
string | $name | The name of the button.
Renvoie
string Button CSS Id
Depuis
3.0

Références $name.

Documentation des champs

◆ $_name

$_name = 'Link'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • LinkButton.php


Joomla CMS: Référence de la classe PopupButton

  • Joomla
  • CMS
  • Toolbar
  • Button
  • PopupButton
Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe PopupButton
+ Graphe d'héritage de PopupButton:
ToolbarButton

Fonctions membres publiques

fetchButton ($type='Modal', $name='', $text='', $url='', $width=640, $height=480, $top=0, $left=0, $onClose='', $title='', $footer=null)
fetchId ($type, $name)
- Fonctions membres publiques hérités de ToolbarButton
__construct ($parent=null)
getName ()
render (&$definition)
fetchIconClass ($identifier)
fetchButton ()

Attributs protégés

$_name = 'Popup'
- Attributs protégés hérités de ToolbarButton
$_name = null
$_parent = null

Fonctions membres privées

_getCommand ($url)

Description détaillée

Renders a modal window button

Depuis
3.0

Documentation des fonctions membres

◆ _getCommand()

_getCommand ( $url )
private

Get the JavaScript command for the button

Paramètres
string $url URL for popup
Renvoie
string JavaScript command string
Depuis
3.0

Références $url.

◆ fetchButton()

fetchButton | ( | $type = 'Modal',
 |  | $name = '',
 |  | $text = '',
 |  | $url = '',
 |  | $width = 640,
 |  | $height = 480,
 |  | $top = 0,
 |  | $left = 0,
 |  | $onClose = '',
 |  | $title = '',
 |  | $footer = null
 | ) |

Fetch the HTML for the button

Paramètres
string | $type | Unused string, formerly button type.
string | $name | Modal name, used to generate element ID
string | $text | The link text
string | $url | URL for popup
integer | $width | Width of popup
integer | $height | Height of popup
integer | $top | Top attribute. [
Obsolète:
Unused, will be removed in 4.0]
Paramètres
integer $left Left attribute. [
Obsolète:
Unused, will be removed in 4.0]
Paramètres
string | $onClose | JavaScript for the onClose event.
string | $title | The title text
string | $footer | The footer html
Renvoie
string HTML string for the button
Depuis
3.0

Références $height, $html, $layout, $name, $onClose, $options, $params, $text, $title, $url, et $width.

◆ fetchId()

fetchId | ( | $type,
 |  | $name
 | ) |

Get the button id

Paramètres
string | $type | Button type
string | $name | Button name
Renvoie
string Button CSS Id
Depuis
3.0

Références $name.

Documentation des champs

◆ $_name

$_name = 'Popup'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • PopupButton.php


Joomla CMS: Référence de la classe SeparatorButton

  • Joomla
  • CMS
  • Toolbar
  • Button
  • SeparatorButton
Fonctions membres publiques | Attributs protégés
Référence de la classe SeparatorButton
+ Graphe d'héritage de SeparatorButton:
ToolbarButton

Fonctions membres publiques

render (&$definition)
fetchButton ()
- Fonctions membres publiques hérités de ToolbarButton
__construct ($parent=null)
getName ()
render (&$definition)
fetchIconClass ($identifier)
fetchButton ()

Attributs protégés

$_name = 'Separator'
- Attributs protégés hérités de ToolbarButton
$_name = null
$_parent = null

Description détaillée

Renders a button separator

Depuis
3.0

Documentation des fonctions membres

◆ fetchButton()

fetchButton ( )

Empty implementation (not required for separator)

Renvoie
void
Depuis
3.0

◆ render()

render ( & $definition )

Get the HTML for a separator in the toolbar

Paramètres
array &$definition Class name and custom width
Renvoie
string The HTML for the separator
Voir également
ToolbarButton::render()
Depuis
3.0

Références $layout, et $options.

Documentation des champs

◆ $_name

$_name = 'Separator'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • SeparatorButton.php


Joomla CMS: Référence de la classe SliderButton

  • Joomla
  • CMS
  • Toolbar
  • Button
  • SliderButton
Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe SliderButton
+ Graphe d'héritage de SliderButton:
ToolbarButton

Fonctions membres publiques

fetchButton ($type='Slider', $name='', $text='', $url='', $width=640, $height=480, $onClose='')
fetchId ($type, $name)
- Fonctions membres publiques hérités de ToolbarButton
__construct ($parent=null)
getName ()
render (&$definition)
fetchIconClass ($identifier)
fetchButton ()

Attributs protégés

$_name = 'Slider'
- Attributs protégés hérités de ToolbarButton
$_name = null
$_parent = null

Fonctions membres privées

_getCommand ($url)

Description détaillée

Renders a button to render an HTML element in a slider container

Depuis
3.0

Documentation des fonctions membres

◆ _getCommand()

_getCommand ( $url )
private

Get the JavaScript command for the button

Paramètres
string $url URL for popup
Renvoie
string JavaScript command string
Depuis
3.0

◆ fetchButton()

fetchButton | ( | $type = 'Slider',
 |  | $name = '',
 |  | $text = '',
 |  | $url = '',
 |  | $width = 640,
 |  | $height = 480,
 |  | $onClose = ''
 | ) |

Fetch the HTML for the button

Paramètres
string | $type | Unused string, formerly button type.
string | $name | Button name
string | $text | The link text
string | $url | URL for popup
integer | $width | Width of popup
integer | $height | Height of popup
string | $onClose | JavaScript for the onClose event.
Renvoie
string HTML string for the button
Depuis
3.0

Références $doTask, $height, $name, $options, $text, $url, et rel.

◆ fetchId()

fetchId | ( | $type,
 |  | $name
 | ) |

Get the button id

Paramètres
string | $type | Button type
string | $name | Button name
Renvoie
string Button CSS Id
Depuis
3.0

Documentation des champs

◆ $_name

$_name = 'Slider'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • SliderButton.php


Joomla CMS: Référence de la classe StandardButton

  • Joomla
  • CMS
  • Toolbar
  • Button
  • StandardButton
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe StandardButton
+ Graphe d'héritage de StandardButton:
ToolbarButton

Fonctions membres publiques

fetchButton ($type='Standard', $name='', $text='', $task='', $list=true)
fetchId ($type='Standard', $name='', $text='', $task='', $list=true, $hideMenu=false)
- Fonctions membres publiques hérités de ToolbarButton
__construct ($parent=null)
getName ()
render (&$definition)
fetchIconClass ($identifier)
fetchButton ()

Fonctions membres protégées

_getCommand ($name, $task, $list)

Attributs protégés

$_name = 'Standard'
- Attributs protégés hérités de ToolbarButton
$_name = null
$_parent = null

Description détaillée

Renders a standard button

Depuis
3.0

Documentation des fonctions membres

◆ _getCommand()

_getCommand | ( | $name,
 |  | $task,
 |  | $list
 | ) |
protected

Get the JavaScript command for the button

Paramètres
string | $name | The task name as seen by the user
string | $task | The task used by the application
boolean | $list | True is requires a list confirmation.
Renvoie
string JavaScript command string
Depuis
3.0

Références $alert, $list, et $task.

◆ fetchButton()

fetchButton | ( | $type = 'Standard',
 |  | $name = '',
 |  | $text = '',
 |  | $task = '',
 |  | $list = true
 | ) |

Fetch the HTML for the button

Paramètres
string | $type | Unused string.
string | $name | The name of the button icon class.
string | $text | Button text.
string | $task | Task associated with the button.
boolean | $list | True to allow lists
Renvoie
string HTML string for the button
Depuis
3.0

Références $layout, $list, $name, $options, $task, et $text.

◆ fetchId()

fetchId | ( | $type = 'Standard',
 |  | $name = '',
 |  | $text = '',
 |  | $task = '',
 |  | $list = true,
 |  | $hideMenu = false
 | ) |

Get the button CSS Id

Paramètres
string | $type | Unused string.
string | $name | Name to be used as apart of the id
string | $text | Button text
string | $task | The task associated with the button
boolean | $list | True to allow use of lists
boolean | $hideMenu | True to hide the menu on click
Renvoie
string Button CSS Id
Depuis
3.0

Références $name.

Documentation des champs

◆ $_name

$_name = 'Standard'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • StandardButton.php


Joomla CMS: Référence de la classe Toolbar

  • Joomla
  • CMS
  • Toolbar
  • Toolbar
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Attributs protégés statiques | Fonctions membres privées
Référence de la classe Toolbar

Fonctions membres publiques

__construct ($name='toolbar')
appendButton ()
getItems ()
getName ()
prependButton ()
render ()
renderButton (&$node)
loadButtonType ($type, $new=false)
addButtonPath ($path)

Fonctions membres publiques statiques

static getInstance ($name='toolbar')

Attributs protégés

$_name = array()
$_bar = array()
$_buttons = array()
$_buttonPath = array()

Attributs protégés statiques

static $instances = array()

Fonctions membres privées

loadButtonClass ($type)

Description détaillée

ToolBar handler

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $name = 'toolbar' )

Constructor

Paramètres
string $name The toolbar name.
Depuis
1.5

Références $name.

Documentation des fonctions membres

◆ addButtonPath()

addButtonPath ( $path )

Add a directory where Toolbar should search for button types in LIFO order.

You may either pass a string or an array of directories.

Toolbar will be searching for an element type in the same order you added them. If the parameter type cannot be found in the custom folders, it will look in libraries/joomla/html/toolbar/button.

Paramètres
mixed $path Directory or directories to search.
Renvoie
void
Depuis
1.5

Références $path, et DIRECTORY_SEPARATOR.

◆ appendButton()

appendButton ( )

Set a value

Renvoie
string The set value.
Depuis
1.5

◆ getInstance()

static getInstance ( $name = 'toolbar' )
static

Returns the global Toolbar object, only creating it if it doesn't already exist.

Paramètres
string $name The name of the toolbar.
Renvoie
The JToolbar object.
Depuis
1.5

Références $name.

Référencé par ToolbarHelper\addNew(), ToolbarHelper\apply(), ToolbarHelper\archiveList(), ToolbarHelper\assign(), ToolbarHelper\back(), ToolbarHelper\cancel(), ToolbarHelper\checkin(), ToolbarHelper\custom(), ToolbarHelper\deleteList(), ToolbarHelper\divider(), ToolbarHelper\editCss(), ToolbarHelper\editHtml(), ToolbarHelper\editList(), ToolbarHelper\help(), ToolbarHelper\link(), ToolbarHelper\makeDefault(), ToolbarHelper\media_manager(), ToolbarHelper\modal(), ToolbarHelper\preferences(), ToolbarHelper\preview(), ToolbarHelper\publish(), ToolbarHelper\publishList(), ToolbarHelper\save(), ToolbarHelper\save2copy(), ToolbarHelper\save2new(), ToolbarHelper\spacer(), ToolbarHelper\trash(), ToolbarHelper\unarchiveList(), ToolbarHelper\unpublish(), ToolbarHelper\unpublishList(), et ToolbarHelper\versions().

◆ getItems()

getItems ( )

Get the list of toolbar links.

Renvoie
array
Depuis
1.6

◆ getName()

getName ( )

Get the name of the toolbar.

Renvoie
string
Depuis
1.6

◆ loadButtonClass()

loadButtonClass ( $type )
private

Load the button class including the deprecated ones.

Paramètres
string $type Button Type
Renvoie
string|null
Depuis
3.8.0

Références $type, et null.

◆ loadButtonType()

loadButtonType | ( | $type,
 |  | $new = false
 | ) |

Loads a button type.

Paramètres
string | $type | Button Type
boolean | $new | False by default
Renvoie
boolean
Depuis
1.5

Références $file, $type, DIRECTORY_SEPARATOR, et JLoader\import().

◆ prependButton()

prependButton ( )

Get a value.

Renvoie
string
Depuis
1.5

◆ render()

render ( )

Render a toolbar.

Renvoie
string HTML for the toolbar.
Depuis
1.5

Références $button, $html, et $layout.

◆ renderButton()

renderButton ( & $node )

Render a button.

Paramètres
object &$node A toolbar node.
Renvoie
string
Depuis
1.5

Références $button, et $type.

Documentation des champs

◆ $_bar

$_bar = array()
protected

◆ $_buttonPath

$_buttonPath = array()
protected

◆ $_buttons

$_buttons = array()
protected

◆ $_name

$_name = array()
protected

◆ $instances

$instances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Toolbar.php


Joomla CMS: Référence de la classe ToolbarButton

  • Joomla
  • CMS
  • Toolbar
  • ToolbarButton
Fonctions membres publiques | Attributs protégés
Référence de la classe ToolbarButton
+ Graphe d'héritage de ToolbarButton:
ConfirmButton CustomButton HelpButton LinkButton PopupButton SeparatorButton SliderButton StandardButton

Fonctions membres publiques

__construct ($parent=null)
getName ()
render (&$definition)
fetchIconClass ($identifier)
fetchButton ()

Attributs protégés

$_name = null
$_parent = null

Description détaillée

Button base class

The JButton is the base class for all JButton types

Depuis
3.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $parent = null )

Constructor

Paramètres
object $parent The parent

Documentation des fonctions membres

◆ fetchButton()

fetchButton ( )
abstract

Get the button

Defined in the final button class

Renvoie
string
Depuis
3.0

◆ fetchIconClass()

fetchIconClass ( $identifier )

Method to get the CSS class name for an icon identifier

Can be redefined in the final class

Paramètres
string $identifier Icon identification string
Renvoie
string CSS class name
Depuis
3.0

Références $layout.

◆ getName()

getName ( )

Get the element name

Renvoie
string type of the parameter
Depuis
3.0

◆ render()

render ( & $definition )

Get the HTML to render the button

Paramètres
array &$definition Parameters to be passed
Renvoie
string
Depuis
3.0

Références $action, $id, $layout, et $options.

Documentation des champs

◆ $_name

$_name = null
protected

◆ $_parent

$_parent = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ToolbarButton.php


Joomla CMS: Référence de la classe ToolbarHelper

  • Joomla
  • CMS
  • Toolbar
  • ToolbarHelper
Fonctions membres publiques statiques
Référence de la classe ToolbarHelper

Fonctions membres publiques statiques

static | title ($title, $icon='generic.png')
static | spacer ($width='')
static | divider ()
static | custom ($task='', $icon='', $iconOver='', $alt='', $listSelect=true)
static | preview ($url='', $updateEditors=false)
static | help ($ref, $com=false, $override=null, $component=null)
static | back ($alt='JTOOLBAR_BACK', $href='javascript:history.back();')
static | link ($url, $text, $name='link')
static | media_manager ($directory='', $alt='JTOOLBAR_UPLOAD')
static | makeDefault ($task='default', $alt='JTOOLBAR_DEFAULT')
static | assign ($task='assign', $alt='JTOOLBAR_ASSIGN')
static | addNew ($task='add', $alt='JTOOLBAR_NEW', $check=false)
static | publish ($task='publish', $alt='JTOOLBAR_PUBLISH', $check=false)
static | publishList ($task='publish', $alt='JTOOLBAR_PUBLISH')
static | unpublish ($task='unpublish', $alt='JTOOLBAR_UNPUBLISH', $check=false)
static | unpublishList ($task='unpublish', $alt='JTOOLBAR_UNPUBLISH')
static | archiveList ($task='archive', $alt='JTOOLBAR_ARCHIVE')
static | unarchiveList ($task='unarchive', $alt='JTOOLBAR_UNARCHIVE')
static | editList ($task='edit', $alt='JTOOLBAR_EDIT')
static | editHtml ($task='edit_source', $alt='JTOOLBAR_EDIT_HTML')
static | editCss ($task='edit_css', $alt='JTOOLBAR_EDIT_CSS')
static | deleteList ($msg='', $task='remove', $alt='JTOOLBAR_DELETE')
static | trash ($task='remove', $alt='JTOOLBAR_TRASH', $check=true)
static | apply ($task='apply', $alt='JTOOLBAR_APPLY')
static | save ($task='save', $alt='JTOOLBAR_SAVE')
static | save2new ($task='save2new', $alt='JTOOLBAR_SAVE_AND_NEW')
static | save2copy ($task='save2copy', $alt='JTOOLBAR_SAVE_AS_COPY')
static | checkin ($task='checkin', $alt='JTOOLBAR_CHECKIN', $check=true)
static | cancel ($task='cancel', $alt='JTOOLBAR_CANCEL')
static | preferences ($component, $height='550', $width='875', $alt='JToolbar_Options', $path='')
static | versions ($typeAlias, $itemId, $height=800, $width=500, $alt='JTOOLBAR_VERSIONS')
static | modal ($targetModalId, $icon, $alt)

Description détaillée

Utility class for the button bar.

Depuis
1.5

Documentation des fonctions membres

◆ addNew()

static addNew | ( | $task = 'add',
 |  | $alt = 'JTOOLBAR_NEW',
 |  | $check = false
 | ) |
static

Writes the common 'new' icon for the button bar.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
boolean | $check | True if required to check that a standard list item is checked.
Renvoie
void
Depuis
1.5

Références $alt, $check, $task, et Toolbar\getInstance().

◆ apply()

static apply | ( | $task = 'apply',
 |  | $alt = 'JTOOLBAR_APPLY'
 | ) |
static

Writes a save button for a given option. Apply operation leads to a save action only (does not leave edit mode).

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ archiveList()

static archiveList | ( | $task = 'archive',
 |  | $alt = 'JTOOLBAR_ARCHIVE'
 | ) |
static

Writes a common 'archive' button for a list of records.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ assign()

static assign | ( | $task = 'assign',
 |  | $alt = 'JTOOLBAR_ASSIGN'
 | ) |
static

Writes a common 'assign' button for a record.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ back()

static back | ( | $alt = 'JTOOLBAR_BACK',
 |  | $href = 'javascript:history.back();'
 | ) |
static

Writes a cancel button that will go back to the previous page without doing any other operation.

Paramètres
string | $alt | Alternative text.
string | $href | URL of the href attribute.
Renvoie
void
Depuis
1.5

Références $alt, $href, et Toolbar\getInstance().

◆ cancel()

static cancel | ( | $task = 'cancel',
 |  | $alt = 'JTOOLBAR_CANCEL'
 | ) |
static

Writes a cancel button and invokes a cancel operation (eg a checkin).

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ checkin()

static checkin | ( | $task = 'checkin',
 |  | $alt = 'JTOOLBAR_CHECKIN',
 |  | $check = true
 | ) |
static

Writes a checkin button for a given option.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
boolean | $check | True if required to check that a standard list item is checked.
Renvoie
void
Depuis
1.7

Références $alt, $check, $task, et Toolbar\getInstance().

◆ custom()

static custom | ( | $task = '',
 |  | $icon = '',
 |  | $iconOver = '',
 |  | $alt = '',
 |  | $listSelect = true
 | ) |
static

Writes a custom option and task button for the button bar.

Paramètres
string | $task | The task to perform (picked up by the switch($task) blocks).
string | $icon | The image to display.
string | $iconOver | The image to display when moused over.
string | $alt | The alt text for the icon image.
bool | $listSelect | True if required to check that a standard list item is checked.
Renvoie
void
Depuis
1.5

Références $alt, $icon, $task, et Toolbar\getInstance().

◆ deleteList()

static deleteList | ( | $msg = '',
 |  | $task = 'remove',
 |  | $alt = 'JTOOLBAR_DELETE'
 | ) |
static

Writes a common 'delete' button for a list of records.

Paramètres
string | $msg | Postscript for the 'are you sure' message.
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ divider()

static divider ( )
static

Writes a divider between menu buttons

Renvoie
void
Depuis
1.5

Références Toolbar\getInstance().

◆ editCss()

static editCss | ( | $task = 'edit_css',
 |  | $alt = 'JTOOLBAR_EDIT_CSS'
 | ) |
static

Writes a common 'edit' button for a template css.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ editHtml()

static editHtml | ( | $task = 'edit_source',
 |  | $alt = 'JTOOLBAR_EDIT_HTML'
 | ) |
static

Writes a common 'edit' button for a template html.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ editList()

static editList | ( | $task = 'edit',
 |  | $alt = 'JTOOLBAR_EDIT'
 | ) |
static

Writes a common 'edit' button for a list of records.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ help()

static help | ( | $ref,
 |  | $com = false,
 |  | $override = null,
 |  | $component = null
 | ) |
static

Writes a preview button for a given option (opens a popup window).

Paramètres
string | $ref | The name of the popup file (excluding the file extension for an xml file).
bool | $com | Use the help file in the component directory.
string | $override | Use this URL instead of any other
string | $component | Name of component to get Help (null for current component)
Renvoie
void
Depuis
1.5

Références $component, et Toolbar\getInstance().

◆ link()

static link | ( | $url,
 |  | $text,
 |  | $name = 'link'
 | ) |
static

Creates a button to redirect to a link

Paramètres
string | $url | The link url
string | $text | Button text
string | $name | Name to be used as apart of the id
Renvoie
void
Depuis
3.5

Références $name, $text, $url, et Toolbar\getInstance().

◆ makeDefault()

static makeDefault | ( | $task = 'default',
 |  | $alt = 'JTOOLBAR_DEFAULT'
 | ) |
static

Writes a common 'default' button for a record.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ media_manager()

static media_manager | ( | $directory = '',
 |  | $alt = 'JTOOLBAR_UPLOAD'
 | ) |
static

Writes a media_manager button.

Paramètres
string | $directory | The subdirectory to upload the media to.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, et Toolbar\getInstance().

◆ modal()

static modal | ( | $targetModalId,
 |  | $icon,
 |  | $alt
 | ) |
static

Displays a modal button

Paramètres
string | $targetModalId | ID of the target modal box
string | $icon | Icon class to show on modal button
string | $alt | Title for the modal button
Renvoie
void
Depuis
3.2

Références $alt, $icon, $title, Text\_(), et Toolbar\getInstance().

◆ preferences()

static preferences | ( | $component,
 |  | $height = '550',
 |  | $width = '875',
 |  | $alt = 'JToolbar_Options',
 |  | $path = ''
 | ) |
static

Writes a configuration button and invokes a cancel operation (eg a checkin).

Paramètres
string | $component | The name of the component, eg, com_content.
integer | $height | The height of the popup. [UNUSED]
integer | $width | The width of the popup. [UNUSED]
string | $alt | The name of the button.
string | $path | An alternative path for the configuation xml relative to JPATH_SITE.
Renvoie
void
Depuis
1.5

Références $alt, $component, $path, $return, $uri, Uri\getInstance(), et Toolbar\getInstance().

◆ preview()

static preview | ( | $url = '',
 |  | $updateEditors = false
 | ) |
static

Writes a preview button for a given option (opens a popup window).

Paramètres
string | $url | The name of the popup file (excluding the file extension)
bool | $updateEditors | Unused
Renvoie
void
Depuis
1.5

Références $url, et Toolbar\getInstance().

◆ publish()

static publish | ( | $task = 'publish',
 |  | $alt = 'JTOOLBAR_PUBLISH',
 |  | $check = false
 | ) |
static

Writes a common 'publish' button.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
boolean | $check | True if required to check that a standard list item is checked.
Renvoie
void
Depuis
1.5

Références $alt, $check, $task, et Toolbar\getInstance().

◆ publishList()

static publishList | ( | $task = 'publish',
 |  | $alt = 'JTOOLBAR_PUBLISH'
 | ) |
static

Writes a common 'publish' button for a list of records.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ save()

static save | ( | $task = 'save',
 |  | $alt = 'JTOOLBAR_SAVE'
 | ) |
static

Writes a save button for a given option. Save operation leads to a save and then close action.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ save2copy()

static save2copy | ( | $task = 'save2copy',
 |  | $alt = 'JTOOLBAR_SAVE_AS_COPY'
 | ) |
static

Writes a save as copy button for a given option. Save as copy operation leads to a save after clearing the key, then returns user to edit mode with new key.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.6

Références $alt, $task, et Toolbar\getInstance().

◆ save2new()

static save2new | ( | $task = 'save2new',
 |  | $alt = 'JTOOLBAR_SAVE_AND_NEW'
 | ) |
static

Writes a save and create new button for a given option. Save and create operation leads to a save and then add action.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.6

Références $alt, $task, et Toolbar\getInstance().

◆ spacer()

static spacer ( $width = '' )
static

Writes a spacer cell.

Paramètres
string $width The width for the cell
Renvoie
void
Depuis
1.5

Références $width, et Toolbar\getInstance().

◆ title()

static title | ( | $title,
 |  | $icon = 'generic.png'
 | ) |
static

Title cell. For the title and toolbar to be rendered correctly, this title function must be called before the starttable function and the toolbars icons this is due to the nature of how the css has been used to position the title in respect to the toolbar.

Paramètres
string | $title | The title.
string | $icon | The space-separated names of the image.
Renvoie
void
Depuis
1.5

Références $app, $html, $icon, $layout, $title, Text\_(), Factory\getApplication(), et Factory\getDocument().

◆ trash()

static trash | ( | $task = 'remove',
 |  | $alt = 'JTOOLBAR_TRASH',
 |  | $check = true
 | ) |
static

Writes a common 'trash' button for a list of records.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
bool | $check | True to allow lists.
Renvoie
void
Depuis
1.5

Références $alt, $check, $task, et Toolbar\getInstance().

◆ unarchiveList()

static unarchiveList | ( | $task = 'unarchive',
 |  | $alt = 'JTOOLBAR_UNARCHIVE'
 | ) |
static

Writes an unarchive button for a list of records.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ unpublish()

static unpublish | ( | $task = 'unpublish',
 |  | $alt = 'JTOOLBAR_UNPUBLISH',
 |  | $check = false
 | ) |
static

Writes a common 'unpublish' button.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
boolean | $check | True if required to check that a standard list item is checked.
Renvoie
void
Depuis
1.5

Références $alt, $check, $task, et Toolbar\getInstance().

◆ unpublishList()

static unpublishList | ( | $task = 'unpublish',
 |  | $alt = 'JTOOLBAR_UNPUBLISH'
 | ) |
static

Writes a common 'unpublish' button for a list of records.

Paramètres
string | $task | An override for the task.
string | $alt | An override for the alt text.
Renvoie
void
Depuis
1.5

Références $alt, $task, et Toolbar\getInstance().

◆ versions()

static versions | ( | $typeAlias,
 |  | $itemId,
 |  | $height = 800,
 |  | $width = 500,
 |  | $alt = 'JTOOLBAR_VERSIONS'
 | ) |
static

Writes a version history

Paramètres
string | $typeAlias | The component and type, for example 'com_content.article'
integer | $itemId | The id of the item, for example the article id.
integer | $height | The height of the popup.
integer | $width | The width of the popup.
string | $alt | The name of the button.
Renvoie
void
Depuis
3.2

Références $alt, $height, $itemId, $lang, $layout, $options, $width, Text\_(), Toolbar\getInstance(), Table\getInstance(), Factory\getLanguage(), et JPATH_ADMINISTRATOR.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ToolbarHelper.php


Joomla CMS: Référence de l'interface UCM

  • Joomla
  • CMS
  • UCM
  • UCM
Référence de l'interface UCM
+ Graphe d'héritage de UCM:
UCMBase UCMType UCMContent

Description détaillée

Interface to handle UCM

Depuis
3.1
La documentation de cette interface a été générée à partir du fichier suivant :
  • UCM.php


Joomla CMS: Référence de la classe UCMBase

  • Joomla
  • CMS
  • UCM
  • UCMBase
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UCMBase
+ Graphe d'héritage de UCMBase:
UCM UCMContent

Fonctions membres publiques

__construct ($alias=null, UCMType $type=null)
getType ()
mapBase ($original, UCMType $type=null)

Fonctions membres protégées

store ($data, TableInterface $table=null, $primaryKey=null)

Attributs protégés

$type
$alias

Description détaillée

Base class for implementing UCM

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $alias = null,
 |  | UCMType | $type = null
 | ) |  |

Instantiate the UCMBase.

Paramètres
string | $alias | The alias string
UCMType | $type | The type object
Depuis
3.1

Références $input, et $type.

Documentation des fonctions membres

◆ getType()

getType ( )

Get the UCM Content type.

Renvoie
UCMType The UCM content type
Depuis
3.1

Références $type.

◆ mapBase()

mapBase | ( |  | $original,
 |  | UCMType | $type = null
 | ) |  |

Method to map the base ucm fields

Paramètres
array | $original | Data array
UCMType | $type | UCM Content Type
Renvoie
array Data array of UCM mappings
Depuis
3.1

Références $data, $type, et ContentHelper\getLanguageId().

◆ store()

store | ( |  | $data,
 |  | TableInterface | $table = null,
 |  |  | $primaryKey = null
 | ) |  |
protected

Store data to the appropriate table

Paramètres
array | $data | Data to be stored
TableInterface | $table | Table Object
string | $primaryKey | The primary key name
Renvoie
boolean True on success
Depuis
3.1
Exceptions

Références $data, Table\getInstance(), et null.

Documentation des champs

◆ $alias

$alias
protected

◆ $type

$type
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • UCMBase.php


Joomla CMS: Référence de la classe UCMContent

  • Joomla
  • CMS
  • UCM
  • UCMContent
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe UCMContent
+ Graphe d'héritage de UCMContent:
UCMBase UCM

Fonctions membres publiques

__construct (TableInterface $table=null, $alias=null, UCMType $type=null)
save ($original=null, UCMType $type=null)
delete ($pk, UCMType $type=null)
mapData ($original, UCMType $type=null)
getPrimaryKey ($typeId, $contentItemId)
- Fonctions membres publiques hérités de UCMBase
__construct ($alias=null, UCMType $type=null)
getType ()
mapBase ($original, UCMType $type=null)

Champs de données

$ucmData

Fonctions membres protégées

store ($data, TableInterface $table=null, $primaryKey=null)
- Fonctions membres protégées hérités de UCMBase
store ($data, TableInterface $table=null, $primaryKey=null)

Attributs protégés

$table
- Attributs protégés hérités de UCMBase
$type
$alias

Description détaillée

Base class for implementing UCM

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | TableInterface | $table = null,
 |  |  | $alias = null,
 |  | UCMType | $type = null
 | ) |  |

Instantiate UCMContent.

Paramètres
TableInterface | $table | The table object
string | $alias | The type alias
UCMType | $type | The type object
Depuis
3.1

Références $type, et Table\getInstance().

Documentation des fonctions membres

◆ delete()

delete | ( |  | $pk,
 |  | UCMType | $type = null
 | ) |  |

Delete content from the Core Content table

Paramètres
mixed | $pk | The string/array of id's to delete
UCMType | $type | The content type object
Renvoie
boolean True if success
Depuis
3.1

Références $db, $query, et $type.

◆ getPrimaryKey()

getPrimaryKey | ( | $typeId,
 |  | $contentItemId
 | ) |

Get the value of the primary key from #__ucm_base

Paramètres
string | $typeId | The ID for the type
integer | $contentItemId | Value of the primary key in the legacy or secondary table
Renvoie
integer The integer of the primary key
Depuis
3.1

Références $db.

◆ mapData()

mapData | ( |  | $original,
 |  | UCMType | $type = null
 | ) |  |

Map the original content to the Core Content fields

Paramètres
array | $original | The original data array
UCMType | $type | Type object for this data
Renvoie
array $ucmData The mapped UCM data
Depuis
3.1

Références $field, $fields, $i, et $type.

◆ save()

save | ( |  | $original = null,
 |  | UCMType | $type = null
 | ) |  |

Method to save the data

Paramètres
array | $original | The original data to be saved
UCMType | $type | The UCM Type object
Renvoie
boolean true
Depuis
3.1

Références $type.

◆ store()

store | ( |  | $data,
 |  | TableInterface | $table = null,
 |  |  | $primaryKey = null
 | ) |  |
protected

Store data to the appropriate table

Paramètres
array | $data | Data to be stored
TableInterface | $table | JTable Object
boolean | $primaryKey | Flag that is true for data that are using #__ucm_content as their primary table
Renvoie
boolean true on success
Depuis
3.1

Références $data, Table\getInstance(), et ContentHelper\getLanguageId().

Documentation des champs

◆ $table

$table
protected

◆ $ucmData

$ucmData
La documentation de cette classe a été générée à partir du fichier suivant :
  • UCMContent.php


Joomla CMS: Référence de la classe UCMType

  • Joomla
  • CMS
  • UCM
  • UCMType
Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe UCMType
+ Graphe d'héritage de UCMType:
UCM

Fonctions membres publiques

__construct ($alias=null, \JDatabaseDriver $database=null, BaseApplication $application=null)
getType ($pk=null)
getTypeByAlias ($typeAlias=null)
getTypeByTable ($tableName)
getTypeId ($alias=null)
fieldmapExpand ($assoc=false)
__get ($ucmField)

Champs de données

$type

Attributs protégés

$db
$alias

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $alias = null,
 |  | \JDatabaseDriver | $database = null,
 |  | BaseApplication | $application = null
 | ) |  |

Class constructor

Paramètres
string | $alias | The alias for the item
\JDatabaseDriver | $database | The database object
BaseApplication | $application | The application object
Depuis
3.1

Références $app.

Documentation des fonctions membres

◆ __get()

__get ( $ucmField )

Magic method to get the name of the field mapped to a ucm field (core_something).

Paramètres
string $ucmField The name of the field in JTableCorecontent
Renvoie
string The name mapped to the $ucmField for a given content type
Depuis
3.2

Références null.

◆ fieldmapExpand()

fieldmapExpand ( $assoc = false )

Method to expand the field mapping

Paramètres
boolean $assoc True to return an associative array.
Renvoie
mixed Array or object with field mappings. Defaults to object.
Depuis
3.2

Références $assoc.

◆ getType()

getType ( $pk = null )

Get the Content Type

Paramètres
integer $pk The primary key of the alias type
Renvoie
object The UCM Type data
Depuis
3.1

Références $query.

Référencé par OrderingField\getQuery().

◆ getTypeByAlias()

getTypeByAlias ( $typeAlias = null )

Get the Content Type from the alias

Paramètres
string $typeAlias The alias for the type
Renvoie
object The UCM Type data
Depuis
3.2

Références $query.

◆ getTypeByTable()

getTypeByTable ( $tableName )

Get the Content Type from the table class name

Paramètres
string $tableName The table for the type
Renvoie
mixed The UCM Type data if found, false if no match is found
Depuis
3.2

Références $query, et $type.

◆ getTypeId()

getTypeId ( $alias = null )

Retrieves the UCM type ID

Paramètres
string $alias The string of the type alias
Renvoie
mixed The ID of the requested type or false if type is not found
Depuis
3.1

Références $id, et $query.

Documentation des champs

◆ $alias

$alias
protected

◆ $db

$db
protected

◆ $type

$type
La documentation de cette classe a été générée à partir du fichier suivant :
  • UCMType.php


Joomla CMS: Référence de la classe CollectionAdapter

  • Joomla
  • CMS
  • Updater
  • Adapter
  • CollectionAdapter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CollectionAdapter
+ Graphe d'héritage de CollectionAdapter:
UpdateAdapter

Fonctions membres publiques

_startElement ($parser, $name, $attrs=array())
findUpdate ($options)
- Fonctions membres publiques hérités de UpdateAdapter
findUpdate ($options)

Fonctions membres protégées

_getStackLocation ()
_getParent ()
_endElement ($parser, $name)
- Fonctions membres protégées hérités de UpdateAdapter
_getStackLocation ()
_getLastTag ()
toggleUpdateSite ($updateSiteId, $enabled=true)
getUpdateSiteName ($updateSiteId)
getUpdateSiteResponse ($options=array())

Attributs protégés

$base
$parent = array(0)
$pop_parent = 0
$update_sites = array()
$updates = array()
- Attributs protégés hérités de UpdateAdapter
$xmlParser
$stack = array('base')
$updateSiteId = 0
$updatecols = array('NAME', 'ELEMENT', 'TYPE', 'FOLDER', 'CLIENT', 'VERSION', 'DESCRIPTION', 'INFOURL', 'EXTRA_QUERY')
$appendExtension = false
$updateSiteName = ''
$_url = ''
$minimum_stability = Updater::STABILITY_STABLE

Description détaillée

Collection Update Adapter Class

Depuis
1.7.0

Documentation des fonctions membres

◆ _endElement()

_endElement | ( | $parser,
 |  | $name
 | ) |
protected

Closing an XML element Note: This is a protected function though has to be exposed externally as a callback

Paramètres
object | $parser | Parser object
string | $name | Name of the element closing
Renvoie
void
Depuis
1.7.0

Références $name, et parent.

◆ _getParent()

_getParent ( )
protected

Get the parent tag

Renvoie
string parent
Depuis
1.7.0

Références parent.

◆ _getStackLocation()

_getStackLocation ( )
protected

Gets the reference to the current direct parent

Renvoie
object
Depuis
1.7.0

◆ _startElement()

_startElement | ( | $parser,
 |  | $name,
 |  | $attrs = array()
 | ) |

Opening an XML element

Paramètres
object | $parser | Parser object
string | $name | Name of element that is opened
array | $attrs | Array of attributes for the element
Renvoie
void
Depuis
1.7.0

Références $attr, $client, $key, $name, ApplicationHelper\getClientInfo(), InputFilter\getInstance(), et Table\getInstance().

◆ findUpdate()

findUpdate ( $options )

Finds an update

Paramètres
array $options Options to use: update_site_id: the unique ID of the update site to look at
Renvoie
array Update_sites and updates discovered
Depuis
1.7.0

Références $app, $options, Log\add(), Factory\getApplication(), et Log\WARNING.

Documentation des champs

◆ $base

$base
protected

◆ $parent

$parent = array(0)
protected

◆ $pop_parent

$pop_parent = 0
protected

◆ $update_sites

$update_sites = array()
protected

◆ $updates

$updates = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • CollectionAdapter.php


Joomla CMS: Référence de la classe ExtensionAdapter

  • Joomla
  • CMS
  • Updater
  • Adapter
  • ExtensionAdapter
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ExtensionAdapter
+ Graphe d'héritage de ExtensionAdapter:
UpdateAdapter

Fonctions membres publiques

findUpdate ($options)
- Fonctions membres publiques hérités de UpdateAdapter
findUpdate ($options)

Fonctions membres protégées

_startElement ($parser, $name, $attrs=array())
_endElement ($parser, $name)
_characterData ($parser, $data)
stabilityTagToInteger ($tag)
- Fonctions membres protégées hérités de UpdateAdapter
_getStackLocation ()
_getLastTag ()
toggleUpdateSite ($updateSiteId, $enabled=true)
getUpdateSiteName ($updateSiteId)
getUpdateSiteResponse ($options=array())

Membres hérités additionnels

- Attributs protégés hérités de UpdateAdapter
$xmlParser
$stack = array('base')
$updateSiteId = 0
$updatecols = array('NAME', 'ELEMENT', 'TYPE', 'FOLDER', 'CLIENT', 'VERSION', 'DESCRIPTION', 'INFOURL', 'EXTRA_QUERY')
$appendExtension = false
$updateSiteName = ''
$_url = ''
$minimum_stability = Updater::STABILITY_STABLE

Description détaillée

Extension class for updater

Depuis
1.7.0

Documentation des fonctions membres

◆ _characterData()

_characterData | ( | $parser,
 |  | $data
 | ) |
protected

Character Parser Function

Paramètres
object | $parser | Parser object.
object | $data | The data.
Renvoie
void
Note
This is public because its called externally.
Depuis
1.7.0

Références $data.

◆ _endElement()

_endElement | ( | $parser,
 |  | $name
 | ) |
protected

Character Parser Function

Paramètres
object | $parser | Parser object.
object | $name | The name of the element.
Renvoie
void
Depuis
1.7.0

Références $db, $name, Log\add(), Factory\getApplication(), Factory\getDbo(), InputFilter\getInstance(), Version\PATCH_VERSION, Version\PRODUCT, et Log\WARNING.

◆ _startElement()

_startElement | ( | $parser,
 |  | $name,
 |  | $attrs = array()
 | ) |
protected

Start element parser callback.

Paramètres
object | $parser | The parser object.
string | $name | The name of the element.
array | $attrs | The attributes of the element.
Renvoie
void
Depuis
1.7.0

Références $name, et Table\getInstance().

◆ findUpdate()

findUpdate ( $options )

Finds an update.

Paramètres
array $options Update options.
Renvoie
array Array containing the array of update sites and array of updates
Depuis
1.7.0

Références $app, $options, Log\add(), Factory\getApplication(), ApplicationHelper\getClientInfo(), et Log\WARNING.

◆ stabilityTagToInteger()

stabilityTagToInteger ( $tag )
protected

Converts a tag to numeric stability representation. If the tag doesn't represent a known stability level (one of dev, alpha, beta, rc, stable) it is ignored.

Paramètres
string $tag The tag string, e.g. dev, alpha, beta, rc, stable
Renvoie
integer
Depuis
3.4

Références Updater\STABILITY_STABLE.

La documentation de cette classe a été générée à partir du fichier suivant :
  • ExtensionAdapter.php


Joomla CMS: Référence de la classe DownloadSource

  • Joomla
  • CMS
  • Updater
  • DownloadSource
Champs de données
Référence de la classe DownloadSource

Champs de données

const | FORMAT_TAR_BZIP = 'bz2'
const | FORMAT_TAR_GZ = 'gz'
const | FORMAT_ZIP = 'zip'
const | TYPE_FULL = 'full'
const | TYPE_PATCH = 'patch'
const | TYPE_UPGRADE = 'upgrade'
$type = self::TYPE_FULL
$format = self::FORMAT_ZIP
$url

Description détaillée

Data object representing a download source given as part of an update's <downloads> element

Depuis
3.8.3

Documentation des champs

◆ $format

$format = self::FORMAT_ZIP

◆ $type

$type = self::TYPE_FULL

◆ $url

$url

◆ FORMAT_TAR_BZIP

const FORMAT_TAR_BZIP = 'bz2'

◆ FORMAT_TAR_GZ

const FORMAT_TAR_GZ = 'gz'

◆ FORMAT_ZIP

const FORMAT_ZIP = 'zip'

◆ TYPE_FULL

const TYPE_FULL = 'full'

◆ TYPE_PATCH

const TYPE_PATCH = 'patch'

◆ TYPE_UPGRADE

const TYPE_UPGRADE = 'upgrade'
La documentation de cette classe a été générée à partir du fichier suivant :
  • DownloadSource.php


Joomla CMS: Référence de la classe Update

  • Joomla
  • CMS
  • Updater
  • Update
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe Update
+ Graphe d'héritage de Update:

Fonctions membres publiques

_startElement ($parser, $name, $attrs=array())
_endElement ($parser, $name)
_characterData ($parser, $data)
loadFromXml ($url, $minimumStability=Updater::STABILITY_STABLE)

Fonctions membres protégées

_getStackLocation ()
_getLastTag ()
stabilityTagToInteger ($tag)

Attributs protégés

$name
$description
$element
$type
$version
$infourl
$client
$group
$downloads
$downloadSources = array()
$tags
$maintainer
$maintainerurl
$category
$relationships
$targetplatform
$extra_query
$xmlParser
$stack = array('base')
$stateStore = array()
$currentUpdate
$latest
$minimum_stability = Updater::STABILITY_STABLE
$compatibleVersions = array()

Description détaillée

Update class. It is used by Updater::update() to install an update. Use Updater::findUpdates() to find updates for an extension.

Depuis
1.7.0

Documentation des fonctions membres

◆ _characterData()

_characterData | ( | $parser,
 |  | $data
 | ) |

Character Parser Function

Paramètres
object | $parser | Parser object.
object | $data | The data.
Renvoie
void
Note
This is public because its called externally.
Depuis
1.7.0

Références $data.

◆ _endElement()

_endElement | ( | $parser,
 |  | $name
 | ) |

Callback for closing the element

Paramètres
object | $parser | Parser object
string | $name | Name of element that was closed
Renvoie
void
Note
This is public because it is called externally
Depuis
1.7.0

Références $db, $key, $name, Log\add(), elseif, Factory\getDbo(), InputFilter\getInstance(), Version\PATCH_VERSION, Version\PRODUCT, et Log\WARNING.

◆ _getLastTag()

_getLastTag ( )
protected

Get the last position in stack count

Renvoie
string
Depuis
1.7.0

◆ _getStackLocation()

_getStackLocation ( )
protected

Gets the reference to the current direct parent

Renvoie
object
Depuis
1.7.0

◆ _startElement()

_startElement | ( | $parser,
 |  | $name,
 |  | $attrs = array()
 | ) |

XML Start Element callback

Paramètres
object | $parser | Parser object
string | $name | Name of the tag found
array | $attrs | Attributes of the tag
Renvoie
void
Note
This is public because it is called externally
Depuis
1.7.0

Références $data, $key, et $name.

◆ loadFromXml()

loadFromXml | ( | $url,
 |  | $minimumStability = Updater::STABILITY_STABLE
 | ) |

Loads an XML file from a URL.

Paramètres
string | $url | The URL.
int | $minimumStability | The minimum stability required for updating the extension {
Voir également
Updater}
Renvoie
boolean True on success
Depuis
1.7.0

Références $url, $version, Log\add(), HttpFactory\getHttp(), null, Registry\set(), et Log\WARNING.

◆ stabilityTagToInteger()

stabilityTagToInteger ( $tag )
protected

Converts a tag to numeric stability representation. If the tag doesn't represent a known stability level (one of dev, alpha, beta, rc, stable) it is ignored.

Paramètres
string $tag The tag string, e.g. dev, alpha, beta, rc, stable
Renvoie
integer
Depuis
3.4

Références Updater\STABILITY_STABLE.

Documentation des champs

◆ $category

$category
protected

◆ $client

$client
protected

◆ $compatibleVersions

$compatibleVersions = array()
protected

◆ $currentUpdate

$currentUpdate
protected

◆ $description

$description
protected

◆ $downloads

$downloads
protected

◆ $downloadSources

$downloadSources = array()
protected

◆ $element

$element
protected

◆ $extra_query

$extra_query
protected

◆ $group

$group
protected

◆ $infourl

$infourl
protected

◆ $latest

$latest
protected

◆ $maintainer

$maintainer
protected

◆ $maintainerurl

$maintainerurl
protected

◆ $minimum_stability

$minimum_stability = Updater::STABILITY_STABLE
protected

◆ $name

$name
protected

◆ $relationships

$relationships
protected

◆ $stack

$stack = array('base')
protected

◆ $stateStore

$stateStore = array()
protected

◆ $tags

$tags
protected

◆ $targetplatform

$targetplatform
protected

◆ $type

$type
protected

◆ $version

$version
protected

◆ $xmlParser

$xmlParser
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Updater/Update.php


Joomla CMS: Référence de la classe UpdateAdapter

  • Joomla
  • CMS
  • Updater
  • UpdateAdapter
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UpdateAdapter
+ Graphe d'héritage de UpdateAdapter:
CollectionAdapter ExtensionAdapter

Fonctions membres publiques

findUpdate ($options)

Fonctions membres protégées

_getStackLocation ()
_getLastTag ()
toggleUpdateSite ($updateSiteId, $enabled=true)
getUpdateSiteName ($updateSiteId)
getUpdateSiteResponse ($options=array())

Attributs protégés

$xmlParser
$stack = array('base')
$updateSiteId = 0
$updatecols = array('NAME', 'ELEMENT', 'TYPE', 'FOLDER', 'CLIENT', 'VERSION', 'DESCRIPTION', 'INFOURL', 'EXTRA_QUERY')
$appendExtension = false
$updateSiteName = ''
$_url = ''
$minimum_stability = Updater::STABILITY_STABLE

Description détaillée

UpdateAdapter class.

Depuis
1.7.0

Documentation des fonctions membres

◆ _getLastTag()

_getLastTag ( )
protected

Gets the reference to the last tag

Renvoie
object
Depuis
1.7.0

◆ _getStackLocation()

_getStackLocation ( )
protected

Gets the reference to the current direct parent

Renvoie
object
Depuis
1.7.0

◆ findUpdate()

findUpdate ( $options )
abstract

Finds an update

Paramètres
array $options Options to use: update_site_id: the unique ID of the update site to look at
Renvoie
array Update_sites and updates discovered
Depuis
1.7.0

◆ getUpdateSiteName()

getUpdateSiteName ( $updateSiteId )
protected

Get the name of an update site. This is used in logging.

Paramètres
int $updateSiteId The numeric ID of the update site
Renvoie
string The name of the update site or an empty string if it's not found

Références $db, $name, $query, et parent.

◆ getUpdateSiteResponse()

getUpdateSiteResponse ( $options = array() )
protected

Try to get the raw HTTP response from the update site, hopefully containing the update XML.

Paramètres
array $options The update options, see findUpdate() in children classes
Renvoie
boolean| False if we can't connect to the site, JHttpResponse otherwise
Exceptions

Références $app, $options, $startTime, $url, $version, Log\add(), Factory\getApplication(), HttpFactory\getHttp(), Log\INFO, null, Registry\set(), et Log\WARNING.

◆ toggleUpdateSite()

toggleUpdateSite | ( | $updateSiteId,
 |  | $enabled = true
 | ) |
protected

Toggles the enabled status of an update site. Update sites are disabled before getting the update information from their URL and enabled afterwards. If the URL fetch fails with a PHP fatal error (e.g. timeout) the faulty update site will remain disabled the next time we attempt to load the update information.

Paramètres
int | $updateSiteId | The numeric ID of the update site to enable/disable
bool | $enabled | Enable the site when true, disable it when false
Renvoie
void

Références $db, $enabled, $query, et parent.

Documentation des champs

◆ $_url

$_url = ''
protected

◆ $appendExtension

$appendExtension = false
protected

◆ $minimum_stability

$minimum_stability = Updater::STABILITY_STABLE
protected

◆ $stack

$stack = array('base')
protected

◆ $updatecols

$updatecols = array('NAME', 'ELEMENT', 'TYPE', 'FOLDER', 'CLIENT', 'VERSION', 'DESCRIPTION', 'INFOURL', 'EXTRA_QUERY')
protected

◆ $updateSiteId

$updateSiteId = 0
protected

◆ $updateSiteName

$updateSiteName = ''
protected

◆ $xmlParser

$xmlParser
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • UpdateAdapter.php


Joomla CMS: Référence de la classe Updater

  • Joomla
  • CMS
  • Updater
  • Updater
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés statiques | Fonctions membres privées
Référence de la classe Updater
+ Graphe d'héritage de Updater:

Fonctions membres publiques

__construct ($basepath=__DIR__, $classprefix='\\Joomla\\CMS\\Updater\\Adapter', $adapterfolder='Adapter')
update ($id)

Fonctions membres publiques statiques

static getInstance ()

Champs de données

const | STABILITY_DEV = 0
const | STABILITY_ALPHA = 1
const | STABILITY_BETA = 2
const | STABILITY_RC = 3
const | STABILITY_STABLE = 4

Attributs protégés statiques

static $instance

Fonctions membres privées

getUpdateSites ($eid=0)
getSitesWithUpdates ($timestamp=0)
updateLastCheckTimestamp ($updateSiteId)

Description détaillée

Updater Class

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $basepath = __DIR__,
 |  | $classprefix = '\\Joomla\\CMS\\Updater\\Adapter',
 |  | $adapterfolder = 'Adapter'
 | ) |

Constructor

Paramètres
string | $basepath | Base Path of the adapters
string | $classprefix | Class prefix of adapters
string | $adapterfolder | Name of folder to append to base path
Depuis
3.1

Documentation des fonctions membres

◆ getInstance()

static getInstance ( )
static

Returns a reference to the global Installer object, only creating it if it doesn't already exist.

Renvoie
Updater An installer object
Depuis
1.7.0

◆ getSitesWithUpdates()

getSitesWithUpdates ( $timestamp = 0 )
private

Returns the IDs of the update sites with cached updates

Paramètres
int $timestamp Optional. If set, only update sites checked before $timestamp will be taken into account.
Renvoie
array The IDs of the update sites with cached updates
Depuis
3.6.0

Références $db, $query, et Factory\getDbo().

◆ getUpdateSites()

getUpdateSites ( $eid = 0 )
private

Returns the update site records for an extension with ID $eid. If $eid is zero all enabled update sites records will be returned.

Paramètres
int $eid The extension ID to fetch.
Renvoie
array
Depuis
3.6.0

Références $db, $query, et elseif.

◆ update()

update ( $id )

Finds an update for an extension

Paramètres
integer $id Id of the extension
Renvoie
mixed
Depuis
3.6.0
Obsolète:
4.0 No replacement.

Références $id, et Table\getInstance().

◆ updateLastCheckTimestamp()

updateLastCheckTimestamp ( $updateSiteId )
private

Update the last check timestamp of an update site

Paramètres
int $updateSiteId The update site ID to mark as just checked
Renvoie
void
Depuis
3.6.0

Références $db, $query, et Factory\getDbo().

Documentation des champs

◆ $instance

$instance
staticprotected

◆ STABILITY_ALPHA

const STABILITY_ALPHA = 1

◆ STABILITY_BETA

const STABILITY_BETA = 2

◆ STABILITY_DEV

const STABILITY_DEV = 0

◆ STABILITY_RC

const STABILITY_RC = 3

◆ STABILITY_STABLE

const STABILITY_STABLE = 4

Référencé par ExtensionAdapter\stabilityTagToInteger(), et Update\stabilityTagToInteger().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Updater.php


Joomla CMS: Référence de la classe Uri

  • Joomla
  • CMS
  • Uri
  • Uri
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés statiques
Référence de la classe Uri
+ Graphe d'héritage de Uri:
Uri AbstractUri UriInterface

Fonctions membres publiques

setPath ($path)
parse ($uri)
- Fonctions membres publiques hérités de Uri
setVar ($name, $value)
delVar ($name)
setQuery ($query)
setScheme ($scheme)
setUser ($user)
setPass ($pass)
setHost ($host)
setPort ($port)
setPath ($path)
setFragment ($anchor)
- Fonctions membres publiques hérités de AbstractUri
__construct ($uri=null)
__toString ()
toString (array $parts=array('scheme', 'user', 'pass', 'host', 'port', 'path', 'query', 'fragment'))
render ($parts=self::ALL)
hasVar ($name)
getVar ($name, $default=null)
getQuery ($toArray=false)
getScheme ()
getUser ()
getPass ()
getHost ()
getPort ()
getPath ()
getFragment ()
isSsl ()

Fonctions membres publiques statiques

static | getInstance ($uri='SERVER')
static | base ($pathonly=false)
static | root ($pathonly=false, $path=null)
static | current ()
static | reset ()
static | isInternal ($url)
static | buildQuery (array $params)

Fonctions membres protégées

_cleanPath ($path)
- Fonctions membres protégées hérités de AbstractUri
parse ($uri)
cleanPath ($path)

Attributs protégés statiques

static | $instances = array()
static | $base = array()
static | $root = array()
static | $current

Membres hérités additionnels

- Champs de données hérités de UriInterface
const | SCHEME = 1
const | USER = 2
const | PASS = 4
const | HOST = 8
const | PORT = 16
const | PATH = 32
const | QUERY = 64
const | FRAGMENT = 128
const | ALL = 255
- Fonctions membres protégées statiques hérités de AbstractUri
static | buildQuery (array $params)
- Attributs protégés hérités de AbstractUri
$uri
$scheme
$host
$port
$user
$pass
$path
$query
$fragment
$vars = array()

Description détaillée

JUri Class

This class serves two purposes. First it parses a URI and provides a common interface for the Joomla Platform to access and manipulate a URI. Second it obtains the URI of the current executing script from the server regardless of server.

Depuis
1.7.0

Documentation des fonctions membres

◆ _cleanPath()

_cleanPath ( $path )
protected

Resolves //, ../ and ./ from a path and returns the result. Eg:

/foo/bar/../boo.php => /foo/boo.php /foo/bar/../../boo.php => /boo.php /foo/bar/.././/boo.php => /foo/boo.php

Paramètres
string $path The URI path to clean.
Renvoie
string Cleaned and resolved URI path.
Depuis
1.7.0
Obsolète:
4.0 Use Joomla\Uri\Uri::cleanPath()instead

Références AbstractUri\$path.

Référencé par Uri\setPath().

◆ base()

static base ( $pathonly = false )
static

Returns the base URI for the request.

Paramètres
boolean $pathonly If false, prepend the scheme, host and port information. Default is false.
Renvoie
string The base URI string
Depuis
1.7.0

Références $base, $config, AbstractUri\$uri, JPATH_ADMINISTRATOR, et JPATH_BASE.

Référencé par OpensearchDocument\__construct(), HtmlDocument\_fetchTemplate(), HtmlDocument\_loadTemplate(), DocumentRenderer\_relToAbs(), HTMLHelper\includeRelativeFiles(), et ErrorDocument\render().

◆ buildQuery()

static buildQuery ( array $params )
static

Build a query from an array (reverse of the PHP parse_str()).

Paramètres
array $params The array of key => value pairs to return as a query string.
Renvoie
string The resulting query string.
Voir également
parse_str()
Depuis
1.7.0
Note
The parent method is protected, this exposes it as public for B/C

Références $params.

◆ current()

static current ( )
static

Returns the URL for the request, minus the query.

Renvoie
string
Depuis
1.7.0

Références $current, et AbstractUri\$uri.

◆ getInstance()

static getInstance ( $uri = 'SERVER' )
static

Returns the global JUri object, only creating it if it doesn't already exist.

Paramètres
string $uri The URI to parse. [optional: if null uses script URI]
Renvoie
Uri The URI object.
Depuis
1.7.0

Références AbstractUri\$uri, et elseif.

Référencé par OpensearchDocument\__construct(), Factory\getUri(), Route\link(), ToolbarHelper\preferences(), RssRenderer\render(), et AtomRenderer\render().

◆ isInternal()

static isInternal ( $url )
static

Checks if the supplied URL is internal

Paramètres
string $url The URL to check.
Renvoie
boolean True if Internal.
Depuis
1.7.0

Références Uri\$base, AbstractUri\$host, AbstractUri\$uri, et $url.

◆ parse()

parse ( $uri )

Parse a given URI and populate the class fields.

Paramètres
string $uri The URI string to parse.
Renvoie
boolean True on success.
Depuis
1.7.0
Note
The parent method is protected, this exposes it as public for B/C

Références AbstractUri\$uri.

◆ reset()

static reset ( )
static

Method to reset class static members for testing and other various issues.

Renvoie
void
Depuis
1.7.0

Références $base, $current, et $root.

◆ root()

static root | ( | $pathonly = false,
 |  | $path = null
 | ) |
static

Returns the root URI for the request.

Paramètres
boolean | $pathonly | If false, prepend the scheme, host and port information. Default is false.
string | $path | The path
Renvoie
string The root URI string.
Depuis
1.7.0

Références AbstractUri\$path, $root, et AbstractUri\$uri.

Référencé par AdministratorRouter\build(), HTMLHelper\includeRelativeFiles(), et PlgUserJoomla\onUserAfterSave().

◆ setPath()

setPath ( $path )

Set the URI path string. Note we keep this method here so it uses the old _cleanPath function

Paramètres
string $path The URI path string.
Renvoie
void
Depuis
1.7.0
Obsolète:
4.0 Use Joomla\Uri\Uri::setPath()
Note
Present to proxy calls to the deprecated JUri::_cleanPath() method.

Références AbstractUri\$path, et Uri\_cleanPath().

Documentation des champs

◆ $base

$base = array()
staticprotected

Référencé par Uri\isInternal().

◆ $current

$current
staticprotected

◆ $instances

$instances = array()
staticprotected

◆ $root

$root = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Uri/Uri.php


Joomla CMS: Référence de la classe User

  • Joomla
  • CMS
  • User
  • User
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés | Attributs protégés statiques
Référence de la classe User
+ Graphe d'héritage de User:

Fonctions membres publiques

__construct ($identifier=0, UserWrapper $userHelper=null)
getParam ($key, $default=null)
setParam ($key, $value)
defParam ($key, $value)
authorise ($action, $assetname=null)
getAuthorisedCategories ($component, $action)
getAuthorisedViewLevels ()
getAuthorisedGroups ()
clearAccessRights ()
setLastVisit ($timestamp=null)
getParameters ()
getTimezone ()
setParameters ($params)
bind (&$array)
save ($updateOnly=false)
delete ()
load ($id)
__sleep ()
__wakeup ()

Fonctions membres publiques statiques

static | getInstance ($identifier=0, UserWrapper $userHelper=null)
static | getTable ($type=null, $prefix='JTable')

Champs de données

$id = null
$name = null
$username = null
$email = null
$password = null
$password_clear = ''
$block = null
$sendEmail = null
$registerDate = null
$lastvisitDate = null
$activation = null
$params = null
$groups = array()
$guest = null
$lastResetTime = null
$resetCount = null
$requireReset = null

Attributs protégés

$isRoot = null
$_params = null
$_authGroups = null
$_authLevels = null
$_authActions = null
$_errorMsg = null
$userHelper = null

Attributs protégés statiques

static $instances = array()

Description détaillée

User class. Handles all application interaction with a user

Depuis
1.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $identifier = 0,
 |  | UserWrapper | $userHelper = null
 | ) |  |

Constructor activating the default information of the language

Paramètres
integer | $identifier | The primary key of the user to load (optional).
UserWrapper | $userHelper | The UserWrapper for the static methods. [
Obsolète:
4.0]
Depuis
1.7.0

Références User\$userHelper, User\load(), et null.

Documentation des fonctions membres

◆ __sleep()

__sleep ( )

Method to allow serialize the object with minimal properties.

Renvoie
array The names of the properties to include in serialization.
Depuis
3.6.0

◆ __wakeup()

__wakeup ( )

Method to recover the full object on unserialize.

Renvoie
void
Depuis
3.6.0

Références User\$id, et User\load().

◆ authorise()

authorise | ( | $action,
 |  | $assetname = null
 | ) |

Method to check User object authorisation against an access control object and optionally an access extension object

Paramètres
string | $action | The name of the action to check for permission.
string | $assetname | The name of the asset on which to perform the action.
Renvoie
boolean True if authorised
Depuis
1.7.0

Références $action, Access\check(), elseif, Access\getAssetRules(), User\getAuthorisedGroups(), null, et true.

Référencé par UsersControllerUser\allowEdit(), et User\getAuthorisedCategories().

◆ bind()

bind ( & $array )

Method to bind an associative array of data to a user object

Paramètres
array &$array The associative array to bind to the object
Renvoie
boolean True on success
Depuis
1.7.0

Références User\$params, User\$password, et ArrayHelper\getValue().

◆ clearAccessRights()

clearAccessRights ( )

Clears the access rights cache of this user

Renvoie
void
Depuis
3.4.0

Références Access\clearStatics(), et null.

◆ defParam()

defParam | ( | $key,
 |  | $value
 | ) |

Method to set a default parameter if it does not exist

Paramètres
string | $key | Parameter key
mixed | $value | Parameter value
Renvoie
mixed Set parameter value
Depuis
1.7.0

Références $key, et $value.

◆ delete()

delete ( )

Method to delete the User object from the database

Renvoie
boolean True on success
Depuis
1.7.0

Références $dispatcher, JEventDispatcher\getInstance(), User\getTable(), et PluginHelper\importPlugin().

◆ getAuthorisedCategories()

getAuthorisedCategories | ( | $component,
 |  | $action
 | ) |

Method to return a list of all categories that a user has permission for a given action

Paramètres
string | $component | The component from which to retrieve the categories
string | $action | The name of the section within the component from which to retrieve the actions.
Renvoie
array List of categories that this group can do this action to (empty array if none). Categories must be published.
Depuis
1.7.0

Références $action, $category, $component, $db, $query, et User\authorise().

◆ getAuthorisedGroups()

getAuthorisedGroups ( )

Gets an array of the authorised user groups

Renvoie
array
Depuis
1.7.0

Références User\$_authGroups, Access\getGroupsByUser(), et null.

Référencé par User\authorise().

◆ getAuthorisedViewLevels()

getAuthorisedViewLevels ( )

Gets an array of the authorised access levels for the user

Renvoie
array
Depuis
1.7.0

Références User\$_authLevels, Access\getAuthorisedViewLevels(), et null.

◆ getInstance()

static getInstance | ( |  | $identifier = 0,
 |  | UserWrapper | $userHelper = null
 | ) |  |
static

Returns the global User object, only creating it if it doesn't already exist.

Paramètres
integer | $identifier | The primary key of the user to load (optional).
UserWrapper | $userHelper | The UserWrapper for the static methods. [
Obsolète:
4.0]
Renvoie
User The User object.
Depuis
1.7.0

Références User\$id, $user, User\$userHelper, et null.

Référencé par PlgUserJoomla\_getUser(), UserHelper\activateUser(), UserHelper\addUserToGroup(), UserField\getLayoutData(), Factory\getUser(), UserHelper\getUserGroups(), PlgSystemActionLogs\onContentPrepareData(), PlgSystemActionLogs\onContentPrepareForm(), PlgActionlogJoomla\onUserLogout(), UserHelper\removeUserFromGroup(), et UserHelper\setUserGroups().

◆ getParam()

getParam | ( | $key,
 |  | $default = null
 | ) |

Method to get a parameter value

Paramètres
string | $key | Parameter key
mixed | $default | Parameter default value
Renvoie
mixed The value or the default if it did not exist
Depuis
1.7.0

Références $default, et $key.

Référencé par User\getTimezone().

◆ getParameters()

getParameters ( )

Method to get the user parameters

This method used to load the user parameters from a file.

Renvoie
object The user parameters object.
Depuis
1.7.0
Obsolète:
4.0 - Instead use User::getParam()

Références User\$_params.

◆ getTable()

static getTable | ( | $type = null,
 |  | $prefix = 'JTable'
 | ) |
static

Method to get the user table object

This function uses a static variable to store the table name of the user table to instantiate. You can call this function statically to set the table name if needed.

Paramètres
string | $type | The user table name to be used
string | $prefix | The user table prefix to be used
Renvoie
object The user table object
Note
At 4.0 this method will no longer be static
Depuis
1.7.0

Références $prefix, $type, et Table\getInstance().

Référencé par UsersModelUser\activate(), UsersModelUser\block(), UsersModelUser\delete(), User\delete(), User\load(), User\save(), et User\setLastVisit().

◆ getTimezone()

getTimezone ( )

Method to get the user timezone.

If the user didn't set a timezone, it will return the server timezone

Renvoie
Depuis
3.7.0

Références User\getParam().

◆ load()

load ( $id )

Method to load a User object by user id number

Paramètres
mixed $id The user id of the user to load
Renvoie
boolean True on success
Depuis
1.7.0

Références User\$id, et User\getTable().

Référencé par User\__construct(), et User\__wakeup().

◆ save()

save ( $updateOnly = false )

Method to save the User object to the database

Paramètres
boolean $updateOnly Save the object only if not a new user Currently only used in the user reset password method.
Renvoie
boolean True on success
Depuis
1.7.0
Exceptions

Références $dispatcher, User\$password, Access\check(), Access\checkGroup(), JEventDispatcher\getInstance(), User\getTable(), PluginHelper\importPlugin(), et null.

◆ setLastVisit()

setLastVisit ( $timestamp = null )

Pass through method to the table for setting the last visit date

Paramètres
integer $timestamp The timestamp, defaults to 'now'.
Renvoie
boolean True on success.
Depuis
1.7.0

Références User\getTable().

◆ setParam()

setParam | ( | $key,
 |  | $value
 | ) |

Method to set a parameter

Paramètres
string | $key | Parameter key
mixed | $value | Parameter value
Renvoie
mixed Set parameter value
Depuis
1.7.0

Références $key, et $value.

◆ setParameters()

setParameters ( $params )

Method to get the user parameters

Paramètres
object $params The user parameters object
Renvoie
void
Depuis
1.7.0

Références User\$params.

Documentation des champs

◆ $_authActions

$_authActions = null
protected

◆ $_authGroups

$_authGroups = null
protected

Référencé par User\getAuthorisedGroups().

◆ $_authLevels

$_authLevels = null
protected

Référencé par User\getAuthorisedViewLevels().

◆ $_errorMsg

$_errorMsg = null
protected

◆ $_params

$_params = null
protected

Référencé par User\getParameters().

◆ $activation

$activation = null

Référencé par UserWrapper\activateUser(), et UserHelper\activateUser().

◆ $block

$block = null

◆ $email

$email = null

◆ $groups

$groups = array()

Référencé par UserWrapper\setUserGroups(), et UserHelper\setUserGroups().

◆ $guest

$guest = null

◆ $id

$id = null

Référencé par User\__wakeup(), UserHelper\activateUser(), User\getInstance(), et User\load().

◆ $instances

$instances = array()
staticprotected

◆ $isRoot

$isRoot = null
protected

◆ $lastResetTime

$lastResetTime = null

◆ $lastvisitDate

$lastvisitDate = null

◆ $name

$name = null

◆ $params

$params = null

Référencé par User\bind(), et User\setParameters().

◆ $password

$password = null

Référencé par User\bind(), UserWrapper\hashPassword(), UserHelper\hashPassword(), User\save(), UserWrapper\verifyPassword(), et UserHelper\verifyPassword().

◆ $password_clear

$password_clear = ''

◆ $registerDate

$registerDate = null

◆ $requireReset

$requireReset = null

◆ $resetCount

$resetCount = null

◆ $sendEmail

$sendEmail = null

◆ $userHelper

$userHelper = null
protected

Référencé par User\__construct(), et User\getInstance().

◆ $username

$username = null

Référencé par UserWrapper\getUserId(), et UserHelper\getUserId().

La documentation de cette classe a été générée à partir du fichier suivant :
  • User/User.php


Joomla CMS: Référence de la classe UserHelper

  • Joomla
  • CMS
  • User
  • UserHelper
Fonctions membres publiques statiques | Fonctions membres protégées statiques | Fonctions membres privées statiques
Référence de la classe UserHelper

Fonctions membres publiques statiques

static | addUserToGroup ($userId, $groupId)
static | getUserGroups ($userId)
static | removeUserFromGroup ($userId, $groupId)
static | setUserGroups ($userId, $groups)
static | getProfile ($userId=0)
static | activateUser ($activation)
static | getUserId ($username)
static | hashPassword ($password, $algorithm=PASSWORD_BCRYPT, array $options=array())
static | verifyPassword ($password, $hash, $userId=0)
static | getCryptedPassword ($plaintext, $salt='', $encryption='md5-hex', $showEncrypt=false)
static | getSalt ($encryption='md5-hex', $seed='', $plaintext='')
static | genRandomPassword ($length=8)
static | invalidateCookie ($userId, $cookieName)
static | clearExpiredTokens ()
static | getRememberCookieData ()
static | getShortHashedUserAgent ()
static | checkSuperUserInUsers (array $userIds)
static | destroyUserSessions ($userId, $keepCurrent=false, $clientId=null)

Fonctions membres protégées statiques

static _toAPRMD5 ($value, $count)

Fonctions membres privées statiques

static _bin ($hex)

Description détaillée

Authorisation helper class, provides static methods to perform various tasks relevant to the Joomla user and authorisation classes

This class has influences and some method logic from the Horde Auth package

Depuis
1.7.0

Documentation des fonctions membres

◆ _bin()

static _bin ( $hex )
staticprivate

Converts hexadecimal string to binary data.

Paramètres
string $hex Hex data.
Renvoie
string Binary data.
Depuis
1.7.0

Références $i, et $tmp.

◆ _toAPRMD5()

static _toAPRMD5 | ( | $value,
 |  | $count
 | ) |
staticprotected

Converts to allowed 64 characters for APRMD5 passwords.

Paramètres
string | $value | The value to convert.
integer | $count | The number of characters to convert.
Renvoie
string $value converted to the 64 MD5 characters.
Depuis
1.7.0

Références $count, et $value.

◆ activateUser()

static activateUser ( $activation )
static

Method to activate a user

Paramètres
string $activation Activation string
Renvoie
boolean True on success
Depuis
1.7.0

Références User\$activation, $db, User\$id, $query, $user, et User\getInstance().

Référencé par UserWrapper\activateUser().

◆ addUserToGroup()

static addUserToGroup | ( | $userId,
 |  | $groupId
 | ) |
static

Method to add a user to a group.

Paramètres
integer | $userId | The id of the user.
integer | $groupId | The id of the group.
Renvoie
boolean True on success
Depuis
1.7.0
Exceptions

Références $db, $query, $user, $userId, User\getInstance(), et null.

Référencé par UserWrapper\addUserToGroup().

◆ checkSuperUserInUsers()

static checkSuperUserInUsers ( array $userIds )
static

Check if there is a super user in the user ids.

Paramètres
array $userIds An array of user IDs on which to operate
Renvoie
boolean True on success, false on failure
Depuis
3.6.5

Références $userId, et Access\checkGroup().

◆ clearExpiredTokens()

static clearExpiredTokens ( )
static

Clear all expired tokens for all users.

Renvoie
mixed Database query result
Depuis
3.2
Obsolète:
4.0 This is handled in the authentication plugin itself

Références $db, $now, et $query.

Référencé par UserWrapper\clearExpiredTokens().

◆ destroyUserSessions()

static destroyUserSessions | ( | $userId,
 |  | $keepCurrent = false,
 |  | $clientId = null
 | ) |
static

Destroy all active session for a given user id

Paramètres
int | $userId | Id of user
boolean | $keepCurrent | Keep the session of the currently acting user
int | $clientId | Application client id
Renvoie
boolean
Depuis
3.9.28

Références $clientId, $db, $query, $userId, et null.

Référencé par UsersModelUser\block(), PlgPrivacyUser\onPrivacyRemoveData(), et UsersModelUser\save().

◆ genRandomPassword()

static genRandomPassword ( $length = 8 )
static

Generate a random password

Paramètres
integer $length Length of the password to generate
Renvoie
string Random Password
Depuis
1.7.0

Références $base, et $i.

Référencé par Session\_createToken(), et UserWrapper\genRandomPassword().

◆ getCryptedPassword()

static getCryptedPassword | ( | $plaintext,
 |  | $salt = '',
 |  | $encryption = 'md5-hex',
 |  | $showEncrypt = false
 | ) |
static

Formats a password using the old encryption methods.

Paramètres
string | $plaintext | The plaintext password to encrypt.
string | $salt | The salt to use to encrypt the password. [] If not present, a new salt will be generated.
string | $encryption | The kind of password encryption to use. Defaults to md5-hex.
boolean | $showEncrypt | Some password systems prepend the kind of encryption to the crypted password ({SHA}, etc). Defaults to false.
Renvoie
string The encrypted password.
Depuis
1.7.0
Obsolète:
4.0

Références $context, et $i.

Référencé par UserWrapper\getCryptedPassword().

◆ getProfile()

static getProfile ( $userId = 0 )
static

Gets the user profile information

Paramètres
integer $userId The id of the user.
Renvoie
object
Depuis
1.7.0

Références $data, $dispatcher, $user, $userId, JEventDispatcher\getInstance(), et PluginHelper\importPlugin().

Référencé par UserWrapper\getProfile().

◆ getRememberCookieData()

static getRememberCookieData ( )
static

Method to get the remember me cookie data

Renvoie
mixed An array of information from an authentication cookie or false if there is no cookie
Depuis
3.2
Obsolète:
4.0 This is handled in the authentication plugin itself

Références $app.

Référencé par UserWrapper\getRememberCookieData().

◆ getSalt()

static getSalt | ( | $encryption = 'md5-hex',
 |  | $seed = '',
 |  | $plaintext = ''
 | ) |
static

Returns a salt for the appropriate kind of password encryption using the old encryption methods. Optionally takes a seed and a plaintext password, to extract the seed of an existing password, or for encryption types that use the plaintext in the generation of the salt.

Paramètres
string | $encryption | The kind of password encryption to use. Defaults to md5-hex.
string | $seed | The seed to get the salt from (probably a previously generated password). Defaults to generating a new seed.
string | $plaintext | The plaintext password that we're generating a salt for. Defaults to none.
Renvoie
string The generated or extracted salt.
Depuis
1.7.0
Obsolète:
4.0

Références $i.

Référencé par UserWrapper\getSalt().

◆ getShortHashedUserAgent()

static getShortHashedUserAgent ( )
static

Method to get a hashed user agent string that does not include browser version. Used when frequent version changes cause problems.

Renvoie
string A hashed user agent string with version replaced by 'abcd'
Depuis
3.2

Référencé par UserWrapper\getShortHashedUserAgent().

◆ getUserGroups()

static getUserGroups ( $userId )
static

Method to get a list of groups a user is in.

Paramètres
integer $userId The id of the user.
Renvoie
array List of groups
Depuis
1.7.0

Références $user, $userId, et User\getInstance().

Référencé par UserWrapper\getUserGroups().

◆ getUserId()

static getUserId ( $username )
static

Returns userid if a user exists

Paramètres
string $username The username to search on.
Renvoie
integer The user id or 0 if not found.
Depuis
1.7.0

Références $db, $query, et User\$username.

Référencé par UserWrapper\getUserId().

◆ hashPassword()

static hashPassword | ( |  | $password,
 |  |  | $algorithm = PASSWORD_BCRYPT,
 |  | array | $options = array()
 | ) |  |
static

Hashes a password using the current encryption.

Paramètres
string | $password | The plaintext password to encrypt.
integer | $algorithm | The hashing algorithm to use, represented by PASSWORD_* constants.
array | $options | The options for the algorithm to use.
Renvoie
string The encrypted password.
Depuis
3.2.1

Références $options, et User\$password.

Référencé par UserWrapper\hashPassword().

◆ invalidateCookie()

static invalidateCookie | ( | $userId,
 |  | $cookieName
 | ) |
static

Method to remove a cookie record from the database and the browser

Paramètres
string | $userId | User ID for this user
string | $cookieName | Series id (cookie name decoded)
Renvoie
boolean True on success
Depuis
3.2
Obsolète:
4.0 This is handled in the authentication plugin itself. The 'invalid' column in the db should be removed as well

Références $app, $db, $query, et $userId.

Référencé par UserWrapper\invalidateCookie().

◆ removeUserFromGroup()

static removeUserFromGroup | ( | $userId,
 |  | $groupId
 | ) |
static

Method to remove a user from a group.

Paramètres
integer | $userId | The id of the user.
integer | $groupId | The id of the group.
Renvoie
boolean True on success
Depuis
1.7.0

Références $key, $user, $userId, et User\getInstance().

Référencé par UserWrapper\removeUserFromGroup().

◆ setUserGroups()

static setUserGroups | ( | $userId,
 |  | $groups
 | ) |
static

Method to set the groups for a user.

Paramètres
integer | $userId | The id of the user.
array | $groups | An array of group ids to put the user in.
Renvoie
boolean True on success
Depuis
1.7.0

Références $db, User\$groups, $i, $n, $query, $results, $user, $userId, User\getInstance(), et ArrayHelper\toInteger().

Référencé par UserWrapper\setUserGroups().

◆ verifyPassword()

static verifyPassword | ( | $password,
 |  | $hash,
 |  | $userId = 0
 | ) |
static

Formats a password using the current encryption. If the user ID is given and the hash does not fit the current hashing algorithm, it automatically updates the hash.

Paramètres
string | $password | The plaintext password to check.
string | $hash | The hash to verify against.
integer | $userId | ID of the user if the password hash should be updated
Renvoie
boolean True if the password and hash match, false otherwise
Depuis
3.2.1

Références $hash, $parts, User\$password, $user, $userId, et elseif.

Référencé par UserWrapper\verifyPassword().

La documentation de cette classe a été générée à partir du fichier suivant :
  • UserHelper.php


Joomla CMS: Référence de la classe UserWrapper

  • Joomla
  • CMS
  • User
  • UserWrapper
Fonctions membres publiques
Référence de la classe UserWrapper

Fonctions membres publiques

addUserToGroup ($userId, $groupId)
getUserGroups ($userId)
removeUserFromGroup ($userId, $groupId)
setUserGroups ($userId, $groups)
getProfile ($userId=0)
activateUser ($activation)
getUserId ($username)
hashPassword ($password, $algorithm=PASSWORD_BCRYPT, array $options=array())
verifyPassword ($password, $hash, $userId=0)
getCryptedPassword ($plaintext, $salt='', $encryption='md5-hex', $showEncrypt=false)
getSalt ($encryption='md5-hex', $seed='', $plaintext='')
genRandomPassword ($length=8)
invalidateCookie ($userId, $cookieName)
clearExpiredTokens ()
getRememberCookieData ()
getShortHashedUserAgent ()

Description détaillée

Wrapper class for UserHelper

Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Documentation des fonctions membres

◆ activateUser()

activateUser ( $activation )

Helper wrapper method for activateUser

Paramètres
string $activation Activation string
Renvoie
boolean True on success
Voir également
UserHelper::activateUser()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références User\$activation, et UserHelper\activateUser().

◆ addUserToGroup()

addUserToGroup | ( | $userId,
 |  | $groupId
 | ) |

Helper wrapper method for addUserToGroup

Paramètres
integer | $userId | The id of the user.
integer | $groupId | The id of the group.
Renvoie
boolean True on success
Voir également
UserHelper::addUserToGroup()
Depuis
3.4
Exceptions

Références $userId, et UserHelper\addUserToGroup().

◆ clearExpiredTokens()

clearExpiredTokens ( )

Helper wrapper method for clearExpiredTokens

Renvoie
mixed Database query result
Voir également
UserHelper::clearExpiredTokens()
Depuis
3.4
Obsolète:
4.0

Références UserHelper\clearExpiredTokens().

◆ genRandomPassword()

genRandomPassword ( $length = 8 )

Helper wrapper method for genRandomPassword

Paramètres
integer $length Length of the password to generate
Renvoie
string Random Password
Voir également
UserHelper::genRandomPassword()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références UserHelper\genRandomPassword().

◆ getCryptedPassword()

getCryptedPassword | ( | $plaintext,
 |  | $salt = '',
 |  | $encryption = 'md5-hex',
 |  | $showEncrypt = false
 | ) |

Helper wrapper method for getCryptedPassword

Paramètres
string | $plaintext | The plaintext password to encrypt.
string | $salt | The salt to use to encrypt the password. [] If not present, a new salt will be generated.
string | $encryption | The kind of password encryption to use. Defaults to md5-hex.
boolean | $showEncrypt | Some password systems prepend the kind of encryption to the crypted password ({SHA}, etc). Defaults to false.
Renvoie
string The encrypted password.
Voir également
UserHelper::getCryptedPassword()
Depuis
3.4
Obsolète:
4.0

Références UserHelper\getCryptedPassword().

◆ getProfile()

getProfile ( $userId = 0 )

Helper wrapper method for getProfile

Paramètres
integer $userId The id of the user.
Renvoie
object
Voir également
UserHelper::getProfile()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références $userId, et UserHelper\getProfile().

◆ getRememberCookieData()

getRememberCookieData ( )

Helper wrapper method for getRememberCookieData

Renvoie
mixed An array of information from an authentication cookie or false if there is no cookie
Voir également
UserHelper::getRememberCookieData()
Depuis
3.4
Obsolète:
4.0

Références UserHelper\getRememberCookieData().

◆ getSalt()

getSalt | ( | $encryption = 'md5-hex',
 |  | $seed = '',
 |  | $plaintext = ''
 | ) |

Helper wrapper method for getSalt

Paramètres
string | $encryption | The kind of password encryption to use. Defaults to md5-hex.
string | $seed | The seed to get the salt from (probably a previously generated password). Defaults to generating a new seed.
string | $plaintext | The plaintext password that we're generating a salt for. Defaults to none.
Renvoie
string The generated or extracted salt.
Voir également
UserHelper::getSalt()
Depuis
3.4
Obsolète:
4.0

Références UserHelper\getSalt().

◆ getShortHashedUserAgent()

getShortHashedUserAgent ( )

Helper wrapper method for getShortHashedUserAgent

Renvoie
string A hashed user agent string with version replaced by 'abcd'
Voir également
UserHelper::getShortHashedUserAgent()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références UserHelper\getShortHashedUserAgent().

◆ getUserGroups()

getUserGroups ( $userId )

Helper wrapper method for getUserGroups

Paramètres
integer $userId The id of the user.
Renvoie
array List of groups
Voir également
UserHelper::addUserToGroup()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références $userId, et UserHelper\getUserGroups().

◆ getUserId()

getUserId ( $username )

Helper wrapper method for getUserId

Paramètres
string $username The username to search on.
Renvoie
integer The user id or 0 if not found.
Voir également
UserHelper::getUserId()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références User\$username, et UserHelper\getUserId().

◆ hashPassword()

hashPassword | ( |  | $password,
 |  |  | $algorithm = PASSWORD_BCRYPT,
 |  | array | $options = array()
 | ) |  |

Helper wrapper method for hashPassword

Paramètres
string | $password | The plaintext password to encrypt.
integer | $algorithm | The hashing algorithm to use, represented by PASSWORD_* constants.
array | $options | The options for the algorithm to use.
Renvoie
string The encrypted password.
Voir également
UserHelper::hashPassword()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références $options, User\$password, et UserHelper\hashPassword().

◆ invalidateCookie()

invalidateCookie | ( | $userId,
 |  | $cookieName
 | ) |

Helper wrapper method for invalidateCookie

Paramètres
string | $userId | User ID for this user
string | $cookieName | Series id (cookie name decoded)
Renvoie
boolean True on success
Voir également
UserHelper::invalidateCookie()
Depuis
3.4
Obsolète:
4.0

Références $userId, et UserHelper\invalidateCookie().

◆ removeUserFromGroup()

removeUserFromGroup | ( | $userId,
 |  | $groupId
 | ) |

Helper wrapper method for removeUserFromGroup

Paramètres
integer | $userId | The id of the user.
integer | $groupId | The id of the group.
Renvoie
boolean True on success
Voir également
UserHelper::removeUserFromGroup()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références $userId, et UserHelper\removeUserFromGroup().

◆ setUserGroups()

setUserGroups | ( | $userId,
 |  | $groups
 | ) |

Helper wrapper method for setUserGroups

Paramètres
integer | $userId | The id of the user.
array | $groups | An array of group ids to put the user in.
Renvoie
boolean True on success
Voir également
UserHelper::setUserGroups()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références User\$groups, $userId, et UserHelper\setUserGroups().

◆ verifyPassword()

verifyPassword | ( | $password,
 |  | $hash,
 |  | $userId = 0
 | ) |

Helper wrapper method for verifyPassword

Paramètres
string | $password | The plaintext password to check.
string | $hash | The hash to verify against.
integer | $userId | ID of the user if the password hash should be updated
Renvoie
boolean True if the password and hash match, false otherwise
Voir également
UserHelper::verifyPassword()
Depuis
3.4
Obsolète:
4.0 Use Joomla\CMS\User\UserHelper directly

Références $hash, User\$password, $userId, et UserHelper\verifyPassword().

La documentation de cette classe a été générée à partir du fichier suivant :
  • UserWrapper.php


Joomla CMS: Référence de la classe BufferStreamHandler

  • Joomla
  • CMS
  • Utility
  • BufferStreamHandler
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs privés statiques
Référence de la classe BufferStreamHandler

Fonctions membres publiques

stream_open ($path, $mode, $options, &$openedPath)
stream_read ($count)
stream_write ($data)
stream_tell ()
stream_eof ()
stream_seek ($offset, $whence)

Fonctions membres publiques statiques

static stream_register ()

Champs de données

$position = 0
$name = null
$buffers = array()

Fonctions membres protégées

seek_set ($offset)
seek_cur ($offset)
seek_end ($offset)

Attributs privés statiques

static $registered = false

Description détaillée

Generic Buffer stream handler

This class provides a generic buffer stream. It can be used to store/retrieve/manipulate string buffers with the standard PHP filesystem I/O methods.

Depuis
1.7.0

Documentation des fonctions membres

◆ seek_cur()

seek_cur ( $offset )
protected

Adds the offset to current position

Paramètres
integer $offset The offset in bytes
Renvoie
boolean

Références $offset.

◆ seek_end()

seek_end ( $offset )
protected

Sets the position to the end of the current buffer + offset

Paramètres
integer $offset The offset in bytes
Renvoie
boolean

Références $offset, et name.

◆ seek_set()

seek_set ( $offset )
protected

Set the position to the offset

Paramètres
integer $offset The offset in bytes
Renvoie
boolean

Références $offset, et name.

◆ stream_eof()

stream_eof ( )

Function to test for end of file pointer

Renvoie
boolean True if the pointer is at the end of the stream
Voir également
streamWrapper::stream_eof
Depuis
1.7.0

Références name.

◆ stream_open()

stream_open | ( |  | $path,
 |  |  | $mode,
 |  |  | $options,
 |  | & | $openedPath
 | ) |  |

Function to open file or url

Paramètres
string | $path | The URL that was passed
string | $mode | Mode used to open the file
Voir également
fopen
Paramètres
integer | $options | Flags used by the API, may be STREAM_USE_PATH and STREAM_REPORT_ERRORS
string | &$openedPath | Full path of the resource. Used with STREAM_USE_PATH option
Renvoie
boolean
Depuis
1.7.0
Voir également
streamWrapper::stream_open

Références $name, $path, $url, name, et null.

◆ stream_read()

stream_read ( $count )

Read stream

Paramètres
integer $count How many bytes of data from the current position should be returned.
Renvoie
mixed The data from the stream up to the specified number of bytes (all data if the total number of bytes in the stream is less than $count. Null if the stream is empty.
Voir également
streamWrapper::stream_read
Depuis
1.7.0

Références $count, et name.

◆ stream_register()

static stream_register ( )
static

Function to register the stream wrapper

Renvoie
void
Depuis
3.8.2

Référencé par FtpClient\__construct().

◆ stream_seek()

stream_seek | ( | $offset,
 |  | $whence
 | ) |

The read write position updates in response to $offset and $whence

Paramètres
integer | $offset | The offset in bytes
integer | $whence | Position the offset is added to Options are SEEK_SET, SEEK_CUR, and SEEK_END
Renvoie
boolean True if updated
Voir également
streamWrapper::stream_seek
Depuis
1.7.0

Références $offset.

◆ stream_tell()

stream_tell ( )

Function to get the current position of the stream

Renvoie
integer
Voir également
streamWrapper::stream_tell
Depuis
1.7.0

Références $position.

◆ stream_write()

stream_write ( $data )

Write stream

Paramètres
string $data The data to write to the stream.
Renvoie
integer
Voir également
streamWrapper::stream_write
Depuis
1.7.0

Références $data, $name, et name.

Documentation des champs

◆ $buffers

$buffers = array()

◆ $name

$name = null

◆ $position

$position = 0

◆ $registered

$registered = false
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • BufferStreamHandler.php


Joomla CMS: Référence de la classe Utility

  • Joomla
  • CMS
  • Utility
  • Utility
Fonctions membres publiques statiques
Référence de la classe Utility

Fonctions membres publiques statiques

static | parseAttributes ($string)
static | getMaxUploadSize ($custom=null)

Description détaillée

JUtility is a utility functions class

Depuis
1.7.0

Documentation des fonctions membres

◆ getMaxUploadSize()

static getMaxUploadSize ( $custom = null )
static

Method to get the maximum allowed file size for the HTTP uploads based on the active PHP configuration

Paramètres
mixed $custom A custom upper limit, if the PHP settings are all above this then this will be used
Renvoie
integer Size in number of bytes
Depuis
3.7.0

◆ parseAttributes()

static parseAttributes ( $string )
static

Method to extract key/value pairs out of a string with XML style attributes

Paramètres
string $string String containing XML style attributes
Renvoie
array Key/Value pairs for the attributes
Depuis
1.7.0

Références $attr, et $i.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Utility.php


Joomla CMS: Référence de l'interface VersionableTableInterface

  • Joomla
  • CMS
  • Versioning
  • VersionableTableInterface
Fonctions membres publiques
Référence de l'interface VersionableTableInterface
+ Graphe d'héritage de VersionableTableInterface:
TableInterface

Fonctions membres publiques

getTypeAlias ()
- Fonctions membres publiques hérités de TableInterface
bind ($src, $ignore=array())
check ()
delete ($pk=null)
getDbo ()
getKeyName ()
load ($keys=null, $reset=true)
reset ()
store ($updateNulls=false)

Description détaillée

Interface for a versionable Table class

Depuis
3.10.0

Documentation des fonctions membres

◆ getTypeAlias()

getTypeAlias ( )

Get the type alias for the history table

The type alias generally is the internal component name with the content type. Ex.: com_content.article

Renvoie
string The alias as described above
Depuis
3.10.0
La documentation de cette interface a été générée à partir du fichier suivant :
  • VersionableTableInterface.php


Joomla CMS: Référence de la classe Factory

  • Joomla
  • CMS
  • Factory
Fonctions membres publiques statiques | Attributs publics statiques | Fonctions membres protégées statiques
Référence de la classe Factory

Fonctions membres publiques statiques

static | getApplication ($id=null, array $config=array(), $prefix='J')
static | getConfig ($file=null, $type='PHP', $namespace='')
static | getSession (array $options=array())
static | getLanguage ()
static | getDocument ()
static | getUser ($id=null)
static | getCache ($group='', $handler='callback', $storage=null)
static | getAcl ()
static | getDbo ()
static | getMailer ()
static | getFeedParser ($url, $cacheTime=0)
static | getXml ($data, $isFile=true)
static | getEditor ($editor=null)
static | getUri ($uri='SERVER')
static | getDate ($time='now', $tzOffset=null)
static | getStream ($usePrefix=true, $useNetwork=true, $userAgentSuffix=null, $maskUserAgent=false)

Attributs publics statiques

static | $application = null
static | $cache = null
static | $config = null
static | $dates = array()
static | $session = null
static | $language = null
static | $document = null
static | $acl = null
static | $database = null
static | $mailer = null

Fonctions membres protégées statiques

static | createConfig ($file, $type='PHP', $namespace='')
static | createSession (array $options=array())
static | createDbo ()
static | createMailer ()
static | createLanguage ()
static | createDocument ()

Description détaillée

Joomla Platform Factory class.

Depuis
1.7.0

Documentation des fonctions membres

◆ createConfig()

static createConfig | ( | $file,
 |  | $type = 'PHP',
 |  | $namespace = ''
 | ) |
staticprotected

Create a configuration object

Paramètres
string | $file | The path to the configuration file.
string | $type | The type of the configuration file.
string | $namespace | The namespace of the configuration file.
Renvoie
Registry
Voir également
Registry
Depuis
1.7.0

Références $config, $file, $name, et $type.

◆ createDbo()

static createDbo ( )
staticprotected

Create a database object

Renvoie
Voir également
Depuis
1.7.0

Références $db, $options, $password, $prefix, $user, et JDatabaseDriver\getInstance().

◆ createDocument()

static createDocument ( )
staticprotected

Create a document object

Renvoie
object
Voir également
Depuis
1.7.0

Références $attributes, $input, $lang, $type, et $version.

◆ createLanguage()

static createLanguage ( )
staticprotected

Create a language object

Renvoie
Language object
Voir également
Language
Depuis
1.7.0

Références $lang, et Language\getInstance().

◆ createMailer()

static createMailer ( )
staticprotected

Create a mailer object

Renvoie
object
Voir également
Depuis
1.7.0

Références Log\add(), MailHelper\cleanLine(), Mail\getInstance(), MailHelper\isEmailAddress(), null, et Log\WARNING.

◆ createSession()

static createSession ( array $options = array() )
staticprotected

Create a session object

Paramètres
array $options An array containing session options
Renvoie
Session object
Depuis
1.7.0

Références $input, $options, et Session\getInstance().

◆ getAcl()

static getAcl ( )
static

Get an authorization object

Returns the global Access object, only creating it if it doesn't already exist.

Renvoie
Access object
Obsolète:
4.0 - Use JAccess directly.

Références Log\add(), et Log\WARNING.

◆ getApplication()

static getApplication | ( |  | $id = null,
 |  | array | $config = array(),
 |  |  | $prefix = 'J'
 | ) |  |
static

Get an application object.

Returns the global CMSApplication object, only creating it if it doesn't already exist.

Paramètres
mixed | $id | A client identifier or name.
array | $config | An optional associative array of configuration settings.
string | $prefix | Application prefix
Renvoie
CMSApplication object
Voir également
JApplication
Depuis
1.7.0
Exceptions

Références $id, Log\createDelegatedLogger(), et CMSApplication\getInstance().

Référencé par Route\_(), ExtensionAdapter\_endElement(), ActionlogsModelActionlogs\buildDateRange(), ActionlogsModelActionlogs\delete(), ContentViewCategory\display(), PlgSystemFields\display(), CollectionAdapter\findUpdate(), ExtensionAdapter\findUpdate(), HtmlDocument\getBuffer(), CMSHelper\getCurrentLanguage(), ContentHelper\getCurrentLanguage(), ActionlogsHelper\getHumanReadableLogMessage(), JFormFieldterms\getLayoutData(), FrontendlanguageField\getOptions(), TagField\getOptions(), UpdateAdapter\getUpdateSiteResponse(), HTMLHelper\includeRelativeFiles(), Route\link(), PlgSystemActionLogs\onContentPrepareForm(), ActionlogsModelActionlogs\populateState(), ActionlogsModelActionlogs\purge(), AdminModel\redirectToAssociations(), ExceptionHandler\render(), Mail\Send(), CaptchaField\setup(), et ToolbarHelper\title().

◆ getCache()

static getCache | ( | $group = '',
 |  | $handler = 'callback',
 |  | $storage = null
 | ) |
static

Get a cache object

Returns the global CacheController object

Paramètres
string | $group | The cache group name
string | $handler | The handler to use
string | $storage | The storage method
Renvoie
object
Voir également
JCache
Depuis
1.7.0

Références $hash, $options, et Cache\getInstance().

Référencé par HtmlDocument\getBuffer().

◆ getConfig()

static getConfig | ( | $file = null,
 |  | $type = 'PHP',
 |  | $namespace = ''
 | ) |
static

Get a configuration object

Returns the global JConfigobject,onlycreatingitifitdoesn'talreadyexist.@paramstring$fileThepathtotheconfigurationfile@paramstring$typeThetypeoftheconfigurationfile@paramstring$namespaceThenamespaceoftheconfigurationfile@returnRegistry@seeRegistry@since1.7.0

Références $config, $file, $type, JPATH_CONFIGURATION, et null.

Référencé par PlgSystemActionLogs\clearCacheGroups(), HTMLHelper\date(), EditorField\getEditor(), HTMLHelper\includeRelativeFiles(), Mail\isSendmail(), Mail\Send(), et Mail\sendMail().

◆ getDate()

static getDate | ( | $time = 'now',
 |  | $tzOffset = null
 | ) |
static

Return the Date object

Paramètres
mixed | $time | The initial time for the JDate object
mixed | $tzOffset | The timezone offset.
Renvoie
Date object
Voir également
Date
Depuis
1.7.0

Références $date, $key, et $language.

Référencé par ActionlogsModelActionlog\addLog(), HTMLHelper\date(), et PlgSystemActionLogs\onAfterRespond().

◆ getDbo()

static getDbo ( )
static

Get a database object.

Returns the global JDatabaseDriverobject,onlycreatingitifitdoesn'talreadyexist.@return\JDatabaseDriver@see\JDatabaseDriver@since1.7.0

Référencé par ExtensionAdapter\_endElement(), Update\_endElement(), HTMLHelper\calendar(), ContentHelper\countRelations(), MVCFactory\createTable(), EditorField\getEditor(), MenuField\getGroups(), TemplatestyleField\getGroups(), MenuitemField\getGroups(), CMSHelper\getLanguageId(), ContentHelper\getLanguageId(), JFormFieldterms\getLayoutData(), ActionlogsHelper\getLogContentTypeParams(), FrontendlanguageField\getOptions(), JFormFieldExtension\getOptions(), JFormFieldLogCreator\getOptions(), AuthorField\getOptions(), ContenttypeField\getOptions(), TagField\getOptions(), OrderingField\getQuery(), Updater\getSitesWithUpdates(), ChromestyleField\getTemplates(), ActionlogsHelper\loadActionLogPluginsLanguage(), ExistsRule\test(), et Updater\updateLastCheckTimestamp().

◆ getDocument()

static getDocument ( )
static

Get a document object.

Returns the global JDocumentobject,onlycreatingitifitdoesn'talreadyexist.@return\JDocumentobject@see\JDocument@since1.7.0

Références $document.

Référencé par HTMLHelper\calendar(), ModulepositionField\getInput(), Text\script(), HTMLHelper\script(), HTMLHelper\stylesheet(), et ToolbarHelper\title().

◆ getEditor()

static getEditor ( $editor = null )
static

Get an editor object.

Paramètres
string $editor The editor to load, depends on the editor plugins that are installed
Renvoie
Editor instance of Editor
Depuis
1.7.0
Exceptions

Références $editor, Log\add(), Editor\getInstance(), et Log\WARNING.

◆ getFeedParser()

static getFeedParser | ( | $url,
 |  | $cacheTime = 0
 | ) |
static

Get a parsed XML Feed Source

Paramètres
string | $url | Url for feed source.
integer | $cacheTime | Time to cache feed for (using internal cache mechanism).
Renvoie
mixed SimplePie parsed object on success, false on failure.
Depuis
1.7.0
Exceptions

Références $url, Log\add(), et Log\WARNING.

◆ getLanguage()

static getLanguage ( )
static

Get a language object.

Returns the global Language object, only creating it if it doesn't already exist.

Renvoie
Language object
Voir également
Language
Depuis
1.7.0

Références $language.

Référencé par Text\_(), LastvisitdaterangeField\__construct(), UseractiveField\__construct(), RegistrationdaterangeField\__construct(), Categories\__construct(), Text\alt(), HTMLHelper\calendar(), HTMLHelper\date(), TemplatestyleField\getGroups(), JFormFieldterms\getLayoutData(), ContenttypeField\getOptions(), ActionlogsHelper\loadActionLogPluginsLanguage(), ActionlogsHelper\loadTranslationFiles(), PlgUserJoomla\onUserAfterSave(), Text\passSprintf(), Text\plural(), Text\printf(), ExceptionHandler\render(), Text\script(), Text\sprintf(), et ToolbarHelper\versions().

◆ getMailer()

static getMailer ( )
static

Get a mailer object.

Returns the global JMailobject,onlycreatingitifitdoesn'talreadyexist.@return\JMailobject@seeJMail@since1.7.0

Référencé par PlgUserJoomla\onUserAfterSave(), et ActionlogsModelActionlog\sendNotificationEmails().

◆ getSession()

static getSession ( array $options = array() )
static

Get a session object.

Returns the global Session object, only creating it if it doesn't already exist.

Paramètres
array $options An array containing session options
Renvoie
Session object
Voir également
Session
Depuis
1.7.0

Références $options.

Référencé par SessionMetadataGc\doExecute(), CMSHelper\getCurrentLanguage(), ContentHelper\getCurrentLanguage(), PlgUserJoomla\onUserLogin(), et PlgUserJoomla\onUserLogout().

◆ getStream()

static getStream | ( | $usePrefix = true,
 |  | $useNetwork = true,
 |  | $userAgentSuffix = null,
 |  | $maskUserAgent = false
 | ) |
static

Creates a new stream object with appropriate prefix

Paramètres
boolean | $usePrefix | Prefix the connections for writing
boolean | $useNetwork | Use network if available for writing; use false to disable (e.g. FTP, SCP)
string | $userAgentSuffix | String to append to user agent
boolean | $maskUserAgent | User agent masking (prefix Mozilla)
Renvoie
Voir également
Depuis
1.7.0

Références $context, $prefix, $version, elseif, JLoader\import(), et JPATH_ROOT.

Référencé par File\append(), Folder\copy(), File\copy(), File\move(), Folder\move(), File\upload(), et File\write().

◆ getUri()

static getUri ( $uri = 'SERVER' )
static

Return a reference to the Uri object

Paramètres
string $uri Uri name.
Renvoie
Uri object
Voir également
Uri
Depuis
1.7.0
Obsolète:
4.0 - Use JUri directly.

Références $uri, Log\add(), Uri\getInstance(), et Log\WARNING.

◆ getUser()

static getUser ( $id = null )
static

Get a user object.

Returns the global User object, only creating it if it doesn't already exist.

Paramètres
integer $id The user to load - Can be an integer or string - If string, it is converted to ID automatically.
Renvoie
User object
Voir également
User
Depuis
1.7.0

Références $id, elseif, et User\getInstance().

Référencé par JAdminCssMenu\__construct(), AbstractMenu\__get(), ContentHelper\_getActions(), ActionlogsModelActionlog\addLog(), HTMLHelper\date(), ContentHelper\getActions(), MenuField\getGroups(), UserField\getLayoutData(), FrontendlanguageField\getOptions(), UsergrouplistField\getOptions(), AbstractMenu\getUser(), PlgActionlogJoomla\onAfterCheckin(), PlgActionlogJoomla\onAfterLogExport(), PlgActionlogJoomla\onAfterLogPurge(), PlgSystemActionLogs\onContentPrepareForm(), PlgActionlogJoomla\onUserAfterSave(), PlgUserJoomla\onUserLogout(), et UserField\setup().

◆ getXml()

static getXml | ( | $data,
 |  | $isFile = true
 | ) |
static

Reads a XML file.

Paramètres
string | $data | Full path and file name.
boolean | $isFile | true to load a file or false to load a string.
Renvoie
mixed JXMLElement or SimpleXMLElement on success or false on error.
Voir également
JXMLElement
Depuis
1.7.0
Note
When JXMLElement is not present a SimpleXMLElement will be returned.
Obsolète:
4.0 - Use SimpleXML directly.

Références $class, $data, Log\add(), et Log\WARNING.

Documentation des champs

◆ $acl

$acl = null
static

◆ $application

$application = null
static

◆ $cache

$cache = null
static

◆ $config

$config = null
static

◆ $database

$database = null
static

◆ $dates

$dates = array()
static

◆ $document

$document = null
static

◆ $language

$language = null
static

Référencé par ExceptionHandler\render().

◆ $mailer

$mailer = null
static

◆ $session

$session = null
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Factory.php


Joomla CMS: Référence de la classe Version

  • Joomla
  • CMS
  • Version
Fonctions membres publiques | Champs de données
Référence de la classe Version

Fonctions membres publiques

__get ($name)
isInDevelopmentState ()
isCompatible ($minimum)
getHelpVersion ()
getShortVersion ()
getLongVersion ()
getUserAgent ($suffix=null, $mask=false, $addVersion=true)
generateMediaVersion ()
getMediaVersion ()
refreshMediaVersion ()
setMediaVersion ($mediaVersion)

Champs de données

const | PRODUCT = 'Joomla!'
const | MAJOR_VERSION = 3
const | MINOR_VERSION = 10
const | PATCH_VERSION = 11
const | EXTRA_VERSION = ''
const | RELEASE = '3.10'
const | DEV_LEVEL = '11'
const | DEV_STATUS = 'Stable'
const | BUILD = ''
const | CODENAME = 'Daraja'
const | RELDATE = '14-August-2022'
const | RELTIME = '14:18'
const | RELTZ = 'GMT'
const | COPYRIGHT = '(C) 2005 Open Source Matters, Inc. <https://www.joomla.org>'
const | URL = '<a href="https://www.joomla.org">Joomla!</a> is Free Software released under the GNU General Public License.'

Description détaillée

Version information class for the Joomla CMS.

Depuis
1.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic getter providing access to constants previously defined as class member vars.

Paramètres
string $name The name of the property.
Renvoie
mixed A value if the property name is valid.
Depuis
3.5
Obsolète:
4.0 Access the constants directly

Références $name.

◆ generateMediaVersion()

generateMediaVersion ( )

Generate a media version string for assets Public to allow third party developers to use it

Renvoie
string
Depuis
3.2

Références $date.

◆ getHelpVersion()

getHelpVersion ( )

Method to get the help file version.

Renvoie
string Version suffix for help files.
Depuis
1.0

◆ getLongVersion()

getLongVersion ( )

Gets a version string for the current Joomla with all release information.

Renvoie
string Complete version string.
Depuis
1.5

◆ getMediaVersion()

getMediaVersion ( )

Gets a media version which is used to append to Joomla core media files.

This media version is used to append to Joomla core media in order to trick browsers into reloading the CSS and JavaScript, because they think the files are renewed. The media version is renewed after Joomla core update, install, discover_install and uninstallation.

Renvoie
string The media version.
Depuis
3.2

Références $params, LibraryHelper\getParams(), JDEBUG, et null.

◆ getShortVersion()

getShortVersion ( )

Gets a "PHP standardized" version string for the current Joomla.

Renvoie
string Version string.
Depuis
1.5

Références $version.

◆ getUserAgent()

getUserAgent | ( | $suffix = null,
 |  | $mask = false,
 |  | $addVersion = true
 | ) |

Returns the user agent.

Paramètres
string | $suffix | String to append to resulting user agent.
bool | $mask | Mask as Mozilla/5.0 or not.
bool | $addVersion | Add version afterwards to component.
Renvoie
string User Agent.
Depuis
1.0

Références $suffix, et null.

◆ isCompatible()

isCompatible ( $minimum )

Compares two a "PHP standardized" version number against the current Joomla version.

Paramètres
string $minimum The minimum version of the Joomla which is compatible.
Renvoie
boolean True if the version is compatible.

1.0

◆ isInDevelopmentState()

isInDevelopmentState ( )

Check if we are in development mode

Renvoie
boolean
Depuis
3.4.3

◆ refreshMediaVersion()

refreshMediaVersion ( )

Function to refresh the media version

Renvoie
Version Instance of $this to allow chaining.
Depuis
3.2

◆ setMediaVersion()

setMediaVersion ( $mediaVersion )

Sets the media version which is used to append to Joomla core media files.

Paramètres
string $mediaVersion The media version.
Renvoie
Version Instance of $this to allow chaining.
Depuis
3.2

Références $params, LibraryHelper\getParams(), et LibraryHelper\saveParams().

Documentation des champs

◆ BUILD

const BUILD = ''

◆ CODENAME

const CODENAME = 'Daraja'

◆ COPYRIGHT

const COPYRIGHT = '(C) 2005 Open Source Matters, Inc. <https://www.joomla.org>'

◆ DEV_LEVEL

const DEV_LEVEL = '11'

◆ DEV_STATUS

const DEV_STATUS = 'Stable'

◆ EXTRA_VERSION

const EXTRA_VERSION = ''

◆ MAJOR_VERSION

const MAJOR_VERSION = 3

◆ MINOR_VERSION

const MINOR_VERSION = 10

◆ PATCH_VERSION

const PATCH_VERSION = 11

Référencé par ExtensionAdapter\_endElement(), et Update\_endElement().

◆ PRODUCT

const PRODUCT = 'Joomla!'

Référencé par ExtensionAdapter\_endElement(), et Update\_endElement().

◆ RELDATE

const RELDATE = '14-August-2022'

◆ RELEASE

const RELEASE = '3.10'

◆ RELTIME

const RELTIME = '14:18'

◆ RELTZ

const RELTZ = 'GMT'

◆ URL

const URL = '<a href="https://www.joomla.org">Joomla!</a> is Free Software released under the GNU General Public License.'
La documentation de cette classe a été générée à partir du fichier suivant :
  • Version.php


Joomla CMS: Référence de la classe DataObject

  • Joomla
  • Data
  • DataObject
Fonctions membres publiques | Fonctions membres protégées | Attributs privés
Référence de la classe DataObject
+ Graphe d'héritage de DataObject:
DumpableInterface JsonSerializable

Fonctions membres publiques

__construct ($properties=array())
__get ($property)
__isset ($property)
__set ($property, $value)
__unset ($property)
bind ($properties, $updateNulls=true)
dump ($depth=3, \SplObjectStorage $dumped=null)
getIterator ()
jsonSerialize ()
count ()

Fonctions membres protégées

dumpProperty ($property, $depth, \SplObjectStorage $dumped)
getProperty ($property)
setProperty ($property, $value)

Attributs privés

$properties = array()

Description détaillée

DataObject is a class that is used to store data but allowing you to access the data by mimicking the way PHP handles class properties.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $properties = array() )

The class constructor.

Paramètres
mixed $properties Either an associative array or another object by which to set the initial properties of the new object.
Depuis
1.0
Exceptions

Références DataObject\$properties, et DataObject\bind().

Documentation des fonctions membres

◆ __get()

__get ( $property )

The magic get method is used to get a data property.

This method is a public proxy for the protected getProperty method.

Note: Magic __get does not allow recursive calls. This can be tricky because the error generated by recursing into __get is "Undefined property: {CLASS}::{PROPERTY}" which is misleading. This is relevant for this class because requesting a non-visible property can trigger a call to a sub-function. If that references the property directly in the object, it will cause a recursion into __get.

Paramètres
string $property The name of the data property.
Renvoie
mixed The value of the data property, or null if the data property does not exist.
Voir également
DataObject::getProperty()
Depuis
1.0

Références DataObject\getProperty().

◆ __isset()

__isset ( $property )

The magic isset method is used to check the state of an object property.

Paramètres
string $property The name of the data property.
Renvoie
boolean True if set, otherwise false is returned.
Depuis
1.0

◆ __set()

__set | ( | $property,
 |  | $value
 | ) |

The magic set method is used to set a data property.

This is a public proxy for the protected setProperty method.

Paramètres
string | $property | The name of the data property.
mixed | $value | The value to give the data property.
Renvoie
void
Voir également
DataObject::setProperty()
Depuis
1.0

Références $value, et DataObject\setProperty().

◆ __unset()

__unset ( $property )

The magic unset method is used to unset a data property.

Paramètres
string $property The name of the data property.
Renvoie
void
Depuis
1.0

◆ bind()

bind | ( | $properties,
 |  | $updateNulls = true
 | ) |

Binds an array or object to this object.

Paramètres
mixed | $properties | An associative array of properties or an object.
boolean | $updateNulls | True to bind null values, false to ignore null values.
Renvoie
DataObject Returns itself to allow chaining.
Depuis
1.0
Exceptions

Références DataObject\$properties, $value, elseif, null, et DataObject\setProperty().

Référencé par DataObject\__construct().

◆ count()

count ( )

Count the number of data properties.

Renvoie
integer The number of data properties.
Depuis
1.0

◆ dump()

dump | ( |  | $depth = 3,
 |  | \SplObjectStorage | $dumped = null
 | ) |  |

Dumps the data properties into a stdClass object, recursively if appropriate.

Paramètres
integer | $depth | The maximum depth of recursion (default = 3). For example, a depth of 0 will return a stdClass with all the properties in native form. A depth of 1 will recurse into the first level of properties only.
\SplObjectStorage | $dumped | An array of already serialized objects that is used to avoid infinite loops.
Renvoie
The data properties as a simple PHP stdClass object.
Depuis
1.0

Implémente DumpableInterface.

Références DataObject\dumpProperty(), et null.

Référencé par DataObject\getIterator(), et DataObject\jsonSerialize().

◆ dumpProperty()

dumpProperty | ( |  | $property,
 |  |  | $depth,
 |  | \SplObjectStorage | $dumped
 | ) |  |
protected

Dumps a data property.

If recursion is set, this method will dump any object implementing Data (like Data and Data); it will convert a Date object to a string; and it will convert a Registry to an object.

Paramètres
string | $property | The name of the data property.
integer | $depth | The current depth of recursion (a value of 0 will ignore recursion).
\SplObjectStorage | $dumped | An array of already serialized objects that is used to avoid infinite loops.
Renvoie
mixed The value of the dumped property.
Depuis
1.0

Références $value, elseif, et DataObject\getProperty().

Référencé par DataObject\dump().

◆ getIterator()

getIterator ( )

Gets this object represented as an ArrayIterator.

This allows the data properties to be access via a foreach statement.

Renvoie
This object represented as an ArrayIterator.
Voir également
IteratorAggregate::getIterator()
Depuis
1.0

Références DataObject\dump().

◆ getProperty()

getProperty ( $property )
protected

Gets a data property.

Paramètres
string $property The name of the data property.
Renvoie
mixed The value of the data property.
Voir également
DataObject::__get()
Depuis
1.0

Références $value, et null.

Référencé par DataObject\__get(), et DataObject\dumpProperty().

◆ jsonSerialize()

jsonSerialize ( )

Gets the data properties in a form that can be serialised to JSON format.

Renvoie
string An object that can be serialised by json_encode().
Depuis
1.0

Implémente JsonSerializable.

Références DataObject\dump().

◆ setProperty()

setProperty | ( | $property,
 |  | $value
 | ) |
protected

Sets a data property.

If the name of the property starts with a null byte, this method will return null.

Paramètres
string | $property | The name of the data property.
mixed | $value | The value to give the data property.
Renvoie
mixed The value of the data property.
Voir également
DataObject::__set()
Depuis
1.0

Références $value, et null.

Référencé par DataObject\__set(), et DataObject\bind().

Documentation des champs

◆ $properties

$properties = array()
private

Référencé par DataObject\__construct(), et DataObject\bind().

La documentation de cette classe a été générée à partir du fichier suivant :
  • DataObject.php


Joomla CMS: Référence de la classe DataSet

  • Joomla
  • Data
  • DataSet
Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe DataSet
+ Graphe d'héritage de DataSet:
DumpableInterface

Fonctions membres publiques

__construct (array $objects=array())
__call ($method, $arguments=array())
__get ($property)
__isset ($property)
__set ($property, $value)
__unset ($property)
getObjectsKeys ($type='all')
toArray ($associative=true, $k=null)
count ()
clear ()
current ()
dump ($depth=3, \SplObjectStorage $dumped=null)
jsonSerialize ($serialized=null)
key ()
keys ()
walk ($funcname)
next ()
offsetExists ($offset)
offsetGet ($offset)
offsetSet ($offset, $object)
offsetUnset ($offset)
rewind ()
valid ()

Fonctions membres privées

_initialise (array $input=array())

Attributs privés

$current = false
$objects = array()

Description détaillée

DataSet is a collection class that allows the developer to operate on a set of DataObject objects as if they were in a typical PHP array.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array $objects = array() )

The class constructor.

Paramètres
DataObject[] $objects An array of DataObject objects to bind to the data set.
Depuis
1.0
Exceptions

Références DataSet\$objects, et DataSet\_initialise().

Documentation des fonctions membres

◆ __call()

__call | ( | $method,
 |  | $arguments = array()
 | ) |

The magic call method is used to call object methods using the iterator.

Example: $array = $objectList->foo('bar');

The object list will iterate over its objects and see if each object has a callable 'foo' method. If so, it will pass the argument list and assemble any return values. If an object does not have a callable method no return value is recorded. The keys of the objects and the result array are maintained.

Paramètres
string | $method | The name of the method called.
array | $arguments | The arguments of the method called.
Renvoie
array An array of values returned by the methods called on the objects in the data set.
Depuis
1.0

Références $key, et $return.

◆ __get()

__get ( $property )

The magic get method is used to get a list of properties from the objects in the data set.

Example: $array = $dataSet->foo;

This will return a column of the values of the 'foo' property in all the objects (or values determined by custom property setters in the individual Data's). The result array will contain an entry for each object in the list (compared to __call which may not). The keys of the objects and the result array are maintained.

Paramètres
string $property The name of the data property.
Renvoie
array An associative array of the values.
Depuis
1.0

Références $key, et $return.

◆ __isset()

__isset ( $property )

The magic isset method is used to check the state of an object property using the iterator.

Example: $array = isset($objectList->foo);

Paramètres
string $property The name of the property.
Renvoie
boolean True if the property is set in any of the objects in the data set.
Depuis
1.0

Références $return, et true.

◆ __set()

__set | ( | $property,
 |  | $value
 | ) |

The magic set method is used to set an object property using the iterator.

Example: $objectList->foo = 'bar';

This will set the 'foo' property to 'bar' in all of the objects (or a value determined by custom property setters in the Data).

Paramètres
string | $property | The name of the property.
mixed | $value | The value to give the data property.
Renvoie
void
Depuis
1.0

Références $value.

◆ __unset()

__unset ( $property )

The magic unset method is used to unset an object property using the iterator.

Example: unset($objectList->foo);

This will unset all of the 'foo' properties in the list of Data's.

Paramètres
string $property The name of the property.
Renvoie
void
Depuis
1.0

◆ _initialise()

_initialise ( array $input = array() )
private

Initialises the list with an array of objects.

Paramètres
array $input An array of objects.
Renvoie
void
Depuis
1.0
Exceptions

Références $input, $key, DataSet\offsetSet(), et DataSet\rewind().

Référencé par DataSet\__construct().

◆ clear()

clear ( )

Clears the objects in the data set.

Renvoie
DataSet Returns itself to allow chaining.
Depuis
1.0

Références DataSet\rewind().

◆ count()

count ( )

Gets the number of data objects in the set.

Renvoie
integer The number of objects.
Depuis
1.0

◆ current()

current ( )

Get the current data object in the set.

Renvoie
DataObject The current object, or false if the array is empty or the pointer is beyond the end of the elements.
Depuis
1.0

Références DataSet\$current.

Référencé par DataSet\next(), DataSet\offsetUnset(), DataSet\rewind(), et DataSet\valid().

◆ dump()

dump | ( |  | $depth = 3,
 |  | \SplObjectStorage | $dumped = null
 | ) |  |

Dumps the data object in the set, recursively if appropriate.

Paramètres
integer | $depth | The maximum depth of recursion (default = 3). For example, a depth of 0 will return a stdClass with all the properties in native form. A depth of 1 will recurse into the first level of properties only.
\SplObjectStorage | $dumped | An array of already serialized objects that is used to avoid infinite loops.
Renvoie
array An associative array of the data objects in the set, dumped as a simple PHP stdClass object.
Voir également
DataObject::dump()
Depuis
1.0

Implémente DumpableInterface.

Références $key, DataSet\$objects, et null.

◆ getObjectsKeys()

getObjectsKeys ( $type = 'all' )

Gets an array of keys, existing in objects

Paramètres
string $type Selection type 'all' or 'common'
Renvoie
array Array of keys
Depuis
1.2.0
Exceptions

Références $function, $type, elseif, json_encode, et null.

Référencé par DataSet\toArray().

◆ jsonSerialize()

jsonSerialize ( $serialized = null )

Gets the data set in a form that can be serialised to JSON format.

Note that this method will not return an associative array, otherwise it would be encoded into an object. JSON decoders do not consistently maintain the order of associative keys, whereas they do maintain the order of arrays.

Paramètres
mixed $serialized An array of objects that have already been serialized that is used to infinite loops (null on first call).
Renvoie
array An array that can be serialised by json_encode().
Depuis
1.0

Références $return, et null.

◆ key()

key ( )

Gets the key of the current object in the iterator.

Renvoie
scalar The object key on success; null on failure.
Depuis
1.0

Références DataSet\$current.

◆ keys()

keys ( )

Gets the array of keys for all the objects in the iterator (emulates array_keys).

Renvoie
array The array of keys
Depuis
1.0

Référencé par DataSet\next(), DataSet\offsetUnset(), et DataSet\rewind().

◆ next()

next ( )

Advances the iterator to the next object in the iterator.

Renvoie
void
Depuis
1.0

Références $position, DataSet\current(), DataSet\keys(), et null.

◆ offsetExists()

offsetExists ( $offset )

Checks whether an offset exists in the iterator.

Paramètres
mixed $offset The object offset.
Renvoie
boolean True if the object exists, false otherwise.
Depuis
1.0

Références $offset.

Référencé par DataSet\offsetUnset().

◆ offsetGet()

offsetGet ( $offset )

Gets an offset in the iterator.

Paramètres
mixed $offset The object offset.
Renvoie
DataObject The object if it exists, null otherwise.
Depuis
1.0

Références $offset, et null.

◆ offsetSet()

offsetSet | ( | $offset,
 |  | $object
 | ) |

Sets an offset in the iterator.

Paramètres
mixed | $offset | The object offset.
DataObject | $object | The object object.
Renvoie
void
Depuis
1.0
Exceptions

Références $offset.

Référencé par DataSet\_initialise().

◆ offsetUnset()

offsetUnset ( $offset )

Unsets an offset in the iterator.

Paramètres
mixed $offset The object offset.
Renvoie
void
Depuis
1.0

Références $offset, $position, DataSet\current(), DataSet\keys(), et DataSet\offsetExists().

◆ rewind()

rewind ( )

Rewinds the iterator to the first object.

Renvoie
void
Depuis
1.0

Références DataSet\current(), et DataSet\keys().

Référencé par DataSet\_initialise(), et DataSet\clear().

◆ toArray()

toArray | ( | $associative = true,
 |  | $k = null
 | ) |

Gets all objects as an array

Paramètres
boolean | $associative | Option to set return mode: associative or numeric array.
string | $k | Unlimited optional property names to extract from objects.
Renvoie
array Returns an array according to defined options.
Depuis
1.2.0

Références $i, $key, $return, DataSet\getObjectsKeys(), et null.

◆ valid()

valid ( )

Validates the iterator.

Renvoie
boolean True if valid, false otherwise.
Depuis
1.0

Références DataSet\current().

◆ walk()

walk ( $funcname )

Applies a function to every object in the set (emulates array_walk).

Paramètres
callable $funcname Callback function.
Renvoie
boolean
Depuis
1.2.0
Exceptions

Références $key, et $message.

Documentation des champs

◆ $current

$current = false
private

Référencé par DataSet\current(), et DataSet\key().

◆ $objects

$objects = array()
private

Référencé par DataSet\__construct(), et DataSet\dump().

La documentation de cette classe a été générée à partir du fichier suivant :
  • DataSet.php


Joomla CMS: Référence de l'interface DumpableInterface

  • Joomla
  • Data
  • DumpableInterface
Fonctions membres publiques
Référence de l'interface DumpableInterface
+ Graphe d'héritage de DumpableInterface:
DataObject DataSet

Fonctions membres publiques

dump ($depth=3, \SplObjectStorage $dumped=null)

Description détaillée

An interface to define if an object is dumpable.

Depuis
1.0

Documentation des fonctions membres

◆ dump()

dump | ( |  | $depth = 3,
 |  | \SplObjectStorage | $dumped = null
 | ) |  |

Dumps the object properties into a stdClass object, recursively if appropriate.

Paramètres
integer | $depth | The maximum depth of recursion. For example, a depth of 0 will return a stdClass with all the properties in native form. A depth of 1 will recurse into the first level of properties only.
\SplObjectStorage | $dumped | An array of already serialized objects that is used to avoid infinite loops.
Renvoie
The data properties as a simple PHP stdClass object.
Depuis
1.0

Implémenté dans DataSet, et DataObject.

La documentation de cette interface a été générée à partir du fichier suivant :
  • DumpableInterface.php


Joomla CMS: Référence de la classe DependencyResolutionException

  • Joomla
  • DI
  • Exception
  • DependencyResolutionException
Référence de la classe DependencyResolutionException
+ Graphe d'héritage de DependencyResolutionException:
ContainerExceptionInterface

Description détaillée

Exception class for handling errors in resolving a dependency

Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • DependencyResolutionException.php


Joomla CMS: Référence de la classe KeyNotFoundException

  • Joomla
  • DI
  • Exception
  • KeyNotFoundException
Référence de la classe KeyNotFoundException
+ Graphe d'héritage de KeyNotFoundException:
NotFoundExceptionInterface ContainerExceptionInterface

Description détaillée

No entry was found in the container.

Depuis
1.5.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • KeyNotFoundException.php


Joomla CMS: Référence de la classe ProtectedKeyException

  • Joomla
  • DI
  • Exception
  • ProtectedKeyException
Référence de la classe ProtectedKeyException
+ Graphe d'héritage de ProtectedKeyException:
ContainerExceptionInterface

Description détaillée

Attempt to set the value of a protected key, which already is set

Depuis
1.5.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • ProtectedKeyException.php


Joomla CMS: Référence de la classe Container

  • Joomla
  • DI
  • Container
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe Container
+ Graphe d'héritage de Container:
ContainerInterface

Fonctions membres publiques

__construct (ContainerInterface $parent=null)
alias ($alias, $key)
tag ($tag, array $keys)
getTagged ($tag)
buildObject ($key, $shared=false)
buildSharedObject ($key)
createChild ()
extend ($key, \Closure $callable)
set ($key, $value, $shared=false, $protected=false)
protect ($key, $value, $shared=false)
share ($key, $value, $protected=false)
get ($key, $forceNew=false)
has ($key)
exists ($key)
getNewInstance ($key)
registerServiceProvider (ServiceProviderInterface $provider)
getKeys ()
- Fonctions membres publiques hérités de ContainerInterface
get ($id)

Fonctions membres protégées

resolveAlias ($key)
getMethodArgs (\ReflectionMethod $method)
getRaw ($key)

Attributs protégés

$aliases = array()
$instances = array()
$dataStore = array()
$parent
$tags = array()

Description détaillée

The Container class.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( ContainerInterface $parent = null )

Constructor for the DI Container

Paramètres
ContainerInterface $parent Parent for hierarchical containers.
Depuis
1.0

Références Container\$parent, et parent.

Documentation des fonctions membres

◆ alias()

alias | ( | $alias,
 |  | $key
 | ) |

Create an alias for a given key for easy access.

Paramètres
string | $alias | The alias name
string | $key | The key to alias
Renvoie
Container This object for chaining.
Depuis
1.0

Références $key.

◆ buildObject()

buildObject | ( | $key,
 |  | $shared = false
 | ) |

Build an object of class $key;

Paramètres
string | $key | The class name to build.
boolean | $shared | True to create a shared resource.
Renvoie
object|false Instance of class specified by $key with all dependencies injected. Returns an object if the class exists and false otherwise
Depuis
1.0

Références $key, Container\getMethodArgs(), Container\has(), null, et Container\resolveAlias().

Référencé par Container\buildSharedObject(), et Container\getMethodArgs().

◆ buildSharedObject()

buildSharedObject ( $key )

Convenience method for building a shared object.

Paramètres
string $key The class name to build.
Renvoie
object|false Instance of class specified by $key with all dependencies injected. Returns an object if the class exists and false otherwise
Depuis
1.0

Références $key, et Container\buildObject().

◆ createChild()

createChild ( )

Create a child Container with a new property scope that that has the ability to access the parent scope when resolving.

Renvoie
Container This object for chaining.
Depuis
1.0

◆ exists()

exists ( $key )

Method to check if specified dataStore key exists.

Paramètres
string $key Name of the dataStore key to check.
Renvoie
boolean True for success
Depuis
1.0
Obsolète:
3.0 Use ContainerInterface::has() instead

Références $key, et Container\has().

◆ extend()

extend | ( |  | $key,
 |  | \Closure | $callable
 | ) |  |

Extend a defined service Closure by wrapping the existing one with a new Closure. This works very similar to a decorator pattern. Note that this only works on service Closures that have been defined in the current Provider, not parent providers.

Paramètres
string | $key | The unique identifier for the Closure or property.
\Closure | $callable | A Closure to wrap the original service Closure.
Renvoie
void
Depuis
1.0
Exceptions
KeyNotFoundException

Références $key, Container\getRaw(), null, et Container\resolveAlias().

◆ get()

get | ( | $key,
 |  | $forceNew = false
 | ) |

Method to retrieve the results of running the $callback for the specified $key;

Paramètres
string | $key | Name of the dataStore key to get.
boolean | $forceNew | True to force creation and return of a new instance.
Renvoie
mixed Results of running the $callback for the specified $key.
Depuis
1.0
Exceptions
KeyNotFoundException

Références $key, Container\getRaw(), null, et Container\resolveAlias().

◆ getKeys()

getKeys ( )

Retrieve the keys for services assigned to this container.

Renvoie
array
Depuis
1.5.0

◆ getMethodArgs()

getMethodArgs ( \ReflectionMethod $method )
protected

Build an array of constructor parameters.

Paramètres
\ReflectionMethod $method Method for which to build the argument array.
Renvoie
array Array of arguments to pass to the method.
Depuis
1.0
Exceptions
DependencyResolutionException

Références $param, Container\buildObject(), Container\getRaw(), et null.

Référencé par Container\buildObject().

◆ getNewInstance()

getNewInstance ( $key )

Method to force the container to return a new instance of the results of the callback for requested $key.

Paramètres
string $key Name of the dataStore key to get.
Renvoie
mixed Results of running the $callback for the specified $key.
Depuis
1.0

Références $key.

◆ getRaw()

getRaw ( $key )
protected

Get the raw data assigned to a key.

Paramètres
string $key The key for which to get the stored item.
Renvoie
mixed
Depuis
1.0

Références $key, null, parent, et Container\resolveAlias().

Référencé par Container\extend(), Container\get(), Container\getMethodArgs(), et Container\has().

◆ getTagged()

getTagged ( $tag )

Fetch all services registered to the given tag.

Paramètres
string $tag The tag name
Renvoie
array The resolved services for the given tag
Depuis
1.5.0

◆ has()

has ( $key )

Method to check if specified dataStore key exists.

Paramètres
string $key Name of the dataStore key to check.
Renvoie
boolean True for success
Depuis
1.5.0

Implémente ContainerInterface.

Références $key, Container\getRaw(), parent, et Container\resolveAlias().

Référencé par Container\buildObject(), et Container\exists().

◆ protect()

protect | ( | $key,
 |  | $value,
 |  | $shared = false
 | ) |

Convenience method for creating protected keys.

Paramètres
string | $key | Name of dataStore key to set.
mixed | $value | Callable function to run or string to retrive when requesting the specified $key.
boolean | $shared | True to create and store a shared instance.
Renvoie
Container This object for chaining.
Depuis
1.0

Références $key, et $value.

◆ registerServiceProvider()

registerServiceProvider ( ServiceProviderInterface $provider )

Register a service provider to the container.

Paramètres
ServiceProviderInterface $provider The service provider to register.
Renvoie
Container This object for chaining.
Depuis
1.0

Références ServiceProviderInterface\register().

◆ resolveAlias()

resolveAlias ( $key )
protected

Search the aliases property for a matching alias key.

Paramètres
string $key The key to search for.
Renvoie
string
Depuis
1.0

Références $key, et parent.

Référencé par Container\buildObject(), Container\extend(), Container\get(), Container\getRaw(), Container\has(), et Container\tag().

◆ set()

set | ( | $key,
 |  | $value,
 |  | $shared = false,
 |  | $protected = false
 | ) |

Method to set the key and callback to the dataStore array.

Paramètres
string | $key | Name of dataStore key to set.
mixed | $value | Callable function to run or string to retrive when requesting the specified $key.
boolean | $shared | True to create and store a shared instance.
boolean | $protected | True to protect this item from being overwritten. Useful for services.
Renvoie
Container This object for chaining.
Depuis
1.0
Exceptions
ProtectedKeyException Thrown if the provided key is already set and is protected.

Références $key, et $value.

◆ share()

share | ( | $key,
 |  | $value,
 |  | $protected = false
 | ) |

Convenience method for creating shared keys.

Paramètres
string | $key | Name of dataStore key to set.
mixed | $value | Callable function to run or string to retrive when requesting the specified $key.
boolean | $protected | True to protect this item from being overwritten. Useful for services.
Renvoie
Container This object for chaining.
Depuis
1.0

Références $key, et $value.

◆ tag()

tag | ( |  | $tag,
 |  | array | $keys
 | ) |  |

Assign a tag to services.

Paramètres
string | $tag | The tag name
array | $keys | The service keys to tag
Renvoie
Container This object for chaining.
Depuis
1.5.0

Références $key, et Container\resolveAlias().

Documentation des champs

◆ $aliases

$aliases = array()
protected

◆ $dataStore

$dataStore = array()
protected

◆ $instances

$instances = array()
protected

◆ $parent

$parent
protected

Référencé par Container\__construct().

◆ $tags

$tags = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/di/src/Container.php


Joomla CMS: Référence de l'interface ContainerAwareInterface

  • Joomla
  • DI
  • ContainerAwareInterface
Fonctions membres publiques
Référence de l'interface ContainerAwareInterface

Fonctions membres publiques

getContainer ()
setContainer (Container $container)

Description détaillée

Defines the interface for a Container Aware class.

Depuis
1.0

Documentation des fonctions membres

◆ getContainer()

getContainer ( )

Get the DI container.

Renvoie
Container
Depuis
1.0
Exceptions

◆ setContainer()

setContainer ( Container $container )

Set the DI container.

Paramètres
Container $container The DI container.
Renvoie
mixed
Depuis
1.0
La documentation de cette interface a été générée à partir du fichier suivant :
  • ContainerAwareInterface.php


Joomla CMS: Référence de l'interface ServiceProviderInterface

  • Joomla
  • DI
  • ServiceProviderInterface
Fonctions membres publiques
Référence de l'interface ServiceProviderInterface

Fonctions membres publiques

register (Container $container)

Description détaillée

Defines the interface for a Service Provider.

Depuis
1.0

Documentation des fonctions membres

◆ register()

register ( Container $container )

Registers the service provider with a DI container.

Paramètres
Container $container The DI container.
Renvoie
void
Depuis
1.0

Référencé par Container\registerServiceProvider().

La documentation de cette interface a été générée à partir du fichier suivant :
  • ServiceProviderInterface.php


Joomla CMS: Référence de la classe AbstractEvent

  • Joomla
  • Event
  • AbstractEvent
Fonctions membres publiques | Attributs protégés
Référence de la classe AbstractEvent
+ Graphe d'héritage de AbstractEvent:
EventInterface Event EventImmutable

Fonctions membres publiques

__construct ($name, array $arguments=array())
getName ()
getArgument ($name, $default=null)
hasArgument ($name)
getArguments ()
isStopped ()
count ()
serialize ()
unserialize ($serialized)
offsetExists ($name)
offsetGet ($name)

Attributs protégés

$name
$arguments
$stopped = false

Description détaillée

Implementation of EventInterface.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $name,
 |  | array | $arguments = array()
 | ) |  |

Constructor.

Paramètres
string | $name | The event name.
array | $arguments | The event arguments.
Depuis
1.0

Références AbstractEvent\$arguments, AbstractEvent\$name, et name.

Documentation des fonctions membres

◆ count()

count ( )

Count the number of arguments.

Renvoie
integer The number of arguments.
Depuis
1.0

◆ getArgument()

getArgument | ( | $name,
 |  | $default = null
 | ) |

Get an event argument value.

Paramètres
string | $name | The argument name.
mixed | $default | The default value if not found.
Renvoie
mixed The argument value or the default value.
Depuis
1.0

Références $default, et AbstractEvent\$name.

Référencé par AbstractEvent\offsetGet().

◆ getArguments()

getArguments ( )

Get all event arguments.

Renvoie
array An associative array of argument names as keys and their values as values.
Depuis
1.0

Références AbstractEvent\$arguments.

◆ getName()

getName ( )

Get the event name.

Renvoie
string The event name.
Depuis
1.0

Implémente EventInterface.

Références AbstractEvent\$name.

◆ hasArgument()

hasArgument ( $name )

Tell if the given event argument exists.

Paramètres
string $name The argument name.
Renvoie
boolean True if it exists, false otherwise.
Depuis
1.0

Références AbstractEvent\$name.

Référencé par AbstractEvent\offsetExists().

◆ isStopped()

isStopped ( )

Tell if the event propagation is stopped.

Renvoie
boolean True if stopped, false otherwise.
Depuis
1.0

Implémente EventInterface.

◆ offsetExists()

offsetExists ( $name )

Tell if the given event argument exists.

Paramètres
string $name The argument name.
Renvoie
boolean True if it exists, false otherwise.
Depuis
1.0

Références AbstractEvent\$name, et AbstractEvent\hasArgument().

◆ offsetGet()

offsetGet ( $name )

Get an event argument value.

Paramètres
string $name The argument name.
Renvoie
mixed The argument value or null if not existing.
Depuis
1.0

Références AbstractEvent\$name, et AbstractEvent\getArgument().

◆ serialize()

serialize ( )

Serialize the event.

Renvoie
string The serialized event.
Depuis
1.0

Références name.

◆ unserialize()

unserialize ( $serialized )

Unserialize the event.

Paramètres
string $serialized The serialized event.
Renvoie
void
Depuis
1.0

Références name.

Documentation des champs

◆ $arguments

$arguments
protected

Référencé par EventImmutable\__construct(), AbstractEvent\__construct(), Event\clearArguments(), et AbstractEvent\getArguments().

◆ $name

$name
protected

Référencé par EventImmutable\__construct(), AbstractEvent\__construct(), Event\addArgument(), AbstractEvent\getArgument(), AbstractEvent\getName(), AbstractEvent\hasArgument(), AbstractEvent\offsetExists(), AbstractEvent\offsetGet(), EventImmutable\offsetSet(), Event\offsetSet(), EventImmutable\offsetUnset(), Event\offsetUnset(), Event\removeArgument(), et Event\setArgument().

◆ $stopped

$stopped = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractEvent.php


Joomla CMS: Référence de la classe DelegatingDispatcher

  • Joomla
  • Event
  • DelegatingDispatcher
Fonctions membres publiques | Attributs privés
Référence de la classe DelegatingDispatcher
+ Graphe d'héritage de DelegatingDispatcher:
DispatcherInterface

Fonctions membres publiques

__construct (DispatcherInterface $dispatcher)
triggerEvent ($event)

Attributs privés

$dispatcher

Description détaillée

A dispatcher delegating its methods to an other dispatcher.

Depuis
1.0
Obsolète:
2.0 Create your own delegating (decorating) dispatcher as needed.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( DispatcherInterface $dispatcher )

Constructor.

Paramètres
DispatcherInterface $dispatcher The delegated dispatcher.
Depuis
1.0

Références DelegatingDispatcher\$dispatcher.

Documentation des fonctions membres

◆ triggerEvent()

triggerEvent ( $event )

Trigger an event.

Paramètres
EventInterface | string $event The event object or name.
Renvoie
EventInterface The event after being passed through all listeners.
Depuis
1.0

Implémente DispatcherInterface.

Documentation des champs

◆ $dispatcher

$dispatcher
private

Référencé par DelegatingDispatcher\__construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • DelegatingDispatcher.php


Joomla CMS: Référence de la classe Dispatcher

  • Joomla
  • Event
  • Dispatcher
Fonctions membres publiques | Attributs protégés
Référence de la classe Dispatcher
+ Graphe d'héritage de Dispatcher:
DispatcherInterface

Fonctions membres publiques

setEvent (EventInterface $event)
setListenerFilter ($regex)
addEvent (EventInterface $event)
hasEvent ($event)
getEvent ($name, $default=null)
removeEvent ($event)
getEvents ()
clearEvents ()
countEvents ()
addListener ($listener, array $events=array())
getListenerPriority ($listener, $event)
getListeners ($event)
hasListener ($listener, $event=null)
removeListener ($listener, $event=null)
clearListeners ($event=null)
countListeners ($event)
triggerEvent ($event)

Attributs protégés

$events = array()
$listenerFilter
$listeners = array()

Description détaillée

Implementation of a DispatcherInterface supporting prioritized listeners.

Depuis
1.0

Documentation des fonctions membres

◆ addEvent()

addEvent ( EventInterface $event )

Add an event to this dispatcher, only if it is not existing.

Paramètres
EventInterface $event The event.
Renvoie
Dispatcher This method is chainable.
Depuis
1.0

Références EventInterface\getName().

◆ addListener()

addListener | ( |  | $listener,
 |  | array | $events = array()
 | ) |  |

Add a listener to this dispatcher, only if not already registered to these events. If no events are specified, it will be registered to all events matching it's methods name. In the case of a closure, you must specify at least one event name.

Paramètres
object | Closure | $listener | The listener
array | $events | An associative array of event names as keys and the corresponding listener priority as values.
Renvoie
Dispatcher This method is chainable.
Exceptions
InvalidArgumentException
Depuis
1.0

Références Dispatcher\$events, $name, ListenersPriorityQueue\add(), et Priority\NORMAL.

◆ clearEvents()

clearEvents ( )

Clear all events.

Renvoie
EventInterface[] The old events.
Depuis
1.0

Références Dispatcher\$events.

◆ clearListeners()

clearListeners ( $event = null )

Clear the listeners in this dispatcher. If an event is specified, the listeners will be cleared only for that event.

Paramètres
EventInterface | string $event The event object or name.
Renvoie
Dispatcher This method is chainable.
Depuis
1.0

◆ countEvents()

countEvents ( )

Count the number of registered event.

Renvoie
integer The numer of registered events.
Depuis
1.0

◆ countListeners()

countListeners ( $event )

Count the number of registered listeners for the given event.

Paramètres
EventInterface | string $event The event object or name.
Renvoie
integer The number of registered listeners for the given event.
Depuis
1.0

◆ getEvent()

getEvent | ( | $name,
 |  | $default = null
 | ) |

Get the event object identified by the given name.

Paramètres
string | $name | The event name.
mixed | $default | The default value if the event was not registered.
Renvoie
EventInterface|mixed The event of the default value.
Depuis
1.0

Références $default, et $name.

◆ getEvents()

getEvents ( )

Get the registered events.

Renvoie
EventInterface[] The registered event.
Depuis
1.0

Références Dispatcher\$events.

◆ getListenerPriority()

getListenerPriority | ( | $listener,
 |  | $event
 | ) |

Get the priority of the given listener for the given event.

Paramètres
object | Closure | $listener | The listener.
EventInterface | string | $event | The event object or name.
Renvoie
mixed The listener priority or null if the listener doesn't exist.
Depuis
1.0

◆ getListeners()

getListeners ( $event )

Get the listeners registered to the given event.

Paramètres
EventInterface | string $event The event object or name.
Renvoie
object[] An array of registered listeners sorted according to their priorities.
Depuis
1.0

◆ hasEvent()

hasEvent ( $event )

Tell if the given event has been added to this dispatcher.

Paramètres
EventInterface | string $event The event object or name.
Renvoie
boolean True if the listener has the given event, false otherwise.
Depuis
1.0

◆ hasListener()

hasListener | ( | $listener,
 |  | $event = null
 | ) |

Tell if the given listener has been added. If an event is specified, it will tell if the listener is registered for that event.

Paramètres
object | Closure | $listener | The listener.
EventInterface | string | $event | The event object or name.
Renvoie
boolean True if the listener is registered, false otherwise.
Depuis
1.0

◆ removeEvent()

removeEvent ( $event )

Remove an event from this dispatcher. The registered listeners will remain.

Paramètres
EventInterface | string $event The event object or name.
Renvoie
Dispatcher This method is chainable.
Depuis
1.0

◆ removeListener()

removeListener | ( | $listener,
 |  | $event = null
 | ) |

Remove the given listener from this dispatcher. If no event is specified, it will be removed from all events it is listening to.

Paramètres
object | Closure | $listener | The listener to remove.
EventInterface | string | $event | The event object or name.
Renvoie
Dispatcher This method is chainable.
Depuis
1.0

◆ setEvent()

setEvent ( EventInterface $event )

Set an event to the dispatcher. It will replace any event with the same name.

Paramètres
EventInterface $event The event.
Renvoie
Dispatcher This method is chainable.
Depuis
1.0

Références EventInterface\getName().

◆ setListenerFilter()

setListenerFilter ( $regex )

Sets a regular expression to filter the class methods when adding a listener.

Paramètres
string $regex A regular expression (for example '^on' will only register methods starting with "on").
Renvoie
Dispatcher This method is chainable.
Depuis
1.0
Obsolète:
1.1.0 Incorporate a method in your listener object such as getEvents to feed into the setListener method.

◆ triggerEvent()

triggerEvent ( $event )

Trigger an event.

Paramètres
EventInterface | string $event The event object or name.
Renvoie
EventInterface The event after being passed through all listeners.
Depuis
1.0

Implémente DispatcherInterface.

Documentation des champs

◆ $events

$events = array()
protected

Référencé par Dispatcher\addListener(), Dispatcher\clearEvents(), et Dispatcher\getEvents().

◆ $listenerFilter

$listenerFilter
protected

◆ $listeners

$listeners = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Dispatcher.php


Joomla CMS: Référence de l'interface DispatcherAwareInterface

  • Joomla
  • Event
  • DispatcherAwareInterface
Fonctions membres publiques
Référence de l'interface DispatcherAwareInterface

Fonctions membres publiques

setDispatcher (DispatcherInterface $dispatcher)

Description détaillée

Interface to be implemented by classes depending on a dispatcher.

Depuis
1.0

Documentation des fonctions membres

◆ setDispatcher()

setDispatcher ( DispatcherInterface $dispatcher )

Set the dispatcher to use.

Paramètres
DispatcherInterface $dispatcher The dispatcher to use.
Renvoie
DispatcherAwareInterface This method is chainable.
Depuis
1.0
La documentation de cette interface a été générée à partir du fichier suivant :
  • DispatcherAwareInterface.php


Joomla CMS: Référence de l'interface DispatcherInterface

  • Joomla
  • Event
  • DispatcherInterface
Fonctions membres publiques
Référence de l'interface DispatcherInterface
+ Graphe d'héritage de DispatcherInterface:
DelegatingDispatcher Dispatcher

Fonctions membres publiques

triggerEvent ($event)

Description détaillée

Interface for event dispatchers.

Depuis
1.0

Documentation des fonctions membres

◆ triggerEvent()

triggerEvent ( $event )

Trigger an event.

Paramètres
EventInterface | string $event The event object or name.
Renvoie
EventInterface The event after being passed through all listeners.
Depuis
1.0

Implémenté dans Dispatcher, et DelegatingDispatcher.

La documentation de cette interface a été générée à partir du fichier suivant :
  • DispatcherInterface.php


Joomla CMS: Référence de la classe Event

  • Joomla
  • Event
  • Event
Fonctions membres publiques
Référence de la classe Event
+ Graphe d'héritage de Event:
AbstractEvent EventInterface

Fonctions membres publiques

addArgument ($name, $value)
setArgument ($name, $value)
removeArgument ($name)
clearArguments ()
stop ()
offsetSet ($name, $value)
offsetUnset ($name)
- Fonctions membres publiques hérités de AbstractEvent
__construct ($name, array $arguments=array())
getName ()
getArgument ($name, $default=null)
hasArgument ($name)
getArguments ()
isStopped ()
count ()
serialize ()
unserialize ($serialized)
offsetExists ($name)
offsetGet ($name)

Membres hérités additionnels

- Attributs protégés hérités de AbstractEvent
$name
$arguments
$stopped = false

Description détaillée

Default Event class.

Depuis
1.0

Documentation des fonctions membres

◆ addArgument()

addArgument | ( | $name,
 |  | $value
 | ) |

Add an event argument, only if it is not existing.

Paramètres
string | $name | The argument name.
mixed | $value | The argument value.
Renvoie
Event This method is chainable.
Depuis
1.0

Références AbstractEvent\$name, et $value.

◆ clearArguments()

clearArguments ( )

Clear all event arguments.

Renvoie
array The old arguments.
Depuis
1.0

Références AbstractEvent\$arguments.

◆ offsetSet()

offsetSet | ( | $name,
 |  | $value
 | ) |

Set the value of an event argument.

Paramètres
string | $name | The argument name.
mixed | $value | The argument value.
Renvoie
void
Exceptions
InvalidArgumentException If the argument name is null.
Depuis
1.0

Références AbstractEvent\$name, $value, null, et Event\setArgument().

◆ offsetUnset()

offsetUnset ( $name )

Remove an event argument.

Paramètres
string $name The argument name.
Renvoie
void
Depuis
1.0

Références AbstractEvent\$name, et Event\removeArgument().

◆ removeArgument()

removeArgument ( $name )

Remove an event argument.

Paramètres
string $name The argument name.
Renvoie
mixed The old argument value or null if it is not existing.
Depuis
1.0

Références AbstractEvent\$name, $return, et null.

Référencé par Event\offsetUnset().

◆ setArgument()

setArgument | ( | $name,
 |  | $value
 | ) |

Set the value of an event argument. If the argument already exists, it will be overridden.

Paramètres
string | $name | The argument name.
mixed | $value | The argument value.
Renvoie
Event This method is chainable.
Depuis
1.0

Références AbstractEvent\$name, et $value.

Référencé par Event\offsetSet().

◆ stop()

stop ( )

Stop the event propagation.

Renvoie
void
Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • Event.php


Joomla CMS: Référence de la classe EventImmutable

  • Joomla
  • Event
  • EventImmutable
Fonctions membres publiques | Attributs privés
Référence de la classe EventImmutable
+ Graphe d'héritage de EventImmutable:
AbstractEvent EventInterface

Fonctions membres publiques

__construct ($name, array $arguments=array())
offsetSet ($name, $value)
offsetUnset ($name)
- Fonctions membres publiques hérités de AbstractEvent
__construct ($name, array $arguments=array())
getName ()
getArgument ($name, $default=null)
hasArgument ($name)
getArguments ()
isStopped ()
count ()
serialize ()
unserialize ($serialized)
offsetExists ($name)
offsetGet ($name)

Attributs privés

$constructed = false

Membres hérités additionnels

- Attributs protégés hérités de AbstractEvent
$name
$arguments
$stopped = false

Description détaillée

Implementation of an immutable Event. An immutable event cannot be modified after instanciation :

  • its propagation cannot be stopped
  • its arguments cannot be modified

You may want to use this event when you want to ensure that the listeners won't manipulate it.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $name,
 |  | array | $arguments = array()
 | ) |  |

Constructor.

Paramètres
string | $name | The event name.
array | $arguments | The event arguments.
Exceptions
BadMethodCallException
Depuis
1.0

Références AbstractEvent\$arguments, AbstractEvent\$name, et name.

Documentation des fonctions membres

◆ offsetSet()

offsetSet | ( | $name,
 |  | $value
 | ) |

Set the value of an event argument.

Paramètres
string | $name | The argument name.
mixed | $value | The argument value.
Renvoie
void
Exceptions
BadMethodCallException
Depuis
1.0

Références AbstractEvent\$name, et name.

◆ offsetUnset()

offsetUnset ( $name )

Remove an event argument.

Paramètres
string $name The argument name.
Renvoie
void
Exceptions
BadMethodCallException
Depuis
1.0

Références AbstractEvent\$name, et name.

Documentation des champs

◆ $constructed

$constructed = false
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • EventImmutable.php


Joomla CMS: Référence de l'interface EventInterface

  • Joomla
  • Event
  • EventInterface
Fonctions membres publiques
Référence de l'interface EventInterface
+ Graphe d'héritage de EventInterface:
AbstractEvent Event EventImmutable

Fonctions membres publiques

getName ()
isStopped ()

Description détaillée

Interface for events. An event has a name and its propagation can be stopped (if the implementation supports it).

Depuis
1.0

Documentation des fonctions membres

◆ getName()

getName ( )

Get the event name.

Renvoie
string The event name.
Depuis
1.0

Implémenté dans AbstractEvent.

Référencé par Dispatcher\addEvent(), et Dispatcher\setEvent().

◆ isStopped()

isStopped ( )

Tell if the event propagation is stopped.

Renvoie
boolean True if stopped, false otherwise.
Depuis
1.0

Implémenté dans AbstractEvent.

La documentation de cette interface a été générée à partir du fichier suivant :
  • EventInterface.php


Joomla CMS: Référence de la classe ListenersPriorityQueue

  • Joomla
  • Event
  • ListenersPriorityQueue
Fonctions membres publiques | Attributs protégés | Attributs privés
Référence de la classe ListenersPriorityQueue
+ Graphe d'héritage de ListenersPriorityQueue:

Fonctions membres publiques

__construct ()
add ($listener, $priority)
remove ($listener)
has ($listener)
getPriority ($listener, $default=null)
getAll ()
getIterator ()
count ()

Attributs protégés

$queue
$storage

Attributs privés

$counter = PHP_INT_MAX

Description détaillée

A class containing an inner listeners priority queue that can be iterated multiple times. One instance of ListenersPriorityQueue is used per Event in the Dispatcher.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor.

Depuis
1.0

Documentation des fonctions membres

◆ add()

add | ( | $listener,
 |  | $priority
 | ) |

Add a listener with the given priority only if not already present.

Paramètres
\Closure | object | $listener | The listener.
integer | $priority | The listener priority.
Renvoie
ListenersPriorityQueue This method is chainable.
Depuis
1.0

Référencé par Dispatcher\addListener().

◆ count()

count ( )

Count the number of listeners in the queue.

Renvoie
integer The number of listeners in the queue.
Depuis
1.0

◆ getAll()

getAll ( )

Get all listeners contained in this queue, sorted according to their priority.

Renvoie
object[] An array of listeners.
Depuis
1.0

Références ListenersPriorityQueue\$queue, et ListenersPriorityQueue\getIterator().

◆ getIterator()

getIterator ( )

Get the inner queue with its cursor on top of the heap.

Renvoie
SplPriorityQueue The inner queue.
Depuis
1.0

Références ListenersPriorityQueue\$queue.

Référencé par ListenersPriorityQueue\getAll().

◆ getPriority()

getPriority | ( | $listener,
 |  | $default = null
 | ) |

Get the priority of the given listener.

Paramètres
\Closure | object | $listener | The listener.
mixed | $default | The default value to return if the listener doesn't exist.
Renvoie
mixed The listener priority if it exists, null otherwise.
Depuis
1.0

Références $default.

◆ has()

has ( $listener )

Tell if the listener exists in the queue.

Paramètres
\Closure | object $listener The listener.
Renvoie
boolean True if it exists, false otherwise.
Depuis
1.0

◆ remove()

remove ( $listener )

Remove a listener from the queue.

Paramètres
\Closure | object $listener The listener.
Renvoie
ListenersPriorityQueue This method is chainable.
Depuis
1.0

Documentation des champs

◆ $counter

$counter = PHP_INT_MAX
private

◆ $queue

$queue
protected

Référencé par ListenersPriorityQueue\getAll(), et ListenersPriorityQueue\getIterator().

◆ $storage

$storage
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ListenersPriorityQueue.php


Joomla CMS: Référence de la classe Priority

  • Joomla
  • Event
  • Priority
Champs de données
Référence de la classe Priority

Champs de données

const | MIN = -3
const | LOW = -2
const | BELOW_NORMAL = -1
const | NORMAL = 0
const | ABOVE_NORMAL = 1
const | HIGH = 2
const | MAX = 3

Description détaillée

An enumeration of priorities for event listeners, that you are encouraged to use when adding them in the Dispatcher.

Depuis
1.0

Documentation des champs

◆ ABOVE_NORMAL

const ABOVE_NORMAL = 1

◆ BELOW_NORMAL

const BELOW_NORMAL = -1

◆ HIGH

const HIGH = 2

◆ LOW

const LOW = -2

◆ MAX

const MAX = 3

◆ MIN

const MIN = -3

◆ NORMAL

const NORMAL = 0

Référencé par Dispatcher\addListener().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Priority.php


Joomla CMS: Référence de la classe FtpClient

  • Joomla
  • Filesystem
  • Clients
  • FtpClient
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés statiques | Attributs privés
Référence de la classe FtpClient

Fonctions membres publiques

__construct (array $options=array())
__destruct ()
setOptions (array $options)
connect ($host='127.0.0.1', $port=21)
isConnected ()
login ($user='anonymous', $pass='jftp @joomla.org')
quit ()
pwd ()
syst ()
chdir ($path)
reinit ()
rename ($from, $to)
chmod ($path, $mode)
delete ($path)
mkdir ($path)
restart ($point)
create ($path)
read ($remote, &$buffer)
get ($local, $remote)
store ($local, $remote=null)
write ($remote, $buffer)
listNames ($path=null)
listDetails ($path=null, $type='all')

Fonctions membres publiques statiques

static getInstance ($host='127.0.0.1', $port='21', array $options=array(), $user=null, $pass=null)

Fonctions membres protégées

_putCmd ($cmd, $expectedResponse)
_verifyResponse ($expected)
_passive ()
_findMode ($fileName)
_mode ($mode)

Attributs protégés statiques

static $instances = array()

Attributs privés

$conn
$dataconn
$pasv
$response
$responseCode
$responseMsg
$timeout = 15
$type
$autoAscii
$lineEndings = array('UNIX' => "\n", 'WIN' => "\r\n")

Description détaillée

FTP client class

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array $options = array() )

FtpClient object constructor

Paramètres
array $options Associative array of options to set
Depuis
1.0

Références $options, et FtpClient\setOptions().

◆ __destruct()

__destruct ( )

FtpClient object destructor

Closes an existing connection, if we have one

Depuis
1.0

Références FtpClient\quit().

Documentation des fonctions membres

◆ _findMode()

_findMode ( $fileName )
protected

Method to find out the correct transfer mode for a specific file

Paramètres
string $fileName Name of the file
Renvoie
integer Transfer-mode for this filetype [FTP_ASCII|FTP_BINARY]
Depuis
1.0

Références $mode, et elseif.

Référencé par FtpClient\get(), FtpClient\read(), FtpClient\store(), et FtpClient\write().

◆ _mode()

_mode ( $mode )
protected

Set transfer mode

Paramètres
integer $mode Integer representation of data transfer mode [1:Binary|0:Ascii] Defined constants can also be used [FTP_BINARY|FTP_ASCII]
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $mode, et FtpClient\_putCmd().

Référencé par FtpClient\get(), FtpClient\read(), FtpClient\store(), et FtpClient\write().

◆ _passive()

_passive ( )
protected

Set server to passive mode and open a data port connection

Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $parts, FtpClient\$timeout, et null.

Référencé par FtpClient\create(), FtpClient\get(), FtpClient\listDetails(), FtpClient\listNames(), FtpClient\read(), FtpClient\store(), et FtpClient\write().

◆ _putCmd()

_putCmd | ( | $cmd,
 |  | $expectedResponse
 | ) |
protected

Send command to the FTP server and validate an expected response code

Paramètres
string | $cmd | Command to send to the FTP server
mixed | $expectedResponse | Integer response code or array of integer response codes
Renvoie
boolean True if command executed successfully
Depuis
1.0
Exceptions
FilesystemException

Références FtpClient\_verifyResponse().

Référencé par FtpClient\_mode(), FtpClient\chdir(), FtpClient\chmod(), FtpClient\create(), FtpClient\delete(), FtpClient\get(), FtpClient\listDetails(), FtpClient\listNames(), FtpClient\login(), FtpClient\mkdir(), FtpClient\pwd(), FtpClient\read(), FtpClient\reinit(), FtpClient\rename(), FtpClient\restart(), FtpClient\store(), FtpClient\syst(), et FtpClient\write().

◆ _verifyResponse()

_verifyResponse ( $expected )
protected

Verify the response code from the server and log response if flag is set

Paramètres
mixed $expected Integer response code or array of integer response codes
Renvoie
boolean True if response code from the server is expected
Depuis
1.0
Exceptions
FilesystemException

Références $parts, FtpClient\$timeout, et null.

Référencé par FtpClient\_putCmd(), FtpClient\connect(), FtpClient\create(), FtpClient\get(), FtpClient\listDetails(), FtpClient\listNames(), FtpClient\read(), FtpClient\store(), et FtpClient\write().

◆ chdir()

chdir ( $path )

Method to change the current working directory on the FTP server

Paramètres
string $path Path to change into on the server
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $path, et FtpClient\_putCmd().

◆ chmod()

chmod | ( | $path,
 |  | $mode
 | ) |

Method to change mode for a path on the FTP server

Paramètres
string | $path | Path to change mode on
mixed | $mode | Octal value to change mode to, e.g. '0777', 0777 or 511 (string or integer)
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $mode, $path, et FtpClient\_putCmd().

◆ connect()

connect | ( | $host = '127.0.0.1',
 |  | $port = 21
 | ) |

Method to connect to a FTP server

Paramètres
string | $host | Host to connect to [Default: 127.0.0.1]
integer | $port | Port to connect on [Default: port 21]
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références FtpClient\_verifyResponse(), et null.

◆ create()

create ( $path )

Method to create an empty file on the FTP server

Paramètres
string $path Path local file to store on the FTP server
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $buffer, $path, FtpClient\_passive(), FtpClient\_putCmd(), et FtpClient\_verifyResponse().

◆ delete()

delete ( $path )

Method to delete a path [file/folder] on the FTP server

Paramètres
string $path Path to delete
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $path, et FtpClient\_putCmd().

◆ get()

get | ( | $local,
 |  | $remote
 | ) |

Method to get a file from the FTP server and save it to a local file

Paramètres
string | $local | Local path to save remote file to
string | $remote | Path to remote file to get on the FTP server
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $buffer, $mode, FtpClient\_findMode(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), et FtpClient\_verifyResponse().

◆ getInstance()

static getInstance | ( |  | $host = '127.0.0.1',
 |  |  | $port = '21',
 |  | array | $options = array(),
 |  |  | $user = null,
 |  |  | $pass = null
 | ) |  |
static

Returns the global FTP connector object, only creating it if it doesn't already exist.

You may optionally specify a username and password in the parameters. If you do so, you may not login() again with different credentials using the same object. If you do not use this option, you must quit() the current connection when you are done, to free it for use by others.

Paramètres
string | $host | Host to connect to
string | $port | Port to connect to
array | $options | Array with any of these options: type=>[FTP_AUTOASCII|FTP_ASCII|FTP_BINARY], timeout=>(int)
string | $user | Username to use for a connection
string | $pass | Password to use for a connection
Renvoie
FtpClient The FTP Client object.
Depuis
1.0

Références $options, $return, $user, FtpClient\isConnected(), et null.

◆ isConnected()

isConnected ( )

Method to determine if the object is connected to an FTP server

Renvoie
boolean True if connected
Depuis
1.0

Référencé par FtpClient\getInstance().

◆ listDetails()

listDetails | ( | $path = null,
 |  | $type = 'all'
 | ) |

Method to list the contents of a directory on the FTP server

Paramètres
string | $path | Path to the local file to be stored on the FTP server
string | $type | Return type [raw|all|folders|files]
Renvoie
string[] If $type is raw: string Directory listing, otherwise array of string with file-names
Depuis
1.0
Exceptions
FilesystemException

Références $data, $file, $path, FtpClient\$type, FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), et null.

Référencé par FtpClient\listNames().

◆ listNames()

listNames ( $path = null )

Method to list the filenames of the contents of a directory on the FTP server

Note: Some servers also return folder names. However, to be sure to list folders on all servers, you should use listDetails() instead if you also need to deal with folders

Paramètres
string $path Path local file to store on the FTP server
Renvoie
string Directory listing
Depuis
1.0
Exceptions
FilesystemException

Références $data, $key, $list, $path, FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), FtpClient\listDetails(), et null.

◆ login()

login | ( | $user = 'anonymous',
 |  | $pass = 'jftp@joomla.org'
 | ) |

Method to login to a server once connected

Paramètres
string | $user | Username to login to the server
string | $pass | Password to login to the server
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $user, et FtpClient\_putCmd().

◆ mkdir()

mkdir ( $path )

Method to create a directory on the FTP server

Paramètres
string $path Directory to create
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $path, et FtpClient\_putCmd().

◆ pwd()

pwd ( )

Method to retrieve the current working directory on the FTP server

Renvoie
string Current working directory
Depuis
1.0
Exceptions
FilesystemException

Références FtpClient\_putCmd(), et null.

◆ quit()

quit ( )

Method to quit and close the connection

Renvoie
boolean True if successful
Depuis
1.0

Référencé par FtpClient\__destruct().

◆ read()

read | ( |  | $remote,
 |  | & | $buffer
 | ) |  |

Method to read a file from the FTP server's contents into a buffer

Paramètres
string | $remote | Path to remote file to read on the FTP server
string | $buffer | Buffer variable to read file contents into
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $buffer, $mode, $os, $tmp, FtpClient\_findMode(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), et FtpClient\_verifyResponse().

◆ reinit()

reinit ( )

Method to reinitialise the server, ie. need to login again

NOTE: This command not available on all servers

Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références FtpClient\_putCmd().

◆ rename()

rename | ( | $from,
 |  | $to
 | ) |

Method to rename a file/folder on the FTP server

Paramètres
string | $from | Path to change file/folder from
string | $to | Path to change file/folder to
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références FtpClient\_putCmd().

◆ restart()

restart ( $point )

Method to restart data transfer at a given byte

Paramètres
integer $point Byte to restart transfer at
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références FtpClient\_putCmd().

◆ setOptions()

setOptions ( array $options )

Set client options

Paramètres
array $options Associative array of options to set
Renvoie
boolean True if successful
Depuis
1.0

Références $options.

Référencé par FtpClient\__construct().

◆ store()

store | ( | $local,
 |  | $remote = null
 | ) |

Method to store a file to the FTP server

Paramètres
string | $local | Path to local file to store on the FTP server
string | $remote | FTP path to file to create
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $mode, FtpClient\_findMode(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), FtpClient\_verifyResponse(), et null.

◆ syst()

syst ( )

Method to system string from the FTP server

Renvoie
string System identifier string
Depuis
1.0
Exceptions
FilesystemException

Références FtpClient\$response, FtpClient\_putCmd(), et elseif.

◆ write()

write | ( | $remote,
 |  | $buffer
 | ) |

Method to write a string to the FTP server

Paramètres
string | $remote | FTP path to file to write to
string | $buffer | Contents to write to the FTP server
Renvoie
boolean True if successful
Depuis
1.0
Exceptions
FilesystemException

Références $buffer, $mode, $tmp, FtpClient\_findMode(), FtpClient\_mode(), FtpClient\_passive(), FtpClient\_putCmd(), et FtpClient\_verifyResponse().

Documentation des champs

◆ $autoAscii

$autoAscii
private
Valeur initiale :
= array(
'asp',
'bat',
'c',
'cpp',
'csv',
'h',
'htm',
'html',
'shtml',
'ini',
'inc',
'log',
'php',
'php3',
'pl',
'perl',
'sh',
'sql',
'txt',
'xhtml',
'xml',
)

◆ $conn

$conn
private

◆ $dataconn

$dataconn
private

◆ $instances

$instances = array()
staticprotected

◆ $lineEndings

$lineEndings = array('UNIX' => "\n", 'WIN' => "\r\n")
private

◆ $pasv

$pasv
private

◆ $response

$response
private

Référencé par FtpClient\syst().

◆ $responseCode

$responseCode
private

◆ $responseMsg

$responseMsg
private

◆ $timeout

$timeout = 15
private

Référencé par FtpClient\_passive(), et FtpClient\_verifyResponse().

◆ $type

$type
private

Référencé par FtpClient\listDetails().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/filesystem/src/Clients/FtpClient.php


Joomla CMS: Référence de la classe FilesystemException

  • Joomla
  • Filesystem
  • Exception
  • FilesystemException
Fonctions membres publiques
Référence de la classe FilesystemException
+ Graphe d'héritage de FilesystemException:

Fonctions membres publiques

__construct ($message="", $code=0, \Throwable $previous=null)

Description détaillée

Exception class for handling errors in the Filesystem package

Depuis
1.2.0 1.6.2 If the message containes a full path, the root path (JPATH_ROOT) is removed from it to avoid any full path disclosure. Before 1.6.2, the path was propagated as provided.

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $message = "",
 |  |  | $code = 0,
 |  | \Throwable | $previous = null
 | ) |  |

Constructor.

Paramètres
string | $message | The message
integer | $code | The code
\Throwable | null | $previous | A previous exception

Références $message, et Path\removeRoot().

La documentation de cette classe a été générée à partir du fichier suivant :
  • FilesystemException.php


Joomla CMS: Référence de la classe String

  • Joomla
  • Filesystem
  • Stream
  • String
Référence de la classe String
+ Graphe d'héritage de String:
StringWrapper

Membres hérités additionnels

- Fonctions membres publiques hérités de StringWrapper
stream_open ($path, $mode, $options, &$openedPath)
stream_stat ()
url_stat ($path, $flags=0)
stream_read ($count)
stream_write ($data)
stream_tell ()
stream_eof ()
stream_seek ($offset, $whence)
stream_flush ()
- Attributs protégés hérités de StringWrapper
$currentString
$path
$mode
$options
$openedPath
$pos
$len
$stat

Description détaillée

String Stream Wrapper

This class allows you to use a PHP string in the same way that you would normally use a regular stream wrapper

Depuis
1.0
Obsolète:
2.0 Use StringWrapper instead
La documentation de cette classe a été générée à partir du fichier suivant :
  • filesystem/src/Stream/String.php


Joomla CMS: Référence de la classe StringWrapper

  • Joomla
  • Filesystem
  • Stream
  • StringWrapper
Fonctions membres publiques | Attributs protégés
Référence de la classe StringWrapper
+ Graphe d'héritage de StringWrapper:
String

Fonctions membres publiques

stream_open ($path, $mode, $options, &$openedPath)
stream_stat ()
url_stat ($path, $flags=0)
stream_read ($count)
stream_write ($data)
stream_tell ()
stream_eof ()
stream_seek ($offset, $whence)
stream_flush ()

Attributs protégés

$currentString
$path
$mode
$options
$openedPath
$pos
$len
$stat

Description détaillée

String Stream Wrapper

This class allows you to use a PHP string in the same way that you would normally use a regular stream wrapper

Depuis
1.3.0

Documentation des fonctions membres

◆ stream_eof()

stream_eof ( )

End of field check

Renvoie
boolean True if at end of field.
Depuis
1.3.0

◆ stream_flush()

stream_flush ( )

Stream flush, always returns true.

Renvoie
boolean
Depuis
1.3.0
Note
Data storage is not supported

◆ stream_open()

stream_open | ( |  | $path,
 |  |  | $mode,
 |  |  | $options,
 |  | & | $openedPath
 | ) |  |

Method to open a file or URL.

Paramètres
string | $path | The stream path.
string | $mode | Not used.
integer | $options | Not used.
string | $openedPath | Not used.
Renvoie
boolean
Depuis
1.3.0

Références StringWrapper\$path, et StringWrapper\url_stat().

◆ stream_read()

stream_read ( $count )

Method to read a given number of bytes starting at the current position and moving to the end of the string defined by the current position plus the given number.

Paramètres
integer $count Bytes of data from the current position should be returned.
Renvoie
string

1.3.0

Références $count.

◆ stream_seek()

stream_seek | ( | $offset,
 |  | $whence
 | ) |

Stream offset

Paramètres
integer | $offset | The starting offset.
integer | $whence | SEEK_SET, SEEK_CUR, SEEK_END
Renvoie
boolean True on success.
Depuis
1.3.0

Références $offset.

◆ stream_stat()

stream_stat ( )

Method to retrieve information from a file resource

Renvoie
array

1.3.0

Références StringWrapper\$stat.

◆ stream_tell()

stream_tell ( )

Method to get the current position

Renvoie
integer The position
Depuis
1.3.0

Références StringWrapper\$pos.

◆ stream_write()

stream_write ( $data )

Stream write, always returning false.

Paramètres
string $data The data to write.
Renvoie
boolean
Depuis
1.3.0
Note
Updating the string is not supported.

◆ url_stat()

url_stat | ( | $path,
 |  | $flags = 0
 | ) |

Method to retrieve information about a file.

Paramètres
string | $path | File path or URL to stat
integer | $flags | Additional flags set by the streams API
Renvoie
array

1.3.0

Références $now, StringWrapper\$path, et StringWrapper\$stat.

Référencé par StringWrapper\stream_open().

Documentation des champs

◆ $currentString

$currentString
protected

◆ $len

$len
protected

◆ $mode

$mode
protected

◆ $openedPath

$openedPath
protected

◆ $options

$options
protected

◆ $path

$path
protected

Référencé par StringWrapper\stream_open(), et StringWrapper\url_stat().

◆ $pos

$pos
protected

Référencé par StringWrapper\stream_tell().

◆ $stat

$stat
protected

Référencé par StringWrapper\stream_stat(), et StringWrapper\url_stat().

La documentation de cette classe a été générée à partir du fichier suivant :
  • StringWrapper.php


Joomla CMS: Référence de la classe StringController

  • Joomla
  • Filesystem
  • Support
  • StringController
Fonctions membres publiques statiques | Attributs privés statiques
Référence de la classe StringController

Fonctions membres publiques statiques

static | _getArray ()
static | getArray ()
static | createRef ($reference, &$string)
static | getRef ($reference)

Attributs privés statiques

static $strings = array()

Description détaillée

String Controller

Depuis
1.0

Documentation des fonctions membres

◆ _getArray()

static _getArray ( )
static

Defines a variable as an array

Renvoie
array
Depuis
1.0
Obsolète:
2.0 Use getArray instead.

◆ createRef()

static createRef | ( |  | $reference,
 |  | & | $string
 | ) |  |
static

Create a reference

Paramètres
string | $reference | The key
string | $string | The value
Renvoie
void
Depuis
1.0

◆ getArray()

static getArray ( )
static

Defines a variable as an array

Renvoie
array
Depuis
1.4.0

◆ getRef()

static getRef ( $reference )
static

Get reference

Paramètres
string $reference The key for the reference.
Renvoie
mixed False if not set, reference if it exists
Depuis
1.0

Documentation des champs

◆ $strings

$strings = array()
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/filesystem/src/Support/StringController.php


Joomla CMS: Référence de la classe Buffer

  • Joomla
  • Filesystem
  • Buffer
Fonctions membres publiques | Champs de données
Référence de la classe Buffer

Fonctions membres publiques

stream_open ($path, $mode, $options, &$openedPath)
stream_read ($count)
stream_write ($data)
stream_tell ()
stream_eof ()
stream_seek ($offset, $whence)

Champs de données

$position = 0
$name
$buffers = array()

Description détaillée

Generic Buffer stream handler

This class provides a generic buffer stream. It can be used to store/retrieve/manipulate string buffers with the standard PHP filesystem I/O methods.

Depuis
1.0

Documentation des fonctions membres

◆ stream_eof()

stream_eof ( )

Function to test for end of file pointer

Renvoie
boolean True if the pointer is at the end of the stream
Voir également
streamWrapper::stream_eof
Depuis
1.0

Références name.

◆ stream_open()

stream_open | ( |  | $path,
 |  |  | $mode,
 |  |  | $options,
 |  | & | $openedPath
 | ) |  |

Function to open file or url

Paramètres
string | $path | The URL that was passed
string | $mode | Mode used to open the file
Voir également
fopen
Paramètres
integer | $options | Flags used by the API, may be STREAM_USE_PATH and STREAM_REPORT_ERRORS
string | $openedPath | Full path of the resource. Used with STREAN_USE_PATH option
Renvoie
boolean
Depuis
1.0
Voir également
streamWrapper::stream_open

Références Buffer\$name, $path, $url, name, et null.

◆ stream_read()

stream_read ( $count )

Read stream

Paramètres
integer $count How many bytes of data from the current position should be returned.
Renvoie
mixed The data from the stream up to the specified number of bytes (all data if the total number of bytes in the stream is less than $count. Null if the stream is empty.
Voir également
streamWrapper::stream_read
Depuis
1.0

Références $count, et name.

◆ stream_seek()

stream_seek | ( | $offset,
 |  | $whence
 | ) |

The read write position updates in response to $offset and $whence

Paramètres
integer | $offset | The offset in bytes
integer | $whence | Position the offset is added to Options are SEEK_SET, SEEK_CUR, and SEEK_END
Renvoie
boolean True if updated
Voir également
streamWrapper::stream_seek
Depuis
1.0

Références $offset, et name.

◆ stream_tell()

stream_tell ( )

Function to get the current position of the stream

Renvoie
integer
Voir également
streamWrapper::stream_tell
Depuis
1.0

Références Buffer\$position.

◆ stream_write()

stream_write ( $data )

Write stream

Paramètres
string $data The data to write to the stream.
Renvoie
integer
Voir également
streamWrapper::stream_write
Depuis
1.0

Références $data, Buffer\$name, et name.

Documentation des champs

◆ $buffers

$buffers = array()

◆ $name

$name

Référencé par Buffer\stream_open(), et Buffer\stream_write().

◆ $position

$position = 0

Référencé par Buffer\stream_tell().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Buffer.php


Joomla CMS: Référence de la classe File

  • Joomla
  • Filesystem
  • File
Fonctions membres publiques statiques
Référence de la classe File

Fonctions membres publiques statiques

static | stripExt ($file)
static | makeSafe ($file, array $stripChars=array('#^\.#'))
static | copy ($src, $dest, $path=null, $useStreams=false)
static | delete ($file)
static | move ($src, $dest, $path='', $useStreams=false)
static | write ($file, &$buffer, $useStreams=false, $appendToFile=false)
static | upload ($src, $dest, $useStreams=false)

Description détaillée

A File handling class

Depuis
1.0

Documentation des fonctions membres

◆ copy()

static copy | ( | $src,
 |  | $dest,
 |  | $path = null,
 |  | $useStreams = false
 | ) |
static

Copies a file

Paramètres
string | $src | The path to the source file
string | $dest | The path to the destination file
string | $path | An optional base path to prefix to the file names
boolean | $useStreams | True to use streams
Renvoie
boolean True on success
Depuis
1.0
Exceptions
FilesystemException

Références $path, Path\clean(), Stream\getStream(), null, et Path\removeRoot().

Référencé par FileWrapper\copy(), et Archive\extract().

◆ delete()

static delete ( $file )
static

Delete a file or array of files

Paramètres
mixed $file The file name or an array of file names
Renvoie
boolean True on success
Depuis
1.0
Exceptions
FilesystemException

Références $file, $files, Path\canChmod(), et Path\clean().

Référencé par Patcher\apply(), FileWrapper\delete(), Folder\delete(), et Path\isOwner().

◆ makeSafe()

static makeSafe | ( |  | $file,
 |  | array | $stripChars = array('#^\.#')
 | ) |  |
static

Makes the file name safe to use

Paramètres
string | $file | The name of the file [not full path]
array | $stripChars | Array of regex (by default will remove any leading periods)
Renvoie
string The sanitised string
Depuis
1.0

Références $file.

Référencé par FileWrapper\makeSafe().

◆ move()

static move | ( | $src,
 |  | $dest,
 |  | $path = '',
 |  | $useStreams = false
 | ) |
static

Moves a file

Paramètres
string | $src | The path to the source file
string | $dest | The path to the destination file
string | $path | An optional base path to prefix to the file names
boolean | $useStreams | True to use streams
Renvoie
boolean True on success
Depuis
1.0
Exceptions
FilesystemException

Références $path, Path\clean(), Stream\getStream(), et null.

Référencé par FileWrapper\move().

◆ stripExt()

static stripExt ( $file )
static

Strips the last extension off of a file name

Paramètres
string $file The file name
Renvoie
string The file name without the extension
Depuis
1.0

Références $file.

Référencé par FileWrapper\stripExt().

◆ upload()

static upload | ( | $src,
 |  | $dest,
 |  | $useStreams = false
 | ) |
static

Moves an uploaded file to a destination folder

Paramètres
string | $src | The name of the php (temporary) uploaded file
string | $dest | The path (including filename) to move the uploaded file to
boolean | $useStreams | True to use streams
Renvoie
boolean True on success
Depuis
1.0
Exceptions
FilesystemException

Références $baseDir, Path\clean(), Folder\create(), Stream\getStream(), null, et Path\setPermissions().

Référencé par FileWrapper\upload().

◆ write()

static write | ( |  | $file,
 |  | & | $buffer,
 |  |  | $useStreams = false,
 |  |  | $appendToFile = false
 | ) |  |
static

Write contents to a file

Paramètres
string | $file | The full file path
string | $buffer | The buffer to write
boolean | $useStreams | Use streams
boolean | $appendToFile | Append to the file and not overwrite it.
Renvoie
boolean True on success
Depuis
1.0

Références $buffer, $file, Path\clean(), Folder\create(), et Stream\getStream().

Référencé par Patcher\apply(), Zip\createZipFile(), Bzip2\extract(), Gzip\extract(), Tar\extract(), Zip\extractCustom(), Zip\extractNative(), Path\isOwner(), et FileWrapper\write().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/filesystem/src/File.php


Joomla CMS: Référence de la classe Folder

  • Joomla
  • Filesystem
  • Folder
Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe Folder

Fonctions membres publiques statiques

static | copy ($src, $dest, $path='', $force=false, $useStreams=false)
static | create ($path='', $mode=0755)
static | delete ($path)
static | move ($src, $dest, $path='', $useStreams=false)
static | files ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludeFilter=array('^\..*', '.*~'))
static | folders ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludeFilter=array('^\..*'))
static | listFolderTree ($path, $filter, $maxLevel=3, $level=0, $parent=0)
static | makeSafe ($path)

Fonctions membres protégées statiques

static _items ($path, $filter, $recurse, $full, $exclude, $excludeFilterString, $findfiles)

Description détaillée

A Folder handling class

Depuis
1.0

Documentation des fonctions membres

◆ _items()

static _items | ( | $path,
 |  | $filter,
 |  | $recurse,
 |  | $full,
 |  | $exclude,
 |  | $excludeFilterString,
 |  | $findfiles
 | ) |
staticprotected

Function to read the files/folders in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for file names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the file.
array | $exclude | Array with names of files which should not be shown in the result.
string | $excludeFilterString | Regexp of files to exclude
boolean | $findfiles | True to read the files, false to read the folders
Renvoie
array Files.
Depuis
1.0

Références $file, $filter, $path, et Path\clean().

◆ copy()

static copy | ( | $src,
 |  | $dest,
 |  | $path = '',
 |  | $force = false,
 |  | $useStreams = false
 | ) |
static

Copy a folder.

Paramètres
string | $src | The path to the source folder.
string | $dest | The path to the destination folder.
string | $path | An optional base path to prefix to the file names.
boolean | $force | Force copy.
boolean | $useStreams | Optionally force folder/file overwrites.
Renvoie
boolean True on success.
Depuis
1.0
Exceptions
FilesystemException

Références $file, $path, Path\clean(), DIRECTORY_SEPARATOR, Stream\getStream(), et null.

◆ create()

static create | ( | $path = '',
 |  | $mode = 0755
 | ) |
static

Create a folder – and all necessary parent folders.

Paramètres
string | $path | A path to create from the base path.
integer | $mode | Directory permissions to set for folders created. 0755 by default.
Renvoie
boolean True if successful.
Depuis
1.0
Exceptions
FilesystemException

Références $mode, $path, Path\clean(), et null.

Référencé par Archive\extract(), Tar\extract(), Zip\extractCustom(), Zip\extractNative(), File\upload(), et File\write().

◆ delete()

static delete ( $path )
static

Delete a folder.

Paramètres
string $path The path to the folder to delete.
Renvoie
boolean True on success.
Depuis
1.0
Exceptions
FilesystemException

Références $files, $folder, $path, Path\clean(), File\delete(), elseif, et Path\removeRoot().

◆ files()

static files | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludeFilter = array('^\..*', '.*~')
 | ) |
static

Utility function to read the files in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for file names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the file.
array | $exclude | Array with names of files which should not be shown in the result.
array | $excludeFilter | Array of filter to exclude
Renvoie
array Files in the given folder.
Depuis
1.0
Exceptions

Références $filter, $path, Path\clean(), et Path\removeRoot().

◆ folders()

static folders | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludeFilter = array('^\..*')
 | ) |
static

Utility function to read the folders in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for folder names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the folders.
array | $exclude | Array with names of folders which should not be shown in the result.
array | $excludeFilter | Array with regular expressions matching folders which should not be shown in the result.
Renvoie
array Folders in the given folder.
Depuis
1.0
Exceptions

Références $filter, $path, Path\clean(), et Path\removeRoot().

◆ listFolderTree()

static listFolderTree | ( | $path,
 |  | $filter,
 |  | $maxLevel = 3,
 |  | $level = 0,
 |  | $parent = 0
 | ) |
static

Lists folder in format suitable for tree display.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for folder names.
integer | $maxLevel | The maximum number of levels to recursively read, defaults to three.
integer | $level | The current level, optional.
integer | $parent | Unique identifier of the parent folder, if any.
Renvoie
array Folders in the given folder.
Depuis
1.0

Références $filter, $GLOBALS, $id, $name, $path, Path\clean(), et JPATH_ROOT.

◆ makeSafe()

static makeSafe ( $path )
static

Makes path name safe to use.

Paramètres
string $path The full path to sanitise.
Renvoie
string The sanitised string.
Depuis
1.0

Références $path.

◆ move()

static move | ( | $src,
 |  | $dest,
 |  | $path = '',
 |  | $useStreams = false
 | ) |
static

Moves a folder.

Paramètres
string | $src | The path to the source folder.
string | $dest | The path to the destination folder.
string | $path | An optional base path to prefix to the file names.
boolean | $useStreams | Optionally use streams.
Renvoie
string|boolean Error message on false or boolean true on success.
Depuis
1.0

Références $path, Path\clean(), et Stream\getStream().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/filesystem/src/Folder.php


Joomla CMS: Référence de la classe Helper

  • Joomla
  • Filesystem
  • Helper
Fonctions membres publiques statiques
Référence de la classe Helper

Fonctions membres publiques statiques

static | remotefsize ($url)
static | ftpChmod ($url, $mode)
static | getWriteModes ()
static | getSupported ()
static | getTransports ()
static | getFilters ()
static | isJoomlaStream ($streamname)

Description détaillée

File system helper

Holds support functions for the filesystem, particularly the stream

Depuis
1.0

Documentation des fonctions membres

◆ ftpChmod()

static ftpChmod | ( | $url,
 |  | $mode
 | ) |
static

Quick FTP chmod

Paramètres
string | $url | Link identifier
integer | $mode | The new permissions, given as an octal value.
Renvoie
integer|boolean

1.0

Références $mode, $path, $url, $user, et null.

Référencé par Stream\chmod().

◆ getFilters()

static getFilters ( )
static

Returns a list of filters

Renvoie
array
Depuis
1.0

◆ getSupported()

static getSupported ( )
static

Stream and Filter Support Operations

Returns the supported streams, in addition to direct file access Also includes Joomla! streams as well as PHP streams

Renvoie
array Streams
Depuis
1.0

◆ getTransports()

static getTransports ( )
static

Returns a list of transports

Renvoie
array
Depuis
1.0

◆ getWriteModes()

static getWriteModes ( )
static

Modes that require a write operation

Renvoie
array
Depuis
1.0

Référencé par Stream\_getFilename().

◆ isJoomlaStream()

static isJoomlaStream ( $streamname )
static

Determine if a stream is a Joomla stream.

Paramètres
string $streamname The name of a stream
Renvoie
boolean True for a Joomla Stream
Depuis
1.0

Référencé par Stream\open().

◆ remotefsize()

static remotefsize ( $url )
static

Remote file size function for streams that don't support it

Paramètres
string $url TODO Add text
Renvoie
mixed

1.0

Références $path, $url, $user, et null.

Référencé par Stream\filesize().

La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/filesystem/src/Helper.php


Joomla CMS: Référence de la classe Patcher

  • Joomla
  • Filesystem
  • Patcher
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe Patcher

Fonctions membres publiques

reset ()
apply ()
addFile ($filename, $root=JPATH_ROOT, $strip=0)
add ($udiff, $root=JPATH_ROOT, $strip=0)

Fonctions membres publiques statiques

static getInstance ()

Champs de données

const | SRC_FILE = '/^---\\s+(\\S+)\s+\\d{1,4}-\\d{1,2}-\\d{1,2}\\s+\\d{1,2}:\\d{1,2}:\\d{1,2}(\\.\\d+)?\\s+(\+|-)\\d{4}/A'
const | DST_FILE = '/^\\+\\+\\+\\s+(\\S+)\s+\\d{1,4}-\\d{1,2}-\\d{1,2}\\s+\\d{1,2}:\\d{1,2}:\\d{1,2}(\\.\\d+)?\\s+(\+|-)\\d{4}/A'
const | HUNK = '/@@ -(\\d+)(,(\\d+))?\\s+\\+(\\d+)(,(\\d+))?\\s+@@($)/A'
const | SPLIT = '/(\r\n)|(\r)|(\n)/'

Fonctions membres protégées

__construct ()
applyHunk (&$lines, $src, $dst, $srcLine, $srcSize, $dstLine, $dstSize)
& getSource ($src)
& getDestination ($dst, $src)

Fonctions membres protégées statiques

static | splitLines ($data)
static | findHeader (&$lines, &$src, &$dst)
static | findHunk (&$lines, &$srcLine, &$srcSize, &$dstLine, &$dstSize)

Attributs protégés

$sources = array()
$destinations = array()
$removals = array()
$patches = array()

Attributs protégés statiques

static $instance

Description détaillée

A Unified Diff Format Patcher class

This has been derived from the PhpPatcher version 0.1.1 written by Giuseppe Mazzotta 1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
protected

Constructor

The constructor is protected to force the use of Patcher::getInstance()

Depuis
1.0

Documentation des fonctions membres

◆ add()

add | ( | $udiff,
 |  | $root = JPATH_ROOT,
 |  | $strip = 0
 | ) |

Add a unified diff string to the patcher

Paramètres
string | $udiff | Unified diff input string
string | $root | The files root path
integer | $strip | The number of '/' to strip
Renvoie
Patcher $this for chaining
Depuis
1.0

Références $root, et DIRECTORY_SEPARATOR.

Référencé par Patcher\addFile().

◆ addFile()

addFile | ( | $filename,
 |  | $root = JPATH_ROOT,
 |  | $strip = 0
 | ) |

Add a unified diff file to the patcher

Paramètres
string | $filename | Path to the unified diff file
string | $root | The files root path
integer | $strip | The number of '/' to strip
Renvoie
Patcher $this for chaining
Depuis
1.0

Références $root, et Patcher\add().

◆ apply()

apply ( )

Apply the patches

Renvoie
integer The number of files patched
Depuis
1.0
Exceptions

Références $content, $file, Patcher\applyHunk(), File\delete(), null, et File\write().

◆ applyHunk()

applyHunk | ( | & | $lines,
 |  |  | $src,
 |  |  | $dst,
 |  |  | $srcLine,
 |  |  | $srcSize,
 |  |  | $dstLine,
 |  |  | $dstSize
 | ) |  |
protected

Apply the patch

Paramètres
array | $lines | The udiff array of lines
string | $src | The source file
string | $dst | The destination file
string | $srcLine | The beginning of the patch for the source file
string | $srcSize | The size of the patch for the source file
string | $dstLine | The beginning of the patch for the destination file
string | $dstSize | The size of the patch for the destination file
Renvoie
void
Depuis
1.0
Exceptions

Références elseif, Patcher\getDestination(), Patcher\getSource(), et Path\removeRoot().

Référencé par Patcher\apply().

◆ findHeader()

static findHeader | ( | & | $lines,
 |  | & | $src,
 |  | & | $dst
 | ) |  |
staticprotected

Find the diff header

The internal array pointer of $lines is on the next line after the finding

Paramètres
array | $lines | The udiff array of lines
string | $src | The source file
string | $dst | The destination file
Renvoie
boolean TRUE in case of success, FALSE in case of failure
Depuis
1.0
Exceptions

◆ findHunk()

static findHunk | ( | & | $lines,
 |  | & | $srcLine,
 |  | & | $srcSize,
 |  | & | $dstLine,
 |  | & | $dstSize
 | ) |  |
staticprotected

Find the next hunk of difference

The internal array pointer of $lines is on the next line after the finding

Paramètres
array | $lines | The udiff array of lines
string | $srcLine | The beginning of the patch for the source file
string | $srcSize | The size of the patch for the source file
string | $dstLine | The beginning of the patch for the destination file
string | $dstSize | The size of the patch for the destination file
Renvoie
boolean TRUE in case of success, false in case of failure
Depuis
1.0
Exceptions

◆ getDestination()

& getDestination | ( | $dst,
 |  | $src
 | ) |
protected

Get the lines of a destination file

Paramètres
string | $dst | The path of a destination file
string | $src | The path of a source file
Renvoie
array The lines of the destination file
Depuis
1.0

Références Patcher\getSource().

Référencé par Patcher\applyHunk().

◆ getInstance()

static getInstance ( )
static

Method to get a patcher

Renvoie
Patcher an instance of the patcher
Depuis
1.0

◆ getSource()

& getSource ( $src )
protected

Get the lines of a source file

Paramètres
string $src The path of a file
Renvoie
array The lines of the source file
Depuis
1.0

Références null.

Référencé par Patcher\applyHunk(), et Patcher\getDestination().

◆ reset()

reset ( )

Reset the patcher

Renvoie
Patcher This object for chaining
Depuis
1.0

◆ splitLines()

static splitLines ( $data )
staticprotected

Separate CR or CRLF lines

Paramètres
string $data Input string
Renvoie
array The lines of the input destination file
Depuis
1.0

Références $data.

Documentation des champs

◆ $destinations

$destinations = array()
protected

◆ $instance

$instance
staticprotected

◆ $patches

$patches = array()
protected

◆ $removals

$removals = array()
protected

◆ $sources

$sources = array()
protected

◆ DST_FILE

const DST_FILE = '/^\\+\\+\\+\\s+(\\S+)\s+\\d{1,4}-\\d{1,2}-\\d{1,2}\\s+\\d{1,2}:\\d{1,2}:\\d{1,2}(\\.\\d+)?\\s+(\+|-)\\d{4}/A'

◆ HUNK

const HUNK = '/@@ -(\\d+)(,(\\d+))?\\s+\\+(\\d+)(,(\\d+))?\\s+@@($)/A'

◆ SPLIT

const SPLIT = '/(\r\n)|(\r)|(\n)/'

◆ SRC_FILE

const SRC_FILE = '/^---\\s+(\\S+)\s+\\d{1,4}-\\d{1,2}-\\d{1,2}\\s+\\d{1,2}:\\d{1,2}:\\d{1,2}(\\.\\d+)?\\s+(\+|-)\\d{4}/A'
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/filesystem/src/Patcher.php


Joomla CMS: Référence de la classe Path

  • Joomla
  • Filesystem
  • Path
Fonctions membres publiques statiques | Fonctions membres privées statiques
Référence de la classe Path

Fonctions membres publiques statiques

static | canChmod ($path)
static | setPermissions ($path, $filemode='0644', $foldermode='0755')
static | getPermissions ($path)
static | check ($path)
static | clean ($path, $ds=\DIRECTORY_SEPARATOR)
static | isOwner ($path)
static | find ($paths, $file)
static | resolve ($path)
static | removeRoot ($message, $rootDirectory=null)

Fonctions membres privées statiques

static makePattern ($dir)

Description détaillée

A Path handling class

Depuis
1.0

Documentation des fonctions membres

◆ canChmod()

static canChmod ( $path )
static

Checks if a path's permissions can be changed.

Paramètres
string $path Path to check.
Renvoie
boolean True if path can have mode changed.
Depuis
1.0

Références $path.

Référencé par File\delete().

◆ check()

static check ( $path )
static

Checks for snooping outside of the file system root.

Paramètres
string $path A file system path to check.
Renvoie
string A cleaned version of the path or exit on error.
Depuis
1.0
Exceptions
FilesystemException

Références $path, et JPATH_ROOT.

◆ clean()

static clean | ( | $path,
 |  | $ds = \DIRECTORY_SEPARATOR
 | ) |
static

Function to strip additional / or \ in a path name.

Paramètres
string | $path | The path to clean.
string | $ds | Directory separator (optional).
Renvoie
string The cleaned path.
Depuis
1.0
Exceptions

Références $path, elseif, et JPATH_ROOT.

Référencé par Folder\_items(), Folder\copy(), File\copy(), Folder\create(), File\delete(), Folder\delete(), Tar\extract(), Zip\extractCustom(), Folder\files(), Folder\folders(), Tar\isBelow(), Zip\isBelow(), Folder\listFolderTree(), File\move(), Folder\move(), File\upload(), et File\write().

◆ find()

static find | ( | $paths,
 |  | $file
 | ) |
static

Searches the directory paths for a given file.

Paramètres
mixed | $paths | A path string or array of path strings to search in
string | $file | The file name to look for.
Renvoie
string|boolean The full path and file name for the target file, or boolean false if the file is not found in any of the paths.
Depuis
1.0

Références $file, et $path.

◆ getPermissions()

static getPermissions ( $path )
static

Get the permissions of the file/folder at a give path.

Paramètres
string $path The path of a file/folder.
Renvoie
string Filesystem permissions.
Depuis
1.0

Références $i, $mode, et $path.

◆ isOwner()

static isOwner ( $path )
static

Method to determine if script owns the path.

Paramètres
string $path Path to check ownership.
Renvoie
boolean True if the php script owns the path passed.
Depuis
1.0

Références $path, $return, $tmp, File\delete(), JPATH_ROOT, et File\write().

◆ makePattern()

static makePattern ( $dir )
staticprivate

Turn directory separators into match classes

Paramètres
string $dir A directory name
Renvoie
string
Depuis
1.6.2

◆ removeRoot()

static removeRoot | ( | $message,
 |  | $rootDirectory = null
 | ) |
static

Remove all references to root directory path and the system tmp path from a message

Paramètres
string | $message | The message to be cleaned
string | $rootDirectory | Optional root directory, defaults to JPATH_ROOT
Renvoie
string
Depuis
1.6.2

Références $message, et JPATH_ROOT.

Référencé par FilesystemException\__construct(), Patcher\applyHunk(), File\copy(), Folder\delete(), Folder\files(), et Folder\folders().

◆ resolve()

static resolve ( $path )
static

Resolves /./, /../ and multiple / in a string and returns the resulting absolute path, inspired by Flysystem Removes trailing slashes

Paramètres
string $path A path to resolve
Renvoie
string The resolved path
Depuis
1.6.0

Références $parts, $path, et DIRECTORY_SEPARATOR.

Référencé par Tar\extract(), Tar\isBelow(), et Zip\isBelow().

◆ setPermissions()

static setPermissions | ( | $path,
 |  | $filemode = '0644',
 |  | $foldermode = '0755'
 | ) |
static

Chmods files and directories recursively to given permissions.

Paramètres
string | $path | Root path to begin changing mode [without trailing slash].
string | $filemode | Octal representation of the value to change file mode to [null = no change].
string | $foldermode | Octal representation of the value to change folder mode to [null = no change].
Renvoie
boolean True if successful [one fail means the whole operation failed].
Depuis
1.0

Références $file, et $path.

Référencé par File\upload().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/filesystem/src/Path.php


Joomla CMS: Référence de la classe Stream

  • Joomla
  • Filesystem
  • Stream
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés
Référence de la classe Stream

Fonctions membres publiques

__construct ($writeprefix='', $readprefix='', $context=array())
__destruct ()
open ($filename, $mode='r', $useIncludePath=false, $context=null, $usePrefix=false, $relative=false, $detectprocessingmode=false)
close ()
eof ()
filesize ()
gets ($length=0)
read ($length=0)
seek ($offset, $whence=\SEEK_SET)
tell ()
write (&$string, $length=0, $chunk=0)
chmod ($filename='', $mode=0)
get_meta_data ()
_buildContext ()
setContextOptions ($context)
addContextEntry ($wrapper, $name, $value)
deleteContextEntry ($wrapper, $name)
applyContextToStream ()
appendFilter ($filtername, $readWrite=\STREAM_FILTER_READ, $params=array())
prependFilter ($filtername, $readWrite=\STREAM_FILTER_READ, $params=array())
removeFilter (&$resource, $byindex=false)
copy ($src, $dest, $context=null, $usePrefix=true, $relative=false)
move ($src, $dest, $context=null, $usePrefix=true, $relative=false)
delete ($filename, $context=null, $usePrefix=true, $relative=false)
upload ($src, $dest, $context=null, $usePrefix=true, $relative=false)
writeFile ($filename, &$buffer, $appendToFile=false)
_getFilename ($filename, $mode, $usePrefix, $relative)
getFileHandle ()
set ($property, $value=null)
get ($property, $default=null)

Fonctions membres publiques statiques

static getStream ($usePrefix=true, $ua=null, $uamask=false)

Attributs protégés

$filemode = 0644
$dirmode = 0755
$chunksize = 8192
$filename
$writeprefix
$readprefix
$processingmethod = 'f'
$filters = array()
$fh
$filesize
$context
$contextOptions
$openmode

Description détaillée

Joomla! Stream Interface

The Joomla! stream interface is designed to handle files as streams where as the legacy JFile static class treated files in a rather atomic manner.

This class adheres to the stream wrapper operations:

https://www.php.net/manual/en/intro.stream.php PHP Stream Manual https://www.php.net/manual/en/wrappers.php Stream Wrappers https://www.php.net/manual/en/filters.php Stream Filters https://www.php.net/manual/en/transports.php Socket Transports (used by some options, particularly HTTP proxy) 1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $writeprefix = '',
 |  | $readprefix = '',
 |  | $context = array()
 | ) |

Constructor

Paramètres
string | $writeprefix | Prefix of the stream (optional). Unlike the JPATH_*, this has a final path separator!
string | $readprefix | The read prefix (optional).
array | $context | The context options (optional).
Depuis
1.0

Références Stream\$context, Stream\$readprefix, Stream\$writeprefix, et Stream\_buildContext().

◆ __destruct()

__destruct ( )

Destructor

Depuis
1.0

Références Stream\close().

Documentation des fonctions membres

◆ _buildContext()

_buildContext ( )

Stream contexts Builds the context from the array

Renvoie
void
Depuis
1.0

Références null.

Référencé par Stream\__construct(), Stream\addContextEntry(), Stream\deleteContextEntry(), et Stream\setContextOptions().

◆ _getFilename()

_getFilename | ( | $filename,
 |  | $mode,
 |  | $usePrefix,
 |  | $relative
 | ) |

Determine the appropriate 'filename' of a file

Paramètres
string | $filename | Original filename of the file
string | $mode | Mode string to retrieve the filename
boolean | $usePrefix | Controls the use of a prefix
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
string
Depuis
1.0

Références Stream\$filename, $mode, Stream\$readprefix, Stream\$writeprefix, Helper\getWriteModes(), et JPATH_ROOT.

Référencé par Stream\copy(), Stream\delete(), Stream\move(), et Stream\open().

◆ addContextEntry()

addContextEntry | ( | $wrapper,
 |  | $name,
 |  | $value
 | ) |

Adds a particular options to the context

Paramètres
string | $wrapper | The wrapper to use
string | $name | The option to set
string | $value | The value of the option
Renvoie
void

Stream Context Creation https://www.php.net/manual/en/context.php Context Options for various streams 1.0

Références $name, $value, et Stream\_buildContext().

◆ appendFilter()

appendFilter | ( | $filtername,
 |  | $readWrite = \STREAM_FILTER_READ,
 |  | $params = array()
 | ) |

Stream filters Append a filter to the chain

Paramètres
string | $filtername | The key name of the filter.
integer | $readWrite | Optional. Defaults to STREAM_FILTER_READ.
array | $params | An array of params for the stream_filter_append call.
Renvoie
resource|boolean

1.0 FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références $params, et null.

◆ applyContextToStream()

applyContextToStream ( )

Applies the current context to the stream

Use this to change the values of the context after you've opened a stream

Renvoie
boolean
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références null.

◆ chmod()

chmod | ( | $filename = '',
 |  | $mode = 0
 | ) |

Chmod wrapper

Paramètres
string | $filename | File name.
mixed | $mode | Mode to use.
Renvoie
boolean
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références Stream\$filemode, Stream\$filename, $mode, Helper\ftpChmod(), et null.

Référencé par Stream\close(), Stream\copy(), Stream\move(), et Stream\writeFile().

◆ close()

close ( )

Attempt to close a file handle

Will return false if it failed and true on success If the file is not open the system will return true, this function destroys the file handle as well

Renvoie
boolean
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références Stream\chmod(), et null.

Référencé par Stream\__destruct(), et Stream\writeFile().

◆ copy()

copy | ( | $src,
 |  | $dest,
 |  | $context = null,
 |  | $usePrefix = true,
 |  | $relative = false
 | ) |

Copy a file from src to dest

Paramètres
string | $src | The file path to copy from.
string | $dest | The file path to copy to.
resource | $context | A valid context resource (optional) created with stream_context_create.
boolean | $usePrefix | Controls the use of a prefix (optional).
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
boolean
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références Stream\$context, Stream\_getFilename(), Stream\chmod(), elseif, et null.

Référencé par Stream\upload().

◆ delete()

delete | ( | $filename,
 |  | $context = null,
 |  | $usePrefix = true,
 |  | $relative = false
 | ) |

Delete a file

Paramètres
string | $filename | The file path to delete.
resource | $context | A valid context resource (optional) created with stream_context_create.
boolean | $usePrefix | Controls the use of a prefix (optional).
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
boolean
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références Stream\$context, Stream\$filename, Stream\_getFilename(), elseif, et null.

◆ deleteContextEntry()

deleteContextEntry | ( | $wrapper,
 |  | $name
 | ) |

Deletes a particular setting from a context

Paramètres
string | $wrapper | The wrapper to use
string | $name | The option to unset
Renvoie
void

1.0

Références $name, et Stream\_buildContext().

◆ eof()

eof ( )

Work out if we're at the end of the file for a stream

Renvoie
boolean
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références null.

Référencé par Stream\read().

◆ filesize()

filesize ( )

Retrieve the file size of the path

Renvoie
integer|boolean
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références Stream\$filesize, null, et Helper\remotefsize().

Référencé par Stream\read().

◆ get()

get | ( | $property,
 |  | $default = null
 | ) |

Returns a property of the object or the default value if the property is not set.

Paramètres
string | $property | The name of the property.
mixed | $default | The default value.
Renvoie
mixed The value of the property.
Depuis
1.0

Références $default.

◆ get_meta_data()

get_meta_data ( )

Get the stream metadata

Renvoie
array header/metadata

1.0 FilesystemException

◆ getFileHandle()

getFileHandle ( )

Return the internal file handle

Renvoie
File handler
Depuis
1.0

Références Stream\$fh.

◆ gets()

gets ( $length = 0 )

Get a line from the stream source.

Paramètres
integer $length The number of bytes (optional) to read.
Renvoie
string
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références null.

◆ getStream()

static getStream | ( | $usePrefix = true,
 |  | $ua = null,
 |  | $uamask = false
 | ) |
static

Creates a new stream object with appropriate prefix

Paramètres
boolean | $usePrefix | Prefix the connections for writing
string | $ua | UA User agent to use
boolean | $uamask | User agent masking (prefix Mozilla)
Renvoie
Stream
Voir également
Stream
Depuis
1.0

Références Stream\$context, et JPATH_ROOT.

Référencé par Folder\copy(), File\copy(), Bzip2\extract(), Gzip\extract(), File\move(), Folder\move(), File\upload(), et File\write().

◆ move()

move | ( | $src,
 |  | $dest,
 |  | $context = null,
 |  | $usePrefix = true,
 |  | $relative = false
 | ) |

Moves a file

Paramètres
string | $src | The file path to move from.
string | $dest | The file path to move to.
resource | $context | A valid context resource (optional) created with stream_context_create.
boolean | $usePrefix | Controls the use of a prefix (optional).
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
boolean
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références Stream\$context, Stream\_getFilename(), Stream\chmod(), elseif, et null.

◆ open()

open | ( | $filename,
 |  | $mode = 'r',
 |  | $useIncludePath = false,
 |  | $context = null,
 |  | $usePrefix = false,
 |  | $relative = false,
 |  | $detectprocessingmode = false
 | ) |

Generic File Operations

Open a stream with some lazy loading smarts

Paramètres
string | $filename | Filename
string | $mode | Mode string to use
boolean | $useIncludePath | Use the PHP include path
resource | $context | Context to use when opening
boolean | $usePrefix | Use a prefix to open the file
boolean | $relative | Filename is a relative path (if false, strips JPATH_ROOT to make it relative)
boolean | $detectprocessingmode | Detect the processing method for the file and use the appropriate function to handle output automatically
Renvoie
boolean
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références Stream\$context, Stream\$filename, $mode, $url, Stream\_getFilename(), elseif, Helper\isJoomlaStream(), et null.

Référencé par Stream\writeFile().

◆ prependFilter()

prependFilter | ( | $filtername,
 |  | $readWrite = \STREAM_FILTER_READ,
 |  | $params = array()
 | ) |

Prepend a filter to the chain

Paramètres
string | $filtername | The key name of the filter.
integer | $readWrite | Optional. Defaults to STREAM_FILTER_READ.
array | $params | An array of params for the stream_filter_prepend call.
Renvoie
resource|boolean

1.0 FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références $params, et null.

◆ read()

read ( $length = 0 )

Read a file

Handles user space streams appropriately otherwise any read will return 8192

Paramètres
integer $length Length of data to read
Renvoie
string

1.0 FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références Stream\$filesize, Stream\eof(), Stream\filesize(), et null.

◆ removeFilter()

removeFilter | ( | & | $resource,
 |  |  | $byindex = false
 | ) |  |

Remove a filter, either by resource (handed out from the append or prepend function) or via getting the filter list)

Paramètres
resource | $resource | The resource.
boolean | $byindex | The index of the filter.
Renvoie
boolean Result of operation
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références null.

◆ seek()

seek | ( | $offset,
 |  | $whence = \SEEK_SET
 | ) |

Seek the file

Note: the return value is different to that of fseek

Paramètres
integer | $offset | Offset to use when seeking.
integer | $whence | Seek mode to use.
Renvoie
boolean True on success, false on failure

1.0 FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références $offset, et null.

◆ set()

set | ( | $property,
 |  | $value = null
 | ) |

Modifies a property of the object, creating it if it does not already exist.

Paramètres
string | $property | The name of the property.
mixed | $value | The value of the property to set.
Renvoie
mixed Previous value of the property.
Depuis
1.0

Références $value, et null.

◆ setContextOptions()

setContextOptions ( $context )

Updates the context to the array

Format is the same as the options for stream_context_create

Paramètres
array $context Options to create the context with
Renvoie
void

1.0

Références Stream\$context, et Stream\_buildContext().

◆ tell()

tell ( )

Returns the current position of the file read/write pointer.

Renvoie
integer
Depuis
1.0
Exceptions
FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références null.

◆ upload()

upload | ( | $src,
 |  | $dest,
 |  | $context = null,
 |  | $usePrefix = true,
 |  | $relative = false
 | ) |

Upload a file

Paramètres
string | $src | The file path to copy from (usually a temp folder).
string | $dest | The file path to copy to.
resource | $context | A valid context resource (optional) created with stream_context_create.
boolean | $usePrefix | Controls the use of a prefix (optional).
boolean | $relative | Determines if the filename given is relative. Relative paths do not have JPATH_ROOT stripped.
Renvoie
boolean
Depuis
1.0
Exceptions
FilesystemException

Références Stream\$context, et Stream\copy().

◆ write()

write | ( | & | $string,
 |  |  | $length = 0,
 |  |  | $chunk = 0
 | ) |  |

File write

Whilst this function accepts a reference, the underlying fwrite will do a copy! This will roughly double the memory allocation for any write you do. Specifying chunked will get around this by only writing in specific chunk sizes. This defaults to 8192 which is a sane number to use most of the time (change the default with Stream::set('chunksize', newsize);) Note: This doesn't support gzip/bzip2 writing like reading does

Paramètres
string | $string | Reference to the string to write.
integer | $length | Length of the string to write.
integer | $chunk | Size of chunks to write in.
Renvoie
boolean

1.0 FilesystemException

PhpElementIsNotAvailableInCurrentPhpVersionInspection

Références Stream\$chunksize, $start, et null.

Référencé par Stream\writeFile().

◆ writeFile()

writeFile | ( |  | $filename,
 |  | & | $buffer,
 |  |  | $appendToFile = false
 | ) |  |

Writes a chunk of data to a file.

Paramètres
string | $filename | The file name.
string | $buffer | The data to write to the file.
boolean | $appendToFile | Append to the file and not overwrite it.
Renvoie
boolean
Depuis
1.0

Références $buffer, Stream\$filename, Stream\chmod(), Stream\close(), Stream\open(), et Stream\write().

Documentation des champs

◆ $chunksize

$chunksize = 8192
protected

Référencé par Stream\write().

◆ $context

$context
protected

Référencé par Stream\__construct(), Stream\copy(), Stream\delete(), Stream\getStream(), Stream\move(), Stream\open(), Stream\setContextOptions(), et Stream\upload().

◆ $contextOptions

$contextOptions
protected

◆ $dirmode

$dirmode = 0755
protected

◆ $fh

$fh
protected

Référencé par Stream\getFileHandle().

◆ $filemode

$filemode = 0644
protected

Référencé par Stream\chmod().

◆ $filename

$filename
protected

Référencé par Stream\_getFilename(), Stream\chmod(), Stream\delete(), Stream\open(), et Stream\writeFile().

◆ $filesize

$filesize
protected

Référencé par Stream\filesize(), et Stream\read().

◆ $filters

$filters = array()
protected

◆ $openmode

$openmode
protected

◆ $processingmethod

$processingmethod = 'f'
protected

◆ $readprefix

$readprefix
protected

Référencé par Stream\__construct(), et Stream\_getFilename().

◆ $writeprefix

$writeprefix
protected

Référencé par Stream\__construct(), et Stream\_getFilename().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/filesystem/src/Stream.php


Joomla CMS: Référence de la classe InputFilter

  • Joomla
  • Filter
  • InputFilter
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés statiques | Fonctions membres privées | Attributs privés
Référence de la classe InputFilter
+ Graphe d'héritage de InputFilter:
InputFilter

Fonctions membres publiques

__construct ($tagsArray=array(), $attrArray=array(), $tagsMethod=self::ONLY_ALLOW_DEFINED_TAGS, $attrMethod=self::ONLY_ALLOW_DEFINED_ATTRIBUTES, $xssAuto=1)
clean ($source, $type='string')

Fonctions membres publiques statiques

static checkAttribute ($attrSubSet)

Champs de données

const | TAGS_WHITELIST = 0
const | TAGS_BLACKLIST = 1
const | ATTR_WHITELIST = 0
const | ATTR_BLACKLIST = 1
const | ONLY_ALLOW_DEFINED_TAGS = 0
const | ONLY_BLOCK_DEFINED_TAGS = 1
const | ONLY_ALLOW_DEFINED_ATTRIBUTES = 0
const | ONLY_BLOCK_DEFINED_ATTRIBUTES = 1
$tagsArray
$attrArray
$tagsMethod
$attrMethod
$xssAuto
$tagBlacklist
$attrBlacklist

Fonctions membres protégées

remove ($source)
cleanTags ($source)
cleanAttributes ($attrSet)
decode ($source)
escapeAttributeValues ($source)
stripCssExpressions ($source)

Attributs protégés statiques

static $instances = array()

Fonctions membres privées

cleanInt ($source)
cleanInteger ($source)
cleanUint ($source)
cleanFloat ($source)
cleanDouble ($source)
cleanBool ($source)
cleanBoolean ($source)
cleanWord ($source)
cleanAlnum ($source)
cleanCmd ($source)
cleanBase64 ($source)
cleanString ($source)
cleanHtml ($source)
cleanPath ($source)
pathMatches (&$source, $rootPattern, $pathSeparatorPattern, $filePattern, $pathSeparator)
cleanTrim ($source)
cleanUsername ($source)

Attributs privés

$blockedChars

Description détaillée

InputFilter is a class for filtering input from any data source

Forked from the php input filter library by: Daniel Morris dan@r.nosp@m.ootc.nosp@m.ube.c.nosp@m.om Original Contributors: Gianpaolo Racca, Ghislain Picard, Marco Wandschneider, Chris Tobin and Andrew Eddie.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $tagsArray = array(),
 |  | $attrArray = array(),
 |  | $tagsMethod = self::ONLY_ALLOW_DEFINED_TAGS,
 |  | $attrMethod = self::ONLY_ALLOW_DEFINED_ATTRIBUTES,
 |  | $xssAuto = 1
 | ) |

Constructor for InputFilter class.

Paramètres
array | $tagsArray | List of permitted HTML tags
array | $attrArray | List of permitted HTML tag attributes
integer | $tagsMethod | Method for filtering tags, should be one of the ONLY_*_DEFINED_TAGS constants
integer | $attrMethod | Method for filtering attributes, should be one of the ONLY_*_DEFINED_ATTRIBUTES constants
integer | $xssAuto | Only auto clean essentials = 0, Allow clean blocked tags/attributes = 1
Depuis
1.0

Références InputFilter\$attrArray, InputFilter\$attrMethod, InputFilter\$tagsArray, InputFilter\$tagsMethod, et InputFilter\$xssAuto.

Documentation des fonctions membres

◆ checkAttribute()

static checkAttribute ( $attrSubSet )
static

Function to determine if contents of an attribute are safe

Paramètres
array $attrSubSet A 2 element array for attribute's name, value
Renvoie
boolean True if bad code is detected
Depuis
1.0

Références ENT_QUOTES.

◆ clean()

clean | ( | $source,
 |  | $type = 'string'
 | ) |

Cleans the given input source based on the instance configuration and specified data type

Paramètres
string|string[]|object | $source Input string/array-of-string/object to be 'cleaned'
string | $type | The return type for the variable: INT: An integer UINT: An unsigned integer FLOAT: A floating point number BOOLEAN: A boolean value WORD: A string containing A-Z or underscores only (not case sensitive) ALNUM: A string containing A-Z or 0-9 only (not case sensitive) CMD: A string containing A-Z, 0-9, underscores, periods or hyphens (not case sensitive) BASE64: A string containing A-Z, 0-9, forward slashes, plus or equals (not case sensitive) STRING: A fully decoded and sanitised string (default) HTML: A sanitised string ARRAY: An array PATH: A sanitised file path TRIM: A string trimmed from normal, non-breaking and multibyte spaces USERNAME: Do not use (use an application specific filter) RAW: The raw string is returned with no filtering unknown: An unknown filter will act like STRING. If the input is an array it will return an array of fully decoded and sanitised strings.
Renvoie
mixed 'Cleaned' version of the $source parameter
Depuis
1.0

Références $key, $type, $value, et InputFilter\cleanString().

◆ cleanAlnum()

cleanAlnum ( $source )
private

Alphanumerical filter

Paramètres
string $source The string to be filtered
Renvoie
string The filtered string

◆ cleanAttributes()

cleanAttributes ( $attrSet )
protected

Internal method to strip a tag of disallowed attributes

Paramètres
array $attrSet Array of attribute pairs to filter
Renvoie
array Filtered array of attribute pairs
Depuis
1.0

Références $count, $i, elseif, et ENT_QUOTES.

Référencé par InputFilter\cleanTags().

◆ cleanBase64()

cleanBase64 ( $source )
private

Base64 filter

Paramètres
string $source The string to be filtered
Renvoie
string The filtered string

◆ cleanBool()

cleanBool ( $source )
private

Boolean filter

Paramètres
string $source The string to be filtered
Renvoie
boolean The filtered value

Référencé par InputFilter\cleanBoolean().

◆ cleanBoolean()

cleanBoolean ( $source )
private

Alias for cleanBool()

Paramètres
string $source The string to be filtered
Renvoie
boolean The filtered value

Références InputFilter\cleanBool().

◆ cleanCmd()

cleanCmd ( $source )
private

Command filter

Paramètres
string $source The string to be filtered
Renvoie
string The filtered string

◆ cleanDouble()

cleanDouble ( $source )
private

Alias for cleanFloat()

Paramètres
string $source The string to be filtered
Renvoie
float The filtered value

Références InputFilter\cleanFloat().

◆ cleanFloat()

cleanFloat ( $source )
private

Float filter

Paramètres
string $source The string to be filtered
Renvoie
float The filtered value

Référencé par InputFilter\cleanDouble().

◆ cleanHtml()

cleanHtml ( $source )
private

HTML filter

Paramètres
string $source The string to be filtered
Renvoie
string The filtered string

◆ cleanInt()

cleanInt ( $source )
private

Integer filter

Paramètres
string $source The string to be filtered
Renvoie
integer The filtered value

Référencé par InputFilter\cleanInteger().

◆ cleanInteger()

cleanInteger ( $source )
private

Alias for cleanInt()

Paramètres
string $source The string to be filtered
Renvoie
integer The filtered value

Références InputFilter\cleanInt().

◆ cleanPath()

cleanPath ( $source )
private

Path filter

Paramètres
string $source The string to be filtered
Renvoie
string The filtered string

Références InputFilter\pathMatches().

◆ cleanString()

cleanString ( $source )
private

String filter

Paramètres
string $source The string to be filtered
Renvoie
string The filtered string

Références InputFilter\decode().

Référencé par InputFilter\clean().

◆ cleanTags()

cleanTags ( $source )
protected

Internal method to strip a string of disallowed tags

Paramètres
string $source Input string to be 'cleaned'
Renvoie
string 'Cleaned' version of input parameter
Depuis
1.0

Références $attr, $count, $i, InputFilter\cleanAttributes(), InputFilter\escapeAttributeValues(), et null.

Référencé par InputFilter\remove().

◆ cleanTrim()

cleanTrim ( $source )
private

Trim filter

Paramètres
string $source The string to be filtered
Renvoie
string The filtered string

◆ cleanUint()

cleanUint ( $source )
private

Unsigned integer filter

Paramètres
string $source The string to be filtered
Renvoie
integer The filtered value

◆ cleanUsername()

cleanUsername ( $source )
private

Username filter

Paramètres
string $source The string to be filtered
Renvoie
string The filtered string

◆ cleanWord()

cleanWord ( $source )
private

Word filter

Paramètres
string $source The string to be filtered
Renvoie
string The filtered string

◆ decode()

decode ( $source )
protected

Try to convert to plaintext

Paramètres
string $source The source string.
Renvoie
string Plaintext string
Depuis
1.0
Obsolète:
This method will be removed once support for PHP 5.3 is discontinued.

Références ENT_QUOTES.

Référencé par InputFilter\cleanString().

◆ escapeAttributeValues()

escapeAttributeValues ( $source )
protected

Escape < > and " inside attribute values

Paramètres
string $source The source string.
Renvoie
string Filtered string
Depuis
1.0

Références InputFilter\stripCssExpressions().

Référencé par InputFilter\cleanTags().

◆ pathMatches()

pathMatches | ( | & | $source,
 |  |  | $rootPattern,
 |  |  | $pathSeparatorPattern,
 |  |  | $filePattern,
 |  |  | $pathSeparator
 | ) |  |
private

Fix a path, if and only if it matches the provided patterns.

If a path matches but is longer than 4095 bytes, it is cleared.

Paramètres
string | $source | The path as provided; it gets cleaned in place, if possible.
string | $rootPattern | The pattern to identify an absolute path (e.g., '/' on Linux, 'C:\' on Windows),
string | $pathSeparatorPattern | The pattern for valid path separators
string | $filePattern | The pattern for valid file and directory names
string | $pathSeparator | The native path separator
Renvoie
boolean

Référencé par InputFilter\cleanPath().

◆ remove()

remove ( $source )
protected

Internal method to iteratively remove all unwanted tags and attributes

Paramètres
string $source Input string to be 'cleaned'
Renvoie
string 'Cleaned' version of input parameter
Depuis
1.0

Références InputFilter\cleanTags().

◆ stripCssExpressions()

stripCssExpressions ( $source )
protected

Remove CSS Expressions in the form of <property>:expression(...)

Paramètres
string $source The source string.
Renvoie
string Filtered string
Depuis
1.0

Référencé par InputFilter\escapeAttributeValues().

Documentation des champs

◆ $attrArray

$attrArray

Référencé par InputFilter\__construct().

◆ $attrBlacklist

$attrBlacklist
Valeur initiale :
= array(
'action',
'background',
'codebase',
'dynsrc',
'formaction',
'lowsrc',
)

◆ $attrMethod

$attrMethod

Référencé par InputFilter\__construct().

◆ $blockedChars

$blockedChars
private
Valeur initiale :
= array(
'&tab;',
'&space;',
'&colon;',
'&column;',
)

◆ $instances

$instances = array()
staticprotected

◆ $tagBlacklist

$tagBlacklist
Valeur initiale :
= array(
'applet',
'body',
'bgsound',
'base',
'basefont',
'canvas',
'embed',
'frame',
'frameset',
'head',
'html',
'id',
'iframe',
'ilayer',
'layer',
'link',
'meta',
'name',
'object',
'script',
'style',
'title',
'xml',
)

◆ $tagsArray

$tagsArray

Référencé par InputFilter\__construct().

◆ $tagsMethod

$tagsMethod

Référencé par InputFilter\__construct().

◆ $xssAuto

$xssAuto

Référencé par InputFilter\__construct().

◆ ATTR_BLACKLIST

const ATTR_BLACKLIST = 1

◆ ATTR_WHITELIST

const ATTR_WHITELIST = 0

◆ ONLY_ALLOW_DEFINED_ATTRIBUTES

const ONLY_ALLOW_DEFINED_ATTRIBUTES = 0

◆ ONLY_ALLOW_DEFINED_TAGS

const ONLY_ALLOW_DEFINED_TAGS = 0

◆ ONLY_BLOCK_DEFINED_ATTRIBUTES

const ONLY_BLOCK_DEFINED_ATTRIBUTES = 1

◆ ONLY_BLOCK_DEFINED_TAGS

const ONLY_BLOCK_DEFINED_TAGS = 1

◆ TAGS_BLACKLIST

const TAGS_BLACKLIST = 1

◆ TAGS_WHITELIST

const TAGS_WHITELIST = 0
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/filter/src/InputFilter.php


Joomla CMS: Référence de la classe OutputFilter

  • Joomla
  • Filter
  • OutputFilter
Fonctions membres publiques statiques
Référence de la classe OutputFilter
+ Graphe d'héritage de OutputFilter:
OutputFilter

Fonctions membres publiques statiques

static | objectHtmlSafe (&$mixed, $quoteStyle=\ENT_QUOTES, $excludeKeys='')
static | linkXhtmlSafe ($input)
static | stringUrlSafe ($string, $language='')
static | stringUrlUnicodeSlug ($string)
static | ampReplace ($text)
static | cleanText (&$text)
static | stripImages ($string)
static | stripIframes ($string)

Description détaillée

OutputFilter is a class for processing an output string for "safe" display

Depuis
1.0

Documentation des fonctions membres

◆ ampReplace()

static ampReplace ( $text )
static

Makes a string safe for XHTML output by escaping ampersands.

Paramètres
string $text Text to process
Renvoie
string Processed string.
Depuis
1.0

Références $text.

Référencé par OutputFilterWrapper\ampReplace().

◆ cleanText()

static cleanText ( & $text )
static

Cleans text of all formatting and scripting code.

Paramètres
string $text Text to clean
Renvoie
string Cleaned text.
Depuis
1.0

Références $text, ENT_COMPAT, et htmlspecialchars.

Référencé par OutputFilterWrapper\cleanText().

◆ linkXhtmlSafe()

static linkXhtmlSafe ( $input )
static

Makes a string safe for XHTML output by escaping ampersands in links.

Paramètres
string $input String to process
Renvoie
string Processed string
Depuis
1.0

Références $input.

◆ objectHtmlSafe()

static objectHtmlSafe | ( | & | $mixed,
 |  |  | $quoteStyle = \ENT_QUOTES,
 |  |  | $excludeKeys = ''
 | ) |  |
static

Makes an object safe to display in forms.

Object parameters that are non-string, array, object or start with underscore will be converted

Paramètres
object | $mixed | An object to be parsed
integer | $quoteStyle | The optional quote style for the htmlspecialchars function
mixed | $excludeKeys | An optional string single field name or array of field names not to be parsed (eg, for a textarea)
Renvoie
void
Depuis
1.0

Références htmlspecialchars, et null.

◆ stringUrlSafe()

static stringUrlSafe | ( | $string,
 |  | $language = ''
 | ) |
static

Generates a URL safe version of the specified string with language transliteration.

This method processes a string and replaces all accented UTF-8 characters by unaccented ASCII-7 "equivalents"; whitespaces are replaced by hyphens and the string is lowercased.

Paramètres
string | $string | String to process
string | $language | Language to transliterate to
Renvoie
string Processed string
Depuis
1.0

Références $lang, et $language.

◆ stringUrlUnicodeSlug()

static stringUrlUnicodeSlug ( $string )
static

Generates a URL safe version of the specified string with unicode character replacement.

Paramètres
string $string String to process
Renvoie
string Processed string
Depuis
1.0

◆ stripIframes()

static stripIframes ( $string )
static

Strips <iframe> tags from a string.

Paramètres
string $string Sting to be cleaned.
Renvoie
string Cleaned string
Depuis
1.0

Référencé par OutputFilterWrapper\stripIframes().

◆ stripImages()

static stripImages ( $string )
static

Strips <img> tags from a string.

Paramètres
string $string Sting to be cleaned.
Renvoie
string Cleaned string
Depuis
1.0

Référencé par OutputFilterWrapper\stripImages().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/filter/src/OutputFilter.php


Joomla CMS: Référence de la classe Backgroundfill

  • Joomla
  • Image
  • Filter
  • Backgroundfill
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe Backgroundfill
+ Graphe d'héritage de Backgroundfill:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

execute (array $options=array())
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Fonctions membres protégées

sanitizeColor ($input)

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Image Filter class fill background with color;

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )

Method to apply a background color to an image resource.

Paramètres
array $options An array of options for the filter. color Background matte color
Renvoie
void
Depuis
1.0
Exceptions
InvalidArgumentException

Références $color, $height, $options, $width, null, et Backgroundfill\sanitizeColor().

◆ sanitizeColor()

sanitizeColor ( $input )
protected

Method to sanitize color values and/or convert to an array

Paramètres
mixed $input Associative array of colors and alpha, or hex RGBA string when alpha FF is opaque. Defaults to black and opaque alpha
Renvoie
array Associative array of red, green, blue and alpha
Depuis
1.0
Note
'#FF0000FF' returns an array with alpha of 0 (opaque)

Références $input, $value, et elseif.

Référencé par Backgroundfill\execute().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Backgroundfill.php


Joomla CMS: Référence de la classe Brightness

  • Joomla
  • Image
  • Filter
  • Brightness
Fonctions membres publiques
Référence de la classe Brightness
+ Graphe d'héritage de Brightness:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

execute (array $options=array())
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Image Filter class adjust the brightness of an image.

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )

Method to apply a filter to an image resource.

Paramètres
array $options An array of options for the filter.
Renvoie
void
Depuis
1.0
Exceptions
InvalidArgumentException

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Brightness.php


Joomla CMS: Référence de la classe Contrast

  • Joomla
  • Image
  • Filter
  • Contrast
Fonctions membres publiques
Référence de la classe Contrast
+ Graphe d'héritage de Contrast:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

execute (array $options=array())
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Image Filter class adjust the contrast of an image.

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )

Method to apply a filter to an image resource.

Paramètres
array $options An array of options for the filter.
Renvoie
void
Depuis
1.0
Exceptions
InvalidArgumentException

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Contrast.php


Joomla CMS: Référence de la classe Edgedetect

  • Joomla
  • Image
  • Filter
  • Edgedetect
Fonctions membres publiques
Référence de la classe Edgedetect
+ Graphe d'héritage de Edgedetect:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

execute (array $options=array())
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Image Filter class to add an edge detect effect to an image.

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )

Method to apply a filter to an image resource.

Paramètres
array $options An array of options for the filter.
Renvoie
void
Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • Edgedetect.php


Joomla CMS: Référence de la classe Emboss

  • Joomla
  • Image
  • Filter
  • Emboss
Fonctions membres publiques
Référence de la classe Emboss
+ Graphe d'héritage de Emboss:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

execute (array $options=array())
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Image Filter class to emboss an image.

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )

Method to apply a filter to an image resource.

Paramètres
array $options An array of options for the filter.
Renvoie
void
Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • Emboss.php


Joomla CMS: Référence de la classe Grayscale

  • Joomla
  • Image
  • Filter
  • Grayscale
Fonctions membres publiques
Référence de la classe Grayscale
+ Graphe d'héritage de Grayscale:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

execute (array $options=array())
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Image Filter class to transform an image to grayscale.

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )

Method to apply a filter to an image resource.

Paramètres
array $options An array of options for the filter.
Renvoie
void
Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • Grayscale.php


Joomla CMS: Référence de la classe Negate

  • Joomla
  • Image
  • Filter
  • Negate
Fonctions membres publiques
Référence de la classe Negate
+ Graphe d'héritage de Negate:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

execute (array $options=array())
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Image Filter class to negate the colors of an image.

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )

Method to apply a filter to an image resource.

Paramètres
array $options An array of options for the filter.
Renvoie
void
Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • Negate.php


Joomla CMS: Référence de la classe Sketchy

  • Joomla
  • Image
  • Filter
  • Sketchy
Fonctions membres publiques
Référence de la classe Sketchy
+ Graphe d'héritage de Sketchy:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

execute (array $options=array())
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Image Filter class to make an image appear "sketchy".

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )

Method to apply a filter to an image resource.

Paramètres
array $options An array of options for the filter.
Renvoie
void
Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • Sketchy.php


Joomla CMS: Référence de la classe Smooth

  • Joomla
  • Image
  • Filter
  • Smooth
Fonctions membres publiques
Référence de la classe Smooth
+ Graphe d'héritage de Smooth:
ImageFilter LoggerAwareInterface

Fonctions membres publiques

execute (array $options=array())
- Fonctions membres publiques hérités de ImageFilter
__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ImageFilter
$handle
$logger

Description détaillée

Image Filter class adjust the smoothness of an image.

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )

Method to apply a filter to an image resource.

Paramètres
array $options An array of options for the filter.
Renvoie
void
Depuis
1.0
Exceptions
InvalidArgumentException

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Smooth.php


Joomla CMS: Référence de la classe Image

  • Joomla
  • Image
  • Image
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Fonctions membres privées | Fonctions membres privées statiques
Référence de la classe Image
+ Graphe d'héritage de Image:
LoggerAwareInterface Image

Fonctions membres publiques

__construct ($source=null)
getHandle ()
getLogger ()
setLogger (LoggerInterface $logger)
getOrientation ()
generateThumbs ($thumbSizes, $creationMethod=self::SCALE_INSIDE)
createThumbs ($thumbSizes, $creationMethod=self::SCALE_INSIDE, $thumbsFolder=null)
crop ($width, $height, $left=null, $top=null, $createNew=true)
filter ($type, array $options=array())
getHeight ()
getWidth ()
getPath ()
isLoaded ()
isTransparent ()
loadFile ($path)
resize ($width, $height, $createNew=true, $scaleMethod=self::SCALE_INSIDE)
cropResize ($width, $height, $createNew=true)
rotate ($angle, $background=-1, $createNew=true)
flip ($mode, $createNew=true)
watermark (Image $watermark, $transparency=50, $bottomMargin=0, $rightMargin=0)
toFile ($path, $type=IMAGETYPE_JPEG, array $options=array())
destroy ()
__destruct ()
setThumbnailGenerate ($quality=true)

Fonctions membres publiques statiques

static getImageFileProperties ($path)

Champs de données

const | SCALE_FILL = 1
const | SCALE_INSIDE = 2
const | SCALE_OUTSIDE = 3
const | CROP = 4
const | CROP_RESIZE = 5
const | SCALE_FIT = 6
const | ORIENTATION_LANDSCAPE = 'landscape'
const | ORIENTATION_PORTRAIT = 'portrait'
const | ORIENTATION_SQUARE = 'square'

Fonctions membres protégées

getFilterInstance ($type)
prepareDimensions ($width, $height, $scaleMethod)
sanitizeHeight ($height, $width)
sanitizeOffset ($offset)
sanitizeWidth ($width, $height)

Attributs protégés

$handle
$path
$logger
$generateBestQuality = true

Attributs protégés statiques

static $formats = array()

Fonctions membres privées

isValidImage ($handle)

Fonctions membres privées statiques

static getOrientationString ($width, $height)

Description détaillée

Class to manipulate an image.

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $source = null )

Class constructor.

Paramètres
mixed $source Either a file path for a source image or a GD resource handler for an image.
Depuis
1.0
Exceptions

Références $info, elseif, Image\isValidImage(), et Image\loadFile().

◆ __destruct()

__destruct ( )

Method to call the destroy() method one last time to free any memory when the object is unset

Voir également
Image::destroy()
Depuis
1.0

Références Image\destroy().

Documentation des fonctions membres

◆ createThumbs()

createThumbs | ( | $thumbSizes,
 |  | $creationMethod = self::SCALE_INSIDE,
 |  | $thumbsFolder = null
 | ) |

Method to create thumbnails from the current image and save them to disk. It allows creation by resizing or cropping the original image.

Paramètres
mixed | $thumbSizes | string or array of strings. Example: $thumbSizes = array('150x75','250x150');
integer | $creationMethod | 1-3 resize $scaleMethod | 4 create cropping
string | $thumbsFolder | destination thumbs folder. null generates a thumbs folder in the image folder
Renvoie
array
Depuis
1.0
Exceptions

Références Image\generateThumbs(), Image\getPath(), Image\isLoaded(), et null.

◆ crop()

crop | ( | $width,
 |  | $height,
 |  | $left = null,
 |  | $top = null,
 |  | $createNew = true
 | ) |

Method to crop the current image.

Paramètres
mixed | $width | The width of the image section to crop in pixels or a percentage.
mixed | $height | The height of the image section to crop in pixels or a percentage.
integer | $left | The number of pixels from the left to start cropping.
integer | $top | The number of pixels from the top to start cropping.
boolean | $createNew | If true the current image will be cloned, cropped and returned; else the current image will be cropped and returned.
Renvoie
Image
Depuis
1.0
Exceptions

Références $color, Image\$handle, $height, $width, Image\destroy(), Image\getHandle(), Image\getHeight(), Image\getWidth(), Image\isTransparent(), null, Image\sanitizeHeight(), Image\sanitizeOffset(), et Image\sanitizeWidth().

Référencé par Image\generateThumbs().

◆ cropResize()

cropResize | ( | $width,
 |  | $height,
 |  | $createNew = true
 | ) |

Method to crop an image after resizing it to maintain proportions without having to do all the set up work.

Paramètres
integer | $width | The desired width of the image in pixels or a percentage.
integer | $height | The desired height of the image in pixels or a percentage.
integer | $createNew | If true the current image will be cloned, resized, cropped and returned.
Renvoie
Image
Depuis
1.0

Références $height, $width, Image\getHeight(), Image\getWidth(), null, Image\resize(), Image\sanitizeHeight(), et Image\sanitizeWidth().

Référencé par Image\generateThumbs().

◆ destroy()

destroy ( )

Method to destroy an image handle and free the memory associated with the handle

Renvoie
boolean True on success, false on failure or if no image is loaded
Depuis
1.0

Références Image\getHandle(), et Image\isLoaded().

Référencé par Image\__destruct(), Image\crop(), Image\flip(), Image\loadFile(), Image\resize(), et Image\rotate().

◆ filter()

filter | ( |  | $type,
 |  | array | $options = array()
 | ) |  |

Method to apply a filter to the image by type. Two examples are: grayscale and sketchy.

Paramètres
string | $type | The name of the image filter to apply.
array | $options | An array of options for the filter.
Renvoie
Image
Depuis
1.0
Voir également
Joomla
Exceptions

Références $filter, $options, $type, Image\getFilterInstance(), et Image\isLoaded().

◆ flip()

flip | ( | $mode,
 |  | $createNew = true
 | ) |

Method to flip the current image.

Paramètres
integer | $mode | The flip mode for flipping the image https://www.php.net/imageflip#refsect1-function.imageflip-parameters
boolean | $createNew | If true the current image will be cloned, flipped and returned; else the current image will be flipped and returned.
Renvoie
Image
Depuis
1.2.0
Exceptions

Références Image\$handle, $mode, Image\destroy(), Image\getHandle(), Image\getHeight(), et Image\getWidth().

◆ generateThumbs()

generateThumbs | ( | $thumbSizes,
 |  | $creationMethod = self::SCALE_INSIDE
 | ) |

Method to generate thumbnails from the current image. It allows creation by resizing or cropping the original image.

Paramètres
mixed | $thumbSizes | String or array of strings. Example: $thumbSizes = array('150x75','250x150');
integer | $creationMethod | 1-3 resize $scaleMethod | 4 create cropping | 5 resize then crop
Renvoie
array
Depuis
1.0
Exceptions

Références Image\crop(), Image\cropResize(), Image\isLoaded(), null, et Image\resize().

Référencé par Image\createThumbs().

◆ getFilterInstance()

getFilterInstance ( $type )
protected

Method to get an image filter instance of a specified type.

Paramètres
string $type The image filter type to get.
Renvoie
ImageFilter
Depuis
1.0
Exceptions

Références $className, $type, Image\getHandle(), et Image\getLogger().

Référencé par Image\filter().

◆ getHandle()

getHandle ( )

Get the image resource handle

Renvoie
resource
Depuis
1.3.0
Exceptions

Références Image\$handle, et Image\isLoaded().

Référencé par Image\crop(), Image\destroy(), Image\flip(), Image\getFilterInstance(), Image\getHeight(), Image\getWidth(), Image\isTransparent(), Image\resize(), Image\rotate(), Image\toFile(), et Image\watermark().

◆ getHeight()

getHeight ( )

Method to get the height of the image in pixels.

Renvoie
integer
Depuis
1.0
Exceptions

Références Image\getHandle().

Référencé par Image\crop(), Image\cropResize(), Image\flip(), Image\getOrientation(), Image\prepareDimensions(), Image\resize(), Image\rotate(), Image\sanitizeHeight(), et Image\watermark().

◆ getImageFileProperties()

static getImageFileProperties ( $path )
static

Method to return a properties object for an image given a filesystem path.

The result object has values for image width, height, type, attributes, mime type, bits, and channels.

Paramètres
string $path The filesystem path to the image for which to get properties.
Renvoie
Depuis
1.0
Exceptions

Références $info, Image\$path, et null.

◆ getLogger()

getLogger ( )

Get the logger.

Renvoie
LoggerInterface
Depuis
1.0

Références Image\$logger.

Référencé par Image\getFilterInstance(), et Image\loadFile().

◆ getOrientation()

getOrientation ( )

Method to detect whether an image's orientation is landscape, portrait or square.

The orientation will be returned as a string.

Renvoie
mixed Orientation string or null.
Depuis
1.2.0

Références Image\getHeight(), Image\getWidth(), et Image\isLoaded().

◆ getOrientationString()

static getOrientationString | ( | $width,
 |  | $height
 | ) |
staticprivate

Compare width and height integers to determine image orientation.

Paramètres
integer | $width | The width value to use for calculation
integer | $height | The height value to use for calculation
Renvoie
string Orientation string
Depuis
1.2.0

Références $height, et $width.

◆ getPath()

getPath ( )

Method to return the path

Renvoie
string
Depuis
1.0

Références Image\$path.

Référencé par Image\createThumbs().

◆ getWidth()

getWidth ( )

Method to get the width of the image in pixels.

Renvoie
integer
Depuis
1.0
Exceptions

Références Image\getHandle().

Référencé par Image\crop(), Image\cropResize(), Image\flip(), Image\getOrientation(), Image\prepareDimensions(), Image\rotate(), Image\sanitizeWidth(), et Image\watermark().

◆ isLoaded()

isLoaded ( )

Method to determine whether or not an image has been loaded into the object.

Renvoie
boolean
Depuis
1.0

Références Image\isValidImage().

Référencé par Image\createThumbs(), Image\destroy(), Image\filter(), Image\generateThumbs(), Image\getHandle(), et Image\getOrientation().

◆ isTransparent()

isTransparent ( )

Method to determine whether or not the image has transparency.

Renvoie
boolean
Depuis
1.0
Exceptions

Références Image\getHandle().

Référencé par Image\crop(), et Image\resize().

◆ isValidImage()

isValidImage ( $handle )
private
Paramètres
mixed $handle A potential image handle
Renvoie
boolean

Références Image\$handle.

Référencé par Image\__construct(), Image\isLoaded(), et Image\loadFile().

◆ loadFile()

loadFile ( $path )

Method to load a file into the Image object as the resource.

Paramètres
string $path The filesystem path to load as an image.
Renvoie
void
Depuis
1.0
Exceptions

Références Image\$handle, Image\$path, Image\destroy(), Image\getLogger(), et Image\isValidImage().

Référencé par Image\__construct().

◆ prepareDimensions()

prepareDimensions | ( | $width,
 |  | $height,
 |  | $scaleMethod
 | ) |
protected

Method to get the new dimensions for a resized image.

Paramètres
integer | $width | The width of the resized image in pixels.
integer | $height | The height of the resized image in pixels.
integer | $scaleMethod | The method to use for scaling
Renvoie
Depuis
1.0
Exceptions

Références $height, $width, Image\getHeight(), et Image\getWidth().

Référencé par Image\resize().

◆ resize()

resize | ( | $width,
 |  | $height,
 |  | $createNew = true,
 |  | $scaleMethod = self::SCALE_INSIDE
 | ) |

Method to resize the current image.

Paramètres
mixed | $width | The width of the resized image in pixels or a percentage.
mixed | $height | The height of the resized image in pixels or a percentage.
boolean | $createNew | If true the current image will be cloned, resized and returned; else the current image will be resized and returned.
integer | $scaleMethod | Which method to use for scaling
Renvoie
Image
Depuis
1.0
Exceptions

Références $color, Image\$handle, $height, $offset, $width, Image\destroy(), Image\getHandle(), Image\getHeight(), Image\isTransparent(), Image\prepareDimensions(), Image\sanitizeHeight(), et Image\sanitizeWidth().

Référencé par Image\cropResize(), et Image\generateThumbs().

◆ rotate()

rotate | ( | $angle,
 |  | $background = -1,
 |  | $createNew = true
 | ) |

Method to rotate the current image.

Paramètres
mixed | $angle | The angle of rotation for the image
integer | $background | The background color to use when areas are added due to rotation
boolean | $createNew | If true the current image will be cloned, rotated and returned; else the current image will be rotated and returned.
Renvoie
Image
Depuis
1.0
Exceptions

Références Image\$handle, Image\destroy(), Image\getHandle(), Image\getHeight(), et Image\getWidth().

◆ sanitizeHeight()

sanitizeHeight | ( | $height,
 |  | $width
 | ) |
protected

Method to sanitize a height value.

Paramètres
mixed | $height | The input height value to sanitize.
mixed | $width | The input width value for reference.
Renvoie
integer
Depuis
1.0

Références $height, $width, Image\getHeight(), et null.

Référencé par Image\crop(), Image\cropResize(), et Image\resize().

◆ sanitizeOffset()

sanitizeOffset ( $offset )
protected

Method to sanitize an offset value like left or top.

Paramètres
mixed $offset An offset value.
Renvoie
integer
Depuis
1.0

Références $offset.

Référencé par Image\crop().

◆ sanitizeWidth()

sanitizeWidth | ( | $width,
 |  | $height
 | ) |
protected

Method to sanitize a width value.

Paramètres
mixed | $width | The input width value to sanitize.
mixed | $height | The input height value for reference.
Renvoie
integer
Depuis
1.0

Références $height, $width, Image\getWidth(), et null.

Référencé par Image\crop(), Image\cropResize(), et Image\resize().

◆ setLogger()

setLogger ( LoggerInterface $logger )

Sets a logger instance on the object

Paramètres
LoggerInterface $logger A PSR-3 compliant logger.
Renvoie
Image This object for message chaining.
Depuis
1.0

Implémente LoggerAwareInterface.

Références Image\$logger.

◆ setThumbnailGenerate()

setThumbnailGenerate ( $quality = true )

Method for set option of generate thumbnail method

Paramètres
boolean $quality True for best quality. False for best speed.
Renvoie
void
Depuis
1.4.0

◆ toFile()

toFile | ( |  | $path,
 |  |  | $type = IMAGETYPE_JPEG,
 |  | array | $options = array()
 | ) |  |

Method to write the current image out to a file or output directly.

Paramètres
mixed | $path | The filesystem path to save the image. When null, the raw image stream will be outputted directly.
integer | $type | The image type to save the file as.
array | $options | The image type options to use in saving the file. For PNG and JPEG formats use quality key to set compression level (0..9 and 0..100)
Renvoie
boolean

1.0

Références $options, Image\$path, $type, et Image\getHandle().

◆ watermark()

watermark | ( | Image | $watermark,
 |  |  | $transparency = 50,
 |  |  | $bottomMargin = 0,
 |  |  | $rightMargin = 0
 | ) |  |

Watermark the image

Paramètres
Image | $watermark | The Image object containing the watermark graphic
integer | $transparency | The transparency to use for the watermark graphic
integer | $bottomMargin | The margin from the bottom of this image
integer | $rightMargin | The margin from the right side of this image
Renvoie
Image
Depuis
1.3.0 https://www.php.net/manual/en/image.examples-watermark.php

Références Image\getHandle(), Image\getHeight(), et Image\getWidth().

Documentation des champs

◆ $formats

$formats = array()
staticprotected

◆ $generateBestQuality

$generateBestQuality = true
protected

◆ $handle

$handle
protected

Référencé par Image\crop(), Image\flip(), Image\getHandle(), Image\isValidImage(), Image\loadFile(), Image\resize(), et Image\rotate().

◆ $logger

$logger
protected

Référencé par Image\getLogger(), et Image\setLogger().

◆ $path

$path
protected

Référencé par Image\getImageFileProperties(), Image\getPath(), Image\loadFile(), et Image\toFile().

◆ CROP

const CROP = 4

integer

Depuis
1.0

◆ CROP_RESIZE

const CROP_RESIZE = 5

integer

Depuis
1.0

◆ ORIENTATION_LANDSCAPE

const ORIENTATION_LANDSCAPE = 'landscape'

string

Depuis
1.2.0

◆ ORIENTATION_PORTRAIT

const ORIENTATION_PORTRAIT = 'portrait'

string

Depuis
1.2.0

◆ ORIENTATION_SQUARE

const ORIENTATION_SQUARE = 'square'

string

Depuis
1.2.0

◆ SCALE_FILL

const SCALE_FILL = 1

integer

Depuis
1.0

◆ SCALE_FIT

const SCALE_FIT = 6

integer

Depuis
1.0

◆ SCALE_INSIDE

const SCALE_INSIDE = 2

integer

Depuis
1.0

◆ SCALE_OUTSIDE

const SCALE_OUTSIDE = 3

integer

Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/image/src/Image.php


Joomla CMS: Référence de la classe ImageFilter

  • Joomla
  • Image
  • ImageFilter
Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe ImageFilter
+ Graphe d'héritage de ImageFilter:
LoggerAwareInterface ImageFilter Backgroundfill Brightness Contrast Edgedetect Emboss Grayscale Negate Sketchy Smooth

Fonctions membres publiques

__construct ($handle)
getLogger ()
setLogger (LoggerInterface $logger)
execute (array $options=array())

Attributs protégés

$handle
$logger

Fonctions membres privées

isValidImage ($handle)

Description détaillée

Class to manipulate an image.

Depuis
1.0
Obsolète:
The joomla/image package is deprecated

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $handle )

Class constructor.

Paramètres
resource | \GdImage $handle The image resource on which to apply the filter.
Depuis
1.0
Exceptions

Références ImageFilter\$handle, ImageFilter\getLogger(), et ImageFilter\isValidImage().

Documentation des fonctions membres

◆ execute()

execute ( array $options = array() )
abstract

Method to apply a filter to an image resource.

Paramètres
array $options An array of options for the filter.
Renvoie
void
Depuis
1.0

◆ getLogger()

getLogger ( )

Get the logger.

Renvoie
LoggerInterface
Depuis
1.0

Références ImageFilter\$logger.

Référencé par ImageFilter\__construct().

◆ isValidImage()

isValidImage ( $handle )
private
Paramètres
mixed $handle A potential image handle
Renvoie
boolean

Références ImageFilter\$handle.

Référencé par ImageFilter\__construct().

◆ setLogger()

setLogger ( LoggerInterface $logger )

Sets a logger instance on the object

Paramètres
LoggerInterface $logger A PSR-3 compliant logger.
Renvoie
ImageFilter This object for message chaining.
Depuis
1.0

Implémente LoggerAwareInterface.

Références ImageFilter\$logger.

Documentation des champs

◆ $handle

$handle
protected

Référencé par ImageFilter\__construct(), et ImageFilter\isValidImage().

◆ $logger

$logger
protected

Référencé par ImageFilter\getLogger(), et ImageFilter\setLogger().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/image/src/ImageFilter.php


Joomla CMS: Référence de la classe Cli

  • Joomla
  • Input
  • Cli
Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe Cli
+ Graphe d'héritage de Cli:
Input

Fonctions membres publiques

__construct ($source=null, array $options=array())
serialize ()
get ($name, $default=null, $filter='string')
unserialize ($input)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Champs de données

$executable
$args = array()

Fonctions membres protégées

parseArguments ()
- Fonctions membres protégées hérités de Input
loadAllInputs ()

Membres hérités additionnels

- Attributs protégés hérités de Input
$options = array()
$filter
$data = array()
$inputs = array()
- Attributs protégés statiques hérités de Input
static $loaded = false

Description détaillée

Joomla! Input CLI Class

Depuis
1.0
Obsolète:
2.0 Use a Symfony implementation when using the joomla/console package

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Source data (Optional, default is $_REQUEST)
array | $options | Array of configuration parameters (Optional)
Depuis
1.0

Références Input\$options, et Cli\parseArguments().

Documentation des fonctions membres

◆ get()

get | ( | $name,
 |  | $default = null,
 |  | $filter = 'string'
 | ) |

Gets a value from the input data.

Paramètres
string | $name | Name of the value to get.
mixed | $default | Default value to return if variable does not exist.
string | $filter | Filter to apply to the value.
Renvoie
mixed The filtered input value.
Depuis
1.0

Références $default, Input\$filter, et $name.

◆ parseArguments()

parseArguments ( )
protected

Initialise the options and arguments

Not supported: -abc c-value

Renvoie
void
Depuis
1.0

Références $i, $key, $value, Input\count(), et elseif.

Référencé par Cli\__construct().

◆ serialize()

serialize ( )

Method to serialize the input.

Renvoie
string The serialized input.
Depuis
1.0

Références Input\$inputs, et Input\loadAllInputs().

◆ unserialize()

unserialize ( $input )

Method to unserialize the input.

Paramètres
string $input The serialized input.
Renvoie
void
Depuis
1.0

Références $input.

Documentation des champs

◆ $args

$args = array()

◆ $executable

$executable
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/input/src/Cli.php


Joomla CMS: Référence de la classe Cookie

  • Joomla
  • Input
  • Cookie
Fonctions membres publiques
Référence de la classe Cookie
+ Graphe d'héritage de Cookie:
Input

Fonctions membres publiques

__construct ($source=null, array $options=array())
set ($name, $value, $options=array())
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de Input
loadAllInputs ()
- Attributs protégés hérités de Input
$options = array()
$filter
$data = array()
$inputs = array()
- Attributs protégés statiques hérités de Input
static $loaded = false

Description détaillée

Joomla! Input Cookie Class

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Ignored.
array | $options | Array of configuration parameters (Optional)
Depuis
1.0

Références Input\$options.

Documentation des fonctions membres

◆ set()

set | ( | $name,
 |  | $value,
 |  | $options = array()
 | ) |

Sets a value

Paramètres
string | $name | Name of the value to set.
mixed | $value | Value to assign to the input.
array | $options | An associative array which may have any of the keys expires, path, domain, secure, httponly and samesite. The values have the same meaning as described for the parameters with the same name. The value of the samesite element should be either Lax or Strict. If any of the allowed options are not given, their default values are the same as the default values of the explicit parameters. If the samesite element is omitted, no SameSite cookie attribute is set.
Renvoie
void

https://php.net/manual/en/function.setcookie.php 1.0 As of 1.4.0, the (name, value, expire, path, domain, secure, httpOnly) signature is deprecated and will not be supported when support for PHP 7.2 and earlier is dropped

Références $name, Input\$options, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/input/src/Cookie.php


Joomla CMS: Référence de la classe Files

  • Joomla
  • Input
  • Files
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe Files
+ Graphe d'héritage de Files:
Input

Fonctions membres publiques

__construct ($source=null, array $options=array())
get ($name, $default=null, $filter='cmd')
set ($name, $value)
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Fonctions membres protégées

decodeData (array $data)
- Fonctions membres protégées hérités de Input
loadAllInputs ()

Attributs protégés

$decodedData = array()
- Attributs protégés hérités de Input
$options = array()
$filter
$data = array()
$inputs = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de Input
static $loaded = false

Description détaillée

Joomla! Input Files Class

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $source = null,
 |  | array | $options = array()
 | ) |  |

The class constructor.

Paramètres
array | $source | The source argument is ignored. $_FILES is always used.
array | $options | An optional array of configuration options: filter : a custom JFilterInput object.
Depuis
1.0

Références Input\$options.

Documentation des fonctions membres

◆ decodeData()

decodeData ( array $data )
protected

Method to decode a data array.

Paramètres
array $data The data array to decode.
Renvoie
array
Depuis
1.0

Références Input\$data.

Référencé par Files\get().

◆ get()

get | ( | $name,
 |  | $default = null,
 |  | $filter = 'cmd'
 | ) |

Gets a value from the input data.

Paramètres
string | $name | The name of the input property (usually the name of the files INPUT tag) to get.
mixed | $default | The default value to return if the named property does not exist.
string | $filter | The filter to apply to the value.
Renvoie
mixed The filtered input value.
Voir également
::clean()
Depuis
1.0

Références $default, $name, $results, et Files\decodeData().

◆ set()

set | ( | $name,
 |  | $value
 | ) |

Sets a value.

Paramètres
string | $name | The name of the input property to set.
mixed | $value | The value to assign to the input property.
Renvoie
void
Depuis
1.0

Documentation des champs

◆ $decodedData

$decodedData = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/input/src/Files.php


Joomla CMS: Référence de la classe Input

  • Joomla
  • Input
  • Input
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Attributs privés statiques
Référence de la classe Input
+ Graphe d'héritage de Input:
Input Cli Cookie Files Json Cli Cookie Files Json

Fonctions membres publiques

__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Fonctions membres protégées

loadAllInputs ()

Attributs protégés

$options = array()
$filter
$data = array()
$inputs = array()

Attributs protégés statiques

static $loaded = false

Attributs privés statiques

static $allowedGlobals = array('REQUEST', 'GET', 'POST', 'FILES', 'SERVER', 'ENV')

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Optional source data. If omitted, a copy of the server variable '_REQUEST' is used.
array | $options | An optional associative array of configuration parameters: filter: An instance of Filter. If omitted, a default filter is initialised.
Depuis
1.0

Références Input\$options, et null.

Documentation des fonctions membres

◆ __call()

__call | ( | $name,
 |  | $arguments
 | ) |

Magic method to get filtered input data.

Paramètres
string | $name | Name of the filter type prefixed with 'get'.
array | $arguments | [0] The name of the variable [1] The default value.
Renvoie
mixed The filtered input value.
Depuis
1.0

Références $default, Input\$filter, $name, et null.

◆ __get()

__get ( $name )

Magic method to get an input object

Paramètres
mixed $name Name of the input object to retrieve.
Renvoie
Input The request input object
Depuis
1.0

Références $className, $GLOBALS, $name, et null.

◆ count()

count ( )

Get the number of variables.

Renvoie
integer The number of variables in the input.
Depuis
1.0
Voir également
Countable::count()

Référencé par ColorStyle\fromString(), et Cli\parseArguments().

◆ def()

def | ( | $name,
 |  | $value
 | ) |

Define a value. The value will only be set if there's no value for the name or if it is null.

Paramètres
string | $name | Name of the value to define.
mixed | $value | Value to assign to the input.
Renvoie
void
Depuis
1.0

Références $name, et $value.

◆ exists()

exists ( $name )

Check if a value name exists.

Paramètres
string $name Value name
Renvoie
boolean
Depuis
1.2.0

Références $name.

◆ get()

get | ( | $name,
 |  | $default = null,
 |  | $filter = 'cmd'
 | ) |

Gets a value from the input data.

Paramètres
string | $name | Name of the value to get.
mixed | $default | Default value to return if variable does not exist.
string | $filter | Filter to apply to the value.
Renvoie
mixed The filtered input value.
Voir également
::clean()
Depuis
1.0

Références $default, Input\$filter, et $name.

◆ getArray()

getArray | ( | array | $vars = array(),
 |  |  | $datasource = null
 | ) |  |

Gets an array of values from the request.

Paramètres
array | $vars | Associative array of keys and filter types to apply. If empty and datasource is null, all the input data will be returned but filtered using the default case in JFilterInput::clean.
mixed | $datasource | Array to retrieve data from, or null
Renvoie
mixed The filtered input data.
Depuis
1.0

Références Input\$data, $results, elseif, et null.

◆ getInputForRequestMethod()

getInputForRequestMethod ( )

Get the Input instance holding the data for the current request method

Renvoie
Input
Depuis
1.3.0

Références Input\getMethod().

◆ getMethod()

getMethod ( )

Gets the request method.

Renvoie
string The request method.
Depuis
1.0

Référencé par Input\getInputForRequestMethod().

◆ loadAllInputs()

loadAllInputs ( )
protected

Method to load all of the global inputs.

Renvoie
void
Depuis
1.0

Références Input\$data, et $GLOBALS.

Référencé par Cli\serialize(), et Input\serialize().

◆ serialize()

serialize ( )

Method to serialize the input.

Renvoie
string The serialized input.
Depuis
1.0

Références Input\$inputs, et Input\loadAllInputs().

Référencé par Cli\serialize().

◆ set()

set | ( | $name,
 |  | $value
 | ) |

Sets a value

Paramètres
string | $name | Name of the value to set.
mixed | $value | Value to assign to the input.
Renvoie
void
Depuis
1.0

Références $name, et $value.

◆ unserialize()

unserialize ( $input )

Method to unserialize the input.

Paramètres
string $input The serialized input.
Renvoie
void
Depuis
1.0

Références $input.

Documentation des champs

◆ $allowedGlobals

$allowedGlobals = array('REQUEST', 'GET', 'POST', 'FILES', 'SERVER', 'ENV')
staticprivate

◆ $data

$data = array()
protected

Référencé par Files\decodeData(), Input\getArray(), Input\getArrayRecursive(), et Input\loadAllInputs().

◆ $filter

$filter
protected

Référencé par Input\__call(), Files\get(), Cli\get(), Input\get(), et Input\getArrayRecursive().

◆ $inputs

$inputs = array()
protected

Référencé par Cli\serialize(), et Input\serialize().

◆ $loaded

$loaded = false
staticprotected

◆ $options

$options = array()
protected

Référencé par Cookie\__construct(), Files\__construct(), Json\__construct(), Cli\__construct(), Input\__construct(), et Cookie\set().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/input/src/Input.php


Joomla CMS: Référence de la classe Json

  • Joomla
  • Input
  • Json
Fonctions membres publiques | Attributs privés
Référence de la classe Json
+ Graphe d'héritage de Json:
Input

Fonctions membres publiques

__construct ($source=null, array $options=array())
getRaw ()
- Fonctions membres publiques hérités de Input
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
getInputForRequestMethod ()
set ($name, $value)
def ($name, $value)
exists ($name)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Attributs privés

$raw

Membres hérités additionnels

- Fonctions membres protégées hérités de Input
loadAllInputs ()
- Attributs protégés hérités de Input
$options = array()
$filter
$data = array()
$inputs = array()
- Attributs protégés statiques hérités de Input
static $loaded = false

Description détaillée

Joomla! Input JSON Class

This class decodes a JSON string from the raw request data and makes it available via the standard Input interface.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Source data (Optional, default is the raw HTTP input decoded from JSON)
array | $options | Array of configuration parameters (Optional)
Depuis
1.0

Références $GLOBALS, Input\$options, et null.

Documentation des fonctions membres

◆ getRaw()

getRaw ( )

Gets the raw JSON string from the request.

Renvoie
string The raw JSON string from the request.
Depuis
1.0

Références Json\$raw.

Documentation des champs

◆ $raw

$raw
private

Référencé par Json\getRaw().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/input/src/Json.php


Joomla CMS: Référence de la classe LdapClient

  • Joomla
  • Ldap
  • LdapClient
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs privés
Référence de la classe LdapClient

Fonctions membres publiques

__construct ($configObj=null)
__destruct ()
connect ()
close ()
setDn ($username, $nosub=0)
getDn ()
anonymous_bind ()
bind ($username=null, $password=null, $nosub=0)
unbind ()
simple_search ($search)
search (array $filters, $dnoverride=null, array $attributes=array())
replace ($dn, $attribute)
modify ($dn, $attribute)
remove ($dn, $attribute)
compare ($dn, $attribute, $value)
read ($dn)
delete ($dn)
create ($dn, array $entries)
add ($dn, array $entry)
rename ($dn, $newdn, $newparent, $deleteolddn)
escape ($value, $ignore='', $flags=0)
getErrorMsg ()
isConnected ()

Fonctions membres publiques statiques

static | ipToNetAddress ($ip)
static | ldapNetAddr ($networkaddress)
static | generatePassword ($password, $type='md5')

Champs de données

$host
$auth_method
$port
$base_dn
$users_dn
$search_string
$use_ldapV3
$no_referrals
$negotiate_tls
$ignore_reqcert_tls
$ldap_debug
$username
$password

Attributs privés

$resource
$dn
$isBound = false

Description détaillée

LDAP client class

Depuis
1.0
Obsolète:
The joomla/ldap package is deprecated

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $configObj = null )

Constructor

Paramètres
object $configObj An object of configuration variables
Depuis
1.0

Références $param.

◆ __destruct()

__destruct ( )

Class destructor.

Depuis
1.3.0

Références LdapClient\close().

Documentation des fonctions membres

◆ add()

add | ( |  | $dn,
 |  | array | $entry
 | ) |  |

Add attribute values to current attributes

Paramètres
string | $dn | The DN of the entry to add the attribute
array | $entry | An array of arrays with attributes to add
Renvoie
boolean
Depuis
1.0

Références LdapClient\$dn, et LdapClient\isConnected().

◆ anonymous_bind()

anonymous_bind ( )

Anonymously binds to LDAP directory

Renvoie
boolean
Depuis
1.0

Références LdapClient\$isBound, LdapClient\connect(), et LdapClient\isConnected().

◆ bind()

bind | ( | $username = null,
 |  | $password = null,
 |  | $nosub = 0
 | ) |

Binds to the LDAP directory

Paramètres
string | $username | The username
string | $password | The password
string $nosub ...
Renvoie
boolean
Depuis
1.0

Références LdapClient\$isBound, LdapClient\$password, LdapClient\$username, LdapClient\connect(), LdapClient\getDn(), LdapClient\isConnected(), null, et LdapClient\setDn().

◆ close()

close ( )

Close the connection

Renvoie
void
Depuis
1.0

Références LdapClient\isConnected(), null, et LdapClient\unbind().

Référencé par LdapClient\__destruct().

◆ compare()

compare | ( | $dn,
 |  | $attribute,
 |  | $value
 | ) |

Compare value of attribute found in entry specified with DN

Paramètres
string | $dn | The DN which contains the attribute you want to compare
string | $attribute | The attribute whose value you want to compare
string | $value | The value you want to check against the LDAP attribute
Renvoie
boolean|integer Boolean result of the comparison or -1 on error
Depuis
1.0

Références LdapClient\$dn, $value, et LdapClient\isConnected().

◆ connect()

connect ( )

Connect to an LDAP server

Renvoie
boolean
Depuis
1.0

Références null.

Référencé par LdapClient\anonymous_bind(), et LdapClient\bind().

◆ create()

create | ( |  | $dn,
 |  | array | $entries
 | ) |  |

Add entries to LDAP directory

Paramètres
string | $dn | The DN where you want to put the object
array | $entries | An array of arrays describing the object to add
Renvoie
boolean
Depuis
1.0

Références LdapClient\$dn, et LdapClient\isConnected().

◆ delete()

delete ( $dn )

Delete an entry from a directory

Paramètres
string $dn The DN of the object you want to delete
Renvoie
boolean
Depuis
1.0

Références LdapClient\$dn, et LdapClient\isConnected().

◆ escape()

escape | ( | $value,
 |  | $ignore = '',
 |  | $flags = 0
 | ) |

Escape a string

Paramètres
string | $value | The subject string
string | $ignore | Characters to ignore when escaping.
integer | $flags | The context the escaped string will be used in LDAP_ESCAPE_FILTER or LDAP_ESCAPE_DN
Renvoie
string
Depuis
1.2.0

Références $value.

◆ generatePassword()

static generatePassword | ( | $password,
 |  | $type = 'md5'
 | ) |
static

Generates a LDAP compatible password

Paramètres
string | $password | Clear text password to encrypt
string | $type | Type of password hash, either md5 or SHA
Renvoie
string
Depuis
1.0

Références LdapClient\$password, et $type.

◆ getDn()

getDn ( )

Get the configured DN

Renvoie
string
Depuis
1.0

Références LdapClient\$dn.

Référencé par LdapClient\bind().

◆ getErrorMsg()

getErrorMsg ( )

Return the LDAP error message of the last LDAP command

Renvoie
string
Depuis
1.0

Références LdapClient\isConnected().

◆ ipToNetAddress()

static ipToNetAddress ( $ip )
static

Converts a dot notation IP address to net address (e.g. for Netware, etc)

Paramètres
string $ip IP Address (e.g. xxx.xxx.xxx.xxx)
Renvoie
string
Depuis
1.0

Références $parts, et $tmp.

◆ isConnected()

isConnected ( )

Check if the connection is established

Renvoie
boolean
Depuis
1.3.0

Référencé par LdapClient\add(), LdapClient\anonymous_bind(), LdapClient\bind(), LdapClient\close(), LdapClient\compare(), LdapClient\create(), LdapClient\delete(), LdapClient\getErrorMsg(), LdapClient\modify(), LdapClient\read(), LdapClient\remove(), LdapClient\rename(), LdapClient\replace(), et LdapClient\search().

◆ ldapNetAddr()

static ldapNetAddr ( $networkaddress )
static

Extract readable network address from the LDAP encoded networkAddress attribute.

Please keep this document block and author attribution in place.

Novell Docs, see: http://developer.novell.com/ndk/doc/ndslib/schm_enu/data/sdk5624.html#sdk5624 for Address types: http://developer.novell.com/ndk/doc/ndslib/index.html?page=/ndk/doc/ndslib/schm_enu/data/sdk4170.html LDAP Format, String: taggedData = uint32String "#" octetstring byte 0 = uint32String = Address Type: 0= IPX Address; 1 = IP Address byte 1 = char = "#" - separator byte 2+ = octetstring - the ordinal value of the address Note: with eDirectory 8.6.2, the IP address (type 1) returns correctly, however, an IPX address does not seem to. eDir 8.7 may correct this. Enhancement made by Merijn van de Schoot: If addresstype is 8 (UDP) or 9 (TCP) do some additional parsing like still returning the IP address

Paramètres
string $networkaddress The network address
Renvoie
array
Auteur
Jay Burrell, Systems & Networks, Mississippi State University
Depuis
1.0

Références $i.

◆ modify()

modify | ( | $dn,
 |  | $attribute
 | ) |

Modify an LDAP entry

Paramètres
string | $dn | The DN which contains the attribute you want to modify
string | $attribute | The attribute values you want to modify
Renvoie
boolean
Depuis
1.0

Références LdapClient\$dn, et LdapClient\isConnected().

◆ read()

read ( $dn )

Read attributes of a given DN

Paramètres
string $dn The DN of the object you want to read
Renvoie
array|boolean Array of attributes for the given DN or boolean false on failure
Depuis
1.0

Références $base, LdapClient\$dn, et LdapClient\isConnected().

◆ remove()

remove | ( | $dn,
 |  | $attribute
 | ) |

Delete attribute values from current attributes

Paramètres
string | $dn | The DN which contains the attribute you want to remove
string | $attribute | The attribute values you want to remove
Renvoie
boolean
Depuis
1.0

Références LdapClient\$dn, et LdapClient\isConnected().

◆ rename()

rename | ( | $dn,
 |  | $newdn,
 |  | $newparent,
 |  | $deleteolddn
 | ) |

Modify the name of an entry

Paramètres
string | $dn | The DN of the entry at the moment
string | $newdn | The DN of the entry should be (only cn=newvalue)
string | $newparent | The full DN of the parent (null by default)
boolean | $deleteolddn | Delete the old values (default)
Renvoie
boolean
Depuis
1.0

Références LdapClient\$dn, et LdapClient\isConnected().

◆ replace()

replace | ( | $dn,
 |  | $attribute
 | ) |

Replace attribute values with new ones

Paramètres
string | $dn | The DN which contains the attribute you want to replace
string | $attribute | The attribute values you want to replace
Renvoie
boolean
Depuis
1.0

Références LdapClient\$dn, et LdapClient\isConnected().

◆ search()

search | ( | array | $filters,
 |  |  | $dnoverride = null,
 |  | array | $attributes = array()
 | ) |  |

Performs an LDAP search

Paramètres
array | $filters | Search Filters (array of strings)
string | $dnoverride | DN Override
array | $attributes | An array of attributes to return (if empty, all fields are returned).
Renvoie
array Multidimensional array of results
Depuis
1.0

Références $attributes, LdapClient\$base_dn, $count, LdapClient\$dn, $filters, $i, et LdapClient\isConnected().

Référencé par PlgAuthenticationLdap\searchByString(), et LdapClient\simple_search().

◆ setDn()

setDn | ( | $username,
 |  | $nosub = 0
 | ) |

Sets the DN with some template replacements

Paramètres
string $username The username
string $nosub ...
Renvoie
void
Depuis
1.0

Références LdapClient\$username, et elseif.

Référencé par LdapClient\bind().

◆ simple_search()

simple_search ( $search )

Perform an LDAP search using comma separated search strings

Paramètres
string $search search string of search values
Renvoie
array Search results
Depuis
1.0

Références $key, $results, et LdapClient\search().

◆ unbind()

unbind ( )

Unbinds from the LDAP directory

Renvoie
boolean
Depuis
1.3.0

Référencé par LdapClient\close().

Documentation des champs

◆ $auth_method

$auth_method

◆ $base_dn

$base_dn

Référencé par LdapClient\search().

◆ $dn

$dn
private

Référencé par LdapClient\add(), LdapClient\compare(), LdapClient\create(), LdapClient\delete(), LdapClient\getDn(), LdapClient\modify(), LdapClient\read(), LdapClient\remove(), LdapClient\rename(), LdapClient\replace(), et LdapClient\search().

◆ $host

$host

◆ $ignore_reqcert_tls

$ignore_reqcert_tls

◆ $isBound

$isBound = false
private

Référencé par LdapClient\anonymous_bind(), et LdapClient\bind().

◆ $ldap_debug

$ldap_debug

◆ $negotiate_tls

$negotiate_tls

◆ $no_referrals

$no_referrals

◆ $password

$password

Référencé par LdapClient\bind(), et LdapClient\generatePassword().

◆ $port

$port

◆ $resource

$resource
private

◆ $search_string

$search_string

◆ $use_ldapV3

$use_ldapV3

◆ $username

$username

Référencé par LdapClient\bind(), et LdapClient\setDn().

◆ $users_dn

$users_dn
La documentation de cette classe a été générée à partir du fichier suivant :
  • LdapClient.php


Joomla CMS: Référence de la classe Ini

  • Joomla
  • Registry
  • Format
  • Ini
Fonctions membres publiques | Fonctions membres protégées | Attributs protégés statiques
Référence de la classe Ini
+ Graphe d'héritage de Ini:
AbstractRegistryFormat FormatInterface

Fonctions membres publiques

objectToString ($object, $options=array())
stringToObject ($data, array $options=array())

Fonctions membres protégées

getValueAsIni ($value)

Attributs protégés statiques

static | $options
static | $cache = array()
- Attributs protégés statiques hérités de AbstractRegistryFormat
static | $instances = array()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de AbstractRegistryFormat
static getInstance ($type, array $options=array())

Description détaillée

INI format handler for Registry.

Depuis
1.0

Documentation des fonctions membres

◆ getValueAsIni()

getValueAsIni ( $value )
protected

Method to get a value in an INI format.

Paramètres
mixed $value The value to convert to INI format.
Renvoie
string The value in INI format.
Depuis
1.0

Références $value.

Référencé par Ini\objectToString().

◆ objectToString()

objectToString | ( | $object,
 |  | $options = array()
 | ) |

Converts an object into an INI formatted string

  • Unfortunately, there is no way to have ini values nested further than two levels deep. Therefore we will only go through the first two levels of the object.
Paramètres
object | $object | Data source object.
array | $options | Options used by the formatter.
Renvoie
string INI formatted string.
Depuis
1.0

Implémente FormatInterface.

Références $assoc, $item, $key, $options, Ini\$options, $value, elseif, Ini\getValueAsIni(), et ArrayHelper\isAssociative().

◆ stringToObject()

stringToObject | ( |  | $data,
 |  | array | $options = array()
 | ) |  |

Parse an INI formatted string and convert it into an object.

Paramètres
string | $data | INI formatted string to convert.
array | $options | An array of options used by the formatter, or a boolean setting to process sections.
Renvoie
object Data object.
Depuis
1.0

Implémente FormatInterface.

Références $data, $hash, $key, $options, Ini\$options, $section, $value, et elseif.

Documentation des champs

◆ $cache

$cache = array()
staticprotected

◆ $options

$options
staticprotected
Valeur initiale :
= array(
'supportArrayValues' => false,
'parseBooleanWords' => false,
'processSections' => false,
)

Référencé par Ini\objectToString(), et Ini\stringToObject().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Ini.php


Joomla CMS: Référence de la classe Json

  • Joomla
  • Registry
  • Format
  • Json
Fonctions membres publiques
Référence de la classe Json
+ Graphe d'héritage de Json:
AbstractRegistryFormat FormatInterface

Fonctions membres publiques

objectToString ($object, $options=array())
stringToObject ($data, array $options=array('processSections'=> false))

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de AbstractRegistryFormat
static | getInstance ($type, array $options=array())
- Attributs protégés statiques hérités de AbstractRegistryFormat
static | $instances = array()

Description détaillée

JSON format handler for Registry.

Depuis
1.0

Documentation des fonctions membres

◆ objectToString()

objectToString | ( | $object,
 |  | $options = array()
 | ) |

Converts an object into a JSON formatted string.

Paramètres
object | $object | Data source object.
array | $options | Options used by the formatter.
Renvoie
string JSON formatted string.
Depuis
1.0

Implémente FormatInterface.

Références $options, et json_encode.

◆ stringToObject()

stringToObject | ( |  | $data,
 |  | array | $options = array('processSections' => false)
 | ) |  |

Parse a JSON formatted string and convert it into an object.

If the string is not in JSON format, this method will attempt to parse it as INI format.

Paramètres
string | $data | JSON formatted string to convert.
array | $options | Options used by the formatter.
Renvoie
object Data object.
Depuis
1.0
Exceptions

Implémente FormatInterface.

Références $data, $options, AbstractRegistryFormat\getInstance(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/registry/src/Format/Json.php


Joomla CMS: Référence de la classe Php

  • Joomla
  • Registry
  • Format
  • Php
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe Php
+ Graphe d'héritage de Php:
AbstractRegistryFormat FormatInterface

Fonctions membres publiques

objectToString ($object, $params=array())
stringToObject ($data, array $options=array())

Fonctions membres protégées

getArrayString ($a)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de AbstractRegistryFormat
static | getInstance ($type, array $options=array())
- Attributs protégés statiques hérités de AbstractRegistryFormat
static | $instances = array()

Description détaillée

PHP class format handler for Registry

Depuis
1.0

Documentation des fonctions membres

◆ getArrayString()

getArrayString ( $a )
protected

Method to get an array as an exported string.

Paramètres
array $a The array to get as a string.
Renvoie
string
Depuis
1.0

Références $i.

Référencé par Php\objectToString().

◆ objectToString()

objectToString | ( | $object,
 |  | $params = array()
 | ) |

Converts an object into a php class string.

  • NOTE: Only one depth level is supported.
Paramètres
object | $object | Data Source Object
array | $params | Parameters used by the formatter
Renvoie
string Config class formatted string
Depuis
1.0

Implémente FormatInterface.

Références $class, $params, elseif, et Php\getArrayString().

◆ stringToObject()

stringToObject | ( |  | $data,
 |  | array | $options = array()
 | ) |  |

Parse a PHP class formatted string and convert it into an object.

Paramètres
string | $data | PHP Class formatted string to convert.
array | $options | Options used by the formatter.
Renvoie
object Data object.
Depuis
1.0

Implémente FormatInterface.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Php.php


Joomla CMS: Référence de la classe Xml

  • Joomla
  • Registry
  • Format
  • Xml
Fonctions membres publiques | Fonctions membres protégées
Référence de la classe Xml
+ Graphe d'héritage de Xml:
AbstractRegistryFormat FormatInterface

Fonctions membres publiques

objectToString ($object, $options=array())
stringToObject ($data, array $options=array())

Fonctions membres protégées

getValueFromNode ($node)
getXmlChildren (SimpleXMLElement $node, $var, $nodeName)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de AbstractRegistryFormat
static | getInstance ($type, array $options=array())
- Attributs protégés statiques hérités de AbstractRegistryFormat
static | $instances = array()

Description détaillée

XML format handler for Registry.

Depuis
1.0

Documentation des fonctions membres

◆ getValueFromNode()

getValueFromNode ( $node )
protected

Method to get a PHP native value for a SimpleXMLElement object. – called recursively

Paramètres
object $node SimpleXMLElement object for which to get the native value.
Renvoie
mixed Native value of the SimpleXMLElement object.
Depuis
1.0

Références $value.

Référencé par Xml\stringToObject().

◆ getXmlChildren()

getXmlChildren | ( | SimpleXMLElement | $node,
 |  |  | $var,
 |  |  | $nodeName
 | ) |  |
protected

Method to build a level of the XML string – called recursively

Paramètres
SimpleXMLElement | $node | SimpleXMLElement object to attach children.
object | $var | Object that represents a node of the XML document.
string | $nodeName | The name to use for node elements.
Renvoie
void
Depuis
1.0

Références $n.

Référencé par Xml\objectToString().

◆ objectToString()

objectToString | ( | $object,
 |  | $options = array()
 | ) |

Converts an object into an XML formatted string.

  • If more than two levels of nested groups are necessary, since INI is not useful, XML or another format should be used.
Paramètres
object | $object | Data source object.
array | $options | Options used by the formatter.
Renvoie
string XML formatted string.
Depuis
1.0

Implémente FormatInterface.

Références $options, $root, et Xml\getXmlChildren().

◆ stringToObject()

stringToObject | ( |  | $data,
 |  | array | $options = array()
 | ) |  |

Parse a XML formatted string and convert it into an object.

Paramètres
string | $data | XML formatted string to convert.
array | $options | Options used by the formatter.
Renvoie
object Data object.
Depuis
1.0

Implémente FormatInterface.

Références $data, et Xml\getValueFromNode().

La documentation de cette classe a été générée à partir du fichier suivant :
  • registry/src/Format/Xml.php


Joomla CMS: Référence de la classe Yaml

  • Joomla
  • Registry
  • Format
  • Yaml
Fonctions membres publiques | Attributs privés
Référence de la classe Yaml
+ Graphe d'héritage de Yaml:
AbstractRegistryFormat FormatInterface

Fonctions membres publiques

__construct ()
objectToString ($object, $options=array())
stringToObject ($data, array $options=array())

Attributs privés

$parser
$dumper

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de AbstractRegistryFormat
static | getInstance ($type, array $options=array())
- Attributs protégés statiques hérités de AbstractRegistryFormat
static | $instances = array()

Description détaillée

YAML format handler for Registry.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Construct to set up the parser and dumper

Depuis
1.0

Documentation des fonctions membres

◆ objectToString()

objectToString | ( | $object,
 |  | $options = array()
 | ) |

Converts an object into a YAML formatted string. We use json_* to convert the passed object to an array.

Paramètres
object | $object | Data source object.
array | $options | Options used by the formatter.
Renvoie
string YAML formatted string.
Depuis
1.0

Implémente FormatInterface.

Références json_encode.

◆ stringToObject()

stringToObject | ( |  | $data,
 |  | array | $options = array()
 | ) |  |

Parse a YAML formatted string and convert it into an object. We use the json_* methods to convert the parsed YAML array to an object.

Paramètres
string | $data | YAML formatted string to convert.
array | $options | Options used by the formatter.
Renvoie
object Data object.
Depuis
1.0

Implémente FormatInterface.

Références $data, et json_encode.

Documentation des champs

◆ $dumper

$dumper
private

◆ $parser

$parser
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/registry/src/Format/Yaml.php


Joomla CMS: Référence de la classe AbstractRegistryFormat

  • Joomla
  • Registry
  • AbstractRegistryFormat
Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe AbstractRegistryFormat
+ Graphe d'héritage de AbstractRegistryFormat:
FormatInterface Ini Json Php Xml Yaml

Fonctions membres publiques statiques

static getInstance ($type, array $options=array())

Attributs protégés statiques

static $instances = array()

Membres hérités additionnels

- Fonctions membres publiques hérités de FormatInterface
objectToString ($object, $options=null)
stringToObject ($data, array $options=array())

Description détaillée

Abstract Format for Registry

Depuis
1.0
Obsolète:
2.0 Format objects should directly implement the FormatInterface

Documentation des fonctions membres

◆ getInstance()

static getInstance | ( |  | $type,
 |  | array | $options = array()
 | ) |  |
static

Returns a reference to a Format object, only creating it if it doesn't already exist.

Paramètres
string | $type | The format to load
array | $options | Additional options to configure the object
Renvoie
AbstractRegistryFormat Registry format handler
Obsolète:
2.0 Use Factory::getFormat() instead
Depuis
1.0
Exceptions

Références $options, $type, et Factory\getFormat().

Référencé par Registry\loadString(), et Json\stringToObject().

Documentation des champs

◆ $instances

$instances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractRegistryFormat.php


Joomla CMS: Référence de la classe Factory

  • Joomla
  • Registry
  • Factory
Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe Factory

Fonctions membres publiques statiques

static getFormat ($type, array $options=array())

Attributs protégés statiques

static $formatInstances = array()

Description détaillée

Factory class to fetch Registry objects

Depuis
1.5.0

Documentation des fonctions membres

◆ getFormat()

static getFormat | ( |  | $type,
 |  | array | $options = array()
 | ) |  |
static

Returns an AbstractRegistryFormat object, only creating it if it doesn't already exist.

Paramètres
string | $type | The format to load
array | $options | Additional options to configure the object
Renvoie
FormatInterface Registry format handler
Depuis
1.5.0
Exceptions

Références $class, $options, et $type.

Référencé par AbstractRegistryFormat\getInstance().

Documentation des champs

◆ $formatInstances

$formatInstances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/registry/src/Factory.php


Joomla CMS: Référence de l'interface FormatInterface

  • Joomla
  • Registry
  • FormatInterface
Fonctions membres publiques
Référence de l'interface FormatInterface
+ Graphe d'héritage de FormatInterface:
AbstractRegistryFormat Ini Json Php Xml Yaml

Fonctions membres publiques

objectToString ($object, $options=null)
stringToObject ($data, array $options=array())

Description détaillée

Interface defining a format object

Depuis
1.5.0

Documentation des fonctions membres

◆ objectToString()

objectToString | ( | $object,
 |  | $options = null
 | ) |

Converts an object into a formatted string.

Paramètres
object | $object | Data Source Object.
array | $options | An array of options for the formatter.
Renvoie
string Formatted string.
Depuis
1.5.0

Implémenté dans Yaml, Ini, Xml, Php, et Json.

◆ stringToObject()

stringToObject | ( |  | $data,
 |  | array | $options = array()
 | ) |  |

Converts a formatted string into an object.

Paramètres
string | $data | Formatted string
array | $options | An array of options for the formatter.
Renvoie
object Data Object
Depuis
1.5.0

Implémenté dans Ini, Php, Yaml, Json, et Xml.

La documentation de cette interface a été générée à partir du fichier suivant :
  • FormatInterface.php


Joomla CMS: Référence de la classe Registry

  • Joomla
  • Registry
  • Registry
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe Registry
+ Graphe d'héritage de Registry:
JsonSerializable JKeychain

Fonctions membres publiques

__construct ($data=null)
__clone ()
__toString ()
count ()
jsonSerialize ()
def ($key, $default='')
exists ($path)
get ($path, $default=null)
getIterator ()
loadArray ($array, $flattened=false, $separator=null)
loadObject ($object)
loadFile ($file, $format='JSON', $options=array())
loadString ($data, $format='JSON', $options=array())
merge ($source, $recursive=false)
extract ($path)
offsetExists ($offset)
offsetGet ($offset)
offsetSet ($offset, $value)
offsetUnset ($offset)
set ($path, $value, $separator=null)
append ($path, $value)
remove ($path)
toArray ()
toObject ()
toString ($format='JSON', $options=array())
flatten ($separator=null)

Fonctions membres publiques statiques

static getInstance ($id)

Champs de données

$separator = '.'

Fonctions membres protégées

bindData ($parent, $data, $recursive=true, $allowNull=true)
asArray ($data)
toFlatten ($separator=null, $data=null, &$array=array(), $prefix='')

Attributs protégés

$data
$initialized = false

Attributs protégés statiques

static $instances = array()

Description détaillée

Registry class

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $data = null )

Constructor

Paramètres
mixed $data The data to bind to the new Registry object.
Depuis
1.0

Références Registry\$data, Registry\bindData(), elseif, Registry\loadString(), et Registry\merge().

Documentation des fonctions membres

◆ __clone()

__clone ( )

Magic function to clone the registry object.

Renvoie
void
Depuis
1.0

◆ __toString()

__toString ( )

Magic function to render this object as a string using default args of toString method.

Renvoie
string
Depuis
1.0

Références Registry\toString().

◆ append()

append | ( | $path,
 |  | $value
 | ) |

Append value to a path in registry

Paramètres
string | $path | Parent registry Path (e.g. joomla.content.showauthor)
mixed | $value | Value of entry
Renvoie
mixed The value of the that has been set.
Depuis
1.4.0

Références $data, $i, $n, $path, et null.

◆ asArray()

asArray ( $data )
protected

Method to recursively convert an object of data to an array.

Paramètres
object $data An object of data to return as an array.
Renvoie
array Array representation of the input object.
Depuis
1.0

Références $data.

◆ bindData()

bindData | ( | $parent,
 |  | $data,
 |  | $recursive = true,
 |  | $allowNull = true
 | ) |
protected

Method to recursively bind data to a parent object.

Paramètres
object | $parent | The parent object on which to attach the data values.
mixed | $data | An array or object of data to bind to the parent object.
boolean | $recursive | True to support recursive bindData.
boolean | $allowNull | True to allow null values.
Renvoie
void
Depuis
1.0

Références $data, et null.

Référencé par Registry\__construct(), Registry\loadArray(), Registry\loadObject(), et Registry\merge().

◆ count()

count ( )

Count elements of the data object

Renvoie
integer The custom count as an integer.

1.3.0

Référencé par Registry\set().

◆ def()

def | ( | $key,
 |  | $default = ''
 | ) |

Sets a default value if not already assigned.

Paramètres
string | $key | The name of the parameter.
mixed | $default | An optional value for the parameter.
Renvoie
mixed The value set, or the default if the value was not previously set (or null).
Depuis
1.0

Références $default, $key, et $value.

Référencé par JLinkedinOauth\__construct(), JFacebookOAuth\__construct(), JTwitterOAuth\__construct(), JOpenstreetmapOauth\__construct(), et AssociationsHelper\getSupportedExtension().

◆ exists()

exists ( $path )

Check if a registry path exists.

Paramètres
string $path Registry path (e.g. joomla.content.showauthor)
Renvoie
boolean
Depuis
1.0

Références Registry\$data, $n, et $path.

◆ extract()

extract ( $path )

Method to extract a sub-registry from path

Paramètres
string $path Registry path (e.g. joomla.content.showauthor)
Renvoie
Registry|null Registry object if data is present
Depuis
1.2.0

Références Registry\$data, $path, et null.

◆ flatten()

flatten ( $separator = null )

Dump to one dimension array.

Paramètres
string $separator The key separator.
Renvoie
string[] Dumped array.
Depuis
1.3.0

Références $separator.

◆ get()

get | ( | $path,
 |  | $default = null
 | ) |

Get a registry value.

Paramètres
string | $path | Registry path (e.g. joomla.content.showauthor)
mixed | $default | Optional default value, returned if the internal value is null.
Renvoie
mixed Value of entry or null
Depuis
1.0

Références Registry\$data, $default, $n, $path, et null.

Référencé par KeychainManager\initPassphraseFile().

◆ getInstance()

static getInstance ( $id )
static

Returns a reference to a global Registry object, only creating it if it doesn't already exist.

This method must be invoked as:

$registry = Registry::getInstance($id);
Paramètres
string $id An ID for the registry instance
Renvoie
Registry The Registry object.
Depuis
1.0
Obsolète:
2.0 Instantiate a new Registry instance instead

Références $id.

◆ getIterator()

getIterator ( )

Gets this object represented as an ArrayIterator.

This allows the data properties to be accessed via a foreach statement.

Renvoie
This object represented as an ArrayIterator.
Voir également
IteratorAggregate::getIterator()
Depuis
1.3.0

◆ jsonSerialize()

jsonSerialize ( )

Implementation for the JsonSerializable interface. Allows us to pass Registry objects to json_encode.

Renvoie
object
Depuis
1.0
Note
The interface is only present in PHP 5.4 and up.

Implémente JsonSerializable.

Références Registry\$data.

◆ loadArray()

loadArray | ( | $array,
 |  | $flattened = false,
 |  | $separator = null
 | ) |

Load an associative array of values into the default namespace

Paramètres
array | $array | Associative array of value to load
boolean | $flattened | Load from a one-dimensional array
string | $separator | The key separator
Renvoie
Registry Return this object to support chaining.
Depuis
1.0

Références Registry\$separator, et Registry\bindData().

Référencé par FieldsTableField\bind(), FieldsTableGroup\bind(), FieldsControllerGroup\postSaveHook(), et FieldsControllerField\postSaveHook().

◆ loadFile()

loadFile | ( | $file,
 |  | $format = 'JSON',
 |  | $options = array()
 | ) |

Load the contents of a file into the registry

Paramètres
string | $file | Path to file to load
string | $format | Format of the file [optional: defaults to JSON]
array | $options | Options used by the formatter
Renvoie
Registry Return this object to support chaining.
Depuis
1.0

Références Registry\$data, $file, $format, $options, et Registry\loadString().

◆ loadObject()

loadObject ( $object )

Load the public variables of the object into the default namespace.

Paramètres
object $object The object holding the publics to load
Renvoie
Registry Return this object to support chaining.
Depuis
1.0

Références Registry\bindData().

Référencé par Registry\loadString().

◆ loadString()

loadString | ( | $data,
 |  | $format = 'JSON',
 |  | $options = array()
 | ) |

Load a string into the registry

Paramètres
string | $data | String to load into the registry
string | $format | Format of the string
array | $options | Options used by the formatter
Renvoie
Registry Return this object to support chaining.
Depuis
1.0

Références Registry\$data, $format, $options, AbstractRegistryFormat\getInstance(), et Registry\loadObject().

Référencé par Registry\__construct(), FieldsModelField\getItem(), Registry\loadFile(), ContentModelFeatured\populateState(), ContentModelCategory\populateState(), ContactModelCategory\populateState(), et MenusHtmlMenus\visibility().

◆ merge()

merge | ( | $source,
 |  | $recursive = false
 | ) |

Merge a Registry object into this one

Paramètres
Registry | $source | Source Registry object to merge.
boolean | $recursive | True to support recursive merge the children values.
Renvoie
Registry|false Return this object to support chaining or false if $source is not an instance of Registry.
Depuis
1.0

Références Registry\bindData().

Référencé par Registry\__construct().

◆ offsetExists()

offsetExists ( $offset )

Checks whether an offset exists in the iterator.

Paramètres
mixed $offset The array offset.
Renvoie
boolean True if the offset exists, false otherwise.
Depuis
1.0

Références $offset, et null.

◆ offsetGet()

offsetGet ( $offset )

Gets an offset in the iterator.

Paramètres
mixed $offset The array offset.
Renvoie
mixed The array value if it exists, null otherwise.
Depuis
1.0

Références $offset.

◆ offsetSet()

offsetSet | ( | $offset,
 |  | $value
 | ) |

Sets an offset in the iterator.

Paramètres
mixed | $offset | The array offset.
mixed | $value | The array value.
Renvoie
void
Depuis
1.0

Références $offset, et $value.

◆ offsetUnset()

offsetUnset ( $offset )

Unsets an offset in the iterator.

Paramètres
mixed $offset The array offset.
Renvoie
void
Depuis
1.0

Références $offset.

◆ remove()

remove ( $path )

Delete a registry value

Paramètres
string $path Registry Path (e.g. joomla.content.showauthor)
Renvoie
mixed The value of the removed node or null if not set
Depuis
1.6.0

Références $data, $i, $n, $path, et null.

◆ set()

set | ( | $path,
 |  | $value,
 |  | $separator = null
 | ) |

Set a registry value.

Paramètres
string | $path | Registry Path (e.g. joomla.content.showauthor)
mixed | $value | Value of entry
string | $separator | The key separator
Renvoie
mixed The value of the that has been set.
Depuis
1.0

Références Registry\$data, $i, $n, $path, Registry\$separator, et Registry\count().

Référencé par FinderIndexerQuery\__construct(), InstallationModelConfiguration\createConfiguration(), JoomlaupdateModelDefault\download(), InstallerModelDatabase\fixDefaultTextFilters(), UpdateAdapter\getUpdateSiteResponse(), et Update\loadFromXml().

◆ toArray()

toArray ( )

Transforms a namespace to an array

Renvoie
array An associative array holding the namespace data
Depuis
1.0

◆ toFlatten()

toFlatten | ( |  | $separator = null,
 |  |  | $data = null,
 |  | & | $array = array(),
 |  |  | $prefix = ''
 | ) |  |
protected

Method to recursively convert data to one dimension array.

Paramètres
string | $separator | The key separator.
array | object | $data | Data source of this scope.
array | $array | The result array, it is passed by reference.
string | $prefix | Last level key prefix.
Renvoie
void
Depuis
1.3.0

Références $data, $key, $prefix, et $separator.

◆ toObject()

toObject ( )

Transforms a namespace to an object

Renvoie
object An an object holding the namespace data
Depuis
1.0

Références $data.

◆ toString()

toString | ( | $format = 'JSON',
 |  | $options = array()
 | ) |

Get a namespace in a given string format

Paramètres
string | $format | Format to return the string in
mixed | $options | Parameters used by the formatter, see formatters for more info
Renvoie
string Namespace in string format
Depuis
1.0

Références $format, et $options.

Référencé par Registry\__toString().

Documentation des champs

◆ $data

$data
protected

Référencé par Registry\__construct(), Registry\exists(), Registry\extract(), Registry\get(), Registry\jsonSerialize(), Registry\loadFile(), Registry\loadString(), et Registry\set().

◆ $initialized

$initialized = false
protected

◆ $instances

$instances = array()
staticprotected

◆ $separator

$separator = '.'

Référencé par Registry\loadArray(), et Registry\set().

La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/registry/src/Registry.php


Joomla CMS: Référence de la classe Apc

  • Joomla
  • Session
  • Storage
  • Apc
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe Apc
+ Graphe d'héritage de Apc:
Storage

Fonctions membres publiques

__construct ($options=array())
read ($id)
write ($id, $sessionData)
destroy ($id)
- Fonctions membres publiques hérités de Storage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de Storage
static | getInstance ($name='none', $options=array())
static | isSupported ()

Membres hérités additionnels

- Attributs protégés statiques hérités de Storage
static $instances = array()

Description détaillée

APC session storage handler for PHP

1.0 deprecated 1128.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters
Depuis
1.0
Exceptions

Références $options.

Documentation des fonctions membres

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

Références $id.

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
1.0
Obsolète:
2.0

Références $id.

◆ write()

write | ( | $id,
 |  | $sessionData
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $sessionData | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

Références $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Apc.php


Joomla CMS: Référence de la classe Apcu

  • Joomla
  • Session
  • Storage
  • Apcu
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe Apcu
+ Graphe d'héritage de Apcu:
Storage

Fonctions membres publiques

__construct ($options=array())
read ($id)
write ($id, $sessionData)
destroy ($id)
- Fonctions membres publiques hérités de Storage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de Storage
static | getInstance ($name='none', $options=array())
static | isSupported ()

Membres hérités additionnels

- Attributs protégés statiques hérités de Storage
static $instances = array()

Description détaillée

APCU session storage handler for PHP

1.4.0 deprecated 1134.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters
Depuis
1.4.0
Exceptions

Références $options.

Documentation des fonctions membres

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
1.4.0

Références $id.

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.4.0

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
1.4.0

Références $id.

◆ write()

write | ( | $id,
 |  | $sessionData
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $sessionData | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
1.4.0

Références $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Apcu.php


Joomla CMS: Référence de la classe Database

  • Joomla
  • Session
  • Storage
  • Database
Fonctions membres publiques | Attributs protégés
Référence de la classe Database
+ Graphe d'héritage de Database:
Storage

Fonctions membres publiques

__construct ($options=array())
read ($id)
write ($id, $data)
destroy ($id)
gc ($lifetime=1440)
- Fonctions membres publiques hérités de Storage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Attributs protégés

$db

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Storage
static | getInstance ($name='none', $options=array())
static | isSupported ()
- Attributs protégés statiques hérités de Storage
static | $instances = array()

Description détaillée

Database session storage handler for PHP

1.0 deprecated 1135.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters. A dbo options is required.
Depuis
1.0
Exceptions

Références $options.

Documentation des fonctions membres

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

Références $id, et $query.

◆ gc()

gc ( $lifetime = 1440 )

Garbage collect stale sessions from the SessionHandler backend.

Paramètres
integer $lifetime The maximum age of a session.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

Références $query.

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
1.0
Obsolète:
2.0

Références $id, et $query.

◆ write()

write | ( | $id,
 |  | $data
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $data | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

Références $data, $id, et $query.

Documentation des champs

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Database.php


Joomla CMS: Référence de la classe Memcache

  • Joomla
  • Session
  • Storage
  • Memcache
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés
Référence de la classe Memcache
+ Graphe d'héritage de Memcache:
Storage

Fonctions membres publiques

__construct ($options=array())
register ()
- Fonctions membres publiques hérités de Storage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de Storage
static | getInstance ($name='none', $options=array())
static | isSupported ()

Attributs protégés

$_servers = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de Storage
static $instances = array()

Description détaillée

Memcache session storage handler for PHP

Depuis
1.0
Obsolète:
2.0 The Storage class chain will be removed

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.0
Exceptions

Références $options.

Documentation des fonctions membres

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
1.0
Obsolète:
2.0

Documentation des champs

◆ $_servers

$_servers = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/session/Joomla/Session/Storage/Memcache.php


Joomla CMS: Référence de la classe Memcached

  • Joomla
  • Session
  • Storage
  • Memcached
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés
Référence de la classe Memcached
+ Graphe d'héritage de Memcached:
Storage

Fonctions membres publiques

__construct ($options=array())
register ()
- Fonctions membres publiques hérités de Storage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de Storage
static | getInstance ($name='none', $options=array())
static | isSupported ()

Attributs protégés

$_servers = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de Storage
static $instances = array()

Description détaillée

Memcached session storage handler for PHP

Depuis
1.0
Obsolète:
2.0 The Storage class chain will be removed

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.0
Exceptions

Références $options.

Documentation des fonctions membres

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
1.0
Obsolète:
2.0

Documentation des champs

◆ $_servers

$_servers = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Memcached.php


Joomla CMS: Référence de la classe None

  • Joomla
  • Session
  • Storage
  • None
Fonctions membres publiques
Référence de la classe None
+ Graphe d'héritage de None:
Storage

Fonctions membres publiques

register ()
- Fonctions membres publiques hérités de Storage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Storage
static | getInstance ($name='none', $options=array())
static | isSupported ()
- Attributs protégés statiques hérités de Storage
static | $instances = array()

Description détaillée

Default PHP configured session handler for Joomla!

1.0 deprecated 1152.

Documentation des fonctions membres

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
1.0
Obsolète:
2.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • None.php


Joomla CMS: Référence de la classe Wincache

  • Joomla
  • Session
  • Storage
  • Wincache
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe Wincache
+ Graphe d'héritage de Wincache:
Storage

Fonctions membres publiques

__construct ($options=array())
register ()
- Fonctions membres publiques hérités de Storage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de Storage
static | getInstance ($name='none', $options=array())
static | isSupported ()

Membres hérités additionnels

- Attributs protégés statiques hérités de Storage
static $instances = array()

Description détaillée

WINCACHE session storage handler for PHP

Depuis
1.0
Obsolète:
2.0 The Storage class chain will be removed

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.0
Exceptions

Références $options.

Documentation des fonctions membres

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
1.0
Obsolète:
2.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • Wincache.php


Joomla CMS: Référence de la classe Xcache

  • Joomla
  • Session
  • Storage
  • Xcache
Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe Xcache
+ Graphe d'héritage de Xcache:
Storage

Fonctions membres publiques

__construct ($options=array())
read ($id)
write ($id, $sessionData)
destroy ($id)
- Fonctions membres publiques hérités de Storage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de Storage
static | getInstance ($name='none', $options=array())
static | isSupported ()

Membres hérités additionnels

- Attributs protégés statiques hérités de Storage
static $instances = array()

Description détaillée

XCache session storage handler

Depuis
1.0
Obsolète:
2.0 The Storage class chain will be removed

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.0
Exceptions

Références $options.

Documentation des fonctions membres

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

Références $id.

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
1.0
Obsolète:
2.0

Références $id.

◆ write()

write | ( | $id,
 |  | $sessionData
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $sessionData | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

Références $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Xcache.php


Joomla CMS: Référence de la classe Session

  • Joomla
  • Session
  • Session
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Attributs privés
Référence de la classe Session
+ Graphe d'héritage de Session:

Fonctions membres publiques

__construct ($store='none', array $options=array())
__get ($name)
getState ()
getExpire ()
getToken ($forceNew=false)
hasToken ($tCheck, $forceExpire=true)
getIterator ()
getName ()
getId ()
isActive ()
isNew ()
initialise (Input $input, DispatcherInterface $dispatcher=null)
get ($name, $default=null, $namespace='default')
set ($name, $value=null, $namespace='default')
has ($name, $namespace='default')
clear ($name, $namespace='default')
start ()
destroy ()
restart ()
fork ()
close ()

Fonctions membres publiques statiques

static | getInstance ($handler, array $options=array())
static | getStores ()

Fonctions membres protégées

_start ()
setExpire ($expire)
setState ($state)
_setCookieParams ()
_createToken ($length=32)
createToken ($length=32)
_setCounter ()
setCounter ()
_setTimers ()
setTimers ()
_setOptions (array $options)
setOptions (array $options)
_validate ($restart=false)
validate ($restart=false)

Attributs protégés

$state = 'inactive'
$expire = 15
$store
$security = array('fix_browser')
$force_ssl = false
$cookie_domain
$cookie_path
$cookie_httponly = true
$cookie_samesite
$storeName

Attributs protégés statiques

static $instance

Attributs privés

$input
$dispatcher

Description détaillée

Class for managing HTTP sessions

Provides access to session-state values as well as session-level settings and lifetime management methods. Based on the standard PHP session handling mechanism it provides more advanced features such as expire timeouts.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $store = 'none',
 |  | array | $options = array()
 | ) |  |

Constructor

Paramètres
string | $store | The type of storage for the session.
array | $options | Optional parameters
Depuis
1.0

Références $options, Session\$store, Session\_setCookieParams(), Session\_setOptions(), Storage\getInstance(), et Session\setState().

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to get read-only access to properties.

Paramètres
string $name Name of property to retrieve
Renvoie
mixed The value of the property
Depuis
1.0
Obsolète:
2.0 Use get methods for non-deprecated properties

Références $name.

◆ _createToken()

_createToken ( $length = 32 )
protected

Create a token-string

Paramètres
integer $length Length of string {
Obsolète:
As of 2.0 the session token will be a fixed length}
Renvoie
string Generated token
Depuis
1.0
Obsolète:
2.0 Use createToken instead

Références Session\createToken().

Référencé par Session\getToken().

◆ _setCookieParams()

_setCookieParams ( )
protected

Set session cookie parameters

Renvoie
void
Depuis
1.0
Obsolète:
2.0

Références Session\$cookie_domain, Session\$cookie_httponly, Session\$cookie_path, et Session\$cookie_samesite.

Référencé par Session\__construct().

◆ _setCounter()

_setCounter ( )
protected

Set counter of session usage

Renvoie
boolean True on success
Depuis
1.0
Obsolète:
2.0 Use setCounter instead

Références Session\setCounter().

Référencé par Session\restart(), et Session\start().

◆ _setOptions()

_setOptions ( array $options )
protected

Set additional session options

Paramètres
array $options List of parameter
Renvoie
boolean True on success
Depuis
1.0
Obsolète:
2.0 Use setOptions instead

Références Session\setOptions().

Référencé par Session\__construct().

◆ _setTimers()

_setTimers ( )
protected

Set the session timers

Renvoie
boolean True on success
Depuis
1.0
Obsolète:
2.0 Use setTimers instead

Références Session\setTimers().

Référencé par Session\start().

◆ _start()

_start ( )
protected

Start a session.

Creates a session (or resumes the current one based on the state of the session)

Renvoie
boolean true on success
Depuis
1.0
Obsolète:
2.0

Write and Close handlers are called after destructing objects since PHP 5.0.5. Thus destructors can use sessions but session handler can't use objects. So we are moving session closure before destructing objects.

Replace with session_register_shutdown() when dropping compatibility with PHP 5.3

Références Session\getState(), et null.

Référencé par Session\restart(), et Session\start().

◆ _validate()

_validate ( $restart = false )
protected

Do some checks for security reason

  • timeout check (expire)
  • ip-fixiation
  • browser-fixiation

If one check failed, session data has to be cleaned.

Paramètres
boolean $restart Reactivate session
Renvoie
boolean True on success

1.0 deprecated 1127.

Références Session\validate().

Référencé par Session\restart(), et Session\start().

◆ clear()

clear | ( | $name,
 |  | $namespace = 'default'
 | ) |

Unset data from the session store

Paramètres
string | $name | Name of variable
string | $namespace | Namespace to use, default to 'default' {
Obsolète:
2.0 Namespace support will be removed.}
Renvoie
mixed The value from session or NULL if not set
Depuis
1.0

Références $name, $value, Session\getState(), et null.

◆ close()

close ( )

Writes session data and ends session

Session data is usually stored after your script terminated without the need to call JSession::close(), but as session data is locked to prevent concurrent writes only one script may operate on a session at any time. When using framesets together with sessions you will experience the frames loading one by one due to this locking. You can reduce the time needed to load all the frames by ending the session as soon as all changes to session variables are done.

Renvoie
void
Voir également
session_write_close()
Depuis
1.0

◆ createToken()

createToken ( $length = 32 )
protected

Create a token-string

Paramètres
integer $length Length of string {
Obsolète:
As of 2.0 the session token will be a fixed length}
Renvoie
string Generated token
Depuis
1.3.1

Référencé par Session\_createToken().

◆ destroy()

destroy ( )

Frees all session variables and destroys all data registered to a session

This method resets the $_SESSION variable and destroys all of the data associated with the current session in its storage (file or DB). It forces new session to be started after this method is called. It does not unset the session cookie.

Renvoie
boolean True on success
Voir également
session_destroy()
session_unset()
Depuis
1.0

Références Session\getName(), Session\getState(), et Session\setState().

Référencé par Session\restart().

◆ fork()

fork ( )

Create a new session and copy variables from the old one

Renvoie
boolean $result true on success
Depuis
1.0

Références Session\getState().

◆ get()

get | ( | $name,
 |  | $default = null,
 |  | $namespace = 'default'
 | ) |

Get data from the session store

Paramètres
string | $name | Name of a variable
mixed | $default | Default value of a variable if not set
string | $namespace | Namespace to use, default to 'default' {
Obsolète:
2.0 Namespace support will be removed.}
Renvoie
mixed Value of a variable
Depuis
1.0

Références $default, $name, et Session\getState().

◆ getExpire()

getExpire ( )

Get expiration time in minutes

Renvoie
integer The session expiration time in minutes
Depuis
1.0

Références Session\$expire.

Référencé par Session\setOptions(), et Session\validate().

◆ getId()

getId ( )

Get session id

Renvoie
string The session name
Depuis
1.0

Références Session\getState().

◆ getInstance()

static getInstance | ( |  | $handler,
 |  | array | $options = array()
 | ) |  |
static

Returns the global Session object, only creating it if it doesn't already exist.

Paramètres
string | $handler | The type of session handler.
array | $options | An array of configuration options (for new sessions only).
Renvoie
Session The Session object.
Depuis
1.0
Obsolète:
2.0 A singleton object store will no longer be supported

Références $options.

◆ getIterator()

getIterator ( )

Retrieve an external iterator.

Renvoie
Return an ArrayIterator of $_SESSION.
Depuis
1.0

◆ getName()

getName ( )

Get session name

Renvoie
string The session name
Depuis
1.0

Références Session\getState().

Référencé par Session\destroy().

◆ getState()

getState ( )

Get current state of session

Renvoie
string The session state
Depuis
1.0

Références Session\$state.

Référencé par Session\_start(), Session\clear(), Session\destroy(), Session\fork(), Session\get(), Session\getId(), Session\getName(), Session\has(), Session\isActive(), Session\restart(), Session\set(), et Session\start().

◆ getStores()

static getStores ( )
static

Get the session handlers

Renvoie
array An array of available session handlers
Depuis
1.0
Obsolète:
2.0 The Storage class chain will be removed

Références $class, et $file.

◆ getToken()

getToken ( $forceNew = false )

Get a session token, if a token isn't set yet one will be generated.

Tokens are used to secure forms from spamming attacks. Once a token has been generated the system will check the post request to see if it is present, if not it will invalidate the session.

Paramètres
boolean $forceNew If true, force a new token to be created
Renvoie
string The session token
Depuis
1.0

Références Session\_createToken(), et null.

◆ has()

has | ( | $name,
 |  | $namespace = 'default'
 | ) |

Check whether data exists in the session store

Paramètres
string | $name | Name of variable
string | $namespace | Namespace to use, default to 'default' {
Obsolète:
2.0 Namespace support will be removed.}
Renvoie
boolean True if the variable exists
Depuis
1.0

Références $name, et Session\getState().

Référencé par Session\setTimers().

◆ hasToken()

hasToken | ( | $tCheck,
 |  | $forceExpire = true
 | ) |

Method to determine if a token exists in the session. If not the session will be set to expired

Paramètres
string | $tCheck | Hashed token to be verified
boolean | $forceExpire | If true, expires the session
Renvoie
boolean
Depuis
1.0

Références Session\setState().

◆ initialise()

initialise | ( | Input | $input,
 |  | DispatcherInterface | $dispatcher = null
 | ) |  |

Check whether this session is currently created

Paramètres
Input | $input | Input object for the session to use.
DispatcherInterface | $dispatcher | Dispatcher object for the session to use.
Renvoie
void
Depuis
1.0
Obsolète:
2.0 In 2.0 the DispatcherInterface should be injected via the object constructor

Références Session\$dispatcher, et Session\$input.

◆ isActive()

isActive ( )

Shorthand to check if the session is active

Renvoie
boolean
Depuis
1.0

Références Session\getState().

◆ isNew()

isNew ( )

Check whether this session is currently created

Renvoie
boolean True on success.
Depuis
1.0

Références $counter.

◆ restart()

restart ( )

Restart an expired or locked session.

Renvoie
boolean True on success
Voir également
destroy
Depuis
1.0

Références Session\_setCounter(), Session\_start(), Session\_validate(), Session\destroy(), Session\getState(), et Session\setState().

◆ set()

set | ( | $name,
 |  | $value = null,
 |  | $namespace = 'default'
 | ) |

Set data into the session store.

Paramètres
string | $name | Name of a variable.
mixed | $value | Value of a variable.
string | $namespace | Namespace to use, default to 'default' {
Obsolète:
2.0 Namespace support will be removed.}
Renvoie
mixed Old value of a variable.
Depuis
1.0

Références $name, $value, Session\getState(), et null.

◆ setCounter()

setCounter ( )
protected

Set counter of session usage

Renvoie
boolean True on success
Depuis
1.3.0

Références $counter.

Référencé par Session\_setCounter().

◆ setExpire()

setExpire ( $expire )
protected

Set the session expiration

Paramètres
integer $expire Maximum age of unused session in minutes
Renvoie
$this
Depuis
1.3.0

Références Session\$expire.

Référencé par Session\setOptions().

◆ setOptions()

setOptions ( array $options )
protected

Set additional session options

Paramètres
array $options List of parameter
Renvoie
boolean True on success
Depuis
1.3.0

Références $options, Session\getExpire(), et Session\setExpire().

Référencé par Session\_setOptions().

◆ setState()

setState ( $state )
protected

Set the session state

Paramètres
string $state Internal state
Renvoie
$this
Depuis
1.3.0

Références Session\$state.

Référencé par Session\__construct(), Session\destroy(), Session\hasToken(), Session\restart(), Session\start(), et Session\validate().

◆ setTimers()

setTimers ( )
protected

Set the session timers

Renvoie
boolean True on success
Depuis
1.3.0

Références $start, et Session\has().

Référencé par Session\_setTimers().

◆ start()

start ( )

Start a session.

Renvoie
void
Depuis
1.0

Références Session\_setCounter(), Session\_setTimers(), Session\_start(), Session\_validate(), Session\getState(), et Session\setState().

◆ validate()

validate ( $restart = false )
protected

Do some checks for security reason

  • timeout check (expire)
  • ip-fixiation
  • browser-fixiation

If one check failed, session data has to be cleaned.

Paramètres
boolean $restart Reactivate session
Renvoie
boolean True on success

1.3.0

Références elseif, Session\getExpire(), null, et Session\setState().

Référencé par Session\_validate().

Documentation des champs

◆ $cookie_domain

$cookie_domain
protected

Référencé par Session\_setCookieParams().

◆ $cookie_httponly

$cookie_httponly = true
protected

Référencé par Session\_setCookieParams().

◆ $cookie_path

$cookie_path
protected

Référencé par Session\_setCookieParams().

◆ $cookie_samesite

$cookie_samesite
protected

Référencé par Session\_setCookieParams().

◆ $dispatcher

$dispatcher
private

Référencé par Session\initialise().

◆ $expire

$expire = 15
protected

Référencé par Session\getExpire(), et Session\setExpire().

◆ $force_ssl

$force_ssl = false
protected

◆ $input

$input
private

Référencé par Session\initialise().

◆ $instance

$instance
staticprotected

◆ $security

$security = array('fix_browser')
protected

◆ $state

$state = 'inactive'
protected

Référencé par Session\getState(), et Session\setState().

◆ $store

$store
protected

Référencé par Session\__construct().

◆ $storeName

$storeName
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/session/Joomla/Session/Session.php


Joomla CMS: Référence de la classe Storage

  • Joomla
  • Session
  • Storage
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe Storage
+ Graphe d'héritage de Storage:
Apc Apcu Database Memcache Memcached None Wincache Xcache

Fonctions membres publiques

__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | getInstance ($name='none', $options=array())
static | isSupported ()

Attributs protégés statiques

static $instances = array()

Description détaillée

Custom session storage handler for PHP

1.0 deprecated 1164.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.0
Obsolète:
2.0

Références $options.

Documentation des fonctions membres

◆ close()

close ( )

Close the SessionHandler backend.

Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ gc()

gc ( $maxlifetime = null )

Garbage collect stale sessions from the SessionHandler backend.

Paramètres
integer $maxlifetime The maximum age of a session.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ getInstance()

static getInstance | ( | $name = 'none',
 |  | $options = array()
 | ) |
static

Returns a session storage handler object, only creating it if it doesn't already exist.

Paramètres
string | $name | The session store to instantiate
array | $options | Array of options
Renvoie
Storage
Depuis
1.0
Obsolète:
2.0

Références $class, $filter, $name, $options, et $path.

Référencé par Session\__construct().

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ open()

open | ( | $savePath,
 |  | $sessionName
 | ) |

Open the SessionHandler backend.

Paramètres
string | $savePath | The path to the session object.
string | $sessionName | The name of the session.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
1.0
Obsolète:
2.0

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
1.0
Obsolète:
2.0

◆ write()

write | ( | $id,
 |  | $sessionData
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $sessionData | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
1.0
Obsolète:
2.0

Documentation des champs

◆ $instances

$instances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Storage.php


Joomla CMS: Référence de la classe Inflector

  • Joomla
  • String
  • Inflector
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres privées | Attributs privés | Attributs privés statiques
Référence de la classe Inflector

Fonctions membres publiques

addCountableRule ($data)
addWord ($singular, $plural=null)
addPluraliseRule ($data)
addSingulariseRule ($data)
isCountable ($word)
isPlural ($word)
isSingular ($word)
toPlural ($word)
toSingular ($word)

Fonctions membres publiques statiques

static getInstance ($new=false)

Fonctions membres protégées

__construct ()

Fonctions membres privées

addRule ($data, $ruleType)
getCachedPlural ($singular)
getCachedSingular ($plural)
matchRegexRule ($word, $ruleType)
setCache ($singular, $plural=null)

Attributs privés

$rules
$cache = array()

Attributs privés statiques

static $instance

Description détaillée

Joomla Framework String Inflector Class

The Inflector transforms words

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
protected

Protected constructor.

Depuis
1.0

Documentation des fonctions membres

◆ addCountableRule()

addCountableRule ( $data )

Adds a countable word.

Paramètres
mixed $data A string or an array of strings to add.
Renvoie
Inflector Returns this object to support chaining.
Depuis
1.0

Références $data, et Inflector\addRule().

◆ addPluraliseRule()

addPluraliseRule ( $data )

Adds a pluralisation rule.

Paramètres
mixed $data A string or an array of regex rules to add.
Renvoie
Inflector Returns this object to support chaining.
Depuis
1.0

Références $data, et Inflector\addRule().

◆ addRule()

addRule | ( | $data,
 |  | $ruleType
 | ) |
private

Adds inflection regex rules to the inflector.

Paramètres
mixed | $data | A string or an array of strings or regex rules to add.
string | $ruleType | The rule type: singular | plural | countable
Renvoie
void
Depuis
1.0
Exceptions
InvalidArgumentException

Références $data, et elseif.

Référencé par Inflector\addCountableRule(), Inflector\addPluraliseRule(), et Inflector\addSingulariseRule().

◆ addSingulariseRule()

addSingulariseRule ( $data )

Adds a singularisation rule.

Paramètres
mixed $data A string or an array of regex rules to add.
Renvoie
Inflector Returns this object to support chaining.
Depuis
1.0

Références $data, et Inflector\addRule().

◆ addWord()

addWord | ( | $singular,
 |  | $plural = null
 | ) |

Adds a specific singular-plural pair for a word.

Paramètres
string | $singular | The singular form of the word.
string | $plural | The plural form of the word. If omitted, it is assumed the singular and plural are identical.
Renvoie
Inflector Returns this object to support chaining.
Depuis
1.0

Références Inflector\setCache().

◆ getCachedPlural()

getCachedPlural ( $singular )
private

Gets an inflected word from the cache where the singular form is supplied.

Paramètres
string $singular A singular form of a word.
Renvoie
string|boolean The cached inflection or false if none found.
Depuis
1.0

Référencé par Inflector\isSingular(), Inflector\toPlural(), et Inflector\toSingular().

◆ getCachedSingular()

getCachedSingular ( $plural )
private

Gets an inflected word from the cache where the plural form is supplied.

Paramètres
string $plural A plural form of a word.
Renvoie
string|boolean The cached inflection or false if none found.
Depuis
1.0

Référencé par Inflector\isPlural(), Inflector\toPlural(), et Inflector\toSingular().

◆ getInstance()

static getInstance ( $new = false )
static

Gets an instance of the JStringInflector singleton.

Paramètres
boolean $new If true (default is false), returns a new instance regardless if one exists. This argument is mainly used for testing.
Renvoie
Inflector
Depuis
1.0

◆ isCountable()

isCountable ( $word )

Checks if a word is countable.

Paramètres
string $word The string input.
Renvoie
boolean True if word is countable, false otherwise.
Depuis
1.0

◆ isPlural()

isPlural ( $word )

Checks if a word is in a plural form.

Paramètres
string $word The string input.
Renvoie
boolean True if word is plural, false if not.
Depuis
1.0

Références Inflector\getCachedSingular(), Inflector\toPlural(), et Inflector\toSingular().

◆ isSingular()

isSingular ( $word )

Checks if a word is in a singular form.

Paramètres
string $word The string input.
Renvoie
boolean True if word is singular, false if not.
Depuis
1.0

Références Inflector\getCachedPlural(), Inflector\toPlural(), et Inflector\toSingular().

◆ matchRegexRule()

matchRegexRule | ( | $word,
 |  | $ruleType
 | ) |
private

Execute a regex from rules.

The 'plural' rule type expects a singular word. The 'singular' rule type expects a plural word.

Paramètres
string | $word | The string input.
string | $ruleType | String (eg, singular|plural)
Renvoie
string|boolean An inflected string, or false if no rule could be applied.
Depuis
1.0

Référencé par Inflector\toPlural(), et Inflector\toSingular().

◆ setCache()

setCache | ( | $singular,
 |  | $plural = null
 | ) |
private

Sets an inflected word in the cache.

Paramètres
string | $singular | The singular form of the word.
string | $plural | The plural form of the word. If omitted, it is assumed the singular and plural are identical.
Renvoie
void
Depuis
1.0

Références null.

Référencé par Inflector\addWord(), Inflector\toPlural(), et Inflector\toSingular().

◆ toPlural()

toPlural ( $word )

Converts a word into its plural form.

Paramètres
string $word The singular word to pluralise.
Renvoie
string|boolean An inflected string, or false if no rule could be applied.
Depuis
1.0

Références Inflector\$cache, Inflector\getCachedPlural(), Inflector\getCachedSingular(), Inflector\matchRegexRule(), et Inflector\setCache().

Référencé par Inflector\isPlural(), et Inflector\isSingular().

◆ toSingular()

toSingular ( $word )

Converts a word into its singular form.

Paramètres
string $word The plural word to singularise.
Renvoie
string|boolean An inflected string, or false if no rule could be applied.
Depuis
1.0

Références Inflector\$cache, Inflector\getCachedPlural(), Inflector\getCachedSingular(), Inflector\matchRegexRule(), et Inflector\setCache().

Référencé par Inflector\isPlural(), et Inflector\isSingular().

Documentation des champs

◆ $cache

$cache = array()
private

Référencé par Inflector\toPlural(), et Inflector\toSingular().

◆ $instance

$instance
staticprivate

◆ $rules

$rules
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • Inflector.php


Joomla CMS: Référence de la classe Normalise

  • Joomla
  • String
  • Normalise
Fonctions membres publiques statiques
Référence de la classe Normalise

Fonctions membres publiques statiques

static | fromCamelCase ($input, $grouped=false)
static | toCamelCase ($input)
static | toDashSeparated ($input)
static | toSpaceSeparated ($input)
static | toUnderscoreSeparated ($input)
static | toVariable ($input)
static | toKey ($input)

Description détaillée

Joomla Framework String Normalise Class

Depuis
1.0

Documentation des fonctions membres

◆ fromCamelCase()

static fromCamelCase | ( | $input,
 |  | $grouped = false
 | ) |
static

Method to convert a string from camel case.

This method offers two modes. Grouped allows for splitting on groups of uppercase characters as follows:

"FooBarABCDef" becomes array("Foo", "Bar", "ABC", "Def") "JFooBar" becomes array("J", "Foo", "Bar") "J001FooBar002" becomes array("J001", "Foo", "Bar002") "abcDef" becomes array("abc", "Def") "abc_defGhi_Jkl" becomes array("abc_def", "Ghi_Jkl") "ThisIsA_NASAAstronaut" becomes array("This", "Is", "A_NASA", "Astronaut")) "JohnFitzgerald_Kennedy" becomes array("John", "Fitzgerald_Kennedy"))

Non-grouped will split strings at each uppercase character.

Paramètres
string | $input | The string input (ASCII only).
boolean | $grouped | Optionally allows splitting on groups of uppercase characters.
Renvoie
string The space separated string.
Depuis
1.0

Références $input.

Référencé par FormField\__construct().

◆ toCamelCase()

static toCamelCase ( $input )
static

Method to convert a string into camel case.

Paramètres
string $input The string input (ASCII only).
Renvoie
string The camel case string.
Depuis
1.0

Références $input.

◆ toDashSeparated()

static toDashSeparated ( $input )
static

Method to convert a string into dash separated form.

Paramètres
string $input The string input (ASCII only).
Renvoie
string The dash separated string.
Depuis
1.0

Références $input.

◆ toKey()

static toKey ( $input )
static

Method to convert a string into key form.

Paramètres
string $input The string input (ASCII only).
Renvoie
string The key string.
Depuis
1.0

Références $input.

◆ toSpaceSeparated()

static toSpaceSeparated ( $input )
static

Method to convert a string into space separated form.

Paramètres
string $input The string input (ASCII only).
Renvoie
string The space separated string.
Depuis
1.0

Références $input.

Référencé par FormHelper\loadClass().

◆ toUnderscoreSeparated()

static toUnderscoreSeparated ( $input )
static

Method to convert a string into underscore separated form.

Paramètres
string $input The string input (ASCII only).
Renvoie
string The underscore separated string.
Depuis
1.0

Références $input.

◆ toVariable()

static toVariable ( $input )
static

Method to convert a string into variable form.

Paramètres
string $input The string input (ASCII only).
Renvoie
string The variable string.
Depuis
1.0

Références $input.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Normalise.php


Joomla CMS: Référence de la classe String

  • Joomla
  • String
  • String
Référence de la classe String
+ Graphe d'héritage de String:

Description détaillée

String handling class for utf-8 data Wraps the phputf8 library All functions assume the validity of utf-8 strings.

Depuis
1.0
Obsolète:
2.0 Use StringHelper instead
La documentation de cette classe a été générée à partir du fichier suivant :
  • string/src/String.php


Joomla CMS: Référence de la classe AbstractUri

  • Joomla
  • Uri
  • AbstractUri
Fonctions membres publiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés
Référence de la classe AbstractUri
+ Graphe d'héritage de AbstractUri:
UriInterface Uri UriImmutable Uri

Fonctions membres publiques

__construct ($uri=null)
__toString ()
toString (array $parts=array('scheme', 'user', 'pass', 'host', 'port', 'path', 'query', 'fragment'))
render ($parts=self::ALL)
hasVar ($name)
getVar ($name, $default=null)
getQuery ($toArray=false)
getScheme ()
getUser ()
getPass ()
getHost ()
getPort ()
getPath ()
getFragment ()
isSsl ()

Fonctions membres protégées

parse ($uri)
cleanPath ($path)

Fonctions membres protégées statiques

static buildQuery (array $params)

Attributs protégés

$uri
$scheme
$host
$port
$user
$pass
$path
$query
$fragment
$vars = array()

Membres hérités additionnels

- Champs de données hérités de UriInterface
const | SCHEME = 1
const | USER = 2
const | PASS = 4
const | HOST = 8
const | PORT = 16
const | PATH = 32
const | QUERY = 64
const | FRAGMENT = 128
const | ALL = 255

Description détaillée

Uri Class

Abstract base for out uri classes.

This class should be considered an implementation detail. Typehint against UriInterface.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $uri = null )

Constructor. You can pass a URI string to the constructor to initialise a specific URI.

Paramètres
string $uri The optional URI string
Depuis
1.0

Références AbstractUri\$uri, null, et AbstractUri\parse().

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic method to get the string representation of the URI object.

Renvoie
string
Depuis
1.0

Implémente UriInterface.

Références AbstractUri\toString().

◆ buildQuery()

static buildQuery ( array $params )
staticprotected

Build a query from an array (reverse of the PHP parse_str()).

Paramètres
array $params The array of key => value pairs to return as a query string.
Renvoie
string The resulting query string.
Voir également
parse_str()
Depuis
1.0

Références $params.

◆ cleanPath()

cleanPath ( $path )
protected

Resolves //, ../ and ./ from a path and returns the result. Eg:

/foo/bar/../boo.php => /foo/boo.php /foo/bar/../../boo.php => /boo.php /foo/bar/.././/boo.php => /foo/boo.php

Paramètres
string $path The URI path to clean.
Renvoie
string Cleaned and resolved URI path.
Depuis
1.0

Références $i, $n, AbstractUri\$path, et elseif.

Référencé par Uri\setPath().

◆ getFragment()

getFragment ( )

Get the URI anchor string Everything after the "#".

Renvoie
string The URI anchor string.
Depuis
1.0

Implémente UriInterface.

Références AbstractUri\$fragment.

◆ getHost()

getHost ( )

Get URI host Returns the hostname/ip or null if no hostname/ip was specified.

Renvoie
string The URI host.
Depuis
1.0

Implémente UriInterface.

Références AbstractUri\$host.

◆ getPass()

getPass ( )

Get URI password Returns the password, or null if no password was specified.

Renvoie
string The URI password.
Depuis
1.0

Implémente UriInterface.

Références AbstractUri\$pass.

◆ getPath()

getPath ( )

Gets the URI path string.

Renvoie
string The URI path string.
Depuis
1.0

Implémente UriInterface.

Références AbstractUri\$path.

◆ getPort()

getPort ( )

Get URI port Returns the port number, or null if no port was specified.

Renvoie
integer The URI port number.
Depuis
1.0

Implémente UriInterface.

Références null.

◆ getQuery()

getQuery ( $toArray = false )

Returns flat query string.

Paramètres
boolean $toArray True to return the query as a key => value pair array.
Renvoie
string|array Query string or Array of parts in query string depending on the function param
Depuis
1.0

Implémente UriInterface.

Références AbstractUri\$query, AbstractUri\$vars, et null.

Référencé par AbstractUri\render().

◆ getScheme()

getScheme ( )

Get URI scheme (protocol) ie. http, https, ftp, etc...

Renvoie
string The URI scheme.
Depuis
1.0

Implémente UriInterface.

Références AbstractUri\$scheme.

Référencé par AbstractUri\isSsl().

◆ getUser()

getUser ( )

Get URI username Returns the username, or null if no username was specified.

Renvoie
string The URI username.
Depuis
1.0

Implémente UriInterface.

Références AbstractUri\$user.

◆ getVar()

getVar | ( | $name,
 |  | $default = null
 | ) |

Returns a query variable by name.

Paramètres
string | $name | Name of the query variable to get.
string | $default | Default value to return if the variable is not set.
Renvoie
mixed Value of the specified query variable.
Depuis
1.0

Implémente UriInterface.

Références $default, et $name.

◆ hasVar()

hasVar ( $name )

Checks if variable exists.

Paramètres
string $name Name of the query variable to check.
Renvoie
boolean True if the variable exists.
Depuis
1.0

Implémente UriInterface.

Références $name.

◆ isSsl()

isSsl ( )

Checks whether the current URI is using HTTPS.

Renvoie
boolean True if using SSL via HTTPS.
Depuis
1.0

Implémente UriInterface.

Références AbstractUri\getScheme(), et true.

◆ parse()

parse ( $uri )
protected

Parse a given URI and populate the class fields.

Paramètres
string $uri The URI string to parse.
Renvoie
boolean True on success.
Depuis
1.0

Références $parts, AbstractUri\$uri, null, et UriHelper\parse_url().

Référencé par AbstractUri\__construct().

◆ render()

render ( $parts = self::ALL )

Returns full uri string.

Paramètres
integer $parts A bitmask specifying the parts to render.
Renvoie
string The rendered URI string.
Depuis
1.2.0

Références $parts, AbstractUri\$query, AbstractUri\$uri, et AbstractUri\getQuery().

Référencé par AbstractUri\toString().

◆ toString()

toString ( array $parts = array('scheme', 'user', 'pass', 'host', 'port', 'path', 'query', 'fragment') )

Returns full uri string.

Paramètres
array $parts An array of strings specifying the parts to render.
Renvoie
string The rendered URI string.
Depuis
1.0

Implémente UriInterface.

Références $parts, et AbstractUri\render().

Référencé par AbstractUri\__toString().

Documentation des champs

◆ $fragment

$fragment
protected

Référencé par AbstractUri\getFragment().

◆ $host

$host
protected

Référencé par AbstractUri\getHost(), Uri\isInternal(), et Uri\setHost().

◆ $pass

$pass
protected

Référencé par AbstractUri\getPass(), et Uri\setPass().

◆ $path

$path
protected

Référencé par Uri\_cleanPath(), AbstractUri\cleanPath(), AbstractUri\getPath(), Uri\root(), et Uri\setPath().

◆ $port

$port
protected

Référencé par Uri\setPort().

◆ $query

$query
protected

Référencé par AbstractUri\getQuery(), AbstractUri\render(), et Uri\setQuery().

◆ $scheme

$scheme
protected

Référencé par AbstractUri\getScheme(), et Uri\setScheme().

◆ $uri

$uri
protected

Référencé par UriImmutable\__construct(), AbstractUri\__construct(), Uri\base(), Uri\current(), Uri\getInstance(), Uri\isInternal(), Uri\parse(), AbstractUri\parse(), AbstractUri\render(), et Uri\root().

◆ $user

$user
protected

Référencé par AbstractUri\getUser(), et Uri\setUser().

◆ $vars

$vars = array()
protected

Référencé par AbstractUri\getQuery().

La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractUri.php


Joomla CMS: Référence de la classe Uri

  • Joomla
  • Uri
  • Uri
Fonctions membres publiques
Référence de la classe Uri
+ Graphe d'héritage de Uri:
AbstractUri UriInterface Uri

Fonctions membres publiques

setVar ($name, $value)
delVar ($name)
setQuery ($query)
setScheme ($scheme)
setUser ($user)
setPass ($pass)
setHost ($host)
setPort ($port)
setPath ($path)
setFragment ($anchor)
- Fonctions membres publiques hérités de AbstractUri
__construct ($uri=null)
__toString ()
toString (array $parts=array('scheme', 'user', 'pass', 'host', 'port', 'path', 'query', 'fragment'))
render ($parts=self::ALL)
hasVar ($name)
getVar ($name, $default=null)
getQuery ($toArray=false)
getScheme ()
getUser ()
getPass ()
getHost ()
getPort ()
getPath ()
getFragment ()
isSsl ()

Membres hérités additionnels

- Champs de données hérités de UriInterface
const | SCHEME = 1
const | USER = 2
const | PASS = 4
const | HOST = 8
const | PORT = 16
const | PATH = 32
const | QUERY = 64
const | FRAGMENT = 128
const | ALL = 255
- Fonctions membres protégées hérités de AbstractUri
parse ($uri)
cleanPath ($path)
- Fonctions membres protégées statiques hérités de AbstractUri
static | buildQuery (array $params)
- Attributs protégés hérités de AbstractUri
$uri
$scheme
$host
$port
$user
$pass
$path
$query
$fragment
$vars = array()

Description détaillée

Uri Class

This class parses a URI and provides a common interface for the Joomla Framework to access and manipulate a URI.

Depuis
1.0

Documentation des fonctions membres

◆ delVar()

delVar ( $name )

Removes an item from the query string variables if it exists.

Paramètres
string $name Name of variable to remove.
Renvoie
void
Depuis
1.0

Références $name, et null.

◆ setFragment()

setFragment ( $anchor )

Set the URI anchor string everything after the "#".

Paramètres
string $anchor The URI anchor string.
Renvoie
void
Depuis
1.0

◆ setHost()

setHost ( $host )

Set URI host.

Paramètres
string $host The URI host.
Renvoie
void
Depuis
1.0

Références AbstractUri\$host.

◆ setPass()

setPass ( $pass )

Set URI password.

Paramètres
string $pass The URI password.
Renvoie
void
Depuis
1.0

Références AbstractUri\$pass.

◆ setPath()

setPath ( $path )

Set the URI path string.

Paramètres
string $path The URI path string.
Renvoie
void
Depuis
1.0

Références AbstractUri\$path, et AbstractUri\cleanPath().

◆ setPort()

setPort ( $port )

Set URI port.

Paramètres
integer $port The URI port number.
Renvoie
void
Depuis
1.0

Références AbstractUri\$port.

◆ setQuery()

setQuery ( $query )

Sets the query to a supplied string in format: foo=bar&x=y

Paramètres
mixed $query The query string or array.
Renvoie
void
Depuis
1.0

Références AbstractUri\$query, et null.

◆ setScheme()

setScheme ( $scheme )

Set URI scheme (protocol) ie. http, https, ftp, etc...

Paramètres
string $scheme The URI scheme.
Renvoie
void
Depuis
1.0

Références AbstractUri\$scheme.

◆ setUser()

setUser ( $user )

Set URI username.

Paramètres
string $user The URI username.
Renvoie
void
Depuis
1.0

Références AbstractUri\$user.

◆ setVar()

setVar | ( | $name,
 |  | $value
 | ) |

Adds a query variable and value, replacing the value if it already exists and returning the old value.

Paramètres
string | $name | Name of the query variable to set.
string | $value | Value of the query variable.
Renvoie
string Previous value for the query variable.
Depuis
1.0

Références $name, $tmp, $value, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/joomla/uri/src/Uri.php


Joomla CMS: Référence de la classe UriHelper

  • Joomla
  • Uri
  • UriHelper
Fonctions membres publiques statiques
Référence de la classe UriHelper

Fonctions membres publiques statiques

static parse_url ($url)

Description détaillée

Uri Helper

This class provides a UTF-8 safe version of parse_url().

Depuis
1.0

Documentation des fonctions membres

◆ parse_url()

static parse_url ( $url )
static

Does a UTF-8 safe version of PHP parse_url function

Paramètres
string $url URL to parse
Renvoie
array|boolean Associative array or false if badly formed URL.

1.0

Références $key, $url, et $value.

Référencé par AbstractUri\parse(), UrlRule\test(), PunycodeHelper\urlToPunycode(), et PunycodeHelper\urlToUTF8().

La documentation de cette classe a été générée à partir du fichier suivant :
  • UriHelper.php


Joomla CMS: Référence de la classe UriImmutable

  • Joomla
  • Uri
  • UriImmutable
Fonctions membres publiques | Attributs privés
Référence de la classe UriImmutable
+ Graphe d'héritage de UriImmutable:
AbstractUri UriInterface

Fonctions membres publiques

__set ($name, $value)
__construct ($uri=null)
- Fonctions membres publiques hérités de AbstractUri
__construct ($uri=null)
__toString ()
toString (array $parts=array('scheme', 'user', 'pass', 'host', 'port', 'path', 'query', 'fragment'))
render ($parts=self::ALL)
hasVar ($name)
getVar ($name, $default=null)
getQuery ($toArray=false)
getScheme ()
getUser ()
getPass ()
getHost ()
getPort ()
getPath ()
getFragment ()
isSsl ()

Attributs privés

$constructed = false

Membres hérités additionnels

- Champs de données hérités de UriInterface
const | SCHEME = 1
const | USER = 2
const | PASS = 4
const | HOST = 8
const | PORT = 16
const | PATH = 32
const | QUERY = 64
const | FRAGMENT = 128
const | ALL = 255
- Fonctions membres protégées hérités de AbstractUri
parse ($uri)
cleanPath ($path)
- Fonctions membres protégées statiques hérités de AbstractUri
static | buildQuery (array $params)
- Attributs protégés hérités de AbstractUri
$uri
$scheme
$host
$port
$user
$pass
$path
$query
$fragment
$vars = array()

Description détaillée

Uri Class

This is an immutable version of the uri class.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $uri = null )

This is a special constructor that prevents calling the __construct method again.

Paramètres
string $uri The optional URI string
Depuis
1.0
Exceptions

Références AbstractUri\$uri.

Documentation des fonctions membres

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Prevent setting undeclared properties.

Paramètres
string | $name | This is an immutable object, setting $name is not allowed.
mixed | $value | This is an immutable object, setting $value is not allowed.
Renvoie
void This method always throws an exception.
Depuis
1.0
Exceptions

Documentation des champs

◆ $constructed

$constructed = false
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • UriImmutable.php


Joomla CMS: Référence de l'interface UriInterface

  • Joomla
  • Uri
  • UriInterface
Fonctions membres publiques | Champs de données
Référence de l'interface UriInterface
+ Graphe d'héritage de UriInterface:
AbstractUri Uri UriImmutable Uri

Fonctions membres publiques

__toString ()
toString (array $parts=array('scheme', 'user', 'pass', 'host', 'port', 'path', 'query', 'fragment'))
hasVar ($name)
getVar ($name, $default=null)
getQuery ($toArray=false)
getScheme ()
getUser ()
getPass ()
getHost ()
getPort ()
getPath ()
getFragment ()
isSsl ()

Champs de données

const | SCHEME = 1
const | USER = 2
const | PASS = 4
const | HOST = 8
const | PORT = 16
const | PATH = 32
const | QUERY = 64
const | FRAGMENT = 128
const | ALL = 255

Description détaillée

Uri Interface

Interface for read-only access to Uris.

Depuis
1.0

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic method to get the string representation of the URI object.

Renvoie
string
Depuis
1.0

Implémenté dans AbstractUri.

◆ getFragment()

getFragment ( )

Get the URI anchor string Everything after the "#".

Renvoie
string The URI anchor string.
Depuis
1.0

Implémenté dans AbstractUri.

◆ getHost()

getHost ( )

Get URI host Returns the hostname/ip or null if no hostname/ip was specified.

Renvoie
string The URI host.
Depuis
1.0

Implémenté dans AbstractUri.

◆ getPass()

getPass ( )

Get URI password Returns the password, or null if no password was specified.

Renvoie
string The URI password.
Depuis
1.0

Implémenté dans AbstractUri.

◆ getPath()

getPath ( )

Gets the URI path string.

Renvoie
string The URI path string.
Depuis
1.0

Implémenté dans AbstractUri.

◆ getPort()

getPort ( )

Get URI port Returns the port number, or null if no port was specified.

Renvoie
integer The URI port number.
Depuis
1.0

Implémenté dans AbstractUri.

◆ getQuery()

getQuery ( $toArray = false )

Returns flat query string.

Paramètres
boolean $toArray True to return the query as a key => value pair array.
Renvoie
string Query string.
Depuis
1.0

Implémenté dans AbstractUri.

◆ getScheme()

getScheme ( )

Get URI scheme (protocol) ie. http, https, ftp, etc...

Renvoie
string The URI scheme.
Depuis
1.0

Implémenté dans AbstractUri.

◆ getUser()

getUser ( )

Get URI username Returns the username, or null if no username was specified.

Renvoie
string The URI username.
Depuis
1.0

Implémenté dans AbstractUri.

◆ getVar()

getVar | ( | $name,
 |  | $default = null
 | ) |

Returns a query variable by name.

Paramètres
string | $name | Name of the query variable to get.
string | $default | Default value to return if the variable is not set.
Renvoie
array Query variables.
Depuis
1.0

Implémenté dans AbstractUri.

◆ hasVar()

hasVar ( $name )

Checks if variable exists.

Paramètres
string $name Name of the query variable to check.
Renvoie
boolean True if the variable exists.
Depuis
1.0

Implémenté dans AbstractUri.

◆ isSsl()

isSsl ( )

Checks whether the current URI is using HTTPS.

Renvoie
boolean True if using SSL via HTTPS.
Depuis
1.0

Implémenté dans AbstractUri.

◆ toString()

toString ( array $parts = array('scheme', 'user', 'pass', 'host', 'port', 'path', 'query', 'fragment') )

Returns full uri string.

Paramètres
array $parts An array of strings specifying the parts to render.
Renvoie
string The rendered URI string.
Depuis
1.0

Implémenté dans AbstractUri.

Documentation des champs

◆ ALL

const ALL = 255

◆ FRAGMENT

const FRAGMENT = 128

◆ HOST

const HOST = 8

◆ PASS

const PASS = 4

◆ PATH

const PATH = 32

◆ PORT

const PORT = 16

◆ QUERY

const QUERY = 64

◆ SCHEME

const SCHEME = 1

◆ USER

const USER = 2
La documentation de cette interface a été générée à partir du fichier suivant :
  • UriInterface.php


Joomla CMS: Référence de la classe ArrayHelper

  • Joomla
  • Utilities
  • ArrayHelper
Fonctions membres publiques statiques | Fonctions membres privées | Fonctions membres privées statiques
Référence de la classe ArrayHelper

Fonctions membres publiques statiques

static | toInteger ($array, $default=null)
static | toObject (array $array, $class='stdClass', $recursive=true)
static | toString (array $array, $innerGlue='=', $outerGlue=' ', $keepOuterKey=false)
static | fromObject ($source, $recurse=true, $regex=null)
static | addColumn (array $array, array $column, $colName, $keyCol=null)
static | dropColumn (array $array, $colName)
static | getColumn (array $array, $valueCol, $keyCol=null)
static | getValue ($array, $name, $default=null, $type='')
static | invert (array $array)
static | isAssociative ($array)
static | pivot (array $source, $key=null)
static | sortObjects (array $a, $k, $direction=1, $caseSensitive=true, $locale=false)
static | arrayUnique (array $array)
static | arraySearch ($needle, array $haystack, $caseSensitive=true)
static | flatten ($array, $separator='.', $prefix='')

Fonctions membres privées

__construct ()

Fonctions membres privées statiques

static arrayFromObject ($item, $recurse, $regex)

Description détaillée

ArrayHelper is an array utility class for doing all sorts of odds and ends with arrays.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
private

Private constructor to prevent instantiation of this class

Depuis
1.0

Documentation des fonctions membres

◆ addColumn()

static addColumn | ( | array | $array,
 |  | array | $column,
 |  |  | $colName,
 |  |  | $keyCol = null
 | ) |  |
static

Adds a column to an array of arrays or objects

Paramètres
array | $array | The source array
array | $column | The array to be used as new column
string | $colName | The index of the new column or name of the new object property
string | $keyCol | The index of the column or name of object property to be used for mapping with the new column
Renvoie
array An array with the new column added to the source array
Depuis
1.5.0
Voir également
https://www.php.net/manual/en/language.types.array.php

Références $i, $item, $subject, $value, et null.

◆ arrayFromObject()

static arrayFromObject | ( | $item,
 |  | $recurse,
 |  | $regex
 | ) |
staticprivate

Utility function to map an object or array to an array

Paramètres
mixed | $item | The source object or array
boolean | $recurse | True to recurse through multi-level objects
string | $regex | An optional regular expression to match on field names
Renvoie
array
Depuis
1.0

Références $item.

◆ arraySearch()

static arraySearch | ( |  | $needle,
 |  | array | $haystack,
 |  |  | $caseSensitive = true
 | ) |  |
static

An improved array_search that allows for partial matching of strings values in associative arrays.

Paramètres
string | $needle | The text to search for within the array.
array | $haystack | Associative array to search in to find $needle.
boolean | $caseSensitive | True to search case sensitive, false otherwise.
Renvoie
mixed Returns the matching array $key if found, otherwise false.
Depuis
1.0

Références $key, et $value.

◆ arrayUnique()

static arrayUnique ( array $array )
static

Multidimensional array safe unique test

Paramètres
array $array The array to make unique.
Renvoie
array
Voir également
https://www.php.net/manual/en/function.array-unique.php
Depuis
1.0

◆ dropColumn()

static dropColumn | ( | array | $array,
 |  |  | $colName
 | ) |  |
static

Remove a column from an array of arrays or objects

Paramètres
array | $array | The source array
string | $colName | The index of the column or name of object property to be removed
Renvoie
array Column of values from the source array
Depuis
1.5.0
Voir également
https://www.php.net/manual/en/language.types.array.php

Références $i, $item, et elseif.

Référencé par PlgPrivacyUser\createNotesDomain().

◆ flatten()

static flatten | ( | $array,
 |  | $separator = '.',
 |  | $prefix = ''
 | ) |
static

Method to recursively convert data to a one dimension array.

Paramètres
array | object | $array | The array or object to convert.
string | $separator | The key separator.
string | $prefix | Last level key prefix.
Renvoie
array
Depuis
1.3.0
Note
As of 2.0, the result will not include the original array structure

Références $key, $prefix, $separator, et elseif.

◆ fromObject()

static fromObject | ( | $source,
 |  | $recurse = true,
 |  | $regex = null
 | ) |
static

Utility function to map an object to an array

Paramètres
object | $source | The source object
boolean | $recurse | True to recurse through multi-level objects
string | $regex | An optional regular expression to match on field names
Renvoie
array
Depuis
1.0

Référencé par AssociationExtensionHelper\getAssociationList(), et BaseDatabaseModel\loadHistory().

◆ getColumn()

static getColumn | ( | array | $array,
 |  |  | $valueCol,
 |  |  | $keyCol = null
 | ) |  |
static

Extracts a column from an array of arrays or objects

Paramètres
array | $array | The source array
string | $valueCol | The index of the column or name of object property to be used as value It may also be NULL to return complete arrays or objects (this is useful together with $keyCol to reindex the array).
string | $keyCol | The index of the column or name of object property to be used as key
Renvoie
array Column of values from the source array
Depuis
1.0
Voir également
https://www.php.net/manual/en/language.types.array.php
https://www.php.net/manual/en/function.array-column.php

Références $item, $key, $subject, et $value.

Référencé par JAdminCssMenu\check().

◆ getValue()

static getValue | ( | $array,
 |  | $name,
 |  | $default = null,
 |  | $type = ''
 | ) |
static

Utility function to return a value from a named array or a specified default

Paramètres
array | \ArrayAccess | $array | A named array or object that implements ArrayAccess
string | $name | The key to search for (this can be an array index or a dot separated key sequence as in Registry)
mixed | $default | The default value to give if no key found
string | $type | Return type for the variable (INT, FLOAT, STRING, WORD, BOOLEAN, ARRAY)
Renvoie
mixed
Depuis
1.0
Exceptions

Références $default, $name, $type, elseif, et null.

Référencé par NewsfeedsControllerNewsfeed\allowAdd(), AdminModel\batch(), UsersModelUser\batch(), User\bind(), UsersControllerUsers\changeBlock(), JHtmlContentAdministrator\featured(), ModulesModelModule\getForm(), ConfigModelForm\loadForm(), FormModel\loadForm(), ListModel\loadForm(), PlgUserTerms\onUserAfterSave(), PlgUserTerms\onUserBeforeSave(), InstallerControllerUpdatesites\publish(), AdminController\publish(), MenusControllerItems\publish(), MenusControllerItems\setDefault(), et JHtmlMessages\status().

◆ invert()

static invert ( array $array )
static

Takes an associative array of arrays and inverts the array keys to values using the array values as keys.

Example: $input = array( 'New' => array('1000', '1500', '1750'), 'Used' => array('3000', '4000', '5000', '6000') ); $output = ArrayHelper::invert($input);

Output would be equal to: $output = array( '1000' => 'New', '1500' => 'New', '1750' => 'New', '3000' => 'Used', '4000' => 'Used', '5000' => 'Used', '6000' => 'Used' );

Paramètres
array $array The source array.
Renvoie
array
Depuis
1.0

Références $base, $key, et $return.

◆ isAssociative()

static isAssociative ( $array )
static

Method to determine if an array is an associative array.

Paramètres
array $array An array to test.
Renvoie
boolean
Depuis
1.0

Référencé par Form\bindLevel(), et Ini\objectToString().

◆ pivot()

static pivot | ( | array | $source,
 |  |  | $key = null
 | ) |  |
static

Pivots an array to create a reverse lookup of an array of scalars, arrays or objects.

Paramètres
array | $source | The source array.
string | $key | Where the elements of the source array are objects or arrays, the key to pivot on.
Renvoie
array An array of arrays pivoted either on the value of the keys, or an individual key of an object or array.
Depuis
1.0

Références $counter, $key, $value, et elseif.

Référencé par LanguageHelper\getContentLanguages(), et LanguageHelper\getInstalledLanguages().

◆ sortObjects()

static sortObjects | ( | array | $a,
 |  |  | $k,
 |  |  | $direction = 1,
 |  |  | $caseSensitive = true,
 |  |  | $locale = false
 | ) |  |
static

Utility function to sort an array of objects on a given field

Paramètres
array | $a | An array of objects
mixed | $k | The key (string) or an array of keys to sort on
mixed | $direction | Direction (integer) or an array of direction to sort in [1 = Ascending] [-1 = Descending]
mixed | $caseSensitive | Boolean or array of booleans to let sort occur case sensitive or insensitive
mixed | $locale | Boolean or array of booleans to let sort occur using the locale language or not
Renvoie
array
Depuis
1.0

Références $b, $count, $direction, $i, $key, et elseif.

Référencé par InstallerModel\_getList(), ModulesModelModules\_getList(), LanguageHelper\getContentLanguages(), LanguageHelper\getInstalledLanguages(), ModulesHelper\getModules(), JFormFieldComponentsCategory\getOptions(), JFormFieldComponents\getOptions(), JFormFieldConfigComponents\getOptions(), JFormFieldContentTypes\getOptions(), JHtmlModules\positions(), et JAdminCssMenu\preprocess().

◆ toInteger()

static toInteger | ( | $array,
 |  | $default = null
 | ) |
static

Function to convert array to integer values

Paramètres
array | $array | The source array to convert
int | array | $default | A default value to assign if $array is not an array
Renvoie
array
Depuis
1.0

Références $default, et null.

Référencé par RedirectModelLink\activate(), AdminModel\batch(), UsersModelUser\batch(), UsersModelUser\batchReset(), UsersModelUser\batchUser(), User\bind(), MenusModelMenu\delete(), ActionlogsModelActionlogs\delete(), RedirectModelLink\duplicateUrls(), Form\filterField(), Access\getGroupsByUser(), FinderModelSuggestions\getListQuery(), NewsfeedsModelNewsfeeds\getListQuery(), ActionlogsModelActionlogs\getLogDataQuery(), TagField\getOptions(), TagsHelper\getTagIds(), TagsHelper\getTagItemsQuery(), TagsHelper\getTagNames(), TagsHelper\getTypes(), Access\getUsersByGroup(), JHtmlTag\options(), UsersModelUsers\populateState(), TagsModelTag\populateState(), UsersTableNote\publish(), MessagesTableMessage\publish(), Extension\publish(), CoreContent\publish(), Nested\publish(), CategoriesModelCategory\save(), AdminModel\save(), MenusModelItem\save(), TagsHelper\searchTags(), UserHelper\setUserGroups(), JHtmlTag\tags(), et TagsHelper\unTagItem().

◆ toObject()

static toObject | ( | array | $array,
 |  |  | $class = 'stdClass',
 |  |  | $recursive = true
 | ) |  |
static

Utility function to map an array to a stdClass object.

Paramètres
array | $array | The array to map.
string | $class | Name of the class to create
boolean | $recursive | Convert also any array inside the main array
Renvoie
object
Depuis
1.0

Références $class.

Référencé par InstallationModelFtp\detectFtpRoot(), ContentModelForm\getItem(), LanguagesModelLanguage\getItem(), MenusModelMenu\getItem(), TagsModelTag\getItem(), ModulesModelModule\getItem(), AdminModel\getItem(), InstallationModelConfiguration\setup(), et InstallationModelFtp\verifyFtpSettings().

◆ toString()

static toString | ( | array | $array,
 |  |  | $innerGlue = '=',
 |  |  | $outerGlue = ' ',
 |  |  | $keepOuterKey = false
 | ) |  |
static

Utility function to map an array to a string.

Paramètres
array | $array | The array to map.
string | $innerGlue | The glue (optional, defaults to '=') between the key and the value.
string | $outerGlue | The glue (optional, defaults to ' ') between array elements.
boolean | $keepOuterKey | True if final key should be kept.
Renvoie
string
Depuis
1.0

Références $item, $key, et $output.

Référencé par HeadRenderer\fetchHead(), HTMLHelper\iframe(), HTMLHelper\image(), HTMLHelper\link(), et JHtmlForm\token().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ArrayHelper.php


Joomla CMS: Référence de la classe IpHelper

  • Joomla
  • Utilities
  • IpHelper
Fonctions membres publiques statiques | Fonctions membres protégées statiques | Fonctions membres privées | Attributs privés statiques
Référence de la classe IpHelper

Fonctions membres publiques statiques

static | getIp ()
static | setIp ($ip)
static | isIPv6 ($ip)
static | IPinList ($ip, $ipTable='')
static | workaroundIPIssues ()
static | setAllowIpOverrides ($newState)

Fonctions membres protégées statiques

static | detectAndCleanIP ()
static | detectIP ()
static | inetToBits ($inet)
static | checkIPv6CIDR ($ip, $cidrnet)

Fonctions membres privées

__construct ()

Attributs privés statiques

static | $ip = null
static | $allowIpOverrides = true

Description détaillée

IpHelper is a utility class for processing IP addresses

Depuis
1.6.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
private

Private constructor to prevent instantiation of this class

Depuis
1.6.0

Documentation des fonctions membres

◆ checkIPv6CIDR()

static checkIPv6CIDR | ( | $ip,
 |  | $cidrnet
 | ) |
staticprotected

Checks if an IPv6 address $ip is part of the IPv6 CIDR block $cidrnet

Paramètres
string | $ip | The IPv6 address to check, e.g. 21DA:00D3:0000:2F3B:02AC:00FF:FE28:9C5A
string | $cidrnet | The IPv6 CIDR block, e.g. 21DA:00D3:0000:2F3B::/64
Renvoie
boolean
Depuis
1.6.0

Références IpHelper\$ip.

◆ detectAndCleanIP()

static detectAndCleanIP ( )
staticprotected

Gets the visitor's IP address.

Automatically handles reverse proxies reporting the IPs of intermediate devices, like load balancers. Examples:

  • https://www.akeebabackup.com/support/admin-tools/13743-double-ip-adresses-in-security-exception-log-warnings.html
  • https://stackoverflow.com/questions/2422395/why-is-request-envremote-addr-returning-two-ips

The solution used is assuming that the last IP address is the external one.

Renvoie
string
Depuis
1.6.0

Références IpHelper\$ip.

◆ detectIP()

static detectIP ( )
staticprotected

Gets the visitor's IP address

Renvoie
string
Depuis
1.6.0

◆ getIp()

static getIp ( )
static

Get the current visitor's IP address

Renvoie
string
Depuis
1.6.0

Références IpHelper\$ip, et null.

◆ inetToBits()

static inetToBits ( $inet )
staticprotected

Converts inet_pton output to bits string

Paramètres
string $inet The in_addr representation of an IPv4 or IPv6 address
Renvoie
string
Depuis
1.6.0

◆ IPinList()

static IPinList | ( | $ip,
 |  | $ipTable = ''
 | ) |
static

Checks if an IP is contained in a list of IPs or IP expressions

Paramètres
string | $ip | The IPv4/IPv6 address to check
array | string | $ipTable | An IP expression (or a comma-separated or array list of IP expressions) to check against
Renvoie
boolean
Depuis
1.6.0

Références $base, $i, IpHelper\$ip, et elseif.

◆ isIPv6()

static isIPv6 ( $ip )
static

Is it an IPv6 IP address?

Paramètres
string $ip An IPv4 or IPv6 address
Renvoie
boolean
Depuis
1.6.0

Références IpHelper\$ip.

◆ setAllowIpOverrides()

static setAllowIpOverrides ( $newState )
static

Should I allow the remote client's IP to be overridden by an X-Forwarded-For or Client-Ip HTTP header?

Paramètres
boolean $newState True to allow the override
Renvoie
void
Depuis
1.6.0

Références true.

◆ setIp()

static setIp ( $ip )
static

Set the IP address of the current visitor

Paramètres
string $ip The visitor's IP address
Renvoie
void
Depuis
1.6.0

Références IpHelper\$ip.

◆ workaroundIPIssues()

static workaroundIPIssues ( )
static

Works around the REMOTE_ADDR not containing the user's IP

Renvoie
void
Depuis
1.6.0

Références IpHelper\$ip, et elseif.

Documentation des champs

◆ $allowIpOverrides

$allowIpOverrides = true
staticprivate

◆ $ip

$ip = null
staticprivate

Référencé par IpHelper\checkIPv6CIDR(), IpHelper\detectAndCleanIP(), IpHelper\getIp(), IpHelper\IPinList(), IpHelper\isIPv6(), IpHelper\setIp(), et IpHelper\workaroundIPIssues().

La documentation de cette classe a été générée à partir du fichier suivant :
  • IpHelper.php


Joomla CMS: Référence de la classe Ctx

  • ParagonIE
  • Sodium
  • Core
  • ChaCha20
  • Ctx
Référence de la classe Ctx
+ Graphe d'héritage de Ctx:
ParagonIE_Sodium_Core_ChaCha20_Ctx ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_ChaCha20_Ctx
__construct ($key='', $iv='', $counter='')
offsetSet ($offset, $value)
offsetExists ($offset)
offsetUnset ($offset)
offsetGet ($offset)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés hérités de ParagonIE_Sodium_Core_ChaCha20_Ctx
$container
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/ChaCha20/Ctx.php


Joomla CMS: Référence de la classe IetfCtx

  • ParagonIE
  • Sodium
  • Core
  • ChaCha20
  • IetfCtx
Référence de la classe IetfCtx
+ Graphe d'héritage de IetfCtx:
ParagonIE_Sodium_Core_ChaCha20_IetfCtx ParagonIE_Sodium_Core_ChaCha20_Ctx ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_ChaCha20_IetfCtx
__construct ($key='', $iv='', $counter='')
- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_ChaCha20_Ctx
__construct ($key='', $iv='', $counter='')
offsetSet ($offset, $value)
offsetExists ($offset)
offsetUnset ($offset)
offsetGet ($offset)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés hérités de ParagonIE_Sodium_Core_ChaCha20_Ctx
$container
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/ChaCha20/IetfCtx.php


Joomla CMS: Référence de la classe Cached

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
  • Ge
  • Cached
Référence de la classe Cached
+ Graphe d'héritage de Cached:
ParagonIE_Sodium_Core_Curve25519_Ge_Cached

Membres hérités additionnels

- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_Curve25519_Ge_Cached
__construct (ParagonIE_Sodium_Core_Curve25519_Fe $YplusX=null, ParagonIE_Sodium_Core_Curve25519_Fe $YminusX=null, ParagonIE_Sodium_Core_Curve25519_Fe $Z=null, ParagonIE_Sodium_Core_Curve25519_Fe $T2d=null)
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_Ge_Cached
$YplusX
$YminusX
$Z
$T2d
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Curve25519/Ge/Cached.php


Joomla CMS: Référence de la classe P1p1

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
  • Ge
  • P1p1
Référence de la classe P1p1
+ Graphe d'héritage de P1p1:
ParagonIE_Sodium_Core_Curve25519_Ge_P1p1

Membres hérités additionnels

- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_Curve25519_Ge_P1p1
__construct (ParagonIE_Sodium_Core_Curve25519_Fe $x=null, ParagonIE_Sodium_Core_Curve25519_Fe $y=null, ParagonIE_Sodium_Core_Curve25519_Fe $z=null, ParagonIE_Sodium_Core_Curve25519_Fe $t=null)
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_Ge_P1p1
$X
$Y
$Z
$T
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Curve25519/Ge/P1p1.php


Joomla CMS: Référence de la classe P2

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
  • Ge
  • P2
Référence de la classe P2
+ Graphe d'héritage de P2:
ParagonIE_Sodium_Core_Curve25519_Ge_P2

Membres hérités additionnels

- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_Curve25519_Ge_P2
__construct (ParagonIE_Sodium_Core_Curve25519_Fe $x=null, ParagonIE_Sodium_Core_Curve25519_Fe $y=null, ParagonIE_Sodium_Core_Curve25519_Fe $z=null)
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_Ge_P2
$X
$Y
$Z
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Curve25519/Ge/P2.php


Joomla CMS: Référence de la classe P3

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
  • Ge
  • P3
Référence de la classe P3
+ Graphe d'héritage de P3:
ParagonIE_Sodium_Core_Curve25519_Ge_P3

Membres hérités additionnels

- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_Curve25519_Ge_P3
__construct (ParagonIE_Sodium_Core_Curve25519_Fe $x=null, ParagonIE_Sodium_Core_Curve25519_Fe $y=null, ParagonIE_Sodium_Core_Curve25519_Fe $z=null, ParagonIE_Sodium_Core_Curve25519_Fe $t=null)
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_Ge_P3
$X
$Y
$Z
$T
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Curve25519/Ge/P3.php


Joomla CMS: Référence de la classe Precomp

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
  • Ge
  • Precomp
Référence de la classe Precomp
+ Graphe d'héritage de Precomp:
ParagonIE_Sodium_Core_Curve25519_Ge_Precomp

Membres hérités additionnels

- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
__construct (ParagonIE_Sodium_Core_Curve25519_Fe $yplusx=null, ParagonIE_Sodium_Core_Curve25519_Fe $yminusx=null, ParagonIE_Sodium_Core_Curve25519_Fe $xy2d=null)
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
$yplusx
$yminusx
$xy2d
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Curve25519/Ge/Precomp.php


Joomla CMS: Référence de la classe Fe

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
  • Fe
Référence de la classe Fe
+ Graphe d'héritage de Fe:
ParagonIE_Sodium_Core_Curve25519_Fe

Membres hérités additionnels

- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_Curve25519_Fe
offsetSet ($offset, $value)
offsetExists ($offset)
offsetUnset ($offset)
offsetGet ($offset)
__debugInfo ()
- Attributs protégés hérités de ParagonIE_Sodium_Core_Curve25519_Fe
$container = array()
$size = 10
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Curve25519/Fe.php


Joomla CMS: Référence de la classe H

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
  • H
Référence de la classe H
+ Graphe d'héritage de H:
ParagonIE_Sodium_Core_Curve25519_H ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_H
const | L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1
static | $invsqrtamd
static | $sqrtadm1
static | $onemsqd
static | $sqdmone
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Curve25519/H.php


Joomla CMS: Référence de la classe State

  • ParagonIE
  • Sodium
  • Core
  • Poly1305
  • State
Référence de la classe State
+ Graphe d'héritage de State:
ParagonIE_Sodium_Core_Poly1305_State ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_Poly1305_State
__construct ($key='')
__destruct ()
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_Poly1305_State
$h
$r
$pad
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés hérités de ParagonIE_Sodium_Core_Poly1305_State
$buffer = array()
$final = false
$leftover = 0
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Poly1305/State.php


Joomla CMS: Référence de la classe BLAKE2b

  • ParagonIE
  • Sodium
  • Core
  • BLAKE2b
Référence de la classe BLAKE2b
+ Graphe d'héritage de BLAKE2b:
ParagonIE_Sodium_Core_BLAKE2b ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_BLAKE2b
static | new64 ($high, $low)
static | pseudoConstructor ()
static | G ($r, $i, $a, $b, $c, $d, SplFixedArray $v, SplFixedArray $m)
static | increment_counter ($ctx, $inc)
static | update (SplFixedArray $ctx, SplFixedArray $p, $plen)
static | finish (SplFixedArray $ctx, SplFixedArray $out)
static | init ( $key=null, $outlen=64, $salt=null, $personal=null)
static | stringToSplFixedArray ($str='')
static | stringToContext ($string)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_BLAKE2b
const | BLOCKBYTES = 128
const | OUTBYTES = 64
const | KEYBYTES = 64
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_BLAKE2b
static | to64 ($num)
static | add64 ($x, $y)
static | add364 ($x, $y, $z)
static | xor64 (SplFixedArray $x, SplFixedArray $y)
static | flatten64 ($x)
static | context ()
static | compress (SplFixedArray $ctx, SplFixedArray $buf)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core_BLAKE2b
static | $iv
static | $sigma
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/BLAKE2b.php


Joomla CMS: Référence de la classe ChaCha20

  • ParagonIE
  • Sodium
  • Core
  • ChaCha20
Référence de la classe ChaCha20
+ Graphe d'héritage de ChaCha20:
ParagonIE_Sodium_Core_ChaCha20 ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_ChaCha20
static | rotate ($v, $n)
static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len, $nonce='', $key='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/ChaCha20.php


Joomla CMS: Référence de la classe Curve25519

  • ParagonIE
  • Sodium
  • Core
  • Curve25519
Référence de la classe Curve25519
+ Graphe d'héritage de Curve25519:
ParagonIE_Sodium_Core_Curve25519 ParagonIE_Sodium_Core_Curve25519_H ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Curve25519
static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_frombytes ($s)
static | fe_isnegative (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_mul (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | fe_neg (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq2 (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | negative ($char)
static | cmov (ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $u, $b)
static | ge_cmov_cached (ParagonIE_Sodium_Core_Curve25519_Ge_Cached $t, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $u, $b)
static | ge_cmov8_cached (array $cached, $b)
static | ge_sub (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $h)
static | sc25519_mul ($a, $b)
static | sc25519_sq ($s)
static | sc25519_sqmul ($s, $n, $a)
static | sc25519_invert ($s)
static | clamp ($s)
static | fe_normalize (ParagonIE_Sodium_Core_Curve25519_Fe $f)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_H
const | L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1
static | $invsqrtamd
static | $sqrtadm1
static | $onemsqd
static | $sqdmone
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Curve25519.php


Joomla CMS: Référence de la classe Ed25519

  • ParagonIE
  • Sodium
  • Core
  • Ed25519
Référence de la classe Ed25519
+ Graphe d'héritage de Ed25519:
ParagonIE_Sodium_Core_Ed25519 ParagonIE_Sodium_Core_Curve25519 ParagonIE_Sodium_Core_Curve25519_H ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Ed25519
static | keypair ()
static | secretkey ($keypair)
static | publickey ($keypair)
static | pk_to_curve25519 ($pk)
static | sk_to_pk ($sk)
static | sign_detached ($message, $sk)
static | scalar_complement ($s)
static | scalar_random ()
static | scalar_negate ($s)
static | scalar_add ($a, $b)
static | scalar_sub ($x, $y)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Curve25519
static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_frombytes ($s)
static | fe_isnegative (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_mul (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | fe_neg (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq2 (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | negative ($char)
static | cmov (ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $u, $b)
static | ge_cmov_cached (ParagonIE_Sodium_Core_Curve25519_Ge_Cached $t, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $u, $b)
static | ge_cmov8_cached (array $cached, $b)
static | ge_sub (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $h)
static | sc25519_mul ($a, $b)
static | sc25519_sq ($s)
static | sc25519_sqmul ($s, $n, $a)
static | sc25519_invert ($s)
static | clamp ($s)
static | fe_normalize (ParagonIE_Sodium_Core_Curve25519_Fe $f)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_Ed25519
const | KEYPAIR_BYTES = 96
const | SEED_BYTES = 32
const | SCALAR_BYTES = 32
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_H
const | L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1
static | $invsqrtamd
static | $sqrtadm1
static | $onemsqd
static | $sqdmone
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Ed25519.php


Joomla CMS: Référence de la classe HChaCha20

  • ParagonIE
  • Sodium
  • Core
  • HChaCha20
Référence de la classe HChaCha20
+ Graphe d'héritage de HChaCha20:
ParagonIE_Sodium_Core_HChaCha20 ParagonIE_Sodium_Core_ChaCha20 ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_HChaCha20
static | hChaCha20 ($in='', $key='', $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_ChaCha20
static | rotate ($v, $n)
static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len, $nonce='', $key='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_HChaCha20
static | hChaCha20Bytes (array $ctx)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/HChaCha20.php


Joomla CMS: Référence de la classe HSalsa20

  • ParagonIE
  • Sodium
  • Core
  • HSalsa20
Référence de la classe HSalsa20
+ Graphe d'héritage de HSalsa20:
ParagonIE_Sodium_Core_HSalsa20 ParagonIE_Sodium_Core_Salsa20 ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_HSalsa20
static | hsalsa20 ($in, $k, $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Salsa20
static | core_salsa20 ($in, $k, $c=null)
static | salsa20 ($len, $nonce, $key)
static | salsa20_xor_ic ($m, $n, $ic, $k)
static | salsa20_xor ($message, $nonce, $key)
static | rotate ($u, $c)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_Salsa20
const | ROUNDS = 20
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/HSalsa20.php


Joomla CMS: Référence de la classe Poly1305

  • ParagonIE
  • Sodium
  • Core
  • Poly1305
Référence de la classe Poly1305
+ Graphe d'héritage de Poly1305:
ParagonIE_Sodium_Core_Poly1305 ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Poly1305
static | onetimeauth ($m, $key)
static | onetimeauth_verify ($mac, $m, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_Poly1305
const | BLOCK_SIZE = 16
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Poly1305.php


Joomla CMS: Référence de la classe Salsa20

  • ParagonIE
  • Sodium
  • Core
  • Salsa20
Référence de la classe Salsa20
+ Graphe d'héritage de Salsa20:
ParagonIE_Sodium_Core_Salsa20 ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Salsa20
static | core_salsa20 ($in, $k, $c=null)
static | salsa20 ($len, $nonce, $key)
static | salsa20_xor_ic ($m, $n, $ic, $k)
static | salsa20_xor ($message, $nonce, $key)
static | rotate ($u, $c)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_Salsa20
const | ROUNDS = 20
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Salsa20.php


Joomla CMS: Référence de la classe SipHash

  • ParagonIE
  • Sodium
  • Core
  • SipHash
Référence de la classe SipHash
+ Graphe d'héritage de SipHash:
ParagonIE_Sodium_Core_SipHash ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_SipHash
static | sipRound (array $v)
static | rotl_64 ($int0, $int1, $c)
static | sipHash24 ($in, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/SipHash.php


Joomla CMS: Référence de la classe Util

  • ParagonIE
  • Sodium
  • Core
  • Util
Référence de la classe Util
+ Graphe d'héritage de Util:
ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/Util.php


Joomla CMS: Référence de la classe X25519

  • ParagonIE
  • Sodium
  • Core
  • X25519
Référence de la classe X25519
+ Graphe d'héritage de X25519:
ParagonIE_Sodium_Core_X25519 ParagonIE_Sodium_Core_Curve25519 ParagonIE_Sodium_Core_Curve25519_H ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_X25519
static | fe_cswap (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g, $b=0)
static | edwards_to_montgomery (ParagonIE_Sodium_Core_Curve25519_Fe $edwardsY, ParagonIE_Sodium_Core_Curve25519_Fe $edwardsZ)
static | crypto_scalarmult_curve25519_ref10_base ($n)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Curve25519
static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_frombytes ($s)
static | fe_isnegative (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_mul (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | fe_neg (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq2 (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | negative ($char)
static | cmov (ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $u, $b)
static | ge_cmov_cached (ParagonIE_Sodium_Core_Curve25519_Ge_Cached $t, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $u, $b)
static | ge_cmov8_cached (array $cached, $b)
static | ge_sub (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $h)
static | sc25519_mul ($a, $b)
static | sc25519_sq ($s)
static | sc25519_sqmul ($s, $n, $a)
static | sc25519_invert ($s)
static | clamp ($s)
static | fe_normalize (ParagonIE_Sodium_Core_Curve25519_Fe $f)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_H
const | L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1
static | $invsqrtamd
static | $sqrtadm1
static | $onemsqd
static | $sqdmone
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/X25519.php


Joomla CMS: Référence de la classe XChaCha20

  • ParagonIE
  • Sodium
  • Core
  • XChaCha20
Référence de la classe XChaCha20
+ Graphe d'héritage de XChaCha20:
ParagonIE_Sodium_Core_XChaCha20 ParagonIE_Sodium_Core_HChaCha20 ParagonIE_Sodium_Core_ChaCha20 ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_XChaCha20
static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len=64, $nonce='', $key='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_HChaCha20
static | hChaCha20 ($in='', $key='', $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_ChaCha20
static | rotate ($v, $n)
static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len, $nonce='', $key='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_HChaCha20
static | hChaCha20Bytes (array $ctx)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Core/XChaCha20.php


Joomla CMS: Référence de la classe Xsalsa20

  • ParagonIE
  • Sodium
  • Core
  • Xsalsa20
Référence de la classe Xsalsa20
+ Graphe d'héritage de Xsalsa20:
ParagonIE_Sodium_Core_XSalsa20 ParagonIE_Sodium_Core_HSalsa20 ParagonIE_Sodium_Core_Salsa20 ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_XSalsa20
static | xsalsa20 ($len, $nonce, $key)
static | xsalsa20_xor ($message, $nonce, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_HSalsa20
static | hsalsa20 ($in, $k, $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Salsa20
static | core_salsa20 ($in, $k, $c=null)
static | salsa20 ($len, $nonce, $key)
static | salsa20_xor_ic ($m, $n, $ic, $k)
static | salsa20_xor ($message, $nonce, $key)
static | rotate ($u, $c)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core_Salsa20
const | ROUNDS = 20
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • Xsalsa20.php


Joomla CMS: Référence de la classe Compat

  • ParagonIE
  • Sodium
  • Compat
Référence de la classe Compat
+ Graphe d'héritage de Compat:
ParagonIE_Sodium_Compat

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Compat
static | add (&$val, $addv)
static | bin2hex ($string)
static | compare ($left, $right)
static | crypto_aead_aes256gcm_is_available ()
static | crypto_aead_aes256gcm_encrypt ( $plaintext='', $assocData='', $nonce='', $key='')
static | crypto_aead_aes256gcm_keygen ()
static | crypto_aead_chacha20poly1305_decrypt ( $ciphertext='', $assocData='', $nonce='', $key='')
static | crypto_aead_chacha20poly1305_encrypt ( $plaintext='', $assocData='', $nonce='', $key='')
static | crypto_aead_chacha20poly1305_ietf_decrypt ( $ciphertext='', $assocData='', $nonce='', $key='')
static | crypto_aead_chacha20poly1305_keygen ()
static | crypto_aead_chacha20poly1305_ietf_encrypt ( $plaintext='', $assocData='', $nonce='', $key='')
static | crypto_aead_chacha20poly1305_ietf_keygen ()
static | crypto_aead_xchacha20poly1305_ietf_decrypt ( $ciphertext='', $assocData='', $nonce='', $key='', $dontFallback=false)
static | crypto_aead_xchacha20poly1305_ietf_encrypt ( $plaintext='', $assocData='', $nonce='', $key='', $dontFallback=false)
static | crypto_aead_xchacha20poly1305_ietf_keygen ()
static | crypto_auth ($message, $key)
static | crypto_auth_keygen ()
static | crypto_auth_verify ($mac, $message, $key)
static | crypto_box ($plaintext, $nonce, $keypair)
static | crypto_box_seal ($plaintext, $publicKey)
static | crypto_box_seal_open ($ciphertext, $keypair)
static | crypto_box_keypair ()
static | crypto_box_keypair_from_secretkey_and_publickey ($secretKey, $publicKey)
static | crypto_box_open ($ciphertext, $nonce, $keypair)
static | crypto_box_publickey ($keypair)
static | crypto_box_publickey_from_secretkey ($secretKey)
static | crypto_box_secretkey ($keypair)
static | crypto_box_seed_keypair ($seed)
static | crypto_generichash ($message, $key='', $length=self::CRYPTO_GENERICHASH_BYTES)
static | crypto_generichash_final (&$ctx, $length=self::CRYPTO_GENERICHASH_BYTES)
static | crypto_generichash_init ($key='', $length=self::CRYPTO_GENERICHASH_BYTES)
static | crypto_generichash_init_salt_personal ( $key='', $length=self::CRYPTO_GENERICHASH_BYTES, $salt='', $personal='')
static | crypto_generichash_update (&$ctx, $message)
static | crypto_generichash_keygen ()
static | crypto_kdf_derive_from_key ( $subkey_len, $subkey_id, $context, $key)
static | crypto_kdf_keygen ()
static | crypto_kx ($my_secret, $their_public, $client_public, $server_public, $dontFallback=false)
static | crypto_kx_seed_keypair ($seed)
static | crypto_kx_keypair ()
static | crypto_kx_client_session_keys ($keypair, $serverPublicKey)
static | crypto_kx_server_session_keys ($keypair, $clientPublicKey)
static | crypto_kx_secretkey ($kp)
static | crypto_kx_publickey ($kp)
static | crypto_pwhash ($outlen, $passwd, $salt, $opslimit, $memlimit, $alg=null)
static | crypto_pwhash_is_available ()
static | crypto_pwhash_str ($passwd, $opslimit, $memlimit)
static | crypto_pwhash_str_verify ($passwd, $hash)
static | crypto_pwhash_scryptsalsa208sha256 ($outlen, $passwd, $salt, $opslimit, $memlimit)
static | crypto_pwhash_scryptsalsa208sha256_is_available ()
static | crypto_pwhash_scryptsalsa208sha256_str ($passwd, $opslimit, $memlimit)
static | crypto_pwhash_scryptsalsa208sha256_str_verify ($passwd, $hash)
static | crypto_scalarmult ($secretKey, $publicKey)
static | crypto_scalarmult_base ($secretKey)
static | crypto_secretbox ($plaintext, $nonce, $key)
static | crypto_secretbox_open ($ciphertext, $nonce, $key)
static | crypto_secretbox_keygen ()
static | crypto_secretbox_xchacha20poly1305 ($plaintext, $nonce, $key)
static | crypto_secretbox_xchacha20poly1305_open ($ciphertext, $nonce, $key)
static | crypto_secretstream_xchacha20poly1305_init_push ($key)
static | crypto_secretstream_xchacha20poly1305_init_pull ($header, $key)
static | crypto_secretstream_xchacha20poly1305_push (&$state, $msg, $aad='', $tag=0)
static | crypto_secretstream_xchacha20poly1305_pull (&$state, $msg, $aad='')
static | crypto_secretstream_xchacha20poly1305_keygen ()
static | crypto_secretstream_xchacha20poly1305_rekey (&$state)
static | crypto_shorthash ($message, $key)
static | crypto_shorthash_keygen ()
static | crypto_sign ($message, $secretKey)
static | crypto_sign_open ($signedMessage, $publicKey)
static | crypto_sign_keypair ()
static | crypto_sign_keypair_from_secretkey_and_publickey ($sk, $pk)
static | crypto_sign_seed_keypair ($seed)
static | crypto_sign_publickey ($keypair)
static | crypto_sign_publickey_from_secretkey ($secretKey)
static | crypto_sign_secretkey ($keypair)
static | crypto_sign_detached ($message, $secretKey)
static | crypto_sign_verify_detached ($signature, $message, $publicKey)
static | crypto_sign_ed25519_pk_to_curve25519 ($pk)
static | crypto_sign_ed25519_sk_to_curve25519 ($sk)
static | crypto_stream ($len, $nonce, $key)
static | crypto_stream_xor ($message, $nonce, $key)
static | crypto_stream_keygen ()
static | crypto_stream_xchacha20 ($len, $nonce, $key, $dontFallback=false)
static | crypto_stream_xchacha20_xor ($message, $nonce, $key, $dontFallback=false)
static | crypto_stream_xchacha20_keygen ()
static | hex2bin ($string)
static | increment (&$var)
static | is_zero ($str)
static | library_version_major ()
static | library_version_minor ()
static | memzero (&$var)
static | unpad ($padded, $blockSize, $dontFallback=false)
static | polyfill_is_fast ()
static | randombytes_uniform ($range)
static | randombytes_random16 ()
static | ristretto255_is_valid_point ($p, $dontFallback=false)
static | ristretto255_add ($p, $q, $dontFallback=false)
static | ristretto255_sub ($p, $q, $dontFallback=false)
static | ristretto255_from_hash ($r, $dontFallback=false)
static | ristretto255_random ($dontFallback=false)
static | ristretto255_scalar_random ($dontFallback=false)
static | ristretto255_scalar_invert ($s, $dontFallback=false)
static | ristretto255_scalar_negate ($s, $dontFallback=false)
static | ristretto255_scalar_complement ($s, $dontFallback=false)
static | ristretto255_scalar_add ($x, $y, $dontFallback=false)
static | ristretto255_scalar_sub ($x, $y, $dontFallback=false)
static | ristretto255_scalar_mul ($x, $y, $dontFallback=false)
static | scalarmult_ristretto255 ($n, $p, $dontFallback=false)
static | scalarmult_ristretto255_base ($n, $dontFallback=false)
static | ristretto255_scalar_reduce ($s, $dontFallback=false)
static | sub (&$val, $addv)
static | version_string ()
- Champs de données hérités de ParagonIE_Sodium_Compat
const | LIBRARY_MAJOR_VERSION = 9
const | LIBRARY_MINOR_VERSION = 1
const | LIBRARY_VERSION_MAJOR = 9
const | LIBRARY_VERSION_MINOR = 1
const | VERSION_STRING = 'polyfill-1.0.8'
const | BASE64_VARIANT_ORIGINAL = 1
const | BASE64_VARIANT_ORIGINAL_NO_PADDING = 3
const | BASE64_VARIANT_URLSAFE = 5
const | BASE64_VARIANT_URLSAFE_NO_PADDING = 7
const | CRYPTO_AEAD_AES256GCM_KEYBYTES = 32
const | CRYPTO_AEAD_AES256GCM_NSECBYTES = 0
const | CRYPTO_AEAD_AES256GCM_NPUBBYTES = 12
const | CRYPTO_AEAD_AES256GCM_ABYTES = 16
const | CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES = 32
const | CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES = 0
const | CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES = 8
const | CRYPTO_AEAD_CHACHA20POLY1305_ABYTES = 16
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES = 32
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES = 0
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES = 12
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES = 16
const | CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES = 32
const | CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES = 0
const | CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES = 24
const | CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES = 16
const | CRYPTO_AUTH_BYTES = 32
const | CRYPTO_AUTH_KEYBYTES = 32
const | CRYPTO_BOX_SEALBYTES = 16
const | CRYPTO_BOX_SECRETKEYBYTES = 32
const | CRYPTO_BOX_PUBLICKEYBYTES = 32
const | CRYPTO_BOX_KEYPAIRBYTES = 64
const | CRYPTO_BOX_MACBYTES = 16
const | CRYPTO_BOX_NONCEBYTES = 24
const | CRYPTO_BOX_SEEDBYTES = 32
const | CRYPTO_CORE_RISTRETTO255_BYTES = 32
const | CRYPTO_CORE_RISTRETTO255_SCALARBYTES = 32
const | CRYPTO_CORE_RISTRETTO255_HASHBYTES = 64
const | CRYPTO_CORE_RISTRETTO255_NONREDUCEDSCALARBYTES = 64
const | CRYPTO_KDF_BYTES_MIN = 16
const | CRYPTO_KDF_BYTES_MAX = 64
const | CRYPTO_KDF_CONTEXTBYTES = 8
const | CRYPTO_KDF_KEYBYTES = 32
const | CRYPTO_KX_BYTES = 32
const | CRYPTO_KX_PRIMITIVE = 'x25519blake2b'
const | CRYPTO_KX_SEEDBYTES = 32
const | CRYPTO_KX_KEYPAIRBYTES = 64
const | CRYPTO_KX_PUBLICKEYBYTES = 32
const | CRYPTO_KX_SECRETKEYBYTES = 32
const | CRYPTO_KX_SESSIONKEYBYTES = 32
const | CRYPTO_GENERICHASH_BYTES = 32
const | CRYPTO_GENERICHASH_BYTES_MIN = 16
const | CRYPTO_GENERICHASH_BYTES_MAX = 64
const | CRYPTO_GENERICHASH_KEYBYTES = 32
const | CRYPTO_GENERICHASH_KEYBYTES_MIN = 16
const | CRYPTO_GENERICHASH_KEYBYTES_MAX = 64
const | CRYPTO_PWHASH_SALTBYTES = 16
const | CRYPTO_PWHASH_STRPREFIX = '$argon2id$'
const | CRYPTO_PWHASH_ALG_ARGON2I13 = 1
const | CRYPTO_PWHASH_ALG_ARGON2ID13 = 2
const | CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE = 33554432
const | CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE = 4
const | CRYPTO_PWHASH_MEMLIMIT_MODERATE = 134217728
const | CRYPTO_PWHASH_OPSLIMIT_MODERATE = 6
const | CRYPTO_PWHASH_MEMLIMIT_SENSITIVE = 536870912
const | CRYPTO_PWHASH_OPSLIMIT_SENSITIVE = 8
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES = 32
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX = '$7$'
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE = 534288
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE = 16777216
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE = 33554432
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE = 1073741824
const | CRYPTO_SCALARMULT_BYTES = 32
const | CRYPTO_SCALARMULT_SCALARBYTES = 32
const | CRYPTO_SCALARMULT_RISTRETTO255_BYTES = 32
const | CRYPTO_SCALARMULT_RISTRETTO255_SCALARBYTES = 32
const | CRYPTO_SHORTHASH_BYTES = 8
const | CRYPTO_SHORTHASH_KEYBYTES = 16
const | CRYPTO_SECRETBOX_KEYBYTES = 32
const | CRYPTO_SECRETBOX_MACBYTES = 16
const | CRYPTO_SECRETBOX_NONCEBYTES = 24
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES = 17
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES = 24
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES = 32
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH = 0
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL = 1
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY = 2
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL = 3
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX = 0x3fffffff80
const | CRYPTO_SIGN_BYTES = 64
const | CRYPTO_SIGN_SEEDBYTES = 32
const | CRYPTO_SIGN_PUBLICKEYBYTES = 32
const | CRYPTO_SIGN_SECRETKEYBYTES = 64
const | CRYPTO_SIGN_KEYPAIRBYTES = 96
const | CRYPTO_STREAM_KEYBYTES = 32
const | CRYPTO_STREAM_NONCEBYTES = 24
const | CRYPTO_STREAM_XCHACHA20_KEYBYTES = 32
const | CRYPTO_STREAM_XCHACHA20_NONCEBYTES = 24
- Attributs publics statiques hérités de ParagonIE_Sodium_Compat
static | $disableFallbackForUnitTests = false
static | $fastMult = false
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Compat
static | use_fallback ($sodium_func_name='')
static | useNewSodiumAPI ()
La documentation de cette classe a été générée à partir du fichier suivant :
  • namespaced/Compat.php


Joomla CMS: Référence de la classe Crypto

  • ParagonIE
  • Sodium
  • Crypto
Référence de la classe Crypto
+ Graphe d'héritage de Crypto:
ParagonIE_Sodium_Crypto

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Crypto
static | aead_xchacha20poly1305_ietf_decrypt ( $message='', $ad='', $nonce='', $key='')
static | aead_xchacha20poly1305_ietf_encrypt ( $message='', $ad='', $nonce='', $key='')
static | auth ($message, $key)
static | auth_verify ($mac, $message, $key)
static | box ($plaintext, $nonce, $keypair)
static | box_beforenm ($sk, $pk)
static | box_keypair ()
static | box_seed_keypair ($seed)
static | box_keypair_from_secretkey_and_publickey ($sKey, $pKey)
static | box_secretkey ($keypair)
static | box_publickey ($keypair)
static | box_publickey_from_secretkey ($sKey)
static | box_open ($ciphertext, $nonce, $keypair)
static | keyExchange ($my_sk, $their_pk, $client_pk, $server_pk)
static | scalarmult ($sKey, $pKey)
static | scalarmult_base ($secret)
static | secretstream_xchacha20poly1305_init_push ($key)
static | secretstream_xchacha20poly1305_init_pull ($key, $header)
static | secretstream_xchacha20poly1305_rekey (&$state)
static | sign_detached ($message, $sk)
static | sign ($message, $sk)
static | sign_open ($signedMessage, $pk)
static | sign_verify_detached ($signature, $message, $pk)
- Champs de données hérités de ParagonIE_Sodium_Crypto
const | aead_chacha20poly1305_KEYBYTES = 32
const | aead_chacha20poly1305_NSECBYTES = 0
const | aead_chacha20poly1305_NPUBBYTES = 8
const | aead_chacha20poly1305_ABYTES = 16
const | aead_chacha20poly1305_IETF_KEYBYTES = 32
const | aead_chacha20poly1305_IETF_NSECBYTES = 0
const | aead_chacha20poly1305_IETF_NPUBBYTES = 12
const | aead_chacha20poly1305_IETF_ABYTES = 16
const | aead_xchacha20poly1305_IETF_KEYBYTES = 32
const | aead_xchacha20poly1305_IETF_NSECBYTES = 0
const | aead_xchacha20poly1305_IETF_NPUBBYTES = 24
const | aead_xchacha20poly1305_IETF_ABYTES = 16
const | box_curve25519xsalsa20poly1305_SEEDBYTES = 32
const | box_curve25519xsalsa20poly1305_PUBLICKEYBYTES = 32
const | box_curve25519xsalsa20poly1305_SECRETKEYBYTES = 32
const | box_curve25519xsalsa20poly1305_BEFORENMBYTES = 32
const | box_curve25519xsalsa20poly1305_NONCEBYTES = 24
const | box_curve25519xsalsa20poly1305_MACBYTES = 16
const | box_curve25519xsalsa20poly1305_BOXZEROBYTES = 16
const | box_curve25519xsalsa20poly1305_ZEROBYTES = 32
const | onetimeauth_poly1305_BYTES = 16
const | onetimeauth_poly1305_KEYBYTES = 32
const | secretbox_xsalsa20poly1305_KEYBYTES = 32
const | secretbox_xsalsa20poly1305_NONCEBYTES = 24
const | secretbox_xsalsa20poly1305_MACBYTES = 16
const | secretbox_xsalsa20poly1305_BOXZEROBYTES = 16
const | secretbox_xsalsa20poly1305_ZEROBYTES = 32
const | secretbox_xchacha20poly1305_KEYBYTES = 32
const | secretbox_xchacha20poly1305_NONCEBYTES = 24
const | secretbox_xchacha20poly1305_MACBYTES = 16
const | secretbox_xchacha20poly1305_BOXZEROBYTES = 16
const | secretbox_xchacha20poly1305_ZEROBYTES = 32
const | stream_salsa20_KEYBYTES = 32
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Crypto
static | scalarmult_throw_if_zero ($q)
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/paragonie/sodium_compat/namespaced/Crypto.php


Joomla CMS: Référence de la classe File

  • ParagonIE
  • Sodium
  • File
Référence de la classe File
+ Graphe d'héritage de File:
ParagonIE_Sodium_File ParagonIE_Sodium_Core_Util

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_File
const | BUFFER_SIZE = 8192
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_File
static | box_encrypt ($ifp, $ofp, $mlen, $nonce, $boxKeypair)
static | box_decrypt ($ifp, $ofp, $mlen, $nonce, $boxKeypair)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/paragonie/sodium_compat/namespaced/File.php


Joomla CMS: Référence de l'interface ContainerExceptionInterface

  • Psr
  • Container
  • ContainerExceptionInterface
Référence de l'interface ContainerExceptionInterface
+ Graphe d'héritage de ContainerExceptionInterface:
DependencyResolutionException ProtectedKeyException NotFoundExceptionInterface KeyNotFoundException

Description détaillée

Base interface representing a generic exception in a container.

La documentation de cette interface a été générée à partir du fichier suivant :
  • ContainerExceptionInterface.php


Joomla CMS: Référence de l'interface ContainerInterface

  • Psr
  • Container
  • ContainerInterface
Fonctions membres publiques
Référence de l'interface ContainerInterface
+ Graphe d'héritage de ContainerInterface:
Container

Fonctions membres publiques

get ($id)
has ($id)

Description détaillée

Describes the interface of a container that exposes methods to read its entries.

Documentation des fonctions membres

◆ get()

get ( $id )

Finds an entry of the container by its identifier and returns it.

Paramètres
string $id Identifier of the entry to look for.
Exceptions
NotFoundExceptionInterface | No entry was found for this identifier.
ContainerExceptionInterface | Error while retrieving the entry.
Renvoie
mixed Entry.

◆ has()

has ( $id )

Returns true if the container can return an entry for the given identifier. Returns false otherwise.

has($id) returning true does not mean that get($id) will not throw an exception. It does however mean that get($id) will not throw a NotFoundExceptionInterface.

Paramètres
string $id Identifier of the entry to look for.
Renvoie
bool

Implémenté dans Container.

La documentation de cette interface a été générée à partir du fichier suivant :
  • ContainerInterface.php


Joomla CMS: Référence de l'interface NotFoundExceptionInterface

  • Psr
  • Container
  • NotFoundExceptionInterface
Référence de l'interface NotFoundExceptionInterface
+ Graphe d'héritage de NotFoundExceptionInterface:
ContainerExceptionInterface KeyNotFoundException

Description détaillée

No entry was found in the container.

La documentation de cette interface a été générée à partir du fichier suivant :
  • NotFoundExceptionInterface.php


Joomla CMS: Référence de la classe AbstractLogger

  • Psr
  • Log
  • AbstractLogger
Fonctions membres publiques
Référence de la classe AbstractLogger
+ Graphe d'héritage de AbstractLogger:
LoggerInterface DelegatingPsrLogger NullLogger

Fonctions membres publiques

emergency ($message, array $context=array())
alert ($message, array $context=array())
critical ($message, array $context=array())
error ($message, array $context=array())
warning ($message, array $context=array())
notice ($message, array $context=array())
info ($message, array $context=array())
debug ($message, array $context=array())
- Fonctions membres publiques hérités de LoggerInterface
log ($level, $message, array $context=array())

Description détaillée

This is a simple Logger implementation that other Loggers can inherit from.

It simply delegates all log-level-specific methods to the log method to reduce boilerplate code that a simple Logger that does the same thing with messages regardless of the error level has to implement.

Documentation des fonctions membres

◆ alert()

alert | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Action must be taken immediately.

Example: Entire website down, database unavailable, etc. This should trigger the SMS alerts and wake you up.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémente LoggerInterface.

Références $context, $message, LogLevel\ALERT, et LoggerInterface\log().

◆ critical()

critical | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Critical conditions.

Example: Application component unavailable, unexpected exception.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémente LoggerInterface.

Références $context, $message, LogLevel\CRITICAL, et LoggerInterface\log().

◆ debug()

debug | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Detailed debug information.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémente LoggerInterface.

Références $context, $message, LogLevel\DEBUG, et LoggerInterface\log().

◆ emergency()

emergency | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

System is unusable.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémente LoggerInterface.

Références $context, $message, LogLevel\EMERGENCY, et LoggerInterface\log().

◆ error()

error | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Runtime errors that do not require immediate action but should typically be logged and monitored.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémente LoggerInterface.

Références $context, $message, LogLevel\ERROR, et LoggerInterface\log().

◆ info()

info | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Interesting events.

Example: User logs in, SQL logs.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémente LoggerInterface.

Références $context, $message, LogLevel\INFO, et LoggerInterface\log().

◆ notice()

notice | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Normal but significant events.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémente LoggerInterface.

Références $context, $message, LoggerInterface\log(), et LogLevel\NOTICE.

◆ warning()

warning | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Exceptional occurrences that are not errors.

Example: Use of deprecated APIs, poor use of an API, undesirable things that are not necessarily wrong.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémente LoggerInterface.

Références $context, $message, LoggerInterface\log(), et LogLevel\WARNING.

La documentation de cette classe a été générée à partir du fichier suivant :
  • AbstractLogger.php


Joomla CMS: Référence de la classe InvalidArgumentException

  • Psr
  • Log
  • InvalidArgumentException
Référence de la classe InvalidArgumentException
+ Graphe d'héritage de InvalidArgumentException:
La documentation de cette classe a été générée à partir du fichier suivant :
  • InvalidArgumentException.php


Joomla CMS: Référence de l'interface LoggerAwareInterface

  • Psr
  • Log
  • LoggerAwareInterface
Fonctions membres publiques
Référence de l'interface LoggerAwareInterface
+ Graphe d'héritage de LoggerAwareInterface:
AbstractApplication AbstractDaemonApplication Image ImageFilter AbstractCliApplication AbstractWebApplication BaseApplication Image ImageFilter Backgroundfill Brightness Contrast Edgedetect Emboss Grayscale Negate Sketchy Smooth

Fonctions membres publiques

setLogger (LoggerInterface $logger)

Description détaillée

Describes a logger-aware instance.

Documentation des fonctions membres

◆ setLogger()

setLogger ( LoggerInterface $logger )

Sets a logger instance on the object.

Paramètres
LoggerInterface $logger
Renvoie
void

Implémenté dans AbstractApplication, Image, et ImageFilter.

La documentation de cette interface a été générée à partir du fichier suivant :
  • LoggerAwareInterface.php


Joomla CMS: Référence de l'interface LoggerInterface

  • Psr
  • Log
  • LoggerInterface
Fonctions membres publiques
Référence de l'interface LoggerInterface
+ Graphe d'héritage de LoggerInterface:
AbstractLogger DelegatingPsrLogger NullLogger

Fonctions membres publiques

emergency ($message, array $context=array())
alert ($message, array $context=array())
critical ($message, array $context=array())
error ($message, array $context=array())
warning ($message, array $context=array())
notice ($message, array $context=array())
info ($message, array $context=array())
debug ($message, array $context=array())
log ($level, $message, array $context=array())

Description détaillée

Describes a logger instance.

The message MUST be a string or object implementing __toString().

The message MAY contain placeholders in the form: {foo} where foo will be replaced by the context data in key "foo".

The context array can contain arbitrary data. The only assumption that can be made by implementors is that if an Exception instance is given to produce a stack trace, it MUST be in a key named "exception".

See https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-3-logger-interface.md for the full interface specification.

Documentation des fonctions membres

◆ alert()

alert | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Action must be taken immediately.

Example: Entire website down, database unavailable, etc. This should trigger the SMS alerts and wake you up.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémenté dans AbstractLogger.

◆ critical()

critical | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Critical conditions.

Example: Application component unavailable, unexpected exception.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémenté dans AbstractLogger.

◆ debug()

debug | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Detailed debug information.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémenté dans AbstractLogger.

◆ emergency()

emergency | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

System is unusable.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémenté dans AbstractLogger.

◆ error()

error | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Runtime errors that do not require immediate action but should typically be logged and monitored.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémenté dans AbstractLogger.

◆ info()

info | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Interesting events.

Example: User logs in, SQL logs.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémenté dans AbstractLogger.

◆ log()

log | ( |  | $level,
 |  |  | $message,
 |  | array | $context = array()
 | ) |  |

Logs with an arbitrary level.

Paramètres
mixed | $level
string | $message
mixed[] | $context
Renvoie
void
Exceptions

Implémenté dans DelegatingPsrLogger, et NullLogger.

Référencé par AbstractLogger\alert(), AbstractLogger\critical(), AbstractLogger\debug(), AbstractLogger\emergency(), AbstractLogger\error(), AbstractLogger\info(), AbstractLogger\notice(), et AbstractLogger\warning().

◆ notice()

notice | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Normal but significant events.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémenté dans AbstractLogger.

◆ warning()

warning | ( |  | $message,
 |  | array | $context = array()
 | ) |  |

Exceptional occurrences that are not errors.

Example: Use of deprecated APIs, poor use of an API, undesirable things that are not necessarily wrong.

Paramètres
string | $message
mixed[] | $context
Renvoie
void

Implémenté dans AbstractLogger.

La documentation de cette interface a été générée à partir du fichier suivant :
  • LoggerInterface.php


Joomla CMS: Référence de la classe LogLevel

  • Psr
  • Log
  • LogLevel
Champs de données
Référence de la classe LogLevel

Champs de données

const | EMERGENCY = 'emergency'
const | ALERT = 'alert'
const | CRITICAL = 'critical'
const | ERROR = 'error'
const | WARNING = 'warning'
const | NOTICE = 'notice'
const | INFO = 'info'
const | DEBUG = 'debug'

Description détaillée

Describes log levels.

Documentation des champs

◆ ALERT

const ALERT = 'alert'

Référencé par AbstractLogger\alert().

◆ CRITICAL

const CRITICAL = 'critical'

Référencé par AbstractLogger\critical().

◆ DEBUG

const DEBUG = 'debug'

Référencé par AbstractLogger\debug().

◆ EMERGENCY

const EMERGENCY = 'emergency'

Référencé par AbstractLogger\emergency().

◆ ERROR

const ERROR = 'error'

Référencé par AbstractLogger\error().

◆ INFO

const INFO = 'info'

Référencé par AbstractLogger\info().

◆ NOTICE

const NOTICE = 'notice'

Référencé par AbstractLogger\notice().

◆ WARNING

const WARNING = 'warning'

Référencé par AbstractLogger\warning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • LogLevel.php


Joomla CMS: Référence de la classe NullLogger

  • Psr
  • Log
  • NullLogger
Fonctions membres publiques
Référence de la classe NullLogger
+ Graphe d'héritage de NullLogger:
AbstractLogger LoggerInterface

Fonctions membres publiques

log ($level, $message, array $context=array())
- Fonctions membres publiques hérités de AbstractLogger
emergency ($message, array $context=array())
alert ($message, array $context=array())
critical ($message, array $context=array())
error ($message, array $context=array())
warning ($message, array $context=array())
notice ($message, array $context=array())
info ($message, array $context=array())
debug ($message, array $context=array())

Description détaillée

This Logger can be used to avoid conditional log calls.

Logging should always be optional, and if no logger is provided to your library creating a NullLogger instance to have something to throw logs at is a good way to avoid littering your code with if ($this->logger) { } blocks.

Documentation des fonctions membres

◆ log()

log | ( |  | $level,
 |  |  | $message,
 |  | array | $context = array()
 | ) |  |

Logs with an arbitrary level.

Paramètres
mixed | $level
string | $message
array | $context
Renvoie
void
Exceptions

Implémente LoggerInterface.

La documentation de cette classe a été générée à partir du fichier suivant :
  • NullLogger.php


Joomla CMS: Référence de la classe Curl

  • ReCaptcha
  • RequestMethod
  • Curl
Fonctions membres publiques
Référence de la classe Curl

Fonctions membres publiques

init ($url=null)
setoptArray ($ch, array $options)
exec ($ch)
close ($ch)

Description détaillée

Convenience wrapper around the cURL functions to allow mocking.

Documentation des fonctions membres

◆ close()

close ( $ch )
Voir également
http://php.net/curl_close
Paramètres
resource $ch

◆ exec()

exec ( $ch )
Voir également
http://php.net/curl_exec
Paramètres
resource $ch
Renvoie
mixed

◆ init()

init ( $url = null )
Voir également
http://php.net/curl_init
Paramètres
string $url
Renvoie
resource cURL handle

Références $url.

◆ setoptArray()

setoptArray | ( |  | $ch,
 |  | array | $options
 | ) |  |
Voir également
http://php.net/curl_setopt_array
Paramètres
resource | $ch
array | $options
Renvoie
bool

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Curl.php


Joomla CMS: Référence de la classe CurlPost

  • ReCaptcha
  • RequestMethod
  • CurlPost
Fonctions membres publiques | Champs de données | Attributs privés
Référence de la classe CurlPost
+ Graphe d'héritage de CurlPost:
RequestMethod

Fonctions membres publiques

__construct (Curl $curl=null)
submit (RequestParameters $params)

Champs de données

const SITE_VERIFY_URL = 'https://www.google.com/recaptcha/api/siteverify'

Attributs privés

$curl

Description détaillée

Sends cURL request to the reCAPTCHA service. Note: this requires the cURL extension to be enabled in PHP

Voir également
http://php.net/manual/en/book.curl.php

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Curl $curl = null )

Références CurlPost\$curl.

Documentation des fonctions membres

◆ submit()

submit ( RequestParameters $params )

Submit the cURL request with the specified parameters.

Paramètres
RequestParameters $params Request parameters
Renvoie
string Body of the reCAPTCHA response

Implémente RequestMethod.

Références $options, $params, et true.

Documentation des champs

◆ $curl

$curl
private

Référencé par CurlPost\__construct().

◆ SITE_VERIFY_URL

const SITE_VERIFY_URL = 'https://www.google.com/recaptcha/api/siteverify'

URL to which requests are sent via cURL. string

La documentation de cette classe a été générée à partir du fichier suivant :
  • CurlPost.php


Joomla CMS: Référence de la classe Post

  • ReCaptcha
  • RequestMethod
  • Post
Fonctions membres publiques | Champs de données
Référence de la classe Post
+ Graphe d'héritage de Post:
RequestMethod

Fonctions membres publiques

submit (RequestParameters $params)

Champs de données

const SITE_VERIFY_URL = 'https://www.google.com/recaptcha/api/siteverify'

Description détaillée

Sends POST requests to the reCAPTCHA service.

Documentation des fonctions membres

◆ submit()

submit ( RequestParameters $params )

Submit the POST request with the specified parameters.

Paramètres
RequestParameters $params Request parameters
Renvoie
string Body of the reCAPTCHA response

PHP 5.6.0 changed the way you specify the peer name for SSL context options. Using "CN_name" will still work, but it will raise deprecated errors.

Implémente RequestMethod.

Références $context, $options, et $params.

Documentation des champs

◆ SITE_VERIFY_URL

const SITE_VERIFY_URL = 'https://www.google.com/recaptcha/api/siteverify'

URL to which requests are POSTed. string

La documentation de cette classe a été générée à partir du fichier suivant :
  • Post.php


Joomla CMS: Référence de la classe Socket

  • ReCaptcha
  • RequestMethod
  • Socket
Fonctions membres publiques | Attributs privés
Référence de la classe Socket

Fonctions membres publiques

fsockopen ($hostname, $port=-1, &$errno=0, &$errstr='', $timeout=null)
fwrite ($string, $length=null)
fgets ($length=null)
feof ()
fclose ()

Attributs privés

$handle = null

Description détaillée

Convenience wrapper around native socket and file functions to allow for mocking.

Documentation des fonctions membres

◆ fclose()

fclose ( )

fclose

Voir également
http://php.net/fclose
Renvoie
bool

◆ feof()

feof ( )

feof

Voir également
http://php.net/feof
Renvoie
bool

◆ fgets()

fgets ( $length = null )

fgets

Voir également
http://php.net/fgets
Paramètres
int $length
Renvoie
string

◆ fsockopen()

fsockopen | ( |  | $hostname,
 |  |  | $port = -1,
 |  | & | $errno = 0,
 |  | & | $errstr = '',
 |  |  | $timeout = null
 | ) |  |

fsockopen

Voir également
http://php.net/fsockopen
Paramètres
string | $hostname
int | $port
int | $errno
string | $errstr
float | $timeout
Renvoie
resource

Références Socket\$handle.

◆ fwrite()

fwrite | ( | $string,
 |  | $length = null
 | ) |

fwrite

Voir également
http://php.net/fwrite
Paramètres
string | $string
int | $length
Renvoie
int | bool

Documentation des champs

◆ $handle

$handle = null
private

Référencé par Socket\fsockopen().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Socket.php


Joomla CMS: Référence de la classe SocketPost

  • ReCaptcha
  • RequestMethod
  • SocketPost
Fonctions membres publiques | Champs de données | Attributs privés
Référence de la classe SocketPost
+ Graphe d'héritage de SocketPost:
RequestMethod

Fonctions membres publiques

__construct (Socket $socket=null)
submit (RequestParameters $params)

Champs de données

const | RECAPTCHA_HOST = 'www.google.com'
const | SITE_VERIFY_PATH = '/recaptcha/api/siteverify'
const | BAD_REQUEST = '{"success": false, "error-codes": ["invalid-request"]}'
const | BAD_RESPONSE = '{"success": false, "error-codes": ["invalid-response"]}'

Attributs privés

$socket

Description détaillée

Sends a POST request to the reCAPTCHA service, but makes use of fsockopen() instead of get_file_contents(). This is to account for people who may be on servers where allow_furl_open is disabled.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Socket $socket = null )

Constructor

Paramètres
\ReCaptcha\RequestMethod\Socket $socket optional socket, injectable for testing

Références SocketPost\$socket.

Documentation des fonctions membres

◆ submit()

submit ( RequestParameters $params )

Submit the POST request with the specified parameters.

Paramètres
RequestParameters $params Request parameters
Renvoie
string Body of the reCAPTCHA response

Implémente RequestMethod.

Références $content, $params, et $parts.

Documentation des champs

◆ $socket

$socket
private

Référencé par SocketPost\__construct().

◆ BAD_REQUEST

const BAD_REQUEST = '{"success": false, "error-codes": ["invalid-request"]}'

string Bad request error

◆ BAD_RESPONSE

const BAD_RESPONSE = '{"success": false, "error-codes": ["invalid-response"]}'

string Bad response error

◆ RECAPTCHA_HOST

const RECAPTCHA_HOST = 'www.google.com'

reCAPTCHA service host. string

◆ SITE_VERIFY_PATH

const SITE_VERIFY_PATH = '/recaptcha/api/siteverify'

string reCAPTCHA service path

La documentation de cette classe a été générée à partir du fichier suivant :
  • SocketPost.php


Joomla CMS: Référence de la classe ReCaptcha

  • ReCaptcha
  • ReCaptcha
Fonctions membres publiques | Champs de données | Attributs privés
Référence de la classe ReCaptcha

Fonctions membres publiques

__construct ($secret, RequestMethod $requestMethod=null)
verify ($response, $remoteIp=null)

Champs de données

const VERSION = 'php_1.1.2'

Attributs privés

$secret
$requestMethod

Description détaillée

reCAPTCHA client.

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $secret,
 |  | RequestMethod | $requestMethod = null
 | ) |  |

Create a configured instance to use the reCAPTCHA service.

Paramètres
string | $secret | shared secret between site and reCAPTCHA server.
RequestMethod | $requestMethod | method used to send the request. Defaults to POST.

Documentation des fonctions membres

◆ verify()

verify | ( | $response,
 |  | $remoteIp = null
 | ) |

Calls the reCAPTCHA siteverify API to verify whether the user passes CAPTCHA test.

Paramètres
string | $response | The value of 'g-recaptcha-response' in the submitted form.
string | $remoteIp | The end user's IP address.
Renvoie
Response Response from the service.

Références $params, et Response\fromJson().

Documentation des champs

◆ $requestMethod

$requestMethod
private

◆ $secret

$secret
private

◆ VERSION

const VERSION = 'php_1.1.2'

Version of this client library. string

La documentation de cette classe a été générée à partir du fichier suivant :
  • ReCaptcha.php


Joomla CMS: Référence de l'interface RequestMethod

  • ReCaptcha
  • RequestMethod
Fonctions membres publiques
Référence de l'interface RequestMethod
+ Graphe d'héritage de RequestMethod:
HttpBridgePostRequestMethod CurlPost Post SocketPost

Fonctions membres publiques

submit (RequestParameters $params)

Description détaillée

Method used to send the request to the service.

Documentation des fonctions membres

◆ submit()

submit ( RequestParameters $params )

Submit the request with the specified parameters.

Paramètres
RequestParameters $params Request parameters
Renvoie
string Body of the reCAPTCHA response

Implémenté dans SocketPost, CurlPost, HttpBridgePostRequestMethod, et Post.

La documentation de cette interface a été générée à partir du fichier suivant :
  • RequestMethod.php


Joomla CMS: Référence de la classe RequestParameters

  • ReCaptcha
  • RequestParameters
Fonctions membres publiques | Attributs privés
Référence de la classe RequestParameters

Fonctions membres publiques

__construct ($secret, $response, $remoteIp=null, $version=null)
toArray ()
toQueryString ()

Attributs privés

$secret
$response
$remoteIp
$version

Description détaillée

Stores and formats the parameters for the request to the reCAPTCHA service.

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $secret,
 |  | $response,
 |  | $remoteIp = null,
 |  | $version = null
 | ) |

Initialise parameters.

Paramètres
string | $secret | Site secret.
string | $response | Value from g-captcha-response form field.
string | $remoteIp | User's IP address.
string | $version | Version of this client library.

Références $version.

Documentation des fonctions membres

◆ toArray()

toArray ( )

Array representation.

Renvoie
array Array formatted parameters.

Références $params, et $version.

◆ toQueryString()

toQueryString ( )

Query string representation for HTTP request.

Renvoie
string Query string formatted parameters.

Documentation des champs

◆ $remoteIp

$remoteIp
private

◆ $response

$response
private

◆ $secret

$secret
private

◆ $version

$version
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • RequestParameters.php


Joomla CMS: Référence de la classe Response

  • ReCaptcha
  • Response
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés
Référence de la classe Response

Fonctions membres publiques

__construct ($success, array $errorCodes=array())
isSuccess ()
getErrorCodes ()

Fonctions membres publiques statiques

static fromJson ($json)

Attributs privés

$success = false
$errorCodes = array()

Description détaillée

The response returned from the service.

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $success,
 |  | array | $errorCodes = array()
 | ) |  |

Constructor.

Paramètres
boolean | $success
array | $errorCodes

Documentation des fonctions membres

◆ fromJson()

static fromJson ( $json )
static

Build the response from the expected JSON returned by the service.

Paramètres
string $json
Renvoie

Référencé par ReCaptcha\verify().

◆ getErrorCodes()

getErrorCodes ( )

Get error codes.

Renvoie
array

◆ isSuccess()

isSuccess ( )

Is success?

Renvoie
boolean

Documentation des champs

◆ $errorCodes

$errorCodes = array()
private

◆ $success

$success = false
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/google/recaptcha/src/ReCaptcha/Response.php


Joomla CMS: Référence de la classe DumpException

  • Symfony
  • Component
  • Yaml
  • Exception
  • DumpException
Référence de la classe DumpException
+ Graphe d'héritage de DumpException:
RuntimeException ExceptionInterface

Description détaillée

Exception class thrown when an error occurs during dumping.

Auteur
Fabien Potencier fabie.nosp@m.n@sy.nosp@m.mfony.nosp@m..com
La documentation de cette classe a été générée à partir du fichier suivant :
  • DumpException.php


Joomla CMS: Référence de l'interface ExceptionInterface

  • Symfony
  • Component
  • Yaml
  • Exception
  • ExceptionInterface
Référence de l'interface ExceptionInterface
+ Graphe d'héritage de ExceptionInterface:
RuntimeException DumpException ParseException

Description détaillée

Exception interface for all exceptions thrown by the component.

Auteur
Fabien Potencier fabie.nosp@m.n@sy.nosp@m.mfony.nosp@m..com
La documentation de cette interface a été générée à partir du fichier suivant :
  • ExceptionInterface.php


Joomla CMS: Référence de la classe ParseException

  • Symfony
  • Component
  • Yaml
  • Exception
  • ParseException
Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe ParseException
+ Graphe d'héritage de ParseException:
RuntimeException ExceptionInterface

Fonctions membres publiques

__construct ($message, $parsedLine=-1, $snippet=null, $parsedFile=null, \Exception $previous=null)
getSnippet ()
setSnippet ($snippet)
getParsedFile ()
setParsedFile ($parsedFile)
getParsedLine ()
setParsedLine ($parsedLine)

Fonctions membres privées

updateRepr ()

Attributs privés

$parsedFile
$parsedLine
$snippet
$rawMessage

Description détaillée

Exception class thrown when an error occurs during parsing.

Auteur
Fabien Potencier fabie.nosp@m.n@sy.nosp@m.mfony.nosp@m..com

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $message,
 |  |  | $parsedLine = -1,
 |  |  | $snippet = null,
 |  |  | $parsedFile = null,
 |  | \Exception | $previous = null
 | ) |  |
Paramètres
string | $message | The error message
int | $parsedLine | The line where the error occurred
string | null | $snippet | The snippet of code near the problem
string | null | $parsedFile | The file name where the error occurred
\Exception | null | $previous | The previous exception

Références $message, ParseException\$parsedFile, ParseException\$parsedLine, ParseException\$snippet, et ParseException\updateRepr().

Documentation des fonctions membres

◆ getParsedFile()

getParsedFile ( )

Gets the filename where the error occurred.

This method returns null if a string is parsed.

Renvoie
string The filename

Références ParseException\$parsedFile.

◆ getParsedLine()

getParsedLine ( )

Gets the line where the error occurred.

Renvoie
int The file line

Références ParseException\$parsedLine.

◆ getSnippet()

getSnippet ( )

Gets the snippet of code near the error.

Renvoie
string The snippet of code

Références ParseException\$snippet.

◆ setParsedFile()

setParsedFile ( $parsedFile )

Sets the filename where the error occurred.

Paramètres
string $parsedFile The filename

Références ParseException\$parsedFile, et ParseException\updateRepr().

Référencé par Yaml\parse().

◆ setParsedLine()

setParsedLine ( $parsedLine )

Sets the line where the error occurred.

Paramètres
int $parsedLine The file line

Références ParseException\$parsedLine, et ParseException\updateRepr().

Référencé par Parser\doParse(), et Parser\parseValue().

◆ setSnippet()

setSnippet ( $snippet )

Sets the snippet of code near the error.

Paramètres
string $snippet The code snippet

Références ParseException\$snippet, et ParseException\updateRepr().

Référencé par Parser\doParse(), et Parser\parseValue().

◆ updateRepr()

updateRepr ( )
private

Références ParseException\$rawMessage, json_encode, et null.

Référencé par ParseException\__construct(), ParseException\setParsedFile(), ParseException\setParsedLine(), et ParseException\setSnippet().

Documentation des champs

◆ $parsedFile

$parsedFile
private

Référencé par ParseException\__construct(), ParseException\getParsedFile(), et ParseException\setParsedFile().

◆ $parsedLine

$parsedLine
private

Référencé par ParseException\__construct(), ParseException\getParsedLine(), et ParseException\setParsedLine().

◆ $rawMessage

$rawMessage
private

Référencé par ParseException\updateRepr().

◆ $snippet

$snippet
private

Référencé par ParseException\__construct(), ParseException\getSnippet(), et ParseException\setSnippet().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ParseException.php


Joomla CMS: Référence de la classe RuntimeException

  • Symfony
  • Component
  • Yaml
  • Exception
  • RuntimeException
Référence de la classe RuntimeException
+ Graphe d'héritage de RuntimeException:
ExceptionInterface DumpException ParseException

Description détaillée

Exception class thrown when an error occurs during parsing.

Auteur
Romain Neutron impre.nosp@m.c@gm.nosp@m.ail.c.nosp@m.om
La documentation de cette classe a été générée à partir du fichier suivant :
  • RuntimeException.php


Joomla CMS: Référence de la classe Dumper

  • Symfony
  • Component
  • Yaml
  • Dumper
Fonctions membres publiques | Attributs protégés
Référence de la classe Dumper

Fonctions membres publiques

setIndentation ($num)
dump ($input, $inline=0, $indent=0, $exceptionOnInvalidType=false, $objectSupport=false)

Attributs protégés

$indentation = 4

Description détaillée

Dumper dumps PHP variables to YAML strings.

Auteur
Fabien Potencier fabie.nosp@m.n@sy.nosp@m.mfony.nosp@m..com

Documentation des fonctions membres

◆ dump()

dump | ( | $input,
 |  | $inline = 0,
 |  | $indent = 0,
 |  | $exceptionOnInvalidType = false,
 |  | $objectSupport = false
 | ) |

Dumps a PHP value to YAML.

Paramètres
mixed | $input | The PHP value
int | $inline | The level where you switch to inline YAML
int | $indent | The level of indentation (used internally)
bool | $exceptionOnInvalidType | True if an exception must be thrown on invalid types (a PHP resource or object), false otherwise
bool | $objectSupport | True if object support is enabled, false otherwise
Renvoie
string The YAML representation of the PHP value

Références $input, $key, $output, $prefix, $value, Inline\dump(), et Inline\isHash().

◆ setIndentation()

setIndentation ( $num )

Sets the indentation.

Paramètres
int $num The amount of spaces to use for indentation of nested nodes

Documentation des champs

◆ $indentation

$indentation = 4
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • Dumper.php


Joomla CMS: Référence de la classe Escaper

  • Symfony
  • Component
  • Yaml
  • Escaper
Fonctions membres publiques statiques | Champs de données | Attributs privés statiques
Référence de la classe Escaper

Fonctions membres publiques statiques

static | requiresDoubleQuoting ($value)
static | escapeWithDoubleQuotes ($value)
static | requiresSingleQuoting ($value)
static | escapeWithSingleQuotes ($value)

Champs de données

const REGEX_CHARACTER_TO_ESCAPE = "[\\x00-\\x1f]|\xc2\x85|\xc2\xa0|\xe2\x80\xa8|\xe2\x80\xa9"

Attributs privés statiques

static | $escapees
static | $escaped

Description détaillée

Escaper encapsulates escaping rules for single and double-quoted YAML strings.

Auteur
Matthew Lewinski matth.nosp@m.ew@l.nosp@m.ewins.nosp@m.ki.o.nosp@m.rg

Documentation des fonctions membres

◆ escapeWithDoubleQuotes()

static escapeWithDoubleQuotes ( $value )
static

Escapes and surrounds a PHP value with double quotes.

Paramètres
string $value A PHP value
Renvoie
string The quoted, escaped string

Références $value.

Référencé par Inline\dump().

◆ escapeWithSingleQuotes()

static escapeWithSingleQuotes ( $value )
static

Escapes and surrounds a PHP value with single quotes.

Paramètres
string $value A PHP value
Renvoie
string The quoted, escaped string

Références $value.

Référencé par Inline\dump().

◆ requiresDoubleQuoting()

static requiresDoubleQuoting ( $value )
static

Determines if a PHP value would require double quoting in YAML.

Paramètres
string $value A PHP value
Renvoie
bool True if the value would require double quotes

Références $value.

Référencé par Inline\dump().

◆ requiresSingleQuoting()

static requiresSingleQuoting ( $value )
static

Determines if a PHP value would require single quoting in YAML.

Paramètres
string $value A PHP value
Renvoie
bool True if the value would require single quotes

Références $value.

Référencé par Inline\dump().

Documentation des champs

◆ $escaped

$escaped
staticprivate
Valeur initiale :
= array('\\\\', '\\"', '\\\\', '\\"',
'\\0', '\\x01', '\\x02', '\\x03', '\\x04', '\\x05', '\\x06', '\\a',
'\\b', '\\t', '\\n', '\\v', '\\f', '\\r', '\\x0e', '\\x0f',
'\\x10', '\\x11', '\\x12', '\\x13', '\\x14', '\\x15', '\\x16', '\\x17',
'\\x18', '\\x19', '\\x1a', '\\e', '\\x1c', '\\x1d', '\\x1e', '\\x1f',
'\\N', '\\_', '\\L', '\\P',
)

◆ $escapees

$escapees
staticprivate
Valeur initiale :
= array('\\', '\\\\', '\\"', '"',
"\x00", "\x01", "\x02", "\x03", "\x04", "\x05", "\x06", "\x07",
"\x08", "\x09", "\x0a", "\x0b", "\x0c", "\x0d", "\x0e", "\x0f",
"\x10", "\x11", "\x12", "\x13", "\x14", "\x15", "\x16", "\x17",
"\x18", "\x19", "\x1a", "\x1b", "\x1c", "\x1d", "\x1e", "\x1f",
"\xc2\x85", "\xc2\xa0", "\xe2\x80\xa8", "\xe2\x80\xa9",
)

◆ REGEX_CHARACTER_TO_ESCAPE

const REGEX_CHARACTER_TO_ESCAPE = "[\\x00-\\x1f]|\xc2\x85|\xc2\xa0|\xe2\x80\xa8|\xe2\x80\xa9"
La documentation de cette classe a été générée à partir du fichier suivant :
  • Escaper.php


Joomla CMS: Référence de la classe Inline

  • Symfony
  • Component
  • Yaml
  • Inline
Fonctions membres publiques statiques | Champs de données | Fonctions membres privées statiques | Attributs privés statiques
Référence de la classe Inline

Fonctions membres publiques statiques

static | parse ($value, $exceptionOnInvalidType=false, $objectSupport=false, $objectForMap=false, $references=array())
static | dump ($value, $exceptionOnInvalidType=false, $objectSupport=false)
static | isHash (array $value)
static | parseScalar ($scalar, $delimiters=null, $stringDelimiters=array('"', "'"), &$i = 0, $evaluate = true, $references = array())

Champs de données

const REGEX_QUOTED_STRING = '(?:"([^"\\\\]*+(?:\\\\.[^"\\\\]*+)*+)"|\'([^\']*+(?:\'\'[^\']*+)*+)\')'

Fonctions membres privées statiques

static | dumpArray ($value, $exceptionOnInvalidType, $objectSupport)
static | parseQuotedScalar ($scalar, &$i)
static | parseSequence ($sequence, &$i=0, $references=array())
static | parseMapping ($mapping, &$i=0, $references=array())
static | evaluateScalar ($scalar, $references=array())
static | getTimestampRegex ()
static | getHexRegex ()

Attributs privés statiques

static | $exceptionOnInvalidType = false
static | $objectSupport = false
static | $objectForMap = false

Description détaillée

Inline implements a YAML parser/dumper for the YAML inline syntax.

Auteur
Fabien Potencier fabie.nosp@m.n@sy.nosp@m.mfony.nosp@m..com

Documentation des fonctions membres

◆ dump()

static dump | ( | $value,
 |  | $exceptionOnInvalidType = false,
 |  | $objectSupport = false
 | ) |
static

Dumps a given PHP variable to a YAML string.

Paramètres
mixed | $value | The PHP variable to convert
bool | $exceptionOnInvalidType | True if an exception must be thrown on invalid types (a PHP resource or object), false otherwise
bool | $objectSupport | True if object support is enabled, false otherwise
Renvoie
string The YAML string representing the PHP value
Exceptions
DumpException When trying to dump PHP resource

Références Inline\$exceptionOnInvalidType, Inline\$objectSupport, $value, elseif, Escaper\escapeWithDoubleQuotes(), Escaper\escapeWithSingleQuotes(), null, Parser\preg_match(), Escaper\requiresDoubleQuoting(), et Escaper\requiresSingleQuoting().

Référencé par Dumper\dump().

◆ dumpArray()

static dumpArray | ( | $value,
 |  | $exceptionOnInvalidType,
 |  | $objectSupport
 | ) |
staticprivate

Dumps a PHP array to a YAML string.

Paramètres
array | $value | The PHP array to dump
bool | $exceptionOnInvalidType | True if an exception must be thrown on invalid types (a PHP resource or object), false otherwise
bool | $objectSupport | True if object support is enabled, false otherwise
Renvoie
string The YAML string representing the PHP array

Références Inline\$exceptionOnInvalidType, $key, Inline\$objectSupport, $output, et $value.

◆ evaluateScalar()

static evaluateScalar | ( | $scalar,
 |  | $references = array()
 | ) |
staticprivate

Evaluates scalars and replaces magic values.

Paramètres
string | $scalar
array | $references
Renvoie
mixed The evaluated YAML string
Exceptions
ParseException when object parsing support was disabled and the parser detected a PHP object or when a reference could not be resolved

Références $value, et Parser\preg_match().

◆ getHexRegex()

static getHexRegex ( )
staticprivate

Gets a regex that matches a YAML number in hexadecimal notation.

Renvoie
string

◆ getTimestampRegex()

static getTimestampRegex ( )
staticprivate

Gets a regex that matches a YAML date.

Renvoie
string The regular expression
Voir également
http://www.yaml.org/spec/1.2/spec.html#id2761573

◆ isHash()

static isHash ( array $value )
static

Check if given array is hash or just normal indexed array.

Références $key, et $value.

Référencé par Dumper\dump().

◆ parse()

static parse | ( | $value,
 |  | $exceptionOnInvalidType = false,
 |  | $objectSupport = false,
 |  | $objectForMap = false,
 |  | $references = array()
 | ) |
static

Converts a YAML string to a PHP value.

Paramètres
string | $value | A YAML string
bool | $exceptionOnInvalidType | True if an exception must be thrown on invalid types (a PHP resource or object), false otherwise
bool | $objectSupport | True if object support is enabled, false otherwise
bool | $objectForMap | True if maps should return a stdClass instead of array()
array | $references | Mapping of variable names to values
Renvoie
mixed A PHP value
Exceptions
ParseException

Références Inline\$exceptionOnInvalidType, $i, Inline\$objectForMap, Inline\$objectSupport, $value, et null.

Référencé par Parser\doParse(), et Parser\parseValue().

◆ parseMapping()

static parseMapping | ( |  | $mapping,
 |  | & | $i = 0,
 |  |  | $references = array()
 | ) |  |
staticprivate

Parses a YAML mapping.

Paramètres
string | $mapping
int | &$i
array | $references
Renvoie
array|
Exceptions
ParseException When malformed inline YAML string is parsed

Références $i, $key, $output, $value, et elseif.

◆ parseQuotedScalar()

static parseQuotedScalar | ( |  | $scalar,
 |  | & | $i
 | ) |  |
staticprivate

Parses a YAML quoted scalar.

Paramètres
string | $scalar
int | &$i
Renvoie
string
Exceptions
ParseException When malformed inline YAML string is parsed

Références $i, $output, et Parser\preg_match().

◆ parseScalar()

static parseScalar | ( |  | $scalar,
 |  |  | $delimiters = null,
 |  |  | $stringDelimiters = array('"', "'"),
 |  | & | $i = 0,
 |  |  | $evaluate = true,
 |  |  | $references = array()
 | ) |  |
static

Parses a YAML scalar.

Paramètres
string | $scalar
string[] | $delimiters
string[] | $stringDelimiters
int | &$i
bool | $evaluate
array | $references
Renvoie
string
Exceptions
ParseException When malformed inline YAML string is parsed

Références $i, $output, $tmp, elseif, null, et Parser\preg_match().

Référencé par Parser\doParse().

◆ parseSequence()

static parseSequence | ( |  | $sequence,
 |  | & | $i = 0,
 |  |  | $references = array()
 | ) |  |
staticprivate

Parses a YAML sequence.

Paramètres
string | $sequence
int | &$i
array | $references
Renvoie
array
Exceptions
ParseException When malformed inline YAML string is parsed

Références $i, $output, et $value.

Documentation des champs

◆ $exceptionOnInvalidType

$exceptionOnInvalidType = false
staticprivate

Référencé par Inline\dump(), Inline\dumpArray(), et Inline\parse().

◆ $objectForMap

$objectForMap = false
staticprivate

Référencé par Inline\parse().

◆ $objectSupport

$objectSupport = false
staticprivate

Référencé par Inline\dump(), Inline\dumpArray(), et Inline\parse().

◆ REGEX_QUOTED_STRING

const REGEX_QUOTED_STRING = '(?:"([^"\\\\]*+(?:\\\\.[^"\\\\]*+)*+)"|\'([^\']*+(?:\'\'[^\']*+)*+)\')'

Référencé par Parser\doParse().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Inline.php


Joomla CMS: Référence de la classe Parser

  • Symfony
  • Component
  • Yaml
  • Parser
Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres privées | Attributs privés
Référence de la classe Parser

Fonctions membres publiques

__construct ($offset=0, $totalNumberOfLines=null, array $skippedLineNumbers=array())
parse ($value, $exceptionOnInvalidType=false, $objectSupport=false, $objectForMap=false)

Fonctions membres publiques statiques

static preg_match ($pattern, $subject, &$matches=null, $flags=0, $offset=0)

Champs de données

const | BLOCK_SCALAR_HEADER_PATTERN = '(?P<separator>\||>)(?P<modifiers>\+|\-|\d+|\+\d+|\-\d+|\d+\+|\d+\-)?(?P<comments> +#.*)?'
const | FOLDED_SCALAR_PATTERN = self::BLOCK_SCALAR_HEADER_PATTERN

Fonctions membres privées

doParse ($value, $exceptionOnInvalidType=false, $objectSupport=false, $objectForMap=false)
parseBlock ($offset, $yaml, $exceptionOnInvalidType, $objectSupport, $objectForMap)
getRealCurrentLineNb ()
getCurrentLineIndentation ()
getNextEmbedBlock ($indentation=null, $inSequence=false)
moveToNextLine ()
moveToPreviousLine ()
parseValue ($value, $exceptionOnInvalidType, $objectSupport, $objectForMap, $context)
parseBlockScalar ($style, $chomping='', $indentation=0)
isNextLineIndented ()
isCurrentLineEmpty ()
isCurrentLineBlank ()
isCurrentLineComment ()
isCurrentLineLastLineInDocument ()
cleanup ($value)
isNextLineUnIndentedCollection ()
isStringUnIndentedCollectionItem ()
isBlockScalarHeader ()

Attributs privés

$offset = 0
$totalNumberOfLines
$lines = array()
$currentLineNb = -1
$currentLine = ''
$refs = array()
$skippedLineNumbers = array()
$locallySkippedLineNumbers = array()

Description détaillée

Parser parses YAML strings to convert them to PHP arrays.

Auteur
Fabien Potencier fabie.nosp@m.n@sy.nosp@m.mfony.nosp@m..com

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $offset = 0,
 |  |  | $totalNumberOfLines = null,
 |  | array | $skippedLineNumbers = array()
 | ) |  |
Paramètres
int | $offset | The offset of YAML document (used for line numbers in error messages)
int | null | $totalNumberOfLines | The overall number of lines being parsed
int[] | $skippedLineNumbers Number of comment lines that have been skipped by the parser

Références Parser\$offset, Parser\$skippedLineNumbers, et Parser\$totalNumberOfLines.

Documentation des fonctions membres

◆ cleanup()

cleanup ( $value )
private

Cleanups a YAML string to be parsed.

Paramètres
string $value The input YAML string
Renvoie
string A cleaned up YAML string

Références $count, et $value.

Référencé par Parser\doParse().

◆ doParse()

doParse | ( | $value,
 |  | $exceptionOnInvalidType = false,
 |  | $objectSupport = false,
 |  | $objectForMap = false
 | ) |
private

Références $context, $data, $key, $value, Parser\cleanup(), elseif, Parser\getCurrentLineIndentation(), Parser\getNextEmbedBlock(), Parser\getRealCurrentLineNb(), Parser\isCurrentLineEmpty(), Parser\isNextLineIndented(), Parser\isNextLineUnIndentedCollection(), Parser\moveToNextLine(), null, Inline\parse(), Parser\parseBlock(), Inline\parseScalar(), Parser\parseValue(), Inline\REGEX_QUOTED_STRING, ParseException\setParsedLine(), et ParseException\setSnippet().

Référencé par Parser\parse().

◆ getCurrentLineIndentation()

getCurrentLineIndentation ( )
private

Returns the current line indentation.

Renvoie
int The current line indentation

Référencé par Parser\doParse(), Parser\getNextEmbedBlock(), Parser\isNextLineIndented(), et Parser\isNextLineUnIndentedCollection().

◆ getNextEmbedBlock()

getNextEmbedBlock | ( | $indentation = null,
 |  | $inSequence = false
 | ) |
private

Returns the next embed block of YAML.

Paramètres
int | $indentation | The indent level at which the block is to be read, or null for default
bool | $inSequence | True if the enclosing data structure is a sequence
Renvoie
string A YAML string
Exceptions
ParseException When indentation problem are detected

Références $data, $key, elseif, Parser\getCurrentLineIndentation(), Parser\getRealCurrentLineNb(), Parser\isBlockScalarHeader(), Parser\isCurrentLineBlank(), Parser\isCurrentLineComment(), Parser\isCurrentLineEmpty(), Parser\isStringUnIndentedCollectionItem(), Parser\moveToNextLine(), Parser\moveToPreviousLine(), et null.

Référencé par Parser\doParse().

◆ getRealCurrentLineNb()

getRealCurrentLineNb ( )
private

Returns the current line number (takes the offset into account).

Renvoie
int The current line number

Références Parser\$offset.

Référencé par Parser\doParse(), Parser\getNextEmbedBlock(), et Parser\parseValue().

◆ isBlockScalarHeader()

isBlockScalarHeader ( )
private

Tests whether or not the current line is the header of a block scalar.

Renvoie
bool

Référencé par Parser\getNextEmbedBlock().

◆ isCurrentLineBlank()

isCurrentLineBlank ( )
private

Returns true if the current line is blank.

Renvoie
bool Returns true if the current line is blank, false otherwise

Référencé par Parser\getNextEmbedBlock(), Parser\isCurrentLineEmpty(), et Parser\parseBlockScalar().

◆ isCurrentLineComment()

isCurrentLineComment ( )
private

Returns true if the current line is a comment line.

Renvoie
bool Returns true if the current line is a comment line, false otherwise

Référencé par Parser\getNextEmbedBlock(), et Parser\isCurrentLineEmpty().

◆ isCurrentLineEmpty()

isCurrentLineEmpty ( )
private

Returns true if the current line is blank or if it is a comment line.

Renvoie
bool Returns true if the current line is empty or if it is a comment line, false otherwise

Références Parser\isCurrentLineBlank(), et Parser\isCurrentLineComment().

Référencé par Parser\doParse(), Parser\getNextEmbedBlock(), Parser\isNextLineIndented(), et Parser\isNextLineUnIndentedCollection().

◆ isCurrentLineLastLineInDocument()

isCurrentLineLastLineInDocument ( )
private

Référencé par Parser\parseBlockScalar().

◆ isNextLineIndented()

isNextLineIndented ( )
private

Returns true if the next line is indented.

Renvoie
bool Returns true if the next line is indented, false otherwise

Références Parser\getCurrentLineIndentation(), Parser\isCurrentLineEmpty(), Parser\moveToNextLine(), et Parser\moveToPreviousLine().

Référencé par Parser\doParse().

◆ isNextLineUnIndentedCollection()

isNextLineUnIndentedCollection ( )
private

Returns true if the next line starts unindented collection.

Renvoie
bool Returns true if the next line starts unindented collection, false otherwise

Références Parser\getCurrentLineIndentation(), Parser\isCurrentLineEmpty(), Parser\isStringUnIndentedCollectionItem(), Parser\moveToNextLine(), et Parser\moveToPreviousLine().

Référencé par Parser\doParse().

◆ isStringUnIndentedCollectionItem()

isStringUnIndentedCollectionItem ( )
private

Returns true if the string is un-indented collection item.

Renvoie
bool Returns true if the string is un-indented collection item, false otherwise

Référencé par Parser\getNextEmbedBlock(), et Parser\isNextLineUnIndentedCollection().

◆ moveToNextLine()

moveToNextLine ( )
private

Moves the parser to the next line.

Renvoie
bool

Références Parser\$currentLineNb.

Référencé par Parser\doParse(), Parser\getNextEmbedBlock(), Parser\isNextLineIndented(), Parser\isNextLineUnIndentedCollection(), et Parser\parseBlockScalar().

◆ moveToPreviousLine()

moveToPreviousLine ( )
private

Moves the parser to the previous line.

Renvoie
bool

Références Parser\$currentLineNb.

Référencé par Parser\getNextEmbedBlock(), Parser\isNextLineIndented(), Parser\isNextLineUnIndentedCollection(), et Parser\parseBlockScalar().

◆ parse()

parse | ( | $value,
 |  | $exceptionOnInvalidType = false,
 |  | $objectSupport = false,
 |  | $objectForMap = false
 | ) |

Parses a YAML string to a PHP value.

Paramètres
string | $value | A YAML string
bool | $exceptionOnInvalidType | True if an exception must be thrown on invalid types (a PHP resource or object), false otherwise
bool | $objectSupport | True if object support is enabled, false otherwise
bool | $objectForMap | True if maps should return a stdClass instead of array()
Renvoie
mixed A PHP value
Exceptions
ParseException If the YAML is not valid

Références $data, $value, Parser\doParse(), null, et Parser\preg_match().

◆ parseBlock()

parseBlock | ( | $offset,
 |  | $yaml,
 |  | $exceptionOnInvalidType,
 |  | $objectSupport,
 |  | $objectForMap
 | ) |
private

Références Parser\$offset, Parser\$refs, Parser\$skippedLineNumbers, et Parser\$totalNumberOfLines.

Référencé par Parser\doParse().

◆ parseBlockScalar()

parseBlockScalar | ( | $style,
 |  | $chomping = '',
 |  | $indentation = 0
 | ) |
private

Parses a block scalar.

Paramètres
string | $style | The style indicator that was used to begin this block scalar (| or >)
string | $chomping | The chomping indicator that was used to begin this block scalar (+ or -)
int | $indentation | The indentation indicator that was used to begin this block scalar
Renvoie
string The text value

Références $i, $style, $text, elseif, Parser\isCurrentLineBlank(), Parser\isCurrentLineLastLineInDocument(), Parser\moveToNextLine(), et Parser\moveToPreviousLine().

Référencé par Parser\parseValue().

◆ parseValue()

parseValue | ( | $value,
 |  | $exceptionOnInvalidType,
 |  | $objectSupport,
 |  | $objectForMap,
 |  | $context
 | ) |
private

Parses a YAML value.

Paramètres
string | $value | A YAML value
bool | $exceptionOnInvalidType | True if an exception must be thrown on invalid types false otherwise
bool | $objectSupport | True if object support is enabled, false otherwise
bool | $objectForMap | True if maps should return a stdClass instead of array()
string | $context | The parser context (either sequence or mapping)
Renvoie
mixed A PHP value
Exceptions
ParseException When reference does not exist

Références $context, $value, Parser\getRealCurrentLineNb(), Inline\parse(), Parser\parseBlockScalar(), ParseException\setParsedLine(), et ParseException\setSnippet().

Référencé par Parser\doParse().

◆ preg_match()

static preg_match | ( |  | $pattern,
 |  |  | $subject,
 |  | & | $matches = null,
 |  |  | $flags = 0,
 |  |  | $offset = 0
 | ) |  |
static

A local wrapper for preg_match which will throw a ParseException if there is an internal error in the PCRE engine.

This avoids us needing to check for "false" every time PCRE is used in the YAML engine

Exceptions
ParseException on a PCRE internal error
Voir également
preg_last_error()

Références Parser\$offset, et $subject.

Référencé par Inline\dump(), Inline\evaluateScalar(), Parser\parse(), Inline\parseQuotedScalar(), et Inline\parseScalar().

Documentation des champs

◆ $currentLine

$currentLine = ''
private

◆ $currentLineNb

$currentLineNb = -1
private

Référencé par Parser\moveToNextLine(), et Parser\moveToPreviousLine().

◆ $lines

$lines = array()
private

◆ $locallySkippedLineNumbers

$locallySkippedLineNumbers = array()
private

◆ $offset

$offset = 0
private

Référencé par Parser\__construct(), Parser\getRealCurrentLineNb(), Parser\parseBlock(), et Parser\preg_match().

◆ $refs

$refs = array()
private

Référencé par Parser\parseBlock().

◆ $skippedLineNumbers

$skippedLineNumbers = array()
private

Référencé par Parser\__construct(), et Parser\parseBlock().

◆ $totalNumberOfLines

$totalNumberOfLines
private

Référencé par Parser\__construct(), et Parser\parseBlock().

◆ BLOCK_SCALAR_HEADER_PATTERN

const BLOCK_SCALAR_HEADER_PATTERN = '(?P<separator>\||>)(?P<modifiers>\+|\-|\d+|\+\d+|\-\d+|\d+\+|\d+\-)?(?P<comments> +#.*)?'

◆ FOLDED_SCALAR_PATTERN

const FOLDED_SCALAR_PATTERN = self::BLOCK_SCALAR_HEADER_PATTERN
La documentation de cette classe a été générée à partir du fichier suivant :
  • symfony/yaml/Parser.php


Joomla CMS: Référence de la classe Unescaper

  • Symfony
  • Component
  • Yaml
  • Unescaper
Fonctions membres publiques | Champs de données | Fonctions membres privées statiques
Référence de la classe Unescaper

Fonctions membres publiques

unescapeSingleQuotedString ($value)
unescapeDoubleQuotedString ($value)
unescapeCharacter ($value)

Champs de données

const | ENCODING = 'UTF-8'
const | REGEX_ESCAPED_CHARACTER = '\\\\(x[0-9a-fA-F]{2}|u[0-9a-fA-F]{4}|U[0-9a-fA-F]{8}|.)'

Fonctions membres privées statiques

static utf8chr ($c)

Description détaillée

Unescaper encapsulates unescaping rules for single and double-quoted YAML strings.

Auteur
Matthew Lewinski matth.nosp@m.ew@l.nosp@m.ewins.nosp@m.ki.o.nosp@m.rg

Documentation des fonctions membres

◆ unescapeCharacter()

unescapeCharacter ( $value )

Unescapes a character that was found in a double-quoted string.

Paramètres
string $value An escaped character
Renvoie
string The unescaped character

Références $value.

◆ unescapeDoubleQuotedString()

unescapeDoubleQuotedString ( $value )

Unescapes a double quoted string.

Paramètres
string $value A double quoted string
Renvoie
string The unescaped string

Références $self, et $value.

◆ unescapeSingleQuotedString()

unescapeSingleQuotedString ( $value )

Unescapes a single quoted string.

Paramètres
string $value A single quoted string
Renvoie
string The unescaped string

Références $value.

◆ utf8chr()

static utf8chr ( $c )
staticprivate

Get the UTF-8 character for the given code point.

Paramètres
int $c The unicode code point
Renvoie
string The corresponding UTF-8 character

Documentation des champs

◆ ENCODING

const ENCODING = 'UTF-8'

Parser and Inline assume UTF-8 encoding, so escaped Unicode characters must be converted to that encoding.

Obsolète:
since version 2.5, to be removed in 3.0

◆ REGEX_ESCAPED_CHARACTER

const REGEX_ESCAPED_CHARACTER = '\\\\(x[0-9a-fA-F]{2}|u[0-9a-fA-F]{4}|U[0-9a-fA-F]{8}|.)'

Regex fragment that matches an escaped character in a double quoted string.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Unescaper.php


Joomla CMS: Référence de la classe Yaml

  • Symfony
  • Component
  • Yaml
  • Yaml
Fonctions membres publiques statiques
Référence de la classe Yaml

Fonctions membres publiques statiques

static | parse ($input, $exceptionOnInvalidType=false, $objectSupport=false, $objectForMap=false)
static | dump ($input, $inline=2, $indent=4, $exceptionOnInvalidType=false, $objectSupport=false)

Description détaillée

Yaml offers convenience methods to load and dump YAML.

Auteur
Fabien Potencier fabie.nosp@m.n@sy.nosp@m.mfony.nosp@m..com

Documentation des fonctions membres

◆ dump()

static dump | ( | $input,
 |  | $inline = 2,
 |  | $indent = 4,
 |  | $exceptionOnInvalidType = false,
 |  | $objectSupport = false
 | ) |
static

Dumps a PHP value to a YAML string.

The dump method, when supplied with an array, will do its best to convert the array into friendly YAML.

Paramètres
mixed | $input | The PHP value
int | $inline | The level where you switch to inline YAML
int | $indent | The amount of spaces to use for indentation of nested nodes
bool | $exceptionOnInvalidType | True if an exception must be thrown on invalid types (a PHP resource or object), false otherwise
bool | $objectSupport | True if object support is enabled, false otherwise
Renvoie
string A YAML string representing the original PHP value

Références $input.

◆ parse()

static parse | ( | $input,
 |  | $exceptionOnInvalidType = false,
 |  | $objectSupport = false,
 |  | $objectForMap = false
 | ) |
static

Parses YAML into a PHP value.

Usage:

$array = Yaml::parse(file_get_contents('config.yml'));
print_r($array);

As this method accepts both plain strings and file names as an input, you must validate the input before calling this method. Passing a file as an input is a deprecated feature and will be removed in 3.0.

Note: the ability to pass file names to the Yaml::parse method is deprecated since Symfony 2.2 and will be removed in 3.0. Pass the YAML contents of the file instead.

Paramètres
string | $input | Path to a YAML file or a string containing YAML
bool | $exceptionOnInvalidType | True if an exception must be thrown on invalid types false otherwise
bool | $objectSupport | True if object support is enabled, false otherwise
bool | $objectForMap | True if maps should return a stdClass instead of array()
Renvoie
mixed The YAML converted to a PHP value
Exceptions
ParseException If the YAML is not valid

Références $file, $input, et ParseException\setParsedFile().

La documentation de cette classe a été générée à partir du fichier suivant :
  • symfony/yaml/Yaml.php


Joomla CMS: Référence de la classe Ctype

  • Symfony
  • Polyfill
  • Ctype
  • Ctype
Fonctions membres publiques statiques | Fonctions membres privées statiques
Référence de la classe Ctype

Fonctions membres publiques statiques

static | ctype_alnum ($text)
static | ctype_alpha ($text)
static | ctype_cntrl ($text)
static | ctype_digit ($text)
static | ctype_graph ($text)
static | ctype_lower ($text)
static | ctype_print ($text)
static | ctype_punct ($text)
static | ctype_space ($text)
static | ctype_upper ($text)
static | ctype_xdigit ($text)

Fonctions membres privées statiques

static convert_int_to_char_for_ctype ($int)

Description détaillée

Ctype implementation through regex.

Documentation des fonctions membres

◆ convert_int_to_char_for_ctype()

static convert_int_to_char_for_ctype ( $int )
staticprivate

Converts integers to their char versions according to normal ctype behaviour, if needed.

If an integer between -128 and 255 inclusive is provided, it is interpreted as the ASCII value of a single character (negative values have 256 added in order to allow characters in the Extended ASCII range). Any other integer is interpreted as a string containing the decimal digits of the integer.

Paramètres
string | int $int
Renvoie
mixed

◆ ctype_alnum()

static ctype_alnum ( $text )
static

Returns TRUE if every character in text is either a letter or a digit, FALSE otherwise.

Voir également
https://php.net/ctype-alnum
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_alpha()

static ctype_alpha ( $text )
static

Returns TRUE if every character in text is a letter, FALSE otherwise.

Voir également
https://php.net/ctype-alpha
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_cntrl()

static ctype_cntrl ( $text )
static

Returns TRUE if every character in text is a control character from the current locale, FALSE otherwise.

Voir également
https://php.net/ctype-cntrl
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_digit()

static ctype_digit ( $text )
static

Returns TRUE if every character in the string text is a decimal digit, FALSE otherwise.

Voir également
https://php.net/ctype-digit
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_graph()

static ctype_graph ( $text )
static

Returns TRUE if every character in text is printable and actually creates visible output (no white space), FALSE otherwise.

Voir également
https://php.net/ctype-graph
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_lower()

static ctype_lower ( $text )
static

Returns TRUE if every character in text is a lowercase letter.

Voir également
https://php.net/ctype-lower
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_print()

static ctype_print ( $text )
static

Returns TRUE if every character in text will actually create output (including blanks). Returns FALSE if text contains control characters or characters that do not have any output or control function at all.

Voir également
https://php.net/ctype-print
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_punct()

static ctype_punct ( $text )
static

Returns TRUE if every character in text is printable, but neither letter, digit or blank, FALSE otherwise.

Voir également
https://php.net/ctype-punct
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_space()

static ctype_space ( $text )
static

Returns TRUE if every character in text creates some sort of white space, FALSE otherwise. Besides the blank character this also includes tab, vertical tab, line feed, carriage return and form feed characters.

Voir également
https://php.net/ctype-space
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_upper()

static ctype_upper ( $text )
static

Returns TRUE if every character in text is an uppercase letter.

Voir également
https://php.net/ctype-upper
Paramètres
string | int $text
Renvoie
bool

Références $text.

◆ ctype_xdigit()

static ctype_xdigit ( $text )
static

Returns TRUE if every character in text is a hexadecimal 'digit', that is a decimal digit or a character from [A-Fa-f] , FALSE otherwise.

Voir également
https://php.net/ctype-xdigit
Paramètres
string | int $text
Renvoie
bool

Références $text.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Ctype.php


Joomla CMS: Référence de la classe Php55

  • Symfony
  • Polyfill
  • Php55
  • Php55
Fonctions membres publiques statiques
Référence de la classe Php55

Fonctions membres publiques statiques

static | boolval ($val)
static | json_last_error_msg ()
static | hash_pbkdf2 ($algorithm, $password, $salt, $iterations, $length=0, $rawOutput=false)

Documentation des fonctions membres

◆ boolval()

static boolval ( $val )
static

◆ hash_pbkdf2()

static hash_pbkdf2 | ( | $algorithm,
 |  | $password,
 |  | $salt,
 |  | $iterations,
 |  | $length = 0,
 |  | $rawOutput = false
 | ) |
static
Auteur
Sebastiaan Stok s.sto.nosp@m.k@ro.nosp@m.llers.nosp@m.cape.nosp@m.s.net
Scott scott.nosp@m.@par.nosp@m.agoni.nosp@m.e.co.nosp@m.m

Références $i, et $password.

◆ json_last_error_msg()

static json_last_error_msg ( )
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • Php55.php


Joomla CMS: Référence de la classe Php55ArrayColumn

  • Symfony
  • Polyfill
  • Php55
  • Php55ArrayColumn
Fonctions membres publiques statiques
Référence de la classe Php55ArrayColumn

Fonctions membres publiques statiques

static array_column (array $input, $columnKey, $indexKey=null)

Documentation des fonctions membres

◆ array_column()

static array_column | ( | array | $input,
 |  |  | $columnKey,
 |  |  | $indexKey = null
 | ) |  |
static

Références $input, $key, $output, $row, $value, elseif, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Php55ArrayColumn.php


Joomla CMS: Référence de la classe Php56

  • Symfony
  • Polyfill
  • Php56
  • Php56
Fonctions membres publiques statiques | Champs de données
Référence de la classe Php56

Fonctions membres publiques statiques

static | hash_equals ($knownString, $userInput)
static | ldap_escape ($subject, $ignore='', $flags=0)

Champs de données

const | LDAP_ESCAPE_FILTER = 1
const | LDAP_ESCAPE_DN = 2

Documentation des fonctions membres

◆ hash_equals()

static hash_equals | ( | $knownString,
 |  | $userInput
 | ) |
static

Références $i.

◆ ldap_escape()

static ldap_escape | ( | $subject,
 |  | $ignore = '',
 |  | $flags = 0
 | ) |
static

Stub implementation of the ldap_escape() function of the ldap extension.

Escape strings for safe use in LDAP filters and DNs.

Auteur
Chris Wright ldapi.nosp@m.@dav.nosp@m.erand.nosp@m.om.c.nosp@m.om
Paramètres
string | $subject
string | $ignore
int | $flags
Renvoie
string
Voir également
http://stackoverflow.com/a/8561604

Références $i, $subject, et null.

Documentation des champs

◆ LDAP_ESCAPE_DN

const LDAP_ESCAPE_DN = 2

◆ LDAP_ESCAPE_FILTER

const LDAP_ESCAPE_FILTER = 1
La documentation de cette classe a été générée à partir du fichier suivant :
  • Php56.php


Joomla CMS: Référence de la classe Php71

  • Symfony
  • Polyfill
  • Php71
  • Php71
Fonctions membres publiques statiques
Référence de la classe Php71

Fonctions membres publiques statiques

static is_iterable ($var)

Description détaillée

Auteur
Dariusz Rumiński dariu.nosp@m.sz.r.nosp@m.umins.nosp@m.ki@g.nosp@m.mail..nosp@m.com

Documentation des fonctions membres

◆ is_iterable()

static is_iterable ( $var )
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • Php71.php


Joomla CMS: Référence de la classe Php73

  • Symfony
  • Polyfill
  • Php73
  • Php73
Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe Php73

Fonctions membres publiques statiques

static hrtime ($asNum=false)

Attributs publics statiques

static $startAt = 1533462603

Description détaillée

Auteur
Gabriel Caruso carus.nosp@m.ogab.nosp@m.riel3.nosp@m.4@gm.nosp@m.ail.c.nosp@m.om
Ion Bazan ion.b.nosp@m.azan.nosp@m.@gmai.nosp@m.l.co.nosp@m.m

Documentation des fonctions membres

◆ hrtime()

static hrtime ( $asNum = false )
static
Paramètres
bool $asNum
Renvoie
array|float|int

Documentation des champs

◆ $startAt

$startAt = 1533462603
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • Php73.php


Joomla CMS: Référence de la classe BinaryNoFuncOverload

  • Symfony
  • Polyfill
  • Util
  • BinaryNoFuncOverload
Fonctions membres publiques statiques
Référence de la classe BinaryNoFuncOverload

Fonctions membres publiques statiques

static | strlen ($s)
static | strpos ($haystack, $needle, $offset=0)
static | strrpos ($haystack, $needle, $offset=0)
static | substr ($string, $start, $length=PHP_INT_MAX)
static | stripos ($s, $needle, $offset=0)
static | stristr ($s, $needle, $part=false)
static | strrchr ($s, $needle, $part=false)
static | strripos ($s, $needle, $offset=0)
static | strstr ($s, $needle, $part=false)

Description détaillée

Auteur
Nicolas Grekas p@tch.nosp@m.work.nosp@m..com

Documentation des fonctions membres

◆ stripos()

static stripos | ( | $s,
 |  | $needle,
 |  | $offset = 0
 | ) |
static

Références $offset.

◆ stristr()

static stristr | ( | $s,
 |  | $needle,
 |  | $part = false
 | ) |
static

◆ strlen()

static strlen ( $s )
static

◆ strpos()

static strpos | ( | $haystack,
 |  | $needle,
 |  | $offset = 0
 | ) |
static

Références $offset.

◆ strrchr()

static strrchr | ( | $s,
 |  | $needle,
 |  | $part = false
 | ) |
static

◆ strripos()

static strripos | ( | $s,
 |  | $needle,
 |  | $offset = 0
 | ) |
static

Références $offset.

◆ strrpos()

static strrpos | ( | $haystack,
 |  | $needle,
 |  | $offset = 0
 | ) |
static

Références $offset.

◆ strstr()

static strstr | ( | $s,
 |  | $needle,
 |  | $part = false
 | ) |
static

◆ substr()

static substr | ( | $string,
 |  | $start,
 |  | $length = PHP_INT_MAX
 | ) |
static

Références $start.

La documentation de cette classe a été générée à partir du fichier suivant :
  • BinaryNoFuncOverload.php


Joomla CMS: Référence de la classe BinaryOnFuncOverload

  • Symfony
  • Polyfill
  • Util
  • BinaryOnFuncOverload
Fonctions membres publiques statiques
Référence de la classe BinaryOnFuncOverload

Fonctions membres publiques statiques

static | strlen ($s)
static | strpos ($haystack, $needle, $offset=0)
static | strrpos ($haystack, $needle, $offset=0)
static | substr ($string, $start, $length=2147483647)
static | stripos ($s, $needle, $offset=0)
static | stristr ($s, $needle, $part=false)
static | strrchr ($s, $needle, $part=false)
static | strripos ($s, $needle, $offset=0)
static | strstr ($s, $needle, $part=false)

Description détaillée

Binary safe version of string functions overloaded when MB_OVERLOAD_STRING is enabled.

Auteur
Nicolas Grekas p@tch.nosp@m.work.nosp@m..com

Documentation des fonctions membres

◆ stripos()

static stripos | ( | $s,
 |  | $needle,
 |  | $offset = 0
 | ) |
static

Références $offset.

◆ stristr()

static stristr | ( | $s,
 |  | $needle,
 |  | $part = false
 | ) |
static

◆ strlen()

static strlen ( $s )
static

◆ strpos()

static strpos | ( | $haystack,
 |  | $needle,
 |  | $offset = 0
 | ) |
static

Références $offset.

◆ strrchr()

static strrchr | ( | $s,
 |  | $needle,
 |  | $part = false
 | ) |
static

◆ strripos()

static strripos | ( | $s,
 |  | $needle,
 |  | $offset = 0
 | ) |
static

Références $offset.

◆ strrpos()

static strrpos | ( | $haystack,
 |  | $needle,
 |  | $offset = 0
 | ) |
static

Références $offset.

◆ strstr()

static strstr | ( | $s,
 |  | $needle,
 |  | $part = false
 | ) |
static

◆ substr()

static substr | ( | $string,
 |  | $start,
 |  | $length = 2147483647
 | ) |
static

Références $start.

La documentation de cette classe a été générée à partir du fichier suivant :
  • BinaryOnFuncOverload.php


Joomla CMS: Référence de la classe ConjunctionInterceptor

  • TYPO3
  • PharStreamWrapper
  • Interceptor
  • ConjunctionInterceptor
Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe ConjunctionInterceptor
+ Graphe d'héritage de ConjunctionInterceptor:
Assertable

Fonctions membres publiques

__construct (array $assertions)
assert ($path, $command)

Fonctions membres privées

assertAssertions (array $assertions)
invokeAssertions ($path, $command)

Attributs privés

$assertions

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array $assertions )

Références ConjunctionInterceptor\$assertions, et ConjunctionInterceptor\assertAssertions().

Documentation des fonctions membres

◆ assert()

assert | ( | $path,
 |  | $command
 | ) |

Executes assertions based on all contained assertions.

Paramètres
string | $path
string | $command
Renvoie
bool
Exceptions
Exception

Implémente Assertable.

Références $path, et ConjunctionInterceptor\invokeAssertions().

◆ assertAssertions()

assertAssertions ( array $assertions )
private
Paramètres
Assertable[] $assertions

Références ConjunctionInterceptor\$assertions.

Référencé par ConjunctionInterceptor\__construct().

◆ invokeAssertions()

invokeAssertions | ( | $path,
 |  | $command
 | ) |
private
Paramètres
string | $path
string | $command
Renvoie
bool

Références $path.

Référencé par ConjunctionInterceptor\assert().

Documentation des champs

◆ $assertions

$assertions
private

Référencé par ConjunctionInterceptor\__construct(), et ConjunctionInterceptor\assertAssertions().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ConjunctionInterceptor.php


Joomla CMS: Référence de la classe PharExtensionInterceptor

  • TYPO3
  • PharStreamWrapper
  • Interceptor
  • PharExtensionInterceptor
Fonctions membres publiques | Fonctions membres privées
Référence de la classe PharExtensionInterceptor
+ Graphe d'héritage de PharExtensionInterceptor:
Assertable

Fonctions membres publiques

assert ($path, $command)

Fonctions membres privées

baseFileContainsPharExtension ($path)

Documentation des fonctions membres

◆ assert()

assert | ( | $path,
 |  | $command
 | ) |

Determines whether the base file name has a ".phar" suffix.

Paramètres
string | $path
string | $command
Renvoie
bool
Exceptions
Exception

Implémente Assertable.

Références $path, et PharExtensionInterceptor\baseFileContainsPharExtension().

◆ baseFileContainsPharExtension()

baseFileContainsPharExtension ( $path )
private
Paramètres
string $path
Renvoie
bool

Références $path, Manager\instance(), et null.

Référencé par PharExtensionInterceptor\assert().

La documentation de cette classe a été générée à partir du fichier suivant :
  • PharExtensionInterceptor.php


Joomla CMS: Référence de la classe PharMetaDataInterceptor

  • TYPO3
  • PharStreamWrapper
  • Interceptor
  • PharMetaDataInterceptor
Fonctions membres publiques | Fonctions membres privées
Référence de la classe PharMetaDataInterceptor
+ Graphe d'héritage de PharMetaDataInterceptor:
Assertable

Fonctions membres publiques

assert ($path, $command)

Fonctions membres privées

baseFileDoesNotHaveMetaDataIssues ($path)

Documentation des fonctions membres

◆ assert()

assert | ( | $path,
 |  | $command
 | ) |

Determines whether the according Phar archive contains (potential insecure) serialized objects.

Paramètres
string | $path
string | $command
Renvoie
bool
Exceptions
Exception

Implémente Assertable.

Références $path, et PharMetaDataInterceptor\baseFileDoesNotHaveMetaDataIssues().

◆ baseFileDoesNotHaveMetaDataIssues()

baseFileDoesNotHaveMetaDataIssues ( $path )
private
Paramètres
string $path
Renvoie
bool

Références $path, Manager\instance(), null, et Reader\resolveContainer().

Référencé par PharMetaDataInterceptor\assert().

La documentation de cette classe a été générée à partir du fichier suivant :
  • PharMetaDataInterceptor.php


Joomla CMS: Référence de la classe Container

  • TYPO3
  • PharStreamWrapper
  • Phar
  • Container
Fonctions membres publiques | Attributs privés
Référence de la classe Container

Fonctions membres publiques

__construct (Stub $stub, Manifest $manifest)
getStub ()
getManifest ()
getAlias ()

Attributs privés

$stub
$manifest

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Stub | $stub,
 |  | Manifest | $manifest
 | ) |  |
Paramètres
Stub | $stub
Manifest | $manifest

Références Container\$manifest, et Container\$stub.

Documentation des fonctions membres

◆ getAlias()

getAlias ( )
Renvoie
string

◆ getManifest()

getManifest ( )
Renvoie
Manifest

Références Container\$manifest.

◆ getStub()

getStub ( )
Renvoie
Stub

Références Container\$stub.

Documentation des champs

◆ $manifest

$manifest
private

Référencé par Container\__construct(), et Container\getManifest().

◆ $stub

$stub
private

Référencé par Container\__construct(), et Container\getStub().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/typo3/phar-stream-wrapper/src/Phar/Container.php


Joomla CMS: Référence de la classe DeserializationException

  • TYPO3
  • PharStreamWrapper
  • Phar
  • DeserializationException
Référence de la classe DeserializationException
+ Graphe d'héritage de DeserializationException:
Exception
La documentation de cette classe a été générée à partir du fichier suivant :
  • DeserializationException.php


Joomla CMS: Référence de la classe Manifest

  • TYPO3
  • PharStreamWrapper
  • Phar
  • Manifest
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres privées | Attributs privés
Référence de la classe Manifest

Fonctions membres publiques

getManifestLength ()
getAmountOfFiles ()
getApiVersion ()
getFlags ()
getAliasLength ()
getAlias ()
getMetaDataLength ()
getMetaData ()
deserializeMetaData ()

Fonctions membres publiques statiques

static fromContent ($content)

Fonctions membres privées

__construct ()

Attributs privés

$manifestLength
$amountOfFiles
$apiVersion
$flags
$aliasLength
$alias
$metaDataLength
$metaData

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
private

Avoid direct instantiation.

Documentation des fonctions membres

◆ deserializeMetaData()

deserializeMetaData ( )
Renvoie
mixed|null

Références json_encode, null, et Unserialize\unserialize().

◆ fromContent()

static fromContent ( $content )
static
Paramètres
string $content
Renvoie
self
Voir également
http://php.net/manual/en/phar.fileformat.phar.php

Références $content, $target, Reader\resolveFourByteLittleEndian(), et Reader\resolveTwoByteBigEndian().

Référencé par Reader\resolveContainer().

◆ getAlias()

getAlias ( )
Renvoie
string

Références Manifest\$alias.

◆ getAliasLength()

getAliasLength ( )
Renvoie
int

Références Manifest\$aliasLength.

◆ getAmountOfFiles()

getAmountOfFiles ( )
Renvoie
int

Références Manifest\$amountOfFiles.

◆ getApiVersion()

getApiVersion ( )
Renvoie
string

Références Manifest\$apiVersion.

◆ getFlags()

getFlags ( )
Renvoie
int

Références Manifest\$flags.

◆ getManifestLength()

getManifestLength ( )
Renvoie
int

Références Manifest\$manifestLength.

◆ getMetaData()

getMetaData ( )
Renvoie
string

Références Manifest\$metaData.

◆ getMetaDataLength()

getMetaDataLength ( )
Renvoie
int

Références Manifest\$metaDataLength.

Documentation des champs

◆ $alias

$alias
private

Référencé par Manifest\getAlias().

◆ $aliasLength

$aliasLength
private

Référencé par Manifest\getAliasLength().

◆ $amountOfFiles

$amountOfFiles
private

Référencé par Manifest\getAmountOfFiles().

◆ $apiVersion

$apiVersion
private

Référencé par Manifest\getApiVersion().

◆ $flags

$flags
private

Référencé par Manifest\getFlags().

◆ $manifestLength

$manifestLength
private

Référencé par Manifest\getManifestLength().

◆ $metaData

$metaData
private

Référencé par Manifest\getMetaData().

◆ $metaDataLength

$metaDataLength
private

Référencé par Manifest\getMetaDataLength().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/typo3/phar-stream-wrapper/src/Phar/Manifest.php


Joomla CMS: Référence de la classe Reader

  • TYPO3
  • PharStreamWrapper
  • Phar
  • Reader
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres privées | Attributs privés
Référence de la classe Reader

Fonctions membres publiques

__construct ($fileName)
resolveContainer ()

Fonctions membres publiques statiques

static | resolveFourByteLittleEndian ($content, $start)
static | resolveTwoByteBigEndian ($content, $start)

Fonctions membres privées

extractData ($fileName)
resolveStream ()
determineFileType ()
determineFileTypeByHeader ()
resolveManifestLength ($content)

Attributs privés

$fileName
$fileType

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $fileName )
Paramètres
string $fileName

Références Reader\$fileName, et Reader\determineFileType().

Documentation des fonctions membres

◆ determineFileType()

determineFileType ( )
private
Renvoie
string

Références Reader\determineFileTypeByHeader().

Référencé par Reader\__construct().

◆ determineFileTypeByHeader()

determineFileTypeByHeader ( )
private

In case ext-fileinfo is not present only the relevant types 'application/x-gzip' and 'application/x-bzip2' are resolved.

Renvoie
string

Références elseif.

Référencé par Reader\determineFileType().

◆ extractData()

extractData ( $fileName )
private
Paramètres
string $fileName e.g. '/path/file.phar' or 'compress.zlib:///path/file.phar'
Renvoie
array

Références Reader\$fileName, elseif, null, et Reader\resolveManifestLength().

Référencé par Reader\resolveContainer().

◆ resolveContainer()

resolveContainer ( )
Renvoie
Container

Références $data, Reader\extractData(), Stub\fromContent(), Manifest\fromContent(), null, et Reader\resolveStream().

Référencé par PharMetaDataInterceptor\baseFileDoesNotHaveMetaDataIssues().

◆ resolveFourByteLittleEndian()

static resolveFourByteLittleEndian | ( | $content,
 |  | $start
 | ) |
static
Paramètres
string | $content
int | $start
Renvoie
int

Références $content, $start, et $value.

Référencé par Manifest\fromContent().

◆ resolveManifestLength()

resolveManifestLength ( $content )
private
Paramètres
string $content
Renvoie
int|null

Références $content, et null.

Référencé par Reader\extractData().

◆ resolveStream()

resolveStream ( )
private

Resolves stream in order to handle compressed Phar archives.

Renvoie
string

Références elseif.

Référencé par Reader\resolveContainer().

◆ resolveTwoByteBigEndian()

static resolveTwoByteBigEndian | ( | $content,
 |  | $start
 | ) |
static
Paramètres
string | $content
int | $start
Renvoie
int

Références $content, $start, et $value.

Référencé par Manifest\fromContent().

Documentation des champs

◆ $fileName

$fileName
private

Référencé par Reader\__construct(), et Reader\extractData().

◆ $fileType

$fileType
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • Reader.php


Joomla CMS: Référence de la classe ReaderException

  • TYPO3
  • PharStreamWrapper
  • Phar
  • ReaderException
Référence de la classe ReaderException
+ Graphe d'héritage de ReaderException:
Exception
La documentation de cette classe a été générée à partir du fichier suivant :
  • ReaderException.php


Joomla CMS: Référence de la classe Stub

  • TYPO3
  • PharStreamWrapper
  • Phar
  • Stub
Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés
Référence de la classe Stub

Fonctions membres publiques

getContent ()
getMappedAlias ()

Fonctions membres publiques statiques

static fromContent ($content)

Attributs privés

$content
$mappedAlias = ''

Documentation des fonctions membres

◆ fromContent()

static fromContent ( $content )
static
Paramètres
string $content
Renvoie
self

Références Stub\$content, et $target.

Référencé par Reader\resolveContainer().

◆ getContent()

getContent ( )
Renvoie
string

Références Stub\$content.

◆ getMappedAlias()

getMappedAlias ( )
Renvoie
string

Références Stub\$mappedAlias.

Documentation des champs

◆ $content

$content
private

Référencé par Stub\fromContent(), et Stub\getContent().

◆ $mappedAlias

$mappedAlias = ''
private

Référencé par Stub\getMappedAlias().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Stub.php


Joomla CMS: Référence de la classe PharInvocation

  • TYPO3
  • PharStreamWrapper
  • Resolver
  • PharInvocation
Fonctions membres publiques | Attributs privés
Référence de la classe PharInvocation

Fonctions membres publiques

__construct ($baseName, $alias='')
__toString ()
getBaseName ()
getAlias ()
isConfirmed ()
confirm ()
getVariable ($name)
setVariable ($name, $value)
equals (PharInvocation $other)

Attributs privés

$baseName
$alias
$confirmed = false
$variables

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $baseName,
 |  | $alias = ''
 | ) |
Paramètres
string | $baseName
string | $alias

Références PharInvocation\$alias, et PharInvocation\$baseName.

Documentation des fonctions membres

◆ __toString()

__toString ( )
Renvoie
string

Références PharInvocation\$baseName.

◆ confirm()

confirm ( )

◆ equals()

equals ( PharInvocation $other )
Paramètres
PharInvocation $other
Renvoie
bool

Références PharInvocation\$alias.

Référencé par PharInvocationCollection\assertUniqueInvocation().

◆ getAlias()

getAlias ( )
Renvoie
null|string

Références PharInvocation\$alias.

Référencé par PharInvocationCollection\collect(), PharInvocationResolver\findByAlias(), et PharInvocationCollection\triggerDuplicateAliasWarning().

◆ getBaseName()

getBaseName ( )
Renvoie
string

Références PharInvocation\$baseName.

Référencé par PharInvocationCollection\assertUniqueBaseName(), PharInvocationCollection\collect(), PharInvocationResolver\findByBaseName(), et PharInvocationCollection\triggerDuplicateAliasWarning().

◆ getVariable()

getVariable ( $name )
Paramètres
string $name
Renvoie
mixed|null

Références $name, et null.

◆ isConfirmed()

isConfirmed ( )
Renvoie
bool

Références PharInvocation\$confirmed.

Référencé par PharInvocationResolver\findByAlias(), et PharInvocationCollection\triggerDuplicateAliasWarning().

◆ setVariable()

setVariable | ( | $name,
 |  | $value
 | ) |
Paramètres
string | $name
mixed | $value

Références $name, et $value.

Documentation des champs

◆ $alias

$alias
private

Référencé par PharInvocation\__construct(), PharInvocation\equals(), et PharInvocation\getAlias().

◆ $baseName

$baseName
private

Référencé par PharInvocation\__construct(), PharInvocation\__toString(), et PharInvocation\getBaseName().

◆ $confirmed

$confirmed = false
private

Référencé par PharInvocation\isConfirmed().

◆ $variables

$variables
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • PharInvocation.php


Joomla CMS: Référence de la classe PharInvocationCollection

  • TYPO3
  • PharStreamWrapper
  • Resolver
  • PharInvocationCollection
Fonctions membres publiques | Champs de données | Fonctions membres privées | Attributs privés
Référence de la classe PharInvocationCollection
+ Graphe d'héritage de PharInvocationCollection:
Collectable

Fonctions membres publiques

has (PharInvocation $invocation)
collect (PharInvocation $invocation, $flags=null)
findByCallback ($callback, $reverse=false)

Champs de données

const | UNIQUE_INVOCATION = 1
const | UNIQUE_BASE_NAME = 2
const | DUPLICATE_ALIAS_WARNING = 32

Fonctions membres privées

assertUniqueBaseName (PharInvocation $invocation, $flags)
assertUniqueInvocation (PharInvocation $invocation, $flags)
triggerDuplicateAliasWarning (PharInvocation $invocation)
getInvocations ($reverse=false)

Attributs privés

$invocations = array()

Documentation des fonctions membres

◆ assertUniqueBaseName()

assertUniqueBaseName | ( | PharInvocation | $invocation,
 |  |  | $flags
 | ) |  |
private

Asserts that base-name is unique. This disallows having multiple invocations for same base-name but having different alias names.

Paramètres
PharInvocation | $invocation
int | $flags
Renvoie
bool

Références PharInvocationCollection\findByCallback(), PharInvocation\getBaseName(), et null.

Référencé par PharInvocationCollection\collect().

◆ assertUniqueInvocation()

assertUniqueInvocation | ( | PharInvocation | $invocation,
 |  |  | $flags
 | ) |  |
private

Asserts that combination of base-name and alias is unique. This allows having multiple invocations for same base-name but having different alias names (for whatever reason).

Paramètres
PharInvocation | $invocation
int | $flags
Renvoie
bool

Références PharInvocation\equals(), PharInvocationCollection\findByCallback(), et null.

Référencé par PharInvocationCollection\collect().

◆ collect()

collect | ( | PharInvocation | $invocation,
 |  |  | $flags = null
 | ) |  |
Paramètres
PharInvocation | $invocation
null | int | $flags
Renvoie
bool

Implémente Collectable.

Références PharInvocationCollection\assertUniqueBaseName(), PharInvocationCollection\assertUniqueInvocation(), PharInvocation\getAlias(), PharInvocation\getBaseName(), null, et PharInvocationCollection\triggerDuplicateAliasWarning().

◆ findByCallback()

findByCallback | ( | $callback,
 |  | $reverse = false
 | ) |
Paramètres
callable | $callback
bool | $reverse
Renvoie
null|PharInvocation

Implémente Collectable.

Références PharInvocationCollection\getInvocations(), et null.

Référencé par PharInvocationCollection\assertUniqueBaseName(), PharInvocationCollection\assertUniqueInvocation(), et PharInvocationCollection\triggerDuplicateAliasWarning().

◆ getInvocations()

getInvocations ( $reverse = false )
private
Paramètres
bool $reverse
Renvoie
PharInvocation[]

Références PharInvocationCollection\$invocations.

Référencé par PharInvocationCollection\findByCallback().

◆ has()

has ( PharInvocation $invocation )
Paramètres
PharInvocation $invocation
Renvoie
bool

Implémente Collectable.

◆ triggerDuplicateAliasWarning()

triggerDuplicateAliasWarning ( PharInvocation $invocation )
private

Triggers warning for invocations with same alias and same confirmation state.

Paramètres
PharInvocation $invocation
Voir également
::collectInvocation()

Références PharInvocationCollection\findByCallback(), PharInvocation\getAlias(), PharInvocation\getBaseName(), PharInvocation\isConfirmed(), null, et true.

Référencé par PharInvocationCollection\collect().

Documentation des champs

◆ $invocations

$invocations = array()
private

Référencé par PharInvocationCollection\getInvocations().

◆ DUPLICATE_ALIAS_WARNING

const DUPLICATE_ALIAS_WARNING = 32

◆ UNIQUE_BASE_NAME

const UNIQUE_BASE_NAME = 2

◆ UNIQUE_INVOCATION

const UNIQUE_INVOCATION = 1
La documentation de cette classe a été générée à partir du fichier suivant :
  • PharInvocationCollection.php


Joomla CMS: Référence de la classe PharInvocationResolver

  • TYPO3
  • PharStreamWrapper
  • Resolver
  • PharInvocationResolver
Fonctions membres publiques | Champs de données | Fonctions membres privées | Attributs privés
Référence de la classe PharInvocationResolver
+ Graphe d'héritage de PharInvocationResolver:
Resolvable

Fonctions membres publiques

resolve ($path, $flags=null)

Champs de données

const | RESOLVE_REALPATH = 1
const | RESOLVE_ALIAS = 2
const | ASSERT_INTERNAL_INVOCATION = 32

Fonctions membres privées

retrieveInvocation ($baseName, $flags)
resolveBaseName ($path, $flags)
resolvePossibleAlias ($path)
findByBaseName ($baseName)
findInBaseNames ($path)
addBaseName ($baseName)
findByAlias ($path)

Attributs privés

$invocationFunctionNames
$baseNames = array()

Documentation des fonctions membres

◆ addBaseName()

addBaseName ( $baseName )
private
Paramètres
string $baseName

Références Helper\normalizeWindowsPath().

Référencé par PharInvocationResolver\resolveBaseName().

◆ findByAlias()

findByAlias ( $path )
private

Finds confirmed(!) invocations by alias.

Paramètres
string $path
Renvoie
null|PharInvocation
Voir également
::collectInvocation()

Références $path, PharInvocation\getAlias(), Manager\instance(), PharInvocation\isConfirmed(), null, PharInvocationResolver\resolvePossibleAlias(), et true.

Référencé par PharInvocationResolver\resolve().

◆ findByBaseName()

findByBaseName ( $baseName )
private
Paramètres
string $baseName
Renvoie
null|PharInvocation

Références PharInvocation\getBaseName(), Manager\instance(), et true.

Référencé par PharInvocationResolver\retrieveInvocation().

◆ findInBaseNames()

findInBaseNames ( $path )
private
Paramètres
string $path
Renvoie
null|string

Références $parts, $path, Helper\normalizePath(), et null.

Référencé par PharInvocationResolver\resolveBaseName().

◆ resolve()

resolve | ( | $path,
 |  | $flags = null
 | ) |

Resolves PharInvocation value object (baseName and optional alias).

Phar aliases are intended to be used only inside Phar archives, however PharStreamWrapper needs this information exposed outside of Phar as well It is possible that same alias is used for different $baseName values. That's why PharInvocationCollection behaves like a stack when resolving base-name for a given alias. On the other hand it is not possible that one $baseName is referring to multiple aliases.

Voir également
https://secure.php.net/manual/en/phar.setalias.php
https://secure.php.net/manual/en/phar.mapphar.php
Paramètres
string | $path
int | null | $flags
Renvoie
null|PharInvocation

Implémente Resolvable.

Références $path, PharInvocationResolver\findByAlias(), Helper\hasPharPrefix(), null, PharInvocationResolver\resolveBaseName(), et PharInvocationResolver\retrieveInvocation().

◆ resolveBaseName()

resolveBaseName | ( | $path,
 |  | $flags
 | ) |
private
Paramètres
string | $path
int | $flags
Renvoie
null|string

Références $item, $path, PharInvocationResolver\addBaseName(), Helper\determineBaseFile(), PharInvocationResolver\findInBaseNames(), Helper\hasPharPrefix(), null, et PharInvocationResolver\resolvePossibleAlias().

Référencé par PharInvocationResolver\resolve().

◆ resolvePossibleAlias()

resolvePossibleAlias ( $path )
private
Paramètres
string $path
Renvoie
null|string

Références $path, Helper\normalizePath(), et null.

Référencé par PharInvocationResolver\findByAlias(), et PharInvocationResolver\resolveBaseName().

◆ retrieveInvocation()

retrieveInvocation | ( | $baseName,
 |  | $flags
 | ) |
private

Retrieves PharInvocation, either existing in collection or created on demand with resolving a potential alias name used in the according Phar archive.

Paramètres
string | $baseName
int | $flags
Renvoie
PharInvocation

Références PharInvocationResolver\findByBaseName(), Manager\instance(), et null.

Référencé par PharInvocationResolver\resolve().

Documentation des champs

◆ $baseNames

$baseNames = array()
private

◆ $invocationFunctionNames

$invocationFunctionNames
private
Valeur initiale :
= array(
'include',
'include_once',
'require',
'require_once'
)

◆ ASSERT_INTERNAL_INVOCATION

const ASSERT_INTERNAL_INVOCATION = 32

◆ RESOLVE_ALIAS

const RESOLVE_ALIAS = 2

◆ RESOLVE_REALPATH

const RESOLVE_REALPATH = 1
La documentation de cette classe a été générée à partir du fichier suivant :
  • PharInvocationResolver.php


Joomla CMS: Référence de l'interface Assertable

  • TYPO3
  • PharStreamWrapper
  • Assertable
Fonctions membres publiques
Référence de l'interface Assertable
+ Graphe d'héritage de Assertable:
Behavior ConjunctionInterceptor PharExtensionInterceptor PharMetaDataInterceptor

Fonctions membres publiques

assert ($path, $command)

Documentation des fonctions membres

◆ assert()

assert | ( | $path,
 |  | $command
 | ) |
Paramètres
string | $path
string | $command
Renvoie
bool

Implémenté dans Behavior, ConjunctionInterceptor, PharMetaDataInterceptor, et PharExtensionInterceptor.

La documentation de cette interface a été générée à partir du fichier suivant :
  • Assertable.php


Joomla CMS: Référence de la classe Behavior

  • TYPO3
  • PharStreamWrapper
  • Behavior
Fonctions membres publiques | Champs de données | Fonctions membres privées | Attributs privés
Référence de la classe Behavior
+ Graphe d'héritage de Behavior:
Assertable

Fonctions membres publiques

withAssertion (Assertable $assertable)
assert ($path, $command)

Champs de données

const | COMMAND_DIR_OPENDIR = 'dir_opendir'
const | COMMAND_MKDIR = 'mkdir'
const | COMMAND_RENAME = 'rename'
const | COMMAND_RMDIR = 'rmdir'
const | COMMAND_STEAM_METADATA = 'stream_metadata'
const | COMMAND_STREAM_OPEN = 'stream_open'
const | COMMAND_UNLINK = 'unlink'
const | COMMAND_URL_STAT = 'url_stat'

Fonctions membres privées

assertCommands (array $commands)
assertCommand ($command)
assertAssertionCompleteness ()

Attributs privés

$availableCommands
$assertions

Documentation des fonctions membres

◆ assert()

assert | ( | $path,
 |  | $command
 | ) |
Paramètres
string | $path
string | $command
Renvoie
bool

Implémente Assertable.

Références $path, Behavior\assertAssertionCompleteness(), et Behavior\assertCommand().

◆ assertAssertionCompleteness()

assertAssertionCompleteness ( )
private

Référencé par Behavior\assert().

◆ assertCommand()

assertCommand ( $command )
private

Référencé par Behavior\assert().

◆ assertCommands()

assertCommands ( array $commands )
private
Paramètres
array $commands

Référencé par Behavior\withAssertion().

◆ withAssertion()

withAssertion ( Assertable $assertable )
Paramètres
Assertable $assertable
Renvoie
static

Références Behavior\$availableCommands, $target, et Behavior\assertCommands().

Documentation des champs

◆ $assertions

$assertions
private

◆ $availableCommands

$availableCommands
private
Valeur initiale :
= array(
self::COMMAND_DIR_OPENDIR,
self::COMMAND_MKDIR,
self::COMMAND_RENAME,
self::COMMAND_RMDIR,
self::COMMAND_STEAM_METADATA,
self::COMMAND_STREAM_OPEN,
self::COMMAND_UNLINK,
self::COMMAND_URL_STAT,
)

Référencé par Behavior\withAssertion().

◆ COMMAND_DIR_OPENDIR

const COMMAND_DIR_OPENDIR = 'dir_opendir'

Référencé par PharStreamWrapper\dir_opendir().

◆ COMMAND_MKDIR

const COMMAND_MKDIR = 'mkdir'

Référencé par PharStreamWrapper\mkdir().

◆ COMMAND_RENAME

const COMMAND_RENAME = 'rename'

Référencé par PharStreamWrapper\rename().

◆ COMMAND_RMDIR

const COMMAND_RMDIR = 'rmdir'

Référencé par PharStreamWrapper\rmdir().

◆ COMMAND_STEAM_METADATA

const COMMAND_STEAM_METADATA = 'stream_metadata'

Référencé par PharStreamWrapper\stream_metadata().

◆ COMMAND_STREAM_OPEN

const COMMAND_STREAM_OPEN = 'stream_open'

Référencé par PharStreamWrapper\stream_open().

◆ COMMAND_UNLINK

const COMMAND_UNLINK = 'unlink'

Référencé par PharStreamWrapper\unlink().

◆ COMMAND_URL_STAT

const COMMAND_URL_STAT = 'url_stat'

Référencé par PharStreamWrapper\url_stat().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Behavior.php


Joomla CMS: Référence de l'interface Collectable

  • TYPO3
  • PharStreamWrapper
  • Collectable
Fonctions membres publiques
Référence de l'interface Collectable
+ Graphe d'héritage de Collectable:
PharInvocationCollection

Fonctions membres publiques

has (PharInvocation $invocation)
collect (PharInvocation $invocation, $flags=null)
findByCallback ($callback, $reverse=false)

Documentation des fonctions membres

◆ collect()

collect | ( | PharInvocation | $invocation,
 |  |  | $flags = null
 | ) |  |
Paramètres
PharInvocation | $invocation
null | $flags
Renvoie
bool

Implémenté dans PharInvocationCollection.

◆ findByCallback()

findByCallback | ( | $callback,
 |  | $reverse = false
 | ) |
Paramètres
callable | $callback
bool | $reverse
Renvoie
null|PharInvocation

Implémenté dans PharInvocationCollection.

◆ has()

has ( PharInvocation $invocation )
Paramètres
PharInvocation $invocation
Renvoie
bool

Implémenté dans PharInvocationCollection.

La documentation de cette interface a été générée à partir du fichier suivant :
  • Collectable.php


Joomla CMS: Référence de la classe Exception

  • TYPO3
  • PharStreamWrapper
  • Exception
Référence de la classe Exception
+ Graphe d'héritage de Exception:
DeserializationException ReaderException
La documentation de cette classe a été générée à partir du fichier suivant :
  • typo3/phar-stream-wrapper/src/Exception.php


Joomla CMS: Référence de la classe Helper

  • TYPO3
  • PharStreamWrapper
  • Helper
Fonctions membres publiques statiques | Fonctions membres privées statiques
Référence de la classe Helper

Fonctions membres publiques statiques

static | resetOpCache ()
static | determineBaseFile ($path)
static | hasPharPrefix ($path)
static | removePharPrefix ($path)
static | normalizePath ($path)
static | normalizeWindowsPath ($path)

Fonctions membres privées statiques

static | getCanonicalPath ($path)
static | isAbsolutePath ($path)
static | isWindows ()

Description détaillée

Helper provides low-level tools on file name resolving. However it does not (and should not) maintain any runtime state information. In order to resolve Phar archive paths according resolvers have to be used.

Voir également
::resolve()

Documentation des fonctions membres

◆ determineBaseFile()

static determineBaseFile ( $path )
static

Determines base file that can be accessed using the regular file system. For e.g. "phar:///home/user/bundle.phar/content.txt" that would result into "/home/user/bundle.phar".

Paramètres
string $path
Renvoie
string|null

Références $parts, $path, et null.

Référencé par PharInvocationResolver\resolveBaseName().

◆ getCanonicalPath()

static getCanonicalPath ( $path )
staticprivate

Resolves all dots, slashes and removes spaces after or before a path...

Paramètres
string $path Input string
Renvoie
string Canonical path, always without trailing slash

Références $path, et elseif.

◆ hasPharPrefix()

static hasPharPrefix ( $path )
static
Paramètres
string $path
Renvoie
bool

Références $path.

Référencé par PharInvocationResolver\resolve(), et PharInvocationResolver\resolveBaseName().

◆ isAbsolutePath()

static isAbsolutePath ( $path )
staticprivate

Checks if the $path is absolute or relative (detecting either '/' or 'x:/' as first part of string) and returns TRUE if so.

Paramètres
string $path File path to evaluate
Renvoie
bool

Références $path, et null.

◆ isWindows()

static isWindows ( )
staticprivate
Renvoie
bool

◆ normalizePath()

static normalizePath ( $path )
static

Normalizes a path, removes phar:// prefix, fixes Windows directory separators. Result is without trailing slash.

Paramètres
string $path
Renvoie
string

Références $path.

Référencé par PharInvocationResolver\findInBaseNames(), et PharInvocationResolver\resolvePossibleAlias().

◆ normalizeWindowsPath()

static normalizeWindowsPath ( $path )
static

Fixes a path for windows-backslashes and reduces double-slashes to single slashes

Paramètres
string $path File path to process
Renvoie
string

Références $path.

Référencé par PharInvocationResolver\addBaseName().

◆ removePharPrefix()

static removePharPrefix ( $path )
static
Paramètres
string $path
Renvoie
string

Références $path.

◆ resetOpCache()

static resetOpCache ( )
static

Référencé par PharStreamWrapper\stream_open().

La documentation de cette classe a été générée à partir du fichier suivant :
  • typo3/phar-stream-wrapper/src/Helper.php


Joomla CMS: Référence de la classe Manager

  • TYPO3
  • PharStreamWrapper
  • Manager
Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres privées | Attributs privés | Attributs privés statiques
Référence de la classe Manager

Fonctions membres publiques

assert ($path, $command)
resolve ($path, $flags=null)
getCollection ()

Fonctions membres publiques statiques

static | initialize (Behavior $behaviour, Resolvable $resolver=null, Collectable $collection=null)
static | instance ()
static | destroy ()

Fonctions membres privées

__construct (Behavior $behaviour, Resolvable $resolver=null, Collectable $collection=null)

Attributs privés

$behavior
$resolver
$collection

Attributs privés statiques

static $instance

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Behavior | $behaviour,
 |  | Resolvable | $resolver = null,
 |  | Collectable | $collection = null
 | ) |  |
private
Paramètres
Behavior | $behaviour
Resolvable | $resolver
Collectable | $collection

Références Manager\$collection, Manager\$resolver, et null.

Documentation des fonctions membres

◆ assert()

assert | ( | $path,
 |  | $command
 | ) |
Paramètres
string | $path
string | $command
Renvoie
bool

Références $path.

◆ destroy()

static destroy ( )
static
Renvoie
bool

Références null.

◆ getCollection()

getCollection ( )
Renvoie
Collectable

Références Manager\$collection.

◆ initialize()

static initialize | ( | Behavior | $behaviour,
 |  | Resolvable | $resolver = null,
 |  | Collectable | $collection = null
 | ) |  |
static
Paramètres
Behavior | $behaviour
Resolvable | $resolver
Collectable | $collection
Renvoie
self

Références Manager\$collection, Manager\$resolver, et null.

◆ instance()

static instance ( )
static
Renvoie
self

Références null.

Référencé par PharStreamWrapper\assert(), PharExtensionInterceptor\baseFileContainsPharExtension(), PharMetaDataInterceptor\baseFileDoesNotHaveMetaDataIssues(), PharStreamWrapper\collectInvocation(), PharInvocationResolver\findByAlias(), PharInvocationResolver\findByBaseName(), PharStreamWrapper\resolveAssertable(), et PharInvocationResolver\retrieveInvocation().

◆ resolve()

resolve | ( | $path,
 |  | $flags = null
 | ) |
Paramètres
string | $path
null | int | $flags
Renvoie
null|PharInvocation

Références $path.

Documentation des champs

◆ $behavior

$behavior
private

◆ $collection

$collection
private

Référencé par Manager\__construct(), Manager\getCollection(), et Manager\initialize().

◆ $instance

$instance
staticprivate

◆ $resolver

$resolver
private

Référencé par Manager\__construct(), et Manager\initialize().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Manager.php


Joomla CMS: Référence de la classe PharStreamWrapper

  • TYPO3
  • PharStreamWrapper
  • PharStreamWrapper
Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe PharStreamWrapper

Fonctions membres publiques

dir_closedir ()
dir_opendir ($path, $options)
dir_readdir ()
dir_rewinddir ()
mkdir ($path, $mode, $options)
rename ($path_from, $path_to)
rmdir ($path, $options)
stream_cast ($cast_as)
stream_close ()
stream_eof ()
stream_flush ()
stream_lock ($operation)
stream_metadata ($path, $option, $value)
stream_open ( $path, $mode, $options, &$opened_path=null)
stream_read ($count)
stream_seek ($offset, $whence=SEEK_SET)
stream_set_option ($option, $arg1, $arg2)
stream_stat ()
stream_tell ()
stream_truncate ($new_size)
stream_write ($data)
unlink ($path)
url_stat ($path, $flags)

Champs de données

const STREAM_OPEN_FOR_INCLUDE = 128
$context

Fonctions membres protégées

assert ($path, $command)
collectInvocation ($path)
resolveAssertable ()

Attributs protégés

$internalResource
$invocation

Fonctions membres privées

invokeInternalStreamWrapper ($functionName)
restoreInternalSteamWrapper ()
registerStreamWrapper ()

Documentation des fonctions membres

◆ assert()

assert | ( | $path,
 |  | $command
 | ) |
protected
Paramètres
string | $path
string | $command

Références $path, PharStreamWrapper\collectInvocation(), et Manager\instance().

Référencé par PharStreamWrapper\dir_opendir(), PharStreamWrapper\mkdir(), PharStreamWrapper\rename(), PharStreamWrapper\rmdir(), PharStreamWrapper\stream_metadata(), PharStreamWrapper\stream_open(), PharStreamWrapper\unlink(), et PharStreamWrapper\url_stat().

◆ collectInvocation()

collectInvocation ( $path )
protected
Paramètres
string $path

Références $path, Manager\instance(), et null.

Référencé par PharStreamWrapper\assert().

◆ dir_closedir()

dir_closedir ( )
Renvoie
bool

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ dir_opendir()

dir_opendir | ( | $path,
 |  | $options
 | ) |
Paramètres
string | $path
int | $options
Renvoie
bool

Références $path, PharStreamWrapper\assert(), Behavior\COMMAND_DIR_OPENDIR, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ dir_readdir()

dir_readdir ( )
Renvoie
string|false

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ dir_rewinddir()

dir_rewinddir ( )
Renvoie
bool

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ invokeInternalStreamWrapper()

invokeInternalStreamWrapper ( $functionName )
private

Invokes commands on the native PHP Phar stream wrapper.

Paramètres
string | $functionName
mixed | ...$arguments
Renvoie
mixed

Références PharStreamWrapper\registerStreamWrapper(), et PharStreamWrapper\restoreInternalSteamWrapper().

Référencé par PharStreamWrapper\dir_closedir(), PharStreamWrapper\dir_opendir(), PharStreamWrapper\dir_readdir(), PharStreamWrapper\dir_rewinddir(), PharStreamWrapper\mkdir(), PharStreamWrapper\rename(), PharStreamWrapper\rmdir(), PharStreamWrapper\stream_close(), PharStreamWrapper\stream_eof(), PharStreamWrapper\stream_flush(), PharStreamWrapper\stream_lock(), PharStreamWrapper\stream_metadata(), PharStreamWrapper\stream_read(), PharStreamWrapper\stream_seek(), PharStreamWrapper\stream_set_option(), PharStreamWrapper\stream_stat(), PharStreamWrapper\stream_tell(), PharStreamWrapper\stream_truncate(), PharStreamWrapper\stream_write(), PharStreamWrapper\unlink(), et PharStreamWrapper\url_stat().

◆ mkdir()

mkdir | ( | $path,
 |  | $mode,
 |  | $options
 | ) |
Paramètres
string | $path
int | $mode
int | $options
Renvoie
bool

Références $mode, $options, $path, PharStreamWrapper\assert(), Behavior\COMMAND_MKDIR, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ registerStreamWrapper()

registerStreamWrapper ( )
private

Référencé par PharStreamWrapper\invokeInternalStreamWrapper().

◆ rename()

rename | ( | $path_from,
 |  | $path_to
 | ) |
Paramètres
string | $path_from
string | $path_to
Renvoie
bool

Références PharStreamWrapper\assert(), Behavior\COMMAND_RENAME, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ resolveAssertable()

resolveAssertable ( )
protected
Renvoie
Manager|Assertable
Obsolète:
Use Manager::instance() directly

Références Manager\instance().

◆ restoreInternalSteamWrapper()

restoreInternalSteamWrapper ( )
private

Référencé par PharStreamWrapper\invokeInternalStreamWrapper().

◆ rmdir()

rmdir | ( | $path,
 |  | $options
 | ) |
Paramètres
string | $path
int | $options
Renvoie
bool

Références $path, PharStreamWrapper\assert(), Behavior\COMMAND_RMDIR, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_cast()

stream_cast ( $cast_as )
Paramètres
int $cast_as

◆ stream_close()

stream_close ( )

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_eof()

stream_eof ( )
Renvoie
bool

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_flush()

stream_flush ( )
Renvoie
bool

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_lock()

stream_lock ( $operation )
Paramètres
int $operation
Renvoie
bool

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_metadata()

stream_metadata | ( | $path,
 |  | $option,
 |  | $value
 | ) |
Paramètres
string | $path
int | $option
string | int | $value
Renvoie
bool

Références $option, $path, $value, PharStreamWrapper\assert(), Behavior\COMMAND_STEAM_METADATA, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_open()

stream_open | ( |  | $path,
 |  |  | $mode,
 |  |  | $options,
 |  | & | $opened_path = null
 | ) |  |
Paramètres
string | $path
string | $mode
int | $options
string | null | $opened_path
Renvoie
bool

Références PharStreamWrapper\$context, $mode, $options, $path, PharStreamWrapper\assert(), Behavior\COMMAND_STREAM_OPEN, null, et Helper\resetOpCache().

◆ stream_read()

stream_read ( $count )
Paramètres
int $count
Renvoie
string

Références $count, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_seek()

stream_seek | ( | $offset,
 |  | $whence = SEEK_SET
 | ) |
Paramètres
int | $offset
int | $whence
Renvoie
bool

Références $offset, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_set_option()

stream_set_option | ( | $option,
 |  | $arg1,
 |  | $arg2
 | ) |
Paramètres
int | $option
int | $arg1
int | $arg2
Renvoie
bool

Références $option, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_stat()

stream_stat ( )
Renvoie
array

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_tell()

stream_tell ( )
Renvoie
int

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_truncate()

stream_truncate ( $new_size )
Paramètres
int $new_size
Renvoie
bool

Références PharStreamWrapper\invokeInternalStreamWrapper().

◆ stream_write()

stream_write ( $data )
Paramètres
string $data
Renvoie
int

Références $data, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ unlink()

unlink ( $path )
Paramètres
string $path
Renvoie
bool

Références $path, PharStreamWrapper\assert(), Behavior\COMMAND_UNLINK, et PharStreamWrapper\invokeInternalStreamWrapper().

◆ url_stat()

url_stat | ( | $path,
 |  | $flags
 | ) |
Paramètres
string | $path
int | $flags
Renvoie
array|false

Références $path, PharStreamWrapper\assert(), Behavior\COMMAND_URL_STAT, et PharStreamWrapper\invokeInternalStreamWrapper().

Documentation des champs

◆ $context

$context

Référencé par PharStreamWrapper\stream_open().

◆ $internalResource

$internalResource
protected

◆ $invocation

$invocation
protected

◆ STREAM_OPEN_FOR_INCLUDE

const STREAM_OPEN_FOR_INCLUDE = 128

Internal stream constants that are not exposed to PHP, but used...

Voir également
https://github.com/php/php-src/blob/e17fc0d73c611ad0207cac8a4a01ded38251a7dc/main/php_streams.h
La documentation de cette classe a été générée à partir du fichier suivant :
  • PharStreamWrapper.php


Joomla CMS: Référence de l'interface Resolvable

  • TYPO3
  • PharStreamWrapper
  • Resolvable
Fonctions membres publiques
Référence de l'interface Resolvable
+ Graphe d'héritage de Resolvable:
PharInvocationResolver

Fonctions membres publiques

resolve ($path, $flags=null)

Documentation des fonctions membres

◆ resolve()

resolve | ( | $path,
 |  | $flags = null
 | ) |
Paramètres
string | $path
null | int | $flags
Renvoie
null|PharInvocation

Implémenté dans PharInvocationResolver.

La documentation de cette interface a été générée à partir du fichier suivant :
  • Resolvable.php


Joomla CMS: Référence de la classe ActionLogPlugin

Attributs protégés
Référence de la classe ActionLogPlugin
+ Graphe d'héritage de ActionLogPlugin:
PlgActionlogJoomla

Attributs protégés

$app
$db
$autoloadLanguage = true

Description détaillée

Abstract Action Log Plugin

Depuis
3.9.0

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • actionlogplugin.php


Joomla CMS: Référence de la classe ActionlogsController

Référence de la classe ActionlogsController
+ Graphe d'héritage de ActionlogsController:

Description détaillée

Actionlogs Controller

Depuis
3.9.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_actionlogs/controller.php


Joomla CMS: Référence de la classe ActionlogsControllerActionlogs

Fonctions membres publiques
Référence de la classe ActionlogsControllerActionlogs
+ Graphe d'héritage de ActionlogsControllerActionlogs:

Fonctions membres publiques

__construct (array $config=array())
getModel ($name='Actionlogs', $prefix='ActionlogsModel', $config=array('ignore_request'=> true))
purge ()

Description détaillée

Actionlogs list controller class.

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( array $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
3.9.0

Références $config.

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Actionlogs',
 |  | $prefix = 'ActionlogsModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
3.9.0

Références $config, $name, et $prefix.

◆ purge()

purge ( )

Clean out the logs

Renvoie
void
Depuis
3.9.0

Références $message.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_actionlogs/controllers/actionlogs.php


Joomla CMS: Référence de la classe ActionlogsHelper

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs privés statiques
Référence de la classe ActionlogsHelper

Fonctions membres publiques statiques

static | getCsvData ($data)
static | loadTranslationFiles ($extension)
static | getLogContentTypeParams ($context)
static | getHumanReadableLogMessage ($log, $generateLinks=true)
static | getContentTypeLink ($component, $contentType, $id, $urlVar='id', $object=null)
static | loadActionLogPluginsLanguage ()

Fonctions membres protégées statiques

static escapeCsvFormula ($value)

Attributs privés statiques

static $characters = array('=', '+', '-', '@')

Description détaillée

Actionlogs component helper.

Depuis
3.9.0

Documentation des fonctions membres

◆ escapeCsvFormula()

static escapeCsvFormula ( $value )
staticprotected

Escapes potential characters that start a formula in a CSV value to prevent injection attacks

Paramètres
mixed $value csv field value
Renvoie
mixed
Depuis
3.9.7

Références $value.

◆ getContentTypeLink()

static getContentTypeLink | ( | $component,
 |  | $contentType,
 |  | $id,
 |  | $urlVar = 'id',
 |  | $object = null
 | ) |
static

Get link to an item of given content type

Paramètres
string | $component
string | $contentType
integer | $id
string | $urlVar
JObject | $object
Renvoie
string Link to the content item
Depuis
3.9.0

Références $component, $file, $id, $prefix, JPATH_ADMINISTRATOR, et JLoader\register().

Référencé par PlgActionlogJoomla\onContentAfterSave(), PlgActionlogJoomla\onContentChangeState(), et PlgActionlogJoomla\onExtensionAfterSave().

◆ getCsvData()

static getCsvData ( $data )
static

Method to convert logs objects array to an iterable type for use with a CSV export

Paramètres
array | Traversable $data The logs data objects to be exported
Renvoie
array|Generator For PHP 5.5 and newer, a Generator is returned; PHP 5.4 and earlier use an array
Depuis
3.9.0
Exceptions
InvalidArgumentException

Références $data, $date, $extension, $rows, ActionlogsHelperPhp55\getCsvAsGenerator(), et JLoader\register().

Référencé par PlgPrivacyActionlogs\onPrivacyExportRequest().

◆ getHumanReadableLogMessage()

static getHumanReadableLogMessage | ( | $log,
 |  | $generateLinks = true
 | ) |
static

Get human readable log message for a User Action Log

Paramètres
stdClass | $log | A User Action log message record
boolean | $generateLinks | Flag to disable link generation when creating a message
Renvoie
string
Depuis
3.9.0

Références $key, $message, $value, ENT_QUOTES, Factory\getApplication(), et htmlspecialchars.

Référencé par ActionlogsHelperPhp55\getCsvAsGenerator(), ModLatestActionsHelper\getList(), et ActionlogsModelActionlog\sendNotificationEmails().

◆ getLogContentTypeParams()

static getLogContentTypeParams ( $context )
static

Get parameters to be

Paramètres
string $context The context of the content
Renvoie
mixed An object contains content type parameters, or null if not found
Depuis
3.9.0

Références $context, $db, $query, et Factory\getDbo().

Référencé par PlgActionlogJoomla\onContentAfterDelete(), PlgActionlogJoomla\onContentAfterSave(), PlgActionlogJoomla\onContentChangeState(), PlgActionlogJoomla\onExtensionAfterDelete(), et PlgActionlogJoomla\onExtensionAfterSave().

◆ loadActionLogPluginsLanguage()

static loadActionLogPluginsLanguage ( )
static

Load both enabled and disabled actionlog plugins language file.

It is used to make sure actions log is displayed properly instead of only language items displayed when a plugin is disabled.

Renvoie
void
Depuis
3.9.0

Références $db, $extension, $lang, $name, $query, $row, $rows, $type, Factory\getDbo(), Factory\getLanguage(), JPATH_ADMINISTRATOR, JPATH_PLUGINS, et null.

Référencé par ActionlogsViewActionlogs\display(), et ModLatestActionsHelper\getList().

◆ loadTranslationFiles()

static loadTranslationFiles ( $extension )
static

Load the translation files for an extension

Paramètres
string $extension Extension name
Renvoie
void
Depuis
3.9.0

Références $extension, $lang, $parts, Factory\getLanguage(), JPATH_ADMINISTRATOR, JPATH_BASE, JPATH_LIBRARIES, JPATH_PLUGINS, JPATH_SITE, et null.

Référencé par ActionlogsHelperPhp55\getCsvAsGenerator(), JFormFieldExtension\getOptions(), JFormFieldLogType\getOptions(), PlgSystemActionLogs\renderActionlogsExtensions(), et ActionlogsModelActionlog\sendNotificationEmails().

Documentation des champs

◆ $characters

$characters = array('=', '+', '-', '@')
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_actionlogs/helpers/actionlogs.php


Joomla CMS: Référence de la classe ActionlogsHelperPhp55

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs privés statiques
Référence de la classe ActionlogsHelperPhp55

Fonctions membres publiques statiques

static getCsvAsGenerator ($data)

Fonctions membres protégées statiques

static escapeCsvFormula ($value)

Attributs privés statiques

static $characters = array('=', '+', '-', '@')

Description détaillée

Actionlogs component helper for newer PHP versions.

This file should only be included in environments running PHP 5.5 or newer and may potentially cause a parse error on older versions.

Depuis
3.9.0
Obsolète:
Will be inlined back into ActionlogsHelper when PHP 5.5 or newer is the minimum supported PHP version

Documentation des fonctions membres

◆ escapeCsvFormula()

static escapeCsvFormula ( $value )
staticprotected

Escapes potential characters that start a formula in a CSV value to prevent injection attacks

Paramètres
mixed $value csv field value
Renvoie
mixed
Depuis
3.9.7

Références $value.

◆ getCsvAsGenerator()

static getCsvAsGenerator ( $data )
static

Method to convert logs objects array to a Generator for use with a CSV export

Paramètres
array | Traversable $data The logs data objects to be exported
Renvoie
Generator
Depuis
3.9.0
Exceptions
InvalidArgumentException

Références $data, $extension, ActionlogsHelper\getHumanReadableLogMessage(), et ActionlogsHelper\loadTranslationFiles().

Référencé par ActionlogsHelper\getCsvData().

Documentation des champs

◆ $characters

$characters = array('=', '+', '-', '@')
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • actionlogsphp55.php


Joomla CMS: Référence de la classe ActionlogsModelActionlog

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ActionlogsModelActionlog
+ Graphe d'héritage de ActionlogsModelActionlog:

Fonctions membres publiques

addLog ($messages, $messageLanguageKey, $context, $userId=null)

Fonctions membres protégées

sendNotificationEmails ($messages, $username, $context)

Description détaillée

Methods supporting a list of Actionlog records.

Depuis
3.9.0

Documentation des fonctions membres

◆ addLog()

addLog | ( | $messages,
 |  | $messageLanguageKey,
 |  | $context,
 |  | $userId = null
 | ) |

Function to add logs to the database This method adds a record to #__action_logs contains (message_language_key, message, date, context, user)

Paramètres
array | $messages | The contents of the messages to be logged
string | $messageLanguageKey | The language key of the message
string | $context | The context of the content passed to the plugin
integer | $userId | ID of user perform the action, usually ID of current logged in user
Renvoie
void
Depuis
3.9.0

Références $context, $date, $db, $message, $messages, $params, $user, $userId, Factory\getDate(), Factory\getUser(), et json_encode.

◆ sendNotificationEmails()

sendNotificationEmails | ( | $messages,
 |  | $username,
 |  | $context
 | ) |
protected

Send notification emails about the action log

Paramètres
array | $messages | The logged messages
string | $username | The username
string | $context | The Context
Renvoie
void
Depuis
3.9.0

Références $context, $db, $displayData, $extension, $layout, $message, $messages, $params, $query, $showIpColumn, $user, $users, ActionlogsHelper\getHumanReadableLogMessage(), Factory\getMailer(), JPATH_ADMINISTRATOR, ActionlogsHelper\loadTranslationFiles(), et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • actionlog.php


Joomla CMS: Référence de la classe ActionlogsModelActionlogs

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées
Référence de la classe ActionlogsModelActionlogs
+ Graphe d'héritage de ActionlogsModelActionlogs:

Fonctions membres publiques

__construct ($config=array())
getLogsForItem ($extension, $itemId)
getLogsData ($pks=null)
getLogDataAsIterator ($pks=null)
delete (&$pks)
purge ()
getFilterForm ($data=array(), $loadData=true)

Fonctions membres protégées

populateState ($ordering='a.id', $direction='desc')
getListQuery ()

Fonctions membres privées

buildDateRange ($range)
getLogDataQuery ($pks=null)

Description détaillée

Methods supporting a list of article records.

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
3.9.0

Références $config.

Documentation des fonctions membres

◆ buildDateRange()

buildDateRange ( $range )
private

Construct the date range to filter on.

Paramètres
string $range The textual range to construct the filter for.
Renvoie
array The date range to filter on.
Depuis
3.9.0

Références $offset, $range, et Factory\getApplication().

◆ delete()

delete ( & $pks )

Delete logs

Paramètres
array $pks Primary keys of logs
Renvoie
boolean
Depuis
3.9.0

Références $db, $query, Factory\getApplication(), et ArrayHelper\toInteger().

◆ getFilterForm()

getFilterForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Get the filter form

Paramètres
array | $data | data
boolean | $loadData | load current data
Renvoie
|boolean The object or false on error
Depuis
3.9.0

Références $data, $field, $form, et $params.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
3.9.0

Références $date, $db, $extension, $query, $user, et elseif.

◆ getLogDataAsIterator()

getLogDataAsIterator ( $pks = null )

Get logs data as a database iterator

Paramètres
integer[]|null $pks An optional array of log record IDs to load
Renvoie
JDatabaseIterator
Depuis
3.9.0

Références $db, et $query.

◆ getLogDataQuery()

getLogDataQuery ( $pks = null )
private

Get the query for loading logs data

Paramètres
integer[]|null $pks An optional array of log record IDs to load
Renvoie
JDatabaseQuery
Depuis
3.9.0

Références $db, $query, et ArrayHelper\toInteger().

◆ getLogsData()

getLogsData ( $pks = null )

Get logs data into JTable object

Paramètres
integer[]|null $pks An optional array of log record IDs to load
Renvoie
array All logs in the table
Depuis
3.9.0

Références $db, et $query.

◆ getLogsForItem()

getLogsForItem | ( | $extension,
 |  | $itemId
 | ) |

Get all log entries for an item

Paramètres
string | $extension | The extension the item belongs to
integer | $itemId | The item ID
Renvoie
array
Depuis
3.9.0

Références $db, $extension, $itemId, et $query.

◆ populateState()

populateState | ( | $ordering = 'a.id',
 |  | $direction = 'desc'
 | ) |
protected

Method to auto-populate the model state.

Renvoie
void
Depuis
3.9.0

Références $app, $direction, $extension, $ordering, $user, et Factory\getApplication().

◆ purge()

purge ( )

Removes all of logs from the table.

Renvoie
boolean result of operation
Depuis
3.9.0

Références Factory\getApplication().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_actionlogs/models/actionlogs.php


Joomla CMS: Référence de la classe ActionlogsViewActionlogs

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe ActionlogsViewActionlogs
+ Graphe d'héritage de ActionlogsViewActionlogs:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$activeFilters

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$state
$pagination

Description détaillée

View class for a list of logs.

Depuis
3.9.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.9.0

Références title.

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
3.9.0

Références $params, items, ActionlogsHelper\loadActionLogPluginsLanguage(), et JError\raiseError().

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_actionlogs/views/actionlogs/view.html.php


Joomla CMS: Référence de la classe AdminController

Fonctions membres publiques
Référence de la classe AdminController
+ Graphe d'héritage de AdminController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())

Description détaillée

Admin Controller

Depuis
1.6

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

View method

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().@return\JControllerLegacyA\JControllerLegacyobjecttosupportchaining.@since3.9

Références $format.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_admin/controller.php


Joomla CMS: Référence de la classe AdminControllerProfile

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe AdminControllerProfile
+ Graphe d'héritage de AdminControllerProfile:

Fonctions membres publiques

save ($key=null, $urlVar=null)
cancel ($key=null)

Fonctions membres protégées

allowEdit ($data=array(), $key='id')

Description détaillée

User profile controller class.

Depuis
1.6

Documentation des fonctions membres

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method to check if you can edit a record.

Extended classes can override this if necessary.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data.

◆ cancel()

cancel ( $key = null )

Method to cancel an edit.

Paramètres
string $key The name of the primary key of the URL variable.
Renvoie
boolean True if access level checks pass, false otherwise.
Depuis
1.6

Références $key, et $return.

◆ save()

save | ( | $key = null,
 |  | $urlVar = null
 | ) |

Overrides parent save method to check the submitted passwords match.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if successful, false otherwise.
Depuis
3.2

Références $return.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_admin/controllers/profile.php


Joomla CMS: Référence de la classe AdminModelHelp

Fonctions membres publiques | Attributs protégés
Référence de la classe AdminModelHelp
+ Graphe d'héritage de AdminModelHelp:

Fonctions membres publiques

& getHelpSearch ()
& getPage ()
getLangTag ()
& getToc ()
& getLatestVersionCheck ()

Attributs protégés

$help_search = null
$page = null
$lang_tag = null
$toc = null
$latest_version_check = null

Description détaillée

Admin Component Help Model

Depuis
1.6

Documentation des fonctions membres

◆ getHelpSearch()

& getHelpSearch ( )

Method to get the help search string

Renvoie
string Help search string
Depuis
1.6

◆ getLangTag()

getLangTag ( )

Method to get the lang tag

Renvoie
string lang iso tag
Depuis
1.6

Références JPATH_BASE.

◆ getLatestVersionCheck()

& getLatestVersionCheck ( )

Method to get the latest version check

Renvoie
string Latest Version Check URL

◆ getPage()

& getPage ( )

Method to get the page

Renvoie
string The page
Depuis
1.6

◆ getToc()

& getToc ( )

Method to get the table of contents

Renvoie
array Table of contents

Références $buffer, $data, $file, $files, $key, $title, $value, jimport(), et JPATH_BASE.

Documentation des champs

◆ $help_search

$help_search = null
protected

◆ $lang_tag

$lang_tag = null
protected

◆ $latest_version_check

$latest_version_check = null
protected

◆ $page

$page = null
protected

◆ $toc

$toc = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_admin/models/help.php


Joomla CMS: Référence de la classe AdminModelProfile

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe AdminModelProfile
+ Graphe d'héritage de AdminModelProfile:
UsersModelUser

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getItem ($pk=null)
save ($data)
getTwofactorform ($userId=null)
getOtpConfig ($userId=null)
setOtpConfig ($userId, $otpConfig)
generateOteps ($userId, $count=10)
- Fonctions membres publiques hérités de UsersModelUser
__construct ($config=array())
getTable ($type='User', $prefix='JTable', $config=array())
getItem ($pk=null)
getForm ($data=array(), $loadData=true)
save ($data)
delete (&$pks)
block (&$pks, $value=1)
activate (&$pks)
batch ($commands, $pks, $contexts)
batchReset ($userIds, $action)
batchUser ($groupId, $userIds, $action)
getGroups ()
getAssignedGroups ($userId=null)
getOtpConfig ($userId=null)
setOtpConfig ($userId, $otpConfig)
getOtpConfigEncryptionKey ()
getTwofactorform ($userId=null)
generateOteps ($userId, $count=10)
isValidSecretKey ($userId, $secretKey, $options=array())
isValidOtep ($userId, $otep, $otpConfig=null)

Fonctions membres protégées

loadFormData ()
- Fonctions membres protégées hérités de UsersModelUser
loadFormData ()
preprocessForm (JForm $form, $data, $group='user')

Membres hérités additionnels

- Attributs protégés hérités de UsersModelUser
$_item = null

Description détaillée

User model.

Depuis
1.6

Documentation des fonctions membres

◆ generateOteps()

generateOteps | ( | $userId,
 |  | $count = 10
 | ) |

Generates a new set of One Time Emergency Passwords (OTEPs) for a given user.

Paramètres
integer | $userId | The user ID
integer | $count | How many OTEPs to generate? Default: 10
Renvoie
array The generated OTEPs
Depuis
DEPOLOY_VERSION

Références $count, $userId, et UsersModelUser\generateOteps().

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
1.6

◆ getOtpConfig()

getOtpConfig ( $userId = null )

Returns the one time password (OTP) – a.k.a. two factor authentication – configuration for a particular user.

Paramètres
integer $userId The numeric ID of the user
Renvoie
stdClass An object holding the OTP configuration for this user
Depuis
DEPOLOY_VERSION

Références $userId, et UsersModelUser\getOtpConfig().

◆ getTwofactorform()

getTwofactorform ( $userId = null )

Gets the configuration forms for all two-factor authentication methods in an array.

Paramètres
integer $userId The user ID to load the forms for (optional)
Renvoie
array
Depuis
DEPOLOY_VERSION

Références $userId, et UsersModelUser\getTwofactorform().

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $data, $user, FOFPlatform\getInstance(), et null.

◆ setOtpConfig()

setOtpConfig | ( | $userId,
 |  | $otpConfig
 | ) |

Sets the one time password (OTP) – a.k.a. two factor authentication – configuration for a particular user. The $otpConfig object is the same as the one returned by the getOtpConfig method.

Paramètres
integer | $userId | The numeric ID of the user
stdClass | $otpConfig | The OTP configuration object
Renvoie
boolean True on success
Depuis
DEPOLOY_VERSION

Références $userId, et UsersModelUser\setOtpConfig().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_admin/models/profile.php


Joomla CMS: Référence de la classe AdminModelSysInfo

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe AdminModelSysInfo
+ Graphe d'héritage de AdminModelSysInfo:

Fonctions membres publiques

& getPhpSettings ()
& getConfig ()
& getInfo ()
phpinfoEnabled ()
getSafeData ($dataType, $public=true)
& getPHPInfo ()
getPhpInfoArray ()
getExtensions ()
getDirectory ($public=false)
& getEditor ()

Fonctions membres protégées

cleanPrivateData ($dataArray, $dataType='other')
cleanSectionPrivateData ($sectionValues)
parsePhpInfo ($html)

Attributs protégés

$php_settings = array()
$config = array()
$info = array()
$php_info = null
$phpInfoArray
$privateSettings
$safeData
$directories = array()
$editor = null

Fonctions membres privées

addDirectory ($name, $path, $message='')

Description détaillée

Model for the display of system information.

Depuis
1.6

Documentation des fonctions membres

◆ addDirectory()

addDirectory | ( | $name,
 |  | $path,
 |  | $message = ''
 | ) |
private

Method to add a directory

Paramètres
string | $name | Directory Name
string | $path | Directory path
string | $message | Message
Renvoie
void
Depuis
1.6

Références $message, $name, et $path.

◆ cleanPrivateData()

cleanPrivateData | ( | $dataArray,
 |  | $dataType = 'other'
 | ) |
protected

Remove sections of data marked as private in the privateSettings

Paramètres
array | $dataArray | Array with data that may contain private information
string | $dataType | Type of data to search for a specific section in the privateSettings array
Renvoie
array
Depuis
3.5

Références $section.

◆ cleanSectionPrivateData()

cleanSectionPrivateData ( $sectionValues )
protected

Obfuscate section values

Paramètres
mixed $sectionValues Section data
Renvoie
mixed
Depuis
3.5

Références $value, et JPATH_ROOT.

◆ getConfig()

& getConfig ( )

Method to get the config

Renvoie
array config values
Depuis
1.6

Références $config, $hidden, et $key.

◆ getDirectory()

getDirectory ( $public = false )

Method to get the directory states

Paramètres
bool $public If true no information is going to be removed
Renvoie
array States of directories
Depuis
1.6

Références $cparams, $folder, JPATH_ADMINISTRATOR, JPATH_CACHE, JPATH_CONFIGURATION, JPATH_LIBRARIES, JPATH_PLUGINS, JPATH_ROOT, JPATH_SITE, et JPATH_THEMES.

◆ getEditor()

& getEditor ( )

Method to get the editor

Renvoie
string The default editor
Note
Has to be removed (it is present in the config...)
Depuis
1.6

Références $editor.

◆ getExtensions()

getExtensions ( )

Method to get a list of installed extensions

Renvoie
array installed extensions
Depuis
3.5

Références $db, $extension, $manifest, et $query.

◆ getInfo()

& getInfo ( )

Method to get the system information

Renvoie
array System information values
Depuis
1.6

Références $db, $info, et $version.

◆ getPHPInfo()

& getPHPInfo ( )

Method to get the PHP info

Renvoie
string PHP info
Depuis
1.6

Références $output.

◆ getPhpInfoArray()

getPhpInfoArray ( )

Get phpinfo() output as array

Renvoie
array
Depuis
3.5

Références null.

◆ getPhpSettings()

& getPhpSettings ( )

Method to get the PHP settings

Renvoie
array Some PHP settings
Depuis
1.6

◆ getSafeData()

getSafeData | ( | $dataType,
 |  | $public = true
 | ) |

Method to get filter data from the model

Paramètres
string | $dataType | Type of data to get safely
bool | $public | If true no sensitive information will be removed
Renvoie
array
Depuis
3.5

Références $data.

◆ parsePhpInfo()

parsePhpInfo ( $html )
protected

Parse phpinfo output into an array Source https://gist.github.com/sbmzhcn/6255314

Paramètres
string $html Output of phpinfo()
Renvoie
array
Depuis
3.5

Références $count, $html, $i, $name, $r, et elseif.

◆ phpinfoEnabled()

phpinfoEnabled ( )

Check if the phpinfo function is enabled

Renvoie
boolean True if enabled
Depuis
3.4.1

Documentation des champs

◆ $config

$config = array()
protected

◆ $directories

$directories = array()
protected

◆ $editor

$editor = null
protected

◆ $info

$info = array()
protected

◆ $php_info

$php_info = null
protected

◆ $php_settings

$php_settings = array()
protected

◆ $phpInfoArray

$phpInfoArray
protected

◆ $privateSettings

$privateSettings
protected

◆ $safeData

$safeData
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • sysinfo.php


Joomla CMS: Référence de la classe AdminViewHelp

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe AdminViewHelp
+ Graphe d'héritage de AdminViewHelp:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$help_search = null
$page = null
$lang_tag = null
$toc = array()
$latest_version_check = 'https://downloads.joomla.org/latest'
$start_here = null

Description détaillée

HTML View class for the Admin component

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Setup the Toolbar

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Documentation des champs

◆ $help_search

$help_search = null
protected

◆ $lang_tag

$lang_tag = null
protected

◆ $latest_version_check

$latest_version_check = 'https://downloads.joomla.org/latest'
protected

◆ $page

$page = null
protected

◆ $start_here

$start_here = null
protected

◆ $toc

$toc = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_admin/views/help/view.html.php


Joomla CMS: Référence de la classe AdminViewProfile

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe AdminViewProfile
+ Graphe d'héritage de AdminViewProfile:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state

Description détaillée

View class to allow users edit their own profile.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références UsersHelper\getTwoFactorMethods(), item, JPATH_ADMINISTRATOR, et null.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_admin/views/profile/view.html.php


Joomla CMS: Référence de la classe AdminViewSysinfo

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe AdminViewSysinfo
+ Graphe d'héritage de AdminViewSysinfo:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

_setSubMenu ()
addToolbar ()
getLayoutData ()
getLayoutData ()
renderSection ($sectionName, $sectionData, $level=0)
renderDirectories ($sectionName, $sectionData, $level=-1)

Attributs protégés

$php_settings = array()
$config = array()
$info = array()
$php_info = null
$directory = array()

Description détaillée

Sysinfo View class for the Admin component

Depuis
1.6

Sysinfo View class for the Admin component

Depuis
3.5

Documentation des fonctions membres

◆ _setSubMenu()

_setSubMenu ( )
protected

Setup the SubMenu

Renvoie
void
Depuis
1.6
Note
Necessary for Hathor compatibility
Obsolète:
4.0 To be removed with Hathor

Références $document, et getDocument.

◆ addToolbar()

addToolbar ( )
protected

Setup the Toolbar

Renvoie
void
Depuis
1.6

Références title.

◆ display() [1/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
3.5

Références $data, et json_encode.

◆ display() [2/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
3.5

Références $data, $section, et JPATH_ROOT.

◆ display() [3/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

◆ getLayoutData() [1/2]

getLayoutData ( )
protected

Get the data for the view

Renvoie
array
Depuis
3.5

◆ getLayoutData() [2/2]

getLayoutData ( )
protected

Get the data for the view

Renvoie
array
Depuis
3.5

◆ renderDirectories()

renderDirectories | ( | $sectionName,
 |  | $sectionData,
 |  | $level = -1
 | ) |
protected

Specific rendering for directories

Paramètres
string | $sectionName | Name of the section
array | $sectionData | Directories information
integer | $level | Starting level
Renvoie
string
Depuis
3.5

Références $data.

◆ renderSection()

renderSection | ( | $sectionName,
 |  | $sectionData,
 |  | $level = 0
 | ) |
protected

Render a section

Paramètres
string | $sectionName | Name of the section to render
array | $sectionData | Data of the section to render
integer | $level | Depth level for indentation
Renvoie
string
Depuis
3.5

Références $name, $value, et null.

Documentation des champs

◆ $config

$config = array()
protected

◆ $directory

$directory = array()
protected

◆ $info

$info = array()
protected

◆ $php_info

$php_info = null
protected

◆ $php_settings

$php_settings = array()
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_admin/views/sysinfo/view.html.php
  • com_admin/views/sysinfo/view.json.php
  • view.text.php


Joomla CMS: Référence de la classe AKAbstractObject

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe AKAbstractObject
+ Graphe d'héritage de AKAbstractObject:
AKAbstractPart AKAbstractPostproc AKCoreTimer AKText AKUtilsLister AKAbstractUnarchiver AKPostprocDirect AKUnarchiverJPA AKUnarchiverZIP

Fonctions membres publiques

getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)

Fonctions membres protégées

setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)

Attributs protégés

$_errors_queue_size = 0
$_warnings_queue_size = 0

Fonctions membres privées

getItemFromArray ($array, $i=null)

Attributs privés

$_errors = array()
$_warnings = array()

Description détaillée

The base class of Akeeba Engine objects. Allows for error and warnings logging and propagation. Largely based on the Joomla! 1.5 JObject class.

Documentation des fonctions membres

◆ getError()

getError ( $i = null )

Get the most recent error message

Paramètres
integer $i Optional error index
Renvoie
string Error message

Références $i, et getItemFromArray().

Référencé par AKAbstractPart\_makeReturnTable(), AKAbstractUnarchiver\_prepare(), AKAbstractUnarchiver\_run(), et AKAbstractPart\getState().

◆ getErrors()

getErrors ( )

Return all errors, if any

Renvoie
array Array of error messages

Références $_errors.

◆ getItemFromArray()

getItemFromArray | ( | $array,
 |  | $i = null
 | ) |
private

Returns the last item of a LIFO string message queue, or a specific item if so specified.

Paramètres
array | $array | An array of strings, holding messages
int | $i | Optional message index
Renvoie
mixed The message string, or false if the key doesn't exist

Références $i, $item, et null.

Référencé par getError(), et getWarning().

◆ getWarning()

getWarning ( $i = null )

Get the most recent warning message

Paramètres
integer $i Optional warning index
Renvoie
string Error message

Références $i, et getItemFromArray().

◆ getWarnings()

getWarnings ( )

Return all warnings, if any

Renvoie
array Array of error messages

Références $_warnings.

Référencé par AKAbstractPart\_makeReturnTable().

◆ propagateFromObject()

propagateFromObject ( & $object )

Propagates errors and warnings from a foreign object. Each propagated list is then cleared on the foreign object, as long as it implements resetErrors() and/or resetWarnings() methods.

Paramètres
object $object The object to propagate errors and warnings from

Références setError(), et setWarning().

Référencé par AKAbstractUnarchiver\_run().

◆ propagateToObject()

propagateToObject ( & $object )

Propagates errors and warnings to a foreign object. The foreign object SHOULD implement the setError() and/or setWarning() methods but DOESN'T HAVE TO be of AKAbstractObject type. For example, this can even be used to propagate to a JObject instance in Joomla!. Propagated items will be removed from ourselves.

Paramètres
object $object The object to propagate errors and warnings to.

◆ resetErrors()

resetErrors ( )

Resets all error messages

◆ resetWarnings()

resetWarnings ( )

Resets all warning messages

◆ setError()

setError ( $error )

Add an error message

Paramètres
string $error Error message

Référencé par AKPostprocDirect\createDirRecursive(), AKAbstractUnarchiver\nextFile(), propagateFromObject(), AKUnarchiverJPA\readArchiveHeader(), AKUnarchiverZIP\readArchiveHeader(), AKUnarchiverZIP\readFileHeader(), et AKAbstractPart\setState().

◆ setErrorsQueueSize()

setErrorsQueueSize ( $newSize = 0 )
protected

Sets the size of the error queue (acts like a LIFO buffer)

Paramètres
int $newSize The new queue size. Set to 0 for infinite length.

◆ setWarning()

setWarning ( $warning )

Add an error message

Paramètres
string $error Error message

Référencé par AKUtilsLister\getFiles(), AKUtilsLister\getFolders(), et propagateFromObject().

◆ setWarningsQueueSize()

setWarningsQueueSize ( $newSize = 0 )
protected

Sets the size of the warnings queue (acts like a LIFO buffer)

Paramètres
int $newSize The new queue size. Set to 0 for infinite length.

Documentation des champs

◆ $_errors

$_errors = array()
private

Référencé par getErrors().

◆ $_errors_queue_size

$_errors_queue_size = 0
protected

◆ $_warnings

$_warnings = array()
private

Référencé par getWarnings().

◆ $_warnings_queue_size

$_warnings_queue_size = 0
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKAbstractPart

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe AKAbstractPart
+ Graphe d'héritage de AKAbstractPart:
AKAbstractObject AKAbstractUnarchiver AKUnarchiverJPA AKUnarchiverZIP

Fonctions membres publiques

tick ()
getState ()
getStatusArray ()
setup ($parametersArray)
getDomain ()
getStep ()
getSubstep ()
attach (AKAbstractPartObserver $obs)
detach (AKAbstractPartObserver $obs)
- Fonctions membres publiques hérités de AKAbstractObject
getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)

Fonctions membres protégées

_prepare ()
_run ()
_finalize ()
_makeReturnTable ()
setState ($state='init', $errorMessage='Invalid setState argument')
setBreakFlag ()
setDomain ($new_domain)
setStep ($new_step)
setSubstep ($new_substep)
notify ($message)
- Fonctions membres protégées hérités de AKAbstractObject
setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)

Attributs protégés

$isPrepared = false
$isRunning = false
$isFinished = false
$hasRan = false
$active_domain = ""
$active_step = ""
$active_substep = ""
$_parametersArray = array()
$databaseRoot = array()
$observers = array()
- Attributs protégés hérités de AKAbstractObject
$_errors_queue_size = 0
$_warnings_queue_size = 0

Attributs privés

$warnings_pointer = -1

Description détaillée

The superclass of all Akeeba Kickstart parts. The "parts" are intelligent stateful classes which perform a single procedure and have preparation, running and finalization phases. The transition between phases is handled automatically by this superclass' tick() final public method, which should be the ONLY public API exposed to the rest of the Akeeba Engine.

Documentation des fonctions membres

◆ _finalize()

_finalize ( )
abstractprotected

Runs the finalisation process for this part. Should set _isFinished to true.

Référencé par tick().

◆ _makeReturnTable()

_makeReturnTable ( )
finalprotected

Constructs a Response Array based on the engine part's state.

Renvoie
array The Response Array for the current state

Références AKAbstractObject\getError(), et AKAbstractObject\getWarnings().

Référencé par getStatusArray(), et tick().

◆ _prepare()

_prepare ( )
abstractprotected

Runs the preparation for this part. Should set _isPrepared to true

Référencé par tick().

◆ _run()

_run ( )
abstractprotected

Runs the main functionality loop for this part. Upon calling, should set the _isRunning to true. When it finished, should set the _hasRan to true. If an error is encountered, setError should be used.

Référencé par tick().

◆ attach()

attach ( AKAbstractPartObserver $obs )

Attaches an observer object

Paramètres
AKAbstractPartObserver $obs

◆ detach()

detach ( AKAbstractPartObserver $obs )

Detaches an observer object

Paramètres
AKAbstractPartObserver $obs

◆ getDomain()

getDomain ( )
final

Références $active_domain.

◆ getState()

getState ( )
final

Returns the state of this engine part.

Renvoie
string The state of this engine part. It can be one of error, init, prepared, running, postrun, finished.

Références AKAbstractObject\getError().

Référencé par AKAbstractUnarchiver\_run(), et tick().

◆ getStatusArray()

getStatusArray ( )

Returns a copy of the class's status array

Renvoie
array

Références _makeReturnTable().

◆ getStep()

getStep ( )
final

Références $active_step.

◆ getSubstep()

getSubstep ( )
final

Références $active_substep.

◆ notify()

notify ( $message )
protected

Notifies observers each time something interesting happened to the part

Paramètres
mixed $message The event object

Références $message.

Référencé par AKAbstractUnarchiver\_run(), AKAbstractUnarchiver\fread(), et AKAbstractUnarchiver\scanArchives().

◆ setBreakFlag()

setBreakFlag ( )
protected

Sets the BREAKFLAG, which instructs this engine part that the current step must break immediately, in fear of timing out.

Références AKFactory\set().

◆ setDomain()

setDomain ( $new_domain )
finalprotected

◆ setState()

setState | ( | $state = 'init',
 |  | $errorMessage = 'Invalid setState argument'
 | ) |
protected

Sets the engine part's internal state, in an easy to use manner

Paramètres
string | $state | One of init, prepared, running, postrun, finished, error
string | $errorMessage | The reported error message, should the state be set to error

Références $state, et AKAbstractObject\setError().

Référencé par AKAbstractUnarchiver\_finalize(), AKAbstractUnarchiver\_prepare(), AKAbstractUnarchiver\_run(), AKAbstractUnarchiver\nextFile(), et setup().

◆ setStep()

setStep ( $new_step )
finalprotected

◆ setSubstep()

setSubstep ( $new_substep )
finalprotected

◆ setup()

setup ( $parametersArray )
final

Sends any kind of setup information to the engine part. Using this, we avoid passing parameters to the constructor of the class. These parameters should be passed as an indexed array and should be taken into account during the preparation process only. This function will set the error flag if it's called after the engine part is prepared.

Paramètres
array $parametersArray The parameters to be passed to the engine part.

Références setState().

◆ tick()

tick ( )
final

The public interface to an engine part. This method takes care for calling the correct method in order to perform the initialisation - run - finalisation cycle of operation and return a proper response array.

Renvoie
array A Response Array

Références _finalize(), _makeReturnTable(), _prepare(), _run(), et getState().

Documentation des champs

◆ $_parametersArray

$_parametersArray = array()
protected

◆ $active_domain

$active_domain = ""
protected

Référencé par getDomain().

◆ $active_step

$active_step = ""
protected

Référencé par getStep().

◆ $active_substep

$active_substep = ""
protected

Référencé par getSubstep().

◆ $databaseRoot

$databaseRoot = array()
protected

◆ $hasRan

$hasRan = false
protected

◆ $isFinished

$isFinished = false
protected

◆ $isPrepared

$isPrepared = false
protected

◆ $isRunning

$isRunning = false
protected

◆ $observers

$observers = array()
protected

◆ $warnings_pointer

$warnings_pointer = -1
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKAbstractPartObserver

Fonctions membres publiques
Référence de la classe AKAbstractPartObserver

Fonctions membres publiques

update ($object, $message)

Description détaillée

Descendants of this class can be used in the unarchiver's observer methods (attach, detach and notify)

Auteur
Nicholas

Documentation des fonctions membres

◆ update()

update | ( | $object,
 |  | $message
 | ) |
abstract
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKAbstractPostproc

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe AKAbstractPostproc
+ Graphe d'héritage de AKAbstractPostproc:
AKAbstractObject AKPostprocDirect

Fonctions membres publiques

process ()
processFilename ($filename, $perms=0755)
createDirRecursive ($dirName, $perms)
chmod ($file, $perms)
unlink ($file)
rmdir ($directory)
rename ($from, $to)
- Fonctions membres publiques hérités de AKAbstractObject
getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)

Champs de données

$timestamp = 0

Attributs protégés

$filename = null
$perms = 0755
$tempFilename = null
- Attributs protégés hérités de AKAbstractObject
$_errors_queue_size = 0
$_warnings_queue_size = 0

Membres hérités additionnels

- Fonctions membres protégées hérités de AKAbstractObject
setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)

Description détaillée

File post processor engines base class

Documentation des fonctions membres

◆ chmod()

chmod | ( | $file,
 |  | $perms
 | ) |
abstract

◆ createDirRecursive()

createDirRecursive | ( | $dirName,
 |  | $perms
 | ) |
abstract

Recursively creates a directory if it doesn't exist

Paramètres
string | $dirName | The directory to create
int | $perms | The permissions to give to that directory

◆ process()

process ( )
abstract

Processes the current file, e.g. moves it from temp to final location by FTP

◆ processFilename()

processFilename | ( | $filename,
 |  | $perms = 0755
 | ) |
abstract

The unarchiver tells us the path to the filename it wants to extract and we give it a different path instead.

Paramètres
string | $filename | The path to the real file
int | $perms | The permissions we need the file to have
Renvoie
string The path to the temporary file

◆ rename()

rename | ( | $from,
 |  | $to
 | ) |
abstract

◆ rmdir()

rmdir ( $directory )
abstract

◆ unlink()

unlink ( $file )
abstract

Documentation des champs

◆ $filename

$filename = null
protected

Référencé par AKPostprocDirect\processFilename().

◆ $perms

$perms = 0755
protected

Référencé par AKPostprocDirect\chmod(), AKPostprocDirect\createDirRecursive(), et AKPostprocDirect\processFilename().

◆ $tempFilename

$tempFilename = null
protected

◆ $timestamp

$timestamp = 0
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKAbstractUnarchiver

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe AKAbstractUnarchiver
+ Graphe d'héritage de AKAbstractUnarchiver:
AKAbstractPart AKAbstractObject AKUnarchiverJPA AKUnarchiverZIP

Fonctions membres publiques

__wakeup ()
shutdown ()
isIgnoredDirectory ($shortFilename)
- Fonctions membres publiques hérités de AKAbstractPart
tick ()
getState ()
getStatusArray ()
setup ($parametersArray)
getDomain ()
getStep ()
getSubstep ()
attach (AKAbstractPartObserver $obs)
detach (AKAbstractPartObserver $obs)
- Fonctions membres publiques hérités de AKAbstractObject
getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)

Champs de données

$archiveList = array()
$totalSize = array()
$renameFiles = array()
$renameDirs = array()
$skipFiles = array()

Fonctions membres protégées

_prepare ()
readArchiveHeader ()
_run ()
readFileHeader ()
processFileData ()
_finalize ()
nextFile ()
isEOF ($local=false)
setCorrectPermissions ($path)
fread ($fp, $length=null)
removePath ($path)
- Fonctions membres protégées hérités de AKAbstractPart
_prepare ()
_run ()
_finalize ()
_makeReturnTable ()
setState ($state='init', $errorMessage='Invalid setState argument')
setBreakFlag ()
setDomain ($new_domain)
setStep ($new_step)
setSubstep ($new_substep)
notify ($message)
- Fonctions membres protégées hérités de AKAbstractObject
setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)

Attributs protégés

$filename = null
$currentPartNumber = -1
$currentPartOffset = 0
$flagRestorePermissions = false
$postProcEngine = null
$addPath = ''
$removePath = ''
$chunkSize = 524288
$fp = null
$runState = null
$fileHeader = null
$dataReadLength = 0
$ignoreDirectories = array()
- Attributs protégés hérités de AKAbstractPart
$isPrepared = false
$isRunning = false
$isFinished = false
$hasRan = false
$active_domain = ""
$active_step = ""
$active_substep = ""
$_parametersArray = array()
$databaseRoot = array()
$observers = array()
- Attributs protégés hérités de AKAbstractObject
$_errors_queue_size = 0
$_warnings_queue_size = 0

Fonctions membres privées

scanArchives ()
getBaseExtension ()

Description détaillée

The base class of unarchiver classes

Documentation des fonctions membres

◆ __wakeup()

__wakeup ( )

Wakeup function, called whenever the class is unserialized

◆ _finalize()

_finalize ( )
protected

Références AKAbstractPart\setState().

◆ _prepare()

_prepare ( )
finalprotected

Implements the abstract _prepare() method

Références $key, $value, AK_STATE_NOFILE, AKAbstractObject\getError(), AKFactory\getPostProc(), readArchiveHeader(), removePath(), scanArchives(), et AKAbstractPart\setState().

◆ _run()

_run ( )
protected

Références $message, AK_STATE_DATA, AK_STATE_DATAREAD, AK_STATE_DONE, AK_STATE_HEADER, AK_STATE_NOFILE, AK_STATE_POSTPROC, debugMsg(), elseif, AKAbstractObject\getError(), AKAbstractPart\getState(), AKFactory\getTimer(), AKAbstractPart\notify(), processFileData(), AKAbstractObject\propagateFromObject(), readFileHeader(), et AKAbstractPart\setState().

◆ fread()

fread | ( | $fp,
 |  | $length = null
 | ) |
protected

Reads data from the archive and notifies the observer with the 'reading' message

Paramètres
$fp
$length

Références $data, $fp, $message, et AKAbstractPart\notify().

Référencé par AKUnarchiverJPA\readArchiveHeader(), AKUnarchiverZIP\readArchiveHeader(), et AKUnarchiverZIP\readFileHeader().

◆ getBaseExtension()

getBaseExtension ( )
private

Returns the base extension of the file, e.g. '.jpa'

Renvoie
string

Référencé par scanArchives().

◆ isEOF()

isEOF ( $local = false )
protected

Returns true if we have reached the end of file

Paramètres
$local bool True to return EOF of the local file, false (default) to return if we have reached the end of the archive set
Renvoie
bool True if we have reached End Of File

Références $filesize, $position, et elseif.

Référencé par AKUnarchiverZIP\readFileHeader().

◆ isIgnoredDirectory()

isIgnoredDirectory ( $shortFilename )

Is this file or directory contained in a directory we've decided to ignore write errors for? This is useful to let the extraction work despite write errors in the log, logs and tmp directories which MIGHT be used by the system on some low quality hosts and Plesk-powered hosts.

Paramètres
string $shortFilename The relative path of the file/directory in the package
Renvoie
boolean True if it belongs in an ignored directory

Références $check.

◆ nextFile()

nextFile ( )
protected

Opens the next part file for reading

Références $currentPartNumber, debugMsg(), AKAbstractObject\setError(), AKAbstractPart\setState(), et AKText\sprintf().

Référencé par AKUnarchiverJPA\readArchiveHeader(), AKUnarchiverZIP\readArchiveHeader(), et AKUnarchiverZIP\readFileHeader().

◆ processFileData()

processFileData ( )
abstractprotected

Concrete classes must use this method to process file data. It must set $runState to AK_STATE_DATAREAD when it's finished processing the file data.

Renvoie
bool True if processing the file data was successful, false if an error occurred

Référencé par _run().

◆ readArchiveHeader()

readArchiveHeader ( )
abstractprotected

Concrete classes are supposed to use this method in order to read the archive's header and prepare themselves to the point of being ready to extract the first file.

Référencé par _prepare().

◆ readFileHeader()

readFileHeader ( )
abstractprotected

Concrete classes must use this method to read the file header

Renvoie
bool True if reading the file was successful, false if an error occurred or we reached end of archive

Référencé par _run().

◆ removePath()

removePath ( $path )
protected

Removes the configured $removePath from the path $path

Paramètres
string $path The path to reduce
Renvoie
string The reduced path

Références $path.

Référencé par _prepare(), et AKUnarchiverZIP\readFileHeader().

◆ scanArchives()

scanArchives ( )
private

Scans for archive parts

Références $count, $extension, $filename, $filesize, $message, $totalSize, AK_STATE_NOFILE, debugMsg(), DIRECTORY_SEPARATOR, getBaseExtension(), et AKAbstractPart\notify().

Référencé par _prepare().

◆ setCorrectPermissions()

setCorrectPermissions ( $path )
protected

Tries to make a directory user-writable so that we can write a file to it

Paramètres
$path string A path to a file

Références $path, AKFactory\get(), et null.

◆ shutdown()

shutdown ( )

Sleep function, called whenever the class is serialized

Documentation des champs

◆ $addPath

$addPath = ''
protected

◆ $archiveList

$archiveList = array()

◆ $chunkSize

$chunkSize = 524288
protected

◆ $currentPartNumber

$currentPartNumber = -1
protected

Référencé par nextFile().

◆ $currentPartOffset

$currentPartOffset = 0
protected

◆ $dataReadLength

$dataReadLength = 0
protected

◆ $fileHeader

$fileHeader = null
protected

◆ $filename

$filename = null
protected

Référencé par scanArchives().

◆ $flagRestorePermissions

$flagRestorePermissions = false
protected

◆ $fp

$fp = null
protected

Référencé par fread().

◆ $ignoreDirectories

$ignoreDirectories = array()
protected

◆ $postProcEngine

$postProcEngine = null
protected

◆ $removePath

$removePath = ''
protected

◆ $renameDirs

$renameDirs = array()

◆ $renameFiles

$renameFiles = array()

◆ $runState

$runState = null
protected

◆ $skipFiles

$skipFiles = array()

◆ $totalSize

$totalSize = array()

Référencé par scanArchives().

La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKCoreTimer

Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe AKCoreTimer
+ Graphe d'héritage de AKCoreTimer:
AKAbstractObject

Fonctions membres publiques

__construct ()
__wakeup ()
getTimeLeft ()
getRunningTime ()
enforce_min_exec_time ()
resetTime ()
setMaxExecTime ($max_exec_time)
- Fonctions membres publiques hérités de AKAbstractObject
getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)

Fonctions membres privées

microtime_float ()

Attributs privés

$max_exec_time = null
$start_time = null

Membres hérités additionnels

- Fonctions membres protégées hérités de AKAbstractObject
setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)
- Attributs protégés hérités de AKAbstractObject
$_errors_queue_size = 0
$_warnings_queue_size = 0

Description détaillée

Timer class

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Public constructor, creates the timer object and calculates the execution time limits

Références AKFactory\get(), et microtime_float().

Documentation des fonctions membres

◆ __wakeup()

__wakeup ( )

Wake-up function to reset internal timer when we get unserialized

Références microtime_float().

◆ enforce_min_exec_time()

enforce_min_exec_time ( )

Enforce the minimum execution time

Références elseif, AKFactory\get(), et getRunningTime().

◆ getRunningTime()

getRunningTime ( )

Gets the time elapsed since object creation/unserialization, effectively how long Akeeba Engine has been processing data

Renvoie
float

Références $start_time, et microtime_float().

Référencé par enforce_min_exec_time(), et getTimeLeft().

◆ getTimeLeft()

getTimeLeft ( )

Gets the number of seconds left, before we hit the "must break" threshold

Renvoie
float

Références getRunningTime().

◆ microtime_float()

microtime_float ( )
private

Returns the current timestampt in decimal seconds

Référencé par __construct(), __wakeup(), getRunningTime(), et resetTime().

◆ resetTime()

resetTime ( )

Reset the timer. It should only be used in CLI mode!

Références microtime_float().

◆ setMaxExecTime()

setMaxExecTime ( $max_exec_time )
Paramètres
int $max_exec_time

Références $max_exec_time.

Documentation des champs

◆ $max_exec_time

$max_exec_time = null
private

Référencé par setMaxExecTime().

◆ $start_time

$start_time = null
private

Référencé par getRunningTime().

La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKEncryptionAES

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques | Fonctions membres privées statiques | Attributs privés statiques
Référence de la classe AKEncryptionAES

Fonctions membres publiques statiques

static | AESEncryptCtr ($plaintext, $password, $nBits)
static | AESDecryptCtr ($ciphertext, $password, $nBits)
static | AESDecryptCBC ($ciphertext, $password)
static | createTheWrongIV ($password)
static | expandKey ($password)
static | getAdapter ()
static | getPbkdf2Algorithm ()
static | setPbkdf2Algorithm ($pbkdf2Algorithm)
static | getPbkdf2Iterations ()
static | setPbkdf2Iterations ($pbkdf2Iterations)
static | getPbkdf2UseStaticSalt ()
static | setPbkdf2UseStaticSalt ($pbkdf2UseStaticSalt)
static | getPbkdf2StaticSalt ()
static | setPbkdf2StaticSalt ($pbkdf2StaticSalt)
static | getKeyDerivationParameters ()
static | pbkdf2 ($password, $salt, $algorithm='sha1', $count=1000, $key_length=16)

Fonctions membres protégées statiques

static | Cipher ($input, $w)
static | AddRoundKey ($state, $w, $rnd, $Nb)
static | SubBytes ($s, $Nb)
static | ShiftRows ($s, $Nb)
static | MixColumns ($s)
static | KeyExpansion ($key)
static | SubWord ($w)
static | RotWord ($w)
static | urs ($a, $b)

Attributs protégés statiques

static | $Sbox
static | $Rcon
static | $passwords = array()

Fonctions membres privées statiques

static getStaticSaltExpandedKey ($password)

Attributs privés statiques

static | $pbkdf2Algorithm = 'sha1'
static | $pbkdf2Iterations = 1000
static | $pbkdf2UseStaticSalt = 0
static | $pbkdf2StaticSalt = "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"

Description détaillée

AES implementation in PHP (c) Chris Veness 2005-2016. Right to use and adapt is granted for under a simple creative commons attribution licence. No warranty of any form is offered.

Heavily modified for Akeeba Backup by Nicholas K. Dionysopoulos Also added AES-128 CBC mode (with mcrypt and OpenSSL) on top of AES CTR

Documentation des fonctions membres

◆ AddRoundKey()

static AddRoundKey | ( | $state,
 |  | $w,
 |  | $rnd,
 |  | $Nb
 | ) |
staticprotected

Références $r, et $state.

◆ AESDecryptCBC()

static AESDecryptCBC | ( | $ciphertext,
 |  | $password
 | ) |
static

AES decryption in CBC mode. This is the standard mode (the CTR methods actually use Rijndael-128 in CTR mode, which - technically - isn't AES).

It supports AES-128 only. It assumes that the last 4 bytes contain a little-endian unsigned long integer representing the unpadded data length.

Depuis
3.0.1
Auteur
Nicholas K. Dionysopoulos
Paramètres
string | $ciphertext | The data to encrypt
string | $password | Encryption password
Renvoie
string The plaintext

Références $key, $params, $password, et elseif.

◆ AESDecryptCtr()

static AESDecryptCtr | ( | $ciphertext,
 |  | $password,
 |  | $nBits
 | ) |
static

Decrypt a text encrypted by AES in counter mode of operation

Paramètres
string | $ciphertext | Source text to be decrypted
string | $password | The password to use to generate a key
int | $nBits | Number of bits to be used in the key (128, 192, or 256)
Renvoie
string Decrypted text

Références $b, $i, $key, et $password.

◆ AESEncryptCtr()

static AESEncryptCtr | ( | $plaintext,
 |  | $password,
 |  | $nBits
 | ) |
static

Encrypt a text using AES encryption in Counter mode of operation

  • see http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf

Unicode multi-byte character safe

Paramètres
string | $plaintext | Source text to be encrypted
string | $password | The password to use to generate a key
int | $nBits | Number of bits to be used in the key (128, 192, or 256)
Renvoie
string Encrypted text

Références $b, $i, $key, et $password.

◆ Cipher()

static Cipher | ( | $input,
 |  | $w
 | ) |
staticprotected

AES Cipher function: encrypt 'input' with Rijndael algorithm

Paramètres
array | $input | Message as byte-array (16 bytes)
array | $w | key schedule as 2D byte-array (Nr+1 x Nb bytes) - generated from the cipher key by KeyExpansion()
Renvoie
string Ciphertext as byte-array (16 bytes)

Références $i, $input, $output, et $state.

◆ createTheWrongIV()

static createTheWrongIV ( $password )
static

That's the old way of creating an IV that's definitely not cryptographically sound.

DO NOT USE, EVER, UNLESS YOU WANT TO DECRYPT LEGACY DATA

Paramètres
string $password The raw password from which we create an IV in a super bozo way
Renvoie
string A 16-byte IV string

Références $i, $key, et $password.

◆ expandKey()

static expandKey ( $password )
static

Expand the password to an appropriate 128-bit encryption key

Paramètres
string $password
Renvoie
string
Depuis
5.2.0
Auteur
Nicholas K. Dionysopoulos

Références $i, $key, et $password.

◆ getAdapter()

static getAdapter ( )
static

Returns the correct AES-128 CBC encryption adapter

Renvoie
AKEncryptionAESAdapterInterface
Depuis
5.2.0
Auteur
Nicholas K. Dionysopoulos

Références null.

◆ getKeyDerivationParameters()

static getKeyDerivationParameters ( )
static

Get the parameters fed into PBKDF2 to expand the user password into an encryption key. These are the static parameters (key size, hashing algorithm and number of iterations). A new salt is used for each encryption block to minimize the risk of attacks against the password.

Renvoie
array

◆ getPbkdf2Algorithm()

static getPbkdf2Algorithm ( )
static
Renvoie
string

◆ getPbkdf2Iterations()

static getPbkdf2Iterations ( )
static
Renvoie
int

◆ getPbkdf2StaticSalt()

static getPbkdf2StaticSalt ( )
static
Renvoie
string

◆ getPbkdf2UseStaticSalt()

static getPbkdf2UseStaticSalt ( )
static
Renvoie
int

◆ getStaticSaltExpandedKey()

static getStaticSaltExpandedKey ( $password )
staticprivate

Get the expanded key from the user supplied password using a static salt. The results are cached for performance reasons.

Paramètres
string $password The user-supplied password, UTF-8 encoded.
Renvoie
string The expanded key

Références $params, et $password.

◆ KeyExpansion()

static KeyExpansion ( $key )
staticprotected

Key expansion for Rijndael Cipher(): performs key expansion on cipher key to generate a key schedule

Paramètres
array $key Cipher key byte-array (16 bytes)
Renvoie
array Key schedule as 2D byte-array (Nr+1 x Nb bytes)

Références $i, $key, et $r.

◆ MixColumns()

static MixColumns ( $s )
staticprotected

Références $b, et $i.

◆ pbkdf2()

static pbkdf2 | ( | $password,
 |  | $salt,
 |  | $algorithm = 'sha1',
 |  | $count = 1000,
 |  | $key_length = 16
 | ) |
static

PBKDF2 key derivation function as defined by RSA's PKCS #5: https://www.ietf.org/rfc/rfc2898.txt

Test vectors can be found here: https://www.ietf.org/rfc/rfc6070.txt

This implementation of PBKDF2 was originally created by https://defuse.ca With improvements by http://www.variations-of-shadow.com Modified for Akeeba Engine by Akeeba Ltd (removed unnecessary checks to make it faster)

Paramètres
string | $password | The password.
string | $salt | A salt that is unique to the password.
string | $algorithm | The hash algorithm to use. Default is sha1.
int | $count | Iteration count. Higher is better, but slower. Default: 1000.
int | $key_length | The length of the derived key in bytes.
Renvoie
string A string of $key_length bytes

Références $count, $i, $output, et $password.

◆ RotWord()

static RotWord ( $w )
staticprotected

Références $i, et $tmp.

◆ setPbkdf2Algorithm()

static setPbkdf2Algorithm ( $pbkdf2Algorithm )
static
Paramètres
string $pbkdf2Algorithm
Renvoie
void

Références $pbkdf2Algorithm.

◆ setPbkdf2Iterations()

static setPbkdf2Iterations ( $pbkdf2Iterations )
static
Paramètres
int $pbkdf2Iterations
Renvoie
void

Références $pbkdf2Iterations.

◆ setPbkdf2StaticSalt()

static setPbkdf2StaticSalt ( $pbkdf2StaticSalt )
static
Paramètres
string $pbkdf2StaticSalt
Renvoie
void

Références $pbkdf2StaticSalt.

◆ setPbkdf2UseStaticSalt()

static setPbkdf2UseStaticSalt ( $pbkdf2UseStaticSalt )
static
Paramètres
int $pbkdf2UseStaticSalt
Renvoie
void

Références $pbkdf2UseStaticSalt.

◆ ShiftRows()

static ShiftRows | ( | $s,
 |  | $Nb
 | ) |
staticprotected

Références $r.

◆ SubBytes()

static SubBytes | ( | $s,
 |  | $Nb
 | ) |
staticprotected

Références $r.

◆ SubWord()

static SubWord ( $w )
staticprotected

Références $i.

◆ urs()

static urs | ( | $a,
 |  | $b
 | ) |
staticprotected

Références $b.

Documentation des champs

◆ $passwords

$passwords = array()
staticprotected

◆ $pbkdf2Algorithm

$pbkdf2Algorithm = 'sha1'
staticprivate

Référencé par setPbkdf2Algorithm().

◆ $pbkdf2Iterations

$pbkdf2Iterations = 1000
staticprivate

Référencé par setPbkdf2Iterations().

◆ $pbkdf2StaticSalt

$pbkdf2StaticSalt = "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
staticprivate

Référencé par setPbkdf2StaticSalt().

◆ $pbkdf2UseStaticSalt

$pbkdf2UseStaticSalt = 0
staticprivate

Référencé par setPbkdf2UseStaticSalt().

◆ $Rcon

$Rcon
staticprotected
Valeur initiale :
= array(
array(0x00, 0x00, 0x00, 0x00),
array(0x01, 0x00, 0x00, 0x00),
array(0x02, 0x00, 0x00, 0x00),
array(0x04, 0x00, 0x00, 0x00),
array(0x08, 0x00, 0x00, 0x00),
array(0x10, 0x00, 0x00, 0x00),
array(0x20, 0x00, 0x00, 0x00),
array(0x40, 0x00, 0x00, 0x00),
array(0x80, 0x00, 0x00, 0x00),
array(0x1b, 0x00, 0x00, 0x00),
array(0x36, 0x00, 0x00, 0x00))

◆ $Sbox

$Sbox
staticprotected
Valeur initiale :
=
array(0x63, 0x7c, 0x77, 0x7b, 0xf2, 0x6b, 0x6f, 0xc5, 0x30, 0x01, 0x67, 0x2b, 0xfe, 0xd7, 0xab, 0x76,
0xca, 0x82, 0xc9, 0x7d, 0xfa, 0x59, 0x47, 0xf0, 0xad, 0xd4, 0xa2, 0xaf, 0x9c, 0xa4, 0x72, 0xc0,
0xb7, 0xfd, 0x93, 0x26, 0x36, 0x3f, 0xf7, 0xcc, 0x34, 0xa5, 0xe5, 0xf1, 0x71, 0xd8, 0x31, 0x15,
0x04, 0xc7, 0x23, 0xc3, 0x18, 0x96, 0x05, 0x9a, 0x07, 0x12, 0x80, 0xe2, 0xeb, 0x27, 0xb2, 0x75,
0x09, 0x83, 0x2c, 0x1a, 0x1b, 0x6e, 0x5a, 0xa0, 0x52, 0x3b, 0xd6, 0xb3, 0x29, 0xe3, 0x2f, 0x84,
0x53, 0xd1, 0x00, 0xed, 0x20, 0xfc, 0xb1, 0x5b, 0x6a, 0xcb, 0xbe, 0x39, 0x4a, 0x4c, 0x58, 0xcf,
0xd0, 0xef, 0xaa, 0xfb, 0x43, 0x4d, 0x33, 0x85, 0x45, 0xf9, 0x02, 0x7f, 0x50, 0x3c, 0x9f, 0xa8,
0x51, 0xa3, 0x40, 0x8f, 0x92, 0x9d, 0x38, 0xf5, 0xbc, 0xb6, 0xda, 0x21, 0x10, 0xff, 0xf3, 0xd2,
0xcd, 0x0c, 0x13, 0xec, 0x5f, 0x97, 0x44, 0x17, 0xc4, 0xa7, 0x7e, 0x3d, 0x64, 0x5d, 0x19, 0x73,
0x60, 0x81, 0x4f, 0xdc, 0x22, 0x2a, 0x90, 0x88, 0x46, 0xee, 0xb8, 0x14, 0xde, 0x5e, 0x0b, 0xdb,
0xe0, 0x32, 0x3a, 0x0a, 0x49, 0x06, 0x24, 0x5c, 0xc2, 0xd3, 0xac, 0x62, 0x91, 0x95, 0xe4, 0x79,
0xe7, 0xc8, 0x37, 0x6d, 0x8d, 0xd5, 0x4e, 0xa9, 0x6c, 0x56, 0xf4, 0xea, 0x65, 0x7a, 0xae, 0x08,
0xba, 0x78, 0x25, 0x2e, 0x1c, 0xa6, 0xb4, 0xc6, 0xe8, 0xdd, 0x74, 0x1f, 0x4b, 0xbd, 0x8b, 0x8a,
0x70, 0x3e, 0xb5, 0x66, 0x48, 0x03, 0xf6, 0x0e, 0x61, 0x35, 0x57, 0xb9, 0x86, 0xc1, 0x1d, 0x9e,
0xe1, 0xf8, 0x98, 0x11, 0x69, 0xd9, 0x8e, 0x94, 0x9b, 0x1e, 0x87, 0xe9, 0xce, 0x55, 0x28, 0xdf,
0x8c, 0xa1, 0x89, 0x0d, 0xbf, 0xe6, 0x42, 0x68, 0x41, 0x99, 0x2d, 0x0f, 0xb0, 0x54, 0xbb, 0x16)
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKEncryptionAESAdapterAbstract

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe AKEncryptionAESAdapterAbstract
+ Graphe d'héritage de AKEncryptionAESAdapterAbstract:
Mcrypt OpenSSL

Fonctions membres publiques

resizeKey ($key, $size)

Fonctions membres protégées

getZeroPadding ($string, $blockSize)

Description détaillée

Abstract AES encryption class

Documentation des fonctions membres

◆ getZeroPadding()

getZeroPadding | ( | $string,
 |  | $blockSize
 | ) |
protected

Returns null bytes to append to the string so that it's zero padded to the specified block size

Paramètres
string | $string | The binary string which will be zero padded
int | $blockSize | The block size
Renvoie
string The zero bytes to append to the string to zero pad it to $blockSize

◆ resizeKey()

resizeKey | ( | $key,
 |  | $size
 | ) |

Trims or zero-pads a key / IV

Paramètres
string | $key | The key or IV to treat
int | $size | The block size of the currently used algorithm
Renvoie
null|string Null if $key is null, treated string of $size byte length otherwise

Références $key, et null.

Référencé par Mcrypt\decrypt(), et OpenSSL\decrypt().

La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de l'interface AKEncryptionAESAdapterInterface

Fonctions membres publiques
Référence de l'interface AKEncryptionAESAdapterInterface
+ Graphe d'héritage de AKEncryptionAESAdapterInterface:
Mcrypt OpenSSL

Fonctions membres publiques

decrypt ($plainText, $key)
getBlockSize ()
isSupported ()

Description détaillée

Interface for AES encryption adapters

Documentation des fonctions membres

◆ decrypt()

decrypt | ( | $plainText,
 |  | $key
 | ) |

Decrypts a string. Returns the raw binary ciphertext, zero-padded.

Paramètres
string | $plainText | The plaintext to encrypt
string | $key | The raw binary key (will be zero-padded or chopped if its size is different than the block size)
Renvoie
string The raw encrypted binary string.

Implémenté dans OpenSSL, et Mcrypt.

◆ getBlockSize()

getBlockSize ( )

Returns the encryption block size in bytes

Renvoie
int

Implémenté dans OpenSSL, et Mcrypt.

◆ isSupported()

isSupported ( )

Is this adapter supported?

Renvoie
bool

Implémenté dans OpenSSL, et Mcrypt.

La documentation de cette interface a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKFactory

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Fonctions membres privées | Attributs privés | Attributs privés statiques
Référence de la classe AKFactory

Fonctions membres publiques statiques

static | serialize ()
static & | getUnarchiver ($configOverride=null)
static | get ($key, $default=null)
static | unserialize ($serialized_data)
static | nuke ()
static | set ($key, $value)
static & | getPostProc ($proc_engine=null)
static & | getTimer ()

Fonctions membres protégées statiques

static & | getInstance ($serialized_data=null)
static & | getClassInstance ($class_name)

Fonctions membres privées

__construct ()

Attributs privés

$objectlist = array()
$varlist = array()

Attributs privés statiques

static $instance = null

Description détaillée

The Akeeba Kickstart Factory class This class is reponssible for instanciating all Akeeba Kicsktart classes

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
private

Private constructor makes sure we can't directly instantiate the class

Documentation des fonctions membres

◆ get()

static get | ( | $key,
 |  | $default = null
 | ) |
static

Références $default, $key, et $self.

Référencé par AKCoreTimer\__construct(), AKPostprocDirect\chmod(), AKUnarchiverJPA\createDirectory(), AKPostprocDirect\createDirRecursive(), AKCoreTimer\enforce_min_exec_time(), AKPostprocDirect\process(), AKUnarchiverJPA\processTypeFileCompressedSimple(), AKUnarchiverJPA\processTypeFileUncompressed(), AKUnarchiverJPA\processTypeLink(), AKUnarchiverJPA\readFileHeader(), et AKAbstractUnarchiver\setCorrectPermissions().

◆ getClassInstance()

static& getClassInstance ( $class_name )
staticprotected

Internal function which instanciates a class named $class_name. The autoloader

Paramètres
string $class_name
Renvoie
object

Références $self.

◆ getInstance()

static& getInstance ( $serialized_data = null )
staticprotected

Gets a single, internally used instance of the Factory

Paramètres
string $serialized_data [optional] Serialized data to spawn the instance from
Renvoie
AKFactory A reference to the unique Factory object instance

Références unserialize().

◆ getPostProc()

static& getPostProc ( $proc_engine = null )
static

Gets the post processing engine

Paramètres
string $proc_engine

Référencé par AKAbstractUnarchiver\_prepare(), et recursive_remove_directory().

◆ getTimer()

static& getTimer ( )
static

Get the a reference to the Akeeba Engine's timer

Renvoie
AKCoreTimer

PhpIncompatibleReturnTypeInspection

Référencé par AKAbstractUnarchiver\_run(), et AKUnarchiverJPA\processTypeFileUncompressed().

◆ getUnarchiver()

static& getUnarchiver ( $configOverride = null )
static

Gets the unarchiver engine

Références $config, et null.

◆ nuke()

static nuke ( )
static

Reset the internal factory state, freeing all previously created objects

Références null.

◆ serialize()

static serialize ( )
static

Gets a serialized snapshot of the Factory for safekeeping (hibernate)

Renvoie
string The serialized snapshot of the Factory

◆ set()

static set | ( | $key,
 |  | $value
 | ) |
static

Références $key, $self, et $value.

Référencé par AKAbstractPart\setBreakFlag().

◆ unserialize()

static unserialize ( $serialized_data )
static

Regenerates the full Factory state from a serialized snapshot (resume)

Paramètres
string $serialized_data The serialized snapshot to resume from

Référencé par getInstance().

Documentation des champs

◆ $instance

$instance = null
staticprivate

◆ $objectlist

$objectlist = array()
private

◆ $varlist

$varlist = array()
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKPostprocDirect

Fonctions membres publiques
Référence de la classe AKPostprocDirect
+ Graphe d'héritage de AKPostprocDirect:
AKAbstractPostproc AKAbstractObject

Fonctions membres publiques

process ()
processFilename ($filename, $perms=0755)
createDirRecursive ($dirName, $perms)
chmod ($file, $perms)
unlink ($file)
rmdir ($directory)
rename ($from, $to)
clearFileInOPCache ($file)
- Fonctions membres publiques hérités de AKAbstractPostproc
process ()
processFilename ($filename, $perms=0755)
createDirRecursive ($dirName, $perms)
chmod ($file, $perms)
unlink ($file)
rmdir ($directory)
rename ($from, $to)
- Fonctions membres publiques hérités de AKAbstractObject
getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)

Membres hérités additionnels

- Champs de données hérités de AKAbstractPostproc
$timestamp = 0
- Fonctions membres protégées hérités de AKAbstractObject
setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)
- Attributs protégés hérités de AKAbstractPostproc
$filename = null
$perms = 0755
$tempFilename = null
- Attributs protégés hérités de AKAbstractObject
$_errors_queue_size = 0
$_warnings_queue_size = 0

Description détaillée

Direct file writer

Documentation des fonctions membres

◆ chmod()

chmod | ( | $file,
 |  | $perms
 | ) |

Références $file, AKAbstractPostproc\$perms, et AKFactory\get().

Référencé par createDirRecursive(), et process().

◆ clearFileInOPCache()

clearFileInOPCache ( $file )

Références $file.

Référencé par createDirRecursive(), process(), rename(), et unlink().

◆ createDirRecursive()

createDirRecursive | ( | $dirName,
 |  | $perms
 | ) |

Références $path, AKAbstractPostproc\$perms, $root, chmod(), clearFileInOPCache(), AKFactory\get(), AKAbstractObject\setError(), AKText\sprintf(), true, et unlink().

◆ process()

process ( )

Références chmod(), clearFileInOPCache(), et AKFactory\get().

◆ processFilename()

processFilename | ( | $filename,
 |  | $perms = 0755
 | ) |

Références AKAbstractPostproc\$filename, et AKAbstractPostproc\$perms.

◆ rename()

rename | ( | $from,
 |  | $to
 | ) |

Références clearFileInOPCache().

◆ rmdir()

rmdir ( $directory )

◆ unlink()

unlink ( $file )

Références $file, et clearFileInOPCache().

Référencé par createDirRecursive().

La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKText

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres privées | Attributs privés
Référence de la classe AKText
+ Graphe d'héritage de AKText:
AKAbstractObject

Fonctions membres publiques

__construct ()
getBrowserLanguage ()
dumpLanguage ()
asJavascript ()
resetTranslation ()
addDefaultLanguageStrings ($stringList=array())
- Fonctions membres publiques hérités de AKAbstractObject
getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)

Fonctions membres publiques statiques

static | parse_ini_file ($file, $process_sections=false, $raw_data=false)
static | sprintf ($key)
static & | getInstance ()
static | _ ($string)

Fonctions membres privées

loadTranslation ($lang=null)

Attributs privés

$default_translation
$strings
$language

Membres hérités additionnels

- Fonctions membres protégées hérités de AKAbstractObject
setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)
- Attributs protégés hérités de AKAbstractObject
$_errors_queue_size = 0
$_warnings_queue_size = 0

Description détaillée

A simple INI-based i18n engine

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Références $default_translation, getBrowserLanguage(), language, et loadTranslation().

Documentation des fonctions membres

◆ _()

static _ ( $string )
static

Références $key, et $text.

Référencé par AKUnarchiverJPA\processTypeFileCompressedSimple(), AKUnarchiverJPA\processTypeFileUncompressed(), AKUnarchiverJPA\processTypeLink(), AKUnarchiverJPA\readArchiveHeader(), AKUnarchiverZIP\readArchiveHeader(), et AKUnarchiverZIP\readFileHeader().

◆ addDefaultLanguageStrings()

addDefaultLanguageStrings ( $stringList = array() )

◆ asJavascript()

asJavascript ( )

Références $key, et $value.

◆ dumpLanguage()

dumpLanguage ( )

Références $key, et $value.

◆ getBrowserLanguage()

getBrowserLanguage ( )

Références language, et null.

Référencé par __construct().

◆ getInstance()

static& getInstance ( )
static

Singleton pattern for Language

Renvoie
AKText The global AKText instance

◆ loadTranslation()

loadTranslation ( $lang = null )
private

Références $lang, $language, et DIRECTORY_SEPARATOR.

Référencé par __construct().

◆ parse_ini_file()

static parse_ini_file | ( | $file,
 |  | $process_sections = false,
 |  | $raw_data = false
 | ) |
static

A PHP based INI file parser.

Thanks to asohn ~at~ aircanopy ~dot~ net for posting this handy function on the parse_ini_file page on http://gr.php.net/parse_ini_file

Paramètres
string | $file | Filename to process
bool | $process_sections | True to also process INI sections
Renvoie
array An associative array of sections, keys and values private

Références $file, $i, $key, $tmp, $value, et elseif.

◆ resetTranslation()

resetTranslation ( )

Références $default_translation.

◆ sprintf()

static sprintf ( $key )
static

Références $text.

Référencé par AKUnarchiverJPA\createDirectory(), AKPostprocDirect\createDirRecursive(), AKAbstractUnarchiver\nextFile(), AKUnarchiverJPA\processTypeFileCompressedSimple(), AKUnarchiverJPA\processTypeFileUncompressed(), et AKUnarchiverJPA\readFileHeader().

Documentation des champs

◆ $default_translation

$default_translation
private
Valeur initiale :
= array(
'ERR_NOT_A_JPA_FILE' => 'The file is not a JPA archive',
'ERR_CORRUPT_ARCHIVE' => 'The archive file is corrupt, truncated or archive parts are missing',
'ERR_INVALID_LOGIN' => 'Invalid login',
'COULDNT_CREATE_DIR' => 'Could not create %s folder',
'COULDNT_WRITE_FILE' => 'Could not open %s for writing.',
'INVALID_FILE_HEADER' => 'Invalid header in archive file, part %s, offset %s',
'ERR_COULD_NOT_OPEN_ARCHIVE_PART' => 'Could not open archive part file %s for reading. Check that the file exists, is readable by the web server and is not in a directory made out of reach by chroot, open_basedir restrictions or any other restriction put in place by your host.',
)

Référencé par __construct(), et resetTranslation().

◆ $language

$language
private

Référencé par loadTranslation().

◆ $strings

$strings
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKUnarchiverJPA

Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe AKUnarchiverJPA
+ Graphe d'héritage de AKUnarchiverJPA:
AKAbstractUnarchiver AKAbstractPart AKAbstractObject AKUnarchiverZIP

Fonctions membres protégées

readArchiveHeader ()
readFileHeader ()
heuristicFileHeaderLocator ()
createDirectory ()
processFileData ()
- Fonctions membres protégées hérités de AKAbstractUnarchiver
_prepare ()
readArchiveHeader ()
_run ()
readFileHeader ()
processFileData ()
_finalize ()
nextFile ()
isEOF ($local=false)
setCorrectPermissions ($path)
fread ($fp, $length=null)
removePath ($path)
- Fonctions membres protégées hérités de AKAbstractPart
_prepare ()
_run ()
_finalize ()
_makeReturnTable ()
setState ($state='init', $errorMessage='Invalid setState argument')
setBreakFlag ()
setDomain ($new_domain)
setStep ($new_step)
setSubstep ($new_substep)
notify ($message)
- Fonctions membres protégées hérités de AKAbstractObject
setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)

Attributs protégés

$archiveHeaderData = array()
- Attributs protégés hérités de AKAbstractUnarchiver
$filename = null
$currentPartNumber = -1
$currentPartOffset = 0
$flagRestorePermissions = false
$postProcEngine = null
$addPath = ''
$removePath = ''
$chunkSize = 524288
$fp = null
$runState = null
$fileHeader = null
$dataReadLength = 0
$ignoreDirectories = array()
- Attributs protégés hérités de AKAbstractPart
$isPrepared = false
$isRunning = false
$isFinished = false
$hasRan = false
$active_domain = ""
$active_step = ""
$active_substep = ""
$_parametersArray = array()
$databaseRoot = array()
$observers = array()
- Attributs protégés hérités de AKAbstractObject
$_errors_queue_size = 0
$_warnings_queue_size = 0

Fonctions membres privées

processTypeDir ()
processTypeLink ()
processTypeFileUncompressed ()
processTypeFileCompressedSimple ()

Membres hérités additionnels

- Fonctions membres publiques hérités de AKAbstractUnarchiver
__wakeup ()
shutdown ()
isIgnoredDirectory ($shortFilename)
- Fonctions membres publiques hérités de AKAbstractPart
tick ()
getState ()
getStatusArray ()
setup ($parametersArray)
getDomain ()
getStep ()
getSubstep ()
attach (AKAbstractPartObserver $obs)
detach (AKAbstractPartObserver $obs)
- Fonctions membres publiques hérités de AKAbstractObject
getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)
- Champs de données hérités de AKAbstractUnarchiver
$archiveList = array()
$totalSize = array()
$renameFiles = array()
$renameDirs = array()
$skipFiles = array()

Description détaillée

JPA archive extraction class

Documentation des fonctions membres

◆ createDirectory()

createDirectory ( )
protected

Creates the directory this file points to

Références AKFactory\get(), et AKText\sprintf().

Référencé par AKUnarchiverZIP\readFileHeader().

◆ heuristicFileHeaderLocator()

heuristicFileHeaderLocator ( )
protected

◆ processFileData()

processFileData ( )
protected

Concrete classes must use this method to process file data. It must set $runState to AK_STATE_DATAREAD when it's finished processing the file data.

Renvoie
bool True if processing the file data was successful, false if an error occurred

Références debugMsg().

◆ processTypeDir()

processTypeDir ( )
private

Process the file data of a directory entry

Renvoie
bool

Références AK_STATE_DATAREAD.

◆ processTypeFileCompressedSimple()

processTypeFileCompressedSimple ( )
private

Références AKText\_(), AK_STATE_DATAREAD, debugMsg(), elseif, AKFactory\get(), et AKText\sprintf().

◆ processTypeFileUncompressed()

processTypeFileUncompressed ( )
private

Références $data, AKText\_(), AK_STATE_DATA, AK_STATE_DATAREAD, debugMsg(), AKFactory\get(), AKFactory\getTimer(), et AKText\sprintf().

◆ processTypeLink()

processTypeLink ( )
private

Process the file data of a link entry

Renvoie
bool

Références $data, AKText\_(), AK_STATE_DATAREAD, debugMsg(), et AKFactory\get().

◆ readArchiveHeader()

readArchiveHeader ( )
protected

Références $key, $value, AKText\_(), debugMsg(), AKAbstractUnarchiver\fread(), AKAbstractUnarchiver\nextFile(), et AKAbstractObject\setError().

◆ readFileHeader()

readFileHeader ( )
protected

Concrete classes must use this method to read the file header

Renvoie
bool True if reading the file was successful, false if an error occurred or we reached end of archive

Références $file, AK_STATE_DONE, AK_STATE_HEADER, debugMsg(), elseif, AKFactory\get(), null, et AKText\sprintf().

Documentation des champs

◆ $archiveHeaderData

$archiveHeaderData = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKUnarchiverZIP

Champs de données | Fonctions membres protégées
Référence de la classe AKUnarchiverZIP
+ Graphe d'héritage de AKUnarchiverZIP:
AKUnarchiverJPA AKAbstractUnarchiver AKAbstractPart AKAbstractObject

Champs de données

$expectDataDescriptor = false
- Champs de données hérités de AKAbstractUnarchiver
$archiveList = array()
$totalSize = array()
$renameFiles = array()
$renameDirs = array()
$skipFiles = array()

Fonctions membres protégées

readArchiveHeader ()
readFileHeader ()
- Fonctions membres protégées hérités de AKUnarchiverJPA
readArchiveHeader ()
readFileHeader ()
heuristicFileHeaderLocator ()
createDirectory ()
processFileData ()
- Fonctions membres protégées hérités de AKAbstractUnarchiver
_prepare ()
readArchiveHeader ()
_run ()
readFileHeader ()
processFileData ()
_finalize ()
nextFile ()
isEOF ($local=false)
setCorrectPermissions ($path)
fread ($fp, $length=null)
removePath ($path)
- Fonctions membres protégées hérités de AKAbstractPart
_prepare ()
_run ()
_finalize ()
_makeReturnTable ()
setState ($state='init', $errorMessage='Invalid setState argument')
setBreakFlag ()
setDomain ($new_domain)
setStep ($new_step)
setSubstep ($new_substep)
notify ($message)
- Fonctions membres protégées hérités de AKAbstractObject
setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)

Membres hérités additionnels

- Fonctions membres publiques hérités de AKAbstractUnarchiver
__wakeup ()
shutdown ()
isIgnoredDirectory ($shortFilename)
- Fonctions membres publiques hérités de AKAbstractPart
tick ()
getState ()
getStatusArray ()
setup ($parametersArray)
getDomain ()
getStep ()
getSubstep ()
attach (AKAbstractPartObserver $obs)
detach (AKAbstractPartObserver $obs)
- Fonctions membres publiques hérités de AKAbstractObject
getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)
- Attributs protégés hérités de AKUnarchiverJPA
$archiveHeaderData = array()
- Attributs protégés hérités de AKAbstractUnarchiver
$filename = null
$currentPartNumber = -1
$currentPartOffset = 0
$flagRestorePermissions = false
$postProcEngine = null
$addPath = ''
$removePath = ''
$chunkSize = 524288
$fp = null
$runState = null
$fileHeader = null
$dataReadLength = 0
$ignoreDirectories = array()
- Attributs protégés hérités de AKAbstractPart
$isPrepared = false
$isRunning = false
$isFinished = false
$hasRan = false
$active_domain = ""
$active_step = ""
$active_substep = ""
$_parametersArray = array()
$databaseRoot = array()
$observers = array()
- Attributs protégés hérités de AKAbstractObject
$_errors_queue_size = 0
$_warnings_queue_size = 0

Description détaillée

ZIP archive extraction class

Since the file data portion of ZIP and JPA are similarly structured (it's empty for dirs, linked node name for symlinks, dumped binary data for no compressions and dumped gzipped binary data for gzip compression) we just have to subclass AKUnarchiverJPA and change the header reading bits. Reusable code ;)

Documentation des fonctions membres

◆ readArchiveHeader()

readArchiveHeader ( )
protected

Références AKText\_(), debugMsg(), AKAbstractUnarchiver\fread(), AKAbstractUnarchiver\nextFile(), et AKAbstractObject\setError().

◆ readFileHeader()

readFileHeader ( )
protected

Concrete classes must use this method to read the file header

Renvoie
bool True if reading the file was successful, false if an error occurred or we reached end of archive

Références $file, AKText\_(), AK_STATE_DONE, AK_STATE_HEADER, AKUnarchiverJPA\createDirectory(), debugMsg(), elseif, AKAbstractUnarchiver\fread(), AKAbstractUnarchiver\isEOF(), AKAbstractUnarchiver\nextFile(), null, AKAbstractUnarchiver\removePath(), et AKAbstractObject\setError().

Documentation des champs

◆ $expectDataDescriptor

$expectDataDescriptor = false
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AKUtilsLister

Fonctions membres publiques
Référence de la classe AKUtilsLister
+ Graphe d'héritage de AKUtilsLister:
AKAbstractObject

Fonctions membres publiques

& getFiles ($folder, $pattern=' *')
& getFolders ($folder, $pattern=' *')
- Fonctions membres publiques hérités de AKAbstractObject
getError ($i=null)
getErrors ()
resetErrors ()
getWarning ($i=null)
getWarnings ()
resetWarnings ()
propagateToObject (&$object)
propagateFromObject (&$object)
setError ($error)
setWarning ($warning)

Membres hérités additionnels

- Fonctions membres protégées hérités de AKAbstractObject
setErrorsQueueSize ($newSize=0)
setWarningsQueueSize ($newSize=0)
- Attributs protégés hérités de AKAbstractObject
$_errors_queue_size = 0
$_warnings_queue_size = 0

Description détaillée

A filesystem scanner which uses opendir()

Documentation des fonctions membres

◆ getFiles()

& getFiles | ( | $folder,
 |  | $pattern = '*'
 | ) |

Références $file, $folder, DIRECTORY_SEPARATOR, et AKAbstractObject\setWarning().

◆ getFolders()

& getFolders | ( | $folder,
 |  | $pattern = '*'
 | ) |

Références $file, $folder, DIRECTORY_SEPARATOR, et AKAbstractObject\setWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe AssociationsController

Attributs protégés
Référence de la classe AssociationsController
+ Graphe d'héritage de AssociationsController:

Attributs protégés

$default_view = 'associations'

Description détaillée

Component Controller

Depuis
3.7.0

Documentation des champs

◆ $default_view

$default_view = 'associations'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_associations/controller.php


Joomla CMS: Référence de la classe AssociationsControllerAssociation

Fonctions membres publiques
Référence de la classe AssociationsControllerAssociation
+ Graphe d'héritage de AssociationsControllerAssociation:

Fonctions membres publiques

edit ($key=null, $urlVar=null)
cancel ($key=null)

Description détaillée

Association edit controller class.

Depuis
3.7.0

Documentation des fonctions membres

◆ cancel()

cancel ( $key = null )

Method for canceling the edit action

Paramètres
string $key The name of the primary key of the URL variable.
Renvoie
void
Depuis
3.7.0

Références $id, $key, AssociationsHelper\getItem(), et AssociationsHelper\typeSupportsCheckout().

◆ edit()

edit | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to edit an existing record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if access level check and checkout passes, false otherwise.
Depuis
3.7.0

Références $id, et AssociationsHelper\allowEdit().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_associations/controllers/association.php


Joomla CMS: Référence de la classe AssociationsControllerAssociations

Fonctions membres publiques | Attributs protégés
Référence de la classe AssociationsControllerAssociations
+ Graphe d'héritage de AssociationsControllerAssociations:

Fonctions membres publiques

getModel ($name='Associations', $prefix='AssociationsModel', $config=array('ignore_request'=> true))
purge ()
clean ()
checkin ()

Attributs protégés

$view_list = 'associations'

Description détaillée

Associations controller class.

Depuis
3.7.0

Documentation des fonctions membres

◆ checkin()

checkin ( )

Method to check in an item from the association item overview.

Renvoie
void
Depuis
3.7.1

Références $extension, $id, $item, $type, AssociationsHelper\canCheckinItem(), AssociationsHelper\getItem(), AssociationsHelper\getSupportedExtension(), null, option, et AssociationsHelper\typeSupportsCheckout().

◆ clean()

clean ( )

Method to delete the orphans from the associations table.

Renvoie
void
Depuis
3.7.0

Références option.

◆ getModel()

getModel | ( | $name = 'Associations',
 |  | $prefix = 'AssociationsModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | The array of possible config values. Optional.
Renvoie
JModel|boolean
Depuis
3.7.0

Références $config, $name, et $prefix.

◆ purge()

purge ( )

Method to purge the associations table.

Renvoie
void
Depuis
3.7.0

Références option.

Documentation des champs

◆ $view_list

$view_list = 'associations'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_associations/controllers/associations.php


Joomla CMS: Référence de la classe AssociationsHelper

Fonctions membres publiques statiques | Attributs publics statiques | Fonctions membres privées statiques
Référence de la classe AssociationsHelper
+ Graphe d'héritage de AssociationsHelper:

Fonctions membres publiques statiques

static | getAssociationList ($extensionName, $typeName, $itemId)
static | getExtensionHelper ($extensionName)
static | getItem ($extensionName, $typeName, $itemId)
static | hasSupport ($extensionName)
static | getAssociationHtmlList ($extensionName, $typeName, $itemId, $itemLanguage, $addLink=true, $assocLanguages=true)
static | getSupportedExtensions ()
static | getSupportedExtension ($extensionName)
static | getContentLanguages ()
static | allowEdit ($extensionName, $typeName, $itemId)
static | allowAdd ($extensionName, $typeName)
static | isCheckoutItem ($extensionName, $typeName, $itemId)
static | canCheckinItem ($extensionName, $typeName, $itemId)
static | typeSupportsCheckout ($extensionName, $typeName)
static | getTypeFieldName ($extensionName, $typeName, $fieldName)
static | getLanguagefilterPluginId ()

Attributs publics statiques

static | $extensionsSupport = null
static | $supportedExtensionsList = array()

Fonctions membres privées statiques

static | getExtensionHelperClassName ($extensionName)
static | getExtensionRealName ($extensionName)
static | getEnabledExtensions ()

Description détaillée

Associations component helper.

Depuis
3.7.0

Documentation des fonctions membres

◆ allowAdd()

static allowAdd | ( | $extensionName,
 |  | $typeName
 | ) |
static

Check if user is allowed to create items.

Paramètres
string | $extensionName | The extension name with com_
string | $typeName | The item type
Renvoie
boolean True on allowed.
Depuis
3.7.0

Référencé par JFormFieldItemLanguage\getOptions().

◆ allowEdit()

static allowEdit | ( | $extensionName,
 |  | $typeName,
 |  | $itemId
 | ) |
static

Get the associated items for an item

Paramètres
string | $extensionName | The extension name with com_
string | $typeName | The item type
int | $itemId | The id of item for which we need the associated items
Renvoie
boolean
Depuis
3.7.0

Références $itemId.

Référencé par AssociationsControllerAssociation\edit(), et JFormFieldItemLanguage\getOptions().

◆ canCheckinItem()

static canCheckinItem | ( | $extensionName,
 |  | $typeName,
 |  | $itemId
 | ) |
static

Check if user can checkin an item.

Paramètres
string | $extensionName | The extension name with com_
string | $typeName | The item type
int | $itemId | The id of item for which we need the associated items
Renvoie
boolean True on allowed.
Depuis
3.7.0

Références $item, $itemId, et $userId.

Référencé par AssociationsControllerAssociations\checkin(), et JFormFieldItemLanguage\getOptions().

◆ getAssociationHtmlList()

static getAssociationHtmlList | ( | $extensionName,
 |  | $typeName,
 |  | $itemId,
 |  | $itemLanguage,
 |  | $addLink = true,
 |  | $assocLanguages = true
 | ) |
static

Get the associated language edit links Html.

Paramètres
string | $extensionName | Extension Name
string | $typeName | ItemType
integer | $itemId | Item id.
string | $itemLanguage | Item language code.
boolean | $addLink | True for adding edit links. False for just text.
boolean | $assocLanguages | True for showing non associated content languages. False only languages with associations.
Renvoie
string The language HTML
Depuis
3.7.0

Références $canCreate, $classes, $db, $itemId, $items, $labelClass, $language, Language\$languages, $options, $query, $target, $text, $title, $tooltip, $url, elseif, ENT_QUOTES, LanguageHelper\getContentLanguages(), et htmlspecialchars.

◆ getAssociationList()

static getAssociationList | ( | $extensionName,
 |  | $typeName,
 |  | $itemId
 | ) |
static

Get the associated items for an item

Paramètres
string | $extensionName | The extension name with com_
string | $typeName | The item type
int | $itemId | The id of item for which we need the associated items
Renvoie
array
Depuis
3.7.0

Références $itemId.

Référencé par JFormFieldItemLanguage\getOptions().

◆ getContentLanguages()

static getContentLanguages ( )
static

Get all the content languages.

Renvoie
array Array of objects all content languages by language code.
Depuis
3.7.0

Références LanguageHelper\getContentLanguages().

◆ getEnabledExtensions()

static getEnabledExtensions ( )
staticprivate

Get all installed and enabled extensions

Renvoie
mixed
Depuis
3.7.0

Références $db, et $query.

◆ getExtensionHelper()

static getExtensionHelper ( $extensionName )
static

Get the the instance of the extension helper class

Paramètres
string $extensionName The extension name with com_
Renvoie
HelperClass|null
Depuis
3.7.0

Références null.

Référencé par AssociationsViewAssociation\addToolbar(), AssociationsViewAssociations\addToolbar(), et JFormFieldItemLanguage\getOptions().

◆ getExtensionHelperClassName()

static getExtensionHelperClassName ( $extensionName )
staticprivate

Get the extension specific helper class name

Paramètres
string $extensionName The extension name with com_
Renvoie
boolean
Depuis
3.7.0

◆ getExtensionRealName()

static getExtensionRealName ( $extensionName )
staticprivate

Get the real extension name. This means without com_

Paramètres
string $extensionName The extension name with com_
Renvoie
string
Depuis
3.7.0

◆ getItem()

static getItem | ( | $extensionName,
 |  | $typeName,
 |  | $itemId
 | ) |
static

Get item information

Paramètres
string | $extensionName | The extension name with com_
string | $typeName | The item type
int | $itemId | The id of item for which we need the associated items
Renvoie
JTable|null
Depuis
3.7.0

Références $itemId.

Référencé par AssociationsControllerAssociation\cancel(), AssociationsControllerAssociations\checkin(), AssociationsViewAssociation\display(), et JFormFieldItemLanguage\getOptions().

◆ getLanguagefilterPluginId()

static getLanguagefilterPluginId ( )
static

Gets the language filter system plugin extension id.

Renvoie
integer The language filter system plugin extension id.
Depuis
3.7.2

Références $db, $query, et JError\raiseWarning().

Référencé par AssociationsViewAssociations\display().

◆ getSupportedExtension()

static getSupportedExtension ( $extensionName )
static

Get item context based on the item key.

Paramètres
string $extensionName The extension identifier.
Renvoie
Joomla The item properties.
Depuis
3.7.0

Références $context, $lang, $title, Registry\def(), JPATH_ADMINISTRATOR, et null.

Référencé par AssociationsControllerAssociations\checkin(), AssociationsViewAssociations\display(), AssociationsViewAssociation\display(), et AssociationsModelAssociations\getListQuery().

◆ getSupportedExtensions()

static getSupportedExtensions ( )
static

Get all extensions with associations support.

Renvoie
array The extensions.
Depuis
3.7.0

Références $extension.

Référencé par JFormFieldItemType\getGroups().

◆ getTypeFieldName()

static getTypeFieldName | ( | $extensionName,
 |  | $typeName,
 |  | $fieldName
 | ) |
static

Get a table field name for a type

Paramètres
string | $extensionName | The extension name with com_
string | $typeName | The item type
string | $fieldName | The item type
Renvoie
boolean True on allowed.
Depuis
3.7.0

Référencé par AssociationsViewAssociation\display().

◆ hasSupport()

static hasSupport ( $extensionName )
static

Check if extension supports associations

Paramètres
string $extensionName The extension name with com_
Renvoie
boolean
Depuis
3.7.0

◆ isCheckoutItem()

static isCheckoutItem | ( | $extensionName,
 |  | $typeName,
 |  | $itemId
 | ) |
static

Check if an item is checked out

Paramètres
string | $extensionName | The extension name with com_
string | $typeName | The item type
int | $itemId | The id of item for which we need the associated items
Renvoie
boolean True if item is checked out.
Depuis
3.7.0

Références $item, et $itemId.

◆ typeSupportsCheckout()

static typeSupportsCheckout | ( | $extensionName,
 |  | $typeName
 | ) |
static

Check if the type supports checkout

Paramètres
string | $extensionName | The extension name with com_
string | $typeName | The item type
Renvoie
boolean True on allowed.
Depuis
3.7.0

Référencé par AssociationsControllerAssociation\cancel(), et AssociationsControllerAssociations\checkin().

Documentation des champs

◆ $extensionsSupport

$extensionsSupport = null
static

Array of Registry objects of extensions

var array $extensionsSupport

Depuis
3.7.0

◆ $supportedExtensionsList

$supportedExtensionsList = array()
static

List of extensions name with support

var array $supportedExtensionsList

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_associations/helpers/associations.php


Joomla CMS: Référence de la classe AssociationsModelAssociation

Fonctions membres publiques
Référence de la classe AssociationsModelAssociation
+ Graphe d'héritage de AssociationsModelAssociation:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)

Description détaillée

Methods supporting a list of article records.

Depuis
3.7.0

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
3.7.0

Références $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_associations/models/association.php


Joomla CMS: Référence de la classe AssociationsModelAssociations

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe AssociationsModelAssociations
+ Graphe d'héritage de AssociationsModelAssociations:

Fonctions membres publiques

__construct ($config=array())
purge ($context='', $key='')
clean ($context='', $key='')

Fonctions membres protégées

populateState ($ordering='ordering', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of article records.

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
3.7.0
Voir également
JController

Références $config.

Documentation des fonctions membres

◆ clean()

clean | ( | $context = '',
 |  | $key = ''
 | ) |

Delete orphans from the #__associations table.

Paramètres
string | $context | The associations context. Empty for all.
string | $key | The associations key. Empty for all.
Renvoie
boolean True on success
Depuis
3.7.0

Références $app, $context, $count, $db, $key, $query, et $value.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery|boolean
Depuis
3.7.0

Références $db, $extension, $fields, $key, $language, $query, $state, $type, $user, elseif, AssociationsHelper\getSupportedExtension(), et null.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
3.7.0

Références $id.

◆ populateState()

populateState | ( | $ordering = 'ordering',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.7.0

Références $app, $direction, $forcedLanguage, $layout, et $ordering.

◆ purge()

purge | ( | $context = '',
 |  | $key = ''
 | ) |

Delete associations from #__associations table.

Paramètres
string | $context | The associations context. Empty for all.
string | $key | The associations key. Empty for all.
Renvoie
boolean True on success.
Depuis
3.7.0

Références $app, $context, $db, $key, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_associations/models/associations.php


Joomla CMS: Référence de la classe AssociationsViewAssociation

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe AssociationsViewAssociation
+ Graphe d'héritage de AssociationsViewAssociation:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$itemType = null

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of articles.

Depuis
3.7.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.7.0

Références $title, AssociationsHelper\getExtensionHelper(), JHtmlSidebar\setAction(), et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void
Depuis
3.7.0
Exceptions
Exception

Références $document, $extension, $input, $options, $target, $task, getDocument, AssociationsHelper\getItem(), AssociationsHelper\getSupportedExtension(), et AssociationsHelper\getTypeFieldName().

Documentation des champs

◆ $items

$items
protected

◆ $itemType

$itemType = null

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_associations/views/association/view.html.php


Joomla CMS: Référence de la classe AssociationsViewAssociations

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe AssociationsViewAssociations
+ Graphe d'héritage de AssociationsViewAssociations:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$itemType = null

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of articles.

Depuis
3.7.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.7.0

Références $title, $user, AssociationsHelper\getExtensionHelper(), et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void
Depuis
3.7.0

Références $extension, $fields, $forcedLanguage, $link, $type, elseif, AssociationsHelper\getLanguagefilterPluginId(), AssociationsHelper\getSupportedExtension(), items, et null.

Documentation des champs

◆ $items

$items
protected

◆ $itemType

$itemType = null

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_associations/views/associations/view.html.php


Joomla CMS: Référence de la classe BannerHelper

Fonctions membres publiques statiques
Référence de la classe BannerHelper

Fonctions membres publiques statiques

static | isImage ($url)
static | isFlash ($url)

Description détaillée

Banner Helper Class

Depuis
1.6

Documentation des fonctions membres

◆ isFlash()

static isFlash ( $url )
static

Checks if a URL is a Flash file

Paramètres
string $url The URL path to the potential flash file
Renvoie
boolean True if an image of type bmp, gif, jp(e)g or png, false otherwise
Depuis
1.6

Références $url.

◆ isImage()

static isImage ( $url )
static

Checks if a URL is an image

Paramètres
string $url The URL path to the potential image
Renvoie
boolean True if an image of type bmp, gif, jp(e)g or png, false otherwise
Depuis
1.6

Références $url.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_banners/helpers/banner.php


Joomla CMS: Référence de la classe BannersCategories

Fonctions membres publiques
Référence de la classe BannersCategories
+ Graphe d'héritage de BannersCategories:

Fonctions membres publiques

__construct ($options=array())

Description détaillée

Banners Component Category Tree

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Array of options
Depuis
1.6

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_banners/helpers/category.php


Joomla CMS: Référence de la classe BannersController

Fonctions membres publiques
Référence de la classe BannersController
+ Graphe d'héritage de BannersController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())
click ()

Description détaillée

Banners master display controller.

Depuis
1.6

Banners Controller

Depuis
1.5

Documentation des fonctions membres

◆ click()

click ( )

Method when a banner is clicked on.

Renvoie
void
Depuis
1.5

Références $id.

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
BannersController This object to support chaining.
Depuis
1.5

Références $id, $layout, $view, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/controller.php


Joomla CMS: Référence de la classe BannersControllerBanner

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe BannersControllerBanner
+ Graphe d'héritage de BannersControllerBanner:

Fonctions membres publiques

batch ($model=null)

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='id')

Attributs protégés

$text_prefix = 'COM_BANNERS_BANNER'

Description détaillée

Banner controller class.

Depuis
1.6

Documentation des fonctions membres

◆ allowAdd()

allowAdd ( $data = array() )
protected

Method override to check if you can add a new record.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
1.6

Références $data, $filter, null, et option.

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method override to check if you can edit an existing record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, $key, et option.

◆ batch()

batch ( $model = null )

Method to run batch operations.

Paramètres
string $model The model
Renvoie
boolean True on success.
Depuis
2.5

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_BANNERS_BANNER'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/controllers/banner.php


Joomla CMS: Référence de la classe BannersControllerBanners

Fonctions membres publiques | Attributs protégés
Référence de la classe BannersControllerBanners
+ Graphe d'héritage de BannersControllerBanners:

Fonctions membres publiques

__construct ($config=array())
getModel ($name='Banner', $prefix='BannersModel', $config=array('ignore_request'=> true))

Attributs protégés

$text_prefix = 'COM_BANNERS_BANNERS'

Description détaillée

Banners list controller class.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Banner',
 |  | $prefix = 'BannersModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy The model.
Depuis
1.6

Références $config, $name, et $prefix.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_BANNERS_BANNERS'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/controllers/banners.php


Joomla CMS: Référence de la classe BannersControllerClient

Attributs protégés
Référence de la classe BannersControllerClient
+ Graphe d'héritage de BannersControllerClient:

Attributs protégés

$text_prefix = 'COM_BANNERS_CLIENT'

Description détaillée

Client controller class.

Depuis
1.6

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_BANNERS_CLIENT'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/controllers/client.php


Joomla CMS: Référence de la classe BannersControllerClients

Fonctions membres publiques | Attributs protégés
Référence de la classe BannersControllerClients
+ Graphe d'héritage de BannersControllerClients:

Fonctions membres publiques

getModel ($name='Client', $prefix='BannersModel', $config=array('ignore_request'=> true))

Attributs protégés

$text_prefix = 'COM_BANNERS_CLIENTS'

Description détaillée

Clients list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Client',
 |  | $prefix = 'BannersModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy The model.
Depuis
1.6

Références $config, $name, et $prefix.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_BANNERS_CLIENTS'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/clients.php


Joomla CMS: Référence de la classe BannersControllerTracks

Fonctions membres publiques | Attributs protégés
Référence de la classe BannersControllerTracks
+ Graphe d'héritage de BannersControllerTracks:

Fonctions membres publiques

getModel ($name='Tracks', $prefix='BannersModel', $config=array('ignore_request'=> true))
getModel ($name='Tracks', $prefix='BannersModel', $config=array())

Attributs protégés

$context = 'com_banners.tracks'

Description détaillée

Tracks list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ getModel() [1/2]

getModel | ( | $name = 'Tracks',
 |  | $prefix = 'BannersModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy The model.
Depuis
1.6

Références $config, $name, et $prefix.

◆ getModel() [2/2]

getModel | ( | $name = 'Tracks',
 |  | $prefix = 'BannersModel',
 |  | $config = array()
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The name of the model.
string | $prefix | The prefix for the model class name.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy
Depuis
1.6

Références $name, et $prefix.

Documentation des champs

◆ $context

$context = 'com_banners.tracks'
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • controllers/tracks.php
  • tracks.raw.php


Joomla CMS: Référence de la classe BannersHelper

Fonctions membres publiques statiques
Référence de la classe BannersHelper
+ Graphe d'héritage de BannersHelper:

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getClientOptions ()
static | countItems (&$items)

Description détaillée

Banners component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Références JHtmlSidebar\addEntry().

Référencé par BannersViewClients\display(), BannersViewTracks\display(), et BannersViewBanners\display().

◆ countItems()

static countItems ( & $items )
static

Adds Count Items for Category Manager.

Paramètres
stdClass[] &$items The category objects
Renvoie
stdClass[]
Depuis
3.5

Références $config, et $items.

◆ getClientOptions()

static getClientOptions ( )
static

Get client list in text/value format for a select field

Renvoie
array

Références $db, $options, $query, et JError\raiseWarning().

Référencé par JFormFieldBannerClient\getOptions().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/helpers/banners.php


Joomla CMS: Référence de la classe BannersModelBanner

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe BannersModelBanner
+ Graphe d'héritage de BannersModelBanner:

Fonctions membres publiques

generateTitle ($categoryId, $table)
getTable ($type='Banner', $prefix='BannersTable', $config=array())
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
click ()
getUrl ()

Champs de données

$typeAlias = 'com_banners.banner'

Fonctions membres protégées

canDelete ($record)
canEditState ($record)
loadFormData ()
getReorderConditions ($table)
prepareTable ($table)
preprocessForm (JForm $form, $data, $group='content')

Attributs protégés

$text_prefix = 'COM_BANNERS_BANNER'
$batch_copymove = 'category_id'
$batch_commands
$_item

Fonctions membres privées

canCreateCategory ()

Description détaillée

Banner model.

Depuis
1.6

Banner model for the Joomla Banners component.

Depuis
1.5

Documentation des fonctions membres

◆ canCreateCategory()

canCreateCategory ( )
private

Is the user allowed to create an on the fly category?

Renvoie
boolean
Depuis
3.6.1

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission set in the component.
Depuis
1.6

◆ click()

click ( )

Clicks the URL, incrementing the counter

Renvoie
void
Depuis
1.5

Références $config, $count, $db, $id, $item, $query, et JError\raiseError().

◆ generateTitle()

generateTitle | ( | $categoryId,
 |  | $table
 | ) |

A method to preprocess generating a new title in order to allow tables with alternative names for alias and title to use the batch move and copy methods

Paramètres
integer | $categoryId | The target category id
JTable | $table | The JTable within which move or copy is taking place
Renvoie
void
Depuis
3.8.12

Références $data.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form. [optional]
boolean | $loadData | True if the form is to load its own data (default case), false if not. [optional]
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
1.6

Références $data, et $form.

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
JTable $table A record object.
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

◆ getTable()

getTable | ( | $type = 'Banner',
 |  | $prefix = 'BannersTable',
 |  | $config = array()
 | ) |

Returns a JTable object, always creating it.

Paramètres
string | $type | The table type to instantiate. [optional]
string | $prefix | A prefix for the table class name. [optional]
array | $config | Configuration array for model. [optional]
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, et $type.

◆ getUrl()

getUrl ( )

Get the URL for a banner

Renvoie
string
Depuis
1.5

Références $item, et $url.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $app, $data, $filters, et null.

◆ prepareTable()

prepareTable ( $table )
protected

Prepare and sanitise the table prior to saving.

Paramètres
JTable $table A JTable object.
Renvoie
void
Depuis
1.6

Références $date, $db, $query, et $user.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Allows preprocessing of the JForm object.

Paramètres
JForm | $form | The form object
array | $data | The data to be merged into the form object
string | $group | The plugin group to be executed
Renvoie
void
Depuis
3.6.1

Références $data, et $form.

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.9.25

Références $data, $form, et validate().

Documentation des champs

◆ $_item

$_item
protected

◆ $batch_commands

$batch_commands
protected
Valeur initiale :
= array(
'client_id' => 'batchClient',
'language_id' => 'batchLanguage'
)

◆ $batch_copymove

$batch_copymove = 'category_id'
protected

◆ $text_prefix

$text_prefix = 'COM_BANNERS_BANNER'
protected

◆ $typeAlias

$typeAlias = 'com_banners.banner'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/models/banner.php


Joomla CMS: Référence de la classe BannersModelBanners

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe BannersModelBanners
+ Graphe d'héritage de BannersModelBanners:

Fonctions membres publiques

__construct ($config=array())
& getCategoryOrders ()
getTable ($type='Banner', $prefix='BannersTable', $config=array())
getItems ()
impress ()

Fonctions membres protégées

getListQuery ()
getStoreId ($id='')
populateState ($ordering='a.name', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of banner records.

Depuis
1.6

Banners model for the Joomla Banners component.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getCategoryOrders()

& getCategoryOrders ( )

Method to get the maximum ordering value for each category.

Renvoie
array
Depuis
1.6

Références $db, et $query.

◆ getItems()

getItems ( )

Get a list of banners.

Renvoie
array
Depuis
1.6

Références $item, et $keywords.

◆ getListQuery() [1/2]

getListQuery ( )
protected

Method to get a JDatabaseQuery object for retrieving the data set from a database.

Renvoie
JDatabaseQuery A JDatabaseQuery object to retrieve the data set.
Depuis
1.6

Références $config, $db, $keywords, $ordering, $prefix, $query, $type, et elseif.

◆ getListQuery() [2/2]

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $clientId, $db, $language, $published, $query, et elseif.

◆ getStoreId() [1/2]

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ getStoreId() [2/2]

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ getTable()

getTable | ( | $type = 'Banner',
 |  | $prefix = 'BannersTable',
 |  | $config = array()
 | ) |

Returns a reference to the a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
1.6

Références $config, $prefix, et $type.

◆ impress()

impress ( )

Makes impressions on a list of banners

Renvoie
void
Depuis
1.6

Références $config, $db, $item, $items, $query, et JError\raiseError().

◆ populateState()

populateState | ( | $ordering = 'a.name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, et $ordering.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/models/banners.php


Joomla CMS: Référence de la classe BannersModelClient

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe BannersModelClient
+ Graphe d'héritage de BannersModelClient:

Fonctions membres publiques

getTable ($type='Client', $prefix='BannersTable', $config=array())
getForm ($data=array(), $loadData=true)

Champs de données

$typeAlias = 'com_banners.client'

Fonctions membres protégées

canDelete ($record)
canEditState ($record)
loadFormData ()
prepareTable ($table)

Description détaillée

Client model.

Depuis
1.6

Documentation des fonctions membres

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission set in the component.
Depuis
1.6

Références $user.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getTable()

getTable | ( | $type = 'Client',
 |  | $prefix = 'BannersTable',
 |  | $config = array()
 | ) |

Returns a reference to the a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
1.6

Références $config, $prefix, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ prepareTable()

prepareTable ( $table )
protected

Prepare and sanitise the table prior to saving.

Paramètres
JTable $table A JTable object.
Renvoie
void
Depuis
1.6

Références ENT_QUOTES.

Documentation des champs

◆ $typeAlias

$typeAlias = 'com_banners.client'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/models/client.php


Joomla CMS: Référence de la classe BannersModelClients

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe BannersModelClients
+ Graphe d'héritage de BannersModelClients:

Fonctions membres publiques

__construct ($config=array())
getItems ()

Fonctions membres protégées

populateState ($ordering='a.name', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of banner records.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getItems()

getItems ( )

Overrides the getItems method to attach additional metrics to the list.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
3.6

Références $db, $item, $items, et $query.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery

Références $db, $published, $query, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, et $ordering.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/clients.php


Joomla CMS: Référence de la classe BannersModelDownload

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe BannersModelDownload
+ Graphe d'héritage de BannersModelDownload:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)

Fonctions membres protégées

populateState ()
loadFormData ()

Attributs protégés

$_context = 'com_banners.tracks'

Description détaillée

Download model.

Depuis
1.5

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ populateState()

populateState ( )
protected

Auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $input.

Documentation des champs

◆ $_context

$_context = 'com_banners.tracks'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/models/download.php


Joomla CMS: Référence de la classe BannersModelTracks

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe BannersModelTracks
+ Graphe d'héritage de BannersModelTracks:

Fonctions membres publiques

__construct ($config=array())
delete ()
getBaseName ()
getFileType ()
getMimeType ()
getContent ()

Fonctions membres protégées

populateState ($ordering='b.name', $direction='asc')
getListQuery ()
getCategoryName ()
getClientName ()

Attributs protégés

$basename

Description détaillée

Methods supporting a list of tracks.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ delete()

delete ( )

Method to delete rows.

Renvoie
boolean Returns true on success, false on failure.

Références $clientId, $db, $query, $type, $user, et JError\raiseWarning().

◆ getBaseName()

getBaseName ( )

Get file name

Renvoie
string The file name
Depuis
1.6

Références $clientId, et $type.

◆ getCategoryName()

getCategoryName ( )
protected

Get the category name.

Renvoie
string The category name
Depuis
1.6

Références $db, $name, et $query.

◆ getClientName()

getClientName ( )
protected

Get the client name

Renvoie
string The client name.
Depuis
1.6

Références $clientId, $db, $name, et $query.

◆ getContent()

getContent ( )

Get the content

Renvoie
string The content.
Depuis
1.6

Références $app, $content, $files, $item, content, elseif, et jimport().

◆ getFileType()

getFileType ( )

Get the file type.

Renvoie
string The file type
Depuis
1.6

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $clientId, $db, $query, et $type.

◆ getMimeType()

getMimeType ( )

Get the mime type.

Renvoie
string The mime type.
Depuis
1.6

◆ populateState()

populateState | ( | $ordering = 'b.name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, et $ordering.

Documentation des champs

◆ $basename

$basename
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/tracks.php


Joomla CMS: Référence de la classe BannersRouter

Fonctions membres publiques
Référence de la classe BannersRouter
+ Graphe d'héritage de BannersRouter:

Fonctions membres publiques

build (&$query)
parse (&$segments)

Description détaillée

Routing class from com_banners

Depuis
3.3

Documentation des fonctions membres

◆ build()

build ( & $query )

Build the route for the com_banners component

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Références $i, $query, et $total.

Référencé par bannersBuildRoute().

◆ parse()

parse ( & $segments )

Parse the segments of a URL.

Paramètres
array &$segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Depuis
3.3

Références $count, $i, et $total.

Référencé par bannersParseRoute().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_banners/router.php


Joomla CMS: Référence de la classe BannersTableBanner

Fonctions membres publiques
Référence de la classe BannersTableBanner
+ Graphe d'héritage de BannersTableBanner:

Fonctions membres publiques

__construct (&$db)
clicks ()
check ()
bind ($array, $ignore=array())

Description détaillée

Banner table

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver $db Database connector object
Depuis
1.5

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = array()
 | ) |

Overloaded bind function

Paramètres
mixed | $array | An associative array or object to bind to the JTable instance.
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
boolean True on success
Depuis
1.5

Références $height, et $width.

◆ check()

check ( )

Overloaded check function

Renvoie
boolean
Voir également
JTable::check
Depuis
1.5

Références $name, elseif, ENT_QUOTES, language, et name.

◆ clicks()

clicks ( )

Increase click count

Renvoie
void

Références $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/tables/banner.php


Joomla CMS: Référence de la classe BannersTableClient

Fonctions membres publiques
Référence de la classe BannersTableClient
+ Graphe d'héritage de BannersTableClient:

Fonctions membres publiques

__construct (&$db)
publish ($pks=null, $state=1, $userId=0)

Description détaillée

Client table

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver $db Database connector object
Depuis
1.5

Références $db.

Documentation des fonctions membres

◆ publish()

publish | ( | $pks = null,
 |  | $state = 1,
 |  | $userId = 0
 | ) |

Method to set the publishing state for a row or list of rows in the database table. The method respects checked out rows by other users and will attempt to checkin rows that it can after adjustments are made.

Paramètres
mixed | $pks | An optional array of primary key values to update. If not set the instance property value is used.
integer | $state | The publishing state. eg. [0 = unpublished, 1 = published, 2=archived, -2=trashed]
integer | $userId | The user id of the user performing the operation.
Renvoie
boolean True on success.
Depuis
1.0.4

Références $state, et $userId.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/tables/client.php


Joomla CMS: Référence de la classe BannersViewBanner

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe BannersViewBanner
+ Graphe d'héritage de BannersViewBanner:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state

Description détaillée

View to edit a banner.

Depuis
1.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $user, $userId, item, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/views/banner/view.html.php


Joomla CMS: Référence de la classe BannersViewBanners

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe BannersViewBanners
+ Graphe d'héritage de BannersViewBanners:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$categories
$items
$pagination
$state

Description détaillée

View class for a list of banners.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $title, $user, elseif, JPATH_ADMINISTRATOR, JLoader\register(), et title.

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed A string if successful, otherwise a JError object.
Depuis
1.6

Références BannersHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $categories

$categories
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/views/banners/view.html.php


Joomla CMS: Référence de la classe BannersViewClient

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe BannersViewClient
+ Graphe d'héritage de BannersViewClient:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state
$canDo

Description détaillée

View to edit a client.

Depuis
1.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $user, item, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références item.

Documentation des champs

◆ $canDo

$canDo
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/views/client/view.html.php


Joomla CMS: Référence de la classe BannersViewClients

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe BannersViewClients
+ Graphe d'héritage de BannersViewClients:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of clients.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références elseif, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références BannersHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/views/clients/view.html.php


Joomla CMS: Référence de la classe BannersViewDownload

Fonctions membres publiques | Attributs protégés
Référence de la classe BannersViewDownload
+ Graphe d'héritage de BannersViewDownload:

Fonctions membres publiques

display ($tpl=null)

Attributs protégés

$form

Description détaillée

View class for download a list of tracks.

Depuis
1.6

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Documentation des champs

◆ $form

$form
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/views/download/view.html.php


Joomla CMS: Référence de la classe BannersViewTracks

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe BannersViewTracks
+ Graphe d'héritage de BannersViewTracks:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of tracks.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, JHtmlSidebar\setAction(), et title.

◆ display() [1/2]

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références $content, $document, et getDocument.

◆ display() [2/2]

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références BannersHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_banners/views/tracks/view.html.php
  • view.raw.php


Joomla CMS: Référence de la classe CacheController

Fonctions membres publiques
Référence de la classe CacheController
+ Graphe d'héritage de CacheController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
delete ()
deleteAll ()
purge ()

Description détaillée

Cache Controller

Depuis
1.6

Documentation des fonctions membres

◆ delete()

delete ( )

Method to delete a list of cache groups.

Renvoie
void

◆ deleteAll()

deleteAll ( )

Method to delete all cache groups.

Renvoie
void
Depuis
3.6.0

Références $app, et $client.

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $document, $view, CacheHelper\addSubmenu(), getDocument, JPATH_ADMINISTRATOR, et JLoader\register().

◆ purge()

purge ( )

Purge the cache.

Renvoie
void
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_cache/controller.php


Joomla CMS: Référence de la classe CacheHelper

Fonctions membres publiques statiques
Référence de la classe CacheHelper

Fonctions membres publiques statiques

static | getClientOptions ()
static | addSubmenu ($vName)

Description détaillée

Cache component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Références JHtmlSidebar\addEntry().

Référencé par CacheController\display().

◆ getClientOptions()

static getClientOptions ( )
static

Get a list of filter options for the application clients.

Renvoie
array An array of JHtmlOption elements.
Obsolète:
4.0 No replacement.

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_cache/helpers/cache.php


Joomla CMS: Référence de la classe CacheModelCache

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CacheModelCache
+ Graphe d'héritage de CacheModelCache:

Fonctions membres publiques

__construct ($config=array())
getData ()
getCache ($clientId=null)
getClient ()
getTotal ()
getPagination ()
clean ($group='')
cleanlist ($array)
purge ()

Fonctions membres protégées

populateState ($ordering='group', $direction='asc')
getStoreId ($id='')

Attributs protégés

$_data = array()
$_total = null
$_pagination = null

Description détaillée

Cache Model

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
3.5

Références $config.

Documentation des fonctions membres

◆ clean()

clean ( $group = '' )

Clean out a cache group as named by param. If no param is passed clean all cache groups.

Paramètres
string $group Cache group name.
Renvoie
boolean True on success, false otherwise

◆ cleanlist()

cleanlist ( $array )

Purge an array of cache groups.

Paramètres
array $array Array of cache group names.
Renvoie
array Array with errors, if they exist.

◆ getCache()

getCache ( $clientId = null )

Method to get cache instance.

Renvoie
JCacheController

Références $clientId, $options, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getClient()

getClient ( )

Method to get client data.

Renvoie
array
Obsolète:
4.0 No replacement.

◆ getData()

getData ( )

Method to get cache data

Renvoie
array

Références $data, $key, $limit, $listDirn, $listOrder, et $start.

◆ getPagination()

getPagination ( )

Method to get a pagination object for the cache.

Renvoie
JPagination

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
3.5

Références $id.

◆ getTotal()

getTotal ( )

Get the number of current Cache Groups.

Renvoie
integer

◆ populateState()

populateState | ( | $ordering = 'group',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | Field for ordering.
string | $direction | Direction of ordering.
Renvoie
void
Depuis
1.6

Références $clientId, $direction, et $ordering.

◆ purge()

purge ( )

Purge all cache items.

Renvoie
boolean True if successful; false otherwise.

Documentation des champs

◆ $_data

$_data = array()
protected

◆ $_pagination

$_pagination = null
protected

◆ $_total

$_total = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_cache/models/cache.php


Joomla CMS: Référence de la classe CacheViewCache

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CacheViewCache
+ Graphe d'héritage de CacheViewCache:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$client
$data
$pagination
$state

Description détaillée

HTML View class for the Cache component

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $state, JHtmlSidebar\setAction(), et title.

◆ display()

display ( $tpl = null )

Display a view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références JHtmlSidebar\render().

Documentation des champs

◆ $client

$client
protected

◆ $data

$data
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_cache/views/cache/view.html.php


Joomla CMS: Référence de la classe CacheViewPurge

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe CacheViewPurge
+ Graphe d'héritage de CacheViewPurge:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Description détaillée

HTML View class for the Cache component

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Display a view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références JHtmlSidebar\render().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_cache/views/purge/view.html.php


Joomla CMS: Référence de la classe CallbackFilterIterator

Fonctions membres publiques | Attributs protégés
Référence de la classe CallbackFilterIterator
+ Graphe d'héritage de CallbackFilterIterator:

Fonctions membres publiques

__construct (\Iterator $iterator, $callback)
accept ()

Attributs protégés

$callback = null

Description détaillée

Part of the Joomla Framework Compat Package

Copyright
Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE CallbackFilterIterator using the callback to determine which items are accepted or rejected.

1.2.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | \Iterator | $iterator,
 |  |  | $callback
 | ) |  |

Creates a filtered iterator using the callback to determine which items are accepted or rejected.

Paramètres
\Iterator | $iterator | The iterator to be filtered.
callable | $callback | The callback, which should return TRUE to accept the current item or FALSE otherwise. May be any valid callable value. The callback should accept up to three arguments: the current item, the current key and the iterator, respectively. ``` php function my_callback($current, $key, $iterator) ```
Exceptions
InvalidArgumentException
Depuis
1.2.0

Références $callback.

Documentation des fonctions membres

◆ accept()

accept ( )

This method calls the callback with the current value, current key and the inner iterator. The callback is expected to return TRUE if the current item is to be accepted, or FALSE otherwise.

boolean True if the current element is acceptable, otherwise false. 1.2.0

Documentation des champs

◆ $callback

$callback = null
protected

Référencé par __construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • CallbackFilterIterator.php


Joomla CMS: Référence de la classe CannotPerformOperationException

Référence de la classe CannotPerformOperationException
+ Graphe d'héritage de CannotPerformOperationException:
La documentation de cette classe a été générée à partir du fichier suivant :
  • php-encryption/Crypto.php


Joomla CMS: Référence de la classe CategoriesController

Fonctions membres publiques | Attributs protégés
Référence de la classe CategoriesController
+ Graphe d'héritage de CategoriesController:

Fonctions membres publiques

__construct ($config=array())
display ($cachable=false, $urlparams=array())

Attributs protégés

$extension

Description détaillée

Categories view class for the Category package.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config, et extension.

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
CategoriesController This object to support chaining.
Depuis
1.5

Références $document, $id, $view, CategoriesHelper\addSubmenu(), extension, getDocument, JPATH_ADMINISTRATOR, et JLoader\register().

Documentation des champs

◆ $extension

$extension
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/controller.php


Joomla CMS: Référence de la classe CategoriesControllerAjax

Fonctions membres publiques
Référence de la classe CategoriesControllerAjax
+ Graphe d'héritage de CategoriesControllerAjax:

Fonctions membres publiques

fetchAssociations ()

Description détaillée

The categories controller for ajax requests

Depuis
3.9.0

Documentation des fonctions membres

◆ fetchAssociations()

fetchAssociations ( )

Method to fetch associations of a category

The method assumes that the following http parameters are passed in an Ajax Get request: token: the form token assocId: the id of the category whose associations are to be returned excludeLang: the association for this language is to be excluded

Renvoie
null
Depuis
3.9.0

Références $extension, $input, $lang, $message, elseif, LanguageHelper\getContentLanguages(), JPATH_ADMINISTRATOR, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_categories/controllers/ajax.json.php


Joomla CMS: Référence de la classe CategoriesControllerCategories

Fonctions membres publiques
Référence de la classe CategoriesControllerCategories
+ Graphe d'héritage de CategoriesControllerCategories:

Fonctions membres publiques

getModel ($name='Category', $prefix='CategoriesModel', $config=array('ignore_request'=> true))
saveorder ()
checkin ()

Description détaillée

The Categories List Controller

Depuis
1.6

Documentation des fonctions membres

◆ checkin()

checkin ( )

Check in of one or more records.

Overrides JControllerAdmin::checkin to redirect to URL with extension.

Renvoie
boolean True on success
Depuis
3.6.0

Références $redirectUri, et option.

◆ getModel()

getModel | ( | $name = 'Category',
 |  | $prefix = 'CategoriesModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | The array of possible config values. Optional.
Renvoie
JModelLegacy The model.
Depuis
1.6

Références $config, $name, et $prefix.

◆ saveorder()

saveorder ( )

Save the manual order inputs from the categories list page.

Renvoie
boolean True on success
Depuis
1.6
Voir également
JControllerAdmin::saveorder()
Obsolète:
4.0

Références null, et option.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/controllers/categories.php


Joomla CMS: Référence de la classe CategoriesControllerCategory

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CategoriesControllerCategory
+ Graphe d'héritage de CategoriesControllerCategory:

Fonctions membres publiques

__construct ($config=array())
save ($key=null, $urlVar=null)
cancel ($key=null)

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='parent_id')
getRedirectToItemAppend ($recordId=null, $urlVar='id')
getRedirectToListAppend ()
postSaveHook (JModelLegacy $model, $validData=array())

Attributs protégés

$extension

Description détaillée

The Category Controller

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.6
Voir également
JControllerLegacy

Références $config, et extension.

Documentation des fonctions membres

◆ allowAdd()

allowAdd ( $data = array() )
protected

Method to check if you can add a new record.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
1.6

Références $user.

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'parent_id'
 | ) |
protected

Method to check if you can edit a record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, $key, et $user.

◆ cancel()

cancel ( $key = null )

Override cancel method to clear form data for a failed edit action

Paramètres
string $key The name of the primary key of the URL variable.
Renvoie
boolean True if access level checks pass, false otherwise.
Depuis
3.10.3

Références $key, extension, null, et option.

◆ getRedirectToItemAppend()

getRedirectToItemAppend | ( | $recordId = null,
 |  | $urlVar = 'id'
 | ) |
protected

Gets the URL arguments to append to an item redirect.

Paramètres
integer | $recordId | The primary key id for the item.
string | $urlVar | The name of the URL variable for the id.
Renvoie
string The arguments to append to the redirect URL.
Depuis
1.6

Références $extension.

◆ getRedirectToListAppend()

getRedirectToListAppend ( )
protected

Gets the URL arguments to append to a list redirect.

Renvoie
string The arguments to append to the redirect URL.
Depuis
1.6

Références $extension.

◆ postSaveHook()

postSaveHook | ( | JModelLegacy | $model,
 |  |  | $validData = array()
 | ) |  |
protected

Function that allows child controller access to model data after the data has been saved.

Paramètres
JModelLegacy | $model | The data model object.
array | $validData | The validated data.
Renvoie
void
Depuis
3.1

Références $item.

◆ save()

save | ( | $key = null,
 |  | $urlVar = null
 | ) |

Override parent save method to store form data with right key as expected by edit category page

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if successful, false otherwise.
Depuis
3.10.3

Références $app, $key, extension, et option.

Documentation des champs

◆ $extension

$extension
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/controllers/category.php


Joomla CMS: Référence de la classe CategoriesHelper

Fonctions membres publiques statiques
Référence de la classe CategoriesHelper

Fonctions membres publiques statiques

static | addSubmenu ($extension)
static | getActions ($extension, $categoryId=0)
static | getAssociations ($pk, $extension='com_content')
static | validateCategoryId ($catid, $extension)
static | createCategory ($data)

Description détaillée

Categories helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $extension )
static

Configure the Submenu links.

Paramètres
string $extension The extension being used for the categories.
Renvoie
void
Depuis
1.6

Références $component, $extension, $file, $lang, $parts, $prefix, $section, JPATH_ADMINISTRATOR, JPATH_BASE, null, et JLoader\register().

Référencé par CategoriesController\display().

◆ createCategory()

static createCategory ( $data )
static

Create new Category from within item view.

Paramètres
array $data Array of data for new category.
Renvoie
integer

Références $data, et JPATH_ADMINISTRATOR.

Référencé par NewsfeedsModelNewsfeed\save(), ContactModelContact\save(), et ContentModelArticle\save().

◆ getActions()

static getActions | ( | $extension,
 |  | $categoryId = 0
 | ) |
static

Gets a list of the actions that can be performed.

Paramètres
string | $extension | The extension.
integer | $categoryId | The category ID.
Renvoie
JObject
Depuis
1.6
Obsolète:
3.2 Use JHelperContent::getActions() instead

Références $extension.

◆ getAssociations()

static getAssociations | ( | $pk,
 |  | $extension = 'com_content'
 | ) |
static

Gets a list of associations for a given item.

Paramètres
integer | $pk | Content item key.
string | $extension | Optional extension name.
Renvoie
array of associations.

Références $db, $extension, $groups, $query, et $user.

Référencé par JHtmlCategoriesAdministrator\association(), CategoryHelperAssociation\getCategoryAssociations(), et CategoriesModelCategory\getItem().

◆ validateCategoryId()

static validateCategoryId | ( | $catid,
 |  | $extension
 | ) |
static

Check if Category ID exists otherwise assign to ROOT category.

Paramètres
mixed | $catid | Name or ID of category.
string | $extension | Extension that triggers this function
Renvoie
integer $catid Category ID.

Références $data, $extension, et JPATH_ADMINISTRATOR.

Référencé par NewsfeedsModelNewsfeed\save(), ContactModelContact\save(), et ContentModelArticle\save().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/helpers/categories.php


Joomla CMS: Référence de la classe CategoriesModelCategories

Fonctions membres publiques | Fonctions membres protégées | Attributs privés
Référence de la classe CategoriesModelCategories
+ Graphe d'héritage de CategoriesModelCategories:

Fonctions membres publiques

__construct ($config=array())
getAssoc ()
getItems ()
countItems (&$items, $extension)

Fonctions membres protégées

populateState ($ordering='a.lft', $direction='asc')
getStoreId ($id='')
getListQuery ()

Attributs privés

$hasAssociation

Description détaillée

Categories Component Categories Model

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ countItems()

countItems | ( | & | $items,
 |  |  | $extension
 | ) |  |

Method to load the countItems method from the extensions

Paramètres
stdClass[] | $items The category items
string | $extension | The category extension
Renvoie
void
Depuis
3.5

Références $component, $extension, $file, $items, $parts, $prefix, $section, JPATH_ADMINISTRATOR, null, et JLoader\register().

◆ getAssoc()

getAssoc ( )

Method to determine if an association exists

Renvoie
boolean True if the association exists
Depuis
3.0

Références $component, $extension, JPATH_SITE, et JLoader\register().

◆ getItems()

getItems ( )

Method to get an array of data items.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
3.0.1

Références $extension, et $items.

◆ getListQuery()

getListQuery ( )
protected

Method to get a database query to list categories.

Renvoie
JDatabaseQuery object.
Depuis
1.6

Références $db, $extension, $groups, $language, $listDirn, $published, $query, $user, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.lft',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $extension, $forcedLanguage, $layout, $ordering, $parts, et null.

Documentation des champs

◆ $hasAssociation

$hasAssociation
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/models/categories.php


Joomla CMS: Référence de la classe CategoriesModelCategory

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe CategoriesModelCategory
+ Graphe d'héritage de CategoriesModelCategory:

Fonctions membres publiques

__construct ($config=array())
getTable ($type='Category', $prefix='CategoriesTable', $config=array())
getItem ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
save ($data)
publish (&$pks, $value=1)
rebuild ()
saveorder ($idArray=null, $lftArray=null)
getAssoc ()

Champs de données

$typeAlias = null

Fonctions membres protégées

canDelete ($record)
canEditState ($record)
populateState ()
getReorderConditions ($table)
loadFormData ()
preprocessForm (JForm $form, $data, $group='content')
batchFlipordering ($value, $pks, $contexts)
batchCopy ($value, $pks, $contexts)
batchMove ($value, $pks, $contexts)
cleanCache ($group=null, $clientId=0)
generateNewTitle ($parentId, $alias, $title)

Attributs protégés

$text_prefix = 'COM_CATEGORIES'
$associationsContext = 'com_categories.item'

Attributs privés

$hasAssociation

Description détaillée

Categories Component Category Model

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Override parent constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JModelLegacy
Depuis
3.2

Références $config, et $extension.

Documentation des fonctions membres

◆ batchCopy()

batchCopy | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch copy categories to a new category.

Paramètres
integer | $value | The new category.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
mixed An array of new IDs on success, boolean false on failure.
Depuis
1.6

Références $canCreate, $count, $db, $extension, $parts, $query, $title, $type, $value, elseif, et null.

◆ batchFlipordering()

batchFlipordering | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch flip category ordering.

Paramètres
integer | $value | The new category.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
mixed An array of new IDs on success, boolean false on failure.
Depuis
3.6.3

For each category get the max ordering value Re-order with max - ordering

Références $db, $id, $query, et false.

◆ batchMove()

batchMove | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch move categories to a new category.

Paramètres
integer | $value | The new category ID.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True on success.
Depuis
1.6

Références $canCreate, $db, $extension, $query, $type, et $value.

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission set in the component.
Depuis
1.6

Références $user.

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Custom clean the cache of com_content and content modules

Paramètres
string | $group | Cache group name.
integer | $clientId | Application client id.
Renvoie
void
Depuis
1.6

Références $extension.

◆ generateNewTitle()

generateNewTitle | ( | $parentId,
 |  | $alias,
 |  | $title
 | ) |
protected

Method to change the title & alias.

Paramètres
integer | $parentId | The id of the parent.
string | $alias | The alias.
string | $title | The title.
Renvoie
array Contains the modified title and alias.
Depuis
1.7

Références $title.

◆ getAssoc()

getAssoc ( )

Method to determine if a category association is available.

Renvoie
boolean True if a category association is available; false otherwise.

Références $component, $extension, JPATH_SITE, et JLoader\register().

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the row form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
1.6

Références $data, $extension, $form, $jinput, et $parts.

◆ getItem()

getItem ( $pk = null )

Method to get a category.

Paramètres
integer $pk An optional id of the object to get, otherwise the id from the model state is used.
Renvoie
mixed Category data object on success, false on failure.
Depuis
1.6

Références $assoc, CategoriesHelper\getAssociations(), et null.

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get the where clause for the reorder This ensures that the row will be moved relative to a row with the same extension

Paramètres
JTableCategory $table Current table instance
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

◆ getTable()

getTable | ( | $type = 'Category',
 |  | $prefix = 'CategoriesTable',
 |  | $config = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $type | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
1.6

Références $config, $prefix, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $app, $data, $extension, $filters, et null.

◆ populateState()

populateState ( )
protected

Auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, $extension, $params, $parts, et null.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to preprocess the form.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import.
Renvoie
mixed
Voir également
JFormField
Depuis
1.6
Exceptions
Exception if there is an error in the form event.

Références $component, $data, $extension, $field, $fields, $form, $lang, $language, $name, $path, $section, jimport(), JPATH_ADMINISTRATOR, JPATH_BASE, null, et JLoader\register().

◆ publish()

publish | ( | & | $pks,
 |  |  | $value = 1
 | ) |  |

Method to change the published state of one or more records.

Paramètres
array | $pks | A list of the primary keys to change.
integer | $value | The value of the published state.
Renvoie
boolean True on success.
Depuis
2.5

Références $dispatcher, $extension, $value, et JEventDispatcher\getInstance().

◆ rebuild()

rebuild ( )

Method rebuild the entire nested set tree.

Renvoie
boolean False on failure or error, true otherwise.
Depuis
1.6

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $assoc, $context, $data, $db, $dispatcher, $id, $input, $key, $name, $query, $title, JEventDispatcher\getInstance(), json_encode, option, JError\raiseNotice(), et ArrayHelper\toInteger().

◆ saveorder()

saveorder | ( | $idArray = null,
 |  | $lftArray = null
 | ) |

Method to save the reordered nested set tree. First we save the new order values in the lft values of the changed ids. Then we invoke the table rebuild to implement the new ordering.

Paramètres
array | $idArray | An array of primary key ids.
integer | $lftArray | The lft value
Renvoie
boolean False on failure or error, True otherwise
Depuis
1.6

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.9.23

Références $data, $form, et validate().

Documentation des champs

◆ $associationsContext

$associationsContext = 'com_categories.item'
protected

◆ $hasAssociation

$hasAssociation
private

◆ $text_prefix

$text_prefix = 'COM_CATEGORIES'
protected

◆ $typeAlias

$typeAlias = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/models/category.php


Joomla CMS: Référence de la classe CategoriesTableCategory

Fonctions membres publiques
Référence de la classe CategoriesTableCategory
+ Graphe d'héritage de CategoriesTableCategory:

Fonctions membres publiques

delete ($pk=null, $children=false)

Description détaillée

Category table

Depuis
1.6

Documentation des fonctions membres

◆ delete()

delete | ( | $pk = null,
 |  | $children = false
 | ) |

Method to delete a node and, optionally, its child nodes from the table.

Paramètres
integer | $pk | The primary key of the node to delete.
boolean | $children | True to delete child nodes, false to move them up a level.
Renvoie
boolean True on success.
Depuis
2.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/tables/category.php


Joomla CMS: Référence de la classe CategoriesViewCategories

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe CategoriesViewCategories
+ Graphe d'héritage de CategoriesViewCategories:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$filterForm
$activeFilters

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state
$assoc
$string

Description détaillée

Categories view class for the Category package.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $component, $lang, $layout, $section, $title, $url, $user, elseif, JPATH_ADMINISTRATOR, JPATH_BASE, null, JLoader\register(), et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $forcedLanguage, $item, items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $assoc

$assoc
protected

◆ $filterForm

$filterForm

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected

◆ $string

$string
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/views/categories/view.html.php


Joomla CMS: Référence de la classe CategoriesViewCategory

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CategoriesViewCategory
+ Graphe d'héritage de CategoriesViewCategory:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state
$assoc
$canDo

Description détaillée

HTML View class for the Categories component

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $component, $extension, $lang, $parts, $section, $title, $url, $user, $userId, elseif, item, JPATH_ADMINISTRATOR, JPATH_BASE, null, JLoader\register(), et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $forcedLanguage, $section, item, et null.

Documentation des champs

◆ $assoc

$assoc
protected

◆ $canDo

$canDo
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/views/category/view.html.php


Joomla CMS: Référence de la classe CategoryHelperAssociation

Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe CategoryHelperAssociation
+ Graphe d'héritage de CategoryHelperAssociation:
ContactHelperAssociation ContentHelperAssociation NewsfeedsHelperAssociation

Fonctions membres publiques statiques

static getCategoryAssociations ($id=0, $extension='com_content', $layout=null)

Attributs publics statiques

static $category_association = true

Description détaillée

Category Component Association Helper

Depuis
3.0

Documentation des fonctions membres

◆ getCategoryAssociations()

static getCategoryAssociations | ( | $id = 0,
 |  | $extension = 'com_content',
 |  | $layout = null
 | ) |
static

Method to get the associations for a given category

Paramètres
integer | $id | Id of the item
string | $extension | Name of the component
string | $layout | Category layout
Renvoie
array Array of associations for the component categories
Depuis
3.0

Références $extension, $id, $item, $layout, $return, CategoriesHelper\getAssociations(), et jimport().

Documentation des champs

◆ $category_association

$category_association = true
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/helpers/association.php


Joomla CMS: Référence de la classe CheckinController

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe CheckinController
+ Graphe d'héritage de CheckinController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())

Fonctions membres protégées

addSubmenu ($vName)

Description détaillée

Checkin Controller

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

addSubmenu ( $vName )
protected

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Références JHtmlSidebar\addEntry().

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
CheckinController A JControllerLegacy object to support chaining.
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_checkin/controller.php


Joomla CMS: Référence de la classe CheckinModelCheckin

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CheckinModelCheckin
+ Graphe d'héritage de CheckinModelCheckin:

Fonctions membres publiques

__construct ($config=array())
checkin ($ids=array())
getTotal ()
getItems ()

Fonctions membres protégées

populateState ($ordering='table', $direction='asc')

Attributs protégés

$total
$tables

Description détaillée

Checkin Model

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
3.5

Références $config.

Documentation des fonctions membres

◆ checkin()

checkin ( $ids = array() )

Checks in requested tables

Paramètres
array $ids An array of table names. Optional.
Renvoie
integer Checked in item count
Depuis
1.6

Références $db, $dispatcher, $fields, $query, $results, et JEventDispatcher\getInstance().

◆ getItems()

getItems ( )

Get tables

Renvoie
array Checked in table names as keys and checked in item count as values.
Depuis
1.6

Références $db, $fields, $i, $items, $limit, $query, $results, et items.

◆ getTotal()

getTotal ( )

Get total of tables

Renvoie
integer Total to check-in tables
Depuis
1.6

Références $total.

◆ populateState()

populateState | ( | $ordering = 'table',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note: Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, et $ordering.

Documentation des champs

◆ $tables

$tables
protected

◆ $total

$total
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_checkin/models/checkin.php


Joomla CMS: Référence de la classe CheckinViewCheckin

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe CheckinViewCheckin
+ Graphe d'héritage de CheckinViewCheckin:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$tables
$items
$pagination
$state
$sidebar

Description détaillée

HTML View class for the Checkin component

Depuis
1.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références items, et JHtmlSidebar\render().

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected

◆ $tables

$tables
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_checkin/views/checkin/view.html.php


Joomla CMS: Référence de la classe ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd

Fonctions membres publiques statiques | Attributs privés statiques
Référence de la classe ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd

Fonctions membres publiques statiques

static | loadClassLoader ($class)
static | getLoader ()

Attributs privés statiques

static $loader

Documentation des fonctions membres

◆ getLoader()

static getLoader ( )
static
Renvoie

Références $file, ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\$files, $loader, $loader, $path, composerRequirec14bde14f8c86840049f5c1809c453dd(), et null.

◆ loadClassLoader()

static loadClassLoader ( $class )
static

Références $class.

Documentation des champs

◆ $loader

$loader
staticprivate

Référencé par getLoader().

La documentation de cette classe a été générée à partir du fichier suivant :
  • autoload_real.php


Joomla CMS: Référence de la classe ConfigController

Fonctions membres publiques | Attributs protégés
Référence de la classe ConfigController
+ Graphe d'héritage de ConfigController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())

Attributs protégés

$default_view = 'application'

Description détaillée

Config Component Controller

Depuis
1.5

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display the view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
ConfigController This object to support chaining.
Depuis
1.5

Références $controller, et elseif.

Documentation des champs

◆ $default_view

$default_view = 'application'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/controller.php


Joomla CMS: Référence de la classe ConfigControllerApplication

Fonctions membres publiques
Référence de la classe ConfigControllerApplication
+ Graphe d'héritage de ConfigControllerApplication:

Fonctions membres publiques

__construct ($config=array())
save ()
cancel ()
removeroot ()

Description détaillée

Controller for global configuration

Depuis
1.5
Obsolète:
4.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Class Constructor

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.5
Obsolète:
4.0

Références $config.

Documentation des fonctions membres

◆ cancel()

cancel ( )

Cancel operation.

Renvoie
boolean True if successful; false otherwise.
Obsolète:
4.0 Use ConfigControllerApplicationCancel instead.

Références $controller.

◆ removeroot()

removeroot ( )

Method to remove the root property from the configuration.

Renvoie
boolean True on success, false on failure.
Depuis
1.5
Obsolète:
4.0 Use ConfigControllerApplicationRemoveroot instead.

Références $controller.

◆ save()

save ( )

Method to save the configuration.

Renvoie
boolean True on success, false on failure.
Depuis
1.5
Obsolète:
4.0 Use ConfigControllerApplicationSave instead.

Références $controller.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/controllers/application.php


Joomla CMS: Référence de la classe ConfigControllerApplicationCancel

Fonctions membres publiques
Référence de la classe ConfigControllerApplicationCancel
+ Graphe d'héritage de ConfigControllerApplicationCancel:
ConfigControllerCanceladmin ConfigControllerCancel JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de ConfigControllerCanceladmin
execute ()
- Fonctions membres publiques hérités de ConfigControllerCancel
execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de ConfigControllerCanceladmin
$context
$option
$redirect
- Attributs protégés hérités de ConfigControllerCancel
$app
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Cancel Controller for global configuration

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to cancel global configuration.

Renvoie
boolean True on success.
Depuis
3.2

Implémente JController.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/controller/application/cancel.php


Joomla CMS: Référence de la classe ConfigControllerApplicationDisplay

Champs de données
Référence de la classe ConfigControllerApplicationDisplay
+ Graphe d'héritage de ConfigControllerApplicationDisplay:
ConfigControllerDisplay JControllerBase JController

Champs de données

$prefix = 'Config'
- Champs de données hérités de ConfigControllerDisplay
$prefix = 'Config'

Membres hérités additionnels

- Fonctions membres publiques hérités de ConfigControllerDisplay
execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de ConfigControllerDisplay
$app
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Base Display Controller

Depuis
3.2
Note
Needed for front end view

Documentation des champs

◆ $prefix

$prefix = 'Config'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/controller/application/display.php


Joomla CMS: Référence de la classe ConfigControllerApplicationRemoveroot

Fonctions membres publiques | Attributs protégés
Référence de la classe ConfigControllerApplicationRemoveroot
+ Graphe d'héritage de ConfigControllerApplicationRemoveroot:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Attributs protégés

$app
- Attributs protégés hérités de JControllerBase
$app
$input

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()

Description détaillée

Remove Root Controller for global configuration

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to remove root in global configuration.

Renvoie
boolean True on success.
Depuis
3.2

Implémente JController.

Références ConfigModelApplication\removeroot().

Documentation des champs

◆ $app

$app
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • removeroot.php


Joomla CMS: Référence de la classe ConfigControllerApplicationSave

Fonctions membres publiques | Attributs protégés
Référence de la classe ConfigControllerApplicationSave
+ Graphe d'héritage de ConfigControllerApplicationSave:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Attributs protégés

$app
- Attributs protégés hérités de JControllerBase
$app
$input

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()

Description détaillée

Save Controller for global configuration

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to save global configuration.

Renvoie
mixed Calls $app->redirect() for all cases except JSON
Depuis
3.2

Implémente JController.

Références $data, $form, $return, getDocument, et null.

Documentation des champs

◆ $app

$app
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/controller/application/save.php


Joomla CMS: Référence de la classe ConfigControllerApplicationSendtestmail

Fonctions membres publiques
Référence de la classe ConfigControllerApplicationSendtestmail
+ Graphe d'héritage de ConfigControllerApplicationSendtestmail:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Send Test Mail Controller from global configuration

Depuis
3.5

Documentation des fonctions membres

◆ execute()

execute ( )

Method to send the test mail.

Renvoie
string
Depuis
3.5

Implémente JController.

La documentation de cette classe a été générée à partir du fichier suivant :
  • sendtestmail.php


Joomla CMS: Référence de la classe ConfigControllerApplicationStore

Fonctions membres publiques
Référence de la classe ConfigControllerApplicationStore
+ Graphe d'héritage de ConfigControllerApplicationStore:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller for global configuration, Store Permissions in Database

Depuis
3.5

Documentation des fonctions membres

◆ execute()

execute ( )

Method to GET permission value and give it to the model for storing in the database.

Renvoie
boolean true on success, false when failed
Depuis
3.5

Implémente JController.

La documentation de cette classe a été générée à partir du fichier suivant :
  • store.php


Joomla CMS: Référence de la classe ConfigControllerCancel

Fonctions membres publiques | Attributs protégés
Référence de la classe ConfigControllerCancel
+ Graphe d'héritage de ConfigControllerCancel:
JControllerBase JController ConfigControllerCanceladmin ConfigControllerApplicationCancel ConfigControllerComponentCancel ConfigControllerModulesCancel

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Attributs protégés

$app
- Attributs protégés hérités de JControllerBase
$app
$input

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()

Description détaillée

Cancel Controller

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to handle cancel

Renvoie
boolean True on success.
Depuis
3.2

Implémente JController.

Documentation des champs

◆ $app

$app
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/cancel.php


Joomla CMS: Référence de la classe ConfigControllerCanceladmin

Fonctions membres publiques | Attributs protégés
Référence de la classe ConfigControllerCanceladmin
+ Graphe d'héritage de ConfigControllerCanceladmin:
ConfigControllerCancel JControllerBase JController ConfigControllerApplicationCancel ConfigControllerComponentCancel ConfigControllerModulesCancel

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de ConfigControllerCancel
execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Attributs protégés

$context
$option
$redirect
- Attributs protégés hérités de ConfigControllerCancel
$app
- Attributs protégés hérités de JControllerBase
$app
$input

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()

Description détaillée

Cancel Controller for Admin

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to handle admin cancel

Renvoie
boolean True on success.
Depuis
3.2

Implémente JController.

Références $context, null, et option.

Documentation des champs

◆ $context

$context
protected

◆ $option

$option
protected

◆ $redirect

$redirect
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • canceladmin.php


Joomla CMS: Référence de la classe ConfigControllerCmsbase

Fonctions membres publiques | Champs de données
Référence de la classe ConfigControllerCmsbase
+ Graphe d'héritage de ConfigControllerCmsbase:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Champs de données

$prefix

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Base Display Controller

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Execute the controller.

Renvoie
mixed A rendered view or true
Depuis
3.2

Implémente JController.

Documentation des champs

◆ $prefix

$prefix
La documentation de cette classe a été générée à partir du fichier suivant :
  • cmsbase.php


Joomla CMS: Référence de la classe ConfigControllerComponent

Fonctions membres publiques
Référence de la classe ConfigControllerComponent
+ Graphe d'héritage de ConfigControllerComponent:

Fonctions membres publiques

__construct ($config=array())
cancel ()
save ()

Description détaillée

Note: this view is intended only to be opened in a popup

Depuis
1.5
Obsolète:
4.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Class Constructor

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.5
Obsolète:
4.0

Références $config.

Documentation des fonctions membres

◆ cancel()

cancel ( )

Cancel operation

Renvoie
void
Depuis
3.0
Obsolète:
4.0 Use ConfigControllerComponentCancel instead.

Références $controller.

◆ save()

save ( )

Save the configuration.

Renvoie
boolean True if successful; false otherwise.
Obsolète:
4.0 Use ConfigControllerComponentSave instead.

Références $controller.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/controllers/component.php


Joomla CMS: Référence de la classe ConfigControllerComponentCancel

Fonctions membres publiques
Référence de la classe ConfigControllerComponentCancel
+ Graphe d'héritage de ConfigControllerComponentCancel:
ConfigControllerCanceladmin ConfigControllerCancel JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de ConfigControllerCanceladmin
execute ()
- Fonctions membres publiques hérités de ConfigControllerCancel
execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de ConfigControllerCanceladmin
$context
$option
$redirect
- Attributs protégés hérités de ConfigControllerCancel
$app
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Cancel Controller for global configuration components

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to cancel global configuration component.

Renvoie
void
Depuis
3.2

Implémente JController.

Références $component.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/controller/component/cancel.php


Joomla CMS: Référence de la classe ConfigControllerComponentDisplay

Champs de données
Référence de la classe ConfigControllerComponentDisplay
+ Graphe d'héritage de ConfigControllerComponentDisplay:
ConfigControllerDisplay JControllerBase JController

Champs de données

$prefix = 'Config'
- Champs de données hérités de ConfigControllerDisplay
$prefix = 'Config'

Membres hérités additionnels

- Fonctions membres publiques hérités de ConfigControllerDisplay
execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de ConfigControllerDisplay
$app
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Base Display Controller

Depuis
3.2
Note
Needed for front end view

Documentation des champs

◆ $prefix

$prefix = 'Config'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/controller/component/display.php


Joomla CMS: Référence de la classe ConfigControllerComponentSave

Fonctions membres publiques | Attributs protégés
Référence de la classe ConfigControllerComponentSave
+ Graphe d'héritage de ConfigControllerComponentSave:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Attributs protégés

$app
- Attributs protégés hérités de JControllerBase
$app
$input

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()

Description détaillée

Save Controller for global configuration

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to save global configuration.

Renvoie
mixed Calls $app->redirect()
Depuis
3.2

Implémente JController.

Références $data, $form, $id, $option, $return, $user, et null.

Documentation des champs

◆ $app

$app
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/controller/component/save.php


Joomla CMS: Référence de la classe ConfigControllerConfigDisplay

Fonctions membres publiques
Référence de la classe ConfigControllerConfigDisplay
+ Graphe d'héritage de ConfigControllerConfigDisplay:
ConfigControllerDisplay JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de ConfigControllerDisplay
execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Champs de données hérités de ConfigControllerDisplay
$prefix = 'Config'
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de ConfigControllerDisplay
$app
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Display Controller for global configuration

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to display global configuration.

Renvoie
boolean True on success, false on failure.
Depuis
3.2

Implémente JController.

Références $app, $document, $form, $view, getDocument, JPATH_ADMINISTRATOR, et JLoader\registerPrefix().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/config/display.php


Joomla CMS: Référence de la classe ConfigControllerConfigSave

Fonctions membres publiques | Attributs protégés
Référence de la classe ConfigControllerConfigSave
+ Graphe d'héritage de ConfigControllerConfigSave:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Attributs protégés

$app
- Attributs protégés hérités de JControllerBase
$app
$input

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()

Description détaillée

Save Controller for global configuration

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to save global configuration.

Renvoie
boolean True on success.
Depuis
3.2

Implémente JController.

Références $data, $document, $form, $return, getDocument, JPATH_ADMINISTRATOR, et JLoader\registerPrefix().

Documentation des champs

◆ $app

$app
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/config/save.php


Joomla CMS: Référence de la classe ConfigControllerDisplay

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe ConfigControllerDisplay
+ Graphe d'héritage de ConfigControllerDisplay:
JControllerBase JController ConfigControllerApplicationDisplay ConfigControllerComponentDisplay ConfigControllerConfigDisplay ConfigControllerModulesDisplay ConfigControllerTemplatesDisplay

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Champs de données

$prefix = 'Config'

Attributs protégés

$app
- Attributs protégés hérités de JControllerBase
$app
$input

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()

Description détaillée

Base Display Controller

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Execute the controller.

Renvoie
mixed A rendered view or true
Depuis
3.2

Implémente JController.

Références $component, $document, $view, getDocument, JPATH_ADMINISTRATOR, JPATH_BASE, et prefix.

Documentation des champs

◆ $app

$app
protected

◆ $prefix

$prefix = 'Config'
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/display.php


Joomla CMS: Référence de la classe ConfigControllerHelper

Fonctions membres publiques
Référence de la classe ConfigControllerHelper

Fonctions membres publiques

parseController ($app)

Description détaillée

Helper class for controllers

Depuis
3.2

Documentation des fonctions membres

◆ parseController()

parseController ( $app )

Method to parse a controller from a url Defaults to the base controllers and passes an array of options. $options[0] is the location of the controller which defaults to the core libraries (referenced as 'j' and then the named folder within the component entry point file. $options[1] is the name of the controller file, $options[2] is the name of the folder found in the component controller folder for controllers not prefixed with Config. Additional options maybe added to parameterize the controller.

Paramètres
JApplicationBase $app An application object
Renvoie
JController A JController object
Depuis
3.2

Références $app, $component, $controller, $location, $option, $task, $view, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/helper.php


Joomla CMS: Référence de la classe ConfigControllerModulesCancel

Fonctions membres publiques
Référence de la classe ConfigControllerModulesCancel
+ Graphe d'héritage de ConfigControllerModulesCancel:
ConfigControllerCanceladmin ConfigControllerCancel JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de ConfigControllerCanceladmin
execute ()
- Fonctions membres publiques hérités de ConfigControllerCancel
execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de ConfigControllerCanceladmin
$context
$option
$redirect
- Attributs protégés hérités de ConfigControllerCancel
$app
- Attributs protégés hérités de JControllerBase
$app
$input

Documentation des fonctions membres

◆ execute()

execute ( )

Method to cancel module editing.

Renvoie
boolean True on success.
Depuis
3.2

Implémente JController.

Références $id, $user, ModulesControllerModule\cancel(), JPATH_ADMINISTRATOR, null, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/modules/cancel.php


Joomla CMS: Référence de la classe ConfigControllerModulesDisplay

Fonctions membres publiques
Référence de la classe ConfigControllerModulesDisplay
+ Graphe d'héritage de ConfigControllerModulesDisplay:
ConfigControllerDisplay JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de ConfigControllerDisplay
execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Champs de données hérités de ConfigControllerDisplay
$prefix = 'Config'
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de ConfigControllerDisplay
$app
- Attributs protégés hérités de JControllerBase
$app
$input

Documentation des fonctions membres

◆ execute()

execute ( )

Method to display module editing.

Renvoie
boolean True on success, false on failure.
Depuis
3.2

Implémente JController.

Références $app, $document, $form, $user, $view, getDocument, JPATH_ADMINISTRATOR, null, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/modules/display.php


Joomla CMS: Référence de la classe ConfigControllerModulesSave

Fonctions membres publiques
Référence de la classe ConfigControllerModulesSave
+ Graphe d'héritage de ConfigControllerModulesSave:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Documentation des fonctions membres

◆ execute()

execute ( )

Method to save module editing.

Renvoie
boolean True on success.
Depuis
3.2

Implémente JController.

Références $data, $document, $return, $user, getDocument, JPATH_ADMINISTRATOR, null, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/modules/save.php


Joomla CMS: Référence de la classe ConfigControllerTemplatesDisplay

Fonctions membres publiques
Référence de la classe ConfigControllerTemplatesDisplay
+ Graphe d'héritage de ConfigControllerTemplatesDisplay:
ConfigControllerDisplay JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de ConfigControllerDisplay
execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Champs de données hérités de ConfigControllerDisplay
$prefix = 'Config'
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de ConfigControllerDisplay
$app
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Display Controller for global configuration

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to display global configuration.

Renvoie
boolean True on success, false on failure.
Depuis
3.2

Implémente JController.

Références $app, $document, $form, $view, getDocument, JPATH_ADMINISTRATOR, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/templates/display.php


Joomla CMS: Référence de la classe ConfigControllerTemplatesSave

Fonctions membres publiques
Référence de la classe ConfigControllerTemplatesSave
+ Graphe d'héritage de ConfigControllerTemplatesSave:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Save Controller for global configuration

Depuis
3.2

Documentation des fonctions membres

◆ execute()

execute ( )

Method to save global configuration.

Renvoie
boolean True on success.
Depuis
3.2

Implémente JController.

Références $app, $data, $document, $message, $return, getDocument, JPATH_ADMINISTRATOR, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/controller/templates/save.php


Joomla CMS: Référence de la classe ConfigHelperConfig

Fonctions membres publiques statiques
Référence de la classe ConfigHelperConfig
+ Graphe d'héritage de ConfigHelperConfig:

Fonctions membres publiques statiques

static | getAllComponents ()
static | hasComponentConfig ($component)
static | getComponentsWithConfig ($authCheck=true)
static | loadLanguageForComponents ($components)
static | loadLanguageForComponent ($component)

Description détaillée

Components helper for com_config

Depuis
3.0

Documentation des fonctions membres

◆ getAllComponents()

static getAllComponents ( )
static

Get an array of all enabled components.

Renvoie
array
Depuis
3.0

Références $db, et $query.

◆ getComponentsWithConfig()

static getComponentsWithConfig ( $authCheck = true )
static

Returns an array of all components with configuration options. Optionally return only those components for which the current user has 'core.manage' rights.

Paramètres
boolean $authCheck True to restrict to components where current user has 'core.manage' rights.
Renvoie
array
Depuis
3.0

Références $component, et $user.

Référencé par ConfigViewApplicationHtml\render(), et ConfigViewComponentHtml\render().

◆ hasComponentConfig()

static hasComponentConfig ( $component )
static

Returns true if the component has configuration options.

Paramètres
string $component Component name
Renvoie
boolean
Depuis
3.0

Références $component, et JPATH_ADMINISTRATOR.

◆ loadLanguageForComponent()

static loadLanguageForComponent ( $component )
static

Load the sys language for the given component.

Paramètres
string $component component name.
Renvoie
void
Depuis
3.5

Références $component, $lang, JPATH_ADMINISTRATOR, JPATH_BASE, et null.

◆ loadLanguageForComponents()

static loadLanguageForComponents ( $components )
static

Load the sys language for the given component.

Paramètres
array $components Array of component names.
Renvoie
void
Depuis
3.0

Références $component.

Référencé par ConfigViewApplicationHtml\render().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/helper/config.php


Joomla CMS: Référence de la classe ConfigModelApplication

Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe ConfigModelApplication
+ Graphe d'héritage de ConfigModelApplication:
ConfigModelForm ConfigModelCms JModelDatabase JModelBase JModel

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getData ()
save ($data)
removeroot ()
storePermissions ($permission=null)
sendTestMail ()
- Fonctions membres publiques hérités de ConfigModelForm
checkin ($pk=null)
checkout ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de ConfigModelCms
__construct ($config=array())
getName ()
getState ()
registerTablePaths ($config=array())
- Fonctions membres publiques hérités de JModelDatabase
__construct (Registry $state=null, JDatabaseDriver $db=null)
getDb ()
setDb (JDatabaseDriver $db)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres privées

writeConfigFile (Registry $config)

Attributs privés

$protectedConfigurationFields = array('password', 'secret', 'ftp_pass', 'smtppass', 'redis_server_auth', 'session_redis_server_auth')

Membres hérités additionnels

- Fonctions membres protégées hérités de ConfigModelForm
loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessData ($context, &$data)
preprocessForm (JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de ConfigModelCms
cleanCache ($group=null, $clientId=0)
populateState ()
canDelete ($record)
canEditState ($record)
- Fonctions membres protégées hérités de JModelDatabase
loadDb ()
- Fonctions membres protégées hérités de JModelBase
loadState ()
- Attributs protégés hérités de ConfigModelForm
$forms = array()
- Attributs protégés hérités de ConfigModelCms
$name
$option = null
$text_prefix = null
$__state_set = null
- Attributs protégés hérités de JModelDatabase
$db
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Model for the global configuration

Depuis
3.2

Documentation des fonctions membres

◆ getData()

getData ( )

Method to get the configuration data.

This method will load the global configuration data straight from JConfig. If configuration data has been saved in the session, that data will be merged into the original data, overwriting it.

Renvoie
array An array containing all global config data.
Depuis
1.6

Références $config, $data, et $params.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get a form object.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ removeroot()

removeroot ( )

Method to unset the root_user value from configuration data.

This method will load the global configuration data straight from JConfig and remove the root_user value for security, then save the configuration.

Renvoie
boolean True on success, false on failure.
Depuis
1.6

Références $config, $dispatcher, $prev, et JEventDispatcher\getInstance().

Référencé par ConfigControllerApplicationRemoveroot\execute().

◆ save()

save ( $data )

Method to save the configuration data.

Paramètres
array $data An array containing all global config data.
Renvoie
boolean True on success, false on failure.
Depuis
1.6

Références $app, $asset, $config, $data, $dispatcher, $extension, $options, $path, $prev, elseif, JEventDispatcher\getInstance(), JDatabaseDriver\getInstance(), JPATH_SITE, et null.

◆ sendTestMail()

sendTestMail ( )

Method to send a test mail which is called via an AJAX request

Renvoie
boolean
Depuis
3.5
Exceptions
Exception

Références $app, $input, et null.

◆ storePermissions()

storePermissions ( $permission = null )

Method to store the permission values in the asset table.

This method will get an array with permission key value pairs and transform it into json and update the asset table in the database.

Paramètres
string $permission Need an array with Permissions (component, rule, value and title)
Renvoie
array A list of result data.
Depuis
3.5

do: incorrect ACL stored When changing a permission of an item that doesn't have a row in the asset table the row a new row is created. This works fine for item <-> component <-> global config scenario and component <-> global config scenario. But doesn't work properly for item <-> section(s) <-> component <-> global config scenario, because a wrong parent asset id (the component) is stored. Happens when there is no row in the asset table (ex: deleted or not created on update).

do: incorrect info When creating a new item (not saving) it uses the calculated permissions from the component (item <-> component <-> global config). But if we have a section too (item <-> section(s) <-> component <-> global config) this is not correct. Also, currently it uses the component permission, but should use the calculated permissions for achild of the component/section.

Component/Item with explicit "Denied" permission at parent Asset (Category, Component or Global config) configuration. Or some parent group has an explicit "Denied". Calculated permission is "Not Allowed (Locked)".

Références $app, $asset, $assetId, $data, $query, $user, elseif, json_encode, null, et true.

◆ writeConfigFile()

writeConfigFile ( Registry $config )
private

Method to write the configuration to a file.

Paramètres
Registry $config A Registry object containing all global config data.
Renvoie
boolean True on success, false on failure.
Depuis
2.5.4
Exceptions
RuntimeException

Références $app, $config, $file, jimport(), et JPATH_CONFIGURATION.

Documentation des champs

◆ $protectedConfigurationFields

$protectedConfigurationFields = array('password', 'secret', 'ftp_pass', 'smtppass', 'redis_server_auth', 'session_redis_server_auth')
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/model/application.php


Joomla CMS: Référence de la classe ConfigModelCms

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ConfigModelCms
+ Graphe d'héritage de ConfigModelCms:
JModelDatabase JModelBase JModel ConfigModelForm ConfigModelApplication ConfigModelComponent ConfigModelConfig ConfigModelModules ConfigModelTemplates

Fonctions membres publiques

__construct ($config=array())
getName ()
getState ()
registerTablePaths ($config=array())
- Fonctions membres publiques hérités de JModelDatabase
__construct (Registry $state=null, JDatabaseDriver $db=null)
getDb ()
setDb (JDatabaseDriver $db)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres protégées

cleanCache ($group=null, $clientId=0)
populateState ()
canDelete ($record)
canEditState ($record)
- Fonctions membres protégées hérités de JModelDatabase
loadDb ()
- Fonctions membres protégées hérités de JModelBase
loadState ()

Attributs protégés

$name
$option = null
$text_prefix = null
$__state_set = null
- Attributs protégés hérités de JModelDatabase
$db
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Prototype admin model.

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor

Paramètres
array $config An array of configuration options (name, state, dbo, table_path, ignore_request).
Depuis
3.2
Exceptions
Exception

Références $config, $r, $state, elseif, name, null, et option.

Documentation des fonctions membres

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
3.2

Références option.

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission set in the component.
Depuis
3.2

Références option.

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Clean the cache

Paramètres
string | $group | The cache group
integer | $clientId | The ID of the client
Renvoie
void
Depuis
3.2

Références $clientId, $dispatcher, $options, JEventDispatcher\getInstance(), JPATH_ADMINISTRATOR, JPATH_SITE, et option.

◆ getName()

getName ( )

Method to get the model name

The model name. By default parsed using the classname or it can be set by passing a $config['name'] in the class constructor

Renvoie
string The name of the model
Depuis
3.2
Exceptions
Exception

Références $name, $r, name, et null.

◆ getState()

getState ( )

Method to get model state variables

Renvoie
object The property where specified, the state object where omitted
Depuis
3.2

Implémente JModel.

Références $state.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Renvoie
void
Note
Calling getState in this method will result in recursion.
Depuis
3.2

◆ registerTablePaths()

registerTablePaths ( $config = array() )

Method to register paths for tables

Paramètres
array $config Configuration array
Renvoie
object The property where specified, the state object where omitted
Depuis
3.2

Références $config, elseif, et JPATH_COMPONENT_ADMINISTRATOR.

Documentation des champs

◆ $__state_set

$__state_set = null
protected

◆ $name

$name
protected

◆ $option

$option = null
protected

◆ $text_prefix

$text_prefix = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/model/cms.php


Joomla CMS: Référence de la classe ConfigModelComponent

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ConfigModelComponent
+ Graphe d'héritage de ConfigModelComponent:
ConfigModelForm ConfigModelCms JModelDatabase JModelBase JModel

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getComponent ()
save ($data)
- Fonctions membres publiques hérités de ConfigModelForm
checkin ($pk=null)
checkout ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de ConfigModelCms
__construct ($config=array())
getName ()
getState ()
registerTablePaths ($config=array())
- Fonctions membres publiques hérités de JModelDatabase
__construct (Registry $state=null, JDatabaseDriver $db=null)
getDb ()
setDb (JDatabaseDriver $db)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres protégées

populateState ()
- Fonctions membres protégées hérités de ConfigModelForm
loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessData ($context, &$data)
preprocessForm (JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de ConfigModelCms
cleanCache ($group=null, $clientId=0)
populateState ()
canDelete ($record)
canEditState ($record)
- Fonctions membres protégées hérités de JModelDatabase
loadDb ()
- Fonctions membres protégées hérités de JModelBase
loadState ()

Membres hérités additionnels

- Attributs protégés hérités de ConfigModelForm
$forms = array()
- Attributs protégés hérités de ConfigModelCms
$name
$option = null
$text_prefix = null
$__state_set = null
- Attributs protégés hérités de JModelDatabase
$db
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Model for component configuration

Depuis
3.2

Documentation des fonctions membres

◆ getComponent()

getComponent ( )

Get the component information.

Renvoie
object
Depuis
3.2

Références $lang, $option, $state, JPATH_BASE, et null.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get a form object.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
3.2

Références $form, $lang, $option, $path, $state, JPATH_ADMINISTRATOR, JPATH_BASE, et null.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
3.2

Références $component, $input, $path, $state, et JPATH_SITE.

◆ save()

save ( $data )

Method to save the configuration data.

Paramètres
array $data An array containing all global config data.
Renvoie
boolean True on success, false on failure.
Depuis
3.2
Exceptions
RuntimeException

Références $asset, $context, $data, $dispatcher, $field, $form, $name, $root, JEventDispatcher\getInstance(), et option.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/model/component.php


Joomla CMS: Référence de la classe ConfigModelConfig

Fonctions membres publiques
Référence de la classe ConfigModelConfig
+ Graphe d'héritage de ConfigModelConfig:
ConfigModelForm ConfigModelCms JModelDatabase JModelBase JModel

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
- Fonctions membres publiques hérités de ConfigModelForm
checkin ($pk=null)
checkout ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de ConfigModelCms
__construct ($config=array())
getName ()
getState ()
registerTablePaths ($config=array())
- Fonctions membres publiques hérités de JModelDatabase
__construct (Registry $state=null, JDatabaseDriver $db=null)
getDb ()
setDb (JDatabaseDriver $db)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Membres hérités additionnels

- Fonctions membres protégées hérités de ConfigModelForm
loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessData ($context, &$data)
preprocessForm (JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de ConfigModelCms
cleanCache ($group=null, $clientId=0)
populateState ()
canDelete ($record)
canEditState ($record)
- Fonctions membres protégées hérités de JModelDatabase
loadDb ()
- Fonctions membres protégées hérités de JModelBase
loadState ()
- Attributs protégés hérités de ConfigModelForm
$forms = array()
- Attributs protégés hérités de ConfigModelCms
$name
$option = null
$text_prefix = null
$__state_set = null
- Attributs protégés hérités de JModelDatabase
$db
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Model for the global configuration

Depuis
3.2

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get a form object.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
3.2

Références $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/model/config.php


Joomla CMS: Référence de la classe ConfigModelForm

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ConfigModelForm
+ Graphe d'héritage de ConfigModelForm:
ConfigModelCms JModelDatabase JModelBase JModel ConfigModelApplication ConfigModelComponent ConfigModelConfig ConfigModelModules ConfigModelTemplates

Fonctions membres publiques

checkin ($pk=null)
checkout ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de ConfigModelCms
__construct ($config=array())
getName ()
getState ()
registerTablePaths ($config=array())
- Fonctions membres publiques hérités de JModelDatabase
__construct (Registry $state=null, JDatabaseDriver $db=null)
getDb ()
setDb (JDatabaseDriver $db)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres protégées

loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessData ($context, &$data)
preprocessForm (JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de ConfigModelCms
cleanCache ($group=null, $clientId=0)
populateState ()
canDelete ($record)
canEditState ($record)
- Fonctions membres protégées hérités de JModelDatabase
loadDb ()
- Fonctions membres protégées hérités de JModelBase
loadState ()

Attributs protégés

$forms = array()
- Attributs protégés hérités de ConfigModelCms
$name
$option = null
$text_prefix = null
$__state_set = null
- Attributs protégés hérités de JModelDatabase
$db
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Prototype form model.

Voir également
JForm
JFormField
JFormRule
Depuis
3.2

Documentation des fonctions membres

◆ checkin()

checkin ( $pk = null )

Method to checkin a row.

Paramètres
integer $pk The numeric id of the primary key.
Renvoie
boolean False on failure or error, true otherwise.
Depuis
3.2
Exceptions
RuntimeException

Références $user.

◆ checkout()

checkout ( $pk = null )

Method to check-out a row for editing.

Paramètres
integer $pk The numeric id of the primary key.
Renvoie
boolean False on failure or error, true otherwise.
Depuis
3.2

Références $user.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |
abstract

Abstract method for getting the form from the model.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
3.2

◆ loadForm()

loadForm | ( | $name,
 |  | $source = null,
 |  | $options = array(),
 |  | $clear = false,
 |  | $xpath = false
 | ) |
protected

Method to get a form object.

Paramètres
string | $name | The name of the form.
string | $source | The form source. Can be XML string if file flag is set to false.
array | $options | Optional array of options for the form creation.
boolean | $clear | Optional argument to force load a new form.
string | $xpath | An optional xpath to search for the fields.
Renvoie
mixed JForm object on success, False on error.
Voir également
JForm
Depuis
3.2

Références $data, $form, $hash, $name, $options, ArrayHelper\getValue(), et JPATH_COMPONENT_ADMINISTRATOR.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
array The default data is an empty array.
Depuis
3.2

◆ preprocessData()

preprocessData | ( |  | $context,
 |  | & | $data
 | ) |  |
protected

Method to allow derived classes to preprocess the data.

Paramètres
string | $context | The context identifier.
mixed | &$data | The data to be processed. It gets altered directly.
Renvoie
void
Depuis
3.2

Références $context, $data, $dispatcher, $results, et JEventDispatcher\getInstance().

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to allow derived classes to preprocess the form.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Voir également
JFormField
Depuis
3.2
Exceptions
Exception if there is an error in the form event.

Références $data, $dispatcher, $form, $results, et JEventDispatcher\getInstance().

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
mixed Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.2

Références $data, $form, $message, et $return.

Documentation des champs

◆ $forms

$forms = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/model/form.php


Joomla CMS: Référence de la classe ConfigModelModules

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres privées statiques
Référence de la classe ConfigModelModules
+ Graphe d'héritage de ConfigModelModules:
ConfigModelForm ConfigModelCms JModelDatabase JModelBase JModel

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getPositions ()
- Fonctions membres publiques hérités de ConfigModelForm
checkin ($pk=null)
checkout ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de ConfigModelCms
__construct ($config=array())
getName ()
getState ()
registerTablePaths ($config=array())
- Fonctions membres publiques hérités de JModelDatabase
__construct (Registry $state=null, JDatabaseDriver $db=null)
getDb ()
setDb (JDatabaseDriver $db)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres publiques statiques

static getActivePositions ($clientId, $editPositions=false)

Fonctions membres protégées

populateState ()
preprocessForm (JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de ConfigModelForm
loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessData ($context, &$data)
preprocessForm (JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de ConfigModelCms
cleanCache ($group=null, $clientId=0)
populateState ()
canDelete ($record)
canEditState ($record)
- Fonctions membres protégées hérités de JModelDatabase
loadDb ()
- Fonctions membres protégées hérités de JModelBase
loadState ()

Fonctions membres privées statiques

static | createOption ($value='', $text='')
static | createOptionGroup ($label='', $options=array())

Membres hérités additionnels

- Attributs protégés hérités de ConfigModelForm
$forms = array()
- Attributs protégés hérités de ConfigModelCms
$name
$option = null
$text_prefix = null
$__state_set = null
- Attributs protégés hérités de JModelDatabase
$db
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Config Module model.

Depuis
3.2

Documentation des fonctions membres

◆ createOption()

static createOption | ( | $value = '',
 |  | $text = ''
 | ) |
staticprivate

Create and return a new Option

Paramètres
string | $value | The option value [optional]
string | $text | The option text [optional]
Renvoie
object The option as an object (stdClass instance)
Depuis
3.6.3

Références $option, $text, et $value.

◆ createOptionGroup()

static createOptionGroup | ( | $label = '',
 |  | $options = array()
 | ) |
staticprivate

Create and return a new Option Group

Paramètres
string | $label | Value and label for group [optional]
array | $options | Array of options to insert into group [optional]
Renvoie
array Return the new group as an array
Depuis
3.6.3

Références $label, et $options.

◆ getActivePositions()

static getActivePositions | ( | $clientId,
 |  | $editPositions = false
 | ) |
static

Get a list of modules positions

Paramètres
integer | $clientId | Client ID
boolean | $editPositions | Allow to edit the positions
Renvoie
array A list of positions
Depuis
3.6.3

Références $clientId, $db, $options, $position, $positions, $query, et JError\raiseWarning().

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
3.2

Références $form.

◆ getPositions()

getPositions ( )

Method to get list of module positions in current template

Renvoie
array
Depuis
3.2

Références $customGroupText, $lang, $option, $path, $position, $text, $value, JPATH_BASE, et null.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
3.2

Références $app, et $state.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to preprocess the form

Paramètres
JForm | $form | A form object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
3.2
Exceptions
Exception if there is an error loading the form.

Références $basePath, $data, $form, $lang, $module, jimport(), JPATH_BASE, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/model/modules.php


Joomla CMS: Référence de la classe ConfigModelTemplates

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ConfigModelTemplates
+ Graphe d'héritage de ConfigModelTemplates:
ConfigModelForm ConfigModelCms JModelDatabase JModelBase JModel

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
- Fonctions membres publiques hérités de ConfigModelForm
checkin ($pk=null)
checkout ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de ConfigModelCms
__construct ($config=array())
getName ()
getState ()
registerTablePaths ($config=array())
- Fonctions membres publiques hérités de JModelDatabase
__construct (Registry $state=null, JDatabaseDriver $db=null)
getDb ()
setDb (JDatabaseDriver $db)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres protégées

populateState ()
preprocessForm (JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de ConfigModelForm
loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessData ($context, &$data)
preprocessForm (JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de ConfigModelCms
cleanCache ($group=null, $clientId=0)
populateState ()
canDelete ($record)
canEditState ($record)
- Fonctions membres protégées hérités de JModelDatabase
loadDb ()
- Fonctions membres protégées hérités de JModelBase
loadState ()

Membres hérités additionnels

- Attributs protégés hérités de ConfigModelForm
$forms = array()
- Attributs protégés hérités de ConfigModelCms
$name
$option = null
$text_prefix = null
$__state_set = null
- Attributs protégés hérités de JModelDatabase
$db
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Template style model.

Depuis
3.2

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
3.2

Références $data, et $form.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
null
Depuis
3.2

Références $params, et $state.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to preprocess the form

Paramètres
JForm | $form | A form object.
mixed | $data | The data expected for the form.
string | $group | Plugin group to load
Renvoie
void
Depuis
3.2
Exceptions
Exception if there is an error in the form event.

Références $data, $form, $lang, $template, jimport(), JPATH_BASE, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/model/templates.php


Joomla CMS: Référence de la classe ConfigViewApplicationHtml

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe ConfigViewApplicationHtml
+ Graphe d'héritage de ConfigViewApplicationHtml:
ConfigViewCmsHtml JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de ConfigViewCmsHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
loadTemplate ($tpl=null)
getName ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Champs de données

$state
$form
$data

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de ConfigViewCmsHtml
_createFileName ($type, $parts=array())
- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Membres hérités additionnels

- Attributs protégés hérités de ConfigViewCmsHtml
$_output = null
$_template = null
$_path = array('template' => array(), 'helper' => array())
$_layoutExt = 'php'
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Description détaillée

View for the global configuration

Depuis
3.2

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.2

Références title.

◆ render()

render ( )

Method to display the view.

Renvoie
string The rendered view.
Depuis
3.2

Implémente JView.

Références $data, $form, $user, ConfigHelperConfig\getComponentsWithConfig(), ConfigHelperConfig\loadLanguageForComponents(), et null.

Documentation des champs

◆ $data

$data

◆ $form

$form

◆ $state

$state
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/view/application/html.php


Joomla CMS: Référence de la classe ConfigViewApplicationJson

Fonctions membres publiques | Champs de données
Référence de la classe ConfigViewApplicationJson
+ Graphe d'héritage de ConfigViewApplicationJson:
ConfigViewCmsJson ConfigViewCmsHtml JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de ConfigViewCmsJson
render ()
- Fonctions membres publiques hérités de ConfigViewCmsHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
loadTemplate ($tpl=null)
getName ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Champs de données

$state
$data
- Champs de données hérités de ConfigViewCmsJson
$state
$data

Membres hérités additionnels

- Fonctions membres protégées hérités de ConfigViewCmsHtml
_createFileName ($type, $parts=array())
- Fonctions membres protégées hérités de JViewHtml
loadPaths ()
- Attributs protégés hérités de ConfigViewCmsHtml
$_output = null
$_template = null
$_path = array('template' => array(), 'helper' => array())
$_layoutExt = 'php'
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Description détaillée

View for the component configuration

Depuis
3.2

Documentation des fonctions membres

◆ render()

render ( )

Display the view

Renvoie
string The rendered view.
Depuis
3.2

Implémente JView.

Références $user, json_encode, et null.

Documentation des champs

◆ $data

$data

◆ $state

$state
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/view/application/json.php


Joomla CMS: Référence de la classe ConfigViewCmsHtml

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ConfigViewCmsHtml
+ Graphe d'héritage de ConfigViewCmsHtml:
JViewHtml JViewBase JView ConfigViewApplicationHtml ConfigViewCmsJson ConfigViewComponentHtml ConfigViewConfigHtml ConfigViewModulesHtml ConfigViewTemplatesHtml ConfigViewApplicationJson

Fonctions membres publiques

__construct (JModel $model, SplPriorityQueue $paths=null)
loadTemplate ($tpl=null)
getName ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Fonctions membres protégées

_createFileName ($type, $parts=array())
- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Attributs protégés

$_output = null
$_template = null
$_path = array('template' => array(), 'helper' => array())
$_layoutExt = 'php'
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Description détaillée

Prototype admin view.

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | JModel | $model,
 |  | SplPriorityQueue | $paths = null
 | ) |  |

Method to instantiate the view.

Paramètres
JModel | $model | The model object.
SplPriorityQueue | $paths | The paths queue.
Depuis
3.2

Références $app, $component, et JPATH_THEMES.

Documentation des fonctions membres

◆ _createFileName()

_createFileName | ( | $type,
 |  | $parts = array()
 | ) |
protected

Create the filename for a resource

Paramètres
string | $type | The resource type to create the filename for
array | $parts | An associative array of filename information
Renvoie
string The filename
Depuis
3.2

Références $parts, et $type.

◆ getName()

getName ( )

Method to get the view name

The model name by default parsed using the classname, or it can be set by passing a $config['name'] in the class constructor

Renvoie
string The name of the model
Depuis
3.2
Exceptions
Exception

◆ loadTemplate()

loadTemplate ( $tpl = null )

Load a template file – first look in the templates folder for an override

Paramètres
string $tpl The name of the template source file; automatically searches the template paths and compiles as needed.
Renvoie
string The output of the the template script.
Depuis
3.2
Exceptions
Exception

Références $file, $lang, $layout, $template, jimport(), JPATH_BASE, JPATH_THEMES, et null.

Documentation des champs

◆ $_layoutExt

$_layoutExt = 'php'
protected

◆ $_output

$_output = null
protected

◆ $_path

$_path = array('template' => array(), 'helper' => array())
protected

◆ $_template

$_template = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/view/cms/html.php


Joomla CMS: Référence de la classe ConfigViewCmsJson

Fonctions membres publiques | Champs de données
Référence de la classe ConfigViewCmsJson
+ Graphe d'héritage de ConfigViewCmsJson:
ConfigViewCmsHtml JViewHtml JViewBase JView ConfigViewApplicationJson

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de ConfigViewCmsHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
loadTemplate ($tpl=null)
getName ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Champs de données

$state
$data

Membres hérités additionnels

- Fonctions membres protégées hérités de ConfigViewCmsHtml
_createFileName ($type, $parts=array())
- Fonctions membres protégées hérités de JViewHtml
loadPaths ()
- Attributs protégés hérités de ConfigViewCmsHtml
$_output = null
$_template = null
$_path = array('template' => array(), 'helper' => array())
$_layoutExt = 'php'
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Description détaillée

Prototype admin view.

Depuis
3.2

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.2

Implémente JView.

Références json_encode.

Documentation des champs

◆ $data

$data

◆ $state

$state
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/view/cms/json.php


Joomla CMS: Référence de la classe ConfigViewComponentHtml

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe ConfigViewComponentHtml
+ Graphe d'héritage de ConfigViewComponentHtml:
ConfigViewCmsHtml JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de ConfigViewCmsHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
loadTemplate ($tpl=null)
getName ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Champs de données

$state
$form
$component

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de ConfigViewCmsHtml
_createFileName ($type, $parts=array())
- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Membres hérités additionnels

- Attributs protégés hérités de ConfigViewCmsHtml
$_output = null
$_template = null
$_path = array('template' => array(), 'helper' => array())
$_layoutExt = 'php'
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Description détaillée

View for the component configuration

Depuis
3.2

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.2

Références null, et title.

◆ render()

render ( )

Display the view

Renvoie
string The rendered view.
Depuis
3.2

Implémente JView.

Références $component, $form, $user, fieldsets, ConfigHelperConfig\getComponentsWithConfig(), et null.

Documentation des champs

◆ $component

$component

◆ $form

$form

◆ $state

$state
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/view/component/html.php


Joomla CMS: Référence de la classe ConfigViewConfigHtml

Fonctions membres publiques | Champs de données
Référence de la classe ConfigViewConfigHtml
+ Graphe d'héritage de ConfigViewConfigHtml:
ConfigViewCmsHtml JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de ConfigViewCmsHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
loadTemplate ($tpl=null)
getName ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Champs de données

$form
$data

Membres hérités additionnels

- Fonctions membres protégées hérités de ConfigViewCmsHtml
_createFileName ($type, $parts=array())
- Fonctions membres protégées hérités de JViewHtml
loadPaths ()
- Attributs protégés hérités de ConfigViewCmsHtml
$_output = null
$_template = null
$_path = array('template' => array(), 'helper' => array())
$_layoutExt = 'php'
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Description détaillée

View for the global configuration

Depuis
3.2

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.2

Implémente JView.

Références $user.

Documentation des champs

◆ $data

$data

◆ $form

$form
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/view/config/html.php


Joomla CMS: Référence de la classe ConfigViewModulesHtml

Fonctions membres publiques | Champs de données
Référence de la classe ConfigViewModulesHtml
+ Graphe d'héritage de ConfigViewModulesHtml:
ConfigViewCmsHtml JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de ConfigViewCmsHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
loadTemplate ($tpl=null)
getName ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Champs de données

$item
$form

Membres hérités additionnels

- Fonctions membres protégées hérités de ConfigViewCmsHtml
_createFileName ($type, $parts=array())
- Fonctions membres protégées hérités de JViewHtml
loadPaths ()
- Attributs protégés hérités de ConfigViewCmsHtml
$_output = null
$_template = null
$_path = array('template' => array(), 'helper' => array())
$_layoutExt = 'php'
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Documentation des fonctions membres

◆ render()

render ( )

Display the view

Renvoie
string The rendered view.
Depuis
3.2

Implémente JView.

Références $lang, et JPATH_ADMINISTRATOR.

Documentation des champs

◆ $form

$form

◆ $item

$item
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/view/modules/html.php


Joomla CMS: Référence de la classe ConfigViewTemplatesHtml

Fonctions membres publiques | Champs de données
Référence de la classe ConfigViewTemplatesHtml
+ Graphe d'héritage de ConfigViewTemplatesHtml:
ConfigViewCmsHtml JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de ConfigViewCmsHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
loadTemplate ($tpl=null)
getName ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Champs de données

$item
$form

Membres hérités additionnels

- Fonctions membres protégées hérités de ConfigViewCmsHtml
_createFileName ($type, $parts=array())
- Fonctions membres protégées hérités de JViewHtml
loadPaths ()
- Attributs protégés hérités de ConfigViewCmsHtml
$_output = null
$_template = null
$_path = array('template' => array(), 'helper' => array())
$_layoutExt = 'php'
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Description détaillée

View to edit a template style.

Depuis
3.2

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.2

Implémente JView.

Références $user.

Documentation des champs

◆ $form

$form

◆ $item

$item
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_config/view/templates/html.php


Joomla CMS: Référence de la classe ContactAssociationsHelper

Fonctions membres publiques | Attributs protégés
Référence de la classe ContactAssociationsHelper
+ Graphe d'héritage de ContactAssociationsHelper:
AssociationExtensionHelper AssociationExtensionInterface

Fonctions membres publiques

getAssociations ($typeName, $id)
getItem ($typeName, $id)
getType ($typeName='')
- Fonctions membres publiques hérités de AssociationExtensionHelper
hasAssociationsSupport ()
getItemTypes ()
getAssociationList ($typeName, $itemId)
getType ($typeName='')
getTypeFields ($typeName)
getTypeSupport ($typeName)
getTypeTables ($typeName)
getTypeJoins ($typeName)
getTypeTitle ($typeName)
getTypeFieldName ($typeName, $fieldName)

Attributs protégés

$extension = 'com_contact'
$itemTypes = array('contact', 'category')
$associationsSupport = true
- Attributs protégés hérités de AssociationExtensionHelper
$extension = 'com_??'
$itemTypes = array()
$associationsSupport = false

Membres hérités additionnels

- Fonctions membres protégées hérités de AssociationExtensionHelper
getSupportTemplate ()
getFieldsTemplate ()

Description détaillée

Content associations helper.

Depuis
3.7.0

Documentation des fonctions membres

◆ getAssociations()

getAssociations | ( | $typeName,
 |  | $id
 | ) |

Get the associated items for an item

Paramètres
string | $typeName | The item type
int | $id | The id of item for which we need the associated items
Renvoie
array
Depuis
3.7.0

Références $context, $id, $type, et extension.

◆ getItem()

getItem | ( | $typeName,
 |  | $id
 | ) |

Get item information

Paramètres
string | $typeName | The item type
int | $id | The id of item for which we need the associated items
Renvoie
JTable|null
Depuis
3.7.0

Références $id, et null.

◆ getType()

getType ( $typeName = '' )

Get information about the type

Paramètres
string $typeName The item type
Renvoie
array Array of item types
Depuis
3.7.0

Références $fields, et $title.

Documentation des champs

◆ $associationsSupport

boolean $associationsSupport = true
protected

Has the extension association support

Depuis
3.7.0

◆ $extension

array $extension = 'com_contact'
protected

The extension name

Depuis
3.7.0

◆ $itemTypes

array $itemTypes = array('contact', 'category')
protected

Array of item types

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/helpers/associations.php


Joomla CMS: Référence de la classe ContactCategories

Fonctions membres publiques
Référence de la classe ContactCategories
+ Graphe d'héritage de ContactCategories:

Fonctions membres publiques

__construct ($options=array())

Description détaillée

Contact Component Category Tree

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Array of options
Depuis
1.6

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_contact/helpers/category.php


Joomla CMS: Référence de la classe ContactController

Fonctions membres publiques | Attributs protégés
Référence de la classe ContactController
+ Graphe d'héritage de ContactController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())
__construct ($config=array())
display ($cachable=false, $urlparams=array())

Attributs protégés

$default_view = 'contacts'

Description détaillée

Component Controller

Depuis
1.5

Contact Component Controller

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings. Recognized key values include 'name', 'default_task', 'model_path', and 'view_path' (this list is not meant to be comprehensive).
Depuis
3.7.0

Références $config, et JPATH_COMPONENT_ADMINISTRATOR.

Documentation des fonctions membres

◆ display() [1/2]

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
ContactController This object to support chaining.
Depuis
1.5

Références $id, $layout, $view, JPATH_ADMINISTRATOR, et JLoader\register().

◆ display() [2/2]

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JControllerLegacy This object to support chaining.
Depuis
1.5

Références null.

Documentation des champs

◆ $default_view

$default_view = 'contacts'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/controller.php


Joomla CMS: Référence de la classe ContactControllerAjax

Fonctions membres publiques
Référence de la classe ContactControllerAjax
+ Graphe d'héritage de ContactControllerAjax:

Fonctions membres publiques

fetchAssociations ()

Description détaillée

The contact controller for ajax requests

Depuis
3.9.0

Documentation des fonctions membres

◆ fetchAssociations()

fetchAssociations ( )

Method to fetch associations of a contact

The method assumes that the following http parameters are passed in an Ajax Get request: token: the form token assocId: the id of the contact whose associations are to be returned excludeLang: the association for this language is to be excluded

Renvoie
null
Depuis
3.9.0

Références $input, $lang, $message, elseif, LanguageHelper\getContentLanguages(), JPATH_ADMINISTRATOR, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_contact/controllers/ajax.json.php


Joomla CMS: Référence de la classe ContactControllerContact

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées
Référence de la classe ContactControllerContact
+ Graphe d'héritage de ContactControllerContact:

Fonctions membres publiques

getModel ($name='', $prefix='', $config=array('ignore_request'=> true))
submit ()

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='id')

Fonctions membres privées

_sendEmail ($data, $contact, $emailCopyToSender)

Description détaillée

Controller for a single contact

Depuis
1.6

Controller for single contact view

Depuis
1.5.19

Documentation des fonctions membres

◆ _sendEmail()

_sendEmail | ( | $data,
 |  | $contact,
 |  | $emailCopyToSender
 | ) |
private

Method to get a model object, loading it if required.

Paramètres
array | $data | The data to send in the email.
stdClass | $contact | The user information to send the email to
boolean | $emailCopyToSender | True to send a copy of the email to the user.
Renvoie
boolean True on success sending the email, false on failure.
Depuis
1.6.4

Références $app, $data, $fields, $name, $output, $prefix, $sitename, $subject, FieldsHelper\getFields(), et FieldsHelper\render().

◆ allowAdd()

allowAdd ( $data = array() )
protected

Method override to check if you can add a new record.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
1.6

Références $data, null, et option.

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method override to check if you can edit an existing record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $canEditOwn, $data, $item, $key, $user, et option.

◆ getModel()

getModel | ( | $name = '',
 |  | $prefix = '',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy The model.
Depuis
1.6.4

Références $name, et $prefix.

◆ submit()

submit ( )

Method to submit the contact form and send an email.

Renvoie
boolean True on success sending the email. False on failure.
Depuis
1.5.19

Références $active, $app, $data, $dispatcher, $form, $id, $results, JEventDispatcher\getInstance(), null, JError\raiseError(), et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/controllers/contact.php


Joomla CMS: Référence de la classe ContactControllerContacts

Fonctions membres publiques
Référence de la classe ContactControllerContacts
+ Graphe d'héritage de ContactControllerContacts:

Fonctions membres publiques

__construct ($config=array())
getModel ($name='Contact', $prefix='ContactModel', $config=array('ignore_request'=> true))

Description détaillée

Contacts list controller class.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Contact',
 |  | $prefix = 'ContactModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel.

Paramètres
string | $name | The name of the model.
string | $prefix | The prefix for the PHP class name.
array | $config | Array of configuration parameters.
Renvoie
JModelLegacy
Depuis
1.6

Références $config, $name, et $prefix.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/controllers/contacts.php


Joomla CMS: Référence de la classe ContactHelper

Fonctions membres publiques statiques
Référence de la classe ContactHelper
+ Graphe d'héritage de ContactHelper:

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | countItems (&$items)
static | countTagItems (&$items, $extension)
static | validateSection ($section, $item)
static | getContexts ()

Description détaillée

Contact component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Références JHtmlSidebar\addEntry().

Référencé par ContactViewContacts\display().

◆ countItems()

static countItems ( & $items )
static

Adds Count Items for Category Manager.

Paramètres
stdClass[] &$items The category objects
Renvoie
stdClass[]
Depuis
3.5

Références $config, et $items.

◆ countTagItems()

static countTagItems | ( | & | $items,
 |  |  | $extension
 | ) |  |
static

Adds Count Items for Tag Manager.

Paramètres
stdClass[] | &$items The tag objects
string | $extension | The name of the active view.
Renvoie
stdClass[]
Depuis
3.6

Références $config, $extension, $items, $parts, $section, et null.

◆ getContexts()

static getContexts ( )
static

Returns valid contexts

Renvoie
array
Depuis
3.7.0

Références JPATH_ADMINISTRATOR.

◆ validateSection()

static validateSection | ( | $section,
 |  | $item
 | ) |
static

Returns a valid section for contacts. If it is not valid then null is returned.

Paramètres
string | $section | The section to get the mapping for
object | $item | optional item object
Renvoie
string|null The new section
Depuis
3.7.0

Références $item, $section, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/helpers/contact.php


Joomla CMS: Référence de la classe ContactHelperAssociation

Fonctions membres publiques statiques
Référence de la classe ContactHelperAssociation
+ Graphe d'héritage de ContactHelperAssociation:
CategoryHelperAssociation

Fonctions membres publiques statiques

static | getAssociations ($id=0, $view=null)
- Fonctions membres publiques statiques hérités de CategoryHelperAssociation
static | getCategoryAssociations ($id=0, $extension='com_content', $layout=null)

Membres hérités additionnels

- Attributs publics statiques hérités de CategoryHelperAssociation
static $category_association = true

Description détaillée

Contact Component Association Helper

Depuis
3.0

Documentation des fonctions membres

◆ getAssociations()

static getAssociations | ( | $id = 0,
 |  | $view = null
 | ) |
static

Method to get the associations for a given item

Paramètres
integer | $id | Id of the item
string | $view | Name of the view
Renvoie
array Array of associations for the item
Depuis
3.0

Références $id, $item, $jinput, $return, $view, ContactHelperRoute\getContactRoute(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_contact/helpers/association.php


Joomla CMS: Référence de la classe ContactHelperRoute

Fonctions membres publiques statiques
Référence de la classe ContactHelperRoute

Fonctions membres publiques statiques

static | getContactRoute ($id, $catid, $language=0)
static | getCategoryRoute ($catid, $language=0)

Documentation des fonctions membres

◆ getCategoryRoute()

static getCategoryRoute | ( | $catid,
 |  | $language = 0
 | ) |
static

Get the URL route for a contact category from a contact category ID and language

Paramètres
mixed | $catid | The id of the contact's category either an integer id or an instance of JCategoryNode
mixed | $language | The id of the language being used.
Renvoie
string The link to the contact
Depuis
1.5

Références $id, $language, et $link.

Référencé par ContactViewContact\_prepareDocument(), et ContactViewCategory\prepareDocument().

◆ getContactRoute()

static getContactRoute | ( | $id,
 |  | $catid,
 |  | $language = 0
 | ) |
static

Get the URL route for a contact from a contact ID, contact category ID and language

Paramètres
integer | $id | The id of the contact
integer | $catid | The id of the contact's category
mixed | $language | The id of the language being used.
Renvoie
string The link to the contact
Depuis
1.5

Références $id, $language, et $link.

Référencé par ContactViewContact\display(), ContactHelperAssociation\getAssociations(), PlgFinderContacts\index(), PlgContentContact\onContentPrepare(), et PlgSearchContacts\onContentSearch().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_contact/helpers/route.php


Joomla CMS: Référence de la classe ContactModelCategories

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe ContactModelCategories
+ Graphe d'héritage de ContactModelCategories:

Fonctions membres publiques

getItems ()
getParent ()

Champs de données

$_context = 'com_contact.categories'

Fonctions membres protégées

populateState ($ordering=null, $direction=null)
getStoreId ($id='')

Attributs protégés

$_extension = 'com_contact'

Attributs privés

$_parent = null
$_items = null

Description détaillée

This models supports retrieving lists of contact categories.

Depuis
1.6

Documentation des fonctions membres

◆ getItems()

getItems ( )

Redefine the function an add some properties to make the styling more easy

Renvoie
mixed An array of data items on success, false on failure.

Références $active, $app, $menu, $options, $params, et null.

◆ getParent()

getParent ( )

Gets the id of the parent category for the selected list of categories

Renvoie
integer The id of the parent category
Depuis
1.6.0

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, et $params.

Documentation des champs

◆ $_context

$_context = 'com_contact.categories'

◆ $_extension

$_extension = 'com_contact'
protected

◆ $_items

$_items = null
private

◆ $_parent

$_parent = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_contact/models/categories.php


Joomla CMS: Référence de la classe ContactModelCategory

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContactModelCategory
+ Graphe d'héritage de ContactModelCategory:

Fonctions membres publiques

__construct ($config=array())
getItems ()
getCategory ()
getParent ()
& getLeftSibling ()
& getRightSibling ()
& getChildren ()
hit ($pk=0)

Fonctions membres protégées

getListQuery ()
populateState ($ordering=null, $direction=null)

Attributs protégés

$_item = null
$_articles = null
$_siblings = null
$_children = null
$_parent = null
$_category = null
$_categories = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getCategory()

getCategory ( )

Method to get category data for the current category

Renvoie
object The category object
Depuis
1.5

Références $active, $app, $menu, $options, et $params.

◆ getChildren()

& getChildren ( )

Get the child categories.

Renvoie
mixed An array of categories or false if an error occurs.

◆ getItems()

getItems ( )

Method to get a list of items.

Renvoie
mixed An array of objects on success, false on failure.

Références $i, $item, $items, et $n.

◆ getLeftSibling()

& getLeftSibling ( )

Get the sibling (adjacent) categories.

Renvoie
mixed An array of categories or false if an error occurs.

◆ getListQuery()

getListQuery ( )
protected

Method to build an SQL query to load the list data.

Renvoie
string An SQL query
Depuis
1.6

TODO: we actually should be doing it but it's wrong this way . ' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(\':\', a.id, a.alias) ELSE a.id END as slug, ' . ' CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(\':\', c.id, c.alias) ELSE c.id END AS catslug ');

Références $db, $groups, $query, $state, et $user.

◆ getParent()

getParent ( )

Get the parent category.

Renvoie
mixed An array of categories or false if an error occurs.

◆ getRightSibling()

& getRightSibling ( )

Get the sibling (adjacent) categories.

Renvoie
mixed An array of categories or false if an error occurs.

◆ hit()

hit ( $pk = 0 )

Increment the hit counter for the category.

Paramètres
integer $pk Optional primary key of the category to increment.
Renvoie
boolean True if successful; false otherwise and internal error set.
Depuis
3.2

Références $input.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $format, $id, $itemid, $limit, $listOrder, $menu, $params, $user, et Registry\loadString().

Documentation des champs

◆ $_articles

$_articles = null
protected

◆ $_categories

$_categories = null
protected

◆ $_category

$_category = null
protected

◆ $_children

$_children = null
protected

◆ $_item

$_item = null
protected

◆ $_parent

$_parent = null
protected

◆ $_siblings

$_siblings = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_contact/models/category.php


Joomla CMS: Référence de la classe ContactModelContact

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe ContactModelContact
+ Graphe d'héritage de ContactModelContact:

Fonctions membres publiques

getTable ($type='Contact', $prefix='ContactTable', $config=array())
getForm ($data=array(), $loadData=true)
getItem ($pk=null)
save ($data)
featured ($pks, $value=0)
validate ($form, $data, $group=null)
getForm ($data=array(), $loadData=true)
& getItem ($pk=null)
hit ($pk=0)

Champs de données

$typeAlias = 'com_contact.contact'

Fonctions membres protégées

batchUser ($value, $pks, $contexts)
canDelete ($record)
canEditState ($record)
loadFormData ()
prepareTable ($table)
getReorderConditions ($table)
preprocessForm (JForm $form, $data, $group='content')
populateState ()
loadFormData ()
buildContactExtendedData ($contact)
getContactQuery ($pk=null)

Attributs protégés

$associationsContext = 'com_contact.item'
$batch_copymove = 'category_id'
$batch_commands
$view_item = 'contact'
$_item = null
$_context = 'com_contact.contact'

Fonctions membres privées

canCreateCategory ()

Description détaillée

Item Model for a Contact.

Depuis
1.6

Documentation des fonctions membres

◆ batchUser()

batchUser | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch change a linked user.

Paramètres
integer | $value | The new value matching a User ID.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
2.5

Références $value.

◆ buildContactExtendedData()

buildContactExtendedData ( $contact )
protected

Load extended data (profile, articles) for a contact

Paramètres
object $contact The contact object
Renvoie
void

Références $data, $db, $dispatcher, $form, $groups, $published, $query, $user, JEventDispatcher\getInstance(), JPATH_ADMINISTRATOR, JPATH_SITE, et null.

◆ canCreateCategory()

canCreateCategory ( )
private

Is the user allowed to create an on the fly category?

Renvoie
boolean
Depuis
3.6.1

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state edited.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission set in the component.
Depuis
1.6

◆ featured()

featured | ( | $pks,
 |  | $value = 0
 | ) |

Method to toggle the featured setting of contacts.

Paramètres
array | $pks | The ids of the items to toggle.
integer | $value | The value to toggle to.
Renvoie
boolean True on success.
Depuis
1.6

Références $db, $query, et $value.

◆ getContactQuery()

getContactQuery ( $pk = null )
protected

Gets the query to load a contact item

Paramètres
integer $pk The item to be loaded
Renvoie
mixed The contact object on success, false on failure
Exceptions
Exception On database failure
Obsolète:
4.0 Use ContactModelContact::getItem() instead

Références $data, $db, $dispatcher, $form, $groups, $published, $query, $user, JEventDispatcher\getInstance(), JPATH_ADMINISTRATOR, et null.

◆ getForm() [1/2]

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the contact form. The base form is loaded from XML and then an event is fired

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $active, et $form.

◆ getForm() [2/2]

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the row form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
1.6

Références $data, $form, et JPATH_ADMINISTRATOR.

◆ getItem() [1/2]

& getItem ( $pk = null )

Gets a contact

Paramètres
integer $pk Id for the contact
Renvoie
mixed Object or null
Depuis
1.6.0

In case some entity params have been set to "use global", those are represented as an empty string and must be "overridden" by merging the component and / or menu params here.

Références $data, $db, $groups, $published, $query, $user, null, et JError\raiseError().

◆ getItem() [2/2]

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
1.6

Références $assoc, $item, et null.

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
JTable $table A record object.
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

◆ getTable()

getTable | ( | $type = 'Contact',
 |  | $prefix = 'ContactTable',
 |  | $config = array()
 | ) |

Returns a Table object, always creating it

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, et $type.

◆ hit()

hit ( $pk = 0 )

Increment the hit counter for the contact.

Paramètres
integer $pk Optional primary key of the contact to increment.
Renvoie
boolean True if successful; false otherwise and internal error set.
Depuis
3.0

Références $input.

◆ loadFormData() [1/2]

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
array The default data is an empty array.
Depuis
1.6.2

Références $data.

◆ loadFormData() [2/2]

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $app, et $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, et $user.

◆ prepareTable()

prepareTable ( $table )
protected

Prepare and sanitise the table prior to saving.

Paramètres
JTable $table The JTable object
Renvoie
void
Depuis
1.6

Références $date, $db, $query, et ENT_QUOTES.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Preprocess the form.

Paramètres
JForm | $form | Form object.
object | $data | Data object.
string | $group | Group name.
Renvoie
void
Depuis
3.0.3

Références $data, $field, $fields, $form, $language, et null.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
3.0

Références $data, $input, $link, $name, CategoriesHelper\createCategory(), JPATH_ADMINISTRATOR, JLoader\register(), et CategoriesHelper\validateCategoryId().

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.9.25

Références $data, $form, et validate().

Documentation des champs

◆ $_context

$_context = 'com_contact.contact'
protected

◆ $_item

$_item = null
protected

A loaded item

Depuis
1.6

◆ $associationsContext

$associationsContext = 'com_contact.item'
protected

◆ $batch_commands

$batch_commands
protected
Valeur initiale :
= array(
'assetgroup_id' => 'batchAccess',
'language_id' => 'batchLanguage',
'tag' => 'batchTag',
'user_id' => 'batchUser',
)

◆ $batch_copymove

$batch_copymove = 'category_id'
protected

◆ $typeAlias

$typeAlias = 'com_contact.contact'

◆ $view_item

$view_item = 'contact'
protected

The name of the view for a single item

Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/models/contact.php


Joomla CMS: Référence de la classe ContactModelContacts

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ContactModelContacts
+ Graphe d'héritage de ContactModelContacts:

Fonctions membres publiques

__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='a.name', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of contact records.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $assoc, et $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $assoc, $db, $groups, $language, $published, $query, $user, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $forcedLanguage, $layout, $ordering, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/models/contacts.php


Joomla CMS: Référence de la classe ContactModelFeatured

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContactModelFeatured
+ Graphe d'héritage de ContactModelFeatured:

Fonctions membres publiques

__construct ($config=array())
getItems ()

Fonctions membres protégées

getListQuery ()
populateState ($ordering=null, $direction=null)

Attributs protégés

$_item = null
$_articles = null
$_siblings = null
$_children = null
$_parent = null
$_category = null
$_categories = null

Description détaillée

Featured contact model class.

Depuis
1.6.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getItems()

getItems ( )

Method to get a list of items.

Renvoie
mixed An array of objects on success, false on failure.

Références $i, $item, $items, et $n.

◆ getListQuery()

getListQuery ( )
protected

Method to build an SQL query to load the list data.

Renvoie
string An SQL query
Depuis
1.6

Références $date, $db, $groups, $query, $state, et $user.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $limit, $listOrder, $params, et $user.

Documentation des champs

◆ $_articles

$_articles = null
protected

◆ $_categories

$_categories = null
protected

◆ $_category

$_category = null
protected

◆ $_children

$_children = null
protected

◆ $_item

$_item = null
protected

◆ $_parent

$_parent = null
protected

◆ $_siblings

$_siblings = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_contact/models/featured.php


Joomla CMS: Référence de la classe ContactRouter

Fonctions membres publiques | Attributs protégés
Référence de la classe ContactRouter
+ Graphe d'héritage de ContactRouter:

Fonctions membres publiques

__construct ($app=null, $menu=null)
getCategorySegment ($id, $query)
getCategoriesSegment ($id, $query)
getContactSegment ($id, $query)
getCategoryId ($segment, $query)
getCategoriesId ($segment, $query)
getContactId ($segment, $query)

Attributs protégés

$noIDs = false

Description détaillée

Routing class from com_contact

Depuis
3.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $app = null,
 |  | $menu = null
 | ) |

Search Component router constructor

Paramètres
JApplicationCms | $app | The application object
JMenu | $menu | The menu object to work with

Références $app, $category, $menu, $params, et JLoader\register().

Documentation des fonctions membres

◆ getCategoriesId()

getCategoriesId | ( | $segment,
 |  | $query
 | ) |

Method to get the segment(s) for a category

Paramètres
string | $segment | Segment to retrieve the ID for
array | $query | The request that is parsed right now
Renvoie
mixed The id of this item or false

Références $query.

◆ getCategoriesSegment()

getCategoriesSegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for a category

Paramètres
string | $id | ID of the category to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item

Références $id, et $query.

◆ getCategoryId()

getCategoryId | ( | $segment,
 |  | $query
 | ) |

Method to get the id for a category

Paramètres
string | $segment | Segment to retrieve the ID for
array | $query | The request that is parsed right now
Renvoie
mixed The id of this item or false

Références $category, et $query.

◆ getCategorySegment()

getCategorySegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for a category

Paramètres
string | $id | ID of the category to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item

Références $category, $id, et $path.

◆ getContactId()

getContactId | ( | $segment,
 |  | $query
 | ) |

Method to get the segment(s) for a contact

Paramètres
string | $segment | Segment of the contact to retrieve the ID for
array | $query | The request that is parsed right now
Renvoie
mixed The id of this item or false

Références $db, et $query.

◆ getContactSegment()

getContactSegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for a contact

Paramètres
string | $id | ID of the contact to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item

Références $db, et $id.

Documentation des champs

◆ $noIDs

$noIDs = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_contact/router.php


Joomla CMS: Référence de la classe ContactRouterRulesLegacy

Fonctions membres publiques
Référence de la classe ContactRouterRulesLegacy
+ Graphe d'héritage de ContactRouterRulesLegacy:

Fonctions membres publiques

__construct ($router)
preprocess (&$query)
build (&$query, &$segments)
parse (&$segments, &$vars)

Description détaillée

Legacy routing rules class from com_contact

Depuis
3.6
Obsolète:
4.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $router )

Constructor for this legacy router

Paramètres
JComponentRouterAdvanced $router The router this rule belongs to
Depuis
3.6
Obsolète:
4.0

Documentation des fonctions membres

◆ build()

build | ( | & | $query,
 |  | & | $segments
 | ) |  |

Build the route for the com_contact component

Paramètres
array | &$query | An array of URL arguments
array | &$segments | The URL arguments to use to assemble the subsequent URL.
Renvoie
void
Depuis
3.6
Obsolète:
4.0

Références $category, $i, $id, $params, $path, $query, $tmp, $total, $view, elseif, et null.

◆ parse()

parse | ( | & | $segments,
 |  | & | $vars
 | ) |  |

Parse the segments of a URL.

Paramètres
array | &$segments | The segments of the URL to parse.
array | &$vars | The URL attributes to be used by the application.
Renvoie
void
Depuis
3.6
Obsolète:
4.0

Références $category, $count, $db, $i, $id, $item, $params, $query, et $total.

◆ preprocess()

preprocess ( & $query )

Preprocess the route for the com_contact component

Paramètres
array &$query An array of URL arguments
Renvoie
void
Depuis
3.6
Obsolète:
4.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_contact/helpers/legacyrouter.php


Joomla CMS: Référence de la classe ContactTableContact

Fonctions membres publiques | Attributs protégés
Référence de la classe ContactTableContact
+ Graphe d'héritage de ContactTableContact:

Fonctions membres publiques

__construct (&$db)
store ($updateNulls=false)
check ()
generateAlias ()

Attributs protégés

$_jsonEncode = array('params', 'metadata')

Description détaillée

Contact Table class.

Depuis
1.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver $db Database connector object
Depuis
1.0

Références $db.

Documentation des fonctions membres

◆ check()

check ( )

Overloaded check function

Renvoie
boolean True on success, false on failure
Voir également
JTable::check
Depuis
1.5

Références $key, et name.

◆ generateAlias()

generateAlias ( )

Generate a valid alias from title / date. Remains public to be able to check for duplicated alias before saving

Renvoie
string

Références $name, et language.

◆ store()

store ( $updateNulls = false )

Stores a contact.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success, false on failure.
Depuis
1.6

Références $date, et $userId.

Documentation des champs

◆ $_jsonEncode

$_jsonEncode = array('params', 'metadata')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/tables/contact.php


Joomla CMS: Référence de la classe ContactViewCategories

Attributs protégés
Référence de la classe ContactViewCategories
+ Graphe d'héritage de ContactViewCategories:

Attributs protégés

$pageHeading = 'COM_CONTACT_DEFAULT_PAGE_TITLE'
$extension = 'com_contact'

Description détaillée

Content categories view.

Depuis
1.6

Documentation des champs

◆ $extension

$extension = 'com_contact'
protected

◆ $pageHeading

$pageHeading = 'COM_CONTACT_DEFAULT_PAGE_TITLE'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_contact/views/categories/view.html.php


Joomla CMS: Référence de la classe ContactViewCategory

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContactViewCategory
+ Graphe d'héritage de ContactViewCategory:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

reconcileNames ($item)
prepareDocument ()

Attributs protégés

$viewName = 'contact'
$extension = 'com_contact'
$defaultPageTitle = 'COM_CONTACT_DEFAULT_PAGE_TITLE'
$runPlugins = true

Description détaillée

HTML View class for the Contact component

Depuis
1.5

HTML View class for the Contacts component

Depuis
1.5

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $item, et items.

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document

Renvoie
void

Références $category, $id, $item, $menu, $path, category, ContactHelperRoute\getCategoryRoute(), if, et null.

◆ reconcileNames()

reconcileNames ( $item )
protected

Method to reconcile non standard names from components to usage in this class. Typically overridden in the component feed view class.

Paramètres
object $item The item for a feed, an element of the $items array.
Renvoie
void
Depuis
3.2

Références $item.

Documentation des champs

◆ $defaultPageTitle

$defaultPageTitle = 'COM_CONTACT_DEFAULT_PAGE_TITLE'
protected

◆ $extension

$extension = 'com_contact'
protected

◆ $runPlugins

$runPlugins = true
protected

◆ $viewName

$viewName = 'contact'
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • com_contact/views/category/view.feed.php
  • components/com_contact/views/category/view.html.php


Joomla CMS: Référence de la classe ContactViewContact

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContactViewContact
+ Graphe d'héritage de ContactViewContact:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
_prepareDocument ()

Attributs protégés

$form
$item
$state
$return_page
$captchaEnabled = false

Description détaillée

View to edit a contact.

Depuis
1.6

HTML Contact View class for the Contact component

Depuis
1.5

View to create a VCF for a contact item

Depuis
1.6

Documentation des fonctions membres

◆ _prepareDocument()

_prepareDocument ( )
protected

Prepares the document

Renvoie
void
Depuis
1.6

Références $app, $category, $id, $item, $menu, $path, $title, elseif, ContactHelperRoute\getCategoryRoute(), if, item, et null.

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $user, $userId, item, et title.

◆ display() [1/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $item, getDocument, et JError\raiseWarning().

◆ display() [2/3]

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $forcedLanguage, item, et null.

◆ display() [3/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Handle email cloaking

Keep a copy of the raw email address so it can still be accessed in the layout if needed.

Références $active, $app, $data, $dispatcher, $groups, $item, $layout, $offset, $options, $params, $results, $return, $state, $user, elseif, ContactHelperRoute\getContactRoute(), JEventDispatcher\getInstance(), htmlspecialchars, item, null, pageclass_sfx, JError\raiseWarning(), et true.

Documentation des champs

◆ $captchaEnabled

$captchaEnabled = false
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $return_page

$return_page
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_contact/views/contact/view.html.php
  • view.vcf.php


Joomla CMS: Référence de la classe ContactViewContacts

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe ContactViewContacts
+ Graphe d'héritage de ContactViewContacts:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$filterForm
$activeFilters

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state
$sidebar

Description détaillée

View class for a list of contacts.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $title, $user, elseif, JHtmlSidebar\setAction(), et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $forcedLanguage, $item, ContactHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $filterForm

$filterForm

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/views/contacts/view.html.php


Joomla CMS: Référence de la classe ContactViewFeatured

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContactViewFeatured
+ Graphe d'héritage de ContactViewFeatured:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

_prepareDocument ()

Attributs protégés

$state
$items
$category
$categories
$pagination

Description détaillée

Featured View class

Depuis
1.6

Documentation des fonctions membres

◆ _prepareDocument()

_prepareDocument ( )
protected

Prepares the document

Renvoie
void
Depuis
1.6

Références $app, $menu, $title, elseif, et null.

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed Exception on failure, void on success.
Depuis
1.6

Références $app, $category, $i, $item, $items, $n, $params, $state, category, children, ENT_COMPAT, htmlspecialchars, items, maxLevel, pageclass_sfx, parent, et JError\raiseWarning().

Documentation des champs

◆ $categories

$categories
protected

◆ $category

$category
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_contact/views/featured/view.html.php


Joomla CMS: Référence de la classe ContentAssociationsHelper

Fonctions membres publiques | Attributs protégés
Référence de la classe ContentAssociationsHelper
+ Graphe d'héritage de ContentAssociationsHelper:
AssociationExtensionHelper AssociationExtensionInterface

Fonctions membres publiques

getAssociations ($typeName, $id)
getItem ($typeName, $id)
getType ($typeName='')
- Fonctions membres publiques hérités de AssociationExtensionHelper
hasAssociationsSupport ()
getItemTypes ()
getAssociationList ($typeName, $itemId)
getType ($typeName='')
getTypeFields ($typeName)
getTypeSupport ($typeName)
getTypeTables ($typeName)
getTypeJoins ($typeName)
getTypeTitle ($typeName)
getTypeFieldName ($typeName, $fieldName)

Attributs protégés

$extension = 'com_content'
$itemTypes = array('article', 'category')
$associationsSupport = true
- Attributs protégés hérités de AssociationExtensionHelper
$extension = 'com_??'
$itemTypes = array()
$associationsSupport = false

Membres hérités additionnels

- Fonctions membres protégées hérités de AssociationExtensionHelper
getSupportTemplate ()
getFieldsTemplate ()

Description détaillée

Content associations helper.

Depuis
3.7.0

Documentation des fonctions membres

◆ getAssociations()

getAssociations | ( | $typeName,
 |  | $id
 | ) |

Get the associated items for an item

Paramètres
string | $typeName | The item type
int | $id | The id of item for which we need the associated items
Renvoie
array
Depuis
3.7.0

Références $context, $id, $type, et extension.

◆ getItem()

getItem | ( | $typeName,
 |  | $id
 | ) |

Get item information

Paramètres
string | $typeName | The item type
int | $id | The id of item for which we need the associated items
Renvoie
JTable|null
Depuis
3.7.0

Références $id, et null.

◆ getType()

getType ( $typeName = '' )

Get information about the type

Paramètres
string $typeName The item type
Renvoie
array Array of item types
Depuis
3.7.0

Références $fields, et $title.

Documentation des champs

◆ $associationsSupport

boolean $associationsSupport = true
protected

Has the extension association support

Depuis
3.7.0

◆ $extension

array $extension = 'com_content'
protected

The extension name

Depuis
3.7.0

◆ $itemTypes

array $itemTypes = array('article', 'category')
protected

Array of item types

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/helpers/associations.php


Joomla CMS: Référence de la classe ContentCategories

Fonctions membres publiques
Référence de la classe ContentCategories
+ Graphe d'héritage de ContentCategories:

Fonctions membres publiques

__construct ($options=array())

Description détaillée

Content Component Category Tree

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Class constructor

Paramètres
array $options Array of options
Depuis
1.7.0

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/helpers/category.php


Joomla CMS: Référence de la classe ContentController

Fonctions membres publiques | Attributs protégés
Référence de la classe ContentController
+ Graphe d'héritage de ContentController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())
__construct ($config=array())
display ($cachable=false, $urlparams=false)

Attributs protégés

$default_view = 'articles'

Description détaillée

Component Controller

Depuis
1.5

Content Component Controller

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings. Recognized key values include 'name', 'default_task', 'model_path', and 'view_path' (this list is not meant to be comprehensive).
Depuis
3.0.1

Références $config, elseif, et JPATH_COMPONENT_ADMINISTRATOR.

Documentation des fonctions membres

◆ display() [1/2]

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
ContentController This object to support chaining.
Depuis
1.5

Références $id, $layout, et $view.

◆ display() [2/2]

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached.
boolean | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Set the default view name and format from the Request. Note we are using a_id to avoid collisions with the router and the return page. Frontend is a bit messier than the backend.

Références $id, $user, et JError\raiseError().

Documentation des champs

◆ $default_view

$default_view = 'articles'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/controller.php


Joomla CMS: Référence de la classe ContentControllerAjax

Fonctions membres publiques
Référence de la classe ContentControllerAjax
+ Graphe d'héritage de ContentControllerAjax:

Fonctions membres publiques

fetchAssociations ()

Description détaillée

The article controller for ajax requests

Depuis
3.9.0

Documentation des fonctions membres

◆ fetchAssociations()

fetchAssociations ( )

Method to fetch associations of an article

The method assumes that the following http parameters are passed in an Ajax Get request: token: the form token assocId: the id of the article whose associations are to be returned excludeLang: the association for this language is to be excluded

Renvoie
null
Depuis
3.9.0

Références $input, $lang, $message, elseif, LanguageHelper\getContentLanguages(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_content/controllers/ajax.json.php


Joomla CMS: Référence de la classe ContentControllerArticle

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContentControllerArticle
+ Graphe d'héritage de ContentControllerArticle:

Fonctions membres publiques

__construct ($config=array())
add ()
cancel ($key='a_id')
edit ($key=null, $urlVar='a_id')
getModel ($name='form', $prefix='', $config=array('ignore_request'=> true))
save ($key=null, $urlVar='a_id')
reload ($key=null, $urlVar='a_id')
vote ()

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='id')
allowAdd ($data=array())
allowEdit ($data=array(), $key='id')
getRedirectToItemAppend ($recordId=null, $urlVar='a_id')
getReturnPage ()

Attributs protégés

$view_item = 'form'
$view_list = 'categories'
$urlVar = 'a.id'

Description détaillée

The article controller

Depuis
1.6

Content article class.

Depuis
1.6.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Class constructor.

Paramètres
array $config A named array of configuration variables.
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ add()

add ( )

Method to add a new record.

Renvoie
mixed True if the record can be added, an error object if not.
Depuis
1.6

Références option.

◆ allowAdd() [1/2]

allowAdd ( $data = array() )
protected

Method override to check if you can add a new record.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
1.6

Références $data, et null.

◆ allowAdd() [2/2]

allowAdd ( $data = array() )
protected

Method override to check if you can add a new record.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
1.6

Références $data, $user, et null.

◆ allowEdit() [1/2]

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method override to check if you can edit an existing record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, $key, et $user.

◆ allowEdit() [2/2]

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method override to check if you can edit an existing record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key; default is id.
Renvoie
boolean
Depuis
1.6

Références $data, $key, et $user.

◆ cancel()

cancel ( $key = 'a_id' )

Method to cancel an edit.

Paramètres
string $key The name of the primary key of the URL variable.
Renvoie
boolean True if access level checks pass, false otherwise.
Depuis
1.6

Références $app, $item, $key, $lang, et $params.

◆ edit()

edit | ( | $key = null,
 |  | $urlVar = 'a_id'
 | ) |

Method to edit an existing record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if access level check and checkout passes, false otherwise.
Depuis
1.6

Références $key, et edit.

◆ getModel()

getModel | ( | $name = 'form',
 |  | $prefix = '',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.5

Références $config, $name, et $prefix.

◆ getRedirectToItemAppend()

getRedirectToItemAppend | ( | $recordId = null,
 |  | $urlVar = 'a_id'
 | ) |
protected

Gets the URL arguments to append to an item redirect.

Paramètres
integer | $recordId | The primary key id for the item.
string | $urlVar | The name of the URL variable for the id.
Renvoie
string The arguments to append to the redirect URL.
Depuis
1.6

if ($layout) { $append .= '&layout=' . $layout; }

Références $itemId, $return, et $tmpl.

◆ getReturnPage()

getReturnPage ( )
protected

Get the return URL.

If a "return" variable has been passed in the request

Renvoie
string The return URL.
Depuis
1.6

Références $return, et null.

◆ reload()

reload | ( | $key = null,
 |  | $urlVar = 'a_id'
 | ) |

Method to reload a record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
void
Depuis
3.8.0

Références $key.

◆ save()

save | ( | $key = null,
 |  | $urlVar = 'a_id'
 | ) |

Method to save a record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if successful, false otherwise.
Depuis
1.6

Références $app, $articleId, $item, $key, $lang, et $params.

◆ vote()

vote ( )

Method to save a vote.

Renvoie
void
Depuis
1.6

Références $id, et $url.

Documentation des champs

◆ $urlVar

$urlVar = 'a.id'
protected

◆ $view_item

$view_item = 'form'
protected

◆ $view_list

$view_list = 'categories'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/controllers/article.php


Joomla CMS: Référence de la classe ContentControllerArticles

Fonctions membres publiques
Référence de la classe ContentControllerArticles
+ Graphe d'héritage de ContentControllerArticles:
ContentControllerFeatured

Fonctions membres publiques

__construct ($config=array())
getModel ($name='Article', $prefix='ContentModel', $config=array('ignore_request'=> true))

Description détaillée

Articles list controller class.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Article',
 |  | $prefix = 'ContentModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | The array of possible config values. Optional.
Renvoie
JModelLegacy
Depuis
1.6

Références $config, $name, et $prefix.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/controllers/articles.php


Joomla CMS: Référence de la classe ContentControllerFeatured

Fonctions membres publiques
Référence de la classe ContentControllerFeatured
+ Graphe d'héritage de ContentControllerFeatured:
ContentControllerArticles

Fonctions membres publiques

publish ()
getModel ($name='Feature', $prefix='ContentModel', $config=array('ignore_request'=> true))
- Fonctions membres publiques hérités de ContentControllerArticles
__construct ($config=array())
getModel ($name='Article', $prefix='ContentModel', $config=array('ignore_request'=> true))

Description détaillée

Featured content controller class.

Depuis
1.6

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Feature',
 |  | $prefix = 'ContentModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy The model.
Depuis
1.6

Références $config, $name, et $prefix.

◆ publish()

publish ( )

Method to publish a list of articles.

Renvoie
void
Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/controllers/featured.php


Joomla CMS: Référence de la classe ContentHelper

Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe ContentHelper
+ Graphe d'héritage de ContentHelper:

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | filterText ($text)
static | countItems (&$items)
static | countTagItems (&$items, $extension)
static | validateSection ($section)
static | getContexts ()

Attributs publics statiques

static $extension = 'com_content'

Description détaillée

Content component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Références JHtmlSidebar\addEntry().

Référencé par ContentViewArticles\display(), et ContentViewFeatured\display().

◆ countItems()

static countItems ( & $items )
static

Adds Count Items for Category Manager.

Paramètres
stdClass[] &$items The category objects
Renvoie
stdClass[]
Depuis
3.5

Références $config, et $items.

◆ countTagItems()

static countTagItems | ( | & | $items,
 |  |  | $extension
 | ) |  |
static

Adds Count Items for Tag Manager.

Paramètres
stdClass[] | &$items The tag objects
string | $extension | The name of the active view.
Renvoie
stdClass[]
Depuis
3.6

Références $config, $extension, $items, $parts, $section, et null.

◆ filterText()

static filterText ( $text )
static

Applies the content tag filters to arbitrary text as per settings for current user group

Paramètres
text $text The string to filter
Renvoie
string The filtered string
Obsolète:
4.0 Use JComponentHelper::filterText() instead.

Références $text.

◆ getContexts()

static getContexts ( )
static

Returns valid contexts

Renvoie
array
Depuis
3.7.0

Références JPATH_ADMINISTRATOR.

◆ validateSection()

static validateSection ( $section )
static

Returns a valid section for articles. If it is not valid then null is returned.

Paramètres
string $section The section to get the mapping for
Renvoie
string|null The new section
Depuis
3.7.0

Références $section, et null.

Documentation des champs

◆ $extension

$extension = 'com_content'
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/helpers/content.php


Joomla CMS: Référence de la classe ContentHelperAssociation

Fonctions membres publiques statiques
Référence de la classe ContentHelperAssociation
+ Graphe d'héritage de ContentHelperAssociation:
CategoryHelperAssociation

Fonctions membres publiques statiques

static | getAssociations ($id=0, $view=null, $layout=null)
static | displayAssociations ($id)
- Fonctions membres publiques statiques hérités de CategoryHelperAssociation
static | getCategoryAssociations ($id=0, $extension='com_content', $layout=null)

Membres hérités additionnels

- Attributs publics statiques hérités de CategoryHelperAssociation
static $category_association = true

Description détaillée

Content Component Association Helper

Depuis
3.0

Documentation des fonctions membres

◆ displayAssociations()

static displayAssociations ( $id )
static

Method to display in frontend the associations for a given article

Paramètres
integer $id Id of the article
Renvoie
array An array containing the association URL and the related language object
Depuis
3.7.0

Références $id, $language, et $return.

Référencé par ContentViewArticle\display(), et ContentModelArticles\getItems().

◆ getAssociations()

static getAssociations | ( | $id = 0,
 |  | $view = null,
 |  | $layout = null
 | ) |
static

Method to get the associations for a given item

Paramètres
integer | $id | Id of the item
string | $view | Name of the view
string | $layout | View layout
Renvoie
array Array of associations for the item
Depuis
3.0

Références $component, $date, $db, $groups, $id, $item, $jinput, $layout, $return, $user, $view, ContentHelperRoute\getArticleRoute(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/helpers/association.php


Joomla CMS: Référence de la classe ContentHelperQuery

Fonctions membres publiques statiques
Référence de la classe ContentHelperQuery

Fonctions membres publiques statiques

static | orderbyPrimary ($orderby)
static | orderbySecondary ($orderby, $orderDate='created')
static | getQueryDate ($orderDate)
static | buildVotingQuery ($params=null)
static | orderDownColumns (&$articles, $numColumns=1)

Description détaillée

Content Component Query Helper

Depuis
1.5

Documentation des fonctions membres

◆ buildVotingQuery()

static buildVotingQuery ( $params = null )
static

Get join information for the voting query.

Paramètres
\Joomla\Registry\Registry $params An options object for the article.
Renvoie
array A named array with "select" and "join" keys.
Depuis
1.5

Références $params.

◆ getQueryDate()

static getQueryDate ( $orderDate )
static

Translate an order code to a field for primary category ordering.

Paramètres
string $orderDate The ordering code.
Renvoie
string The SQL field(s) to order by.
Depuis
1.6

Références $db.

Référencé par ContentModelArchive\getListQuery().

◆ orderbyPrimary()

static orderbyPrimary ( $orderby )
static

Translate an order code to a field for primary category ordering.

Paramètres
string $orderby The ordering code.
Renvoie
string The SQL field(s) to order by.
Depuis
1.5

Référencé par ContentModelCategory\_buildContentOrderBy(), et ContentModelFeatured\populateState().

◆ orderbySecondary()

static orderbySecondary | ( | $orderby,
 |  | $orderDate = 'created'
 | ) |
static

Translate an order code to a field for secondary category ordering.

Paramètres
string | $orderby | The ordering code.
string | $orderDate | The ordering code for the date.
Renvoie
string The SQL field(s) to order by.
Depuis
1.5

Référencé par ContentModelCategory\_buildContentOrderBy(), ContentModelArchive\populateState(), et ContentModelFeatured\populateState().

◆ orderDownColumns()

static orderDownColumns | ( | & | $articles,
 |  |  | $numColumns = 1
 | ) |  |
static

Method to order the intro articles array for ordering down the columns instead of across. The layout always lays the introtext articles out across columns. Array is reordered so that, when articles are displayed in index order across columns in the layout, the result is that the desired article ordering is achieved down the columns.

Paramètres
array | &$articles | Array of intro text articles
integer | $numColumns | Number of columns in the layout
Renvoie
array Reordered array to achieve desired ordering down columns
Depuis
1.6
Obsolète:
4.0

Références $count, $i, $return, et $row.

Référencé par ContentViewFeatured\display(), et ContentViewCategory\display().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/helpers/query.php


Joomla CMS: Référence de la classe ContentHelperRoute

Fonctions membres publiques statiques
Référence de la classe ContentHelperRoute

Fonctions membres publiques statiques

static | getArticleRoute ($id, $catid=0, $language=0, $layout=null)
static | getCategoryRoute ($catid, $language=0, $layout=null)
static | getFormRoute ($id)

Description détaillée

Content Component Route Helper.

Depuis
1.5

Documentation des fonctions membres

◆ getArticleRoute()

static getArticleRoute | ( | $id,
 |  | $catid = 0,
 |  | $language = 0,
 |  | $layout = null
 | ) |
static

Get the article route.

Paramètres
integer | $id | The route of the content item.
integer | $catid | The category ID.
integer | $language | The language code.
string | $layout | The layout value.
Renvoie
string The article route.
Depuis
1.5

Références $id, $language, $layout, et $link.

Référencé par PlgContentPagebreak\_createNavigation(), PlgContentPagebreak\_createToc(), ContentViewFeatured\display(), ContentViewArticle\display(), JHtmlIcon\edit(), JHtmlIcon\email(), JFormFieldConsentBox\getAssignedArticleUrl(), ContentHelperAssociation\getAssociations(), JFormFieldTos\getLabel(), JFormFieldprivacy\getLayoutData(), JFormFieldterms\getLayoutData(), ModRelatedItemsHelper\getList(), ModArticlesPopularHelper\getList(), ModArticlesNewsHelper\getList(), ModArticlesLatestHelper\getList(), ModArticlesCategoryHelper\getList(), PlgFinderContent\index(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgSearchContent\onContentSearch(), et JHtmlIcon\print_popup().

◆ getCategoryRoute()

static getCategoryRoute | ( | $catid,
 |  | $language = 0,
 |  | $layout = null
 | ) |
static

Get the category route.

Paramètres
integer | $catid | The category ID.
integer | $language | The language code.
string | $layout | The layout value.
Renvoie
string The article route.
Depuis
1.5

Références $id, $language, $layout, et $link.

Référencé par ContentViewArticle\_prepareDocument(), ModArticlesCategoryHelper\getList(), PlgFinderCategories\index(), PlgSearchCategories\onContentSearch(), et ContentViewCategory\prepareDocument().

◆ getFormRoute()

static getFormRoute ( $id )
static

Get the form route.

Paramètres
integer $id The form ID.
Renvoie
string The article route.
Depuis
1.5

Références $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/helpers/route.php


Joomla CMS: Référence de la classe ContenthistoryController

Référence de la classe ContenthistoryController
+ Graphe d'héritage de ContenthistoryController:

Description détaillée

Contenthistory Controller

Depuis
3.2
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contenthistory/controller.php


Joomla CMS: Référence de la classe ContenthistoryControllerHistory

Fonctions membres publiques
Référence de la classe ContenthistoryControllerHistory
+ Graphe d'héritage de ContenthistoryControllerHistory:

Fonctions membres publiques

delete ()
getModel ($name='History', $prefix='ContenthistoryModel', $config=array('ignore_request'=> true))
keep ()

Description détaillée

Contenthistory list controller class.

Depuis
3.2

Documentation des fonctions membres

◆ delete()

delete ( )

Deletes and returns correctly.

Renvoie
void
Depuis
3.2

Références false, et JError\raiseWarning().

◆ getModel()

getModel | ( | $name = 'History',
 |  | $prefix = 'ContenthistoryModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel.

Paramètres
string | $name | The name of the model
string | $prefix | The prefix for the model
array | $config | An additional array of parameters
Renvoie
JModelLegacy The model
Depuis
3.2

Références $config, $name, et $prefix.

◆ keep()

keep ( )

Toggles the keep forever value for one or more history rows. If it was Yes, changes to No. If No, changes to Yes.

Renvoie
void
Depuis
3.2

Références false, et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/history.php


Joomla CMS: Référence de la classe ContenthistoryControllerPreview

Fonctions membres publiques
Référence de la classe ContenthistoryControllerPreview
+ Graphe d'héritage de ContenthistoryControllerPreview:

Fonctions membres publiques

getModel ($name='Preview', $prefix='ContenthistoryModel', $config=array('ignore_request'=> true))

Description détaillée

Contenthistory list controller class.

Depuis
3.2

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Preview',
 |  | $prefix = 'ContenthistoryModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel.

Paramètres
string | $name | The name of the model
string | $prefix | The prefix for the model
array | $config | An additional array of parameters
Renvoie
JModelLegacy The model
Depuis
3.2

Références $config, $name, et $prefix.

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/preview.php


Joomla CMS: Référence de la classe ContenthistoryHelper

Fonctions membres publiques statiques
Référence de la classe ContenthistoryHelper

Fonctions membres publiques statiques

static | createObjectArray ($object)
static | decodeFields ($jsonString)
static | getFormValues ($object, JTableContenttype $typesTable)
static | getFormFile (JTableContenttype $typesTable)
static | getLookupValue ($lookup, $value)
static | hideFields ($object, JTableContenttype $typeTable)
static | loadLanguageFiles ($typeAlias)
static | mergeLabels ($object, $formValues)
static | prepareData (JTableContenthistory $table)
static | processLookupFields ($object, JTableContenttype $typesTable)

Description détaillée

Categories helper.

Depuis
3.2

Documentation des fonctions membres

◆ createObjectArray()

static createObjectArray ( $object )
static

Method to put all field names, including nested ones, in a single array for easy lookup.

Paramètres
stdClass $object Standard class object that may contain one level of nested objects.
Renvoie
array Associative array of all field names, including ones in a nested object.
Depuis
3.2

Références $name, $value, et null.

◆ decodeFields()

static decodeFields ( $jsonString )
static

Method to decode JSON-encoded fields in a standard object. Used to unpack JSON strings in the content history data column.

Paramètres
stdClass $jsonString Standard class object that may contain one or more JSON-encoded fields.
Renvoie
stdClass Object with any JSON-encoded fields unpacked.
Depuis
3.2

Références $name, et $value.

◆ getFormFile()

static getFormFile ( JTableContenttype $typesTable )
static

Method to get the XML form file for this component. Used to get translated field names for history preview.

Paramètres
JTableContenttype $typesTable Table object with content history options.
Renvoie
mixed JModel object if successful, false if no model found.
Depuis
3.2

Références $aliasArray, $component, $file, $options, $path, jimport(), JPATH_ADMINISTRATOR, et JPATH_ROOT.

◆ getFormValues()

static getFormValues | ( |  | $object,
 |  | JTableContenttype | $typesTable
 | ) |  |
static

Method to get field labels for the fields in the JSON-encoded object. First we see if we can find translatable labels for the fields in the object. We translate any we can find and return an array in the format object->name => label.

Paramètres
stdClass | $object | Standard class object in the format name->value.
JTableContenttype | $typesTable | Table object with content history options.
Renvoie
stdClass Contains two associative arrays. $formValues->labels in the format name => label (for example, 'id' => 'Article ID'). $formValues->values in the format name => value (for example, 'state' => 'Published'. This translates the text from the selected option in the form.
Depuis
3.2

Références $field, $label, $name, et null.

◆ getLookupValue()

static getLookupValue | ( | $lookup,
 |  | $value
 | ) |
static

Method to query the database using values from lookup objects.

Paramètres
stdClass | $lookup | The std object with the values needed to do the query.
mixed | $value | The value used to find the matching title or name. Typically the id.
Renvoie
mixed Value from database (for example, name or title) on success, false on failure.
Depuis
3.2

Références $db, $query, et $value.

◆ hideFields()

static hideFields | ( |  | $object,
 |  | JTableContenttype | $typeTable
 | ) |  |
static

Method to remove fields from the object based on values entered in the #__content_types table.

Paramètres
stdClass | $object | Object to be passed to view layout file.
JTableContenttype | $typeTable | Table object with content history options.
Renvoie
stdClass object with hidden fields removed.
Depuis
3.2

Références $field, et $options.

◆ loadLanguageFiles()

static loadLanguageFiles ( $typeAlias )
static

Method to load the language files for the component whose history is being viewed.

Paramètres
string $typeAlias The type alias, for example 'com_content.article'.
Renvoie
void
Depuis
3.2

Loading language file from the administrator/language directory then loading language file from the administrator/components/extension/language directory

Références $aliasArray, $component, $lang, JPATH_ADMINISTRATOR, et null.

◆ mergeLabels()

static mergeLabels | ( | $object,
 |  | $formValues
 | ) |
static

Method to create object to pass to the layout. Format is as follows: field is std object with name, value.

Value can be a std object with name, value pairs.

Paramètres
stdClass | $object | The std object from the JSON string. Can be nested 1 level deep.
stdClass | $formValues | Standard class of label and value in an associative array.
Renvoie
stdClass Object with translated labels where available
Depuis
3.2

Références $name, $value, et null.

◆ prepareData()

static prepareData ( JTableContenthistory $table )
static

Method to prepare the object for the preview and compare views.

Paramètres
JTableContenthistory $table Table object loaded with data.
Renvoie
stdClass Object ready for the views.
Depuis
3.2

◆ processLookupFields()

static processLookupFields | ( |  | $object,
 |  | JTableContenttype | $typesTable
 | ) |  |
static

Method to process any lookup values found in the content_history_options column for this table. This allows category title and user name to be displayed instead of the id column.

Paramètres
stdClass | $object | The std object from the JSON string. Can be nested 1 level deep.
JTableContenttype | $typesTable | Table object loaded with data.
Renvoie
stdClass Object with lookup values inserted.
Depuis
3.2

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contenthistory/helpers/contenthistory.php


Joomla CMS: Référence de la classe ContenthistoryModelCompare

Référence de la classe ContenthistoryModelCompare
+ Graphe d'héritage de ContenthistoryModelCompare:

Description détaillée

Methods supporting a list of contenthistory records.

Depuis
3.2
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/compare.php


Joomla CMS: Référence de la classe ContenthistoryModelHistory

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ContenthistoryModelHistory
+ Graphe d'héritage de ContenthistoryModelHistory:

Fonctions membres publiques

__construct ($config=array())
delete (&$pks)
getTable ($type='Contenthistory', $prefix='JTable', $config=array())
keep (&$pks)

Fonctions membres protégées

canDelete ($record)
populateState ($ordering='h.save_date', $direction='DESC')
getListQuery ()
getSha1Hash ()

Description détaillée

Methods supporting a list of contenthistory records.

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
3.2

Références $config.

Documentation des fonctions membres

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a history record can be deleted. Note that we check whether we have edit permissions for the content item row.

Paramètres
JTableContenthistory $record A JTable object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
3.6

◆ delete()

delete ( & $pks )

Method to delete one or more records from content history table.

Paramètres
array $pks An array of record primary keys.
Renvoie
boolean True if successful, false if an error occurs.
Depuis
3.2

Références $i.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
3.2

Références $db, et $query.

◆ getSha1Hash()

getSha1Hash ( )
protected

Get the sha1 hash value for the current item being edited.

Renvoie
string sha1 hash of row data
Depuis
3.2

Références JPATH_ADMINISTRATOR, et json_encode.

◆ getTable()

getTable | ( | $type = 'Contenthistory',
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $type | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.2

Références $config, $prefix, et $type.

◆ keep()

keep ( & $pks )

Method to toggle on and off the keep forever value for one or more records from content history table.

Paramètres
array $pks An array of record primary keys.
Renvoie
boolean True if successful, false if an error occurs.
Depuis
3.2

Références $i.

◆ populateState()

populateState | ( | $ordering = 'h.save_date',
 |  | $direction = 'DESC'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.2

Références $direction, $input, $itemId, $ordering, et $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/history.php


Joomla CMS: Référence de la classe ContenthistoryModelPreview

Référence de la classe ContenthistoryModelPreview
+ Graphe d'héritage de ContenthistoryModelPreview:

Description détaillée

Methods supporting a list of contenthistory records.

Depuis
3.2
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/preview.php


Joomla CMS: Référence de la classe ContenthistoryViewCompare

Fonctions membres publiques | Attributs protégés
Référence de la classe ContenthistoryViewCompare
+ Graphe d'héritage de ContenthistoryViewCompare:

Fonctions membres publiques

display ($tpl=null)

Attributs protégés

$items
$state

Description détaillée

View class for a list of contenthistory.

Depuis
3.2

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed Exception on failure, void on success.
Depuis
3.2

Références items.

Documentation des champs

◆ $items

$items
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contenthistory/views/compare/view.html.php


Joomla CMS: Référence de la classe ContenthistoryViewHistory

Fonctions membres publiques | Attributs protégés
Référence de la classe ContenthistoryViewHistory
+ Graphe d'héritage de ContenthistoryViewHistory:

Fonctions membres publiques

display ($tpl=null)

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of contenthistory.

Depuis
3.2

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed Exception on failure, void on success.
Depuis
3.2

Références items.

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contenthistory/views/history/view.html.php


Joomla CMS: Référence de la classe ContenthistoryViewPreview

Fonctions membres publiques | Attributs protégés
Référence de la classe ContenthistoryViewPreview
+ Graphe d'héritage de ContenthistoryViewPreview:

Fonctions membres publiques

display ($tpl=null)

Attributs protégés

$items
$state

Description détaillée

View class for a list of contenthistory.

Depuis
1.5

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed Exception on failure, void on success.
Depuis
3.2

Références item, JPATH_SITE, null, et JError\raiseError().

Documentation des champs

◆ $items

$items
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contenthistory/views/preview/view.html.php


Joomla CMS: Référence de la classe ContentModelArchive

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe ContentModelArchive
+ Graphe d'héritage de ContentModelArchive:
ContentModelArticles

Fonctions membres publiques

getData ()
getYears ()
- Fonctions membres publiques hérités de ContentModelArticles
__construct ($config=array())
getAuthors ()
__construct ($config=array())
getItems ()
getStart ()
countItemsByMonth ()

Champs de données

$_context = 'com_content.archive'

Fonctions membres protégées

populateState ($ordering=null, $direction=null)
getListQuery ()
_getList ($query, $limitstart=0, $limit=0)
- Fonctions membres protégées hérités de ContentModelArticles
populateState ($ordering='a.id', $direction='desc')
getStoreId ($id='')
getListQuery ()
populateState ($ordering='ordering', $direction='ASC')
getStoreId ($id='')
getListQuery ()

Description détaillée

Content Component Archive Model

Depuis
1.5

Documentation des fonctions membres

◆ _getList()

_getList | ( | $query,
 |  | $limitstart = 0,
 |  | $limit = 0
 | ) |
protected

JModelLegacy override to add alternating value for $odd

Paramètres
string | $query | The query.
integer | $limitstart | Offset.
integer | $limit | The number of records.
Renvoie
array An array of results.
Depuis
3.0.1
Exceptions
RuntimeException

Références $limit, $query, et $row.

◆ getData()

getData ( )

Method to get the archived article list

public

Renvoie
array

Références $app, $limit, $params, et $query.

◆ getListQuery()

getListQuery ( )
protected

Get the master query for retrieving a list of articles subject to the model state.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $app, $params, $query, et ContentHelperQuery\getQueryDate().

◆ getYears()

getYears ( )

Gets the archived articles years

Renvoie
array
Depuis
3.6.0

Références $db, et $query.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | The field to order on.
string | $direction | The direction to order on.
Renvoie
void
Depuis
1.6

Références $app, $itemid, $limit, $params, et ContentHelperQuery\orderbySecondary().

Documentation des champs

◆ $_context

$_context = 'com_content.archive'
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/models/archive.php


Joomla CMS: Référence de la classe ContentModelArticle

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe ContentModelArticle
+ Graphe d'héritage de ContentModelArticle:
ContentModelFeature ContentModelForm

Fonctions membres publiques

getTable ($type='Content', $prefix='JTable', $config=array())
getItem ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
save ($data)
featured ($pks, $value=0)
hit ()
delete (&$pks)
getItem ($pk=null)
hit ($pk=0)
storeVote ($pk=0, $rate=0)

Champs de données

$typeAlias = 'com_content.article'

Fonctions membres protégées

cleanupPostBatchCopy (\JTableInterface $table, $newId, $oldId)
batchMove ($value, $pks, $contexts)
canDelete ($record)
canEditState ($record)
prepareTable ($table)
loadFormData ()
getReorderConditions ($table)
preprocessForm (JForm $form, $data, $group='content')
cleanCache ($group=null, $clientId=0)
populateState ()
cleanCache ($group=null, $clientId=0)

Attributs protégés

$text_prefix = 'COM_CONTENT'
$associationsContext = 'com_content.item'
$_context = 'com_content.article'

Fonctions membres privées

canCreateCategory ()

Description détaillée

Item Model for an Article.

Depuis
1.6

Content Component Article Model

Depuis
1.5

Documentation des fonctions membres

◆ batchMove()

batchMove | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch move categories to a new category.

Paramètres
integer | $value | The new category ID.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True on success.
Depuis
3.8.6

Références $dispatcher, $field, $fields, $value, FieldsHelper\getFields(), JEventDispatcher\getInstance(), JPATH_ADMINISTRATOR, et JLoader\register().

◆ canCreateCategory()

canCreateCategory ( )
private

Is the user allowed to create an on the fly category?

Renvoie
boolean
Depuis
3.6.1

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state edited.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission set in the component.
Depuis
1.6

Références $user.

◆ cleanCache() [1/2]

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Cleans the cache of com_content and content modules

Paramètres
string | $group | The cache group
integer | $clientId | The ID of the client
Renvoie
void
Depuis
3.9.9

◆ cleanCache() [2/2]

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Custom clean the cache of com_content and content modules

Paramètres
string | $group | The cache group
integer | $clientId | The ID of the client
Renvoie
void
Depuis
1.6

◆ cleanupPostBatchCopy()

cleanupPostBatchCopy | ( | \JTableInterface | $table,
 |  |  | $newId,
 |  |  | $oldId
 | ) |  |
protected

Function that can be overridden to do any data cleanup after batch copying data

Paramètres
\JTableInterface | $table | The table object containing the newly created item
integer | $newId | The id of the new item
integer | $oldId | The original item id
Renvoie
void
Depuis
3.8.12

Références $db, $field, $fields, $query, FieldsHelper\getFields(), JEventDispatcher\getInstance(), JPATH_ADMINISTRATOR, et JLoader\register().

◆ delete()

delete ( & $pks )

Delete #__content_frontpage items if the deleted articles was featured

Paramètres
object $pks The primary key related to the contents that was deleted.
Renvoie
boolean
Depuis
3.7.0

Références $db, $query, et $return.

◆ featured()

featured | ( | $pks,
 |  | $value = 0
 | ) |

Method to toggle the featured setting of articles.

Paramètres
array | $pks | The ids of the items to toggle.
integer | $value | The value to toggle to.
Renvoie
boolean True on success.

Références $columns, $db, $query, et $value.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
1.6

Références $app, $assoc, $data, $form, $id, $jinput, et $user.

◆ getItem() [1/2]

getItem ( $pk = null )

Method to get article data.

Paramètres
integer $pk The id of the article.
Renvoie
object|boolean|JException Menu item data object on success, boolean false or JException instance on error

Références $asset, $data, $date, $db, $groups, $published, $query, $user, $userId, elseif, null, et JError\raiseError().

◆ getItem() [2/2]

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.

Références $assoc, $item, et null.

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
object $table A record object.
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

◆ getTable()

getTable | ( | $type = 'Content',
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |

Returns a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object

Références $config, $prefix, et $type.

◆ hit() [1/2]

hit ( $pk = 0 )

Increment the hit counter for the article.

Paramètres
integer $pk Optional primary key of the article to increment.
Renvoie
boolean True if successful; false otherwise and internal error set.

Références $input.

◆ hit() [2/2]

hit ( )

Void hit function for pagebreak when editing content from frontend

Renvoie
void
Depuis
3.6.0

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $app, $data, $filters, et null.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Depuis
1.6
Renvoie
void

Références $app, $asset, $offset, $params, et $user.

◆ prepareTable()

prepareTable ( $table )
protected

Prepare and sanitise the table data prior to saving.

Paramètres
JTable $table A JTable object.
Renvoie
void
Depuis
1.6

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Allows preprocessing of the JForm object.

Paramètres
JForm | $form | The form object
array | $data | The data to be merged into the form object
string | $group | The plugin group to be executed
Renvoie
void
Depuis
3.0

Références $data, $field, $fields, $form, $language, et null.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $check, $data, $filter, $i, $input, $title, $url, CategoriesHelper\createCategory(), JPATH_ADMINISTRATOR, null, JLoader\register(), et CategoriesHelper\validateCategoryId().

◆ storeVote()

storeVote | ( | $pk = 0,
 |  | $rate = 0
 | ) |

Save user vote on article

Paramètres
integer | $pk | Joomla Article Id
integer | $rate | Voting rate
Renvoie
boolean Return true on success

Références $db, $query, $rating, et JError\raiseWarning().

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.7.0

Références $data, $form, et validate().

Documentation des champs

◆ $_context

$_context = 'com_content.article'
protected

◆ $associationsContext

$associationsContext = 'com_content.item'
protected

◆ $text_prefix

$text_prefix = 'COM_CONTENT'
protected

◆ $typeAlias

$typeAlias = 'com_content.article'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/models/article.php


Joomla CMS: Référence de la classe ContentModelArticles

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ContentModelArticles
+ Graphe d'héritage de ContentModelArticles:
ContentModelArchive ContentModelFeatured ContentModelFeatured

Fonctions membres publiques

__construct ($config=array())
getAuthors ()
__construct ($config=array())
getItems ()
getStart ()
countItemsByMonth ()

Fonctions membres protégées

populateState ($ordering='a.id', $direction='desc')
getStoreId ($id='')
getListQuery ()
populateState ($ordering='ordering', $direction='ASC')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of article records.

Depuis
1.6

This models supports retrieving lists of articles.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct() [1/2]

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.6
Voir également
JControllerLegacy

Références $config.

◆ __construct() [2/2]

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ countItemsByMonth()

countItemsByMonth ( )

Count Items by Month

Renvoie
mixed An array of objects on success, false on failure.
Depuis
3.9.0

Références $db, et $query.

◆ getAuthors()

getAuthors ( )

Build a list of authors

Renvoie
stdClass
Depuis
1.6
Obsolète:
4.0 To be removed with Hathor

Références $db, et $query.

◆ getItems()

getItems ( )

Method to get a list of articles.

Overridden to inject convert the attribs field into a JParameter object.

Renvoie
mixed An array of objects on success, false on failure.
Depuis
1.6

For blogs, article params override menu item params only if menu param = 'use_article' Otherwise, menu item params control the layout If menu item is 'use_article' and there is no article param, use global

Compute the asset access permissions. Technically guest could edit an article, but lets not check that to improve performance a little.

Références $asset, $groups, $input, $item, $items, $key, $user, $userId, $value, ContentHelperAssociation\displayAssociations(), elseif, et null.

◆ getListQuery() [1/2]

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $db, $groups, $language, $published, $query, $type, $user, et elseif.

◆ getListQuery() [2/2]

getListQuery ( )
protected

Get the master query for retrieving a list of articles subject to the model state.

Renvoie
JDatabaseQuery
Depuis
1.6

If category is archived then article has to be published or archived. Or category is published then article has to be archived.

Références $articleId, $db, $filter, $groups, $key, $params, $published, $query, $type, $user, et elseif.

◆ getStart()

getStart ( )

Method to get the starting number of items for the data set.

Renvoie
integer The starting number of items available in the data set.
Depuis
3.0.1

◆ getStoreId() [1/2]

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ getStoreId() [2/2]

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState() [1/2]

populateState | ( | $ordering = 'ordering',
 |  | $direction = 'ASC'
 | ) |
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.0.1

Références $app, $listOrder, $params, $user, et $value.

◆ populateState() [2/2]

populateState | ( | $ordering = 'a.id',
 |  | $direction = 'desc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $forcedLanguage, $language, $layout, $ordering, et $published.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/models/articles.php


Joomla CMS: Référence de la classe ContentModelCategories

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe ContentModelCategories
+ Graphe d'héritage de ContentModelCategories:

Fonctions membres publiques

getItems ($recursive=false)
getParent ()

Champs de données

$_context = 'com_content.categories'

Fonctions membres protégées

populateState ($ordering=null, $direction=null)
getStoreId ($id='')

Attributs protégés

$_extension = 'com_content'

Attributs privés

$_parent = null

Description détaillée

This models supports retrieving lists of article categories.

Depuis
1.6

Documentation des fonctions membres

◆ getItems()

getItems ( $recursive = false )

Redefine the function an add some properties to make the styling more easy

Paramètres
bool $recursive True if you want to return children recursively.
Renvoie
mixed An array of data items on success, false on failure.
Depuis
1.6

Références $active, $app, $menu, $options, et $params.

◆ getParent()

getParent ( )

Get the parent.

Renvoie
object An array of data items on success, false on failure.
Depuis
1.6

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | The field to order on.
string | $direction | The direction to order on.
Renvoie
void
Depuis
1.6

Références $app, et $params.

Documentation des champs

◆ $_context

$_context = 'com_content.categories'

◆ $_extension

$_extension = 'com_content'
protected

◆ $_parent

$_parent = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/models/categories.php


Joomla CMS: Référence de la classe ContentModelCategory

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContentModelCategory
+ Graphe d'héritage de ContentModelCategory:

Fonctions membres publiques

__construct ($config=array())
getItems ()
getPagination ()
getCategory ()
getParent ()
& getLeftSibling ()
& getRightSibling ()
& getChildren ()
hit ($pk=0)

Fonctions membres protégées

populateState ($ordering=null, $direction=null)
_buildContentOrderBy ()

Attributs protégés

$_item = null
$_articles = null
$_siblings = null
$_children = null
$_parent = null
$_context = 'com_content.category'
$_category = null
$_categories = null

Description détaillée

This models supports retrieving a category, the articles associated with the category, sibling, child and parent categories.

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ _buildContentOrderBy()

_buildContentOrderBy ( )
protected

Build the orderby for the query

Renvoie
string $orderby portion of query
Depuis
1.5

Références $app, $db, $itemid, $params, null, ContentHelperQuery\orderbyPrimary(), et ContentHelperQuery\orderbySecondary().

◆ getCategory()

getCategory ( )

Method to get category data for the current category

Renvoie
object
Depuis
1.5

Références $asset, $options, $params, et $user.

◆ getChildren()

& getChildren ( )

Get the child categories.

Renvoie
mixed An array of categories or false if an error occurs.
Depuis
1.6

Références $params.

◆ getItems()

getItems ( )

Get the articles in the category

Renvoie
mixed An array of articles or false if an error occurs.
Depuis
1.5

Références $category, $limit, et null.

◆ getLeftSibling()

& getLeftSibling ( )

Get the left sibling (adjacent) categories.

Renvoie
mixed An array of categories or false if an error occurs.
Depuis
1.6

◆ getPagination()

getPagination ( )

Method to get a JPagination object for the data set.

Renvoie
JPagination A JPagination object for the data set.
Depuis
3.0.1

Références null.

◆ getParent()

getParent ( )

Get the parent category.

Renvoie
mixed An array of categories or false if an error occurs.
Depuis
1.6

◆ getRightSibling()

& getRightSibling ( )

Get the right sibling (adjacent) categories.

Renvoie
mixed An array of categories or false if an error occurs.
Depuis
1.6

◆ hit()

hit ( $pk = 0 )

Increment the hit counter for the category.

Paramètres
int $pk Optional primary key of the category to increment.
Renvoie
boolean True if successful; false otherwise and internal error set.

Références $input.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | The field to order on.
string | $direction | The direction to order on.
Renvoie
void
Depuis
1.6

Références $app, $asset, $itemid, $limit, $listOrder, $menu, $params, $user, $value, et Registry\loadString().

Documentation des champs

◆ $_articles

$_articles = null
protected

◆ $_categories

$_categories = null
protected

◆ $_category

$_category = null
protected

◆ $_children

$_children = null
protected

◆ $_context

$_context = 'com_content.category'
protected

◆ $_item

$_item = null
protected

◆ $_parent

$_parent = null
protected

◆ $_siblings

$_siblings = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/models/category.php


Joomla CMS: Référence de la classe ContentModelFeature

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ContentModelFeature
+ Graphe d'héritage de ContentModelFeature:
ContentModelArticle

Fonctions membres publiques

getTable ($type='Featured', $prefix='ContentTable', $config=array())
- Fonctions membres publiques hérités de ContentModelArticle
getTable ($type='Content', $prefix='JTable', $config=array())
getItem ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
save ($data)
featured ($pks, $value=0)
hit ()
delete (&$pks)
getItem ($pk=null)
hit ($pk=0)
storeVote ($pk=0, $rate=0)

Fonctions membres protégées

getReorderConditions ($table)
- Fonctions membres protégées hérités de ContentModelArticle
cleanupPostBatchCopy (\JTableInterface $table, $newId, $oldId)
batchMove ($value, $pks, $contexts)
canDelete ($record)
canEditState ($record)
prepareTable ($table)
loadFormData ()
getReorderConditions ($table)
preprocessForm (JForm $form, $data, $group='content')
cleanCache ($group=null, $clientId=0)
populateState ()
cleanCache ($group=null, $clientId=0)

Membres hérités additionnels

- Champs de données hérités de ContentModelArticle
$typeAlias = 'com_content.article'
- Attributs protégés hérités de ContentModelArticle
$text_prefix = 'COM_CONTENT'
$associationsContext = 'com_content.item'
$_context = 'com_content.article'

Description détaillée

Feature model.

Depuis
1.6

Documentation des fonctions membres

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
object $table A record object.
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

◆ getTable()

getTable | ( | $type = 'Featured',
 |  | $prefix = 'ContentTable',
 |  | $config = array()
 | ) |

Returns a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, et $type.

La documentation de cette classe a été générée à partir du fichier suivant :
  • feature.php


Joomla CMS: Référence de la classe ContentModelFeatured

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe ContentModelFeatured
+ Graphe d'héritage de ContentModelFeatured:
ContentModelArticles ContentModelArticles

Fonctions membres publiques

__construct ($config=array())
getItems ()
- Fonctions membres publiques hérités de ContentModelArticles
__construct ($config=array())
getAuthors ()
__construct ($config=array())
getItems ()
getStart ()
countItemsByMonth ()

Champs de données

$_context = 'com_content.frontpage'

Fonctions membres protégées

getListQuery ()
populateState ($ordering='a.title', $direction='asc')
populateState ($ordering=null, $direction=null)
getStoreId ($id='')
getListQuery ()
- Fonctions membres protégées hérités de ContentModelArticles
populateState ($ordering='a.id', $direction='desc')
getStoreId ($id='')
getListQuery ()
populateState ($ordering='ordering', $direction='ASC')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of featured article records.

Depuis
1.6

Frontpage Component Model

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getItems()

getItems ( )

Method to get a list of articles.

Renvoie
mixed An array of objects on success, false on failure.

Références $limit, et $params.

◆ getListQuery() [1/2]

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $db, $groups, $language, $published, $query, $type, $user, et elseif.

◆ getListQuery() [2/2]

getListQuery ( )
protected

Get the list of items.

Renvoie
JDatabaseQuery

Références $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState() [1/2]

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | The field to order on.
string | $direction | The direction to order on.
Renvoie
void
Depuis
1.6

Références $app, $direction, $input, $limit, $menu, $ordering, $params, $user, Registry\loadString(), ContentHelperQuery\orderbyPrimary(), et ContentHelperQuery\orderbySecondary().

◆ populateState() [2/2]

populateState | ( | $ordering = 'a.title',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.5

Références $direction, et $ordering.

Documentation des champs

◆ $_context

$_context = 'com_content.frontpage'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/models/featured.php


Joomla CMS: Référence de la classe ContentModelForm

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe ContentModelForm
+ Graphe d'héritage de ContentModelForm:
ContentModelArticle

Fonctions membres publiques

getItem ($itemId=null)
getReturnPage ()
save ($data)
- Fonctions membres publiques hérités de ContentModelArticle
getTable ($type='Content', $prefix='JTable', $config=array())
getItem ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
save ($data)
featured ($pks, $value=0)
hit ()
delete (&$pks)
getItem ($pk=null)
hit ($pk=0)
storeVote ($pk=0, $rate=0)

Champs de données

$typeAlias = 'com_content.article'
- Champs de données hérités de ContentModelArticle
$typeAlias = 'com_content.article'

Fonctions membres protégées

populateState ()
preprocessForm (JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de ContentModelArticle
cleanupPostBatchCopy (\JTableInterface $table, $newId, $oldId)
batchMove ($value, $pks, $contexts)
canDelete ($record)
canEditState ($record)
prepareTable ($table)
loadFormData ()
getReorderConditions ($table)
preprocessForm (JForm $form, $data, $group='content')
cleanCache ($group=null, $clientId=0)
populateState ()
cleanCache ($group=null, $clientId=0)

Membres hérités additionnels

- Attributs protégés hérités de ContentModelArticle
$text_prefix = 'COM_CONTENT'
$associationsContext = 'com_content.item'
$_context = 'com_content.article'

Description détaillée

Content Component Article Model

Depuis
1.5

Documentation des fonctions membres

◆ getItem()

getItem ( $itemId = null )

Method to get article data.

Paramètres
integer $itemId The id of the article.
Renvoie
mixed Content item data object on success, false on failure.

Références $asset, $itemId, $return, $user, $userId, $value, elseif, et ArrayHelper\toObject().

◆ getReturnPage()

getReturnPage ( )

Get the return URL.

Renvoie
string The return URL.
Depuis
1.6

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, $params, $return, et null.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Allows preprocessing of the JForm object.

Paramètres
JForm | $form | The form object
array | $data | The data to be merged into the form object
string | $group | The plugin group to be executed
Renvoie
void
Depuis
3.7.0

Références $data, $form, et $params.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
3.2

Références $data.

Documentation des champs

◆ $typeAlias

$typeAlias = 'com_content.article'
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/models/form.php


Joomla CMS: Référence de la classe ContentRouter

Fonctions membres publiques | Attributs protégés
Référence de la classe ContentRouter
+ Graphe d'héritage de ContentRouter:

Fonctions membres publiques

__construct ($app=null, $menu=null)
getCategorySegment ($id, $query)
getCategoriesSegment ($id, $query)
getArticleSegment ($id, $query)
getFormSegment ($id, $query)
getCategoryId ($segment, $query)
getCategoriesId ($segment, $query)
getArticleId ($segment, $query)

Attributs protégés

$noIDs = false

Description détaillée

Routing class of com_content

Depuis
3.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $app = null,
 |  | $menu = null
 | ) |

Content Component router constructor

Paramètres
JApplicationCms | $app | The application object
JMenu | $menu | The menu object to work with

Références $app, $article, $category, $form, $menu, $params, et JLoader\register().

Documentation des fonctions membres

◆ getArticleId()

getArticleId | ( | $segment,
 |  | $query
 | ) |

Method to get the segment(s) for an article

Paramètres
string | $segment | Segment of the article to retrieve the ID for
array | $query | The request that is parsed right now
Renvoie
mixed The id of this item or false

Références $db, et $query.

◆ getArticleSegment()

getArticleSegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for an article

Paramètres
string | $id | ID of the article to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item

Références $db, et $id.

◆ getCategoriesId()

getCategoriesId | ( | $segment,
 |  | $query
 | ) |

Method to get the segment(s) for a category

Paramètres
string | $segment | Segment to retrieve the ID for
array | $query | The request that is parsed right now
Renvoie
mixed The id of this item or false

Références $query.

◆ getCategoriesSegment()

getCategoriesSegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for a category

Paramètres
string | $id | ID of the category to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item

Références $id, et $query.

◆ getCategoryId()

getCategoryId | ( | $segment,
 |  | $query
 | ) |

Method to get the id for a category

Paramètres
string | $segment | Segment to retrieve the ID for
array | $query | The request that is parsed right now
Renvoie
mixed The id of this item or false

Références $category, et $query.

◆ getCategorySegment()

getCategorySegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for a category

Paramètres
string | $id | ID of the category to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item

Références $category, $id, et $path.

◆ getFormSegment()

getFormSegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for a form

Paramètres
string | $id | ID of the article form to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item
Depuis
3.7.3

Références $id, et $query.

Documentation des champs

◆ $noIDs

$noIDs = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/router.php


Joomla CMS: Référence de la classe ContentRouterRulesLegacy

Fonctions membres publiques
Référence de la classe ContentRouterRulesLegacy
+ Graphe d'héritage de ContentRouterRulesLegacy:

Fonctions membres publiques

__construct ($router)
preprocess (&$query)
build (&$query, &$segments)
parse (&$segments, &$vars)

Description détaillée

Legacy routing rules class from com_content

Depuis
3.6
Obsolète:
4.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $router )

Constructor for this legacy router

Paramètres
JComponentRouterView $router The router this rule belongs to
Depuis
3.6
Obsolète:
4.0

Documentation des fonctions membres

◆ build()

build | ( | & | $query,
 |  | & | $segments
 | ) |  |

Build the route for the com_content component

Paramètres
array | &$query | An array of URL arguments
array | &$segments | The URL arguments to use to assemble the subsequent URL.
Renvoie
void
Depuis
3.6
Obsolète:
4.0

Références $category, $db, $i, $id, $params, $path, $query, $tmp, $total, $view, et null.

◆ parse()

parse | ( | & | $segments,
 |  | & | $vars
 | ) |  |

Parse the segments of a URL.

Paramètres
array | &$segments | The segments of the URL to parse.
array | &$vars | The URL attributes to be used by the application.
Renvoie
void
Depuis
3.6
Obsolète:
4.0

Références $article, $category, $count, $db, $i, $id, $item, $params, $query, $total, null, et JError\raiseError().

◆ preprocess()

preprocess ( & $query )

Preprocess the route for the com_content component

Paramètres
array &$query An array of URL arguments
Renvoie
void
Depuis
3.6
Obsolète:
4.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_content/helpers/legacyrouter.php


Joomla CMS: Référence de la classe ContentTableFeatured

Fonctions membres publiques
Référence de la classe ContentTableFeatured
+ Graphe d'héritage de ContentTableFeatured:

Fonctions membres publiques

__construct (&$db)

Description détaillée

Featured Table class.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver $db Database connector object
Depuis
1.6

Références $db.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/tables/featured.php


Joomla CMS: Référence de la classe ContentViewArchive

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContentViewArchive
+ Graphe d'héritage de ContentViewArchive:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

_prepareDocument ()

Attributs protégés

$state = null
$item = null
$items = null
$pagination = null
$years = null

Description détaillée

HTML View class for the Content component

Depuis
1.5

Documentation des fonctions membres

◆ _prepareDocument()

_prepareDocument ( )
protected

Prepares the document

Renvoie
void

Références $app, $menu, $title, elseif, et null.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $dispatcher, $form, $i, $item, $items, $params, $results, $state, $user, JEventDispatcher\getInstance(), htmlspecialchars, items, null, et pageclass_sfx.

Documentation des champs

◆ $item

$item = null
protected

◆ $items

$items = null
protected

◆ $pagination

$pagination = null
protected

◆ $state

$state = null
protected

◆ $years

$years = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/views/archive/view.html.php


Joomla CMS: Référence de la classe ContentViewArticle

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContentViewArticle
+ Graphe d'héritage de ContentViewArticle:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
_prepareDocument ()

Attributs protégés

$form
$item
$state
$canDo
$params
$print
$user

Description détaillée

View to edit an article.

Depuis
1.6

HTML Article View class for the Content component

Depuis
1.5

Documentation des fonctions membres

◆ _prepareDocument()

_prepareDocument ( )
protected

Prepares the document.

Renvoie
void

Because the application sets a default page title, we need to get it from the menu item itself

Références $app, $author, $category, $id, $item, $menu, $path, $title, elseif, ContentHelperRoute\getCategoryRoute(), if, item, et null.

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $user, $userId, item, et title.

◆ display() [1/2]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Check for no 'access-view' and empty fulltext,

  • Redirect guest users to login
  • Deny access to logged users with 403 code NOTE: we do not recheck for no access-view + show_noauth disabled ... since it was checked above

NOTE: The following code (usually) sets the text to contain the fulltext, but it is the responsibility of the layout to check 'access-view' and only use "introtext" for guests

Références $active, $app, $dispatcher, $item, $layout, $offset, $params, $results, $return, $user, ContentHelperAssociation\displayAssociations(), elseif, ContentHelperRoute\getArticleRoute(), JEventDispatcher\getInstance(), htmlspecialchars, if, item, null, pageclass_sfx, et JError\raiseWarning().

◆ display() [2/2]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références $forcedLanguage, item, et null.

Documentation des champs

◆ $canDo

$canDo
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $params

$params
protected

◆ $print

$print
protected

◆ $state

$state
protected

◆ $user

$user
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/views/article/view.html.php


Joomla CMS: Référence de la classe ContentViewArticles

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe ContentViewArticles
+ Graphe d'héritage de ContentViewArticles:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$filterForm
$activeFilters

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$authors
$items
$pagination
$state
$sidebar

Description détaillée

View class for a list of articles.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $title, $user, elseif, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $forcedLanguage, ContentHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $authors

$authors
protected

◆ $filterForm

$filterForm

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/views/articles/view.html.php


Joomla CMS: Référence de la classe ContentViewCategories

Attributs protégés
Référence de la classe ContentViewCategories
+ Graphe d'héritage de ContentViewCategories:

Attributs protégés

$pageHeading = 'JGLOBAL_ARTICLES'
$extension = 'com_content'

Description détaillée

Content categories view.

Depuis
1.5

Documentation des champs

◆ $extension

$extension = 'com_content'
protected

◆ $pageHeading

$pageHeading = 'JGLOBAL_ARTICLES'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/views/categories/view.html.php


Joomla CMS: Référence de la classe ContentViewCategory

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContentViewCategory
+ Graphe d'héritage de ContentViewCategory:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

reconcileNames ($item)
prepareDocument ()

Attributs protégés

$viewName = 'article'
$lead_items = array()
$intro_items = array()
$link_items = array()
$columns = 1
$extension = 'com_content'
$defaultPageTitle = 'JGLOBAL_ARTICLES'

Description détaillée

HTML View class for the Content component

Depuis
1.5

Documentation des fonctions membres

◆ display()

integer Number of columns in a multi column display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
3.2
3.2
Obsolète:
4.0

Références $active, $app, $dispatcher, $i, $item, $params, $results, $title, category, elseif, Factory\getApplication(), JEventDispatcher\getInstance(), if, items, null, et ContentHelperQuery\orderDownColumns().

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document

Renvoie
void

Références $category, $id, $item, $menu, $path, category, ContentHelperRoute\getCategoryRoute(), if, et null.

◆ reconcileNames()

reconcileNames ( $item )
protected

Method to reconcile non standard names from components to usage in this class. Typically overridden in the component feed view class.

Paramètres
object $item The item for a feed, an element of the $items array.
Renvoie
void
Depuis
3.2

Références $app, $item, et $params.

Documentation des champs

◆ $columns

$columns = 1
protected

◆ $defaultPageTitle

$defaultPageTitle = 'JGLOBAL_ARTICLES'
protected

◆ $extension

$extension = 'com_content'
protected

◆ $intro_items

$intro_items = array()
protected

◆ $lead_items

$lead_items = array()
protected

◆ $link_items

$link_items = array()
protected

◆ $viewName

$viewName = 'article'
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • com_content/views/category/view.feed.php
  • components/com_content/views/category/view.html.php


Joomla CMS: Référence de la classe ContentViewFeatured

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe ContentViewFeatured
+ Graphe d'héritage de ContentViewFeatured:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)
display ($tpl=null)

Champs de données

$filterForm
$activeFilters

Fonctions membres protégées

addToolbar ()
getSortFields ()
_prepareDocument ()

Attributs protégés

$authors
$items = null
$pagination = null
$state = null
$sidebar
$item = null
$lead_items = array()
$intro_items = array()
$link_items = array()
$columns = 1
$db

Description détaillée

View class for a list of featured articles.

Depuis
1.6

Frontpage View class

Depuis
1.5

Documentation des fonctions membres

◆ _prepareDocument()

_prepareDocument ( )
protected

Prepares the document.

Renvoie
void

Références $app, $attribs, $link, $menu, $title, elseif, et null.

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $state, elseif, et title.

◆ display() [1/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $app, $description, $doc, $link, $params, $row, $rows, $title, ENT_COMPAT, ContentHelperRoute\getArticleRoute(), et getDocument.

◆ display() [2/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $dispatcher, $i, $item, $items, $limit, $params, $results, $state, $user, JEventDispatcher\getInstance(), htmlspecialchars, if, items, null, ContentHelperQuery\orderDownColumns(), pageclass_sfx, et JError\raiseWarning().

◆ display() [3/3]

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références ContentHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $authors

$authors
protected

◆ $columns

$columns = 1
protected
Obsolète:
4.0

◆ $db

$db
protected

◆ $filterForm

$filterForm

◆ $intro_items

$intro_items = array()
protected

◆ $item

$item = null
protected

◆ $items

$items = null
protected

◆ $lead_items

$lead_items = array()
protected

◆ $link_items

$link_items = array()
protected

◆ $pagination

$pagination = null
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state = null
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_content/views/featured/view.html.php
  • com_content/views/featured/view.feed.php


Joomla CMS: Référence de la classe ContentViewForm

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ContentViewForm
+ Graphe d'héritage de ContentViewForm:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

_prepareDocument ()

Attributs protégés

$form
$item
$return_page
$state
$captchaEnabled = false

Description détaillée

HTML Article View class for the Content component

Depuis
1.5

Documentation des fonctions membres

◆ _prepareDocument()

_prepareDocument ( )
protected

Prepares the document

Renvoie
void

Références $app, $menu, $title, elseif, et null.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $app, $authorised, $lang, $params, $tmp, $user, htmlspecialchars, item, pageclass_sfx, et JError\raiseWarning().

Documentation des champs

◆ $captchaEnabled

$captchaEnabled = false
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $return_page

$return_page
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/views/form/view.html.php


Joomla CMS: Référence de la classe CpanelController

Référence de la classe CpanelController
+ Graphe d'héritage de CpanelController:

Description détaillée

Cpanel Controller

Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_cpanel/controller.php


Joomla CMS: Référence de la classe CpanelViewCpanel

Fonctions membres publiques | Attributs protégés
Référence de la classe CpanelViewCpanel
+ Graphe d'héritage de CpanelViewCpanel:

Fonctions membres publiques

display ($tpl=null)

Attributs protégés

$modules = null

Description détaillée

HTML View class for the Cpanel component

Depuis
1.0

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $input, $messages, FOFModel\getTmpInstance(), et title.

Documentation des champs

◆ $modules

$modules = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_cpanel/views/cpanel/view.html.php


Joomla CMS: Référence de la classe Crypto

Fonctions membres publiques statiques | Champs de données | Fonctions membres privées statiques
Référence de la classe Crypto

Fonctions membres publiques statiques

static | CreateNewRandomKey ()
static | Encrypt ($plaintext, $key)
static | Decrypt ($ciphertext, $key)
static | RuntimeTest ()

Champs de données

const | CIPHER = MCRYPT_RIJNDAEL_128
const | KEY_BYTE_SIZE = 16
const | CIPHER_MODE = 'cbc'
const | HASH_FUNCTION = 'sha256'
const | MAC_BYTE_SIZE = 32
const | ENCRYPTION_INFO = 'DefusePHP|KeyForEncryption'
const | AUTHENTICATION_INFO = 'DefusePHP|KeyForAuthentication'

Fonctions membres privées statiques

static | PlainEncrypt ($plaintext, $key, $iv)
static | PlainDecrypt ($ciphertext, $key, $iv)
static | SecureRandom ($octets)
static | HKDF ($hash, $ikm, $length, $info='', $salt=NULL)
static | VerifyHMAC ($correct_hmac, $message, $key)
static | TestEncryptDecrypt ()
static | HKDFTestVector ()
static | HMACTestVector ()
static | AESTestVector ()
static | hexToBytes ($hex_string)
static | EnsureFunctionExists ($name)
static | our_strlen ($str)
static | our_substr ($str, $start, $length=NULL)

Documentation des fonctions membres

◆ AESTestVector()

static AESTestVector ( )
staticprivate

Références $key.

◆ CreateNewRandomKey()

static CreateNewRandomKey ( )
static

Références RuntimeTest().

Référencé par CryptoCipher\generateKey(), RuntimeTest(), et TestEncryptDecrypt().

◆ Decrypt()

static Decrypt | ( | $ciphertext,
 |  | $key
 | ) |
static

Références $key, et RuntimeTest().

Référencé par TestEncryptDecrypt().

◆ Encrypt()

static Encrypt | ( | $plaintext,
 |  | $key
 | ) |
static

Références $key, et RuntimeTest().

Référencé par TestEncryptDecrypt().

◆ EnsureFunctionExists()

static EnsureFunctionExists ( $name )
staticprivate

Références $name.

◆ hexToBytes()

static hexToBytes ( $hex_string )
staticprivate

◆ HKDF()

static HKDF | ( | $hash,
 |  | $ikm,
 |  | $length,
 |  | $info = '',
 |  | $salt = NULL
 | ) |
staticprivate

Références $hash, et $info.

◆ HKDFTestVector()

static HKDFTestVector ( )
staticprivate

Références $info.

◆ HMACTestVector()

static HMACTestVector ( )
staticprivate

Références $data, et $key.

◆ our_strlen()

static our_strlen ( $str )
staticprivate

◆ our_substr()

static our_substr | ( | $str,
 |  | $start,
 |  | $length = NULL
 | ) |
staticprivate

Références $start.

◆ PlainDecrypt()

static PlainDecrypt | ( | $ciphertext,
 |  | $key,
 |  | $iv
 | ) |
staticprivate

Références $key.

◆ PlainEncrypt()

static PlainEncrypt | ( | $plaintext,
 |  | $key,
 |  | $iv
 | ) |
staticprivate

Références $key.

◆ RuntimeTest()

static RuntimeTest ( )
static

Références CreateNewRandomKey().

Référencé par CreateNewRandomKey(), Decrypt(), et Encrypt().

◆ SecureRandom()

static SecureRandom ( $octets )
staticprivate

◆ TestEncryptDecrypt()

static TestEncryptDecrypt ( )
staticprivate

Références $data, $key, CreateNewRandomKey(), Decrypt(), et Encrypt().

◆ VerifyHMAC()

static VerifyHMAC | ( | $correct_hmac,
 |  | $message,
 |  | $key
 | ) |
staticprivate

Références $key, et $message.

Documentation des champs

◆ AUTHENTICATION_INFO

const AUTHENTICATION_INFO = 'DefusePHP|KeyForAuthentication'

◆ CIPHER

const CIPHER = MCRYPT_RIJNDAEL_128

◆ CIPHER_MODE

const CIPHER_MODE = 'cbc'

◆ ENCRYPTION_INFO

const ENCRYPTION_INFO = 'DefusePHP|KeyForEncryption'

◆ HASH_FUNCTION

const HASH_FUNCTION = 'sha256'

◆ KEY_BYTE_SIZE

const KEY_BYTE_SIZE = 16

◆ MAC_BYTE_SIZE

const MAC_BYTE_SIZE = 32
La documentation de cette classe a été générée à partir du fichier suivant :
  • php-encryption/Crypto.php


Joomla CMS: Référence de la classe CryptoExceptionHandler

Fonctions membres publiques | Attributs privés
Référence de la classe CryptoExceptionHandler

Fonctions membres publiques

__construct ()
handler ($ex)
__destruct ()

Attributs privés

$rethrow = NULL

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

◆ __destruct()

__destruct ( )

Références $rethrow.

Documentation des fonctions membres

◆ handler()

handler ( $ex )

Documentation des champs

◆ $rethrow

$rethrow = NULL
private

Référencé par __destruct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • php-encryption/Crypto.php


Joomla CMS: Référence de la classe CryptoTestFailedException

Référence de la classe CryptoTestFailedException
+ Graphe d'héritage de CryptoTestFailedException:
La documentation de cette classe a été générée à partir du fichier suivant :
  • php-encryption/Crypto.php


Joomla CMS: Référence de la classe DeletefilesCli

Fonctions membres publiques
Référence de la classe DeletefilesCli
+ Graphe d'héritage de DeletefilesCli:

Fonctions membres publiques

doExecute ()

Description détaillée

A command line cron job to attempt to remove files that should have been deleted at update.

Depuis
3.0

Documentation des fonctions membres

◆ doExecute()

doExecute ( )

Entry point for CLI script

Renvoie
void
Depuis
3.0

Références $class, jimport(), JPATH_ADMINISTRATOR, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • deletefiles.php


Joomla CMS: Référence de la classe easyparse

Fonctions membres publiques | Champs de données
Référence de la classe easyparse
+ Graphe d'héritage de easyparse:
tagparse

Fonctions membres publiques

__construct ($str)
seek ($where=null)
preg_quote ($what)
match ($regex, &$out, $eatWhitespace=true)
literal ($what, $eatWhitespace=true)

Champs de données

$buffer
$count

Description détaillée

lessify Convert a css file into a less file http://leafo.net/lessphp Copyright 2010, leaf corcoran leafo.nosp@m.t@gm.nosp@m.ail.c.nosp@m.om

WARNING: THIS DOES NOT WORK ANYMORE. NEEDS TO BE UPDATED FOR LATEST VERSION OF LESSPHP.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $str )

Documentation des fonctions membres

◆ literal()

literal | ( | $what,
 |  | $eatWhitespace = true
 | ) |

Références match(), et preg_quote().

Référencé par tagparse\string(), et tagparse\tag().

◆ match()

match | ( |  | $regex,
 |  | & | $out,
 |  |  | $eatWhitespace = true
 | ) |  |

Références $r, et null.

Référencé par tagparse\combinator(), tagparse\ident(), literal(), et tagparse\tag().

◆ preg_quote()

preg_quote ( $what )

Référencé par literal().

◆ seek()

seek ( $where = null )

Références $count, et null.

Référencé par tagparse\string(), et tagparse\tag().

Documentation des champs

◆ $buffer

$buffer

◆ $count

$count

Référencé par seek().

La documentation de cette classe a été générée à partir du fichier suivant :
  • lessify.inc.php


Joomla CMS: Référence de la classe EasyPeasyICS

Fonctions membres publiques | Attributs protégés
Référence de la classe EasyPeasyICS

Fonctions membres publiques

__construct ($calendarName="")
addEvent ($start, $end, $summary='', $description='', $url='', $uid='')
getEvents ()
clearEvents ()
getName ()
setName ($name)
render ($output=true)

Attributs protégés

$calendarName
$events = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $calendarName = "" )

Constructor

Paramètres
string $calendarName

Références $calendarName.

Documentation des fonctions membres

◆ addEvent()

addEvent | ( | $start,
 |  | $end,
 |  | $summary = '',
 |  | $description = '',
 |  | $url = '',
 |  | $uid = ''
 | ) |

Add an event to this calendar.

Paramètres
string | $start | The start date and time as a unix timestamp
string | $end | The end date and time as a unix timestamp
string | $summary | A summary or title for the event
string | $description | A description of the event
string | $url | A URL for the event
string | $uid | A unique identifier for the event - generated automatically if not provided
Renvoie
array An array of event details, including any generated UID

Références $description, $start, et $url.

◆ clearEvents()

clearEvents ( )

Clear all events.

◆ getEvents()

getEvents ( )
Renvoie
array Get the array of events.

Références $events.

◆ getName()

getName ( )

Get the name of the calendar.

Renvoie
string

Références $calendarName.

◆ render()

render ( $output = true )

Render and optionally output a vcal string.

Paramètres
bool $output Whether to output the calendar data directly (the default).
Renvoie
string The complete rendered vlal

Références $calendarName, et $output.

◆ setName()

setName ( $name )

Set the name of the calendar.

Paramètres
$name

Références $name.

Documentation des champs

◆ $calendarName

$calendarName
protected

Référencé par __construct(), getName(), et render().

◆ $events

$events = array()
protected

Référencé par getEvents().

La documentation de cette classe a été générée à partir du fichier suivant :
  • EasyPeasyICS.php


Joomla CMS: Référence de la classe En_GBLocalise

Fonctions membres publiques statiques
Référence de la classe En_GBLocalise

Fonctions membres publiques statiques

static | getPluralSuffixes ($count)
static | getIgnoredSearchWords ()
static | getLowerLimitSearchWord ()
static | getUpperLimitSearchWord ()
static | getSearchDisplayedCharactersNumber ()
static | getPluralSuffixes ($count)
static | getIgnoredSearchWords ()
static | getLowerLimitSearchWord ()
static | getUpperLimitSearchWord ()
static | getSearchDisplayedCharactersNumber ()

Description détaillée

en-GB localise class.

Depuis
1.6

Documentation des fonctions membres

◆ getIgnoredSearchWords() [1/2]

static getIgnoredSearchWords ( )
static

Returns the ignored search words

Renvoie
array An array of ignored search words.
Depuis
1.6

◆ getIgnoredSearchWords() [2/2]

static getIgnoredSearchWords ( )
static

Returns the ignored search words

Renvoie
array An array of ignored search words.
Depuis
1.6

◆ getLowerLimitSearchWord() [1/2]

static getLowerLimitSearchWord ( )
static

Returns the lower length limit of search words

Renvoie
integer The lower length limit of search words.
Depuis
1.6

◆ getLowerLimitSearchWord() [2/2]

static getLowerLimitSearchWord ( )
static

Returns the lower length limit of search words

Renvoie
integer The lower length limit of search words.
Depuis
1.6

◆ getPluralSuffixes() [1/2]

static getPluralSuffixes ( $count )
static

Returns the potential suffixes for a specific number of items

Paramètres
integer $count The number of items.
Renvoie
array An array of potential suffixes.
Depuis
1.6

Références $count, et elseif.

◆ getPluralSuffixes() [2/2]

static getPluralSuffixes ( $count )
static

Returns the potential suffixes for a specific number of items

Paramètres
integer $count The number of items.
Renvoie
array An array of potential suffixes.
Depuis
1.6

Références $count, et elseif.

◆ getSearchDisplayedCharactersNumber() [1/2]

static getSearchDisplayedCharactersNumber ( )
static

Returns the number of chars to display when searching

Renvoie
integer The number of chars to display when searching.
Depuis
1.6

◆ getSearchDisplayedCharactersNumber() [2/2]

static getSearchDisplayedCharactersNumber ( )
static

Returns the number of chars to display when searching

Renvoie
integer The number of chars to display when searching.
Depuis
1.6

◆ getUpperLimitSearchWord() [1/2]

static getUpperLimitSearchWord ( )
static

Returns the upper length limit of search words

Renvoie
integer The upper length limit of search words.
Depuis
1.6

◆ getUpperLimitSearchWord() [2/2]

static getUpperLimitSearchWord ( )
static

Returns the upper length limit of search words

Renvoie
integer The upper length limit of search words.
Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/language/en-GB/en-GB.localise.php


Joomla CMS: Référence de la classe FieldsController

Fonctions membres publiques | Attributs protégés
Référence de la classe FieldsController
+ Graphe d'héritage de FieldsController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
__construct ($config=array())

Attributs protégés

$default_view = 'fields'

Description détaillée

Fields Controller

Depuis
3.7.0

Base controller class for Fields Component.

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings. Recognized key values include 'name', 'default_task', 'model_path', and 'view_path' (this list is not meant to be comprehensive).
Depuis
3.7.0

Références $config, $lang, JPATH_ADMINISTRATOR, et JPATH_COMPONENT_ADMINISTRATOR.

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Typical view method for MVC based architecture

This function is provide as a default implementation, in most cases you will need to override it in your own controllers.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | bool | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean()
Renvoie
JControllerLegacy|boolean A JControllerLegacy object to support chaining.
Depuis
3.7.0

Références $id.

Documentation des champs

◆ $default_view

$default_view = 'fields'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/controller.php


Joomla CMS: Référence de la classe FieldsControllerField

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe FieldsControllerField
+ Graphe d'héritage de FieldsControllerField:

Fonctions membres publiques

__construct ($config=array())
batch ($model=null)

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='id')
getRedirectToItemAppend ($recordId=null, $urlVar='id')
getRedirectToListAppend ()
postSaveHook (JModelLegacy $model, $validData=array())

Attributs protégés

$text_prefix = 'COM_FIELDS_FIELD'

Attributs privés

$internalContext
$component

Description détaillée

The Field controller

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Class constructor.

Paramètres
array $config A named array of configuration variables.
Depuis
3.7.0

Références $config, $parts, FieldsHelper\extract(), et null.

Documentation des fonctions membres

◆ allowAdd()

allowAdd ( $data = array() )
protected

Method override to check if you can add a new record.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
3.7.0

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method override to check if you can edit an existing record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, $key, et $user.

◆ batch()

batch ( $model = null )

Method to run batch operations.

Paramètres
object $model The model.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
3.7.0

◆ getRedirectToItemAppend()

getRedirectToItemAppend | ( | $recordId = null,
 |  | $urlVar = 'id'
 | ) |
protected

Gets the URL arguments to append to an item redirect.

Paramètres
integer | $recordId | The primary key id for the item.
string | $urlVar | The name of the URL variable for the id.
Renvoie
string The arguments to append to the redirect URL.
Depuis
3.7.0

◆ getRedirectToListAppend()

getRedirectToListAppend ( )
protected

Gets the URL arguments to append to a list redirect.

Renvoie
string The arguments to append to the redirect URL.
Depuis
3.7.0

◆ postSaveHook()

postSaveHook | ( | JModelLegacy | $model,
 |  |  | $validData = array()
 | ) |  |
protected

Function that allows child controller access to model data after the data has been saved.

Paramètres
JModelLegacy | $model | The data model object.
array | $validData | The validated data.
Renvoie
void
Depuis
3.7.0

Références $item, et Registry\loadArray().

Documentation des champs

◆ $component

$component
private

◆ $internalContext

$internalContext
private

◆ $text_prefix

$text_prefix = 'COM_FIELDS_FIELD'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/controllers/field.php


Joomla CMS: Référence de la classe FieldsControllerFields

Fonctions membres publiques | Attributs protégés
Référence de la classe FieldsControllerFields
+ Graphe d'héritage de FieldsControllerFields:

Fonctions membres publiques

getModel ($name='Field', $prefix='FieldsModel', $config=array('ignore_request'=> true))

Attributs protégés

$text_prefix = 'COM_FIELDS_FIELD'

Description détaillée

Fields list controller class.

Depuis
3.7.0

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Field',
 |  | $prefix = 'FieldsModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | The array of possible config values. Optional.
Renvoie
FieldsModelField|boolean
Depuis
3.7.0

Références $config, $name, et $prefix.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_FIELDS_FIELD'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/controllers/fields.php


Joomla CMS: Référence de la classe FieldsControllerGroup

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe FieldsControllerGroup
+ Graphe d'héritage de FieldsControllerGroup:

Fonctions membres publiques

__construct ($config=array())
batch ($model=null)

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='parent_id')
postSaveHook (JModelLegacy $model, $validData=array())

Attributs protégés

$text_prefix = 'COM_FIELDS_GROUP'

Attributs privés

$component = ''

Description détaillée

The Group controller

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Class constructor.

Paramètres
array $config A named array of configuration variables.
Depuis
3.7.0

Références $config, $parts, et FieldsHelper\extract().

Documentation des fonctions membres

◆ allowAdd()

allowAdd ( $data = array() )
protected

Method override to check if you can add a new record.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
3.7.0

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'parent_id'
 | ) |
protected

Method override to check if you can edit an existing record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
3.7.0

Références $data, $key, et $user.

◆ batch()

batch ( $model = null )

Method to run batch operations.

Paramètres
object $model The model.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
3.7.0

◆ postSaveHook()

postSaveHook | ( | JModelLegacy | $model,
 |  |  | $validData = array()
 | ) |  |
protected

Function that allows child controller access to model data after the data has been saved.

Paramètres
JModelLegacy | $model | The data model object.
array | $validData | The validated data.
Renvoie
void
Depuis
3.7.0

Références $item, et Registry\loadArray().

Documentation des champs

◆ $component

$component = ''
private

◆ $text_prefix

$text_prefix = 'COM_FIELDS_GROUP'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/controllers/group.php


Joomla CMS: Référence de la classe FieldsControllerGroups

Fonctions membres publiques | Attributs protégés
Référence de la classe FieldsControllerGroups
+ Graphe d'héritage de FieldsControllerGroups:

Fonctions membres publiques

getModel ($name='Group', $prefix='FieldsModel', $config=array('ignore_request'=> true))

Attributs protégés

$text_prefix = 'COM_FIELDS_GROUP'

Description détaillée

Groups list controller class.

Depuis
3.7.0

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Group',
 |  | $prefix = 'FieldsModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | The array of possible config values. Optional.
Renvoie
JModelLegacy|boolean Model object on success; otherwise false on failure.
Depuis
3.7.0

Références $config, $name, et $prefix.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_FIELDS_GROUP'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/controllers/groups.php


Joomla CMS: Référence de la classe FieldsHelper

Fonctions membres publiques statiques | Attributs privés statiques
Référence de la classe FieldsHelper

Fonctions membres publiques statiques

static | extract ($contextString, $item=null)
static | getFields ($context, $item=null, $prepareValue=false, array $valuesToOverride=null)
static | render ($context, $layoutFile, $displayData)
static | canEditFieldValue ($field)
static | displayFieldOnForm ($field)
static | getAssignedCategoriesTitles ($fieldId)
static | getFieldsPluginId ()
static | addSubmenu ($context, $vName)
static | getFieldTypes ()
static | clearFieldsCache ()

Attributs privés statiques

static | $fieldsCache = null
static | $fieldCache = null

Description détaillée

FieldsHelper

Depuis
3.7.0

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu | ( | $context,
 |  | $vName
 | ) |
static

Configure the Linkbar.

Paramètres
string | $context | The context the fields are used for
string | $vName | The view currently active
Renvoie
void
Depuis
3.7.0

Références $component, $context, $file, $lang, $parts, et JPATH_ADMINISTRATOR.

Référencé par FieldsViewFields\display(), et FieldsViewGroups\display().

◆ canEditFieldValue()

static canEditFieldValue ( $field )
static

Return a boolean if the actual logged in user can edit the given field value.

Paramètres
stdClass $field The field
Renvoie
boolean
Depuis
3.7.0

Références $field, et $parts.

Référencé par PlgFieldsRepeatable\onCustomFieldsPrepareDom(), FieldsPlugin\onCustomFieldsPrepareDom(), et FieldsModelField\setFieldValue().

◆ clearFieldsCache()

static clearFieldsCache ( )
static

Clears the internal cache for the custom fields.

Renvoie
void
Depuis
3.8.0

Références null.

Référencé par FieldsModelField\save(), et FieldsModelField\setFieldValue().

◆ displayFieldOnForm()

static displayFieldOnForm ( $field )
static

Return a boolean based on field (and field group) display / show_on settings

Paramètres
stdClass $field The field
Renvoie
boolean
Depuis
3.8.7

Références $app, $field, et elseif.

Référencé par FieldsPlugin\onCustomFieldsPrepareDom().

◆ extract()

static extract | ( | $contextString,
 |  | $item = null
 | ) |
static

Extracts the component and section from the context string which has to be in the format component.context.

Paramètres
string | $contextString | contextString
object | $item | optional item object
Renvoie
array|null
Depuis
3.7.0

Références $component, $item, $parts, $path, $section, JPATH_ADMINISTRATOR, null, et JLoader\register().

Référencé par FieldsControllerField\__construct(), FieldsControllerGroup\__construct(), FieldsViewGroup\addToolbar(), FieldsViewGroups\addToolbar(), FieldsModelField\canDelete(), FieldsModelField\canEditState(), PrivacyPlugin\createCustomFieldsDomain(), FieldsViewGroup\display(), PlgSystemFields\display(), FieldsModelField\getForm(), FieldsModelFields\getListQuery(), PlgSystemFields\onContentAfterDelete(), PlgSystemFields\onContentAfterSave(), PlgSystemFields\onContentNormaliseRequestData(), PlgSystemFields\onContentPrepare(), PlgSystemFields\onContentPrepareForm(), PlgButtonFields\onDisplay(), FieldsModelFields\populateState(), FieldsModelField\populateState(), PlgContentFields\prepare(), et FieldsModelGroup\preprocessForm().

◆ getAssignedCategoriesTitles()

static getAssignedCategoriesTitles ( $fieldId )
static

Gets assigned categories titles for a field

Paramètres
stdClass[] $fieldId The field ID
Renvoie
array Array with the assigned categories
Depuis
3.7.0

Références $db, et $query.

◆ getFields()

static getFields | ( |  | $context,
 |  |  | $item = null,
 |  |  | $prepareValue = false,
 |  | array | $valuesToOverride = null
 | ) |  |
static

Returns the fields for the given context. If the item is an object the returned fields do have an additional field "value" which represents the value for the given item. If the item has an assigned_cat_ids field, then additionally fields which belong to that category will be returned. Should the value being prepared to be shown in an HTML context then prepareValue must be set to true. No further escaping needs to be done. The values of the fields can be overridden by an associative array where the keys have to be a name and its corresponding value.

Paramètres
string | $context | The context of the content passed to the helper
stdClass | $item | item
int | bool | $prepareValue | (if int is display event): 1 - AfterTitle, 2 - BeforeDisplay, 3 - AfterDisplay, 0 - OFF
array | $valuesToOverride | The values to override
Renvoie
array
Depuis
3.7.0

Références $context, $dispatcher, $field, $fields, $fieldValues, $item, $key, $value, elseif, JEventDispatcher\getInstance(), JPATH_ADMINISTRATOR, et null.

Référencé par ContactControllerContact\_sendEmail(), ContentModelArticle\batchMove(), ContentModelArticle\cleanupPostBatchCopy(), PrivacyPlugin\createCustomFieldsDomain(), PlgSystemFields\display(), PlgSystemFields\onContentAfterSave(), PlgSystemFields\onContentPrepare(), PlgButtonFields\onDisplay(), PlgSystemFields\onPrepareFinderContent(), et PlgContentFields\prepare().

◆ getFieldsPluginId()

static getFieldsPluginId ( )
static

Gets the fields system plugin extension id.

Renvoie
integer The fields system plugin extension id.
Depuis
3.7.0

Références $db, $query, et JError\raiseWarning().

Référencé par FieldsViewFields\display(), et FieldsViewGroups\display().

◆ getFieldTypes()

static getFieldTypes ( )
static

Loads the fields plugins and returns an array of field types from the plugins.

The returned array contains arrays with the following keys:

  • label: The label of the field
  • type: The type of the field
  • path: The path of the folder where the field can be found
Renvoie
array
Depuis
3.7.0

Références $data, $fields, JEventDispatcher\getInstance(), et null.

Référencé par FieldsModelField\checkDefaultValue(), et JFormFieldType\getOptions().

◆ render()

static render | ( | $context,
 |  | $layoutFile,
 |  | $displayData
 | ) |
static

Renders the layout file and data on the context and does a fall back to Fields afterwards.

Paramètres
string | $context | The context of the content passed to the helper
string | $layoutFile | layoutFile
array | $displayData | displayData
Renvoie
NULL|string
Depuis
3.7.0

Références $context, $displayData, $parts, $value, et null.

Référencé par ContactControllerContact\_sendEmail(), PlgSystemFields\display(), et PlgContentFields\prepare().

Documentation des champs

◆ $fieldCache

$fieldCache = null
staticprivate

◆ $fieldsCache

$fieldsCache = null
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/helpers/fields.php


Joomla CMS: Référence de la classe FieldsListPlugin

Fonctions membres publiques
Référence de la classe FieldsListPlugin
+ Graphe d'héritage de FieldsListPlugin:
FieldsPlugin PlgFieldsCheckboxes PlgFieldsList PlgFieldsRadio PlgFieldsSql

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
getOptionsFromField ($field)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Base plugin for all list based plugins

Depuis
3.7.0

Documentation des fonctions membres

◆ getOptionsFromField()

getOptionsFromField ( $field )

Returns an array of key values to put in a list from the given field.

Paramètres
stdClass $field The field.
Renvoie
array
Depuis
3.7.0

Références $data, $field, $option, et $params.

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, $form, $name, $option, $value, ENT_COMPAT, et htmlspecialchars.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fieldslistplugin.php


Joomla CMS: Référence de la classe FieldsModelField

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe FieldsModelField
+ Graphe d'héritage de FieldsModelField:

Fonctions membres publiques

__construct ($config=array())
save ($data)
getItem ($pk=null)
getTable ($name='Field', $prefix='FieldsTable', $options=array())
delete (&$pks)
getForm ($data=array(), $loadData=true)
setFieldValue ($fieldId, $itemId, $value)
getFieldValue ($fieldId, $itemId)
getFieldValues (array $fieldIds, $itemId)
cleanupValues ($context, $itemId)
validate ($form, $data, $group=null)

Champs de données

$typeAlias = null

Fonctions membres protégées

generateNewTitle ($categoryId, $name, $title)
canDelete ($record)
canEditState ($record)
populateState ()
getReorderConditions ($table)
loadFormData ()
preprocessForm (JForm $form, $data, $group='content')
cleanCache ($group=null, $clientId=0)
batchCopy ($value, $pks, $contexts)
batchMove ($value, $pks, $contexts)

Attributs protégés

$text_prefix = 'COM_FIELDS'
$batch_copymove = 'group_id'
$batch_commands

Fonctions membres privées

checkDefaultValue ($data)
getParams ($params)

Attributs privés

$valueCache = array()

Description détaillée

Field Model

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JModelLegacy
Depuis
3.7.0

Références $config.

Documentation des fonctions membres

◆ batchCopy()

batchCopy | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch copy fields to a new group.

Paramètres
integer | $value | The new value matching a fields group.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
array|boolean new IDs if successful, false otherwise and internal error is set.
Depuis
3.7.0

Références $component, $user, et $value.

◆ batchMove()

batchMove | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch move fields to a new group.

Paramètres
integer | $value | The new value matching a fields group.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
3.7.0

Références $context, $user, et $value.

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission for the component.
Depuis
3.7.0

Références $parts, et FieldsHelper\extract().

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission for the component.
Depuis
3.7.0

Références $parts, $user, et FieldsHelper\extract().

◆ checkDefaultValue()

checkDefaultValue ( $data )
private

Checks if the default value is valid for the given data. If a string is returned then it can be assumed that the default value is invalid.

Paramètres
array $data The data.
Renvoie
true|string true if valid, a string containing the exception message when not.
Depuis
3.7.0

Références $data, $path, $type, FieldsHelper\getFieldTypes(), et JEventDispatcher\getInstance().

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Clean the cache

Paramètres
string | $group | The cache group
integer | $clientId | The ID of the client
Renvoie
void
Depuis
3.7.0

Références $context.

◆ cleanupValues()

cleanupValues | ( | $context,
 |  | $itemId
 | ) |

Cleaning up the values for the given item on the context.

Paramètres
string | $context | The context.
string | $itemId | The Item ID.
Renvoie
void
Depuis
3.7.0

Références $context, $itemId, et $query.

◆ delete()

delete ( & $pks )

Method to delete one or more records.

Paramètres
array $pks An array of record primary keys.
Renvoie
boolean True if successful, false if an error occurs.
Depuis
3.7.0

Références $query.

◆ generateNewTitle()

generateNewTitle | ( | $categoryId,
 |  | $name,
 |  | $title
 | ) |
protected

Method to change the title & name.

Paramètres
integer | $categoryId | The id of the category.
string | $name | The name.
string | $title | The title.
Renvoie
array Contains the modified title and name.
Depuis
3.7.0

Références $name, et $title.

◆ getFieldValue()

getFieldValue | ( | $fieldId,
 |  | $itemId
 | ) |

Returning the value for the given field id, context and item id.

Paramètres
string | $fieldId | The field ID.
string | $itemId | The ID of the item.
Renvoie
NULL|string
Depuis
3.7.0

Références $itemId, et null.

◆ getFieldValues()

getFieldValues | ( | array | $fieldIds,
 |  |  | $itemId
 | ) |  |

Returning the values for the given field ids, context and item id.

Paramètres
array | $fieldIds | The field Ids.
string | $itemId | The ID of the item.
Renvoie
NULL|array
Depuis
3.7.0

Références $data, $itemId, $key, $query, $row, et $rows.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Abstract method for getting the form from the model.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
3.7.0

Références $context, $data, $form, $jinput, $parts, et FieldsHelper\extract().

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
3.7.0

Références $db, $query, Registry\loadString(), et null.

◆ getParams()

getParams ( $params )
private

Converts the unknown params into an object.

Paramètres
mixed $params The params.
Renvoie
stdClass Object on success, false on failure.
Depuis
3.7.0

Références $params.

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
JTable $table A JTable object.
Renvoie
array An array of conditions to add to ordering queries.
Depuis
3.7.0

◆ getTable()

getTable | ( | $name = 'Field',
 |  | $prefix = 'FieldsTable',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.7.0
Exceptions
Exception

Références $name, $options, $prefix, et JPATH_ADMINISTRATOR.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
array The default data is an empty array.
Depuis
3.7.0

Références $app, $data, $filters, et null.

◆ populateState()

populateState ( )
protected

Stock method to auto-populate the model state.

Renvoie
void
Depuis
3.7.0

Références $app, $context, $params, $parts, FieldsHelper\extract(), et null.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to allow derived classes to preprocess the form.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Voir également
JFormField
Depuis
3.7.0
Exceptions
Exception if there is an error in the form event.

Références $component, $data, $form, $key, $lang, $path, $section, JPATH_ADMINISTRATOR, JPATH_BASE, et null.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success, False on error.
Depuis
3.7.0

Références $data, $db, $field, $id, $input, $message, $name, $names, $param, $query, $title, FieldsHelper\clearFieldsCache(), et null.

◆ setFieldValue()

setFieldValue | ( | $fieldId,
 |  | $itemId,
 |  | $value
 | ) |

Setting the value for the given field id, context and item id.

Paramètres
string | $fieldId | The field ID.
string | $itemId | The ID of the item.
string | $value | The value.
Renvoie
boolean
Depuis
3.7.0

Références $field, $itemId, $params, $query, $value, FieldsHelper\canEditFieldValue(), FieldsHelper\clearFieldsCache(), elseif, et null.

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.9.23

Références $data, $form, et validate().

Documentation des champs

◆ $batch_commands

$batch_commands
protected
Valeur initiale :
= array(
'assetgroup_id' => 'batchAccess',
'language_id' => 'batchLanguage'
)

◆ $batch_copymove

$batch_copymove = 'group_id'
protected

◆ $text_prefix

$text_prefix = 'COM_FIELDS'
protected

◆ $typeAlias

$typeAlias = null

◆ $valueCache

$valueCache = array()
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/models/field.php


Joomla CMS: Référence de la classe FieldsModelFields

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FieldsModelFields
+ Graphe d'héritage de FieldsModelFields:

Fonctions membres publiques

__construct ($config=array())
getFilterForm ($data=array(), $loadData=true)
getGroups ()

Fonctions membres protégées

populateState ($ordering=null, $direction=null)
getStoreId ($id='')
getListQuery ()
_getList ($query, $limitstart=0, $limit=0)

Description détaillée

Fields Model

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JModelLegacy
Depuis
3.7.0

Références $config.

Documentation des fonctions membres

◆ _getList()

_getList | ( | $query,
 |  | $limitstart = 0,
 |  | $limit = 0
 | ) |
protected

Gets an array of objects from the results of database query.

Paramètres
string | $query | The query.
integer | $limitstart | Offset.
integer | $limit | The number of records.
Renvoie
array An array of results.
Depuis
3.7.0
Exceptions
RuntimeException

Références $field, $limit, et $query.

◆ getFilterForm()

getFilterForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Get the filter form

Paramètres
array | $data | data
boolean | $loadData | load current data
Renvoie
JForm|false the JForm object or false
Depuis
3.7.0

Références $data, $form, et null.

◆ getGroups()

getGroups ( )

Get the groups for the batch method

Renvoie
array An array of groups
Depuis
3.7.0

Références $db, $query, et $user.

◆ getListQuery()

getListQuery ( )
protected

Method to get a JDatabaseQuery object for retrieving the data set from a database.

Renvoie
JDatabaseQuery A JDatabaseQuery object to retrieve the data set.
Depuis
3.7.0

Références $app, $context, $db, $groups, $key, $language, $parts, $query, $state, $user, elseif, et FieldsHelper\extract().

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on the model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id An identifier string to generate the store id.
Renvoie
string A store id.
Depuis
3.7.0

Références $id.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.7.0

Références $context, $parts, et FieldsHelper\extract().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/models/fields.php


Joomla CMS: Référence de la classe FieldsModelGroup

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FieldsModelGroup
+ Graphe d'héritage de FieldsModelGroup:

Fonctions membres publiques

save ($data)
getTable ($name='Group', $prefix='FieldsTable', $options=array())
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
getItem ($pk=null)

Champs de données

$typeAlias = null

Fonctions membres protégées

canDelete ($record)
canEditState ($record)
populateState ()
getReorderConditions ($table)
preprocessForm (JForm $form, $data, $group='content')
loadFormData ()
cleanCache ($group=null, $clientId=0)

Attributs protégés

$batch_commands

Description détaillée

Group Model

Depuis
3.7.0

Documentation des fonctions membres

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission for the component.
Depuis
3.7.0

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission for the component.
Depuis
3.7.0

Références $user.

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Clean the cache

Paramètres
string | $group | The cache group
integer | $clientId | The ID of the client
Renvoie
void
Depuis
3.7.0

Références $context.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Abstract method for getting the form from the model.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
3.7.0

Références $context, $data, $form, et $jinput.

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
3.7.0

Références $item.

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
JTable $table A JTable object.
Renvoie
array An array of conditions to add to ordering queries.
Depuis
3.7.0

◆ getTable()

getTable | ( | $name = 'Group',
 |  | $prefix = 'FieldsTable',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.7.0
Exceptions
Exception

Références $name, $options, $prefix, et JPATH_ADMINISTRATOR.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
array The default data is an empty array.
Depuis
3.7.0

Références $app, $context, $data, $filters, et null.

◆ populateState()

populateState ( )
protected

Auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
3.7.0

Références $context.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to preprocess the form.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Voir également
JFormField
Depuis
3.7.0
Exceptions
Exception if there is an error in the form event.

Références $component, $data, $form, $lang, $parts, $path, $section, FieldsHelper\extract(), JPATH_ADMINISTRATOR, JPATH_BASE, et null.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success, False on error.
Depuis
3.7.0

Références $data, et $input.

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.9.23

Références $data, $form, et validate().

Documentation des champs

◆ $batch_commands

$batch_commands
protected
Valeur initiale :
= array(
'assetgroup_id' => 'batchAccess',
'language_id' => 'batchLanguage'
)

◆ $typeAlias

$typeAlias = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/models/group.php


Joomla CMS: Référence de la classe FieldsModelGroups

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FieldsModelGroups
+ Graphe d'héritage de FieldsModelGroups:

Fonctions membres publiques

__construct ($config=array())

Fonctions membres protégées

populateState ($ordering=null, $direction=null)
getStoreId ($id='')
getListQuery ()
_getList ($query, $limitstart=0, $limit=0)

Attributs protégés

$context = 'com_fields.groups'

Description détaillée

Groups Model

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JModelLegacy
Depuis
3.7.0

Références $config.

Documentation des fonctions membres

◆ _getList()

_getList | ( | $query,
 |  | $limitstart = 0,
 |  | $limit = 0
 | ) |
protected

Gets an array of objects from the results of database query.

Paramètres
string | $query | The query.
integer | $limitstart | Offset.
integer | $limit | The number of records.
Renvoie
array An array of results.
Depuis
3.8.7
Exceptions
RuntimeException

Références $limit, et $query.

◆ getListQuery()

getListQuery ( )
protected

Method to get a JDatabaseQuery object for retrieving the data set from a database.

Renvoie
JDatabaseQuery A JDatabaseQuery object to retrieve the data set.
Depuis
3.7.0

Références $context, $db, $groups, $key, $language, $listDirn, $query, $state, $user, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on the model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id An identifier string to generate the store id.
Renvoie
string A store id.
Depuis
3.7.0

Références $id.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.7.0

Références $context.

Documentation des champs

◆ $context

$context = 'com_fields.groups'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/models/groups.php


Joomla CMS: Référence de la classe FieldsPlugin

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FieldsPlugin
+ Graphe d'héritage de FieldsPlugin:
FieldsListPlugin PlgFieldsCalendar PlgFieldsColor PlgFieldsEditor PlgFieldsImagelist PlgFieldsInteger PlgFieldsMedia PlgFieldsRepeatable PlgFieldsText PlgFieldsTextarea PlgFieldsUrl PlgFieldsUser PlgFieldsUsergrouplist

Fonctions membres publiques

onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Fonctions membres protégées

isTypeSupported ($type)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Abstract Fields Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ isTypeSupported()

isTypeSupported ( $type )
protected

Returns true if the given type is supported by the plugin.

Paramètres
string $type The type
Renvoie
boolean
Depuis
3.7.0

Références $type.

◆ onContentPrepareForm()

onContentPrepareForm | ( | JForm | $form,
 |  |  | $data
 | ) |  |

The form event. Load additional parameters when available into the field form. Only when the type of the form is of interest.

Paramètres
JForm | $form | The form
stdClass | $data | The data
Renvoie
void
Depuis
3.7.0

Références $data, $form, $path, $type, et JPATH_PLUGINS.

◆ onCustomFieldsGetTypes()

onCustomFieldsGetTypes ( )

Returns the custom fields types.

Renvoie
string[][]
Depuis
3.7.0

Références $data, $key, $layout, $path, $root, et JPATH_PLUGINS.

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, $key, $param, $params, FieldsHelper\canEditFieldValue(), FieldsHelper\displayFieldOnForm(), et null.

◆ onCustomFieldsPrepareField()

onCustomFieldsPrepareField | ( | $context,
 |  | $item,
 |  | $field
 | ) |

Prepares the field value.

Paramètres
string | $context | The context.
stdclass | $item | The item.
stdclass | $field | The field.
Renvoie
string
Depuis
3.7.0

Références $field, $output, $params, et $path.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fieldsplugin.php


Joomla CMS: Référence de la classe FieldsTableField

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées
Référence de la classe FieldsTableField
+ Graphe d'héritage de FieldsTableField:

Fonctions membres publiques

__construct ($db=null)
bind ($src, $ignore='')
check ()

Fonctions membres protégées

_getAssetName ()
_getAssetTitle ()
_getAssetParentId (JTable $table=null, $id=null)

Fonctions membres privées

getAssetId ($name)

Description détaillée

Fields Table

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db = null )

Class constructor.

Paramètres
JDatabaseDriver $db JDatabaseDriver object.
Depuis
3.7.0

Références $db.

Documentation des fonctions membres

◆ _getAssetName()

_getAssetName ( )
protected

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Renvoie
string
Depuis
3.7.0

◆ _getAssetParentId()

_getAssetParentId | ( | JTable | $table = null,
 |  |  | $id = null
 | ) |  |
protected

Method to get the parent asset under which to register this one. By default, all assets are registered to the ROOT node with ID, which will default to 1 if none exists. The extended class can define a table and id to lookup. If the asset does not exist it will be created.

Paramètres
JTable | $table | A JTable object for the asset parent.
integer | $id | Id to look up
Renvoie
integer
Depuis
3.7.0

Références $assetId, $component, et $id.

◆ _getAssetTitle()

_getAssetTitle ( )
protected

Method to return the title to use for the asset table. In tracking the assets a title is kept for each asset so that there is some context available in a unified access manager. Usually this would just return $this->title or $this->name or whatever is being used for the primary name of the row. If this method is not overridden, the asset name is used.

Renvoie
string The string to use as the title in the asset table.

3.7.0

Références $title.

◆ bind()

bind | ( | $src,
 |  | $ignore = ''
 | ) |

Method to bind an associative array or object to the JTable instance.This method only binds properties that are publicly accessible and optionally takes an array of properties to ignore when binding.

Paramètres
mixed | $src | An associative array or object to bind to the JTable instance.
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
boolean True on success.
Depuis
3.7.0
Exceptions
InvalidArgumentException

Références Registry\loadArray().

◆ check()

check ( )

Method to perform sanity checks on the JTable instance properties to ensure they are safe to store in the database. Child classes should override this method to make sure the data they are storing in the database is safe and as expected before storage.

Renvoie
boolean True if the instance is sane and able to be stored in the database.

3.7.0

Références $date, $title, $user, language, name, et title.

◆ getAssetId()

getAssetId ( $name )
private

Returns an asset id for the given name or false.

Paramètres
string $name The asset name
Renvoie
number|boolean
Depuis
3.7.0

Références $assetId, $db, $name, $query, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/tables/field.php


Joomla CMS: Référence de la classe FieldsTableGroup

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FieldsTableGroup
+ Graphe d'héritage de FieldsTableGroup:

Fonctions membres publiques

__construct ($db=null)
bind ($src, $ignore='')
check ()

Fonctions membres protégées

_getAssetName ()
_getAssetTitle ()
_getAssetParentId (JTable $table=null, $id=null)

Description détaillée

Groups Table

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db = null )

Class constructor.

Paramètres
JDatabaseDriver $db JDatabaseDriver object.
Depuis
3.7.0

Références $db.

Documentation des fonctions membres

◆ _getAssetName()

_getAssetName ( )
protected

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Renvoie
string
Depuis
3.7.0

Références $component.

◆ _getAssetParentId()

_getAssetParentId | ( | JTable | $table = null,
 |  |  | $id = null
 | ) |  |
protected

Method to get the parent asset under which to register this one. By default, all assets are registered to the ROOT node with ID, which will default to 1 if none exists. The extended class can define a table and id to lookup. If the asset does not exist it will be created.

Paramètres
JTable | $table | A JTable object for the asset parent.
integer | $id | Id to look up
Renvoie
integer
Depuis
3.7.0

Références $assetId, $component, $db, $id, et $query.

◆ _getAssetTitle()

_getAssetTitle ( )
protected

Method to return the title to use for the asset table. In tracking the assets a title is kept for each asset so that there is some context available in a unified access manager. Usually this would just return $this->title or $this->name or whatever is being used for the primary name of the row. If this method is not overridden, the asset name is used.

Renvoie
string The string to use as the title in the asset table.

3.7.0

Références $title.

◆ bind()

bind | ( | $src,
 |  | $ignore = ''
 | ) |

Method to bind an associative array or object to the JTable instance.This method only binds properties that are publicly accessible and optionally takes an array of properties to ignore when binding.

Paramètres
mixed | $src | An associative array or object to bind to the JTable instance.
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
boolean True on success.
Depuis
3.7.0
Exceptions
InvalidArgumentException

Références Registry\loadArray().

◆ check()

check ( )

Method to perform sanity checks on the JTable instance properties to ensure they are safe to store in the database. Child classes should override this method to make sure the data they are storing in the database is safe and as expected before storage.

Renvoie
boolean True if the instance is sane and able to be stored in the database.

3.7.0

Références $date, $user, et title.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/tables/group.php


Joomla CMS: Référence de la classe FieldsViewField

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FieldsViewField
+ Graphe d'héritage de FieldsViewField:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state

Description détaillée

Field View

Depuis
3.7.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Adds the toolbar.

Renvoie
void
Depuis
3.7.0

Références $component, $lang, $section, $title, $userId, elseif, item, JPATH_ADMINISTRATOR, et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.7.0

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/views/field/view.html.php


Joomla CMS: Référence de la classe FieldsViewFields

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FieldsViewFields
+ Graphe d'héritage de FieldsViewFields:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$filterForm
$activeFilters

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state
$sidebar

Description détaillée

Fields View

Depuis
3.7.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Adds the toolbar.

Renvoie
void
Depuis
3.7.0

Références $component, $lang, $layout, $section, $title, elseif, JPATH_ADMINISTRATOR, et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.7.0

Références $link, FieldsHelper\addSubmenu(), FieldsHelper\getFieldsPluginId(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns the sort fields.

Renvoie
array
Depuis
3.7.0

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $filterForm

$filterForm

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/views/fields/view.html.php


Joomla CMS: Référence de la classe FieldsViewGroup

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FieldsViewGroup
+ Graphe d'héritage de FieldsViewGroup:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state
$canDo

Description détaillée

Group View

Depuis
3.7.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Adds the toolbar.

Renvoie
void
Depuis
3.7.0

Références $component, $lang, $parts, $title, $userId, elseif, FieldsHelper\extract(), item, JPATH_ADMINISTRATOR, et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.7.0

Références $component, $parts, FieldsHelper\extract(), et item.

Documentation des champs

◆ $canDo

$canDo
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/views/group/view.html.php


Joomla CMS: Référence de la classe FieldsViewGroups

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FieldsViewGroups
+ Graphe d'héritage de FieldsViewGroups:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$filterForm
$activeFilters

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state
$sidebar

Description détaillée

Groups View

Depuis
3.7.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Adds the toolbar.

Renvoie
void
Depuis
3.7.0

Références $component, $lang, $layout, $parts, $title, elseif, FieldsHelper\extract(), JPATH_ADMINISTRATOR, et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.7.0

Références $link, FieldsHelper\addSubmenu(), FieldsHelper\getFieldsPluginId(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns the sort fields.

Renvoie
array
Depuis
3.7.0

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $filterForm

$filterForm

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/views/groups/view.html.php


Joomla CMS: Référence de la classe FinderCli

Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe FinderCli
+ Graphe d'héritage de FinderCli:

Fonctions membres publiques

doExecute ()

Fonctions membres privées

index ()
purge ()
putFilters ()
getFilters ()

Attributs privés

$time
$qtime
$filters = array()
$pause = 'division'
$divisor = 5
$minimumBatchProcessingTime = 1

Description détaillée

A command line cron job to run the Smart Search indexer.

Depuis
2.5

Documentation des fonctions membres

◆ doExecute()

doExecute ( )

Entry point for Smart Search CLI script

Renvoie
void
Depuis
2.5

Références getFilters(), index(), purge(), et putFilters().

◆ getFilters()

getFilters ( )
private

Save static filters.

Since a purge/index cycle will cause all the taxonomy ids to change, the static filters need to be updated with the new taxonomy ids. The static filter information is saved prior to the purge/index so that it can later be used to update the filters with new ids.

Renvoie
void
Depuis
3.3

Références $db, $filter, $filters, et $query.

Référencé par doExecute().

◆ index()

index ( )
private

Run the indexer.

Renvoie
void
Depuis
2.5

Références $config, $i, $minimumBatchProcessingTime, $pause, $state, elseif, JEventDispatcher\getInstance(), FinderIndexer\getState(), JPATH_ADMINISTRATOR, JLoader\register(), et FinderIndexer\resetState().

Référencé par doExecute().

◆ purge()

purge ( )
private

Purge the index.

Renvoie
void
Depuis
3.3

Références $message, $return, et JPATH_COMPONENT_ADMINISTRATOR.

Référencé par doExecute().

◆ putFilters()

putFilters ( )
private

Restore static filters.

Using the saved filter information, update the filter records with the new taxonomy ids.

Renvoie
void
Depuis
3.3

Références $db, $filter, et $query.

Référencé par doExecute().

Documentation des champs

◆ $divisor

$divisor = 5
private

◆ $filters

$filters = array()
private

Référencé par getFilters().

◆ $minimumBatchProcessingTime

$minimumBatchProcessingTime = 1
private

Référencé par index().

◆ $pause

$pause = 'division'
private

Référencé par index().

◆ $qtime

$qtime
private

◆ $time

$time
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • finder_indexer.php


Joomla CMS: Référence de la classe FinderController

Fonctions membres publiques | Attributs protégés
Référence de la classe FinderController
+ Graphe d'héritage de FinderController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())
display ($cachable=false, $urlparams=array())

Attributs protégés

$default_view = 'index'

Description détaillée

Base controller class for Finder.

Depuis
2.5

Finder Component Controller.

Depuis
2.5

Documentation des fonctions membres

◆ display() [1/2]

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached. [optional]
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean(). [optional]
Renvoie
JControllerLegacy This object is to support chaining.
Depuis
2.5

Références $input, FinderHelperLanguage\loadPluginLanguage(), et null.

◆ display() [2/2]

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
FinderController A JControllerLegacy object to support chaining.
Depuis
2.5

Références $layout, $view, JPATH_ADMINISTRATOR, null, et JLoader\register().

Documentation des champs

◆ $default_view

$default_view = 'index'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/controller.php


Joomla CMS: Référence de la classe FinderControllerFilter

Fonctions membres publiques
Référence de la classe FinderControllerFilter
+ Graphe d'héritage de FinderControllerFilter:

Fonctions membres publiques

save ($key=null, $urlVar=null)

Description détaillée

Indexer controller class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ save()

save | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to save a record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if successful, false otherwise.
Depuis
2.5

Références $app, $context, $data, $form, $i, $input, $key, $n, $task, null, et option.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/controllers/filter.php


Joomla CMS: Référence de la classe FinderControllerFilters

Fonctions membres publiques
Référence de la classe FinderControllerFilters
+ Graphe d'héritage de FinderControllerFilters:

Fonctions membres publiques

getModel ($name='Filter', $prefix='FinderModel', $config=array('ignore_request'=> true))

Description détaillée

Filters controller class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Filter',
 |  | $prefix = 'FinderModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy The model.
Depuis
2.5

Références $config, $name, et $prefix.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/controllers/filters.php


Joomla CMS: Référence de la classe FinderControllerIndex

Fonctions membres publiques
Référence de la classe FinderControllerIndex
+ Graphe d'héritage de FinderControllerIndex:

Fonctions membres publiques

getModel ($name='Index', $prefix='FinderModel', $config=array('ignore_request'=> true))
purge ()

Description détaillée

Index controller class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Index',
 |  | $prefix = 'FinderModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy The model.
Depuis
2.5

Références $config, $name, et $prefix.

◆ purge()

purge ( )

Method to purge all indexed links from the database.

Renvoie
boolean True on success.
Depuis
2.5

Références $message, et $return.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/controllers/index.php


Joomla CMS: Référence de la classe FinderControllerIndexer

Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe FinderControllerIndexer
+ Graphe d'héritage de FinderControllerIndexer:

Fonctions membres publiques

start ()
batch ()
optimize ()

Fonctions membres publiques statiques

static sendResponse ($data=null)

Description détaillée

Indexer controller class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ batch()

batch ( )

Method to run the next batch of content through the indexer.

Renvoie
void
Depuis
2.5

Références $app, $attributes, $doc, $html, $lang, $options, $params, $state, getDocument, JEventDispatcher\getInstance(), FinderIndexer\getState(), et FinderIndexer\setState().

◆ optimize()

optimize ( )

Method to optimize the index and perform any necessary cleanup.

Renvoie
void
Depuis
2.5

Références $app, $state, FinderIndexer\getInstance(), et FinderIndexer\getState().

◆ sendResponse()

static sendResponse ( $data = null )
static

Method to handle a send a JSON response. The body parameter can be an Exception object for when an error has occurred or a JObject for a good response.

Paramètres
mixed $data JObject on success, Exception on error. [optional]
Renvoie
void
Depuis
2.5

Références $app, $data, $options, $params, JDEBUG, et json_encode.

◆ start()

start ( )

Method to start the indexer.

Renvoie
void
Depuis
2.5

Références $app, $options, $params, $state, JEventDispatcher\getInstance(), FinderIndexer\getState(), et FinderIndexer\resetState().

La documentation de cette classe a été générée à partir du fichier suivant :
  • indexer.json.php


Joomla CMS: Référence de la classe FinderControllerMaps

Fonctions membres publiques
Référence de la classe FinderControllerMaps
+ Graphe d'héritage de FinderControllerMaps:

Fonctions membres publiques

getModel ($name='Maps', $prefix='FinderModel', $config=array('ignore_request'=> true))

Description détaillée

Maps controller class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Maps',
 |  | $prefix = 'FinderModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy The model.
Depuis
1.6

Références $config, $name, et $prefix.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/controllers/maps.php


Joomla CMS: Référence de la classe FinderControllerSuggestions

Fonctions membres protégées
Référence de la classe FinderControllerSuggestions
+ Graphe d'héritage de FinderControllerSuggestions:

Fonctions membres protégées

getSuggestions ()

Description détaillée

Suggestions JSON controller for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ getSuggestions()

getSuggestions ( )
protected

Method to retrieve the data from the database

Renvoie
array The suggested words
Depuis
3.4

Références $params, et $return.

La documentation de cette classe a été générée à partir du fichier suivant :
  • suggestions.json.php


Joomla CMS: Référence de la classe FinderHelper

Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe FinderHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getFinderPluginId ()
static | getActions ()

Attributs publics statiques

static $extension = 'com_finder'

Description détaillée

Helper class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
2.5

Références JHtmlSidebar\addEntry().

Référencé par FinderViewFilters\display(), FinderViewMaps\display(), et FinderViewIndex\display().

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject A JObject containing the allowed actions.
Depuis
2.5
Obsolète:
3.2 Use JHelperContent::getActions() instead

◆ getFinderPluginId()

static getFinderPluginId ( )
static

Gets the finder system plugin extension id.

Renvoie
integer The finder system plugin extension id.
Depuis
3.6.0

Références $db, $query, et JError\raiseWarning().

Référencé par FinderViewIndex\display().

Documentation des champs

◆ $extension

$extension = 'com_finder'
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/finder.php


Joomla CMS: Référence de la classe FinderHelperLanguage

Fonctions membres publiques statiques
Référence de la classe FinderHelperLanguage

Fonctions membres publiques statiques

static | branchPlural ($branchName)
static | branchSingular ($branchName)
static | branchLanguageTitle ($branchName)
static | loadComponentLanguage ()
static | loadPluginLanguage ()

Description détaillée

Finder language helper class.

Depuis
2.5

Documentation des fonctions membres

◆ branchLanguageTitle()

static branchLanguageTitle ( $branchName )
static

Method to return the language name for a language taxonomy branch.

Paramètres
string $branchName Language branch name.
Renvoie
string The language title.
Depuis
3.6.0

Références $title.

Référencé par JFormFieldContentMap\getGroups(), JHtmlFilter\select(), et JHtmlFilter\slider().

◆ branchPlural()

static branchPlural ( $branchName )
static

Method to return a plural language code for a taxonomy branch.

Paramètres
string $branchName Branch title.
Renvoie
string Language key code.
Depuis
2.5

Références $return.

Référencé par JHtmlQuery\explained(), JHtmlFinder\mapslist(), JHtmlFilter\select(), JHtmlFilter\slider(), et JHtmlFinder\typeslist().

◆ branchSingular()

static branchSingular ( $branchName )
static

Method to return a singular language code for a taxonomy branch.

Paramètres
string $branchName Branch name.
Renvoie
string Language key code.
Depuis
2.5

Références $return.

Référencé par JHtmlQuery\explained(), JFormFieldContentMap\getGroups(), JFormFieldContentTypes\getOptions(), FinderIndexerQuery\processString(), JHtmlFilter\select(), et JHtmlFilter\slider().

◆ loadComponentLanguage()

static loadComponentLanguage ( )
static

Method to load Smart Search component language file.

Renvoie
void
Depuis
2.5

Références JPATH_SITE.

◆ loadPluginLanguage()

static loadPluginLanguage ( )
static

Method to load Smart Search plugin language files.

Renvoie
void
Depuis
2.5

Références $db, $lang, $query, JPATH_ADMINISTRATOR, et JPATH_PLUGINS.

Référencé par FinderController\display(), FinderViewMaps\display(), FinderViewIndex\display(), et JHtmlFilter\slider().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/language.php


Joomla CMS: Référence de la classe FinderHelperRoute

Fonctions membres publiques statiques
Référence de la classe FinderHelperRoute

Fonctions membres publiques statiques

static | getSearchRoute ($f=null, $q=null)
static | getAdvancedRoute ($f=null, $q=null)
static | getItemid ($query)

Description détaillée

Finder route helper class.

Depuis
2.5

Documentation des fonctions membres

◆ getAdvancedRoute()

static getAdvancedRoute | ( | $f = null,
 |  | $q = null
 | ) |
static

Method to get the route for an advanced search page.

Paramètres
integer | $f | The search filter id. [optional]
string | $q | The search query string. [optional]
Renvoie
string The advanced search route.
Depuis
2.5

Références $item, $query, $uri, et null.

◆ getItemid()

static getItemid ( $query )
static

Method to get the most appropriate menu item for the route based on the supplied query needles.

Paramètres
array $query An array of URL parameters.
Renvoie
mixed An integer on success, null otherwise.
Depuis
2.5

Références $active, $app, $item, $items, $menu, $query, et null.

Référencé par FinderIndexerQuery\toUri().

◆ getSearchRoute()

static getSearchRoute | ( | $f = null,
 |  | $q = null
 | ) |
static

Method to get the route for a search page.

Paramètres
integer | $f | The search filter id. [optional]
string | $q | The search query string. [optional]
Renvoie
string The search route.
Depuis
2.5

Références $item, $query, $uri, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_finder/helpers/route.php


Joomla CMS: Référence de la classe FinderIndexer

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs publics statiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés | Fonctions membres privées
Référence de la classe FinderIndexer
+ Graphe d'héritage de FinderIndexer:
FinderIndexerDriverMysql FinderIndexerDriverPostgresql FinderIndexerDriverSqlsrv

Fonctions membres publiques

__construct ()
index ($item, $format='html')
remove ($linkId)
optimize ()

Fonctions membres publiques statiques

static | getInstance ()
static | getState ()
static | setState ($data)
static | resetState ()

Champs de données

const | TITLE_CONTEXT = 1
const | TEXT_CONTEXT = 2
const | META_CONTEXT = 3
const | PATH_CONTEXT = 4
const | MISC_CONTEXT = 5

Attributs publics statiques

static | $state
static | $profiler

Fonctions membres protégées

tokenizeToDb ($input, $context, $lang, $format)
addTokensToDb ($tokens, $context='')
toggleTables ($memory)

Fonctions membres protégées statiques

static getSignature ($item)

Attributs protégés

$db
$addTokensToDbQueryTemplate

Fonctions membres privées

tokenizeToDbShort ($input, $context, $lang, $format, $count)

Description détaillée

Main indexer class for the Finder indexer package.

The indexer class provides the core functionality of the Finder search engine. It is responsible for adding and updating the content links table; extracting and scoring tokens; and maintaining all referential information for the content.

Note: All exceptions thrown from within this class should be caught by the controller.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

FinderIndexer constructor.

Depuis
3.8.0

Set up query template for addTokensToDb, we will be cloning this template when needed. This is about twice as fast as calling the clear function or setting up a new object.

Références $db.

Documentation des fonctions membres

◆ addTokensToDb()

addTokensToDb | ( | $tokens,
 |  | $context = ''
 | ) |
protected

Method to add a set of tokens to the database.

Paramètres
mixed | $tokens | An array or single FinderIndexerToken object.
mixed | $context | The context of the tokens. See context constants. [optional]
Renvoie
integer The number of tokens inserted into the database.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, $db, $query, et $state.

◆ getInstance()

static getInstance ( )
static

Returns a reference to the FinderIndexer object.

Renvoie
FinderIndexer instance based on the database driver
Depuis
3.0
Exceptions
RuntimeException if driver class for indexer not present.

Références $class, $path, et JLoader\register().

Référencé par FinderIndexerAdapter\__construct(), et FinderControllerIndexer\optimize().

◆ getSignature()

static getSignature ( $item )
staticprotected

Method to get a content item's signature.

Paramètres
object $item The content item to index.
Renvoie
string The content item's signature.
Depuis
2.5

Références $config, $item, et $state.

◆ getState()

static getState ( )
static

Method to get the indexer state.

Renvoie
object The indexer state object.
Depuis
2.5

Références $data, $state, FinderIndexerHelper\$stemmer, FinderIndexerStemmer\getInstance(), et null.

Référencé par FinderControllerIndexer\batch(), FinderCli\index(), FinderIndexerAdapter\onBeforeIndex(), FinderIndexerAdapter\onBuildIndex(), FinderIndexerAdapter\onStartIndex(), FinderControllerIndexer\optimize(), et FinderControllerIndexer\start().

◆ index()

index | ( | $item,
 |  | $format = 'html'
 | ) |
abstract

Method to index a content item.

Paramètres
FinderIndexerResult | $item | The content item to index.
string | $format | The format of the content. [optional]
Renvoie
integer The ID of the record in the links table.
Depuis
2.5
Exceptions
Exception on database error.

◆ optimize()

optimize ( )
abstract

Method to optimize the index. We use this method to remove unused terms and any other optimizations that might be necessary.

Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

◆ remove()

remove ( $linkId )

Method to remove a link from the index.

Paramètres
integer $linkId The id of the link.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $i, $query, FinderIndexerTaxonomy\removeMaps(), et FinderIndexerTaxonomy\removeOrphanNodes().

◆ resetState()

static resetState ( )
static

Method to reset the indexer state.

Renvoie
void
Depuis
2.5

Références $state, et null.

Référencé par FinderCli\index(), et FinderControllerIndexer\start().

◆ setState()

static setState ( $data )
static

Method to set the indexer state.

Paramètres
object $data A new indexer state object.
Renvoie
boolean True on success, false on failure.
Depuis
2.5

Références $data, et $state.

Référencé par FinderControllerIndexer\batch(), FinderIndexerAdapter\onBuildIndex(), et FinderIndexerAdapter\onStartIndex().

◆ toggleTables()

toggleTables ( $memory )
protected

Method to switch the token tables from Memory tables to Disk tables when they are close to running out of memory. Since this is not supported/implemented in all DB-drivers, the default is a stub method, which simply returns true.

Paramètres
boolean $memory Flag to control how they should be toggled.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

◆ tokenizeToDb()

tokenizeToDb | ( | $input,
 |  | $context,
 |  | $lang,
 |  | $format
 | ) |
protected

Method to parse input, tokenize it, and then add it to the database.

Paramètres
mixed | $input | String or resource to use as input. A resource input will automatically be chunked to conserve memory. Strings will be chunked if longer than 2K in size.
integer | $context | The context of the input. See context constants.
string | $lang | The language of the input.
string | $format | The format of the input.
Renvoie
integer The number of tokens extracted from the input.
Depuis
2.5

Références $buffer, $context, $count, $format, $input, $lang, et null.

◆ tokenizeToDbShort()

tokenizeToDbShort | ( | $input,
 |  | $context,
 |  | $lang,
 |  | $format,
 |  | $count
 | ) |
private

Method to parse input, tokenise it, then add the tokens to the database.

Paramètres
string | $input | String to parse, tokenise and add to database.
integer | $context | The context of the input. See context constants.
string | $lang | The language of the input.
string | $format | The format of the input.
integer | $count | The number of tokens processed so far.
Renvoie
integer Cumulative number of tokens extracted from the input so far.
Depuis
3.7.0

Références $context, $count, $format, $input, $lang, $state, FinderIndexerHelper\parse(), et FinderIndexerHelper\tokenize().

Documentation des champs

◆ $addTokensToDbQueryTemplate

$addTokensToDbQueryTemplate
protected

◆ $db

$db
protected

◆ $profiler

$profiler
static

◆ $state

$state
static

◆ META_CONTEXT

const META_CONTEXT = 3

Référencé par PlgFinderTags\index(), PlgFinderCategories\index(), PlgFinderContent\index(), PlgFinderNewsfeeds\index(), et PlgFinderContacts\index().

◆ MISC_CONTEXT

const MISC_CONTEXT = 5

◆ PATH_CONTEXT

const PATH_CONTEXT = 4

◆ TEXT_CONTEXT

const TEXT_CONTEXT = 2

Référencé par PlgSystemFields\onPrepareFinderContent().

◆ TITLE_CONTEXT

const TITLE_CONTEXT = 1
La documentation de cette classe a été générée à partir du fichier suivant :
  • helpers/indexer/indexer.php


Joomla CMS: Référence de la classe FinderIndexerAdapter

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderIndexerAdapter
+ Graphe d'héritage de FinderIndexerAdapter:
PlgFinderCategories PlgFinderContacts PlgFinderContent PlgFinderNewsfeeds PlgFinderTags

Fonctions membres publiques

__construct (&$subject, $config)
onStartIndex ()
onBeforeIndex ()
onBuildIndex ()

Fonctions membres protégées

change ($id, $property, $value)
index (FinderIndexerResult $item)
reindex ($id)
remove ($id)
setup ()
categoryAccessChange ($row)
categoryStateChange ($pks, $value)
checkCategoryAccess ($row)
checkItemAccess ($row)
getContentCount ()
getItem ($id)
getItems ($offset, $limit, $query=null)
getListQuery ($query=null)
getPluginType ($id)
getStateQuery ()
getUpdateQueryByTime ($time)
getUpdateQueryByIds ($ids)
getTypeId ()
getUrl ($id, $extension, $view)
getItemMenuTitle ($url)
itemAccessChange ($row)
itemStateChange ($pks, $value)
pluginDisable ($pks)
translateState ($item, $category=null)

Attributs protégés

$context
$extension
$layout
$mime
$old_access
$old_cataccess
$type_title
$type_id
$db
$table
$indexer
$state_field = 'state'

Description détaillée

Prototype adapter class for the Finder indexer package.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Method to instantiate the indexer adapter.

Paramètres
object | $subject | The object to observe.
array | $config | An array that holds the plugin configuration.
Depuis
2.5

Références $config, $subject, FinderIndexerHelper\addContentType(), et FinderIndexer\getInstance().

Documentation des fonctions membres

◆ categoryAccessChange()

categoryAccessChange ( $row )
protected

Method to update index data on category access level changes

Paramètres
JTable $row A JTable object
Renvoie
void
Depuis
2.5

Références $item, $items, $query, et $row.

◆ categoryStateChange()

categoryStateChange | ( | $pks,
 |  | $value
 | ) |
protected

Method to update index data on category access level changes

Paramètres
array | $pks | A list of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $item, $items, $query, et $value.

◆ change()

change | ( | $id,
 |  | $property,
 |  | $value
 | ) |
protected

Method to change the value of a content item's property in the links table. This is used to synchronize published and access states that are changed when not editing an item directly.

Paramètres
string | $id | The ID of the item to change.
string | $property | The property that is being changed.
integer | $value | The new value of that property.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $id, $item, $query, $value, et extension.

◆ checkCategoryAccess()

checkCategoryAccess ( $row )
protected

Method to check the existing access level for categories

Paramètres
JTable $row A JTable object
Renvoie
void
Depuis
2.5

Références $query, et $row.

◆ checkItemAccess()

checkItemAccess ( $row )
protected

Method to check the existing access level for items

Paramètres
JTable $row A JTable object
Renvoie
void
Depuis
2.5

Références $query, et $row.

◆ getContentCount()

getContentCount ( )
protected

Method to get the number of content items available to index.

Renvoie
integer The number of content items available to index.
Depuis
2.5
Exceptions
Exception on database error.

Références $query, et $return.

◆ getItem()

getItem ( $id )
protected

Method to get a content item to index.

Paramètres
integer $id The id of the content item.
Renvoie
FinderIndexerResult A FinderIndexerResult object.
Depuis
2.5
Exceptions
Exception on database error.

Références $id, $item, $layout, $query, et $row.

◆ getItemMenuTitle()

getItemMenuTitle ( $url )
protected

Method to get the page title of any menu item that is linked to the content item, if it exists and is set.

Paramètres
string $url The URL of the item.
Renvoie
mixed The title on success, null if not found.
Depuis
2.5
Exceptions
Exception on database error.

Références $groups, $params, $query, $return, $url, $user, et null.

◆ getItems()

getItems | ( | $offset,
 |  | $limit,
 |  | $query = null
 | ) |
protected

Method to get a list of content items to index.

Paramètres
integer | $offset | The list offset.
integer | $limit | The list limit.
JDatabaseQuery | $query | A JDatabaseQuery object. [optional]
Renvoie
array An array of FinderIndexerResult objects.
Depuis
2.5
Exceptions
Exception on database error.

Références $item, $items, $layout, $limit, $mime, $offset, $query, $row, et $rows.

◆ getListQuery()

getListQuery ( $query = null )
protected

Method to get the SQL query used to retrieve the list of content items.

Paramètres
mixed $query A JDatabaseQuery object. [optional]
Renvoie
JDatabaseQuery A database object.
Depuis
2.5

Références $query.

◆ getPluginType()

getPluginType ( $id )
protected

Method to get the plugin type

Paramètres
integer $id The plugin ID
Renvoie
string The plugin type
Depuis
2.5

Références $id, et $query.

◆ getStateQuery()

getStateQuery ( )
protected

Method to get a SQL query to load the published and access states for an article and category.

Renvoie
JDatabaseQuery A database object.
Depuis
2.5

Références $query.

◆ getTypeId()

getTypeId ( )
protected

Method to get the type id for the adapter content.

Renvoie
integer The numeric type id for the content.
Depuis
2.5
Exceptions
Exception on database error.

Références $query.

◆ getUpdateQueryByIds()

getUpdateQueryByIds ( $ids )
protected

Method to get the query clause for getting items to update by id.

Paramètres
array $ids The ids to load.
Renvoie
JDatabaseQuery A database object.
Depuis
2.5

Références $query.

◆ getUpdateQueryByTime()

getUpdateQueryByTime ( $time )
protected

Method to get the query clause for getting items to update by time.

Paramètres
string $time The modified timestamp.
Renvoie
JDatabaseQuery A database object.
Depuis
2.5

Références $query.

◆ getUrl()

getUrl | ( | $id,
 |  | $extension,
 |  | $view
 | ) |
protected

Method to get the URL for the item. The URL is how we look up the link in the Finder index.

Paramètres
integer | $id | The id of the item.
string | $extension | The extension the category is in.
string | $view | The view for the URL.
Renvoie
string The URL of the item.
Depuis
2.5

Références $extension, $id, et $view.

◆ index()

index ( FinderIndexerResult $item )
abstractprotected

Method to index an item.

Paramètres
FinderIndexerResult $item The item to index as a FinderIndexerResult object.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

◆ itemAccessChange()

itemAccessChange ( $row )
protected

Method to update index data on access level changes

Paramètres
JTable $row A JTable object
Renvoie
void
Depuis
2.5

Références $item, $query, et $row.

◆ itemStateChange()

itemStateChange | ( | $pks,
 |  | $value
 | ) |
protected

Method to update index data on published state changes

Paramètres
array | $pks | A list of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $item, $query, et $value.

◆ onBeforeIndex()

onBeforeIndex ( )

Method to prepare for the indexer to be run. This method will often be used to include dependencies and things of that nature.

Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on error.

Références $context, et FinderIndexer\getState().

◆ onBuildIndex()

onBuildIndex ( )

Method to index a batch of content items. This method can be called by the indexer many times throughout the indexing process depending on how much content is available for indexing. It is important to track the progress correctly so we can display it to the user.

Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on error.

Références $context, $i, $items, $limit, $n, $offset, FinderIndexer\getState(), et FinderIndexer\setState().

◆ onStartIndex()

onStartIndex ( )

Method to get the adapter state and push it into the indexer.

Renvoie
void
Depuis
2.5
Exceptions
Exception on error.

Références $context, $total, FinderIndexer\getState(), et FinderIndexer\setState().

◆ pluginDisable()

pluginDisable ( $pks )
protected

Method to update index data when a plugin is disabled

Paramètres
array $pks A list of primary key ids of the content that has changed state.
Renvoie
void
Depuis
2.5

Références $item, $items, et $query.

◆ reindex()

reindex ( $id )
protected

Method to reindex an item.

Paramètres
integer $id The ID of the item to reindex.
Renvoie
void
Depuis
2.5
Exceptions
Exception on database error.

Références $id, et $item.

◆ remove()

remove ( $id )
protected

Method to remove an item from the index.

Paramètres
string $id The ID of the item to remove.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $id, $item, $items, $query, $url, et extension.

◆ setup()

setup ( )
abstractprotected

Method to setup the adapter before indexing.

Renvoie
boolean True on success, false on failure.
Depuis
2.5
Exceptions
Exception on database error.

◆ translateState()

translateState | ( | $item,
 |  | $category = null
 | ) |
protected

Method to translate the native content states into states that the indexer can use.

Paramètres
integer | $item | The item state.
integer | $category | The category state. [optional]
Renvoie
integer The translated indexer state.
Depuis
2.5

Références $category, $item, et null.

Documentation des champs

◆ $context

$context
protected

◆ $db

$db
protected

◆ $extension

$extension
protected

◆ $indexer

$indexer
protected

◆ $layout

$layout
protected

◆ $mime

$mime
protected

◆ $old_access

$old_access
protected

◆ $old_cataccess

$old_cataccess
protected

◆ $state_field

$state_field = 'state'
protected

◆ $table

$table
protected

◆ $type_id

$type_id
protected

◆ $type_title

$type_title
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • adapter.php


Joomla CMS: Référence de la classe FinderIndexerDriverMysql

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FinderIndexerDriverMysql
+ Graphe d'héritage de FinderIndexerDriverMysql:
FinderIndexer

Fonctions membres publiques

index ($item, $format='html')
optimize ()
- Fonctions membres publiques hérités de FinderIndexer
__construct ()
index ($item, $format='html')
remove ($linkId)
optimize ()

Fonctions membres protégées

toggleTables ($memory)
- Fonctions membres protégées hérités de FinderIndexer
tokenizeToDb ($input, $context, $lang, $format)
addTokensToDb ($tokens, $context='')
toggleTables ($memory)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FinderIndexer
static | getInstance ()
static | getState ()
static | setState ($data)
static | resetState ()
- Champs de données hérités de FinderIndexer
const | TITLE_CONTEXT = 1
const | TEXT_CONTEXT = 2
const | META_CONTEXT = 3
const | PATH_CONTEXT = 4
const | MISC_CONTEXT = 5
- Attributs publics statiques hérités de FinderIndexer
static | $state
static | $profiler
- Fonctions membres protégées statiques hérités de FinderIndexer
static | getSignature ($item)
- Attributs protégés hérités de FinderIndexer
$db
$addTokensToDbQueryTemplate

Description détaillée

Indexer class supporting MySQL(i) for the Finder indexer package.

The indexer class provides the core functionality of the Finder search engine. It is responsible for adding and updating the content links table; extracting and scoring tokens; and maintaining all referential information for the content.

Note: All exceptions thrown from within this class should be caught by the controller.

Depuis
3.0

Documentation des fonctions membres

◆ index()

index | ( | $item,
 |  | $format = 'html'
 | ) |

Method to index a content item.

Paramètres
FinderIndexerResult | $item | The content item to index.
string | $format | The format of the content. [optional]
Renvoie
integer The ID of the record in the links table.
Depuis
3.0
Exceptions
Exception on database error.

Références $context, $count, $db, $format, $i, $item, $link, $query, $state, $suffix, FinderIndexerTaxonomy\addMap(), FinderIndexerTaxonomy\addNode(), null, FinderIndexerHelper\parse(), FinderIndexerTaxonomy\removeMaps(), et true.

◆ optimize()

optimize ( )

Method to optimize the index. We use this method to remove unused terms and any other optimizations that might be necessary.

Renvoie
boolean True on success.
Depuis
3.0
Exceptions
Exception on database error.

Références $db, $i, $query, et FinderIndexerTaxonomy\removeOrphanNodes().

◆ toggleTables()

toggleTables ( $memory )
protected

Method to switch the token tables from Memory tables to MyISAM tables when they are close to running out of memory.

Paramètres
boolean $memory Flag to control how they should be toggled.
Renvoie
boolean True on success.
Depuis
3.0
Exceptions
Exception on database error.

Références $db, $state, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/indexer/driver/mysql.php


Joomla CMS: Référence de la classe FinderIndexerDriverPostgresql

Fonctions membres publiques
Référence de la classe FinderIndexerDriverPostgresql
+ Graphe d'héritage de FinderIndexerDriverPostgresql:
FinderIndexer

Fonctions membres publiques

index ($item, $format='html')
optimize ()
- Fonctions membres publiques hérités de FinderIndexer
__construct ()
index ($item, $format='html')
remove ($linkId)
optimize ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FinderIndexer
static | getInstance ()
static | getState ()
static | setState ($data)
static | resetState ()
- Champs de données hérités de FinderIndexer
const | TITLE_CONTEXT = 1
const | TEXT_CONTEXT = 2
const | META_CONTEXT = 3
const | PATH_CONTEXT = 4
const | MISC_CONTEXT = 5
- Attributs publics statiques hérités de FinderIndexer
static | $state
static | $profiler
- Fonctions membres protégées hérités de FinderIndexer
tokenizeToDb ($input, $context, $lang, $format)
addTokensToDb ($tokens, $context='')
toggleTables ($memory)
- Fonctions membres protégées statiques hérités de FinderIndexer
static | getSignature ($item)
- Attributs protégés hérités de FinderIndexer
$db
$addTokensToDbQueryTemplate

Description détaillée

Indexer class supporting PostgreSQL for the Finder indexer package.

Depuis
3.0

Documentation des fonctions membres

◆ index()

index | ( | $item,
 |  | $format = 'html'
 | ) |

Method to index a content item.

Paramètres
FinderIndexerResult | $item | The content item to index.
string | $format | The format of the content. [optional]
Renvoie
integer The ID of the record in the links table.
Depuis
3.0
Exceptions
Exception on database error.

Références $context, $count, $db, $format, $i, $item, $link, $query, $state, $suffix, FinderIndexerTaxonomy\addMap(), FinderIndexerTaxonomy\addNode(), null, FinderIndexerHelper\parse(), FinderIndexerTaxonomy\removeMaps(), et true.

◆ optimize()

optimize ( )

Method to optimize the index. We use this method to remove unused terms and any other optimizations that might be necessary.

Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $i, $query, et FinderIndexerTaxonomy\removeOrphanNodes().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/indexer/driver/postgresql.php


Joomla CMS: Référence de la classe FinderIndexerDriverSqlsrv

Fonctions membres publiques
Référence de la classe FinderIndexerDriverSqlsrv
+ Graphe d'héritage de FinderIndexerDriverSqlsrv:
FinderIndexer

Fonctions membres publiques

index ($item, $format='html')
remove ($linkId)
optimize ()
- Fonctions membres publiques hérités de FinderIndexer
__construct ()
index ($item, $format='html')
remove ($linkId)
optimize ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FinderIndexer
static | getInstance ()
static | getState ()
static | setState ($data)
static | resetState ()
- Champs de données hérités de FinderIndexer
const | TITLE_CONTEXT = 1
const | TEXT_CONTEXT = 2
const | META_CONTEXT = 3
const | PATH_CONTEXT = 4
const | MISC_CONTEXT = 5
- Attributs publics statiques hérités de FinderIndexer
static | $state
static | $profiler
- Fonctions membres protégées hérités de FinderIndexer
tokenizeToDb ($input, $context, $lang, $format)
addTokensToDb ($tokens, $context='')
toggleTables ($memory)
- Fonctions membres protégées statiques hérités de FinderIndexer
static | getSignature ($item)
- Attributs protégés hérités de FinderIndexer
$db
$addTokensToDbQueryTemplate

Description détaillée

Indexer class supporting SQL Server for the Finder indexer package.

The indexer class provides the core functionality of the Finder search engine. It is responsible for adding and updating the content links table; extracting and scoring tokens; and maintaining all referential information for the content.

Note: All exceptions thrown from within this class should be caught by the controller.

Depuis
3.1

Documentation des fonctions membres

◆ index()

index | ( | $item,
 |  | $format = 'html'
 | ) |

Method to index a content item.

Paramètres
FinderIndexerResult | $item | The content item to index.
string | $format | The format of the content. [optional]
Renvoie
integer The ID of the record in the links table.
Depuis
3.1
Exceptions
Exception on database error.

Références $context, $count, $db, $format, $i, $item, $link, $query, $state, $suffix, FinderIndexerTaxonomy\addMap(), FinderIndexerTaxonomy\addNode(), null, FinderIndexerHelper\parse(), FinderIndexerTaxonomy\removeMaps(), et true.

◆ optimize()

optimize ( )

Method to optimize the index. We use this method to remove unused terms and any other optimizations that might be necessary.

Renvoie
boolean True on success.
Depuis
3.1
Exceptions
Exception on database error.

Références $db, $query, et FinderIndexerTaxonomy\removeOrphanNodes().

◆ remove()

remove ( $linkId )

Method to remove a link from the index.

Paramètres
integer $linkId The id of the link.
Renvoie
boolean True on success.
Depuis
3.1
Exceptions
Exception on database error.

Références $db, $i, $query, FinderIndexerTaxonomy\removeMaps(), et FinderIndexerTaxonomy\removeOrphanNodes().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/indexer/driver/sqlsrv.php


Joomla CMS: Référence de la classe FinderIndexerHelper

Fonctions membres publiques statiques | Attributs publics statiques | Attributs protégés statiques
Référence de la classe FinderIndexerHelper

Fonctions membres publiques statiques

static | parse ($input, $format='html')
static | tokenize ($input, $lang, $phrase=false)
static | stem ($token, $lang)
static | addContentType ($title, $mime=null)
static | isCommon ($token, $lang)
static | getCommonWords ($lang)
static | getDefaultLanguage ()
static | getPrimaryLanguage ($lang)
static | getContentPath ($url)
static | getContentExtras (FinderIndexerResult $item)
static | prepareContent ($text, $params=null, FinderIndexerResult $item=null)

Attributs publics statiques

static $stemmer

Attributs protégés statiques

static $stemmerOK

Description détaillée

Helper class for the Finder indexer package.

Depuis
2.5

Documentation des fonctions membres

◆ addContentType()

static addContentType | ( | $title,
 |  | $mime = null
 | ) |
static

Method to add a content type to the database.

Paramètres
string | $title | The type of content. For example: PDF
string | $mime | The mime type of the content. For example: PDF [optional]
Renvoie
integer The id of the content type.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $mime, $query, et $title.

Référencé par FinderIndexerAdapter\__construct().

◆ getCommonWords()

static getCommonWords ( $lang )
static

Method to get an array of common terms for a language.

Paramètres
string $lang The language to use.
Renvoie
array Array of common terms.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $lang, et $query.

◆ getContentExtras()

static getContentExtras ( FinderIndexerResult $item )
static

Method to get extra data for a content before being indexed. This is how we add Comments, Tags, Labels, etc. that should be available to Finder.

Paramètres
FinderIndexerResult $item The item to index as a FinderIndexerResult object.
Renvoie
boolean True on success, false on failure.
Depuis
2.5
Exceptions
Exception on database error.

Références $dispatcher, $item, $results, et JEventDispatcher\getInstance().

Référencé par PlgFinderTags\index(), PlgFinderCategories\index(), PlgFinderContent\index(), PlgFinderNewsfeeds\index(), et PlgFinderContacts\index().

◆ getContentPath()

static getContentPath ( $url )
static

Method to get the path (SEF route) for a content item.

Paramètres
string $url The non-SEF route to the content item.
Renvoie
string The path for the content item.
Depuis
2.5
Obsolète:
4.0

Références $config, $route, $uri, et $url.

Référencé par PlgFinderTags\index(), PlgFinderContent\index(), PlgFinderCategories\index(), PlgFinderContacts\index(), PlgFinderNewsfeeds\index(), et PlgFinderContacts\setup().

◆ getDefaultLanguage()

static getDefaultLanguage ( )
static

Method to get the default language for the site.

Renvoie
string The default language string.
Depuis
2.5

Références $lang.

Référencé par FinderIndexerQuery\__construct(), et FinderModelSuggestions\populateState().

◆ getPrimaryLanguage()

static getPrimaryLanguage ( $lang )
static

Method to parse a language/locale key and return a simple language string.

Paramètres
string $lang The language/locale key. For example: en-GB
Renvoie
string The simple language string. For example: en
Depuis
2.5

Références $data, et $lang.

Référencé par FinderIndexerQuery\__construct(), et FinderModelSuggestions\populateState().

◆ isCommon()

static isCommon | ( | $token,
 |  | $lang
 | ) |
static

Method to check if a token is common in a language.

Paramètres
string | $token | The token to test.
string | $lang | The language to reference.
Renvoie
boolean True if common, false otherwise.
Depuis
2.5

Références $data, $default, $lang, et null.

Référencé par FinderIndexerToken\__construct().

◆ parse()

static parse | ( | $input,
 |  | $format = 'html'
 | ) |
static

Method to parse input into plain text.

Paramètres
string | $input | The raw input.
string | $format | The format of the input. [optional]
Renvoie
string The parsed input.
Depuis
2.5
Exceptions
Exception on invalid parser.

Références $format, $input, et FinderIndexerParser\getInstance().

Référencé par FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), FinderIndexerDriverMysql\index(), et FinderIndexer\tokenizeToDbShort().

◆ prepareContent()

static prepareContent | ( |  | $text,
 |  |  | $params = null,
 |  | FinderIndexerResult | $item = null
 | ) |  |
static

Method to process content text using the onContentPrepare event trigger.

Paramètres
string | $text | The content to process.
Registry | $params | The parameters object. [optional]
FinderIndexerResult | $item | The item which get prepared. [optional]
Renvoie
string The processed content.
Depuis
2.5

Références $content, $dispatcher, $item, $params, $text, et JEventDispatcher\getInstance().

Référencé par PlgFinderCategories\index(), et PlgFinderContent\index().

◆ stem()

static stem | ( | $token,
 |  | $lang
 | ) |
static

Method to get the base word of a token. This method uses the public FinderIndexerHelper::$stemmer object if it is set. If no stemmer is set, the original token is returned.

Paramètres
string | $token | The token to stem.
string | $lang | The language of the token.
Renvoie
string The root token.
Depuis
2.5

Références $lang.

Référencé par FinderIndexerToken\__construct().

◆ tokenize()

static tokenize | ( | $input,
 |  | $lang,
 |  | $phrase = false
 | ) |
static

Method to tokenize a text string.

Paramètres
string | $input | The input to tokenize.
string | $lang | The language of the input.
boolean | $phrase | Flag to indicate whether input could be a phrase. [optional]
Renvoie
array|FinderIndexerToken An array of FinderIndexerToken objects or a single FinderIndexerToken object.
Depuis
2.5

Références $i, $input, $lang, $n, ENT_QUOTES, et null.

Référencé par FinderIndexerQuery\processString(), et FinderIndexer\tokenizeToDbShort().

Documentation des champs

◆ $stemmer

$stemmer
static

Référencé par FinderIndexer\getState(), et FinderModelSearch\populateState().

◆ $stemmerOK

$stemmerOK
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/indexer/helper.php


Joomla CMS: Référence de la classe FinderIndexerParser

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées
Référence de la classe FinderIndexerParser
+ Graphe d'héritage de FinderIndexerParser:
FinderIndexerParserHtml FinderIndexerParserRtf FinderIndexerParserTxt

Fonctions membres publiques

parse ($input)

Fonctions membres publiques statiques

static getInstance ($format)

Fonctions membres protégées

process ($input)

Description détaillée

Parser base class for the Finder indexer package.

Depuis
2.5

Documentation des fonctions membres

◆ getInstance()

static getInstance ( $format )
static

Method to get a parser, creating it if necessary.

Paramètres
string $format The type of parser to load.
Renvoie
FinderIndexerParser A FinderIndexerParser instance.
Depuis
2.5
Exceptions
Exception on invalid parser.

Références $class, $format, $path, et JLoader\register().

Référencé par FinderIndexerHelper\parse().

◆ parse()

parse ( $input )

Method to parse input and extract the plain text. Because this method is called from both inside and outside the indexer, it needs to be able to batch out its parsing functionality to deal with the inefficiencies of regular expressions. We will parse recursively in 2KB chunks.

Paramètres
string $input The input to parse.
Renvoie
string The plain text input.
Depuis
2.5

Références $input, $return, $start, et null.

◆ process()

process ( $input )
abstractprotected

Method to process input and extract the plain text.

Paramètres
string $input The input to process.
Renvoie
string The plain text input.
Depuis
2.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/indexer/parser.php


Joomla CMS: Référence de la classe FinderIndexerParserHtml

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées
Référence de la classe FinderIndexerParserHtml
+ Graphe d'héritage de FinderIndexerParserHtml:
FinderIndexerParser

Fonctions membres publiques

parse ($input)
- Fonctions membres publiques hérités de FinderIndexerParser
parse ($input)

Fonctions membres protégées

process ($input)
- Fonctions membres protégées hérités de FinderIndexerParser
process ($input)

Fonctions membres privées

removeBlocks ($input, $startTag, $endTag)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FinderIndexerParser
static getInstance ($format)

Description détaillée

HTML Parser class for the Finder indexer package.

Depuis
2.5

Documentation des fonctions membres

◆ parse()

parse ( $input )

Method to parse input and extract the plain text. Because this method is called from both inside and outside the indexer, it needs to be able to batch out its parsing functionality to deal with the inefficiencies of regular expressions. We will parse recursively in 2KB chunks.

Paramètres
string $input The input to parse.
Renvoie
string The plain text input.
Depuis
2.5

Références $input, et ENT_QUOTES.

◆ process()

process ( $input )
protected

Method to process HTML input and extract the plain text.

Paramètres
string $input The input to process.
Renvoie
string The plain text input.
Depuis
2.5

Références $input.

◆ removeBlocks()

removeBlocks | ( | $input,
 |  | $startTag,
 |  | $endTag
 | ) |
private

Method to remove blocks of text between a start and an end tag. Each block removed is effectively replaced by a single space.

Note: The start tag and the end tag must be different. Note: Blocks must not be nested. Note: This method will function correctly with multi-byte strings.

Paramètres
string | $input | String to be processed.
string | $startTag | String representing the start tag.
string | $endTag | String representing the end tag.
Renvoie
string with blocks removed.
Depuis
3.4

Références $input, $offset, $return, et $start.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/indexer/parser/html.php


Joomla CMS: Référence de la classe FinderIndexerParserRtf

Fonctions membres protégées
Référence de la classe FinderIndexerParserRtf
+ Graphe d'héritage de FinderIndexerParserRtf:
FinderIndexerParser

Fonctions membres protégées

process ($input)
- Fonctions membres protégées hérités de FinderIndexerParser
process ($input)

Membres hérités additionnels

- Fonctions membres publiques hérités de FinderIndexerParser
parse ($input)
- Fonctions membres publiques statiques hérités de FinderIndexerParser
static getInstance ($format)

Description détaillée

RTF Parser class for the Finder indexer package.

Depuis
2.5

Documentation des fonctions membres

◆ process()

process ( $input )
protected

Method to process RTF input and extract the plain text.

Paramètres
string $input The input to process.
Renvoie
string The plain text input.
Depuis
2.5

Références $input.

La documentation de cette classe a été générée à partir du fichier suivant :
  • rtf.php


Joomla CMS: Référence de la classe FinderIndexerParserTxt

Fonctions membres protégées
Référence de la classe FinderIndexerParserTxt
+ Graphe d'héritage de FinderIndexerParserTxt:
FinderIndexerParser

Fonctions membres protégées

process ($input)
- Fonctions membres protégées hérités de FinderIndexerParser
process ($input)

Membres hérités additionnels

- Fonctions membres publiques hérités de FinderIndexerParser
parse ($input)
- Fonctions membres publiques statiques hérités de FinderIndexerParser
static getInstance ($format)

Description détaillée

Text Parser class for the Finder indexer package.

Depuis
2.5

Documentation des fonctions membres

◆ process()

process ( $input )
protected

Method to process Text input and extract the plain text.

Paramètres
string $input The input to process.
Renvoie
string The plain text input.
Depuis
2.5

Références $input.

La documentation de cette classe a été générée à partir du fichier suivant :
  • txt.php


Joomla CMS: Référence de la classe FinderIndexerQuery

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe FinderIndexerQuery

Fonctions membres publiques

__construct ($options)
toUri ($base='')
getExcludedTermIds ()
getIncludedTermIds ()
getRequiredTermIds ()

Champs de données

$search
$input
$language
$mode
$included = array()
$excluded = array()
$ignored = array()
$operators = array()
$highlight = array()
$terms
$filter
$filters = array()
$date1
$date2
$when1
$when2

Fonctions membres protégées

processStaticTaxonomy ($filterId)
processDynamicTaxonomy ($filters)
processDates ($date1, $date2, $when1, $when2)
processString ($input, $lang, $mode)
getTokenData ($token)

Description détaillée

Query class for the Finder indexer package.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Method to instantiate the query object.

Paramètres
array $options An array of query options.
Depuis
2.5
Exceptions
Exception on database error.

Références $options, elseif, FinderIndexerHelper\getDefaultLanguage(), FinderIndexerHelper\getPrimaryLanguage(), language, et Registry\set().

Documentation des fonctions membres

◆ getExcludedTermIds()

getExcludedTermIds ( )

Method to get a list of excluded search term ids.

Renvoie
array An array of excluded term ids.
Depuis
2.5

Références $i, et $results.

◆ getIncludedTermIds()

getIncludedTermIds ( )

Method to get a list of included search term ids.

Renvoie
array An array of included term ids.
Depuis
2.5

Références $i, $key, $results, et $value.

◆ getRequiredTermIds()

getRequiredTermIds ( )

Method to get a list of required search term ids.

Renvoie
array An array of required term ids.
Depuis
2.5

Références $i, $key, $results, et $value.

◆ getTokenData()

getTokenData ( $token )
protected

Method to get the base and similar term ids and, if necessary, suggested term data from the database. The terms ids are identified based on a 'like' match in MySQL and/or a common stem. If no term ids could be found, then we know that we will not be able to return any results for that term and we should try to find a similar term to use that we can match so that we can suggest the alternative search query to the user.

Paramètres
FinderIndexerToken $token A FinderIndexerToken object.
Renvoie
FinderIndexerToken A FinderIndexerToken object.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $i, $key, $query, et $results.

◆ processDates()

processDates | ( | $date1,
 |  | $date2,
 |  | $when1,
 |  | $when2
 | ) |
protected

Method to process the query date filters to determine start and end date limitations.

Paramètres
string | $date1 | The first date filter.
string | $date2 | The second date filter.
string | $when1 | The first date modifier.
string | $when2 | The second date modifier.
Renvoie
boolean True on success.
Depuis
2.5

Références $date, $offset, et null.

◆ processDynamicTaxonomy()

processDynamicTaxonomy ( $filters )
protected

Method to process the dynamic taxonomy input. The dynamic taxonomy input comes in the form of select fields that the user chooses from. The dynamic taxonomy input is processed AFTER the static taxonomy input because the dynamic options can be used to further narrow a static taxonomy filter.

Paramètres
array $filters An array of taxonomy node ids.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $filters, $groups, $query, et $results.

◆ processStaticTaxonomy()

processStaticTaxonomy ( $filterId )
protected

Method to process the static taxonomy input. The static taxonomy input comes in the form of a pre-defined search filter that is assigned to the search form.

Paramètres
integer $filterId The id of static filter.
Renvoie
boolean True on success, false on failure.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $filters, $groups, $params, $query, $results, et $return.

◆ processString()

processString | ( | $input,
 |  | $lang,
 |  | $mode
 | ) |
protected

Method to process the query input string and extract required, optional, and excluded tokens; taxonomy filters; and date filters.

Paramètres
string | $input | The query input string.
string | $lang | The query input language.
string | $mode | The query matching mode.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $date, $i, $input, $key, $lang, $mode, $modifier, $offset, $parts, $return, $suffix, $value, FinderHelperLanguage\branchSingular(), elseif, ENT_QUOTES, FinderIndexerTaxonomy\getBranchTitles(), FinderIndexerTaxonomy\getNodeByTitle(), JDEBUG, null, et FinderIndexerHelper\tokenize().

◆ toUri()

toUri ( $base = '' )

Method to convert the query object into a URI string.

Paramètres
string $base The base URI. [optional]
Renvoie
string The complete query URI.
Depuis
2.5

Références $base, $item, $query, $uri, FinderHelperRoute\getItemid(), et null.

Documentation des champs

◆ $date1

$date1

◆ $date2

$date2

◆ $excluded

$excluded = array()

◆ $filter

$filter

◆ $filters

$filters = array()

◆ $highlight

$highlight = array()

◆ $ignored

$ignored = array()

◆ $included

$included = array()

◆ $input

$input

◆ $language

$language

◆ $mode

$mode

◆ $operators

$operators = array()

◆ $search

$search

◆ $terms

$terms

◆ $when1

$when1

◆ $when2

$when2
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/indexer/query.php


Joomla CMS: Référence de la classe FinderIndexerResponse

Fonctions membres publiques
Référence de la classe FinderIndexerResponse

Fonctions membres publiques

__construct ($state)

Description détaillée

Finder Indexer JSON Response Class

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $state )

Class Constructor

Paramètres
mixed $state The processing state for the indexer
Depuis
2.5

Références $options, $params, $state, elseif, et if.

La documentation de cette classe a été générée à partir du fichier suivant :
  • indexer.json.php


Joomla CMS: Référence de la classe FinderIndexerResult

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FinderIndexerResult

Fonctions membres publiques

__construct ()
__set ($name, $value)
__get ($name)
__isset ($name)
__unset ($name)
getElement ($name)
getElements ()
setElement ($name, $value)
getInstructions ()
addInstruction ($group, $property)
removeInstruction ($group, $property)
getTaxonomy ($branch=null)
addTaxonomy ($branch, $title, $state=1, $access=1)
setLanguage ()

Champs de données

$url
$route
$title
$description
$published
$state
$access
$language = '*'
$publish_start_date
$publish_end_date
$start_date
$end_date
$list_price
$sale_price
$type_id
$defaultLanguage

Attributs protégés

$elements = array()
$instructions
$taxonomy = array()

Description détaillée

Result class for the Finder indexer package.

This class uses magic __get() and __set() methods to prevent properties being added that might confuse the system. All properties not explicitly declared will be pushed into the elements array and can be accessed explicitly using the getElement() method.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Depuis
3.0.3

Documentation des fonctions membres

◆ __get()

__get ( $name )

The magic get method is used to retrieve additional element values from the elements array.

Paramètres
string $name The name of the element.
Renvoie
mixed The value of the element if set, null otherwise.
Depuis
2.5

Références $name.

◆ __isset()

__isset ( $name )

The magic isset method is used to check the state of additional element values in the elements array.

Paramètres
string $name The name of the element.
Renvoie
boolean True if set, false otherwise.
Depuis
2.5

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

The magic set method is used to push additional values into the elements array in order to preserve the cleanliness of the object.

Paramètres
string | $name | The name of the element.
mixed | $value | The value of the element.
Renvoie
void
Depuis
2.5

Références $name, et $value.

◆ __unset()

__unset ( $name )

The magic unset method is used to unset additional element values in the elements array.

Paramètres
string $name The name of the element.
Renvoie
void
Depuis
2.5

Références $name.

◆ addInstruction()

addInstruction | ( | $group,
 |  | $property
 | ) |

Method to add a processing instruction for an item property.

Paramètres
string | $group | The group to associate the property with.
string | $property | The property to process.
Renvoie
void
Depuis
2.5

◆ addTaxonomy()

addTaxonomy | ( | $branch,
 |  | $title,
 |  | $state = 1,
 |  | $access = 1
 | ) |

Method to add a taxonomy map for an item.

Paramètres
string | $branch | The title of the taxonomy branch to add the node to.
string | $title | The title of the taxonomy node.
integer | $state | The published state of the taxonomy node. [optional]
integer | $access | The access level of the taxonomy node. [optional]
Renvoie
void
Depuis
2.5

Références $state, et $title.

◆ getElement()

getElement ( $name )

Method to retrieve additional element values from the elements array.

Paramètres
string $name The name of the element.
Renvoie
mixed The value of the element if set, null otherwise.
Depuis
2.5

Références $name, et null.

◆ getElements()

getElements ( )

Method to retrieve all elements.

Renvoie
array The elements
Depuis
3.8.3

◆ getInstructions()

getInstructions ( )

Method to get all processing instructions.

Renvoie
array An array of processing instructions.
Depuis
2.5

◆ getTaxonomy()

getTaxonomy ( $branch = null )

Method to get the taxonomy maps for an item.

Paramètres
string $branch The taxonomy branch to get. [optional]
Renvoie
array An array of taxonomy maps.
Depuis
2.5

Références null.

◆ removeInstruction()

removeInstruction | ( | $group,
 |  | $property
 | ) |

Method to remove a processing instruction for an item property.

Paramètres
string | $group | The group to associate the property with.
string | $property | The property to process.
Renvoie
void
Depuis
2.5

Références $key.

◆ setElement()

setElement | ( | $name,
 |  | $value
 | ) |

Method to set additional element values in the elements array.

Paramètres
string | $name | The name of the element.
mixed | $value | The value of the element.
Renvoie
void
Depuis
2.5

Références $name, et $value.

◆ setLanguage()

setLanguage ( )

Method to set the item language

Renvoie
void
Depuis
3.0

Références language.

Référencé par PlgFinderTags\index(), PlgFinderContacts\index(), et PlgFinderNewsfeeds\index().

Documentation des champs

◆ $access

$access

◆ $defaultLanguage

$defaultLanguage

◆ $description

$description

◆ $elements

$elements = array()
protected

◆ $end_date

$end_date

◆ $instructions

$instructions
protected
Valeur initiale :
= array(
FinderIndexer::TITLE_CONTEXT => array('title', 'subtitle', 'id'),
FinderIndexer::TEXT_CONTEXT => array('summary', 'body'),
FinderIndexer::META_CONTEXT => array('meta', 'list_price', 'sale_price'),
FinderIndexer::PATH_CONTEXT => array('path', 'alias'),
FinderIndexer::MISC_CONTEXT => array('comments'),
)

◆ $language

$language = '*'

◆ $list_price

$list_price

◆ $publish_end_date

$publish_end_date

◆ $publish_start_date

$publish_start_date

◆ $published

$published

◆ $route

$route

◆ $sale_price

$sale_price

◆ $start_date

$start_date

◆ $state

$state

◆ $taxonomy

$taxonomy = array()
protected

◆ $title

$title

◆ $type_id

$type_id

◆ $url

$url
La documentation de cette classe a été générée à partir du fichier suivant :
  • result.php


Joomla CMS: Référence de la classe FinderIndexerStemmer

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données
Référence de la classe FinderIndexerStemmer
+ Graphe d'héritage de FinderIndexerStemmer:
FinderIndexerStemmerFr FinderIndexerStemmerPorter_En FinderIndexerStemmerSnowball

Fonctions membres publiques

stem ($token, $lang)

Fonctions membres publiques statiques

static getInstance ($adapter)

Champs de données

$cache = array()

Description détaillée

Stemmer base class for the Finder indexer package.

Depuis
2.5

Documentation des fonctions membres

◆ getInstance()

static getInstance ( $adapter )
static

Method to get a stemmer, creating it if necessary.

Paramètres
string $adapter The type of stemmer to load.
Renvoie
FinderIndexerStemmer A FinderIndexerStemmer instance.
Depuis
2.5
Exceptions
Exception on invalid stemmer.

Références $class, $path, et JLoader\register().

Référencé par FinderIndexer\getState(), et FinderModelSearch\populateState().

◆ stem()

stem | ( | $token,
 |  | $lang
 | ) |
abstract

Method to stem a token and return the root.

Paramètres
string | $token | The token to stem.
string | $lang | The language of the token.
Renvoie
string The root token.
Depuis
2.5

Documentation des champs

◆ $cache

$cache = array()
La documentation de cette classe a été générée à partir du fichier suivant :
  • stemmer.php


Joomla CMS: Référence de la classe FinderIndexerStemmerFr

Fonctions membres publiques | Fonctions membres protégées statiques | Fonctions membres privées statiques | Attributs privés statiques
Référence de la classe FinderIndexerStemmerFr
+ Graphe d'héritage de FinderIndexerStemmerFr:
FinderIndexerStemmer

Fonctions membres publiques

stem ($token, $lang)
- Fonctions membres publiques hérités de FinderIndexerStemmer
stem ($token, $lang)

Fonctions membres protégées statiques

static getStemRules ()

Fonctions membres privées statiques

static | getFirstRule ($reversedInput, $ruleNumber)
static | check ($reversedStem)
static | getStem ($input)

Attributs privés statiques

static $stemRules

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FinderIndexerStemmer
static getInstance ($adapter)
- Champs de données hérités de FinderIndexerStemmer
$cache = array()

Description détaillée

French stemmer class for Smart Search indexer.

First contributed by Eric Sanou (bobot.nosp@m.che@.nosp@m.hotma.nosp@m.il.f.nosp@m.r) This class is inspired in Alexis Ulrich's French stemmer code (http://alx2002.free.fr)

Depuis
3.0

Documentation des fonctions membres

◆ check()

static check ( $reversedStem )
staticprivate

Check the acceptability of a stem for French language

Paramètres
string $reversedStem The stem to check in reverse form
Renvoie
boolean True if stem is acceptable
Depuis
3.0

◆ getFirstRule()

static getFirstRule | ( | $reversedInput,
 |  | $ruleNumber
 | ) |
staticprivate

Returns the number of the first rule from the rule number that can be applied to the given reversed input. returns -1 if no rule can be applied, ie the stem has been found

Paramètres
string | $reversedInput | The input to check in reversed order
integer | $ruleNumber | The rule number to check
Renvoie
integer Number of the first rule
Depuis
3.0

Références $i.

◆ getStem()

static getStem ( $input )
staticprivate

Paice/Husk stemmer which returns a stem for the given $input

Paramètres
string $input The word for which we want the stem in UTF-8
Renvoie
string The stem
Depuis
3.0

Références $input.

◆ getStemRules()

static getStemRules ( )
staticprotected

French stemmer rules variables.

Renvoie
array The rules
Depuis
3.0

◆ stem()

stem | ( | $token,
 |  | $lang
 | ) |

Method to stem a token and return the root.

Paramètres
string | $token | The token to stem.
string | $lang | The language of the token.
Renvoie
string The root token.
Depuis
3.0

Références $lang.

Documentation des champs

◆ $stemRules

$stemRules
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • fr.php


Joomla CMS: Référence de la classe FinderIndexerStemmerPorter_En

Fonctions membres publiques | Fonctions membres privées statiques | Attributs privés statiques
Référence de la classe FinderIndexerStemmerPorter_En
+ Graphe d'héritage de FinderIndexerStemmerPorter_En:
FinderIndexerStemmer

Fonctions membres publiques

stem ($token, $lang)
- Fonctions membres publiques hérités de FinderIndexerStemmer
stem ($token, $lang)

Fonctions membres privées statiques

static | step1ab ($word)
static | step1c ($word)
static | step2 ($word)
static | step3 ($word)
static | step4 ($word)
static | step5 ($word)
static | replace (&$str, $check, $repl, $m=null)
static | m ($str)
static | doubleConsonant ($str)
static | cvc ($str)

Attributs privés statiques

static | $regex_consonant = '(?:[bcdfghjklmnpqrstvwxz]|(?<=[aeiou])y|^y)'
static | $regex_vowel = '(?:[aeiou]|(?<![aeiou])y)'

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FinderIndexerStemmer
static getInstance ($adapter)
- Champs de données hérités de FinderIndexerStemmer
$cache = array()

Description détaillée

Porter English stemmer class for the Finder indexer package.

This class was adapted from one written by Richard Heyes. See copyright and link information above.

Depuis
2.5

Documentation des fonctions membres

◆ cvc()

static cvc ( $str )
staticprivate

Checks for ending CVC sequence where second C is not W, X or Y

Paramètres
string $str String to check
Renvoie
boolean Result
Depuis
2.5

◆ doubleConsonant()

static doubleConsonant ( $str )
staticprivate

Returns true/false as to whether the given string contains two of the same consonant next to each other at the end of the string.

Paramètres
string $str String to check
Renvoie
boolean Result
Depuis
2.5

◆ m()

static m ( $str )
staticprivate

m() measures the number of consonant sequences in $str. if c is a consonant sequence and v a vowel sequence, and <..> indicates arbitrary presence,

<v> gives 0 vc<v> gives 1 vcvc<v> gives 2 vcvcvc<v> gives 3

Paramètres
string $str The string to return the m count for
Renvoie
integer The m count
Depuis
2.5

◆ replace()

static replace | ( | & | $str,
 |  |  | $check,
 |  |  | $repl,
 |  |  | $m = null
 | ) |  |
staticprivate

Replaces the first string with the second, at the end of the string. If third arg is given, then the preceding string must match that m count at least.

Paramètres
string | $str | String to check
string | $check | Ending to check for
string | $repl | Replacement string
integer | $m | Optional minimum number of m() to meet
Renvoie
boolean Whether the $check string was at the end of the $str string. True does not necessarily mean that it was replaced.
Depuis
2.5

Références $check, et null.

◆ stem()

stem | ( | $token,
 |  | $lang
 | ) |

Method to stem a token and return the root.

Paramètres
string | $token | The token to stem.
string | $lang | The language of the token.
Renvoie
string The root token.
Depuis
2.5

Références $lang.

◆ step1ab()

static step1ab ( $word )
staticprivate

Step 1

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
2.5

Références elseif.

◆ step1c()

static step1c ( $word )
staticprivate

Step 1c

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
2.5

◆ step2()

static step2 ( $word )
staticprivate

Step 2

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
2.5

◆ step3()

static step3 ( $word )
staticprivate

Step 3

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
2.5

◆ step4()

static step4 ( $word )
staticprivate

Step 4

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
2.5

◆ step5()

static step5 ( $word )
staticprivate

Step 5

Paramètres
string $word The token to stem.
Renvoie
string
Depuis
2.5

Références elseif.

Documentation des champs

◆ $regex_consonant

$regex_consonant = '(?:[bcdfghjklmnpqrstvwxz]|(?<=[aeiou])y|^y)'
staticprivate

◆ $regex_vowel

$regex_vowel = '(?:[aeiou]|(?<![aeiou])y)'
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • porter_en.php


Joomla CMS: Référence de la classe FinderIndexerStemmerSnowball

Fonctions membres publiques
Référence de la classe FinderIndexerStemmerSnowball
+ Graphe d'héritage de FinderIndexerStemmerSnowball:
FinderIndexerStemmer

Fonctions membres publiques

stem ($token, $lang)
- Fonctions membres publiques hérités de FinderIndexerStemmer
stem ($token, $lang)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FinderIndexerStemmer
static getInstance ($adapter)
- Champs de données hérités de FinderIndexerStemmer
$cache = array()

Description détaillée

Snowball stemmer class for the Finder indexer package.

Depuis
2.5

Documentation des fonctions membres

◆ stem()

stem | ( | $token,
 |  | $lang
 | ) |

Method to stem a token and return the root.

Paramètres
string | $token | The token to stem.
string | $lang | The language of the token.
Renvoie
string The root token.
Depuis
2.5

Références $function, et $lang.

La documentation de cette classe a été générée à partir du fichier suivant :
  • snowball.php


Joomla CMS: Référence de la classe FinderIndexerTaxonomy

Fonctions membres publiques statiques | Attributs publics statiques | Fonctions membres protégées statiques
Référence de la classe FinderIndexerTaxonomy

Fonctions membres publiques statiques

static | addBranch ($title, $state=1, $access=1)
static | addNode ($branch, $title, $state=1, $access=1)
static | addMap ($linkId, $nodeId)
static | getBranchTitles ()
static | getNodeByTitle ($branch, $title)
static | removeMaps ($linkId)
static | removeOrphanNodes ()

Attributs publics statiques

static | $branches = array()
static | $nodes = array()

Fonctions membres protégées statiques

static storeNode ($item)

Description détaillée

Stemmer base class for the Finder indexer package.

Depuis
2.5

Documentation des fonctions membres

◆ addBranch()

static addBranch | ( | $title,
 |  | $state = 1,
 |  | $access = 1
 | ) |
static

Method to add a branch to the taxonomy tree.

Paramètres
string | $title | The title of the branch.
integer | $state | The published state of the branch. [optional]
integer | $access | The access state of the branch. [optional]
Renvoie
integer The id of the branch.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $query, $state, et $title.

◆ addMap()

static addMap | ( | $linkId,
 |  | $nodeId
 | ) |
static

Method to add a map entry between a link and a taxonomy node.

Paramètres
integer | $linkId | The link to map to.
integer | $nodeId | The node to map to.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $id, et $query.

Référencé par FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), et FinderIndexerDriverMysql\index().

◆ addNode()

static addNode | ( | $branch,
 |  | $title,
 |  | $state = 1,
 |  | $access = 1
 | ) |
static

Method to add a node to the taxonomy tree.

Paramètres
string | $branch | The title of the branch to store the node in.
string | $title | The title of the node.
integer | $state | The published state of the node. [optional]
integer | $access | The access state of the node. [optional]
Renvoie
integer The id of the node.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $query, $state, et $title.

Référencé par FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), et FinderIndexerDriverMysql\index().

◆ getBranchTitles()

static getBranchTitles ( )
static

Method to get the title of all taxonomy branches.

Renvoie
array An array of branch titles.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $groups, et $query.

Référencé par FinderIndexerQuery\processString().

◆ getNodeByTitle()

static getNodeByTitle | ( | $branch,
 |  | $title
 | ) |
static

Method to find a taxonomy node in a branch.

Paramètres
string | $branch | The branch to search.
string | $title | The title of the node.
Renvoie
mixed Integer id on success, null on no match.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $groups, $query, et $title.

Référencé par FinderIndexerQuery\processString().

◆ removeMaps()

static removeMaps ( $linkId )
static

Method to remove map entries for a link.

Paramètres
integer $linkId The link to remove.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, et $query.

Référencé par FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), FinderIndexerDriverMysql\index(), FinderIndexer\remove(), et FinderIndexerDriverSqlsrv\remove().

◆ removeOrphanNodes()

static removeOrphanNodes ( )
static

Method to remove orphaned taxonomy nodes and branches.

Renvoie
integer The number of deleted rows.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, et $query.

Référencé par FinderIndexerDriverPostgresql\optimize(), FinderIndexerDriverMysql\optimize(), FinderIndexerDriverSqlsrv\optimize(), FinderIndexer\remove(), et FinderIndexerDriverSqlsrv\remove().

◆ storeNode()

static storeNode ( $item )
staticprotected

Method to store a node to the database. This method will accept either a branch or a node.

Paramètres
object $item The item to store.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, et $item.

Documentation des champs

◆ $branches

$branches = array()
static

◆ $nodes

$nodes = array()
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • taxonomy.php


Joomla CMS: Référence de la classe FinderIndexerToken

Fonctions membres publiques | Champs de données
Référence de la classe FinderIndexerToken

Fonctions membres publiques

__construct ($term, $lang, $spacer=' ')

Champs de données

$term
$stem
$numeric
$common
$phrase
$length
$weight
$language
$matches = array()
$derived
$suggestion

Description détaillée

Token class for the Finder indexer package.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $term,
 |  | $lang,
 |  | $spacer = ' '
 | ) |

Method to construct the token object.

Paramètres
mixed | $term | The term as a string for words or an array for phrases.
string | $lang | The simple language identifier.
string | $spacer | The space separator for phrases. [optional]
Depuis
2.5

Références $lang, false, FinderIndexerHelper\isCommon(), language, et FinderIndexerHelper\stem().

Documentation des champs

◆ $common

$common

◆ $derived

$derived

◆ $language

$language

◆ $length

$length

◆ $matches

$matches = array()

◆ $numeric

$numeric

◆ $phrase

$phrase

◆ $stem

$stem

◆ $suggestion

$suggestion

◆ $term

$term

◆ $weight

$weight
La documentation de cette classe a été générée à partir du fichier suivant :
  • token.php


Joomla CMS: Référence de la classe FinderModelFilter

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderModelFilter
+ Graphe d'héritage de FinderModelFilter:

Fonctions membres publiques

getFilter ()
getForm ($data=array(), $loadData=true)
getTable ($type='Filter', $prefix='FinderTable', $config=array())
getTotal ()

Fonctions membres protégées

cleanCache ($group='com_finder', $clientId=1)
loadFormData ()

Attributs protégés

$text_prefix = 'COM_FINDER'
$context = 'com_finder.filter'

Description détaillée

Filter model class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ cleanCache()

cleanCache | ( | $group = 'com_finder',
 |  | $clientId = 1
 | ) |
protected

Custom clean cache method.

Paramètres
string | $group | The component name. [optional]
integer | $clientId | The client ID. [optional]
Renvoie
void
Depuis
2.5

Références $clientId.

◆ getFilter()

getFilter ( )

Method to get the filter data.

Renvoie
FinderTableFilter|boolean The filter data or false on a failure.
Depuis
2.5

Références $filter, $return, et elseif.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form. [optional]
boolean | $loadData | True if the form is to load its own data (default case), false if not. [optional]
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
2.5

Références $form.

◆ getTable()

getTable | ( | $type = 'Filter',
 |  | $prefix = 'FinderTable',
 |  | $config = array()
 | ) |

Returns a JTable object, always creating it.

Paramètres
string | $type | The table type to instantiate. [optional]
string | $prefix | A prefix for the table class name. [optional]
array | $config | Configuration array for model. [optional]
Renvoie
JTable A database object
Depuis
2.5

Références $config, $prefix, et $type.

◆ getTotal()

getTotal ( )

Method to get the total indexed items

Renvoie
number the number of indexed items
Depuis
3.5

Références $db, et $query.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
2.5

Références $data.

Documentation des champs

◆ $context

$context = 'com_finder.filter'
protected

◆ $text_prefix

$text_prefix = 'COM_FINDER'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/models/filter.php


Joomla CMS: Référence de la classe FinderModelFilters

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FinderModelFilters
+ Graphe d'héritage de FinderModelFilters:

Fonctions membres publiques

__construct ($config=array())

Fonctions membres protégées

getListQuery ()
getStoreId ($id='')
populateState ($ordering='a.title', $direction='asc')

Description détaillée

Filters model class for Finder.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An associative array of configuration settings. [optional]
Depuis
2.5
Voir également
JControllerLegacy

Références $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery A JDatabaseQuery object
Depuis
2.5

Références $db, $query, et $state.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id. [optional]
Renvoie
string A store id.
Depuis
2.5

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.title',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field. [optional]
string | $direction | An optional direction. [optional]
Renvoie
void
Depuis
2.5

Références $direction, $ordering, et $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/models/filters.php


Joomla CMS: Référence de la classe FinderModelIndex

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderModelIndex
+ Graphe d'héritage de FinderModelIndex:

Fonctions membres publiques

__construct ($config=array())
delete (&$pks)
getPluginState ()
getTotalIndexed ()
getTable ($type='Link', $prefix='FinderTable', $config=array())
purge ()
publish (&$pks, $value=1)

Fonctions membres protégées

canDelete ($record)
canEditState ($record)
getListQuery ()
getStoreId ($id='')
populateState ($ordering='l.title', $direction='asc')

Attributs protégés

$event_after_delete = 'onContentAfterDelete'
$event_before_delete = 'onContentBeforeDelete'

Description détaillée

Index model class for Finder.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An associative array of configuration settings. [optional]
Depuis
2.5
Voir également
JControllerLegacy

Références $config.

Documentation des fonctions membres

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission for the component.
Depuis
2.5

Références option.

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission for the component.
Depuis
2.5

Références option.

◆ delete()

delete ( & $pks )

Method to delete one or more records.

Paramètres
array $pks An array of record primary keys.
Renvoie
boolean True if successful, false if an error occurs.
Depuis
2.5

Références $context, $dispatcher, $i, $name, JEventDispatcher\getInstance(), et option.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery A JDatabaseQuery object
Depuis
2.5

Références $db, $listOrder, $ordering, $query, $state, et $type.

◆ getPluginState()

getPluginState ( )

Method to get the state of the Smart Search Plugins.

Renvoie
array Array of relevant plugins and whether they are enabled or not.
Depuis
2.5

Références $db, et $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id. [optional]
Renvoie
string A store id.
Depuis
2.5

Références $id.

◆ getTable()

getTable | ( | $type = 'Link',
 |  | $prefix = 'FinderTable',
 |  | $config = array()
 | ) |

Returns a JTable object, always creating it.

Paramètres
string | $type | The table type to instantiate. [optional]
string | $prefix | A prefix for the table class name. [optional]
array | $config | Configuration array for model. [optional]
Renvoie
JTable A database object
Depuis
2.5

Références $config, $prefix, et $type.

◆ getTotalIndexed()

getTotalIndexed ( )

Gets the total of indexed items.

Renvoie
integer The total of indexed items.
Depuis
3.6.0

Références $db, et $query.

◆ populateState()

populateState | ( | $ordering = 'l.title',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field. [optional]
string | $direction | An optional direction. [optional]
Renvoie
void
Depuis
2.5

Références $direction, $ordering, et $params.

◆ publish()

publish | ( | & | $pks,
 |  |  | $value = 1
 | ) |  |

Method to change the published state of one or more records.

Paramètres
array | $pks | A list of the primary keys to change.
integer | $value | The value of the published state. [optional]
Renvoie
boolean True on success.
Depuis
2.5

Références $context, $dispatcher, $i, $name, $user, $value, JEventDispatcher\getInstance(), et option.

◆ purge()

purge ( )

Method to purge the index, deleting all links.

Renvoie
boolean True on success, false on failure.
Depuis
2.5
Exceptions
Exception on database error

Références $db, $i, $query, et $suffix.

Documentation des champs

◆ $event_after_delete

$event_after_delete = 'onContentAfterDelete'
protected

◆ $event_before_delete

$event_before_delete = 'onContentBeforeDelete'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/models/index.php


Joomla CMS: Référence de la classe FinderModelIndexer

Référence de la classe FinderModelIndexer
+ Graphe d'héritage de FinderModelIndexer:

Description détaillée

Indexer model class for Finder.

Depuis
2.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/indexer.php


Joomla CMS: Référence de la classe FinderModelMaps

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FinderModelMaps
+ Graphe d'héritage de FinderModelMaps:

Fonctions membres publiques

__construct ($config=array())
delete (&$pks)
getTable ($type='Map', $prefix='FinderTable', $config=array())
publish (&$pks, $value=1)
purge ()

Fonctions membres protégées

canDelete ($record)
canEditState ($record)
getListQuery ()
_getListCount ($query)
getStoreId ($id='')
populateState ($ordering='d.branch_title', $direction='ASC')

Description détaillée

Maps model for the Finder package.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An associative array of configuration settings. [optional]
Depuis
2.5
Voir également
JControllerLegacy

Références $config.

Documentation des fonctions membres

◆ _getListCount()

_getListCount ( $query )
protected

Returns a record count for the query.

Paramètres
JDatabaseQuery | string $query The query.
Renvoie
integer Number of rows for query.
Depuis
3.0

Références $query.

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission for the component.
Depuis
2.5

Références option.

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission for the component.
Depuis
2.5

Références option.

◆ delete()

delete ( & $pks )

Method to delete one or more records.

Paramètres
array $pks An array of record primary keys.
Renvoie
boolean True if successful, false if an error occurs.
Depuis
2.5

Références $context, $dispatcher, $i, $name, JEventDispatcher\getInstance(), et option.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery A JDatabaseQuery object
Depuis
2.5

Références $db, $listDirn, $query, $state, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id. [optional]
Renvoie
string A store id.
Depuis
2.5

Références $id.

◆ getTable()

getTable | ( | $type = 'Map',
 |  | $prefix = 'FinderTable',
 |  | $config = array()
 | ) |

Returns a JTable object, always creating it.

Paramètres
string | $type | The table type to instantiate. [optional]
string | $prefix | A prefix for the table class name. [optional]
array | $config | Configuration array for model. [optional]
Renvoie
JTable A database object
Depuis
2.5

Références $config, $prefix, et $type.

◆ populateState()

populateState | ( | $ordering = 'd.branch_title',
 |  | $direction = 'ASC'
 | ) |
protected

Method to auto-populate the model state. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field. [optional]
string | $direction | An optional direction. [optional]
Renvoie
void
Depuis
2.5

Références $direction, $ordering, et $params.

◆ publish()

publish | ( | & | $pks,
 |  |  | $value = 1
 | ) |  |

Method to change the published state of one or more records.

Paramètres
array | $pks | A list of the primary keys to change.
integer | $value | The value of the published state. [optional]
Renvoie
boolean True on success.
Depuis
2.5

Références $context, $dispatcher, $i, $name, $user, $value, JEventDispatcher\getInstance(), et option.

◆ purge()

purge ( )

Method to purge all maps from the taxonomy.

Renvoie
boolean Returns true on success, false on failure.
Depuis
2.5

Références $db, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/models/maps.php


Joomla CMS: Référence de la classe FinderModelSearch

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderModelSearch
+ Graphe d'héritage de FinderModelSearch:

Fonctions membres publiques

getResults ()
getTotal ()
getQuery ()

Fonctions membres protégées

getListQuery ()
getResultsTotal ()
getResultsData ()
getExcludedLinkIds ()
getStoreId ($id='', $page=true)
populateState ($ordering=null, $direction=null)
retrieve ($id, $persistent=true)
store ($id, $data, $persistent=true)

Attributs protégés

$context = 'com_finder.search'
$query
$excludedTerms = array()
$includedTerms = array()
$requiredTerms = array()

Description détaillée

Search model class for the Finder package.

Depuis
2.5

Documentation des fonctions membres

◆ getExcludedLinkIds()

getExcludedLinkIds ( )
protected

Method to get an array of link ids that match excluded terms.

Renvoie
array An array of links ids.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $id, $query, et $suffix.

◆ getListQuery()

getListQuery ( )
protected

Method to build a database query to load the list data.

Renvoie
JDatabaseQuery A database query.
Depuis
2.5

Références $db, $groups, $i, $query, $user, et elseif.

◆ getQuery()

getQuery ( )

Method to get the query object.

Renvoie
FinderIndexerQuery A query object.
Depuis
2.5

Références $query.

◆ getResults()

getResults ( )

Method to get the results of the query.

Renvoie
array An array of FinderIndexerResult objects.
Depuis
2.5
Exceptions
Exception on database error.

Références $db, $items, $query, $results, $row, $rows, et null.

◆ getResultsData()

getResultsData ( )
protected

Method to get the results for the search query.

Renvoie
array An array of result data objects.
Depuis
2.5
Exceptions
Exception on database error.

Références $base, $direction, $i, $items, $limit, $ordering, $query, $required, $results, $return, $start, $suffix, elseif, et null.

◆ getResultsTotal()

getResultsTotal ( )
protected

Method to get the total number of results for the search query.

Renvoie
integer The results total.
Depuis
2.5
Exceptions
Exception on database error.

Références $base, $i, $items, $limit, $query, $required, $results, $start, $suffix, $total, elseif, et null.

◆ getStoreId()

getStoreId | ( | $id = '',
 |  | $page = true
 | ) |
protected

Method to get a store id based on model the configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string | $id | An identifier string to generate the store id. [optional]
boolean | $page | True to store the data paged, false to store all data. [optional]
Renvoie
string A store id.
Depuis
2.5

Références $id, et $query.

◆ getTotal()

getTotal ( )

Method to get the total number of results.

Renvoie
integer The total number of results.
Depuis
2.5
Exceptions
Exception on database error.

Références $total, et null.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field. [optional]
string | $direction | An optional direction. [optional]
Renvoie
void
Depuis
2.5

Load the sort ordering. Currently this is 'hard' coded via menu item parameter but may not satisfy a users need. More flexibility was way more user friendly. So we allow the user to pass a custom value from the pool of fields that are indexed like the 'title' field. Also, we allow this parameter to be passed in either case (lower/upper).

Load the sort direction. Currently this is 'hard' coded via menu item parameter but may not satisfy a users need. More flexibility was way more user friendly. So we allow to be inverted. Also, we allow this parameter to be passed in either case (lower/upper).

Références $app, $input, $options, $params, FinderIndexerHelper\$stemmer, $user, et FinderIndexerStemmer\getInstance().

◆ retrieve()

retrieve | ( | $id,
 |  | $persistent = true
 | ) |
protected

Method to retrieve data from cache.

Paramètres
string | $id | The cache store id.
boolean | $persistent | Flag to enable the use of external cache. [optional]
Renvoie
mixed The cached data if found, null otherwise.
Depuis
2.5

Références $data, $id, et null.

◆ store()

store | ( | $id,
 |  | $data,
 |  | $persistent = true
 | ) |
protected

Method to store data in cache.

Paramètres
string | $id | The cache store id.
mixed | $data | The data to cache.
boolean | $persistent | Flag to enable the use of external cache. [optional]
Renvoie
boolean True on success, false on failure.
Depuis
2.5

Références $data, et $id.

Documentation des champs

◆ $context

$context = 'com_finder.search'
protected

◆ $excludedTerms

$excludedTerms = array()
protected

◆ $includedTerms

$includedTerms = array()
protected

◆ $query

$query
protected

◆ $requiredTerms

$requiredTerms = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_finder/models/search.php


Joomla CMS: Référence de la classe FinderModelStatistics

Fonctions membres publiques
Référence de la classe FinderModelStatistics
+ Graphe d'héritage de FinderModelStatistics:

Fonctions membres publiques

getData ()

Description détaillée

Statistics model class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ getData()

getData ( )

Method to get the component statistics

Renvoie
JObject The component statistics
Depuis
2.5

Références $data, $db, $lang, $query, JPATH_ADMINISTRATOR, JPATH_PLUGINS, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/models/statistics.php


Joomla CMS: Référence de la classe FinderModelSuggestions

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderModelSuggestions
+ Graphe d'héritage de FinderModelSuggestions:

Fonctions membres publiques

getItems ()

Fonctions membres protégées

getListQuery ()
getStoreId ($id='')
populateState ($ordering=null, $direction=null)

Attributs protégés

$context = 'com_finder.suggestions'

Description détaillée

Suggestions model class for the Finder package.

Depuis
2.5

Documentation des fonctions membres

◆ getItems()

getItems ( )

Method to get an array of data items.

Renvoie
array An array of data items.
Depuis
2.5

Références $items.

◆ getListQuery()

getListQuery ( )
protected

Method to build a database query to load the list data.

Renvoie
JDatabaseQuery A database query
Depuis
2.5

Références $db, $groups, $user, et ArrayHelper\toInteger().

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model the configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id An identifier string to generate the store id. [optional]
Renvoie
string A store id.
Depuis
2.5

Références $id.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
2.5

Références $app, $input, $lang, $params, $user, FinderIndexerHelper\getDefaultLanguage(), et FinderIndexerHelper\getPrimaryLanguage().

Documentation des champs

◆ $context

$context = 'com_finder.suggestions'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • suggestions.php


Joomla CMS: Référence de la classe FinderRouter

Fonctions membres publiques
Référence de la classe FinderRouter
+ Graphe d'héritage de FinderRouter:

Fonctions membres publiques

build (&$query)
parse (&$segments)

Description détaillée

Routing class from com_finder

Depuis
3.3

Documentation des fonctions membres

◆ build()

build ( & $query )

Build the route for the com_finder component

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Références $i, $item, $query, et $total.

Référencé par FinderBuildRoute().

◆ parse()

parse ( & $segments )

Parse the segments of a URL.

Paramètres
array &$segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Depuis
3.3

Références $i, et $total.

Référencé par FinderParseRoute().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_finder/router.php


Joomla CMS: Référence de la classe FinderTableFilter

Fonctions membres publiques
Référence de la classe FinderTableFilter
+ Graphe d'héritage de FinderTableFilter:

Fonctions membres publiques

__construct (&$db)
bind ($array, $ignore='')
check ()
publish ($pks=null, $state=1, $userId=0)
store ($updateNulls=false)

Description détaillée

Filter table class for the Finder package.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver $db JDatabaseDriver connector object.
Depuis
2.5

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Method to bind an associative array or object to the JTable instance. This method only binds properties that are publicly accessible and optionally takes an array of properties to ignore when binding.

Paramètres
array | $array | Named array
mixed | $ignore | An optional array or space separated list of properties to ignore while binding. [optional]
Renvoie
mixed Null if operation was satisfactory, otherwise returns an error string
Depuis
2.5

◆ check()

check ( )

Method to perform sanity checks on the JTable instance properties to ensure they are safe to store in the database. Child classes should override this method to make sure the data they are storing in the database is safe and as expected before storage.

Renvoie
boolean True if the instance is sane and able to be stored in the database.
Depuis
2.5

Références $params, et $title.

◆ publish()

publish | ( | $pks = null,
 |  | $state = 1,
 |  | $userId = 0
 | ) |

Method to set the publishing state for a row or list of rows in the database table. The method respects checked out rows by other users and will attempt to checkin rows that it can after adjustments are made.

Paramètres
mixed | $pks | An array of primary key values to update. If not set the instance property value is used. [optional]
integer | $state | The publishing state. eg. [0 = unpublished, 1 = published] [optional]
integer | $userId | The user id of the user performing the operation. [optional]
Renvoie
boolean True on success.
Depuis
2.5

Références $query, $state, et $userId.

◆ store()

store ( $updateNulls = false )

Method to store a row in the database from the JTable instance properties. If a primary key value is set the row with that primary key value will be updated with the instance property values. If no primary key value is set a new row will be inserted into the database with the properties from the JTable instance.

Paramètres
boolean $updateNulls True to update fields even if they are null. [optional]
Renvoie
boolean True on success.
Depuis
2.5

Références $date, et $userId.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/tables/filter.php


Joomla CMS: Référence de la classe FinderTableLink

Fonctions membres publiques
Référence de la classe FinderTableLink
+ Graphe d'héritage de FinderTableLink:

Fonctions membres publiques

__construct (&$db)

Description détaillée

Link table class for the Finder package.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver $db JDatabaseDriver connector object.
Depuis
2.5

Références $db.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/tables/link.php


Joomla CMS: Référence de la classe FinderTableMap

Fonctions membres publiques
Référence de la classe FinderTableMap
+ Graphe d'héritage de FinderTableMap:

Fonctions membres publiques

__construct (&$db)
publish ($pks=null, $state=1, $userId=0)

Description détaillée

Map table class for the Finder package.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver $db JDatabaseDriver connector object.
Depuis
2.5

Références $db.

Documentation des fonctions membres

◆ publish()

publish | ( | $pks = null,
 |  | $state = 1,
 |  | $userId = 0
 | ) |

Method to set the publishing state for a row or list of rows in the database table. The method respects checked out rows by other users and will attempt to checkin rows that it can after adjustments are made.

Paramètres
mixed | $pks | An array of primary key values to update. If not set the instance property value is used. [optional]
integer | $state | The publishing state. eg. [0 = unpublished, 1 = published] [optional]
integer | $userId | The user id of the user performing the operation. [optional]
Renvoie
boolean True on success.
Depuis
2.5

Références $query, et $state.

La documentation de cette classe a été générée à partir du fichier suivant :
  • map.php


Joomla CMS: Référence de la classe FinderViewFilter

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderViewFilter
+ Graphe d'héritage de FinderViewFilter:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$filter
$form
$item
$state
$total

Description détaillée

Filter view class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Method to configure the toolbar for this view.

Renvoie
void
Depuis
2.5

Références item, et title.

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed A string if successful, otherwise a JError object.
Depuis
2.5

Références item, et JPATH_SITE.

Documentation des champs

◆ $filter

$filter
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected

◆ $total

$total
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/views/filter/view.html.php


Joomla CMS: Référence de la classe FinderViewFilters

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderViewFilters
+ Graphe d'héritage de FinderViewFilters:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$sidebar
$state
$total

Description détaillée

Filters view class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Method to configure the toolbar for this view.

Renvoie
void
Depuis
2.5

Références $toolbar, et title.

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed A string if successful, otherwise a JError object.
Depuis
2.5

Références FinderHelper\addSubmenu(), items, et JHtmlSidebar\render().

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected

◆ $total

$total
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/views/filters/view.html.php


Joomla CMS: Référence de la classe FinderViewIndex

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderViewIndex
+ Graphe d'héritage de FinderViewIndex:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$pluginState
$sidebar
$state
$total

Description détaillée

Index view class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Method to configure the toolbar for this view.

Renvoie
void
Depuis
2.5

Références $toolbar, et title.

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed A string if successful, otherwise a JError object.
Depuis
2.5

Références $link, FinderHelper\addSubmenu(), elseif, FinderHelper\getFinderPluginId(), items, FinderHelperLanguage\loadPluginLanguage(), JError\raiseError(), et JHtmlSidebar\render().

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $pluginState

$pluginState
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected

◆ $total

$total
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/views/index/view.html.php


Joomla CMS: Référence de la classe FinderViewIndexer

Référence de la classe FinderViewIndexer
+ Graphe d'héritage de FinderViewIndexer:

Description détaillée

Indexer view class for Finder.

Depuis
2.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/views/indexer/view.html.php


Joomla CMS: Référence de la classe FinderViewMaps

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderViewMaps
+ Graphe d'héritage de FinderViewMaps:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$sidebar
$state
$total

Description détaillée

Groups view class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Method to configure the toolbar for this view.

Renvoie
void
Depuis
2.5

Références title.

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed A string if successful, otherwise a JError object.
Depuis
2.5

Références FinderHelper\addSubmenu(), items, FinderHelperLanguage\loadPluginLanguage(), et JHtmlSidebar\render().

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected

◆ $total

$total
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/views/maps/view.html.php


Joomla CMS: Référence de la classe FinderViewSearch

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FinderViewSearch
+ Graphe d'héritage de FinderViewSearch:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

getFields ()
getLayoutFile ($layout=null)
prepareDocument ($query)

Attributs protégés

$query
$params
$state
$user
$results
$total
$pagination

Description détaillée

Search feed view class for the Finder package.

Depuis
2.5

Search HTML view class for the Finder package.

Depuis
2.5

OpenSearch View class for Finder

Depuis
2.5

Documentation des fonctions membres

◆ display() [1/3]

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed JError object on failure, void on success.
Depuis
2.5

Références $app, $item, $params, $query, $results, $state, $title, elseif, et ENT_QUOTES.

◆ display() [2/3]

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed JError object on failure, void on success.
Depuis
2.5

Références $app, $doc, $items, $menu, $params, et getDocument.

◆ display() [3/3]

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed JError object on failure, void on success.
Depuis
2.5

Références $active, $app, $params, $query, $results, $state, $total, htmlspecialchars, JDEBUG, SearchHelper\logSearch(), null, pageclass_sfx, et JError\raiseError().

◆ getFields()

getFields ( )
protected

Method to get hidden input fields for a get form so that control variables are not lost upon form submission

Renvoie
string A string of hidden input form fields
Depuis
2.5

Références $fields, $n, $uri, et null.

◆ getLayoutFile()

getLayoutFile ( $layout = null )
protected

Method to get the layout file for a search result object.

Paramètres
string $layout The layout file to check. [optional]
Renvoie
string The layout file to use.
Depuis
2.5

Références $file, $layout, et jimport().

◆ prepareDocument()

prepareDocument ( $query )
protected

Prepares the document

Paramètres
FinderIndexerQuery $query The search query
Renvoie
void
Depuis
2.5

Références $app, $layout, $menu, $query, $route, $title, elseif, ENT_QUOTES, et null.

Documentation des champs

◆ $pagination

$pagination
protected

◆ $params

$params
protected

◆ $query

$query
protected

◆ $results

$results
protected

◆ $state

$state
protected

◆ $total

$total
protected

◆ $user

$user
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • com_finder/views/search/view.feed.php
  • components/com_finder/views/search/view.html.php
  • com_finder/views/search/view.opensearch.php


Joomla CMS: Référence de la classe FinderViewStatistics

Fonctions membres publiques | Attributs protégés
Référence de la classe FinderViewStatistics
+ Graphe d'héritage de FinderViewStatistics:

Fonctions membres publiques

display ($tpl=null)

Attributs protégés

$data

Description détaillée

Statistics view class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl A template file to load. [optional]
Renvoie
mixed A string if successful, otherwise a JError object.
Depuis
2.5

Documentation des champs

◆ $data

$data
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/views/statistics/view.html.php


Joomla CMS: Référence de la classe FOFAutoloaderComponent

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs publics statiques | Attributs protégés statiques | Fonctions membres privées
Référence de la classe FOFAutoloaderComponent

Fonctions membres publiques

__construct ()
isFOFComponent ($component)
autoload_fof_controller ($class_name)
autoload_fof_model ($class_name)
autoload_fof_view ($class_name)
autoload_fof_table ($class_name)
autoload_fof_helper ($class_name)
autoload_fof_toolbar ($class_name)
autoload_fof_field ($class_name)

Fonctions membres publiques statiques

static init ()

Attributs publics statiques

static | $autoloader = null
static | $fofPath = null

Attributs protégés statiques

static $fofComponents = array()

Fonctions membres privées

class_alias ($original, $alias, $autoload=true)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Public constructor. Registers the autoloader with PHP.

Documentation des fonctions membres

◆ autoload_fof_controller()

autoload_fof_controller ( $class_name )

Autoload Controllers

Paramètres
string $class_name The name of the class to load
Renvoie
void

Références $component, $file, $parts, $path, $view, FOFInflector\camelize(), elseif, FOFPlatform\getInstance(), FOFDispatcher\isCliAdmin(), FOFInflector\isSingular(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

◆ autoload_fof_field()

autoload_fof_field ( $class_name )

Autoload Fields

Paramètres
string $class_name The name of the class to load
Renvoie
void

Références FOFPlatform\getInstance().

◆ autoload_fof_helper()

autoload_fof_helper ( $class_name )

Autoload Helpers

Paramètres
string $class_name The name of the class to load
Renvoie
void

Références $component, $file, $parts, $path, $view, FOFInflector\camelize(), FOFPlatform\getInstance(), FOFDispatcher\isCliAdmin(), FOFInflector\isSingular(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

◆ autoload_fof_model()

autoload_fof_model ( $class_name )

Autoload Models

Paramètres
string $class_name The name of the class to load
Renvoie
void

Références $component, $file, $parts, $path, $view, FOFInflector\camelize(), elseif, FOFPlatform\getInstance(), FOFDispatcher\isCliAdmin(), FOFInflector\isSingular(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

◆ autoload_fof_table()

autoload_fof_table ( $class_name )

Autoload Tables

Paramètres
string $class_name The name of the class to load
Renvoie
void

Références $component, $file, $parts, $path, $view, FOFInflector\camelize(), elseif, FOFPlatform\getInstance(), FOFDispatcher\isCliAdmin(), FOFInflector\isSingular(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

◆ autoload_fof_toolbar()

autoload_fof_toolbar ( $class_name )

Autoload Toolbars

Paramètres
string $class_name The name of the class to load
Renvoie
void

Références $component, $file, $parts, $path, FOFPlatform\getInstance(), FOFDispatcher\isCliAdmin(), et null.

◆ autoload_fof_view()

autoload_fof_view ( $class_name )

Autoload Views

Paramètres
string $class_name The name of the class to load
Renvoie
void

Références $component, $file, $format, $input, $parts, $path, $view, FOFInflector\camelize(), elseif, FOFPlatform\getInstance(), FOFDispatcher\isCliAdmin(), FOFInflector\isSingular(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

◆ class_alias()

class_alias | ( | $original,
 |  | $alias,
 |  | $autoload = true
 | ) |
private

Creates class aliases. On systems where eval() is enabled it creates a real class. On other systems it merely creates an alias. The eval() method is preferred as class_aliases result in the name of the class being instantiated not being available, making it impossible to create a class instance without passing a $config array :(

Paramètres
string | $original | The name of the original (existing) class
string | $alias | The name of the new (aliased) class
boolean | $autoload | Should I try to autoload the $original class?
Renvoie
void

Références null.

◆ init()

static init ( )
static

Initialise this autoloader

Renvoie
FOFAutoloaderComponent

Références null.

◆ isFOFComponent()

isFOFComponent ( $component )

Returns true if this is a FOF-powered component, i.e. if it has a fof.xml file in its main directory.

Paramètres
string $component The component's name
Renvoie
boolean

Références $component, et FOFPlatform\getInstance().

Documentation des champs

◆ $autoloader

$autoloader = null
static

◆ $fofComponents

$fofComponents = array()
staticprotected

◆ $fofPath

$fofPath = null
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/autoloader/component.php


Joomla CMS: Référence de la classe FOFAutoloaderFof

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe FOFAutoloaderFof

Fonctions membres publiques

__construct ()
autoload_fof_core ($class_name)

Fonctions membres publiques statiques

static init ()

Attributs publics statiques

static | $autoloader = null
static | $fofPath = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Public constructor. Registers the autoloader with PHP.

Documentation des fonctions membres

◆ autoload_fof_core()

autoload_fof_core ( $class_name )

The actual autoloader

Paramètres
string $class_name The name of the class to load
Renvoie
void

Références $class, et $path.

◆ init()

static init ( )
static

Initialise this autoloader

Renvoie
FOFAutoloaderFof

Références null.

Documentation des champs

◆ $autoloader

$autoloader = null
static

◆ $fofPath

$fofPath = null
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof.php


Joomla CMS: Référence de la classe FOFConfigDomainDispatcher

Fonctions membres publiques
Référence de la classe FOFConfigDomainDispatcher
+ Graphe d'héritage de FOFConfigDomainDispatcher:
FOFConfigDomainInterface

Fonctions membres publiques

parseDomain (SimpleXMLElement $xml, array &$ret)
get (&$configuration, $var, $default)

Documentation des fonctions membres

◆ get()

get | ( | & | $configuration,
 |  |  | $var,
 |  |  | $default
 | ) |  |

Return a configuration variable

Paramètres
string | &$configuration | Configuration variables (hashed array)
string | $var | The variable we want to fetch
mixed | $default | Default value
Renvoie
mixed The variable's value

Implémente FOFConfigDomainInterface.

Références $default.

◆ parseDomain()

parseDomain | ( | SimpleXMLElement | $xml,
 |  | array & | $ret
 | ) |  |

Parse the XML data, adding them to the $ret array

Paramètres
SimpleXMLElement | $xml | The XML data of the component's configuration area
array | &$ret | The parsed data, in the form of a hash array
Renvoie
void

Implémente FOFConfigDomainInterface.

Références $key, $option, et $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/config/domain/dispatcher.php


Joomla CMS: Référence de l'interface FOFConfigDomainInterface

Fonctions membres publiques
Référence de l'interface FOFConfigDomainInterface
+ Graphe d'héritage de FOFConfigDomainInterface:
FOFConfigDomainDispatcher FOFConfigDomainTables FOFConfigDomainViews

Fonctions membres publiques

parseDomain (SimpleXMLElement $xml, array &$ret)
get (&$configuration, $var, $default)

Documentation des fonctions membres

◆ get()

get | ( | & | $configuration,
 |  |  | $var,
 |  |  | $default
 | ) |  |

Return a configuration variable

Paramètres
string | &$configuration | Configuration variables (hashed array)
string | $var | The variable we want to fetch
mixed | $default | Default value
Renvoie
mixed The variable's value

Implémenté dans FOFConfigDomainViews, FOFConfigDomainTables, et FOFConfigDomainDispatcher.

◆ parseDomain()

parseDomain | ( | SimpleXMLElement | $xml,
 |  | array & | $ret
 | ) |  |

Parse the XML data, adding them to the $ret array

Paramètres
SimpleXMLElement | $xml | The XML data of the component's configuration area
array | &$ret | The parsed data, in the form of a hash array
Renvoie
void

Implémenté dans FOFConfigDomainDispatcher, FOFConfigDomainTables, et FOFConfigDomainViews.

La documentation de cette interface a été générée à partir du fichier suivant :
  • fof/config/domain/interface.php


Joomla CMS: Référence de la classe FOFConfigDomainTables

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFConfigDomainTables
+ Graphe d'héritage de FOFConfigDomainTables:
FOFConfigDomainInterface

Fonctions membres publiques

parseDomain (SimpleXMLElement $xml, array &$ret)
get (&$configuration, $var, $default)

Fonctions membres protégées

getField ($table, &$configuration, $params, $default='')
getTablealias ($table, &$configuration, $params, $default='')
getBehaviors ($table, &$configuration, $params, $default='')
getRelations ($table, &$configuration, $params, $default='')

Documentation des fonctions membres

◆ get()

get | ( | & | $configuration,
 |  |  | $var,
 |  |  | $default
 | ) |  |

Return a configuration variable

Paramètres
string | &$configuration | Configuration variables (hashed array)
string | $var | The variable we want to fetch
mixed | $default | Default value
Renvoie
mixed The variable's value

Implémente FOFConfigDomainInterface.

Références $default, $parts, et $view.

◆ getBehaviors()

getBehaviors | ( |  | $table,
 |  | & | $configuration,
 |  |  | $params,
 |  |  | $default = ''
 | ) |  |
protected

Internal method to get table behaviours

Paramètres
string | $table | The table for which we will be fetching table alias
array | &$configuration | The configuration parameters hash array
array | $params | Extra options; key 0 defines the table we want to fetch
string | $default | Default table alias
Renvoie
string Table behaviours

Références $default.

◆ getField()

getField | ( |  | $table,
 |  | & | $configuration,
 |  |  | $params,
 |  |  | $default = ''
 | ) |  |
protected

Internal method to return the magic field mapping

Paramètres
string | $table | The table for which we will be fetching a field map
array | &$configuration | The configuration parameters hash array
array | $params | Extra options; key 0 defines the table we want to fetch
string | $default | Default magic field mapping; empty if not defined
Renvoie
array Field map

Références $default, $params, et elseif.

◆ getRelations()

getRelations | ( |  | $table,
 |  | & | $configuration,
 |  |  | $params,
 |  |  | $default = ''
 | ) |  |
protected

Internal method to get table relations

Paramètres
string | $table | The table for which we will be fetching table alias
array | &$configuration | The configuration parameters hash array
array | $params | Extra options; key 0 defines the table we want to fetch
string | $default | Default table alias
Renvoie
array Table relations

Références $default.

◆ getTablealias()

getTablealias | ( |  | $table,
 |  | & | $configuration,
 |  |  | $params,
 |  |  | $default = ''
 | ) |  |
protected

Internal method to get table alias

Paramètres
string | $table | The table for which we will be fetching table alias
array | &$configuration | The configuration parameters hash array
array | $params | Extra options; key 0 defines the table we want to fetch
string | $default | Default table alias
Renvoie
string Table alias

Références $default.

◆ parseDomain()

parseDomain | ( | SimpleXMLElement | $xml,
 |  | array & | $ret
 | ) |  |

Parse the XML data, adding them to the $ret array

Paramètres
SimpleXMLElement | $xml | The XML data of the component's configuration area
array | &$ret | The parsed data, in the form of a hash array
Renvoie
void

Implémente FOFConfigDomainInterface.

Références $default, $field, $key, $type, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • tables.php


Joomla CMS: Référence de la classe FOFConfigDomainViews

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFConfigDomainViews
+ Graphe d'héritage de FOFConfigDomainViews:
FOFConfigDomainInterface

Fonctions membres publiques

parseDomain (SimpleXMLElement $xml, array &$ret)
get (&$configuration, $var, $default)

Fonctions membres protégées

getTaskmap ($view, &$configuration, $params, $default=array())
getAcl ($view, &$configuration, $params, $default='')
getConfig ($view, &$configuration, $params, $default=null)
getToolbar ($view, &$configuration, $params, $default='')

Documentation des fonctions membres

◆ get()

get | ( | & | $configuration,
 |  |  | $var,
 |  |  | $default
 | ) |  |

Return a configuration variable

Paramètres
string | &$configuration | Configuration variables (hashed array)
string | $var | The variable we want to fetch
mixed | $default | Default value
Renvoie
mixed The variable's value

Implémente FOFConfigDomainInterface.

Références $default, $parts, et $view.

◆ getAcl()

getAcl | ( |  | $view,
 |  | & | $configuration,
 |  |  | $params,
 |  |  | $default = ''
 | ) |  |
protected

Internal method to return the ACL mapping (privilege required to access a specific task) for the given view's tasks

Paramètres
string | $view | The view for which we will be fetching a task map
array | &$configuration | The configuration parameters hash array
array | $params | Extra options; key 0 defines the task we want to fetch
string | $default | Default ACL option; empty (no ACL check) if not defined
Renvoie
string The privilege required to access this view

Références $default, $params, et $view.

◆ getConfig()

getConfig | ( |  | $view,
 |  | & | $configuration,
 |  |  | $params,
 |  |  | $default = null
 | ) |  |
protected

Internal method to return the a configuration option for the view. These are equivalent to $config array options passed to the Controller

Paramètres
string | $view | The view for which we will be fetching a task map
array | &$configuration | The configuration parameters hash array
array | $params | Extra options; key 0 defines the option variable we want to fetch
mixed | $default | Default option; null if not defined
Renvoie
string The setting for the requested option

Références $default, $params, et $view.

◆ getTaskmap()

getTaskmap | ( |  | $view,
 |  | & | $configuration,
 |  |  | $params,
 |  |  | $default = array()
 | ) |  |
protected

Internal function to return the task map for a view

Paramètres
string | $view | The view for which we will be fetching a task map
array | &$configuration | The configuration parameters hash array
array | $params | Extra options (not used)
array | $default | ßDefault task map; empty array if not provided
Renvoie
array The task map as a hash array in the format task => method

Références $default, et $view.

◆ getToolbar()

getToolbar | ( |  | $view,
 |  | & | $configuration,
 |  |  | $params,
 |  |  | $default = ''
 | ) |  |
protected

Internal method to return the toolbar infos.

Paramètres
string | $view | The view for which we will be fetching buttons
array | &$configuration | The configuration parameters hash array
array | $params | Extra options
string | $default | Default option
Renvoie
string The toolbar data for this view

Références $default, $params, $toolbar, et $view.

◆ parseDomain()

parseDomain | ( | SimpleXMLElement | $xml,
 |  | array & | $ret
 | ) |  |

Parse the XML data, adding them to the $ret array

Paramètres
SimpleXMLElement | $xml | The XML data of the component's configuration area
array | &$ret | The parsed data, in the form of a hash array
Renvoie
void

Implémente FOFConfigDomainInterface.

Références $button, $key, et $option.

La documentation de cette classe a été générée à partir du fichier suivant :
  • views.php


Joomla CMS: Référence de la classe FOFConfigProvider

Fonctions membres publiques | Attributs publics statiques | Fonctions membres protégées
Référence de la classe FOFConfigProvider

Fonctions membres publiques

parseComponent ($component, $force=false)
get ($variable, $default=null)

Attributs publics statiques

static $configurations = array()

Fonctions membres protégées

parseComponentArea ($component, $area)
getDomains ()

Documentation des fonctions membres

◆ get()

get | ( | $variable,
 |  | $default = null
 | ) |

Returns the value of a variable. Variables use a dot notation, e.g. view.config.whatever where the first part is the domain, the rest of the parts specify the path to the variable.

Paramètres
string | $variable | The variable name
mixed | $default | The default value, or null if not specified
Renvoie
mixed The value of the variable

Références $class, $component, $default, et null.

Référencé par FOFDispatcher\__construct(), et FOFController\getTmpInstance().

◆ getDomains()

getDomains ( )
protected

Gets a list of the available configuration domain adapters

Renvoie
array A list of the available domains

Références $file, $files, et FOFPlatform\getInstance().

◆ parseComponent()

parseComponent | ( | $component,
 |  | $force = false
 | ) |

Parses the configuration of the specified component

Paramètres
string | $component | The name of the component, e.g. com_foobar
boolean | $force | Force reload even if it's already parsed?
Renvoie
void

Références $component, $config, elseif, et FOFPlatform\getInstance().

◆ parseComponentArea()

parseComponentArea | ( | $component,
 |  | $area
 | ) |
protected

Parses the configuration options of a specific component area

Paramètres
string | $component | Which component's configuration to parse
string | $area | Which area to parse (frontend, backend, cli)
Renvoie
array A hash array with the configuration data

Références $class, $component, $data, $path, et FOFPlatform\getInstance().

Documentation des champs

◆ $configurations

$configurations = array()
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • provider.php


Joomla CMS: Référence de la classe FOFController

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe FOFController
+ Graphe d'héritage de FOFController:
FOFUtilsObject PostinstallControllerMessage

Fonctions membres publiques

__construct ($config=array())
addViewPath ($path)
authorise ($task)
execute ($task)
display ($cachable=false, $urlparams=false, $tpl=null)
browse ()
read ()
add ()
edit ()
apply ()
copy ()
save ()
savenew ()
cancel ()
loadhistory ()
accesspublic ()
accessregistered ()
accessspecial ()
publish ()
unpublish ()
archive ()
trash ()
saveorder ()
orderdown ()
orderup ()
remove ()
redirect ()
hasRedirect ()
registerDefaultTask ($method)
registerTask ($task, $method)
unregisterTask ($task)
setMessage ($text, $type='message')
setRedirect ($url, $msg=null, $type=null)
getThisModel ($config=array())
getModel ($name='', $prefix='', $config=array())
getThisView ($config=array())
getName ()
getTask ()
getTasks ()
getView ($name='', $type='', $prefix='', $config=array())
setThisViewName ($viewName)
setThisModelName ($modelName)
getItemidURLSuffix ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres publiques statiques

static & | getAnInstance ($option=null, $view=null, $config=array())
static & | getTmpInstance ($option=null, $view=null, $config=array())
static | addModelPath ($path, $prefix='')

Fonctions membres protégées

addPath ($type, $path)
setPath ($type, $path)
setstate ($state=0)
setaccess ($level=0)
createModel ($name, $prefix='', $config=array())
& _createModel ($name, $prefix='', $config=array())
createView ($name, $prefix='', $type='', $config=array())
& _createView ($name, $prefix='', $type='', $config=array())
checkACL ($area)
onBeforeGenericTask ($task)
onBeforeApplySave (&$data)
onAfterApplySave ()
onBeforeAccesspublic ()
onBeforeAccessregistered ()
onBeforeAccessspecial ()
onBeforeAdd ()
onBeforeApply ()
onBeforeBrowse ()
onBeforeCancel ()
onBeforeEdit ()
onBeforeOrderdown ()
onBeforeOrderup ()
onBeforePublish ()
onBeforeRemove ()
onBeforeSave ()
onBeforeSavenew ()
onBeforeSaveorder ()
onBeforeUnpublish ()
_csrfProtection ()

Fonctions membres protégées statiques

static createFileName ($type, $parts=array())

Attributs protégés

$autoRouting = 0
$bareComponent = 'foobar'
$basePath
$cacheableTasks = array('browse', 'read')
$component = 'com_foobar'
$config = array()
$configProvider = null
$csrfProtection = 2
$default_view
$doTask
$input = array()
$message
$messageType
$layout = null
$methods
$model_prefix
$modelName = null
$paths
$redirect
$task
$taskMap
$name
$view = ''
$viewName = null
$viewsCache = array()
$hasForm = false
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Fonctions membres privées

applySave ()

Attributs privés

$_viewObject = null
$_modelObject = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Public constructor of the Controller class

Paramètres
array $config Optional configuration parameters

Références $basePath, $config, $input, $r, elseif, FOFInflector\explode(), FOFPlatform\getInstance(), name, null, FOFInflector\singularize(), et view.

Documentation des fonctions membres

◆ _createModel()

& _createModel | ( | $name,
 |  | $prefix = '',
 |  | $config = array()
 | ) |
protected

Method to load and return a model object.

Paramètres
string | $name | The name of the model.
string | $prefix | Optional model prefix.
array | $config | Configuration array for the model. Optional.
Renvoie
mixed Model object on success; otherwise null

Références $config, $name, $prefix, et FOFPlatform\getInstance().

◆ _createView()

& _createView | ( | $name,
 |  | $prefix = '',
 |  | $type = '',
 |  | $config = array()
 | ) |
protected

Deprecated function to create a View object instance

Paramètres
string | $name | The name of the view, e.g. 'Items'
string | $prefix | The prefix of the view, e.g. 'FoobarView'
string | $type | The view type, e.g. 'html'
array | $config | The configuration array for the view
Renvoie
FOFView
Voir également
FOFController::createView
Obsolète:
since version 2.0

Références $config, $name, $prefix, $type, et FOFPlatform\getInstance().

◆ _csrfProtection()

_csrfProtection ( )
protected

Applies CSRF protection by means of a standard Joomla! token (nonce) check. Raises a 403 Access Forbidden error through the platform if the check fails.

TODO Move this check inside the platform

@return  boolean  True if the CSRF check is successful

@throws Exception

Références elseif, FOFPlatform\getInstance(), et null.

◆ accesspublic()

accesspublic ( )

Sets the access to public. Joomla! 1.5 compatibility.

Renvoie
bool
Obsolète:
since 2.0

◆ accessregistered()

accessregistered ( )

Sets the access to registered. Joomla! 1.5 compatibility.

Renvoie
bool
Obsolète:
since 2.0

◆ accessspecial()

accessspecial ( )

Sets the access to special. Joomla! 1.5 compatibility.

Renvoie
bool
Obsolète:
since 2.0

◆ add()

add ( )

Single record add. The form layout is used to present a blank page.

Renvoie
false|void

Références $form, et $item.

◆ addModelPath()

static addModelPath | ( | $path,
 |  | $prefix = ''
 | ) |
static

Adds to the stack of model paths in LIFO order.

Paramètres
mixed | $path | The directory (string) , or list of directories (array) to add.
string | $prefix | A prefix for models
Renvoie
void

Références $path, $prefix, et FOFModel\addIncludePath().

◆ addPath()

addPath | ( | $type,
 |  | $path
 | ) |
protected

Adds to the search path for templates and resources.

Paramètres
string | $type | The path type (e.g. 'model', 'view').
mixed | $path | The directory string or stream array to search.
Renvoie
FOFController A FOFController object to support chaining.

Références $path, $type, et FOFPlatform\getInstance().

◆ addViewPath()

addViewPath ( $path )

Add one or more view paths to the controller's stack, in LIFO order.

Paramètres
mixed $path The directory (string) or list of directories (array) to add.
Renvoie
FOFController This object to support chaining.

Références $path.

◆ apply()

apply ( )

Save the incoming data and then return to the Edit task

Renvoie
bool

Références $id, $url, et view.

◆ applySave()

applySave ( )
private

Common method to handle apply and save tasks

Renvoie
boolean Returns true on success

Références $data, $id, $url, elseif, FOFPlatform\getInstance(), null, et view.

◆ archive()

archive ( )

Archive (set enabled = 2) an item.

Renvoie
bool

◆ authorise()

authorise ( $task )

Authorisation check

Paramètres
string $task The ACO Section Value to check access on.
Renvoie
boolean True if authorised
Obsolète:
2.0 Use JAccess instead.

Références FOFPlatform\getInstance().

◆ browse()

browse ( )

Implements a default browse task, i.e. read a bunch of records and send them to the browser.

Renvoie
boolean

Références $form, et $layout.

◆ cancel()

cancel ( )

Cancel the edit, check in the record and return to the Browse task

Renvoie
bool

Références $url, null, FOFInflector\pluralize(), et view.

◆ checkACL()

checkACL ( $area )
protected

Checks if the current user has enough privileges for the requested ACL area.

Paramètres
string $area The ACL area, e.g. core.manage.
Renvoie
boolean True if the user has the ACL privilege specified

Références $asset, $id, elseif, FOFPlatform\getInstance(), if, null, FOFInflector\singularize(), et view.

◆ copy()

copy ( )

Duplicates selected items

Renvoie
bool

Références $url, FOFPlatform\getInstance(), FOFInflector\pluralize(), et view.

◆ createFileName()

static createFileName | ( | $type,
 |  | $parts = array()
 | ) |
staticprotected

Create the filename for a resource.

Paramètres
string | $type | The resource type to create the filename for.
array | $parts | An associative array of filename information. Optional.
Renvoie
string The filename.

Références $parts, et $type.

◆ createModel()

createModel | ( | $name,
 |  | $prefix = '',
 |  | $config = array()
 | ) |
protected

Creates a new model object

Paramètres
string | $name | The name of the model class, e.g. Items
string | $prefix | The prefix of the model class, e.g. FoobarModel
array | $config | The configuration parameters for the model class
Renvoie
FOFModel The model object

Références $config, $name, $prefix, elseif, FOFModel\getAnInstance(), et null.

◆ createView()

createView | ( | $name,
 |  | $prefix = '',
 |  | $type = '',
 |  | $config = array()
 | ) |
protected

Creates a View object instance and returns it

Paramètres
string | $name | The name of the view, e.g. Items
string | $prefix | The prefix of the view, e.g. FoobarView
string | $type | The type of the view, usually one of Html, Raw, Json or Csv
array | $config | The configuration variables to use for creating the view
Renvoie
FOFView

Some administrative templates force format=utf (yeah, I know, what the heck, right?) when a format URL parameter does not exist in the URL. Of course there is no such thing as FOFViewUtf (why the heck would it be, there is no such thing as a format=utf in Joomla! for crying out loud) which causes a Fatal Error. So we have to detect that and force $type='html'...

Références $component, $config, $input, $name, $path, $prefix, $style, $suffix, $type, $view, elseif, FOFPlatform\getInstance(), FOFInflector\isPlural(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false,
 |  | $tpl = null
 | ) |

Default task. Assigns a model to the view and asks the view to render itself.

YOU MUST NOT USETHIS TASK DIRECTLY IN A URL. It is supposed to be used ONLY inside your code. In the URL, use task=browse instead.

Paramètres
bool | $cachable | Is this view cacheable?
bool | $urlparams | Add your safe URL parameters (see further down in the code)
string | $tpl | The name of the template file to parse
Renvoie
bool

Références $app, $document, $doTask, $groups, $key, $option, $user, $value, $view, FOFPlatform\getInstance(), et null.

◆ edit()

edit ( )

Single record edit. The ID set in the request is passed to the model, then the form layout is used to edit the result.

Renvoie
bool

Références $form, $item, $url, FOFInflector\pluralize(), et view.

◆ execute()

execute ( $task )

Executes a given controller task. The onBefore<task> and onAfter<task> methods are called automatically if they exist.

Paramètres
string $task The task to execute, e.g. "browse"
Exceptions
Exception Exception thrown if the onBefore<task> returns false
Renvoie
null|bool False on execution failure

Références $doTask, $task, FOFInflector\camelize(), elseif, FOFPlatform\getInstance(), null, task, et view.

◆ getAnInstance()

static& getAnInstance | ( | $option = null,
 |  | $view = null,
 |  | $config = array()
 | ) |
static

Gets a static (Singleton) instance of a controller class. It loads the relevant controller file from the component's directory or, if it doesn't exist, creates a new controller object out of thin air.

Paramètres
string | $option | Component name, e.g. com_foobar
string | $view | The view name, also used for the controller name
array | $config | Configuration parameters
Renvoie
FOFController

Références $config, $hash, $option, $view, et elseif.

◆ getItemidURLSuffix()

getItemidURLSuffix ( )

Gets a URL suffix with the Itemid parameter. If it's not the front-end of the site, or if there is no Itemid set it returns an empty string.

Renvoie
string The &Itemid=123 URL suffix, or an empty string if Itemid is not applicable

Références FOFPlatform\getInstance().

◆ getModel()

getModel | ( | $name = '',
 |  | $prefix = '',
 |  | $config = array()
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.

Références $app, $config, $item, $menu, $name, $params, $prefix, elseif, FOFPlatform\getInstance(), et task.

◆ getName()

getName ( )

Method to get the controller name

The dispatcher name is set by default parsed using the classname, or it can be set by passing a $config['name'] in the class constructor

Exceptions
Exception
Renvoie
string The name of the dispatcher

Références $name, $r, name, et null.

◆ getTask()

getTask ( )

Get the last task that is being performed or was most recently performed.

Renvoie
string The task that is being performed or was most recently performed.

Références $task.

◆ getTasks()

getTasks ( )

Gets the available tasks in the controller.

Renvoie
array Array[i] of task names.

◆ getThisModel()

getThisModel ( $config = array() )
final

Returns the default model associated with the current view

Paramètres
array $config Configuration variables for the model
Renvoie
FOFModel The global instance of the model (singleton)

Références $config, $input, $parts, $prefix, elseif, FOFInflector\explode(), FOFInflector\implode(), FOFInflector\pluralize(), et view.

◆ getThisView()

getThisView ( $config = array() )
final

Returns current view object

Paramètres
array $config Configuration variables for the model
Renvoie
FOFView The global instance of the view object (singleton)

Références $config, $document, $input, $parts, $prefix, elseif, FOFInflector\explode(), FOFPlatform\getInstance(), FOFInflector\implode(), null, et view.

◆ getTmpInstance()

static& getTmpInstance | ( | $option = null,
 |  | $view = null,
 |  | $config = array()
 | ) |
static

Gets a temporary instance of a controller object. A temporary instance is not a Singleton and can be disposed off after use.

Paramètres
string | $option | The component name, e.g. com_foobar
string | $view | The view name, e.g. cpanel
array | $config | Configuration parameters
Renvoie
A disposable class instance

Try to find the path to this file. First try to find the format-specific controller file, e.g. foobar.json.php for format=json, then the regular one-size-fits-all controller

Références $className, $config, $format, $input, $option, $path, $suffix, $view, elseif, FOFConfigProvider\get(), FOFPlatform\getInstance(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

Référencé par FOFDispatcher\dispatch().

◆ getView()

getView | ( | $name = '',
 |  | $type = '',
 |  | $prefix = '',
 |  | $config = array()
 | ) |

Method to get a reference to the current view and load it if necessary.

Paramètres
string | $name | The view name. Optional, defaults to the controller name.
string | $type | The view type. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for view. Optional.
Exceptions
Exception
Renvoie
FOFView Reference to the view or an error.

Références $config, $name, $prefix, $type, $view, et elseif.

◆ hasRedirect()

hasRedirect ( )

Returns true if there is a redirect set in the controller

Renvoie
boolean

◆ loadhistory()

loadhistory ( )

Method to load a row from version history

Renvoie
boolean True if the content history is reverted, false otherwise
Depuis
2.2

Références $app, $key, $lang, $url, $view, null, FOFInflector\pluralize(), FOFInflector\singularize(), et view.

◆ onAfterApplySave()

onAfterApplySave ( )
protected

Execute something after applySave has run.

Renvoie
boolean True to allow normal return, false to cause a 403 error

◆ onBeforeAccesspublic()

onBeforeAccesspublic ( )
protected

ACL check before changing the access level; override to customise

Renvoie
boolean True to allow accesspublic() to run

Références FOFInflector\singularize(), et view.

◆ onBeforeAccessregistered()

onBeforeAccessregistered ( )
protected

ACL check before changing the access level; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeAccessspecial()

onBeforeAccessspecial ( )
protected

ACL check before changing the access level; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeAdd()

onBeforeAdd ( )
protected

ACL check before adding a new record; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeApply()

onBeforeApply ( )
protected

ACL check before saving a new/modified record; override to customise

Renvoie
boolean True to allow the method to run

Références $id, FOFInflector\singularize(), et view.

◆ onBeforeApplySave()

onBeforeApplySave ( & $data )
protected

Execute something before applySave is called. Return false to prevent applySave from executing.

Paramètres
array &$data The data upon which applySave will act
Renvoie
boolean True to allow applySave to run

◆ onBeforeBrowse()

onBeforeBrowse ( )
protected

ACL check before allowing someone to browse

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeCancel()

onBeforeCancel ( )
protected

ACL check before cancelling an edit

Renvoie
boolean True to allow the method to run

Références $id, FOFInflector\singularize(), et view.

◆ onBeforeEdit()

onBeforeEdit ( )
protected

ACL check before editing a record; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeGenericTask()

onBeforeGenericTask ( $task )
protected

A catch-all method for all tasks without a corresponding onBefore method. Applies the ACL preferences defined in fof.xml.

Paramètres
string $task The task being executed
Renvoie
boolean True to allow execution of the task

Références $task, FOFInflector\singularize(), et view.

◆ onBeforeOrderdown()

onBeforeOrderdown ( )
protected

ACL check before changing the ordering of a record; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeOrderup()

onBeforeOrderup ( )
protected

ACL check before changing the ordering of a record; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforePublish()

onBeforePublish ( )
protected

ACL check before changing the publish status of a record; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeRemove()

onBeforeRemove ( )
protected

ACL check before removing a record; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeSave()

onBeforeSave ( )
protected

ACL check before saving a new/modified record; override to customise

Renvoie
boolean True to allow the method to run

Références $id, FOFInflector\singularize(), et view.

◆ onBeforeSavenew()

onBeforeSavenew ( )
protected

ACL check before saving a new/modified record; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeSaveorder()

onBeforeSaveorder ( )
protected

ACL check before changing the ordering of a record; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ onBeforeUnpublish()

onBeforeUnpublish ( )
protected

ACL check before changing the publish status of a record; override to customise

Renvoie
boolean True to allow the method to run

Références FOFInflector\singularize(), et view.

◆ orderdown()

orderdown ( )

Moves selected items one position down the ordering list

Renvoie
bool

Références $url, FOFInflector\pluralize(), et view.

◆ orderup()

orderup ( )

Moves selected items one position up the ordering list

Renvoie
bool

Références $url, FOFInflector\pluralize(), et view.

◆ publish()

publish ( )

Publish (set enabled = 1) an item.

Renvoie
bool

◆ read()

read ( )

Single record read. The id set in the request is passed to the model and then the item layout is used to render the result.

Renvoie
bool

Références $form, et $item.

◆ redirect()

redirect ( )

Redirects the browser or returns false if no redirect is set.

Renvoie
boolean False if no redirect exists.

Références $app.

◆ registerDefaultTask()

registerDefaultTask ( $method )

Register the default task to perform if a mapping is not found.

Paramètres
string $method The name of the method in the derived class to perform if a named task is not found.
Renvoie
FOFController A FOFController object to support chaining.

◆ registerTask()

registerTask | ( | $task,
 |  | $method
 | ) |

Register (map) a task to a method in the class.

Paramètres
string | $task | The task.
string | $method | The name of the method in the derived class to perform for this task.
Renvoie
FOFController A FOFController object to support chaining.

Références $task.

◆ remove()

remove ( )

Delete selected item(s)

Renvoie
bool

Références $url, FOFInflector\pluralize(), et view.

◆ save()

save ( )

Save the incoming data and then return to the Browse task

Renvoie
bool

Références $url, FOFInflector\pluralize(), et view.

◆ savenew()

savenew ( )

Save the incoming data and then return to the Add task

Renvoie
bool

Références $url, et view.

◆ saveorder()

saveorder ( )

Saves the order of the items

Renvoie
bool

Références $i, $item, $key, $n, $ordering, $url, FOFInflector\pluralize(), et view.

◆ setaccess()

setaccess ( $level = 0 )
protected

Sets the access level of the selected item(s).

Paramètres
integer $level The desired viewing access level ID
Renvoie
bool

Références $id, $item, $key, $url, FOFInflector\pluralize(), et view.

◆ setMessage()

setMessage | ( | $text,
 |  | $type = 'message'
 | ) |

Sets the internal message that is passed with a redirect

Paramètres
string | $text | Message to display on redirect.
string | $type | Message type. Optional, defaults to 'message'.
Renvoie
string Previous message

Références $message, $text, et $type.

◆ setPath()

setPath | ( | $type,
 |  | $path
 | ) |
protected

Sets an entire array of search paths for resources.

Paramètres
string | $type | The type of path to set, typically 'view' or 'model'.
string | $path | The new set of search paths. If null or false, resets to the current directory only.
Renvoie
void

Références $path, et $type.

◆ setRedirect()

setRedirect | ( | $url,
 |  | $msg = null,
 |  | $type = null
 | ) |

Registers a redirection with an optional message. The redirection is carried out when you use the redirect method.

Paramètres
string | $url | The URL to redirect to
string | $msg | The message to be pushed to the application
string | $type | The message type to be pushed to the application, e.g. 'error'
Renvoie
FOFController This object to support chaining

Références $type, $url, elseif, FOFPlatform\getInstance(), et null.

◆ setstate()

setstate ( $state = 0 )
protected

Sets the published state (the enabled field) of the selected item(s)

Paramètres
integer $state The desired state. 0 is unpublished, 1 is published.
Renvoie
bool

Références $state, $url, FOFInflector\pluralize(), et view.

◆ setThisModelName()

setThisModelName ( $modelName )

Set the name of the model to be used by this Controller

Paramètres
string $modelName The name of the model
Renvoie
void

◆ setThisViewName()

setThisViewName ( $viewName )

Set the name of the view to be used by this Controller

Paramètres
string $viewName The name of the view
Renvoie
void

◆ trash()

trash ( )

Trash (set enabled = -2) an item.

Renvoie
bool

◆ unpublish()

unpublish ( )

Unpublish (set enabled = 0) an item.

Renvoie
bool

◆ unregisterTask()

unregisterTask ( $task )

Unregister (unmap) a task in the class.

Paramètres
string $task The task.
Renvoie
FOFController This object to support chaining.

Références $task.

Documentation des champs

◆ $_modelObject

$_modelObject = null
private

◆ $_viewObject

$_viewObject = null
private

◆ $autoRouting

$autoRouting = 0
protected

◆ $bareComponent

$bareComponent = 'foobar'
protected

◆ $basePath

$basePath
protected

◆ $cacheableTasks

$cacheableTasks = array('browse', 'read')
protected

◆ $component

$component = 'com_foobar'
protected

◆ $config

$config = array()
protected

◆ $configProvider

$configProvider = null
protected

◆ $csrfProtection

$csrfProtection = 2
protected

◆ $default_view

$default_view
protected

◆ $doTask

$doTask
protected

◆ $hasForm

$hasForm = false
protected

◆ $input

$input = array()
protected

◆ $layout

$layout = null
protected

◆ $message

$message
protected

◆ $messageType

$messageType
protected

◆ $methods

$methods
protected

◆ $model_prefix

$model_prefix
protected

◆ $modelName

$modelName = null
protected

◆ $name

$name
protected

◆ $paths

$paths
protected

◆ $redirect

$redirect
protected

◆ $task

$task
protected

◆ $taskMap

$taskMap
protected

◆ $view

$view = ''
protected

◆ $viewName

$viewName = null
protected

◆ $viewsCache

$viewsCache = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/controller/controller.php


Joomla CMS: Référence de la classe FOFDatabase

Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe FOFDatabase
+ Graphe d'héritage de FOFDatabase:
FOFDatabaseDriver FOFDatabaseDriverJoomla FOFDatabaseDriverMysqli FOFDatabaseDriverPdo FOFDatabaseDriverPostgresql FOFDatabaseDriverSqlsrv FOFDatabaseDriverMysql FOFDatabaseDriverOracle FOFDatabaseDriverPdomysql FOFDatabaseDriverSqlite FOFDatabaseDriverSqlazure

Fonctions membres publiques

query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Description détaillée

Database connector class.

Depuis
11.1
Obsolète:
13.3 (Platform) & 4.0 (CMS)

Documentation des fonctions membres

◆ getConnectors()

static getConnectors ( )
static

Get a list of available database connectors. The list will only be populated with connectors that both the class exists and the static test method returns true. This gives us the ability to have a multitude of connector classes that are self-aware as to whether or not they are able to be used on a given system.

Renvoie
array An array of available database connectors.
Depuis
11.1
Obsolète:
13.1 (Platform) & 4.0 (CMS)

Références FOFDatabaseDriver\getConnectors().

◆ getErrorMsg()

getErrorMsg ( $escaped = false )

Gets the error message from the database connection.

Paramètres
boolean $escaped True to escape the message string for use in JavaScript.
Renvoie
string The error message for the most recent query.
Obsolète:
13.3 (Platform) & 4.0 (CMS)
Depuis
11.1

◆ getErrorNum()

getErrorNum ( )

Gets the error number from the database connection.

Renvoie
integer The error number for the most recent query.
Depuis
11.1
Obsolète:
13.3 (Platform) & 4.0 (CMS)

◆ getInstance()

static getInstance ( $options = array() )
static

Method to return a FOFDatabaseDriver instance based on the given options. There are three global options and then the rest are specific to the database driver. The 'driver' option defines which FOFDatabaseDriver class is used for the connection – the default is 'mysqli'. The 'database' option determines which database is to be used for the connection. The 'select' option determines whether the connector should automatically select the chosen database.

Instances are unique to the given options and new objects are only created when a unique options array is passed into the method. This ensures that we don't end up with unnecessary database connection resources.

Paramètres
array $options Parameters to be passed to the database driver.
Renvoie
FOFDatabaseDriver A database object.
Depuis
11.1
Obsolète:
13.1 (Platform) & 4.0 (CMS)

Références $options, et FOFDatabaseDriver\getInstance().

◆ query()

query ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
11.1
Exceptions
RuntimeException
Obsolète:
13.1 (Platform) & 4.0 (CMS)

◆ splitSql()

static splitSql ( $query )
static

Splits a string of multiple queries into an array of individual queries.

Paramètres
string $query Input SQL string with which to split into individual queries.
Renvoie
array The queries from the input string separated into an array.
Depuis
11.1
Obsolète:
13.1 (Platform) & 4.0 (CMS)

Références $query, et FOFDatabaseDriver\splitSql().

◆ stderr()

stderr ( $showSQL = false )

Return the most recent error message for the database connector.

Paramètres
boolean $showSQL True to display the SQL statement sent to the database as well as the error.
Renvoie
string The error message for the most recent query.
Depuis
11.1
Obsolète:
13.3 (Platform) & 4.0 (CMS)

◆ test()

static test ( )
static

Test to see if the connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
11.1
Obsolète:
12.3 (Platform) & 4.0 (CMS) - Use FOFDatabaseDriver::isSupported() instead.
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/database.php


Joomla CMS: Référence de la classe FOFDatabaseDriver

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Attributs privés
Référence de la classe FOFDatabaseDriver
+ Graphe d'héritage de FOFDatabaseDriver:
FOFDatabase FOFDatabaseInterface JDatabaseInterface FOFDatabaseDriverMysqli FOFDatabaseDriverPdo FOFDatabaseDriverPostgresql FOFDatabaseDriverSqlsrv FOFDatabaseDriverMysql FOFDatabaseDriverOracle FOFDatabaseDriverPdomysql FOFDatabaseDriverSqlite FOFDatabaseDriverSqlazure

Fonctions membres publiques

__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()
- Fonctions membres publiques statiques hérités de JDatabaseInterface
static | isSupported ()

Champs de données

$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $instances = array()
static | $dbMinimum

Attributs privés

$_database

Description détaillée

Joomla Platform Database Driver Class

Depuis
12.1

string q() q($text, $escape = true) Alias for quote method string qn() qn($name, $as = null) Alias for quoteName method

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options List of options used to configure the connection
Depuis
11.1

Références $options, et null.

Documentation des fonctions membres

◆ __call()

__call | ( | $method,
 |  | $args
 | ) |

Magic method to provide method alias support for quote() and quoteName().

Paramètres
string | $method | The called method.
array | $args | The array of arguments passed to the method.
Renvoie
mixed The aliased method's return value or null.
Depuis
11.1

Références null.

◆ addDisconnectHandler()

addDisconnectHandler ( $callable )

Adds a function callable just before disconnecting the database. Parameter of the callable is $this FOFDatabaseDriver

Paramètres
callable $callable Function to call in disconnect() method just before disconnecting from database
Renvoie
void
Depuis
CMS 3.1.2

◆ alterDbCharacterSet()

alterDbCharacterSet ( $dbName )

Alter database's character set, obtaining query string from protected member.

Paramètres
string $dbName The database name that will be altered
Renvoie
string The query that alter the database query string
Depuis
12.2
Exceptions
RuntimeException

◆ alterTableCharacterSet()

alterTableCharacterSet | ( | $tableName,
 |  | $rethrow = false
 | ) |

Alter a table's character set, obtaining an array of queries to do so from a protected method. The conversion is wrapped in a transaction, if supported by the database driver. Otherwise the table will be locked before the conversion. This prevents data corruption.

Paramètres
string | $tableName | The name of the table to alter
boolean | $rethrow | True to rethrow database exceptions. Default: false (exceptions are suppressed)
Renvoie
boolean True if successful
Depuis
CMS 3.5.0
Exceptions
RuntimeException | If the table name is empty
Exception | Relayed from the database layer if a database error occurs and $rethrow == true

Références $query.

◆ connect()

connect ( )
abstract

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
12.1
Exceptions
RuntimeException

◆ connected()

connected ( )
abstract

Determines if the connection to the server is active.

Renvoie
boolean True if connected to the database engine.
Depuis
11.1

◆ convertUtf8mb4QueryToUtf8()

convertUtf8mb4QueryToUtf8 ( $query )

Automatically downgrade a CREATE TABLE or ALTER TABLE query from utf8mb4 (UTF-8 Multibyte) to plain utf8. Used when the server doesn't support UTF-8 Multibyte.

Paramètres
string $query The query to convert
Renvoie
string The converted query

Références $query.

◆ createDatabase()

createDatabase | ( | $options,
 |  | $utf = true
 | ) |

Create a new database using information from $options object, obtaining query string from protected member.

Paramètres
stdClass | $options | Object used to pass user and database name to database driver. This object must have "db_name" and "db_user" set.
boolean | $utf | True if the database supports the UTF-8 character set.
Renvoie
string The query that creates database
Depuis
12.2
Exceptions
RuntimeException

Références $options, et elseif.

◆ disconnect()

disconnect ( )
abstract

Disconnects the database.

Renvoie
void
Depuis
12.1

◆ dropTable()

dropTable | ( | $table,
 |  | $ifExists = true
 | ) |
abstract

Drops a table from the database.

Paramètres
string | $table | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
FOFDatabaseDriver Returns this object to support chaining.
Depuis
11.4
Exceptions
RuntimeException

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |
abstract

Escapes a string for usage in an SQL statement.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
11.1

◆ execute()

mixed The current SQL statement to execute ( )
abstract

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
12.1
Exceptions
RuntimeException
Depuis
11.1

◆ fetchArray()

fetchArray ( $cursor = null )
abstractprotected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
11.1

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
abstractprotected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
11.1

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
abstractprotected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | The class name to use for the returned row object.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
11.1

◆ freeResult()

freeResult ( $cursor = null )
abstractprotected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
11.1

◆ getAffectedRows()

getAffectedRows ( )
abstract

Get the number of affected rows for the previous executed SQL statement.

Renvoie
integer The number of affected rows.
Depuis
11.1

◆ getAlterDbCharacterSet()

getAlterDbCharacterSet ( $dbName )

Return the query string to alter the database character set.

Paramètres
string $dbName The database name
Renvoie
string The query that alter the database query string
Depuis
12.2

◆ getAlterTableCharacterSet()

getAlterTableCharacterSet ( $tableName )

Get the query strings to alter the character set and collation of a table.

Paramètres
string $tableName The name of the table
Renvoie
string[] The queries required to alter the table's character set and collation
Depuis
CMS 3.5.0

We also need to convert each text column, modifying their character set and collation. This allows us to change, for example, a utf8_bin collated column to a utf8mb4_bin collated column.

If the collation is in the form charset_collationType_ci or charset_collationType we have to change the charset but leave the collationType intact (e.g. utf8_bin must become utf8mb4_bin, NOT utf8mb4_general_ci).

When the last part of the old collation is not _ci we have a charset_collationType format, something like utf8_bin. Therefore the new collation only has two parts.

Références $columns, et $default.

◆ getCallStacks()

getCallStacks ( )

Get the database driver SQL statement log.

Renvoie
array SQL statements executed by the database driver.
Depuis
CMS 3.1.2

◆ getCollation()

getCollation ( )
abstract

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
11.1

◆ getConnection()

getConnection ( )

Method that provides access to the underlying database connection. Useful for when you need to call a proprietary method such as postgresql's lo_* methods.

Renvoie
resource The underlying database connection resource.
Depuis
11.1

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getConnectors()

static getConnectors ( )
static

Get a list of available database connectors. The list will only be populated with connectors that both the class exists and the static test method returns true. This gives us the ability to have a multitude of connector classes that are self-aware as to whether or not they are able to be used on a given system.

Renvoie
array An array of available database connectors.
Depuis
11.1

Références $class, et $file.

Référencé par FOFDatabase\getConnectors().

◆ getCount()

getCount ( )

Get the total number of SQL statements executed by the database driver.

Renvoie
integer
Depuis
11.1

Références $count.

◆ getCreateDatabaseQuery()

getCreateDatabaseQuery | ( | $options,
 |  | $utf
 | ) |
protected

Return the query string to create new Database. Each database driver, other than MySQL, need to override this member to return correct string.

Paramètres
stdClass | $options | Object used to pass user and database name to database driver. This object must have "db_name" and "db_user" set.
boolean | $utf | True if the database supports the UTF-8 character set.
Renvoie
string The query that creates database
Depuis
12.2

Références $options.

◆ getDatabase()

getDatabase ( )
protected

Gets the name of the database used by this connection.

Renvoie
string
Depuis
11.4

◆ getDateFormat()

getDateFormat ( )

Returns a PHP date() function compliant date format for the database driver.

Renvoie
string The format string.
Depuis
11.1

◆ getExporter()

getExporter ( )

Gets an exporter class object.

Renvoie
FOFDatabaseExporter An exporter object.
Depuis
12.1
Exceptions
RuntimeException

Références $class, et name.

◆ getImporter()

getImporter ( )

Gets an importer class object.

Renvoie
FOFDatabaseImporter An importer object.
Depuis
12.1
Exceptions
RuntimeException

Références $class, et name.

◆ getInstance()

static getInstance ( $options = array() )
static

Method to return a FOFDatabaseDriver instance based on the given options. There are three global options and then the rest are specific to the database driver. The 'driver' option defines which FOFDatabaseDriver class is used for the connection – the default is 'mysqli'. The 'database' option determines which database is to be used for the connection. The 'select' option determines whether the connector should automatically select the chosen database.

Instances are unique to the given options and new objects are only created when a unique options array is passed into the method. This ensures that we don't end up with unnecessary database connection resources.

Paramètres
array $options Parameters to be passed to the database driver.
Renvoie
FOFDatabaseDriver A database object.
Depuis
11.1
Exceptions
RuntimeException

Références $class, $options, FOFDatabaseDriverPdomysql\isSupported(), FOFDatabaseDriverMysqli\isSupported(), et null.

Référencé par FOFDatabase\getInstance().

◆ getIterator()

getIterator | ( | $column = null,
 |  | $class = 'stdClass'
 | ) |

Get a new iterator on the current query.

Paramètres
string | $column | An option column to use as the iterator key.
string | $class | The class of object that is returned.
Renvoie
FOFDatabaseIterator A new database iterator.
Depuis
12.1
Exceptions
RuntimeException

Références $class, et name.

◆ getLog()

getLog ( )

Get the database driver SQL statement log.

Renvoie
array SQL statements executed by the database driver.
Depuis
11.1

◆ getMinimum()

getMinimum ( )

Get the minimum supported database version.

Renvoie
string The minimum version number for the database driver.
Depuis
12.1

◆ getName()

getName ( )

Get the name of the database driver. If $this->name is not set it will try guessing the driver name from the class name.

Renvoie
string
Depuis
CMS 3.5.0

Références $className, $name, et name.

◆ getNullDate()

getNullDate ( )

Get the null or zero representation of a timestamp for the database driver.

Renvoie
string Null or zero representation of a timestamp.
Depuis
11.1

◆ getNumRows()

getNumRows ( $cursor = null )
abstract

Get the number of returned rows for the previous executed SQL statement.

Paramètres
resource $cursor An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
11.1

◆ getPrefix()

getPrefix ( )

Get the common table prefix for the database driver.

Renvoie
string The common database table prefix.
Depuis
11.1

◆ getQuery()

getQuery ( $new = false )

Get the current query object or a new FOFDatabaseQuery object.

Paramètres
boolean $new False to return the current query object, True to return a new FOFDatabaseQuery object.
Renvoie
FOFDatabaseQuery The current query object or a new object extending the FOFDatabaseQuery class.
Depuis
11.1
Exceptions
RuntimeException

Références $class, et name.

◆ getServerType()

getServerType ( )

Get the server family type, e.g. mysql, postgresql, oracle, sqlite, mssql. If $this->serverType is not set it will attempt guessing the server family type from the driver name. If this is not possible the driver name will be returned instead.

Renvoie
string
Depuis
CMS 3.5.0

Références $name, et elseif.

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |
abstract

Retrieves field information about the given tables.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True (default) to only return field types.
Renvoie
array An array of fields by table.
Depuis
11.1
Exceptions
RuntimeException

◆ getTableCreate()

getTableCreate ( $tables )
abstract

Shows the table CREATE statement that creates the given tables.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
11.1
Exceptions
RuntimeException

◆ getTableKeys()

getTableKeys ( $tables )
abstract

Retrieves field information about the given tables.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array An array of keys for the table(s).
Depuis
11.1
Exceptions
RuntimeException

◆ getTableList()

getTableList ( )
abstract

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
11.1
Exceptions
RuntimeException

◆ getTimings()

getTimings ( )

Get the database driver SQL statement log.

Renvoie
array SQL statements executed by the database driver.
Depuis
CMS 3.1.2

◆ getUTFSupport()

getUTFSupport ( )

Determine whether or not the database engine supports UTF-8 character encoding.

Renvoie
boolean True if the database engine supports UTF-8 character encoding.
Depuis
11.1
Obsolète:
12.3 (Platform) & 4.0 (CMS) - Use hasUTFSupport() instead

◆ getVersion()

getVersion ( )
abstract

Get the version of the database connector

Renvoie
string The database connector version.
Depuis
11.1

◆ hasUTF8mb4Support()

hasUTF8mb4Support ( )

Determine whether the database engine support the UTF-8 Multibyte (utf8mb4) character encoding. This applies to MySQL databases.

Renvoie
boolean True if the database engine supports UTF-8 Multibyte.
Depuis
CMS 3.5.0

◆ hasUTFSupport()

hasUTFSupport ( )

Determine whether or not the database engine supports UTF-8 character encoding.

Renvoie
boolean True if the database engine supports UTF-8 character encoding.
Depuis
12.1

◆ insertid()

insertid ( )
abstract

Method to get the auto-incremented value from the last INSERT statement.

Renvoie
mixed The value of the auto-increment field from the last inserted row.
Depuis
11.1

◆ insertObject()

insertObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key = null
 | ) |  |

Inserts a row into a table based on an object's properties.

Paramètres
string | $table | The name of the database table to insert into.
object | &$object | A reference to an object whose public properties match the table fields.
string | $key | The name of the primary key. If provided the object property is updated.
Renvoie
boolean True on success.
Depuis
11.1
Exceptions
RuntimeException

Références $fields, $id, $key, $query, et null.

◆ isMinimumVersion()

isMinimumVersion ( )

Method to check whether the installed database version is supported by the database driver

Renvoie
boolean True if the database version is supported
Depuis
12.1

◆ loadAssoc()

loadAssoc ( )

Method to get the first row of the result set from the database query as an associative array of ['field_name' => 'row_value'].

Renvoie
mixed The return value or null if the query failed.
Depuis
11.1
Exceptions
RuntimeException

Références null.

◆ loadAssocList()

loadAssocList | ( | $key = null,
 |  | $column = null
 | ) |

Method to get an array of the result set rows from the database query where each row is an associative array of ['field_name' => 'row_value']. The array of rows can optionally be keyed by a field name, but defaults to a sequential numeric array.

NOTE: Choosing to key the result array by a non-unique field name can result in unwanted behavior and should be avoided.

Paramètres
string | $key | The name of a field on which to key the result array.
string | $column | An optional column name. Instead of the whole row, only this column value will be in the result array.
Renvoie
mixed The return value or null if the query failed.
Depuis
11.1
Exceptions
RuntimeException

Références $key, $row, $value, et null.

◆ loadColumn()

loadColumn ( $offset = 0 )

Method to get an array of values from the $offset field in each row of the result set from the database query.

Paramètres
integer $offset The row offset to use to build the result array.
Renvoie
mixed The return value or null if the query failed.
Depuis
11.1
Exceptions
RuntimeException

Références $offset, $row, et null.

◆ loadNextObject()

loadNextObject ( $class = 'stdClass' )

Method to get the next row in the result set from the database query as an object.

Paramètres
string $class The class name to use for the returned row object.
Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
11.1
Exceptions
RuntimeException
Obsolète:
12.3 (Platform) & 4.0 (CMS) - Use getIterator() instead

Références $class, $row, et null.

◆ loadNextRow()

loadNextRow ( )

Method to get the next row in the result set from the database query as an array.

Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
11.1
Exceptions
RuntimeException
Obsolète:
4.0 (CMS) Use FOFDatabaseDriver::getIterator() instead

Références $row, et null.

◆ loadObject()

loadObject ( $class = 'stdClass' )

Method to get the first row of the result set from the database query as an object.

Paramètres
string $class The class name to use for the returned row object.
Renvoie
mixed The return value or null if the query failed.
Depuis
11.1
Exceptions
RuntimeException

Références $class, et null.

◆ loadObjectList()

loadObjectList | ( | $key = '',
 |  | $class = 'stdClass'
 | ) |

Method to get an array of the result set rows from the database query where each row is an object. The array of objects can optionally be keyed by a field name, but defaults to a sequential numeric array.

NOTE: Choosing to key the result array by a non-unique field name can result in unwanted behavior and should be avoided.

Paramètres
string | $key | The name of a field on which to key the result array.
string | $class | The class name to use for the returned row objects.
Renvoie
mixed The return value or null if the query failed.
Depuis
11.1
Exceptions
RuntimeException

Références $class, $key, $row, et null.

◆ loadResult()

loadResult ( )

Method to get the first field of the first row of the result set from the database query.

Renvoie
mixed The return value or null if the query failed.
Depuis
11.1
Exceptions
RuntimeException

Références $row, et null.

◆ loadRow()

loadRow ( )

Method to get the first row of the result set from the database query as an array. Columns are indexed numerically so the first column in the result set would be accessible via $row[0], etc.

Renvoie
mixed The return value or null if the query failed.
Depuis
11.1
Exceptions
RuntimeException

Références $row, et null.

◆ loadRowList()

loadRowList ( $key = null )

Method to get an array of the result set rows from the database query where each row is an array. The array of objects can optionally be keyed by a field offset, but defaults to a sequential numeric array.

NOTE: Choosing to key the result array by a non-unique field can result in unwanted behavior and should be avoided.

Paramètres
string $key The name of a field on which to key the result array.
Renvoie
mixed The return value or null if the query failed.
Depuis
11.1
Exceptions
RuntimeException

Références $key, $row, et null.

◆ lockTable()

lockTable ( $tableName )
abstract

Locks a table in the database.

Paramètres
string $tableName The name of the table to unlock.
Renvoie
FOFDatabaseDriver Returns this object to support chaining.
Depuis
11.4
Exceptions
RuntimeException

◆ quote()

quote | ( | $text,
 |  | $escape = true
 | ) |

Quotes and optionally escapes a string to database requirements for use in database queries.

Paramètres
mixed | $text | A string or an array of strings to quote.
boolean | $escape | True (default) to escape the string, false to leave it unchanged.
Renvoie
string The quoted input string.
Note
Accepting an array of strings was added in 12.3.
Depuis
11.1

Références $text.

◆ quoteName()

quoteName | ( | $name,
 |  | $as = null
 | ) |

Wrap an SQL statement identifier name such as column, table or database names in quotes to prevent injection risks and reserved word conflicts.

Paramètres
mixed | $name | The identifier name to wrap in quotes, or an array of identifier names to wrap in quotes. Each type supports dot-notation name.
mixed | $as | The AS query part associated to $name. It can be string or array, in latter case it has to be same length of $name; if is null there will not be any AS part for string or array element.
Renvoie
mixed The quote wrapped name, same type of $name.
Depuis
11.1

Références $count, $i, $name, et elseif.

◆ quoteNameStr()

quoteNameStr ( $strArr )
protected

Quote strings coming from quoteName call.

Paramètres
array $strArr Array of strings coming from quoteName dot-explosion.
Renvoie
string Dot-imploded string of quoted parts.
Depuis
11.3

Références $parts.

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |
abstract

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Table prefix
string | $prefix | For the table - used to rename constraints in non-mysql databases
Renvoie
FOFDatabaseDriver Returns this object to support chaining.
Depuis
11.4
Exceptions
RuntimeException

◆ replacePrefix()

replacePrefix | ( | $sql,
 |  | $prefix = '#__'
 | ) |

This function replaces a string identifier $prefix with the string held is the tablePrefix class variable.

Paramètres
string | $sql | The SQL statement to prepare.
string | $prefix | The common table prefix.
Renvoie
string The processed SQL statement.
Depuis
11.1

Références $n, et $prefix.

◆ select()

select ( $database )
abstract

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
11.1
Exceptions
RuntimeException

◆ setDebug()

setDebug ( $level )

Sets the database debugging state for the driver.

Paramètres
boolean $level True to enable debugging.
Renvoie
boolean The old debugging level.
Depuis
11.1

◆ setQuery()

setQuery | ( | $query,
 |  | $offset = 0,
 |  | $limit = 0
 | ) |

Sets the SQL statement string for later execution.

Paramètres
mixed | $query | The SQL statement to set either as a FOFDatabaseQuery object or a string.
integer | $offset | The affected row offset to set.
integer | $limit | The maximum affected rows to set.
Renvoie
FOFDatabaseDriver This object to support method chaining.
Depuis
11.1

Références $limit, $offset, et $query.

◆ setUtf()

setUtf ( )
abstract

Set the connection to use UTF-8 character encoding.

Renvoie
boolean True on success.
Depuis
11.1

◆ splitSql()

static splitSql ( $sql )
static

Splits a string of multiple queries into an array of individual queries.

Paramètres
string $sql Input SQL string with which to split into individual queries.
Renvoie
array The queries from the input string separated into an array.
Depuis
11.1

Références $current, $i, $n, et $start.

Référencé par FOFDatabase\splitSql().

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )
abstract

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
11.1
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )
abstract

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
11.1
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )
abstract

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
11.1
Exceptions
RuntimeException

◆ truncateTable()

truncateTable ( $table )

Method to truncate a table.

Paramètres
string $table The table to truncate
Renvoie
void
Depuis
11.3
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )
abstract

Unlocks tables in the database.

Renvoie
FOFDatabaseDriver Returns this object to support chaining.
Depuis
11.4
Exceptions
RuntimeException

◆ updateObject()

updateObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key,
 |  |  | $nulls = false
 | ) |  |

Updates a row in a table based on an object's properties.

Paramètres
string | $table | The name of the database table to update.
object | &$object | A reference to an object whose public properties match the table fields.
array | $key | The name of the primary key.
boolean | $nulls | True to update null fields or false to ignore them.
Renvoie
boolean True on success.
Depuis
11.1
Exceptions
RuntimeException

Références $fields, $key, et null.

Documentation des champs

◆ $_database

$_database
private

◆ $callStacks

$callStacks = array()
protected

◆ $connection

$connection
protected

◆ $count

$count = 0
protected

◆ $cursor

$cursor
protected

◆ $dbMinimum

$dbMinimum
staticprotected

◆ $debug

$debug = false
protected

◆ $disconnectHandlers

$disconnectHandlers = array()
protected

◆ $errorMsg

$errorMsg
protected

◆ $errorNum

$errorNum = 0
protected

◆ $instances

$instances = array()
staticprotected

◆ $limit

$limit = 0
protected

◆ $log

$log = array()
protected

◆ $name

$name

◆ $nameQuote

$nameQuote
protected

◆ $nullDate

$nullDate
protected

◆ $offset

$offset = 0
protected

◆ $options

$options
protected

◆ $serverType

$serverType

◆ $sql

$sql
protected

◆ $tablePrefix

$tablePrefix
protected

◆ $timings

$timings = array()
protected

◆ $transactionDepth

$transactionDepth = 0
protected

◆ $utf

$utf = true
protected

◆ $utf8mb4

$utf8mb4 = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/driver.php


Joomla CMS: Référence de la classe FOFDatabaseDriverJoomla

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe FOFDatabaseDriverJoomla
+ Graphe d'héritage de FOFDatabaseDriverJoomla:
FOFDatabase FOFDatabaseInterface JDatabaseInterface

Fonctions membres publiques

__construct ($options=array())
close ()
disconnect ()
open ()
connect ()
connected ()
escape ($text, $extra=false)
execute ()
getAffectedRows ()
getCollation ()
getConnection ()
getCount ()
getDateFormat ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getQuery ($new=false)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($tables)
getTableList ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
select ($database)
setQuery ($query, $offset=0, $limit=0)
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
unlockTables ()
updateObject ($table, &$object, $key, $nulls=false)
getLog ()
dropTable ($table, $ifExists=true)
getTableCreate ($tables)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
setUtf ()
loadColumn ($offset=0)
quoteName ($name, $as=null)
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)
__call ($name, array $arguments)
__get ($name)
__set ($name, $value)
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Fonctions membres protégées

freeResult ($cursor=null)
quoteNameStr ($strArr)

Attributs protégés

$nameQuote = ''

Attributs privés

$dbo

Description détaillée

Joomla! pass-through database driver.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Database object constructor

Paramètres
array $options List of options used to configure the connection

Documentation des fonctions membres

◆ __call()

__call | ( |  | $name,
 |  | array | $arguments
 | ) |  |

Magic method to proxy all calls to the loaded database driver object

Références $name.

◆ __get()

__get ( $name )

Références $name, et null.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Références $name, $value, et null.

◆ close()

close ( )

Références elseif.

◆ connect()

connect ( )

◆ connected()

connected ( )

◆ disconnect()

disconnect ( )

◆ dropTable()

dropTable | ( | $table,
 |  | $ifExists = true
 | ) |

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Références $text.

◆ execute()

execute ( )

◆ freeResult()

freeResult ( $cursor = null )
protected

◆ getAffectedRows()

getAffectedRows ( )

◆ getCollation()

getCollation ( )

◆ getConnection()

getConnection ( )

Références null.

◆ getCount()

getCount ( )

◆ getDateFormat()

getDateFormat ( )

◆ getErrorMsg()

getErrorMsg ( $escaped = false )

Gets the error message from the database connection.

Paramètres
boolean $escaped True to escape the message string for use in JavaScript.
Renvoie
string The error message for the most recent query.
Depuis
11.1

◆ getErrorNum()

getErrorNum ( )

Gets the error number from the database connection.

Renvoie
integer The error number for the most recent query.
Depuis
11.1
Obsolète:
13.3 (Platform) & 4.0 (CMS)

◆ getLog()

getLog ( )

◆ getMinimum()

getMinimum ( )

◆ getNullDate()

getNullDate ( )

◆ getNumRows()

getNumRows ( $cursor = null )

◆ getQuery()

getQuery ( $new = false )

Références null.

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

◆ getTableCreate()

getTableCreate ( $tables )

◆ getTableKeys()

getTableKeys ( $tables )

◆ getTableList()

getTableList ( )

◆ getVersion()

getVersion ( )

◆ insertid()

insertid ( )

Références null.

◆ insertObject()

insertObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key = null
 | ) |  |

Références $key, et null.

◆ isSupported()

static isSupported ( )
static

Is this driver supported

Depuis
11.2

Implémente JDatabaseInterface.

◆ loadAssoc()

loadAssoc ( )

Références null.

◆ loadAssocList()

loadAssocList | ( | $key = null,
 |  | $column = null
 | ) |

Références $key, et null.

◆ loadColumn()

loadColumn ( $offset = 0 )

Method to get an array of values from the $offset field in each row of the result set from the database query.

Paramètres
integer $offset The row offset to use to build the result array.
Renvoie
mixed The return value or null if the query failed.
Depuis
11.1
Exceptions
RuntimeException

Références $offset.

◆ loadObject()

loadObject ( $class = 'stdClass' )

Références $class, et null.

◆ loadObjectList()

loadObjectList | ( | $key = '',
 |  | $class = 'stdClass'
 | ) |

Références $class, $key, et null.

◆ loadResult()

loadResult ( )

Références null.

◆ loadRow()

loadRow ( )

Références null.

◆ loadRowList()

loadRowList ( $key = null )

Références $key, et null.

◆ lockTable()

lockTable ( $tableName )

◆ open()

open ( )

Références elseif.

◆ quote()

quote | ( | $text,
 |  | $escape = true
 | ) |

Références $text.

◆ quoteName()

quoteName | ( | $name,
 |  | $as = null
 | ) |

Wrap an SQL statement identifier name such as column, table or database names in quotes to prevent injection risks and reserved word conflicts.

Paramètres
mixed | $name | The identifier name to wrap in quotes, or an array of identifier names to wrap in quotes. Each type supports dot-notation name.
mixed | $as | The AS query part associated to $name. It can be string or array, in latter case it has to be same length of $name; if is null there will not be any AS part for string or array element.
Renvoie
mixed The quote wrapped name, same type of $name.
Depuis
11.1

Références $count, $i, $name, et elseif.

◆ quoteNameStr()

quoteNameStr ( $strArr )
protected

Quote strings coming from quoteName call.

Paramètres
array $strArr Array of strings coming from quoteName dot-explosion.
Renvoie
string Dot-imploded string of quoted parts.
Depuis
11.3

Références $parts.

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Références $prefix.

◆ select()

select ( $database )

◆ setQuery()

setQuery | ( | $query,
 |  | $offset = 0,
 |  | $limit = 0
 | ) |

Références $limit, $offset, et $query.

◆ setUtf()

setUtf ( )

◆ stderr()

stderr ( $showSQL = false )

Return the most recent error message for the database connector.

Paramètres
boolean $showSQL True to display the SQL statement sent to the database as well as the error.
Renvoie
string The error message for the most recent query.

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

◆ transactionStart()

transactionStart ( $asSavepoint = false )

◆ unlockTables()

unlockTables ( )

◆ updateObject()

updateObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key,
 |  |  | $nulls = false
 | ) |  |

Références $key.

Documentation des champs

◆ $dbo

$dbo
private

◆ $nameQuote

$nameQuote = ''
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/driver/joomla.php


Joomla CMS: Référence de la classe FOFDatabaseDriverMysql

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Fonctions membres privées
Référence de la classe FOFDatabaseDriverMysql
+ Graphe d'héritage de FOFDatabaseDriverMysql:
FOFDatabaseDriverMysqli FOFDatabaseDriver FOFDatabase FOFDatabaseInterface JDatabaseInterface

Fonctions membres publiques

__construct ($options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
getVersion ()
insertid ()
execute ()
select ($database)
setUtf ()
- Fonctions membres publiques hérités de FOFDatabaseDriverMysqli
__construct ($options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cursor=null)
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getVersion ()
insertid ()
lockTable ($table)
execute ()
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriverMysqli
static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'mysql'
- Champs de données hérités de FOFDatabaseDriverMysqli
$name = 'mysqli'
$serverType = 'mysql'
- Champs de données hérités de FOFDatabaseDriver
$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriverMysqli
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Fonctions membres privées

hasProfiling ()
serverClaimsUtf8mb4Support ()

Membres hérités additionnels

- Attributs protégés hérités de FOFDatabaseDriverMysqli
$connection
$nameQuote = '`'
$nullDate = '0000-00-00 00:00:00'
- Attributs protégés hérités de FOFDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()
- Attributs protégés statiques hérités de FOFDatabaseDriverMysqli
static | $dbMinimum = '5.0.4'
- Attributs protégés statiques hérités de FOFDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

MySQL database driver

Voir également
http://dev.mysql.com/doc/
Depuis
12.1
Obsolète:
Will be removed when the minimum supported PHP version no longer includes the deprecated PHP mysql extension

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options Array of database options with keys: host, user, password, database, select.
Depuis
12.1

Références $options.

◆ __destruct()

__destruct ( )

Destructor.

Depuis
12.1

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
12.1
Exceptions
RuntimeException

◆ connected()

connected ( )

Determines if the connection to the server is active.

Renvoie
boolean True if connected to the database engine.
Depuis
12.1

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
12.1

Références null.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
12.1

Références $text.

◆ execute()

execute ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
12.1
Exceptions
RuntimeException

Références $limit, $query, et null.

◆ fetchArray()

fetchArray ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
protected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | The class name to use for the returned row object.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

Références $class.

◆ freeResult()

freeResult ( $cursor = null )
protected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
12.1

◆ getAffectedRows()

getAffectedRows ( )

Get the number of affected rows by the last INSERT, UPDATE, REPLACE or DELETE for the previous executed SQL statement.

Renvoie
integer The number of affected rows.
Depuis
12.1

◆ getErrorMessage()

getErrorMessage ( $query )
protected

Return the actual SQL Error message

Paramètres
string $query The SQL Query that fails
Renvoie
string The SQL Error message
Depuis
3.4.6

Références $query.

◆ getErrorNumber()

getErrorNumber ( )
protected

Return the actual SQL Error number

Renvoie
integer The SQL Error number
Depuis
3.4.6

◆ getNumRows()

getNumRows ( $cursor = null )

Get the number of returned rows for the previous executed SQL statement. This command is only valid for statements like SELECT or SHOW that return an actual result set. To retrieve the number of rows affected by a INSERT, UPDATE, REPLACE or DELETE query, use getAffectedRows().

Paramètres
resource $cursor An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
12.1

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
12.1

◆ hasProfiling()

hasProfiling ( )
private

Internal function to check if profiling is available

Renvoie
boolean
Depuis
3.1.3

Références $row.

◆ insertid()

insertid ( )

Method to get the auto-incremented value from the last INSERT statement.

Renvoie
integer The value of the auto-increment field from the last inserted row.
Depuis
12.1

◆ isSupported()

static isSupported ( )
static

Test to see if the MySQL connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
12.1

Implémente JDatabaseInterface.

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
12.1
Exceptions
RuntimeException

◆ serverClaimsUtf8mb4Support()

serverClaimsUtf8mb4Support ( )
private

Does the database server claim to have support for UTF-8 Multibyte (utf8mb4) collation?

libmysql supports utf8mb4 since 5.5.3 (same version as the MySQL server). mysqlnd supports utf8mb4 since 5.0.9.

Renvoie
boolean
Depuis
CMS 3.5.0

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Renvoie
boolean True on success.
Depuis
12.1

If I could not set the utf8mb4 charset then the server doesn't support utf8mb4 despite claiming otherwise. This happens on old MySQL server versions (less than 5.5.3) using the mysqlnd PHP driver. Since mysqlnd masks the server version and reports only its own we can not be sure if the server actually does support UTF-8 Multibyte (i.e. it's MySQL 5.5.3 or later). Since the utf8mb4 charset is undefined in this case we catch the error and determine that utf8mb4 is not supported!

Documentation des champs

◆ $name

$name = 'mysql'
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/driver/mysql.php


Joomla CMS: Référence de la classe FOFDatabaseDriverMysqli

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Fonctions membres privées
Référence de la classe FOFDatabaseDriverMysqli
+ Graphe d'héritage de FOFDatabaseDriverMysqli:
FOFDatabaseDriver FOFDatabase FOFDatabaseInterface JDatabaseInterface FOFDatabaseDriverMysql

Fonctions membres publiques

__construct ($options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cursor=null)
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getVersion ()
insertid ()
lockTable ($table)
execute ()
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'mysqli'
$serverType = 'mysql'
- Champs de données hérités de FOFDatabaseDriver
$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$connection
$nameQuote = '`'
$nullDate = '0000-00-00 00:00:00'
- Attributs protégés hérités de FOFDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $dbMinimum = '5.0.4'
- Attributs protégés statiques hérités de FOFDatabaseDriver
static | $instances = array()
static | $dbMinimum

Fonctions membres privées

hasProfiling ()
serverClaimsUtf8mb4Support ()

Description détaillée

MySQLi database driver

Voir également
http://php.net/manual/en/book.mysqli.php
Depuis
12.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options List of options used to configure the connection
Depuis
12.1

Références $options, et null.

◆ __destruct()

__destruct ( )

Destructor.

Depuis
12.1

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
12.1
Exceptions
RuntimeException

Références elseif, et null.

◆ connected()

connected ( )

Determines if the connection to the server is active.

Renvoie
boolean True if connected to the database engine.
Depuis
12.1

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
12.1

Références null.

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
FOFDatabaseDriverMysqli Returns this object to support chaining.
Depuis
12.2
Exceptions
RuntimeException

Références $query.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
12.1

Références $text.

◆ execute()

execute ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
12.1
Exceptions
RuntimeException

Références $limit, $query, et null.

◆ fetchArray()

fetchArray ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
protected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | The class name to use for the returned row object.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

Références $class.

◆ freeResult()

freeResult ( $cursor = null )
protected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
12.1

Références null.

◆ getAffectedRows()

getAffectedRows ( )

Get the number of affected rows by the last INSERT, UPDATE, REPLACE or DELETE for the previous executed SQL statement.

Renvoie
integer The number of affected rows.
Depuis
12.1

◆ getCollation()

getCollation ( )

Method to get the database collation.

Renvoie
mixed The collation in use by the database (string) or boolean false if not supported.
Depuis
12.2
Exceptions
RuntimeException

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getErrorMessage()

getErrorMessage ( $query )
protected

Return the actual SQL Error message

Paramètres
string $query The SQL Query that fails
Renvoie
string The SQL Error message
Depuis
3.4.6

Références $query.

◆ getErrorNumber()

getErrorNumber ( )
protected

Return the actual SQL Error number

Renvoie
integer The SQL Error number
Depuis
3.4.6

◆ getNumRows()

getNumRows ( $cursor = null )

Get the number of returned rows for the previous executed SQL statement. This command is only valid for statements like SELECT or SHOW that return an actual result set. To retrieve the number of rows affected by a INSERT, UPDATE, REPLACE or DELETE query, use getAffectedRows().

Paramètres
resource $cursor An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
12.1

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
12.2
Exceptions
RuntimeException

Références $field, et $fields.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
12.1
Exceptions
RuntimeException

Références $row.

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
12.2
Exceptions
RuntimeException

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
12.2
Exceptions
RuntimeException

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
12.1

◆ hasProfiling()

hasProfiling ( )
private

Internal function to check if profiling is available

Renvoie
boolean
Depuis
3.1.3

Références $row.

◆ insertid()

insertid ( )

Method to get the auto-incremented value from the last INSERT statement.

Renvoie
mixed The value of the auto-increment field from the last inserted row. If the value is greater than maximal int value, it will return a string.
Depuis
12.1

◆ isSupported()

static isSupported ( )
static

Test to see if the MySQL connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
12.1

Implémente JDatabaseInterface.

Référencé par FOFDatabaseDriver\getInstance().

◆ lockTable()

lockTable ( $table )

Locks a table in the database.

Paramètres
string $table The name of the table to unlock.
Renvoie
FOFDatabaseDriverMysqli Returns this object to support chaining.
Depuis
12.2
Exceptions
RuntimeException

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by MySQL.
string | $prefix | Not used by MySQL.
Renvoie
FOFDatabaseDriverMysqli Returns this object to support chaining.
Depuis
12.2
Exceptions
RuntimeException

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
12.1
Exceptions
RuntimeException

◆ serverClaimsUtf8mb4Support()

serverClaimsUtf8mb4Support ( )
private

Does the database server claim to have support for UTF-8 Multibyte (utf8mb4) collation?

libmysql supports utf8mb4 since 5.5.3 (same version as the MySQL server). mysqlnd supports utf8mb4 since 5.0.9.

Renvoie
boolean
Depuis
CMS 3.5.0

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Renvoie
boolean True on success.
Depuis
12.1

If I could not set the utf8mb4 charset then the server doesn't support utf8mb4 despite claiming otherwise. This happens on old MySQL server versions (less than 5.5.3) using the mysqlnd PHP driver. Since mysqlnd masks the server version and reports only its own we can not be sure if the server actually does support UTF-8 Multibyte (i.e. it's MySQL 5.5.3 or later). Since the utf8mb4 charset is undefined in this case we catch the error and determine that utf8mb4 is not supported!

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
12.2
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
12.2
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
12.2
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database.

Renvoie
FOFDatabaseDriverMysqli Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

Documentation des champs

◆ $connection

$connection
protected

◆ $dbMinimum

$dbMinimum = '5.0.4'
staticprotected

◆ $name

$name = 'mysqli'

◆ $nameQuote

$nameQuote = '`'
protected

◆ $nullDate

$nullDate = '0000-00-00 00:00:00'
protected

◆ $serverType

$serverType = 'mysql'
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/driver/mysqli.php


Joomla CMS: Référence de la classe FOFDatabaseDriverOracle

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés
Référence de la classe FOFDatabaseDriverOracle
+ Graphe d'héritage de FOFDatabaseDriverOracle:
FOFDatabaseDriverPdo FOFDatabaseDriver FOFDatabase FOFDatabaseInterface JDatabaseInterface

Fonctions membres publiques

__construct ($options)
__destruct ()
connect ()
disconnect ()
dropTable ($tableName, $ifExists=true)
getCollation ()
getConnectionCollation ()
getConnectedQuery ()
getDateFormat ()
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ($databaseName=null, $includeDatabaseName=false)
getVersion ()
select ($database)
setDateFormat ($dateFormat='DD-MON-RR')
setUtf ()
lockTable ($table)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
unlockTables ()
replacePrefix ($query, $prefix='#__')
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
- Fonctions membres publiques hérités de FOFDatabaseDriverPdo
__construct ($options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
execute ()
getOption ($key)
getConnectedQuery ()
setOption ($key, $value)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
insertid ()
select ($database)
setQuery ($query, $offset=null, $limit=null, $driverOptions=array())
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
loadNextObject ($class='stdClass')
loadNextAssoc ()
loadNextRow ()
__sleep ()
__wakeup ()
- Fonctions membres publiques hérités de FOFDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriverPdo
static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'oracle'
$serverType = 'oracle'
- Champs de données hérités de FOFDatabaseDriverPdo
$name = 'pdo'
- Champs de données hérités de FOFDatabaseDriver
$name
$serverType

Attributs protégés

$nameQuote = '"'
$dateformat
$charset
- Attributs protégés hérités de FOFDatabaseDriverPdo
$connection
$nameQuote = "'"
$nullDate = '0000-00-00 00:00:00'
$prepared
$executed = false
- Attributs protégés hérités de FOFDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Membres hérités additionnels

- Fonctions membres protégées hérités de FOFDatabaseDriverPdo
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)
- Attributs protégés statiques hérités de FOFDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

Oracle database driver

Voir également
http://php.net/pdo
Depuis
12.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options List of options used to configure the connection
Depuis
12.1

Références $options.

◆ __destruct()

__destruct ( )

Destructor.

Depuis
12.1

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
12.1
Exceptions
RuntimeException

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
12.1

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Note: The IF EXISTS flag is unused in the Oracle driver.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
FOFDatabaseDriverOracle Returns this object to support chaining.
Depuis
12.1

Références $query.

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
12.1

◆ getConnectedQuery()

getConnectedQuery ( )

Get a query to run and verify the database is operational.

Renvoie
string The query to check the health of the DB.
Depuis
12.2

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getDateFormat()

getDateFormat ( )

Returns the current date format This method should be useful in the case that somebody actually wants to use a different date format and needs to check what the current one is to see if it needs to be changed.

Renvoie
string The current date format
Depuis
12.1

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
12.1
Exceptions
RuntimeException

Références $columns, $field, $fields, $query, et null.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

Note: You must have the correct privileges before this method will return usable results!

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
12.1
Exceptions
RuntimeException

Références $query.

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
12.1
Exceptions
RuntimeException

Références $query.

◆ getTableList()

getTableList | ( | $databaseName = null,
 |  | $includeDatabaseName = false
 | ) |

Method to get an array of all tables in the database (schema).

Paramètres
string | $databaseName | The database (schema) name
boolean | $includeDatabaseName | Whether to include the schema name in the results
Renvoie
array An array of all the tables in the database.
Depuis
12.1
Exceptions
RuntimeException

Références $query.

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
12.1

◆ isSupported()

static isSupported ( )
static

Test to see if the PDO ODBC connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
12.1

Implémente JDatabaseInterface.

◆ lockTable()

lockTable ( $table )

Locks a table in the database.

Paramètres
string $table The name of the table to unlock.
Renvoie
FOFDatabaseDriverOracle Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by Oracle.
string | $prefix | Not used by Oracle.
Renvoie
FOFDatabaseDriverOracle Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

◆ replacePrefix()

replacePrefix | ( | $query,
 |  | $prefix = '#__'
 | ) |

This function replaces a string identifier $prefix with the string held is the tablePrefix class variable.

Paramètres
string | $query | The SQL statement to prepare.
string | $prefix | The common table prefix.
Renvoie
string The processed SQL statement.
Depuis
11.1

Références $n, $prefix, et $query.

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
12.1
Exceptions
RuntimeException

◆ setDateFormat()

setDateFormat ( $dateFormat = 'DD-MON-RR' )

Sets the Oracle Date Format for the session Default date format for Oracle is = DD-MON-RR The default date format for this driver is: 'RRRR-MM-DD HH24:MI:SS' since it is the format that matches the MySQL one used within most Joomla tables.

Paramètres
string $dateFormat Oracle Date Format String
Renvoie
boolean
Depuis
12.1

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Returns false automatically for the Oracle driver since you can only set the character set when the connection is created.

Renvoie
boolean True on success.
Depuis
12.1

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
12.3
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
12.3
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
12.3
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database.

Renvoie
FOFDatabaseDriverOracle Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

Documentation des champs

◆ $charset

$charset
protected

◆ $dateformat

$dateformat
protected

◆ $name

$name = 'oracle'

◆ $nameQuote

$nameQuote = '"'
protected

◆ $serverType

$serverType = 'oracle'
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/driver/oracle.php


Joomla CMS: Référence de la classe FOFDatabaseDriverPdo

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFDatabaseDriverPdo
+ Graphe d'héritage de FOFDatabaseDriverPdo:
FOFDatabaseDriver FOFDatabase FOFDatabaseInterface JDatabaseInterface FOFDatabaseDriverOracle FOFDatabaseDriverPdomysql FOFDatabaseDriverSqlite

Fonctions membres publiques

__construct ($options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
execute ()
getOption ($key)
getConnectedQuery ()
setOption ($key, $value)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
insertid ()
select ($database)
setQuery ($query, $offset=null, $limit=null, $driverOptions=array())
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
loadNextObject ($class='stdClass')
loadNextAssoc ()
loadNextRow ()
__sleep ()
__wakeup ()
- Fonctions membres publiques hérités de FOFDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'pdo'
- Champs de données hérités de FOFDatabaseDriver
$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$connection
$nameQuote = "'"
$nullDate = '0000-00-00 00:00:00'
$prepared
$executed = false
- Attributs protégés hérités de FOFDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de FOFDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

Joomla Platform PDO Database Driver Class

Voir également
http://php.net/pdo
Depuis
12.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options List of options used to configure the connection
Depuis
12.1

Références $options.

◆ __destruct()

__destruct ( )

Destructor.

Depuis
12.1

Documentation des fonctions membres

◆ __sleep()

__sleep ( )

PDO does not support serialize

Renvoie
array
Depuis
12.3

◆ __wakeup()

__wakeup ( )

Wake up after serialization

Renvoie
array
Depuis
12.3

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
12.1
Exceptions
RuntimeException

Références $format.

◆ connected()

connected ( )

Determines if the connection to the server is active.

Renvoie
boolean True if connected to the database engine.
Depuis
12.1

Références $limit, $offset, et $query.

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
12.1

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Oracle escaping reference: http://www.orafaq.com/wiki/SQL_FAQ#How_does_one_escape_special_characters_when_writing_SQL_queries.3F

SQLite escaping notes: http://www.sqlite.org/faq.html#q14

Method body is as implemented by the Zend Framework

Note: Using query objects with bound variables is preferable to the below.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Unused optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
12.1

Références $text.

◆ execute()

execute ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
12.1
Exceptions
RuntimeException
Exception

Références $key, $limit, $query, et null.

◆ fetchArray()

fetchArray ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
protected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | Unused, only necessary so method signature will be the same as parent.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

Références $class.

◆ freeResult()

freeResult ( $cursor = null )
protected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
12.1

Références null.

◆ getAffectedRows()

getAffectedRows ( )

Get the number of affected rows for the previous executed SQL statement. Only applicable for DELETE, INSERT, or UPDATE statements.

Renvoie
integer The number of affected rows.
Depuis
12.1

◆ getConnectedQuery()

getConnectedQuery ( )

Get a query to run and verify the database is operational.

Renvoie
string The query to check the health of the DB.
Depuis
12.2

◆ getErrorMessage()

getErrorMessage ( $query )
protected

Return the actual SQL Error message

Paramètres
string $query The SQL Query that fails
Renvoie
string The SQL Error message
Depuis
3.4.6

◆ getErrorNumber()

getErrorNumber ( )
protected

Return the actual SQL Error number

Renvoie
integer The SQL Error number
Depuis
3.4.6

◆ getNumRows()

getNumRows ( $cursor = null )

Get the number of returned rows for the previous executed SQL statement. Only applicable for DELETE, INSERT, or UPDATE statements.

Paramètres
resource $cursor An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
12.1

Références elseif.

◆ getOption()

getOption ( $key )

Retrieve a PDO database connection attribute http://www.php.net/manual/en/pdo.getattribute.php

Usage: $db->getOption(PDO::ATTR_CASE);

Paramètres
mixed $key One of the PDO::ATTR_* Constants
Renvoie
mixed
Depuis
12.1

Références $key.

◆ insertid()

insertid ( )

Method to get the auto-incremented value from the last INSERT statement.

Renvoie
string The value of the auto-increment field from the last inserted row.
Depuis
12.1

◆ isSupported()

static isSupported ( )
static

Test to see if the PDO extension is available. Override as needed to check for specific PDO Drivers.

Renvoie
boolean True on success, false otherwise.
Depuis
12.1

Implémente JDatabaseInterface.

◆ loadNextAssoc()

loadNextAssoc ( )

Method to get the next row in the result set from the database query as an array.

Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
12.1
Exceptions
RuntimeException

Références $row, et null.

◆ loadNextObject()

loadNextObject ( $class = 'stdClass' )

Method to get the next row in the result set from the database query as an object.

Paramètres
string $class The class name to use for the returned row object.
Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
12.1
Exceptions
RuntimeException
Obsolète:
4.0 (CMS) Use getIterator() instead

Références $class, $row, et null.

◆ loadNextRow()

loadNextRow ( )

Method to get the next row in the result set from the database query as an array.

Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
12.1
Exceptions
RuntimeException
Obsolète:
4.0 (CMS) Use getIterator() instead

Références $row, et null.

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
12.1
Exceptions
RuntimeException

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Sets an attribute on the PDO database handle. http://www.php.net/manual/en/pdo.setattribute.php

Usage: $db->setOption(PDO::ATTR_CASE, PDO::CASE_UPPER);

Paramètres
integer | $key | One of the PDO::ATTR_* Constants
mixed | $value | One of the associated PDO Constants related to the particular attribute key.
Renvoie
boolean
Depuis
12.1

Références $key, et $value.

◆ setQuery()

setQuery | ( | $query,
 |  | $offset = null,
 |  | $limit = null,
 |  | $driverOptions = array()
 | ) |

Sets the SQL statement string for later execution.

Paramètres
mixed | $query | The SQL statement to set either as a FOFDatabaseQuery object or a string.
integer | $offset | The affected row offset to set.
integer | $limit | The maximum affected rows to set.
array | $driverOptions | The optional PDO driver options.
Renvoie
FOFDatabaseDriver This object to support method chaining.
Depuis
12.1

Références $limit, $offset, et $query.

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Renvoie
boolean True on success.
Depuis
12.1

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
12.1
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
12.1
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
12.1
Exceptions
RuntimeException

Documentation des champs

◆ $connection

$connection
protected

◆ $executed

$executed = false
protected

◆ $name

$name = 'pdo'

◆ $nameQuote

$nameQuote = "'"
protected

◆ $nullDate

$nullDate = '0000-00-00 00:00:00'
protected

◆ $prepared

$prepared
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/driver/pdo.php


Joomla CMS: Référence de la classe FOFDatabaseDriverPdomysql

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés | Attributs protégés statiques
Référence de la classe FOFDatabaseDriverPdomysql
+ Graphe d'héritage de FOFDatabaseDriverPdomysql:
FOFDatabaseDriverPdo FOFDatabaseDriver FOFDatabase FOFDatabaseInterface JDatabaseInterface

Fonctions membres publiques

__construct ($options)
connect ()
dropTable ($tableName, $ifExists=true)
select ($database)
getCollation ()
getConnectionCollation ()
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getVersion ()
lockTable ($table)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
escape ($text, $extra=false)
unlockTables ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
- Fonctions membres publiques hérités de FOFDatabaseDriverPdo
__construct ($options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
execute ()
getOption ($key)
getConnectedQuery ()
setOption ($key, $value)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
insertid ()
select ($database)
setQuery ($query, $offset=null, $limit=null, $driverOptions=array())
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
loadNextObject ($class='stdClass')
loadNextAssoc ()
loadNextRow ()
__sleep ()
__wakeup ()
- Fonctions membres publiques hérités de FOFDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriverPdo
static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'pdomysql'
$serverType = 'mysql'
- Champs de données hérités de FOFDatabaseDriverPdo
$name = 'pdo'
- Champs de données hérités de FOFDatabaseDriver
$name
$serverType

Attributs protégés

$nameQuote = '`'
$nullDate = '0000-00-00 00:00:00'
- Attributs protégés hérités de FOFDatabaseDriverPdo
$connection
$nameQuote = "'"
$nullDate = '0000-00-00 00:00:00'
$prepared
$executed = false
- Attributs protégés hérités de FOFDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $dbMinimum = '5.0.4'
- Attributs protégés statiques hérités de FOFDatabaseDriver
static | $instances = array()
static | $dbMinimum

Membres hérités additionnels

- Fonctions membres protégées hérités de FOFDatabaseDriverPdo
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options Array of database options with keys: host, user, password, database, select.
Depuis
3.4

Pre-populate the UTF-8 Multibyte compatibility flag. Unfortunately PDO won't report the server version unless we're connected to it and we cannot connect to it unless we know if it supports utf8mb4 which requires us knowing the server version. Between this chicken and egg issue we assume it's supported and we'll just catch any problems at connection time.

Références $options.

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.4
Exceptions
RuntimeException

If the connection failed and I was trying to use the utf8mb4 charset then it is likely that the server doesn't support utf8mb4 despite claiming otherwise.

This happens on old MySQL server versions (less than 5.5.3) using the mysqlnd PHP driver. Since mysqlnd masks the server version and reports only its own we can not be sure if the server actually does support UTF-8 Multibyte (i.e. it's MySQL 5.5.3 or later). Since the utf8mb4 charset is undefined in this case we catch the error and determine that utf8mb4 is not supported!

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
FOFDatabaseDriverPdomysql Returns this object to support chaining.
Depuis
3.4
Exceptions
RuntimeException

Références $query.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Oracle escaping reference: http://www.orafaq.com/wiki/SQL_FAQ#How_does_one_escape_special_characters_when_writing_SQL_queries.3F

SQLite escaping notes: http://www.sqlite.org/faq.html#q14

Method body is as implemented by the Zend Framework

Note: Using query objects with bound variables is preferable to the below.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Unused optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
3.4

Références $text.

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database (string) or boolean false if not supported.
Depuis
3.4
Exceptions
RuntimeException

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
3.4
Exceptions
RuntimeException

Références $field, et $fields.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
3.4
Exceptions
RuntimeException

Références $row.

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
3.4
Exceptions
RuntimeException

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
3.4
Exceptions
RuntimeException

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
3.4

◆ isSupported()

static isSupported ( )
static

Test to see if the MySQL connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.4

Implémente JDatabaseInterface.

Référencé par FOFDatabaseDriver\getInstance().

◆ lockTable()

lockTable ( $table )

Locks a table in the database.

Paramètres
string $table The name of the table to unlock.
Renvoie
FOFDatabaseDriverPdomysql Returns this object to support chaining.
Depuis
3.4
Exceptions
RuntimeException

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by MySQL.
string | $prefix | Not used by MySQL.
Renvoie
FOFDatabaseDriverPdomysql Returns this object to support chaining.
Depuis
3.4
Exceptions
RuntimeException

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
3.4
Exceptions
RuntimeException

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
3.4
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
3.4
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
3.4
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database.

Renvoie
FOFDatabaseDriverPdomysql Returns this object to support chaining.
Depuis
3.4
Exceptions
RuntimeException

Documentation des champs

◆ $dbMinimum

$dbMinimum = '5.0.4'
staticprotected

◆ $name

$name = 'pdomysql'

◆ $nameQuote

$nameQuote = '`'
protected

◆ $nullDate

$nullDate = '0000-00-00 00:00:00'
protected

◆ $serverType

$serverType = 'mysql'
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/driver/pdomysql.php


Joomla CMS: Référence de la classe FOFDatabaseDriverPostgresql

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe FOFDatabaseDriverPostgresql
+ Graphe d'héritage de FOFDatabaseDriverPostgresql:
FOFDatabaseDriver FOFDatabase FOFDatabaseInterface JDatabaseInterface

Fonctions membres publiques

__construct ( $options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cur=null)
getQuery ($new=false, $asObj=false)
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getTableSequences ($table)
getVersion ()
insertid ()
lockTable ($tableName)
execute ()
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setUtf ()
sqlValue ($columns, $field_name, $field_value)
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
insertObject ($table, &$object, $key=null)
showTables ()
getStringPositionSql ( $substring, $string)
getRandom ()
getAlterDbCharacterSet ( $dbName)
getCreateDbQuery ($options, $utf)
replacePrefix ($query, $prefix='#__')
releaseTransactionSavepoint ( $savepointName)
transactionSavepoint ( $savepointName)
unlockTables ()
updateObject ($table, &$object, $key, $nulls=false)
- Fonctions membres publiques hérités de FOFDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | test ()
static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'postgresql'
$serverType = 'postgresql'
- Champs de données hérités de FOFDatabaseDriver
$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$nameQuote = '"'
$nullDate = '1970-01-01 00:00:00'
$concat_operator = '||'
$queryObject = null
- Attributs protégés hérités de FOFDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $dbMinimum = '8.3.18'
- Attributs protégés statiques hérités de FOFDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

PostgreSQL database driver

Depuis
12.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Database object constructor

Paramètres
array $options List of options used to configure the connection
Depuis
12.1

Références $options.

◆ __destruct()

__destruct ( )

Database object destructor

Depuis
12.1

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
12.1
Exceptions
RuntimeException

◆ connected()

connected ( )

Determines if the connection to the server is active.

Renvoie
boolean
Depuis
12.1

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
12.1

Références null.

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
boolean
Depuis
12.1
Exceptions
RuntimeException

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
12.1

Références $text.

◆ execute()

execute ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
12.1
Exceptions
RuntimeException

Références $offset, $query, et null.

◆ fetchArray()

fetchArray ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
protected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | The class name to use for the returned row object.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

Références $class, et null.

◆ freeResult()

freeResult ( $cursor = null )
protected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
12.1

◆ getAffectedRows()

getAffectedRows ( )

Get the number of affected rows by the last INSERT, UPDATE, REPLACE or DELETE for the previous executed SQL statement.

Renvoie
integer The number of affected rows in the previous operation
Depuis
12.1

◆ getAlterDbCharacterSet()

getAlterDbCharacterSet ( $dbName )

Get the query string to alter the database character set.

Paramètres
string $dbName The database name
Renvoie
string The query that alter the database query string
Depuis
12.1

Références $query.

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
12.1
Exceptions
RuntimeException

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getCreateDbQuery()

getCreateDbQuery | ( | $options,
 |  | $utf
 | ) |

Get the query string to create new Database in correct PostgreSQL syntax.

Paramètres
object | $options | object coming from "initialise" function to pass user and database name to database driver.
boolean | $utf | True if the database supports the UTF-8 character set, not used in PostgreSQL "CREATE DATABASE" query.
Renvoie
string The query that creates database, owned by $options['user']
Depuis
12.1

Références $options, et $query.

◆ getErrorMessage()

getErrorMessage ( $query )
protected

Return the actual SQL Error message

Paramètres
string $query The SQL Query that fails
Renvoie
string The SQL Error message
Depuis
3.4.6

Références $query.

◆ getErrorNumber()

getErrorNumber ( )
protected

Return the actual SQL Error number

Renvoie
integer The SQL Error number
Depuis
3.4.6

◆ getNumRows()

getNumRows ( $cur = null )

Get the number of returned rows for the previous executed SQL statement. This command is only valid for statements like SELECT or SHOW that return an actual result set. To retrieve the number of rows affected by a INSERT, UPDATE, REPLACE or DELETE query, use getAffectedRows().

Paramètres
resource $cur An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
12.1

◆ getQuery()

getQuery | ( | $new = false,
 |  | $asObj = false
 | ) |

Get the current or query, or new FOFDatabaseQuery object.

Paramètres
boolean | $new | False to return the last query set, True to return a new FOFDatabaseQuery object.
boolean | $asObj | False to return last query as string, true to get FOFDatabaseQueryPostgresql object.
Renvoie
FOFDatabaseQuery The current query object or a new object extending the FOFDatabaseQuery class.
Depuis
12.1
Exceptions
RuntimeException

◆ getRandom()

getRandom ( )

Generate a random value

Renvoie
float The random generated number
Depuis
12.1

◆ getStringPositionSql()

getStringPositionSql | ( | $substring,
 |  | $string
 | ) |

Get the substring position inside a string

Paramètres
string | $substring | The string being sought
string | $string | The string/column being searched
Renvoie
integer The position of $substring in $string
Depuis
12.1

Références $position, et $query.

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
12.1
Exceptions
RuntimeException

Références $field, $fields, et null.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

This is unsupported by PostgreSQL.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
string An empty char because this function is not supported by PostgreSQL.
Depuis
12.1

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
12.1
Exceptions
RuntimeException

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
12.1
Exceptions
RuntimeException

Références $query.

◆ getTableSequences()

getTableSequences ( $table )

Get the details list of sequences for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of sequences specification for the table.
Depuis
12.1
Exceptions
RuntimeException

Références $name, et $query.

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
12.1

Références $version.

◆ insertid()

insertid ( )

◆ insertObject()

insertObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key = null
 | ) |  |

Inserts a row into a table based on an object's properties.

Paramètres
string | $table | The name of the database table to insert into.
object | &$object | A reference to an object whose public properties match the table fields.
string | $key | The name of the primary key. If provided the object property is updated.
Renvoie
boolean True on success.
Depuis
12.1
Exceptions
RuntimeException

Références $columns, $fields, $id, $key, $query, et null.

◆ isSupported()

static isSupported ( )
static

Test to see if the PostgreSQL connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
12.1

Implémente JDatabaseInterface.

◆ lockTable()

lockTable ( $tableName )

Locks a table in the database.

Paramètres
string $tableName The name of the table to unlock.
Renvoie
FOFDatabaseDriverPostgresql Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

◆ releaseTransactionSavepoint()

releaseTransactionSavepoint ( $savepointName )

Method to release a savepoint.

Paramètres
string $savepointName Savepoint's name to release
Renvoie
void
Depuis
12.1

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by PostgreSQL.
string | $prefix | Not used by PostgreSQL.
Renvoie
FOFDatabaseDriverPostgresql Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

◆ replacePrefix()

replacePrefix | ( | $query,
 |  | $prefix = '#__'
 | ) |

This function replaces a string identifier $prefix with the string held is the tablePrefix class variable.

Paramètres
string | $query | The SQL statement to prepare.
string | $prefix | The common table prefix.
Renvoie
string The processed SQL statement.
Depuis
12.1

Références $prefix, et $query.

◆ select()

select ( $database )

Selects the database, but redundant for PostgreSQL

Paramètres
string $database Database name to select.
Renvoie
boolean Always true
Depuis
12.1

◆ setUtf()

setUtf ( )

Custom settings for UTF support

Renvoie
integer Zero on success, -1 on failure
Depuis
12.1

◆ showTables()

showTables ( )

Returns an array containing database's table list.

Renvoie
array The database's table list.
Depuis
12.1

Références $query.

◆ sqlValue()

sqlValue | ( | $columns,
 |  | $field_name,
 |  | $field_value
 | ) |

This function return a field value as a prepared string to be used in a SQL statement.

Paramètres
array | $columns | Array of table's column returned by ::getTableColumns.
string | $field_name | The table field's name.
string | $field_value | The variable value to quote and return.
Renvoie
string The quoted string.
Depuis
12.1

Références $columns, et elseif.

◆ test()

static test ( )
static

Test to see if the PostgreSQL connector is available

Renvoie
boolean True on success, false otherwise.
Depuis
12.1

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
12.1
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
12.1
Exceptions
RuntimeException

◆ transactionSavepoint()

transactionSavepoint ( $savepointName )

Method to create a savepoint.

Paramètres
string $savepointName Savepoint's name to create
Renvoie
void
Depuis
12.1

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
12.1
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database, this command does not exist in PostgreSQL, it is automatically done on commit or rollback.

Renvoie
FOFDatabaseDriverPostgresql Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

◆ updateObject()

updateObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key,
 |  |  | $nulls = false
 | ) |  |

Updates a row in a table based on an object's properties.

Paramètres
string | $table | The name of the database table to update.
object | &$object | A reference to an object whose public properties match the table fields.
array | $key | The name of the primary key.
boolean | $nulls | True to update null fields or false to ignore them.
Renvoie
boolean True on success.
Depuis
12.1
Exceptions
RuntimeException

Références $columns, $fields, $key, et null.

Documentation des champs

◆ $concat_operator

$concat_operator = '||'
protected

◆ $dbMinimum

$dbMinimum = '8.3.18'
staticprotected

◆ $name

$name = 'postgresql'

◆ $nameQuote

$nameQuote = '"'
protected

◆ $nullDate

$nullDate = '1970-01-01 00:00:00'
protected

◆ $queryObject

$queryObject = null
protected

◆ $serverType

$serverType = 'postgresql'
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/driver/postgresql.php


Joomla CMS: Référence de la classe FOFDatabaseDriverSqlazure

Champs de données
Référence de la classe FOFDatabaseDriverSqlazure
+ Graphe d'héritage de FOFDatabaseDriverSqlazure:
FOFDatabaseDriverSqlsrv FOFDatabaseDriver FOFDatabase FOFDatabaseInterface JDatabaseInterface

Champs de données

$name = 'sqlazure'
- Champs de données hérités de FOFDatabaseDriverSqlsrv
$name = 'sqlsrv'
$serverType = 'mssql'
- Champs de données hérités de FOFDatabaseDriver
$name
$serverType

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFDatabaseDriverSqlsrv
__construct ($options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cursor=null)
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getVersion ()
insertObject ($table, &$object, $key=null)
insertid ()
loadResult ()
execute ()
replacePrefix ($query, $prefix='#__')
select ($database)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
lockTable ($tableName)
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)
- Fonctions membres publiques statiques hérités de FOFDatabaseDriverSqlsrv
static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()
- Fonctions membres protégées hérités de FOFDatabaseDriverSqlsrv
getTableConstraints ($tableName)
renameConstraints ($constraints=array(), $prefix=null, $backup=null)
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
checkFieldExists ($table, $field)
limit ($query, $limit, $offset)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)
- Attributs protégés hérités de FOFDatabaseDriverSqlsrv
$nameQuote = '[]'
$nullDate = '1900-01-01 00:00:00'
- Attributs protégés hérités de FOFDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()
- Attributs protégés statiques hérités de FOFDatabaseDriverSqlsrv
static | $dbMinimum = '10.50.1600.1'
- Attributs protégés statiques hérités de FOFDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

SQL Server database driver

Voir également
http://msdn.microsoft.com/en-us/library/ee336279.aspx
Depuis
12.1

Documentation des champs

◆ $name

$name = 'sqlazure'
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/driver/sqlazure.php


Joomla CMS: Référence de la classe FOFDatabaseDriverSqlite

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés
Référence de la classe FOFDatabaseDriverSqlite
+ Graphe d'héritage de FOFDatabaseDriverSqlite:
FOFDatabaseDriverPdo FOFDatabaseDriver FOFDatabase FOFDatabaseInterface JDatabaseInterface

Fonctions membres publiques

__destruct ()
disconnect ()
dropTable ($tableName, $ifExists=true)
escape ($text, $extra=false)
getCollation ()
getConnectionCollation ()
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getVersion ()
select ($database)
setUtf ()
lockTable ($table)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
unlockTables ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
- Fonctions membres publiques hérités de FOFDatabaseDriverPdo
__construct ($options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
execute ()
getOption ($key)
getConnectedQuery ()
setOption ($key, $value)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
insertid ()
select ($database)
setQuery ($query, $offset=null, $limit=null, $driverOptions=array())
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
loadNextObject ($class='stdClass')
loadNextAssoc ()
loadNextRow ()
__sleep ()
__wakeup ()
- Fonctions membres publiques hérités de FOFDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriverPdo
static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'sqlite'
$serverType = 'sqlite'
- Champs de données hérités de FOFDatabaseDriverPdo
$name = 'pdo'
- Champs de données hérités de FOFDatabaseDriver
$name
$serverType

Attributs protégés

$nameQuote = '`'
- Attributs protégés hérités de FOFDatabaseDriverPdo
$connection
$nameQuote = "'"
$nullDate = '0000-00-00 00:00:00'
$prepared
$executed = false
- Attributs protégés hérités de FOFDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Membres hérités additionnels

- Fonctions membres protégées hérités de FOFDatabaseDriverPdo
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)
- Attributs protégés statiques hérités de FOFDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

SQLite database driver

Voir également
http://php.net/pdo
Depuis
12.1

Documentation des constructeurs et destructeur

◆ __destruct()

__destruct ( )

Destructor.

Depuis
12.1

Documentation des fonctions membres

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
12.1

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
FOFDatabaseDriverSqlite Returns this object to support chaining.
Depuis
12.1

Références $query.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQLite statement.

Note: Using query objects with bound variables is preferable to the below.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Unused optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
12.1

Références $text.

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
12.1

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
12.1
Exceptions
RuntimeException

Références $columns, $field, $fields, et $query.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

Note: Doesn't appear to have support in SQLite

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
12.1
Exceptions
RuntimeException

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
12.1
Exceptions
RuntimeException

Références $query, et $rows.

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database (schema).

Renvoie
array An array of all the tables in the database.
Depuis
12.1
Exceptions
RuntimeException

Références $query, et $type.

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
12.1

◆ isSupported()

static isSupported ( )
static

Test to see if the PDO ODBC connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
12.1

Implémente JDatabaseInterface.

◆ lockTable()

lockTable ( $table )

Locks a table in the database.

Paramètres
string $table The name of the table to unlock.
Renvoie
FOFDatabaseDriverSqlite Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by Sqlite.
string | $prefix | Not used by Sqlite.
Renvoie
FOFDatabaseDriverSqlite Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
12.1
Exceptions
RuntimeException

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Returns false automatically for the Oracle driver since you can only set the character set when the connection is created.

Renvoie
boolean True on success.
Depuis
12.1

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
12.3
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
12.3
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
12.3
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database.

Renvoie
FOFDatabaseDriverSqlite Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

Documentation des champs

◆ $name

$name = 'sqlite'

◆ $nameQuote

$nameQuote = '`'
protected

◆ $serverType

$serverType = 'sqlite'
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/driver/sqlite.php


Joomla CMS: Référence de la classe FOFDatabaseDriverSqlsrv

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe FOFDatabaseDriverSqlsrv
+ Graphe d'héritage de FOFDatabaseDriverSqlsrv:
FOFDatabaseDriver FOFDatabase FOFDatabaseInterface JDatabaseInterface FOFDatabaseDriverSqlazure

Fonctions membres publiques

__construct ($options)
__destruct ()
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cursor=null)
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getVersion ()
insertObject ($table, &$object, $key=null)
insertid ()
loadResult ()
execute ()
replacePrefix ($query, $prefix='#__')
select ($database)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
lockTable ($tableName)
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($tables)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($key=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de FOFDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de FOFDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de FOFDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'sqlsrv'
$serverType = 'mssql'
- Champs de données hérités de FOFDatabaseDriver
$name
$serverType

Fonctions membres protégées

getTableConstraints ($tableName)
renameConstraints ($constraints=array(), $prefix=null, $backup=null)
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
checkFieldExists ($table, $field)
limit ($query, $limit, $offset)
getErrorNumber ()
getErrorMessage ($query)
- Fonctions membres protégées hérités de FOFDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$nameQuote = '[]'
$nullDate = '1900-01-01 00:00:00'
- Attributs protégés hérités de FOFDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $dbMinimum = '10.50.1600.1'
- Attributs protégés statiques hérités de FOFDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

SQL Server database driver

Voir également
http://msdn.microsoft.com/en-us/library/cc296152(SQL.90).aspx
Depuis
12.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options List of options used to configure the connection
Depuis
12.1

Références $options.

◆ __destruct()

__destruct ( )

Destructor.

Depuis
12.1

Documentation des fonctions membres

◆ checkFieldExists()

checkFieldExists | ( | $table,
 |  | $field
 | ) |
protected

Method to check and see if a field exists in a table.

Paramètres
string | $table | The table in which to verify the field.
string | $field | The field to verify.
Renvoie
boolean True if the field exists in the table.
Depuis
12.1

Références $query.

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
12.1
Exceptions
RuntimeException

Références $config.

◆ connected()

connected ( )

Determines if the connection to the server is active.

Renvoie
boolean True if connected to the database engine.
Depuis
12.1

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
12.1

Références null.

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
FOFDatabaseDriverSqlsrv Returns this object to support chaining.
Depuis
12.1

Références $query.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

The escaping for MSSQL isn't handled in the driver though that would be nice. Because of this we need to handle the escaping ourselves.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
12.1

Références $text.

◆ execute()

execute ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
12.1
Exceptions
RuntimeException
Exception

Références $query, et null.

◆ fetchArray()

fetchArray ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
protected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | The class name to use for the returned row object.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
12.1

Références $class.

◆ freeResult()

freeResult ( $cursor = null )
protected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
12.1

◆ getAffectedRows()

getAffectedRows ( )

Get the number of affected rows for the previous executed SQL statement.

Renvoie
integer The number of affected rows.
Depuis
12.1

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
12.1

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getErrorMessage()

getErrorMessage ( $query )
protected

Return the actual SQL Error message

Paramètres
string $query The SQL Query that fails
Renvoie
string The SQL Error message
Depuis
3.4.6

Références $query.

◆ getErrorNumber()

getErrorNumber ( )
protected

Return the actual SQL Error number

Renvoie
integer The SQL Error number
Depuis
3.4.6

◆ getNumRows()

getNumRows ( $cursor = null )

Get the number of returned rows for the previous executed SQL statement.

Paramètres
resource $cursor An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
12.1

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about the given tables.

Paramètres
mixed | $table | A table name
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields.
Depuis
12.1
Exceptions
RuntimeException

Références $field, et $fields.

◆ getTableConstraints()

getTableConstraints ( $tableName )
protected

Get table constraints

Paramètres
string $tableName The name of the database table.
Renvoie
array Any constraints available for the table.
Depuis
12.1

Références $query.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

This is unsupported by MSSQL.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
12.1
Exceptions
RuntimeException

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
12.1
Exceptions
RuntimeException

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
12.1
Exceptions
RuntimeException

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
12.1

Références $version.

◆ insertid()

insertid ( )

Method to get the auto-incremented value from the last INSERT statement.

Renvoie
integer The value of the auto-increment field from the last inserted row.
Depuis
12.1

◆ insertObject()

insertObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key = null
 | ) |  |

Inserts a row into a table based on an object's properties.

Paramètres
string | $table | The name of the database table to insert into.
object | &$object | A reference to an object whose public properties match the table fields.
string | $key | The name of the primary key. If provided the object property is updated.
Renvoie
boolean True on success.
Depuis
12.1
Exceptions
RuntimeException

Références $fields, $id, $key, et null.

◆ isSupported()

static isSupported ( )
static

Test to see if the SQLSRV connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
12.1

Implémente JDatabaseInterface.

◆ limit()

limit | ( | $query,
 |  | $limit,
 |  | $offset
 | ) |
protected

Method to wrap an SQL statement to provide a LIMIT and OFFSET behavior for scrolling through a result set.

Paramètres
string | $query | The SQL statement to process.
integer | $limit | The maximum affected rows to set.
integer | $offset | The affected row offset to set.
Renvoie
string The processed SQL statement.
Depuis
12.1

Références $limit, $offset, $query, et $start.

◆ loadResult()

loadResult ( )

Method to get the first field of the first row of the result set from the database query.

Renvoie
mixed The return value or null if the query failed.
Depuis
12.1
Exceptions
RuntimeException

Références $row, et null.

◆ lockTable()

lockTable ( $tableName )

Locks a table in the database.

Paramètres
string $tableName The name of the table to lock.
Renvoie
FOFDatabaseDriverSqlsrv Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

◆ renameConstraints()

renameConstraints | ( | $constraints = array(),
 |  | $prefix = null,
 |  | $backup = null
 | ) |
protected

Rename constraints.

Paramètres
array | $constraints | Array(strings) of table constraints
string | $prefix | A string
string | $backup | A string
Renvoie
void
Depuis
12.1

Références $prefix.

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Table prefix
string | $prefix | For the table - used to rename constraints in non-mysql databases
Renvoie
FOFDatabaseDriverSqlsrv Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

Références $prefix.

◆ replacePrefix()

replacePrefix | ( | $query,
 |  | $prefix = '#__'
 | ) |

This function replaces a string identifier $prefix with the string held is the tablePrefix class variable.

Paramètres
string | $query | The SQL statement to prepare.
string | $prefix | The common table prefix.
Renvoie
string The processed SQL statement.
Depuis
12.1

Références $n, $prefix, et $query.

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
12.1
Exceptions
RuntimeException

Références null.

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Renvoie
boolean True on success.
Depuis
12.1

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
12.1
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
12.1
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
12.1
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database.

Renvoie
FOFDatabaseDriverSqlsrv Returns this object to support chaining.
Depuis
12.1
Exceptions
RuntimeException

Documentation des champs

◆ $dbMinimum

$dbMinimum = '10.50.1600.1'
staticprotected

◆ $name

$name = 'sqlsrv'

◆ $nameQuote

$nameQuote = '[]'
protected

◆ $nullDate

$nullDate = '1900-01-01 00:00:00'
protected

◆ $serverType

$serverType = 'mssql'
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/driver/sqlsrv.php


Joomla CMS: Référence de la classe FOFDatabaseFactory

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés statiques
Référence de la classe FOFDatabaseFactory

Fonctions membres publiques

getDriver ($name='joomla', $options=array())
getQuery ($name, FOFDatabaseDriver $db=null)

Fonctions membres publiques statiques

static | getInstance ()
static | setInstance (FOFDatabaseFactory $instance=null)

Attributs privés statiques

static $_instance = null

Description détaillée

Joomla Platform Database Factory class

Depuis
12.1

Documentation des fonctions membres

◆ getDriver()

getDriver | ( | $name = 'joomla',
 |  | $options = array()
 | ) |

Method to return a FOFDatabaseDriver instance based on the given options. There are three global options and then the rest are specific to the database driver. The 'database' option determines which database is to be used for the connection. The 'select' option determines whether the connector should automatically select the chosen database.

Instances are unique to the given options and new objects are only created when a unique options array is passed into the method. This ensures that we don't end up with unnecessary database connection resources.

Paramètres
string | $name | Name of the database driver you'd like to instantiate
array | $options | Parameters to be passed to the database driver.
Renvoie
FOFDatabaseDriver A database driver object.
Depuis
12.1
Exceptions
RuntimeException

Références $class, $name, $options, et null.

◆ getInstance()

static getInstance ( )
static

Gets an instance of the factory object.

Renvoie
FOFDatabaseFactory
Depuis
12.1

Référencé par FOFIntegrationJoomlaPlatform\getDbo().

◆ getQuery()

getQuery | ( |  | $name,
 |  | FOFDatabaseDriver | $db = null
 | ) |  |

Get the current query object or a new FOFDatabaseQuery object.

Paramètres
string | $name | Name of the driver you want an query object for.
FOFDatabaseDriver | $db | Optional FOFDatabaseDriver instance
Renvoie
FOFDatabaseQuery The current query object or a new object extending the FOFDatabaseQuery class.
Depuis
12.1
Exceptions
RuntimeException

Références $class, $db, et $name.

◆ setInstance()

static setInstance ( FOFDatabaseFactory $instance = null )
static

Gets an instance of a factory object to return on subsequent calls of getInstance.

Paramètres
FOFDatabaseFactory $instance A FOFDatabaseFactory object.
Renvoie
void
Depuis
12.1

Documentation des champs

◆ $_instance

$_instance = null
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/factory.php


Joomla CMS: Référence de la classe FOFDatabaseInstaller

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Fonctions membres privées | Attributs privés
Référence de la classe FOFDatabaseInstaller

Fonctions membres publiques

__construct ($config=array())
setXmlDirectory ($xmlDirectory)
getXmlDirectory ()

Champs de données

$xmlFiles = array('mysql', 'mysqli', 'pdomysql', 'postgresql', 'sqlsrv', 'mssql')

Fonctions membres protégées

conditionMet ($table, SimpleXMLElement $node)

Attributs protégés

$input = array()

Attributs protégés statiques

static $allTables = array()

Fonctions membres privées

getTableCollation ($tableName)
realGetTableCollation ($tableName)
getColumnCollation ($tableName, $columnName)
realGetColumnCollation ($tableName, $columnName)
convertUtf8mb4QueryToUtf8 ($query)
convertUtf8QueryToUtf8mb4 ($query)
extractTablesToConvert ($query, &$tables)
convertTablesToUtf8mb4 ($tablesToConvert)
hasIndex ($tableName, $indexName)

Attributs privés

$db = null
$xmlDirectory = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Public constructor

Paramètres
array $config The configuration array

Références $component, $config, $files, elseif, FOFPlatform\getInstance(), et setXmlDirectory().

Documentation des fonctions membres

◆ conditionMet()

conditionMet | ( |  | $table,
 |  | SimpleXMLElement | $node
 | ) |  |
protected

Checks if a condition is met

Paramètres
string | $table | The table we're operating on
SimpleXMLElement | $node | The condition definition node
Renvoie
bool

Références $attributes, $condition, $parts, $query, $type, $value, getColumnCollation(), getTableCollation(), hasIndex(), et null.

◆ convertTablesToUtf8mb4()

convertTablesToUtf8mb4 ( $tablesToConvert )
private

Converts the collation of tables listed in $tablesToConvert to utf8mb4_unicode_ci

Paramètres
array $tablesToConvert The list of tables to convert
Renvoie
void

Références $parts, $query, et getTableCollation().

◆ convertUtf8mb4QueryToUtf8()

convertUtf8mb4QueryToUtf8 ( $query )
private

Automatically downgrade a CREATE TABLE or ALTER TABLE query from utf8mb4 (UTF-8 Multibyte) to plain utf8.

We use our own method so we can be site it works even on Joomla! 3.4 or earlier, where UTF8MB4 support is not implemented.

Paramètres
string $query The query to convert
Renvoie
string The converted query

Références $query.

◆ convertUtf8QueryToUtf8mb4()

convertUtf8QueryToUtf8mb4 ( $query )
private

Automatically upgrade a CREATE TABLE or ALTER TABLE query from plain utf8 to utf8mb4 (UTF-8 Multibyte).

Paramètres
string $query The query to convert
Renvoie
string The converted query

Références $query.

◆ extractTablesToConvert()

extractTablesToConvert | ( |  | $query,
 |  | & | $tables
 | ) |  |
private

Analyzes a query. If it's a CREATE TABLE query the table is added to the $tables array.

Paramètres
string | $query | The query to analyze
string | $tables | The array where the name of the detected table is added
Renvoie
void

The table name may be quoted. Since UTF8MB4 is only supported in MySQL, the table name can only be quoted with surrounding backticks. Therefore we can trim backquotes from the table name to unquote it!

Références $parts, et $query.

◆ getColumnCollation()

getColumnCollation | ( | $tableName,
 |  | $columnName
 | ) |
private

Get the collation of a column. Uses an internal cache for efficiency.

Paramètres
string | $tableName | The name of the table
string | $columnName | The name of the column
Renvoie
string The collation, e.g. "utf8_general_ci"

Références realGetColumnCollation().

Référencé par conditionMet().

◆ getTableCollation()

getTableCollation ( $tableName )
private

Get the collation of a table. Uses an internal cache for efficiency.

Paramètres
string $tableName The name of the table
Renvoie
string The collation, e.g. "utf8_general_ci"

Références realGetTableCollation().

Référencé par conditionMet(), convertTablesToUtf8mb4(), et realGetColumnCollation().

◆ getXmlDirectory()

getXmlDirectory ( )

Returns the directory where XML schema files are stored

Renvoie
string

Références $xmlDirectory.

◆ hasIndex()

hasIndex | ( | $tableName,
 |  | $indexName
 | ) |
private

Returns true if table $tableName has an index named $indexName or if it's impossible to retrieve index names for the table (not enough privileges, not a MySQL database, ...)

Paramètres
string | $tableName | The name of the table
string | $indexName | The name of the index
Renvoie
bool

Références $query, et null.

Référencé par conditionMet().

◆ realGetColumnCollation()

realGetColumnCollation | ( | $tableName,
 |  | $columnName
 | ) |
private

Get the collation of a column. This is the internal method used by getColumnCollation.

Paramètres
string | $tableName | The name of the table
string | $columnName | The name of the column
Renvoie
string The collation, e.g. "utf8_general_ci"

Références $query, $row, et getTableCollation().

Référencé par getColumnCollation().

◆ realGetTableCollation()

realGetTableCollation ( $tableName )
private

Get the collation of a table. This is the internal method used by getTableCollation.

Paramètres
string $tableName The name of the table
Renvoie
string The collation, e.g. "utf8_general_ci"

Références $query, et $row.

Référencé par getTableCollation().

◆ setXmlDirectory()

setXmlDirectory ( $xmlDirectory )

Sets the directory where XML schema files are stored

Paramètres
string $xmlDirectory

Références $xmlDirectory.

Référencé par __construct().

Documentation des champs

◆ $allTables

$allTables = array()
staticprotected

◆ $db

$db = null
private

◆ $input

$input = array()
protected

◆ $xmlDirectory

$xmlDirectory = null
private

Référencé par getXmlDirectory(), et setXmlDirectory().

◆ $xmlFiles

$xmlFiles = array('mysql', 'mysqli', 'pdomysql', 'postgresql', 'sqlsrv', 'mssql')
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/installer.php


Joomla CMS: Référence de l'interface FOFDatabaseInterface

Référence de l'interface FOFDatabaseInterface
+ Graphe d'héritage de FOFDatabaseInterface:
JDatabaseInterface FOFDatabaseDriver FOFDatabaseDriverJoomla FOFDatabaseDriverMysqli FOFDatabaseDriverPdo FOFDatabaseDriverPostgresql FOFDatabaseDriverSqlsrv FOFDatabaseDriverMysql FOFDatabaseDriverOracle FOFDatabaseDriverPdomysql FOFDatabaseDriverSqlite FOFDatabaseDriverSqlazure

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de JDatabaseInterface
static isSupported ()
La documentation de cette interface a été générée à partir du fichier suivant :
  • fof/database/interface.php


Joomla CMS: Référence de la classe FOFDatabaseIterator

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe FOFDatabaseIterator
+ Graphe d'héritage de FOFDatabaseIterator:
FOFDatabaseIteratorMysql FOFDatabaseIteratorMysqli FOFDatabaseIteratorPdo FOFDatabaseIteratorPostgresql FOFDatabaseIteratorSqlsrv FOFDatabaseIteratorOracle FOFDatabaseIteratorPdomysql FOFDatabaseIteratorSqlite FOFDatabaseIteratorAzure

Fonctions membres publiques

__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres publiques statiques

static & getIterator ($dbName, $cursor, $column, $class, $config=array())

Fonctions membres protégées

fetchObject ()
freeResult ()
getTable ()

Attributs protégés

$cursor
$class

Attributs privés

$_column
$_current
$_currentTable
$_key
$_fetched = 0
$_tableObject = null

Description détaillée

Database iterator

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $cursor,
 |  | $column,
 |  | $class,
 |  | $config = array()
 | ) |

Database iterator constructor.

Paramètres
mixed | $cursor | The database cursor.
string | $column | An option column to use as the iterator key.
string | $class | The table class of the returned objects.
array | $config | Configuration parameters to push to the table class
Exceptions
InvalidArgumentException

Références $class, $parts, FOFInflector\explode(), et FOFTable\getInstance().

◆ __destruct()

__destruct ( )

Database iterator destructor.

Documentation des fonctions membres

◆ current()

current ( )

The current element in the iterator.

Renvoie
object
Voir également
Iterator::current()

◆ fetchObject()

fetchObject ( )
abstractprotected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.

◆ freeResult()

freeResult ( )
abstractprotected

Method to free up the memory used for the result set.

Renvoie
void

◆ getIterator()

static& getIterator | ( | $dbName,
 |  | $cursor,
 |  | $column,
 |  | $class,
 |  | $config = array()
 | ) |
static

Returns an iterator object for a specific database type

Paramètres
string | $dbName | The database type, e.g. mysql, mysqli, sqlazure etc.
mixed | $cursor | The database cursor
string | $column | An option column to use as the iterator key
string | $class | The table class of the returned objects
array | $config | Configuration parameters to push to the table class
Renvoie
FOFDatabaseIterator
Exceptions
InvalidArgumentException

Références $class, $className, et $config.

Référencé par FOFTableNested\get(), FOFModel\getIterator(), et FOFTableRelations\getIteratorFromRelation().

◆ getTable()

getTable ( )
protected

Returns the data in $this->_current as a FOFTable instance

Renvoie
FOFTable
Exceptions
OutOfBoundsException

◆ key()

key ( )

The key of the current element in the iterator.

Renvoie
scalar
Voir également
Iterator::key()

◆ next()

next ( )

Moves forward to the next result from the SQL query.

Renvoie
void
Voir également
Iterator::next()

◆ rewind()

rewind ( )

Rewinds the iterator.

This iterator cannot be rewound.

Renvoie
void
Voir également
Iterator::rewind()

◆ valid()

valid ( )

Checks if the current position of the iterator is valid.

Renvoie
boolean
Voir également
Iterator::valid()

Documentation des champs

◆ $_column

$_column
private

◆ $_current

$_current
private

◆ $_currentTable

$_currentTable
private

◆ $_fetched

$_fetched = 0
private

◆ $_key

$_key
private

◆ $_tableObject

$_tableObject = null
private

◆ $class

$class
protected

◆ $cursor

$cursor
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/iterator.php


Joomla CMS: Référence de la classe FOFDatabaseIteratorAzure

Référence de la classe FOFDatabaseIteratorAzure
+ Graphe d'héritage de FOFDatabaseIteratorAzure:
FOFDatabaseIteratorSqlsrv FOFDatabaseIterator

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFDatabaseIteratorSqlsrv
count ()
- Fonctions membres publiques hérités de FOFDatabaseIterator
__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()
- Fonctions membres publiques statiques hérités de FOFDatabaseIterator
static & getIterator ($dbName, $cursor, $column, $class, $config=array())
- Fonctions membres protégées hérités de FOFDatabaseIteratorSqlsrv
fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de FOFDatabaseIterator
fetchObject ()
freeResult ()
getTable ()
- Attributs protégés hérités de FOFDatabaseIterator
$cursor
$class

Description détaillée

SQL azure database iterator.

La documentation de cette classe a été générée à partir du fichier suivant :
  • azure.php


Joomla CMS: Référence de la classe FOFDatabaseIteratorMysql

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFDatabaseIteratorMysql
+ Graphe d'héritage de FOFDatabaseIteratorMysql:
FOFDatabaseIterator

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de FOFDatabaseIterator
__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de FOFDatabaseIterator
fetchObject ()
freeResult ()
getTable ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFDatabaseIterator
static & getIterator ($dbName, $cursor, $column, $class, $config=array())
- Attributs protégés hérités de FOFDatabaseIterator
$cursor
$class

Description détaillée

MySQL database iterator.

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/iterator/mysql.php


Joomla CMS: Référence de la classe FOFDatabaseIteratorMysqli

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFDatabaseIteratorMysqli
+ Graphe d'héritage de FOFDatabaseIteratorMysqli:
FOFDatabaseIterator

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de FOFDatabaseIterator
__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de FOFDatabaseIterator
fetchObject ()
freeResult ()
getTable ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFDatabaseIterator
static & getIterator ($dbName, $cursor, $column, $class, $config=array())
- Attributs protégés hérités de FOFDatabaseIterator
$cursor
$class

Description détaillée

MySQLi database iterator.

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/iterator/mysqli.php


Joomla CMS: Référence de la classe FOFDatabaseIteratorOracle

Référence de la classe FOFDatabaseIteratorOracle
+ Graphe d'héritage de FOFDatabaseIteratorOracle:
FOFDatabaseIteratorPdo FOFDatabaseIterator

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFDatabaseIteratorPdo
count ()
- Fonctions membres publiques hérités de FOFDatabaseIterator
__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()
- Fonctions membres publiques statiques hérités de FOFDatabaseIterator
static & getIterator ($dbName, $cursor, $column, $class, $config=array())
- Fonctions membres protégées hérités de FOFDatabaseIteratorPdo
fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de FOFDatabaseIterator
fetchObject ()
freeResult ()
getTable ()
- Attributs protégés hérités de FOFDatabaseIterator
$cursor
$class

Description détaillée

MySQLi database iterator.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/iterator/oracle.php


Joomla CMS: Référence de la classe FOFDatabaseIteratorPdo

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFDatabaseIteratorPdo
+ Graphe d'héritage de FOFDatabaseIteratorPdo:
FOFDatabaseIterator FOFDatabaseIteratorOracle FOFDatabaseIteratorPdomysql FOFDatabaseIteratorSqlite

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de FOFDatabaseIterator
__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de FOFDatabaseIterator
fetchObject ()
freeResult ()
getTable ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFDatabaseIterator
static & getIterator ($dbName, $cursor, $column, $class, $config=array())
- Attributs protégés hérités de FOFDatabaseIterator
$cursor
$class

Description détaillée

PDO database iterator.

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/iterator/pdo.php


Joomla CMS: Référence de la classe FOFDatabaseIteratorPdomysql

Référence de la classe FOFDatabaseIteratorPdomysql
+ Graphe d'héritage de FOFDatabaseIteratorPdomysql:
FOFDatabaseIteratorPdo FOFDatabaseIterator

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFDatabaseIteratorPdo
count ()
- Fonctions membres publiques hérités de FOFDatabaseIterator
__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()
- Fonctions membres publiques statiques hérités de FOFDatabaseIterator
static & getIterator ($dbName, $cursor, $column, $class, $config=array())
- Fonctions membres protégées hérités de FOFDatabaseIteratorPdo
fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de FOFDatabaseIterator
fetchObject ()
freeResult ()
getTable ()
- Attributs protégés hérités de FOFDatabaseIterator
$cursor
$class

Description détaillée

MySQLi database iterator.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/iterator/pdomysql.php


Joomla CMS: Référence de la classe FOFDatabaseIteratorPostgresql

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFDatabaseIteratorPostgresql
+ Graphe d'héritage de FOFDatabaseIteratorPostgresql:
FOFDatabaseIterator

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de FOFDatabaseIterator
__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de FOFDatabaseIterator
fetchObject ()
freeResult ()
getTable ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFDatabaseIterator
static & getIterator ($dbName, $cursor, $column, $class, $config=array())
- Attributs protégés hérités de FOFDatabaseIterator
$cursor
$class

Description détaillée

PostgreSQL database iterator.

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.

Références null.

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/iterator/postgresql.php


Joomla CMS: Référence de la classe FOFDatabaseIteratorSqlite

Référence de la classe FOFDatabaseIteratorSqlite
+ Graphe d'héritage de FOFDatabaseIteratorSqlite:
FOFDatabaseIteratorPdo FOFDatabaseIterator

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFDatabaseIteratorPdo
count ()
- Fonctions membres publiques hérités de FOFDatabaseIterator
__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()
- Fonctions membres publiques statiques hérités de FOFDatabaseIterator
static & getIterator ($dbName, $cursor, $column, $class, $config=array())
- Fonctions membres protégées hérités de FOFDatabaseIteratorPdo
fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de FOFDatabaseIterator
fetchObject ()
freeResult ()
getTable ()
- Attributs protégés hérités de FOFDatabaseIterator
$cursor
$class

Description détaillée

MySQLi database iterator.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/iterator/sqlite.php


Joomla CMS: Référence de la classe FOFDatabaseIteratorSqlsrv

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFDatabaseIteratorSqlsrv
+ Graphe d'héritage de FOFDatabaseIteratorSqlsrv:
FOFDatabaseIterator FOFDatabaseIteratorAzure

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de FOFDatabaseIterator
__construct ($cursor, $column, $class, $config=array())
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de FOFDatabaseIterator
fetchObject ()
freeResult ()
getTable ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFDatabaseIterator
static & getIterator ($dbName, $cursor, $column, $class, $config=array())
- Attributs protégés hérités de FOFDatabaseIterator
$cursor
$class

Description détaillée

SQL server database iterator.

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/iterator/sqlsrv.php


Joomla CMS: Référence de la classe FOFDatabaseQuery

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFDatabaseQuery
+ Graphe d'héritage de FOFDatabaseQuery:
FOFDatabaseQueryMysqli FOFDatabaseQueryPdo FOFDatabaseQueryPostgresql FOFDatabaseQuerySqlsrv FOFDatabaseQueryMysql FOFDatabaseQueryPdomysql FOFDatabaseQueryOracle FOFDatabaseQuerySqlite FOFDatabaseQuerySqlazure

Fonctions membres publiques

__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')

Attributs protégés

$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( FOFDatabaseDriver $db = null )

Class constructor.

Paramètres
FOFDatabaseDriver $db The database driver.
Depuis
11.1

Références $db.

Documentation des fonctions membres

◆ __call()

__call | ( | $method,
 |  | $args
 | ) |

Magic method to provide method alias support for quote() and quoteName().

Paramètres
string | $method | The called method.
array | $args | The array of arguments passed to the method.
Renvoie
string The aliased method's return value or null.
Depuis
11.1

Références null.

◆ __clone()

__clone ( )

Method to provide deep copy support to nested objects and arrays when cloning.

Renvoie
void
Depuis
11.3

◆ __get()

__get ( $name )

Magic function to get protected variable value

Paramètres
string $name The name of the variable.
Renvoie
mixed
Depuis
11.1

Références $name, et null.

◆ __toString()

__toString ( )

Magic function to convert the query to a string.

Renvoie
string The completed query.
Depuis
11.1

Références $query, et elseif.

◆ call()

call ( $columns )

Add a single column, or array of columns to the CALL clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query. The call method can, however, be called multiple times in the same query.

Usage: $query->call('a.*')->call('b.id'); $query->call(array('a.*', 'b.id'));

Paramètres
mixed $columns A string or an array of field names.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
12.1

Références $columns.

◆ castAsChar()

castAsChar ( $value )

Casts a value to a char.

Ensure that the value is properly quoted before passing to the method.

Usage: $query->select($query->castAsChar('a'));

Paramètres
string $value The value to cast as a char.
Renvoie
string Returns the cast value.
Depuis
11.1

Références $value.

◆ charLength()

charLength | ( | $field,
 |  | $operator = null,
 |  | $condition = null
 | ) |

Gets the number of characters in a string.

Note, use 'length' to find the number of bytes in a string.

Usage: $query->select($query->charLength('a'));

Paramètres
string | $field | A value.
string | $operator | Comparison operator between charLength integer value and $condition
string | $condition | Integer value to compare charLength with.
Renvoie
string The required char length call.
Depuis
11.1

Références $condition, et $field.

◆ clear()

clear ( $clause = null )

Clear data from the query or a specific clause of the query.

Paramètres
string $clause Optionally, the name of the clause to clear, or nothing to clear the whole query.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références null.

◆ columns()

columns ( $columns )

Adds a column, or array of column names that would be used for an INSERT INTO statement.

Paramètres
mixed $columns A column name, or array of column names.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références $columns.

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Usage: $query->select($query->concatenate(array('a', 'b')));

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
11.1

Références $separator.

◆ currentTimestamp()

currentTimestamp ( )

Gets the current date and time.

Usage: $query->where('published_up < '.$query->currentTimestamp());

Renvoie
string
Depuis
11.1

◆ dateAdd()

dateAdd | ( | $date,
 |  | $interval,
 |  | $datePart
 | ) |

Add to the current date and time. Usage: $query->select($query->dateAdd()); Prefixing the interval with a - (negative sign) will cause subtraction to be used. Note: Not all drivers support all units.

Paramètres
datetime | $date | The date to add to. May be date or datetime
string | $interval | The string representation of the appropriate number of units
string | $datePart | The part of the date to perform the addition on
Renvoie
string The string with the appropriate sql for addition of dates

13.1

Références $date.

◆ dateFormat()

dateFormat ( )

Returns a PHP date() function compliant date format for the database driver.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the getDateFormat method directly.

Renvoie
string The format string.
Depuis
11.1

◆ day()

day ( $date )

Used to get a string to extract day from date column.

Usage: $query->select($query->day($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing day to be extracted.
Renvoie
string Returns string to extract day from a date.
Depuis
12.1

Références $date.

◆ delete()

delete ( $table = null )

Add a table name to the DELETE clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query.

Usage: $query->delete('#__a')->where('id = 1');

Paramètres
string $table The name of the table to delete from.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références null.

◆ dump()

dump ( )

Creates a formatted dump of the query for debugging purposes.

Usage: echo $query->dump();

Renvoie
string
Depuis
11.3

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the escape method directly.

Note that 'e' is an alias for this method as it is in FOFDatabaseDriver.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
11.1
Exceptions
RuntimeException if the internal db property is not a valid object.

Références $text.

◆ exec()

exec ( $columns )

Add a single column, or array of columns to the EXEC clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query. The exec method can, however, be called multiple times in the same query.

Usage: $query->exec('a.*')->exec('b.id'); $query->exec(array('a.*', 'b.id'));

Paramètres
mixed $columns A string or an array of field names.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
12.1

Références $columns.

◆ format()

format ( $format )

Find and replace sprintf-like tokens in a format string. Each token takes one of the following forms: %% - A literal percent character. %[t] - Where [t] is a type specifier. %[n]$[x] - Where [n] is an argument specifier and [t] is a type specifier.

Types: a - Numeric: Replacement text is coerced to a numeric type but not quoted or escaped. e - Escape: Replacement text is passed to $this->escape(). E - Escape (extra): Replacement text is passed to $this->escape() with true as the second argument. n - Name Quote: Replacement text is passed to $this->quoteName(). q - Quote: Replacement text is passed to $this->quote(). Q - Quote (no escape): Replacement text is passed to $this->quote() with false as the second argument. r - Raw: Replacement text is used as-is. (Be careful)

Date Types:

  • Replacement text automatically quoted (use uppercase for Name Quote).
  • Replacement text should be a string in date format or name of a date column. y/Y - Year m/M - Month d/D - Day h/H - Hour i/I - Minute s/S - Second

Invariable Types:

  • Takes no argument.
  • Argument index not incremented. t - Replacement text is the result of $this->currentTimestamp(). z - Replacement text is the result of $this->nullDate(false). Z - Replacement text is the result of $this->nullDate(true).

Usage: $query->format('SELECT %1$n FROM %2$n WHERE %3$n = %4$a', 'foo', '#__foo', 'bar', 1); Returns: SELECT foo FROM #__foo WHERE bar = 1

Notes: The argument specifier is optional but recommended for clarity. The argument index used for unspecified tokens is incremented only when used.

Paramètres
string $format The formatting string.
Renvoie
string Returns a string produced according to the formatting string.
Depuis
12.3

Regexp to find an replace all tokens. Matched fields: 0: Full token 1: Everything following '' 2: Everything following '' unless '' 3: Argument specifier and '$' 4: Argument specifier 5: Type specifier 6: '' if full token is '%'

Références $format, $i, $query, et null.

◆ from()

from | ( | $tables,
 |  | $subQueryAlias = null
 | ) |

Add a table to the FROM clause of the query.

Note that while an array of tables can be provided, it is recommended you use explicit joins.

Usage: $query->select('*')->from('#__a');

Paramètres
mixed | $tables | A string or array of table names. This can be a FOFDatabaseQuery object (or a child of it) when used as a subquery in FROM clause along with a value for $subQueryAlias.
string | $subQueryAlias | Alias used when $tables is a FOFDatabaseQuery.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Exceptions
RuntimeException
Depuis
11.1

◆ group()

group ( $columns )

Add a grouping column to the GROUP clause of the query.

Usage: $query->group('id');

Paramètres
mixed $columns A string or array of ordering columns.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références $columns.

◆ having()

having | ( | $conditions,
 |  | $glue = 'AND'
 | ) |

A conditions to the HAVING clause of the query.

Usage: $query->group('id')->having('COUNT(id) > 5');

Paramètres
mixed | $conditions | A string or array of columns.
string | $glue | The glue by which to join the conditions. Defaults to AND.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

◆ hour()

hour ( $date )

Used to get a string to extract hour from date column.

Usage: $query->select($query->hour($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing hour to be extracted.
Renvoie
string Returns string to extract hour from a date.
Depuis
12.1

Références $date.

◆ innerJoin()

innerJoin ( $condition )

Add an INNER JOIN clause to the query.

Usage: $query->innerJoin('b ON b.id = a.id')->innerJoin('c ON c.id = b.id');

Paramètres
string $condition The join condition.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références $condition.

◆ insert()

insert | ( | $table,
 |  | $incrementField = false
 | ) |

Add a table name to the INSERT clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query.

Usage: $query->insert('#__a')->set('id = 1'); $query->insert('#__a')->columns('id, title')->values('1,2')->values('3,4'); $query->insert('#__a')->columns('id, title')->values(array('1,2', '3,4'));

Paramètres
mixed | $table | The name of the table to insert data into.
boolean | $incrementField | The name of the field to auto increment.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

◆ join()

join | ( | $type,
 |  | $conditions
 | ) |

Add a JOIN clause to the query.

Usage: $query->join('INNER', 'b ON b.id = a.id);

Paramètres
string | $type | The type of join. This string is prepended to the JOIN keyword.
string | $conditions | A string or array of conditions.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références $type.

◆ leftJoin()

leftJoin ( $condition )

Add a LEFT JOIN clause to the query.

Usage: $query->leftJoin('b ON b.id = a.id')->leftJoin('c ON c.id = b.id');

Paramètres
string $condition The join condition.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références $condition.

◆ length()

length ( $value )

Get the length of a string in bytes.

Note, use 'charLength' to find the number of characters in a string.

Usage: query->where($query->length('a').' > 3');

Paramètres
string $value The string to measure.
Renvoie
int
Depuis
11.1

Références $value.

◆ minute()

minute ( $date )

Used to get a string to extract minute from date column.

Usage: $query->select($query->minute($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing minute to be extracted.
Renvoie
string Returns string to extract minute from a date.
Depuis
12.1

Références $date.

◆ month()

month ( $date )

Used to get a string to extract month from date column.

Usage: $query->select($query->month($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing month to be extracted.
Renvoie
string Returns string to extract month from a date.
Depuis
12.1

Références $date.

◆ nullDate()

nullDate ( $quoted = true )

Get the null or zero representation of a timestamp for the database driver.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the nullDate method directly.

Usage: $query->where('modified_date <> '.$query->nullDate());

Paramètres
boolean $quoted Optionally wraps the null date in database quotes (true by default).
Renvoie
string Null or zero representation of a timestamp.
Depuis
11.1

◆ order()

order ( $columns )

Add a ordering column to the ORDER clause of the query.

Usage: $query->order('foo')->order('bar'); $query->order(array('foo','bar'));

Paramètres
mixed $columns A string or array of ordering columns.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références $columns.

◆ outerJoin()

outerJoin ( $condition )

Add an OUTER JOIN clause to the query.

Usage: $query->outerJoin('b ON b.id = a.id')->outerJoin('c ON c.id = b.id');

Paramètres
string $condition The join condition.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références $condition.

◆ quote()

quote | ( | $text,
 |  | $escape = true
 | ) |

Method to quote and optionally escape a string to database requirements for insertion into the database.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the quote method directly.

Note that 'q' is an alias for this method as it is in FOFDatabaseDriver.

Usage: $query->quote('fulltext'); $query->q('fulltext'); $query->q(array('option', 'fulltext'));

Paramètres
mixed | $text | A string or an array of strings to quote.
boolean | $escape | True to escape the string, false to leave it unchanged.
Renvoie
string The quoted input string.
Depuis
11.1
Exceptions
RuntimeException if the internal db property is not a valid object.

Références $text.

◆ quoteName()

quoteName | ( | $name,
 |  | $as = null
 | ) |

Wrap an SQL statement identifier name such as column, table or database names in quotes to prevent injection risks and reserved word conflicts.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the quoteName method directly.

Note that 'qn' is an alias for this method as it is in FOFDatabaseDriver.

Usage: $query->quoteName('#__a'); $query->qn('#__a');

Paramètres
mixed | $name | The identifier name to wrap in quotes, or an array of identifier names to wrap in quotes. Each type supports dot-notation name.
mixed | $as | The AS query part associated to $name. It can be string or array, in latter case it has to be same length of $name; if is null there will not be any AS part for string or array element.
Renvoie
mixed The quote wrapped name, same type of $name.
Depuis
11.1
Exceptions
RuntimeException if the internal db property is not a valid object.

Références $name.

◆ rightJoin()

rightJoin ( $condition )

Add a RIGHT JOIN clause to the query.

Usage: $query->rightJoin('b ON b.id = a.id')->rightJoin('c ON c.id = b.id');

Paramètres
string $condition The join condition.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références $condition.

◆ second()

second ( $date )

Used to get a string to extract seconds from date column.

Usage: $query->select($query->second($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing second to be extracted.
Renvoie
string Returns string to extract second from a date.
Depuis
12.1

Références $date.

◆ select()

select ( $columns )

Add a single column, or array of columns to the SELECT clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query. The select method can, however, be called multiple times in the same query.

Usage: $query->select('a.*')->select('b.id'); $query->select(array('a.*', 'b.id'));

Paramètres
mixed $columns A string or an array of field names.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

Références $columns.

◆ set()

set | ( | $conditions,
 |  | $glue = ','
 | ) |

Add a single condition string, or an array of strings to the SET clause of the query.

Usage: $query->set('a = 1')->set('b = 2'); $query->set(array('a = 1', 'b = 2');

Paramètres
mixed | $conditions | A string or array of string conditions.
string | $glue | The glue by which to join the condition strings. Defaults to ,. Note that the glue is set on first use and cannot be changed.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

◆ setQuery()

setQuery ( $sql )

Allows a direct query to be provided to the database driver's setQuery() method, but still allow queries to have bounded variables.

Usage: $query->setQuery('select * from #__users');

Paramètres
mixed $sql An SQL Query
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
12.1

◆ union()

union | ( | $query,
 |  | $distinct = false,
 |  | $glue = ''
 | ) |

Add a query to UNION with the current query. Multiple unions each require separate statements and create an array of unions.

Usage (the $query base query MUST be a select query): $query->union('SELECT name FROM #__foo') $query->union('SELECT name FROM #__foo', true) $query->union(array('SELECT name FROM #__foo','SELECT name FROM #__bar')) $query->union($query2)->union($query3) $query->union(array($query2, $query3))

Paramètres
mixed | $query | The FOFDatabaseQuery object or string to union.
boolean | $distinct | True to only return distinct rows from the union.
string | $glue | The glue by which to join the conditions.
Renvoie
mixed The FOFDatabaseQuery object on success or boolean false on failure.
Voir également
http://dev.mysql.com/doc/refman/5.0/en/union.html
Depuis
12.1

Références $name, $query, et FOFDatabaseQueryElement\append().

◆ unionAll()

unionAll | ( | $query,
 |  | $distinct = false,
 |  | $glue = ''
 | ) |

Add a query to UNION ALL with the current query. Multiple unions each require separate statements and create an array of unions.

Usage: $query->union('SELECT name FROM #__foo') $query->union(array('SELECT name FROM #__foo','SELECT name FROM #__bar'))

Paramètres
mixed | $query | The FOFDatabaseQuery object or string to union.
boolean | $distinct | Not used - ignored.
string | $glue | Not used - ignored.
Renvoie
mixed The FOFDatabaseQuery object on success or boolean false on failure.
Voir également
union
Depuis
13.1

Références $name, et $query.

◆ unionDistinct()

unionDistinct | ( | $query,
 |  | $glue = ''
 | ) |

Add a query to UNION DISTINCT with the current query. Simply a proxy to union with the DISTINCT keyword.

Usage: $query->unionDistinct('SELECT name FROM #__foo')

Paramètres
mixed | $query | The FOFDatabaseQuery object or string to union.
string | $glue | The glue by which to join the conditions.
Renvoie
mixed The FOFDatabaseQuery object on success or boolean false on failure.
Voir également
union
Depuis
12.1

Références $query.

◆ update()

update ( $table )

Add a table name to the UPDATE clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query.

Usage: $query->update('#__foo')->set(...);

Paramètres
string $table A table to update.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

◆ values()

values ( $values )

Adds a tuple, or array of tuples that would be used as values for an INSERT INTO statement.

Usage: $query->values('1,2,3')->values('4,5,6'); $query->values(array('1,2,3', '4,5,6'));

Paramètres
string $values A single tuple, or array of tuples.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

◆ where()

where | ( | $conditions,
 |  | $glue = 'AND'
 | ) |

Add a single condition, or an array of conditions to the WHERE clause of the query.

Usage: $query->where('a = 1')->where('b = 2'); $query->where(array('a = 1', 'b = 2'));

Paramètres
mixed | $conditions | A string or array of where conditions.
string | $glue | The glue by which to join the conditions. Defaults to AND. Note that the glue is set on first use and cannot be changed.
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
11.1

◆ year()

year ( $date )

Used to get a string to extract year from date column.

Usage: $query->select($query->year($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing year to be extracted.
Renvoie
string Returns string to extract year from a date.
Depuis
12.1

Références $date.

Documentation des champs

◆ $autoIncrementField

$autoIncrementField = null
protected

◆ $call

$call = null
protected

◆ $columns

$columns = null
protected

◆ $db

$db = null
protected

◆ $delete

$delete = null
protected

◆ $element

$element = null
protected

◆ $exec

$exec = null
protected

◆ $from

$from = null
protected

◆ $group

$group = null
protected

◆ $having

$having = null
protected

◆ $insert

$insert = null
protected

◆ $join

$join = null
protected

◆ $order

$order = null
protected

◆ $select

$select = null
protected

◆ $set

$set = null
protected

◆ $sql

$sql = null
protected

◆ $type

$type = ''
protected

◆ $union

$union = null
protected

◆ $unionAll

$unionAll = null
protected

◆ $update

$update = null
protected

◆ $values

$values = null
protected

◆ $where

$where = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/query.php


Joomla CMS: Référence de la classe FOFDatabaseQueryElement

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFDatabaseQueryElement

Fonctions membres publiques

__construct ($name, $elements, $glue=',')
__toString ()
append ($elements)
getElements ()
__clone ()

Attributs protégés

$name = null
$elements = null
$glue = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $name,
 |  | $elements,
 |  | $glue = ','
 | ) |

Constructor.

Paramètres
string | $name | The name of the element.
mixed | $elements | String or array.
string | $glue | The glue for elements.
Depuis
11.1

Références $name, et name.

Documentation des fonctions membres

◆ __clone()

__clone ( )

Method to provide deep copy support to nested objects and arrays when cloning.

Renvoie
void
Depuis
11.3

◆ __toString()

__toString ( )

Magic function to convert the query element to a string.

Renvoie
string
Depuis
11.1

Références name.

◆ append()

append ( $elements )

Appends element parts to the internal list.

Paramètres
mixed $elements String or array.
Renvoie
void
Depuis
11.1

Référencé par FOFDatabaseQuery\union().

◆ getElements()

getElements ( )

Gets the elements of this element.

Renvoie
array
Depuis
11.1

Documentation des champs

◆ $elements

$elements = null
protected

◆ $glue

$glue = null
protected

◆ $name

$name = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/query/element.php


Joomla CMS: Référence de l'interface FOFDatabaseQueryLimitable

Référence de l'interface FOFDatabaseQueryLimitable
+ Graphe d'héritage de FOFDatabaseQueryLimitable:
JDatabaseQueryLimitable FOFDatabaseQueryMysqli FOFDatabaseQueryOracle FOFDatabaseQueryPostgresql FOFDatabaseQuerySqlite FOFDatabaseQuerySqlsrv FOFDatabaseQueryMysql FOFDatabaseQueryPdomysql FOFDatabaseQuerySqlazure

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseQueryLimitable
processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)

Description détaillée

Joomla Database Query Limitable Interface. Adds bind/unbind methods as well as a getBounded() method to retrieve the stored bounded variables on demand prior to query execution.

Depuis
12.1
La documentation de cette interface a été générée à partir du fichier suivant :
  • fof/database/query/limitable.php


Joomla CMS: Référence de la classe FOFDatabaseQueryMysql

Référence de la classe FOFDatabaseQueryMysql
+ Graphe d'héritage de FOFDatabaseQueryMysql:
FOFDatabaseQueryMysqli FOFDatabaseQuery FOFDatabaseQueryLimitable JDatabaseQueryLimitable

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFDatabaseQueryMysqli
processLimit ($query, $limit, $offset=0)
concatenate ($values, $separator=null)
setLimit ($limit=0, $offset=0)
regexp ($value)
Rand ()
- Fonctions membres publiques hérités de FOFDatabaseQuery
__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
- Attributs protégés hérités de FOFDatabaseQueryMysqli
$offset
$limit
- Attributs protégés hérités de FOFDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null

Description détaillée

Query Building Class.

Depuis
11.1
Obsolète:
Will be removed when the minimum supported PHP version no longer includes the deprecated PHP mysql extension
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/query/mysql.php


Joomla CMS: Référence de la classe FOFDatabaseQueryMysqli

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFDatabaseQueryMysqli
+ Graphe d'héritage de FOFDatabaseQueryMysqli:
FOFDatabaseQuery FOFDatabaseQueryLimitable JDatabaseQueryLimitable FOFDatabaseQueryMysql FOFDatabaseQueryPdomysql

Fonctions membres publiques

processLimit ($query, $limit, $offset=0)
concatenate ($values, $separator=null)
setLimit ($limit=0, $offset=0)
regexp ($value)
Rand ()
- Fonctions membres publiques hérités de FOFDatabaseQuery
__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')

Attributs protégés

$offset
$limit
- Attributs protégés hérités de FOFDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null

Description détaillée

Query Building Class.

Depuis
11.1

Documentation des fonctions membres

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
11.1

Références $separator, et $value.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, et $query.

◆ Rand()

Rand ( )

Return correct rand() function for Mysql.

Ensure that the rand() function is Mysql compatible.

Usage: $query->Rand();

Renvoie
string The correct rand function.
Depuis
3.5

◆ regexp()

regexp ( $value )

Return correct regexp operator for mysqli.

Ensure that the regexp operator is mysqli compatible.

Usage: $query->where('field ' . $query->regexp($search));

Paramètres
string $value The regex pattern.
Renvoie
string Returns the regex operator.
Depuis
11.3

Références $value.

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

Documentation des champs

◆ $limit

$limit
protected

◆ $offset

$offset
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/query/mysqli.php


Joomla CMS: Référence de la classe FOFDatabaseQueryOracle

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFDatabaseQueryOracle
+ Graphe d'héritage de FOFDatabaseQueryOracle:
FOFDatabaseQueryPdo FOFDatabaseQueryPreparable FOFDatabaseQueryLimitable FOFDatabaseQuery JDatabaseQueryPreparable JDatabaseQueryLimitable

Fonctions membres publiques

bind ($key=null, &$value=null, $dataType=PDO::PARAM_STR, $length=0, $driverOptions=array())
& getBounded ($key=null)
clear ($clause=null)
processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)
- Fonctions membres publiques hérités de FOFDatabaseQuery
__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')

Attributs protégés

$offset
$limit
$bounded = array()
- Attributs protégés hérités de FOFDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null

Description détaillée

Oracle Query Building Class.

Depuis
12.1

Documentation des fonctions membres

◆ bind()

bind | ( |  | $key = null,
 |  | & | $value = null,
 |  |  | $dataType = PDO::PARAM_STR,
 |  |  | $length = 0,
 |  |  | $driverOptions = array()
 | ) |  |

Method to add a variable to an internal array that will be bound to a prepared SQL statement before query execution. Also removes a variable that has been bounded from the internal bounded array when the passed in value is null.

Paramètres
string | integer | $key | The key that will be used in your SQL query to reference the value. Usually of the form ':key', but can also be an integer.
mixed | &$value | The value that will be bound. The value is passed by reference to support output parameters such as those possible with stored procedures.
integer | $dataType | Constant corresponding to a SQL datatype.
integer | $length | The length of the variable. Usually required for OUTPUT parameters.
array | $driverOptions | Optional driver options to be used.
Renvoie
FOFDatabaseQueryOracle
Depuis
12.1

Implémente JDatabaseQueryPreparable.

Références $key, et $value.

◆ clear()

clear ( $clause = null )

Clear data from the query or a specific clause of the query.

Paramètres
string $clause Optionally, the name of the clause to clear, or nothing to clear the whole query.
Renvoie
FOFDatabaseQueryOracle Returns this object to allow chaining.
Depuis
12.1

Références null.

◆ getBounded()

& getBounded ( $key = null )

Retrieves the bound parameters array when key is null and returns it by reference. If a key is provided then that item is returned.

Paramètres
mixed $key The bounded variable key to retrieve.
Renvoie
mixed
Depuis
12.1

Implémente JDatabaseQueryPreparable.

Références $key.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset. This method is used automatically by the __toString() method if it detects that the query implements the FOFDatabaseQueryLimitable interface.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, et $query.

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
FOFDatabaseQueryOracle Returns this object to allow chaining.
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

Documentation des champs

◆ $bounded

$bounded = array()
protected

◆ $limit

$limit
protected

◆ $offset

$offset
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/query/oracle.php


Joomla CMS: Référence de la classe FOFDatabaseQueryPdo

Référence de la classe FOFDatabaseQueryPdo
+ Graphe d'héritage de FOFDatabaseQueryPdo:
FOFDatabaseQuery FOFDatabaseQueryOracle FOFDatabaseQuerySqlite

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFDatabaseQuery
__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
- Attributs protégés hérités de FOFDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null

Description détaillée

PDO Query Building Class.

Depuis
12.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/query/pdo.php


Joomla CMS: Référence de la classe FOFDatabaseQueryPdomysql

Référence de la classe FOFDatabaseQueryPdomysql
+ Graphe d'héritage de FOFDatabaseQueryPdomysql:
FOFDatabaseQueryMysqli FOFDatabaseQuery FOFDatabaseQueryLimitable JDatabaseQueryLimitable

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFDatabaseQueryMysqli
processLimit ($query, $limit, $offset=0)
concatenate ($values, $separator=null)
setLimit ($limit=0, $offset=0)
regexp ($value)
Rand ()
- Fonctions membres publiques hérités de FOFDatabaseQuery
__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
- Attributs protégés hérités de FOFDatabaseQueryMysqli
$offset
$limit
- Attributs protégés hérités de FOFDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/query/pdomysql.php


Joomla CMS: Référence de la classe FOFDatabaseQueryPostgresql

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFDatabaseQueryPostgresql
+ Graphe d'héritage de FOFDatabaseQueryPostgresql:
FOFDatabaseQuery FOFDatabaseQueryLimitable JDatabaseQueryLimitable

Fonctions membres publiques

__toString ()
clear ($clause=null)
castAsChar ($value)
concatenate ($values, $separator=null)
currentTimestamp ()
forUpdate ($table_name, $glue=',')
forShare ($table_name, $glue=',')
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
noWait ()
limit ($limit=0)
offset ($offset=0)
returning ($pkCol)
setLimit ($limit=0, $offset=0)
processLimit ($query, $limit, $offset=0)
dateAdd ($date, $interval, $datePart)
regexp ($value)
Rand ()
- Fonctions membres publiques hérités de FOFDatabaseQuery
__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')

Attributs protégés

$forUpdate = null
$forShare = null
$noWait = null
$limit = null
$offset = null
$returning = null
- Attributs protégés hérités de FOFDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null

Description détaillée

Query Building Class.

Depuis
11.3

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic function to convert the query to a string, only for postgresql specific query

Renvoie
string The completed query.
Depuis
11.3

Références $query.

◆ castAsChar()

castAsChar ( $value )

Casts a value to a char.

Ensure that the value is properly quoted before passing to the method.

Usage: $query->select($query->castAsChar('a'));

Paramètres
string $value The value to cast as a char.
Renvoie
string Returns the cast value.
Depuis
11.3

Références $value.

◆ clear()

clear ( $clause = null )

Clear data from the query or a specific clause of the query.

Paramètres
string $clause Optionally, the name of the clause to clear, or nothing to clear the whole query.
Renvoie
FOFDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
11.3

Références null.

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Usage: $query->select($query->concatenate(array('a', 'b')));

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
11.3

Références $separator.

◆ currentTimestamp()

currentTimestamp ( )

Gets the current date and time.

Renvoie
string Return string used in query to obtain
Depuis
11.3

◆ dateAdd()

dateAdd | ( | $date,
 |  | $interval,
 |  | $datePart
 | ) |

Add to the current date and time in Postgresql. Usage: $query->select($query->dateAdd()); Prefixing the interval with a - (negative sign) will cause subtraction to be used.

Paramètres
datetime | $date | The date to add to
string | $interval | The string representation of the appropriate number of units
string | $datePart | The part of the date to perform the addition on
Renvoie
string The string with the appropriate sql for addition of dates
Depuis
13.1
Note
Not all drivers support all units. Check appropriate references http://www.postgresql.org/docs/9.0/static/functions-datetime.html.

Références $date.

◆ day()

day ( $date )

Used to get a string to extract day from date column.

Usage: $query->select($query->day($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing day to be extracted.
Renvoie
string Returns string to extract day from a date.
Depuis
12.1

Références $date.

◆ forShare()

forShare | ( | $table_name,
 |  | $glue = ','
 | ) |

Sets the FOR SHARE lock on select's output row

Paramètres
string | $table_name | The table to lock
string | $glue | The glue by which to join the conditions. Defaults to ',' .
Renvoie
FOFDatabaseQueryPostgresql FOR SHARE query element
Depuis
11.3

◆ forUpdate()

forUpdate | ( | $table_name,
 |  | $glue = ','
 | ) |

Sets the FOR UPDATE lock on select's output row

Paramètres
string | $table_name | The table to lock
string | $glue | The glue by which to join the conditions. Defaults to ',' .
Renvoie
FOFDatabaseQueryPostgresql FOR UPDATE query element
Depuis
11.3

◆ hour()

hour ( $date )

Used to get a string to extract hour from date column.

Usage: $query->select($query->hour($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing hour to be extracted.
Renvoie
string Returns string to extract hour from a date.
Depuis
12.1

Références $date.

◆ limit()

limit ( $limit = 0 )

Set the LIMIT clause to the query

Paramètres
integer $limit An int of how many row will be returned
Renvoie
FOFDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
11.3

Références $limit.

◆ minute()

minute ( $date )

Used to get a string to extract minute from date column.

Usage: $query->select($query->minute($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing minute to be extracted.
Renvoie
string Returns string to extract minute from a date.
Depuis
12.1

Références $date.

◆ month()

month ( $date )

Used to get a string to extract month from date column.

Usage: $query->select($query->month($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing month to be extracted.
Renvoie
string Returns string to extract month from a date.
Depuis
12.1

Références $date.

◆ noWait()

noWait ( )

Sets the NOWAIT lock on select's output row

Renvoie
FOFDatabaseQueryPostgresql NO WAIT query element
Depuis
11.3

Références null.

◆ offset()

offset ( $offset = 0 )

Set the OFFSET clause to the query

Paramètres
integer $offset An int for skipping row
Renvoie
FOFDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
11.3

Références $offset.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, et $query.

◆ Rand()

Rand ( )

Return correct rand() function for Postgresql.

Ensure that the rand() function is Postgresql compatible.

Usage: $query->Rand();

Renvoie
string The correct rand function.
Depuis
3.5

◆ regexp()

regexp ( $value )

Return correct regexp operator for Postgresql.

Ensure that the regexp operator is Postgresql compatible.

Usage: $query->where('field ' . $query->regexp($search));

Paramètres
string $value The regex pattern.
Renvoie
string Returns the regex operator.
Depuis
11.3

Références $value.

◆ returning()

returning ( $pkCol )

Add the RETURNING element to INSERT INTO statement.

Paramètres
mixed $pkCol The name of the primary key column.
Renvoie
FOFDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
11.3

◆ second()

second ( $date )

Used to get a string to extract seconds from date column.

Usage: $query->select($query->second($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing second to be extracted.
Renvoie
string Returns string to extract second from a date.
Depuis
12.1

Références $date.

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
FOFDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

◆ year()

year ( $date )

Used to get a string to extract year from date column.

Usage: $query->select($query->year($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing year to be extracted.
Renvoie
string Returns string to extract year from a date.
Depuis
12.1

Références $date.

Documentation des champs

◆ $forShare

$forShare = null
protected

◆ $forUpdate

$forUpdate = null
protected

◆ $limit

$limit = null
protected

◆ $noWait

$noWait = null
protected

◆ $offset

$offset = null
protected

◆ $returning

$returning = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/query/postgresql.php


Joomla CMS: Référence de l'interface FOFDatabaseQueryPreparable

Référence de l'interface FOFDatabaseQueryPreparable
+ Graphe d'héritage de FOFDatabaseQueryPreparable:
JDatabaseQueryPreparable FOFDatabaseQueryOracle FOFDatabaseQuerySqlite

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseQueryPreparable
bind ($key=null, &$value=null, $dataType=PDO::PARAM_STR, $length=0, $driverOptions=array())
& getBounded ($key=null)
La documentation de cette interface a été générée à partir du fichier suivant :
  • fof/database/query/preparable.php


Joomla CMS: Référence de la classe FOFDatabaseQuerySqlazure

Attributs protégés
Référence de la classe FOFDatabaseQuerySqlazure
+ Graphe d'héritage de FOFDatabaseQuerySqlazure:
FOFDatabaseQuerySqlsrv FOFDatabaseQuery FOFDatabaseQueryLimitable JDatabaseQueryLimitable

Attributs protégés

$name_quotes = ''
- Attributs protégés hérités de FOFDatabaseQuerySqlsrv
$name_quotes = '`'
$null_date = '1900-01-01 00:00:00'
$limit = 0
$offset = 0
- Attributs protégés hérités de FOFDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFDatabaseQuerySqlsrv
__toString ()
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
concatenate ($values, $separator=null)
currentTimestamp ()
length ($value)
dateAdd ($date, $interval, $datePart)
processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)
Rand ()
- Fonctions membres publiques hérités de FOFDatabaseQuery
__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')

Description détaillée

Query Building Class.

Depuis
11.1

Documentation des champs

◆ $name_quotes

$name_quotes = ''
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/query/sqlazure.php


Joomla CMS: Référence de la classe FOFDatabaseQuerySqlite

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFDatabaseQuerySqlite
+ Graphe d'héritage de FOFDatabaseQuerySqlite:
FOFDatabaseQueryPdo FOFDatabaseQueryPreparable FOFDatabaseQueryLimitable FOFDatabaseQuery JDatabaseQueryPreparable JDatabaseQueryLimitable

Fonctions membres publiques

bind ($key=null, &$value=null, $dataType=PDO::PARAM_STR, $length=0, $driverOptions=array())
& getBounded ($key=null)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
concatenate ($values, $separator=null)
processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)
dateAdd ($date, $interval, $datePart)
currentTimestamp ()
- Fonctions membres publiques hérités de FOFDatabaseQuery
__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')

Attributs protégés

$offset
$limit
$bounded = array()
- Attributs protégés hérités de FOFDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null

Description détaillée

SQLite Query Building Class.

Depuis
12.1

Documentation des fonctions membres

◆ bind()

bind | ( |  | $key = null,
 |  | & | $value = null,
 |  |  | $dataType = PDO::PARAM_STR,
 |  |  | $length = 0,
 |  |  | $driverOptions = array()
 | ) |  |

Method to add a variable to an internal array that will be bound to a prepared SQL statement before query execution. Also removes a variable that has been bounded from the internal bounded array when the passed in value is null.

Paramètres
string | integer | $key | The key that will be used in your SQL query to reference the value. Usually of the form ':key', but can also be an integer.
mixed | &$value | The value that will be bound. The value is passed by reference to support output parameters such as those possible with stored procedures.
integer | $dataType | Constant corresponding to a SQL datatype.
integer | $length | The length of the variable. Usually required for OUTPUT parameters.
array | $driverOptions | Optional driver options to be used.
Renvoie
FOFDatabaseQuerySqlite
Depuis
12.1

Implémente JDatabaseQueryPreparable.

Références $key, et $value.

◆ charLength()

charLength | ( | $field,
 |  | $operator = null,
 |  | $condition = null
 | ) |

Gets the number of characters in a string.

Note, use 'length' to find the number of bytes in a string.

Usage: $query->select($query->charLength('a'));

Paramètres
string | $field | A value.
string | $operator | Comparison operator between charLength integer value and $condition
string | $condition | Integer value to compare charLength with.
Renvoie
string The required char length call.
Depuis
13.1

Références $condition, et $field.

◆ clear()

clear ( $clause = null )

Clear data from the query or a specific clause of the query.

Paramètres
string $clause Optionally, the name of the clause to clear, or nothing to clear the whole query.
Renvoie
FOFDatabaseQuerySqlite Returns this object to allow chaining.
Depuis
12.1

Références null.

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Usage: $query->select($query->concatenate(array('a', 'b')));

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
11.1

Références $separator.

◆ currentTimestamp()

currentTimestamp ( )

Gets the current date and time.

Usage: $query->where('published_up < '.$query->currentTimestamp());

Renvoie
string
Depuis
3.4

◆ dateAdd()

dateAdd | ( | $date,
 |  | $interval,
 |  | $datePart
 | ) |

Add to the current date and time. Usage: $query->select($query->dateAdd()); Prefixing the interval with a - (negative sign) will cause subtraction to be used.

Paramètres
datetime | $date | The date or datetime to add to
string | $interval | The string representation of the appropriate number of units
string | $datePart | The part of the date to perform the addition on
Renvoie
string The string with the appropriate sql for addition of dates
Depuis
13.1 http://www.sqlite.org/lang_datefunc.html

Références $date.

◆ getBounded()

& getBounded ( $key = null )

Retrieves the bound parameters array when key is null and returns it by reference. If a key is provided then that item is returned.

Paramètres
mixed $key The bounded variable key to retrieve.
Renvoie
mixed
Depuis
12.1

Implémente JDatabaseQueryPreparable.

Références $key.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset. This method is used automatically by the __toString() method if it detects that the query implements the FOFDatabaseQueryLimitable interface.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, et $query.

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
FOFDatabaseQuerySqlite Returns this object to allow chaining.
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

Documentation des champs

◆ $bounded

$bounded = array()
protected

◆ $limit

$limit
protected

◆ $offset

$offset
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/database/query/sqlite.php


Joomla CMS: Référence de la classe FOFDatabaseQuerySqlsrv

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFDatabaseQuerySqlsrv
+ Graphe d'héritage de FOFDatabaseQuerySqlsrv:
FOFDatabaseQuery FOFDatabaseQueryLimitable JDatabaseQueryLimitable FOFDatabaseQuerySqlazure

Fonctions membres publiques

__toString ()
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
concatenate ($values, $separator=null)
currentTimestamp ()
length ($value)
dateAdd ($date, $interval, $datePart)
processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)
Rand ()
- Fonctions membres publiques hérités de FOFDatabaseQuery
__call ($method, $args)
__construct (FOFDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')

Attributs protégés

$name_quotes = '`'
$null_date = '1900-01-01 00:00:00'
$limit = 0
$offset = 0
- Attributs protégés hérités de FOFDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null

Description détaillée

Query Building Class.

Depuis
11.1

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic function to convert the query to a string.

Renvoie
string The completed query.
Depuis
11.1

Références $query, et elseif.

◆ castAsChar()

castAsChar ( $value )

Casts a value to a char.

Ensure that the value is properly quoted before passing to the method.

Paramètres
string $value The value to cast as a char.
Renvoie
string Returns the cast value.
Depuis
11.1

Références $value.

◆ charLength()

charLength | ( | $field,
 |  | $operator = null,
 |  | $condition = null
 | ) |

Gets the function to determine the length of a character string.

Paramètres
string | $field | A value.
string | $operator | Comparison operator between charLength integer value and $condition
string | $condition | Integer value to compare charLength with.
Renvoie
string The required char length call.
Depuis
11.1

Références $condition, et $field.

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
11.1

Références $separator.

◆ currentTimestamp()

currentTimestamp ( )

Gets the current date and time.

Renvoie
string
Depuis
11.1

◆ dateAdd()

dateAdd | ( | $date,
 |  | $interval,
 |  | $datePart
 | ) |

Add to the current date and time. Usage: $query->select($query->dateAdd()); Prefixing the interval with a - (negative sign) will cause subtraction to be used.

Paramètres
datetime | $date | The date to add to; type may be time or datetime.
string | $interval | The string representation of the appropriate number of units
string | $datePart | The part of the date to perform the addition on
Renvoie
string The string with the appropriate sql for addition of dates
Depuis
13.1
Note
Not all drivers support all units. for more information

Références $date.

◆ length()

length ( $value )

Get the length of a string in bytes.

Paramètres
string $value The string to measure.
Renvoie
integer
Depuis
11.1

Références $value.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, $query, et $start.

◆ Rand()

Rand ( )

Return correct rand() function for MSSQL.

Ensure that the rand() function is MSSQL compatible.

Usage: $query->Rand();

Renvoie
string The correct rand function.
Depuis
3.5

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
FOFDatabaseQuery Returns this object to allow chaining.
Depuis
12.1

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

Documentation des champs

◆ $limit

$limit = 0
protected

◆ $name_quotes

$name_quotes = '`'
protected

◆ $null_date

$null_date = '1900-01-01 00:00:00'
protected

◆ $offset

$offset = 0
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/database/query/sqlsrv.php


Joomla CMS: Référence de la classe FOFDispatcher

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe FOFDispatcher
+ Graphe d'héritage de FOFDispatcher:
FOFUtilsObject

Fonctions membres publiques

__construct ($config=array())
dispatch ()
onBeforeDispatch ()
onBeforeDispatchCLI ()
onAfterDispatch ()
transparentAuthentication ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres publiques statiques

static & | getAnInstance ($option=null, $view=null, $config=array())
static & | getTmpInstance ($option=null, $view=null, $config=array())
static | isCliAdmin ()

Champs de données

$defaultView = 'cpanel'

Fonctions membres protégées

getTask ($view)

Attributs protégés

$config = array()
$input = array()
$fofAuth_timeStep = 6
$fofAuth_Key = null
$fofAuth_Formats = array('json', 'csv', 'xml', 'raw')
$fofAuth_LogoutOnReturn = true
$fofAuth_AuthMethods
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Fonctions membres privées

_decryptWithTOTP ($encryptedData)
_createDecryptionKey ($time=null)

Attributs privés

$_fofAuth_isLoggedIn = false
$_fofAuth_CryptoKey = ''

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Public constructor

Paramètres
array $config The configuration variables

Références $config, $task, FOFConfigProvider\get(), null, et view.

Documentation des fonctions membres

◆ _createDecryptionKey()

_createDecryptionKey ( $time = null )
private

Creates a decryption key for use with the TOTP decryption method

Paramètres
integer $time The timestamp used for TOTP calculation, leave empty to use current timestamp
Renvoie
string THe encryption key

Références $key.

◆ _decryptWithTOTP()

_decryptWithTOTP ( $encryptedData )
private

Decrypts a transparent authentication message using a TOTP

Paramètres
string $encryptedData The encrypted data
Renvoie
array The decrypted data

Références $i, et null.

◆ dispatch()

dispatch ( )

The main code of the Dispatcher. It spawns the necessary controller and runs it.

Exceptions
Exception
Renvoie
void|Exception

Références $config, $controller, $format, $input, $option, $task, $view, elseif, FOFPlatform\getInstance(), FOFController\getTmpInstance(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

◆ getAnInstance()

static& getAnInstance | ( | $option = null,
 |  | $view = null,
 |  | $config = array()
 | ) |
static

Get a static (Singleton) instance of a particular Dispatcher

Paramètres
string | $option | The component name
string | $view | The View name
array | $config | Configuration data

array $instances Holds the array of Dispatchers FOF knows about

Renvoie
FOFDispatcher

Références $config, $hash, $option, et $view.

◆ getTask()

getTask ( $view )
protected

Tries to guess the controller task to execute based on the view name and the HTTP request method.

Paramètres
string $view The name of the view
Renvoie
string The best guess of the task to execute

Références $id, $task, $view, elseif, FOFPlatform\getInstance(), FOFInflector\isPlural(), et null.

◆ getTmpInstance()

static& getTmpInstance | ( | $option = null,
 |  | $view = null,
 |  | $config = array()
 | ) |
static

Gets a temporary instance of a Dispatcher

Paramètres
string | $option | The component name
string | $view | The View name
array | $config | Configuration data
Renvoie
FOFDispatcher

Références $className, $config, $input, $option, $path, $view, et FOFPlatform\getInstance().

◆ isCliAdmin()

static isCliAdmin ( )
static

Main function to detect if we're running in a CLI environment and we're admin

Renvoie
array isCLI and isAdmin. It's not an associative array, so we can use list.

Références FOFPlatform\getInstance(), et null.

Référencé par FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_toolbar(), et FOFAutoloaderComponent\autoload_fof_view().

◆ onAfterDispatch()

onAfterDispatch ( )

Executes right after the dispatcher runs the controller.

Renvoie
boolean Return false to abort

Références FOFPlatform\getInstance().

◆ onBeforeDispatch()

onBeforeDispatch ( )

Executes right before the dispatcher tries to instantiate and run the controller.

Renvoie
boolean Return false to abort

◆ onBeforeDispatchCLI()

onBeforeDispatchCLI ( )

Sets up some environment variables, so we can work as usually on CLI, too.

Renvoie
boolean Return false to abort

Références $option, FOFPlatform\getInstance(), et JLoader\import().

◆ transparentAuthentication()

transparentAuthentication ( )

Transparently authenticates a user

Renvoie
void

Références $format, elseif, FOFPlatform\getInstance(), et null.

Documentation des champs

◆ $_fofAuth_CryptoKey

$_fofAuth_CryptoKey = ''
private

◆ $_fofAuth_isLoggedIn

$_fofAuth_isLoggedIn = false
private

◆ $config

$config = array()
protected

◆ $defaultView

$defaultView = 'cpanel'

◆ $fofAuth_AuthMethods

$fofAuth_AuthMethods
protected
Valeur initiale :
= array(
'HTTPBasicAuth_TOTP',
'QueryString_TOTP',
'HTTPBasicAuth_Plaintext',
'QueryString_Plaintext',
'SplitQueryString_Plaintext',
)

◆ $fofAuth_Formats

$fofAuth_Formats = array('json', 'csv', 'xml', 'raw')
protected

◆ $fofAuth_Key

$fofAuth_Key = null
protected

◆ $fofAuth_LogoutOnReturn

$fofAuth_LogoutOnReturn = true
protected

◆ $fofAuth_timeStep

$fofAuth_timeStep = 6
protected

◆ $input

$input = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/dispatcher/dispatcher.php


Joomla CMS: Référence de la classe FOFDownload

Fonctions membres publiques | Fonctions membres protégées statiques | Fonctions membres privées | Attributs privés
Référence de la classe FOFDownload

Fonctions membres publiques

setAdapter ($className)
getAdapterName ()
setAdapterOptions (array $options)
getAdapterOptions ()
getFromURL ($url)
importFromURL ($params)

Fonctions membres protégées statiques

static | getFiles ($path, array $ignoreFolders=array(), array $ignoreFiles=array())
static | scanDirectory ($path, array $ignoreFolders=array(), array $ignoreFiles=array())

Fonctions membres privées

getParam ($key, $default=null)

Attributs privés

$params = array()
$adapter = null
$adapterOptions = array()

Documentation des fonctions membres

◆ getAdapterName()

getAdapterName ( )

Returns the name of the current adapter

Renvoie
string

Références $class.

◆ getAdapterOptions()

getAdapterOptions ( )

Returns the additional options for the adapter

Renvoie
array

◆ getFiles()

static getFiles | ( |  | $path,
 |  | array | $ignoreFolders = array(),
 |  | array | $ignoreFiles = array()
 | ) |  |
staticprotected

This method will crawl a starting directory and get all the valid files that will be analyzed by __construct. Then it organizes them into an associative array.

Paramètres
string | $path | Folder where we should start looking
array | $ignoreFolders | Folder ignore list
array | $ignoreFiles | File ignore list
Renvoie
array Associative array, where the fullpath key contains the path to the file, and the classname key contains the name of the class

Références $file, $files, $parts, $path, et $return.

◆ getFromURL()

getFromURL ( $url )

Download data from a URL and return it

Paramètres
string $url The URL to download from
Renvoie
bool|string The downloaded data or false on failure

Références $url, et null.

◆ getParam()

getParam | ( | $key,
 |  | $default = null
 | ) |
private

Used to decode the $params array

Paramètres
string | $key | The parameter key you want to retrieve the value for
mixed | $default | The default value, if none is specified
Renvoie
mixed The value for this parameter key

Références $default, et $key.

◆ importFromURL()

importFromURL ( $params )

Performs the staggered download of file. The downloaded file will be stored in Joomla!'s temp-path using the basename of the URL as a filename

The $params array can have any of the following keys url The file being downloaded frag Rolling counter of the file fragment being downloaded totalSize The total size of the file being downloaded, in bytes doneSize How many bytes we have already downloaded maxExecTime Maximum execution time downloading file fragments, in seconds length How many bytes to download at once

The array returned is in the following format:

status True if there are no errors, false if there are errors error A string with the error message if there are errors frag The next file fragment to download totalSize The total size of the downloaded file in bytes, if the server supports HEAD requests doneSize How many bytes have already been downloaded percent % of the file already downloaded (if totalSize could be determined) localfile The name of the local file, without the path

Paramètres
array $params A parameters array, as sent by the user interface
Renvoie
array A return status array

Références $filesize, $params, $start, $url, elseif, et JPATH_ROOT.

◆ scanDirectory()

static scanDirectory | ( |  | $path,
 |  | array | $ignoreFolders = array(),
 |  | array | $ignoreFiles = array()
 | ) |  |
staticprotected

Recursive function that will scan every directory unless it's in the ignore list. Files that aren't in the ignore list are returned.

Paramètres
string | $path | Folder where we should start looking
array | $ignoreFolders | Folder ignore list
array | $ignoreFiles | File ignore list
Renvoie
array List of all the files

Références $file, $path, et $return.

◆ setAdapter()

setAdapter ( $className )

Forces the use of a specific adapter

Paramètres
string $className The name of the class or the name of the adapter, e.g. 'FOFDownloadAdapterCurl' or 'curl'

Références $className, elseif, et null.

◆ setAdapterOptions()

setAdapterOptions ( array $options )

Sets the additional options for the adapter

Paramètres
array $options

Références $options.

Documentation des champs

◆ $adapter

$adapter = null
private

◆ $adapterOptions

$adapterOptions = array()
private

◆ $params

$params = array()
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/download/download.php


Joomla CMS: Référence de la classe FOFDownloadAdapterAbstract

Fonctions membres publiques | Champs de données
Référence de la classe FOFDownloadAdapterAbstract
+ Graphe d'héritage de FOFDownloadAdapterAbstract:
FOFDownloadInterface FOFDownloadAdapterCurl FOFDownloadAdapterFopen

Fonctions membres publiques

supportsChunkDownload ()
supportsFileSize ()
isSupported ()
getPriority ()
getName ()
downloadAndReturn ($url, $from=null, $to=null, array $params=array())
getFileSize ($url)

Champs de données

$priority = 100
$name = ''
$isSupported = false
$supportsChunkDownload = false
$supportsFileSize = false

Description détaillée

Abstract base class for download adapters

Documentation des fonctions membres

◆ downloadAndReturn()

downloadAndReturn | ( |  | $url,
 |  |  | $from = null,
 |  |  | $to = null,
 |  | array | $params = array()
 | ) |  |

Download a part (or the whole) of a remote URL and return the downloaded data. You are supposed to check the size of the returned data. If it's smaller than what you expected you've reached end of file. If it's empty you have tried reading past EOF. If it's larger than what you expected the server doesn't support chunk downloads.

If this class' supportsChunkDownload returns false you should assume that the $from and $to parameters will be ignored.

Paramètres
string | $url | The remote file's URL
integer | $from | Byte range to start downloading from. Use null for start of file.
integer | $to | Byte range to stop downloading. Use null to download the entire file ($from is ignored)
array | $params | Additional params that will be added before performing the download
Renvoie
string The raw file data retrieved from the remote URL.
Exceptions
Exception A generic exception is thrown on error

Implémente FOFDownloadInterface.

◆ getFileSize()

getFileSize ( $url )

Get the size of a remote file in bytes

Paramètres
string $url The remote file's URL
Renvoie
integer The file size, or -1 if the remote server doesn't support this feature

Implémente FOFDownloadInterface.

◆ getName()

getName ( )

Returns the name of this download adapter in use

Renvoie
string

Implémente FOFDownloadInterface.

Références $name.

◆ getPriority()

getPriority ( )

Get the priority of this adapter. If multiple download adapters are supported on a site, the one with the highest priority will be used.

Renvoie
boolean

Implémente FOFDownloadInterface.

◆ isSupported()

isSupported ( )

Is this download class supported in the current server environment?

Renvoie
boolean True if this server environment supports this download class

Implémente FOFDownloadInterface.

◆ supportsChunkDownload()

supportsChunkDownload ( )

Does this download adapter support downloading files in chunks?

Renvoie
boolean True if chunk download is supported

Implémente FOFDownloadInterface.

◆ supportsFileSize()

supportsFileSize ( )

Does this download adapter support reading the size of a remote file?

Renvoie
boolean True if remote file size determination is supported

Implémente FOFDownloadInterface.

Documentation des champs

◆ $isSupported

$isSupported = false

◆ $name

$name = ''

◆ $priority

$priority = 100

◆ $supportsChunkDownload

$supportsChunkDownload = false

◆ $supportsFileSize

$supportsFileSize = false
La documentation de cette classe a été générée à partir du fichier suivant :
  • download/adapter/abstract.php


Joomla CMS: Référence de la classe FOFDownloadAdapterCurl

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFDownloadAdapterCurl
+ Graphe d'héritage de FOFDownloadAdapterCurl:
FOFDownloadAdapterAbstract FOFDownloadInterface FOFDownloadInterface

Fonctions membres publiques

__construct ()
downloadAndReturn ($url, $from=null, $to=null, array $params=array())
getFileSize ($url)
- Fonctions membres publiques hérités de FOFDownloadAdapterAbstract
supportsChunkDownload ()
supportsFileSize ()
isSupported ()
getPriority ()
getName ()
downloadAndReturn ($url, $from=null, $to=null, array $params=array())
getFileSize ($url)

Fonctions membres protégées

reponseHeaderCallback (&$ch, &$data)

Attributs protégés

$headers = array()

Membres hérités additionnels

- Champs de données hérités de FOFDownloadAdapterAbstract
$priority = 100
$name = ''
$isSupported = false
$supportsChunkDownload = false
$supportsFileSize = false

Description détaillée

A download adapter using the cURL PHP module

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Références name.

Documentation des fonctions membres

◆ downloadAndReturn()

downloadAndReturn | ( |  | $url,
 |  |  | $from = null,
 |  |  | $to = null,
 |  | array | $params = array()
 | ) |  |

Download a part (or the whole) of a remote URL and return the downloaded data. You are supposed to check the size of the returned data. If it's smaller than what you expected you've reached end of file. If it's empty you have tried reading past EOF. If it's larger than what you expected the server doesn't support chunk downloads.

If this class' supportsChunkDownload returns false you should assume that the $from and $to parameters will be ignored.

Paramètres
string | $url | The remote file's URL
integer | $from | Byte range to start downloading from. Use null for start of file.
integer | $to | Byte range to stop downloading. Use null to download the entire file ($from is ignored)
array | $params | Additional params that will be added before performing the download
Renvoie
string The raw file data retrieved from the remote URL.
Exceptions
Exception A generic exception is thrown on error

Implémente FOFDownloadInterface.

Références $options, $params, $url, et elseif.

◆ getFileSize()

getFileSize ( $url )

Get the size of a remote file in bytes

Paramètres
string $url The remote file's URL
Renvoie
integer The file size, or -1 if the remote server doesn't support this feature

Implémente FOFDownloadInterface.

Références $data, $url, et null.

◆ reponseHeaderCallback()

reponseHeaderCallback | ( | & | $ch,
 |  | & | $data
 | ) |  |
protected

Handles the HTTP headers returned by cURL

Paramètres
resource | $ch | cURL resource handle (unused)
string | $data | Each header line, as returned by the server
Renvoie
int The length of the $data string

Références $data, et $value.

Documentation des champs

◆ $headers

$headers = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • curl.php


Joomla CMS: Référence de la classe FOFDownloadAdapterFopen

Fonctions membres publiques
Référence de la classe FOFDownloadAdapterFopen
+ Graphe d'héritage de FOFDownloadAdapterFopen:
FOFDownloadAdapterAbstract FOFDownloadInterface FOFDownloadInterface

Fonctions membres publiques

__construct ()
downloadAndReturn ($url, $from=null, $to=null, array $params=array())
- Fonctions membres publiques hérités de FOFDownloadAdapterAbstract
supportsChunkDownload ()
supportsFileSize ()
isSupported ()
getPriority ()
getName ()
downloadAndReturn ($url, $from=null, $to=null, array $params=array())
getFileSize ($url)

Membres hérités additionnels

- Champs de données hérités de FOFDownloadAdapterAbstract
$priority = 100
$name = ''
$isSupported = false
$supportsChunkDownload = false
$supportsFileSize = false

Description détaillée

A download adapter using URL fopen() wrappers

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Références name.

Documentation des fonctions membres

◆ downloadAndReturn()

downloadAndReturn | ( |  | $url,
 |  |  | $from = null,
 |  |  | $to = null,
 |  | array | $params = array()
 | ) |  |

Download a part (or the whole) of a remote URL and return the downloaded data. You are supposed to check the size of the returned data. If it's smaller than what you expected you've reached end of file. If it's empty you have tried reading past EOF. If it's larger than what you expected the server doesn't support chunk downloads.

If this class' supportsChunkDownload returns false you should assume that the $from and $to parameters will be ignored.

Paramètres
string | $url | The remote file's URL
integer | $from | Byte range to start downloading from. Use null for start of file.
integer | $to | Byte range to stop downloading. Use null to download the entire file ($from is ignored)
array | $params | Additional params that will be added before performing the download
Renvoie
string The raw file data retrieved from the remote URL.
Exceptions
Exception A generic exception is thrown on error

Implémente FOFDownloadInterface.

Références $context, $options, $params, et $url.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fopen.php


Joomla CMS: Référence de l'interface FOFDownloadInterface

Fonctions membres publiques
Référence de l'interface FOFDownloadInterface
+ Graphe d'héritage de FOFDownloadInterface:
FOFDownloadAdapterAbstract FOFDownloadAdapterCurl FOFDownloadAdapterFopen FOFDownloadAdapterCurl FOFDownloadAdapterFopen

Fonctions membres publiques

supportsChunkDownload ()
supportsFileSize ()
isSupported ()
getPriority ()
getName ()
downloadAndReturn ($url, $from=null, $to=null, array $params=array())
getFileSize ($url)

Documentation des fonctions membres

◆ downloadAndReturn()

downloadAndReturn | ( |  | $url,
 |  |  | $from = null,
 |  |  | $to = null,
 |  | array | $params = array()
 | ) |  |

Download a part (or the whole) of a remote URL and return the downloaded data. You are supposed to check the size of the returned data. If it's smaller than what you expected you've reached end of file. If it's empty you have tried reading past EOF. If it's larger than what you expected the server doesn't support chunk downloads.

If this class' supportsChunkDownload returns false you should assume that the $from and $to parameters will be ignored.

Paramètres
string | $url | The remote file's URL
integer | $from | Byte range to start downloading from. Use null for start of file.
integer | $to | Byte range to stop downloading. Use null to download the entire file ($from is ignored)
array | $params | Additional params that will be added before performing the download
Renvoie
string The raw file data retrieved from the remote URL.
Exceptions
Exception A generic exception is thrown on error

Implémenté dans FOFDownloadAdapterAbstract, FOFDownloadAdapterFopen, et FOFDownloadAdapterCurl.

◆ getFileSize()

getFileSize ( $url )

Get the size of a remote file in bytes

Paramètres
string $url The remote file's URL
Renvoie
integer The file size, or -1 if the remote server doesn't support this feature

Implémenté dans FOFDownloadAdapterCurl, et FOFDownloadAdapterAbstract.

◆ getName()

getName ( )

Returns the name of this download adapter in use

Renvoie
string

Implémenté dans FOFDownloadAdapterAbstract.

◆ getPriority()

getPriority ( )

Get the priority of this adapter. If multiple download adapters are supported on a site, the one with the highest priority will be used.

Renvoie
boolean

Implémenté dans FOFDownloadAdapterAbstract.

◆ isSupported()

isSupported ( )

Is this download class supported in the current server environment?

Renvoie
boolean True if this server environment supports this download class

Implémenté dans FOFDownloadAdapterAbstract.

◆ supportsChunkDownload()

supportsChunkDownload ( )

Does this download adapter support downloading files in chunks?

Renvoie
boolean True if chunk download is supported

Implémenté dans FOFDownloadAdapterAbstract.

◆ supportsFileSize()

supportsFileSize ( )

Does this download adapter support reading the size of a remote file?

Renvoie
boolean True if remote file size determination is supported

Implémenté dans FOFDownloadAdapterAbstract.

La documentation de cette interface a été générée à partir du fichier suivant :
  • fof/download/interface.php


Joomla CMS: Référence de la classe FOFEncryptAes

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés
Référence de la classe FOFEncryptAes

Fonctions membres publiques

__construct ($key, $strength=128, $mode='cbc', FOFUtilsPhpfunc $phpfunc=null, $priority='openssl')
setPassword ($password, $legacyMode=false)
encryptString ($stringToEncrypt, $base64encoded=true)
decryptString ($stringToDecrypt, $base64encoded=true)
getExpandedKey ($blockSize, $iv)

Fonctions membres publiques statiques

static isSupported (FOFUtilsPhpfunc $phpfunc=null)

Attributs protégés

$key = ''
$adapter

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $key,
 |  |  | $strength = 128,
 |  |  | $mode = 'cbc',
 |  | FOFUtilsPhpfunc | $phpfunc = null,
 |  |  | $priority = 'openssl'
 | ) |  |

Initialise the AES encryption object.

Note: If the key is not 16 bytes this class will do a stupid key expansion for legacy reasons (produce the SHA-256 of the key string and throw away half of it).

Paramètres
string | $key | The encryption key (password). It can be a raw key (16 bytes) or a passphrase.
int | $strength | Bit strength (128, 192 or 256) – ALWAYS USE 128 BITS. THIS PARAMETER IS DEPRECATED.
string | $mode | Encryption mode. Can be ebc or cbc. We recommend using cbc.
FOFUtilsPhpfunc | $phpfunc | For testing
string | $priority | Priority which adapter we should try first

Références $key, et $mode.

Documentation des fonctions membres

◆ decryptString()

decryptString | ( | $stringToDecrypt,
 |  | $base64encoded = true
 | ) |

Decrypts a ciphertext into a plaintext string using AES

Paramètres
string | $stringToDecrypt | The ciphertext to decrypt. The first 16 bytes of the raw string must contain the IV (initialisation vector).
bool | $base64encoded | Should I Base64-decode the data before decryption?
Renvoie
string The plain text string

Références $key.

◆ encryptString()

encryptString | ( | $stringToEncrypt,
 |  | $base64encoded = true
 | ) |

Encrypts a string using AES

Paramètres
string | $stringToEncrypt | The plaintext to encrypt
bool | $base64encoded | Should I Base64-encode the result?
Renvoie
string The cryptotext. Please note that the first 16 bytes of the raw string is the IV (initialisation vector) which is necessary for decoding the string.

Références $key.

◆ getExpandedKey()

getExpandedKey | ( | $blockSize,
 |  | $iv
 | ) |
Paramètres
$blockSize
$iv
Renvoie
string

Références $key.

◆ isSupported()

static isSupported ( FOFUtilsPhpfunc $phpfunc = null )
static

Is AES encryption supported by this PHP installation?

Paramètres
FOFUtilsPhpfunc $phpfunc
Renvoie
boolean

◆ setPassword()

setPassword | ( | $password,
 |  | $legacyMode = false
 | ) |

Sets the password for this instance.

WARNING: Do not use the legacy mode, it's insecure

Paramètres
string | $password | The password (either user-provided password or binary encryption key) to use
bool | $legacyMode | True to use the legacy key expansion. We recommend against using it.

Références $password.

Documentation des champs

◆ $adapter

$adapter
protected

◆ $key

$key = ''
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • aes.php


Joomla CMS: Référence de la classe FOFEncryptAesAbstract

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFEncryptAesAbstract
+ Graphe d'héritage de FOFEncryptAesAbstract:
FOFEncryptAesMcrypt FOFEncryptAesOpenssl

Fonctions membres publiques

resizeKey ($key, $size)

Fonctions membres protégées

getZeroPadding ($string, $blockSize)

Description détaillée

Abstract AES encryption class

Documentation des fonctions membres

◆ getZeroPadding()

getZeroPadding | ( | $string,
 |  | $blockSize
 | ) |
protected

Returns null bytes to append to the string so that it's zero padded to the specified block size

Paramètres
string | $string | The binary string which will be zero padded
int | $blockSize | The block size
Renvoie
string The zero bytes to append to the string to zero pad it to $blockSize

◆ resizeKey()

resizeKey | ( | $key,
 |  | $size
 | ) |

Trims or zero-pads a key / IV

Paramètres
string | $key | The key or IV to treat
int | $size | The block size of the currently used algorithm
Renvoie
null|string Null if $key is null, treated string of $size byte length otherwise

Références $key, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • encrypt/aes/abstract.php


Joomla CMS: Référence de l'interface FOFEncryptAesInterface

Fonctions membres publiques
Référence de l'interface FOFEncryptAesInterface
+ Graphe d'héritage de FOFEncryptAesInterface:
FOFEncryptAesMcrypt FOFEncryptAesOpenssl

Fonctions membres publiques

setEncryptionMode ($mode='cbc', $strength=128)
encrypt ($plainText, $key, $iv=null)
decrypt ($cipherText, $key)
getBlockSize ()
isSupported (FOFUtilsPhpfunc $phpfunc=null)

Description détaillée

Interface for AES encryption adapters

Documentation des fonctions membres

◆ decrypt()

decrypt | ( | $cipherText,
 |  | $key
 | ) |

Decrypts a string. Returns the raw binary plaintext.

$ciphertext MUST start with the IV followed by the ciphertext, even for EBC data (the first block of data is dropped in EBC mode since there is no concept of IV in EBC).

WARNING: The returned plaintext is zero-padded to the algorithm's block size during encryption. You are advised to trim the string to the original plaintext's length upon decryption. While rtrim($decrypted, "\0") sounds appealing it's NOT the correct approach for binary data (zero bytes may actually be part of your plaintext, not just padding!).

Paramètres
string | $cipherText | The ciphertext to encrypt
string | $key | The raw binary key (will be zero-padded or chopped if its size is different than the block size)
Renvoie
string The raw unencrypted binary string.

Implémenté dans FOFEncryptAesOpenssl, et FOFEncryptAesMcrypt.

◆ encrypt()

encrypt | ( | $plainText,
 |  | $key,
 |  | $iv = null
 | ) |

Encrypts a string. Returns the raw binary ciphertext.

WARNING: The plaintext is zero-padded to the algorithm's block size. You are advised to store the size of the plaintext and trim the string to that length upon decryption.

Paramètres
string | $plainText | The plaintext to encrypt
string | $key | The raw binary key (will be zero-padded or chopped if its size is different than the block size)
null | string | $iv | The initialization vector (for CBC mode algorithms)
Renvoie
string The raw encrypted binary string.

Implémenté dans FOFEncryptAesOpenssl, et FOFEncryptAesMcrypt.

◆ getBlockSize()

getBlockSize ( )

Returns the encryption block size in bytes

Renvoie
int

Implémenté dans FOFEncryptAesOpenssl, et FOFEncryptAesMcrypt.

◆ isSupported()

isSupported ( FOFUtilsPhpfunc $phpfunc = null )

Is this adapter supported?

Paramètres
FOFUtilsPhpfunc $phpfunc
Renvoie
bool

Implémenté dans FOFEncryptAesOpenssl, et FOFEncryptAesMcrypt.

◆ setEncryptionMode()

setEncryptionMode | ( | $mode = 'cbc',
 |  | $strength = 128
 | ) |

Sets the AES encryption mode.

WARNING: The strength is deprecated as it has a different effect in MCrypt and OpenSSL. MCrypt was abandoned in 2003 before the Rijndael-128 algorithm was officially the Advanced Encryption Standard (AES). MCrypt also offered Rijndael-192 and Rijndael-256 algorithms with different block sizes. These are NOT used in AES. OpenSSL, however, implements AES correctly. It always uses a 128-bit (16 byte) block. The 192 and 256 bit strengths refer to the key size, not the block size. Therefore using different strengths in MCrypt and OpenSSL will result in different and incompatible ciphertexts.

TL;DR: Always use $strength = 128!

Paramètres
string | $mode | Choose between CBC (recommended) or ECB
int | $strength | Bit strength of the key (128, 192 or 256 bits). DEPRECATED. READ NOTES ABOVE.
Renvoie
mixed

Implémenté dans FOFEncryptAesOpenssl, et FOFEncryptAesMcrypt.

La documentation de cette interface a été générée à partir du fichier suivant :
  • fof/encrypt/aes/interface.php


Joomla CMS: Référence de la classe FOFEncryptAesMcrypt

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFEncryptAesMcrypt
+ Graphe d'héritage de FOFEncryptAesMcrypt:
FOFEncryptAesAbstract FOFEncryptAesInterface

Fonctions membres publiques

setEncryptionMode ($mode='cbc', $strength=128)
encrypt ($plainText, $key, $iv=null)
decrypt ($cipherText, $key)
isSupported (FOFUtilsPhpfunc $phpfunc=null)
getBlockSize ()
- Fonctions membres publiques hérités de FOFEncryptAesAbstract
resizeKey ($key, $size)

Attributs protégés

$cipherType = MCRYPT_RIJNDAEL_128
$cipherMode = MCRYPT_MODE_CBC

Membres hérités additionnels

- Fonctions membres protégées hérités de FOFEncryptAesAbstract
getZeroPadding ($string, $blockSize)

Documentation des fonctions membres

◆ decrypt()

decrypt | ( | $cipherText,
 |  | $key
 | ) |

Decrypts a string. Returns the raw binary plaintext.

$ciphertext MUST start with the IV followed by the ciphertext, even for EBC data (the first block of data is dropped in EBC mode since there is no concept of IV in EBC).

WARNING: The returned plaintext is zero-padded to the algorithm's block size during encryption. You are advised to trim the string to the original plaintext's length upon decryption. While rtrim($decrypted, "\0") sounds appealing it's NOT the correct approach for binary data (zero bytes may actually be part of your plaintext, not just padding!).

Paramètres
string | $cipherText | The ciphertext to encrypt
string | $key | The raw binary key (will be zero-padded or chopped if its size is different than the block size)
Renvoie
string The raw unencrypted binary string.

Implémente FOFEncryptAesInterface.

Références $key.

◆ encrypt()

encrypt | ( | $plainText,
 |  | $key,
 |  | $iv = null
 | ) |

Encrypts a string. Returns the raw binary ciphertext.

WARNING: The plaintext is zero-padded to the algorithm's block size. You are advised to store the size of the plaintext and trim the string to that length upon decryption.

Paramètres
string | $plainText | The plaintext to encrypt
string | $key | The raw binary key (will be zero-padded or chopped if its size is different than the block size)
null | string | $iv | The initialization vector (for CBC mode algorithms)
Renvoie
string The raw encrypted binary string.

Implémente FOFEncryptAesInterface.

Références $key.

◆ getBlockSize()

getBlockSize ( )

Returns the encryption block size in bytes

Renvoie
int

Implémente FOFEncryptAesInterface.

◆ isSupported()

isSupported ( FOFUtilsPhpfunc $phpfunc = null )

Is this adapter supported?

Paramètres
FOFUtilsPhpfunc $phpfunc
Renvoie
bool

Implémente FOFEncryptAesInterface.

◆ setEncryptionMode()

setEncryptionMode | ( | $mode = 'cbc',
 |  | $strength = 128
 | ) |

Sets the AES encryption mode.

WARNING: The strength is deprecated as it has a different effect in MCrypt and OpenSSL. MCrypt was abandoned in 2003 before the Rijndael-128 algorithm was officially the Advanced Encryption Standard (AES). MCrypt also offered Rijndael-192 and Rijndael-256 algorithms with different block sizes. These are NOT used in AES. OpenSSL, however, implements AES correctly. It always uses a 128-bit (16 byte) block. The 192 and 256 bit strengths refer to the key size, not the block size. Therefore using different strengths in MCrypt and OpenSSL will result in different and incompatible ciphertexts.

TL;DR: Always use $strength = 128!

Paramètres
string | $mode | Choose between CBC (recommended) or ECB
int | $strength | Bit strength of the key (128, 192 or 256 bits). DEPRECATED. READ NOTES ABOVE.
Renvoie
mixed

Implémente FOFEncryptAesInterface.

Références $mode.

Documentation des champs

◆ $cipherMode

$cipherMode = MCRYPT_MODE_CBC
protected

◆ $cipherType

$cipherType = MCRYPT_RIJNDAEL_128
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • mcrypt.php


Joomla CMS: Référence de la classe FOFEncryptAesOpenssl

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFEncryptAesOpenssl
+ Graphe d'héritage de FOFEncryptAesOpenssl:
FOFEncryptAesAbstract FOFEncryptAesInterface

Fonctions membres publiques

__construct ()
setEncryptionMode ($mode='cbc', $strength=128)
encrypt ($plainText, $key, $iv=null)
decrypt ($cipherText, $key)
isSupported (FOFUtilsPhpfunc $phpfunc=null)
getBlockSize ()
- Fonctions membres publiques hérités de FOFEncryptAesAbstract
resizeKey ($key, $size)

Attributs protégés

$openSSLOptions = 0
$method = 'aes-128-cbc'

Membres hérités additionnels

- Fonctions membres protégées hérités de FOFEncryptAesAbstract
getZeroPadding ($string, $blockSize)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Documentation des fonctions membres

◆ decrypt()

decrypt | ( | $cipherText,
 |  | $key
 | ) |

Decrypts a string. Returns the raw binary plaintext.

$ciphertext MUST start with the IV followed by the ciphertext, even for EBC data (the first block of data is dropped in EBC mode since there is no concept of IV in EBC).

WARNING: The returned plaintext is zero-padded to the algorithm's block size during encryption. You are advised to trim the string to the original plaintext's length upon decryption. While rtrim($decrypted, "\0") sounds appealing it's NOT the correct approach for binary data (zero bytes may actually be part of your plaintext, not just padding!).

Paramètres
string | $cipherText | The ciphertext to encrypt
string | $key | The raw binary key (will be zero-padded or chopped if its size is different than the block size)
Renvoie
string The raw unencrypted binary string.

Implémente FOFEncryptAesInterface.

Références $key, et method.

◆ encrypt()

encrypt | ( | $plainText,
 |  | $key,
 |  | $iv = null
 | ) |

Encrypts a string. Returns the raw binary ciphertext.

WARNING: The plaintext is zero-padded to the algorithm's block size. You are advised to store the size of the plaintext and trim the string to that length upon decryption.

Paramètres
string | $plainText | The plaintext to encrypt
string | $key | The raw binary key (will be zero-padded or chopped if its size is different than the block size)
null | string | $iv | The initialization vector (for CBC mode algorithms)
Renvoie
string The raw encrypted binary string.

Implémente FOFEncryptAesInterface.

Références $key, et method.

◆ getBlockSize()

getBlockSize ( )
Renvoie
int

Implémente FOFEncryptAesInterface.

Références method.

◆ isSupported()

isSupported ( FOFUtilsPhpfunc $phpfunc = null )

Is this adapter supported?

Paramètres
FOFUtilsPhpfunc $phpfunc
Renvoie
bool

Implémente FOFEncryptAesInterface.

◆ setEncryptionMode()

setEncryptionMode | ( | $mode = 'cbc',
 |  | $strength = 128
 | ) |

Sets the AES encryption mode.

WARNING: The strength is deprecated as it has a different effect in MCrypt and OpenSSL. MCrypt was abandoned in 2003 before the Rijndael-128 algorithm was officially the Advanced Encryption Standard (AES). MCrypt also offered Rijndael-192 and Rijndael-256 algorithms with different block sizes. These are NOT used in AES. OpenSSL, however, implements AES correctly. It always uses a 128-bit (16 byte) block. The 192 and 256 bit strengths refer to the key size, not the block size. Therefore using different strengths in MCrypt and OpenSSL will result in different and incompatible ciphertexts.

TL;DR: Always use $strength = 128!

Paramètres
string | $mode | Choose between CBC (recommended) or ECB
int | $strength | Bit strength of the key (128, 192 or 256 bits). DEPRECATED. READ NOTES ABOVE.
Renvoie
mixed

Implémente FOFEncryptAesInterface.

Références $mode, method, et null.

Documentation des champs

◆ $method

$method = 'aes-128-cbc'
protected

◆ $openSSLOptions

$openSSLOptions = 0
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • openssl.php


Joomla CMS: Référence de la classe FOFEncryptBase32

Fonctions membres publiques | Champs de données | Fonctions membres privées
Référence de la classe FOFEncryptBase32

Fonctions membres publiques

encode ($str)
decode ($str)

Champs de données

const CSRFC3548 = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ234567'

Fonctions membres privées

str2bin ($str)
bin2str ($str)
fromBin ($str)
toBin ($str)
_mapcharset ($str)
_mapbin ($chr)

Documentation des fonctions membres

◆ _mapbin()

_mapbin ( $chr )
private

_mapbin

Used with array_map to map the characters from a base32 character set directly into a binary string

Paramètres
string $chr The caracter to map
Renvoie
string String of 0's and 1's

private

◆ _mapcharset()

_mapcharset ( $str )
private

_mapcharset

Used with array_map to map the bits from a binary string directly into a base32 character set

Paramètres
string $str The string of 0's and 1's you want to convert
Renvoie
string Resulting base32 character

private

◆ bin2str()

bin2str ( $str )
private

bin2str

Converts a binary string to an ascii string

Paramètres
string $str The string of 0's and 1's you want to convert
Renvoie
string The ascii output
Exceptions
Exception

◆ decode()

decode ( $str )

toString

Convert any base32 string to a normal sctring This should be binary safe...

Paramètres
string $str The base32 string to convert
Renvoie
string The normal string

◆ encode()

encode ( $str )

fromString

Convert any string to a base32 string This should be binary safe...

Paramètres
string $str The string to convert
Renvoie
string The converted base32 string

Référencé par FOFEncryptTotp\generateSecret().

◆ fromBin()

fromBin ( $str )
private

fromBin

Converts a correct binary string to base32

Paramètres
string $str The string of 0's and 1's you want to convert
Renvoie
string String encoded as base32
Exceptions
exception

◆ str2bin()

str2bin ( $str )
private

str2bin

Converts any ascii string to a binary string

Paramètres
string $str The string you want to convert
Renvoie
string String of 0's and 1's

◆ toBin()

toBin ( $str )
private

toBin

Accepts a base32 string and returns an ascii binary string

Paramètres
string $str The base32 string to convert
Renvoie
string Ascii binary string
Exceptions
Exception

Documentation des champs

◆ CSRFC3548

const CSRFC3548 = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ234567'

CSRFC3548

The character set as defined by RFC3548 http://www.ietf.org/rfc/rfc3548.txt

La documentation de cette classe a été générée à partir du fichier suivant :
  • base32.php


Joomla CMS: Référence de la classe FOFEncryptRandval

Fonctions membres publiques
Référence de la classe FOFEncryptRandval
+ Graphe d'héritage de FOFEncryptRandval:
FOFEncryptRandvalinterface

Fonctions membres publiques

generate ($bytes=32)
genRandomBytes ($length=32)
- Fonctions membres publiques hérités de FOFEncryptRandvalinterface
generate ()

Description détaillée

Generates cryptographically-secure random values.

Documentation des fonctions membres

◆ generate()

generate ( $bytes = 32 )

Returns a cryptographically secure random value.

Since we only run on PHP 7+ we can use random_bytes(), which internally uses a crypto safe PRNG. If the function doesn't exist, Joomla already loads a secure polyfill.

The reason this method exists is backwards compatibility with older versions of FOF. It also allows us to quickly address any future issues if Joomla drops the polyfill or otherwise find problems with PHP's random_bytes() on some weird host (you can't be too careful when releasing mass-distributed software).

Paramètres
integer $bytes How many bytes to return
Renvoie
string

◆ genRandomBytes()

genRandomBytes ( $length = 32 )

Generate random bytes. Adapted from Joomla! 3.2.

Since we only run on PHP 7+ we can use random_bytes(), which internally uses a crypto safe PRNG. If the function doesn't exist, Joomla already loads a secure polyfill.

The reason this method exists is backwards compatibility with older versions of FOF. It also allows us to quickly address any future issues if Joomla drops the polyfill or otherwise find problems with PHP's random_bytes() on some weird host (you can't be too careful when releasing mass-distributed software).

Paramètres
integer $length Length of the random data to generate
Renvoie
string Random binary data
La documentation de cette classe a été générée à partir du fichier suivant :
  • randval.php


Joomla CMS: Référence de l'interface FOFEncryptRandvalinterface

Fonctions membres publiques
Référence de l'interface FOFEncryptRandvalinterface
+ Graphe d'héritage de FOFEncryptRandvalinterface:
FOFEncryptRandval

Fonctions membres publiques

generate ()

Documentation des fonctions membres

◆ generate()

generate ( )

Returns a cryptographically secure random value.

Renvoie
string
La documentation de cette interface a été générée à partir du fichier suivant :
  • randvalinterface.php


Joomla CMS: Référence de la classe FOFEncryptTotp

Fonctions membres publiques | Fonctions membres protégées | Attributs privés
Référence de la classe FOFEncryptTotp

Fonctions membres publiques

__construct ($timeStep=30, $passCodeLength=6, $secretLength=10, $base32=null)
getPeriod ($time=null)
checkCode ($secret, $code)
getCode ($secret, $time=null)
getUrl ($user, $hostname, $secret)
generateSecret ()

Fonctions membres protégées

hashToInt ($bytes, $start)

Attributs privés

$_passCodeLength = 6
$_pinModulo
$_secretLength = 20
$_timeStep = 30
$_base32 = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $timeStep = 30,
 |  | $passCodeLength = 6,
 |  | $secretLength = 10,
 |  | $base32 = null
 | ) |

Initialises an RFC6238-compatible TOTP generator. Please note that this class does not implement the constraint in the last paragraph of §5.2 of RFC6238. It's up to you to ensure that the same user/device does not retry validation within the same Time Step.

Paramètres
int | $timeStep | The Time Step (in seconds). Use 30 to be compatible with Google Authenticator.
int | $passCodeLength | The generated passcode length. Default: 6 digits.
int | $secretLength | The length of the secret key. Default: 10 bytes (80 bits).
Object | $base32 | The base32 en/decrypter

Documentation des fonctions membres

◆ checkCode()

checkCode | ( | $secret,
 |  | $code
 | ) |

Check is the given passcode $code is a valid TOTP generated using secret key $secret

Paramètres
string | $secret | The Base32-encoded secret key
string | $code | The passcode to check
Renvoie
boolean True if the code is valid

Références $i.

◆ generateSecret()

generateSecret ( )

Generates a (semi-)random Secret Key for TOTP generation

Renvoie
string
Note
Since 3.9.25 we use the secure method "random_bytes" over the original insecure "rand" function. The random_bytes function has been backported to outdated PHP versions by the core shipped library paragonie/random_compat

Références FOFEncryptBase32\encode().

◆ getCode()

getCode | ( | $secret,
 |  | $time = null
 | ) |

Gets the TOTP passcode for a given secret key $secret and a given UNIX timestamp $time

Paramètres
string | $secret | The Base32-encoded secret key
int | $time | UNIX timestamp
Renvoie
string

Références $hash, et $offset.

◆ getPeriod()

getPeriod ( $time = null )

Get the time period based on the $time timestamp and the Time Step defined. If $time is skipped or set to null the current timestamp will be used.

Paramètres
int | null $time Timestamp
Renvoie
int The time period since the UNIX Epoch

◆ getUrl()

getUrl | ( | $user,
 |  | $hostname,
 |  | $secret
 | ) |

Returns a QR code URL for easy setup of TOTP apps like Google Authenticator

Paramètres
string | $user | User
string | $hostname | Hostname
string | $secret | Secret string
Renvoie
string

Références $url, et $user.

◆ hashToInt()

hashToInt | ( | $bytes,
 |  | $start
 | ) |
protected

Extracts a part of a hash as an integer

Paramètres
string | $bytes | The hash
string | $start | The char to start from (0 = first char)
Renvoie
string

Références $input, et $start.

Documentation des champs

◆ $_base32

$_base32 = null
private

◆ $_passCodeLength

$_passCodeLength = 6
private

◆ $_pinModulo

$_pinModulo
private

◆ $_secretLength

$_secretLength = 20
private

◆ $_timeStep

$_timeStep = 30
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/encrypt/totp.php


Joomla CMS: Référence de la classe FOFForm

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFForm
+ Graphe d'héritage de FOFForm:

Fonctions membres publiques

getAttribute ($attribute, $default=null)
loadCSSFiles ()
loadJSFiles ()
getData ()
setModel (FOFModel &$model)
& getModel ()
setView (FOFView &$view)
& getView ()
getHeaderset ()
getHeader ($name, $group=null, $value=null)
removeHeader ($name, $group=null)

Fonctions membres publiques statiques

static | getInstance ($name, $data=null, $options=array(), $replace=true, $xpath=false)
static | addFieldPath ($new=null)
static | addHeaderPath ($new=null)
static | addFormPath ($new=null)
static | addRulePath ($new=null)

Fonctions membres protégées

& findHeadersByGroup ($group=null, $nested=false)
findHeader ($name, $group=null)
loadHeader ($element, $group=null, $value=null)
loadFieldType ($type, $new=true)
loadHeaderType ($type, $new=true)
loadRuleType ($type, $new=true)

Attributs protégés

$model
$view

Documentation des fonctions membres

◆ addFieldPath()

static addFieldPath ( $new = null )
static

Proxy for FOFFormHelper::addFieldPath().

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Depuis
2.0

Référencé par FOFModel\loadForm().

◆ addFormPath()

static addFormPath ( $new = null )
static

Proxy for FOFFormHelper::addFormPath().

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Voir également
FOFFormHelper::addFormPath()
Depuis
2.0

Référencé par FOFModel\loadForm().

◆ addHeaderPath()

static addHeaderPath ( $new = null )
static

Proxy for FOFFormHelper::addHeaderPath().

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Depuis
2.0

Références FOFFormHelper\addHeaderPath().

Référencé par FOFModel\loadForm().

◆ addRulePath()

static addRulePath ( $new = null )
static

Proxy for FOFFormHelper::addRulePath().

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.
Voir également
FOFFormHelper::addRulePath()
Depuis
2.0

◆ findHeader()

findHeader | ( | $name,
 |  | $group = null
 | ) |
protected

Method to get a header field represented as an XML element object.

Paramètres
string | $name | The name of the form field.
string | $group | The optional dot-separated form group path on which to find the field.
Renvoie
mixed The XML element object for the field or boolean false on error.
Depuis
2.0

Références $field, $fields, $name, $names, et $tmp.

Référencé par findHeadersByGroup(), getHeader(), et removeHeader().

◆ findHeadersByGroup()

& findHeadersByGroup | ( | $group = null,
 |  | $nested = false
 | ) |
protected

Method to get an array of <header> elements from the form XML document which are in a control group by name.

Paramètres
mixed | $group | The optional dot-separated form group path on which to find the fields. Null will return all fields. False will return fields not in a group.
boolean | $nested | True to also include fields in nested groups that are inside of the group for which to find fields.
Renvoie
mixed Boolean false on error or array of SimpleXMLElement objects.
Depuis
2.0

Références $field, $fields, $names, $tmp, elseif, et findHeader().

Référencé par getHeaderset().

◆ getAttribute()

getAttribute | ( | $attribute,
 |  | $default = null
 | ) |

Returns the value of an attribute of the form itself

Paramètres
string | $attribute | The name of the attribute
mixed | $default | Optional default value to return
Renvoie
mixed
Depuis
2.0

Références $default, et $value.

Référencé par loadCSSFiles(), et loadJSFiles().

◆ getData()

getData ( )

Returns a reference to the protected $data object, allowing direct access to and manipulation of the form's data.

Renvoie
JRegistry The form's data registry
Depuis
2.0

Références $data.

◆ getHeader()

getHeader | ( | $name,
 |  | $group = null,
 |  | $value = null
 | ) |

Method to get a header field represented as a FOFFormHeader object.

Paramètres
string | $name | The name of the header field.
string | $group | The optional dot-separated form group path on which to find the field.
mixed | $value | The optional value to use as the default for the field.
Renvoie
mixed The FOFFormHeader object for the field or boolean false on error.
Depuis
2.0

Références $name, $value, findHeader(), et loadHeader().

◆ getHeaderset()

getHeaderset ( )

Method to get an array of FOFFormHeader objects in the headerset.

Renvoie
array The array of FOFFormHeader objects in the headerset.
Depuis
2.0

Références $field, $fields, $groups, findHeadersByGroup(), et loadHeader().

◆ getInstance()

static getInstance | ( | $name,
 |  | $data = null,
 |  | $options = array(),
 |  | $replace = true,
 |  | $xpath = false
 | ) |
static

Method to get an instance of a form.

Paramètres
string | $name | The name of the form.
string | $data | The name of an XML file or string to load as the form definition.
array | $options | An array of form options.
bool | $replace | Flag to toggle whether form fields should be replaced if a field already exists with the same group/name.
bool | string | $xpath | An optional xpath to search for the fields.
Renvoie
object FOFForm instance.
Depuis
2.0
Exceptions
InvalidArgumentException | if no data provided.
RuntimeException | if the form could not be loaded.

Références $data, $name, et $options.

Référencé par FOFModel\loadForm().

◆ getModel()

& getModel ( )

Returns the FOFModel attached to this form

Renvoie
FOFModel

Références $model.

◆ getView()

& getView ( )

Returns the FOFView attached to this form

Renvoie
FOFView

Références $view.

◆ loadCSSFiles()

loadCSSFiles ( )

Loads the CSS files defined in the form, based on its cssfiles attribute

Renvoie
void
Depuis
2.0

Références $alt, $parts, FOFTemplateUtils\addCSS(), FOFTemplateUtils\addLESS(), getAttribute(), et null.

◆ loadFieldType()

loadFieldType | ( | $type,
 |  | $new = true
 | ) |
protected

Proxy for FOFFormHelper::loadFieldType().

Paramètres
string | $type | The field type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
mixed FOFFormField object on success, false otherwise.
Depuis
2.0

Références $type, et FOFFormHelper\loadFieldType().

◆ loadHeader()

loadHeader | ( | $element,
 |  | $group = null,
 |  | $value = null
 | ) |
protected

Method to load, setup and return a FOFFormHeader object based on field data.

Paramètres
string | $element | The XML element object representation of the form field.
string | $group | The optional dot-separated form group path on which to find the field.
mixed | $value | The optional value to use as the default for the field.
Renvoie
mixed The FOFFormHeader object for the field or boolean false on error.
Depuis
2.0

Références $field, $type, $value, et loadHeaderType().

Référencé par getHeader(), et getHeaderset().

◆ loadHeaderType()

loadHeaderType | ( | $type,
 |  | $new = true
 | ) |
protected

Proxy for FOFFormHelper::loadHeaderType().

Paramètres
string | $type | The field type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
mixed FOFFormHeader object on success, false otherwise.
Depuis
2.0

Références $type, et FOFFormHelper\loadHeaderType().

Référencé par loadHeader().

◆ loadJSFiles()

loadJSFiles ( )

Loads the Javascript files defined in the form, based on its jsfiles attribute

Renvoie
void
Depuis
2.0

Références FOFTemplateUtils\addJS(), et getAttribute().

◆ loadRuleType()

loadRuleType | ( | $type,
 |  | $new = true
 | ) |
protected

Proxy for FOFFormHelper::loadRuleType().

Paramètres
string | $type | The rule type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
mixed JFormRule object on success, false otherwise.
Voir également
FOFFormHelper::loadRuleType()
Depuis
2.0

Références $type.

◆ removeHeader()

removeHeader | ( | $name,
 |  | $group = null
 | ) |

Method to remove a header from the form definition.

Paramètres
string | $name | The name of the form field for which remove.
string | $group | The optional dot-separated form group path on which to find the field.
Renvoie
boolean True on success, false otherwise.
Exceptions
UnexpectedValueException

Références $name, et findHeader().

◆ setModel()

setModel ( FOFModel & $model )

Attaches a FOFModel to this form

Paramètres
FOFModel &$model The model to attach to the form
Renvoie
void

Références $model.

◆ setView()

setView ( FOFView & $view )

Attaches a FOFView to this form

Paramètres
FOFView &$view The view to attach to the form
Renvoie
void

Références $view, et view.

Documentation des champs

◆ $model

$model
protected

Référencé par getModel(), et setModel().

◆ $view

$view
protected

Référencé par getView(), et setView().

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/form.php


Joomla CMS: Référence de l'interface FOFFormField

Fonctions membres publiques
Référence de l'interface FOFFormField
+ Graphe d'héritage de FOFFormField:
FOFFormFieldAccesslevel FOFFormFieldActions FOFFormFieldButton FOFFormFieldCachehandler FOFFormFieldCalendar FOFFormFieldCaptcha FOFFormFieldCheckbox FOFFormFieldCheckboxes FOFFormFieldComponents FOFFormFieldEditor FOFFormFieldEmail FOFFormFieldGroupedbutton FOFFormFieldGroupedlist FOFFormFieldHidden FOFFormFieldImagelist FOFFormFieldInteger FOFFormFieldLanguage FOFFormFieldList FOFFormFieldMedia FOFFormFieldModel FOFFormFieldOrdering FOFFormFieldPassword FOFFormFieldPlugins FOFFormFieldPublished FOFFormFieldRadio FOFFormFieldRules FOFFormFieldSelectrow FOFFormFieldSessionhandler FOFFormFieldSpacer FOFFormFieldSql FOFFormFieldTag FOFFormFieldTel FOFFormFieldText FOFFormFieldTextarea FOFFormFieldTimezone FOFFormFieldTitle FOFFormFieldUrl FOFFormFieldUser FOFFormFieldUsergroup

Fonctions membres publiques

getStatic ()
getRepeatable ()

Documentation des fonctions membres

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Renvoie
string The field HTML
Depuis
2.0

Implémenté dans FOFFormFieldTag, FOFFormFieldActions, FOFFormFieldPublished, FOFFormFieldImagelist, FOFFormFieldUser, FOFFormFieldMedia, FOFFormFieldOrdering, FOFFormFieldAccesslevel, FOFFormFieldUsergroup, FOFFormFieldLanguage, FOFFormFieldEmail, FOFFormFieldTel, FOFFormFieldUrl, FOFFormFieldCheckbox, FOFFormFieldGroupedlist, FOFFormFieldTimezone, FOFFormFieldText, FOFFormFieldSelectrow, FOFFormFieldComponents, FOFFormFieldCachehandler, FOFFormFieldList, FOFFormFieldInteger, FOFFormFieldPassword, FOFFormFieldPlugins, FOFFormFieldRadio, FOFFormFieldSessionhandler, FOFFormFieldSql, FOFFormFieldTextarea, FOFFormFieldCalendar, FOFFormFieldEditor, FOFFormFieldCaptcha, FOFFormFieldCheckboxes, FOFFormFieldGroupedbutton, FOFFormFieldHidden, FOFFormFieldSpacer, FOFFormFieldModel, FOFFormFieldButton, FOFFormFieldRules, FOFFormFieldRelation, et FOFFormFieldTitle.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Renvoie
string The field HTML
Depuis
2.0

Implémenté dans FOFFormFieldActions, FOFFormFieldTag, FOFFormFieldPublished, FOFFormFieldOrdering, FOFFormFieldLanguage, FOFFormFieldSelectrow, FOFFormFieldCalendar, FOFFormFieldComponents, FOFFormFieldAccesslevel, FOFFormFieldCachehandler, FOFFormFieldImagelist, FOFFormFieldList, FOFFormFieldMedia, FOFFormFieldUsergroup, FOFFormFieldCaptcha, FOFFormFieldCheckbox, FOFFormFieldCheckboxes, FOFFormFieldEditor, FOFFormFieldEmail, FOFFormFieldGroupedbutton, FOFFormFieldGroupedlist, FOFFormFieldHidden, FOFFormFieldInteger, FOFFormFieldPassword, FOFFormFieldPlugins, FOFFormFieldRadio, FOFFormFieldSessionhandler, FOFFormFieldSpacer, FOFFormFieldSql, FOFFormFieldTel, FOFFormFieldText, FOFFormFieldTextarea, FOFFormFieldTimezone, FOFFormFieldUrl, FOFFormFieldUser, FOFFormFieldButton, FOFFormFieldModel, FOFFormFieldRules, et FOFFormFieldRelation.

La documentation de cette interface a été générée à partir du fichier suivant :
  • libraries/fof/form/field.php


Joomla CMS: Référence de la classe FOFFormFieldAccesslevel

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldAccesslevel
+ Graphe d'héritage de FOFFormFieldAccesslevel:
JFormFieldAccessLevel FOFFormField JFormFieldList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$rowid
$item

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldAccessLevel
$type = 'AccessLevel'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldAccessLevel
getInput ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $db, $options, $params, $query, elseif, ENT_COMPAT, FOFPlatform\getInstance(), FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $db, $options, $params, $query, elseif, ENT_COMPAT, FOFPlatform\getInstance(), FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/accesslevel.php


Joomla CMS: Référence de la classe FOFFormFieldActions

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldActions
+ Graphe d'héritage de FOFFormFieldActions:
JFormFieldList FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$rowid
$item

Fonctions membres protégées

getConfig ()
getOptions ()
getPublishedField ($enabledFieldName)
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getConfig()

getConfig ( )
protected

Get the field configuration

Renvoie
array

Références $config, et FOFStringUtils\toBool().

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Depuis
2.0
Renvoie
array The field option objects.

Références null.

◆ getPublishedField()

getPublishedField ( $enabledFieldName )
protected

Method to get a

Paramètres
string $enabledFieldName Name of the enabled/published field
Renvoie
FOFFormFieldPublished Field

Références $attributes, $item, $name, $value, et item.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $action, $config, $enabled, $html, $prefix, item, null, et true.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/actions.php


Joomla CMS: Référence de la classe FOFFormFieldButton

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldButton
+ Graphe d'héritage de FOFFormFieldButton:
FOFFormFieldText FOFFormField JFormFieldText FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
getInput ()
- Fonctions membres publiques hérités de FOFFormFieldText
__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getTitle ()
- Fonctions membres protégées hérités de FOFFormFieldText
parseFieldTags ($text)
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de FOFFormFieldText
$static
$repeatable
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Membres hérités additionnels

- Champs de données hérités de FOFFormFieldText
$item
$rowid

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getInput()

getInput ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Références $class, $icon, $onclick, $text, $title, $type, $url, ENT_COMPAT, htmlspecialchars, et value.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getTitle()

getTitle ( )
protected

Method to get the field title.

Renvoie
string The field title.

Références null.

Documentation des champs

◆ $repeatable

$repeatable
protected

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/button.php


Joomla CMS: Référence de la classe FOFFormFieldCachehandler

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldCachehandler
+ Graphe d'héritage de FOFFormFieldCachehandler:
JFormFieldCacheHandler FOFFormField JFormFieldList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldCacheHandler
$type = 'CacheHandler'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldCacheHandler
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/cachehandler.php


Joomla CMS: Référence de la classe FOFFormFieldCalendar

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldCalendar
+ Graphe d'héritage de FOFFormFieldCalendar:
JFormFieldCalendar FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldCalendar
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Fonctions membres protégées

getCalendar ($display)
- Fonctions membres protégées hérités de JFormFieldCalendar
getInput ()
getLayoutData ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldCalendar
$type = 'Calendar'
$maxlength
$format
$filter
$minyear
$maxyear
$layout = 'joomla.form.field.calendar'

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getCalendar()

getCalendar ( $display )
protected

Method to get the calendar input markup.

Paramètres
string $display The display to render ('static' or 'repeatable')
Renvoie
string The field input markup.
Depuis
2.1.rc4

Références $attributes, $class, $config, $date, $default, $display, $format, $user, $value, ENT_COMPAT, FOFPlatform\getInstance(), htmlspecialchars, name, et value.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/calendar.php


Joomla CMS: Référence de la classe FOFFormFieldCaptcha

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldCaptcha
+ Graphe d'héritage de FOFFormFieldCaptcha:
FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • captcha.php


Joomla CMS: Référence de la classe FOFFormFieldCheckbox

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldCheckbox
+ Graphe d'héritage de FOFFormFieldCheckbox:
JFormFieldCheckbox FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldCheckbox
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldCheckbox
$type = 'Checkbox'
$checked = false

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldCheckbox
getInput ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $checked, $class, $disabled, $onclick, $required, $value, ENT_COMPAT, htmlspecialchars, name, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $checked, $class, $disabled, $onclick, $required, $value, ENT_COMPAT, htmlspecialchars, name, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/checkbox.php


Joomla CMS: Référence de la classe FOFFormFieldCheckboxes

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldCheckboxes
+ Graphe d'héritage de FOFFormFieldCheckboxes:
JFormFieldCheckboxes FOFFormField JFormFieldList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
getInput ()
- Fonctions membres publiques hérités de JFormFieldCheckboxes
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$item
$rowid
- Champs de données hérités de JFormFieldCheckboxes
$checkedOptions

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldCheckboxes
$type = 'Checkboxes'
$layout = 'joomla.form.field.checkboxes'
$forceMultiple = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldCheckboxes
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getInput()

getInput ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Références $value, et value.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $value, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/checkboxes.php


Joomla CMS: Référence de la classe FOFFormFieldComponents

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldComponents
+ Graphe d'héritage de FOFFormFieldComponents:
JFormFieldList FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
translate ($item, $type)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$client_ids = null
$item
$rowid

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.1

Références $name.

◆ getOptions()

getOptions ( )
protected

Get a list of all installed components and also translates them.

The manifest_cache is used to get the extension names, since JInstaller is also translating those names in stead of the name column. Else some of the translations fails.

Depuis
2.1
Renvoie
array An array of JHtml options.

Références $b, $component, $db, $query, $user, FOFPlatform\getInstance(), et null.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.1
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.1
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ translate()

translate | ( | $item,
 |  | $type
 | ) |

Translate a list of objects with JText::_().

Paramètres
array | $item | The array of objects
string | $type | The extension type (e.g. component)
Depuis
2.1
Renvoie
string $text The translated name of the extension
Voir également
administrator/com_installer/models/extension.php

Références $item, $key, $lang, $text, $type, $value, FOFPlatform\getInstance(), JPATH_ADMINISTRATOR, et null.

Documentation des champs

◆ $client_ids

$client_ids = null

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/components.php


Joomla CMS: Référence de la classe FOFFormFieldEditor

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldEditor
+ Graphe d'héritage de FOFFormFieldEditor:
FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/editor.php


Joomla CMS: Référence de la classe FOFFormFieldEmail

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldEmail
+ Graphe d'héritage de FOFFormFieldEmail:
JFormFieldEMail FOFFormField JFormFieldText

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldEMail
$type = 'Email'
$layout = 'joomla.form.field.email'
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldEMail
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $value, ENT_COMPAT, htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/email.php


Joomla CMS: Référence de la classe FOFFormFieldGroupedbutton

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldGroupedbutton
+ Graphe d'héritage de FOFFormFieldGroupedbutton:
JFormFieldText FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
getInput ()
- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getInput()

getInput ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Références $class, $html, $item, $name, $option, $value, et null.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • groupedbutton.php


Joomla CMS: Référence de la classe FOFFormFieldGroupedlist

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldGroupedlist
+ Graphe d'héritage de FOFFormFieldGroupedlist:
JFormFieldGroupedList FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Fonctions membres publiques statiques

static getOptionName ($data, $selected=null, $groupKey='items', $optKey='value', $optText='text')

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getOptionName()

static getOptionName | ( | $data,
 |  | $selected = null,
 |  | $groupKey = 'items',
 |  | $optKey = 'value',
 |  | $optText = 'text'
 | ) |
static

Gets the active option's label given an array of JHtml options

Paramètres
array | $data | The JHtml options to parse
mixed | $selected | The currently selected value
string | $groupKey | Group name
string | $optKey | Key name
string | $optText | Value name
Renvoie
mixed The label of the currently selected option

Références $data, $label, $selected, elseif, FOFFormFieldList\getOptionName(), et null.

Référencé par FOFFormFieldTimezone\getStatic().

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $selected, ENT_COMPAT, htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $selected, ENT_COMPAT, htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/groupedlist.php


Joomla CMS: Référence de la classe FOFFormFieldHidden

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldHidden
+ Graphe d'héritage de FOFFormFieldHidden:
JFormFieldHidden FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldHidden
$type = 'Hidden'
$layout = 'joomla.form.field.hidden'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldHidden
getInput ()
getLayoutData ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/hidden.php


Joomla CMS: Référence de la classe FOFFormFieldImage

Référence de la classe FOFFormFieldImage
+ Graphe d'héritage de FOFFormFieldImage:
FOFFormFieldMedia FOFFormField

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormFieldMedia
__get ($name)
getStatic ()
getRepeatable ()
- Champs de données hérités de FOFFormFieldMedia
$item
$rowid
- Attributs protégés hérités de FOFFormFieldMedia
$static
$repeatable
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/image.php


Joomla CMS: Référence de la classe FOFFormFieldImagelist

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldImagelist
+ Graphe d'héritage de FOFFormFieldImagelist:
JFormFieldImageList FOFFormField JFormFieldFileList JFormFieldList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldFileList
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldImageList
$type = 'ImageList'
- Attributs protégés hérités de JFormFieldFileList
$type = 'FileList'
$filter
$exclude
$hideNone = false
$hideDefault = false
$stripExt = false
$directory
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldImageList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldFileList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $alt, $path, $value, DIRECTORY_SEPARATOR, FOFPlatform\getInstance(), JPATH_ROOT, null, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/imagelist.php


Joomla CMS: Référence de la classe FOFFormFieldInteger

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldInteger
+ Graphe d'héritage de FOFFormFieldInteger:
JFormFieldInteger FOFFormField JFormFieldList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldInteger
$type = 'Integer'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldInteger
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/integer.php


Joomla CMS: Référence de la classe FOFFormFieldLanguage

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldLanguage
+ Graphe d'héritage de FOFFormFieldLanguage:
JFormFieldLanguage FOFFormField JFormFieldList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$item
$rowid

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldLanguage
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldLanguage
$type = 'Language'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Depuis
2.0
Renvoie
array The field option objects.

Références $options, et null.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/language.php


Joomla CMS: Référence de la classe FOFFormFieldList

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldList
+ Graphe d'héritage de FOFFormFieldList:
JFormFieldList FOFFormField FOFFormFieldModel FOFFormFieldRelation

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres publiques statiques

static getOptionName ($data, $selected=null, $optKey='value', $optText='text')

Champs de données

$item
$rowid

Fonctions membres protégées

getOptions ()
parseFieldTags ($text)
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getOptionName()

static getOptionName | ( | $data,
 |  | $selected = null,
 |  | $optKey = 'value',
 |  | $optText = 'text'
 | ) |
static

Gets the active option's label given an array of JHtml options

Paramètres
array | $data | The JHtml options to parse
mixed | $selected | The currently selected value
string | $optKey | Key name
string | $optText | Value name
Renvoie
mixed The label of the currently selected option

Références $data, $key, $selected, $text, elseif, et null.

Référencé par FOFFormFieldGroupedlist\getOptionName(), FOFFormFieldModel\getRepeatable(), FOFFormFieldInteger\getRepeatable(), FOFFormFieldRadio\getRepeatable(), FOFFormFieldSessionhandler\getRepeatable(), FOFFormFieldSql\getRepeatable(), FOFFormFieldPassword\getRepeatable(), FOFFormFieldPlugins\getRepeatable(), FOFFormFieldCachehandler\getRepeatable(), FOFFormFieldComponents\getRepeatable(), FOFFormFieldLanguage\getRepeatable(), FOFFormFieldAccesslevel\getRepeatable(), FOFFormFieldUsergroup\getRepeatable(), FOFFormFieldModel\getStatic(), FOFFormFieldRadio\getStatic(), FOFFormFieldSessionhandler\getStatic(), FOFFormFieldSql\getStatic(), FOFFormFieldPlugins\getStatic(), FOFFormFieldUsergroup\getStatic(), FOFFormFieldAccesslevel\getStatic(), FOFFormFieldCachehandler\getStatic(), FOFFormFieldComponents\getStatic(), FOFFormFieldLanguage\getStatic(), et FOFFormFieldPublished\getStatic().

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Ordering is disabled by default. You can enable ordering by setting the 'order' element in your form field. The other order values are optional.

  • order What to order. Possible values: 'name' or 'value' (default = false)
  • order_dir Order direction. Possible values: 'asc' = Ascending or 'desc' = Descending (default = 'asc')
  • order_case_sensitive Order case sensitive. Possible values: 'true' or 'false' (default = false)
Renvoie
array The field option objects.
Depuis
Ordering is available since FOF 2.1.b2.

Références $i, $key, $name, $option, $options, $tmp, $value, FOFPlatform\getInstance(), jimport(), FOFTemplateUtils\parsePath(), FOFUtilsArray\sortObjects(), et true.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, ENT_COMPAT, htmlspecialchars, item, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, htmlspecialchars, et value.

◆ parseFieldTags()

parseFieldTags ( $text )
protected

Replace string with tags that reference fields

Paramètres
string $text Text to process
Renvoie
string Text with tags replace

Références $fields, $text, et item.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/list.php


Joomla CMS: Référence de la classe FOFFormFieldMedia

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldMedia
+ Graphe d'héritage de FOFFormFieldMedia:
FOFFormField FOFFormFieldImage

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $alt, $value, FOFPlatform\getInstance(), JPATH_ROOT, null, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/media.php


Joomla CMS: Référence de la classe FOFFormFieldModel

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldModel
+ Graphe d'héritage de FOFFormFieldModel:
FOFFormFieldList FOFFormField JFormFieldList FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de FOFFormFieldList
__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getOptions ()
parseFieldTags ($text)
- Fonctions membres protégées hérités de FOFFormFieldList
getOptions ()
parseFieldTags ($text)
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de FOFFormFieldList
$static
$repeatable
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFFormFieldList
static getOptionName ($data, $selected=null, $optKey='value', $optText='text')
- Champs de données hérités de FOFFormFieldList
$item
$rowid

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.

Références $config, $item, $items, $key, $options, $parts, $value, FOFInflector\explode(), FOFModel\getTmpInstance(), FOFInflector\implode(), et null.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $id, $value, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, item, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ parseFieldTags()

parseFieldTags ( $text )
protected

Replace string with tags that reference fields

Paramètres
string $text Text to process
Renvoie
string Text with tags replace

Références $fields, $text, et item.

Documentation des champs

◆ $repeatable

$repeatable
protected

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/model.php


Joomla CMS: Référence de la classe FOFFormFieldOrdering

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldOrdering
+ Graphe d'héritage de FOFFormFieldOrdering:
FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$item
$rowid

Fonctions membres protégées

getInput ()
getQuery ()

Attributs protégés

$static
$repeatable

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for this field type.

Depuis
2.0
Renvoie
string The field input markup.

Références $attr, $html, $itemId, $query, if, item, name, size, et value.

◆ getQuery()

getQuery ( )
protected

Builds the query for the ordering list.

Depuis
2.3.2
Renvoie
FOFDatabaseQuery The query for the ordering form field

Références $db, $name, $ordering, $query, $title, FOFPlatform\getInstance(), et item.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $disableClassName, $disabled, $disabledLabel, $html, $icon, $ordering, $view, item, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • field/ordering.php


Joomla CMS: Référence de la classe FOFFormFieldPassword

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldPassword
+ Graphe d'héritage de FOFFormFieldPassword:
JFormFieldPassword FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldPassword
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldPassword
$lock = false
$type = 'Password'
$threshold = 66
$maxLength
$meter = false
$layout = 'joomla.form.field.password'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldPassword
getInput ()
getLayoutData ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/password.php


Joomla CMS: Référence de la classe FOFFormFieldPlugins

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldPlugins
+ Graphe d'héritage de FOFFormFieldPlugins:
JFormFieldPlugins FOFFormField JFormFieldList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldPlugins
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldPlugins
$type = 'Plugins'
$folder
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldPlugins
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/plugins.php


Joomla CMS: Référence de la classe FOFFormFieldPublished

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldPublished
+ Graphe d'héritage de FOFFormFieldPublished:
JFormFieldList FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$item
$rowid

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Depuis
2.0
Renvoie
array The field option objects.

Références $config, $default, et $options.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $enabled, $prefix, item, null, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • field/published.php


Joomla CMS: Référence de la classe FOFFormFieldRadio

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldRadio
+ Graphe d'héritage de FOFFormFieldRadio:
JFormFieldRadio FOFFormField JFormFieldList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldRadio
$type = 'Radio'
$layout = 'joomla.form.field.radio'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldRadio
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/radio.php


Joomla CMS: Référence de la classe FOFFormFieldRelation

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFFormFieldRelation
+ Graphe d'héritage de FOFFormFieldRelation:
FOFFormFieldList JFormFieldList FOFFormField

Fonctions membres publiques

getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de FOFFormFieldList
__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getOptions ()
parseFieldTags ($text)
- Fonctions membres protégées hérités de FOFFormFieldList
getOptions ()
parseFieldTags ($text)
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFFormFieldList
static getOptionName ($data, $selected=null, $optKey='value', $optText='text')
- Champs de données hérités de FOFFormFieldList
$item
$rowid
- Attributs protégés hérités de FOFFormFieldList
$static
$repeatable
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.

Références $component, $id, $input, $item, $key, $option, $options, $value, $view, FOFModel\getAnInstance(), FOFTable\getInstance(), FOFModel\getTmpInstance(), FOFInflector\pluralize(), et value.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $url, $value, item, name, et FOFInflector\pluralize().

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ parseFieldTags()

parseFieldTags ( $text )
protected

Replace string with tags that reference fields

Paramètres
string $text Text to process
Renvoie
string Text with tags replace

Références $fields, $text, et item.

La documentation de cette classe a été générée à partir du fichier suivant :
  • relation.php


Joomla CMS: Référence de la classe FOFFormFieldRules

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldRules
+ Graphe d'héritage de FOFFormFieldRules:
JFormFieldRules FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
getInput ()
- Fonctions membres publiques hérités de JFormFieldRules
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Fonctions membres protégées

getInput25 ()
getInput3x ()
- Fonctions membres protégées hérités de JFormFieldRules
getInput ()
getUserGroups ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldRules
$type = 'Rules'
$section
$component
$assetField

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getInput()

getInput ( )

At the timing of this writing (2013-12-03), the Joomla "rules" field is buggy. When you are dealing with a new record it gets the default permissions from the root asset node, which is fine for the default permissions of Joomla articles, but unsuitable for third party software. We had to copy & paste the whole code, since we can't "inject" the correct asset id if one is not found. Our fixes are surrounded by FOF Library fix remarks.

Renvoie
string The input field's HTML for this field type

◆ getInput25()

getInput25 ( )
protected

Références $action, $assetId, Access\$assetRules, $component, $db, $groups, $html, $js, $query, $section, elseif, ENT_COMPAT, getDocument, FOFPlatform\getInstance(), JRequest\getInt(), htmlspecialchars, name, null, et JError\raiseNotice().

◆ getInput3x()

getInput3x ( )
protected

Références $action, $active, $assetId, Access\$assetRules, $component, $db, $groups, $html, $query, $section, elseif, ENT_COMPAT, FOFPlatform\getInstance(), htmlspecialchars, name, et null.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.1
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/rules.php


Joomla CMS: Référence de la classe FOFFormFieldSelectrow

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldSelectrow
+ Graphe d'héritage de FOFFormFieldSelectrow:
FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$item
$rowid

Fonctions membres protégées

getInput ()

Attributs protégés

$static
$repeatable

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for this field type.

Depuis
2.0
Renvoie
string The field input markup.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références item.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • selectrow.php


Joomla CMS: Référence de la classe FOFFormFieldSessionhandler

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldSessionhandler
+ Graphe d'héritage de FOFFormFieldSessionhandler:
JFormFieldSessionHandler FOFFormField JFormFieldList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldSessionHandler
$type = 'SessionHandler'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldSessionHandler
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/sessionhandler.php


Joomla CMS: Référence de la classe FOFFormFieldSpacer

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldSpacer
+ Graphe d'héritage de FOFFormFieldSpacer:
JFormFieldSpacer FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldSpacer
renderField ($options=array())

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldSpacer
$type = 'Spacer'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldSpacer
getInput ()
getLabel ()
getTitle ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/spacer.php


Joomla CMS: Référence de la classe FOFFormFieldSql

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldSql
+ Graphe d'héritage de FOFFormFieldSql:
FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/sql.php


Joomla CMS: Référence de la classe FOFFormFieldTag

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldTag
+ Graphe d'héritage de FOFFormFieldTag:
FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$item
$rowid

Fonctions membres protégées

getOptions ()

Attributs protégés

$static
$repeatable

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getOptions()

getOptions ( )
protected

Method to get a list of tags

Renvoie
array The field option objects.
Depuis
3.1

Références $db, $item, $options, $published, $query, $type, elseif, FOFPlatform\getInstance(), item, FOFUtilsArray\toInteger(), et value.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.1
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $option, et $options.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $option, et $options.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/tag.php


Joomla CMS: Référence de la classe FOFFormFieldTel

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldTel
+ Graphe d'héritage de FOFFormFieldTel:
JFormFieldTel FOFFormField JFormFieldText

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldTel
$type = 'Tel'
$layout = 'joomla.form.field.tel'
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldTel
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $id, $value, ENT_COMPAT, htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/tel.php


Joomla CMS: Référence de la classe FOFFormFieldText

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormFieldText
+ Graphe d'héritage de FOFFormFieldText:
JFormFieldText FOFFormField FOFFormFieldButton FOFFormFieldTitle

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Fonctions membres protégées

parseFieldTags ($text)
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $id, $value, ENT_COMPAT, htmlspecialchars, item, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, htmlspecialchars, et value.

◆ parseFieldTags()

parseFieldTags ( $text )
protected

Replace string with tags that reference fields

Paramètres
string $text Text to process
Renvoie
string Text with tags replace

Références $fields, $text, et item.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/text.php


Joomla CMS: Référence de la classe FOFFormFieldTextarea

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldTextarea
+ Graphe d'héritage de FOFFormFieldTextarea:
JFormFieldTextarea FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldTextarea
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldTextarea
$type = 'Textarea'
$rows
$columns
$maxlength
$layout = 'joomla.form.field.textarea'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldTextarea
getInput ()
getLayoutData ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/textarea.php


Joomla CMS: Référence de la classe FOFFormFieldTimezone

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldTimezone
+ Graphe d'héritage de FOFFormFieldTimezone:
JFormFieldTimezone FOFFormField JFormFieldGroupedList

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldTimezone
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldTimezone
$type = 'Timezone'
$keyField
- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldTimezone
getGroups ()
- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()
- Attributs protégés statiques hérités de JFormFieldTimezone
static $zones = array('Africa', 'America', 'Antarctica', 'Arctic', 'Asia', 'Atlantic', 'Australia', 'Europe', 'Indian', 'Pacific')

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $selected, ENT_COMPAT, FOFFormFieldGroupedlist\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/timezone.php


Joomla CMS: Référence de la classe FOFFormFieldTitle

Fonctions membres publiques
Référence de la classe FOFFormFieldTitle
+ Graphe d'héritage de FOFFormFieldTitle:
FOFFormFieldText FOFFormField JFormFieldText FOFFormField

Fonctions membres publiques

getRepeatable ()
- Fonctions membres publiques hérités de FOFFormFieldText
__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Membres hérités additionnels

- Champs de données hérités de FOFFormFieldText
$item
$rowid
- Fonctions membres protégées hérités de FOFFormFieldText
parseFieldTags ($text)
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()
- Attributs protégés hérités de FOFFormFieldText
$static
$repeatable
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Documentation des fonctions membres

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $html, et item.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/title.php


Joomla CMS: Référence de la classe FOFFormFieldUrl

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldUrl
+ Graphe d'héritage de FOFFormFieldUrl:
JFormFieldUrl FOFFormField JFormFieldText

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()
- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldUrl
$type = 'Url'
$layout = 'joomla.form.field.url'
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldUrl
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $id, $value, ENT_COMPAT, htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, ENT_COMPAT, htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/url.php


Joomla CMS: Référence de la classe FOFFormFieldUser

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldUser
+ Graphe d'héritage de FOFFormFieldUser:
FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$item
$rowid

Attributs protégés

$static
$repeatable

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $key, $user, $value, FOFPlatform\getInstance(), null, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $html, $user, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/field/user.php


Joomla CMS: Référence de la classe FOFFormFieldUsergroup

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe FOFFormFieldUsergroup
+ Graphe d'héritage de FOFFormFieldUsergroup:
JFormFieldUsergroup FOFFormField

Fonctions membres publiques

__get ($name)
getStatic ()
getRepeatable ()

Champs de données

$rowid
$item

Attributs protégés

$static
$repeatable
- Attributs protégés hérités de JFormFieldUsergroup
$type = 'Usergroup'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldUsergroup
getInput ()

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $name.

◆ getRepeatable()

getRepeatable ( )

Get the rendering of this field type for a repeatable (grid) display, e.g. in a view listing many item (typically a "browse" task)

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $db, $options, $query, ENT_COMPAT, FOFPlatform\getInstance(), FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

◆ getStatic()

getStatic ( )

Get the rendering of this field type for static display, e.g. in a single item view (typically a "read" task).

Depuis
2.0
Renvoie
string The field HTML

Implémente FOFFormField.

Références $class, $db, $options, $params, $query, elseif, ENT_COMPAT, FOFPlatform\getInstance(), FOFFormFieldList\getOptionName(), htmlspecialchars, et value.

Documentation des champs

◆ $item

$item

◆ $repeatable

$repeatable
protected

◆ $rowid

$rowid

◆ $static

$static
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/field/usergroup.php


Joomla CMS: Référence de la classe FOFFormHeader

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFFormHeader
+ Graphe d'héritage de FOFFormHeader:
FOFFormHeaderField FOFFormHeaderOrdering FOFFormHeaderRowselect FOFFormHeaderFielddate FOFFormHeaderFieldsearchable FOFFormHeaderFieldselectable FOFFormHeaderFilterdate FOFFormHeaderFieldfilterable FOFFormHeaderFiltersearchable FOFFormHeaderAccesslevel FOFFormHeaderFieldsql FOFFormHeaderFilterselectable FOFFormHeaderLanguage FOFFormHeaderModel FOFFormHeaderPublished

Fonctions membres publiques

__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Attributs protégés

$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( FOFForm $form = null )

Method to instantiate the form field object.

Paramètres
FOFForm $form The form to attach to the form field object.
Depuis
2.0

Références $form.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to the the value.
Renvoie
mixed The property value or null.
Depuis
2.0

Références $buttons, $filter, $label, $name, $options, $value, null, et value.

◆ getButtons()

getButtons ( )
protected

Returns the HTML for the buttons to be rendered in the filter row, next to the text input filter, or null if this element should render no text input filter buttons.

Renvoie
string|null HTML code or null if nothing is to be rendered
Depuis
2.0

Références null.

◆ getFieldName()

getFieldName ( $fieldName )
protected

Method to get the field name used.

Paramètres
string $fieldName The field element name.
Renvoie
string The field name
Depuis
2.0

◆ getFilter()

getFilter ( )
protected

Returns the HTML for a text filter to be rendered in the filter row, or null if this element should render no text input filter.

Renvoie
string|null HTML code or null if nothing is to be rendered
Depuis
2.0

Références null.

◆ getFilterSource()

getFilterSource ( $filterSource )
protected

Return the key of the filter value in the model state or, if it's not set, the name of the field.

Paramètres
string $filterSource The filter source value to return
Renvoie
string

Références $name.

◆ getHeader()

getHeader ( )
protected

Returns the HTML for the header row, or null if this element should render no header element

Renvoie
string|null HTML code or null if nothing is to be rendered
Depuis
2.0

Références null.

◆ getId()

getId | ( | $fieldId,
 |  | $fieldName
 | ) |
protected

Method to get the id used for the field input tag.

Paramètres
string | $fieldId | The field element id.
string | $fieldName | The field element name.
Renvoie
string The id to be used for the field input tag.
Depuis
2.0

Références $id.

◆ getLabel()

getLabel ( )
protected

Method to get the field label.

Renvoie
string The field label.
Depuis
2.0

Références $params, $title, $view, et FOFInflector\pluralize().

◆ getName()

getName ( $fieldName )
protected

Method to get the name used for the field input tag.

Paramètres
string $fieldName The field element name.
Renvoie
string The name to be used for the field input tag.
Depuis
2.0

Références $groups, et $name.

◆ getOptions()

getOptions ( )
protected

Returns the JHtml options for a drop-down filter. Do not include an empty option, it is added automatically.

Renvoie
array The JHtml options for a drop-down filter
Depuis
2.0

◆ getSortable()

getSortable ( )
protected

Is this a sortable field?

Renvoie
boolean True if it's sortable

◆ getValue()

getValue ( )
protected

Get the filter value for this header field

Renvoie
mixed The filter value

◆ setForm()

setForm ( FOFForm $form )

Method to attach a JForm object to the field.

Paramètres
FOFForm $form The JForm object to attach to the form field.
Renvoie
FOFFormHeader The form field object so that the method can be used in a chain.
Depuis
2.0

Références $form.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a FOFForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Depuis
2.0

Références $class, $id, $name, description, name, null, et value.

Documentation des champs

◆ $buttons

$buttons
protected

◆ $description

$description
protected

◆ $element

$element
protected

◆ $fieldname

$fieldname
protected

◆ $filter

$filter
protected

◆ $filterSource

$filterSource
protected

◆ $form

$form
protected

◆ $group

$group
protected

◆ $header

$header
protected

◆ $label

$label
protected

◆ $name

$name
protected

◆ $options

$options
protected

Référencé par FOFFormHeaderModel\getOptions().

◆ $sortable

$sortable = false
protected

◆ $tdwidth

$tdwidth
protected

◆ $type

$type
protected

◆ $value

$value
protected

Référencé par FOFFormHeaderModel\getOptions().

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/header.php


Joomla CMS: Référence de la classe FOFFormHeaderAccesslevel

Fonctions membres protégées
Référence de la classe FOFFormHeaderAccesslevel
+ Graphe d'héritage de FOFFormHeaderAccesslevel:
FOFFormHeaderFieldselectable FOFFormHeaderField FOFFormHeader

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldselectable
getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the list of access levels

Renvoie
array A list of access levels.
Depuis
2.0

Références $db, $options, $query, et FOFPlatform\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/header/accesslevel.php


Joomla CMS: Référence de la classe FOFFormHeaderField

Fonctions membres protégées
Référence de la classe FOFFormHeaderField
+ Graphe d'héritage de FOFFormHeaderField:
FOFFormHeader FOFFormHeaderFielddate FOFFormHeaderFieldsearchable FOFFormHeaderFieldselectable FOFFormHeaderFilterdate FOFFormHeaderFieldfilterable FOFFormHeaderFiltersearchable FOFFormHeaderAccesslevel FOFFormHeaderFieldsql FOFFormHeaderFilterselectable FOFFormHeaderLanguage FOFFormHeaderModel FOFFormHeaderPublished

Fonctions membres protégées

getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getHeader()

getHeader ( )
protected

Get the header

Renvoie
string The header HTML

Références $label, $view, et name.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/header/field.php


Joomla CMS: Référence de la classe FOFFormHeaderFielddate

Fonctions membres protégées
Référence de la classe FOFFormHeaderFielddate
+ Graphe d'héritage de FOFFormHeaderFielddate:
FOFFormHeaderField FOFFormHeader FOFFormHeaderFilterdate

Fonctions membres protégées

getFilter ()
getButtons ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getButtons()

getButtons ( )
protected

Get the buttons HTML code

Renvoie
string The HTML

◆ getFilter()

getFilter ( )
protected

Get the filter field

Renvoie
string The HTML

Références $attributes, $config, $date, $format, $name, $onchange, $user, $value, FOFPlatform\getInstance(), et value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fielddate.php


Joomla CMS: Référence de la classe FOFFormHeaderFieldfilterable

Fonctions membres protégées
Référence de la classe FOFFormHeaderFieldfilterable
+ Graphe d'héritage de FOFFormHeaderFieldfilterable:
FOFFormHeaderFieldsearchable FOFFormHeaderField FOFFormHeader FOFFormHeaderFilterfilterable

Fonctions membres protégées

getFilter ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldsearchable
getFilter ()
getButtons ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getFilter()

getFilter ( )
protected

Get the filter field

Renvoie
string The HTML

Références $html, $name, $onchange, ENT_COMPAT, htmlspecialchars, et true.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fieldfilterable.php


Joomla CMS: Référence de la classe FOFFormHeaderFieldsearchable

Fonctions membres protégées
Référence de la classe FOFFormHeaderFieldsearchable
+ Graphe d'héritage de FOFFormHeaderFieldsearchable:
FOFFormHeaderField FOFFormHeader FOFFormHeaderFieldfilterable FOFFormHeaderFiltersearchable FOFFormHeaderFilterfilterable

Fonctions membres protégées

getFilter ()
getButtons ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getButtons()

getButtons ( )
protected

Get the buttons HTML code

Renvoie
string The HTML

Références $html.

◆ getFilter()

getFilter ( )
protected

Get the filter field

Renvoie
string The HTML

Références $name, $onchange, $value, ENT_COMPAT, et htmlspecialchars.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fieldsearchable.php


Joomla CMS: Référence de la classe FOFFormHeaderFieldselectable

Fonctions membres protégées
Référence de la classe FOFFormHeaderFieldselectable
+ Graphe d'héritage de FOFFormHeaderFieldselectable:
FOFFormHeaderField FOFFormHeader FOFFormHeaderAccesslevel FOFFormHeaderFieldsql FOFFormHeaderFilterselectable FOFFormHeaderLanguage FOFFormHeaderModel FOFFormHeaderPublished FOFFormHeaderFiltersql

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Create objects for the options

Renvoie
array The array of option objects

Références $key, $option, $options, $value, FOFPlatform\getInstance(), FOFTemplateUtils\parsePath(), et true.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fieldselectable.php


Joomla CMS: Référence de la classe FOFFormHeaderFieldsql

Fonctions membres protégées
Référence de la classe FOFFormHeaderFieldsql
+ Graphe d'héritage de FOFFormHeaderFieldsql:
FOFFormHeaderFieldselectable FOFFormHeaderField FOFFormHeader FOFFormHeaderFiltersql

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldselectable
getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Create objects for the options

Renvoie
array The array of option objects

Références $db, $item, $items, $key, $options, $query, $value, et FOFPlatform\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • fieldsql.php


Joomla CMS: Référence de la classe FOFFormHeaderFilterdate

Fonctions membres protégées
Référence de la classe FOFFormHeaderFilterdate
+ Graphe d'héritage de FOFFormHeaderFilterdate:
FOFFormHeaderFielddate FOFFormHeaderField FOFFormHeader

Fonctions membres protégées

getHeader ()
- Fonctions membres protégées hérités de FOFFormHeaderFielddate
getFilter ()
getButtons ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getHeader()

getHeader ( )
protected

Get the header

Renvoie
string The header HTML
La documentation de cette classe a été générée à partir du fichier suivant :
  • filterdate.php


Joomla CMS: Référence de la classe FOFFormHeaderFilterfilterable

Fonctions membres protégées
Référence de la classe FOFFormHeaderFilterfilterable
+ Graphe d'héritage de FOFFormHeaderFilterfilterable:
FOFFormHeaderFieldfilterable FOFFormHeaderFieldsearchable FOFFormHeaderField FOFFormHeader

Fonctions membres protégées

getHeader ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldfilterable
getFilter ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldsearchable
getFilter ()
getButtons ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getHeader()

getHeader ( )
protected

Get the header

Renvoie
string The header HTML
La documentation de cette classe a été générée à partir du fichier suivant :
  • filterfilterable.php


Joomla CMS: Référence de la classe FOFFormHeaderFiltersearchable

Fonctions membres protégées
Référence de la classe FOFFormHeaderFiltersearchable
+ Graphe d'héritage de FOFFormHeaderFiltersearchable:
FOFFormHeaderFieldsearchable FOFFormHeaderField FOFFormHeader

Fonctions membres protégées

getHeader ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldsearchable
getFilter ()
getButtons ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getHeader()

getHeader ( )
protected

Get the header

Renvoie
string The header HTML
La documentation de cette classe a été générée à partir du fichier suivant :
  • filtersearchable.php


Joomla CMS: Référence de la classe FOFFormHeaderFilterselectable

Fonctions membres protégées
Référence de la classe FOFFormHeaderFilterselectable
+ Graphe d'héritage de FOFFormHeaderFilterselectable:
FOFFormHeaderFieldselectable FOFFormHeaderField FOFFormHeader

Fonctions membres protégées

getHeader ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldselectable
getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getHeader()

getHeader ( )
protected

Get the header

Renvoie
string The header HTML
La documentation de cette classe a été générée à partir du fichier suivant :
  • filterselectable.php


Joomla CMS: Référence de la classe FOFFormHeaderFiltersql

Fonctions membres protégées
Référence de la classe FOFFormHeaderFiltersql
+ Graphe d'héritage de FOFFormHeaderFiltersql:
FOFFormHeaderFieldsql FOFFormHeaderFieldselectable FOFFormHeaderField FOFFormHeader

Fonctions membres protégées

getHeader ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldsql
getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldselectable
getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getHeader()

getHeader ( )
protected

Get the header

Renvoie
string The header HTML
La documentation de cette classe a été générée à partir du fichier suivant :
  • filtersql.php


Joomla CMS: Référence de la classe FOFFormHeaderLanguage

Fonctions membres protégées
Référence de la classe FOFFormHeaderLanguage
+ Graphe d'héritage de FOFFormHeaderLanguage:
FOFFormHeaderFieldselectable FOFFormHeaderField FOFFormHeader

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldselectable
getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the filter options.

Renvoie
array The filter option objects.
Depuis
2.0

Références $client, $options, et value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/header/language.php


Joomla CMS: Référence de la classe FOFFormHeaderModel

Fonctions membres protégées
Référence de la classe FOFFormHeaderModel
+ Graphe d'héritage de FOFFormHeaderModel:
FOFFormHeaderFieldselectable FOFFormHeaderField FOFFormHeader

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldselectable
getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.

Références $config, $item, $items, $key, FOFFormHeader\$options, $parts, FOFFormHeader\$value, FOFInflector\explode(), FOFModel\getTmpInstance(), FOFInflector\implode(), null, et true.

La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/form/header/model.php


Joomla CMS: Référence de la classe FOFFormHeaderOrdering

Fonctions membres protégées
Référence de la classe FOFFormHeaderOrdering
+ Graphe d'héritage de FOFFormHeaderOrdering:
FOFFormHeader

Fonctions membres protégées

getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getHeader()

getHeader ( )
protected

Get the header

Renvoie
string The header HTML

Références $html, $ordering, $view, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • header/ordering.php


Joomla CMS: Référence de la classe FOFFormHeaderPublished

Fonctions membres protégées
Référence de la classe FOFFormHeaderPublished
+ Graphe d'héritage de FOFFormHeaderPublished:
FOFFormHeaderFieldselectable FOFFormHeaderField FOFFormHeader

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderFieldselectable
getOptions ()
- Fonctions membres protégées hérités de FOFFormHeaderField
getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Create objects for the options

Renvoie
array The array of option objects

Références $config, et $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • header/published.php


Joomla CMS: Référence de la classe FOFFormHeaderRowselect

Fonctions membres protégées
Référence de la classe FOFFormHeaderRowselect
+ Graphe d'héritage de FOFFormHeaderRowselect:
FOFFormHeader

Fonctions membres protégées

getHeader ()
- Fonctions membres protégées hérités de FOFFormHeader
getId ($fieldId, $fieldName)
getName ($fieldName)
getFieldName ($fieldName)
getLabel ()
getValue ()
getFilterSource ($filterSource)
getSortable ()
getHeader ()
getFilter ()
getButtons ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFFormHeader
__construct (FOFForm $form=null)
__get ($name)
setForm (FOFForm $form)
setup (SimpleXMLElement $element, $value, $group=null)
- Attributs protégés hérités de FOFFormHeader
$description
$element
$form
$label
$header
$filter
$buttons
$options
$name
$fieldname
$group
$type
$value
$tdwidth
$filterSource
$sortable = false

Documentation des fonctions membres

◆ getHeader()

getHeader ( )
protected

Get the header

Renvoie
string The header HTML
La documentation de cette classe a été générée à partir du fichier suivant :
  • rowselect.php


Joomla CMS: Référence de la classe FOFFormHelper

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe FOFFormHelper
+ Graphe d'héritage de FOFFormHelper:

Fonctions membres publiques statiques

static | loadFieldType ($type, $new=true)
static | loadHeaderType ($type, $new=true)
static | loadFieldClass ($type)
static | loadHeaderClass ($type)
static | loadClass ($entity, $type)
static | addHeaderPath ($new=null)

Fonctions membres protégées statiques

static loadType ($entity, $type, $new=true)

Documentation des fonctions membres

◆ addHeaderPath()

static addHeaderPath ( $new = null )
static

Method to add a path to the list of header include paths.

Paramètres
mixed $new A path or array of paths to add.
Renvoie
array The list of paths that have been added.

Référencé par FOFForm\addHeaderPath().

◆ loadClass()

static loadClass | ( | $entity,
 |  | $type
 | ) |
static

Load a class for one of the form's entities of a particular type. Currently, it makes sense to use this method for the "field" and "rule" entities (but you can support more entities in your subclass).

Paramètres
string | $entity | One of the form entities (field or rule).
string | $type | Type of an entity.
Renvoie
mixed Class name on success or false otherwise.
Depuis
2.0

Références $class, $file, $i, $n, $path, $prefix, $type, elseif, et FOFPlatform\getInstance().

◆ loadFieldClass()

static loadFieldClass ( $type )
static

Attempt to import the JFormField class file if it isn't already imported. You can use this method outside of JForm for loading a field for inheritance or composition.

Paramètres
string $type Type of a field whose class should be loaded.
Renvoie
mixed Class name on success or false otherwise.
Depuis
11.1

Références $type.

◆ loadFieldType()

static loadFieldType | ( | $type,
 |  | $new = true
 | ) |
static

Method to load a form field object given a type.

Paramètres
string | $type | The field type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
mixed JFormField object on success, false otherwise.
Depuis
11.1

Références $type.

Référencé par FOFForm\loadFieldType().

◆ loadHeaderClass()

static loadHeaderClass ( $type )
static

Attempt to import the FOFFormHeader class file if it isn't already imported. You can use this method outside of JForm for loading a field for inheritance or composition.

Paramètres
string $type Type of a field whose class should be loaded.
Renvoie
mixed Class name on success or false otherwise.
Depuis
11.1

Références $type.

◆ loadHeaderType()

static loadHeaderType | ( | $type,
 |  | $new = true
 | ) |
static

Method to load a form field object given a type.

Paramètres
string | $type | The field type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
mixed JFormField object on success, false otherwise.
Depuis
11.1

Références $type.

Référencé par FOFForm\loadHeaderType().

◆ loadType()

static loadType | ( | $entity,
 |  | $type,
 |  | $new = true
 | ) |
staticprotected

Method to load a form entity object given a type. Each type is loaded only once and then used as a prototype for other objects of same type. Please, use this method only with those entities which support types (forms don't support them).

Paramètres
string | $entity | The entity.
string | $type | The entity type.
boolean | $new | Flag to toggle whether we should get a new instance of the object.
Renvoie
mixed Entity object on success, false otherwise.
Depuis
11.1

Références $class, $key, et $type.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/form/helper.php


Joomla CMS: Référence de la classe FOFHalDocument

Fonctions membres publiques | Attributs privés
Référence de la classe FOFHalDocument

Fonctions membres publiques

__construct ($data=null)
addLink ($rel, FOFHalLink $link, $overwrite=true)
addLinks ($rel, array $links, $overwrite=true)
addData ($data, $overwrite=true)
addEmbedded ($rel, FOFHalDocument $document, $overwrite=true)
getLinks ($rel=null)
getEmbedded ($rel=null)
getData ()
render ($format='json')

Attributs privés

$_links = null
$_data = null
$_embedded = array()
$_dataKey = '_list'

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $data = null )

Public constructor

Paramètres
mixed $data The data of the document (usually, the resource state)

Références $data.

Documentation des fonctions membres

◆ addData()

addData | ( | $data,
 |  | $overwrite = true
 | ) |

Add data to the document

Paramètres
stdClass | $data | The data to add
boolean | $overwrite | Should I overwrite existing data?
Renvoie
void

Références $data.

◆ addEmbedded()

addEmbedded | ( |  | $rel,
 |  | FOFHalDocument | $document,
 |  |  | $overwrite = true
 | ) |  |

Add an embedded document

Paramètres
string | $rel | The relation of the embedded document to its container document
FOFHalDocument | $document | The document to add
boolean | $overwrite | Should I overwrite existing data with the same relation?
Renvoie
boolean

Références $document, $rel, et elseif.

◆ addLink()

addLink | ( |  | $rel,
 |  | FOFHalLink | $link,
 |  |  | $overwrite = true
 | ) |  |

Add a link to the document

Paramètres
string | $rel | The relation of the link to the document. See RFC 5988 http://tools.ietf.org/html/rfc5988#section-6.2.2 A document MUST always have a "self" link.
FOFHalLink | $link | The actual link object
boolean | $overwrite | When false and a link of $rel relation exists, an array of links is created. Otherwise the existing link is overwriten with the new one
Voir également
FOFHalLinks::addLink
Renvoie
boolean True if the link was added to the collection

Références $link, et $rel.

◆ addLinks()

addLinks | ( |  | $rel,
 |  | array | $links,
 |  |  | $overwrite = true
 | ) |  |

Add links to the document

Paramètres
string | $rel | The relation of the link to the document. See RFC 5988
array | $links | An array of FOFHalLink objects
boolean | $overwrite | When false and a link of $rel relation exists, an array of links is created. Otherwise the existing link is overwriten with the new one
Voir également
FOFHalLinks::addLinks
Renvoie
boolean

Références $rel.

◆ getData()

getData ( )

Return the data attached to this document

Renvoie
array|stdClass

◆ getEmbedded()

getEmbedded ( $rel = null )

Returns the collection of embedded documents

Paramètres
string $rel Optional; the relation to return the embedded documents for
Renvoie
array|FOFHalDocument

Références $rel, et elseif.

◆ getLinks()

getLinks ( $rel = null )

Returns the collection of links of this document

Paramètres
string $rel The relation of the links to fetch. Skip to get all links.
Renvoie
array

Références $rel.

◆ render()

render ( $format = 'json' )

Instantiate and call a suitable renderer class to render this document into the specified format.

Paramètres
string $format The format to render the document into, e.g. 'json'
Renvoie
string The rendered document
Exceptions
RuntimeException If the format is unknown, i.e. there is no suitable renderer

Références $format, et $renderer.

Documentation des champs

◆ $_data

$_data = null
private

◆ $_dataKey

$_dataKey = '_list'
private

◆ $_embedded

$_embedded = array()
private

◆ $_links

$_links = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • document.php


Joomla CMS: Référence de la classe FOFHalLink

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFHalLink

Fonctions membres publiques

__construct ($href, $templated=false, $name=null, $hreflang=null, $title=null)
check ()
__get ($name)
__set ($name, $value)

Attributs protégés

$_href = ''
$_templated = false
$_name = null
$_hreflang = null
$_title = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $href,
 |  | $templated = false,
 |  | $name = null,
 |  | $hreflang = null,
 |  | $title = null
 | ) |

Public constructor of a FOFHalLink object

Paramètres
string | $href | See $this->_href
boolean | $templated | See $this->_templated
string | $name | See $this->_name
string | $hreflang | See $this->_hreflang
string | $title | See $this->_title
Exceptions
RuntimeException If $href is empty

Références $href, $name, et $title.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic getter for the protected properties

Paramètres
string $name The name of the property to retrieve, sans the underscore
Renvoie
mixed Null will always be returned if the property doesn't exist

Références $name, et null.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Magic setter for the protected properties

Paramètres
string | $name | The name of the property to set, sans the underscore
mixed | $value | The value of the property to set
Renvoie
void

Références $name, et $value.

◆ check()

check ( )

Is this a valid link? Checks the existence of required fields, not their values.

Renvoie
boolean

Documentation des champs

◆ $_href

$_href = ''
protected

◆ $_hreflang

$_hreflang = null
protected

◆ $_name

$_name = null
protected

◆ $_templated

$_templated = false
protected

◆ $_title

$_title = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/hal/link.php


Joomla CMS: Référence de la classe FOFHalLinks

Fonctions membres publiques | Attributs privés
Référence de la classe FOFHalLinks

Fonctions membres publiques

addLink ($rel, FOFHalLink $link, $overwrite=true)
addLinks ($rel, array $links, $overwrite=true)
getLinks ($rel=null)

Attributs privés

$_links = array()

Documentation des fonctions membres

◆ addLink()

addLink | ( |  | $rel,
 |  | FOFHalLink | $link,
 |  |  | $overwrite = true
 | ) |  |

Add a single link to the links collection

Paramètres
string | $rel | The relation of the link to the document. See RFC 5988 http://tools.ietf.org/html/rfc5988#section-6.2.2 A document MUST always have a "self" link.
FOFHalLink | $link | The actual link object
boolean | $overwrite | When false and a link of $rel relation exists, an array of links is created. Otherwise the existing link is overwriten with the new one
Renvoie
boolean True if the link was added to the collection

Références $link, $rel, et elseif.

◆ addLinks()

addLinks | ( |  | $rel,
 |  | array | $links,
 |  |  | $overwrite = true
 | ) |  |

Add multiple links to the links collection

Paramètres
string | $rel | The relation of the links to the document. See RFC 5988.
array | $links | An array of FOFHalLink objects
boolean | $overwrite | When false and a link of $rel relation exists, an array of links is created. Otherwise the existing link is overwriten with the new one
Renvoie
boolean True if the link was added to the collection

Références $link, et $rel.

◆ getLinks()

getLinks ( $rel = null )

Returns the collection of links

Paramètres
string $rel Optional; the relation to return the links for
Renvoie
array|FOFHalLink

Références $rel, et elseif.

Documentation des champs

◆ $_links

$_links = array()
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/hal/links.php


Joomla CMS: Référence de l'interface FOFHalRenderInterface

Fonctions membres publiques
Référence de l'interface FOFHalRenderInterface
+ Graphe d'héritage de FOFHalRenderInterface:
FOFHalRenderJson

Fonctions membres publiques

render ($options=array())

Documentation des fonctions membres

◆ render()

render ( $options = array() )

Render a HAL document into a representation suitable for consumption.

Paramètres
array $options Renderer-specific options
Renvoie
void

Implémenté dans FOFHalRenderJson.

La documentation de cette interface a été générée à partir du fichier suivant :
  • fof/hal/render/interface.php


Joomla CMS: Référence de la classe FOFHalRenderJson

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe FOFHalRenderJson
+ Graphe d'héritage de FOFHalRenderJson:
FOFHalRenderInterface

Fonctions membres publiques

__construct (&$document)
render ($options=array())

Fonctions membres protégées

_getLink (FOFHalLink $link)

Attributs protégés

$_document

Attributs privés

$_dataKey = '_list'

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $document )

Public constructor

Paramètres
FOFHalDocument &$document The document to render

Références $document.

Documentation des fonctions membres

◆ _getLink()

_getLink ( FOFHalLink $link )
protected

Converts a FOFHalLink object into a stdClass object which will be used for JSON serialisation

Paramètres
FOFHalLink $link The link you want converted
Renvoie
stdClass The converted link object

Références $link.

◆ render()

render ( $options = array() )

Render a HAL document in JSON format

Paramètres
array $options Rendering options. You can currently only set json_options (json_encode options)
Renvoie
string The JSON representation of the HAL document

Implémente FOFHalRenderInterface.

Références $data, $link, $options, $rel, $renderer, et elseif.

Documentation des champs

◆ $_dataKey

$_dataKey = '_list'
private

◆ $_document

$_document
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/hal/render/json.php


Joomla CMS: Référence de la classe FOFInflector

Fonctions membres publiques statiques | Attributs protégés statiques | Fonctions membres privées
Référence de la classe FOFInflector

Fonctions membres publiques statiques

static | deleteCache ()
static | addWord ($singular, $plural)
static | pluralize ($word)
static | singularize ($word)
static | camelize ($word)
static | underscore ($word)
static | explode ($word)
static | implode ($words)
static | humanize ($word)
static | tableize ($className)
static | classify ($tableName)
static | variablize ($string)
static | isSingular ($string)
static | isPlural ($string)
static | getPart ($string, $index, $default=null)

Attributs protégés statiques

static | $_rules
static | $_cache

Fonctions membres privées

__construct ()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
private

Constructor

Prevent creating instances of this class by making the constructor private

Documentation des fonctions membres

◆ addWord()

static addWord | ( | $singular,
 |  | $plural
 | ) |
static

Add a word to the cache, useful to make exceptions or to add words in other languages.

Paramètres
string | $singular | word.
string | $plural | word.
Renvoie
void

◆ camelize()

static camelize ( $word )
static

Returns given word as CamelCased.

Converts a word like "foo_bar" or "foo bar" to "FooBar". It will remove non alphanumeric characters from the word, so "who's online" will be converted to "WhoSOnline"

Paramètres
string $word Word to convert to camel case.
Renvoie
string UpperCamelCasedWord

Référencé par FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_view(), FOFController\execute(), et FOFView\findRenderer().

◆ classify()

static classify ( $tableName )
static

◆ deleteCache()

static deleteCache ( )
static

◆ explode()

static explode ( $word )
static

Convert any "CamelCased" word into an array of strings

Returns an array of strings each of which is a substring of string formed by splitting it at the camelcased letters.

Paramètres
string $word Word to explode
Renvoie
array Array of strings

Référencé par FOFDatabaseIterator\__construct(), FOFController\__construct(), FOFTableRelations\getIteratorFromRelation(), FOFFormHeaderModel\getOptions(), FOFFormFieldModel\getOptions(), FOFTableRelations\getTableFromRelation(), FOFController\getThisModel(), FOFController\getThisView(), et FOFTableRelations\normaliseParameters().

◆ getPart()

static getPart | ( | $string,
 |  | $index,
 |  | $default = null
 | ) |
static

Gets a part of a CamelCased word by index.

Use a negative index to start at the last part of the word (-1 is the last part)

Paramètres
string | $string | Word
integer | $index | Index of the part
string | $default | Default value
Renvoie
string

Références $default, et $parts.

Référencé par FOFView\findRenderer().

◆ humanize()

static humanize ( $word )
static

Returns a human-readable string from $word.

Returns a human-readable string from $word, by replacing underscores with a space, and by upper-casing the initial character by default.

Paramètres
string $word String to "humanize"
Renvoie
string Human-readable word

◆ implode()

static implode ( $words )
static

Convert an array of strings into a "CamelCased" word.

Paramètres
array $words Array to implode
Renvoie
string UpperCamelCasedWord

Référencé par FOFFormHeaderModel\getOptions(), FOFFormFieldModel\getOptions(), FOFController\getThisModel(), FOFController\getThisView(), et FOFTableRelations\normaliseItemName().

◆ isPlural()

static isPlural ( $string )
static

Check to see if an Enlish word is plural.

Paramètres
string $string String to be checked.
Renvoie
boolean

Références null.

Référencé par FOFController\createView(), FOFDispatcher\getTask(), et FOFToolbar\renderSubmenu().

◆ isSingular()

static isSingular ( $string )
static

Check to see if an English word is singular

Paramètres
string $string The word to check
Renvoie
boolean

Références null.

Référencé par FOFView\__construct(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_view(), et FOFIntegrationJoomlaPlatform\getViewTemplatePaths().

◆ pluralize()

static pluralize ( $word )
static

Singular English word to plural.

Paramètres
string $word word to pluralize.
Renvoie
string Plural noun.

Références null.

Référencé par FOFViewCsv\__construct(), FOFView\__construct(), FOFModel\addBehavior(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_view(), FOFController\cancel(), FOFController\copy(), FOFController\createView(), FOFDispatcher\dispatch(), FOFController\edit(), FOFModel\findFormFilename(), FOFTable\getAnInstance(), FOFModel\getHash(), FOFFormHeader\getLabel(), FOFToolbar\getMyViews(), FOFFormFieldRelation\getOptions(), FOFFormFieldRelation\getRepeatable(), FOFController\getThisModel(), FOFController\getTmpInstance(), FOFIntegrationJoomlaPlatform\getViewTemplatePaths(), FOFController\loadhistory(), FOFTableRelations\normaliseItemName(), FOFTableRelations\normaliseParameters(), FOFToolbar\onAdd(), FOFController\orderdown(), FOFController\orderup(), FOFController\remove(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFToolbar\renderSubmenu(), FOFToolbar\renderToolbar(), FOFController\save(), FOFController\saveorder(), FOFController\setaccess(), et FOFController\setstate().

◆ singularize()

static singularize ( $word )
static

Plural English word to singular.

Paramètres
string $word Word to singularize.
Renvoie
string Singular noun.

Références null.

Référencé par FOFTableRelations\__construct(), FOFView\__construct(), FOFController\__construct(), FOFTable\__construct(), FOFModel\__construct(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_view(), FOFController\checkACL(), FOFController\createView(), FOFDispatcher\dispatch(), FOFModel\findFormFilename(), FOFTable\getAnInstance(), FOFModel\getIterator(), FOFTableRelations\getSiblings(), FOFModel\getTable(), FOFController\getTmpInstance(), FOFIntegrationJoomlaPlatform\getViewTemplatePaths(), FOFController\loadhistory(), FOFTableRelations\normaliseItemName(), FOFTableRelations\normaliseParameters(), FOFController\onBeforeAccesspublic(), FOFController\onBeforeAccessregistered(), FOFController\onBeforeAccessspecial(), FOFController\onBeforeAdd(), FOFController\onBeforeApply(), FOFController\onBeforeBrowse(), FOFController\onBeforeCancel(), FOFController\onBeforeEdit(), FOFController\onBeforeGenericTask(), FOFController\onBeforeOrderdown(), FOFController\onBeforeOrderup(), FOFController\onBeforePublish(), FOFController\onBeforeRemove(), FOFController\onBeforeSave(), FOFController\onBeforeSavenew(), FOFController\onBeforeSaveorder(), FOFController\onBeforeUnpublish(), et FOFToolbar\renderSubmenu().

◆ tableize()

static tableize ( $className )
static

Converts a class name to its table name according to Koowa naming conventions.

Converts "Person" to "people"

Paramètres
string $className Class name for getting related table_name.
Renvoie
string plural_table_name
Voir également
classify

Références $className.

◆ underscore()

static underscore ( $word )
static

Converts a word "into_it_s_underscored_version"

Convert any "CamelCased" or "ordinary Word" into an "underscored_word".

Paramètres
string $word Word to underscore
Renvoie
string Underscored word

◆ variablize()

static variablize ( $string )
static

Returns camelBacked version of a string. Same as camelize but first char is lowercased.

Paramètres
string $string String to be camelBacked.
Renvoie
string
Voir également
camelize

Documentation des champs

◆ $_cache

$_cache
staticprotected
Valeur initiale :
= array(
'singularized' => array(),
'pluralized' => array()
)

◆ $_rules

$_rules
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • inflector.php


Joomla CMS: Référence de la classe FOFInput

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées
Référence de la classe FOFInput
+ Graphe d'héritage de FOFInput:
JInput

Fonctions membres publiques

__construct ($source=null, array $options=array())
get ($name, $default=null, $filter='cmd', $mask=0)
getData ()
__call ($name, $arguments)
- Fonctions membres publiques hérités de JInput
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
set ($name, $value)
def ($name, $value)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Fonctions membres publiques statiques

static | __callStatic ($name, $arguments)
static | setVar ($name, $value=null, &$input=array(), $overwrite=true)

Fonctions membres protégées

_cleanVar ($var, $mask=0, $type=null)
- Fonctions membres protégées hérités de JInput
loadAllInputs ()

Membres hérités additionnels

- Attributs protégés hérités de JInput
$options = array()
$filter = null
$data = array()
$inputs = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $source = null,
 |  | array | $options = array()
 | ) |  |

Public constructor. Overridden to allow specifying the global input array to use as a string and instantiate from an objetc holding variables.

Paramètres
array | string | object | null | $source | Source data; set null to use $_REQUEST
array | $options | Filter options

Références $hash, JInput\$options, elseif, JRequest\get(), et null.

Documentation des fonctions membres

◆ __call()

__call | ( | $name,
 |  | $arguments
 | ) |

Magic method to get filtered input data.

Paramètres
mixed | $name | Name of the value to get.
string | $arguments | Default value to return if variable does not exist.
Renvoie
boolean The filtered boolean input value.

Références $default, JInput\$filter, $name, et null.

◆ __callStatic()

static __callStatic | ( | $name,
 |  | $arguments
 | ) |
static

Old static methods are now deprecated. This magic method makes sure there is a continuity in our approach. The downside is that it's only compatible with PHP 5.3.0. Sorry!

Paramètres
string | $name | Name of the method we're calling
array | $arguments | The arguments passed to the method
Renvoie
mixed

Références $default, $input, $key, $name, $type, et FOFPlatform\getInstance().

◆ _cleanVar()

_cleanVar | ( | $var,
 |  | $mask = 0,
 |  | $type = null
 | ) |
protected

Custom filter implementation. Works better with arrays and allows the use of a filter mask.

Paramètres
mixed | $var | The variable (value) to clean
integer | $mask | The clean mask
string | $type | The variable type
Renvoie
mixed

Références $type, elseif, et null.

Référencé par get().

◆ get()

get | ( | $name,
 |  | $default = null,
 |  | $filter = 'cmd',
 |  | $mask = 0
 | ) |

Gets a value from the input data. Overridden to allow specifying a filter mask.

Paramètres
string | $name | Name of the value to get.
mixed | $default | Default value to return if variable does not exist.
string | $filter | Filter to apply to the value.
int | $mask | The filter mask
Renvoie
mixed The filtered input value.

Références $default, JInput\$filter, $name, et _cleanVar().

◆ getData()

getData ( )

Returns a copy of the raw data stored in the class

Renvoie
array

Références JInput\$data.

◆ setVar()

static setVar | ( |  | $name,
 |  |  | $value = null,
 |  | & | $input = array(),
 |  |  | $overwrite = true
 | ) |  |
static

Sets an input variable. WARNING: IT SHOULD NO LONGER BE USED!

Paramètres
string | $name | The name of the variable to set
mixed | $value | The value to set it to
array | &$input | The input array or FOFInput object
boolean | $overwrite | Should I overwrite existing values (default: true)
Renvoie
string Previous value
Obsolète:

Références $input, $name, $value, elseif, FOFPlatform\getInstance(), null, et JRequest\setVar().

La documentation de cette classe a été générée à partir du fichier suivant :
  • input.php


Joomla CMS: Référence de la classe FOFIntegrationJoomlaFilesystem

Fonctions membres publiques
Référence de la classe FOFIntegrationJoomlaFilesystem
+ Graphe d'héritage de FOFIntegrationJoomlaFilesystem:
FOFPlatformFilesystem FOFPlatformFilesystemInterface FOFPlatformFilesystemInterface

Fonctions membres publiques

__construct ()
fileExists ($path)
fileDelete ($file)
fileCopy ($src, $dest, $path=null, $use_streams=false)
fileWrite ($file, &$buffer, $use_streams=false)
pathCheck ($path)
pathClean ($path, $ds=DIRECTORY_SEPARATOR)
pathFind ($paths, $file)
folderExists ($path)
folderFiles ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*', '.*~'), $naturalSort=false)
folderFolders ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*'))
folderCreate ($path='', $mode=0755)
- Fonctions membres publiques hérités de FOFPlatformFilesystem
getExt ($file)
stripExt ($file)
- Fonctions membres publiques hérités de FOFPlatformFilesystemInterface
fileCopy ($src, $dest)
fileWrite ($file, &$buffer)
folderFiles ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*', '.*~'))

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de FOFPlatformFilesystem
static | getFiles ($path, array $ignoreFolders=array(), array $ignoreFiles=array())
static | scanDirectory ($path, array $ignoreFolders=array(), array $ignoreFiles=array())
- Attributs protégés statiques hérités de FOFPlatformFilesystem
static | $paths = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Références JLoader\import().

Documentation des fonctions membres

◆ fileCopy()

fileCopy | ( | $src,
 |  | $dest,
 |  | $path = null,
 |  | $use_streams = false
 | ) |

Copies a file

Paramètres
string | $src | The path to the source file
string | $dest | The path to the destination file
string | $path | An optional base path to prefix to the file names
boolean $use_streams True to use streams
@return  boolean  True on success

Références $path.

◆ fileDelete()

fileDelete ( $file )

Delete a file or array of files

Paramètres
mixed $file The file name or an array of file names
Renvoie
boolean True on success

Implémente FOFPlatformFilesystemInterface.

Références $file.

◆ fileExists()

fileExists ( $path )

Does the file exists?

Paramètres
$path string Path to the file to test
Renvoie
bool

Implémente FOFPlatformFilesystemInterface.

Références $path.

◆ fileWrite()

fileWrite | ( |  | $file,
 |  | & | $buffer,
 |  |  | $use_streams = false
 | ) |  |

Write contents to a file

Paramètres
string | $file | The full file path
string | &$buffer | The buffer to write
boolean $use_streams Use streams
@return  boolean  True on success

Références $buffer, et $file.

◆ folderCreate()

folderCreate | ( | $path = '',
 |  | $mode = 0755
 | ) |

Create a folder – and all necessary parent folders.

Paramètres
string | $path | A path to create from the base path.
integer | $mode | Directory permissions to set for folders created. 0755 by default.
Renvoie
boolean True if successful.

Implémente FOFPlatformFilesystemInterface.

Références $mode, et $path.

◆ folderExists()

folderExists ( $path )

Wrapper for the standard file_exists function

Paramètres
string $path Folder name relative to installation dir
Renvoie
boolean True if path is a folder

Implémente FOFPlatformFilesystemInterface.

Références $path.

◆ folderFiles()

folderFiles | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludefilter = array('^\..*', '.*~'),
 |  | $naturalSort = false
 | ) |

Utility function to read the files in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for file names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the file.
array | $exclude | Array with names of files which should not be shown in the result.
array | $excludefilter | Array of filter to exclude
boolean $naturalSort False for asort, true for natsort
@return  array  Files in the given folder.

Références $filter, et $path.

◆ folderFolders()

folderFolders | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludefilter = array('^\..*')
 | ) |

Utility function to read the folders in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for folder names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the folders.
array | $exclude | Array with names of folders which should not be shown in the result.
array | $excludefilter | Array with regular expressions matching folders which should not be shown in the result.
Renvoie
array Folders in the given folder.

Implémente FOFPlatformFilesystemInterface.

Références $filter, et $path.

◆ pathCheck()

pathCheck ( $path )

Checks for snooping outside of the file system root.

Paramètres
string $path A file system path to check.
Renvoie
string A cleaned version of the path or exit on error.
Exceptions
Exception

Implémente FOFPlatformFilesystemInterface.

Références $path.

◆ pathClean()

pathClean | ( | $path,
 |  | $ds = DIRECTORY_SEPARATOR
 | ) |

Function to strip additional / or \ in a path name.

Paramètres
string | $path | The path to clean.
string | $ds | Directory separator (optional).
Renvoie
string The cleaned path.
Exceptions
UnexpectedValueException

Implémente FOFPlatformFilesystemInterface.

Références $path.

◆ pathFind()

pathFind | ( | $paths,
 |  | $file
 | ) |

Searches the directory paths for a given file.

Paramètres
mixed | $paths | An path string or array of path strings to search in
string | $file | The file name to look for.
Renvoie
mixed The full path and file name for the target file, or boolean false if the file is not found in any of the paths.

Implémente FOFPlatformFilesystemInterface.

Références $file.

La documentation de cette classe a été générée à partir du fichier suivant :
  • integration/joomla/filesystem/filesystem.php


Joomla CMS: Référence de la classe FOFIntegrationJoomlaPlatform

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées | Attributs privés
Référence de la classe FOFIntegrationJoomlaPlatform
+ Graphe d'héritage de FOFIntegrationJoomlaPlatform:
FOFPlatform FOFPlatformInterface FOFPlatformInterface

Fonctions membres publiques

__construct ()
checkExecution ()
raiseError ($code, $message)
isEnabled ()
getPlatformBaseDirs ()
getComponentBaseDirs ($component)
getViewTemplatePaths ($component, $view, $layout='default', $tpl=null, $strict=false)
getTemplateSuffixes ()
getTemplateOverridePath ($component, $absolute=true)
loadTranslations ($component)
authorizeAdmin ($component)
getUser ($id=null)
getDocument ()
getDate ($time='now', $tzOffest=null, $locale=true)
getLanguage ()
getDbo ()
getUserStateFromRequest ($key, $request, $input, $default=null, $type='none', $setUserState=true)
importPlugin ($type)
runPlugins ($event, $data)
authorise ($action, $assetname)
isBackend ()
isFrontend ()
isCli ()
supportsAjaxOrdering ()
isGlobalFOFCacheEnabled ()
setCache ($key, $content)
getCache ($key, $default=null)
clearCache ()
getConfig ()
loginUser ($authInfo)
logoutUser ()
logAddLogger ($file)
logDeprecated ($message)
logDebug ($message)
URIroot ($pathonly=false, $path=null)
URIbase ($pathonly=false)
setHeader ($name, $value, $replace=false)
sendHeaders ()
- Fonctions membres publiques hérités de FOFPlatform
getOrdering ()
isEnabled ()
getIntegrationObject ($key)
setIntegrationObject ($key, $object)
setErrorHandling ($level, $log_level, $options=array())
getComponentBaseDirs ($component)
getViewTemplatePaths ($component, $view, $layout='default', $tpl=null, $strict=false)
getTemplateSuffixes ()
getTemplateOverridePath ($component, $absolute=true)
loadTranslations ($component)
authorizeAdmin ($component)
getUser ($id=null)
getDocument ()
getUserStateFromRequest ($key, $request, $input, $default=null, $type='none', $setUserState=true)
importPlugin ($type)
runPlugins ($event, $data)
authorise ($action, $assetname)
isBackend ()
isFrontend ()
isCli ()
supportsAjaxOrdering ()
checkVersion ($version1, $version2, $operator)
setCache ($key, $content)
getCache ($key, $default=null)
isGlobalFOFCacheEnabled ()
clearCache ()
loginUser ($authInfo)
logoutUser ()
logDeprecated ($message)
getPlatformName ()
getPlatformVersion ()
getPlatformHumanName ()

Fonctions membres protégées

isCliAdmin ()

Fonctions membres privées

& getCacheObject ($force=false)
saveCache ()

Attributs privés

$_cache = null

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFPlatform
static | registerPlatformPath ($path)
static | unregisterPlatformPath ($path)
static | forceInstance ($instance)
static | getInstance ()
- Champs de données hérités de FOFPlatform
$ordering = 100
$name = ''
$humanReadableName = 'Unknown Platform'
$version = ''
- Attributs protégés hérités de FOFPlatform
$isEnabled = null
$objectCache = array()
- Attributs protégés statiques hérités de FOFPlatform
static | $paths = array()
static | $instance = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Public constructor

Références name.

Documentation des fonctions membres

◆ authorise()

authorise | ( | $action,
 |  | $assetname
 | ) |

Perform an ACL check.

Paramètres
string | $action | The ACL privilege to check, e.g. core.edit
string | $assetname | The asset name to check, typically the component's name
Voir également
FOFPlatformInterface::authorise()
Renvoie
boolean True if the user is allowed this action

Implémente FOFPlatformInterface.

Références $action.

◆ authorizeAdmin()

authorizeAdmin ( $component )

Authorise access to the component in the back-end.

Paramètres
string $component The name of the component.
Voir également
FOFPlatformInterface::authorizeAdmin()
Renvoie
boolean True to allow loading the component, false to halt loading

Implémente FOFPlatformInterface.

Références $component, et $user.

◆ checkExecution()

checkExecution ( )

Checks if the current script is run inside a valid CMS execution

Voir également
FOFPlatformInterface::checkExecution()
Renvoie
bool

Implémente FOFPlatformInterface.

◆ clearCache()

clearCache ( )

Clears the cache of system-wide FOF data. You are supposed to call this in your components' installation script post-installation and post-upgrade methods or whenever you are modifying the structure of database tables accessed by FOF. Please note that FOF's cache never expires and is not purged by Joomla!. You MUST use this method to manually purge the cache.

Renvoie
boolean True on success

Implémente FOFPlatformInterface.

◆ getCache()

getCache | ( | $key,
 |  | $default = null
 | ) |

Retrieves data from the cache. This is supposed to be used for system-side FOF data, not application data.

Paramètres
string | $key | The key of the data to retrieve
string | $default | The default value to return if the key is not found or the cache is not populated
Renvoie
string The cached value

Implémente FOFPlatformInterface.

Références $default, et $key.

◆ getCacheObject()

& getCacheObject ( $force = false )
private

Gets a reference to the cache object, loading it from the disk if needed.

Paramètres
boolean $force Should I forcibly reload the registry?
Renvoie
JRegistry

Références $className, $data, $options, JLoader\import(), et JPATH_CACHE.

◆ getComponentBaseDirs()

getComponentBaseDirs ( $component )

Returns the base (root) directories for a given component.

Paramètres
string $component The name of the component. For Joomla! this is something like "com_example"
Voir également
FOFPlatformInterface::getComponentBaseDirs()
Renvoie
array A hash array with keys main, alt, site and admin.

Implémente FOFPlatformInterface.

Références $component, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getConfig()

getConfig ( )

Returns an object that holds the configuration of the current site.

Renvoie
mixed

Implémente FOFPlatformInterface.

◆ getDate()

getDate | ( | $time = 'now',
 |  | $tzOffest = null,
 |  | $locale = true
 | ) |

Returns an object to handle dates

Paramètres
mixed | $time | The initial time
null | $tzOffest | The timezone offset
bool | $locale | Should I try to load a specific class for current language?
Renvoie
JDate object

Implémente FOFPlatformInterface.

◆ getDbo()

getDbo ( )
Renvoie
FOFDatabaseDriver

Implémente FOFPlatformInterface.

Références FOFDatabaseFactory\getInstance().

◆ getDocument()

getDocument ( )

Returns the JDocument object which handles this component's response.

Voir également
FOFPlatformInterface::getDocument()
Renvoie
JDocument

Implémente FOFPlatformInterface.

Références $document, getDocument, et null.

◆ getLanguage()

getLanguage ( )

Implémente FOFPlatformInterface.

◆ getPlatformBaseDirs()

getPlatformBaseDirs ( )

Returns absolute path to directories used by the CMS.

Voir également
FOFPlatformInterface::getPlatformBaseDirs()
Renvoie
array A hash array with keys root, public, admin, tmp and log.

Implémente FOFPlatformInterface.

Références JPATH_ADMINISTRATOR, JPATH_ROOT, et JPATH_SITE.

◆ getTemplateOverridePath()

getTemplateOverridePath | ( | $component,
 |  | $absolute = true
 | ) |

Return the absolute path to the application's template overrides directory for a specific component. We will use it to look for template files instead of the regular component directories. If the application does not have such a thing as template overrides return an empty string.

Paramètres
string | $component | The name of the component for which to fetch the overrides
boolean | $absolute | Should I return an absolute or relative path?
Renvoie
string The path to the template overrides directory

Implémente FOFPlatformInterface.

Références $component, $path, et JPATH_THEMES.

◆ getTemplateSuffixes()

getTemplateSuffixes ( )

Get application-specific suffixes to use with template paths. This allows you to look for view template overrides based on the application version.

Renvoie
array A plain array of suffixes to try in template names

Implémente FOFPlatformInterface.

◆ getUser()

getUser ( $id = null )

Return a user object.

Paramètres
integer $id The user ID to load. Skip or use null to retrieve the object for the currently logged in user.
Voir également
FOFPlatformInterface::getUser()
Renvoie
JUser The JUser object for the specified user

Implémente FOFPlatformInterface.

Références $id.

◆ getUserStateFromRequest()

getUserStateFromRequest | ( | $key,
 |  | $request,
 |  | $input,
 |  | $default = null,
 |  | $type = 'none',
 |  | $setUserState = true
 | ) |

This method will try retrieving a variable from the request (input) data.

Paramètres
string | $key | The user state key for the variable
string | $request | The request variable name for the variable
FOFInput | $input | The FOFInput object with the request (input) data
mixed | $default | The default value. Default: null
string | $type | The filter type for the variable data. Default: none (no filtering)
boolean | $setUserState | Should I set the user state with the fetched value?
Voir également
FOFPlatformInterface::getUserStateFromRequest()
Renvoie
mixed The value of the variable

Implémente FOFPlatformInterface.

Références $app, $default, $input, $key, $type, elseif, et null.

◆ getViewTemplatePaths()

getViewTemplatePaths | ( | $component,
 |  | $view,
 |  | $layout = 'default',
 |  | $tpl = null,
 |  | $strict = false
 | ) |

Return a list of the view template paths for this component.

Paramètres
string | $component | The name of the component. For Joomla! this is something like "com_example"
string | $view | The name of the view you're looking a template for
string | $layout | The layout name to load, e.g. 'default'
string | $tpl | The sub-template name to load (null by default)
boolean | $strict | If true, only the specified layout will be searched for. Otherwise we'll fall back to the 'default' layout if the specified layout is not found.
Voir également
FOFPlatformInterface::getViewTemplateDirs()
Renvoie
array

Implémente FOFPlatformInterface.

Références $basePath, $component, $layout, $view, FOFInflector\isSingular(), FOFInflector\pluralize(), et FOFInflector\singularize().

◆ importPlugin()

importPlugin ( $type )

Load plugins of a specific type. Obviously this seems to only be required in the Joomla! CMS.

Paramètres
string $type The type of the plugins to be loaded
Voir également
FOFPlatformInterface::importPlugin()
Renvoie
void

Implémente FOFPlatformInterface.

Références $type, et JLoader\import().

◆ isBackend()

isBackend ( )

Is this the administrative section of the component?

Voir également
FOFPlatformInterface::isBackend()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ isCli()

isCli ( )

Is this a component running in a CLI application?

Voir également
FOFPlatformInterface::isCli()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ isCliAdmin()

isCliAdmin ( )
protected

Main function to detect if we're running in a CLI environment and we're admin

Renvoie
array isCLI and isAdmin. It's not an associative array, so we can use list.

Références $app, false, et null.

◆ isEnabled()

isEnabled ( )

Is this platform enabled?

Voir également
FOFPlatformInterface::isEnabled()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ isFrontend()

isFrontend ( )

Is this the public section of the component?

Voir également
FOFPlatformInterface::isFrontend()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ isGlobalFOFCacheEnabled()

isGlobalFOFCacheEnabled ( )

Is the global FOF cache enabled?

Renvoie
boolean

Implémente FOFPlatformInterface.

Références JDEBUG.

◆ loadTranslations()

loadTranslations ( $component )

Load the translation files for a given component.

Paramètres
string $component The name of the component. For Joomla! this is something like "com_example"
Voir également
FOFPlatformInterface::loadTranslations()
Renvoie
void

Implémente FOFPlatformInterface.

Références $component, JPATH_ADMINISTRATOR, JPATH_ROOT, et null.

◆ logAddLogger()

logAddLogger ( $file )

Implémente FOFPlatformInterface.

Références $file.

◆ logDebug()

logDebug ( $message )

Implémente FOFPlatformInterface.

Références $message.

◆ logDeprecated()

logDeprecated ( $message )

Logs a deprecated practice. In Joomla! this results in the $message being output in the deprecated log file, found in your site's log directory.

Paramètres
string $message The deprecated practice log message
Renvoie
void

Implémente FOFPlatformInterface.

Références $message.

◆ loginUser()

loginUser ( $authInfo )

logs in a user

Paramètres
array $authInfo authentication information
Renvoie
boolean True on success

Implémente FOFPlatformInterface.

Références $db, $options, $query, $results, $user, et JLoader\import().

◆ logoutUser()

logoutUser ( )

logs out a user

Renvoie
boolean True on success

Implémente FOFPlatformInterface.

Références $app, $options, $parameters, et JLoader\import().

◆ raiseError()

raiseError | ( | $code,
 |  | $message
 | ) |

Raises an error, using the logic requested by the CMS (PHP Exception or dedicated class)

Paramètres
integer | $code
string | $message
Renvoie
mixed

Implémente FOFPlatformInterface.

Références $message, et JError\raiseError().

◆ runPlugins()

runPlugins | ( | $event,
 |  | $data
 | ) |

Execute plugins (system-level triggers) and fetch back an array with their return values.

Paramètres
string | $event | The event (trigger) name, e.g. onBeforeScratchMyEar
array | $data | A hash array of data sent to the plugins as part of the trigger
Voir également
FOFPlatformInterface::runPlugins()
Renvoie
array A simple array containing the results of the plugins triggered

Implémente FOFPlatformInterface.

Références $app, $data, $dispatcher, et JEventDispatcher\getInstance().

◆ saveCache()

saveCache ( )
private

Save the cache object back to disk

Renvoie
boolean True on success

◆ sendHeaders()

sendHeaders ( )

In platforms that perform header caching, send all headers.

Renvoie
void

Implémente FOFPlatformInterface.

Références JResponse\sendHeaders().

◆ setCache()

setCache | ( | $key,
 |  | $content
 | ) |

Saves something to the cache. This is supposed to be used for system-wide FOF data, not application data.

Paramètres
string | $key | The key of the data to save
string | $content | The actual data to save
Renvoie
boolean True on success

Implémente FOFPlatformInterface.

Références $content, et $key.

◆ setHeader()

setHeader | ( | $name,
 |  | $value,
 |  | $replace = false
 | ) |

Method to set a response header. If the replace flag is set then all headers with the given name will be replaced by the new one (only if the current platform supports header caching)

Paramètres
string | $name | The name of the header to set.
string | $value | The value of the header to set.
boolean | $replace | True to replace any headers with the same name.
Renvoie
void

Implémente FOFPlatformInterface.

Références $name, $value, et JResponse\setHeader().

◆ supportsAjaxOrdering()

supportsAjaxOrdering ( )

Is AJAX re-ordering supported? This is 100% Joomla!-CMS specific. All other platforms should return false and never ask why.

Voir également
FOFPlatformInterface::supportsAjaxOrdering()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ URIbase()

URIbase ( $pathonly = false )

Returns the base URI for the request.

Paramètres
boolean $pathonly If false, prepend the scheme, host and port information. Default is false. |
Renvoie
string The base URI string

Implémente FOFPlatformInterface.

Références JLoader\import().

◆ URIroot()

URIroot | ( | $pathonly = false,
 |  | $path = null
 | ) |

Returns the root URI for the request.

Paramètres
boolean | $pathonly | If false, prepend the scheme, host and port information. Default is false.
string | $path | The path
Renvoie
string The root URI string.

Implémente FOFPlatformInterface.

Références $path, et JLoader\import().

Documentation des champs

◆ $_cache

$_cache = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/integration/joomla/platform.php


Joomla CMS: Référence de la classe FOFLayoutFile

Fonctions membres protégées
Référence de la classe FOFLayoutFile
+ Graphe d'héritage de FOFLayoutFile:

Fonctions membres protégées

getPath ()

Documentation des fonctions membres

◆ getPath()

getPath ( )
protected

Method to finds the full real file path, checking possible overrides

Renvoie
string The full path to the layout file

Références $file, $files, $parts, $prefix, $r, $suffix, FOFPlatform\getInstance(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/layout/file.php


Joomla CMS: Référence de la classe FOFLayoutHelper

Fonctions membres publiques statiques
Référence de la classe FOFLayoutHelper
+ Graphe d'héritage de FOFLayoutHelper:

Fonctions membres publiques statiques

static render ($layoutFile, $displayData=null, $basePath='', $options=null)

Documentation des fonctions membres

◆ render()

static render | ( | $layoutFile,
 |  | $displayData = null,
 |  | $basePath = '',
 |  | $options = null
 | ) |
static

Method to render the layout.

Paramètres
string | $layoutFile | Dot separated path to the layout file, relative to base path
object | $displayData | Object which properties are used inside the layout file to build displayed output
string | $basePath | Base path to use when loading layout files
mixed | $options | Optional custom options to load. Registry or array format
Renvoie
string

Références $basePath, $displayData, $layout, $options, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/layout/helper.php


Joomla CMS: Référence de la classe FOFLess

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs publics statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe FOFLess

Fonctions membres publiques

lib_red ($color)
lib_green ($color)
lib_blue ($color)
__construct ($fname=null)
compile ($string, $name=null)
compileFile ($fname, $outFname=null)
checkedCompile ($in, $out)
cachedCompile ($in, $force=false)
parse ($str=null, $initialVariables=null)
setFormatter ($name)
setPreserveComments ($preserve)
registerFunction ($name, $func)
unregisterFunction ($name)
setVariables ($variables)
unsetVariable ($name)
setImportDir ($dirs)
addImportDir ($dir)
allParsedFiles ()

Fonctions membres publiques statiques

static | compressList ($items, $delim)
static | preg_quote ($what)
static | ccompile ($in, $out, $less=null)
static | cexecute ($in, $force=false, $less=null)

Champs de données

$vPrefix = '@'
$mPrefix = '$'
$parentSelector = '&'
$importDisabled = false
$importDir = ''

Attributs publics statiques

static | $VERSION = "v0.3.9"
static | $defaultValue = array("keyword", "")

Fonctions membres protégées

findImport ($url)
fileExists ($name)
tryImport ($importPath, $parentBlock, $out)
compileImportedProps ($props, $block, $out, $sourceParser, $importDir)
compileBlock ($block)
compileCSSBlock ($block)
compileMedia ($media)
mediaParent ($scope)
compileNestedBlock ($block, $selectors)
compileRoot ($root)
compileProps ($block, $out)
sortProps ($props, $split=false)
compileMediaQuery ($queries)
multiplyMedia ($env, $childQueries=null)
expandParentSelectors (&$tag, $replace)
findClosestSelectors ()
multiplySelectors ($selectors)
compileSelectors ($selectors)
eq ($left, $right)
patternMatch ($block, $callingArgs)
patternMatchAll ($blocks, $callingArgs)
findBlocks ($searchIn, $path, $args, $seen=array())
zipSetArgs ($args, $values)
compileProp ($prop, $block, $out)
compileValue ($value)
lib_isnumber ($value)
lib_isstring ($value)
lib_iscolor ($value)
lib_iskeyword ($value)
lib_ispixel ($value)
lib_ispercentage ($value)
lib_isem ($value)
lib_isrem ($value)
lib_rgbahex ($color)
lib_argb ($color)
lib_e ($arg)
lib__sprintf ($args)
lib_floor ($arg)
lib_ceil ($arg)
lib_round ($arg)
lib_unit ($arg)
colorArgs ($args)
lib_darken ($args)
lib_lighten ($args)
lib_saturate ($args)
lib_desaturate ($args)
lib_spin ($args)
lib_fadeout ($args)
lib_fadein ($args)
lib_hue ($color)
lib_saturation ($color)
lib_lightness ($color)
lib_alpha ($value)
lib_fade ($args)
lib_percentage ($arg)
lib_mix ($args)
lib_contrast ($args)
assertColor ($value, $error="expected color value")
assertNumber ($value, $error="expecting number")
toHSL ($color)
toRGB_helper ($comp, $temp1, $temp2)
toRGB ($color)
clamp ($v, $max=1, $min=0)
funcToColor ($func)
reduce ($value, $forExpression=false)
coerceColor ($value)
coerceString ($value)
flattenList ($value)
toBool ($a)
evaluate ($exp)
stringConcatenate ($left, $right)
fixColor ($c)
op_number_color ($op, $lft, $rgt)
op_color_number ($op, $lft, $rgt)
op_color_color ($op, $left, $right)
op_number_number ($op, $left, $right)
makeOutputBlock ($type, $selectors=null)
pushEnv ($block=null)
popEnv ()
set ($name, $value)
get ($name, $default=null)
injectVariables ($args)
makeParser ($name)
newFormatter ()
addParsedFile ($file)
throwError ($msg=null)

Attributs protégés

$libFunctions = array()
$registeredVars = array()
$preserveComments = false
$numberPrecision = null
$sourceParser = null
$sourceLoc = null

Attributs protégés statiques

static | $TRUE = array("keyword", "true")
static | $FALSE = array("keyword", "false")
static | $nextImportId = 0
static | $cssColors

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $fname = null )

Initialize any static state, can initialize parser for a file

Paramètres
type $fname X

Références null.

Documentation des fonctions membres

◆ addImportDir()

addImportDir ( $dir )

Add import dir

Paramètres
type $dir X
Renvoie
void

◆ addParsedFile()

addParsedFile ( $file )
protected

Add parsed file

Paramètres
type $file X
Renvoie
void

Références $file.

◆ allParsedFiles()

allParsedFiles ( )

All parsed files

Renvoie
type

◆ assertColor()

assertColor | ( | $value,
 |  | $error = "expected color value"
 | ) |
protected

Assert color

Paramètres
type | $value | X
type | $error | X
Renvoie
type

Références $color, et $value.

◆ assertNumber()

assertNumber | ( | $value,
 |  | $error = "expecting number"
 | ) |
protected

Assert number

Paramètres
type | $value | X
type | $error | X
Renvoie
type

Références $value.

◆ cachedCompile()

cachedCompile | ( | $in,
 |  | $force = false
 | ) |

Execute lessphp on a .less file or a lessphp cache structure

The lessphp cache structure contains information about a specific less file having been parsed. It can be used as a hint for future calls to determine whether or not a rebuild is required.

The cache structure contains two important keys that may be used externally:

compiled: The final compiled CSS updated: The time (in seconds) the CSS was last compiled

The cache structure is a plain-ol' PHP associative array and can be serialized and unserialized without a hitch.

Paramètres
mixed | $in | Input
bool | $force | Force rebuild?
Renvoie
array lessphp cache structure

If we are forcing a recompile or if for some reason the structure does not contain any file information we should specify the root to trigger a rebuild.

One of the files we knew about previously has changed so we should look at our incoming root again.

TODO: Throw an exception? We got neither a string nor something that looks like a compatible lessphp cache structure.

Références $root, elseif, et null.

◆ ccompile()

static ccompile | ( | $in,
 |  | $out,
 |  | $less = null
 | ) |
static

Compile file $in to file $out if $in is newer than $out Returns true when it compiles, false otherwise

Paramètres
type | $in | X
type | $out | X
self | $less | X
Renvoie
type

Références null.

◆ cexecute()

static cexecute | ( | $in,
 |  | $force = false,
 |  | $less = null
 | ) |
static

Compile execute

Paramètres
type | $in | X
type | $force | X
self | $less | X
Renvoie
type

Références null.

◆ checkedCompile()

checkedCompile | ( | $in,
 |  | $out
 | ) |

Compile only if changed input has changed or output doesn't exist

Paramètres
type | $in | X
type | $out | X
Renvoie
boolean

◆ clamp()

clamp | ( | $v,
 |  | $max = 1,
 |  | $min = 0
 | ) |
protected

Clamp

Paramètres
type | $v | X
type | $max | X
type | $min | X
Renvoie
type

◆ coerceColor()

coerceColor ( $value )
protected

Coerce a value for use in color operation

Paramètres
type $value X
Renvoie
null

Références $i, $name, $value, $width, et null.

◆ coerceString()

coerceString ( $value )
protected

Make something string like into a string

Paramètres
type $value X
Renvoie
null

Références $value, et null.

◆ colorArgs()

colorArgs ( $args )
protected

Helper function to get arguments for color manipulation functions. takes a list that contains a color like thing and a percentage

Paramètres
array $args Args
Renvoie
array

Références $color.

◆ compile()

compile | ( | $string,
 |  | $name = null
 | ) |

Compile

Paramètres
type | $string | X
type | $name | X
Renvoie
type

Références $name, $root, et null.

◆ compileBlock()

compileBlock ( $block )
protected

Recursively compiles a block.

A block is analogous to a CSS block in most cases. A single LESS document is encapsulated in a block when parsed, but it does not have parent tags so all of it's children appear on the root level when compiled.

Blocks are made up of props and children.

Props are property instructions, array tuples which describe an action to be taken, eg. write a property, set a variable, mixin a block.

The children of a block are just all the blocks that are defined within. This is used to look up mixins when performing a mixin.

Compiling the block involves pushing a fresh environment on the stack, and iterating through the props, compiling each one.

Paramètres
stdClass $block Block
Voir également
FOFLess::compileProp()
Renvoie
void

Références $name, et null.

◆ compileCSSBlock()

compileCSSBlock ( $block )
protected

Compile CSS block

Paramètres
stdClass $block Block to compile
Renvoie
void

Références null.

◆ compileFile()

compileFile | ( | $fname,
 |  | $outFname = null
 | ) |

Compile file

Paramètres
type | $fname | X
type | $outFname | X
Renvoie
type
Exceptions
Exception

FOF - BEGIN CHANGE *
FOF - END CHANGE *

Références FOFPlatform\getInstance(), et null.

◆ compileImportedProps()

compileImportedProps | ( | $props,
 |  | $block,
 |  | $out,
 |  | $sourceParser,
 |  | $importDir
 | ) |
protected

Compile Imported Props

Paramètres
array | $props | Props
stdClass | $block | Block
string | $out | Out
FOFLessParser | $sourceParser | Source parser
string | $importDir | Import dir
Renvoie
void

◆ compileMedia()

compileMedia ( $media )
protected

Compile media

Paramètres
stdClass $media Media
Renvoie
void

Références $query, et null.

◆ compileMediaQuery()

compileMediaQuery ( $queries )
protected

Compile media query

Paramètres
type $queries Queries
Renvoie
string

Références $parts, et $query.

◆ compileNestedBlock()

compileNestedBlock | ( | $block,
 |  | $selectors
 | ) |
protected

Compile nested block

Paramètres
stdClass | $block | Block
array | $selectors | Selectors
Renvoie
void

◆ compileProp()

compileProp | ( | $prop,
 |  | $block,
 |  | $out
 | ) |
protected

Compile a prop and update $lines or $blocks appropriately

Paramètres
array | $prop | Prop
stdClass | $block | Block
string | $out | Out
Renvoie
void

Références $name, $path, $suffix, $value, et null.

◆ compileProps()

compileProps | ( | $block,
 |  | $out
 | ) |
protected

Compile props

Paramètres
type | $block | Something
type | $out | Something
Renvoie
void

◆ compileRoot()

compileRoot ( $root )
protected

Compile root

Paramètres
stdClass $root Root
Renvoie
void

Références $root.

◆ compileSelectors()

compileSelectors ( $selectors )
protected

Reduces selector expressions

Paramètres
array $selectors The selector expressions
Renvoie
array

Références $value.

◆ compileValue()

compileValue ( $value )
protected

Compiles a primitive value into a CSS property value.

Values in lessphp are typed by being wrapped in arrays, their format is typically:

array(type, contents [, additional_contents]*)

The input is expected to be reduced. This function will not work on things like expressions and variables.

Paramètres
array $value Value
Renvoie
void

Format:

[1] - red component (either number or a %) [2] - green component [3] - blue component [4] - optional alpha component

Références $b, $content, $g, $name, $r, $value, et null.

◆ compressList()

static compressList | ( | $items,
 |  | $delim
 | ) |
static

Compresslist

Paramètres
array | $items | Items
string | $delim | Delimiter
Renvoie
array

Références $items.

Référencé par FOFLessParser\expressionList(), et FOFLessParser\propertyValue().

◆ eq()

eq | ( | $left,
 |  | $right
 | ) |
protected

Equality check

Paramètres
mixed | $left | Left operand
mixed | $right | Right operand
Renvoie
boolean True if equal

◆ evaluate()

evaluate ( $exp )
protected

Evaluate an expression

Paramètres
type $exp X
Renvoie
type

◆ expandParentSelectors()

expandParentSelectors | ( | & | $tag,
 |  |  | $replace
 | ) |  |
protected

Expand parent selectors

Paramètres
type | &$tag | Tag
type | $replace | Replace
Renvoie
type

Références $count, et $parts.

◆ fileExists()

fileExists ( $name )
protected

Does file $name exists? It's a simple proxy to JFile for now

Paramètres
string $name The file we check for existence
Renvoie
boolean

FOF - BEGIN CHANGE *
FOF - END CHANGE *

Références $name, et FOFPlatform\getInstance().

◆ findBlocks()

findBlocks | ( | $searchIn,
 |  | $path,
 |  | $args,
 |  | $seen = array()
 | ) |
protected

Attempt to find blocks matched by path and args

Paramètres
array | $searchIn | Block to search in
string | $path | The path to search for
array | $args | Arguments
array | $seen | Your guess is as good as mine; that's third party code
Renvoie
null

Références $name, $path, et null.

◆ findClosestSelectors()

findClosestSelectors ( )
protected

Find closest selectors

Renvoie
array

Références null.

◆ findImport()

findImport ( $url )
protected

Attempts to find the path of an import url, returns null for css files

Paramètres
string $url The URL of the import
Renvoie
string|null

Références $file, $url, et null.

◆ fixColor()

fixColor ( $c )
protected

Make sure a color's components don't go out of bounds

Paramètres
type $c X
Renvoie
int

Références $i.

◆ flattenList()

flattenList ( $value )
protected

Turn list of length 1 into value type

Paramètres
type $value X
Renvoie
type

Références $value.

◆ funcToColor()

funcToColor ( $func )
protected

Convert the rgb, rgba, hsl color literals of function type as returned by the parser into values of color type.

Paramètres
type $func X
Renvoie
type

Références $i, et elseif.

◆ get()

get | ( | $name,
 |  | $default = null
 | ) |
protected

Get the highest occurrence entry for a name

Paramètres
type | $name | X
type | $default | X
Renvoie
type

Références $current, $default, et $name.

◆ injectVariables()

injectVariables ( $args )
protected

Inject array of unparsed strings into environment as variables

Paramètres
type $args X
Renvoie
void
Exceptions
Exception

FOF – BEGIN CHANGE *
FOF – END CHANGE *

Références $name, et $value.

◆ lib__sprintf()

lib__sprintf ( $args )
protected

Lib sprintf

Paramètres
type $args X
Renvoie
type

Références $color, $i, et $template.

◆ lib_alpha()

lib_alpha ( $value )
protected

Get the alpha of a color Defaults to 1 for non-colors or colors without an alpha

Paramètres
string $value Value
Renvoie
string

Références $color, et $value.

◆ lib_argb()

lib_argb ( $color )
protected

Lib argb

Paramètres
type $color X
Renvoie
type

Références $color.

◆ lib_blue()

lib_blue ( $color )

Lib blue

Paramètres
type $color X
Renvoie
type

Références $color.

◆ lib_ceil()

lib_ceil ( $arg )
protected

Lib ceil

Paramètres
type $arg X
Renvoie
array

Références $value.

◆ lib_contrast()

lib_contrast ( $args )
protected

Third party code; your guess is as good as mine

Paramètres
array $arg Arg
Renvoie
string

◆ lib_darken()

lib_darken ( $args )
protected

Lib darken

Paramètres
type $args X
Renvoie
type

Références $color.

◆ lib_desaturate()

lib_desaturate ( $args )
protected

Lib desaturate

Paramètres
type $args X
Renvoie
type

Références $color.

◆ lib_e()

lib_e ( $arg )
protected

Utility func to unquote a string

Paramètres
string $arg Arg
Renvoie
string

Références $items.

◆ lib_fade()

lib_fade ( $args )
protected

Set the alpha of the color

Paramètres
array $args Args
Renvoie
string

Références $color.

◆ lib_fadein()

lib_fadein ( $args )
protected

Lib fadein

Paramètres
type $args X
Renvoie
type

Références $color.

◆ lib_fadeout()

lib_fadeout ( $args )
protected

Lib fadeout

Paramètres
type $args X
Renvoie
type

Références $color.

◆ lib_floor()

lib_floor ( $arg )
protected

Lib floor

Paramètres
type $arg X
Renvoie
array

Références $value.

◆ lib_green()

lib_green ( $color )

Lib green

Paramètres
type $color X
Renvoie
type

Références $color.

◆ lib_hue()

lib_hue ( $color )
protected

Lib hue

Paramètres
type $color X
Renvoie
type

Références $color.

◆ lib_iscolor()

lib_iscolor ( $value )
protected

Lib is color

Paramètres
type $value X
Renvoie
boolean

Références $value.

◆ lib_isem()

lib_isem ( $value )
protected

Lib is em

Paramètres
type $value X
Renvoie
boolean

Références $value.

◆ lib_iskeyword()

lib_iskeyword ( $value )
protected

Lib is keyword

Paramètres
type $value X
Renvoie
boolean

Références $value.

◆ lib_isnumber()

lib_isnumber ( $value )
protected

Lib is number

Paramètres
type $value X
Renvoie
boolean

Références $value.

◆ lib_ispercentage()

lib_ispercentage ( $value )
protected

Lib is percentage

Paramètres
type $value X
Renvoie
boolean

Références $value.

◆ lib_ispixel()

lib_ispixel ( $value )
protected

Lib is pixel

Paramètres
type $value X
Renvoie
boolean

Références $value.

◆ lib_isrem()

lib_isrem ( $value )
protected

Lib is rem

Paramètres
type $value X
Renvoie
boolean

Références $value.

◆ lib_isstring()

lib_isstring ( $value )
protected

Lib is string

Paramètres
type $value X
Renvoie
boolean

Références $value.

◆ lib_lighten()

lib_lighten ( $args )
protected

Lib lighten

Paramètres
type $args X
Renvoie
type

Références $color.

◆ lib_lightness()

lib_lightness ( $color )
protected

Lib lightness

Paramètres
type $color X
Renvoie
type

Références $color.

◆ lib_mix()

lib_mix ( $args )
protected

mixes two colors by weight mix(, , ); http://sass-lang.com/docs/yardoc/Sass/Script/Functions.html#mix-instance_method

Paramètres
array $args Args
Renvoie
string

◆ lib_percentage()

lib_percentage ( $arg )
protected

Third party code; your guess is as good as mine

Paramètres
array $arg Arg
Renvoie
string

◆ lib_red()

lib_red ( $color )

Lib red

Paramètres
type $color X
Renvoie
type

Références $color.

◆ lib_rgbahex()

lib_rgbahex ( $color )
protected

LIb rgba hex

Paramètres
type $color X
Renvoie
boolean

Références $color.

◆ lib_round()

lib_round ( $arg )
protected

Lib round

Paramètres
type $arg X
Renvoie
array

Références $value.

◆ lib_saturate()

lib_saturate ( $args )
protected

Lib saturate

Paramètres
type $args X
Renvoie
type

Références $color.

◆ lib_saturation()

lib_saturation ( $color )
protected

Lib saturation

Paramètres
type $color X
Renvoie
type

Références $color.

◆ lib_spin()

lib_spin ( $args )
protected

Lib spin

Paramètres
type $args X
Renvoie
type

Références $color.

◆ lib_unit()

lib_unit ( $arg )
protected

Lib unit

Paramètres
type $arg X
Renvoie
array

◆ makeOutputBlock()

makeOutputBlock | ( | $type,
 |  | $selectors = null
 | ) |
protected

Make output block

Paramètres
type | $type | X
type | $selectors | X
Renvoie
stdclass

Références $b, et $type.

◆ makeParser()

makeParser ( $name )
protected

Make parser

Paramètres
type $name X
Renvoie
FOFLessParser

FOF – BEGIN CHANGE *
FOF – END CHANGE *

Références $name.

◆ mediaParent()

mediaParent ( $scope )
protected

Media parent

Paramètres
stdClass $scope Scope
Renvoie
stdClass

◆ multiplyMedia()

multiplyMedia | ( | $env,
 |  | $childQueries = null
 | ) |
protected

Multiply media

Paramètres
type | $env | X
type | $childQueries | X
Renvoie
type

◆ multiplySelectors()

multiplySelectors ( $selectors )
protected

Multiply $selectors against the nearest selectors in env

Paramètres
array $selectors The selectors
Renvoie
array

Références $count.

◆ newFormatter()

newFormatter ( )
protected

New formatter

Renvoie
FOFLessFormatterLessjs

FOF – BEGIN CHANGE *

FOF – END CHANGE *

FOF – BEGIN CHANGE *
FOF – END CHANGE *

Références $className.

◆ op_color_color()

op_color_color | ( | $op,
 |  | $left,
 |  | $right
 | ) |
protected

Op color color

Paramètres
type | $op | X
type | $left | X
type | $right | X
Renvoie
type

Références $i.

◆ op_color_number()

op_color_number | ( | $op,
 |  | $lft,
 |  | $rgt
 | ) |
protected

Op color number

Paramètres
type | $op | X
type | $lft | X
int | $rgt | X
Renvoie
type

◆ op_number_color()

op_number_color | ( | $op,
 |  | $lft,
 |  | $rgt
 | ) |
protected

Op number color

Paramètres
type | $op | X
type | $lft | X
type | $rgt | X
Renvoie
type

◆ op_number_number()

op_number_number | ( | $op,
 |  | $left,
 |  | $right
 | ) |
protected

Operator on two numbers

Paramètres
type | $op | X
type | $left | X
type | $right | X
Renvoie
type

Références $value.

◆ parse()

parse | ( | $str = null,
 |  | $initialVariables = null
 | ) |

Parse and compile buffer

Paramètres
null | $str | X
type | $initialVariables | X
Renvoie
type
Exceptions
Exception
Obsolète:
2.0

Références null.

◆ patternMatch()

patternMatch | ( | $block,
 |  | $callingArgs
 | ) |
protected

Pattern match

Paramètres
type | $block | X
type | $callingArgs | X
Renvoie
boolean

Match the guards if it has them any one of the groups must have all its guards pass for a match

Références $i.

◆ patternMatchAll()

patternMatchAll | ( | $blocks,
 |  | $callingArgs
 | ) |
protected

Pattern match all

Paramètres
type | $blocks | X
type | $callingArgs | X
Renvoie
type

Références null.

◆ popEnv()

popEnv ( )
protected

Pop something off the stack

Renvoie
type

◆ preg_quote()

static preg_quote ( $what )
static

Quote for regular expression

Paramètres
string $what What to quote
Renvoie
string Quoted string

Référencé par FOFLessParser\__construct(), FOFLessParser\literal(), FOFLessParser\string(), et FOFLessParser\to().

◆ pushEnv()

pushEnv ( $block = null )
protected

The state of execution

Paramètres
type $block X
Renvoie
stdclass

◆ reduce()

reduce | ( | $value,
 |  | $forExpression = false
 | ) |
protected

Reduce

Paramètres
type | $value | X
type | $forExpression | X
Renvoie
type

Références $color, $item, $key, $name, $value, et elseif.

◆ registerFunction()

registerFunction | ( | $name,
 |  | $func
 | ) |

Register function

Paramètres
type | $name | X
type | $func | X
Renvoie
void

Références $name.

◆ set()

set | ( | $name,
 |  | $value
 | ) |
protected

Set something in the current env

Paramètres
type | $name | X
type | $value | X
Renvoie
void

Références $name, et $value.

◆ setFormatter()

setFormatter ( $name )

Set Formatter

Paramètres
type $name X
Renvoie
void

Références $name.

◆ setImportDir()

setImportDir ( $dirs )

Set import dir

Paramètres
type $dirs X
Renvoie
void

◆ setPreserveComments()

setPreserveComments ( $preserve )

Set preserve comments

Paramètres
type $preserve X
Renvoie
void

◆ setVariables()

setVariables ( $variables )

Set variables

Paramètres
type $variables X
Renvoie
void

◆ sortProps()

sortProps | ( | $props,
 |  | $split = false
 | ) |
protected

Sort props

Paramètres
type | $props | X
type | $split | X
Renvoie
type

Références $id.

◆ stringConcatenate()

stringConcatenate | ( | $left,
 |  | $right
 | ) |
protected

String concatenate

Paramètres
type | $left | X
string | $right | X
Renvoie
string

◆ throwError()

throwError ( $msg = null )
protected

Uses the current value of $this->count to show line and line number

Paramètres
type $msg X
Renvoie
void

◆ toBool()

toBool ( $a )
protected

To bool

Paramètres
type $a X
Renvoie
type

◆ toHSL()

toHSL ( $color )
protected

To HSL

Paramètres
type $color X
Renvoie
type

Références $b, $color, $g, $r, et elseif.

◆ toRGB()

toRGB ( $color )
protected

Converts a hsl array into a color value in rgb. Expects H to be in range of 0 to 360, S and L in 0 to 100

Paramètres
type $color X
Renvoie
type

Références $b, $color, $g, et $r.

◆ toRGB_helper()

toRGB_helper | ( | $comp,
 |  | $temp1,
 |  | $temp2
 | ) |
protected

To RGB helper

Paramètres
type | $comp | X
type | $temp1 | X
type | $temp2 | X
Renvoie
type

Références elseif.

◆ tryImport()

tryImport | ( | $importPath,
 |  | $parentBlock,
 |  | $out
 | ) |
protected

Try import

Paramètres
string | $importPath | Import path
stdObject | $parentBlock | Parent block
string | $out | Out
Renvoie
boolean

Copy mixins into scope, set their parents, bring blocks from import into current block TODO: need to mark the source parser these came from this file

Références $root, $url, et null.

◆ unregisterFunction()

unregisterFunction ( $name )

Unregister function

Paramètres
type $name X
Renvoie
void

Références $name.

◆ unsetVariable()

unsetVariable ( $name )

Unset variable

Paramètres
type $name X
Renvoie
void

Références $name.

◆ zipSetArgs()

zipSetArgs | ( | $args,
 |  | $values
 | ) |
protected

Sets all argument names in $args to either the default value or the one passed in through $values

Paramètres
array | $args | Arguments
array | $values | Values
Renvoie
void

Références $i, $value, elseif, et null.

Documentation des champs

◆ $cssColors

$cssColors
staticprotected

◆ $defaultValue

$defaultValue = array("keyword", "")
static

◆ $FALSE

$FALSE = array("keyword", "false")
staticprotected

◆ $importDir

$importDir = ''

◆ $importDisabled

$importDisabled = false

◆ $libFunctions

$libFunctions = array()
protected

◆ $mPrefix

$mPrefix = '$'

◆ $nextImportId

$nextImportId = 0
staticprotected

◆ $numberPrecision

$numberPrecision = null
protected

◆ $parentSelector

$parentSelector = '&'

◆ $preserveComments

$preserveComments = false
protected

◆ $registeredVars

$registeredVars = array()
protected

◆ $sourceLoc

$sourceLoc = null
protected

◆ $sourceParser

$sourceParser = null
protected

◆ $TRUE

$TRUE = array("keyword", "true")
staticprotected

◆ $VERSION

$VERSION = "v0.3.9"
static

◆ $vPrefix

$vPrefix = '@'
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/less/less.php


Joomla CMS: Référence de la classe FOFLessFormatterClassic

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe FOFLessFormatterClassic
+ Graphe d'héritage de FOFLessFormatterClassic:
FOFLessFormatterCompressed FOFLessFormatterJoomla FOFLessFormatterLessjs

Fonctions membres publiques

__construct ()
indentStr ($n=0)
property ($name, $value)
block ($block)

Champs de données

$indentChar = " "
$break = "\n"
$open = " {"
$close = "}"
$selectorSeparator = ", "
$assignSeparator = ":"
$openSingle = " { "
$closeSingle = " }"
$disableSingle = false
$breakSelectors = false
$compressColors = false

Fonctions membres protégées

isEmpty ($block)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Public constructor

Documentation des fonctions membres

◆ block()

block ( $block )

Output a CSS block

Paramètres
stdClass $block The block definition to output
Renvoie
void

Références block.

◆ indentStr()

indentStr ( $n = 0 )

Indent a string by $n positions

Paramètres
integer $n How many positions to indent
Renvoie
string The indented string

Références $n.

◆ isEmpty()

isEmpty ( $block )
protected

Is a block empty?

Paramètres
stdClass $block The block to check
Renvoie
boolean True if the block has no lines or children

◆ property()

property | ( | $name,
 |  | $value
 | ) |

Return the code for a property

Paramètres
string | $name | The name of the property
string | $value | The value of the property
Renvoie
string The CSS code

Références $name, et $value.

Documentation des champs

◆ $assignSeparator

$assignSeparator = ":"

◆ $break

$break = "\n"

◆ $breakSelectors

$breakSelectors = false

◆ $close

$close = "}"

◆ $closeSingle

$closeSingle = " }"

◆ $compressColors

$compressColors = false

◆ $disableSingle

$disableSingle = false

◆ $indentChar

$indentChar = " "

◆ $open

$open = " {"

◆ $openSingle

$openSingle = " { "

◆ $selectorSeparator

$selectorSeparator = ", "
La documentation de cette classe a été générée à partir du fichier suivant :
  • classic.php


Joomla CMS: Référence de la classe FOFLessFormatterCompressed

Fonctions membres publiques | Champs de données
Référence de la classe FOFLessFormatterCompressed
+ Graphe d'héritage de FOFLessFormatterCompressed:
FOFLessFormatterClassic

Fonctions membres publiques

indentStr ($n=0)
- Fonctions membres publiques hérités de FOFLessFormatterClassic
__construct ()
indentStr ($n=0)
property ($name, $value)
block ($block)

Champs de données

$disableSingle = true
$open = "{"
$selectorSeparator = ","
$assignSeparator = ":"
$break = ""
$compressColors = true
- Champs de données hérités de FOFLessFormatterClassic
$indentChar = " "
$break = "\n"
$open = " {"
$close = "}"
$selectorSeparator = ", "
$assignSeparator = ":"
$openSingle = " { "
$closeSingle = " }"
$disableSingle = false
$breakSelectors = false
$compressColors = false

Membres hérités additionnels

- Fonctions membres protégées hérités de FOFLessFormatterClassic
isEmpty ($block)

Documentation des fonctions membres

◆ indentStr()

indentStr ( $n = 0 )

Indent a string by $n positions

Paramètres
integer $n How many positions to indent
Renvoie
string The indented string

Documentation des champs

◆ $assignSeparator

$assignSeparator = ":"

◆ $break

$break = ""

◆ $compressColors

$compressColors = true

◆ $disableSingle

$disableSingle = true

◆ $open

$open = "{"

◆ $selectorSeparator

$selectorSeparator = ","
La documentation de cette classe a été générée à partir du fichier suivant :
  • compressed.php


Joomla CMS: Référence de la classe FOFLessFormatterJoomla

Champs de données
Référence de la classe FOFLessFormatterJoomla
+ Graphe d'héritage de FOFLessFormatterJoomla:
FOFLessFormatterClassic

Champs de données

$disableSingle = true
$breakSelectors = true
$assignSeparator = ": "
$selectorSeparator = ","
$indentChar = "\t"
- Champs de données hérités de FOFLessFormatterClassic
$indentChar = " "
$break = "\n"
$open = " {"
$close = "}"
$selectorSeparator = ", "
$assignSeparator = ":"
$openSingle = " { "
$closeSingle = " }"
$disableSingle = false
$breakSelectors = false
$compressColors = false

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFLessFormatterClassic
__construct ()
indentStr ($n=0)
property ($name, $value)
block ($block)
- Fonctions membres protégées hérités de FOFLessFormatterClassic
isEmpty ($block)

Documentation des champs

◆ $assignSeparator

$assignSeparator = ": "

◆ $breakSelectors

$breakSelectors = true

◆ $disableSingle

$disableSingle = true

◆ $indentChar

$indentChar = "\t"

◆ $selectorSeparator

$selectorSeparator = ","
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/less/formatter/joomla.php


Joomla CMS: Référence de la classe FOFLessFormatterLessjs

Champs de données
Référence de la classe FOFLessFormatterLessjs
+ Graphe d'héritage de FOFLessFormatterLessjs:
FOFLessFormatterClassic

Champs de données

$disableSingle = true
$breakSelectors = true
$assignSeparator = ": "
$selectorSeparator = ","
- Champs de données hérités de FOFLessFormatterClassic
$indentChar = " "
$break = "\n"
$open = " {"
$close = "}"
$selectorSeparator = ", "
$assignSeparator = ":"
$openSingle = " { "
$closeSingle = " }"
$disableSingle = false
$breakSelectors = false
$compressColors = false

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFLessFormatterClassic
__construct ()
indentStr ($n=0)
property ($name, $value)
block ($block)
- Fonctions membres protégées hérités de FOFLessFormatterClassic
isEmpty ($block)

Documentation des champs

◆ $assignSeparator

$assignSeparator = ": "

◆ $breakSelectors

$breakSelectors = true

◆ $disableSingle

$disableSingle = true

◆ $selectorSeparator

$selectorSeparator = ","
La documentation de cette classe a été générée à partir du fichier suivant :
  • lessjs.php


Joomla CMS: Référence de la classe FOFLessParser

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe FOFLessParser

Fonctions membres publiques

__construct ($lessc, $sourceName=null)
parse ($buffer)
propertyValue (&$value, $keyName=null)
throwError ($msg="parse error", $count=null)

Fonctions membres protégées

parseChunk ()
isDirective ($dirname, $directives)
fixTags ($tags)
expressionList (&$exps)
expression (&$out)
expHelper ($lhs, $minP)
parenValue (&$out)
value (&$value)
import (&$out)
mediaQueryList (&$out)
mediaQuery (&$out)
mediaExpression (&$out)
openString ($end, &$out, $nestingOpen=null, $rejectStrs=null)
string (&$out)
interpolation (&$out)
unit (&$unit)
color (&$out)
argumentValues (&$args, $delim=',')
argumentDef (&$args, &$isVararg, $delim=',')
tags (&$tags, $simple=false, $delim=',')
mixinTags (&$tags)
tagBracket (&$value)
tagExpression (&$value)
tag (&$tag, $simple=false)
func (&$func)
variable (&$name)
assign ($name=null)
keyword (&$word)
end ()
guards (&$guards)
guardGroup (&$guardGroup)
guard (&$guard)
literal ($what, $eatWhitespace=null)
genericList (&$out, $parseItem, $delim="", $flatten=true)
to ($what, &$out, $until=false, $allowNewline=false)
match ($regex, &$out, $eatWhitespace=null)
whitespace ()
peek ($regex, &$out=null, $from=null)
seek ($where=null)
pushBlock ($selectors=null, $type=null)
pushSpecialBlock ($type)
append ($prop, $pos=null)
pop ()
removeComments ($text)

Attributs protégés

$blockDirectives = array("font-face", "keyframes", "page", "-moz-document")
$lineDirectives = array("charset")
$inParens = false

Attributs protégés statiques

static | $nextBlockId = 0
static | $precedence
static | $whitePattern
static | $commentMulti
static | $commentSingle = "//"
static | $commentMultiLeft = "/*"
static | $commentMultiRight = "*/"
static | $operatorString
static | $supressDivisionProps = array('/border-radius$/i', '/^font$/i')
static | $literalCache = array()

Description détaillée

This class is taken verbatim from:

lessphp v0.3.9 http://leafo.net/lessphp

LESS css compiler, adapted from http://lesscss.org

Copyright 2012, Leaf Corcoran leafo.nosp@m.t@gm.nosp@m.ail.c.nosp@m.om Licensed under MIT or GPLv3, see LICENSE

Responsible for taking a string of LESS code and converting it into a syntax tree

Depuis
2.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $lessc,
 |  | $sourceName = null
 | ) |

Constructor

Paramètres
[type] | $lessc [description]
string | $sourceName | [description]

Références FOFLess\preg_quote().

Documentation des fonctions membres

◆ append()

append | ( | $prop,
 |  | $pos = null
 | ) |
protected

Append a property to the current block

Paramètres
[type] | $prop [description]
[type] | $pos [description]
Renvoie
void

Références null.

◆ argumentDef()

argumentDef | ( | & | $args,
 |  | & | $isVararg,
 |  |  | $delim = ','
 | ) |  |
protected

Consume an argument definition list surrounded by () each argument is a variable name with optional value or at the end a ... or a variable named followed by ...

Paramètres
[type] | &$args [description]
[type] | &$isVararg [description]
[type] | $delim [description]
Renvoie
boolean

Références $value, et value.

◆ argumentValues()

argumentValues | ( | & | $args,
 |  |  | $delim = ','
 | ) |  |
protected

Consume a list of property values delimited by ; and wrapped in ()

Paramètres
[type] | &$args [description]
[type] | $delim [description]
Renvoie
boolean

Références $value, et null.

◆ assign()

assign ( $name = null )
protected

Consume an assignment operator Can optionally take a name that will be set to the current property name

Paramètres
string $name [description]
Renvoie
boolean

Références $name.

◆ color()

color ( & $out )
protected

a # color

Paramètres
[type] &$out [description]
Renvoie
boolean

◆ end()

end ( )
protected

Consume an end of statement delimiter

Renvoie
boolean

Références elseif.

◆ expHelper()

expHelper | ( | $lhs,
 |  | $minP
 | ) |
protected

Recursively parse infix equation with $lhs at precedence $minP

Paramètres
type | $lhs | [description]
type | $minP | [description]
Renvoie
string

Références value.

◆ expression()

expression ( & $out )
protected

Attempt to consume an expression.

Paramètres
string &$out [description]

boolean

Références value.

◆ expressionList()

expressionList ( & $exps )
protected

a list of expressions

Paramètres
[type] &$exps [description]
Renvoie
boolean

Références FOFLess\compressList().

◆ fixTags()

fixTags ( $tags )
protected

[fixTags description]

Paramètres
[type] $tags [description]
Renvoie
[type] [description]

◆ func()

func ( & $func )
protected

A css function

Paramètres
[type] &$func [description]
Renvoie
boolean

Références $name, $value, et elseif.

◆ genericList()

genericList | ( | & | $out,
 |  |  | $parseItem,
 |  |  | $delim = "",
 |  |  | $flatten = true
 | ) |  |
protected

[genericList description]

Paramètres
[type] | &$out [description]
[type] | $parseItem [description]
string | $delim | [description]
boolean | $flatten | [description]
Renvoie
boolean

Références $items, et $value.

◆ guard()

guard ( & $guard )
protected

[guard description]

Paramètres
[type] &$guard [description]
Renvoie
boolean

◆ guardGroup()

guardGroup ( & $guardGroup )
protected

A bunch of guards that are and'd together

Paramètres
[type] &$guardGroup [description]
Renvoie
boolean

Références null.

◆ guards()

guards ( & $guards )
protected

[guards description]

Paramètres
[type] &$guards [description]
Renvoie
boolean

Références $g, et null.

◆ import()

import ( & $out )
protected

an import statement

Paramètres
[type] &$out [description]
Renvoie
boolean

Références $value.

◆ interpolation()

interpolation ( & $out )
protected

[interpolation description]

Paramètres
[type] &$out [description]
Renvoie
boolean

Références null.

◆ isDirective()

isDirective | ( | $dirname,
 |  | $directives
 | ) |
protected

[isDirective description]

Paramètres
string | $dirname | [description]
[type] | $directives [description]
Renvoie
boolean

◆ keyword()

keyword ( & $word )
protected

Consume a keyword

Paramètres
[type] &$word [description]
Renvoie
boolean

◆ literal()

literal | ( | $what,
 |  | $eatWhitespace = null
 | ) |
protected

[literal description]

Paramètres
[type] | $what [description]
[type] | $eatWhitespace [description]
Renvoie
boolean

Références null, et FOFLess\preg_quote().

◆ match()

match | ( |  | $regex,
 |  | & | $out,
 |  |  | $eatWhitespace = null
 | ) |  |
protected

Try to match something on head of buffer

Paramètres
[type] | $regex [description]
[type] | &$out [description]
[type] | $eatWhitespace [description]
Renvoie
boolean

Références $r, et null.

◆ mediaExpression()

mediaExpression ( & $out )
protected

[mediaExpression description]

Paramètres
[type] &$out [description]
Renvoie
boolean

Références $value, elseif, et null.

◆ mediaQuery()

mediaQuery ( & $out )
protected

[mediaQuery description]

Paramètres
[type] &$out [description]
Renvoie
[type] [description]

Références $parts, et null.

◆ mediaQueryList()

mediaQueryList ( & $out )
protected

[mediaQueryList description]

Paramètres
[type] &$out [description]
Renvoie
boolean

Références $list.

◆ mixinTags()

mixinTags ( & $tags )
protected

List of tags of specifying mixin path Optionally separated by > (lazy, accepts extra >)

Paramètres
[type] &$tags [description]
Renvoie
boolean

◆ openString()

openString | ( |  | $end,
 |  | & | $out,
 |  |  | $nestingOpen = null,
 |  |  | $rejectStrs = null
 | ) |  |
protected

An unbounded string stopped by $end

Paramètres
[type] | $end [description]
[type] | &$out [description]
[type] | $nestingOpen [description]
[type] | $rejectStrs [description]
Renvoie
boolean

Références $content, $count, et null.

◆ parenValue()

parenValue ( & $out )
protected

[parenValue description]

Paramètres
[type] &$out [description]
Renvoie
boolean

◆ parse()

parse ( $buffer )

Parse text

Paramètres
string $buffer [description]
Renvoie
[type] [description]

Références $buffer, $count, et null.

◆ parseChunk()

parseChunk ( )
protected

Parse a single chunk off the head of the buffer and append it to the current parse environment. Returns false when the buffer is empty, or when there is an error.

This function is called repeatedly until the entire document is parsed.

This parser is most similar to a recursive descent parser. Single functions represent discrete grammatical rules for the language, and they are able to capture the text that represents those rules.

Consider the function lessc::keyword(). (all parse functions are structured the same)

The function takes a single reference argument. When calling the function it will attempt to match a keyword on the head of the buffer. If it is successful, it will place the keyword in the referenced argument, advance the position in the buffer, and return true. If it fails then it won't advance the buffer and it will return false.

All of these parse functions are powered by lessc::match(), which behaves the same way, but takes a literal regular expression. Sometimes it is more convenient to use match instead of creating a new function.

Because of the format of the functions, to parse an entire string of grammatical rules, you can chain them together using &&.

But, if some of the rules in the chain succeed before one fails, then the buffer position will be left at an invalid state. In order to avoid this, lessc::seek() is used to remember and set buffer positions.

Before parsing a chain, use $s = $this->seek() to remember the current position into $s. Then if a chain fails, use $this->seek($s) to go back where we started.

Renvoie
boolean

Références $hidden, $key, $suffix, $value, elseif, et null.

◆ peek()

peek | ( |  | $regex,
 |  | & | $out = null,
 |  |  | $from = null
 | ) |  |
protected

Match something without consuming it

Paramètres
[type] | $regex [description]
[type] | &$out [description]
[type] | $from [description]
Renvoie
boolean

Références $count, $r, et null.

◆ pop()

pop ( )
protected

Pop something off the stack

Renvoie
[type] [description]

◆ propertyValue()

propertyValue | ( | & | $value,
 |  |  | $keyName = null
 | ) |  |

Consume a list of values for a property

Paramètres
[type] | &$value [description]
[type] | $keyName [description]
Renvoie
boolean

Références $value, FOFLess\compressList(), et null.

◆ pushBlock()

pushBlock | ( | $selectors = null,
 |  | $type = null
 | ) |
protected

[pushBlock description]

Paramètres
[type] | $selectors [description]
[type] | $type [description]
Renvoie
stdClass

Références $b, et $type.

◆ pushSpecialBlock()

pushSpecialBlock ( $type )
protected

Push a block that doesn't multiply tags

Paramètres
[type] $type [description]
Renvoie
stdClass

Références $type, et null.

◆ removeComments()

removeComments ( $text )
protected

Remove comments from $text

Paramètres
[type] $text [description]
Renvoie
[type] [description]

Références $count, $text, et null.

◆ seek()

seek ( $where = null )
protected

Seek to a spot in the buffer or return where we are on no argument

Paramètres
[type] $where [description]
Renvoie
boolean

Références $count, et null.

◆ string()

string ( & $out )
protected

[string description]

Paramètres
[type] &$out [description]
Renvoie
boolean

Références $content, elseif, et FOFLess\preg_quote().

◆ tag()

tag | ( | & | $tag,
 |  |  | $simple = false
 | ) |  |
protected

A single tag

Paramètres
[type] | &$tag [description]
boolean | $simple | [description]
Renvoie
boolean

Références $parts.

◆ tagBracket()

tagBracket ( & $value )
protected

A bracketed value (contained within in a tag definition)

Paramètres
[type] &$value [description]
Renvoie
boolean

Références $value.

◆ tagExpression()

tagExpression ( & $value )
protected

[tagExpression description]

Paramètres
[type] &$value [description]
Renvoie
boolean

Références $value.

◆ tags()

tags | ( | & | $tags,
 |  |  | $simple = false,
 |  |  | $delim = ','
 | ) |  |
protected

Consume a list of tags This accepts a hanging delimiter

Paramètres
[type] | &$tags [description]
[type] | $simple [description]
[type] | $delim [description]
Renvoie
boolean

◆ throwError()

throwError | ( | $msg = "parse error",
 |  | $count = null
 | ) |

[throwError description]

Paramètres
string | $msg | [description]
[type] | $count [description]
Renvoie
void

Références $count.

◆ to()

to | ( |  | $what,
 |  | & | $out,
 |  |  | $until = false,
 |  |  | $allowNewline = false
 | ) |  |
protected

Advance counter to next occurrence of $what $until - don't include $what in advance $allowNewline, if string, will be used as valid char set

Paramètres
[type] | $what [description]
[type] | &$out [description]
boolean | $until | [description]
boolean | $allowNewline | [description]
Renvoie
boolean

Références FOFLess\preg_quote().

◆ unit()

unit ( & $unit )
protected

[unit description]

Paramètres
[type] &$unit [description]
Renvoie
boolean

Références $count.

◆ value()

value ( & $value )
protected

a single value

Paramètres
[type] &$value [description]
Renvoie
boolean

Références $value, et color.

◆ variable()

variable ( & $name )
protected

Consume a less variable

Paramètres
[type] &$name [description]
Renvoie
boolean

Références $name, et null.

◆ whitespace()

whitespace ( )
protected

Watch some whitespace

Renvoie
boolean

Références $count, et null.

Documentation des champs

◆ $blockDirectives

$blockDirectives = array("font-face", "keyframes", "page", "-moz-document")
protected

◆ $commentMulti

$commentMulti
staticprotected

◆ $commentMultiLeft

$commentMultiLeft = "/*"
staticprotected

◆ $commentMultiRight

$commentMultiRight = "*/"
staticprotected

◆ $commentSingle

$commentSingle = "//"
staticprotected

◆ $inParens

$inParens = false
protected

if we are in parens we can be more liberal with whitespace around operators because it must evaluate to a single value and thus is less ambiguous.

Consider: property1: 10 -5; // is two numbers, 10 and -5 property2: (10 -5); // should evaluate to 5

◆ $lineDirectives

$lineDirectives = array("charset")
protected

◆ $literalCache

$literalCache = array()
staticprotected

◆ $nextBlockId

$nextBlockId = 0
staticprotected

◆ $operatorString

$operatorString
staticprotected

◆ $precedence

$precedence
staticprotected
Valeur initiale :
= array(
'=<' => 0,
'>=' => 0,
'=' => 0,
'<' => 0,
'>' => 0,
'+' => 1,
'-' => 1,
'*' => 2,
'/' => 2,
'%' => 2,
)

◆ $supressDivisionProps

$supressDivisionProps = array('/border-radius$/i', '/^font$/i')
staticprotected

◆ $whitePattern

$whitePattern
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/less/parser/parser.php


Joomla CMS: Référence de la classe FOFModel

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés
Référence de la classe FOFModel
+ Graphe d'héritage de FOFModel:
FOFUtilsObject FOFUtilsUpdate PostinstallModelMessages

Fonctions membres publiques

addBehavior ($name, $config=array())
__construct ($config=array())
setIDsFromRequest ()
setId ($id=0)
getId ()
setIds ($idlist)
getIds ()
reset ()
clearState ()
clearInput ()
setInput ($input)
resetSavedState ()
loadhistory ($version_id, FOFTable &$table, $alias)
& getItem ($id=null)
& getList ($overrideLimits=false, $group='')
& getItemList ($overrideLimits=false, $group='')
& getIterator ($overrideLimits=false, $tableClass=null)
& getFirstItem ($overrideLimits=false)
save ($data)
copy ()
getSavedTable ()
delete ()
publish ($publish=1, $user=null)
checkout ()
checkin ()
isCheckedOut ()
hit ()
move ($dirn)
reorder ()
getPagination ()
getTotal ()
getState ($key=null, $default=null, $filter_type='raw')
getHash ()
getTable ($name='', $prefix=null, $options=array())
getReorderWhere ()
buildQuery ($overrideLimits=false)
getTableFields ()
getTableAlias ()
buildCountQuery ()
& getClone ()
__get ($name)
__set ($name, $value)
__call ($name, $arguments)
& savestate ($newState)
populateSavestate ($defaultSaveState=-999)
applyAccessFiltering ($userID=null)
getForm ($data=array(), $loadData=true, $source=null)
findFormFilename ($source, $paths=array())
validateForm ($form, $data, $group=null)
onBeforeLoadForm (&$name, &$source, &$options)
onAfterLoadForm (FOFForm &$form, &$name, &$source, &$options)
onBeforePreprocessForm (FOFForm &$form, &$data)
onAfterPreprocessForm (FOFForm &$form, &$data)
getDbo ()
getName ()
setDbo ($db)
setState ($property, $value=null)
setBehaviorParam ($name, $value)
getBehaviorParam ($name, $default=null)
blacklistFilters ($list=null, $reset=false)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres publiques statiques

static & | getAnInstance ($type, $prefix='', $config=array())
static & | getTmpInstance ($type, $prefix='', $config=array())
static | addIncludePath ($path='', $prefix='')
static | addTablePath ($path)

Fonctions membres protégées

_getListCount ($query)
_real_getState ($property=null, $default=null)
getUserStateFromRequest ($key, $request, $default=null, $type='none', $setUserState=true)
& _getList ($query, $limitstart=0, $limit=0, $group='')
& _createTable ($name, $prefix='Table', $config=array())
populateState ()
loadForm ($name, $source, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessForm (FOFForm &$form, &$data, $group='content')
onProcessList (&$resultArray)
onAfterGetItem (&$record)
onBeforeSave (&$data, &$table)
onAfterSave (&$table)
onBeforeDelete (&$id, &$table)
onAfterDelete ($id)
onBeforeCopy (&$table)
onAfterCopy (&$table)
onBeforePublish (&$table)
onAfterPublish (&$table)
onBeforeHit (&$table)
onAfterHit (&$table)
onBeforeMove (&$table)
onAfterMove (&$table)
onBeforeReorder (&$table)
onAfterReorder (&$table)
cleanCache ($group=null, $client_id=0)

Fonctions membres protégées statiques

static _createFileName ($type, $parts=array())

Attributs protégés

$__state_set = null
$_db
$event_after_delete = 'onContentAfterDelete'
$event_after_save = 'onContentAfterSave'
$event_before_delete = 'onContentBeforeDelete'
$event_before_save = 'onContentBeforeSave'
$event_change_state = 'onContentChangeState'
$event_clean_cache = null
$id_list = array()
$id = null
$input = array()
$list = null
$name
$option = null
$otable = null
$pagination = null
$record = null
$state
$table = null
$total = null
$_savestate = null
$_forms = array()
$_formData = array()
$configProvider = null
$modelDispatcher = null
$default_behaviors = array('filters')
$_behaviorParams = array()
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Public class constructor

Paramètres
array $config The configuration array

Références $behavior, $className, $component, $config, $id, $limit, $name, $path, $view, elseif, FOFPlatform\getInstance(), name, null, option, et FOFInflector\singularize().

Documentation des fonctions membres

◆ __call()

__call | ( | $name,
 |  | $arguments
 | ) |

Magic caller; allows to use the name of model state keys as methods to set their values.

Paramètres
string | $name | The name of the state variable to set
mixed | $arguments | The value to set the state variable to
Renvoie
FOFModel Reference to self

Références $name.

◆ __get()

__get ( $name )

Magic getter; allows to use the name of model state keys as properties

Paramètres
string $name The name of the variable to get
Renvoie
mixed The value of the variable

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Magic setter; allows to use the name of model state keys as properties

Paramètres
string | $name | The name of the variable
mixed | $value | The value to set the variable to
Renvoie
void

Références $name, et $value.

◆ _createFileName()

static _createFileName | ( | $type,
 |  | $parts = array()
 | ) |
staticprotected

Create the filename for a resource

Paramètres
string | $type | The resource type to create the filename for.
array | $parts | An associative array of filename information.
Renvoie
string The filename
Depuis
12.2

Références $parts, et $type.

◆ _createTable()

& _createTable | ( | $name,
 |  | $prefix = 'Table',
 |  | $config = array()
 | ) |
protected

Method to load and return a model object.

Paramètres
string | $name | The name of the view
string | $prefix | The class prefix. Optional.
array | $config | The configuration array to pass to the table
Renvoie
FOFTable Table object or boolean false if failed

Références $config, $name, $prefix, elseif, FOFTable\getAnInstance(), et null.

◆ _getList()

& _getList | ( | $query,
 |  | $limitstart = 0,
 |  | $limit = 0,
 |  | $group = ''
 | ) |
protected

Returns an object list

Paramètres
string | $query | The query
integer | $limitstart | Offset from start
integer | $limit | The number of records
string | $group | The group by clause
Renvoie
array Array of objects

Références $limit, et $query.

◆ _getListCount()

_getListCount ( $query )
protected

Returns a record count for the query

Paramètres
string $query The query.
Renvoie
integer Number of rows for query
Depuis
12.2

◆ _real_getState()

_real_getState | ( | $property = null,
 |  | $default = null
 | ) |
protected

Method to get model state variables

Paramètres
string | $property | Optional parameter name
mixed | $default | Optional default value
Renvoie
object The property where specified, the state object where omitted
Depuis
12.2

Références $default, et null.

◆ addBehavior()

addBehavior | ( | $name,
 |  | $config = array()
 | ) |

Adds a behavior to the model

Paramètres
string | $name | The name of the behavior
array | $config | Optional Behavior configuration
Renvoie
boolean True if the behavior is found and added

Références $behavior, $config, $name, name, option, et FOFInflector\pluralize().

◆ addIncludePath()

static addIncludePath | ( | $path = '',
 |  | $prefix = ''
 | ) |
static

Add a directory where FOFModel should search for models. You may either pass a string or an array of directories.

Paramètres
mixed | $path | A path or array[sting] of paths to search.
string | $prefix | A prefix for models.
Renvoie
array An array with directory elements. If prefix is equal to '', all directories are returned.
Depuis
12.2

Références $path, $prefix, et FOFPlatform\getInstance().

Référencé par FOFController\addModelPath().

◆ addTablePath()

static addTablePath ( $path )
static

Adds to the stack of model table paths in LIFO order.

Paramètres
mixed $path The directory as a string or directories as an array to add.
Renvoie
void
Depuis
12.2

Références $path, et FOFTable\addIncludePath().

◆ applyAccessFiltering()

applyAccessFiltering ( $userID = null )

Applies view access level filtering for the specified user. Useful to filter a front-end items listing.

Paramètres
integer $userID The user ID to use. Skip it to use the currently logged in user.
Renvoie
FOFModel Reference to self

Références $user, et FOFPlatform\getInstance().

◆ blacklistFilters()

blacklistFilters | ( | $list = null,
 |  | $reset = false
 | ) |

Set or get the blacklisted filters

Paramètres
mixed | $list | A filter or list of filters to blacklist. If null return the list of blacklisted filter
boolean | $reset | Reset the blacklist if true
Renvoie
void|array Return an array of value if $list is null

Références $list.

◆ buildCountQuery()

buildCountQuery ( )

Builds the count query used in getTotal()

Renvoie
boolean

◆ buildQuery()

buildQuery ( $overrideLimits = false )

Builds the SELECT query

Paramètres
boolean $overrideLimits Are we requested to override the set limits?
Renvoie
FOFDatabaseQuery

Références $db, $query, $self, et null.

◆ checkin()

checkin ( )

Checks in the current item

Renvoie
boolean

◆ checkout()

checkout ( )

Checks out the current item

Renvoie
boolean

Références FOFPlatform\getInstance().

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $client_id = 0
 | ) |
protected

Clean the cache

Paramètres
string | $group | The cache group
integer | $client_id | The ID of the client
Renvoie
void

Références $options, FOFPlatform\getInstance(), et option.

◆ clearInput()

clearInput ( )

Clears the input array.

Renvoie
FOFModel

◆ clearState()

clearState ( )

Clears the model state, but doesn't touch the internal lists of records, record tables or record id variables. To clear these values, please use reset().

Renvoie
FOFModel

◆ copy()

copy ( )

Copy one or more records

Renvoie
boolean True on success

◆ delete()

delete ( )

Deletes one or several items

Renvoie
boolean True on success

Références $id.

◆ findFormFilename()

findFormFilename | ( | $source,
 |  | $paths = array()
 | ) |

Guesses the best candidate for the path to use for a particular form.

Paramètres
string | $source | The name of the form file to load, without the .xml extension.
array | $paths | The paths to look into. You can declare this to override the default FOF paths.
Renvoie
mixed A string if the path and filename of the form to load is found, false otherwise.
Depuis
2.0

Références $name, $option, $path, $suffix, $view, FOFPlatform\getInstance(), FOFInflector\pluralize(), et FOFInflector\singularize().

◆ getAnInstance()

static& getAnInstance | ( | $type,
 |  | $prefix = '',
 |  | $config = array()
 | ) |
static

Returns a new model object. Unless overridden by the $config array, it will try to automatically populate its state from the request variables.

Paramètres
string | $type | Model type, e.g. 'Items'
string | $prefix | Model prefix, e.g. 'FoobarModel'
array | $config | Model configuration variables
Renvoie
FOFModel

Références $component, $config, $path, $prefix, $type, elseif, et FOFPlatform\getInstance().

Référencé par FOFController\createModel(), et FOFFormFieldRelation\getOptions().

◆ getBehaviorParam()

getBehaviorParam | ( | $name,
 |  | $default = null
 | ) |

Get a behavior param

Paramètres
string | $name | The name of the param
mixed | $default | The default value returned if not set
Renvoie
mixed

Références $default, et $name.

◆ getClone()

& getClone ( )

Clones the model object and returns the clone

Renvoie
FOFModel

◆ getDbo()

getDbo ( )

Method to get the database driver object

Renvoie
FOFDatabaseDriver

Référencé par FOFUtilsUpdate\removeObsoleteUpdateSites().

◆ getFirstItem()

& getFirstItem ( $overrideLimits = false )

A cross-breed between getItem and getItemList. It runs the complete query, like getItemList does. However, instead of returning an array of ad-hoc objects, it binds the data from the first item fetched on the list to an instance of the table object and returns that table object instead.

Paramètres
boolean $overrideLimits Should I override set limits?
Renvoie
FOFTable

We have to clone the instance, or when multiple getFirstItem calls occur, we'll update EVERY instance created

Références $list.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true,
 |  | $source = null
 | ) |

A method for getting the form from the model.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
boolean | $source | The name of the form. If not set we'll try the form_name state variable or fall back to default.
Renvoie
mixed A FOFForm object on success, false on failure
Depuis
2.0

Références $data, $form, $name, $options, name, et null.

◆ getHash()

getHash ( )

Returns a hash for this component and view, e.g. "foobar.items.", used for determining the keys of the variables which will be placed in the session storage.

Renvoie
string The hash

Références $option, $view, et FOFInflector\pluralize().

◆ getId()

getId ( )

Returns the currently set ID

Renvoie
integer

Références $id.

Référencé par FOFRenderJoomla\renderFormEdit(), et FOFRenderStrapper\renderFormEdit().

◆ getIds()

getIds ( )

Returns the list of IDs for batch operations

Renvoie
array An array of integers

◆ getItem()

& getItem ( $id = null )

Returns a single item. It uses the id set with setId, or the first ID in the list of IDs for batch operations

Paramètres
integer $id Force a primary key ID to the model. Use null to use the id from the state.
Renvoie
FOFTable A copy of the item's FOFTable array

Références $data, $id, et null.

◆ getItemList()

& getItemList | ( | $overrideLimits = false,
 |  | $group = ''
 | ) |

Returns a list of items

Paramètres
boolean | $overrideLimits | Should I override set limits?
string | $group | The group by clause
Renvoie
array

Références $limit, $list, et $query.

Référencé par FOFRenderStrapper\renderFormBrowse().

◆ getIterator()

& getIterator | ( | $overrideLimits = false,
 |  | $tableClass = null
 | ) |

Returns a FOFDatabaseIterator over a list of items.

THERE BE DRAGONS. Unlike the getItemList() you have a few restrictions:

  • The onProcessList event does not run when you get an iterator
  • The Iterator returns FOFTable instances. By default, $this->table is used. If you have JOINs, GROUPs or a complex query in general you will need to create a custom FOFTable subclass and pass its type in $tableType.

The getIterator() method is a great way to sift through a large amount of records which would otherwise not fit in memory since it only keeps one record in PHP memory at a time. It works best with simple models, returning all the contents of a single database table.

Paramètres
boolean | $overrideLimits | Should I ignore set limits?
string | $tableClass | The table class for the iterator, e.g. FoobarTableBar. Leave empty to use the default Table class for this Model.
Renvoie
FOFDatabaseIterator

Références $db, $limit, $name, $prefix, $query, FOFDatabaseIterator\getIterator(), null, option, et FOFInflector\singularize().

◆ getList()

& getList | ( | $overrideLimits = false,
 |  | $group = ''
 | ) |

Alias for getItemList

Paramètres
boolean | $overrideLimits | Should I override set limits?
string | $group | The group by clause
Renvoie
array

◆ getName()

getName ( )

Method to get the model name

The model name. By default parsed using the classname or it can be set by passing a $config['name'] in the class constructor

Renvoie
string The name of the model
Exceptions
Exception

Références $name, $r, name, et null.

Référencé par FOFRenderJoomla\renderFieldset(), et FOFRenderStrapper\renderFieldset().

◆ getPagination()

getPagination ( )

Get a pagination object

Renvoie
JPagination

Références $limit, $total, et JLoader\import().

Référencé par FOFRenderStrapper\renderFormBrowse().

◆ getReorderWhere()

getReorderWhere ( )

Creates the WHERE part of the reorder query

Renvoie
string

◆ getSavedTable()

getSavedTable ( )

Returns the table object after the last save() operation

Renvoie
FOFTable

◆ getState()

getState | ( | $key = null,
 |  | $default = null,
 |  | $filter_type = 'raw'
 | ) |

Get a filtered state variable

Paramètres
string | $key | The name of the state variable
mixed | $default | The default value to use
string | $filter_type | Filter type
Renvoie
mixed The variable's value

Références $default, $filter, $key, $value, et JLoader\import().

Référencé par FOFRenderStrapper\renderFormBrowse().

◆ getTable()

getTable | ( | $name = '',
 |  | $prefix = null,
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Exceptions
Exception
Renvoie
FOFTable A FOFTable object

Références $name, $options, $prefix, FOFPlatform\getInstance(), null, option, et FOFInflector\singularize().

Référencé par FOFRenderStrapper\renderFormBrowse(), FOFRenderJoomla\renderFormEdit(), et FOFRenderStrapper\renderFormEdit().

◆ getTableAlias()

getTableAlias ( )

Get the alias set for this model's table

Renvoie
string The table alias

◆ getTableFields()

getTableFields ( )

Returns a list of the fields of the table associated with this model

Renvoie
array

Références $fields.

◆ getTmpInstance()

static& getTmpInstance | ( | $type,
 |  | $prefix = '',
 |  | $config = array()
 | ) |
static

Returns a new instance of a model, with the state reset to defaults

Paramètres
string | $type | Model type, e.g. 'Items'
string | $prefix | Model prefix, e.g. 'FoobarModel'
array | $config | Model configuration variables
Renvoie
FOFModel

Références $config, $prefix, $type, et elseif.

Référencé par CpanelViewCpanel\display(), FOFFormHeaderModel\getOptions(), FOFFormFieldRelation\getOptions(), et FOFFormFieldModel\getOptions().

◆ getTotal()

getTotal ( )

Get the number of all items

Renvoie
integer

Références $query, et $total.

◆ getUserStateFromRequest()

getUserStateFromRequest | ( | $key,
 |  | $request,
 |  | $default = null,
 |  | $type = 'none',
 |  | $setUserState = true
 | ) |
protected

Gets the value of a user state variable.

Paramètres
string | $key | The key of the user state variable.
string | $request | The name of the variable passed in a request.
string | $default | The default value for the variable if not found. Optional.
string | $type | Filter for the variable, for valid values see JFilterInput::clean(). Optional.
boolean | $setUserState | Should I save the variable in the user state? Default: true. Optional.
Renvoie
string The request user state.

Références $default, $key, $type, et FOFPlatform\getInstance().

◆ hit()

hit ( )

Increments the hit counter

Renvoie
boolean

◆ isCheckedOut()

isCheckedOut ( )

Tells you if the current item is checked out or not

Renvoie
boolean

◆ loadForm()

loadForm | ( | $name,
 |  | $source,
 |  | $options = array(),
 |  | $clear = false,
 |  | $xpath = false
 | ) |
protected

Method to get a form object.

Paramètres
string | $name | The name of the form.
string | $source | The form filename (e.g. form.browse)
array | $options | Optional array of options for the form creation.
boolean | $clear | Optional argument to force load a new form.
bool | string | $xpath | An optional xpath to search for the fields.
Renvoie
mixed FOFForm object on success, False on error.
@throws  Exception
Voir également
FOFForm
Depuis
2.0

Références $data, $form, $hash, $name, $option, $options, $view, FOFForm\addFieldPath(), FOFForm\addFormPath(), FOFForm\addHeaderPath(), FOFForm\getInstance(), et FOFPlatform\getInstance().

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
array The default data is an empty array.
Depuis
2.0

◆ loadhistory()

loadhistory | ( |  | $version_id,
 |  | FOFTable & | $table,
 |  |  | $alias
 | ) |  |

Method to load a row for editing from the version history table.

Paramètres
integer | $version_id | Key to the version history table.
FOFTable | &$table | Content table object being loaded.
string | $alias | The type_alias in #__content_types
Renvoie
boolean False on failure or error, true otherwise.
Depuis
2.3

Références $key, $user, FOFTable\bind(), JArrayHelper\fromObject(), et FOFTable\getKeyName().

◆ move()

move ( $dirn )

Moves the current item up or down in the ordering list

Paramètres
string $dirn The direction and magnitude to use (2 means move up by 2 positions, -3 means move down three positions)
Renvoie
boolean True on success

Références $id.

◆ onAfterCopy()

onAfterCopy ( & $table )
protected

This method runs after a record has been copied

Paramètres
FOFTable &$table The table instance of the record which was copied
Renvoie
boolean True to allow the copy

Références $self.

◆ onAfterDelete()

onAfterDelete ( $id )
protected

This method runs after a record with key value $id is deleted

Paramètres
integer $id The id of the record which was deleted
Renvoie
boolean Return false to raise an error, true otherwise

Références $context, $name, $self, FOFPlatform\getInstance(), et option.

◆ onAfterGetItem()

onAfterGetItem ( & $record )
protected

This method runs after an item has been gotten from the database in a read operation. You can modify it before it's returned to the MVC triad for further processing.

Paramètres
FOFTable &$record The table instance we fetched
Renvoie
void

Références $self.

◆ onAfterHit()

onAfterHit ( & $table )
protected

This method runs after a record has been hit

Paramètres
FOFTable &$table The table instance of the record which was hit
Renvoie
boolean True to allow the operation

Références $self.

◆ onAfterLoadForm()

onAfterLoadForm | ( | FOFForm & | $form,
 |  | & | $name,
 |  | & | $source,
 |  | & | $options
 | ) |  |

Allows the manipulation after the form is loaded

Paramètres
FOFForm | $form | A FOFForm object.
string | &$name | The name of the form.
string | &$source | The form source. Can be XML string if file flag is set to false.
array | &$options | Optional array of options for the form creation.
Renvoie
void

◆ onAfterMove()

onAfterMove ( & $table )
protected

This method runs after a record has been moved

Paramètres
FOFTable &$table The table instance of the record which was moved
Renvoie
boolean True to allow the operation

Références $self.

◆ onAfterPreprocessForm()

onAfterPreprocessForm | ( | FOFForm & | $form,
 |  | & | $data
 | ) |  |

Allows data and form manipulation after preprocessing the form

Paramètres
FOFForm | $form | A FOFForm object.
array | &$data | The data expected for the form.
Renvoie
void

◆ onAfterPublish()

onAfterPublish ( & $table )
protected

This method runs after a record has been published

Paramètres
FOFTable &$table The table instance of the record which was published
Renvoie
boolean True to allow the operation

Références $self.

◆ onAfterReorder()

onAfterReorder ( & $table )
protected

This method runs after a table is reordered

Paramètres
FOFTable &$table The table instance which was reordered
Renvoie
boolean True to allow the operation

Références $self.

◆ onAfterSave()

onAfterSave ( & $table )
protected

This method runs after the data is saved to the $table.

Paramètres
FOFTable &$table The table which was saved
Renvoie
boolean

Références $name, $self, FOFPlatform\getInstance(), et option.

◆ onBeforeCopy()

onBeforeCopy ( & $table )
protected

This method runs before a record is copied

Paramètres
FOFTable &$table The table instance of the record being copied
Renvoie
boolean True to allow the copy

Références $self.

◆ onBeforeDelete()

onBeforeDelete | ( | & | $id,
 |  | & | $table
 | ) |  |
protected

This method runs before the record with key value of $id is deleted from $table

Paramètres
integer | &$id | The ID of the record being deleted
FOFTable | &$table | The table instance used to delete the record
Renvoie
boolean

Références $context, $id, $name, $self, FOFPlatform\getInstance(), et option.

◆ onBeforeHit()

onBeforeHit ( & $table )
protected

This method runs before a record is hit

Paramètres
FOFTable &$table The table instance of the record being hit
Renvoie
boolean True to allow the operation

Références $self.

◆ onBeforeLoadForm()

onBeforeLoadForm | ( | & | $name,
 |  | & | $source,
 |  | & | $options
 | ) |  |

Allows the manipulation before the form is loaded

Paramètres
string | &$name | The name of the form.
string | &$source | The form source. Can be XML string if file flag is set to false.
array | &$options | Optional array of options for the form creation.
Renvoie
void

◆ onBeforeMove()

onBeforeMove ( & $table )
protected

This method runs before a record is moved

Paramètres
FOFTable &$table The table instance of the record being moved
Renvoie
boolean True to allow the operation

Références $self.

◆ onBeforePreprocessForm()

onBeforePreprocessForm | ( | FOFForm & | $form,
 |  | & | $data
 | ) |  |

Allows data and form manipulation before preprocessing the form

Paramètres
FOFForm | $form | A FOFForm object.
array | &$data | The data expected for the form.
Renvoie
void

◆ onBeforePublish()

onBeforePublish ( & $table )
protected

This method runs before a record is published

Paramètres
FOFTable &$table The table instance of the record being published
Renvoie
boolean True to allow the operation

Références $self.

◆ onBeforeReorder()

onBeforeReorder ( & $table )
protected

This method runs before a table is reordered

Paramètres
FOFTable &$table The table instance being reordered
Renvoie
boolean True to allow the operation

Références $self.

◆ onBeforeSave()

onBeforeSave | ( | & | $data,
 |  | & | $table
 | ) |  |
protected

This method runs before the $data is saved to the $table. Return false to stop saving.

Paramètres
array | &$data | The data to save
FOFTable | &$table | The table to save the data to
Renvoie
boolean Return false to prevent saving, true to allow it

Références $data, $key, $name, $self, FOFPlatform\getInstance(), et option.

◆ onProcessList()

onProcessList ( & $resultArray )
protected

This method can be overridden to automatically do something with the list results array. You are supposed to modify the list which was passed in the parameters; DO NOT return a new array!

Paramètres
array &$resultArray An array of objects, each row representing a record
Renvoie
void

◆ populateSavestate()

populateSavestate ( $defaultSaveState = -999 )

Initialises the _savestate variable

Paramètres
integer $defaultSaveState The default value for the savestate
Renvoie
void

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Renvoie
void
Note
Calling getState in this method will result in recursion.
Depuis
12.2

◆ preprocessForm()

preprocessForm | ( | FOFForm & | $form,
 |  | & | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to allow derived classes to preprocess the form.

Paramètres
FOFForm | $form | A FOFForm object.
mixed | &$data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Voir également
FOFFormField
Depuis
2.0
Exceptions
Exception if there is an error in the form event.

Références $data, $dispatcher, $form, $results, FOFUtilsObservableDispatcher\getInstance(), et FOFPlatform\getInstance().

◆ publish()

publish | ( | $publish = 1,
 |  | $user = null
 | ) |

Toggles the published state of one or several items

Paramètres
integer | $publish | The publishing state to set (e.g. 0 is unpublished)
integer | $user | The user ID performing this action
Renvoie
boolean True on success

Références $context, $name, $user, FOFPlatform\getInstance(), et option.

◆ reorder()

reorder ( )

Reorders all items in the table

Renvoie
boolean

◆ reset()

reset ( )

Resets the model, like it was freshly loaded

Renvoie
FOFModel

Références null.

◆ resetSavedState()

resetSavedState ( )

Resets the saved state for this view

Renvoie
FOFModel

Références null.

◆ save()

save ( $data )

Binds the data to the model and tries to save it

Paramètres
array | object $data The source data array or object
Renvoie
boolean True on success

Références $data, $field, $form, $hash, $key, $oid, $type, elseif, et null.

◆ savestate()

& savestate ( $newState )

Sets the model state auto-save status. By default the model is set up to save its state to the session.

Paramètres
boolean $newState True to save the state, false to not save it.
Renvoie
FOFModel Reference to self

Références true.

◆ setBehaviorParam()

setBehaviorParam | ( | $name,
 |  | $value
 | ) |

Set a behavior param

Paramètres
string | $name | The name of the param
mixed | $value | The param value to set
Renvoie
FOFModel

Références $name, et $value.

◆ setDbo()

setDbo ( $db )

Method to set the database driver object

Paramètres
FOFDatabaseDriver $db A FOFDatabaseDriver based object
Renvoie
void

Références $db.

◆ setId()

setId ( $id = 0 )

Sets the ID and resets internal data

Paramètres
integer $id The ID to use
Exceptions
InvalidArgumentException
Renvoie
FOFModel

Références $id, et FOFPlatform\getInstance().

◆ setIds()

setIds ( $idlist )

Sets a list of IDs for batch operations from an array and resets the model

Paramètres
array $idlist An array of item IDs to be set to the model's state
Renvoie
FOFModel

Références $value.

◆ setIDsFromRequest()

setIDsFromRequest ( )

Sets the list of IDs from the request data

Renvoie
FOFModel

Références $id.

◆ setInput()

setInput ( $input )

Set the internal input field

Paramètres
$input
Renvoie
FOFModel

Références $input.

◆ setState()

setState | ( | $property,
 |  | $value = null
 | ) |

Method to set model state variables

Paramètres
string | $property | The name of the property.
mixed | $value | The value of the property to set or null.
Renvoie
mixed The previous value of the property or null if not set.

Références $value.

◆ validateForm()

validateForm | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
FOFForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
mixed Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
2.0

Références $data, $form, $message, et $return.

Documentation des champs

◆ $__state_set

$__state_set = null
protected

◆ $_behaviorParams

$_behaviorParams = array()
protected

◆ $_db

$_db
protected

◆ $_formData

$_formData = array()
protected

◆ $_forms

$_forms = array()
protected

◆ $_savestate

$_savestate = null
protected

◆ $configProvider

$configProvider = null
protected

◆ $default_behaviors

$default_behaviors = array('filters')
protected

◆ $event_after_delete

$event_after_delete = 'onContentAfterDelete'
protected

◆ $event_after_save

$event_after_save = 'onContentAfterSave'
protected

◆ $event_before_delete

$event_before_delete = 'onContentBeforeDelete'
protected

◆ $event_before_save

$event_before_save = 'onContentBeforeSave'
protected

◆ $event_change_state

$event_change_state = 'onContentChangeState'
protected

◆ $event_clean_cache

$event_clean_cache = null
protected

◆ $id

$id = null
protected

◆ $id_list

$id_list = array()
protected

◆ $input

$input = array()
protected

◆ $list

$list = null
protected

◆ $modelDispatcher

$modelDispatcher = null
protected

◆ $name

$name
protected

◆ $option

$option = null
protected

◆ $otable

$otable = null
protected

◆ $pagination

$pagination = null
protected

◆ $record

$record = null
protected

◆ $state

$state
protected

◆ $table

$table = null
protected

◆ $total

$total = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/model/model.php


Joomla CMS: Référence de la classe FOFModelBehavior

Fonctions membres publiques
Référence de la classe FOFModelBehavior
+ Graphe d'héritage de FOFModelBehavior:
FOFUtilsObservableEvent FOFUtilsObject FOFModelBehaviorAccess FOFModelBehaviorEmptynonzero FOFModelBehaviorEnabled FOFModelBehaviorFilters FOFModelBehaviorLanguage FOFModelBehaviorPrivate

Fonctions membres publiques

onBeforeSave (&$model, &$data)
onBeforeDelete (&$model)
onBeforeCopy (&$model)
onBeforePublish (&$model)
onBeforeHit (&$model)
onBeforeMove (&$model)
onBeforeReorder (&$model)
onBeforeBuildQuery (&$model, &$query)
onAfterSave (&$model)
onAfterDelete (&$model)
onAfterCopy (&$model)
onAfterPublish (&$model)
onAfterHit (&$model)
onAfterMove (&$model)
onAfterReorder (&$model)
onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterBuildQuery()

onAfterBuildQuery | ( | & | $model,
 |  | & | $query
 | ) |  |

This event runs after we have built the query used to fetch a record list in a model

Paramètres
FOFModel | &$model | The model which calls this event
FOFDatabaseQuery | &$query | The query being built
Renvoie
void

◆ onAfterCopy()

onAfterCopy ( & $model )

This event runs after copying a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onAfterDelete()

onAfterDelete ( & $model )

This event runs after deleting a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onAfterGetItem()

onAfterGetItem | ( | & | $model,
 |  | & | $record
 | ) |  |

This event runs after getting a single item

Paramètres
FOFModel | &$model | The model which calls this event
FOFTable | &$record | The record loaded by this model
Renvoie
void

◆ onAfterHit()

onAfterHit ( & $model )

This event runs after registering a hit on a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onAfterMove()

onAfterMove ( & $model )

This event runs after moving a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onAfterPublish()

onAfterPublish ( & $model )

This event runs after publishing a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onAfterReorder()

onAfterReorder ( & $model )

This event runs after reordering records in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onAfterSave()

onAfterSave ( & $model )

This event runs after saving a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onBeforeBuildQuery()

onBeforeBuildQuery | ( | & | $model,
 |  | & | $query
 | ) |  |

This event runs when we are building the query used to fetch a record list in a model

Paramètres
FOFModel | &$model | The model which calls this event
FOFDatabaseQuery | &$query | The query being built
Renvoie
void

◆ onBeforeCopy()

onBeforeCopy ( & $model )

This event runs before copying a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onBeforeDelete()

onBeforeDelete ( & $model )

This event runs before deleting a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onBeforeHit()

onBeforeHit ( & $model )

This event runs before registering a hit on a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onBeforeMove()

onBeforeMove ( & $model )

This event runs before moving a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onBeforePublish()

onBeforePublish ( & $model )

This event runs before publishing a record in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onBeforeReorder()

onBeforeReorder ( & $model )

This event runs before changing the records' order in a model

Paramètres
FOFModel &$model The model which calls this event
Renvoie
void

◆ onBeforeSave()

onBeforeSave | ( | & | $model,
 |  | & | $data
 | ) |  |

This event runs before saving data in the model

Paramètres
FOFModel | &$model | The model which calls this event
array | &$data | The data to save
Renvoie
void
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/model/behavior.php


Joomla CMS: Référence de la classe FOFModelBehaviorAccess

Fonctions membres publiques
Référence de la classe FOFModelBehaviorAccess
+ Graphe d'héritage de FOFModelBehaviorAccess:
FOFModelBehavior FOFUtilsObservableEvent FOFUtilsObject

Fonctions membres publiques

onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFModelBehavior
onBeforeSave (&$model, &$data)
onBeforeDelete (&$model)
onBeforeCopy (&$model)
onBeforePublish (&$model)
onBeforeHit (&$model)
onBeforeMove (&$model)
onBeforeReorder (&$model)
onBeforeBuildQuery (&$model, &$query)
onAfterSave (&$model)
onAfterDelete (&$model)
onAfterCopy (&$model)
onAfterPublish (&$model)
onAfterHit (&$model)
onAfterMove (&$model)
onAfterReorder (&$model)
onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterBuildQuery()

onAfterBuildQuery | ( | & | $model,
 |  | & | $query
 | ) |  |

This event runs after we have built the query used to fetch a record list in a model. It is used to apply automatic query filters.

Paramètres
FOFModel | &$model | The model which calls this event
FOFDatabaseQuery | &$query | The model which calls this event
Renvoie
void

Références FOFPlatform\getInstance(), et null.

◆ onAfterGetItem()

onAfterGetItem | ( | & | $model,
 |  | & | $record
 | ) |  |

The event runs after FOFModel has called FOFTable and retrieved a single item from the database. It is used to apply automatic filters.

Paramètres
FOFModel | &$model | The model which was called
FOFTable | &$record | The record loaded from the database
Renvoie
void

Références $user, FOFPlatform\getInstance(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/model/behavior/access.php


Joomla CMS: Référence de la classe FOFModelBehaviorEmptynonzero

Fonctions membres publiques
Référence de la classe FOFModelBehaviorEmptynonzero
+ Graphe d'héritage de FOFModelBehaviorEmptynonzero:
FOFModelBehavior FOFUtilsObservableEvent FOFUtilsObject

Fonctions membres publiques

onBeforeBuildQuery (&$model, &$query)
- Fonctions membres publiques hérités de FOFModelBehavior
onBeforeSave (&$model, &$data)
onBeforeDelete (&$model)
onBeforeCopy (&$model)
onBeforePublish (&$model)
onBeforeHit (&$model)
onBeforeMove (&$model)
onBeforeReorder (&$model)
onBeforeBuildQuery (&$model, &$query)
onAfterSave (&$model)
onAfterDelete (&$model)
onAfterCopy (&$model)
onAfterPublish (&$model)
onAfterHit (&$model)
onAfterMove (&$model)
onAfterReorder (&$model)
onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onBeforeBuildQuery()

onBeforeBuildQuery | ( | & | $model,
 |  | & | $query
 | ) |  |

This event runs when we are building the query used to fetch a record list in a model

Paramètres
FOFModel | &$model | The model which calls this event
FOFDatabaseQuery | &$query | The query being built
Renvoie
void
La documentation de cette classe a été générée à partir du fichier suivant :
  • emptynonzero.php


Joomla CMS: Référence de la classe FOFModelBehaviorEnabled

Fonctions membres publiques
Référence de la classe FOFModelBehaviorEnabled
+ Graphe d'héritage de FOFModelBehaviorEnabled:
FOFModelBehavior FOFUtilsObservableEvent FOFUtilsObject

Fonctions membres publiques

onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFModelBehavior
onBeforeSave (&$model, &$data)
onBeforeDelete (&$model)
onBeforeCopy (&$model)
onBeforePublish (&$model)
onBeforeHit (&$model)
onBeforeMove (&$model)
onBeforeReorder (&$model)
onBeforeBuildQuery (&$model, &$query)
onAfterSave (&$model)
onAfterDelete (&$model)
onAfterCopy (&$model)
onAfterPublish (&$model)
onAfterHit (&$model)
onAfterMove (&$model)
onAfterReorder (&$model)
onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterBuildQuery()

onAfterBuildQuery | ( | & | $model,
 |  | & | $query
 | ) |  |

This event runs after we have built the query used to fetch a record list in a model. It is used to apply automatic query filters.

Paramètres
FOFModel | &$model | The model which calls this event
FOFDatabaseQuery | &$query | The model which calls this event
Renvoie
void

Références $db, $query, et FOFPlatform\getInstance().

◆ onAfterGetItem()

onAfterGetItem | ( | & | $model,
 |  | & | $record
 | ) |  |

The event runs after FOFModel has called FOFTable and retrieved a single item from the database. It is used to apply automatic filters.

Paramètres
FOFModel | &$model | The model which was called
FOFTable | &$record | The record loaded from the database
Renvoie
void

Références null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • enabled.php


Joomla CMS: Référence de la classe FOFModelBehaviorFilters

Fonctions membres publiques
Référence de la classe FOFModelBehaviorFilters
+ Graphe d'héritage de FOFModelBehaviorFilters:
FOFModelBehavior FOFUtilsObservableEvent FOFUtilsObject

Fonctions membres publiques

onAfterBuildQuery (&$model, &$query)
- Fonctions membres publiques hérités de FOFModelBehavior
onBeforeSave (&$model, &$data)
onBeforeDelete (&$model)
onBeforeCopy (&$model)
onBeforePublish (&$model)
onBeforeHit (&$model)
onBeforeMove (&$model)
onBeforeReorder (&$model)
onBeforeBuildQuery (&$model, &$query)
onAfterSave (&$model)
onAfterDelete (&$model)
onAfterCopy (&$model)
onAfterPublish (&$model)
onAfterHit (&$model)
onAfterMove (&$model)
onAfterReorder (&$model)
onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterBuildQuery()

onAfterBuildQuery | ( | & | $model,
 |  | & | $query
 | ) |  |

This event runs after we have built the query used to fetch a record list in a model. It is used to apply automatic query filters.

Paramètres
FOFModel | &$model | The model which calls this event
FOFDatabaseQuery | &$query | The model which calls this event
Renvoie
void

Références $db, $field, $fields, $options, $query, FOFModelField\getField(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/model/behavior/filters.php


Joomla CMS: Référence de la classe FOFModelBehaviorLanguage

Fonctions membres publiques
Référence de la classe FOFModelBehaviorLanguage
+ Graphe d'héritage de FOFModelBehaviorLanguage:
FOFModelBehavior FOFUtilsObservableEvent FOFUtilsObject

Fonctions membres publiques

onBeforeBuildQuery (&$model, &$query)
onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFModelBehavior
onBeforeSave (&$model, &$data)
onBeforeDelete (&$model)
onBeforeCopy (&$model)
onBeforePublish (&$model)
onBeforeHit (&$model)
onBeforeMove (&$model)
onBeforeReorder (&$model)
onBeforeBuildQuery (&$model, &$query)
onAfterSave (&$model)
onAfterDelete (&$model)
onAfterCopy (&$model)
onAfterPublish (&$model)
onAfterHit (&$model)
onAfterMove (&$model)
onAfterReorder (&$model)
onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterBuildQuery()

onAfterBuildQuery | ( | & | $model,
 |  | & | $query
 | ) |  |

This event runs after we have built the query used to fetch a record list in a model. It is used to apply automatic query filters.

Paramètres
FOFModel | &$model | The model which calls this event
FOFDatabaseQuery | &$query | The model which calls this event
Renvoie
void

Références $app, $db, $query, et FOFPlatform\getInstance().

◆ onAfterGetItem()

onAfterGetItem | ( | & | $model,
 |  | & | $record
 | ) |  |

The event runs after FOFModel has called FOFTable and retrieved a single item from the database. It is used to apply automatic filters.

Paramètres
FOFModel | &$model | The model which was called
FOFTable | &$record | The record loaded from the database
Renvoie
void

Références $app, FOFPlatform\getInstance(), et null.

◆ onBeforeBuildQuery()

onBeforeBuildQuery | ( | & | $model,
 |  | & | $query
 | ) |  |

This event runs before we have built the query used to fetch a record list in a model. It is used to blacklist the language filter

Paramètres
FOFModel | &$model | The model which calls this event
FOFDatabaseQuery | &$query | The model which calls this event
Renvoie
void

Références FOFPlatform\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/model/behavior/language.php


Joomla CMS: Référence de la classe FOFModelBehaviorPrivate

Fonctions membres publiques
Référence de la classe FOFModelBehaviorPrivate
+ Graphe d'héritage de FOFModelBehaviorPrivate:
FOFModelBehavior FOFUtilsObservableEvent FOFUtilsObject

Fonctions membres publiques

onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFModelBehavior
onBeforeSave (&$model, &$data)
onBeforeDelete (&$model)
onBeforeCopy (&$model)
onBeforePublish (&$model)
onBeforeHit (&$model)
onBeforeMove (&$model)
onBeforeReorder (&$model)
onBeforeBuildQuery (&$model, &$query)
onAfterSave (&$model)
onAfterDelete (&$model)
onAfterCopy (&$model)
onAfterPublish (&$model)
onAfterHit (&$model)
onAfterMove (&$model)
onAfterReorder (&$model)
onAfterBuildQuery (&$model, &$query)
onAfterGetItem (&$model, &$record)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterBuildQuery()

onAfterBuildQuery | ( | & | $model,
 |  | & | $query
 | ) |  |

This event runs after we have built the query used to fetch a record list in a model. It is used to apply automatic query filters.

Paramètres
FOFModel | &$model | The model which calls this event
FOFDatabaseQuery | &$query | The model which calls this event
Renvoie
void

Références $db, $query, et FOFPlatform\getInstance().

◆ onAfterGetItem()

onAfterGetItem | ( | & | $model,
 |  | & | $record
 | ) |  |

The event runs after FOFModel has called FOFTable and retrieved a single item from the database. It is used to apply automatic filters.

Paramètres
FOFModel | &$model | The model which was called
FOFTable | &$record | The record loaded from the database
Renvoie
void

Références FOFPlatform\getInstance(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • private.php


Joomla CMS: Référence de la classe FOFModelDispatcherBehavior

Référence de la classe FOFModelDispatcherBehavior
+ Graphe d'héritage de FOFModelDispatcherBehavior:
FOFUtilsObservableDispatcher FOFUtilsObject

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFUtilsObservableDispatcher
getState ()
register ($event, $handler)
trigger ($event, $args=array())
attach ($observer)
detach ($observer)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)
- Fonctions membres publiques statiques hérités de FOFUtilsObservableDispatcher
static | getInstance ()
- Attributs protégés hérités de FOFUtilsObservableDispatcher
$_observers = array()
$_state = null
$_methods = array()
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()
- Attributs protégés statiques hérités de FOFUtilsObservableDispatcher
static | $instance = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/model/dispatcher/behavior.php


Joomla CMS: Référence de la classe FOFModelField

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés
Référence de la classe FOFModelField
+ Graphe d'héritage de FOFModelField:
FOFModelFieldNumber FOFModelFieldText FOFModelFieldBoolean FOFModelFieldDate

Fonctions membres publiques

__construct ($db, $field, $table_alias=false)
isEmpty ($value)
getDefaultSearchMethod ()
getSearchMethods ()
exact ($value)
partial ($value)
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($from, $interval)
range ($from, $to, $include=true)
modulo ($from, $interval, $include=true)
search ($value, $operator='=')
getFieldName ()

Fonctions membres publiques statiques

static | getField ($field, $config=array())
static | getFieldType ($type)

Champs de données

$null_value = null

Attributs protégés

$_db = null
$name = ''
$type = ''
$table_alias = false

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $db,
 |  | $field,
 |  | $table_alias = false
 | ) |

Constructor

Paramètres
FOFDatabaseDriver | $db | The database object
object | $field | The field informations as taken from the db
string | $table_alias | The table alias to use when filtering

Références $db, $field, et name.

Documentation des fonctions membres

◆ between()

between | ( | $from,
 |  | $to,
 |  | $include = true
 | ) |
abstract

Perform a between limits match (usually: search for a value between two numbers or a date between two preset dates). When $include is true the condition tested is: $from <= VALUE <= $to When $include is false the condition tested is: $from < VALUE < $to

Paramètres
mixed | $from | The lowest value to compare to
mixed | $to | The higherst value to compare to
boolean | $include | Should we include the boundaries in the search?
Renvoie
string The SQL where clause for this search

◆ exact()

exact ( $value )

Perform an exact match (equality matching)

Paramètres
mixed $value The value to compare to
Renvoie
string The SQL where clause for this search

Références $db, $value, et FOFPlatform\getInstance().

◆ getDefaultSearchMethod()

getDefaultSearchMethod ( )

Returns the default search method for a field. This always returns 'exact' and you are supposed to override it in specialised classes. The possible values are exact, partial, between and outside, unless something different is returned by getSearchMethods().

Voir également
self::getSearchMethods()
Renvoie
string

◆ getField()

static getField | ( | $field,
 |  | $config = array()
 | ) |
static

Creates a field Object based on the field column type

Paramètres
object | $field | The field informations
array | $config | The field configuration (like the db object to use)
Renvoie
FOFModelField The Field object

Références $className, $config, $db, $field, $type, et FOFPlatform\getInstance().

Référencé par FOFModelBehaviorFilters\onAfterBuildQuery().

◆ getFieldName()

getFieldName ( )

Get the field name with the given table alias

Renvoie
string The field name

Références $name, et name.

◆ getFieldType()

static getFieldType ( $type )
static

Get the classname based on the field Type

Paramètres
string $type The type of the field
Renvoie
string the class suffix

Références $type.

◆ getSearchMethods()

getSearchMethods ( )

Return the search methods available for this field class,

Renvoie
array

Références $class, et $tmp.

◆ interval()

interval | ( | $from,
 |  | $interval
 | ) |
abstract

Perform an interval search (usually: a date interval check)

Paramètres
string | $from | The value to search
string | array | object | $interval | The interval
Renvoie
string The SQL where clause for this search

◆ isEmpty()

isEmpty ( $value )

Is it a null or otherwise empty value?

Paramètres
mixed $value The value to test for emptiness
Renvoie
boolean

Références $value.

◆ modulo()

modulo | ( | $from,
 |  | $interval,
 |  | $include = true
 | ) |
abstract

Perform an modulo search

Paramètres
integer | float | $value | The starting value of the search space
integer | float | $interval | The interval period of the search space
boolean | $include | Should I include the boundaries in the search?
Renvoie
string The SQL where clause

◆ outside()

outside | ( | $from,
 |  | $to,
 |  | $include = false
 | ) |
abstract

Perform an outside limits match (usually: search for a value outside an area or a date outside a preset period). When $include is true the condition tested is: (VALUE <= $from) || (VALUE >= $to) When $include is false the condition tested is: (VALUE < $from) || (VALUE > $to)

Paramètres
mixed | $from | The lowest value of the excluded range
mixed | $to | The higherst value of the excluded range
boolean | $include | Should we include the boundaries in the search?
Renvoie
string The SQL where clause for this search

◆ partial()

partial ( $value )
abstract

Perform a partial match (usually: search in string)

Paramètres
mixed $value The value to compare to
Renvoie
string The SQL where clause for this search

◆ range()

range | ( | $from,
 |  | $to,
 |  | $include = true
 | ) |
abstract

Perform a between limits match (usually: search for a value between two numbers or a date between two preset dates). When $include is true the condition tested is: $from <= VALUE <= $to When $include is false the condition tested is: $from < VALUE < $to

Paramètres
mixed | $from | The lowest value to compare to
mixed | $to | The higherst value to compare to
boolean | $include | Should we include the boundaries in the search?
Renvoie
string The SQL where clause for this search

◆ search()

search | ( | $value,
 |  | $operator = '='
 | ) |

Return the SQL where clause for a search

Paramètres
mixed | $value | The value to search for
string | $operator | The operator to use
Renvoie
string The SQL where clause for this search

Références $value.

Documentation des champs

◆ $_db

$_db = null
protected

◆ $name

$name = ''
protected

◆ $null_value

$null_value = null

◆ $table_alias

$table_alias = false
protected

◆ $type

$type = ''
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/model/field.php


Joomla CMS: Référence de la classe FOFModelFieldBoolean

Fonctions membres publiques
Référence de la classe FOFModelFieldBoolean
+ Graphe d'héritage de FOFModelFieldBoolean:
FOFModelFieldNumber FOFModelField

Fonctions membres publiques

isEmpty ($value)
- Fonctions membres publiques hérités de FOFModelFieldNumber
partial ($value)
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($value, $interval, $include=true)
range ($from, $to, $include=true)
modulo ($value, $interval, $include=true)
- Fonctions membres publiques hérités de FOFModelField
__construct ($db, $field, $table_alias=false)
isEmpty ($value)
getDefaultSearchMethod ()
getSearchMethods ()
exact ($value)
partial ($value)
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($from, $interval)
range ($from, $to, $include=true)
modulo ($from, $interval, $include=true)
search ($value, $operator='=')
getFieldName ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFModelField
static | getField ($field, $config=array())
static | getFieldType ($type)
- Champs de données hérités de FOFModelField
$null_value = null
- Attributs protégés hérités de FOFModelField
$_db = null
$name = ''
$type = ''
$table_alias = false

Documentation des fonctions membres

◆ isEmpty()

isEmpty ( $value )

Is it a null or otherwise empty value?

Paramètres
mixed $value The value to test for emptiness
Renvoie
boolean

Références $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • boolean.php


Joomla CMS: Référence de la classe FOFModelFieldDate

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFModelFieldDate
+ Graphe d'héritage de FOFModelFieldDate:
FOFModelFieldText FOFModelField

Fonctions membres publiques

getDefaultSearchMethod ()
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($value, $interval, $include=true)
range ($from, $to, $include=true)
- Fonctions membres publiques hérités de FOFModelFieldText
__construct ($db, $field, $table_alias=false)
getDefaultSearchMethod ()
partial ($value)
exact ($value)
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($value, $interval, $include=true)
range ($from, $to, $include=false)
modulo ($from, $to, $include=false)
- Fonctions membres publiques hérités de FOFModelField
__construct ($db, $field, $table_alias=false)
isEmpty ($value)
getDefaultSearchMethod ()
getSearchMethods ()
exact ($value)
partial ($value)
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($from, $interval)
range ($from, $to, $include=true)
modulo ($from, $interval, $include=true)
search ($value, $operator='=')
getFieldName ()

Fonctions membres protégées

getInterval ($interval)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFModelField
static | getField ($field, $config=array())
static | getFieldType ($type)
- Champs de données hérités de FOFModelField
$null_value = null
- Attributs protégés hérités de FOFModelField
$_db = null
$name = ''
$type = ''
$table_alias = false

Documentation des fonctions membres

◆ between()

between | ( | $from,
 |  | $to,
 |  | $include = true
 | ) |

Perform a between limits match. When $include is true the condition tested is: $from <= VALUE <= $to When $include is false the condition tested is: $from < VALUE < $to

Paramètres
mixed | $from | The lowest value to compare to
mixed | $to | The higherst value to compare to
boolean | $include | Should we include the boundaries in the search?
Renvoie
string The SQL where clause for this search

◆ getDefaultSearchMethod()

getDefaultSearchMethod ( )

Returns the default search method for this field.

Renvoie
string

◆ getInterval()

getInterval ( $interval )
protected

Parses an interval –which may be given as a string, array or object– into a standardised hash array that can then be used bu the interval() method.

Paramètres
string | array | object $interval The interval expression to parse
Renvoie
array The parsed, hash array form of the interval

Références $value.

◆ interval()

interval | ( | $value,
 |  | $interval,
 |  | $include = true
 | ) |

Interval date search

Paramètres
string | $value | The value to search
string | array | object | $interval | The interval. Can be (+1 MONTH or array('value' => 1, 'unit' => 'MONTH', 'sign' => '+'))
boolean | $include | If the borders should be included
Renvoie
string the sql string

Références $function, et $value.

◆ outside()

outside | ( | $from,
 |  | $to,
 |  | $include = false
 | ) |

Perform an outside limits match. When $include is true the condition tested is: (VALUE <= $from) || (VALUE >= $to) When $include is false the condition tested is: (VALUE < $from) || (VALUE > $to)

Paramètres
mixed | $from | The lowest value of the excluded range
mixed | $to | The higherst value of the excluded range
boolean | $include | Should we include the boundaries in the search?
Renvoie
string The SQL where clause for this search

◆ range()

range | ( | $from,
 |  | $to,
 |  | $include = true
 | ) |

Perform a between limits match. When $include is true the condition tested is: $from <= VALUE <= $to When $include is false the condition tested is: $from < VALUE < $to

Paramètres
mixed | $from | The lowest value to compare to
mixed | $to | The higherst value to compare to
boolean | $include | Should we include the boundaries in the search?
Renvoie
string The SQL where clause for this search
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/model/field/date.php


Joomla CMS: Référence de la classe FOFModelFieldNumber

Fonctions membres publiques
Référence de la classe FOFModelFieldNumber
+ Graphe d'héritage de FOFModelFieldNumber:
FOFModelField FOFModelFieldBoolean

Fonctions membres publiques

partial ($value)
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($value, $interval, $include=true)
range ($from, $to, $include=true)
modulo ($value, $interval, $include=true)
- Fonctions membres publiques hérités de FOFModelField
__construct ($db, $field, $table_alias=false)
isEmpty ($value)
getDefaultSearchMethod ()
getSearchMethods ()
exact ($value)
partial ($value)
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($from, $interval)
range ($from, $to, $include=true)
modulo ($from, $interval, $include=true)
search ($value, $operator='=')
getFieldName ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFModelField
static | getField ($field, $config=array())
static | getFieldType ($type)
- Champs de données hérités de FOFModelField
$null_value = null
- Attributs protégés hérités de FOFModelField
$_db = null
$name = ''
$type = ''
$table_alias = false

Documentation des fonctions membres

◆ between()

between | ( | $from,
 |  | $to,
 |  | $include = true
 | ) |

Perform a between limits match. When $include is true the condition tested is: $from <= VALUE <= $to When $include is false the condition tested is: $from < VALUE < $to

Paramètres
mixed | $from | The lowest value to compare to
mixed | $to | The higherst value to compare to
boolean | $include | Should we include the boundaries in the search?
Renvoie
string The SQL where clause for this search

◆ interval()

interval | ( | $value,
 |  | $interval,
 |  | $include = true
 | ) |

Perform an interval match. It's similar to a 'between' match, but the from and to values are calculated based on $value and $interval: $value - $interval < VALUE < $value + $interval

Paramètres
integer | float | $value | The center value of the search space
integer | float | $interval | The width of the search space
boolean | $include | Should I include the boundaries in the search?
Renvoie
string The SQL where clause

Références $value.

◆ modulo()

modulo | ( | $value,
 |  | $interval,
 |  | $include = true
 | ) |

Perform an interval match. It's similar to a 'between' match, but the from and to values are calculated based on $value and $interval: $value - $interval < VALUE < $value + $interval

Paramètres
integer | float | $value | The starting value of the search space
integer | float | $interval | The interval period of the search space
boolean | $include | Should I include the boundaries in the search?
Renvoie
string The SQL where clause

Références $value.

◆ outside()

outside | ( | $from,
 |  | $to,
 |  | $include = false
 | ) |

Perform an outside limits match. When $include is true the condition tested is: (VALUE <= $from) || (VALUE >= $to) When $include is false the condition tested is: (VALUE < $from) || (VALUE > $to)

Paramètres
mixed | $from | The lowest value of the excluded range
mixed | $to | The higherst value of the excluded range
boolean | $include | Should we include the boundaries in the search?
Renvoie
string The SQL where clause for this search

◆ partial()

partial ( $value )

The partial match is mapped to an exact match

Paramètres
mixed $value The value to compare to
Renvoie
string The SQL where clause for this search

Références $value.

◆ range()

range | ( | $from,
 |  | $to,
 |  | $include = true
 | ) |

Perform a range limits match. When $include is true the condition tested is: $from <= VALUE <= $to When $include is false the condition tested is: $from < VALUE < $to

Paramètres
mixed | $from | The lowest value to compare to
mixed | $to | The higherst value to compare to
boolean | $include | Should we include the boundaries in the search?
Renvoie
string The SQL where clause for this search
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/model/field/number.php


Joomla CMS: Référence de la classe FOFModelFieldText

Fonctions membres publiques
Référence de la classe FOFModelFieldText
+ Graphe d'héritage de FOFModelFieldText:
FOFModelField FOFModelFieldDate

Fonctions membres publiques

__construct ($db, $field, $table_alias=false)
getDefaultSearchMethod ()
partial ($value)
exact ($value)
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($value, $interval, $include=true)
range ($from, $to, $include=false)
modulo ($from, $to, $include=false)
- Fonctions membres publiques hérités de FOFModelField
__construct ($db, $field, $table_alias=false)
isEmpty ($value)
getDefaultSearchMethod ()
getSearchMethods ()
exact ($value)
partial ($value)
between ($from, $to, $include=true)
outside ($from, $to, $include=false)
interval ($from, $interval)
range ($from, $to, $include=true)
modulo ($from, $interval, $include=true)
search ($value, $operator='=')
getFieldName ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFModelField
static | getField ($field, $config=array())
static | getFieldType ($type)
- Champs de données hérités de FOFModelField
$null_value = null
- Attributs protégés hérités de FOFModelField
$_db = null
$name = ''
$type = ''
$table_alias = false

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $db,
 |  | $field,
 |  | $table_alias = false
 | ) |

Constructor

Paramètres
FOFDatabaseDriver | $db | The database object
object | $field | The field informations as taken from the db

Références $db, et $field.

Documentation des fonctions membres

◆ between()

between | ( | $from,
 |  | $to,
 |  | $include = true
 | ) |

Dummy method; this search makes no sense for text fields

Paramètres
mixed | $from | Ignored
mixed | $to | Ignored
boolean | $include | Ignored
Renvoie
string Empty string

◆ exact()

exact ( $value )

Perform an exact match (match string)

Paramètres
mixed $value The value to compare to
Renvoie
string The SQL where clause for this search

Références $value.

◆ getDefaultSearchMethod()

getDefaultSearchMethod ( )

Returns the default search method for this field.

Renvoie
string

◆ interval()

interval | ( | $value,
 |  | $interval,
 |  | $include = true
 | ) |

Dummy method; this search makes no sense for text fields

Paramètres
mixed | $value | Ignored
mixed | $interval | Ignored
boolean | $include | Ignored
Renvoie
string Empty string

◆ modulo()

modulo | ( | $from,
 |  | $to,
 |  | $include = false
 | ) |

Dummy method; this search makes no sense for text fields

Paramètres
mixed | $from | Ignored
mixed | $to | Ignored
boolean | $include | Ignored
Renvoie
string Empty string

◆ outside()

outside | ( | $from,
 |  | $to,
 |  | $include = false
 | ) |

Dummy method; this search makes no sense for text fields

Paramètres
mixed | $from | Ignored
mixed | $to | Ignored
boolean | $include | Ignored
Renvoie
string Empty string

◆ partial()

partial ( $value )

Perform a partial match (search in string)

Paramètres
mixed $value The value to compare to
Renvoie
string The SQL where clause for this search

Références $value.

◆ range()

range | ( | $from,
 |  | $to,
 |  | $include = false
 | ) |

Dummy method; this search makes no sense for text fields

Paramètres
mixed | $from | Ignored
mixed | $to | Ignored
boolean | $include | Ignored
Renvoie
string Empty string
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/model/field/text.php


Joomla CMS: Référence de la classe FOFPlatform

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés | Attributs protégés statiques
Référence de la classe FOFPlatform
+ Graphe d'héritage de FOFPlatform:
FOFPlatformInterface FOFIntegrationJoomlaPlatform

Fonctions membres publiques

getOrdering ()
isEnabled ()
getIntegrationObject ($key)
setIntegrationObject ($key, $object)
setErrorHandling ($level, $log_level, $options=array())
getComponentBaseDirs ($component)
getViewTemplatePaths ($component, $view, $layout='default', $tpl=null, $strict=false)
getTemplateSuffixes ()
getTemplateOverridePath ($component, $absolute=true)
loadTranslations ($component)
authorizeAdmin ($component)
getUser ($id=null)
getDocument ()
getUserStateFromRequest ($key, $request, $input, $default=null, $type='none', $setUserState=true)
importPlugin ($type)
runPlugins ($event, $data)
authorise ($action, $assetname)
isBackend ()
isFrontend ()
isCli ()
supportsAjaxOrdering ()
checkVersion ($version1, $version2, $operator)
setCache ($key, $content)
getCache ($key, $default=null)
isGlobalFOFCacheEnabled ()
clearCache ()
loginUser ($authInfo)
logoutUser ()
logDeprecated ($message)
getPlatformName ()
getPlatformVersion ()
getPlatformHumanName ()
- Fonctions membres publiques hérités de FOFPlatformInterface
checkExecution ()
raiseError ($code, $message)
getPlatformBaseDirs ()
getDate ($time='now', $tzOffest=null, $locale=true)
getLanguage ()
getDbo ()
getConfig ()
logAddLogger ($file)
logDebug ($message)
URIroot ($pathonly=false, $path=null)
URIbase ($pathonly=false)
setHeader ($name, $value, $replace=false)
sendHeaders ()

Fonctions membres publiques statiques

static | registerPlatformPath ($path)
static | unregisterPlatformPath ($path)
static | forceInstance ($instance)
static | getInstance ()

Champs de données

$ordering = 100
$name = ''
$humanReadableName = 'Unknown Platform'
$version = ''

Attributs protégés

$isEnabled = null
$objectCache = array()

Attributs protégés statiques

static | $paths = array()
static | $instance = null

Documentation des fonctions membres

◆ authorise()

authorise | ( | $action,
 |  | $assetname
 | ) |

Perform an ACL check.

Paramètres
string | $action | The ACL privilege to check, e.g. core.edit
string | $assetname | The asset name to check, typically the component's name
Voir également
FOFPlatformInterface::authorise()
Renvoie
boolean True if the user is allowed this action

Implémente FOFPlatformInterface.

◆ authorizeAdmin()

authorizeAdmin ( $component )

Authorise access to the component in the back-end.

Paramètres
string $component The name of the component.
Voir également
FOFPlatformInterface::authorizeAdmin()
Renvoie
boolean True to allow loading the component, false to halt loading

Implémente FOFPlatformInterface.

◆ checkVersion()

checkVersion | ( | $version1,
 |  | $version2,
 |  | $operator
 | ) |

Performs a check between two versions. Use this function instead of PHP version_compare so we can mock it while testing

Paramètres
string | $version1 | First version number
string | $version2 | Second version number
string | $operator | Operator (see version_compare for valid operators)
Renvoie
boolean

Implémente FOFPlatformInterface.

Références $version1, et $version2.

◆ clearCache()

clearCache ( )

Clears the cache of system-wide FOF data. You are supposed to call this in your components' installation script post-installation and post-upgrade methods or whenever you are modifying the structure of database tables accessed by FOF. Please note that FOF's cache never expires and is not purged by Joomla!. You MUST use this method to manually purge the cache.

Renvoie
boolean True on success

Implémente FOFPlatformInterface.

◆ forceInstance()

static forceInstance ( $instance )
static

Force a specific platform object to be used. If null, nukes the cache

Paramètres
FOFPlatformInterface | null $instance The Platform object to be used
Renvoie
void

◆ getCache()

getCache | ( | $key,
 |  | $default = null
 | ) |

Retrieves data from the cache. This is supposed to be used for system-side FOF data, not application data.

Paramètres
string | $key | The key of the data to retrieve
string | $default | The default value to return if the key is not found or the cache is not populated
Renvoie
string The cached value

Implémente FOFPlatformInterface.

◆ getComponentBaseDirs()

getComponentBaseDirs ( $component )

Returns the base (root) directories for a given component.

Paramètres
string $component The name of the component. For Joomla! this is something like "com_example"
Voir également
FOFPlatformInterface::getComponentBaseDirs()
Renvoie
array A hash array with keys main, alt, site and admin.

Implémente FOFPlatformInterface.

◆ getDocument()

getDocument ( )

Returns the JDocument object which handles this component's response.

Voir également
FOFPlatformInterface::getDocument()
Renvoie
JDocument

Implémente FOFPlatformInterface.

Références null.

◆ getInstance()

static getInstance ( )
static

Find and return the most relevant platform object

Renvoie
FOFPlatformInterface

Références $path, et null.

Référencé par FOFInput\__callStatic(), FOFViewRaw\__construct(), FOFDatabaseInstaller\__construct(), FOFUtilsFilescheck\__construct(), FOFUtilsUpdate\__construct(), FOFToolbar\__construct(), FOFView\__construct(), FOFController\__construct(), FOFTable\__construct(), FOFModel\__construct(), FOFUtilsInstallscript\_applyPostInstallationMessages(), FOFController\_createModel(), FOFController\_createView(), FOFController\_csrfProtection(), FOFUtilsInstallscript\_reallyPublishAdminMenuItems(), FOFViewJson\_removeURIBase(), FOFView\_setPath(), FOFTemplateUtils\addCSS(), FOFModel\addIncludePath(), FOFTemplateUtils\addJS(), FOFTemplateUtils\addLESS(), FOFController\addPath(), FOFUtilsInstallscript\addPostInstallationMessage(), FOFModel\applyAccessFiltering(), FOFController\applySave(), FOFView\assign(), FOFView\assignRef(), FOFController\authorise(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_field(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_toolbar(), FOFAutoloaderComponent\autoload_fof_view(), FOFUtilsInstallscript\bugfixCantBuildAdminMenus(), FOFUtilsInstallscript\bugfixDBFunctionReturnedNoError(), FOFController\checkACL(), FOFTable\checkout(), FOFModel\checkout(), FOFModel\cleanCache(), FOFLess\compileFile(), FOFController\copy(), FOFController\createView(), FOFDispatcher\dispatch(), FOFViewForm\display(), FOFView\display(), FOFController\display(), FOFModelField\exact(), FOFController\execute(), FOFLess\fileExists(), FOFModel\findFormFilename(), FOFView\findRenderer(), FOFUtilsUpdate\findUpdatesJoomla(), FOFTemplateUtils\getAltPaths(), FOFToolbar\getAnInstance(), FOFModel\getAnInstance(), FOFTable\getAnInstance(), FOFFormFieldCalendar\getCalendar(), FOFUtilsUpdate\getCommonParameter(), FOFConfigProvider\getDomains(), FOFModelField\getField(), FOFFormHeaderFielddate\getFilter(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), FOFController\getItemidURLSuffix(), FOFController\getModel(), FOFToolbar\getMyViews(), FOFQueryAbstract\getNew(), FOFFormHeaderFieldselectable\getOptions(), FOFFormHeaderFieldsql\getOptions(), FOFFormHeaderAccesslevel\getOptions(), FOFFormFieldTag\getOptions(), FOFFormFieldComponents\getOptions(), FOFFormFieldList\getOptions(), FOFLayoutFile\getPath(), FOFFormFieldOrdering\getQuery(), FOFFormFieldUsergroup\getRepeatable(), FOFFormFieldAccesslevel\getRepeatable(), FOFFormFieldUser\getRepeatable(), FOFFormFieldAccesslevel\getStatic(), FOFFormFieldUsergroup\getStatic(), FOFFormFieldMedia\getStatic(), FOFFormFieldImagelist\getStatic(), FOFModel\getTable(), FOFTable\getTableFields(), FOFDispatcher\getTask(), FOFController\getThisView(), FOFDispatcher\getTmpInstance(), FOFController\getTmpInstance(), UsersModelProfile\getTwofactorform(), UsersModelUser\getTwofactorform(), UsersHelper\getTwoFactorMethods(), FOFUtilsUpdate\getUpdateSiteIds(), FOFModel\getUserStateFromRequest(), FOFUtilsInstallscript\installSubextensions(), FOFDispatcher\isCliAdmin(), FOFAutoloaderComponent\isFOFComponent(), UsersModelUser\isValidSecretKey(), FOFView\loadAnyTemplate(), FOFFormHelper\loadClass(), FOFUtilsConfigHelper\loadComponentConfig(), FOFModel\loadForm(), FOFView\loadHelper(), FOFTemplateUtils\loadPosition(), FOFView\loadTemplate(), FOFRenderStrapper\loadValidationScript(), FOFRenderJoomla\loadValidationScript(), FOFToolbar\onAdd(), FOFModelBehaviorPrivate\onAfterBuildQuery(), FOFModelBehaviorEnabled\onAfterBuildQuery(), FOFModelBehaviorAccess\onAfterBuildQuery(), FOFModelBehaviorLanguage\onAfterBuildQuery(), FOFModel\onAfterDelete(), FOFDispatcher\onAfterDispatch(), FOFModelBehaviorAccess\onAfterGetItem(), FOFModelBehaviorPrivate\onAfterGetItem(), FOFModelBehaviorLanguage\onAfterGetItem(), FOFModel\onAfterSave(), FOFModelBehaviorLanguage\onBeforeBuildQuery(), FOFModel\onBeforeDelete(), FOFDispatcher\onBeforeDispatchCLI(), FOFModel\onBeforeSave(), FOFToolbar\onBrowse(), FOFToolbar\onCpanelsBrowse(), FOFViewJson\onDisplay(), FOFViewCsv\onDisplay(), FOFViewRaw\onDisplay(), FOFViewRaw\onEdit(), FOFToolbar\onEdit(), FOFViewJson\onRead(), FOFToolbar\onRead(), PlgTwofactorauthYubikey\onUserTwofactorShowConfiguration(), PlgTwofactorauthTotp\onUserTwofactorShowConfiguration(), FOFConfigProvider\parseComponent(), FOFConfigProvider\parseComponentArea(), FOFTemplateUtils\parsePath(), FOFUtilsInstallscript\postflight(), FOFRenderJoomla3\postRender(), FOFRenderJoomla\postRender(), FOFRenderStrapper\postRender(), FOFModel\preprocessForm(), FOFRenderJoomla3\preRender(), FOFRenderStrapper\preRender(), FOFRenderJoomla\preRender(), FOFViewHtml\preRender(), FOFModel\publish(), FOFRenderStrapper\renderButtons(), FOFRenderJoomla\renderButtons(), FOFRenderAbstract\renderCategoryLinkbar(), FOFRenderStrapper\renderFieldsetLabel(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderJoomla\renderFormEdit(), FOFRenderStrapper\renderFormEdit(), FOFToolbar\renderFromConfig(), FOFRenderJoomla\renderLinkbar(), FOFRenderStrapper\renderLinkbar_classic(), FOFRenderStrapper\renderLinkbar_joomla(), AdminModelProfile\save(), UsersModelUser\save(), UsersModelProfile\save(), FOFUtilsUpdate\setCommonParameter(), FOFView\setEscape(), FOFModel\setId(), FOFController\setRedirect(), FOFInput\setVar(), FOFFormFieldComponents\translate(), FOFDispatcher\transparentAuthentication(), FOFUtilsInstallscript\uninstallObsoleteSubextensions(), FOFUtilsInstallscript\uninstallPostInstallationMessages(), FOFUtilsInstallscript\uninstallSubextensions(), et FOFUtilsUpdate\updateComponent().

◆ getIntegrationObject()

getIntegrationObject ( $key )

Returns a platform integration object

Paramètres
string $key The key name of the platform integration object, e.g. 'filesystem'
Renvoie
object
Depuis
2.1.2

Implémente FOFPlatformInterface.

Références $className, et $key.

◆ getOrdering()

getOrdering ( )

Returns the ordering of the platform class.

Voir également
FOFPlatformInterface::getOrdering()
Renvoie
integer

Implémente FOFPlatformInterface.

Références $ordering.

◆ getPlatformHumanName()

getPlatformHumanName ( )

Returns the human readable platform name, e.g. "Joomla!", "Joomla! Framework", "Something Something Something Framework" etc.

Renvoie
string
Depuis
2.1.2

Implémente FOFPlatformInterface.

◆ getPlatformName()

getPlatformName ( )

Returns the (internal) name of the platform implementation, e.g. "joomla", "foobar123" etc. This MUST be the last part of the platform class name. For example, if you have a platform implementation class FOFPlatformFoobar you MUST return "foobar" (all lowercase).

Renvoie
string
Depuis
2.1.2

Implémente FOFPlatformInterface.

Références $name.

◆ getPlatformVersion()

getPlatformVersion ( )

Returns the version number string of the platform, e.g. "4.5.6". If implementation integrates with a CMS or a versioned foundation (e.g. a framework) it is advisable to return that version.

Renvoie
string
Depuis
2.1.2

Implémente FOFPlatformInterface.

Références $version.

◆ getTemplateOverridePath()

getTemplateOverridePath | ( | $component,
 |  | $absolute = true
 | ) |

Return the absolute path to the application's template overrides directory for a specific component. We will use it to look for template files instead of the regular component directories. If the application does not have such a thing as template overrides return an empty string.

Paramètres
string | $component | The name of the component for which to fetch the overrides
boolean | $absolute | Should I return an absolute or relative path?
Renvoie
string The path to the template overrides directory

Implémente FOFPlatformInterface.

◆ getTemplateSuffixes()

getTemplateSuffixes ( )

Get application-specific suffixes to use with template paths. This allows you to look for view template overrides based on the application version.

Renvoie
array A plain array of suffixes to try in template names

Implémente FOFPlatformInterface.

◆ getUser()

getUser ( $id = null )

Returns the JUser object for the current user

Paramètres
integer $id The ID of the user to fetch
Voir également
FOFPlatformInterface::getUser()
Renvoie
JDocument

Implémente FOFPlatformInterface.

Références null.

◆ getUserStateFromRequest()

getUserStateFromRequest | ( | $key,
 |  | $request,
 |  | $input,
 |  | $default = null,
 |  | $type = 'none',
 |  | $setUserState = true
 | ) |

This method will try retrieving a variable from the request (input) data.

Paramètres
string | $key | The user state key for the variable
string | $request | The request variable name for the variable
FOFInput | $input | The FOFInput object with the request (input) data
mixed | $default | The default value. Default: null
string | $type | The filter type for the variable data. Default: none (no filtering)
boolean | $setUserState | Should I set the user state with the fetched value?
Voir également
FOFPlatformInterface::getUserStateFromRequest()
Renvoie
mixed The value of the variable

Implémente FOFPlatformInterface.

Références $default, $input, et $type.

◆ getViewTemplatePaths()

getViewTemplatePaths | ( | $component,
 |  | $view,
 |  | $layout = 'default',
 |  | $tpl = null,
 |  | $strict = false
 | ) |

Return a list of the view template directories for this component.

Paramètres
string | $component | The name of the component. For Joomla! this is something like "com_example"
string | $view | The name of the view you're looking a template for
string | $layout | The layout name to load, e.g. 'default'
string | $tpl | The sub-template name to load (null by default)
boolean | $strict | If true, only the specified layout will be searched for. Otherwise we'll fall back to the 'default' layout if the specified layout is not found.
Voir également
FOFPlatformInterface::getViewTemplateDirs()
Renvoie
array

Implémente FOFPlatformInterface.

◆ importPlugin()

importPlugin ( $type )

Load plugins of a specific type. Obviously this seems to only be required in the Joomla! CMS.

Paramètres
string $type The type of the plugins to be loaded
Voir également
FOFPlatformInterface::importPlugin()
Renvoie
void

Implémente FOFPlatformInterface.

◆ isBackend()

isBackend ( )

Is this the administrative section of the component?

Voir également
FOFPlatformInterface::isBackend()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ isCli()

isCli ( )

Is this a component running in a CLI application?

Voir également
FOFPlatformInterface::isCli()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ isEnabled()

isEnabled ( )

Is this platform enabled?

Voir également
FOFPlatformInterface::isEnabled()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ isFrontend()

isFrontend ( )

Is this the public section of the component?

Voir également
FOFPlatformInterface::isFrontend()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ isGlobalFOFCacheEnabled()

isGlobalFOFCacheEnabled ( )

Is the global FOF cache enabled?

Renvoie
boolean

Implémente FOFPlatformInterface.

◆ loadTranslations()

loadTranslations ( $component )

Load the translation files for a given component.

Paramètres
string $component The name of the component. For Joomla! this is something like "com_example"
Voir également
FOFPlatformInterface::loadTranslations()
Renvoie
void

Implémente FOFPlatformInterface.

Références null.

◆ logDeprecated()

logDeprecated ( $message )

Logs a deprecated practice. In Joomla! this results in the $message being output in the deprecated log file, found in your site's log directory.

Paramètres
$message The deprecated practice log message
Renvoie
void

Implémente FOFPlatformInterface.

◆ loginUser()

loginUser ( $authInfo )

logs in a user

Paramètres
array $authInfo authentication information
Renvoie
boolean True on success

Implémente FOFPlatformInterface.

◆ logoutUser()

logoutUser ( )

logs out a user

Renvoie
boolean True on success

Implémente FOFPlatformInterface.

◆ registerPlatformPath()

static registerPlatformPath ( $path )
static

Register a path where platform files will be looked for. These take precedence over the built-in platform files.

Paramètres
string $path The path to add
Renvoie
void

Références $path, et null.

◆ runPlugins()

runPlugins | ( | $event,
 |  | $data
 | ) |

Execute plugins (system-level triggers) and fetch back an array with their return values.

Paramètres
string | $event | The event (trigger) name, e.g. onBeforeScratchMyEar
array | $data | A hash array of data sent to the plugins as part of the trigger
Voir également
FOFPlatformInterface::runPlugins()
Renvoie
array A simple array containing the results of the plugins triggered

Implémente FOFPlatformInterface.

◆ setCache()

setCache | ( | $key,
 |  | $content
 | ) |

Saves something to the cache. This is supposed to be used for system-wide FOF data, not application data.

Paramètres
string | $key | The key of the data to save
string | $content | The actual data to save
Renvoie
boolean True on success

Implémente FOFPlatformInterface.

◆ setErrorHandling()

setErrorHandling | ( | $level,
 |  | $log_level,
 |  | $options = array()
 | ) |

Set the error Handling, if possible

Paramètres
integer | $level | PHP error level (E_ALL)
string | $log_level | What to do with the error (ignore, callback)
array | $options | Options for the error handler
Renvoie
void

Implémente FOFPlatformInterface.

Références $options, et JError\setErrorHandling().

◆ setIntegrationObject()

setIntegrationObject | ( | $key,
 |  | $object
 | ) |

Forces a platform integration object instance

Paramètres
string | $key | The key name of the platform integration object, e.g. 'filesystem'
object | $object | The object to force for this key
Renvoie
object
Depuis
2.1.2

Implémente FOFPlatformInterface.

Références $key.

◆ supportsAjaxOrdering()

supportsAjaxOrdering ( )

Is AJAX re-ordering supported? This is 100% Joomla!-CMS specific. All other platforms should return false and never ask why.

Voir également
FOFPlatformInterface::supportsAjaxOrdering()
Renvoie
boolean

Implémente FOFPlatformInterface.

◆ unregisterPlatformPath()

static unregisterPlatformPath ( $path )
static

Unregister a path where platform files will be looked for.

Paramètres
string $path The path to remove
Renvoie
void

Références $path, et null.

Documentation des champs

◆ $humanReadableName

$humanReadableName = 'Unknown Platform'

◆ $instance

$instance = null
staticprotected

◆ $isEnabled

$isEnabled = null
protected

◆ $name

$name = ''

◆ $objectCache

$objectCache = array()
protected

◆ $ordering

$ordering = 100

◆ $paths

$paths = array()
staticprotected

◆ $version

$version = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/platform/platform.php


Joomla CMS: Référence de la classe FOFPlatformFilesystem

Fonctions membres publiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe FOFPlatformFilesystem
+ Graphe d'héritage de FOFPlatformFilesystem:
FOFPlatformFilesystemInterface FOFIntegrationJoomlaFilesystem

Fonctions membres publiques

getExt ($file)
stripExt ($file)
- Fonctions membres publiques hérités de FOFPlatformFilesystemInterface
fileExists ($path)
fileDelete ($file)
fileCopy ($src, $dest)
fileWrite ($file, &$buffer)
pathCheck ($path)
pathClean ($path, $ds=DIRECTORY_SEPARATOR)
pathFind ($paths, $file)
folderExists ($path)
folderFiles ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*', '.*~'))
folderFolders ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*'))
folderCreate ($path='', $mode=0755)

Fonctions membres protégées statiques

static | getFiles ($path, array $ignoreFolders=array(), array $ignoreFiles=array())
static | scanDirectory ($path, array $ignoreFolders=array(), array $ignoreFiles=array())

Attributs protégés statiques

static $paths = array()

Documentation des fonctions membres

◆ getExt()

getExt ( $file )

Gets the extension of a file name

Paramètres
string $file The file name
Renvoie
string The file extension

Références $file.

◆ getFiles()

static getFiles | ( |  | $path,
 |  | array | $ignoreFolders = array(),
 |  | array | $ignoreFiles = array()
 | ) |  |
staticprotected

This method will crawl a starting directory and get all the valid files that will be analyzed by getInstance. Then it organizes them into an associative array.

Paramètres
string | $path | Folder where we should start looking
array | $ignoreFolders | Folder ignore list
array | $ignoreFiles | File ignore list
Renvoie
array Associative array, where the fullpath key contains the path to the file, and the classname key contains the name of the class

Références $file, $files, $parts, $path, et $return.

◆ scanDirectory()

static scanDirectory | ( |  | $path,
 |  | array | $ignoreFolders = array(),
 |  | array | $ignoreFiles = array()
 | ) |  |
staticprotected

Recursive function that will scan every directory unless it's in the ignore list. Files that aren't in the ignore list are returned.

Paramètres
string | $path | Folder where we should start looking
array | $ignoreFolders | Folder ignore list
array | $ignoreFiles | File ignore list
Renvoie
array List of all the files

Références $file, $path, et $return.

◆ stripExt()

stripExt ( $file )

Strips the last extension off of a file name

Paramètres
string $file The file name
Renvoie
string The file name without the extension

Références $file.

Documentation des champs

◆ $paths

$paths = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • platform/filesystem/filesystem.php


Joomla CMS: Référence de l'interface FOFPlatformFilesystemInterface

Fonctions membres publiques
Référence de l'interface FOFPlatformFilesystemInterface
+ Graphe d'héritage de FOFPlatformFilesystemInterface:
FOFIntegrationJoomlaFilesystem FOFPlatformFilesystem FOFIntegrationJoomlaFilesystem

Fonctions membres publiques

fileExists ($path)
fileDelete ($file)
fileCopy ($src, $dest)
fileWrite ($file, &$buffer)
pathCheck ($path)
pathClean ($path, $ds=DIRECTORY_SEPARATOR)
pathFind ($paths, $file)
folderExists ($path)
folderFiles ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*', '.*~'))
folderFolders ($path, $filter='.', $recurse=false, $full=false, $exclude=array('.svn', 'CVS', '.DS_Store', '__MACOSX'), $excludefilter=array('^\..*'))
folderCreate ($path='', $mode=0755)

Documentation des fonctions membres

◆ fileCopy()

fileCopy | ( | $src,
 |  | $dest
 | ) |

Copies a file

Paramètres
string | $src | The path to the source file
string | $dest | The path to the destination file
Renvoie
boolean True on success

◆ fileDelete()

fileDelete ( $file )

Delete a file or array of files

Paramètres
mixed $file The file name or an array of file names
Renvoie
boolean True on success

Implémenté dans FOFIntegrationJoomlaFilesystem.

◆ fileExists()

fileExists ( $path )

Does the file exists?

Paramètres
$path string Path to the file to test
Renvoie
bool

Implémenté dans FOFIntegrationJoomlaFilesystem.

◆ fileWrite()

fileWrite | ( |  | $file,
 |  | & | $buffer
 | ) |  |

Write contents to a file

Paramètres
string | $file | The full file path
string | &$buffer | The buffer to write
Renvoie
boolean True on success

◆ folderCreate()

folderCreate | ( | $path = '',
 |  | $mode = 0755
 | ) |

Create a folder – and all necessary parent folders.

Paramètres
string | $path | A path to create from the base path.
integer | $mode | Directory permissions to set for folders created. 0755 by default.
Renvoie
boolean True if successful.

Implémenté dans FOFIntegrationJoomlaFilesystem.

◆ folderExists()

folderExists ( $path )

Wrapper for the standard file_exists function

Paramètres
string $path Folder name relative to installation dir
Renvoie
boolean True if path is a folder

Implémenté dans FOFIntegrationJoomlaFilesystem.

◆ folderFiles()

folderFiles | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludefilter = array('^\..*', '.*~')
 | ) |

Utility function to read the files in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for file names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the file.
array | $exclude | Array with names of files which should not be shown in the result.
array | $excludefilter | Array of filter to exclude
Renvoie
array Files in the given folder.

◆ folderFolders()

folderFolders | ( | $path,
 |  | $filter = '.',
 |  | $recurse = false,
 |  | $full = false,
 |  | $exclude = array('.svn', 'CVS', '.DS_Store', '__MACOSX'),
 |  | $excludefilter = array('^\..*')
 | ) |

Utility function to read the folders in a folder.

Paramètres
string | $path | The path of the folder to read.
string | $filter | A filter for folder names.
mixed | $recurse | True to recursively search into sub-folders, or an integer to specify the maximum depth.
boolean | $full | True to return the full path to the folders.
array | $exclude | Array with names of folders which should not be shown in the result.
array | $excludefilter | Array with regular expressions matching folders which should not be shown in the result.
Renvoie
array Folders in the given folder.

Implémenté dans FOFIntegrationJoomlaFilesystem.

◆ pathCheck()

pathCheck ( $path )

Checks for snooping outside of the file system root.

Paramètres
string $path A file system path to check.
Renvoie
string A cleaned version of the path or exit on error.
Exceptions
Exception

Implémenté dans FOFIntegrationJoomlaFilesystem.

◆ pathClean()

pathClean | ( | $path,
 |  | $ds = DIRECTORY_SEPARATOR
 | ) |

Function to strip additional / or \ in a path name.

Paramètres
string | $path | The path to clean.
string | $ds | Directory separator (optional).
Renvoie
string The cleaned path.
Exceptions
UnexpectedValueException

Implémenté dans FOFIntegrationJoomlaFilesystem.

◆ pathFind()

pathFind | ( | $paths,
 |  | $file
 | ) |

Searches the directory paths for a given file.

Paramètres
mixed | $paths | An path string or array of path strings to search in
string | $file | The file name to look for.
Renvoie
mixed The full path and file name for the target file, or boolean false if the file is not found in any of the paths.

Implémenté dans FOFIntegrationJoomlaFilesystem.

La documentation de cette interface a été générée à partir du fichier suivant :
  • fof/platform/filesystem/interface.php


Joomla CMS: Référence de l'interface FOFPlatformInterface

Fonctions membres publiques
Référence de l'interface FOFPlatformInterface
+ Graphe d'héritage de FOFPlatformInterface:
FOFIntegrationJoomlaPlatform FOFPlatform FOFIntegrationJoomlaPlatform

Fonctions membres publiques

checkExecution ()
setErrorHandling ($level, $log_level, $options=array())
raiseError ($code, $message)
getOrdering ()
getIntegrationObject ($key)
setIntegrationObject ($key, $object)
isEnabled ()
getPlatformName ()
getPlatformVersion ()
getPlatformHumanName ()
getPlatformBaseDirs ()
getComponentBaseDirs ($component)
getViewTemplatePaths ($component, $view, $layout='default', $tpl=null, $strict=false)
getTemplateSuffixes ()
getTemplateOverridePath ($component, $absolute=true)
loadTranslations ($component)
authorizeAdmin ($component)
getUserStateFromRequest ($key, $request, $input, $default=null, $type='none', $setUserState=true)
importPlugin ($type)
runPlugins ($event, $data)
authorise ($action, $assetname)
getUser ($id=null)
getDocument ()
getDate ($time='now', $tzOffest=null, $locale=true)
getLanguage ()
getDbo ()
isBackend ()
isFrontend ()
isCli ()
supportsAjaxOrdering ()
checkVersion ($version1, $version2, $operator)
setCache ($key, $content)
getCache ($key, $default=null)
clearCache ()
getConfig ()
isGlobalFOFCacheEnabled ()
loginUser ($authInfo)
logoutUser ()
logAddLogger ($file)
logDeprecated ($message)
logDebug ($message)
URIroot ($pathonly=false, $path=null)
URIbase ($pathonly=false)
setHeader ($name, $value, $replace=false)
sendHeaders ()

Documentation des fonctions membres

◆ authorise()

authorise | ( | $action,
 |  | $assetname
 | ) |

Perform an ACL check. Please note that FOF uses by default the Joomla! CMS convention for ACL privileges, e.g core.edit for the edit privilege. If your platform uses different conventions you'll have to override the FOF defaults using fof.xml or by specialising the controller.

Paramètres
string | $action | The ACL privilege to check, e.g. core.edit
string | $assetname | The asset name to check, typically the component's name
Renvoie
boolean True if the user is allowed this action

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ authorizeAdmin()

authorizeAdmin ( $component )

By default FOF will only use the Controller's onBefore* methods to perform user authorisation. In some cases, like the Joomla! back-end, you also need to perform component-wide user authorisation in the Dispatcher. This method MUST implement this authorisation check. If you do not need this in your platform, please always return true.

Paramètres
string $component The name of the component.
Renvoie
boolean True to allow loading the component, false to halt loading

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ checkExecution()

checkExecution ( )

Checks if the current script is run inside a valid CMS execution

Renvoie
bool

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ checkVersion()

checkVersion | ( | $version1,
 |  | $version2,
 |  | $operator
 | ) |

Performs a check between two versions. Use this function instead of PHP version_compare so we can mock it while testing

Paramètres
string | $version1 | First version number
string | $version2 | Second version number
string | $operator | Operator (see version_compare for valid operators)
Obsolète:
Use PHP's version_compare against JVERSION in your code. This method is scheduled for removal in FOF 3.0
@return  boolean

Implémenté dans FOFPlatform.

◆ clearCache()

clearCache ( )

Clears the cache of system-wide FOF data. You are supposed to call this in your components' installation script post-installation and post-upgrade methods or whenever you are modifying the structure of database tables accessed by FOF. Please note that FOF's cache never expires and is not purged by Joomla!. You MUST use this method to manually purge the cache.

Renvoie
boolean True on success

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ getCache()

getCache | ( | $key,
 |  | $default = null
 | ) |

Retrieves data from the cache. This is supposed to be used for system-side FOF data, not application data.

Paramètres
string | $key | The key of the data to retrieve
string | $default | The default value to return if the key is not found or the cache is not populated
Renvoie
string The cached value

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ getComponentBaseDirs()

getComponentBaseDirs ( $component )

Returns the base (root) directories for a given component. The "component" is used in the sense of what we call "component" in Joomla!, "plugin" in WordPress and "module" in Drupal, i.e. an application which is running inside our main application (CMS).

The return is a table with the following keys:

  • main The normal location of component files. For a back-end Joomla! component this is the administrator/components/com_example directory.
  • alt The alternate location of component files. For a back-end Joomla! component this is the front-end directory, e.g. components/com_example
  • site The location of the component files serving the public part of the application.
  • admin The location of the component files serving the administrative part of the application.

All paths MUST be absolute. All four paths MAY be the same if the platform doesn't make a distinction between public and private parts, or when the component does not provide both a public and private part. All of the directories MUST be defined and non-empty.

Paramètres
string $component The name of the component. For Joomla! this is something like "com_example"
Renvoie
array A hash array with keys main, alt, site and admin.

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ getConfig()

getConfig ( )

Returns an object that holds the configuration of the current site.

Renvoie
mixed

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ getDate()

getDate | ( | $time = 'now',
 |  | $tzOffest = null,
 |  | $locale = true
 | ) |

Returns an object to handle dates

Paramètres
mixed | $time | The initial time
null | $tzOffest | The timezone offset
bool | $locale | Should I try to load a specific class for current language?
Renvoie
JDate object

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ getDbo()

getDbo ( )
Renvoie
FOFDatabaseDriver

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ getDocument()

getDocument ( )

Returns the JDocument object which handles this component's response. You may also return null and FOF will a. try to figure out the output type by examining the "format" input parameter (or fall back to "html") and b. FOF will not attempt to load CSS and Javascript files (as it doesn't make sense if there's no JDocument to handle them).

Renvoie
JDocument

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ getIntegrationObject()

getIntegrationObject ( $key )

Returns a platform integration object

Paramètres
string $key The key name of the platform integration object, e.g. 'filesystem'
Renvoie
object
Depuis
2.1.2

Implémenté dans FOFPlatform.

◆ getLanguage()

getLanguage ( )

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ getOrdering()

getOrdering ( )

Returns the ordering of the platform class. Files with a lower ordering number will be loaded first.

Renvoie
integer

Implémenté dans FOFPlatform.

◆ getPlatformBaseDirs()

getPlatformBaseDirs ( )

Returns absolute path to directories used by the CMS.

The return is a table with the following key:

  • root Path to the site root
  • public Path to the public area of the site
  • admin Path to the administrative area of the site
  • tmp Path to the temp directory
  • log Path to the log directory
Renvoie
array A hash array with keys root, public, admin, tmp and log.

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ getPlatformHumanName()

getPlatformHumanName ( )

Returns the human readable platform name, e.g. "Joomla!", "Joomla! Framework", "Something Something Something Framework" etc.

Renvoie
string
Depuis
2.1.2

Implémenté dans FOFPlatform.

◆ getPlatformName()

getPlatformName ( )

Returns the (internal) name of the platform implementation, e.g. "joomla", "foobar123" etc. This MUST be the last part of the platform class name. For example, if you have a plaform implementation class FOFPlatformFoobar you MUST return "foobar" (all lowercase).

Renvoie
string
Depuis
2.1.2

Implémenté dans FOFPlatform.

◆ getPlatformVersion()

getPlatformVersion ( )

Returns the version number string of the platform, e.g. "4.5.6". If implementation integrates with a CMS or a versioned foundation (e.g. a framework) it is advisable to return that version.

Renvoie
string
Depuis
2.1.2

Implémenté dans FOFPlatform.

◆ getTemplateOverridePath()

getTemplateOverridePath | ( | $component,
 |  | $absolute = true
 | ) |

Return the absolute path to the application's template overrides directory for a specific component. We will use it to look for template files instead of the regular component directorues. If the application does not have such a thing as template overrides return an empty string.

Paramètres
string | $component | The name of the component for which to fetch the overrides
boolean | $absolute | Should I return an absolute or relative path?
Renvoie
string The path to the template overrides directory

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ getTemplateSuffixes()

getTemplateSuffixes ( )

Get application-specific suffixes to use with template paths. This allows you to look for view template overrides based on the application version.

Renvoie
array A plain array of suffixes to try in template names

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ getUser()

getUser ( $id = null )

Returns a user object.

Paramètres
integer $id The user ID to load. Skip or use null to retrieve the object for the currently logged in user.
Renvoie
JUser The JUser object for the specified user

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ getUserStateFromRequest()

getUserStateFromRequest | ( | $key,
 |  | $request,
 |  | $input,
 |  | $default = null,
 |  | $type = 'none',
 |  | $setUserState = true
 | ) |

This method will try retrieving a variable from the request (input) data. If it doesn't exist it will be loaded from the user state, typically stored in the session. If it doesn't exist there either, the $default value will be used. If $setUserState is set to true, the retrieved variable will be stored in the user session.

Paramètres
string | $key | The user state key for the variable
string | $request | The request variable name for the variable
FOFInput | $input | The FOFInput object with the request (input) data
mixed | $default | The default value. Default: null
string | $type | The filter type for the variable data. Default: none (no filtering)
boolean | $setUserState | Should I set the user state with the fetched value?
Renvoie
mixed The value of the variable

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ getViewTemplatePaths()

getViewTemplatePaths | ( | $component,
 |  | $view,
 |  | $layout = 'default',
 |  | $tpl = null,
 |  | $strict = false
 | ) |

Return a list of the view template paths for this component. The paths are in the format site:/component_name/view_name/layout_name or admin:/component_name/view_name/layout_name

The list of paths returned is a prioritised list. If a file is found in the first path the other paths will not be scanned.

Paramètres
string | $component | The name of the component. For Joomla! this is something like "com_example"
string | $view | The name of the view you're looking a template for
string | $layout | The layout name to load, e.g. 'default'
string | $tpl | The sub-template name to load (null by default)
boolean | $strict | If true, only the specified layout will be searched for. Otherwise we'll fall back to the 'default' layout if the specified layout is not found.
Renvoie
array

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ importPlugin()

importPlugin ( $type )

Load plugins of a specific type. Obviously this seems to only be required in the Joomla! CMS.

Paramètres
string $type The type of the plugins to be loaded
Renvoie
void

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ isBackend()

isBackend ( )

Is this the administrative section of the component?

Renvoie
boolean

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ isCli()

isCli ( )

Is this a component running in a CLI application?

Renvoie
boolean

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ isEnabled()

isEnabled ( )

Is this platform enabled? This is used for automatic platform detection. If the environment we're currently running in doesn't seem to be your platform return false. If many classes return true, the one with the lowest order will be picked by FOFPlatform.

Renvoie
boolean

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ isFrontend()

isFrontend ( )

Is this the public section of the component?

Renvoie
boolean

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ isGlobalFOFCacheEnabled()

isGlobalFOFCacheEnabled ( )

Is the global FOF cache enabled?

Renvoie
boolean

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ loadTranslations()

loadTranslations ( $component )

Load the translation files for a given component. The "component" is used in the sense of what we call "component" in Joomla!, "plugin" in WordPress and "module" in Drupal, i.e. an application which is running inside our main application (CMS).

Paramètres
string $component The name of the component. For Joomla! this is something like "com_example"
Renvoie
void

Implémenté dans FOFPlatform, et FOFIntegrationJoomlaPlatform.

◆ logAddLogger()

logAddLogger ( $file )

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ logDebug()

logDebug ( $message )

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ logDeprecated()

logDeprecated ( $message )

Logs a deprecated practice. In Joomla! this results in the $message being output in the deprecated log file, found in your site's log directory.

Paramètres
string $message The deprecated practice log message
Renvoie
void

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ loginUser()

loginUser ( $authInfo )

logs in a user

Paramètres
array $authInfo authentication information
Renvoie
boolean True on success

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ logoutUser()

logoutUser ( )

logs out a user

Renvoie
boolean True on success

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ raiseError()

raiseError | ( | $code,
 |  | $message
 | ) |

Raises an error, using the logic requested by the CMS (PHP Exception or dedicated class)

Paramètres
integer | $code
string | $message
Renvoie
mixed

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ runPlugins()

runPlugins | ( | $event,
 |  | $data
 | ) |

Execute plugins (system-level triggers) and fetch back an array with their return values.

Paramètres
string | $event | The event (trigger) name, e.g. onBeforeScratchMyEar
array | $data | A hash array of data sent to the plugins as part of the trigger
Renvoie
array A simple array containing the results of the plugins triggered

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ sendHeaders()

sendHeaders ( )

In platforms that perform header caching, send all headers.

Renvoie
void

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ setCache()

setCache | ( | $key,
 |  | $content
 | ) |

Saves something to the cache. This is supposed to be used for system-wide FOF data, not application data.

Paramètres
string | $key | The key of the data to save
string | $content | The actual data to save
Renvoie
boolean True on success

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ setErrorHandling()

setErrorHandling | ( | $level,
 |  | $log_level,
 |  | $options = array()
 | ) |

Set the error Handling, if possible

Paramètres
integer | $level | PHP error level (E_ALL)
string | $log_level | What to do with the error (ignore, callback)
array | $options | Options for the error handler
Renvoie
void

Implémenté dans FOFPlatform.

◆ setHeader()

setHeader | ( | $name,
 |  | $value,
 |  | $replace = false
 | ) |

Method to set a response header. If the replace flag is set then all headers with the given name will be replaced by the new one (only if the current platform supports header caching)

Paramètres
string | $name | The name of the header to set.
string | $value | The value of the header to set.
boolean | $replace | True to replace any headers with the same name.
Renvoie
void

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ setIntegrationObject()

setIntegrationObject | ( | $key,
 |  | $object
 | ) |

Forces a platform integration object instance

Paramètres
string | $key | The key name of the platform integration object, e.g. 'filesystem'
object | $object | The object to force for this key
Renvoie
object
Depuis
2.1.2

Implémenté dans FOFPlatform.

◆ supportsAjaxOrdering()

supportsAjaxOrdering ( )

Is AJAX re-ordering supported? This is 100% Joomla!-CMS specific. All other platforms should return false and never ask why.

Renvoie
boolean

Implémenté dans FOFIntegrationJoomlaPlatform, et FOFPlatform.

◆ URIbase()

URIbase ( $pathonly = false )

Returns the base URI for the request.

Paramètres
boolean $pathonly If false, prepend the scheme, host and port information. Default is false. |
Renvoie
string The base URI string

Implémenté dans FOFIntegrationJoomlaPlatform.

◆ URIroot()

URIroot | ( | $pathonly = false,
 |  | $path = null
 | ) |

Returns the root URI for the request.

Paramètres
boolean | $pathonly | If false, prepend the scheme, host and port information. Default is false.
string | $path | The path
Renvoie
string The root URI string.

Implémenté dans FOFIntegrationJoomlaPlatform.

La documentation de cette interface a été générée à partir du fichier suivant :
  • fof/platform/interface.php


Joomla CMS: Référence de la classe FOFQueryAbstract

Fonctions membres publiques statiques
Référence de la classe FOFQueryAbstract

Fonctions membres publiques statiques

static & getNew ($db=null)

Documentation des fonctions membres

◆ getNew()

static& getNew ( $db = null )
static

Returns a new database query class

Paramètres
FOFDatabaseDriver $db The DB driver which will provide us with a query object
Renvoie
FOFQueryAbstract

Références $db, et FOFPlatform\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • query/abstract.php


Joomla CMS: Référence de la classe FOFRenderAbstract

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFRenderAbstract
+ Graphe d'héritage de FOFRenderAbstract:
FOFRenderJoomla FOFRenderStrapper FOFRenderJoomla3

Fonctions membres publiques

getInformation ()
preRender ($view, $task, $input, $config=array())
postRender ($view, $task, $input, $config=array())
renderForm (FOFForm &$form, FOFModel $model, FOFInput $input, $formType=null, $raw=false)
renderCategoryLinkbar ($extension, $config=array())

Fonctions membres protégées

renderFormBrowse (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRead (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormEdit (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRaw (FOFForm &$form, FOFModel $model, FOFInput $input, $formType)
renderFieldset (stdClass &$fieldset, FOFForm &$form, FOFModel $model, FOFInput $input, $formType, $showHeader=true)
renderFieldsetLabel ($field, FOFForm &$form, $title)
isTabFieldset ($fieldset)

Attributs protégés

$priority = 50
$enabled = false

Documentation des fonctions membres

◆ getInformation()

getInformation ( )

Returns the information about this renderer

Renvoie
object

◆ isTabFieldset()

isTabFieldset ( $fieldset )
protected

Checks if the fieldset defines a tab pane

Paramètres
SimpleXMLElement $fieldset
Renvoie
boolean

Références $class, et $classes.

◆ postRender()

postRender | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |
abstract

Echoes any HTML to show after the view template

Paramètres
string | $view | The current view
string | $task | The current task
FOFInput | $input | The input array (request parameters)
array | $config | The view configuration array
Renvoie
void

◆ preRender()

preRender | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |
abstract

Echoes any HTML to show before the view template

Paramètres
string | $view | The current view
string | $task | The current task
FOFInput | $input | The input array (request parameters)
array | $config | The view configuration array
Renvoie
void

◆ renderCategoryLinkbar()

renderCategoryLinkbar | ( | $extension,
 |  | $config = array()
 | ) |

Renders the submenu (link bar) for a category view when it is used in a extension

Note: this function has to be called from the addSubmenu function in the ExtensionNameHelper class located in administrator/components/com_ExtensionName/helpers/Extensionname.php

Example Code:

 class ExtensionNameHelper
 {
            public static function addSubmenu($vName)
    {
            // Load FOF
            include_once JPATH_LIBRARIES . '/fof/include.php';

            if (!defined('FOF_INCLUDED'))
            {
                    JError::raiseError('500', 'FOF is not installed');
            }

            if (version_compare(JVERSION, '3.0', 'ge'))
            {
                    $strapper = new FOFRenderJoomla3;
            }
            else
            {
                    $strapper = new FOFRenderJoomla;
            }

            $strapper->renderCategoryLinkbar('com_babioonevent');
    }
 }
Paramètres
string | $extension | The name of the extension
array | $config | Extra configuration variables for the toolbar
Renvoie
void

Références $config, $extension, $toolbar, FOFToolbar\getAnInstance(), et FOFPlatform\getInstance().

◆ renderFieldset()

renderFieldset | ( | stdClass & | $fieldset,
 |  | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input,
 |  |  | $formType,
 |  |  | $showHeader = true
 | ) |  |
protected

Renders a raw fieldset of a FOFForm and returns the corresponding HTML

: Convert to an abstract method or interface at FOF3

Paramètres
stdClass | &$fieldset | The fieldset to render
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
string | $formType | The form type e.g. 'edit' or 'read'
boolean | $showHeader | Should I render the fieldset's header?
Renvoie
string The HTML rendering of the fieldset

◆ renderFieldsetLabel()

renderFieldsetLabel | ( |  | $field,
 |  | FOFForm & | $form,
 |  |  | $title
 | ) |  |
protected

Renders a label for a fieldset.

: Convert to an abstract method or interface at FOF3

Paramètres
object | $field | The field of the label to render
FOFForm | &$form | The form to render
string | $title | The title of the label
Renvoie
string The rendered label

◆ renderForm()

renderForm | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input,
 |  |  | $formType = null,
 |  |  | $raw = false
 | ) |  |

Renders a FOFForm and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
string | $formType | The form type: edit, browse or read
boolean | $raw | If true, the raw form fields rendering (without the surrounding form tag) is returned.
Renvoie
string The HTML rendering of the form

Références $form, et $input.

◆ renderFormBrowse()

renderFormBrowse | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input
 | ) |  |
abstractprotected

Renders a FOFForm for a Browse view and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
Renvoie
string The HTML rendering of the form

◆ renderFormEdit()

renderFormEdit | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input
 | ) |  |
abstractprotected

Renders a FOFForm for an Edit view and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
Renvoie
string The HTML rendering of the form

◆ renderFormRaw()

renderFormRaw | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input,
 |  |  | $formType
 | ) |  |
abstractprotected

Renders a raw FOFForm and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
string | $formType | The form type e.g. 'edit' or 'read'
Renvoie
string The HTML rendering of the form

◆ renderFormRead()

renderFormRead | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input
 | ) |  |
abstractprotected

Renders a FOFForm for a Read view and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
Renvoie
string The HTML rendering of the form

Documentation des champs

◆ $enabled

$enabled = false
protected

◆ $priority

$priority = 50
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • render/abstract.php


Joomla CMS: Référence de la classe FOFRenderJoomla

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFRenderJoomla
+ Graphe d'héritage de FOFRenderJoomla:
FOFRenderAbstract

Fonctions membres publiques

__construct ()
preRender ($view, $task, $input, $config=array())
postRender ($view, $task, $input, $config=array())
- Fonctions membres publiques hérités de FOFRenderAbstract
getInformation ()
preRender ($view, $task, $input, $config=array())
postRender ($view, $task, $input, $config=array())
renderForm (FOFForm &$form, FOFModel $model, FOFInput $input, $formType=null, $raw=false)
renderCategoryLinkbar ($extension, $config=array())

Fonctions membres protégées

renderFormBrowse (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRead (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormEdit (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRaw (FOFForm &$form, FOFModel $model, FOFInput $input, $formType)
renderFieldset (stdClass &$fieldset, FOFForm &$form, FOFModel $model, FOFInput $input, $formType, $showHeader=true)
renderFieldsetLabel ($field, FOFForm &$form, $title)
loadValidationScript (FOFForm &$form)
renderLinkbar ($view, $task, $input, $config=array())
renderLinkbarItems ($toolbar)
renderButtons ($view, $task, $input, $config=array())
- Fonctions membres protégées hérités de FOFRenderAbstract
renderFormBrowse (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRead (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormEdit (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRaw (FOFForm &$form, FOFModel $model, FOFInput $input, $formType)
renderFieldset (stdClass &$fieldset, FOFForm &$form, FOFModel $model, FOFInput $input, $formType, $showHeader=true)
renderFieldsetLabel ($field, FOFForm &$form, $title)
isTabFieldset ($fieldset)

Membres hérités additionnels

- Attributs protégés hérités de FOFRenderAbstract
$priority = 50
$enabled = false

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Public constructor. Determines the priority of this class and if it should be enabled

Documentation des fonctions membres

◆ loadValidationScript()

loadValidationScript ( FOFForm & $form )
protected

Loads the validation script for an edit form

Paramètres
FOFForm &$form The form we are rendering
Renvoie
void

Références $document, $form, $js, $message, FOFPlatform\getInstance(), JS, et task.

◆ postRender()

postRender | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |

Echoes any HTML to show after the view template

Paramètres
string | $view | The current view
string | $task | The current task
FOFInput | $input | The input array (request parameters)
array | $config | The view configuration array
Renvoie
void

Références $format, $input, et FOFPlatform\getInstance().

◆ preRender()

preRender | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |

Echoes any HTML to show before the view template

Paramètres
string | $view | The current view
string | $task | The current task
FOFInput | $input | The input array (request parameters)
array | $config | The view configuration array
Renvoie
void

Références $classes, $config, $format, $input, $layout, $minorVersion, $option, $task, $version, $view, elseif, et FOFPlatform\getInstance().

◆ renderButtons()

renderButtons | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |
protected

Renders the toolbar buttons

Paramètres
string | $view | The active view name
string | $task | The current task
FOFInput | $input | The input object
array | $config | Extra configuration variables for the toolbar
Renvoie
void

Références $config, $input, $title, $toolbar, FOFToolbar\getAnInstance(), et FOFPlatform\getInstance().

◆ renderFieldset()

renderFieldset | ( | stdClass & | $fieldset,
 |  | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input,
 |  |  | $formType,
 |  |  | $showHeader = true
 | ) |  |
protected

Renders a raw fieldset of a FOFForm and returns the corresponding HTML

Paramètres
stdClass | &$fieldset | The fieldset to render
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
string | $formType | The form type e.g. 'edit' or 'read'
boolean | $showHeader | Should I render the fieldset's header?
Renvoie
string The HTML rendering of the fieldset

The following code is backwards incompatible. Most forms don't require a description in their form fields. Having to use emptydescription="1" on each one of them is an overkill. Removed.

Références $class, $description, $field, $fields, $form, $groupClass, $html, $input, $title, elseif, et FOFModel\getName().

◆ renderFieldsetLabel()

renderFieldsetLabel | ( |  | $field,
 |  | FOFForm & | $form,
 |  |  | $title
 | ) |  |
protected

Renders a label for a fieldset.

Paramètres
object | $field | The field of the label to render
FOFForm | &$form | The form to render
string | $title | The title of the label
Renvoie
string The rendered label

Références $field, $form, $html, $labelClass, $required, $title, et $tooltip.

◆ renderFormBrowse()

renderFormBrowse | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input
 | ) |  |
protected

Renders a FOFForm for a Browse view and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
Renvoie
string The HTML rendering of the form

Références $attribs, $buttons, $class, $count, $field, $fields, $filter, $form, $html, $i, $input, $item, $itemid, $items, $label, $labelClass, $options, $uri, elseif, FOFPlatform\getInstance(), et FOFInflector\pluralize().

◆ renderFormEdit()

renderFormEdit | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input
 | ) |  |
protected

Renders a FOFForm for an Edit view and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
Renvoie
string The HTML rendering of the form

Références $class, $form, $html, $input, $itemid, $key, $uri, $validate, FOFModel\getId(), FOFPlatform\getInstance(), et FOFModel\getTable().

◆ renderFormRaw()

renderFormRaw | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input,
 |  |  | $formType
 | ) |  |
protected

Renders a raw FOFForm and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
string | $formType | The form type e.g. 'edit' or 'read'
Renvoie
string The HTML rendering of the form

Références $form, $html, et $input.

◆ renderFormRead()

renderFormRead | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input
 | ) |  |
protected

Renders a FOFForm for a Read view and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
Renvoie
string The HTML rendering of the form

Références $form, $html, et $input.

◆ renderLinkbar()

renderLinkbar | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |
protected

Renders the submenu (link bar)

Paramètres
string | $view | The active view name
string | $task | The current task
FOFInput | $input | The input object
array | $config | Extra configuration variables for the toolbar
Renvoie
void

Références $config, $input, $toolbar, FOFToolbar\getAnInstance(), et FOFPlatform\getInstance().

◆ renderLinkbarItems()

renderLinkbarItems ( $toolbar )
protected

do the rendering job for the linkbar

Paramètres
FOFToolbar $toolbar A toolbar object
Renvoie
void

Références $link, $toolbar, et JSubMenuHelper\addEntry().

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/render/joomla.php


Joomla CMS: Référence de la classe FOFRenderJoomla3

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFRenderJoomla3
+ Graphe d'héritage de FOFRenderJoomla3:
FOFRenderStrapper FOFRenderAbstract

Fonctions membres publiques

__construct ()
preRender ($view, $task, $input, $config=array())
postRender ($view, $task, $input, $config=array())
- Fonctions membres publiques hérités de FOFRenderStrapper
__construct ()
preRender ($view, $task, $input, $config=array())
postRender ($view, $task, $input, $config=array())
- Fonctions membres publiques hérités de FOFRenderAbstract
getInformation ()
preRender ($view, $task, $input, $config=array())
postRender ($view, $task, $input, $config=array())
renderForm (FOFForm &$form, FOFModel $model, FOFInput $input, $formType=null, $raw=false)
renderCategoryLinkbar ($extension, $config=array())

Fonctions membres protégées

renderLinkbar ($view, $task, $input, $config=array())
renderFieldsetLabel ($field, FOFForm &$form, $title)
- Fonctions membres protégées hérités de FOFRenderStrapper
loadValidationScript (FOFForm &$form)
renderLinkbar ($view, $task, $input, $config=array())
renderLinkbar_classic ($view, $task, $input, $config=array())
renderLinkbar_joomla ($view, $task, $input, $config=array())
renderLinkbarItems ($toolbar)
renderButtons ($view, $task, $input, $config=array())
renderFormBrowse (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRead (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormEdit (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRaw (FOFForm &$form, FOFModel $model, FOFInput $input, $formType)
renderFieldset (stdClass &$fieldset, FOFForm &$form, FOFModel $model, FOFInput $input, $formType, $showHeader=true, &$innerHtml=null)
renderFieldsetLabel ($field, FOFForm &$form, $title)
- Fonctions membres protégées hérités de FOFRenderAbstract
renderFormBrowse (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRead (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormEdit (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRaw (FOFForm &$form, FOFModel $model, FOFInput $input, $formType)
renderFieldset (stdClass &$fieldset, FOFForm &$form, FOFModel $model, FOFInput $input, $formType, $showHeader=true)
renderFieldsetLabel ($field, FOFForm &$form, $title)
isTabFieldset ($fieldset)

Membres hérités additionnels

- Attributs protégés hérités de FOFRenderAbstract
$priority = 50
$enabled = false

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Public constructor. Determines the priority of this class and if it should be enabled

Documentation des fonctions membres

◆ postRender()

postRender | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |

Echoes any HTML to show after the view template

Paramètres
string | $view | The current view
string | $task | The current task
FOFInput | $input | The input array (request parameters)
array | $config | The view configuration array
Renvoie
void

Références $format, $input, et FOFPlatform\getInstance().

◆ preRender()

preRender | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |

Echoes any HTML to show before the view template

Paramètres
string | $view | The current view
string | $task | The current task
FOFInput | $input | The input array (request parameters)
array | $config | The view configuration array
Renvoie
void

Références $classes, $config, $format, $input, $layout, $minorVersion, $option, $task, $version, $view, et FOFPlatform\getInstance().

◆ renderFieldsetLabel()

renderFieldsetLabel | ( |  | $field,
 |  | FOFForm & | $form,
 |  |  | $title
 | ) |  |
protected

Renders a label for a fieldset.

Paramètres
object | $field | The field of the label to render
FOFForm | &$form | The form to render
string | $title | The title of the label
Renvoie
string The rendered label

Références $field, $form, $html, $labelClass, $required, $title, et $tooltip.

◆ renderLinkbar()

renderLinkbar | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |
protected

Renders the submenu (link bar)

Paramètres
string | $view | The active view name
string | $task | The current task
FOFInput | $input | The input object
array | $config | Extra configuration variables for the toolbar
Renvoie
void

Références $config, $input, $style, $task, et $view.

La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla3.php


Joomla CMS: Référence de la classe FOFRenderStrapper

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe FOFRenderStrapper
+ Graphe d'héritage de FOFRenderStrapper:
FOFRenderAbstract FOFRenderJoomla3

Fonctions membres publiques

__construct ()
preRender ($view, $task, $input, $config=array())
postRender ($view, $task, $input, $config=array())
- Fonctions membres publiques hérités de FOFRenderAbstract
getInformation ()
preRender ($view, $task, $input, $config=array())
postRender ($view, $task, $input, $config=array())
renderForm (FOFForm &$form, FOFModel $model, FOFInput $input, $formType=null, $raw=false)
renderCategoryLinkbar ($extension, $config=array())

Fonctions membres protégées

loadValidationScript (FOFForm &$form)
renderLinkbar ($view, $task, $input, $config=array())
renderLinkbar_classic ($view, $task, $input, $config=array())
renderLinkbar_joomla ($view, $task, $input, $config=array())
renderLinkbarItems ($toolbar)
renderButtons ($view, $task, $input, $config=array())
renderFormBrowse (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRead (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormEdit (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRaw (FOFForm &$form, FOFModel $model, FOFInput $input, $formType)
renderFieldset (stdClass &$fieldset, FOFForm &$form, FOFModel $model, FOFInput $input, $formType, $showHeader=true, &$innerHtml=null)
renderFieldsetLabel ($field, FOFForm &$form, $title)
- Fonctions membres protégées hérités de FOFRenderAbstract
renderFormBrowse (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRead (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormEdit (FOFForm &$form, FOFModel $model, FOFInput $input)
renderFormRaw (FOFForm &$form, FOFModel $model, FOFInput $input, $formType)
renderFieldset (stdClass &$fieldset, FOFForm &$form, FOFModel $model, FOFInput $input, $formType, $showHeader=true)
renderFieldsetLabel ($field, FOFForm &$form, $title)
isTabFieldset ($fieldset)

Membres hérités additionnels

- Attributs protégés hérités de FOFRenderAbstract
$priority = 50
$enabled = false

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Public constructor. Determines the priority of this class and if it should be enabled

Documentation des fonctions membres

◆ loadValidationScript()

loadValidationScript ( FOFForm & $form )
protected

Loads the validation script for an edit form

Paramètres
FOFForm &$form The form we are rendering
Renvoie
void

Références $document, $form, $js, $message, FOFPlatform\getInstance(), JS, et task.

◆ postRender()

postRender | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |

Echoes any HTML to show after the view template

Paramètres
string | $view | The current view
string | $task | The current task
FOFInput | $input | The input array (request parameters)
array | $config | The view configuration array
Renvoie
void

Références $format, $input, JHtmlSidebar\getEntries(), et FOFPlatform\getInstance().

◆ preRender()

preRender | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |

Echoes any HTML to show before the view template

Paramètres
string | $view | The current view
string | $task | The current task
FOFInput | $input | The input array (request parameters)
array | $config | The view configuration array
Renvoie
void

Références $classes, $config, $format, $input, $layout, $minorVersion, $option, $task, $version, $view, elseif, et FOFPlatform\getInstance().

◆ renderButtons()

renderButtons | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |
protected

Renders the toolbar buttons

Paramètres
string | $view | The active view name
string | $task | The current task
FOFInput | $input | The input object
array | $config | Extra configuration variables for the toolbar
Renvoie
void

Références $action, $button, $config, $html, $id, $input, $items, $title, $toolbar, $type, FOFToolbar\getAnInstance(), FOFPlatform\getInstance(), et null.

◆ renderFieldset()

renderFieldset | ( | stdClass & | $fieldset,
 |  | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input,
 |  |  | $formType,
 |  |  | $showHeader = true,
 |  | & | $innerHtml = null
 | ) |  |
protected

Renders a raw fieldset of a FOFForm and returns the corresponding HTML

Paramètres
stdClass | &$fieldset | The fieldset to render
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
string | $formType | The form type e.g. 'edit' or 'read'
boolean | $showHeader | Should I render the fieldset's header?
Renvoie
string The HTML rendering of the fieldset

The following code is backwards incompatible. Most forms don't require a description in their form fields. Having to use emptydescription="1" on each one of them is an overkill. Removed.

Références $class, $description, $field, $fields, $form, $groupClass, $html, $input, $title, elseif, et FOFModel\getName().

◆ renderFieldsetLabel()

renderFieldsetLabel | ( |  | $field,
 |  | FOFForm & | $form,
 |  |  | $title
 | ) |  |
protected

Renders a label for a fieldset.

Paramètres
object | $field | The field of the label to render
FOFForm | &$form | The form to render
string | $title | The title of the label
Renvoie
string The rendered label

Références $document, $field, $form, $html, $js, $labelClass, $required, $title, $tooltip, FOFPlatform\getInstance(), et JS.

◆ renderFormBrowse()

renderFormBrowse | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input
 | ) |  |
protected

Renders a FOFForm for a Browse view and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
Renvoie
string The HTML rendering of the form

Références $attribs, $buttons, $class, $count, $field, $fields, $filter, $form, $html, $i, $input, $item, $itemid, $items, $label, $labelClass, $options, $uri, $view, JHtmlSidebar\addFilter(), elseif, FOFPlatform\getInstance(), FOFModel\getItemList(), FOFModel\getPagination(), FOFModel\getState(), FOFModel\getTable(), FOFInflector\pluralize(), JHtmlSidebar\render(), JHtmlSidebar\setAction(), et true.

◆ renderFormEdit()

renderFormEdit | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input
 | ) |  |
protected

Renders a FOFForm for an Edit view and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
Renvoie
string The HTML rendering of the form

Références $class, $form, $html, $input, $itemid, $key, $uri, $validate, FOFModel\getId(), FOFPlatform\getInstance(), et FOFModel\getTable().

◆ renderFormRaw()

renderFormRaw | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input,
 |  |  | $formType
 | ) |  |
protected

Renders a raw FOFForm and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
string | $formType | The form type e.g. 'edit' or 'read'
Renvoie
string The HTML rendering of the form

Références $form, $html, $input, $label, $name, et elseif.

◆ renderFormRead()

renderFormRead | ( | FOFForm & | $form,
 |  | FOFModel | $model,
 |  | FOFInput | $input
 | ) |  |
protected

Renders a FOFForm for a Read view and returns the corresponding HTML

Paramètres
FOFForm | &$form | The form to render
FOFModel | $model | The model providing our data
FOFInput | $input | The input object
Renvoie
string The HTML rendering of the form

Références $form, $html, et $input.

◆ renderLinkbar()

renderLinkbar | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |
protected

Renders the submenu (link bar)

Paramètres
string | $view | The active view name
string | $task | The current task
FOFInput | $input | The input object
array | $config | Extra configuration variables for the toolbar
Renvoie
void

Références $config, $input, $style, $task, et $view.

◆ renderLinkbar_classic()

renderLinkbar_classic | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |
protected

Renders the submenu (link bar) in FOF's classic style, using a Bootstrapped tab bar.

Paramètres
string | $view | The active view name
string | $task | The current task
FOFInput | $input | The input object
array | $config | Extra configuration variables for the toolbar
Renvoie
void

Références $class, $config, $input, $item, $link, $toolbar, FOFToolbar\getAnInstance(), et FOFPlatform\getInstance().

◆ renderLinkbar_joomla()

renderLinkbar_joomla | ( | $view,
 |  | $task,
 |  | $input,
 |  | $config = array()
 | ) |
protected

Renders the submenu (link bar) using Joomla!'s style. On Joomla! 2.5 this is a list of bar separated links, on Joomla! 3 it's a sidebar at the left-hand side of the page.

Paramètres
string | $view | The active view name
string | $task | The current task
FOFInput | $input | The input object
array | $config | Extra configuration variables for the toolbar
Renvoie
void

Références $config, $input, $toolbar, FOFToolbar\getAnInstance(), et FOFPlatform\getInstance().

◆ renderLinkbarItems()

renderLinkbarItems ( $toolbar )
protected

do the rendering job for the linkbar

Paramètres
FOFToolbar $toolbar A toolbar object
Renvoie
void

Références $item, $link, $toolbar, et JHtmlSidebar\addEntry().

La documentation de cette classe a été générée à partir du fichier suivant :
  • strapper.php


Joomla CMS: Référence de la classe FOFStringUtils

Fonctions membres publiques statiques
Référence de la classe FOFStringUtils

Fonctions membres publiques statiques

static | toSlug ($value)
static | toASCII ($value)
static | toBool ($string)

Documentation des fonctions membres

◆ toASCII()

static toASCII ( $value )
static

Convert common norhern European languages' letters into plain ASCII. This is a rudimentary transliteration.

Paramètres
string $value The value to convert to ASCII
Renvoie
string The converted string

Références $value, et null.

◆ toBool()

static toBool ( $string )
static

Convert a string to a boolean.

Paramètres
string $string The string.
Renvoie
boolean The converted string

Référencé par FOFFormFieldActions\getConfig(), et FOFToolbar\renderToolbarElement().

◆ toSlug()

static toSlug ( $value )
static

Convert a string into a slug (alias), suitable for use in URLs. Please note that transliteration suupport is rudimentary at this stage.

Paramètres
string $value A string to convert to slug
Renvoie
string The slug

Références $value.

Référencé par FOFTableNested\check().

La documentation de cette classe a été générée à partir du fichier suivant :
  • string/utils.php


Joomla CMS: Référence de la classe FOFTable

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe FOFTable
+ Graphe d'héritage de FOFTable:
FOFUtilsObject FOFTableNested

Fonctions membres publiques

__construct ($table, $key, &$db, $config=array())
setKnownFields ($fields, $initialise=false)
getKnownFields ()
hasField ($fieldName)
addKnownField ($field, $initialise=false)
removeKnownField ($field)
addBehavior ($name, $config=array())
setTriggerEvents ($newState=false)
getTriggerEvents ()
hasTags ()
setHasTags ($newState=false)
setTablePrefix ($prefix)
setSkipChecks ($skip)
load ($keys=null, $reset=true)
check ()
reset ()
getClone ()
canDelete ($oid=null, $joins=null)
bind ($src, $ignore=array())
store ($updateNulls=false)
move ($delta, $where='')
reorder ($where='')
checkout ($userId, $oid=null)
checkin ($oid=null)
isCheckedOut ($with=0, $unused_against=null)
copy ($cid=null)
publish ($cid=null, $publish=1, $user_id=0)
delete ($oid=null)
hit ($oid=null, $log=false)
toCSV ($separator=',')
getData ()
getCSVHeader ($separator=',')
getTableFields ($tableName=null)
getTableAlias ()
setTableAlias ($string)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
getQueryJoin ($asReference=false)
setQueryJoin ($query)
setInput (FOFInput $input)
getFields ()
getAssetName ()
getAssetKey ()
getAssetTitle ()
getAssetParentId ($table=null, $id=null)
setAssetKey ($assetKey)
getTableName ()
getKeyName ()
getId ()
getDbo ()
setDBO ($db)
setRules ($input)
getRules ()
isAssetsTracked ()
setAssetsTracked ($state)
save ($src, $orderingFilter='', $ignore='')
getNextOrder ($where='')
setConfig (array $config)
getContentType ()
getRelations ()
getConfigProvider ()
getConfigProviderKey ()
checkContentType ($alias=null)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres publiques statiques

static | getInstance ($type, $prefix='JTable', $config=array())
static & | getAnInstance ($type=null, $prefix='JTable', $config=array())
static | forceInstance ($key=null, $instance=null)
static | addIncludePath ($path=null)

Fonctions membres protégées

getQueryJoinFields ()
normalizeSelectFields ($fields)
isQuoted ($column)
onBeforeBind (&$from)
onAfterLoad (&$result)
onBeforeStore ($updateNulls)
onAfterBind (&$src)
onAfterStore ()
onBeforeMove ($updateNulls)
onAfterMove ()
onBeforeReorder ($where='')
onAfterReorder ()
onBeforeDelete ($oid)
onAfterDelete ($oid)
onBeforeHit ($oid, $log)
onAfterHit ($oid)
onBeforeCopy ($oid)
onAfterCopy ($oid)
onBeforePublish (&$cid, $publish)
onAfterReset ()
onBeforeReset ()
getAsset ()
_lock ()
_unlock ()
getUcmCoreAlias ($alias, $null="null")

Attributs protégés

$config = array()
$_tbl = ''
$_tbl_key = ''
$_db
$_trackAssets = false
$_has_tags = false
$_rules
$_locked = false
$_trigger_events = false
$_tableAlias = false
$_columnAlias = array()
$_autoChecks = false
$_skipChecks = array()
$_tableExists = true
$_assetKey = ''
$input = null
$_queryJoin = null
$_tablePrefix = ''
$knownFields = array()
$configProvider = null
$tableDispatcher = null
$default_behaviors = array('tags', 'assets')
$_relations = null
$_configProviderKey = ''
$contentType = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Attributs protégés statiques

static | $instances = array()
static | $_includePaths = array()
static | $tableFieldCache = array()
static | $tableCache = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $table,
 |  |  | $key,
 |  | & | $db,
 |  |  | $config = array()
 | ) |  |

Class Constructor.

Paramètres
string | $table | Name of the database table to model.
string | $key | Name of the primary key field in the table.
FOFDatabaseDriver | &$db | Database driver
array | $config | The configuration parameters array

Références $behavior, $component, $config, $db, $default_behaviors, $fields, $key, $type, addBehavior(), elseif, getColumnAlias(), FOFPlatform\getInstance(), getKnownFields(), getQueryJoinFields(), getTableFields(), JLoader\import(), null, reset(), setKnownFields(), et FOFInflector\singularize().

Documentation des fonctions membres

◆ _lock()

_lock ( )
protected

Method to lock the database table for writing.

Renvoie
boolean True on success.
Exceptions
RuntimeException

◆ _unlock()

_unlock ( )
protected

Method to unlock the database table for writing.

Renvoie
boolean True on success.

Référencé par store().

◆ addBehavior()

addBehavior | ( | $name,
 |  | $config = array()
 | ) |

Adds a behavior to the table

Paramètres
string | $name | The name of the behavior
array | $config | Optional Behavior configuration
Renvoie
boolean

Références $behavior, $config, et $name.

Référencé par __construct().

◆ addIncludePath()

static addIncludePath ( $path = null )
static

Add a filesystem path where FOFTable should search for table class files. You may either pass a string or an array of paths.

Paramètres
mixed $path A filesystem path or array of filesystem paths to add.
Renvoie
array An array of filesystem paths to find FOFTable classes in.

Référencé par FOFModel\addTablePath().

◆ addKnownField()

addKnownField | ( | $field,
 |  | $initialise = false
 | ) |

Add a field to the known fields array

Paramètres
string | $field | The name of the field to add
boolean | $initialise | Should we initialise the variable to null?
Renvoie
void

Références $field, et null.

◆ bind()

bind | ( | $src,
 |  | $ignore = array()
 | ) |

Method to bind an associative array or object to the FOFTable instance.This method only binds properties that are publicly accessible and optionally takes an array of properties to ignore when binding.

Paramètres
mixed | $src | An associative array or object to bind to the FOFTable instance.
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
boolean True on success.
Exceptions
InvalidArgumentException

Références getKnownFields(), onAfterBind(), et onBeforeBind().

Référencé par load(), FOFModel\loadhistory(), et store().

◆ canDelete()

canDelete | ( | $oid = null,
 |  | $joins = null
 | ) |

Generic check for whether dependencies exist for this object in the db schema

Paramètres
integer | $oid | The primary key of the record to delete
array | $joins | Any joins to foreign table, used to determine if dependent records exist
Renvoie
boolean True if the record can be deleted

Références $_db, $_tbl_key, $db, $i, $key, $oid, $option, $prefix, $query, et FOFUtilsObject\setError().

◆ check()

check ( )

Based on fields properties (nullable column), checks if the field is required or not

Renvoie
boolean

Références $_tbl_key, $field, $fields, $text, getColumnAlias(), getKnownFields(), getTableFields(), getTableName(), et FOFUtilsObject\setError().

◆ checkContentType()

checkContentType ( $alias = null )

Check if a UCM content type exists for this resource, and create it if it does not

Paramètres
string $alias The content type alias (optional)
Renvoie
null

◆ checkin()

checkin ( $oid = null )

Check in (unlock) a record

Paramètres
integer $oid The primary key value of the record to unlock
Renvoie
boolean True on success

Références $_tbl_key, $oid, $query, getColumnAlias(), getKnownFields(), et null.

Référencé par publish().

◆ checkout()

checkout | ( | $userId,
 |  | $oid = null
 | ) |

Check out (lock) a record

Paramètres
integer | $userId | The locking user's ID
integer | $oid | The primary key value of the record to lock
Renvoie
boolean True on success

Références $_tbl_key, $date, $oid, $query, $userId, getColumnAlias(), FOFPlatform\getInstance(), getKnownFields(), et null.

◆ copy()

copy ( $cid = null )

Copy (duplicate) one or more records

Paramètres
integer | array $cid The primary key value (or values) or the record(s) to copy
Renvoie
boolean True on success

Références $_tbl_key, $item, getColumnAlias(), getKnownFields(), isCheckedOut(), load(), null, onAfterCopy(), onBeforeCopy(), reset(), FOFUtilsObject\setError(), store(), et FOFUtilsArray\toInteger().

◆ delete()

delete ( $oid = null )

Delete a record

Paramètres
integer $oid The primary key value of the item to delete
Exceptions
UnexpectedValueException
Renvoie
boolean True on success

Références $_tbl_key, $oid, $query, load(), onAfterDelete(), et onBeforeDelete().

◆ forceInstance()

static forceInstance | ( | $key = null,
 |  | $instance = null
 | ) |
static

Force an instance inside class cache. Setting arguments to null nukes all or part of the cache

Paramètres
string | null | $key | TableClass to replace. Set it to null to nuke the entire cache
FOFTable | null | $instance | Instance to replace. Set it to null to nuke $key instances
Renvoie
bool Did I correctly switch the instance?

Références $key, et elseif.

◆ getAnInstance()

static& getAnInstance | ( | $type = null,
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |
static

Returns a static object instance of a particular table type

Paramètres
string | $type | The table name
string | $prefix | The prefix of the table class
array | $config | Optional configuration variables
Renvoie
FOFTable

Références $component, $config, $configProvider, $option, $path, $prefix, $type, elseif, FOFPlatform\getInstance(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

Référencé par FOFModel\_createTable().

◆ getAsset()

getAsset ( )
protected

Loads the asset table related to this table. This will help tests, too, since we can mock this function.

Renvoie
bool|JTableAsset False on failure, otherwise JTableAsset

◆ getAssetKey()

getAssetKey ( )

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Exceptions
UnexpectedValueException
Renvoie
string

◆ getAssetName()

getAssetName ( )

Method to compute the default name of the asset. The default name is in the form table_name.id where id is the value of the primary key of the table.

Exceptions
UnexpectedValueException
Renvoie
string

◆ getAssetParentId()

getAssetParentId | ( | $table = null,
 |  | $id = null
 | ) |

Method to get the parent asset under which to register this one. By default, all assets are registered to the ROOT node with ID, which will default to 1 if none exists. The extended class can define a table and id to lookup. If the asset does not exist it will be created.

Paramètres
FOFTable | $table | A FOFTable object for the asset parent.
integer | $id | Id to look up
Renvoie
integer

◆ getAssetTitle()

getAssetTitle ( )

Method to return the title to use for the asset table. In tracking the assets a title is kept for each asset so that there is some context available in a unified access manager. Usually this would just return $this->title or $this->name or whatever is being used for the primary name of the row. If this method is not overridden, the asset name is used.

Renvoie
string The string to use as the title in the asset table.

◆ getClone()

getClone ( )

Clones the current object, after resetting it

Renvoie
static

Références $key, getKeyName(), et null.

◆ getColumnAlias()

getColumnAlias ( $column )

Method to return the real name of a "special" column such as ordering, hits, published etc etc. In this way you are free to follow your db naming convention and use the built in Joomla functions.

Paramètres
string $column Name of the "special" column (ie ordering, hits etc etc)
Renvoie
string The string that identify the special

Référencé par __construct(), check(), checkin(), checkout(), copy(), hasField(), hit(), isCheckedOut(), move(), publish(), et reorder().

◆ getConfigProvider()

getConfigProvider ( )

Gets a reference to the configuration parameters provider for this table

Renvoie
FOFConfigProvider

Référencé par FOFTableRelations\__construct().

◆ getConfigProviderKey()

getConfigProviderKey ( )

Returns the configuration parameters provider's key for this table

Renvoie
string

Référencé par FOFTableRelations\__construct().

◆ getContentType()

getContentType ( )

Get the content type for ucm

Renvoie
string The content type alias

When tags was first introduced contentType variable didn't exist - so we guess one This will fail if content history behvaiour is enabled. This code is deprecated and will be removed in FOF 3.0 in favour of the content type class variable

◆ getCSVHeader()

getCSVHeader ( $separator = ',' )

Get the header for exporting item list to CSV

Paramètres
string $separator CSV separator. Tip: use "\t" to get a TSV file instead.
Renvoie
string The CSV file's header

Références $separator, et getKnownFields().

◆ getData()

getData ( )

Exports the table in array format

Renvoie
array

Références getKnownFields().

◆ getDbo()

getDbo ( )

Method to get the FOFDatabaseDriver object.

Renvoie
FOFDatabaseDriver The internal database driver object.

◆ getFields()

getFields ( )

Get the columns from database table.

Renvoie
mixed An array of the field names, or false if an error occurs.
Obsolète:
2.1

◆ getId()

getId ( )

Returns the identity value of this record

Renvoie
mixed

Référencé par FOFTableNested\equals().

◆ getInstance()

static getInstance | ( | $type,
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |
static

Returns a static object instance of a particular table type

Paramètres
string | $type | The table name
string | $prefix | The prefix of the table class
array | $config | Optional configuration variables
Renvoie
FOFTable

Références $config, $prefix, et $type.

Référencé par FOFDatabaseIterator\__construct(), FOFTableRelations\getIteratorFromRelation(), FOFFormFieldRelation\getOptions(), et FOFTableRelations\getTableFromRelation().

◆ getKeyName()

getKeyName ( )

Method to get the primary key field name for the table.

Renvoie
string The name of the primary key for the table.

Référencé par FOFTableRelations\__construct(), getClone(), et FOFModel\loadhistory().

◆ getKnownFields()

getKnownFields ( )

Get the known fields array

Renvoie
array

Références $knownFields.

Référencé par FOFTableRelations\__construct(), __construct(), bind(), check(), checkin(), checkout(), copy(), getCSVHeader(), getData(), hit(), load(), move(), publish(), reorder(), store(), et toCSV().

◆ getNextOrder()

getNextOrder ( $where = '' )

Method to get the next ordering value for a group of rows defined by an SQL WHERE clause. This is useful for placing a new item last in a group of items in the table.

Paramètres
string $where WHERE clause to use for selecting the MAX(ordering) for the table.
Renvoie
mixed Boolean false an failure or the next ordering value as an integer.

◆ getQueryJoin()

getQueryJoin ( $asReference = false )

Get a JOIN query, used to join other tables

Paramètres
boolean $asReference Return an object reference instead of a copy
Renvoie
FOFDatabaseQuery Query used to join other tables

Référencé par load().

◆ getQueryJoinFields()

getQueryJoinFields ( )
protected

Extracts the fields from the join query

Renvoie
array Fields contained in the join query

Référencé par __construct(), et reset().

◆ getRelations()

getRelations ( )

Returns the table relations object of the current table, lazy-loading it if necessary

Renvoie
FOFTableRelations

◆ getRules()

getRules ( )

Method to get the rules for the record.

Renvoie
JAccessRules object

◆ getTableAlias()

getTableAlias ( )

◆ getTableFields()

getTableFields ( $tableName = null )

Get the columns from a database table.

Paramètres
string $tableName Table name. If null current table is used
Renvoie
mixed An array of the field names, or false if an error occurs.

Références $_tbl, $field, $fields, $name, $prefix, $tableCache, elseif, FOFPlatform\getInstance(), json_encode, et null.

Référencé par __construct(), check(), reset(), et store().

◆ getTableName()

getTableName ( )

Method to get the database table name for the class.

Renvoie
string The name of the database table being modeled.

Référencé par FOFTableRelations\__construct(), et check().

◆ getTriggerEvents()

getTriggerEvents ( )

Gets the events trigger switch state

Renvoie
boolean

Références $_trigger_events.

◆ getUcmCoreAlias()

getUcmCoreAlias | ( | $alias,
 |  | $null = "null"
 | ) |
protected

Utility methods that fetches the column name for the field. If it does not exists, returns a "null" string

Paramètres
string | $alias | The alias for the column
string | $null | What to return if no column exists
Renvoie
string The column name

◆ hasField()

hasField ( $fieldName )

Does the specified field exist?

Paramètres
string $fieldName The field name to search (it's OK to use aliases)
Renvoie
bool

Références getColumnAlias().

◆ hasTags()

hasTags ( )

Gets the has tags switch state

Renvoie
bool

Références $_has_tags.

◆ hit()

hit | ( | $oid = null,
 |  | $log = false
 | ) |

Register a hit on a record

Paramètres
integer | $oid | The primary key value of the record
boolean | $log | Should I log the hit?
Renvoie
boolean True on success

Références $_tbl_key, $oid, $query, getColumnAlias(), getKnownFields(), onAfterHit(), et onBeforeHit().

◆ isAssetsTracked()

isAssetsTracked ( )

Method to check if the record is treated as an ACL asset

Renvoie
boolean [description]

◆ isCheckedOut()

isCheckedOut | ( | $with = 0,
 |  | $unused_against = null
 | ) |

Is a record locked?

Paramètres
integer | $with | The userid to preform the match with. If an item is checked out by this user the function will return false.
integer | $unused_against | Junk inherited from JTable; ignore
Exceptions
UnexpectedValueException
Renvoie
boolean True if the record is locked by another user

Références $_tbl_key, getColumnAlias(), et null.

Référencé par copy().

◆ isQuoted()

isQuoted ( $column )
protected

Is the field quoted?

Paramètres
string $column Column field
Renvoie
bool Is the field quoted?

◆ load()

load | ( | $keys = null,
 |  | $reset = true
 | ) |

Method to load a row from the database by primary key and bind the fields to the FOFTable instance properties.

Paramètres
mixed | $keys | An optional primary key value to load the row by, or an array of fields to match. If not set the instance property value is used.
boolean | $reset | True to reset the default values before loading the new row.
Renvoie
boolean True if successful. False if row not found.
Exceptions
RuntimeException
UnexpectedValueException

Références $_tbl_key, $field, $fields, $query, $row, $value, bind(), elseif, getKnownFields(), getQueryJoin(), null, onAfterLoad(), et reset().

Référencé par copy(), et delete().

◆ move()

move | ( | $delta,
 |  | $where = ''
 | ) |

Method to move a row in the ordering sequence of a group of rows defined by an SQL WHERE clause. Negative numbers move the row up in the sequence and positive numbers move it down.

Paramètres
integer | $delta | The direction and magnitude to move the row in the ordering sequence.
string | $where | WHERE clause to use for limiting the selection of rows to compact the ordering values.
Renvoie
mixed Boolean True on success.
Exceptions
UnexpectedValueException

Références $_tbl_key, $query, $row, elseif, getColumnAlias(), getKnownFields(), null, onAfterMove(), et onBeforeMove().

◆ normalizeSelectFields()

normalizeSelectFields ( $fields )
protected

Normalizes the fields, returning an associative array with all the fields. Ie array('foobar as foo, bar') becomes array('foobar' => 'foo', 'bar' => 'bar')

Paramètres
array $fields Array with column fields
Renvoie
array Normalized array

◆ onAfterBind()

onAfterBind ( & $src )
protected

The event which runs after binding data to the class

Paramètres
object | array &$src The data to bind
Renvoie
boolean True to allow binding without an error

Référencé par bind().

◆ onAfterCopy()

onAfterCopy ( $oid )
protected

The even which runs after copying a record

Paramètres
integer $oid The PK value of the record which was copied (not the new one)
Renvoie
boolean True to allow the copy without errors

Référencé par copy().

◆ onAfterDelete()

onAfterDelete ( $oid )
protected

The event which runs after deleting a record

Paramètres
integer $oid The PK value of the record which was deleted
Renvoie
boolean True to allow the deletion without errors

Référencé par delete().

◆ onAfterHit()

onAfterHit ( $oid )
protected

The event which runs after hitting a record

Paramètres
integer $oid The PK value of the record which was hit
Renvoie
boolean True to allow the hitting without errors

Référencé par hit().

◆ onAfterLoad()

onAfterLoad ( & $result )
protected

The event which runs after loading a record from the database

Paramètres
boolean &$result Did the load succeeded?
Renvoie
void

Référencé par load().

◆ onAfterMove()

onAfterMove ( )
protected

The event which runs after moving a record

Renvoie
boolean True to allow moving without an error

Référencé par move().

◆ onAfterReorder()

onAfterReorder ( )
protected

The event which runs after reordering a table

Renvoie
boolean True to allow the reordering to complete without an error

Référencé par reorder().

◆ onAfterReset()

onAfterReset ( )
protected

The event which runs after the object is reset to its default values.

Renvoie
boolean True to allow the reset to complete without errors

Référencé par reset().

◆ onAfterStore()

onAfterStore ( )
protected

The event which runs after storing (saving) data to the database

Renvoie
boolean True to allow saving without an error

Référencé par store().

◆ onBeforeBind()

onBeforeBind ( & $from )
protected

The event which runs before binding data to the table

NOTE TO 3RD PARTY DEVELOPERS:

When you override the following methods in your child classes, be sure to call parent::method AFTER your code, otherwise the plugin events do NOT get triggered

Example: protected function onBeforeBind(){ // Your code here return parent::onBeforeBind() && $your_result; }

Do not do it the other way around, e.g. return $your_result && parent::onBeforeBind() Due to PHP short-circuit boolean evaluation the parent::onBeforeBind() will not be called if $your_result is false.

Paramètres
object | array &$from The data to bind
Renvoie
boolean True on success

Référencé par bind().

◆ onBeforeCopy()

onBeforeCopy ( $oid )
protected

The even which runs before copying a record

Paramètres
integer $oid The PK value of the record being copied
Renvoie
boolean True to allow the copy to take place

Référencé par copy().

◆ onBeforeDelete()

onBeforeDelete ( $oid )
protected

The event which runs before deleting a record

Paramètres
integer $oid The PK value of the record to delete
Renvoie
boolean True to allow the deletion

Référencé par delete().

◆ onBeforeHit()

onBeforeHit | ( | $oid,
 |  | $log
 | ) |
protected

The event which runs before hitting a record

Paramètres
integer | $oid | The PK value of the record to hit
boolean | $log | Should we log the hit?
Renvoie
boolean True to allow the hit

Référencé par hit().

◆ onBeforeMove()

onBeforeMove ( $updateNulls )
protected

The event which runs before moving a record

Paramètres
boolean $updateNulls Should nulls be saved as nulls (true) or just skipped over (false)?
Renvoie
boolean True to allow moving

Référencé par move().

◆ onBeforePublish()

onBeforePublish | ( | & | $cid,
 |  |  | $publish
 | ) |  |
protected

The event which runs before a record is (un)published

Paramètres
integer | array | &$cid | The PK IDs of the records being (un)published
integer | $publish | 1 to publish, 0 to unpublish
Renvoie
boolean True to allow the (un)publish to proceed

Référencé par publish().

◆ onBeforeReorder()

onBeforeReorder ( $where = '' )
protected

The event which runs before reordering a table

Paramètres
string $where The WHERE clause of the SQL query to run on reordering (record filter)
Renvoie
boolean True to allow reordering

Référencé par reorder().

◆ onBeforeReset()

onBeforeReset ( )
protected

The even which runs before the object is reset to its default values.

Renvoie
boolean True to allow the reset to complete

Référencé par reset().

◆ onBeforeStore()

onBeforeStore ( $updateNulls )
protected

The event which runs before storing (saving) data to the database

Paramètres
boolean $updateNulls Should nulls be saved as nulls (true) or just skipped over (false)?
Renvoie
boolean True to allow saving

Référencé par store().

◆ publish()

publish | ( | $cid = null,
 |  | $publish = 1,
 |  | $user_id = 0
 | ) |

Publish or unpublish records

Paramètres
integer | array | $cid | The primary key value(s) of the item(s) to publish/unpublish
integer | $publish | 1 to publish an item, 0 to unpublish
integer | $user_id | The user ID of the user (un)publishing the item.
Renvoie
boolean True on success, false on failure (e.g. record is locked)

Références $_tbl_key, $query, checkin(), getColumnAlias(), getKnownFields(), onBeforePublish(), FOFUtilsObject\setError(), et FOFUtilsArray\toInteger().

◆ removeKnownField()

removeKnownField ( $field )

Remove a field from the known fields array

Paramètres
string $field The name of the field to remove
Renvoie
void

Références $field.

◆ reorder()

reorder ( $where = '' )

Change the ordering of the records of the table

Paramètres
string $where The WHERE clause of the SQL used to fetch the order
Renvoie
boolean True is successful
Exceptions
UnexpectedValueException

Références $_tbl_key, $i, $query, $row, $rows, getColumnAlias(), getKnownFields(), onAfterReorder(), et onBeforeReorder().

◆ reset()

reset ( )

Method to reset class properties to the defaults set in the class definition. It will ignore the primary key as well as any private class properties.

Renvoie
void

Références $fields, getQueryJoinFields(), getTableFields(), onAfterReset(), et onBeforeReset().

Référencé par __construct(), copy(), et load().

◆ save()

save | ( | $src,
 |  | $orderingFilter = '',
 |  | $ignore = ''
 | ) |

Method to provide a shortcut to binding, checking and storing a FOFTable instance to the database table. The method will check a row in once the data has been stored and if an ordering filter is present will attempt to reorder the table rows based on the filter. The ordering filter is an instance property name. The rows that will be reordered are those whose value matches the FOFTable instance for the property specified.

Paramètres
mixed | $src | An associative array or object to bind to the FOFTable instance.
string | $orderingFilter | Filter for the order updating
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
boolean True on success.

◆ setAssetKey()

setAssetKey ( $assetKey )

This method sets the asset key for the items of this table. Obviously, it is only meant to be used when you have a table with an asset field.

Paramètres
string $assetKey The name of the asset key to use
Renvoie
void

◆ setAssetsTracked()

setAssetsTracked ( $state )

Method to manually set this record as ACL asset or not. We have to do this since the automatic check is made in the constructor, but here we can't set any alias. So, even if you have an alias for asset_id, it wouldn't be reconized and assets won't be tracked.

Paramètres
$state

◆ setColumnAlias()

setColumnAlias | ( | $column,
 |  | $columnAlias
 | ) |

Method to register a column alias for a "special" column.

Paramètres
string | $column | The "special" column (ie ordering)
string | $columnAlias | The real column name (ie foo_ordering)
Renvoie
void

◆ setConfig()

setConfig ( array $config )

◆ setDBO()

setDBO ( $db )

Method to set the FOFDatabaseDriver object.

Paramètres
FOFDatabaseDriver $db A FOFDatabaseDriver object to be used by the table object.
Renvoie
boolean True on success.

◆ setHasTags()

setHasTags ( $newState = false )

Sets the has tags switch state

Paramètres
bool $newState

Références true.

◆ setInput()

setInput ( FOFInput $input )

Replace the input object of this table with the provided FOFInput object

Paramètres
FOFInput $input The new input object
Renvoie
void

◆ setKnownFields()

setKnownFields | ( | $fields,
 |  | $initialise = false
 | ) |

Replace the entire known fields array

Paramètres
array | $fields | A simple array of known field names
boolean | $initialise | Should we initialise variables to null?
Renvoie
void

Références $field, $fields, et null.

Référencé par __construct().

◆ setQueryJoin()

setQueryJoin ( $query )

Sets the query with joins to other tables

Paramètres
FOFDatabaseQuery $query The JOIN query to use
Renvoie
void

◆ setRules()

setRules ( $input )

Method to set rules for the record.

Paramètres
mixed $input A JAccessRules object, JSON string, or array.
Renvoie
void

◆ setSkipChecks()

setSkipChecks ( $skip )

Sets fields to be skipped from automatic checks.

Paramètres
array/string $skip Fields to be skipped by automatic checks
Renvoie
void

◆ setTableAlias()

setTableAlias ( $string )

◆ setTablePrefix()

setTablePrefix ( $prefix )

Set the class prefix

Paramètres
string $prefix The prefix

Références $prefix.

◆ setTriggerEvents()

setTriggerEvents ( $newState = false )

Sets the events trigger switch state

Paramètres
boolean $newState The new state of the switch (what else could it be?)
Renvoie
void

Références true.

◆ store()

store ( $updateNulls = false )

Method to store a row in the database from the FOFTable instance properties. If a primary key value is set the row with that primary key value will be updated with the instance property values. If no primary key value is set a new row will be inserted into the database with the properties from the FOFTable instance.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.

While the documentation for update/insertObject and execute() say they return a boolean, not all of the implemtnations. Depending on the version of J! and the specific driver, they may return a database object, or boolean, or a mix, or toss an exception. So try/catch, and test for false.

Références $_tbl_key, $fields, $key, _unlock(), bind(), getKnownFields(), getTableFields(), null, onAfterStore(), onBeforeStore(), et FOFUtilsObject\setError().

Référencé par copy().

◆ toCSV()

toCSV ( $separator = ',' )

Export the item as a CSV line

Paramètres
string $separator CSV separator. Tip: use "\t" to get a TSV file instead.
Renvoie
string The CSV line

Références $separator, et getKnownFields().

Documentation des champs

◆ $_assetKey

$_assetKey = ''
protected

◆ $_autoChecks

$_autoChecks = false
protected

◆ $_columnAlias

$_columnAlias = array()
protected

◆ $_configProviderKey

$_configProviderKey = ''
protected

◆ $_db

$_db
protected

Référencé par canDelete().

◆ $_has_tags

$_has_tags = false
protected

Référencé par hasTags().

◆ $_includePaths

$_includePaths = array()
staticprotected

◆ $_locked

$_locked = false
protected

◆ $_queryJoin

$_queryJoin = null
protected

◆ $_relations

$_relations = null
protected

◆ $_rules

$_rules
protected

◆ $_skipChecks

$_skipChecks = array()
protected

◆ $_tableAlias

$_tableAlias = false
protected

◆ $_tableExists

$_tableExists = true
protected

◆ $_tablePrefix

$_tablePrefix = ''
protected

◆ $_tbl

$_tbl = ''
protected

Référencé par getTableFields().

◆ $_tbl_key

$_tbl_key = ''
protected

Référencé par canDelete(), check(), checkin(), checkout(), copy(), delete(), hit(), isCheckedOut(), load(), move(), publish(), reorder(), et store().

◆ $_trackAssets

$_trackAssets = false
protected

◆ $_trigger_events

$_trigger_events = false
protected

Référencé par getTriggerEvents().

◆ $config

$config = array()
protected

Référencé par __construct(), addBehavior(), getAnInstance(), et getInstance().

◆ $configProvider

$configProvider = null
protected

Référencé par getAnInstance().

◆ $contentType

$contentType = null
protected

◆ $default_behaviors

$default_behaviors = array('tags', 'assets')
protected

Référencé par __construct().

◆ $input

$input = null
protected

◆ $instances

$instances = array()
staticprotected

◆ $knownFields

$knownFields = array()
protected

Référencé par getKnownFields().

◆ $tableCache

$tableCache = array()
staticprotected

Référencé par getTableFields().

◆ $tableDispatcher

$tableDispatcher = null
protected

◆ $tableFieldCache

$tableFieldCache = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • table.php


Joomla CMS: Référence de la classe FOFTableBehavior

Fonctions membres publiques
Référence de la classe FOFTableBehavior
+ Graphe d'héritage de FOFTableBehavior:
FOFUtilsObservableEvent FOFUtilsObject FOFTableBehaviorAssets FOFTableBehaviorContenthistory FOFTableBehaviorTags

Fonctions membres publiques

onBeforeBind (&$table, &$data)
onAfterBind (&$table, &$src)
onAfterLoad (&$table, &$result)
onBeforeStore (&$table, $updateNulls)
onAfterStore (&$table)
onBeforeMove (&$table, $updateNulls)
onAfterMove (&$table)
onBeforeReorder (&$table, $where='')
onAfterReorder (&$table)
onBeforeDelete (&$table, $oid)
onAfterDelete (&$table, $oid)
onBeforeHit (&$table, $oid, $log)
onAfterHit (&$table, $oid)
onBeforeCopy (&$table, $oid)
onAfterCopy (&$table, $oid)
onBeforePublish (&$table, &$cid, $publish)
onAfterReset (&$table)
onBeforeReset (&$table)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterBind()

onAfterBind | ( | & | $table,
 |  | & | $src
 | ) |  |

The event which runs after binding data to the table

Paramètres
FOFTable | &$table | The table which calls this event
object | array | &$src | The data to bind
Renvoie
boolean True on success

◆ onAfterCopy()

onAfterCopy | ( | & | $table,
 |  |  | $oid
 | ) |  |

The even which runs after copying a record

Paramètres
FOFTable | &$table | The table which calls this event
integer | $oid | The PK value of the record which was copied (not the new one)
Renvoie
boolean True to allow the copy without errors

◆ onAfterDelete()

onAfterDelete | ( | & | $table,
 |  |  | $oid
 | ) |  |

The event which runs after deleting a record

Paramètres
FOFTable | &$table | The table which calls this event
integer | $oid | The PK value of the record which was deleted
Renvoie
boolean True to allow the deletion without errors

◆ onAfterHit()

onAfterHit | ( | & | $table,
 |  |  | $oid
 | ) |  |

The event which runs after hitting a record

Paramètres
FOFTable | &$table | The table which calls this event
integer | $oid | The PK value of the record which was hit
Renvoie
boolean True to allow the hitting without errors

◆ onAfterLoad()

onAfterLoad | ( | & | $table,
 |  | & | $result
 | ) |  |

The event which runs after loading a record from the database

Paramètres
FOFTable | &$table | The table which calls this event
boolean | &$result | Did the load succeeded?
Renvoie
void

◆ onAfterMove()

onAfterMove ( & $table )

The event which runs after moving a record

Paramètres
FOFTable &$table The table which calls this event
Renvoie
boolean True to allow moving without an error

◆ onAfterReorder()

onAfterReorder ( & $table )

The event which runs after reordering a table

Paramètres
FOFTable &$table The table which calls this event
Renvoie
boolean True to allow the reordering to complete without an error

◆ onAfterReset()

onAfterReset ( & $table )

The event which runs after the object is reset to its default values.

Paramètres
FOFTable &$table The table which calls this event
Renvoie
boolean True to allow the reset to complete without errors

◆ onAfterStore()

onAfterStore ( & $table )

The event which runs after storing (saving) data to the database

Paramètres
FOFTable &$table The table which calls this event
Renvoie
boolean True to allow saving without an error

◆ onBeforeBind()

onBeforeBind | ( | & | $table,
 |  | & | $data
 | ) |  |

This event runs before binding data to the table

Paramètres
FOFTable | &$table | The table which calls this event
array | &$data | The data to bind
Renvoie
boolean True on success

◆ onBeforeCopy()

onBeforeCopy | ( | & | $table,
 |  |  | $oid
 | ) |  |

The even which runs before copying a record

Paramètres
FOFTable | &$table | The table which calls this event
integer | $oid | The PK value of the record being copied
Renvoie
boolean True to allow the copy to take place

◆ onBeforeDelete()

onBeforeDelete | ( | & | $table,
 |  |  | $oid
 | ) |  |

The event which runs before deleting a record

Paramètres
FOFTable | &$table | The table which calls this event
integer | $oid | The PK value of the record to delete
Renvoie
boolean True to allow the deletion

◆ onBeforeHit()

onBeforeHit | ( | & | $table,
 |  |  | $oid,
 |  |  | $log
 | ) |  |

The event which runs before hitting a record

Paramètres
FOFTable | &$table | The table which calls this event
integer | $oid | The PK value of the record to hit
boolean | $log | Should we log the hit?
Renvoie
boolean True to allow the hit

◆ onBeforeMove()

onBeforeMove | ( | & | $table,
 |  |  | $updateNulls
 | ) |  |

The event which runs before moving a record

Paramètres
FOFTable | &$table | The table which calls this event
boolean | $updateNulls | Should nulls be saved as nulls (true) or just skipped over (false)?
Renvoie
boolean True to allow moving

◆ onBeforePublish()

onBeforePublish | ( | & | $table,
 |  | & | $cid,
 |  |  | $publish
 | ) |  |

The event which runs before a record is (un)published

Paramètres
FOFTable | &$table | The table which calls this event
integer | array | &$cid | The PK IDs of the records being (un)published
integer | $publish | 1 to publish, 0 to unpublish
Renvoie
boolean True to allow the (un)publish to proceed

◆ onBeforeReorder()

onBeforeReorder | ( | & | $table,
 |  |  | $where = ''
 | ) |  |

The event which runs before reordering a table

Paramètres
FOFTable | &$table | The table which calls this event
string | $where | The WHERE clause of the SQL query to run on reordering (record filter)
Renvoie
boolean True to allow reordering

◆ onBeforeReset()

onBeforeReset ( & $table )

The even which runs before the object is reset to its default values.

Paramètres
FOFTable &$table The table which calls this event
Renvoie
boolean True to allow the reset to complete

◆ onBeforeStore()

onBeforeStore | ( | & | $table,
 |  |  | $updateNulls
 | ) |  |

The event which runs before storing (saving) data to the database

Paramètres
FOFTable | &$table | The table which calls this event
boolean | $updateNulls | Should nulls be saved as nulls (true) or just skipped over (false)?
Renvoie
boolean True to allow saving
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/table/behavior.php


Joomla CMS: Référence de la classe FOFTableBehaviorAssets

Fonctions membres publiques
Référence de la classe FOFTableBehaviorAssets
+ Graphe d'héritage de FOFTableBehaviorAssets:
FOFTableBehavior FOFUtilsObservableEvent FOFUtilsObject

Fonctions membres publiques

onAfterStore (&$table)
onAfterBind (&$table, &$src)
onBeforeDelete (&$table, $oid)
- Fonctions membres publiques hérités de FOFTableBehavior
onBeforeBind (&$table, &$data)
onAfterBind (&$table, &$src)
onAfterLoad (&$table, &$result)
onBeforeStore (&$table, $updateNulls)
onAfterStore (&$table)
onBeforeMove (&$table, $updateNulls)
onAfterMove (&$table)
onBeforeReorder (&$table, $where='')
onAfterReorder (&$table)
onBeforeDelete (&$table, $oid)
onAfterDelete (&$table, $oid)
onBeforeHit (&$table, $oid, $log)
onAfterHit (&$table, $oid)
onBeforeCopy (&$table, $oid)
onAfterCopy (&$table, $oid)
onBeforePublish (&$table, &$cid, $publish)
onAfterReset (&$table)
onBeforeReset (&$table)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterBind()

onAfterBind | ( | & | $table,
 |  | & | $src
 | ) |  |

The event which runs after binding data to the table

Paramètres
FOFTable | &$table | The table which calls this event
object | array | &$src | The data to bind
Renvoie
boolean True on success

Références $action, et $id.

◆ onAfterStore()

onAfterStore ( & $table )

The event which runs after storing (saving) data to the database

Paramètres
FOFTable &$table The table which calls this event
Renvoie
boolean True to allow saving

Références $asset, $db, $fields, $name, $query, et $title.

◆ onBeforeDelete()

onBeforeDelete | ( | & | $table,
 |  |  | $oid
 | ) |  |

The event which runs before deleting a record

Paramètres
FOFTable | &$table | The table which calls this event
integer | $oid | The PK value of the record to delete
Renvoie
boolean True to allow the deletion

Références $asset, $name, et $oid.

La documentation de cette classe a été générée à partir du fichier suivant :
  • assets.php


Joomla CMS: Référence de la classe FOFTableBehaviorContenthistory

Fonctions membres publiques
Référence de la classe FOFTableBehaviorContenthistory
+ Graphe d'héritage de FOFTableBehaviorContenthistory:
FOFTableBehavior FOFUtilsObservableEvent FOFUtilsObject

Fonctions membres publiques

onAfterStore (&$table)
onBeforeDelete (&$table, $oid)
- Fonctions membres publiques hérités de FOFTableBehavior
onBeforeBind (&$table, &$data)
onAfterBind (&$table, &$src)
onAfterLoad (&$table, &$result)
onBeforeStore (&$table, $updateNulls)
onAfterStore (&$table)
onBeforeMove (&$table, $updateNulls)
onAfterMove (&$table)
onBeforeReorder (&$table, $where='')
onAfterReorder (&$table)
onBeforeDelete (&$table, $oid)
onAfterDelete (&$table, $oid)
onBeforeHit (&$table, $oid, $log)
onAfterHit (&$table, $oid)
onBeforeCopy (&$table, $oid)
onAfterCopy (&$table, $oid)
onBeforePublish (&$table, &$cid, $publish)
onAfterReset (&$table)
onBeforeReset (&$table)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterStore()

onAfterStore ( & $table )

The event which runs after storing (saving) data to the database

Paramètres
FOFTable &$table The table which calls this event
Renvoie
boolean True to allow saving without an error

◆ onBeforeDelete()

onBeforeDelete | ( | & | $table,
 |  |  | $oid
 | ) |  |

The event which runs before deleting a record

Paramètres
FOFTable | &$table | The table which calls this event
integer | $oid | The PK value of the record to delete
Renvoie
boolean True to allow the deletion
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/table/behavior/contenthistory.php


Joomla CMS: Référence de la classe FOFTableBehaviorTags

Fonctions membres publiques
Référence de la classe FOFTableBehaviorTags
+ Graphe d'héritage de FOFTableBehaviorTags:
FOFTableBehavior FOFUtilsObservableEvent FOFUtilsObject

Fonctions membres publiques

onAfterBind (&$table, &$src, $options=array())
onBeforeStore (&$table, $updateNulls)
onAfterDelete (&$table, $oid)
- Fonctions membres publiques hérités de FOFTableBehavior
onBeforeBind (&$table, &$data)
onAfterBind (&$table, &$src)
onAfterLoad (&$table, &$result)
onBeforeStore (&$table, $updateNulls)
onAfterStore (&$table)
onBeforeMove (&$table, $updateNulls)
onAfterMove (&$table)
onBeforeReorder (&$table, $where='')
onAfterReorder (&$table)
onBeforeDelete (&$table, $oid)
onAfterDelete (&$table, $oid)
onBeforeHit (&$table, $oid, $log)
onAfterHit (&$table, $oid)
onBeforeCopy (&$table, $oid)
onAfterCopy (&$table, $oid)
onBeforePublish (&$table, &$cid, $publish)
onAfterReset (&$table)
onBeforeReset (&$table)
- Fonctions membres publiques hérités de FOFUtilsObservableEvent
__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Attributs protégés hérités de FOFUtilsObservableEvent
$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des fonctions membres

◆ onAfterBind()

onAfterBind | ( | & | $table,
 |  | & | $src,
 |  |  | $options = array()
 | ) |  |

The event which runs after binding data to the table

Paramètres
FOFTable | &$table | The table which calls this event
object | array | &$src | The data to bind
array | $options | The options of the table
Renvoie
boolean True on success

◆ onAfterDelete()

onAfterDelete | ( | & | $table,
 |  |  | $oid
 | ) |  |

The event which runs after deleting a record

Paramètres
FOFTable | &$table | The table which calls this event
integer | $oid | The PK value of the record which was deleted
Renvoie
boolean True to allow the deletion without errors

Références $oid.

◆ onBeforeStore()

onBeforeStore | ( | & | $table,
 |  |  | $updateNulls
 | ) |  |

The event which runs before storing (saving) data to the database

Paramètres
FOFTable | &$table | The table which calls this event
boolean | $updateNulls | Should nulls be saved as nulls (true) or just skipped over (false)?
Renvoie
boolean True to allow saving
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/table/behavior/tags.php


Joomla CMS: Référence de la classe FOFTableDispatcherBehavior

Référence de la classe FOFTableDispatcherBehavior
+ Graphe d'héritage de FOFTableDispatcherBehavior:
FOFUtilsObservableDispatcher FOFUtilsObject

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFUtilsObservableDispatcher
getState ()
register ($event, $handler)
trigger ($event, $args=array())
attach ($observer)
detach ($observer)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)
- Fonctions membres publiques statiques hérités de FOFUtilsObservableDispatcher
static | getInstance ()
- Attributs protégés hérités de FOFUtilsObservableDispatcher
$_observers = array()
$_state = null
$_methods = array()
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()
- Attributs protégés statiques hérités de FOFUtilsObservableDispatcher
static | $instance = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/table/dispatcher/behavior.php


Joomla CMS: Référence de la classe FOFTableNested

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFTableNested
+ Graphe d'héritage de FOFTableNested:
FOFTable FOFUtilsObject

Fonctions membres publiques

__construct ($table, $key, &$db, $config=array())
check ()
reorder ($where='')
move ($delta, $where='')
create ($data)
copy ($cid=null)
reset ()
insertAsRoot ()
insertAsFirstChildOf (FOFTableNested &$parentNode)
insertAsLastChildOf (FOFTableNested &$parentNode)
insertAsChildOf (FOFTableNested &$parentNode)
insertLeftOf (FOFTableNested &$siblingNode)
insertRightOf (FOFTableNested &$siblingNode)
insertAsSiblingOf (FOFTableNested &$siblingNode)
moveLeft ()
moveRight ()
moveToLeftOf (FOFTableNested $siblingNode)
moveToRightOf (FOFTableNested $siblingNode)
makeNextSiblingOf (FOFTableNested $siblingNode)
makeSiblingOf (FOFTableNested $siblingNode)
makePreviousSiblingOf (FOFTableNested $siblingNode)
makeFirstChildOf (FOFTableNested $parentNode)
makeLastChildOf (FOFTableNested $parentNode)
makeChildOf (FOFTableNested $parentNode)
makeRoot ()
getLevel ()
getParent ()
isRoot ()
isLeaf ()
isChild ()
isDescendantOf (FOFTableNested $otherNode)
isSelfOrDescendantOf (FOFTableNested $otherNode)
isAncestorOf (FOFTableNested $otherNode)
isSelfOrAncestorOf (FOFTableNested $otherNode)
equals (FOFTableNested &$node)
insideSubtree (FOFTableNested $otherNode)
inSameScope (FOFTableNested $otherNode)
withoutNode (FOFTableNested $node)
getRoot ()
getAncestorsAndSelf ()
getAncestorsAndSelfWithoutRoot ()
getAncestors ()
getAncestorsWithoutRoot ()
getSiblingsAndSelf ()
getSiblings ()
getLeaves ()
getDescendantsAndSelf ()
getDescendants ()
getImmediateDescendants ()
getNestedList ($column='title', $key=null, $seperator=' ')
findByPath ($path)
isValid ()
rebuild ()
whereRaw ($rawWhereClause)
get ($limitstart=0, $limit=0)
- Fonctions membres publiques hérités de FOFTable
__construct ($table, $key, &$db, $config=array())
setKnownFields ($fields, $initialise=false)
getKnownFields ()
hasField ($fieldName)
addKnownField ($field, $initialise=false)
removeKnownField ($field)
addBehavior ($name, $config=array())
setTriggerEvents ($newState=false)
getTriggerEvents ()
hasTags ()
setHasTags ($newState=false)
setTablePrefix ($prefix)
setSkipChecks ($skip)
load ($keys=null, $reset=true)
check ()
reset ()
getClone ()
canDelete ($oid=null, $joins=null)
bind ($src, $ignore=array())
store ($updateNulls=false)
move ($delta, $where='')
reorder ($where='')
checkout ($userId, $oid=null)
checkin ($oid=null)
isCheckedOut ($with=0, $unused_against=null)
copy ($cid=null)
publish ($cid=null, $publish=1, $user_id=0)
delete ($oid=null)
hit ($oid=null, $log=false)
toCSV ($separator=',')
getData ()
getCSVHeader ($separator=',')
getTableFields ($tableName=null)
getTableAlias ()
setTableAlias ($string)
getColumnAlias ($column)
setColumnAlias ($column, $columnAlias)
getQueryJoin ($asReference=false)
setQueryJoin ($query)
setInput (FOFInput $input)
getFields ()
getAssetName ()
getAssetKey ()
getAssetTitle ()
getAssetParentId ($table=null, $id=null)
setAssetKey ($assetKey)
getTableName ()
getKeyName ()
getId ()
getDbo ()
setDBO ($db)
setRules ($input)
getRules ()
isAssetsTracked ()
setAssetsTracked ($state)
save ($src, $orderingFilter='', $ignore='')
getNextOrder ($where='')
setConfig (array $config)
getContentType ()
getRelations ()
getConfigProvider ()
getConfigProviderKey ()
checkContentType ($alias=null)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres protégées

onAfterDelete ($oid)
scopeAncestorsAndSelf ()
scopeAncestors ()
scopeSiblingsAndSelf ()
scopeSiblings ()
scopeLeaves ()
scopeDescendantsAndSelf ()
scopeDescendants ()
scopeImmediateDescendants ()
scopeWithoutSelf ()
scopeWithoutRoot ()
resetTreeCache ()
buildQuery ()
- Fonctions membres protégées hérités de FOFTable
getQueryJoinFields ()
normalizeSelectFields ($fields)
isQuoted ($column)
onBeforeBind (&$from)
onAfterLoad (&$result)
onBeforeStore ($updateNulls)
onAfterBind (&$src)
onAfterStore ()
onBeforeMove ($updateNulls)
onAfterMove ()
onBeforeReorder ($where='')
onAfterReorder ()
onBeforeDelete ($oid)
onAfterDelete ($oid)
onBeforeHit ($oid, $log)
onAfterHit ($oid)
onBeforeCopy ($oid)
onAfterCopy ($oid)
onBeforePublish (&$cid, $publish)
onAfterReset ()
onBeforeReset ()
getAsset ()
_lock ()
_unlock ()
getUcmCoreAlias ($alias, $null="null")

Attributs protégés

$treeDepth = null
$treeRoot = null
$treeParent = null
$treeNestedGet = false
$whereClauses = array()
- Attributs protégés hérités de FOFTable
$config = array()
$_tbl = ''
$_tbl_key = ''
$_db
$_trackAssets = false
$_has_tags = false
$_rules
$_locked = false
$_trigger_events = false
$_tableAlias = false
$_columnAlias = array()
$_autoChecks = false
$_skipChecks = array()
$_tableExists = true
$_assetKey = ''
$input = null
$_queryJoin = null
$_tablePrefix = ''
$knownFields = array()
$configProvider = null
$tableDispatcher = null
$default_behaviors = array('tags', 'assets')
$_relations = null
$_configProviderKey = ''
$contentType = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFTable
static | getInstance ($type, $prefix='JTable', $config=array())
static & | getAnInstance ($type=null, $prefix='JTable', $config=array())
static | forceInstance ($key=null, $instance=null)
static | addIncludePath ($path=null)
- Attributs protégés statiques hérités de FOFTable
static | $instances = array()
static | $_includePaths = array()
static | $tableFieldCache = array()
static | $tableCache = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $table,
 |  |  | $key,
 |  | & | $db,
 |  |  | $config = array()
 | ) |  |

Public constructor. Overrides the parent constructor, making sure there are lft/rgt columns which make it compatible with nested sets.

Paramètres
string | $table | Name of the database table to model.
string | $key | Name of the primary key field in the table.
FOFDatabaseDriver | &$db | Database driver
array | $config | The configuration parameters array
Exceptions

Références $config, $db, et $key.

Documentation des fonctions membres

◆ buildQuery()

buildQuery ( )
protected

Builds the query for the get() method

Renvoie
FOFDatabaseQuery

Références $db, et $query.

◆ check()

check ( )

Overrides the automated table checks to handle the 'hash' column for faster searching

Renvoie
boolean

Références title, et FOFStringUtils\toSlug().

◆ copy()

copy ( $cid = null )

Makes a copy of the record, inserting it as the last child of the given node's parent.

Paramètres
integer | array $cid The primary key value (or values) or the record(s) to copy. If null, the current record will be copied
Renvoie
self|FOFTableNested The last copied node

Références $item, et FOFUtilsArray\toInteger().

◆ create()

create ( $data )

Create a new record with the provided data. It is inserted as the last child of the current node's parent

Paramètres
array $data The data to use in the new record
Renvoie
static The new node

Références $data.

◆ equals()

equals ( FOFTableNested & $node )

Is $node this very node?

Paramètres
FOFTableNested $node
Exceptions
RuntimeException
@return bool

Références FOFTable\getId().

◆ findByPath()

findByPath ( $path )

Locate a node from a given path, e.g. "/some/other/leaf"

Notes:

  • This will only work when you have a "slug" and a "hash" field in your table.
  • If the path starts with "/" we will use the root with lft=1. Otherwise the first component of the path is supposed to be the slug of the root node.
  • If the root node is not found you'll get null as the return value
  • You will also get null if any component of the path is not found
Paramètres
string $path The path to locate
Renvoie
FOFTableNested|null The found node or null if nothing is found

◆ get()

get | ( | $limitstart = 0,
 |  | $limit = 0
 | ) |

Returns a database iterator to retrieve records. Use the scope methods and the whereRaw method to define what exactly will be returned.

Paramètres
integer | $limitstart | How many items to skip from the start, only when $overrideLimits = true
integer | $limit | How many items to return, only when $overrideLimits = true
Renvoie
FOFDatabaseIterator The data collection

Références $db, $limit, $query, FOFDatabaseIterator\getIterator(), et null.

◆ getAncestors()

getAncestors ( )

Get all ancestors to this node but not the node itself. In other words it gets the path to the node, without the node itself.

Renvoie
FOFDatabaseIterator

◆ getAncestorsAndSelf()

getAncestorsAndSelf ( )

Get all ancestors to this node and the node itself. In other words it gets the full path to the node and the node itself.

Renvoie
FOFDatabaseIterator

◆ getAncestorsAndSelfWithoutRoot()

getAncestorsAndSelfWithoutRoot ( )

Get all ancestors to this node and the node itself, but not the root node. If you want to

Renvoie
FOFDatabaseIterator

◆ getAncestorsWithoutRoot()

getAncestorsWithoutRoot ( )

Get all ancestors to this node but not the node itself and its root.

Renvoie
FOFDatabaseIterator

◆ getDescendants()

getDescendants ( )

Get only our descendant (children) nodes, not ourselves.

Note: all descendant nodes, even descendants of our immediate descendants, will be returned.

Renvoie
FOFDatabaseIterator

◆ getDescendantsAndSelf()

getDescendantsAndSelf ( )

Get all descendant (children) nodes and ourselves.

Note: all descendant nodes, even descendants of our immediate descendants, will be returned.

Renvoie
FOFDatabaseIterator

◆ getImmediateDescendants()

getImmediateDescendants ( )

Get the immediate descendants (children). Unlike getDescendants it only goes one level deep into the tree structure. Descendants of descendant nodes will not be returned.

Renvoie
FOFDatabaseIterator

◆ getLeaves()

getLeaves ( )

Get all leaf nodes in the tree. You may want to use the scopes to narrow down the search in a specific subtree or path.

Renvoie
FOFDatabaseIterator

◆ getLevel()

getLevel ( )

Gets the level (depth) of this node in the tree. The result is cached in $this->treeDepth for faster retrieval.

Exceptions
RuntimeException
@return int|mixed

Références $db, et $query.

◆ getNestedList()

getNestedList | ( | $column = 'title',
 |  | $key = null,
 |  | $seperator = ' '
 | ) |

Returns a hashed array where each element's key is the value of the $key column (default: the ID column of the table) and its value is the value of the $column column (default: title). Each nesting level will have the value of the $column column prefixed by a number of $separator strings, as many as its nesting level (depth).

This is useful for creating HTML select elements showing the hierarchy in a human readable format.

Paramètres
string | $column
null | $key
string | $seperator
Renvoie
array

Références $db, $key, $query, et $row.

◆ getParent()

getParent ( )

Returns the immediate parent of the current node

Exceptions
RuntimeException
@return FOFTableNested

Références $db, et $query.

◆ getRoot()

getRoot ( )

Returns the root node of the tree this node belongs to

Renvoie
self
Exceptions

Références $db, $query, $root, et null.

◆ getSiblings()

getSiblings ( )

Get all sibling nodes, except ourselves

Renvoie
FOFDatabaseIterator

◆ getSiblingsAndSelf()

getSiblingsAndSelf ( )

Get all sibling nodes, including ourselves

Renvoie
FOFDatabaseIterator

◆ inSameScope()

inSameScope ( FOFTableNested $otherNode )

Returns true if both this node and $otherNode are root, leaf or child (same tree scope)

Paramètres
FOFTableNested $otherNode
Renvoie
bool

Références elseif, isChild(), isLeaf(), et isRoot().

◆ insertAsChildOf()

insertAsChildOf ( FOFTableNested & $parentNode )

Alias for insertAsLastchildOf

Paramètres
FOFTableNested $parentNode
Renvoie
$this for chaining
Exceptions
Exception

◆ insertAsFirstChildOf()

insertAsFirstChildOf ( FOFTableNested & $parentNode )

Insert the current node as the first (leftmost) child of a parent node.

WARNING: If it's an existing node it will be COPIED, not moved.

Paramètres
FOFTableNested $parentNode The node which will become our parent
Renvoie
$this for chaining
Exceptions
Exception
RuntimeException

Références $db, $query, et null.

◆ insertAsLastChildOf()

insertAsLastChildOf ( FOFTableNested & $parentNode )

Insert the current node as the last (rightmost) child of a parent node.

WARNING: If it's an existing node it will be COPIED, not moved.

Paramètres
FOFTableNested $parentNode The node which will become our parent
Renvoie
$this for chaining
Exceptions
Exception
RuntimeException

Références $db, $query, et null.

◆ insertAsRoot()

insertAsRoot ( )

Insert the current node as a tree root. It is a good idea to never use this method, instead providing a root node in your schema installation and then sticking to only one root.

Renvoie
self

Références $db, et $query.

◆ insertAsSiblingOf()

insertAsSiblingOf ( FOFTableNested & $siblingNode )

Alias for insertRightOf

Paramètres
FOFTableNested $siblingNode
Renvoie
$this for chaining

◆ insertLeftOf()

insertLeftOf ( FOFTableNested & $siblingNode )

Insert the current node to the left of (before) a sibling node

WARNING: If it's an existing node it will be COPIED, not moved.

Paramètres
FOFTableNested $siblingNode We will be inserted before this node
Renvoie
$this for chaining
Exceptions
Exception
RuntimeException

Références $db, et null.

◆ insertRightOf()

insertRightOf ( FOFTableNested & $siblingNode )

Insert the current node to the right of (after) a sibling node

WARNING: If it's an existing node it will be COPIED, not moved.

Paramètres
FOFTableNested $siblingNode We will be inserted after this node
Renvoie
$this for chaining
Exceptions
Exception
RuntimeException

Références $db, et null.

◆ insideSubtree()

insideSubtree ( FOFTableNested $otherNode )

Alias for isDescendantOf

Paramètres
FOFTableNested $otherNode
Renvoie
bool

◆ isAncestorOf()

isAncestorOf ( FOFTableNested $otherNode )

Returns true if we are an ancestor of $otherNode

Paramètres
FOFTableNested $otherNode
Renvoie
bool

Références isDescendantOf().

◆ isChild()

isChild ( )

Is this a child node (not root)?

Renvoie
bool

Référencé par inSameScope().

◆ isDescendantOf()

isDescendantOf ( FOFTableNested $otherNode )

Returns true if we are a descendant of $otherNode

Paramètres
FOFTableNested $otherNode
Exceptions
RuntimeException
@return bool

Référencé par isAncestorOf().

◆ isLeaf()

isLeaf ( )

Is this a leaf node (a node without children)?

Exceptions
RuntimeException
@return bool

Référencé par inSameScope().

◆ isRoot()

isRoot ( )

Is this a top-level root node?

Renvoie
bool

Référencé par inSameScope().

◆ isSelfOrAncestorOf()

isSelfOrAncestorOf ( FOFTableNested $otherNode )

Returns true if $otherNode is ourselves or we are an ancestor of $otherNode

Paramètres
FOFTableNested $otherNode
Renvoie
bool

Références isSelfOrDescendantOf().

◆ isSelfOrDescendantOf()

isSelfOrDescendantOf ( FOFTableNested $otherNode )

Returns true if $otherNode is ourselves or if we are a descendant of $otherNode

Paramètres
FOFTableNested $otherNode
Exceptions
RuntimeException
@return bool

Référencé par isSelfOrAncestorOf().

◆ isValid()

isValid ( )

◆ makeChildOf()

makeChildOf ( FOFTableNested $parentNode )

Alias for makeLastChildOf

Paramètres
FOFTableNested $parentNode
Renvoie
$this for chaining

◆ makeFirstChildOf()

makeFirstChildOf ( FOFTableNested $parentNode )

Moves a node and its subtree as a the first (leftmost) child of $parentNode

Paramètres
FOFTableNested $parentNode
Renvoie
$this for chaining
Exceptions
Exception

Références $db, et $query.

◆ makeLastChildOf()

makeLastChildOf ( FOFTableNested $parentNode )

Moves a node and its subtree as a the last (rightmost) child of $parentNode

Paramètres
FOFTableNested $parentNode
Renvoie
$this for chaining
Exceptions
Exception
RuntimeException

Références $db, et $query.

◆ makeNextSiblingOf()

makeNextSiblingOf ( FOFTableNested $siblingNode )

Alias for moveToRightOf

Paramètres
FOFTableNested $siblingNode
Renvoie
$this for chaining

◆ makePreviousSiblingOf()

makePreviousSiblingOf ( FOFTableNested $siblingNode )

Alias for moveToLeftOf

Paramètres
FOFTableNested $siblingNode
Renvoie
$this for chaining

◆ makeRoot()

makeRoot ( )

Makes the current node a root (and moving its entire subtree along the way). This is achieved by moving the node to the right of its root node

Renvoie
$this for chaining

◆ makeSiblingOf()

makeSiblingOf ( FOFTableNested $siblingNode )

Alias for makeNextSiblingOf

Paramètres
FOFTableNested $siblingNode
Renvoie
$this for chaining

◆ move()

move | ( | $delta,
 |  | $where = ''
 | ) |

Not supported in nested sets

Paramètres
integer | $delta | Ignored
string | $where | Ignored
Renvoie
void
Exceptions
RuntimeException

◆ moveLeft()

moveLeft ( )

Move the current node (and its subtree) one position to the left in the tree, i.e. before its left-hand sibling

Exceptions
RuntimeException
@return $this

Références $db.

◆ moveRight()

moveRight ( )

Move the current node (and its subtree) one position to the right in the tree, i.e. after its right-hand sibling

Exceptions
RuntimeException
@return $this

Références $db.

◆ moveToLeftOf()

moveToLeftOf ( FOFTableNested $siblingNode )

Moves the current node (and its subtree) to the left of another node. The other node can be in a different position in the tree or even under a different root.

Paramètres
FOFTableNested $siblingNode
Renvoie
$this for chaining
Exceptions
Exception
RuntimeException

Références $db, et $query.

◆ moveToRightOf()

moveToRightOf ( FOFTableNested $siblingNode )

Moves the current node (and its subtree) to the right of another node. The other node can be in a different position in the tree or even under a different root.

Paramètres
FOFTableNested $siblingNode
Renvoie
$this for chaining
Exceptions
Exception
RuntimeException

Références $db, et $query.

◆ onAfterDelete()

onAfterDelete ( $oid )
protected

Références $db, $oid, $query, et $width.

◆ rebuild()

rebuild ( )

◆ reorder()

reorder ( $where = '' )

Not supported in nested sets

Paramètres
string $where Ignored
Renvoie
void
Exceptions
RuntimeException

◆ reset()

reset ( )

Method to reset class properties to the defaults set in the class definition. It will ignore the primary key as well as any private class properties.

Renvoie
void

◆ resetTreeCache()

resetTreeCache ( )
protected

Resets cached values used to speed up querying the tree

Renvoie
static for chaining

Références null.

◆ scopeAncestors()

scopeAncestors ( )
protected

get() will return all ancestor nodes but not ourselves

Renvoie
void

Références $db.

◆ scopeAncestorsAndSelf()

scopeAncestorsAndSelf ( )
protected

get() will return all ancestor nodes and ourselves

Renvoie
void

Références $db.

◆ scopeDescendants()

scopeDescendants ( )
protected

get() will return all descendants (even subtrees of subtrees!) but not ourselves

Renvoie
void

Références $db.

◆ scopeDescendantsAndSelf()

scopeDescendantsAndSelf ( )
protected

get() will return all descendants (even subtrees of subtrees!) and ourselves

Renvoie
void

Références $db.

◆ scopeImmediateDescendants()

scopeImmediateDescendants ( )
protected

get() will only return immediate descendants (first level children) of the current node

Renvoie
void

Références $db, $item, $key, et $query.

◆ scopeLeaves()

scopeLeaves ( )
protected

get() will return only leaf nodes

Renvoie
void

Références $db.

◆ scopeSiblings()

scopeSiblings ( )
protected

get() will return all sibling nodes but not ourselves

Renvoie
void

◆ scopeSiblingsAndSelf()

scopeSiblingsAndSelf ( )
protected

get() will return all sibling nodes and ourselves

Renvoie
void

Références $db.

◆ scopeWithoutRoot()

scopeWithoutRoot ( )
protected

get() will not return our root if it's part of the query results

Renvoie
void

◆ scopeWithoutSelf()

scopeWithoutSelf ( )
protected

get() will not return ourselves if it's part of the query results

Renvoie
void

◆ whereRaw()

whereRaw ( $rawWhereClause )

Add custom, pre-compiled WHERE clauses for use in buildQuery. The raw WHERE clause you specify is added as is to the query generated by buildQuery. You are responsible for quoting and escaping the field names and data found inside the WHERE clause.

Paramètres
string $rawWhereClause The raw WHERE clause to add
Renvoie
$this For chaining

◆ withoutNode()

withoutNode ( FOFTableNested $node )

get() will not return the selected node if it's part of the query results

Paramètres
FOFTableNested $node The node to exclude from the results
Renvoie
void

Références $db.

Documentation des champs

◆ $treeDepth

$treeDepth = null
protected

◆ $treeNestedGet

$treeNestedGet = false
protected

◆ $treeParent

$treeParent = null
protected

◆ $treeRoot

$treeRoot = null
protected

◆ $whereClauses

$whereClauses = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • nested.php


Joomla CMS: Référence de la classe FOFTableRelations

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFTableRelations

Fonctions membres publiques

__construct (FOFTable $table)
addChildRelation ($itemName, $tableClass=null, $localKey=null, $remoteKey=null, $default=true)
addParentRelation ($itemName, $tableClass=null, $localKey=null, $remoteKey=null, $default=true)
addChildrenRelation ($itemName, $tableClass=null, $localKey=null, $remoteKey=null, $default=true)
addMultipleRelation ($itemName, $tableClass=null, $localKey=null, $ourPivotKey=null, $theirPivotKey=null, $remoteKey=null, $glueTable=null, $default=true)
removeRelation ($itemName, $type=null)
clearRelations ($type=null)
hasRelation ($itemName, $type=null)
getRelation ($itemName, $type)
getRelatedItem ($itemName, $type=null)
getRelatedItems ($itemName, $type=null)
getParent ($itemName=null)
getChild ($itemName=null)
getChildren ($itemName=null)
getSiblings ($itemName=null)
getMultiple ($itemName=null)

Fonctions membres protégées

getTableFromRelation ($relation)
getIteratorFromRelation ($relation)
addBespokeSimpleRelation ($relationType, $itemName, $tableClass, $localKey, $remoteKey, $default)
addBespokePivotRelation ($relationType, $itemName, $tableClass, $localKey, $remoteKey, $ourPivotKey, $theirPivotKey, $pivotTable, $default)
normaliseParameters ($pivot, &$itemName, &$tableClass, &$localKey, &$remoteKey, &$ourPivotKey, &$theirPivotKey, &$pivotTable)
normaliseItemName ($itemName, $pluralise=false)

Attributs protégés

$relations
$defaultRelation
$table = null
$componentName = 'joomla'
$tableType = ''

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( FOFTable $table )

Create a relations object based on the provided FOFTable instance

Paramètres
FOFTable $table The table instance used to initialise the relations

Références $default, $field, $key, $parts, $type, FOFTable\getConfigProvider(), FOFTable\getConfigProviderKey(), FOFTable\getKeyName(), FOFTable\getKnownFields(), FOFTable\getTableName(), et FOFInflector\singularize().

Documentation des fonctions membres

◆ addBespokePivotRelation()

addBespokePivotRelation | ( | $relationType,
 |  | $itemName,
 |  | $tableClass,
 |  | $localKey,
 |  | $remoteKey,
 |  | $ourPivotKey,
 |  | $theirPivotKey,
 |  | $pivotTable,
 |  | $default
 | ) |
protected

Add any bespoke relation which involves a pivot table.

Paramètres
string | $relationType | The type of the relationship (multiple)
string | $itemName | is how it will be known locally to the getRelatedItems method
string | $tableClass | if skipped it is defined automatically as ComponentnameTableItemname
string | $localKey | is the column containing our side of the FK relation, default: componentname_itemname_id
string | $remoteKey | is the remote table's FK column, default: componentname_itemname_id
string | $ourPivotKey | is the column containing our side of the FK relation in the pivot table, default: $localKey
string | $theirPivotKey | is the column containing the other table's side of the FK relation in the pivot table, default $remoteKey
string | $pivotTable | is the name of the glue (pivot) table, default: #__componentname_thisclassname_itemname with plural items (e.g. #__foobar_users_roles)
boolean | $default | is this the default children relationship?
Renvoie
void

Références $default.

◆ addBespokeSimpleRelation()

addBespokeSimpleRelation | ( | $relationType,
 |  | $itemName,
 |  | $tableClass,
 |  | $localKey,
 |  | $remoteKey,
 |  | $default
 | ) |
protected

Add any bespoke relation which doesn't involve a pivot table.

Paramètres
string | $relationType | The type of the relationship (parent, child, children)
string | $itemName | is how it will be known locally to the getRelatedItems method
string | $tableClass | if skipped it is defined automatically as ComponentnameTableItemname
string | $localKey | is the column containing our side of the FK relation, default: componentname_itemname_id
string | $remoteKey | is the remote table's FK column, default: componentname_itemname_id
boolean | $default | is this the default children relationship?
Renvoie
void

Références $default, et null.

◆ addChildRelation()

addChildRelation | ( | $itemName,
 |  | $tableClass = null,
 |  | $localKey = null,
 |  | $remoteKey = null,
 |  | $default = true
 | ) |

Add a 1:1 forward (child) relation. This adds relations for the getChild() method.

In other words: does a table HAVE ONE child

Parent and child relations works the same way. We have them separated as it makes more sense for us humans to read code like $item->getParent() and $item->getChild() than $item->getRelatedObject('someRandomKeyName')

Paramètres
string | $itemName | is how it will be known locally to the getRelatedItem method (singular)
string | $tableClass | if skipped it is defined automatically as ComponentnameTableItemname
string | $localKey | is the column containing our side of the FK relation, default: our primary key
string | $remoteKey | is the remote table's FK column, default: componentname_itemname_id
boolean | $default | add as the default child relation?
Renvoie
void

Références $default.

◆ addChildrenRelation()

addChildrenRelation | ( | $itemName,
 |  | $tableClass = null,
 |  | $localKey = null,
 |  | $remoteKey = null,
 |  | $default = true
 | ) |

Defining a forward 1:∞ (children) relation. This adds relations to the getChildren() method.

In other words: does a table HAVE MANY children?

The children relation works very much the same as the parent and child relation. The difference is that the parent and child relations return a single table object, whereas the children relation returns an iterator to many objects.

Paramètres
string | $itemName | is how it will be known locally to the getRelatedItems method (plural)
string | $tableClass | if skipped it is defined automatically as ComponentnameTableItemname
string | $localKey | is the column containing our side of the FK relation, default: our primary key
string | $remoteKey | is the remote table's FK column, default: componentname_itemname_id
boolean | $default | is this the default children relationship?
Renvoie
void

Références $default.

◆ addMultipleRelation()

addMultipleRelation | ( | $itemName,
 |  | $tableClass = null,
 |  | $localKey = null,
 |  | $ourPivotKey = null,
 |  | $theirPivotKey = null,
 |  | $remoteKey = null,
 |  | $glueTable = null,
 |  | $default = true
 | ) |

Defining a ∞:∞ (multiple) relation. This adds relations to the getMultiple() method.

In other words: is a table RELATED TO MANY other records?

Paramètres
string | $itemName | is how it will be known locally to the getRelatedItems method (plural)
string | $tableClass | if skipped it is defined automatically as ComponentnameTableItemname
string | $localKey | is the column containing our side of the FK relation, default: our primary key field name
string | $ourPivotKey | is the column containing our side of the FK relation in the pivot table, default: $localKey
string | $theirPivotKey | is the column containing the other table's side of the FK relation in the pivot table, default $remoteKey
string | $remoteKey | is the remote table's FK column, default: componentname_itemname_id
string | $glueTable | is the name of the glue (pivot) table, default: #__componentname_thisclassname_itemname with plural items (e.g. #__foobar_users_roles)
boolean | $default | is this the default multiple relation?

Références $default.

◆ addParentRelation()

addParentRelation | ( | $itemName,
 |  | $tableClass = null,
 |  | $localKey = null,
 |  | $remoteKey = null,
 |  | $default = true
 | ) |

Defining an inverse 1:1 (parent) relation. You must specify at least the $tableClass or the $localKey. This adds relations for the getParent() method.

In other words: does a table BELONG TO ONE parent

Parent and child relations works the same way. We have them separated as it makes more sense for us humans to read code like $item->getParent() and $item->getChild() than $item->getRelatedObject('someRandomKeyName')

Paramètres
string | $itemName | is how it will be known locally to the getRelatedItem method (singular)
string | $tableClass | if skipped it is defined automatically as ComponentnameTableItemname
string | $localKey | is the column containing our side of the FK relation, default: componentname_itemname_id
string | $remoteKey | is the remote table's FK column, default: componentname_itemname_id
boolean | $default | Is this the default parent relationship?
Renvoie
void

Références $default.

◆ clearRelations()

clearRelations ( $type = null )

Removes all existing relations

Paramètres
string $type The type or relations to remove, omit to remove all relation types
Renvoie
void

Références $type, et null.

◆ getChild()

getChild ( $itemName = null )

Gets a child item

Paramètres
string $itemName [optional] The name of the relation to use, skip to use the default child relation
Renvoie
FOFTable
Exceptions
RuntimeException When the relation is not found

◆ getChildren()

getChildren ( $itemName = null )

Gets an iterator for the children items

Paramètres
string $itemName [optional] The name of the relation to use, skip to use the default children relation
Renvoie
FOFDatabaseIterator
Exceptions
RuntimeException When the relation is not found

◆ getIteratorFromRelation()

getIteratorFromRelation ( $relation )
protected

Returns a FOFDatabaseIterator based on a given relation

Paramètres
array $relation Indexed array holding relation definition. tableClass => name of the related table class localKey => name of the local key remoteKey => name of the remote key pivotTable => name of the pivot table (optional) theirPivotKey => name of the remote key in the pivot table (mandatory if pivotTable is set) ourPivotKey => name of our key in the pivot table (mandatory if pivotTable is set)
Renvoie
FOFDatabaseIterator
Exceptions
RuntimeException
InvalidArgumentException

Références $db, $query, $value, FOFInflector\explode(), FOFTable\getInstance(), FOFDatabaseIterator\getIterator(), et null.

◆ getMultiple()

getMultiple ( $itemName = null )

Gets an iterator for the multiple items

Paramètres
string $itemName [optional] The name of the relation to use, skip to use the default multiple relation
Renvoie
FOFDatabaseIterator
Exceptions
RuntimeException When the relation is not found

◆ getParent()

getParent ( $itemName = null )

Gets a parent item

Paramètres
string $itemName [optional] The name of the relation to use, skip to use the default parent relation
Renvoie
FOFTable
Exceptions
RuntimeException When the relation is not found

◆ getRelatedItem()

getRelatedItem | ( | $itemName,
 |  | $type = null
 | ) |

Gets the item referenced by a named relation. You can optionally specify the type. Only single item relation types will be searched.

Paramètres
string | $itemName | The name of the relation to use
string | $type | [optional] The relation type (child, parent)
Renvoie
FOFTable
Exceptions
RuntimeException If the named relation doesn't exist or isn't supposed to return single items

Références $type.

◆ getRelatedItems()

getRelatedItems | ( | $itemName,
 |  | $type = null
 | ) |

Gets the iterator for the items referenced by a named relation. You can optionally specify the type. Only multiple item relation types will be searched.

Paramètres
string | $itemName | The name of the relation to use
string | $type | [optional] The relation type (children, multiple)
Renvoie
FOFDatabaseIterator
Exceptions
RuntimeException If the named relation doesn't exist or isn't supposed to return single items

Références $type.

◆ getRelation()

getRelation | ( | $itemName,
 |  | $type
 | ) |

Get the definition of a relation

Paramètres
string | $itemName | The name of the relation to check
string | $type | [optional] The relation type (child, parent, children, ...)
Renvoie
array
Exceptions
RuntimeException When the relation is not found

Références $key, et $type.

◆ getSiblings()

getSiblings ( $itemName = null )

Gets an iterator for the sibling items. This relation is inferred from the parent relation. It returns all elements on the same table which have the same parent.

Paramètres
string $itemName [optional] The name of the relation to use, skip to use the default children relation
Renvoie
FOFDatabaseIterator
Exceptions
RuntimeException When the relation is not found

Références FOFInflector\singularize().

◆ getTableFromRelation()

getTableFromRelation ( $relation )
protected

Returns a FOFTable object based on a given relation

Paramètres
array $relation Indexed array holding relation definition. tableClass => name of the related table class localKey => name of the local key remoteKey => name of the remote key
Renvoie
FOFTable
Exceptions
RuntimeException
InvalidArgumentException

Références $data, $db, $query, $value, FOFInflector\explode(), et FOFTable\getInstance().

◆ hasRelation()

hasRelation | ( | $itemName,
 |  | $type = null
 | ) |

Does the named relation exist? You can optionally specify the type.

Paramètres
string | $itemName | The name of the relation to check
string | $type | [optional] The relation type (child, parent, children, ...)
Renvoie
boolean

Références $key, et $type.

◆ normaliseItemName()

normaliseItemName | ( | $itemName,
 |  | $pluralise = false
 | ) |
protected

Normalises the format of a relation name

Paramètres
string | $itemName | The raw relation name
boolean | $pluralise | Should I pluralise the name? If not, I will singularise it
Renvoie
string The normalised relation key name

Références $name, $prefix, FOFInflector\implode(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

◆ normaliseParameters()

normaliseParameters | ( |  | $pivot,
 |  | & | $itemName,
 |  | & | $tableClass,
 |  | & | $localKey,
 |  | & | $remoteKey,
 |  | & | $ourPivotKey,
 |  | & | $theirPivotKey,
 |  | & | $pivotTable
 | ) |  |
protected

Normalise the parameters of a relation, guessing missing values

Paramètres
boolean | $pivot | Is this a many to many relation involving a pivot table?
string | $itemName | is how it will be known locally to the getRelatedItems method (plural)
string | $tableClass | if skipped it is defined automatically as ComponentnameTableItemname
string | $localKey | is the column containing our side of the FK relation, default: componentname_itemname_id
string | $remoteKey | is the remote table's FK column, default: componentname_itemname_id
string | $ourPivotKey | is the column containing our side of the FK relation in the pivot table, default: $localKey
string | $theirPivotKey | is the column containing the other table's side of the FK relation in the pivot table, default $remoteKey
string | $pivotTable | is the name of the glue (pivot) table, default: #__componentname_thisclassname_itemname with plural items (e.g. #__foobar_users_roles)
Renvoie
void

Références elseif, FOFInflector\explode(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

◆ removeRelation()

removeRelation | ( | $itemName,
 |  | $type = null
 | ) |

Removes a previously defined relation by name. You can optionally specify the relation type.

Paramètres
string | $itemName | The name of the relation to remove
string | $type | [optional] The relation type (child, parent, children, ...)
Renvoie
void

Références $key, $type, et null.

Documentation des champs

◆ $componentName

$componentName = 'joomla'
protected

◆ $defaultRelation

$defaultRelation
protected
Valeur initiale :
= array(
'child' => null,
'parent' => null,
'children' => null,
'multiple' => null,
)

◆ $relations

$relations
protected
Valeur initiale :
= array(
'child' => array(),
'parent' => array(),
'children' => array(),
'multiple' => array(),
)

◆ $table

$table = null
protected

◆ $tableType

$tableType = ''
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • relations.php


Joomla CMS: Référence de la classe FOFTemplateUtils

Fonctions membres publiques statiques
Référence de la classe FOFTemplateUtils

Fonctions membres publiques statiques

static | addCSS ($path)
static | addJS ($path, $defer=false, $async=false)
static | addLESS ($path, $altPath=null, $returnPath=false)
static | sefSort ($text, $field, $list)
static | parsePath ($path, $localFile=false)
static | getAltPaths ($path)
static | loadPosition ($position, $style=-2)
static | route ($route='')

Documentation des fonctions membres

◆ addCSS()

static addCSS ( $path )
static

Add a CSS file to the page generated by the CMS

Paramètres
string $path A fancy path definition understood by parsePath
Voir également
FOFTemplateUtils::parsePath
Renvoie
void

Références $document, $path, $url, et FOFPlatform\getInstance().

Référencé par FOFForm\loadCSSFiles().

◆ addJS()

static addJS | ( | $path,
 |  | $defer = false,
 |  | $async = false
 | ) |
static

Add a JS script file to the page generated by the CMS.

There are three combinations of defer and async (see http://www.w3schools.com/tags/att_script_defer.asp):

  • $defer false, $async true: The script is executed asynchronously with the rest of the page (the script will be executed while the page continues the parsing)
  • $defer true, $async false: The script is executed when the page has finished parsing.
  • $defer false, $async false. (default) The script is loaded and executed immediately. When it finishes loading the browser continues parsing the rest of the page.

When you are using $defer = true there is no guarantee about the load order of the scripts. Whichever script loads first will be executed first. The order they appear on the page is completely irrelevant.

Paramètres
string | $path | A fancy path definition understood by parsePath
boolean | $defer | Adds the defer attribute, meaning that your script will only load after the page has finished parsing.
boolean | $async | Adds the async attribute, meaning that your script will be executed while the rest of the page continues parsing.
Voir également
FOFTemplateUtils::parsePath
Renvoie
void

Références $document, $path, $url, et FOFPlatform\getInstance().

Référencé par FOFForm\loadJSFiles().

◆ addLESS()

static addLESS | ( | $path,
 |  | $altPath = null,
 |  | $returnPath = false
 | ) |
static

Compile a LESS file into CSS and add it to the page generated by the CMS. This method has integrated cache support. The compiled LESS files will be written to the media/lib_fof/compiled directory of your site. If the file cannot be written we will use the $altPath, if specified

Paramètres
string | $path | A fancy path definition understood by parsePath pointing to the source LESS file
string | $altPath | A fancy path definition understood by parsePath pointing to a precompiled CSS file, used when we can't write the generated file to the output directory
boolean | $returnPath | Return the URL of the generated CSS file but do not include it. If it can't be generated, false is returned and the alt files are not included
Voir également
FOFTemplateUtils::parsePath
Depuis
2.0
Renvoie
mixed True = successfully included generated CSS, False = the alternate CSS file was used, null = the source file does not exist

Références $document, $id, $path, $url, elseif, FOFPlatform\getInstance(), et null.

Référencé par FOFForm\loadCSSFiles().

◆ getAltPaths()

static getAltPaths ( $path )
static

Parse a fancy path definition into a path relative to the site's root. It returns both the normal and alternative (template media override) path. For example, media://com_foobar/css/test.css is parsed into array( 'normal' => 'media/com_foobar/css/test.css', 'alternate' => 'templates/mytemplate/media/com_foobar/css//test.css' );

The valid protocols are: media:// The media directory or a media override admin:// Path relative to administrator directory (no alternate) site:// Path relative to site's root (no alternate)

Paramètres
string $path Fancy path
Renvoie
array Array of normal and alternate parsed path

Références $file, $path, $position, DIRECTORY_SEPARATOR, et FOFPlatform\getInstance().

◆ loadPosition()

static loadPosition | ( | $position,
 |  | $style = -2
 | ) |
static

Returns the contents of a module position

Paramètres
string | $position | The position name, e.g. "position-1"
int | $style | Rendering style; please refer to Joomla!'s code for more information
Renvoie
string The contents of the module position

Références $document, $mod, $params, $position, $renderer, $style, et FOFPlatform\getInstance().

◆ parsePath()

static parsePath | ( | $path,
 |  | $localFile = false
 | ) |
static

Parse a fancy path definition into a path relative to the site's root, respecting template overrides, suitable for inclusion of media files. For example, media://com_foobar/css/test.css is parsed into media/com_foobar/css/test.css if no override is found, or templates/mytemplate/media/com_foobar/css/test.css if the current template is called mytemplate and there's a media override for it.

The valid protocols are: media:// The media directory or a media override admin:// Path relative to administrator directory (no overrides) site:// Path relative to site's root (no overrides)

Paramètres
string | $path | Fancy path
boolean | $localFile | When true, it returns the local path, not the URL
Renvoie
string Parsed path

Références $path, $url, DIRECTORY_SEPARATOR, elseif, FOFPlatform\getInstance(), et JDEBUG.

Référencé par PostinstallControllerMessage\action(), PostinstallModelMessages\addPostInstallationMessage(), FOFUtilsInstallscript\addPostInstallationMessage(), FOFFormHeaderFieldselectable\getOptions(), FOFFormFieldList\getOptions(), et PostinstallModelMessages\onProcessList().

◆ route()

static route ( $route = '' )
static

Merges the current url with new or changed parameters.

This method merges the route string with the url parameters defined in current url. The parameters defined in current url, but not given in route string, will automatically reused in the resulting url. But only these following parameters will be reused:

option, view, layout, format

Example:

Assuming that current url is: http://fobar.com/index.php?option=com_foo&view=cpanel

<?php echo FOFTemplateutils::route('view=categories&layout=tree'); ?>

Result: http://fobar.com/index.php?option=com_foo&view=categories&layout=tree

Paramètres
string $route The parameters string
Renvoie
string The human readable, complete url

Références $parts, $route, $url, et elseif.

◆ sefSort()

static sefSort | ( | $text,
 |  | $field,
 |  | $list
 | ) |
static

Creates a SEF compatible sort header. Standard Joomla function will add a href="#" tag, so with SEF enabled, the browser will follow the fake link instead of processing the onSubmit event; so we need a fix.

Paramètres
string | $text | Header text
string | $field | Field used for sorting
FOFUtilsObject | $list | Object holding the direction and the ordering field
Renvoie
string HTML code for sorting

Références $field, $list, et $text.

La documentation de cette classe a été générée à partir du fichier suivant :
  • template/utils.php


Joomla CMS: Référence de la classe FOFToolbar

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe FOFToolbar
+ Graphe d'héritage de FOFToolbar:
PostinstallToolbar

Fonctions membres publiques

__construct ($config=array())
renderToolbar ($view=null, $task=null, $input=null)
onCpanelsBrowse ()
onBrowse ()
onRead ()
onAdd ()
onEdit ()
clearLinks ()
& getLinks ()
appendLink ($name, $link=null, $active=false, $icon=null, $parent='')
prefixLink ($name, $link=null, $active=false, $icon=null)
renderSubmenu ()
getRenderFrontendButtons ()
getRenderFrontendSubmenu ()

Fonctions membres publiques statiques

static & getAnInstance ($option=null, $config=array())

Champs de données

$perms = array()

Fonctions membres protégées

getMyViews ()

Attributs protégés

$config = array()
$input = array()
$linkbar = array()
$renderFrontendSubmenu = false
$renderFrontendButtons = false

Fonctions membres privées

renderFromConfig (array $toolbar)
renderToolbarElement ($type, $value=null, array $attributes=array())

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Public constructor

Paramètres
array $config The configuration array of the component

Références $config, elseif, et FOFPlatform\getInstance().

Documentation des fonctions membres

◆ appendLink()

appendLink | ( | $name,
 |  | $link = null,
 |  | $active = false,
 |  | $icon = null,
 |  | $parent = ''
 | ) |

Append a link to the link bar

Paramètres
string | $name | The text of the link
string | null | $link | The link to render; set to null to render a separator
boolean | $active | True if it's an active link
string | null | $icon | Icon class (used by some renderers, like the Bootstrap renderer)
string | null | $parent | The parent element (referenced by name)) This will create a dropdown list
Renvoie
void

Références $active, $icon, $link, $name, et null.

◆ clearLinks()

clearLinks ( )

Removes all links from the link bar

Renvoie
void

◆ getAnInstance()

static& getAnInstance | ( | $option = null,
 |  | $config = array()
 | ) |
static

Gets an instance of a component's toolbar

Paramètres
string | $option | The name of the component
array | $config | The configuration array for the component
Renvoie
FOFToolbar The toolbar instance for the component

Références $className, $config, $hash, $input, $option, $path, elseif, et FOFPlatform\getInstance().

Référencé par FOFViewHtml\preRender(), FOFRenderStrapper\renderButtons(), FOFRenderJoomla\renderButtons(), FOFRenderAbstract\renderCategoryLinkbar(), FOFRenderJoomla\renderLinkbar(), FOFRenderStrapper\renderLinkbar_classic(), et FOFRenderStrapper\renderLinkbar_joomla().

◆ getLinks()

& getLinks ( )

Get the link bar's link definitions

Renvoie
array

◆ getMyViews()

getMyViews ( )
protected

Automatically detects all views of the component

Renvoie
array A list of all views, in the order to be displayed in the toolbar submenu

Références $cpanel, $files, $folder, $view, FOFUtilsArray\getColumn(), FOFPlatform\getInstance(), FOFInflector\pluralize(), et FOFUtilsArray\sortObjects().

◆ getRenderFrontendButtons()

getRenderFrontendButtons ( )

Return the front-end toolbar rendering flag

Renvoie
boolean

◆ getRenderFrontendSubmenu()

getRenderFrontendSubmenu ( )

Return the front-end submenu rendering flag

Renvoie
boolean

◆ onAdd()

onAdd ( )

Renders the toolbar for the component's Add pages

Renvoie
void

Références $option, FOFPlatform\getInstance(), FOFInflector\pluralize(), et title.

◆ onBrowse()

onBrowse ( )

Renders the toolbar for the component's Browse pages (the plural views)

Renvoie
void

Références $option, FOFPlatform\getInstance(), et title.

◆ onCpanelsBrowse()

onCpanelsBrowse ( )

Renders the toolbar for the component's Control Panel page

Renvoie
void

Références $option, FOFPlatform\getInstance(), et title.

◆ onEdit()

onEdit ( )

Renders the toolbar for the component's Edit pages

Renvoie
void

Références FOFPlatform\getInstance().

◆ onRead()

onRead ( )

Renders the toolbar for the component's Read pages

Renvoie
void

Références $option, FOFPlatform\getInstance(), et title.

◆ prefixLink()

prefixLink | ( | $name,
 |  | $link = null,
 |  | $active = false,
 |  | $icon = null
 | ) |

Prefixes (some people erroneously call this "prepend" – there is no such word) a link to the link bar

Paramètres
string | $name | The text of the link
string | null | $link | The link to render; set to null to render a separator
boolean | $active | True if it's an active link
string | null | $icon | Icon class (used by some renderers, like the Bootstrap renderer)
Renvoie
void

Références $active, $icon, $link, et $name.

◆ renderFromConfig()

renderFromConfig ( array $toolbar )
private

Render the toolbar from the configuration.

Paramètres
array $toolbar The toolbar definition
Renvoie
void

Références $toolbar, $value, FOFPlatform\getInstance(), et null.

◆ renderSubmenu()

renderSubmenu ( )

Renders the submenu (toolbar links) for all detected views of this component

Renvoie
void

Références $active, $key, $link, $name, $view, FOFInflector\isPlural(), FOFInflector\pluralize(), et FOFInflector\singularize().

◆ renderToolbar()

renderToolbar | ( | $view = null,
 |  | $task = null,
 |  | $input = null
 | ) |

Renders the toolbar for the current view and task

Paramètres
string | $view | The view of the component
string | $task | The exact task of the view
FOFInput | $input | An optional input object used to determine the defaults
Renvoie
void

Références $component, $input, $task, $toolbar, $view, FOFInflector\pluralize(), task, et view.

◆ renderToolbarElement()

renderToolbarElement | ( |  | $type,
 |  |  | $value = null,
 |  | array | $attributes = array()
 | ) |  |
private

Render a toolbar element.

Paramètres
string | $type | The element type.
mixed | $value | The element value.
array $attributes The element attributes.
@return  void
Exceptions
InvalidArgumentException

Références $alt, $attributes, $check, $component, $height, $href, $icon, $path, $task, $type, $url, $value, $width, null, title, et FOFStringUtils\toBool().

Documentation des champs

◆ $config

$config = array()
protected

◆ $input

$input = array()
protected

◆ $linkbar

$linkbar = array()
protected

◆ $perms

$perms = array()

◆ $renderFrontendButtons

$renderFrontendButtons = false
protected

◆ $renderFrontendSubmenu

$renderFrontendSubmenu = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/toolbar/toolbar.php


Joomla CMS: Référence de la classe FOFUtilsArray

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe FOFUtilsArray

Fonctions membres publiques statiques

static | toInteger (&$array, $default=null)
static | toObject (&$array, $class='stdClass')
static | toString ($array=null, $inner_glue='=', $outer_glue=' ', $keepOuterKey=false)
static | fromObject ($p_obj, $recurse=true, $regex=null)
static | getColumn (&$array, $index)
static | getValue (&$array, $name, $default=null, $type='')
static | invert ($array)
static | isAssociative ($array)
static | pivot ($source, $key=null)
static | sortObjects (&$a, $k, $direction=1, $caseSensitive=true, $locale=false)
static | arrayUnique ($myArray)

Fonctions membres protégées statiques

static | _fromObject ($item, $recurse, $regex)
static | _sortObjects (&$a, &$b)

Attributs protégés statiques

static | $sortCase
static | $sortDirection
static | $sortKey
static | $sortLocale

Description détaillée

A utility class to handle array manipulation.

Based on the JArrayHelper class as found in Joomla! 3.2.0

Documentation des fonctions membres

◆ _fromObject()

static _fromObject | ( | $item,
 |  | $recurse,
 |  | $regex
 | ) |
staticprotected

Utility function to map an object or array to an array

Paramètres
mixed | $item | The source object or array
boolean | $recurse | True to recurse through multi-level objects
string | $regex | An optional regular expression to match on field names
Renvoie
array The array mapped from the given object

Références $item, et elseif.

◆ _sortObjects()

static _sortObjects | ( | & | $a,
 |  | & | $b
 | ) |  |
staticprotected

Callback function for sorting an array of objects on a key

Paramètres
array | &$a | An array of objects
array | &$b | An array of objects
Renvoie
integer Comparison status
Voir également
FOFUtilsArray::sortObjects()

Références $b, $count, $direction, $i, et $key.

◆ arrayUnique()

static arrayUnique ( $myArray )
static

Multidimensional array safe unique test

Paramètres
array $myArray The array to make unique.
Renvoie
array
Voir également
http://php.net/manual/en/function.array-unique.php

◆ fromObject()

static fromObject | ( | $p_obj,
 |  | $recurse = true,
 |  | $regex = null
 | ) |
static

Utility function to map an object to an array

Paramètres
object | $p_obj | The source object
boolean | $recurse | True to recurse through multi-level objects
string | $regex | An optional regular expression to match on field names
Renvoie
array The array mapped from the given object

Références null.

◆ getColumn()

static getColumn | ( | & | $array,
 |  |  | $index
 | ) |  |
static

Extracts a column from an array of arrays or objects

Paramètres
array | &$array | The source array
string | $index | The index of the column or name of object property
Renvoie
array Column of values from the source array

Références $item, et elseif.

Référencé par FOFToolbar\getMyViews().

◆ getValue()

static getValue | ( | & | $array,
 |  |  | $name,
 |  |  | $default = null,
 |  |  | $type = ''
 | ) |  |
static

Utility function to return a value from a named array or a specified default

Paramètres
array | &$array | A named array
string | $name | The key to search for
mixed | $default | The default value to give if no key found
string | $type | Return type for the variable (INT, FLOAT, STRING, WORD, BOOLEAN, ARRAY)
Renvoie
mixed The value from the source array

Références $default, $name, $type, et null.

◆ invert()

static invert ( $array )
static

Takes an associative array of arrays and inverts the array keys to values using the array values as keys.

Example: $input = array( 'New' => array('1000', '1500', '1750'), 'Used' => array('3000', '4000', '5000', '6000') ); $output = FOFUtilsArray::invert($input);

Output would be equal to: $output = array( '1000' => 'New', '1500' => 'New', '1750' => 'New', '3000' => 'Used', '4000' => 'Used', '5000' => 'Used', '6000' => 'Used' );

Paramètres
array $array The source array.
Renvoie
array The inverted array.

Références $base, $key, et $return.

◆ isAssociative()

static isAssociative ( $array )
static

Method to determine if an array is an associative array.

Paramètres
array $array An array to test.
Renvoie
boolean True if the array is an associative array.

◆ pivot()

static pivot | ( | $source,
 |  | $key = null
 | ) |
static

Pivots an array to create a reverse lookup of an array of scalars, arrays or objects.

Paramètres
array | $source | The source array.
string | $key | Where the elements of the source array are objects or arrays, the key to pivot on.
Renvoie
array An array of arrays pivoted either on the value of the keys, or an individual key of an object or array.

Références $counter, $key, $value, et elseif.

◆ sortObjects()

static sortObjects | ( | & | $a,
 |  |  | $k,
 |  |  | $direction = 1,
 |  |  | $caseSensitive = true,
 |  |  | $locale = false
 | ) |  |
static

Utility function to sort an array of objects on a given field

Paramètres
array | &$a | An array of objects
mixed | $k | The key (string) or a array of key to sort on
mixed | $direction | Direction (integer) or an array of direction to sort in [1 = Ascending] [-1 = Descending]
mixed | $caseSensitive | Boolean or array of booleans to let sort occur case sensitive or insensitive
mixed | $locale | Boolean or array of booleans to let sort occur using the locale language or not
Renvoie
array The sorted array of objects

Références $direction, et null.

Référencé par FOFToolbar\getMyViews(), et FOFFormFieldList\getOptions().

◆ toInteger()

static toInteger | ( | & | $array,
 |  |  | $default = null
 | ) |  |
static

Function to convert array to integer values

Paramètres
array | &$array | The source array to convert
mixed | $default | A default value (int|array) to assign if $array is not an array
Renvoie
void

Références $default, $i, elseif, et null.

Référencé par FOFTableNested\copy(), FOFTable\copy(), FOFFormFieldTag\getOptions(), et FOFTable\publish().

◆ toObject()

static toObject | ( | & | $array,
 |  |  | $class = 'stdClass'
 | ) |  |
static

Utility function to map an array to a stdClass object.

Paramètres
array | &$array | The array to map.
string | $class | Name of the class to create
Renvoie
object The object mapped from the given array

Références $class, et null.

◆ toString()

static toString | ( | $array = null,
 |  | $inner_glue = '=',
 |  | $outer_glue = ' ',
 |  | $keepOuterKey = false
 | ) |
static

Utility function to map an array to a string.

Paramètres
array | $array | The array to map.
string | $inner_glue | The glue (optional, defaults to '=') between the key and the value.
string | $outer_glue | The glue (optional, defaults to ' ') between array elements.
boolean | $keepOuterKey | True if final key should be kept.
Renvoie
string The string mapped from the given array

Références $item, $key, et $output.

Documentation des champs

◆ $sortCase

$sortCase
staticprotected

◆ $sortDirection

$sortDirection
staticprotected

◆ $sortKey

$sortKey
staticprotected

◆ $sortLocale

$sortLocale
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • array.php


Joomla CMS: Référence de la classe FOFUtilsCacheCleaner

Fonctions membres publiques statiques
Référence de la classe FOFUtilsCacheCleaner

Fonctions membres publiques statiques

static | clearPluginsAndModulesCache ()
static | clearPluginsCache ()
static | clearModulesCache ()
static | clearCacheGroups (array $clearGroups, array $cacheClients=array(0, 1))

Description détaillée

A utility class to help you quickly clean the Joomla! cache

Documentation des fonctions membres

◆ clearCacheGroups()

static clearCacheGroups | ( | array | $clearGroups,
 |  | array | $cacheClients = array(0, 1)
 | ) |  |
static

Clears the specified cache groups.

Paramètres
array | $clearGroups | Which cache groups to clear. Usually this is com_yourcomponent to clear your component's cache.
array | $cacheClients | Which cache clients to clear. 0 is the back-end, 1 is the front-end. If you do not specify anything, both cache clients will be cleared.
Renvoie
void

Références $options, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ clearModulesCache()

static clearModulesCache ( )
static

Clears the com_modules cache. You need to call this whenever you alter the publish state or parameters of a module from your code.

Renvoie
void

◆ clearPluginsAndModulesCache()

static clearPluginsAndModulesCache ( )
static

Clears the com_modules and com_plugins cache. You need to call this whenever you alter the publish state or parameters of a module or plugin from your code.

Renvoie
void

Référencé par FOFUtilsInstallscript\installSubextensions(), et FOFUtilsInstallscript\uninstallSubextensions().

◆ clearPluginsCache()

static clearPluginsCache ( )
static

Clears the com_plugins cache. You need to call this whenever you alter the publish state or parameters of a plugin from your code.

Renvoie
void
La documentation de cette classe a été générée à partir du fichier suivant :
  • cleaner.php


Joomla CMS: Référence de la classe FOFUtilsConfigHelper

Fonctions membres publiques statiques | Attributs privés statiques
Référence de la classe FOFUtilsConfigHelper

Fonctions membres publiques statiques

static | loadComponentConfig ($component, $force=false)
static | getComponentConfigurationValue ($component, $key, $default=null)

Attributs privés statiques

static $componentParams = array()

Description détaillée

A utility class to help you fetch component parameters without going through JComponentHelper

Documentation des fonctions membres

◆ getComponentConfigurationValue()

static getComponentConfigurationValue | ( | $component,
 |  | $key,
 |  | $default = null
 | ) |
staticfinal

Retrieves the value of a component configuration parameter without going through JComponentHelper

Paramètres
string | $component | The component for loading the parameter value
string | $key | The key to retrieve
mixed | $default | The default value to use in case the key is missing
Renvoie
mixed

Références $component, $default, et $key.

Référencé par FOFUtilsUpdate\findUpdatesJoomla(), FOFUtilsUpdate\getUpdateMethod(), et FOFUtilsUpdate\loadUpdatesClassic().

◆ loadComponentConfig()

static loadComponentConfig | ( | $component,
 |  | $force = false
 | ) |
staticfinal

Loads the component's configuration parameters so they can be accessed by getComponentConfigurationValue

Paramètres
string | $component | The component for loading the parameters
bool | $force | Should I force-reload the configuration information?

Références $component, $db, FOFPlatform\getInstance(), et FOFUtilsIniParser\parse_ini_file().

Documentation des champs

◆ $componentParams

$componentParams = array()
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/utils/config/helper.php


Joomla CMS: Référence de la classe FOFUtilsFilescheck

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFUtilsFilescheck

Fonctions membres publiques

__construct ($option, $version, $date)
isWrongComponentVersion ()
isWrongFilesVersion ()
fastCheck ()
slowCheck ($idx=0)

Attributs protégés

$option = ''
$version = null
$date = null
$fileList = array()
$dirList = array()
$wrongComponentVersion = false
$wrongFilesVersion = false

Description détaillée

A utility class to check that your extension's files are not missing and have not been tampered with.

You need a file called fileslist.php in your component's administrator root directory with the following contents:

$phpFileChecker = array( 'version' => 'revCEE2DAB', 'date' => '2014-10-16', 'directories' => array( 'administrator/components/com_foobar', .... ), 'files' => array( 'administrator/components/com_foobar/access.xml' => array('705', '09aa0351a316bf011ecc8c1145134761', 'b95f00c7b49a07a60570dc674f2497c45c4e7152'), .... ) );

All directory and file paths are relative to the site's root

The directories array is a list of

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $option,
 |  | $version,
 |  | $date
 | ) |

Create and initialise the object

Paramètres
string | $option | Component name, e.g. com_foobar
string | $version | The current component version, as reported by the component
string | $date | The current component release date, as reported by the component

Références $date, $db, $extension, $option, $query, $version, FOFPlatform\getInstance(), JPATH_ADMINISTRATOR, et option.

Documentation des fonctions membres

◆ fastCheck()

fastCheck ( )

Performs a fast check of file and folders. If even one of the files/folders doesn't exist, or even one file has the wrong file size it will return false.

Renvoie
bool False when there are mismatched files and directories

Références JPATH_ROOT.

◆ isWrongComponentVersion()

isWrongComponentVersion ( )

Is the reported component version different than the version of the #__extensions table?

Renvoie
boolean

◆ isWrongFilesVersion()

isWrongFilesVersion ( )

Is the fileslist.php reporting a version different than the reported component version?

Renvoie
boolean

◆ slowCheck()

slowCheck ( $idx = 0 )

Performs a slow, thorough check of all files and folders (including MD5/SHA1 sum checks)

Paramètres
int $idx The index from where to start
Renvoie
array Progress report

Références elseif, et JPATH_ROOT.

Documentation des champs

◆ $date

$date = null
protected

◆ $dirList

$dirList = array()
protected

◆ $fileList

$fileList = array()
protected

◆ $option

$option = ''
protected

◆ $version

$version = null
protected

◆ $wrongComponentVersion

$wrongComponentVersion = false
protected

◆ $wrongFilesVersion

$wrongFilesVersion = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • filescheck.php


Joomla CMS: Référence de la classe FOFUtilsIniParser

Fonctions membres publiques statiques
Référence de la classe FOFUtilsIniParser

Fonctions membres publiques statiques

static | parse_ini_file ($file, $process_sections, $rawdata=false)
static | parse_ini_file_php ($file, $process_sections=false, $rawdata=false)

Description détaillée

A utility class to parse INI files. This monstrosity is only required because some impossibly misguided individuals who misrepresent themselves as hosts have disabled PHP's parse_ini_file() function for "security reasons". Apparently their blatant ignorance doesn't allow them to discern between the innocuous parse_ini_file and the potentially dangerous ini_set functions, leading them to disable the former and let the latter enabled. In other words, THIS CLASS IS HERE TO FIX STUPID.

Documentation des fonctions membres

◆ parse_ini_file()

static parse_ini_file | ( | $file,
 |  | $process_sections,
 |  | $rawdata = false
 | ) |
static

Parse an INI file and return an associative array.

Paramètres
string | $file | The file to process
bool | $process_sections | True to also process INI sections
Renvoie
array An associative array of sections, keys and values

Références $file.

Référencé par FOFUtilsConfigHelper\loadComponentConfig().

◆ parse_ini_file_php()

static parse_ini_file_php | ( | $file,
 |  | $process_sections = false,
 |  | $rawdata = false
 | ) |
static

A PHP based INI file parser.

Thanks to asohn ~at~ aircanopy ~dot~ net for posting this handy function on the parse_ini_file page on http://gr.php.net/parse_ini_file

Paramètres
string | $file | Filename to process
bool | $process_sections | True to also process INI sections
bool | $rawdata | If true, the $file contains raw INI data, not a filename
Renvoie
array An associative array of sections, keys and values

Références $file, $i, $key, $tmp, $value, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/utils/ini/parser.php


Joomla CMS: Référence de la classe FOFUtilsInstallscript

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe FOFUtilsInstallscript

Fonctions membres publiques

preflight ($type, $parent)
postflight ($type, $parent)
uninstall ($parent)

Fonctions membres protégées

copyCliFiles ($parent)
renderPostInstallation ($status, $fofInstallationStatus, $strapperInstallationStatus, $parent)
renderPostUninstallation ($status, $parent)
bugfixDBFunctionReturnedNoError ()
bugfixCantBuildAdminMenus ()
installSubextensions ($parent)
uninstallSubextensions ($parent)
removeFilesAndFolders ($removeList)
installFOF ($parent)
installStrapper ($parent)
uninstallObsoleteSubextensions ($parent)
addPostInstallationMessage (array $options)
_applyPostInstallationMessages ()
uninstallPostInstallationMessages ()

Attributs protégés

$componentName = 'com_foobar'
$componentTitle = 'Foobar Component'
$installation_queue
$uninstallation_queue
$removeFilesFree
$removeFilesAllVersions
$cliScriptFiles
$cliSourcePath = 'cli'
$fofSourcePath = 'fof'
$strapperSourcePath = 'strapper'
$modulesSourcePath = 'modules'
$pluginsSourcePath = 'plugins'
$schemaXmlPathRelative = true
$schemaXmlPath = 'sql/xml'
$minimumPHPVersion = '5.3.3'
$minimumJoomlaVersion = '2.5.6'
$maximumJoomlaVersion = '3.9.99'
$isPaid = false
$postInstallationMessages = array()

Fonctions membres privées

_reallyPublishAdminMenuItems ($parent)

Description détaillée

A helper class which you can use to create component installation scripts

Documentation des fonctions membres

◆ _applyPostInstallationMessages()

_applyPostInstallationMessages ( )
protected

Applies the post-installation messages for Joomla! 3.2 or later

Renvoie
void

Références $db, $message, $query, et FOFPlatform\getInstance().

◆ _reallyPublishAdminMenuItems()

_reallyPublishAdminMenuItems ( $parent )
private

Make sure the Component menu items are really published!

Paramètres
JInstallerAdapterComponent $parent
Renvoie
bool

Références $db, $option, $query, et FOFPlatform\getInstance().

◆ addPostInstallationMessage()

addPostInstallationMessage ( array $options )
protected

Adds or updates a post-installation message (PIM) definition for Joomla! 3.2 or later. You can use this in your post-installation script using this code:

The $options array contains the following mandatory keys:

extension_id The numeric ID of the extension this message is for (see the #__extensions table)

type One of message, link or action. Their meaning is: message Informative message. The user can dismiss it. link The action button links to a URL. The URL is defined in the action parameter. action A PHP action takes place when the action button is clicked. You need to specify the action_file (RAD path to the PHP file) and action (PHP function name) keys. See below for more information.

title_key The JText language key for the title of this PIM Example: COM_FOOBAR_POSTINSTALL_MESSAGEONE_TITLE

description_key The JText language key for the main body (description) of this PIM Example: COM_FOOBAR_POSTINSTALL_MESSAGEONE_DESCRIPTION

action_key The JText language key for the action button. Ignored and not required when type=message Example: COM_FOOBAR_POSTINSTALL_MESSAGEONE_ACTION

language_extension The extension name which holds the language keys used above. For example, com_foobar, mod_something, plg_system_whatever, tpl_mytemplate

language_client_id Should we load the front-end (0) or back-end (1) language keys?

version_introduced Which was the version of your extension where this message appeared for the first time? Example: 3.2.1

enabled Must be 1 for this message to be enabled. If you omit it, it defaults to 1.

condition_file The RAD path to a PHP file containing a PHP function which determines whether this message should be shown to the user.

Voir également
FOFTemplateUtils::parsePath() for RAD path format. Joomla! will include this file before calling the condition_method. Example: admin://components/com_foobar/helpers/postinstall.php

condition_method The name of a PHP function which will be used to determine whether to show this message to the user. This must be a simple PHP user function (not a class method, static method etc) which returns true to show the message and false to hide it. This function is defined in the condition_file. Example: com_foobar_postinstall_messageone_condition

When type=message no additional keys are required.

When type=link the following additional keys are required:

action The URL which will open when the user clicks on the PIM's action button Example: index.php?option=com_foobar&view=tools&task=installSampleData

Then type=action the following additional keys are required:

action_file The RAD path to a PHP file containing a PHP function which performs the action of this PIM.

Voir également
FOFTemplateUtils::parsePath() for RAD path format. Joomla! will include this file before calling the function defined in the action key below. Example: admin://components/com_foobar/helpers/postinstall.php

action The name of a PHP function which will be used to run the action of this PIM. This must be a simple PHP user function (not a class method, static method etc) which returns no result. Example: com_foobar_postinstall_messageone_action

Paramètres
array $options See description
Renvoie
void
Exceptions
Exception

Références $db, $key, $options, $query, FOFPlatform\getInstance(), et FOFTemplateUtils\parsePath().

◆ bugfixCantBuildAdminMenus()

bugfixCantBuildAdminMenus ( )
protected

Joomla! 1.6+ bugfix for "Can not build admin menus"

            $query = $db->getQuery(true);
            $query->select('id')
                    ->from('#__menu')
                    ->where($db->qn('type') . ' = ' . $db->q('component'))
                    ->where($db->qn('menutype') . ' = ' . $db->q('main'))
                    ->where($db->qn('link') . ' LIKE ' . $db->q('index.php?option=' . $this->componentName));
            $db->setQuery($query);

            try
            {
                    $ids1 = $db->loadColumn();
            }
            catch (Exception $exc)
            {
                    $ids1 = array();
            }

            if (empty($ids1))
            {
                    $ids1 = array();
            }

            $query = $db->getQuery(true);
            $query->select('id')
                    ->from('#__menu')
                    ->where($db->qn('type') . ' = ' . $db->q('component'))
                    ->where($db->qn('menutype') . ' = ' . $db->q('main'))
                    ->where($db->qn('link') . ' LIKE ' . $db->q('index.php?option=' . $this->componentName . '&%'));
            $db->setQuery($query);

            try
            {
                    $ids2 = $db->loadColumn();
            }
            catch (Exception $exc)
            {
                    $ids2 = array();
            }

            if (empty($ids2))
            {
                    $ids2 = array();
            }

            $ids = array_merge($ids1, $ids2);

            if (!empty($ids))
            {
                    foreach ($ids as $id)
                    {
                            $query = $db->getQuery(true);
                            $query->delete('#__menu')
                                    ->where($db->qn('id') . ' = ' . $db->q($id));
                            $db->setQuery($query);

                            try
                            {
                                    $db->execute();
                            }
                            catch (Exception $exc)
                            {

Nothing } } } /*

Références $db, $id, $query, et FOFPlatform\getInstance().

◆ bugfixDBFunctionReturnedNoError()

bugfixDBFunctionReturnedNoError ( )
protected

Bugfix for "DB function returned no error"

Références $db, $id, $query, et FOFPlatform\getInstance().

◆ copyCliFiles()

copyCliFiles ( $parent )
protected

Copies the CLI scripts into Joomla!'s cli directory

Paramètres
JInstaller $parent

Références $script, et JPATH_ROOT.

◆ installFOF()

installFOF ( $parent )
protected

Installs FOF if necessary

Paramètres
JInstaller $parent The parent object
Renvoie
array The installation status

Références $info, $target, JPATH_LIBRARIES, et JPATH_ROOT.

◆ installStrapper()

installStrapper ( $parent )
protected

Installs Akeeba Strapper if necessary

Paramètres
JInstaller $parent The parent object
Renvoie
array The installation status

Références $info, $target, et JPATH_ROOT.

◆ installSubextensions()

installSubextensions ( $parent )
protected

Installs subextensions (modules, plugins) bundled with the main extension

Paramètres
JInstaller $parent
Renvoie
JObject The subextension installation status

Références $count, $db, $folder, $module, $modules, $path, $position, $published, $query, FOFUtilsCacheCleaner\clearPluginsAndModulesCache(), et FOFPlatform\getInstance().

◆ postflight()

postflight | ( | $type,
 |  | $parent
 | ) |

Runs after install, update or discover_update. In other words, it executes after Joomla! has finished installing or updating your component. This is the last chance you've got to perform any additional installations, clean-up, database updates and similar housekeeping functions.

Paramètres
string | $type | install, update or discover_update
JInstaller | $parent | Parent object

Références elseif, FOFPlatform\getInstance(), et JPATH_ADMINISTRATOR.

◆ preflight()

preflight | ( | $type,
 |  | $parent
 | ) |

Joomla! pre-flight event. This runs before Joomla! installs or updates the component. This is our last chance to tell Joomla! if it should abort the installation.

Paramètres
string | $type | Installation type (install, update, discover_install)
JInstaller | $parent | Parent object
Renvoie
boolean True to let the installation proceed, false to halt the installation

Références $type, $version, elseif, et JError\raiseWarning().

◆ removeFilesAndFolders()

removeFilesAndFolders ( $removeList )
protected

Removes obsolete files and folders

Paramètres
array $removeList The files and directories to remove

Références $file, $folder, et JPATH_ROOT.

◆ renderPostInstallation()

renderPostInstallation | ( | $status,
 |  | $fofInstallationStatus,
 |  | $strapperInstallationStatus,
 |  | $parent
 | ) |
protected

Renders the message after installing or upgrading the component

Références $module, $rows, endforeach, endif, thead, et width.

◆ renderPostUninstallation()

renderPostUninstallation | ( | $status,
 |  | $parent
 | ) |
protected

Renders the message after uninstalling the component

Références $module, $rows, endforeach, endif, thead, et width.

◆ uninstall()

uninstall ( $parent )

Runs on uninstallation

Paramètres
JInstaller $parent The parent object

Références JPATH_ADMINISTRATOR.

◆ uninstallObsoleteSubextensions()

uninstallObsoleteSubextensions ( $parent )
protected

Uninstalls obsolete subextensions (modules, plugins) bundled with the main extension

Paramètres
JInstaller $parent The parent object
Renvoie
stdClass The subextension uninstallation status

Références $db, $folder, $id, $module, $modules, FOFPlatform\getInstance(), et JLoader\import().

◆ uninstallPostInstallationMessages()

uninstallPostInstallationMessages ( )
protected

Références $db, $query, et FOFPlatform\getInstance().

◆ uninstallSubextensions()

uninstallSubextensions ( $parent )
protected

Uninstalls subextensions (modules, plugins) bundled with the main extension

Paramètres
JInstaller $parent The parent object
Renvoie
stdClass The subextension uninstallation status

Références $db, $folder, $id, $module, $modules, $published, FOFUtilsCacheCleaner\clearPluginsAndModulesCache(), et FOFPlatform\getInstance().

Documentation des champs

◆ $cliScriptFiles

$cliScriptFiles
protected
Valeur initiale :
= array(
)

◆ $cliSourcePath

$cliSourcePath = 'cli'
protected

◆ $componentName

$componentName = 'com_foobar'
protected

◆ $componentTitle

$componentTitle = 'Foobar Component'
protected

◆ $fofSourcePath

$fofSourcePath = 'fof'
protected

◆ $installation_queue

$installation_queue
protected
Valeur initiale :
= array(
'modules' => array(
'admin' => array(),
'site' => array()
),
'plugins' => array(
'system' => array(),
)
)

◆ $isPaid

$isPaid = false
protected

◆ $maximumJoomlaVersion

$maximumJoomlaVersion = '3.9.99'
protected

◆ $minimumJoomlaVersion

$minimumJoomlaVersion = '2.5.6'
protected

◆ $minimumPHPVersion

$minimumPHPVersion = '5.3.3'
protected

◆ $modulesSourcePath

$modulesSourcePath = 'modules'
protected

◆ $pluginsSourcePath

$pluginsSourcePath = 'plugins'
protected

◆ $postInstallationMessages

$postInstallationMessages = array()
protected

◆ $removeFilesAllVersions

$removeFilesAllVersions
protected
Valeur initiale :
= array(
'files' => array(
),
'folders' => array(
)
)

◆ $removeFilesFree

$removeFilesFree
protected
Valeur initiale :
= array(
'files' => array(
),
'folders' => array(
)
)

◆ $schemaXmlPath

$schemaXmlPath = 'sql/xml'
protected

◆ $schemaXmlPathRelative

$schemaXmlPathRelative = true
protected

◆ $strapperSourcePath

$strapperSourcePath = 'strapper'
protected

◆ $uninstallation_queue

$uninstallation_queue
protected
Valeur initiale :
= array(
'modules' => array(
'admin' => array(),
'site' => array()
),
'plugins' => array(
'system' => array(),
)
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • installscript.php


Joomla CMS: Référence de la classe FOFUtilsIp

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe FOFUtilsIp

Fonctions membres publiques statiques

static | getIp ()
static | setIp ($ip)
static | isIPv6 ($ip)
static | IPinList ($ip, $ipTable='')
static | workaroundIPIssues ()
static | setAllowIpOverrides ($newState)

Fonctions membres protégées statiques

static | detectAndCleanIP ()
static | detectIP ()
static | inet_to_bits ($inet)
static | checkIPv6CIDR ($ip, $cidrnet)

Attributs protégés statiques

static | $ip = null
static | $allowIpOverrides = true

Description détaillée

IP address utilities

Documentation des fonctions membres

◆ checkIPv6CIDR()

static checkIPv6CIDR | ( | $ip,
 |  | $cidrnet
 | ) |
staticprotected

Checks if an IPv6 address $ip is part of the IPv6 CIDR block $cidrnet

Paramètres
string | $ip | The IPv6 address to check, e.g. 21DA:00D3:0000:2F3B:02AC:00FF:FE28:9C5A
string | $cidrnet | The IPv6 CIDR block, e.g. 21DA:00D3:0000:2F3B::/64
Renvoie
bool

◆ detectAndCleanIP()

static detectAndCleanIP ( )
staticprotected

Gets the visitor's IP address. Automatically handles reverse proxies reporting the IPs of intermediate devices, like load balancers. Examples: https://www.akeebabackup.com/support/admin-tools/13743-double-ip-adresses-in-security-exception-log-warnings.html http://stackoverflow.com/questions/2422395/why-is-request-envremote-addr-returning-two-ips The solution used is assuming that the last IP address is the external one.

Renvoie
string

◆ detectIP()

static detectIP ( )
staticprotected

Gets the visitor's IP address

Renvoie
string

◆ getIp()

static getIp ( )
static

Get the current visitor's IP address

Renvoie
string

◆ inet_to_bits()

static inet_to_bits ( $inet )
staticprotected

Converts inet_pton output to bits string

Paramètres
string $inet The in_addr representation of an IPv4 or IPv6 address
Renvoie
string

◆ IPinList()

static IPinList | ( | $ip,
 |  | $ipTable = ''
 | ) |
static

Checks if an IP is contained in a list of IPs or IP expressions

Paramètres
string | $ip | The IPv4/IPv6 address to check
array | string | $ipTable | An IP expression (or a comma-separated or array list of IP expressions) to check against
Renvoie
null|boolean True if it's in the list

Références $base, $i, et elseif.

◆ isIPv6()

static isIPv6 ( $ip )
static

Is it an IPv6 IP address?

Paramètres
string $ip An IPv4 or IPv6 address
Renvoie
boolean True if it's IPv6

◆ setAllowIpOverrides()

static setAllowIpOverrides ( $newState )
static

Should I allow the remote client's IP to be overridden by an X-Forwarded-For or Client-Ip HTTP header?

Paramètres
bool $newState True to allow the override
Renvoie
void

Références true.

◆ setIp()

static setIp ( $ip )
static

Set the IP address of the current visitor

Paramètres
string $ip
Renvoie
void

◆ workaroundIPIssues()

static workaroundIPIssues ( )
static

Works around the REMOTE_ADDR not containing the user's IP

Références elseif.

Documentation des champs

◆ $allowIpOverrides

$allowIpOverrides = true
staticprotected

◆ $ip

$ip = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • ip.php


Joomla CMS: Référence de la classe FOFUtilsObject

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFUtilsObject
+ Graphe d'héritage de FOFUtilsObject:
FOFController FOFDispatcher FOFModel FOFTable FOFUtilsObservableDispatcher FOFUtilsObservableEvent FOFView PostinstallControllerMessage FOFUtilsUpdate PostinstallModelMessages FOFTableNested FOFModelDispatcherBehavior FOFTableDispatcherBehavior FOFModelBehavior FOFTableBehavior FOFViewRaw

Fonctions membres publiques

__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Attributs protégés

$_errors = array()

Description détaillée

Temporary class for backwards compatibility. You should not be using this in your code. It is currently present to handle the validation error stack for FOFTable::check() and will be removed in an upcoming version.

This class is based on JObject as found in Joomla! 3.2.1

Obsolète:
2.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $properties = null )

Class constructor, overridden in descendant classes.

Paramètres
mixed $properties Either and associative array or another object to set the initial properties of the object.

Références null.

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic method to convert the object to a string gracefully.

Renvoie
string The classname.

◆ def()

def | ( | $property,
 |  | $default = null
 | ) |

Sets a default value if not alreay assigned

Paramètres
string | $property | The name of the property.
mixed | $default | The default value.
Renvoie
mixed

Références $default, et $value.

◆ get()

get | ( | $property,
 |  | $default = null
 | ) |

Returns a property of the object or the default value if the property is not set.

Paramètres
string | $property | The name of the property.
mixed | $default | The default value.
Renvoie
mixed The value of the property.

Références $default.

◆ getError()

getError | ( | $i = null,
 |  | $toString = true
 | ) |

Get the most recent error message.

Paramètres
integer | $i | Option error index.
boolean | $toString | Indicates if JError objects should return their error message.
Renvoie
string Error message

Références $i, elseif, et null.

◆ getErrors()

getErrors ( )

Return all errors, if any.

Renvoie
array Array of error messages or JErrors.

◆ getProperties()

getProperties ( $public = true )

Returns an associative array of object properties.

Paramètres
boolean $public If true, returns only the public properties.
Renvoie
array

Références $key, et $value.

◆ set()

set | ( | $property,
 |  | $value = null
 | ) |

Modifies a property of the object, creating it if it does not already exist.

Paramètres
string | $property | The name of the property.
mixed | $value | The value of the property to set.
Renvoie
mixed Previous value of the property.

Références $value, et null.

◆ setError()

setError ( $error )

Add an error message.

Paramètres
string $error Error message.
Renvoie
void

Référencé par FOFTable\canDelete(), FOFTable\check(), FOFTable\copy(), FOFTable\publish(), et FOFTable\store().

◆ setProperties()

setProperties ( $properties )

Set the object properties based on a named array/hash.

Paramètres
mixed $properties Either an associative array or another object.
Renvoie
boolean

Documentation des champs

◆ $_errors

$_errors = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/utils/object/object.php


Joomla CMS: Référence de la classe FOFUtilsObservableDispatcher

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe FOFUtilsObservableDispatcher
+ Graphe d'héritage de FOFUtilsObservableDispatcher:
FOFUtilsObject FOFModelDispatcherBehavior FOFTableDispatcherBehavior

Fonctions membres publiques

getState ()
register ($event, $handler)
trigger ($event, $args=array())
attach ($observer)
detach ($observer)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres publiques statiques

static getInstance ()

Attributs protégés

$_observers = array()
$_state = null
$_methods = array()
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Attributs protégés statiques

static $instance = null

Description détaillée

Class to handle dispatching of events.

This is the Observable part of the Observer design pattern for the event architecture.

This class is based on JEventDispatcher as found in Joomla! 3.2.0

Documentation des fonctions membres

◆ attach()

attach ( $observer )

Attach an observer object

Paramètres
object $observer An observer object to attach
Renvoie
void

Références $check, $class, et $key.

◆ detach()

detach ( $observer )

Detach an observer object

Paramètres
object $observer An observer object to detach.
Renvoie
boolean True if the observer object was detached.

Références $key.

◆ getInstance()

static getInstance ( )
static

Returns the global Event Dispatcher object, only creating it if it doesn't already exist.

Renvoie
FOFUtilsObservableDispatcher The EventDispatcher object.

Références null.

Référencé par FOFModel\preprocessForm().

◆ getState()

getState ( )

Get the state of the FOFUtilsObservableDispatcher object

Renvoie
mixed The state of the object.

◆ register()

register | ( | $event,
 |  | $handler
 | ) |

Registers an event handler to the event dispatcher

Paramètres
string | $event | Name of the event to register handler for
string | $handler | Name of the event handler
Renvoie
void
Exceptions
InvalidArgumentException

Références elseif.

◆ trigger()

trigger | ( | $event,
 |  | $args = array()
 | ) |

Triggers an event by dispatching arguments to all observers that handle the event and returning their return values.

Paramètres
string | $event | The event to trigger.
array | $args | An array of arguments.
Renvoie
array An array of results from each function call.

Références $key, $value, et elseif.

Documentation des champs

◆ $_methods

$_methods = array()
protected

◆ $_observers

$_observers = array()
protected

◆ $_state

$_state = null
protected

◆ $instance

$instance = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/utils/observable/dispatcher.php


Joomla CMS: Référence de la classe FOFUtilsObservableEvent

Fonctions membres publiques | Attributs protégés
Référence de la classe FOFUtilsObservableEvent
+ Graphe d'héritage de FOFUtilsObservableEvent:
FOFUtilsObject FOFModelBehavior FOFTableBehavior FOFModelBehaviorAccess FOFModelBehaviorEmptynonzero FOFModelBehaviorEnabled FOFModelBehaviorFilters FOFModelBehaviorLanguage FOFModelBehaviorPrivate FOFTableBehaviorAssets FOFTableBehaviorContenthistory FOFTableBehaviorTags

Fonctions membres publiques

__construct (&$subject)
update (&$args)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Attributs protégés

$_subject = null
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Description détaillée

Defines an observable event.

This class is based on JEvent as found in Joomla! 3.2.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $subject )

Constructor

Paramètres
object &$subject The object to observe.

Références $subject.

Documentation des fonctions membres

◆ update()

update ( & $args )

Method to trigger events. The method first generates the even from the argument array. Then it unsets the argument since the argument has no bearing on the event handler. If the method exists it is called and returns its return value. If it does not exist it returns null.

Paramètres
array &$args Arguments
Renvoie
mixed Routine return value

Références null.

Documentation des champs

◆ $_subject

$_subject = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fof/utils/observable/event.php


Joomla CMS: Référence de la classe FOFUtilsPhpfunc

Fonctions membres publiques
Référence de la classe FOFUtilsPhpfunc

Fonctions membres publiques

__call ($func, $args)

Description détaillée

Intercept calls to PHP functions.

function_exists(string $function) mcrypt_list_algorithms() hash_algos() extension_loaded(string $ext) mcrypt_create_iv(int $bytes, int $source) openssl_get_cipher_methods()

Documentation des fonctions membres

◆ __call()

__call | ( | $func,
 |  | $args
 | ) |

Magic call to intercept any function pass to it.

Paramètres
string | $func | The function to call.
array | $args | Arguments passed to the function.
Renvoie
mixed The result of the function call.
La documentation de cette classe a été générée à partir du fichier suivant :
  • phpfunc.php


Joomla CMS: Référence de la classe FOFUtilsTimer

Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe FOFUtilsTimer

Fonctions membres publiques

__construct ($max_exec_time=5.0, $runtime_bias=75.0)
__wakeup ()
getTimeLeft ()
getRunningTime ()
resetTime ()

Fonctions membres privées

microtime_float ()

Attributs privés

$max_exec_time = null
$start_time = null

Description détaillée

An execution timer monitor class

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $max_exec_time = 5.0,
 |  | $runtime_bias = 75.0
 | ) |

Public constructor, creates the timer object and calculates the execution time limits.

Paramètres
float | $max_exec_time | Maximum execution time allowance
float | $runtime_bias | Execution time bias (expressed as % of $max_exec_time)

Documentation des fonctions membres

◆ __wakeup()

__wakeup ( )

Wake-up function to reset internal timer when we get unserialized

◆ getRunningTime()

getRunningTime ( )

Gets the time elapsed since object creation/unserialization, effectively how long we are running

Renvoie
float

◆ getTimeLeft()

getTimeLeft ( )

Gets the number of seconds left, before we hit the "must break" threshold. Negative values mean that we have already crossed that threshold.

Renvoie
float

◆ microtime_float()

microtime_float ( )
private

Returns the current timestamp in decimal seconds

Renvoie
float

◆ resetTime()

resetTime ( )

Reset the timer

Documentation des champs

◆ $max_exec_time

$max_exec_time = null
private

◆ $start_time

$start_time = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • timer.php


Joomla CMS: Référence de la classe FOFUtilsUpdate

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe FOFUtilsUpdate
+ Graphe d'héritage de FOFUtilsUpdate:
FOFModel FOFUtilsObject

Fonctions membres publiques

__construct ($config=array())
getUpdates ($force=false, $preferredMethod=null)
findUpdates ($force, $preferredMethod=null)
getUpdateSiteIds ()
getVersion ()
getComponentName ()
getComponentDescription ()
getExtensionId ()
getUpdateSite ()
getUpdateSiteName ()
setVersion ($version)
removeObsoleteUpdateSites ()
getUpdateMethod ($preferred=null)
doUpdateComponent ()
downloadUpdate ()
doSendNotificationEmail ($version, $email)
- Fonctions membres publiques hérités de FOFModel
addBehavior ($name, $config=array())
__construct ($config=array())
setIDsFromRequest ()
setId ($id=0)
getId ()
setIds ($idlist)
getIds ()
reset ()
clearState ()
clearInput ()
setInput ($input)
resetSavedState ()
loadhistory ($version_id, FOFTable &$table, $alias)
& getItem ($id=null)
& getList ($overrideLimits=false, $group='')
& getItemList ($overrideLimits=false, $group='')
& getIterator ($overrideLimits=false, $tableClass=null)
& getFirstItem ($overrideLimits=false)
save ($data)
copy ()
getSavedTable ()
delete ()
publish ($publish=1, $user=null)
checkout ()
checkin ()
isCheckedOut ()
hit ()
move ($dirn)
reorder ()
getPagination ()
getTotal ()
getState ($key=null, $default=null, $filter_type='raw')
getHash ()
getTable ($name='', $prefix=null, $options=array())
getReorderWhere ()
buildQuery ($overrideLimits=false)
getTableFields ()
getTableAlias ()
buildCountQuery ()
& getClone ()
__get ($name)
__set ($name, $value)
__call ($name, $arguments)
& savestate ($newState)
populateSavestate ($defaultSaveState=-999)
applyAccessFiltering ($userID=null)
getForm ($data=array(), $loadData=true, $source=null)
findFormFilename ($source, $paths=array())
validateForm ($form, $data, $group=null)
onBeforeLoadForm (&$name, &$source, &$options)
onAfterLoadForm (FOFForm &$form, &$name, &$source, &$options)
onBeforePreprocessForm (FOFForm &$form, &$data)
onAfterPreprocessForm (FOFForm &$form, &$data)
getDbo ()
getName ()
setDbo ($db)
setState ($property, $value=null)
setBehaviorParam ($name, $value)
getBehaviorParam ($name, $default=null)
blacklistFilters ($list=null, $reset=false)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres protégées

findUpdatesJoomla ($force=false)
findUpdatesClassic ($force=false)
loadUpdatesClassic ($force=false)
getCommonParameter ($key, $default=null)
setCommonParameter ($key, $value)
- Fonctions membres protégées hérités de FOFModel
_getListCount ($query)
_real_getState ($property=null, $default=null)
getUserStateFromRequest ($key, $request, $default=null, $type='none', $setUserState=true)
& _getList ($query, $limitstart=0, $limit=0, $group='')
& _createTable ($name, $prefix='Table', $config=array())
populateState ()
loadForm ($name, $source, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessForm (FOFForm &$form, &$data, $group='content')
onProcessList (&$resultArray)
onAfterGetItem (&$record)
onBeforeSave (&$data, &$table)
onAfterSave (&$table)
onBeforeDelete (&$id, &$table)
onAfterDelete ($id)
onBeforeCopy (&$table)
onAfterCopy (&$table)
onBeforePublish (&$table)
onAfterPublish (&$table)
onBeforeHit (&$table)
onAfterHit (&$table)
onBeforeMove (&$table)
onAfterMove (&$table)
onBeforeReorder (&$table)
onAfterReorder (&$table)
cleanCache ($group=null, $client_id=0)

Attributs protégés

$updater = null
$extension_id = 0
$version = 'dev'
$component = 'com_foobar'
$componentDescription = 'Foobar'
$updateSite = null
$updateSiteName = null
$extraQuery = null
$commonKey = 'foobar'
$commonTable = '#__akeeba_common'
$updateEmailSubject = 'THIS EMAIL IS SENT FROM YOUR SITE "[SITENAME]" - Update available for [COMPONENT], new version [VERSION]'
$updateEmailBody
- Attributs protégés hérités de FOFModel
$__state_set = null
$_db
$event_after_delete = 'onContentAfterDelete'
$event_after_save = 'onContentAfterSave'
$event_before_delete = 'onContentBeforeDelete'
$event_before_save = 'onContentBeforeSave'
$event_change_state = 'onContentChangeState'
$event_clean_cache = null
$id_list = array()
$id = null
$input = array()
$list = null
$name
$option = null
$otable = null
$pagination = null
$record = null
$state
$table = null
$total = null
$_savestate = null
$_forms = array()
$_formData = array()
$configProvider = null
$modelDispatcher = null
$default_behaviors = array('filters')
$_behaviorParams = array()
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Fonctions membres privées

updateComponent ()
getFilenameFromURL ($url)
sendNotificationEmail ($version, $email)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFModel
static & | getAnInstance ($type, $prefix='', $config=array())
static & | getTmpInstance ($type, $prefix='', $config=array())
static | addIncludePath ($path='', $prefix='')
static | addTablePath ($path)
- Fonctions membres protégées statiques hérités de FOFModel
static | _createFileName ($type, $parts=array())

Description détaillée

A helper Model to interact with Joomla!'s extensions update feature

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Public constructor. Initialises the protected members as well. Useful $config keys: update_component The component name, e.g. com_foobar update_version The default version if the manifest cache is unreadable update_site The URL to the component's update XML stream update_extraquery The extra query to append to (commercial) components' download URLs update_sitename The update site's name (description)

Paramètres
array $config

Références $config, $data, $db, $description, $extension, $key, $query, et FOFPlatform\getInstance().

Documentation des fonctions membres

◆ doSendNotificationEmail()

doSendNotificationEmail | ( | $version,
 |  | $email
 | ) |

Proxy to sendNotificationEmail(). Required since old versions of our software had a sendNotificationEmail method declared private. If we set the sendNotificationEmail() method public we cause a fatal error.

Paramètres
string | $version | The new version of our software
string | $email | The email address to send the notification to
Renvoie
mixed The result of JMail::send()

Références $version, et sendNotificationEmail().

◆ doUpdateComponent()

doUpdateComponent ( )

Proxy to updateComponent(). Required since old versions of our software had an updateComponent method declared private. If we set the updateComponent() method public we cause a fatal error.

Renvoie
string

Références updateComponent().

◆ downloadUpdate()

downloadUpdate ( )

Downloads the latest update package to Joomla!'s temporary directory

Renvoie
string The absolute path to the downloaded update package.

Références $config, $data, $message, $url, et getUpdates().

Référencé par updateComponent().

◆ findUpdates()

findUpdates | ( | $force,
 |  | $preferredMethod = null
 | ) |

Find the available update record object. If we're at the latest version it will return null.

Please see getUpdateMethod for information on how the $preferredMethod is handled and what it means.

Paramètres
bool | $force | Should I forcibly reload the updates from the server?
string | $preferredMethod | Preferred update method: 'joomla' or 'classic'
Renvoie
|null

Références findUpdatesClassic(), findUpdatesJoomla(), et getUpdateMethod().

Référencé par getUpdates().

◆ findUpdatesClassic()

findUpdatesClassic ( $force = false )
protected

Find the available update record object. If we're at the latest version return null.

Paramètres
bool $force Should I forcibly reload the updates from the server?
Renvoie
|null

Références $extraQuery, $updateSite, $url, loadUpdatesClassic(), et null.

Référencé par findUpdates().

◆ findUpdatesJoomla()

findUpdatesJoomla ( $force = false )
protected

Find the available update record object. If we're at the latest version it will return null.

Paramètres
bool $force Should I forcibly reload the updates from the server?
Renvoie
|null

Références $db, $extraQuery, $query, $url, FOFUtilsConfigHelper\getComponentConfigurationValue(), FOFPlatform\getInstance(), getUpdateSiteIds(), JLoader\import(), et null.

Référencé par findUpdates().

◆ getCommonParameter()

getCommonParameter | ( | $key,
 |  | $default = null
 | ) |
protected

Get a common parameter from the #__akeeba_common table

Paramètres
string | $key | The key to retrieve
mixed | $default | The default value in case none is set
Renvoie
mixed The saved parameter value (or $default, if nothing is currently set)

Références $db, $default, $key, $query, et FOFPlatform\getInstance().

Référencé par loadUpdatesClassic().

◆ getComponentDescription()

getComponentDescription ( )

Returns the human readable component name, e.g. Foobar Component

Renvoie
string

Références $componentDescription.

◆ getComponentName()

getComponentName ( )

Returns the name of the component, e.g. com_foobar

Renvoie
string

Références $component.

◆ getExtensionId()

getExtensionId ( )

Returns the numeric extension ID for the component

Renvoie
int

Références $extension_id.

◆ getFilenameFromURL()

getFilenameFromURL ( $url )
private

Gets a file name out of a url

Paramètres
string $url URL to get name from
Renvoie
mixed String filename or boolean false if failed

Références $parts, et $url.

◆ getUpdateMethod()

getUpdateMethod ( $preferred = null )

Get the update method we should use, 'joomla' or 'classic'

You can defined the preferred update method: 'joomla' uses JUpdater whereas 'classic' handles update caching and parsing internally. If you are on Joomla! 3.1 or earlier this option is forced to 'classic' since these old Joomla! versions couldn't handle updates of commercial components correctly (that's why I contributed the fix to that problem, the extra_query field that's present in Joomla! 3.2 onwards).

If 'classic' is defined then it will be used in all Joomla! versions. It's the most stable method for fetching update information.

Paramètres
string $preferred Preferred update method. One of 'joomla' or 'classic'.
Renvoie
string

Références FOFUtilsConfigHelper\getComponentConfigurationValue().

Référencé par findUpdates().

◆ getUpdates()

getUpdates | ( | $force = false,
 |  | $preferredMethod = null
 | ) |

Retrieves the update information of the component, returning an array with the following keys:

hasUpdate True if an update is available version The version of the available update infoURL The URL to the download page of the update

Paramètres
bool | $force | Set to true if you want to forcibly reload the update information
string | $preferredMethod | Preferred update method: 'joomla' or 'classic'
Renvoie
array See the method description for more information

Références findUpdates().

Référencé par downloadUpdate().

◆ getUpdateSite()

getUpdateSite ( )

Returns the update site URL, i.e. the URL to the XML update stream

Renvoie
string

Références $updateSite.

◆ getUpdateSiteIds()

getUpdateSiteIds ( )

Gets the update site Ids for our extension.

Renvoie
mixed An array of Ids or null if the query failed.

Références $db, $query, et FOFPlatform\getInstance().

Référencé par findUpdatesJoomla(), et removeObsoleteUpdateSites().

◆ getUpdateSiteName()

getUpdateSiteName ( )

Returns the human readable description of the update site

Renvoie
string

Références $updateSiteName.

◆ getVersion()

getVersion ( )

Get the currently installed version as reported by the #__extensions table

Renvoie
string

Références $version.

◆ loadUpdatesClassic()

loadUpdatesClassic ( $force = false )
protected

Load all available updates without going through JUpdate

Paramètres
bool $force Should I forcibly reload the updates from the server?
Renvoie
array

Références $now, getCommonParameter(), FOFUtilsConfigHelper\getComponentConfigurationValue(), json_encode, et setCommonParameter().

Référencé par findUpdatesClassic().

◆ removeObsoleteUpdateSites()

removeObsoleteUpdateSites ( )

Removes any update sites which go by the same name or the same location as our update site but do not match the extension ID.

Références $db, $query, FOFModel\getDbo(), et getUpdateSiteIds().

◆ sendNotificationEmail()

sendNotificationEmail | ( | $version,
 |  | $email
 | ) |
private

Sends an update notification email

Paramètres
string | $version | The new version of our software
string | $email | The email address to send the notification to
Renvoie
mixed The result of JMail::send()

Références $sitename, $updateEmailBody, $updateEmailSubject, et $version.

Référencé par doSendNotificationEmail().

◆ setCommonParameter()

setCommonParameter | ( | $key,
 |  | $value
 | ) |
protected

Set a common parameter from the #__akeeba_common table

Paramètres
string | $key | The key to set
mixed | $value | The value to set
Renvoie
void

Références $count, $data, $db, $key, $query, $value, et FOFPlatform\getInstance().

Référencé par loadUpdatesClassic().

◆ setVersion()

setVersion ( $version )

Override the currently installed version as reported by the #__extensions table

Paramètres
string $version

Références $version.

◆ updateComponent()

updateComponent ( )
private

Automatically install the extension update under Joomla! 1.5.5 or later (web) / 3.0 or later (CLI).

Renvoie
string The update message

Références downloadUpdate(), FOFPlatform\getInstance(), et jimport().

Référencé par doUpdateComponent().

Documentation des champs

◆ $commonKey

$commonKey = 'foobar'
protected

◆ $commonTable

$commonTable = '#__akeeba_common'
protected

◆ $component

$component = 'com_foobar'
protected

Référencé par getComponentName().

◆ $componentDescription

$componentDescription = 'Foobar'
protected

Référencé par getComponentDescription().

◆ $extension_id

$extension_id = 0
protected

Référencé par getExtensionId().

◆ $extraQuery

$extraQuery = null
protected

Référencé par findUpdatesClassic(), et findUpdatesJoomla().

◆ $updateEmailBody

$updateEmailBody
protected

Référencé par sendNotificationEmail().

◆ $updateEmailSubject

$updateEmailSubject = 'THIS EMAIL IS SENT FROM YOUR SITE "[SITENAME]" - Update available for [COMPONENT], new version [VERSION]'
protected

Référencé par sendNotificationEmail().

◆ $updater

$updater = null
protected

◆ $updateSite

$updateSite = null
protected

Référencé par findUpdatesClassic(), et getUpdateSite().

◆ $updateSiteName

$updateSiteName = null
protected

Référencé par getUpdateSiteName().

◆ $version

$version = 'dev'
protected

Référencé par doSendNotificationEmail(), getVersion(), sendNotificationEmail(), et setVersion().

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/utils/update/update.php


Joomla CMS: Référence de la classe FOFUtilsUpdateCollection

Fonctions membres publiques | Fonctions membres privées
Référence de la classe FOFUtilsUpdateCollection

Fonctions membres publiques

getCategories ($url, $jVersion=null)
getCategoryUpdateSource ($url, $category, $jVersion=null)
getExtensions ($url, $type=null, $jVersion=null)
getExtensionUpdateSource ($url, $type, $element, $jVersion=null)

Fonctions membres privées

filterListByPlatform ($updates, $jVersion=null)

Description détaillée

A helper class to read and parse "collection" update XML files over the web

Documentation des fonctions membres

◆ filterListByPlatform()

filterListByPlatform | ( | $updates,
 |  | $jVersion = null
 | ) |
private

Filters a list of updates, returning only those available for the specified platform version $jVersion

Paramètres
array | $updates | An array containing update definitions (categories or extensions)
string | $jVersion | Joomla! version to fetch updates for, or null to use JVERSION
Renvoie
array|null The update definition that is compatible, or null if none is compatible

Références elseif, et null.

◆ getCategories()

getCategories | ( | $url,
 |  | $jVersion = null
 | ) |

Returns only the category definitions of a collection

Paramètres
string | $url | The URL of the collection update source
string | $jVersion | Joomla! version to fetch updates for, or null to use JVERSION
Renvoie
array An array of category update definitions

Références $url.

◆ getCategoryUpdateSource()

getCategoryUpdateSource | ( | $url,
 |  | $category,
 |  | $jVersion = null
 | ) |

Returns the update source for a specific category

Paramètres
string | $url | The URL of the collection update source
string | $category | The category name you want to get the update source URL of
string | $jVersion | Joomla! version to fetch updates for, or null to use JVERSION
Renvoie
string|null The update stream URL, or null if it's not found

Références $category, $url, et null.

◆ getExtensions()

getExtensions | ( | $url,
 |  | $type = null,
 |  | $jVersion = null
 | ) |

Get a list of updates for extensions only, optionally of a specific type

Paramètres
string | $url | The URL of the collection update source
string | $type | The extension type you want to get the update source URL of, empty to get all extension types
string | $jVersion | Joomla! version to fetch updates for, or null to use JVERSION
Renvoie
array|null An array of extension update definitions or null if none is found

Références $type, $url, elseif, et null.

◆ getExtensionUpdateSource()

getExtensionUpdateSource | ( | $url,
 |  | $type,
 |  | $element,
 |  | $jVersion = null
 | ) |

Get the update source URL for a specific extension, based on the type and element, e.g. type=file and element=joomla is Joomla! itself.

Paramètres
string | $url | The URL of the collection update source
string | $type | The extension type you want to get the update source URL of
string | $element | The extension element you want to get the update source URL of
string | $jVersion | Joomla! version to fetch updates for, or null to use JVERSION
Renvoie
string|null The update source URL or null if the extension is not found

Références $type, $url, elseif, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • collection.php


Joomla CMS: Référence de la classe FOFUtilsUpdateExtension

Référence de la classe FOFUtilsUpdateExtension
+ Graphe d'héritage de FOFUtilsUpdateExtension:
FOFUtilsUpdateJoomla

Description détaillée

A helper class to read and parse "extension" update XML files over the web

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/utils/update/extension.php


Joomla CMS: Référence de la classe FOFUtilsUpdateJoomla

Fonctions membres publiques | Attributs protégés statiques
Référence de la classe FOFUtilsUpdateJoomla
+ Graphe d'héritage de FOFUtilsUpdateJoomla:
FOFUtilsUpdateExtension

Fonctions membres publiques

getUpdateSourceFromCollection ($url, $jVersion=null)
getVersionProperties ($jVersion, $currentVersion=null)
filterApplicableUpdates ($updates, $jVersion=null)
sanitiseVersion ($version)
getUpdates ($sources=array(), $jVersion=null)

Attributs protégés statiques

static | $lts_url = 'http://update.joomla.org/core/list.xml'
static | $sts_url = 'http://update.joomla.org/core/sts/list_sts.xml'
static | $test_url = 'http://update.joomla.org/core/test/list_test.xml'

Description détaillée

A helper class which provides update information for the Joomla! CMS itself. This is slightly different than the regular "extension" files as we need to know if a Joomla! version is STS, LTS, testing, current and so on.

Documentation des fonctions membres

◆ filterApplicableUpdates()

filterApplicableUpdates | ( | $updates,
 |  | $jVersion = null
 | ) |

Filters a list of updates, making sure they apply to the specified CMS release.

Paramètres
array | $updates | A list of update records returned by the getUpdatesFromExtension method
string | $jVersion | The current Joomla! version number
Renvoie
array A filtered list of updates. Each update record also includes version relevance information.

◆ getUpdates()

getUpdates | ( | $sources = array(),
 |  | $jVersion = null
 | ) |

Reloads the list of all updates available for the specified Joomla! version from the network.

Paramètres
array | $sources | The enabled sources to look into
string | $jVersion | The Joomla! version we are checking updates for
Renvoie
array A list of updates for the installed, current, lts and sts versions

Références $section, $url, $value, et elseif.

◆ getUpdateSourceFromCollection()

getUpdateSourceFromCollection | ( | $url,
 |  | $jVersion = null
 | ) |

Reads a "collection" XML update source and picks the correct source URL for the extension update source.

Paramètres
string | $url | The collection XML update source URL to read from
string | $jVersion | Joomla! version to fetch updates for, or null to use JVERSION
Renvoie
string The URL of the extension update source, or empty if no updates are provided / fetching failed

Références $url.

◆ getVersionProperties()

getVersionProperties | ( | $jVersion,
 |  | $currentVersion = null
 | ) |

Determines the properties of a version: STS/LTS, normal or testing

Paramètres
string | $jVersion | The version number to check
string | $currentVersion | The current Joomla! version number
Renvoie
array The properties analysis

Références elseif.

◆ sanitiseVersion()

sanitiseVersion ( $version )

Joomla! has a lousy track record in naming its alpha, beta and release candidate releases. The convention used seems to be "what the hell the current package maintainer thinks looks better". This method tries to figure out what was in the mind of the maintainer and translate the funky version number to an actual PHP-format version string.

Paramètres
string $version The whatever-format version number
Renvoie
string A standard formatted version number

Références $version, et elseif.

Documentation des champs

◆ $lts_url

$lts_url = 'http://update.joomla.org/core/list.xml'
staticprotected

◆ $sts_url

$sts_url = 'http://update.joomla.org/core/sts/list_sts.xml'
staticprotected

◆ $test_url

$test_url = 'http://update.joomla.org/core/test/list_test.xml'
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/utils/update/joomla.php


Joomla CMS: Référence de la classe FOFView

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs publics statiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe FOFView
+ Graphe d'héritage de FOFView:
FOFUtilsObject FOFViewRaw FOFViewHtml FOFViewCsv FOFViewForm FOFViewJson PostinstallViewMessages

Fonctions membres publiques

__construct ($config=array())
loadAnyTemplate ($path='', $forceParams=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false, $name=null)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null, $strict=false)
& getRenderer ()
setRenderer (FOFRenderAbstract &$renderer)
setPreRender ($value)
setPostRender ($value)
loadHelper ($hlp=null)
getViewOptionAndName ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres publiques statiques

static registerRenderer (FOFRenderAbstract &$renderer)

Attributs publics statiques

static $renderers = array()

Fonctions membres protégées

findRenderer ()
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Attributs protégés

$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'
$config = array()
$input = null
$rendererObject = null
$doPreRender = true
$doPostRender = true
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Fonctions membres privées

_parseTemplatePath ($path='')

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Public constructor. Instantiates a FOFView object.

Paramètres
array $config The configuration data array

Références $component, $config, $input, $view, elseif, FOFPlatform\getInstance(), FOFInflector\isSingular(), null, FOFInflector\pluralize(), et FOFInflector\singularize().

Documentation des fonctions membres

◆ _addPath()

_addPath | ( | $type,
 |  | $path
 | ) |
protected

Adds to the search path for templates and resources.

Paramètres
string | $type | The type of path to add.
mixed | $path | The directory or stream, or an array of either, to search.
Renvoie
void

Références $path, $type, et DIRECTORY_SEPARATOR.

◆ _createFileName()

_createFileName | ( | $type,
 |  | $parts = array()
 | ) |
protected

Create the filename for a resource

Paramètres
string | $type | The resource type to create the filename for
array | $parts | An associative array of filename information
Renvoie
string The filename

Références $parts, et $type.

◆ _parseTemplatePath()

_parseTemplatePath ( $path = '' )
private

Parses a template path in the form of admin:/component/view/layout or site:/component/view/layout to an array which can be used by loadAnyTemplate to locate and load the view template file.

Paramètres
string $path The template path to parse
Renvoie
array A hash array with the parsed path parts

Références $parts, $path, et elseif.

◆ _setPath()

_setPath | ( | $type,
 |  | $path
 | ) |
protected

Sets an entire array of search paths for templates or resources.

Paramètres
string | $type | The type of path to set, typically 'template'.
mixed | $path | The new search path, or an array of search paths. If null or false, resets to the current directory only.
Renvoie
void

Références $path, $type, et FOFPlatform\getInstance().

◆ addHelperPath()

addHelperPath ( $path )

Adds to the stack of helper script paths in LIFO order.

Paramètres
mixed $path A directory path or an array of paths.
Renvoie
void

Références $path.

◆ addTemplatePath()

addTemplatePath ( $path )

Adds to the stack of view script paths in LIFO order.

Paramètres
mixed $path A directory path or an array of paths.
Renvoie
void

Références $path.

◆ assign()

assign ( )

Assigns variables to the view script via differing strategies.

This method is overloaded; you can assign all the properties of an object, an associative array, or a single value by name.

You are not allowed to set variables that begin with an underscore; these are either private properties for FOFView or private variables within the template script itself.

Renvoie
boolean True on success, false on failure.
Obsolète:
13.3 Use native PHP syntax.

Références $key, et FOFPlatform\getInstance().

◆ assignRef()

assignRef | ( |  | $key,
 |  | & | $val
 | ) |  |

Assign variable for the view (by reference).

You are not allowed to set variables that begin with an underscore; these are either private properties for FOFView or private variables within the template script itself.

Paramètres
string | $key | The name for the reference in the view.
mixed | &$val | The referenced variable.
Renvoie
boolean True on success, false on failure.
Obsolète:
13.3 Use native PHP syntax.

Références $key, et FOFPlatform\getInstance().

◆ display()

display ( $tpl = null )

Overrides the default method to execute and display a template script. Instead of loadTemplate is uses loadAnyTemplate which allows for automatic Joomla! version overrides. A little slice of awesome pie!

Paramètres
string $tpl The name of the template file to parse
Renvoie
mixed A string if successful, otherwise a JError object.

Références FOFPlatform\getInstance().

◆ escape()

escape ( $var )

Escapes a value for output in a view script.

If escaping mechanism is either htmlspecialchars or htmlentities, uses $_encoding setting.

Paramètres
mixed $var The output to escape.
Renvoie
mixed The escaped value.

Références ENT_COMPAT.

◆ findRenderer()

findRenderer ( )
protected

Finds a suitable renderer

Renvoie
FOFRenderAbstract

Références $className, $info, $path, $r, FOFInflector\camelize(), FOFPlatform\getInstance(), FOFInflector\getPart(), et null.

◆ get()

get | ( | $property,
 |  | $default = null
 | ) |

Method to get data from a registered model or a property of the view

Paramètres
string | $property | The name of the method to call on the model or the property to get
string | $default | The name of the model to reference or the default value [optional]
Renvoie
mixed The return value of the method

Références $default.

◆ getLayout()

getLayout ( )

Get the layout.

Renvoie
string The layout name

◆ getLayoutTemplate()

getLayoutTemplate ( )

Get the layout template.

Renvoie
string The layout template name

◆ getModel()

getModel ( $name = null )

Method to get the model object

Paramètres
string $name The name of the model (optional)
Renvoie
mixed FOFModel object

Références $name, et null.

◆ getName()

getName ( )

Method to get the view name

The model name by default parsed using the classname, or it can be set by passing a $config['name'] in the class constructor

Renvoie
string The name of the model

◆ getRenderer()

& getRenderer ( )

Get the renderer object for this view

Renvoie
FOFRenderAbstract

◆ getViewOptionAndName()

getViewOptionAndName ( )

Returns the view's option (component name) and view name in an associative array.

Renvoie
array

◆ loadAnyTemplate()

loadAnyTemplate | ( | $path = '',
 |  | $forceParams = array()
 | ) |

Loads a template given any path. The path is in the format:

e.g. admin:com_foobar/myview/default

This function searches for Joomla! version override templates. For example, if you have run this under Joomla! 3.0 and you try to load admin:com_foobar/myview/default it will automatically search for the template files default.j30.php, default.j3.php and default.php, in this order.

Paramètres
string | $path | See above
array | $forceParams | A hash array of variables to be extracted in the local scope of the template file
Renvoie
boolean False if loading failed

Références $path, $suffix, $template, elseif, et FOFPlatform\getInstance().

◆ loadHelper()

loadHelper ( $hlp = null )

Load a helper file

Paramètres
string $hlp The name of the helper source file automatically searches the helper paths and compiles as needed.
Renvoie
void

Références $file, $path, et FOFPlatform\getInstance().

◆ loadTemplate()

loadTemplate | ( | $tpl = null,
 |  | $strict = false
 | ) |

Overrides the built-in loadTemplate function with an FOF-specific one. Our overridden function uses loadAnyTemplate to provide smarter view template loading.

Paramètres
string | $tpl | The name of the template file to parse
boolean | $strict | Should we use strict naming, i.e. force a non-empty $tpl?
Renvoie
mixed A string if successful, otherwise a JError object

Références $path, et FOFPlatform\getInstance().

◆ registerRenderer()

static registerRenderer ( FOFRenderAbstract & $renderer )
static

Registers a renderer object with the view

Paramètres
FOFRenderAbstract &$renderer The render object to register
Renvoie
void

Références $renderer.

◆ setEscape()

setEscape ( $spec )

Sets the _escape() callback.

Paramètres
mixed $spec The callback for _escape() to use.
Renvoie
void
Obsolète:
2.1 Override FOFView::escape() instead.

Références FOFPlatform\getInstance().

◆ setLayout()

setLayout ( $layout )

Sets the layout name to use

Paramètres
string $layout The layout name or a string in format <template>:<layout file>="">
Renvoie
string Previous value.

Références $layout.

◆ setLayoutExt()

setLayoutExt ( $value )

Allows a different extension for the layout files to be used

Paramètres
string $value The extension.
Renvoie
string Previous value

Références $value.

◆ setModel()

setModel | ( | $model,
 |  | $default = false,
 |  | $name = null
 | ) |

Method to add a model to the view.

Paramètres
FOFMOdel | $model | The model to add to the view.
boolean | $default | Is this the default model?
String $name optional index name to store the model
@return  object   The added model.

Références $default, et $name.

◆ setPostRender()

setPostRender ( $value )

Sets the post-render flag

Paramètres
boolean $value True to enable the post-render step
Renvoie
void

Références $value.

◆ setPreRender()

setPreRender ( $value )

Sets the pre-render flag

Paramètres
boolean $value True to enable the pre-render step
Renvoie
void

Références $value.

◆ setRenderer()

setRenderer ( FOFRenderAbstract & $renderer )

Sets the renderer object for this view

Paramètres
FOFRenderAbstract &$renderer The render class to use
Renvoie
void

Références $renderer.

Documentation des champs

◆ $_basePath

$_basePath = null
protected

◆ $_charset

$_charset = 'UTF-8'
protected

◆ $_defaultModel

$_defaultModel = null
protected

◆ $_escape

$_escape = 'htmlspecialchars'
protected

◆ $_layout

$_layout = 'default'
protected

◆ $_layoutExt

$_layoutExt = 'php'
protected

◆ $_layoutTemplate

$_layoutTemplate = '_'
protected

◆ $_models

$_models = array()
protected

◆ $_name

$_name = null
protected

◆ $_output

$_output = null
protected

◆ $_path

$_path = array('template' => array(), 'helper' => array())
protected

◆ $_template

$_template = null
protected

◆ $config

$config = array()
protected

◆ $doPostRender

$doPostRender = true
protected

◆ $doPreRender

$doPreRender = true
protected

◆ $input

$input = null
protected

◆ $rendererObject

$rendererObject = null
protected

◆ $renderers

$renderers = array()
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/view/view.php


Joomla CMS: Référence de la classe FOFViewCsv

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFViewCsv
+ Graphe d'héritage de FOFViewCsv:
FOFViewHtml FOFViewRaw FOFView FOFUtilsObject

Fonctions membres publiques

__construct ($config=array())
- Fonctions membres publiques hérités de FOFViewHtml
__construct ($config=array())
setPageTitle ()
- Fonctions membres publiques hérités de FOFViewRaw
__construct ($config=array())
display ($tpl=null)
hasAjaxOrderingSupport ()
getLists ()
getPerms ()
- Fonctions membres publiques hérités de FOFView
__construct ($config=array())
loadAnyTemplate ($path='', $forceParams=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false, $name=null)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null, $strict=false)
& getRenderer ()
setRenderer (FOFRenderAbstract &$renderer)
setPreRender ($value)
setPostRender ($value)
loadHelper ($hlp=null)
getViewOptionAndName ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres protégées

onDisplay ($tpl=null)
- Fonctions membres protégées hérités de FOFViewHtml
preRender ()
postRender ()
- Fonctions membres protégées hérités de FOFViewRaw
preRender ()
postRender ()
onBrowse ($tpl=null)
onDisplay ($tpl=null)
onAdd ($tpl=null)
onEdit ($tpl=null)
onRead ($tpl=null)
- Fonctions membres protégées hérités de FOFView
findRenderer ()
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Attributs protégés

$csvHeader = true
$csvFilename = null
$csvFields = array()
- Attributs protégés hérités de FOFViewRaw
$lists = null
$perms = null
- Attributs protégés hérités de FOFView
$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'
$config = array()
$input = null
$rendererObject = null
$doPreRender = true
$doPostRender = true
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFView
static | registerRenderer (FOFRenderAbstract &$renderer)
- Champs de données hérités de FOFViewHtml
$setFrontendPageTitle = false
$defaultPageTitle = null
- Attributs publics statiques hérités de FOFView
static | $renderers = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Public constructor. Instantiates a FOFViewCsv object.

Paramètres
array $config The configuration data array

Références $config, $view, elseif, et FOFInflector\pluralize().

Documentation des fonctions membres

◆ onDisplay()

onDisplay ( $tpl = null )
protected

Executes before rendering a generic page, default to actions necessary for the Browse task.

Paramètres
string $tpl Subtemplate to use
Renvoie
boolean Return true to allow rendering of the page

Références $document, $item, $items, elseif, FOFPlatform\getInstance(), et items.

Documentation des champs

◆ $csvFields

$csvFields = array()
protected

◆ $csvFilename

$csvFilename = null
protected

◆ $csvHeader

$csvHeader = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • csv.php


Joomla CMS: Référence de la classe FOFViewForm

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFViewForm
+ Graphe d'héritage de FOFViewForm:
FOFViewHtml FOFViewRaw FOFView FOFUtilsObject

Fonctions membres publiques

display ($tpl=null)
getRenderedForm ()
- Fonctions membres publiques hérités de FOFViewHtml
__construct ($config=array())
setPageTitle ()
- Fonctions membres publiques hérités de FOFViewRaw
__construct ($config=array())
display ($tpl=null)
hasAjaxOrderingSupport ()
getLists ()
getPerms ()
- Fonctions membres publiques hérités de FOFView
__construct ($config=array())
loadAnyTemplate ($path='', $forceParams=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false, $name=null)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null, $strict=false)
& getRenderer ()
setRenderer (FOFRenderAbstract &$renderer)
setPreRender ($value)
setPostRender ($value)
loadHelper ($hlp=null)
getViewOptionAndName ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres protégées

onAdd ($tpl=null)
- Fonctions membres protégées hérités de FOFViewHtml
preRender ()
postRender ()
- Fonctions membres protégées hérités de FOFViewRaw
preRender ()
postRender ()
onBrowse ($tpl=null)
onDisplay ($tpl=null)
onAdd ($tpl=null)
onEdit ($tpl=null)
onRead ($tpl=null)
- Fonctions membres protégées hérités de FOFView
findRenderer ()
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Attributs protégés

$form
- Attributs protégés hérités de FOFViewRaw
$lists = null
$perms = null
- Attributs protégés hérités de FOFView
$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'
$config = array()
$input = null
$rendererObject = null
$doPreRender = true
$doPostRender = true
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFView
static | registerRenderer (FOFRenderAbstract &$renderer)
- Champs de données hérités de FOFViewHtml
$setFrontendPageTitle = false
$defaultPageTitle = null
- Attributs publics statiques hérités de FOFView
static | $renderers = array()

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Displays the view

Paramètres
string $tpl The template to use
Renvoie
boolean|null False if we can't render anything

Références $basePath, $path, $task, et FOFPlatform\getInstance().

◆ getRenderedForm()

getRenderedForm ( )

Returns the HTML rendering of the FOFForm attached to this view. Very useful for customising a form page without having to meticulously hand- code the entire form.

Renvoie
string The HTML of the rendered form

Références $html, et $renderer.

◆ onAdd()

onAdd ( $tpl = null )
protected

The event which runs when we are displaying the Add page

Paramètres
string $tpl The view sub-template to use
Renvoie
boolean True to allow display of the view

Références item, et JRequest\setVar().

Documentation des champs

◆ $form

$form
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/view/form.php


Joomla CMS: Référence de la classe FOFViewHtml

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe FOFViewHtml
+ Graphe d'héritage de FOFViewHtml:
FOFViewRaw FOFView FOFUtilsObject FOFViewCsv FOFViewForm FOFViewJson PostinstallViewMessages

Fonctions membres publiques

__construct ($config=array())
setPageTitle ()
- Fonctions membres publiques hérités de FOFViewRaw
__construct ($config=array())
display ($tpl=null)
hasAjaxOrderingSupport ()
getLists ()
getPerms ()
- Fonctions membres publiques hérités de FOFView
__construct ($config=array())
loadAnyTemplate ($path='', $forceParams=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false, $name=null)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null, $strict=false)
& getRenderer ()
setRenderer (FOFRenderAbstract &$renderer)
setPreRender ($value)
setPostRender ($value)
loadHelper ($hlp=null)
getViewOptionAndName ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Champs de données

$setFrontendPageTitle = false
$defaultPageTitle = null

Fonctions membres protégées

preRender ()
postRender ()
- Fonctions membres protégées hérités de FOFViewRaw
preRender ()
postRender ()
onBrowse ($tpl=null)
onDisplay ($tpl=null)
onAdd ($tpl=null)
onEdit ($tpl=null)
onRead ($tpl=null)
- Fonctions membres protégées hérités de FOFView
findRenderer ()
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFView
static | registerRenderer (FOFRenderAbstract &$renderer)
- Attributs publics statiques hérités de FOFView
static | $renderers = array()
- Attributs protégés hérités de FOFViewRaw
$lists = null
$perms = null
- Attributs protégés hérités de FOFView
$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'
$config = array()
$input = null
$rendererObject = null
$doPreRender = true
$doPostRender = true
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Class constructor

Paramètres
array $config Configuration parameters

Références $config, et elseif.

Documentation des fonctions membres

◆ postRender()

postRender ( )
protected

Runs after rendering the view template, echoing HTML to put after the view template's generated HTML

Renvoie
void

Références $renderer, $task, et $view.

◆ preRender()

preRender ( )
protected

Runs before rendering the view template, echoing HTML to put before the view template's generated HTML

Renvoie
void

Références $config, $renderer, $task, $toolbar, $view, FOFToolbar\getAnInstance(), et FOFPlatform\getInstance().

◆ setPageTitle()

setPageTitle ( )

Références $app, $default, $document, $menu, $option, $params, $sitename, $title, $view, elseif, getDocument, null, option, et view.

Documentation des champs

◆ $defaultPageTitle

$defaultPageTitle = null

◆ $setFrontendPageTitle

$setFrontendPageTitle = false
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/view/html.php


Joomla CMS: Référence de la classe FOFViewJson

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe FOFViewJson
+ Graphe d'héritage de FOFViewJson:
FOFViewHtml FOFViewRaw FOFView FOFUtilsObject

Fonctions membres publiques

__construct ($config=array())
- Fonctions membres publiques hérités de FOFViewHtml
__construct ($config=array())
setPageTitle ()
- Fonctions membres publiques hérités de FOFViewRaw
__construct ($config=array())
display ($tpl=null)
hasAjaxOrderingSupport ()
getLists ()
getPerms ()
- Fonctions membres publiques hérités de FOFView
__construct ($config=array())
loadAnyTemplate ($path='', $forceParams=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false, $name=null)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null, $strict=false)
& getRenderer ()
setRenderer (FOFRenderAbstract &$renderer)
setPreRender ($value)
setPostRender ($value)
loadHelper ($hlp=null)
getViewOptionAndName ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Champs de données

$useHypermedia = false
- Champs de données hérités de FOFViewHtml
$setFrontendPageTitle = false
$defaultPageTitle = null

Fonctions membres protégées

onDisplay ($tpl=null)
onRead ($tpl=null)
_createDocumentWithHypermedia ($data, $model=null)
_removeURIBase ($uri)
_getPrototypeURIForPagination ()
- Fonctions membres protégées hérités de FOFViewHtml
preRender ()
postRender ()
- Fonctions membres protégées hérités de FOFViewRaw
preRender ()
postRender ()
onBrowse ($tpl=null)
onDisplay ($tpl=null)
onAdd ($tpl=null)
onEdit ($tpl=null)
onRead ($tpl=null)
- Fonctions membres protégées hérités de FOFView
findRenderer ()
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFView
static | registerRenderer (FOFRenderAbstract &$renderer)
- Attributs publics statiques hérités de FOFView
static | $renderers = array()
- Attributs protégés hérités de FOFViewRaw
$lists = null
$perms = null
- Attributs protégés hérités de FOFView
$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'
$config = array()
$input = null
$rendererObject = null
$doPreRender = true
$doPostRender = true
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Public constructor

Paramètres
array $config The component's configuration array

Références $config.

Documentation des fonctions membres

◆ _createDocumentWithHypermedia()

_createDocumentWithHypermedia | ( | $data,
 |  | $model = null
 | ) |
protected

Creates a FOFHalDocument using the provided data

Paramètres
array | $data | The data to put in the document
FOFModel | $model | The model of this view
Renvoie
FOFHalDocument A HAL-enabled document

Références $count, $data, $document, $uri, et null.

◆ _getPrototypeURIForPagination()

_getPrototypeURIForPagination ( )
protected

Returns a JUri instance with a prototype URI used as the base for the other URIs created by the JSON renderer

Renvoie
JUri The prototype JUri instance

◆ _removeURIBase()

_removeURIBase ( $uri )
protected

Convert an absolute URI to a relative one

Paramètres
string $uri The URI to convert
Renvoie
string The relative URL

Références $root, $uri, FOFPlatform\getInstance(), et null.

◆ onDisplay()

onDisplay ( $tpl = null )
protected

The event which runs when we are displaying the record list JSON view

Paramètres
string $tpl The view sub-template to use
Renvoie
boolean True to allow display of the view

Références $document, $items, FOFPlatform\getInstance(), items, json_encode, et null.

◆ onRead()

onRead ( $tpl = null )
protected

The event which runs when we are displaying a single item JSON view

Paramètres
string $tpl The view sub-template to use
Renvoie
boolean True to allow display of the view

Références $document, $item, FOFPlatform\getInstance(), item, json_encode, et null.

Documentation des champs

◆ $useHypermedia

$useHypermedia = false
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/view/json.php


Joomla CMS: Référence de la classe FOFViewRaw

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe FOFViewRaw
+ Graphe d'héritage de FOFViewRaw:
FOFView FOFUtilsObject FOFViewHtml FOFViewCsv FOFViewForm FOFViewJson PostinstallViewMessages

Fonctions membres publiques

__construct ($config=array())
display ($tpl=null)
hasAjaxOrderingSupport ()
getLists ()
getPerms ()
- Fonctions membres publiques hérités de FOFView
__construct ($config=array())
loadAnyTemplate ($path='', $forceParams=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false, $name=null)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null, $strict=false)
& getRenderer ()
setRenderer (FOFRenderAbstract &$renderer)
setPreRender ($value)
setPostRender ($value)
loadHelper ($hlp=null)
getViewOptionAndName ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres protégées

preRender ()
postRender ()
onBrowse ($tpl=null)
onDisplay ($tpl=null)
onAdd ($tpl=null)
onEdit ($tpl=null)
onRead ($tpl=null)
- Fonctions membres protégées hérités de FOFView
findRenderer ()
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Attributs protégés

$lists = null
$perms = null
- Attributs protégés hérités de FOFView
$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'
$config = array()
$input = null
$rendererObject = null
$doPreRender = true
$doPostRender = true
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFView
static | registerRenderer (FOFRenderAbstract &$renderer)
- Attributs publics statiques hérités de FOFView
static | $renderers = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Class constructor

Paramètres
array $config Configuration parameters

Références $config, elseif, et FOFPlatform\getInstance().

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Displays the view

Paramètres
string $tpl The template to use
Renvoie
boolean|null False if we can't render anything

Références $task.

◆ getLists()

getLists ( )

Returns the internal list of useful variables to the benefit of FOFFormHeader fields.

Renvoie
array
Depuis
2.0

◆ getPerms()

getPerms ( )

Returns a reference to the permissions object of this view

Renvoie
stdClass

◆ hasAjaxOrderingSupport()

hasAjaxOrderingSupport ( )

Determines if the current Joomla! version and your current table support AJAX-powered drag and drop reordering. If they do, it will set up the drag & drop reordering feature.

Renvoie
boolean|array False if not supported, a table with necessary information (saveOrder: should you enabled DnD reordering; orderingColumn: which column has the ordering information).

Références $fields, $listDirn, $listOrder, $saveOrder, et null.

◆ onAdd()

onAdd ( $tpl = null )
protected

Executes before rendering the page for the Add task.

Paramètres
string $tpl Subtemplate to use
Renvoie
boolean Return true to allow rendering of the page

Références item, et JRequest\setVar().

◆ onBrowse()

onBrowse ( $tpl = null )
protected

Executes before rendering the page for the Browse task.

Paramètres
string $tpl Subtemplate to use
Renvoie
boolean Return true to allow rendering of the page

◆ onDisplay()

onDisplay ( $tpl = null )
protected

Executes before rendering a generic page, default to actions necessary for the Browse task.

Paramètres
string $tpl Subtemplate to use
Renvoie
boolean Return true to allow rendering of the page

Références $params, $view, FOFPlatform\getInstance(), et items.

◆ onEdit()

onEdit ( $tpl = null )
protected

Executes before rendering the page for the Edit task.

Paramètres
string $tpl Subtemplate to use
Renvoie
boolean Return true to allow rendering of the page

Références FOFPlatform\getInstance().

◆ onRead()

onRead ( $tpl = null )
protected

Executes before rendering the page for the Read task.

Paramètres
string $tpl Subtemplate to use
Renvoie
boolean Return true to allow rendering of the page

◆ postRender()

postRender ( )
protected

Last chance to output something after rendering the view template and before returning to the caller

Renvoie
void

◆ preRender()

preRender ( )
protected

Last chance to output something before rendering the view template

Renvoie
void

Documentation des champs

◆ $lists

$lists = null
protected

◆ $perms

$perms = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • raw.php


Joomla CMS: Référence de la classe Fr_FRLocalise

Fonctions membres publiques statiques
Référence de la classe Fr_FRLocalise

Fonctions membres publiques statiques

static | getPluralSuffixes ($count)
static | getIgnoredSearchWords ()
static | getLowerLimitSearchWord ()
static | getUpperLimitSearchWord ()
static | getSearchDisplayedCharactersNumber ()
static | transliterate ($string)
static | getPluralSuffixes ($count)
static | getIgnoredSearchWords ()
static | getLowerLimitSearchWord ()
static | getUpperLimitSearchWord ()
static | getSearchDisplayedCharactersNumber ()
static | transliterate ($string)

Documentation des fonctions membres

◆ getIgnoredSearchWords() [1/2]

static getIgnoredSearchWords ( )
static

Returns the ignored search words

Renvoie
array An array of ignored search words.
Depuis
1.6

◆ getIgnoredSearchWords() [2/2]

static getIgnoredSearchWords ( )
static

Returns the ignored search words

Renvoie
array An array of ignored search words.
Depuis
1.6

◆ getLowerLimitSearchWord() [1/2]

static getLowerLimitSearchWord ( )
static

Returns the lower length limit of search words

Renvoie
integer The lower length limit of search words.
Depuis
1.6

◆ getLowerLimitSearchWord() [2/2]

static getLowerLimitSearchWord ( )
static

Returns the lower length limit of search words

Renvoie
integer The lower length limit of search words.
Depuis
1.6

◆ getPluralSuffixes() [1/2]

static getPluralSuffixes ( $count )
static

Returns the potential suffixes for a specific number of items

Paramètres
int $count The number of items.
Renvoie
array An array of potential suffixes.
Depuis
1.6

Références $count, $return, et elseif.

◆ getPluralSuffixes() [2/2]

static getPluralSuffixes ( $count )
static

Returns the potential suffixes for a specific number of items

Paramètres
int $count The number of items.
Renvoie
array An array of potential suffixes.
Depuis
1.6

Références $count, $return, et elseif.

◆ getSearchDisplayedCharactersNumber() [1/2]

static getSearchDisplayedCharactersNumber ( )
static

Returns the number of chars to display when searching

Renvoie
integer The number of chars to display when searching.
Depuis
1.6

◆ getSearchDisplayedCharactersNumber() [2/2]

static getSearchDisplayedCharactersNumber ( )
static

Returns the number of chars to display when searching

Renvoie
integer The number of chars to display when searching.
Depuis
1.6

◆ getUpperLimitSearchWord() [1/2]

static getUpperLimitSearchWord ( )
static

Returns the upper length limit of search words

Renvoie
integer The upper length limit of search words.
Depuis
1.6

◆ getUpperLimitSearchWord() [2/2]

static getUpperLimitSearchWord ( )
static

Returns the upper length limit of search words

Renvoie
integer The upper length limit of search words.
Depuis
1.6

◆ transliterate() [1/2]

static transliterate ( $string )
static

This method processes a string and replaces all accented UTF-8 characters by unaccented ASCII-7 "equivalents"

Paramètres
string $string The string to transliterate
Renvoie
string The transliteration of the string
Depuis
1.6

◆ transliterate() [2/2]

static transliterate ( $string )
static

This method processes a string and replaces all accented UTF-8 characters by unaccented ASCII-7 "equivalents"

Paramètres
string $string The string to transliterate
Renvoie
string The transliteration of the string
Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/language/fr-FR/fr-FR.localise.php


Joomla CMS: Référence de la classe GarbageCron

Fonctions membres publiques
Référence de la classe GarbageCron
+ Graphe d'héritage de GarbageCron:

Fonctions membres publiques

doExecute ()

Description détaillée

Cron job to trash expired cache data.

Depuis
2.5

Documentation des fonctions membres

◆ doExecute()

doExecute ( )

Entry point for the script

Renvoie
void
Depuis
2.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • garbagecron.php


Joomla CMS: Référence de la classe idna_convert

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe idna_convert
+ Graphe d'héritage de idna_convert:
Net_IDNA_php4

Fonctions membres publiques

__construct ($options=false)
set_parameter ($option, $value=false)
decode ($input, $one_time_encoding=false)
encode ($decoded, $one_time_encoding=false)
encode_uri ($uri)
get_last_error ()
getInstance ($params=array())
singleton ($params=array())
idna_convert ($options=false)
set_parameter ($option, $value=false)
decode ($input, $one_time_encoding=false)
encode ($decoded, $one_time_encoding=false)
get_last_error ()
_decode ($encoded)
_encode ($decoded)
_adapt ($delta, $npoints, $is_first)
_encode_digit ($d)
_decode_digit ($cp)
_error ($error='')
_nameprep ($input)
_hangul_decompose ($char)
_hangul_compose ($input)
_get_combining_class ($char)
_apply_cannonical_ordering ($input)
_combine ($input)
_utf8_to_ucs4 ($input)
_ucs4_to_utf8 ($input)
_ucs4_to_ucs4_string ($input)
_ucs4_string_to_ucs4 ($input)

Champs de données

$NP = array()

Fonctions membres protégées

_decode ($encoded)
_encode ($decoded)
_adapt ($delta, $npoints, $is_first)
_encode_digit ($d)
_decode_digit ($cp)
_error ($error='')
_nameprep ($input)
_hangul_decompose ($char)
_hangul_compose ($input)
_get_combining_class ($char)
_apply_cannonical_ordering ($input)
_combine ($input)
_utf8_to_ucs4 ($input)
_ucs4_to_utf8 ($input)
_ucs4_to_ucs4_string ($input)
_ucs4_string_to_ucs4 ($input)

Fonctions membres protégées statiques

static byteLength ($string)

Attributs protégés

$_punycode_prefix = 'xn--'
$_invalid_ucs = 0x80000000
$_max_ucs = 0x10FFFF
$_base = 36
$_tmin = 1
$_tmax = 26
$_skew = 38
$_damp = 700
$_initial_bias = 72
$_initial_n = 0x80
$_sbase = 0xAC00
$_lbase = 0x1100
$_vbase = 0x1161
$_tbase = 0x11A7
$_lcount = 19
$_vcount = 21
$_tcount = 28
$_ncount = 588
$_scount = 11172
$_error = false
$_api_encoding = 'utf8'
$_allow_overlong = false
$_strict_mode = false
$_idn_version = 2003

Attributs protégés statiques

static | $_mb_string_overload = null
static | $NP

Description détaillée

Encode/decode Internationalized Domain Names.

The class allows to convert internationalized domain names (see RFC 3490 for details) as they can be used with various registries worldwide to be translated between their original (localized) form and their encoded form as it will be used in the DNS (Domain Name System).

The class provides two public methods, encode() and decode(), which do exactly what you would expect them to do. You are allowed to use complete domain names, simple strings and complete email addresses as well. That means, that you might use any of the following notations:

  • www.nörgler.com
  • xn–nrgler-wxa
  • xn–brse-5qa.xn–knrz-1ra.info

Unicode input might be given as either UTF-8 string, UCS-4 string or UCS-4 array. Unicode output is available in the same formats. You can select your preferred format via set_paramter().

ACE input and output is always expected to be ASCII.

Auteur
Matthias Sommerfeld mso@p.nosp@m.hlyl.nosp@m.abs.d.nosp@m.e
Copyright
2004-2011 phlyLabs Berlin, http://phlylabs.de
Version
0.8.0 2011-03-11
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

Encode/decode Internationalized Domain Names.

The class allows to convert internationalized domain names (see RFC 3490 for details) as they can be used with various registries worldwide to be translated between their original (localized) form and their encoded form as it will be used in the DNS (Domain Name System).

The class provides two public methods, encode() and decode(), which do exactly what you would expect them to do. You are allowed to use complete domain names, simple strings and complete email addresses as well. That means, that you might use any of the following notations:

  • www.nörgler.com
  • xn–nrgler-wxa
  • xn–brse-5qa.xn–knrz-1ra.info

Unicode input might be given as either UTF-8 string, UCS-4 string or UCS-4 array. Unicode output is available in the same formats. You can select your preferred format via set_paramter().

ACE input and output is always expected to be ASCII.

Auteur
Matthias Sommerfeld mso@p.nosp@m.hlyl.nosp@m.abs.d.nosp@m.e
Copyright
2004-2007 phlyLabs Berlin, http://phlylabs.de
Version
0.5.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = false )

the constructor

Paramètres
array $options
Renvoie
boolean
Depuis
0.5.2

Références $_tcount, $options, null, et set_parameter().

Documentation des fonctions membres

◆ _adapt() [1/2]

_adapt | ( | $delta,
 |  | $npoints,
 |  | $is_first
 | ) |

Adapt the bias according to the current code point and position private

Références $_base, et $_tmin.

◆ _adapt() [2/2]

_adapt | ( | $delta,
 |  | $npoints,
 |  | $is_first
 | ) |
protected

Adapt the bias according to the current code point and position

Paramètres
int | $delta
int | $npoints
int | $is_first
Renvoie
int

Références $_base, et $_tmin.

Référencé par _decode(), et _encode().

◆ _apply_cannonical_ordering() [1/2]

_apply_cannonical_ordering ( $input )

Apllies the cannonical ordering of a decomposed UCS4 sequence

Paramètres
array Decomposed UCS4 sequence
Renvoie
array Ordered USC4 sequence private

Références $i, $input, et _get_combining_class().

◆ _apply_cannonical_ordering() [2/2]

_apply_cannonical_ordering ( $input )
protected

Applies the cannonical ordering of a decomposed UCS4 sequence

Paramètres
array Decomposed UCS4 sequence
Renvoie
array Ordered USC4 sequence

Références $i, $input, et _get_combining_class().

Référencé par _nameprep().

◆ _combine() [1/2]

_combine ( $input )

Do composition of a sequence of starter and non-starter

Paramètres
array UCS4 Decomposed sequence
Renvoie
array Ordered USC4 sequence private

Références $input.

◆ _combine() [2/2]

_combine ( $input )
protected

Do composition of a sequence of starter and non-starter

Paramètres
array UCS4 Decomposed sequence
Renvoie
array Ordered USC4 sequence

Références $input.

Référencé par _nameprep().

◆ _decode() [1/2]

_decode ( $encoded )

The actual decoding algorithm private

Références $_base, $_initial_bias, $_initial_n, $i, _adapt(), _decode_digit(), _error(), et _ucs4_to_utf8().

◆ _decode() [2/2]

_decode ( $encoded )
protected

The actual decoding algorithm

Paramètres
string
Renvoie
mixed

Références $_base, $_initial_bias, $_initial_n, $i, _adapt(), _decode_digit(), _error(), et _ucs4_to_utf8().

Référencé par decode().

◆ _decode_digit() [1/2]

_decode_digit ( $cp )

Decode a certain digit private

Références $_base.

◆ _decode_digit() [2/2]

_decode_digit ( $cp )
protected

Decode a certain digit

Paramètres
int $cp
Renvoie
int

Références $_base.

Référencé par _decode().

◆ _encode() [1/2]

_encode ( $decoded )

The actual encoding algorithm private

Références $_base, $_initial_bias, $_initial_n, $i, _adapt(), _encode_digit(), _error(), _nameprep(), _utf8_to_ucs4(), et elseif.

◆ _encode() [2/2]

_encode ( $decoded )
protected

The actual encoding algorithm

Paramètres
string
Renvoie
mixed

Références $_base, $_initial_bias, $_initial_n, $i, _adapt(), _encode_digit(), _error(), _nameprep(), _utf8_to_ucs4(), et elseif.

Référencé par encode().

◆ _encode_digit() [1/2]

_encode_digit ( $d )

Encoding a certain digit private

◆ _encode_digit() [2/2]

_encode_digit ( $d )
protected

Encoding a certain digit

Paramètres
int $d
Renvoie
string

Référencé par _encode().

◆ _error() [1/2]

_error ( $error = '' )

Internal error handling method private

Références _error().

◆ _error() [2/2]

_error ( $error = '' )
protected

Internal error handling method

Paramètres
string $error

Référencé par _decode(), _encode(), _error(), _nameprep(), _ucs4_string_to_ucs4(), _ucs4_to_utf8(), _utf8_to_ucs4(), decode(), encode(), encode_uri(), et set_parameter().

◆ _get_combining_class() [1/2]

_get_combining_class ( $char )

Returns the combining class of a certain wide char

Paramètres
integer Wide char to check (32bit integer)
Renvoie
integer Combining class if found, else 0 private

◆ _get_combining_class() [2/2]

_get_combining_class ( $char )
protected

Returns the combining class of a certain wide char

Paramètres
integer Wide char to check (32bit integer)
Renvoie
integer Combining class if found, else 0

Référencé par _apply_cannonical_ordering(), et _nameprep().

◆ _hangul_compose() [1/2]

_hangul_compose ( $input )

Ccomposes a Hangul syllable (see http://www.unicode.org/unicode/reports/tr15/#Hangul

Paramètres
array Decomposed UCS4 sequence
Renvoie
array UCS4 sequence with syllables composed private

Références $_lbase, $_sbase, $_tbase, $_tcount, $_vbase, $i, et $input.

◆ _hangul_compose() [2/2]

_hangul_compose ( $input )
protected

Ccomposes a Hangul syllable (see http://www.unicode.org/unicode/reports/tr15/#Hangul

Paramètres
array Decomposed UCS4 sequence
Renvoie
array UCS4 sequence with syllables composed

Références $_lbase, $_sbase, $_tbase, $_tcount, $_vbase, $i, et $input.

Référencé par _nameprep().

◆ _hangul_decompose() [1/2]

_hangul_decompose ( $char )

Decomposes a Hangul syllable (see http://www.unicode.org/unicode/reports/tr15/#Hangul

Paramètres
integer 32bit UCS4 code point
Renvoie
array Either Hangul Syllable decomposed or original 32bit value as one value array private

Références $_tcount.

◆ _hangul_decompose() [2/2]

_hangul_decompose ( $char )
protected

Decomposes a Hangul syllable (see http://www.unicode.org/unicode/reports/tr15/#Hangul

Paramètres
integer 32bit UCS4 code point
Renvoie
array Either Hangul Syllable decomposed or original 32bit value as one value array

Références $_tcount.

Référencé par _nameprep().

◆ _nameprep() [1/2]

_nameprep ( $input )

Do Nameprep according to RFC3491 and RFC3454

Paramètres
array Unicode Characters
Renvoie
string Unicode Characters, Nameprep'd private

Références $class, $i, $input, $output, $range, _apply_cannonical_ordering(), _combine(), _error(), _get_combining_class(), _hangul_compose(), _hangul_decompose(), et elseif.

◆ _nameprep() [2/2]

_nameprep ( $input )
protected

Do Nameprep according to RFC3491 and RFC3454

Paramètres
array Unicode Characters
Renvoie
string Unicode Characters, Nameprep'd

Références $class, $i, $input, $output, $range, _apply_cannonical_ordering(), _combine(), _error(), _get_combining_class(), _hangul_compose(), _hangul_decompose(), et elseif.

Référencé par _encode().

◆ _ucs4_string_to_ucs4() [1/2]

_ucs4_string_to_ucs4 ( $input )

Convert UCS-4 strin into UCS-4 garray

private

Références $i, $input, $output, et _error().

◆ _ucs4_string_to_ucs4() [2/2]

_ucs4_string_to_ucs4 ( $input )
protected

Convert UCS-4 strin into UCS-4 garray

Paramètres
string $input
Renvoie
array

Références $i, $input, $output, et _error().

Référencé par encode().

◆ _ucs4_to_ucs4_string() [1/2]

_ucs4_to_ucs4_string ( $input )

Convert UCS-4 array into UCS-4 string

private

Références $input, et $output.

◆ _ucs4_to_ucs4_string() [2/2]

_ucs4_to_ucs4_string ( $input )
protected

Convert UCS-4 array into UCS-4 string

Paramètres
array $input
Renvoie
string

Références $input, et $output.

Référencé par decode().

◆ _ucs4_to_utf8() [1/2]

_ucs4_to_utf8 ( $input )

Convert UCS-4 string into UTF-8 string See _utf8_to_ucs4() for details private

Références $input, $output, _error(), et elseif.

◆ _ucs4_to_utf8() [2/2]

_ucs4_to_utf8 ( $input )
protected

Convert UCS-4 string into UTF-8 string See _utf8_to_ucs4() for details

Paramètres
string $input
Renvoie
string

Références $input, $output, _error(), et elseif.

Référencé par _decode(), et encode().

◆ _utf8_to_ucs4() [1/2]

_utf8_to_ucs4 ( $input )

This converts an UTF-8 encoded string to its UCS-4 representation By talking about UCS-4 "strings" we mean arrays of 32bit integers representing each of the "chars". This is due to PHP not being able to handle strings with bit depth different from 8. This apllies to the reverse method _ucs4_to_utf8(), too. The following UTF-8 encodings are supported: bytes bits representation 1 7 0xxxxxxx 2 11 110xxxxx 10xxxxxx 3 16 1110xxxx 10xxxxxx 10xxxxxx 4 21 11110xxx 10xxxxxx 10xxxxxx 10xxxxxx 5 26 111110xx 10xxxxxx 10xxxxxx 10xxxxxx 10xxxxxx 6 31 1111110x 10xxxxxx 10xxxxxx 10xxxxxx 10xxxxxx 10xxxxxx Each x represents a bit that can be used to store character data. The five and six byte sequences are part of Annex D of ISO/IEC 10646-1:2000 private

Références $input, $mode, $output, _error(), et elseif.

◆ _utf8_to_ucs4() [2/2]

_utf8_to_ucs4 ( $input )
protected

This converts an UTF-8 encoded string to its UCS-4 representation By talking about UCS-4 "strings" we mean arrays of 32bit integers representing each of the "chars". This is due to PHP not being able to handle strings with bit depth different from 8. This apllies to the reverse method _ucs4_to_utf8(), too. The following UTF-8 encodings are supported: bytes bits representation 1 7 0xxxxxxx 2 11 110xxxxx 10xxxxxx 3 16 1110xxxx 10xxxxxx 10xxxxxx 4 21 11110xxx 10xxxxxx 10xxxxxx 10xxxxxx 5 26 111110xx 10xxxxxx 10xxxxxx 10xxxxxx 10xxxxxx 6 31 1111110x 10xxxxxx 10xxxxxx 10xxxxxx 10xxxxxx 10xxxxxx Each x represents a bit that can be used to store character data. The five and six byte sequences are part of Annex D of ISO/IEC 10646-1:2000

Paramètres
string $input
Renvoie
string

Références $input, $mode, $output, _error(), et elseif.

Référencé par _encode(), decode(), et encode().

◆ byteLength()

static byteLength ( $string )
staticprotected

Gets the length of a string in bytes even if mbstring function overloading is turned on

Paramètres
string $string the string for which to get the length.
Renvoie
integer the length of the string in bytes.

◆ decode() [1/2]

decode | ( | $input,
 |  | $one_time_encoding = false
 | ) |

Decode a given ACE domain name

Paramètres
string | Domain name (ACE string) [
string | Desired output encoding, see set_parameter]
Renvoie
string Decoded Domain name (UTF-8 or UCS-4) public

Références $input, $return, _decode(), _error(), _ucs4_to_ucs4_string(), _utf8_to_ucs4(), et elseif.

◆ decode() [2/2]

decode | ( | $input,
 |  | $one_time_encoding = false
 | ) |

Decode a given ACE domain name

Paramètres
string | Domain name (ACE string) [
string | Desired output encoding, see set_parameter]
Renvoie
string Decoded Domain name (UTF-8 or UCS-4)

Références $input, $return, _decode(), _error(), _ucs4_to_ucs4_string(), _utf8_to_ucs4(), et elseif.

◆ encode() [1/2]

encode | ( | $decoded,
 |  | $one_time_encoding = false
 | ) |

Encode a given UTF-8 domain name

Paramètres
string | Domain name (UTF-8 or UCS-4) [
string | Desired input encoding, see set_parameter]
Renvoie
string Encoded Domain name (ACE string) public

Références $output, _encode(), _error(), _ucs4_string_to_ucs4(), _ucs4_to_utf8(), et _utf8_to_ucs4().

◆ encode() [2/2]

encode | ( | $decoded,
 |  | $one_time_encoding = false
 | ) |

Encode a given UTF-8 domain name

Paramètres
string | Domain name (UTF-8 or UCS-4) [
string | Desired input encoding, see set_parameter]
Renvoie
string Encoded Domain name (ACE string)

Références $output, _encode(), _error(), _ucs4_string_to_ucs4(), _ucs4_to_utf8(), et _utf8_to_ucs4().

Référencé par encode_uri().

◆ encode_uri()

encode_uri ( $uri )

Removes a weakness of encode(), which cannot properly handle URIs but instead encodes their path or query components, too.

Paramètres
string $uri Expects the URI as a UTF-8 (or ASCII) string
Renvoie
string The URI encoded to Punycode, everything but the host component is left alone
Depuis
0.6.4

Références $return, $uri, _error(), et encode().

◆ get_last_error() [1/2]

get_last_error ( )

Use this method to get the last error ocurred

Paramètres
void
Renvoie
string The last error, that occured public

Références $_error.

◆ get_last_error() [2/2]

get_last_error ( )

Use this method to get the last error ocurred

Paramètres
void
Renvoie
string The last error, that occured

Références $_error.

◆ getInstance()

getInstance ( $params = array() )

Attempts to return a concrete IDNA instance.

Paramètres
array $params Set of paramaters
Renvoie
idna_convert public

Références $params, et idna_convert().

Référencé par singleton().

◆ idna_convert()

idna_convert ( $options = false )

Références $_tcount, $options, et set_parameter().

Référencé par getInstance().

◆ set_parameter() [1/2]

set_parameter | ( | $option,
 |  | $value = false
 | ) |

Sets a new option value. Available options and values: [encoding - Use either UTF-8, UCS4 as array or UCS4 as string as input ('utf8' for UTF-8, 'ucs4_string' and 'ucs4_array' respectively for UCS4); The output is always UTF-8] [overlong - Unicode does not allow unnecessarily long encodings of chars, to allow this, set this parameter to true, else to false; default is false.] [strict - true: strict mode, good for registration purposes - Causes errors on failures; false: loose mode, ideal for "wildlife" applications by silently ignoring errors and returning the original input instead

Paramètres
mixed | Parameter to set (string: single parameter; array of Parameter => Value pairs)
string | Value to use (if parameter 1 is a string)
Renvoie
boolean true on success, false otherwise public

Références $option, $value, et _error().

◆ set_parameter() [2/2]

set_parameter | ( | $option,
 |  | $value = false
 | ) |

Sets a new option value. Available options and values: [encoding - Use either UTF-8, UCS4 as array or UCS4 as string as input ('utf8' for UTF-8, 'ucs4_string' and 'ucs4_array' respectively for UCS4); The output is always UTF-8] [overlong - Unicode does not allow unnecessarily long encodings of chars, to allow this, set this parameter to true, else to false; default is false.] [strict - true: strict mode, good for registration purposes - Causes errors on failures; false: loose mode, ideal for "wildlife" applications by silently ignoring errors and returning the original input instead

Paramètres
mixed | Parameter to set (string: single parameter; array of Parameter => Value pairs)
string | Value to use (if parameter 1 is a string)
Renvoie
boolean true on success, false otherwise

Références $option, $value, et _error().

Référencé par __construct(), et idna_convert().

◆ singleton()

singleton ( $params = array() )

Attempts to return a concrete IDNA instance for either php4 or php5, only creating a new instance if no IDNA instance with the same parameters currently exists.

Paramètres
array $params Set of paramaters
Renvoie
object idna_convert public

Références $params, et getInstance().

Documentation des champs

◆ $_allow_overlong

$_allow_overlong = false
protected

◆ $_api_encoding

$_api_encoding = 'utf8'
protected

◆ $_base

$_base = 36
protected

Référencé par _adapt(), _decode(), _decode_digit(), et _encode().

◆ $_damp

$_damp = 700
protected

◆ $_error

$_error = false
protected

Référencé par get_last_error().

◆ $_idn_version

$_idn_version = 2003
protected

◆ $_initial_bias

$_initial_bias = 72
protected

Référencé par _decode(), et _encode().

◆ $_initial_n

$_initial_n = 0x80
protected

Référencé par _decode(), et _encode().

◆ $_invalid_ucs

$_invalid_ucs = 0x80000000
protected

◆ $_lbase

$_lbase = 0x1100
protected

Référencé par _hangul_compose().

◆ $_lcount

$_lcount = 19
protected

◆ $_max_ucs

$_max_ucs = 0x10FFFF
protected

◆ $_mb_string_overload

$_mb_string_overload = null
staticprotected

◆ $_ncount

$_ncount = 588
protected

◆ $_punycode_prefix

$_punycode_prefix = 'xn--'
protected

◆ $_sbase

$_sbase = 0xAC00
protected

Référencé par _hangul_compose().

◆ $_scount

$_scount = 11172
protected

◆ $_skew

$_skew = 38
protected

◆ $_strict_mode

$_strict_mode = false
protected

◆ $_tbase

$_tbase = 0x11A7
protected

Référencé par _hangul_compose().

◆ $_tcount

$_tcount = 28
protected

Référencé par __construct(), _hangul_compose(), _hangul_decompose(), et idna_convert().

◆ $_tmax

$_tmax = 26
protected

◆ $_tmin

$_tmin = 1
protected

Référencé par _adapt().

◆ $_vbase

$_vbase = 0x1161
protected

Référencé par _hangul_compose().

◆ $_vcount

$_vcount = 21
protected

◆ $NP [1/2]

$NP = array()

◆ $NP [2/2]

$NP
staticprotected

Holds all relevant mapping tables See RFC3454 for details

array

Depuis
0.5.2
La documentation de cette classe a été générée à partir du fichier suivant :
  • idna_convert/idna_convert.class.php


Joomla CMS: Référence de la classe InstallationApplicationWeb

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallationApplicationWeb
+ Graphe d'héritage de InstallationApplicationWeb:

Fonctions membres publiques

__construct ()
debugLanguage ()
dispatch ()
getLocalise ()
getLocaliseAdmin ($db=false)
getTemplate ($params=false)
loadDocument (JDocument $document=null)
loadSession (JSession $session=null)
render ()
sendJsonResponse ($response)
setCfg (array $vars=array(), $namespace='config')

Fonctions membres protégées

doExecute ()
fetchConfigurationData ($file='', $class='JConfig')
fetchController ($task)
initialiseApp ($options=array())

Description détaillée

Joomla! Installation Application class.

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Class constructor.

Depuis
3.1

Références $config, $parts, JDEBUG, et null.

Documentation des fonctions membres

◆ debugLanguage()

debugLanguage ( )

Method to display errors in language parsing.

Renvoie
string Language debug output.
Depuis
3.1

Références $key, $lang, $output, et $parts.

◆ dispatch()

dispatch ( )

Dispatch the application.

Renvoie
void
Depuis
3.1

Références $controller, $document, getDocument, JPATH_ADMINISTRATOR, JPATH_BASE, et JPATH_SITE.

◆ doExecute()

doExecute ( )
protected

Method to run the Web application routines.

Renvoie
void
Depuis
3.1

◆ fetchConfigurationData()

fetchConfigurationData | ( | $file = '',
 |  | $class = 'JConfig'
 | ) |
protected

Method to load a PHP configuration class file based on convention and return the instantiated data object. You will extend this method in child classes to provide configuration data from whatever data source is relevant for your specific application.

Paramètres
string | $file | The path and filename of the configuration file. If not provided, configuration.php in JPATH_BASE will be used.
string | $class | The class name to instantiate.
Renvoie
mixed Either an array or object to be loaded into the configuration object.
Depuis
1.7.3
Exceptions
RuntimeException

◆ fetchController()

fetchController ( $task )
protected

Method to get a controller object.

Paramètres
string $task The task being executed
Renvoie
JController
Depuis
3.1
Exceptions
RuntimeException

Références $class, $task, et null.

◆ getLocalise()

getLocalise ( )

Returns the language code and help URL set in the localise.xml file. Used for forcing a particular language in localised releases.

Renvoie
mixed False on failure, array on success.
Depuis
3.1

Références JPATH_INSTALLATION.

◆ getLocaliseAdmin()

getLocaliseAdmin ( $db = false )

Returns the installed language files in the administrative and frontend area.

Paramètres
mixed $db JDatabaseDriver instance.
Renvoie
array Array with installed language packs in admin and site area.
Depuis
3.1

Références $clientId, $db, $lang, $language, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getTemplate()

getTemplate ( $params = false )

Gets the name of the current template.

Paramètres
boolean $params True to return the template parameters
Renvoie
string The name of the template.
Depuis
3.1

Références $params, et $template.

◆ initialiseApp()

initialiseApp ( $options = array() )
protected

Initialise the application.

Paramètres
array $options An optional associative array of configuration settings.
Renvoie
void
Depuis
3.1

Références $options, et null.

◆ loadDocument()

loadDocument ( JDocument $document = null )

Allows the application to load a custom or default document.

The logic and options for creating this object are adequately generic for default cases but for many applications it will make sense to override this method and create a document, if required, based on more specific needs.

Paramètres
JDocument $document An optional document object. If omitted, the factory document is created.
Renvoie
InstallationApplicationWeb This method is chainable.
Depuis
3.2

Références $attributes, $date, $document, $lang, $type, et null.

◆ loadSession()

loadSession ( JSession $session = null )

Allows the application to load a custom or default session.

The logic and options for creating this object are adequately generic for default cases but for many applications it will make sense to override this method and create a session, if required, based on more specific needs.

Paramètres
JSession $session An optional session object. If omitted, the session is created.
Renvoie
InstallationApplicationWeb This method is chainable.
Depuis
3.1

Références $name, et $options.

◆ render()

render ( )

Rendering is the process of pushing the document buffers into the template placeholders, retrieving data from the document and pushing it into the application response buffer.

Renvoie
void
Depuis
3.1

Références $data, $file, $options, et JPATH_THEMES.

◆ sendJsonResponse()

sendJsonResponse ( $response )

Method to send a JSON response. The data parameter can be an Exception object for when an error has occurred or a stdClass for a good response.

Paramètres
mixed $response stdClass on success, Exception on failure.
Renvoie
void
Depuis
3.1

Références json_encode.

◆ setCfg()

setCfg | ( | array | $vars = array(),
 |  |  | $namespace = 'config'
 | ) |  |

Set configuration values.

Paramètres
array | $vars | Array of configuration values
string | $namespace | The namespace
Renvoie
void
Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • web.php


Joomla CMS: Référence de la classe InstallationControllerDatabase

Fonctions membres publiques
Référence de la classe InstallationControllerDatabase
+ Graphe d'héritage de InstallationControllerDatabase:
JControllerBase JController

Fonctions membres publiques

execute ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to initialise the database for the Joomla Installer.

Depuis
3.1

Documentation des fonctions membres

◆ execute()

execute ( )

Execute the controller.

Renvoie
void
Depuis
3.1

Implémente JController.

Références $app, $db, $path, $r, $return, $useftp, InstallationModelSetup\checkForm(), et JPATH_CONFIGURATION.

La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/controller/database.php


Joomla CMS: Référence de la classe InstallationControllerDefault

Référence de la classe InstallationControllerDefault
+ Graphe d'héritage de InstallationControllerDefault:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Default controller class for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/controller/default.php


Joomla CMS: Référence de la classe InstallationControllerDetectftproot

Référence de la classe InstallationControllerDetectftproot
+ Graphe d'héritage de InstallationControllerDetectftproot:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to detect the site's FTP root for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • detectftproot.php


Joomla CMS: Référence de la classe InstallationControllerFtp

Référence de la classe InstallationControllerFtp
+ Graphe d'héritage de InstallationControllerFtp:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to set the FTP data for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • controller/ftp.php


Joomla CMS: Référence de la classe InstallationControllerInstallConfig

Référence de la classe InstallationControllerInstallConfig
+ Graphe d'héritage de InstallationControllerInstallConfig:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to write the config file for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/controller/install/config.php


Joomla CMS: Référence de la classe InstallationControllerInstallDatabase

Référence de la classe InstallationControllerInstallDatabase
+ Graphe d'héritage de InstallationControllerInstallDatabase:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to initialise the database for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/controller/install/database.php


Joomla CMS: Référence de la classe InstallationControllerInstallDatabase_backup

Référence de la classe InstallationControllerInstallDatabase_backup
+ Graphe d'héritage de InstallationControllerInstallDatabase_backup:
JControllerBase JController InstallationControllerInstallDatabase_remove

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to backup the old database for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • database_backup.php


Joomla CMS: Référence de la classe InstallationControllerInstallDatabase_remove

Référence de la classe InstallationControllerInstallDatabase_remove
+ Graphe d'héritage de InstallationControllerInstallDatabase_remove:
InstallationControllerInstallDatabase_backup JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to remove the old database for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • database_remove.php


Joomla CMS: Référence de la classe InstallationControllerInstallEmail

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallationControllerInstallEmail
+ Graphe d'héritage de InstallationControllerInstallEmail:
JControllerBase JController

Fonctions membres publiques

__construct ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()

Fonctions membres protégées

emailTitle ($title)
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()

Membres hérités additionnels

- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to email the configuration info for the Joomla Installer.

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor.

Depuis
3.2

Références $config, JPATH_SITE, et null.

Documentation des fonctions membres

◆ emailTitle()

emailTitle ( $title )
protected

Prepares a title line for the email

Paramètres
string $title The title pre-formatting
Renvoie
string
Depuis
3.1

Références $title.

La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/controller/install/email.php


Joomla CMS: Référence de la classe InstallationControllerInstallLanguages

Fonctions membres publiques
Référence de la classe InstallationControllerInstallLanguages
+ Graphe d'héritage de InstallationControllerInstallLanguages:
JControllerBase JController

Fonctions membres publiques

__construct ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to install additional languages for the Joomla Installer.

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor.

Depuis
3.1

Références $config, JPATH_SITE, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/controller/install/languages.php


Joomla CMS: Référence de la classe InstallationControllerInstallSample

Référence de la classe InstallationControllerInstallSample
+ Graphe d'héritage de InstallationControllerInstallSample:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to install the sample data for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • controller/install/sample.php


Joomla CMS: Référence de la classe InstallationControllerPreinstall

Référence de la classe InstallationControllerPreinstall
+ Graphe d'héritage de InstallationControllerPreinstall:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to refresh the preinstall view for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • preinstall.php


Joomla CMS: Référence de la classe InstallationControllerRemovefolder

Fonctions membres publiques
Référence de la classe InstallationControllerRemovefolder
+ Graphe d'héritage de InstallationControllerRemovefolder:
JControllerBase JController

Fonctions membres publiques

sendJsonResponse ($response)
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to set the FTP data for the Joomla Installer.

Depuis
3.1

Documentation des fonctions membres

◆ sendJsonResponse()

sendJsonResponse ( $response )

Method to send a JSON response. The data parameter can be an Exception object for when an error has occurred or a stdClass for a good response.

Paramètres
mixed $response stdClass on success, Exception on failure.
Renvoie
void
Depuis
3.1

Références json_encode, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • removefolder.php


Joomla CMS: Référence de la classe InstallationControllerSetdefaultlanguage

Fonctions membres publiques
Référence de la classe InstallationControllerSetdefaultlanguage
+ Graphe d'héritage de InstallationControllerSetdefaultlanguage:
JControllerBase JController

Fonctions membres publiques

__construct ()
- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to set the default application languages for the Joomla Installer.

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor.

Depuis
3.1

Références $config, JPATH_SITE, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • setdefaultlanguage.php


Joomla CMS: Référence de la classe InstallationControllerSetlanguage

Référence de la classe InstallationControllerSetlanguage
+ Graphe d'héritage de InstallationControllerSetlanguage:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to set the language for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • setlanguage.php


Joomla CMS: Référence de la classe InstallationControllerSite

Référence de la classe InstallationControllerSite
+ Graphe d'héritage de InstallationControllerSite:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to set the site data for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/controller/site.php


Joomla CMS: Référence de la classe InstallationControllerSummary

Référence de la classe InstallationControllerSummary
+ Graphe d'héritage de InstallationControllerSummary:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to prepare installation for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • summary.php


Joomla CMS: Référence de la classe InstallationControllerVerifyftpsettings

Référence de la classe InstallationControllerVerifyftpsettings
+ Graphe d'héritage de InstallationControllerVerifyftpsettings:
JControllerBase JController

Membres hérités additionnels

- Fonctions membres publiques hérités de JControllerBase
__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()
- Fonctions membres protégées hérités de JControllerBase
loadApplication ()
loadInput ()
- Attributs protégés hérités de JControllerBase
$app
$input

Description détaillée

Controller class to verify the FTP settings for the Joomla Installer.

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • verifyftpsettings.php


Joomla CMS: Référence de la classe InstallationFormFieldLanguage

Fonctions membres protégées | Attributs protégés
Référence de la classe InstallationFormFieldLanguage
+ Graphe d'héritage de InstallationFormFieldLanguage:
JFormFieldList

Fonctions membres protégées

getOptions ()
_sortLanguages ($a, $b)
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Language'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Installation Language field.

Depuis
1.6

Documentation des fonctions membres

◆ _sortLanguages()

_sortLanguages | ( | $a,
 |  | $b
 | ) |
protected

Method to sort languages by name.

Paramètres
string | $a | The first value to determine sort
string | $b | The second value to determine sort
Renvoie
string
Depuis
3.1

Références $b.

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.6

Références $app, $option, $options, et value.

Documentation des champs

◆ $type

$type = 'Language'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/form/field/language.php


Joomla CMS: Référence de la classe InstallationFormFieldPrefix

Fonctions membres protégées | Attributs protégés
Référence de la classe InstallationFormFieldPrefix
+ Graphe d'héritage de InstallationFormFieldPrefix:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'Prefix'

Description détaillée

Database Prefix field.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références $class, $disabled, $i, $onchange, $prefix, $readonly, ENT_COMPAT, htmlspecialchars, et name.

Documentation des champs

◆ $type

$type = 'Prefix'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • field/prefix.php


Joomla CMS: Référence de la classe InstallationFormFieldSample

Fonctions membres protégées | Attributs protégés
Référence de la classe InstallationFormFieldSample
+ Graphe d'héritage de InstallationFormFieldSample:
JFormFieldRadio JFormFieldList

Fonctions membres protégées

getOptions ()
getInput ()
- Fonctions membres protégées hérités de JFormFieldRadio
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Sample'
- Attributs protégés hérités de JFormFieldRadio
$type = 'Radio'
$layout = 'joomla.form.field.radio'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Install Sample Data field.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références value.

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.6

Références $file, $files, $key, $options, $type, elseif, et JPATH_INSTALLATION.

Documentation des champs

◆ $type

$type = 'Sample'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • form/field/sample.php


Joomla CMS: Référence de la classe InstallationFormRulePrefix

Attributs protégés
Référence de la classe InstallationFormRulePrefix
+ Graphe d'héritage de InstallationFormRulePrefix:

Attributs protégés

$regex = '^[a-z][a-z0-9]*_$'
$modifiers = 'i'

Description détaillée

Form Rule class for the prefix DB.

Depuis
1.7

Documentation des champs

◆ $modifiers

$modifiers = 'i'
protected

◆ $regex

$regex = '^[a-z][a-z0-9]*_$'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • rule/prefix.php


Joomla CMS: Référence de la classe InstallationFormRuleUsername

Fonctions membres publiques
Référence de la classe InstallationFormRuleUsername
+ Graphe d'héritage de InstallationFormRuleUsername:

Fonctions membres publiques

test (SimpleXMLElement $element, $value, $group=null, JRegistry $input=null, JForm $form=null)

Description détaillée

Form Rule class for the username.

Depuis
3.9.4

Documentation des fonctions membres

◆ test()

test | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | JRegistry | $input = null,
 |  | JForm | $form = null
 | ) |  |

Method to test a username

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
JForm | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.

Références $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • username.php


Joomla CMS: Référence de la classe InstallationHelperDatabase

Fonctions membres publiques statiques
Référence de la classe InstallationHelperDatabase

Fonctions membres publiques statiques

static getDbo ($driver, $host, $user, $password, $database, $prefix, $select=true)

Description détaillée

Joomla Installation Database Helper Class.

Depuis
1.6

Documentation des fonctions membres

◆ getDbo()

static getDbo | ( | $driver,
 |  | $host,
 |  | $user,
 |  | $password,
 |  | $database,
 |  | $prefix,
 |  | $select = true
 | ) |
static

Method to get a JDatabaseDriver object.

Paramètres
string | $driver | The database driver to use.
string | $host | The hostname to connect on.
string | $user | The user name to connect with.
string | $password | The password to use for connection authentication.
string | $database | The database to use.
string | $prefix | The table prefix to use.
boolean | $select | True if the database should be selected.
Renvoie
JDatabaseDriver
Depuis
1.6

Références $db, $options, $password, $prefix, $user, et JDatabaseDriver\getInstance().

Référencé par InstallationModelConfiguration\createRootUser(), et InstallationModelDatabase\initialise().

La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/helper/database.php


Joomla CMS: Référence de la classe InstallationHtmlHelper

Fonctions membres publiques statiques | Fonctions membres privées statiques
Référence de la classe InstallationHtmlHelper

Fonctions membres publiques statiques

static | stepbar ()
static | stepbarlanguages ()

Fonctions membres privées statiques

static | getTab ($id, $tabs)
static | getTabNumber ($id, $tabs)

Description détaillée

HTML utility class for the installation application

Depuis
1.6

Documentation des fonctions membres

◆ getTab()

static getTab | ( | $id,
 |  | $tabs
 | ) |
staticprivate

Method to generate the navigation tab.

Paramètres
string | $id | The container ID.
array | $tabs | The navigation tabs.
Renvoie
string Markup for the tab.
Depuis
3.1

Références $id, $input, $tabs, $view, et elseif.

◆ getTabNumber()

static getTabNumber | ( | $id,
 |  | $tabs
 | ) |
staticprivate

Method to determine the tab (step) number.

Paramètres
string | $id | The container ID.
array | $tabs | The navigation tabs.
Renvoie
integer Tab number in navigation sequence.
Depuis
3.1

◆ stepbar()

static stepbar ( )
static

Method to generate the side bar.

Renvoie
string Markup for the side bar.
Depuis
1.6

Références $html, $path, $tabs, $useftp, et JPATH_CONFIGURATION.

◆ stepbarlanguages()

static stepbarlanguages ( )
static

Method to generate the side bar.

Renvoie
string Markup for the side bar.
Depuis
3.1

Références $html, et $tabs.

La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/html/helper.php


Joomla CMS: Référence de la classe InstallationModelConfiguration

Fonctions membres publiques | Fonctions membres privées
Référence de la classe InstallationModelConfiguration
+ Graphe d'héritage de InstallationModelConfiguration:
JModelBase JModel

Fonctions membres publiques

setup ($options)
createConfiguration ($options)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres privées

createRootUser ($options)

Membres hérités additionnels

- Fonctions membres protégées hérités de JModelBase
loadState ()
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Configuration setup model for the Joomla Core Installer.

Depuis
3.1

Documentation des fonctions membres

◆ createConfiguration()

createConfiguration ( $options )

Method to create the configuration file

Paramètres
array $options The session options
Renvoie
boolean True on success
Depuis
3.1

Références $buffer, $file, $options, $path, JPATH_ADMINISTRATOR, JPATH_CONFIGURATION, JPATH_ROOT, null, et Registry\set().

◆ createRootUser()

createRootUser ( $options )
private

Method to create the root user for the site.

Paramètres
object $options The session options.
Renvoie
boolean True on success.
Depuis
3.1

Références $columns, $db, $options, $query, $userId, InstallationHelperDatabase\getDbo(), InstallationModelDatabase\getUserId(), et InstallationModelDatabase\resetRandUserId().

◆ setup()

setup ( $options )

Method to setup the configuration file

Paramètres
array $options The session options
Renvoie
boolean True on success
Depuis
3.1

Références $options, et ArrayHelper\toObject().

La documentation de cette classe a été générée à partir du fichier suivant :
  • configuration.php


Joomla CMS: Référence de la classe InstallationModelDatabase

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe InstallationModelDatabase
+ Graphe d'héritage de InstallationModelDatabase:
JModelBase JModel

Fonctions membres publiques

initialise ($options)
createDatabase ($options)
handleOldDatabase ($options)
createTables ($options)
installSampleData ($options)
installCmsData ($options)
backupDatabase ($db, $prefix)
createDb ($db, $options, $utf)
deleteDatabase ($db, $prefix)
populateDatabase ($db, $schema)
setDatabaseCharset ($db, $name)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres publiques statiques

static | resetRandUserId ()
static | getUserId ()

Fonctions membres protégées

postInstallSampleData ($db, $sampleFileName='')
postInstallCmsData ($db)
updateUserIds ($db)
updateDates ($db)
splitQueries ($query)
- Fonctions membres protégées hérités de JModelBase
loadState ()

Fonctions membres protégées statiques

static generateRandUserId ()

Attributs protégés statiques

static $userId = 0

Membres hérités additionnels

- Attributs protégés hérités de JModelBase
$state

Description détaillée

Database configuration model for the Joomla Core Installer.

Depuis
3.1

Documentation des fonctions membres

◆ backupDatabase()

backupDatabase | ( | $db,
 |  | $prefix
 | ) |

Method to backup all tables in a database with a given prefix.

Paramètres
JDatabaseDriver | $db | JDatabaseDriver object.
string | $prefix | Database table prefix.
Renvoie
boolean True on success.
Depuis
3.1

Références $db, $prefix, et $return.

◆ createDatabase()

createDatabase ( $options )

Method to create a new database.

Paramètres
array $options The configuration options
Renvoie
boolean True on success.
Depuis
3.1

Références $db, $i, $option, $options, $type, elseif, et JDatabaseDriver\getInstance().

◆ createDb()

createDb | ( | $db,
 |  | $options,
 |  | $utf
 | ) |

Method to create a new database.

Paramètres
JDatabaseDriver | $db | JDatabase object.
JObject | $options | JObject coming from "initialise" function to pass user and database name to database driver.
boolean | $utf | True if the database supports the UTF-8 character set.
Renvoie
boolean True on success.
Depuis
3.1

Références $db, et $options.

◆ createTables()

createTables ( $options )

Method to create the database tables.

Paramètres
array $options The options array.
Renvoie
boolean True on success.
Depuis
3.1

Références $db, $extension, $file, $files, $options, $params, $query, $return, $type, $version, elseif, JPATH_ADMINISTRATOR, et json_encode.

◆ deleteDatabase()

deleteDatabase | ( | $db,
 |  | $prefix
 | ) |

Method to delete all tables in a database with a given prefix.

Paramètres
JDatabaseDriver | $db | JDatabaseDriver object.
string | $prefix | Database table prefix.
Renvoie
boolean True on success.
Depuis
3.1

Références $db, $prefix, et $return.

◆ generateRandUserId()

static generateRandUserId ( )
staticprotected

Generates the user ID.

Renvoie
integer The user ID.
Depuis
3.1

◆ getUserId()

static getUserId ( )
static

Retrieves the default user ID and sets it if necessary.

Renvoie
integer The user ID.
Depuis
3.1

Références $userId.

Référencé par InstallationModelConfiguration\createRootUser().

◆ handleOldDatabase()

handleOldDatabase ( $options )

Method to process the old database.

Paramètres
array $options The options array.
Renvoie
boolean True on success.
Depuis
3.1

Références $db, et $options.

◆ initialise()

initialise ( $options )

Method to initialise the database.

Paramètres
array $options The options to use for configuration.
Renvoie
JDatabaseDriver|boolean Database object on success, boolean false on failure
Depuis
3.1

Références $lang, $options, InstallationHelperDatabase\getDbo(), JPATH_ADMINISTRATOR, et JPATH_INSTALLATION.

◆ installCmsData()

installCmsData ( $options )

Method to install the cms data.

Paramètres
array $options The options array.
Renvoie
boolean True on success.
Depuis
3.6.1

Références $db, et $options.

◆ installSampleData()

installSampleData ( $options )

Method to install the sample data.

Paramètres
array $options The options array.
Renvoie
boolean True on success.
Depuis
3.1

Références $data, $db, $options, $type, elseif, et JPATH_INSTALLATION.

◆ populateDatabase()

populateDatabase | ( | $db,
 |  | $schema
 | ) |

Method to import a database schema from a file.

Paramètres
JDatabaseDriver | $db | JDatabase object.
string | $schema | Path to the schema file.
Renvoie
boolean True on success.
Depuis
3.1

If we don't have UTF-8 Multibyte support we'll have to convert queries to plain UTF-8

Note: the JDatabaseDriver::convertUtf8mb4QueryToUtf8 performs the conversion ONLY when necessary, so there's no need to check the conditions in JInstaller.

This is a query which was supposed to convert tables to utf8mb4 charset but the server doesn't support utf8mb4. Therefore we don't have to run it, it has no effect and it's a mere waste of time.

Références $buffer, $db, $query, et $return.

◆ postInstallCmsData()

postInstallCmsData ( $db )
protected

Cms tables and data post install process.

Paramètres
JDatabaseDriver $db Database connector object $db*.
Renvoie
void
Depuis
3.6.1

Références $db.

◆ postInstallSampleData()

postInstallSampleData | ( | $db,
 |  | $sampleFileName = ''
 | ) |
protected

Sample data tables and data post install process.

Paramètres
JDatabaseDriver | $db | Database connector object $db*.
string | $sampleFileName | The sample dats filename.
Renvoie
void
Depuis
3.1

Références $db.

◆ resetRandUserId()

static resetRandUserId ( )
static

Resets the user ID.

Renvoie
void
Depuis
3.1

Références $userId.

Référencé par InstallationModelConfiguration\createRootUser().

◆ setDatabaseCharset()

setDatabaseCharset | ( | $db,
 |  | $name
 | ) |

Method to set the database character set to UTF-8.

Paramètres
JDatabaseDriver | $db | JDatabaseDriver object.
string | $name | Name of the database to process.
Renvoie
boolean True on success.
Depuis
3.1

Références $db, et $name.

◆ splitQueries()

splitQueries ( $query )
protected

Method to split up queries from a schema file into an array.

Paramètres
string $query SQL schema.
Renvoie
array Queries to perform.
Depuis
3.1

Références $buffer, $i, $query, et elseif.

◆ updateDates()

updateDates ( $db )
protected

Method to update the dates of sql data content to the current date.

Paramètres
JDatabaseDriver $db Database connector object $db*.
Renvoie
void
Depuis
3.7.0

Références $currentDate, $db, $field, $fields, et $query.

◆ updateUserIds()

updateUserIds ( $db )
protected

Method to update the user id of sql data content to the new rand user id.

Paramètres
JDatabaseDriver $db Database connector object $db*.
Renvoie
void
Depuis
3.6.1

Références $db, $field, $fields, $query, et $userId.

Documentation des champs

◆ $userId

$userId = 0
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/model/database.php


Joomla CMS: Référence de la classe InstallationModelFtp

Fonctions membres publiques
Référence de la classe InstallationModelFtp
+ Graphe d'héritage de InstallationModelFtp:
JModelBase JModel

Fonctions membres publiques

detectFtpRoot ($options)
verifyFtpSettings ($options)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Membres hérités additionnels

- Fonctions membres protégées hérités de JModelBase
loadState ()
- Attributs protégés hérités de JModelBase
$state

Description détaillée

FTP configuration model for the Joomla Core Installer.

Depuis
3.1

Documentation des fonctions membres

◆ detectFtpRoot()

detectFtpRoot ( $options )

Find the ftp filesystem root for a given user/pass pair.

Paramètres
array $options Configuration options.
Renvoie
mixed FTP root for given FTP user, or boolean false if not found.
Depuis
3.1

Références $buffer, $i, $n, $options, $parts, $tmp, DIRECTORY_SEPARATOR, JPATH_LIBRARIES, JPATH_SITE, null, et ArrayHelper\toObject().

◆ verifyFtpSettings()

verifyFtpSettings ( $options )

Verify the FTP settings as being functional and correct.

Paramètres
array $options Configuration options.
Renvoie
mixed FTP root for given FTP user, or boolean false if not found.
Depuis
3.1

Références $buffer, $options, $root, JPATH_ROOT, null, et ArrayHelper\toObject().

La documentation de cette classe a été générée à partir du fichier suivant :
  • model/ftp.php


Joomla CMS: Référence de la classe InstallationModelLanguages

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe InstallationModelLanguages
+ Graphe d'héritage de InstallationModelLanguages:
JModelBase JModel

Fonctions membres publiques

__construct ()
getItems ()
install ($lids)
getInstalledlangsAdministrator ()
getInstalledlangsFrontend ()
setDefault ($language, $clientName='administrator')
getOptions ()
getForm ($view=null)
enablePlugin ($pluginName)
addModuleLanguageSwitcher ()
addModuleInModuleMenu ($moduleId)
publishContentLanguages ()
getSefString ($itemLanguage, $siteLanguages)
addLanguage ($itemLanguage, $sefLangString)
addMenuGroup ($itemLanguage)
addFeaturedMenuItem ($itemLanguage)
addAllCategoriesMenuItem ($itemLanguage)
addModuleMenu ($itemLanguage)
disableModuleMainMenu ()
enableModule ($moduleName)
addCategory ($itemLanguage)
addArticle ($itemLanguage, $categoryId)
addBlogMenuItem ($itemLanguage, $categoryId)
addAssociations ($groupedAssociations)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres protégées

getLanguageManifest ($uid)
getPackageUrl ($remoteManifest)
downloadPackage ($url)
getInstalledlangs ($clientName='administrator')
getLanguageList ($clientId=1)
compareLanguages ($lang1, $lang2)
getPath ()
getClient ($client='administrator')
- Fonctions membres protégées hérités de JModelBase
loadState ()

Attributs protégés

$client
$data
$path
$langlist
$adminId
- Attributs protégés hérités de JModelBase
$state

Fonctions membres privées

getAdminId ()

Description détaillée

Language Installer model for the Joomla Core Installer.

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor: Deletes the default installation config file and recreates it with the good config file.

Depuis
3.1

Références $config, JPATH_SITE, et null.

Documentation des fonctions membres

◆ addAllCategoriesMenuItem()

addAllCategoriesMenuItem ( $itemLanguage )

Add AllCategories Menu Item for new router.

Paramètres
stdClass $itemLanguage Language Object.
Renvoie
JTable|boolean Menu Item Object. False otherwise.
Depuis
3.8.0

Références $title, et JPATH_ADMINISTRATOR.

◆ addArticle()

addArticle | ( | $itemLanguage,
 |  | $categoryId
 | ) |

Create an article in a specific language.

Paramètres
stdClass | $itemLanguage | Language Object.
integer | $categoryId | The id of the category where we want to add the article.
Renvoie
JTable|boolean Article Object. False otherwise.
Depuis
3.2

Références $article, $currentDate, $data, $db, $query, $title, JPATH_ADMINISTRATOR, et json_encode.

◆ addAssociations()

addAssociations ( $groupedAssociations )

Create the language associations.

Paramètres
array $groupedAssociations Array of language associations for all items.
Renvoie
boolean True on success.
Depuis
3.6.1

Références $context, $db, $id, $key, $language, $query, et json_encode.

◆ addBlogMenuItem()

addBlogMenuItem | ( | $itemLanguage,
 |  | $categoryId
 | ) |

Add Blog Menu Item.

Paramètres
stdClass | $itemLanguage | Language Object.
integer | $categoryId | The id of the category displayed by the blog.
Renvoie
JTable|boolean Menu Item Object. False otherwise.
Depuis
3.8.0

Références $title, et JPATH_ADMINISTRATOR.

◆ addCategory()

addCategory ( $itemLanguage )

Method create a category for a specific language.

Paramètres
stdClass $itemLanguage Language Object.
Renvoie
JTable|boolean Category Object. False otherwise.
Depuis
3.2

Références $category, $data, $title, et JPATH_ADMINISTRATOR.

◆ addFeaturedMenuItem()

addFeaturedMenuItem ( $itemLanguage )

Add Featured Menu Item.

Paramètres
stdClass $itemLanguage Language Object.
Renvoie
JTable|boolean Menu Item Object. False otherwise.
Depuis
3.2

Références $title, et JPATH_ADMINISTRATOR.

◆ addLanguage()

addLanguage | ( | $itemLanguage,
 |  | $sefLangString
 | ) |

Add a Content Language.

Paramètres
stdClass | $itemLanguage | Language Object.
string | $sefLangString | String to use for SEF so it doesn't conflict.
Renvoie
boolean
Depuis
3.2 4.0 Not used anymore.

◆ addMenuGroup()

addMenuGroup ( $itemLanguage )

Add Menu Group.

Paramètres
stdClass $itemLanguage Language Object.
Renvoie
boolean
Depuis
3.2

Références JPATH_ADMINISTRATOR, et JLoader\registerPrefix().

◆ addModuleInModuleMenu()

addModuleInModuleMenu ( $moduleId )

Add a Module in Module menus.

Paramètres
integer $moduleId The Id of module.
Renvoie
boolean
Depuis
3.2

Références $db, et $query.

◆ addModuleLanguageSwitcher()

addModuleLanguageSwitcher ( )

Enable the Language Switcher Module.

Renvoie
boolean
Depuis
3.2

Références JPATH_LIBRARIES.

◆ addModuleMenu()

addModuleMenu ( $itemLanguage )

Add Module Menu.

Paramètres
stdClass $itemLanguage Language Object.
Renvoie
boolean
Depuis
3.2

Références $title.

◆ compareLanguages()

compareLanguages | ( | $lang1,
 |  | $lang2
 | ) |
protected

Compare two languages in order to sort them.

Paramètres
object | $lang1 | The first language.
object | $lang2 | The second language.
Renvoie
integer
Depuis
3.1

◆ disableModuleMainMenu()

disableModuleMainMenu ( )

Disable Default Main Menu Module.

Renvoie
boolean
Depuis
3.2

Références $db, et $query.

◆ downloadPackage()

downloadPackage ( $url )
protected

Download a language package from a URL and unpack it in the tmp folder.

Paramètres
string $url URL of the package.
Renvoie
array|boolean Package details or false on failure.
Depuis
3.1

Références $config, et $url.

◆ enableModule()

enableModule ( $moduleName )

Enable a module.

Paramètres
string $moduleName The Name of the module to activate.
Renvoie
boolean
Depuis
3.2

Références $db, et $query.

◆ enablePlugin()

enablePlugin ( $pluginName )

Enable a Joomla plugin.

Paramètres
string $pluginName The name of plugin.
Renvoie
boolean
Depuis
3.2

Références $db, $params, et $query.

◆ getAdminId()

getAdminId ( )
private

Retrieve the admin user id.

Renvoie
integer|boolean One Administrator ID.
Depuis
3.2

Références $db, $id, et $query.

◆ getClient()

getClient ( $client = 'administrator' )
protected

Get the client object of Administrator or Frontend.

Paramètres
string $client Name of the client object.
Renvoie
object
Depuis
3.1

Références $client.

◆ getForm()

getForm ( $view = null )

Get the model form.

Paramètres
string $view The view being processed.
Renvoie
mixed JForm object on success, false on failure.
Depuis
3.1

Références $data, $form, et $view.

◆ getInstalledlangs()

getInstalledlangs ( $clientName = 'administrator' )
protected

Get Languages item data.

Paramètres
string $clientName Name of the cms client.
Renvoie
array
Depuis
3.1

Références $client, $data, $file, $info, $key, $lang, $params, $path, $row, et $value.

◆ getInstalledlangsAdministrator()

getInstalledlangsAdministrator ( )

Get Languages item data for the Administrator.

Renvoie
array
Depuis
3.1

◆ getInstalledlangsFrontend()

getInstalledlangsFrontend ( )

Get Languages item data for the Frontend.

Renvoie
array List of installed languages in the frontend application.
Depuis
3.1

◆ getItems()

getItems ( )

Generate a list of language choices to install in the Joomla CMS.

Renvoie
boolean True if successful.
Depuis
3.1

Références $db, $list, et $query.

◆ getLanguageList()

getLanguageList ( $clientId = 1 )
protected

Get installed languages data.

Paramètres
integer $clientId The client ID to retrieve data for.
Renvoie
object The language data.
Depuis
3.1

Références $clientId, $db, et $query.

◆ getLanguageManifest()

getLanguageManifest ( $uid )
protected

Gets the manifest file of a selected language from a the language list in an update server.

Paramètres
integer $uid The id of the language in the #__updates table.
Renvoie
string
Depuis
3.1

◆ getOptions()

getOptions ( )

Get the current setup options from the session.

Renvoie
array
Depuis
3.1

◆ getPackageUrl()

getPackageUrl ( $remoteManifest )
protected

Finds the URL of the package to download.

Paramètres
string $remoteManifest URL to the manifest XML file of the remote package.
Renvoie
string|boolean
Depuis
3.1

◆ getPath()

getPath ( )
protected

Get the languages folder path.

Renvoie
string The path to the languages folders.
Depuis
3.1

Références $client, $path, et null.

◆ getSefString()

getSefString | ( | $itemLanguage,
 |  | $siteLanguages
 | ) |

Gets a unique language SEF string.

This function checks other existing language with the same code, if they exist provides a unique SEF name. For instance: en-GB, en-US and en-AU will share the same SEF code by default: www.mywebsite.com/en/ To avoid this conflict, this function creates a specific SEF in case of existing conflict: For example: www.mywebsite.com/en-au/

Paramètres
stdClass | $itemLanguage | Language Object.
stdClass[] | $siteLanguages All Language Objects.
Renvoie
string
Depuis
3.2 4.0 Not used anymore.

Références $lang, et $langs.

◆ install()

install ( $lids )

Method that installs in Joomla! the selected languages in the Languages View of the installer.

Paramètres
array $lids List of the update_id value of the languages to install.
Renvoie
boolean True if successful

Références $config, $id, $language, et $message.

◆ publishContentLanguages()

publishContentLanguages ( )

Publish the Installed Content Languages.

Renvoie
boolean
Depuis
3.7.0

Références $app.

◆ setDefault()

setDefault | ( | $language,
 |  | $clientName = 'administrator'
 | ) |

Set the default language.

Paramètres
string | $language | The language to be set as default.
string | $clientName | The name of the CMS client.
Renvoie
boolean
Depuis
3.1

Références $client, $id, $language, et $params.

Documentation des champs

◆ $adminId

$adminId
protected

◆ $client

$client
protected

◆ $data

$data
protected

◆ $langlist

$langlist
protected

◆ $path

$path
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/model/languages.php


Joomla CMS: Référence de la classe InstallationModelSetup

Fonctions membres publiques
Référence de la classe InstallationModelSetup
+ Graphe d'héritage de InstallationModelSetup:
JModelBase JModel

Fonctions membres publiques

getOptions ()
storeOptions ($options)
getForm ($view=null)
checkForm ($page='site')
getLanguages ()
getIniParserAvailability ()
getPhpOptions ()
getPhpOptionsSufficient ()
getPhpSettings ()
validate ($data, $view=null)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Membres hérités additionnels

- Fonctions membres protégées hérités de JModelBase
loadState ()
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Setup model for the Joomla Core Installer.

Depuis
3.1

Documentation des fonctions membres

◆ checkForm()

checkForm ( $page = 'site' )

Method to check the form data.

Paramètres
string $page The view being checked.
Renvoie
array Validated form data.
Depuis
3.1

Références $data, $form, $r, $return, et validate().

Référencé par InstallationControllerDatabase\execute().

◆ getForm()

getForm ( $view = null )

Method to get the form.

Paramètres
string $view The view being processed.
Renvoie
JForm|boolean JForm object on success, false on failure.
Depuis
3.1

Références $data, $form, et $view.

◆ getIniParserAvailability()

getIniParserAvailability ( )

Checks the availability of the parse_ini_file and parse_ini_string functions.

Renvoie
boolean True if the method exists.
Depuis
3.1

Références $i.

◆ getLanguages()

getLanguages ( )

Generate a panel of language choices for the user to select their language.

Renvoie
boolean True if successful.
Depuis
3.1

Références $list.

◆ getOptions()

getOptions ( )

Get the current setup options from the session.

Renvoie
array An array of options from the session.
Depuis
3.1

◆ getPhpOptions()

getPhpOptions ( )

Gets PHP options.

Renvoie
array Array of PHP config options
Depuis
3.1

Références $option, $options, JDatabaseDriver\getConnectors(), JOOMLA_MINIMUM_PHP, JPATH_CONFIGURATION, JPATH_ROOT, et null.

◆ getPhpOptionsSufficient()

getPhpOptionsSufficient ( )

Checks if all of the mandatory PHP options are met.

Renvoie
boolean True on success.
Depuis
3.1

Références $option, $options, et null.

◆ getPhpSettings()

getPhpSettings ( )

Gets PHP Settings.

Renvoie
array
Depuis
3.1

◆ storeOptions()

storeOptions ( $options )

Store the current setup options in the session.

Paramètres
array $options The installation options.
Renvoie
array An array of options from the session.
Depuis
3.1

Références $options, et null.

◆ validate()

validate | ( | $data,
 |  | $view = null
 | ) |

Method to validate the form data.

Paramètres
array | $data | The form data.
string | $view | The view.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Depuis
3.1

Références $data, $form, $message, $messages, $return, et $view.

La documentation de cette classe a été générée à partir du fichier suivant :
  • setup.php


Joomla CMS: Référence de la classe InstallationResponseJson

Fonctions membres publiques
Référence de la classe InstallationResponseJson

Fonctions membres publiques

__construct ($data)
__construct ($data)

Description détaillée

JSON Response class for the Joomla Installer.

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct() [1/2]

__construct ( $data )

Constructor for the JSON response

Paramètres
mixed $data Exception if there is an error, otherwise, the session data
Depuis
3.1

Références $data, et $messages.

◆ __construct() [2/2]

__construct ( $data )

Constructor for the JSON response

Paramètres
mixed $data Exception if there is an error, otherwise, the session data
Depuis
3.1

Références $data, et $messages.

La documentation de cette classe a été générée à partir des fichiers suivants :
  • removefolder.php
  • installation/response/json.php


Joomla CMS: Référence de la classe InstallationViewCompleteHtml

Fonctions membres publiques | Attributs protégés
Référence de la classe InstallationViewCompleteHtml
+ Graphe d'héritage de InstallationViewCompleteHtml:
JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Attributs protégés

$config
$model
$options
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Membres hérités additionnels

- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Description détaillée

The Installation Complete View

Depuis
3.1

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.1

Implémente JView.

Références null.

Documentation des champs

◆ $config

$config
protected

◆ $model

$model
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/view/complete/html.php


Joomla CMS: Référence de la classe InstallationViewDefault

Fonctions membres publiques | Attributs protégés
Référence de la classe InstallationViewDefault
+ Graphe d'héritage de InstallationViewDefault:
JViewHtml JViewBase JView InstallationViewPreinstallHtml InstallationViewSummaryHtml

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Attributs protégés

$form
$model
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Membres hérités additionnels

- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Description détaillée

Generic Installation View

Depuis
3.1

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.1

Implémente JView.

Documentation des champs

◆ $form

$form
protected

◆ $model

$model
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/view/default.php


Joomla CMS: Référence de la classe InstallationViewDefaultlanguageHtml

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe InstallationViewDefaultlanguageHtml
+ Graphe d'héritage de InstallationViewDefaultlanguageHtml:
JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Champs de données

$items

Attributs protégés

$model
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Membres hérités additionnels

- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Description détaillée

The Installation Default Language View

Depuis
3.1

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.1

Implémente JView.

Références items.

Documentation des champs

◆ $items

$items

◆ $model

$model
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/view/defaultlanguage/html.php


Joomla CMS: Référence de la classe InstallationViewInstallHtml

Fonctions membres publiques | Attributs protégés
Référence de la classe InstallationViewInstallHtml
+ Graphe d'héritage de InstallationViewInstallHtml:
JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Attributs protégés

$model
$options
$tasks = array()
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Membres hérités additionnels

- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Description détaillée

The Installation Install View

Depuis
3.1

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.1

Implémente JView.

Documentation des champs

◆ $model

$model
protected

◆ $options

$options
protected

◆ $tasks

$tasks = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/view/install/html.php


Joomla CMS: Référence de la classe InstallationViewLanguagesHtml

Fonctions membres publiques | Attributs protégés
Référence de la classe InstallationViewLanguagesHtml
+ Graphe d'héritage de InstallationViewLanguagesHtml:
JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Attributs protégés

$items
$model
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Membres hérités additionnels

- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Description détaillée

The Installation Languages View

Depuis
3.1

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.1

Implémente JView.

Références items.

Documentation des champs

◆ $items

$items
protected

◆ $model

$model
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/view/languages/html.php


Joomla CMS: Référence de la classe InstallationViewPreinstallHtml

Fonctions membres publiques | Attributs protégés
Référence de la classe InstallationViewPreinstallHtml
+ Graphe d'héritage de InstallationViewPreinstallHtml:
InstallationViewDefault JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de InstallationViewDefault
render ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Attributs protégés

$options
$settings
- Attributs protégés hérités de InstallationViewDefault
$form
$model
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Membres hérités additionnels

- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Description détaillée

The HTML Joomla Core Pre-Install View

Depuis
3.1

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.1

Implémente JView.

Documentation des champs

◆ $options

$options
protected

◆ $settings

$settings
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/view/preinstall/html.php


Joomla CMS: Référence de la classe InstallationViewRemoveHtml

Référence de la classe InstallationViewRemoveHtml
+ Graphe d'héritage de InstallationViewRemoveHtml:
JViewHtml JViewBase JView

Membres hérités additionnels

- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)
- Fonctions membres protégées hérités de JViewHtml
loadPaths ()
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Description détaillée

The HTML Joomla Core Install Remove View

Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/view/remove/html.php


Joomla CMS: Référence de la classe InstallationViewSummaryHtml

Fonctions membres publiques | Attributs protégés
Référence de la classe InstallationViewSummaryHtml
+ Graphe d'héritage de InstallationViewSummaryHtml:
InstallationViewDefault JViewHtml JViewBase JView

Fonctions membres publiques

render ()
- Fonctions membres publiques hérités de InstallationViewDefault
render ()
- Fonctions membres publiques hérités de JViewHtml
__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Attributs protégés

$options
$phpoptions
$phpsettings
- Attributs protégés hérités de InstallationViewDefault
$form
$model
- Attributs protégés hérités de JViewHtml
$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Membres hérités additionnels

- Fonctions membres protégées hérités de JViewHtml
loadPaths ()

Description détaillée

The Installation Summary View

Depuis
3.1

Documentation des fonctions membres

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.1

Implémente JView.

Documentation des champs

◆ $options

$options
protected

◆ $phpoptions

$phpoptions
protected

◆ $phpsettings

$phpsettings
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/view/summary/html.php


Joomla CMS: Référence de la classe InstallerController

Fonctions membres publiques
Référence de la classe InstallerController
+ Graphe d'héritage de InstallerController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)

Description détaillée

Installer Controller

Depuis
1.5

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $document, $view, InstallerHelper\addSubmenu(), getDocument, JPATH_ADMINISTRATOR, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/controller.php


Joomla CMS: Référence de la classe InstallerControllerDatabase

Fonctions membres publiques
Référence de la classe InstallerControllerDatabase
+ Graphe d'héritage de InstallerControllerDatabase:

Fonctions membres publiques

fix ()

Description détaillée

Installer Database Controller

Depuis
2.5

Documentation des fonctions membres

◆ fix()

fix ( )

Tries to fix missing database updates

Renvoie
void
Depuis
2.5

Références JPATH_ADMINISTRATOR.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/controllers/database.php


Joomla CMS: Référence de la classe InstallerControllerDiscover

Fonctions membres publiques
Référence de la classe InstallerControllerDiscover
+ Graphe d'héritage de InstallerControllerDiscover:

Fonctions membres publiques

refresh ()
install ()
purge ()

Description détaillée

Discover Installation Controller

Depuis
1.6

Documentation des fonctions membres

◆ install()

install ( )

Install a discovered extension.

Renvoie
void
Depuis
1.6

◆ purge()

purge ( )

Clean out the discovered extension cache.

Renvoie
void
Depuis
1.6

◆ refresh()

refresh ( )

Refreshes the cache of discovered extensions.

Renvoie
void
Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/discover.php


Joomla CMS: Référence de la classe InstallerControllerInstall

Fonctions membres publiques
Référence de la classe InstallerControllerInstall
+ Graphe d'héritage de InstallerControllerInstall:

Fonctions membres publiques

ajax_upload ()

Description détaillée

Installer controller for Joomla! installer class.

Depuis
1.5

Documentation des fonctions membres

◆ ajax_upload()

ajax_upload ( )

Install an extension from drag & drop ajax upload.

Renvoie
void
Depuis
3.7.0

Références $app, et $message.

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/install.php


Joomla CMS: Référence de la classe InstallerControllerManage

Fonctions membres publiques
Référence de la classe InstallerControllerManage
+ Graphe d'héritage de InstallerControllerManage:

Fonctions membres publiques

__construct ($config=array())

Description détaillée

Installer Manage Controller

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/manage.php


Joomla CMS: Référence de la classe InstallerControllerUpdate

Fonctions membres publiques
Référence de la classe InstallerControllerUpdate
+ Graphe d'héritage de InstallerControllerUpdate:

Fonctions membres publiques

purge ()

Description détaillée

Installer Update Controller

Depuis
1.6

Documentation des fonctions membres

◆ purge()

purge ( )

Purges updates.

Renvoie
void
Depuis
1.6

We no longer need to enable update sites in Joomla! 3.4 as we now allow the users to manage update sites themselves. $model->enableSites();

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/controllers/update.php


Joomla CMS: Référence de la classe InstallerControllerUpdatesites

Fonctions membres publiques
Référence de la classe InstallerControllerUpdatesites
+ Graphe d'héritage de InstallerControllerUpdatesites:

Fonctions membres publiques

__construct ($config=array())
publish ()
delete ()
rebuild ()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
3.4

Références $config.

Documentation des fonctions membres

◆ delete()

delete ( )

Deletes an update site (if supported).

Renvoie
void
Depuis
3.6
Exceptions
Exception on error

◆ publish()

publish ( )

Enable/Disable an extension (if supported).

Renvoie
void
Depuis
3.4
Exceptions
Exception on error

Références $task, $value, et ArrayHelper\getValue().

◆ rebuild()

rebuild ( )

Rebuild update sites tables.

Renvoie
void
Depuis
3.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/updatesites.php


Joomla CMS: Référence de la classe InstallerHelper

Fonctions membres publiques statiques
Référence de la classe InstallerHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName='install')
static | getExtensionTypes ()
static | getExtensionGroupes ()
static | getActions ()
static | getClientOptions ()
static | getStateOptions ()

Description détaillée

Installer helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName = 'install' )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void

Références JHtmlSidebar\addEntry().

Référencé par InstallerController\display().

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject
Depuis
1.6
Obsolète:
3.2 Use JHelperContent::getActions() instead

◆ getClientOptions()

static getClientOptions ( )
static

Get a list of filter options for the application clients.

Renvoie
array An array of JHtmlOption elements.
Depuis
3.5

Références $options.

Référencé par JFormFieldLocation\getOptions().

◆ getExtensionGroupes()

static getExtensionGroupes ( )
static

Get a list of filter options for the extension types.

Renvoie
array An array of stdClass objects.
Depuis
3.0

Références $db, $folder, $options, et $query.

Référencé par JFormFieldFolder\getOptions().

◆ getExtensionTypes()

static getExtensionTypes ( )
static

Get a list of filter options for the extension types.

Renvoie
array An array of stdClass objects.
Depuis
3.0

Références $db, $options, $query, et $type.

Référencé par JFormFieldType\getOptions().

◆ getStateOptions()

static getStateOptions ( )
static

Get a list of filter options for the application statuses.

Renvoie
array An array of JHtmlOption elements.
Depuis
3.5

Références $options.

Référencé par JFormFieldExtensionStatus\getOptions().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/helpers/installer.php


Joomla CMS: Référence de la classe InstallerHtmlManage

Fonctions membres publiques statiques
Référence de la classe InstallerHtmlManage

Fonctions membres publiques statiques

static state ($value, $i, $enabled=true, $checkbox='cb')

Description détaillée

Installer HTML class.

Depuis
2.5

Documentation des fonctions membres

◆ state()

static state | ( | $value,
 |  | $i,
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |
static

Returns a published state on a grid.

Paramètres
integer | $value | The state value.
integer | $i | The row index.
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The Html code
Voir également
JHtmlJGrid::state
Depuis
2.5

Références $enabled, $i, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • helpers/html/manage.php


Joomla CMS: Référence de la classe InstallerHtmlUpdatesites

Fonctions membres publiques statiques
Référence de la classe InstallerHtmlUpdatesites

Fonctions membres publiques statiques

static state ($value, $i, $enabled=true, $checkbox='cb')

Description détaillée

Installer HTML class.

Depuis
3.5

Documentation des fonctions membres

◆ state()

static state | ( | $value,
 |  | $i,
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |
static

Returns a published state on a grid.

Paramètres
integer | $value | The state value.
integer | $i | The row index.
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The HTML code
Voir également
JHtmlJGrid::state()
Depuis
3.5

Références $enabled, $i, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • helpers/html/updatesites.php


Joomla CMS: Référence de la classe InstallerModel

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallerModel
+ Graphe d'héritage de InstallerModel:
InstallerModelDatabase InstallerModelDiscover InstallerModelManage InstallerModelUpdatesites

Fonctions membres publiques

__construct ($config=array())

Fonctions membres protégées

_getList ($query, $limitstart=0, $limit=0)
translate (&$items)

Description détaillée

Extension Manager Abstract Extension Model.

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ _getList()

_getList | ( | $query,
 |  | $limitstart = 0,
 |  | $limit = 0
 | ) |
protected

Returns an object list

Paramètres
string | $query | The query
int | $limitstart | Offset
int | $limit | The number of records
Renvoie
array

Références $db, $field, $i, $item, $key, $limit, $listDirn, $listOrder, $query, $total, null, et ArrayHelper\sortObjects().

◆ translate()

translate ( & $items )
protected

Translate a list of objects

Paramètres
array $items The array of objects
Renvoie
array The array of translated objects

Références $data, $extension, $item, $items, $key, $lang, $parts, $path, $value, JPATH_ADMINISTRATOR, JPATH_PLUGINS, JPATH_SITE, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/models/extension.php


Joomla CMS: Référence de la classe InstallerModelDatabase

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe InstallerModelDatabase
+ Graphe d'héritage de InstallerModelDatabase:
InstallerModel

Fonctions membres publiques

fix ()
getItems ()
getPagination ()
getSchemaVersion ()
fixSchemaVersion ($changeSet)
getUpdateVersion ()
fixUpdateVersion ()
getDefaultTextFilters ()
fixDefaultTextFilters ()
- Fonctions membres publiques hérités de InstallerModel
__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='name', $direction='asc')
- Fonctions membres protégées hérités de InstallerModel
_getList ($query, $limitstart=0, $limit=0)
translate (&$items)

Attributs protégés

$_context = 'com_installer.discover'

Fonctions membres privées

prepareUtf8mb4StatusTable ()

Description détaillée

Installer Database Model

Depuis
1.6

Documentation des fonctions membres

◆ fix()

fix ( )

Fixes database problems.

Renvoie
void

Références JoomlaInstallerScript\deleteUnexistingFiles().

◆ fixDefaultTextFilters()

fixDefaultTextFilters ( )

For version 2.5.x only Check if com_config parameters are blank. If so, populate with com_content text filters.

Renvoie
mixed boolean true if params are updated, null otherwise.

Références Registry\set().

◆ fixSchemaVersion()

fixSchemaVersion ( $changeSet )

Fix schema version if wrong.

Paramètres
JSchemaChangeSet $changeSet Schema change set.
Renvoie
mixed string schema version if success, false if fail.

Références $db, et $query.

◆ fixUpdateVersion()

fixUpdateVersion ( )

Fix Joomla version in #__extensions table if wrong (doesn't equal JVersion short version).

Renvoie
mixed string update version if success, false if fail.

◆ getDefaultTextFilters()

getDefaultTextFilters ( )

For version 2.5.x only Check if com_config parameters are blank.

Renvoie
string default text filters (if any).

◆ getItems()

getItems ( )

Gets the changeset object.

Renvoie
JSchemaChangeset

Références $folder, et JPATH_ADMINISTRATOR.

◆ getPagination()

getPagination ( )

Method to get a JPagination object for the data set.

Renvoie
boolean
Depuis
3.0.1

◆ getSchemaVersion()

getSchemaVersion ( )

Get version from #__schemas table.

Renvoie
mixed the return value from the query, or null if the query fails.
Exceptions
Exception

Références $db, et $query.

◆ getUpdateVersion()

getUpdateVersion ( )

Get current version from #__extensions table.

Renvoie
mixed version if successful, false if fail.

◆ populateState()

populateState | ( | $ordering = 'name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, et $ordering.

◆ prepareUtf8mb4StatusTable()

prepareUtf8mb4StatusTable ( )
private

Prepare the table to save the status of utf8mb4 conversion Make sure it contains 1 initialized record if there is not already exactly 1 record.

Renvoie
void
Depuis
3.5

Références $count, $db, et elseif.

Documentation des champs

◆ $_context

$_context = 'com_installer.discover'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/models/database.php


Joomla CMS: Référence de la classe InstallerModelDiscover

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallerModelDiscover
+ Graphe d'héritage de InstallerModelDiscover:
InstallerModel

Fonctions membres publiques

__construct ($config=array())
discover ()
discover_install ()
purge ()
- Fonctions membres publiques hérités de InstallerModel
__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='name', $direction='asc')
getListQuery ()
- Fonctions membres protégées hérités de InstallerModel
_getList ($query, $limitstart=0, $limit=0)
translate (&$items)

Description détaillée

Installer Discover Model

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
3.5

Références $config.

Documentation des fonctions membres

◆ discover()

discover ( )

Discover extensions.

Finds uninstalled extensions

Renvoie
void
Depuis
1.6

Références $db, $key, $query, et $results.

◆ discover_install()

discover_install ( )

Installs a discovered extension.

Renvoie
void
Depuis
1.6

Références $app, $id, et $input.

◆ getListQuery()

getListQuery ( )
protected

Method to get the database query.

Renvoie
JDatabaseQuery the database query
Depuis
3.1

Références $clientId, $db, $folder, $query, et $type.

◆ populateState()

populateState | ( | $ordering = 'name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.1

Références $app, $direction, $ordering, et null.

◆ purge()

purge ( )

Cleans out the list of discovered extensions.

Renvoie
boolean True on success
Depuis
1.6

Références $db, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/discover.php


Joomla CMS: Référence de la classe InstallerModelInstall

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe InstallerModelInstall
+ Graphe d'héritage de InstallerModelInstall:

Fonctions membres publiques

install ()

Fonctions membres protégées

populateState ()
_getPackageFromUpload ()
_getPackageFromFolder ()
_getPackageFromUrl ()

Attributs protégés

$_table = null
$_url = null
$_context = 'com_installer.install'

Description détaillée

Extension Manager Install Model

Depuis
1.5

Documentation des fonctions membres

◆ _getPackageFromFolder()

_getPackageFromFolder ( )
protected

Install an extension from a directory

Renvoie
array Package details or false on failure
Depuis
1.5

Références $input, $type, null, et JError\raiseWarning().

◆ _getPackageFromUpload()

_getPackageFromUpload ( )
protected

Works out an installation package from a HTTP upload.

Renvoie
package definition or false on failure.

Références $config, $input, jimport(), null, et JError\raiseWarning().

◆ _getPackageFromUrl()

_getPackageFromUrl ( )
protected

Install an extension from a URL.

Renvoie
Package details or false on failure.
Depuis
1.5

Références $config, $input, $uri, $url, jimport(), et JError\raiseWarning().

◆ install()

install ( )

Install an extension from either folder, URL or upload.

Renvoie
boolean result of install.
Depuis
1.5

Références $app, $config, $dispatcher, $results, JEventDispatcher\getInstance(), et null.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app.

Documentation des champs

◆ $_context

$_context = 'com_installer.install'
protected

◆ $_table

$_table = null
protected

◆ $_url

$_url = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/install.php


Joomla CMS: Référence de la classe InstallerModelLanguages

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées | Attributs privés
Référence de la classe InstallerModelLanguages
+ Graphe d'héritage de InstallerModelLanguages:

Fonctions membres publiques

__construct ($config=array())
getItems ()

Fonctions membres protégées

getLanguages ()
_getListCount ($query)
getStoreId ($id='')
populateState ($ordering='name', $direction='asc')
compareLanguages ($lang1, $lang2)

Fonctions membres privées

getUpdateSite ()

Attributs privés

$languageCount

Description détaillée

Languages Installer Model

Depuis
2.5.7

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor override, defines a whitelist of column filters.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
2.5.7

Références $config.

Documentation des fonctions membres

◆ _getListCount()

_getListCount ( $query )
protected

Returns a record count for the updatesite.

Paramètres
JDatabaseQuery | string $query The query.
Renvoie
integer Number of rows for query.
Depuis
3.7.0

◆ compareLanguages()

compareLanguages | ( | $lang1,
 |  | $lang2
 | ) |
protected

Method to compare two languages in order to sort them.

Paramètres
object | $lang1 | The first language.
object | $lang2 | The second language.
Renvoie
integer
Depuis
3.7.0

◆ getItems()

getItems ( )

Method to get an array of data items.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
3.7.0

◆ getLanguages()

getLanguages ( )
protected

Gets an array of objects from the updatesite.

Renvoie
object[] An array of results.
Depuis
3.0
Exceptions
RuntimeException

Références $b, $extension, $key, $language, Language\$languages, $limit, $ordering, $value, et null.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
2.5.7

Références $id.

◆ getUpdateSite()

getUpdateSite ( )
private

Get the Update Site

Depuis
3.7.0
Renvoie
string The URL of the Accredited Languagepack Updatesite XML

Références $db, et $query.

◆ populateState()

populateState | ( | $ordering = 'name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | list order
string | $direction | direction in the list
Renvoie
void
Depuis
2.5.7

Références $direction, et $ordering.

Documentation des champs

◆ $languageCount

$languageCount
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/models/languages.php


Joomla CMS: Référence de la classe InstallerModelManage

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallerModelManage
+ Graphe d'héritage de InstallerModelManage:
InstallerModel

Fonctions membres publiques

__construct ($config=array())
publish (&$eid=array(), $value=1)
refresh ($eid)
remove ($eid=array())
- Fonctions membres publiques hérités de InstallerModel
__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='name', $direction='asc')
getListQuery ()
- Fonctions membres protégées hérités de InstallerModel
_getList ($query, $limitstart=0, $limit=0)
translate (&$items)

Description détaillée

Installer Manage Model

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Method to get the database query

Renvoie
JDatabaseQuery The database query
Depuis
1.6

Références $clientId, $folder, $query, $type, et elseif.

◆ populateState()

populateState | ( | $ordering = 'name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $ordering, et null.

◆ publish()

publish | ( | & | $eid = array(),
 |  |  | $value = 1
 | ) |  |

Enable/Disable an extension.

Paramètres
array | $eid | Extension ids to un/publish
int | $value | Publish value
Renvoie
boolean True on success
Depuis
1.5

Références $context, $i, $id, $name, $style, $user, $value, JEventDispatcher\getInstance(), JPATH_ADMINISTRATOR, option, JError\raiseNotice(), JError\raiseWarning(), et PHPMailer\setError().

◆ refresh()

refresh ( $eid )

Refreshes the cached manifest information for an extension.

Paramètres
int $eid extension identifier (key in #__extensions)
Renvoie
boolean result of refresh
Depuis
1.6

Références $id.

◆ remove()

remove ( $eid = array() )

Remove (uninstall) an extension

Paramètres
array $eid An array of identifiers
Renvoie
boolean True on success
Depuis
1.5

Références $app, $id, $msgs, $row, $user, et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/manage.php


Joomla CMS: Référence de la classe InstallerModelUpdate

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées
Référence de la classe InstallerModelUpdate
+ Graphe d'héritage de InstallerModelUpdate:

Fonctions membres publiques

__construct ($config=array())
getDisabledUpdateSites ()
findUpdates ($eid=0, $cacheTimeout=0, $minimumStability=JUpdater::STABILITY_STABLE)
purge ()
enableSites ()
update ($uids, $minimumStability=JUpdater::STABILITY_STABLE)
getForm ($data=array(), $loadData=true)

Fonctions membres protégées

populateState ($ordering='u.name', $direction='asc')
getListQuery ()
translate (&$items)
_getList ($query, $limitstart=0, $limit=0)
loadFormData ()
preparePreUpdate ($update, $table)

Fonctions membres privées

install ($update)

Description détaillée

Installer Update Model

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ _getList()

_getList | ( | $query,
 |  | $limitstart = 0,
 |  | $limit = 0
 | ) |
protected

Returns an object list

Paramètres
string | $query | The query
int | $limitstart | Offset
int | $limit | The number of records
Renvoie
array
Depuis
3.5

Références $db, $limit, $listDirn, $listOrder, $query, $total, et null.

◆ enableSites()

enableSites ( )

Enables any disabled rows in #__update_sites table

Renvoie
boolean result of operation
Depuis
1.6

Références $db, $query, et $rows.

◆ findUpdates()

findUpdates | ( | $eid = 0,
 |  | $cacheTimeout = 0,
 |  | $minimumStability = JUpdater::STABILITY_STABLE
 | ) |

Finds updates for an extension.

Paramètres
int | $eid | Extension identifier to look for
int | $cacheTimeout | Cache timeout
int | $minimumStability | Minimum stability for updates {
Voir également
JUpdater} (0=dev, 1=alpha, 2=beta, 3=rc, 4=stable)
Renvoie
boolean Result
Depuis
1.6

◆ getDisabledUpdateSites()

getDisabledUpdateSites ( )

Get the count of disabled update sites

Renvoie
integer
Depuis
3.4

Références $db, et $query.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the row form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
2.5.2

Références $data, et $form.

◆ getListQuery()

getListQuery ( )
protected

Method to get the database query

Renvoie
JDatabaseQuery The database query
Depuis
1.6

Références $clientId, $db, $folder, $query, $type, et elseif.

◆ install()

install ( $update )
private

Handles the actual update installation.

Paramètres
JUpdate $update An update definition
Renvoie
boolean Result of install
Depuis
1.6

Références $app, $check, $config, $name, $url, et JError\raiseWarning().

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
2.5.2

Références $data.

◆ populateState()

populateState | ( | $ordering = 'u.name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $ordering, et null.

◆ preparePreUpdate()

preparePreUpdate | ( | $update,
 |  | $table
 | ) |
protected

Method to add parameters to the update

Paramètres
JUpdate | $update | An update definition
JTableUpdate | $table | The update instance from the database
Renvoie
void
Depuis
3.7.0

Références $path, if, jimport(), JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ purge()

purge ( )

Removes all of the updates from the table.

Renvoie
boolean result of operation
Depuis
1.6

Références $db, et $query.

◆ translate()

translate ( & $items )
protected

Translate a list of objects

Paramètres
array $items The array of objects
Renvoie
array The array of translated objects
Depuis
3.5

Références $item, $items, et $manifest.

◆ update()

update | ( | $uids,
 |  | $minimumStability = JUpdater::STABILITY_STABLE
 | ) |

Update function.

Sets the "result" state with the result of the operation.

Paramètres
array | $uids | Array[int] List of updates to apply
int | $minimumStability | The minimum allowed stability for installed updates {
Voir également
JUpdater}
Renvoie
void
Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/models/update.php


Joomla CMS: Référence de la classe InstallerModelUpdatesites

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallerModelUpdatesites
+ Graphe d'héritage de InstallerModelUpdatesites:
InstallerModel

Fonctions membres publiques

__construct ($config=array())
publish (&$eid=array(), $value=1)
delete ($ids=array())
rebuild ()
- Fonctions membres publiques hérités de InstallerModel
__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='name', $direction='asc')
getJoomlaUpdateSitesIds ($column=0)
getListQuery ()
- Fonctions membres protégées hérités de InstallerModel
_getList ($query, $limitstart=0, $limit=0)
translate (&$items)

Description détaillée

Installer Update Sites Model

Depuis
3.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
3.4

Références $config.

Documentation des fonctions membres

◆ delete()

delete ( $ids = array() )

Deletes an update site.

Paramètres
array $ids Extension ids to delete.
Renvoie
void
Depuis
3.6
Exceptions
Exception on ACL error

Références $app, $count, $db, $i, $id, $query, et name.

◆ getJoomlaUpdateSitesIds()

getJoomlaUpdateSitesIds ( $column = 0 )
protected

Fetch the Joomla update sites ids.

Paramètres
integer $column Column to return. 0 for update site ids, 1 for extension ids.
Renvoie
array Array with joomla core update site ids.
Depuis
3.6.0

Références $db, et $query.

◆ getListQuery()

getListQuery ( )
protected

Method to get the database query

Renvoie
JDatabaseQuery The database query
Depuis
3.4

Références $clientId, $enabled, $folder, $query, et $type.

◆ populateState()

populateState | ( | $ordering = 'name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.4

Références $direction, $ordering, et null.

◆ publish()

publish | ( | & | $eid = array(),
 |  |  | $value = 1
 | ) |  |

Enable/Disable an extension.

Paramètres
array | $eid | Extension ids to un/publish
int | $value | Publish value
Renvoie
boolean True on success
Depuis
3.4
Exceptions
Exception on ACL error

Références $i, $id, et $value.

◆ rebuild()

rebuild ( )

Rebuild update sites tables.

Renvoie
void
Depuis
3.6
Exceptions
Exception on ACL error

Références $app, $count, $db, $file, $link, $manifest, $query, JEventDispatcher\getInstance(), JPATH_ADMINISTRATOR, et JPATH_SITE.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/updatesites.php


Joomla CMS: Référence de la classe InstallerModelWarnings

Fonctions membres publiques | Champs de données
Référence de la classe InstallerModelWarnings
+ Graphe d'héritage de InstallerModelWarnings:

Fonctions membres publiques

return_bytes ($val)
getItems ()

Champs de données

$type = 'warnings'

Description détaillée

Installer Warnings Model

Depuis
1.6

Documentation des fonctions membres

◆ getItems()

getItems ( )

Load the data.

Renvoie
array Messages
Depuis
1.6

Références $config, $messages, et elseif.

◆ return_bytes()

return_bytes ( $val )

Return the byte value of a particular string.

Paramètres
string $val String optionally with G, M or K suffix
Renvoie
integer size in bytes
Depuis
1.6

Documentation des champs

◆ $type

$type = 'warnings'
La documentation de cette classe a été générée à partir du fichier suivant :
  • warnings.php


Joomla CMS: Référence de la classe InstallerViewDatabase

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallerViewDatabase
+ Graphe d'héritage de InstallerViewDatabase:
InstallerViewDefault

Fonctions membres publiques

display ($tpl=null)
- Fonctions membres publiques hérités de InstallerViewDefault
__construct ($config=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de InstallerViewDefault
addToolbar ()

Description détaillée

Extension Manager Database View

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl Template
Renvoie
void
Depuis
1.6

Références $app.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/views/database/view.html.php


Joomla CMS: Référence de la classe InstallerViewDefault

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallerViewDefault
+ Graphe d'héritage de InstallerViewDefault:
InstallerViewDatabase InstallerViewDiscover InstallerViewInstall InstallerViewLanguages InstallerViewManage InstallerViewUpdate InstallerViewUpdatesites InstallerViewWarnings

Fonctions membres publiques

__construct ($config=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Description détaillée

Extension Manager Default View

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = null )

Constructor.

Paramètres
array $config Configuration array
Depuis
1.5

Références $app, $config, et JPATH_THEMES.

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références JHtmlSidebar\render(), et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl Template
Renvoie
void
Depuis
1.5

Références $message1, $message2, et $state.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/views/default/view.php


Joomla CMS: Référence de la classe InstallerViewDiscover

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallerViewDiscover
+ Graphe d'héritage de InstallerViewDiscover:
InstallerViewDefault

Fonctions membres publiques

display ($tpl=null)
checkExtensions ()
- Fonctions membres publiques hérités de InstallerViewDefault
__construct ($config=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de InstallerViewDefault
addToolbar ()

Description détaillée

Extension Manager Discover View

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.1

Références JHtmlSidebar\setAction().

◆ checkExtensions()

checkExtensions ( )

Check extensions.

Checks uninstalled extensions in extensions table.

Renvoie
boolean True if there are discovered extensions on the database.
Depuis
3.5

Références $db, $query, et false.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl Template
Renvoie
void
Depuis
1.6

Références items.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/views/discover/view.html.php


Joomla CMS: Référence de la classe InstallerViewInstall

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallerViewInstall
+ Graphe d'héritage de InstallerViewInstall:
InstallerViewDefault

Fonctions membres publiques

display ($tpl=null)
- Fonctions membres publiques hérités de InstallerViewDefault
__construct ($config=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de InstallerViewDefault
addToolbar ()

Description détaillée

Extension Manager Install View

Depuis
1.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl Template
Renvoie
void
Depuis
1.5

Références $dispatcher, $state, et JEventDispatcher\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/views/install/view.html.php


Joomla CMS: Référence de la classe InstallerViewLanguages

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe InstallerViewLanguages
+ Graphe d'héritage de InstallerViewLanguages:
InstallerViewDefault

Fonctions membres publiques

display ($tpl=null)
- Fonctions membres publiques hérités de InstallerViewDefault
__construct ($config=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de InstallerViewDefault
addToolbar ()

Attributs protégés

$items
$pagination
$state

Description détaillée

Extension Manager Language Install View

Depuis
2.5.7

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void

Références title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
null $tpl template to display
Renvoie
mixed|void

Références items.

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/views/languages/view.html.php


Joomla CMS: Référence de la classe InstallerViewManage

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe InstallerViewManage
+ Graphe d'héritage de InstallerViewManage:
InstallerViewDefault

Fonctions membres publiques

display ($tpl=null)
- Fonctions membres publiques hérités de InstallerViewDefault
__construct ($config=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de InstallerViewDefault
addToolbar ()

Attributs protégés

$items
$pagination
$form
$state

Description détaillée

Extension Manager Manage View

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références JHtmlSidebar\setAction().

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl Template
Renvoie
mixed|void
Depuis
1.6

Références items.

Documentation des champs

◆ $form

$form
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/views/manage/view.html.php


Joomla CMS: Référence de la classe InstallerViewUpdate

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe InstallerViewUpdate
+ Graphe d'héritage de InstallerViewUpdate:
InstallerViewDefault

Fonctions membres publiques

display ($tpl=null)
- Fonctions membres publiques hérités de InstallerViewDefault
__construct ($config=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de InstallerViewDefault
addToolbar ()

Attributs protégés

$items
$state
$pagination

Description détaillée

Extension Manager Update View

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références JHtmlSidebar\setAction().

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl Template
Renvoie
void
Depuis
1.6

Références items.

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/views/update/view.html.php


Joomla CMS: Référence de la classe InstallerViewUpdatesites

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe InstallerViewUpdatesites
+ Graphe d'héritage de InstallerViewUpdatesites:
InstallerViewDefault

Fonctions membres publiques

display ($tpl=null)
- Fonctions membres publiques hérités de InstallerViewDefault
__construct ($config=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de InstallerViewDefault
addToolbar ()

Attributs protégés

$items
$pagination
$form
$state

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.4

Références JHtmlSidebar\setAction().

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl Template
Renvoie
mixed|void
Depuis
3.4
Exceptions
Exception on errors

Références items.

Documentation des champs

◆ $form

$form
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/views/updatesites/view.html.php


Joomla CMS: Référence de la classe InstallerViewWarnings

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe InstallerViewWarnings
+ Graphe d'héritage de InstallerViewWarnings:
InstallerViewDefault

Fonctions membres publiques

display ($tpl=null)
- Fonctions membres publiques hérités de InstallerViewDefault
__construct ($config=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
- Fonctions membres protégées hérités de InstallerViewDefault
addToolbar ()

Description détaillée

Extension Manager Warning View

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl Template
Renvoie
void
Depuis
1.6

Références $items.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_installer/views/warnings/view.html.php


Joomla CMS: Référence de la classe InvalidCiphertextException

Référence de la classe InvalidCiphertextException
+ Graphe d'héritage de InvalidCiphertextException:
La documentation de cette classe a été générée à partir du fichier suivant :
  • php-encryption/Crypto.php


Joomla CMS: Référence de la classe JAdminCssMenu

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JAdminCssMenu

Fonctions membres publiques

__construct (User $user=null)
getTree ()
load ($params, $enabled)
renderSubmenu ($layoutFile)

Fonctions membres protégées

check ($items, Registry $params)
preprocess ($items)
populateTree ($levels)

Attributs protégés

$tree
$params
$enabled
$user

Description détaillée

Tree based class to render the admin menu

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( User $user = null )

JAdminCssMenu constructor.

Paramètres
User | null $user The current user
Depuis
3.9.1

Références $user, Log\add(), Factory\getUser(), null, et Log\WARNING.

Documentation des fonctions membres

◆ check()

check | ( |  | $items,
 |  | Registry | $params
 | ) |  |
protected

Check the flat list of menu items for important links

Paramètres
array | $items | The menu items array
Registry | $params | Module options
Renvoie
boolean Whether to show recovery menu
Depuis
3.8.0

Références $app, $items, $message, $params, $uri, et ArrayHelper\getColumn().

◆ getTree()

getTree ( )

Get the current menu tree

Renvoie
Tree
Depuis
3.8.0
Obsolète:
4.0

Références tree.

◆ load()

load | ( | $params,
 |  | $enabled
 | ) |

Populate the menu items in the menu tree object

Paramètres
Registry | $params | Menu configuration parameters
bool | $enabled | Whether the menu should be enabled or disabled
Renvoie
void
Depuis
3.7.0

Références $enabled, $items, $name, $params, $uri, MenusHelper\getMenuItems(), et tree.

◆ populateTree()

populateTree ( $levels )
protected

Load the menu items from a hierarchical list of items into the menu tree

Paramètres
stdClass[] $levels Menu items as a hierarchical list format
Renvoie
void
Depuis
3.8.0
Obsolète:
4.0

Références $class, $item, elseif, null, et tree.

◆ preprocess()

preprocess ( $items )
protected

Filter and perform other preparatory tasks for loaded menu items based on access rights and module configurations for display

Paramètres

Références $dispatcher, $i, $item, $items, $language, $query, elseif, JEventDispatcher\getInstance(), MenusHelper\getMenuItems(), JPATH_ADMINISTRATOR, null, et ArrayHelper\sortObjects().

◆ renderSubmenu()

renderSubmenu ( $layoutFile )

Method to render a given level of a menu using provided layout file

Paramètres
string $layoutFile The layout file to be used to render
Renvoie
void
Depuis
3.8.0

Références tree.

Documentation des champs

◆ $enabled

$enabled
protected

◆ $params

$params
protected

◆ $tree

$tree
protected

◆ $user

$user
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_menu/menu.php


Joomla CMS: Référence de la classe JAdministratorHelper

Fonctions membres publiques statiques
Référence de la classe JAdministratorHelper

Fonctions membres publiques statiques

static findOption ()

Description détaillée

Joomla! Administrator Application helper class. Provide many supporting API functions.

Depuis
1.5
Obsolète:
4.0 Deprecated without replacement

Documentation des fonctions membres

◆ findOption()

static findOption ( )
static

Return the application option string [main component].

Renvoie
string The component to access.
Depuis
1.5

Références $app, $option, et $user.

Référencé par AdministratorApplication\dispatch().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/includes/helper.php


Joomla CMS: Référence de la classe JApplication

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe JApplication
+ Graphe d'héritage de JApplication:
BaseApplication AbstractApplication LoggerAwareInterface

Fonctions membres publiques

__construct ($config=array())
initialise ($options=array())
route ()
dispatch ($component=null)
render ()
redirect ($url, $msg='', $msgType='message', $moved=false)
enqueueMessage ($msg, $type='message')
getMessageQueue ()
getCfg ($varname, $default=null)
getName ()
getUserState ($key, $default=null)
setUserState ($key, $value)
getUserStateFromRequest ($key, $request, $default=null, $type='none')
login ($credentials, $options=array())
logout ($userid=null, $options=array())
getTemplate ($params=false)
getPathway ($name=null, $options=array())
getMenu ($name=null, $options=array())
checkSession ()
afterSessionStart ()
getClientId ()
isAdmin ()
isSite ()
isClient ($identifier)
isSSLConnection ()
__toString ()
- Fonctions membres publiques hérités de BaseApplication
__construct (Input $input=null, Registry $config=null)
getIdentity ()
registerEvent ($event, $handler)
triggerEvent ($event, array $args=null)
loadDispatcher (\JEventDispatcher $dispatcher=null)
loadIdentity (\JUser $identity=null)
- Fonctions membres publiques hérités de AbstractApplication
__construct (Input $input=null, Registry $config=null)
close ($code=0)
execute ()
get ($key, $default=null)
getLogger ()
set ($key, $value=null)
setConfiguration (Registry $config)
setLogger (LoggerInterface $logger)

Fonctions membres publiques statiques

static | getInstance ($client, $config=array(), $prefix='J')
static | getRouter ($name=null, array $options=array())
static | stringURLSafe ($string)
static | getHash ($seed)
static | isWinOs ()

Champs de données

$scope = null
$requestTime = null
$startTime = null
$client
- Champs de données hérités de AbstractApplication
$input

Fonctions membres protégées

_createConfiguration ($file)
_createSession ($name)
- Fonctions membres protégées hérités de BaseApplication
doExecute ()
- Fonctions membres protégées hérités de AbstractApplication
doExecute ()
initialise ()

Attributs protégés

$_clientId = null
$_messageQueue = array()
$_name = null
- Attributs protégés hérités de BaseApplication
$dispatcher
$identity
- Attributs protégés hérités de AbstractApplication
$config

Attributs protégés statiques

static $instances = array()

Description détaillée

Base class for a Joomla! application.

Acts as a Factory class for application specific objects and provides many supporting API functions. Derived clases should supply the route(), dispatch() and render() functions.

Depuis
1.5
Obsolète:
3.2 Use CMSApplication instead unless specified otherwise

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Class constructor.

Paramètres
array $config A configuration array including optional elements such as session session_name, clientId and others. This is not exhaustive.
Depuis
1.5
Obsolète:
3.2

Références $config, et JPATH_CONFIGURATION.

Documentation des fonctions membres

◆ __toString()

__toString ( )

Returns the response as a string.

Renvoie
string The response
Depuis
1.6
Obsolète:
3.2

Références JResponse\toString().

◆ _createConfiguration()

_createConfiguration ( $file )
protected

Create the configuration registry.

Paramètres
string $file The path to the configuration file
Renvoie
JConfig A JConfig object
Depuis
1.5
Obsolète:
3.2

Références $config, $file, et JLoader\register().

◆ _createSession()

_createSession ( $name )
protected

Create the user session.

Old sessions are flushed based on the configuration value for the cookie lifetime. If an existing session, then the last access time is updated. If a new session, a session id is generated and a record is created in the #__sessions table.

Paramètres
string $name The sessions name.
Renvoie
JSession JSession on success. May call exit() on database error.
Depuis
1.5
Obsolète:
3.2

Références $db, $name, $options, et $query.

◆ afterSessionStart()

afterSessionStart ( )

After the session has been started we need to populate it with some default values.

Renvoie
void
Depuis
3.0
Obsolète:
3.2

◆ checkSession()

checkSession ( )

Checks the user session.

If the session record doesn't exist, initialise it. If session is new, create session variables

Renvoie
void
Depuis
1.6
Obsolète:
3.2

Références $db, $query, et $user.

◆ dispatch()

dispatch ( $component = null )

Dispatch the application.

Dispatching is the process of pulling the option from the request object and mapping them to a component. If the component does not exist, it handles determining a default component to dispatch.

Paramètres
string $component The component to dispatch.
Renvoie
void
Depuis
1.5
Obsolète:
3.2

Références $component, $document, et getDocument.

◆ enqueueMessage()

enqueueMessage | ( | $msg,
 |  | $type = 'message'
 | ) |

Enqueue a system message.

Paramètres
string | $msg | The message to enqueue.
string | $type | The message type. Default is message.
Renvoie
void
Depuis
1.5
Obsolète:
3.2

Références $type, et null.

◆ getCfg()

getCfg | ( | $varname,
 |  | $default = null
 | ) |

Gets a configuration value.

Paramètres
string | $varname | The name of the value to get.
string | $default | Default value to return
Renvoie
mixed The user state.
Depuis
1.5
Obsolète:
3.2

Références $config, et $default.

◆ getClientId()

getClientId ( )

Gets the client id of the current running application.

Renvoie
integer A client identifier.
Depuis
1.5
Obsolète:
3.2

◆ getHash()

static getHash ( $seed )
static

Provides a secure hash based on a seed

Paramètres
string $seed Seed string.
Renvoie
string A secure hash
Depuis
1.6
Obsolète:
3.2 Use JApplicationHelper::getHash instead

◆ getInstance()

static getInstance | ( | $client,
 |  | $config = array(),
 |  | $prefix = 'J'
 | ) |
static

Returns the global JApplicationCms object, only creating it if it doesn't already exist.

Paramètres
mixed | $client | A client identifier or name.
array | $config | An optional associative array of configuration settings.
string | $prefix | A prefix for class names
Renvoie
JApplicationCms A JApplicationCms object.
Depuis
1.5
Obsolète:
3.2 Use JApplicationCms::getInstance() instead
Note
As of 3.2, this proxies to JApplicationCms::getInstance()

Références $client.

◆ getMenu()

getMenu | ( | $name = null,
 |  | $options = array()
 | ) |

Returns the application JPathway object.

Paramètres
string | $name | The name of the application/client.
array | $options | An optional associative array of configuration settings.
Renvoie
JMenu|null JMenu object.
Depuis
1.5
Obsolète:
3.2

Références $menu, $name, et $options.

◆ getMessageQueue()

getMessageQueue ( )

Get the system message queue.

Renvoie
array The system message queue.
Depuis
1.5
Obsolète:
3.2

Références null.

◆ getName()

getName ( )

Method to get the application name.

The dispatcher name is by default parsed using the classname, or it can be set by passing a $config['name'] in the class constructor.

Renvoie
string The name of the dispatcher.
Depuis
1.5
Obsolète:
3.2

Références $name, $r, et null.

◆ getPathway()

getPathway | ( | $name = null,
 |  | $options = array()
 | ) |

Returns the application JPathway object.

Paramètres
string | $name | The name of the application.
array | $options | An optional associative array of configuration settings.
Renvoie
JPathway|null A JPathway object
Depuis
1.5
Obsolète:
3.2

Références $name, et $options.

◆ getRouter()

static getRouter | ( |  | $name = null,
 |  | array | $options = array()
 | ) |  |
static

Returns the application JRouter object.

Paramètres
string | $name | The name of the application.
array | $options | An optional associative array of configuration settings.
Renvoie
JRouter|null A JRouter object
Depuis
1.5
Obsolète:
3.2

Références $app, $name, et $options.

◆ getTemplate()

getTemplate ( $params = false )

Gets the name of the current template.

Paramètres
boolean $params An optional associative array of configuration settings
Renvoie
mixed System is the fallback.
Depuis
1.5
Obsolète:
3.2

Références $params, et $template.

◆ getUserState()

getUserState | ( | $key,
 |  | $default = null
 | ) |

Gets a user state.

Paramètres
string | $key | The path of the state.
mixed | $default | Optional default value, returned if the internal value is null.
Renvoie
mixed The user state or null.
Depuis
1.5
Obsolète:
3.2

Références $default, $key, et null.

◆ getUserStateFromRequest()

getUserStateFromRequest | ( | $key,
 |  | $request,
 |  | $default = null,
 |  | $type = 'none'
 | ) |

Gets the value of a user state variable.

Paramètres
string | $key | The key of the user state variable.
string | $request | The name of the variable passed in a request.
string | $default | The default value for the variable if not found. Optional.
string | $type | Filter for the variable, for valid values see JFilterInput::clean(). Optional.
Renvoie
mixed The request user state.
Depuis
1.5
Obsolète:
3.2

Références $default, $key, $type, et null.

◆ initialise()

initialise ( $options = array() )

Initialise the application.

Paramètres
array $options An optional associative array of configuration settings.
Renvoie
void
Depuis
1.5
Obsolète:
3.2

Références $config, $editor, $options, et $user.

◆ isAdmin()

isAdmin ( )

Is admin interface?

Renvoie
boolean True if this application is administrator.
Depuis
1.0.2
Obsolète:
3.2

◆ isClient()

isClient ( $identifier )

Check the client interface by name.

Paramètres
string $identifier String identifier for the application interface
Renvoie
boolean True if this application is of the given type client interface.
Depuis
3.7.0

◆ isSite()

isSite ( )

Is site interface?

Renvoie
boolean True if this application is site.
Depuis
1.5
Obsolète:
3.2

◆ isSSLConnection()

isSSLConnection ( )

Determine if we are using a secure (SSL) connection.

Renvoie
boolean True if using SSL, false if not.
Depuis
3.0
Obsolète:
3.2

◆ isWinOs()

static isWinOs ( )
static

Method to determine if the host OS is Windows

Renvoie
boolean True if Windows OS
Depuis
1.6
Obsolète:
4.0 Use the IS_WIN constant instead.

◆ login()

login | ( | $credentials,
 |  | $options = array()
 | ) |

Login authentication function.

Username and encoded password are passed the onUserLogin event which is responsible for the user validation. A successful validation updates the current session record with the user's details.

Username and encoded password are sent as credentials (along with other possibilities) to each observer (authentication plugin) for user validation. Successful validation will update the current session with the user details.

Paramètres
array | $credentials | Array('username' => string, 'password' => string)
array | $options | Array('remember' => boolean)
Renvoie
boolean|JException True on success, false if failed or silent handling is configured, or a JException object on authentication error.
Depuis
1.5
Obsolète:
3.2

Références $options, $results, $user, et JError\raiseWarning().

◆ logout()

logout | ( | $userid = null,
 |  | $options = array()
 | ) |

Logout authentication function.

Passed the current user information to the onUserLogout event and reverts the current session record back to 'anonymous' parameters. If any of the authentication plugins did not successfully complete the logout routine then the whole method fails. Any errors raised should be done in the plugin as this provides the ability to give much more information about why the routine may have failed.

Paramètres
integer | $userid | The user to load - Can be an integer or string - If string, it is converted to ID automatically
array | $options | Array('clientid' => array of client id's)
Renvoie
boolean True on success
Depuis
1.5
Obsolète:
3.2

Références $options, $parameters, $results, et $user.

◆ redirect()

redirect | ( | $url,
 |  | $msg = '',
 |  | $msgType = 'message',
 |  | $moved = false
 | ) |

Redirect to another URL.

Optionally enqueues a message in the system message queue (which will be displayed the next time a page is loaded) using the enqueueMessage method. If the headers have not been sent the redirect will be accomplished using a "301 Moved Permanently" code in the header pointing to the new location. If the headers have already been sent this will be accomplished using a JavaScript statement.

Paramètres
string | $url | The URL to redirect to. Can only be http/https URL
string | $msg | An optional message to display on redirect.
string | $msgType | An optional message type. Defaults to message.
boolean | $moved | True if the page is 301 Permanently Moved, otherwise 303 See Other is assumed.
Renvoie
void Calls exit().
Depuis
1.5
Obsolète:
3.2
Voir également
JApplication::enqueueMessage()

Références $document, $parts, $path, $prefix, $uri, $url, getDocument, jimport(), json_encode, et utf8_is_ascii().

◆ render()

render ( )

Render the application.

Rendering is the process of pushing the document buffers into the template placeholders, retrieving data from the document and pushing it into the JResponse buffer.

Renvoie
void
Depuis
1.5
Obsolète:
3.2

Références $document, $params, $template, getDocument, JPATH_THEMES, et JResponse\setBody().

◆ route()

route ( )

Route the application.

Routing is the process of examining the request environment to determine which component should receive the request. The component optional parameters are then set in the request object to be processed when the application is being dispatched.

Renvoie
void
Depuis
1.5
Obsolète:
3.2

Références $key, $uri, et $value.

◆ setUserState()

setUserState | ( | $key,
 |  | $value
 | ) |

Sets the value of a user state variable.

Paramètres
string | $key | The path of the state.
string | $value | The value of the variable.
Renvoie
mixed The previous state, if one existed.
Depuis
1.5
Obsolète:
3.2

Références $key, $value, et null.

◆ stringURLSafe()

static stringURLSafe ( $string )
static

This method transliterates a string into a URL safe string or returns a URL safe UTF-8 string based on the global configuration

Paramètres
string $string String to process
Renvoie
string Processed string
Depuis
1.6
Obsolète:
3.2 Use JApplicationHelper::stringURLSafe instead

Documentation des champs

◆ $_clientId

$_clientId = null
protected

◆ $_messageQueue

$_messageQueue = array()
protected

◆ $_name

$_name = null
protected

◆ $client

$client

◆ $instances

$instances = array()
staticprotected

◆ $requestTime

$requestTime = null

◆ $scope

$scope = null

◆ $startTime

$startTime = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/legacy/application/application.php


Joomla CMS: Référence de la classe JApplicationWebRouter

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JApplicationWebRouter
+ Graphe d'héritage de JApplicationWebRouter:
JApplicationWebRouterBase JApplicationWebRouterRest

Fonctions membres publiques

__construct (JApplicationWeb $app, JInput $input=null)
execute ($route)
setControllerPrefix ($prefix)
setDefaultController ($name)

Fonctions membres protégées

parseRoute ($route)
fetchController ($name)

Attributs protégés

$app
$default
$controllerPrefix
$input

Description détaillée

Class to define an abstract Web application router.

Depuis
3.0
Obsolète:
4.0 Use the joomla/router package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | JApplicationWeb | $app,
 |  | JInput | $input = null
 | ) |  |

Constructor.

Paramètres
JApplicationWeb | $app | The web application on whose behalf we are routing the request.
JInput | $input | An optional input object from which to derive the route. If none is given than the input from the application object will be used.
Depuis
3.0

Références $app, $input, et null.

Documentation des fonctions membres

◆ execute()

execute ( $route )

Find and execute the appropriate controller based on a given route.

Paramètres
string $route The route string for which to find and execute a controller.
Renvoie
mixed The return value of the controller executed
Depuis
3.0
Exceptions
InvalidArgumentException
RuntimeException

Références $controller, $name, et $route.

◆ fetchController()

fetchController ( $name )
protected

Get a JController object for a given name.

Paramètres
string $name The controller name (excluding prefix) for which to fetch and instance.
Renvoie
JController
Depuis
3.0
Exceptions
RuntimeException

Références $class, $controller, et $name.

◆ parseRoute()

parseRoute ( $route )
abstractprotected

Parse the given route and return the name of a controller mapped to the given route.

Paramètres
string $route The route string for which to find and execute a controller.
Renvoie
string The controller name for the given route excluding prefix.
Depuis
3.0
Exceptions
InvalidArgumentException

◆ setControllerPrefix()

setControllerPrefix ( $prefix )

Set the controller name prefix.

Paramètres
string $prefix Controller class name prefix for creating controller objects by name.
Renvoie
JApplicationWebRouter This object for method chaining.
Depuis
3.0

Références $prefix.

◆ setDefaultController()

setDefaultController ( $name )

Set the default controller name.

Paramètres
string $name The default page controller name for an empty route.
Renvoie
JApplicationWebRouter This object for method chaining.
Depuis
3.0

Références $name.

Documentation des champs

◆ $app

$app
protected

◆ $controllerPrefix

$controllerPrefix
protected

◆ $default

$default
protected

◆ $input

$input
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/application/web/router.php


Joomla CMS: Référence de la classe JApplicationWebRouterBase

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JApplicationWebRouterBase
+ Graphe d'héritage de JApplicationWebRouterBase:
JApplicationWebRouter JApplicationWebRouterRest

Fonctions membres publiques

addMap ($pattern, $controller)
addMaps ($maps)
- Fonctions membres publiques hérités de JApplicationWebRouter
__construct (JApplicationWeb $app, JInput $input=null)
execute ($route)
setControllerPrefix ($prefix)
setDefaultController ($name)

Fonctions membres protégées

parseRoute ($route)
- Fonctions membres protégées hérités de JApplicationWebRouter
parseRoute ($route)
fetchController ($name)

Attributs protégés

$maps = array()
- Attributs protégés hérités de JApplicationWebRouter
$app
$default
$controllerPrefix
$input

Description détaillée

Basic Web application router class for the Joomla Platform.

Depuis
3.0
Obsolète:
4.0 Use the joomla/router package via Composer instead

Documentation des fonctions membres

◆ addMap()

addMap | ( | $pattern,
 |  | $controller
 | ) |

Add a route map to the router. If the pattern already exists it will be overwritten.

Paramètres
string | $pattern | The route pattern to use for matching.
string | $controller | The controller name to map to the given pattern.
Renvoie
JApplicationWebRouter This object for method chaining.
Depuis
3.0

Références $controller, et elseif.

◆ addMaps()

addMaps ( $maps )

Add a route map to the router. If the pattern already exists it will be overwritten.

Paramètres
array $maps A list of route maps to add to the router as $pattern => $controller.
Renvoie
JApplicationWebRouter This object for method chaining.
Depuis
3.0

Références $controller.

◆ parseRoute()

parseRoute ( $route )
protected

Parse the given route and return the name of a controller mapped to the given route.

Paramètres
string $route The route string for which to find and execute a controller.
Renvoie
string The controller name for the given route excluding prefix.
Depuis
3.0
Exceptions
InvalidArgumentException

Références $controller, $default, $i, et $route.

Documentation des champs

◆ $maps

$maps = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/application/web/router/base.php


Joomla CMS: Référence de la classe JApplicationWebRouterRest

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JApplicationWebRouterRest
+ Graphe d'héritage de JApplicationWebRouterRest:
JApplicationWebRouterBase JApplicationWebRouter

Fonctions membres publiques

execute ($route)
setHttpMethodSuffix ($method, $suffix)
setMethodInPostRequest ($value)
isMethodInPostRequest ()
- Fonctions membres publiques hérités de JApplicationWebRouterBase
addMap ($pattern, $controller)
addMaps ($maps)
- Fonctions membres publiques hérités de JApplicationWebRouter
__construct (JApplicationWeb $app, JInput $input=null)
execute ($route)
setControllerPrefix ($prefix)
setDefaultController ($name)

Fonctions membres protégées

fetchControllerSuffix ()
- Fonctions membres protégées hérités de JApplicationWebRouterBase
parseRoute ($route)
- Fonctions membres protégées hérités de JApplicationWebRouter
parseRoute ($route)
fetchController ($name)

Attributs protégés

$methodInPostRequest = false
$suffixMap
- Attributs protégés hérités de JApplicationWebRouterBase
$maps = array()
- Attributs protégés hérités de JApplicationWebRouter
$app
$default
$controllerPrefix
$input

Description détaillée

RESTful Web application router class for the Joomla Platform.

Depuis
3.0
Obsolète:
4.0 Use the joomla/router package via Composer instead

Documentation des fonctions membres

◆ execute()

execute ( $route )

Find and execute the appropriate controller based on a given route.

Paramètres
string $route The route string for which to find and execute a controller.
Renvoie
void
Depuis
3.0
Exceptions
InvalidArgumentException
RuntimeException

Références $controller, $name, et $route.

◆ fetchControllerSuffix()

fetchControllerSuffix ( )
protected

Get the controller class suffix string.

Renvoie
string
Depuis
3.0
Exceptions
RuntimeException

◆ isMethodInPostRequest()

isMethodInPostRequest ( )

Get the property to allow or not method in POST request

Renvoie
boolean
Depuis
3.0

◆ setHttpMethodSuffix()

setHttpMethodSuffix | ( | $method,
 |  | $suffix
 | ) |

Set a controller class suffix for a given HTTP method.

Paramètres
string | $method | The HTTP method for which to set the class suffix.
string | $suffix | The class suffix to use when fetching the controller name for a given request.
Renvoie
JApplicationWebRouter This object for method chaining.
Depuis
3.0

Références $suffix.

◆ setMethodInPostRequest()

setMethodInPostRequest ( $value )

Set to allow or not method in POST request

Paramètres
boolean $value A boolean to allow or not method in POST request
Renvoie
void
Depuis
3.0

Références $value.

Documentation des champs

◆ $methodInPostRequest

$methodInPostRequest = false
protected

◆ $suffixMap

$suffixMap
protected
Valeur initiale :
= array(
'GET' => 'Get',
'POST' => 'Create',
'PUT' => 'Update',
'PATCH' => 'Update',
'DELETE' => 'Delete',
'HEAD' => 'Head',
'OPTIONS' => 'Options',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • rest.php


Joomla CMS: Référence de la classe JArchive

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JArchive

Fonctions membres publiques statiques

static | extract ($archivename, $extractdir)
static | getAdapter ($type)

Attributs protégés statiques

static $adapters = array()

Description détaillée

An Archive handling class

Depuis
1.5
Obsolète:
4.0 use the Joomla class instead

Documentation des fonctions membres

◆ extract()

static extract | ( | $archivename,
 |  | $extractdir
 | ) |
static

Extract an archive file to a directory.

Paramètres
string | $archivename | The name of the archive file
string | $extractdir | Directory to unpack into
Renvoie
boolean True for success
Depuis
1.5
Exceptions
InvalidArgumentException
Obsolète:
4.0 use the Joomla class instead

Référencé par JArchiveWrapperArchive\extract().

◆ getAdapter()

static getAdapter ( $type )
static

Get a file compression adapter.

Paramètres
string $type The type of adapter (bzip2|gzip|tar|zip).
Renvoie
JArchiveExtractable Adapter for the requested type
Depuis
1.5
Exceptions
UnexpectedValueException
Obsolète:
4.0 use the Joomla class instead

Références $class, et $type.

Référencé par JArchiveWrapperArchive\getAdapter().

Documentation des champs

◆ $adapters

$adapters = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/archive/archive.php


Joomla CMS: Référence de la classe JArchiveBzip2

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres privées | Attributs privés
Référence de la classe JArchiveBzip2
+ Graphe d'héritage de JArchiveBzip2:
JArchiveExtractable

Fonctions membres publiques

extract ($archive, $destination, array $options=array())

Fonctions membres publiques statiques

static isSupported ()

Fonctions membres protégées

extractStream ($archive, $destination, $options=array())

Fonctions membres privées

raiseWarning ($code, $msg)

Attributs privés

$_data = null

Description détaillée

Bzip2 format adapter for the JArchive class

Depuis
1.5
Obsolète:
4.0 use the Joomla class instead

Documentation des fonctions membres

◆ extract()

extract | ( |  | $archive,
 |  |  | $destination,
 |  | array | $options = array()
 | ) |  |

Extract a Bzip2 compressed file to a given path

Paramètres
string | $archive | Path to Bzip2 archive to extract
string | $destination | Path to extract archive to
array | $options | Extraction options [unused]
Renvoie
boolean True if successful
Depuis
1.5
Exceptions
RuntimeException

Implémente JArchiveExtractable.

Références $buffer, $options, et null.

◆ extractStream()

extractStream | ( | $archive,
 |  | $destination,
 |  | $options = array()
 | ) |
protected

Method to extract archive using stream objects

Paramètres
string | $archive | Path to Bzip2 archive to extract
string | $destination | Path to extract archive to
array | $options | Extraction options [unused]
Renvoie
boolean True if successful
Depuis
3.6.0

Références $input, et $output.

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
2.5.0

Implémente JArchiveExtractable.

◆ raiseWarning()

raiseWarning | ( | $code,
 |  | $msg
 | ) |
private

Temporary private method to isolate JError from the extract method This code should be removed when JError is removed.

Paramètres
int | $code | The application-internal error code for this error
string | $msg | The error message, which may also be shown the user if need be.
Renvoie
JException JException instance if JError class exists
Depuis
3.6.0
Exceptions
RuntimeException if JError class does not exist

Références JError\raiseWarning().

Documentation des champs

◆ $_data

$_data = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • bzip2.php


Joomla CMS: Référence de l'interface JArchiveExtractable

Fonctions membres publiques | Fonctions membres publiques statiques
Référence de l'interface JArchiveExtractable
+ Graphe d'héritage de JArchiveExtractable:
JArchiveBzip2 JArchiveGzip JArchiveTar JArchiveZip

Fonctions membres publiques

extract ($archive, $destination, array $options=array())

Fonctions membres publiques statiques

static isSupported ()

Description détaillée

Archieve class interface

Depuis
3.0.0
Obsolète:
4.0 use the Joomla interface instead

Documentation des fonctions membres

◆ extract()

extract | ( |  | $archive,
 |  |  | $destination,
 |  | array | $options = array()
 | ) |  |

Extract a compressed file to a given path

Paramètres
string | $archive | Path to archive to extract
string | $destination | Path to extract archive to
array | $options | Extraction options [may be unused]
Renvoie
boolean True if successful
Depuis
3.0.0

Implémenté dans JArchiveZip, JArchiveTar, JArchiveGzip, et JArchiveBzip2.

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
3.0.0

Implémenté dans JArchiveZip, JArchiveGzip, JArchiveBzip2, et JArchiveTar.

La documentation de cette interface a été générée à partir du fichier suivant :
  • extractable.php


Joomla CMS: Référence de la classe JArchiveGzip

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres privées | Attributs privés
Référence de la classe JArchiveGzip
+ Graphe d'héritage de JArchiveGzip:
JArchiveExtractable

Fonctions membres publiques

extract ($archive, $destination, array $options=array())
_getFilePosition ()

Fonctions membres publiques statiques

static isSupported ()

Fonctions membres protégées

extractStream ($archive, $destination, $options=array())

Fonctions membres privées

raiseWarning ($code, $msg)

Attributs privés

$_flags = array('FTEXT' => 0x01, 'FHCRC' => 0x02, 'FEXTRA' => 0x04, 'FNAME' => 0x08, 'FCOMMENT' => 0x10)
$_data = null

Description détaillée

Gzip format adapter for the JArchive class

This class is inspired from and draws heavily in code and concept from the Compress package of The Horde Project https://www.horde.org

Michael Slusarz slusa.nosp@m.rz@h.nosp@m.orde..nosp@m.org Michael Cochrane mike@.nosp@m.graf.nosp@m.tonha.nosp@m.ll.c.nosp@m.o.nz

Depuis
1.5
Obsolète:
4.0 use the Joomla class instead

Documentation des fonctions membres

◆ _getFilePosition()

_getFilePosition ( )

Get file data offset for archive

Renvoie
integer Data position marker for archive
Depuis
1.5
Exceptions
RuntimeException

Références $info, et $position.

◆ extract()

extract | ( |  | $archive,
 |  |  | $destination,
 |  | array | $options = array()
 | ) |  |

Extract a Gzip compressed file to a given path

Paramètres
string | $archive | Path to ZIP archive to extract
string | $destination | Path to extract archive to
array | $options | Extraction options [unused]
Renvoie
boolean True if successful
Depuis
1.5
Exceptions
RuntimeException

Implémente JArchiveExtractable.

Références $buffer, $options, $position, et null.

◆ extractStream()

extractStream | ( | $archive,
 |  | $destination,
 |  | $options = array()
 | ) |
protected

Method to extract archive using stream objects

Paramètres
string | $archive | Path to ZIP archive to extract
string | $destination | Path to extract archive to
array | $options | Extraction options [unused]
Renvoie
boolean True if successful
Depuis
3.6.0

Références $input, et $output.

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
2.5.0

Implémente JArchiveExtractable.

◆ raiseWarning()

raiseWarning | ( | $code,
 |  | $msg
 | ) |
private

Temporary private method to isolate JError from the extract method This code should be removed when JError is removed.

Paramètres
int | $code | The application-internal error code for this error
string | $msg | The error message, which may also be shown the user if need be.
Renvoie
JException JException instance if JError class exists
Depuis
3.6.0
Exceptions
RuntimeException if JError class does not exist

Références JError\raiseWarning().

Documentation des champs

◆ $_data

$_data = null
private

◆ $_flags

$_flags = array('FTEXT' => 0x01, 'FHCRC' => 0x02, 'FEXTRA' => 0x04, 'FNAME' => 0x08, 'FCOMMENT' => 0x10)
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • gzip.php


Joomla CMS: Référence de la classe JArchiveTar

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs privés
Référence de la classe JArchiveTar
+ Graphe d'héritage de JArchiveTar:
JArchiveExtractable

Fonctions membres publiques

extract ($archive, $destination, array $options=array())

Fonctions membres publiques statiques

static isSupported ()

Fonctions membres protégées

_getTarInfo (& $data)

Attributs privés

$_types
$_data = null
$_metadata = null

Description détaillée

Tar format adapter for the JArchive class

This class is inspired from and draws heavily in code and concept from the Compress package of The Horde Project https://www.horde.org

Michael Slusarz slusa.nosp@m.rz@h.nosp@m.orde..nosp@m.org Michael Cochrane mike@.nosp@m.graf.nosp@m.tonha.nosp@m.ll.c.nosp@m.o.nz

Depuis
1.5
Obsolète:
4.0 use the Joomla class instead

Documentation des fonctions membres

◆ _getTarInfo()

_getTarInfo ( & $data )
protected

Get the list of files/data from a Tar archive buffer.

Paramètres
string &$data The Tar archive buffer.
Renvoie
boolean|JException True on success, JException instance on failure if JError class exists
Depuis
1.5
Exceptions
RuntimeException if JError class does not exist

This variable has been set in the previous loop, meaning that the filename was present in the previous block to allow more than 100 characters - see below

Références $data, $file, $info, $mode, $position, elseif, null, et JError\raiseWarning().

◆ extract()

extract | ( |  | $archive,
 |  |  | $destination,
 |  | array | $options = array()
 | ) |  |

Extract a ZIP compressed file to a given path

Paramètres
string | $archive | Path to ZIP archive to extract
string | $destination | Path to extract archive into
array | $options | Extraction options [unused]
Renvoie
boolean|JException True on success, JException instance on failure if JError class exists
Depuis
1.5
Exceptions
RuntimeException if JError class does not exist

Implémente JArchiveExtractable.

Références $buffer, $i, $n, $path, $type, null, et JError\raiseWarning().

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
2.5.0

Implémente JArchiveExtractable.

Documentation des champs

◆ $_data

$_data = null
private

◆ $_metadata

$_metadata = null
private

◆ $_types

$_types
private
Valeur initiale :
= array(
0x0 => 'Unix file',
0x30 => 'File',
0x31 => 'Link',
0x32 => 'Symbolic link',
0x33 => 'Character special file',
0x34 => 'Block special file',
0x35 => 'Directory',
0x36 => 'FIFO special file',
0x37 => 'Contiguous file',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • tar.php


Joomla CMS: Référence de la classe JArchiveWrapperArchive

Fonctions membres publiques
Référence de la classe JArchiveWrapperArchive

Fonctions membres publiques

extract ($archivename, $extractdir)
getAdapter ($type)

Documentation des fonctions membres

◆ extract()

extract | ( | $archivename,
 |  | $extractdir
 | ) |

Helper wrapper method for extract

Paramètres
string | $archivename | The name of the archive file
string | $extractdir | Directory to unpack into
Renvoie
boolean True for success
Voir également
JArchive::extract()
Depuis
3.4
Exceptions
InvalidArgumentException
Obsolète:
4.0 use the Joomla class instead

Références JArchive\extract().

◆ getAdapter()

getAdapter ( $type )

Helper wrapper method for getAdapter

Paramètres
string $type The type of adapter (bzip2|gzip|tar|zip).
Renvoie
JArchiveExtractable Adapter for the requested type
Voir également
JUserHelper::getAdapter()
Depuis
3.4
Obsolète:
4.0 use the Joomla class instead

Références $type, et JArchive\getAdapter().

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/archive/wrapper/archive.php


Joomla CMS: Référence de la classe JArchiveZip

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Fonctions membres privées | Attributs privés
Référence de la classe JArchiveZip
+ Graphe d'héritage de JArchiveZip:
JArchiveExtractable

Fonctions membres publiques

create ($archive, $files)
extract ($archive, $destination, array $options=array())
checkZipData (&$data)

Fonctions membres publiques statiques

static | isSupported ()
static | hasNativeSupport ()

Fonctions membres protégées

extractCustom ($archive, $destination)
extractNative ($archive, $destination)
_unix2DOSTime ($unixtime=null)

Fonctions membres privées

raiseWarning ($code, $msg)
_readZipInfo (&$data)
_getFileData ($key)
_addToZIPFile (array &$file, array &$contents, array &$ctrldir)
_createZIPFile (array &$contents, array &$ctrlDir, $path)

Attributs privés

$_methods
$_ctrlDirHeader = "\x50\x4b\x01\x02"
$_ctrlDirEnd = "\x50\x4b\x05\x06\x00\x00\x00\x00"
$_fileHeader = "\x50\x4b\x03\x04"
$_data = null
$_metadata = null

Description détaillée

ZIP format adapter for the JArchive class

The ZIP compression code is partially based on code from: Eric Mueller eric@.nosp@m.them.nosp@m.epark.nosp@m..com http://www.zend.com/codex.php?id=535&single=1

Deins125 webma.nosp@m.ster.nosp@m.@atla.nosp@m.nt.r.nosp@m.u http://www.zend.com/codex.php?id=470&single=1

The ZIP compression date code is partially based on code from Peter Listiak mlady.nosp@m.@use.nosp@m.rs.so.nosp@m.urce.nosp@m.forge.nosp@m..net

This class is inspired from and draws heavily in code and concept from the Compress package of The Horde Project https://www.horde.org

Chuck Hagenbuch chuck.nosp@m.@hor.nosp@m.de.or.nosp@m.g Michael Slusarz slusa.nosp@m.rz@h.nosp@m.orde..nosp@m.org Michael Cochrane mike@.nosp@m.graf.nosp@m.tonha.nosp@m.ll.c.nosp@m.o.nz

Depuis
1.5
Obsolète:
4.0 use the Joomla class instead

Documentation des fonctions membres

◆ _addToZIPFile()

_addToZIPFile | ( | array & | $file,
 |  | array & | $contents,
 |  | array & | $ctrldir
 | ) |  |
private

Adds a "file" to the ZIP archive.

Paramètres
array | &$file | File data array to add
array | &$contents | An array of existing zipped files.
array | &$ctrldir | An array of central directory information.
Renvoie
void
Depuis
1.5

Références $data, $file, $name, et null.

◆ _createZIPFile()

_createZIPFile | ( | array & | $contents,
 |  | array & | $ctrlDir,
 |  |  | $path
 | ) |  |
private

Creates the ZIP file.

Official ZIP file format: https://support.pkware.com/display/PKZIP/APPNOTE

Paramètres
array | &$contents | An array of existing zipped files.
array | &$ctrlDir | An array of central directory information.
string | $path | The path to store the archive.
Renvoie
boolean True if successful
Depuis
1.5

Références $buffer, $data, et $path.

◆ _getFileData()

_getFileData ( $key )
private

Returns the file data for a file by offset in the ZIP archive

Paramètres
integer $key The position of the file in the archive.
Renvoie
string Uncompressed file data buffer.
Depuis
1.5

Références $key.

◆ _readZipInfo()

_readZipInfo ( & $data )
private

Get the list of files/data from a ZIP archive buffer.

KEY: Position in zipfile
VALUES: 'attr'  --  File attributes
'crc'   --  CRC checksum
'csize' --  Compressed file size
'date'  --  File modification time
'name'  --  Filename
'method'--  Compression method
'size'  --  Original file size
'type'  --  File type
Paramètres
string &$data The ZIP archive buffer.
Renvoie
boolean True on success
Depuis
2.5.0
Exceptions
RuntimeException

Références $data, $info, $name, $offset, et null.

◆ _unix2DOSTime()

_unix2DOSTime ( $unixtime = null )
protected

Converts a UNIX timestamp to a 4-byte DOS date and time format (date in high 2-bytes, time in low 2-bytes allowing magnitude comparison).

Paramètres
int $unixtime The current UNIX timestamp.
Renvoie
int The current date in a 4-byte DOS format.
Depuis
1.5

◆ checkZipData()

checkZipData ( & $data )

Checks to see if the data is a valid ZIP file.

Paramètres
string &$data ZIP archive data buffer.
Renvoie
boolean True if valid, false if invalid.
Depuis
1.5

Références $data.

◆ create()

create | ( | $archive,
 |  | $files
 | ) |

Create a ZIP compressed file from an array of file data.

Paramètres
string | $archive | Path to save archive.
array | $files | Array of files to add to archive.
Renvoie
boolean True if successful.
Depuis
1.5

Références $file, et $files.

◆ extract()

extract | ( |  | $archive,
 |  |  | $destination,
 |  | array | $options = array()
 | ) |  |

Extract a ZIP compressed file to a given path

Paramètres
string | $archive | Path to ZIP archive to extract
string | $destination | Path to extract archive into
array | $options | Extraction options [unused]
Renvoie
boolean True if successful
Depuis
1.5
Exceptions
RuntimeException

Implémente JArchiveExtractable.

◆ extractCustom()

extractCustom | ( | $archive,
 |  | $destination
 | ) |
protected

Extract a ZIP compressed file to a given path using a php based algorithm that only requires zlib support

Paramètres
string | $archive | Path to ZIP archive to extract.
string | $destination | Path to extract archive into.
Renvoie
mixed True if successful
Depuis
3.0
Exceptions
RuntimeException

Références $buffer, $i, $n, $path, et null.

◆ extractNative()

extractNative | ( | $archive,
 |  | $destination
 | ) |
protected

Extract a ZIP compressed file to a given path using native php api calls for speed

Paramètres
string | $archive | Path to ZIP archive to extract
string | $destination | Path to extract archive into
Renvoie
boolean True on success
Depuis
3.0
Exceptions
RuntimeException

Références $buffer, et $file.

◆ hasNativeSupport()

static hasNativeSupport ( )
static

Method to determine if the server has native zip support for faster handling

Renvoie
boolean True if php has native ZIP support
Depuis
1.5

◆ isSupported()

static isSupported ( )
static

Tests whether this adapter can unpack files on this computer.

Renvoie
boolean True if supported
Depuis
2.5.0

Implémente JArchiveExtractable.

◆ raiseWarning()

raiseWarning | ( | $code,
 |  | $msg
 | ) |
private

Temporary private method to isolate JError from the extract method This code should be removed when JError is removed.

Paramètres
int | $code | The application-internal error code for this error
string | $msg | The error message, which may also be shown the user if need be.
Renvoie
JException JException instance if JError class exists
Depuis
3.6.0
Exceptions
RuntimeException if JError class does not exist

Références JError\raiseWarning().

Documentation des champs

◆ $_ctrlDirEnd

$_ctrlDirEnd = "\x50\x4b\x05\x06\x00\x00\x00\x00"
private

◆ $_ctrlDirHeader

$_ctrlDirHeader = "\x50\x4b\x01\x02"
private

◆ $_data

$_data = null
private

◆ $_fileHeader

$_fileHeader = "\x50\x4b\x03\x04"
private

◆ $_metadata

$_metadata = null
private

◆ $_methods

$_methods
private
Valeur initiale :
= array(
0x0 => 'None',
0x1 => 'Shrunk',
0x2 => 'Super Fast',
0x3 => 'Fast',
0x4 => 'Normal',
0x5 => 'Maximum',
0x6 => 'Imploded',
0x8 => 'Deflated',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • zip.php


Joomla CMS: Référence de la classe JArrayHelper

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe JArrayHelper

Fonctions membres publiques statiques

static | toInteger (&$array, $default=null)
static | toObject (&$array, $class='stdClass', $recursive=true)
static | toString ($array=null, $innerGlue='=', $outerGlue=' ', $keepOuterKey=false)
static | fromObject ($object, $recurse=true, $regex=null)
static | getColumn (&$array, $index)
static | getValue (&$array, $name, $default=null, $type='')
static | invert ($array)
static | isAssociative ($array)
static | pivot ($source, $key=null)
static | sortObjects (&$a, $k, $direction=1, $caseSensitive=true, $locale=false)
static | arrayUnique ($myArray)

Fonctions membres protégées statiques

static | _fromObject ($item, $recurse, $regex)
static | _sortObjects ($a, $b)

Attributs protégés statiques

static | $sortCase
static | $sortDirection
static | $sortKey
static | $sortLocale

Description détaillée

JArrayHelper is an array utility class for doing all sorts of odds and ends with arrays.

Depuis
1.7.0
Obsolète:
4.0 Use Joomla instead

Documentation des fonctions membres

◆ _fromObject()

static _fromObject | ( | $item,
 |  | $recurse,
 |  | $regex
 | ) |
staticprotected

Utility function to map an object or array to an array

Paramètres
mixed | $item | The source object or array
boolean | $recurse | True to recurse through multi-level objects
string | $regex | An optional regular expression to match on field names
Renvoie
array The array mapped from the given object
Depuis
1.7.0

Références $item, et elseif.

◆ _sortObjects()

static _sortObjects | ( | $a,
 |  | $b
 | ) |
staticprotected

Callback function for sorting an array of objects on a key

Paramètres
array | $a | An array of objects
array | $b | An array of objects
Renvoie
integer Comparison status
Voir également
JArrayHelper::sortObjects()
Depuis
1.7.0

Références $b, $count, $direction, $i, et $key.

◆ arrayUnique()

static arrayUnique ( $myArray )
static

Multidimensional array safe unique test

Paramètres
array $myArray The array to make unique.
Renvoie
array

1.7.0 deprecated 505.

◆ fromObject()

static fromObject | ( | $object,
 |  | $recurse = true,
 |  | $regex = null
 | ) |
static

Utility function to map an object to an array

Paramètres
object | $object | The source object
boolean | $recurse | True to recurse through multi-level objects
string | $regex | An optional regular expression to match on field names
Renvoie
array The array mapped from the given object
Depuis
1.7.0
Obsolète:
4.0 Use Joomla::fromObject instead

Références null.

Référencé par FOFModel\loadhistory().

◆ getColumn()

static getColumn | ( | & | $array,
 |  |  | $index
 | ) |  |
static

Extracts a column from an array of arrays or objects

Paramètres
array | &$array | The source array
string | $index | The index of the column or name of object property
Renvoie
array Column of values from the source array
Depuis
1.7.0
Obsolète:
4.0 Use Joomla::getColumn instead

Référencé par JoomlaupdateModelDefault\isTemplateActive().

◆ getValue()

static getValue | ( | & | $array,
 |  |  | $name,
 |  |  | $default = null,
 |  |  | $type = ''
 | ) |  |
static

Utility function to return a value from a named array or a specified default

Paramètres
array | &$array | A named array
string | $name | The key to search for
mixed | $default | The default value to give if no key found
string | $type | Return type for the variable (INT, FLOAT, STRING, WORD, BOOLEAN, ARRAY)
Renvoie
mixed The value from the source array
Depuis
1.7.0
Obsolète:
4.0 Use Joomla::getValue instead

Références $default, $name, et $type.

◆ invert()

static invert ( $array )
static

Takes an associative array of arrays and inverts the array keys to values using the array values as keys.

Example: $input = array( 'New' => array('1000', '1500', '1750'), 'Used' => array('3000', '4000', '5000', '6000') ); $output = JArrayHelper::invert($input);

Output would be equal to: $output = array( '1000' => 'New', '1500' => 'New', '1750' => 'New', '3000' => 'Used', '4000' => 'Used', '5000' => 'Used', '6000' => 'Used' );

Paramètres
array $array The source array.
Renvoie
array The inverted array.
Depuis
3.1.4
Obsolète:
4.0 Use Joomla::invert instead

◆ isAssociative()

static isAssociative ( $array )
static

Method to determine if an array is an associative array.

Paramètres
array $array An array to test.
Renvoie
boolean True if the array is an associative array.
Depuis
1.7.0
Obsolète:
4.0 Use Joomla::isAssociative instead

◆ pivot()

static pivot | ( | $source,
 |  | $key = null
 | ) |
static

Pivots an array to create a reverse lookup of an array of scalars, arrays or objects.

Paramètres
array | $source | The source array.
string | $key | Where the elements of the source array are objects or arrays, the key to pivot on.
Renvoie
array An array of arrays pivoted either on the value of the keys, or an individual key of an object or array.
Depuis
1.7.3
Obsolète:
4.0 Use Joomla::pivot instead

Références $key.

◆ sortObjects()

static sortObjects | ( | & | $a,
 |  |  | $k,
 |  |  | $direction = 1,
 |  |  | $caseSensitive = true,
 |  |  | $locale = false
 | ) |  |
static

Utility function to sort an array of objects on a given field

Paramètres
array | &$a | An array of objects
mixed | $k | The key (string) or an array of keys to sort on
mixed | $direction | Direction (integer) or an array of direction to sort in [1 = Ascending] [-1 = Descending]
mixed | $caseSensitive | Boolean or array of booleans to let sort occur case sensitive or insensitive
mixed | $locale | Boolean or array of booleans to let sort occur using the locale language or not
Renvoie
array The sorted array of objects
Depuis
1.7.0
Obsolète:
4.0 Use Joomla::sortObjects instead

Références $direction, et null.

◆ toInteger()

static toInteger | ( | & | $array,
 |  |  | $default = null
 | ) |  |
static

Function to convert array to integer values

Paramètres
array | &$array | The source array to convert
mixed | $default | A default value (int|array) to assign if $array is not an array
Renvoie
void
Depuis
1.7.0
Obsolète:
4.0 Use Joomla::toInteger instead

Références $default.

◆ toObject()

static toObject | ( | & | $array,
 |  |  | $class = 'stdClass',
 |  |  | $recursive = true
 | ) |  |
static

Utility function to map an array to a stdClass object.

Paramètres
array | &$array | The array to map.
string | $class | Name of the class to create
boolean | $recursive | Convert also any array inside the main array
Renvoie
object The object mapped from the given array
Depuis
1.7.0
Obsolète:
4.0 Use Joomla::toObject instead

Références $class, et null.

◆ toString()

static toString | ( | $array = null,
 |  | $innerGlue = '=',
 |  | $outerGlue = ' ',
 |  | $keepOuterKey = false
 | ) |
static

Utility function to map an array to a string.

Paramètres
array | $array | The array to map.
string | $innerGlue | The glue (optional, defaults to '=') between the key and the value.
string | $outerGlue | The glue (optional, defaults to ' ') between array elements.
boolean | $keepOuterKey | True if final key should be kept.
Renvoie
string The string mapped from the given array
Depuis
1.7.0
Obsolète:
4.0 Use Joomla::toString instead

Références $output.

Documentation des champs

◆ $sortCase

$sortCase
staticprotected

◆ $sortDirection

$sortDirection
staticprotected

◆ $sortKey

$sortKey
staticprotected

◆ $sortLocale

$sortLocale
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • arrayhelper.php


Joomla CMS: Référence de la classe JClassLoader

Fonctions membres publiques | Attributs privés
Référence de la classe JClassLoader

Fonctions membres publiques

__construct (ClassLoader $loader)
loadClass ($class)

Attributs privés

$loader

Description détaillée

Decorate Composer ClassLoader for Joomla!

For backward compatibility due to class aliasing in the CMS, the loadClass() method was modified to call the JLoader::applyAliasFor() method.

Depuis
3.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( ClassLoader $loader )

Constructor

Paramètres
ClassLoader $loader Composer autoloader
Depuis
3.4

Références $loader.

Documentation des fonctions membres

◆ loadClass()

loadClass ( $class )

Loads the given class or interface.

Paramètres
string $class The name of the class
Renvoie
boolean|null True if loaded, null otherwise
Depuis
3.4

Références $class, et JLoader\applyAliasFor().

Documentation des champs

◆ $loader

$loader
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • cms/class/loader.php


Joomla CMS: Référence de l'interface JController

Fonctions membres publiques
Référence de l'interface JController
+ Graphe d'héritage de JController:
JControllerBase ConfigControllerApplicationRemoveroot ConfigControllerApplicationSave ConfigControllerApplicationSendtestmail ConfigControllerApplicationStore ConfigControllerCancel ConfigControllerCmsbase ConfigControllerComponentSave ConfigControllerConfigSave ConfigControllerDisplay ConfigControllerModulesSave ConfigControllerTemplatesSave InstallationControllerDatabase InstallationControllerDefault InstallationControllerDetectftproot InstallationControllerFtp InstallationControllerInstallConfig InstallationControllerInstallDatabase InstallationControllerInstallDatabase_backup InstallationControllerInstallEmail InstallationControllerInstallLanguages InstallationControllerInstallSample InstallationControllerPreinstall InstallationControllerRemovefolder InstallationControllerSetdefaultlanguage InstallationControllerSetlanguage InstallationControllerSite InstallationControllerSummary InstallationControllerVerifyftpsettings

Fonctions membres publiques

execute ()
getApplication ()
getInput ()

Description détaillée

Joomla Platform Controller Interface

Depuis
3.0.0
Obsolète:
4.0 Use the default MVC library

Documentation des fonctions membres

◆ execute()

execute ( )

Execute the controller.

Renvoie
boolean True if controller finished execution, false if the controller did not finish execution. A controller might return false if some precondition for the controller to run has not been satisfied.
Depuis
3.0.0
Exceptions
LogicException
RuntimeException

Implémenté dans ConfigControllerCanceladmin, ConfigControllerDisplay, ConfigControllerComponentSave, ConfigControllerCancel, ConfigControllerCmsbase, ConfigControllerConfigSave, ConfigControllerApplicationRemoveroot, ConfigControllerApplicationSave, ConfigControllerModulesCancel, ConfigControllerModulesDisplay, ConfigControllerModulesSave, ConfigControllerApplicationCancel, ConfigControllerComponentCancel, ConfigControllerConfigDisplay, ConfigControllerTemplatesDisplay, ConfigControllerTemplatesSave, InstallationControllerDatabase, ConfigControllerApplicationSendtestmail, et ConfigControllerApplicationStore.

◆ getApplication()

getApplication ( )

Get the application object.

Renvoie
AbstractApplication The application object.
Depuis
3.0.0

Implémenté dans JControllerBase.

◆ getInput()

getInput ( )

Get the input object.

Renvoie
JInput The input object.
Depuis
3.0.0

Implémenté dans JControllerBase.

La documentation de cette interface a été générée à partir du fichier suivant :
  • libraries/joomla/controller/controller.php


Joomla CMS: Référence de la classe JControllerBase

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JControllerBase
+ Graphe d'héritage de JControllerBase:
JController ConfigControllerApplicationRemoveroot ConfigControllerApplicationSave ConfigControllerApplicationSendtestmail ConfigControllerApplicationStore ConfigControllerCancel ConfigControllerCmsbase ConfigControllerComponentSave ConfigControllerConfigSave ConfigControllerDisplay ConfigControllerModulesSave ConfigControllerTemplatesSave InstallationControllerDatabase InstallationControllerDefault InstallationControllerDetectftproot InstallationControllerFtp InstallationControllerInstallConfig InstallationControllerInstallDatabase InstallationControllerInstallDatabase_backup InstallationControllerInstallEmail InstallationControllerInstallLanguages InstallationControllerInstallSample InstallationControllerPreinstall InstallationControllerRemovefolder InstallationControllerSetdefaultlanguage InstallationControllerSetlanguage InstallationControllerSite InstallationControllerSummary InstallationControllerVerifyftpsettings

Fonctions membres publiques

__construct (JInput $input=null, AbstractApplication $app=null)
getApplication ()
getInput ()
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JController
execute ()

Fonctions membres protégées

loadApplication ()
loadInput ()

Attributs protégés

$app
$input

Description détaillée

Joomla Platform Base Controller Class

Depuis
3.0.0
Obsolète:
4.0 Use the default MVC library

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | JInput | $input = null,
 |  | AbstractApplication | $app = null
 | ) |  |

Instantiate the controller.

Paramètres
JInput | $input | The input object.
AbstractApplication | $app | The application object.
Depuis
3.0.0

Références $app, et $input.

Documentation des fonctions membres

◆ getApplication()

getApplication ( )

Get the application object.

Renvoie
AbstractApplication The application object.
Depuis
3.0.0

Implémente JController.

Références $app.

◆ getInput()

getInput ( )

Get the input object.

Renvoie
JInput The input object.
Depuis
3.0.0

Implémente JController.

Références $input.

◆ loadApplication()

loadApplication ( )
protected

Load the application object.

Renvoie
AbstractApplication The application object.
Depuis
3.0.0

◆ loadInput()

loadInput ( )
protected

Load the input object.

Renvoie
JInput The input object.
Depuis
3.0.0

◆ serialize()

serialize ( )

Serialize the controller.

Renvoie
string The serialized controller.
Depuis
3.0.0

◆ unserialize()

unserialize ( $input )

Unserialize the controller.

Paramètres
string $input The serialized controller.
Renvoie
JController Supports chaining.
Depuis
3.0.0
Exceptions
UnexpectedValueException if input is not the right class.

Références $input.

Documentation des champs

◆ $app

$app
protected

◆ $input

$input
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/controller/base.php


Joomla CMS: Référence de la classe JDatabase

Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe JDatabase
+ Graphe d'héritage de JDatabase:
JDatabaseDriver JDatabaseDriverMysqli JDatabaseDriverPdo JDatabaseDriverPostgresql JDatabaseDriverMysql JDatabaseMysqli JDatabaseDriverOracle JDatabaseDriverPdomysql JDatabaseDriverPgsql JDatabaseDriverSqlite JDatabaseMysql

Fonctions membres publiques

query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Description détaillée

Database connector class.

Depuis
1.7.0
Obsolète:
4.0

Documentation des fonctions membres

◆ getConnectors()

static getConnectors ( )
static

Get a list of available database connectors. The list will only be populated with connectors that both the class exists and the static test method returns true. This gives us the ability to have a multitude of connector classes that are self-aware as to whether or not they are able to be used on a given system.

Renvoie
array An array of available database connectors.
Depuis
1.7.0
Obsolète:
4.0

Références JDatabaseDriver\getConnectors().

◆ getErrorMsg()

getErrorMsg ( $escaped = false )

Gets the error message from the database connection.

Paramètres
boolean $escaped True to escape the message string for use in JavaScript.
Renvoie
string The error message for the most recent query.
Obsolète:
4.0
Depuis
1.7.0

◆ getErrorNum()

getErrorNum ( )

Gets the error number from the database connection.

Renvoie
integer The error number for the most recent query.
Depuis
1.7.0
Obsolète:
4.0

◆ getInstance()

static getInstance ( $options = array() )
static

Method to return a JDatabaseDriver instance based on the given options. There are three global options and then the rest are specific to the database driver. The 'driver' option defines which JDatabaseDriver class is used for the connection – the default is 'mysqli'. The 'database' option determines which database is to be used for the connection. The 'select' option determines whether the connector should automatically select the chosen database.

Instances are unique to the given options and new objects are only created when a unique options array is passed into the method. This ensures that we don't end up with unnecessary database connection resources.

Paramètres
array $options Parameters to be passed to the database driver.
Renvoie
JDatabaseDriver A database object.
Depuis
1.7.0
Obsolète:
4.0

Références $options, et JDatabaseDriver\getInstance().

◆ query()

query ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
1.7.0
Exceptions
RuntimeException
Obsolète:
4.0

◆ splitSql()

static splitSql ( $query )
static

Splits a string of multiple queries into an array of individual queries.

Paramètres
string $query Input SQL string with which to split into individual queries.
Renvoie
array The queries from the input string separated into an array.
Depuis
1.7.0
Obsolète:
4.0

Références $query, et JDatabaseDriver\splitSql().

◆ stderr()

stderr ( $showSQL = false )

Return the most recent error message for the database connector.

Paramètres
boolean $showSQL True to display the SQL statement sent to the database as well as the error.
Renvoie
string The error message for the most recent query.
Depuis
1.7.0
Obsolète:
4.0

◆ test()

static test ( )
static

Test to see if the connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0
Obsolète:
4.0 - Use JDatabaseDriver::isSupported() instead.
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/database.php


Joomla CMS: Référence de la classe JDatabaseDriver

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Attributs privés
Référence de la classe JDatabaseDriver
+ Graphe d'héritage de JDatabaseDriver:
JDatabase JDatabaseInterface JDatabaseDriverMysqli JDatabaseDriverPdo JDatabaseDriverPostgresql JDatabaseDriverMysql JDatabaseMysqli JDatabaseDriverOracle JDatabaseDriverPdomysql JDatabaseDriverPgsql JDatabaseDriverSqlite JDatabaseMysql

Fonctions membres publiques

__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()
- Fonctions membres publiques statiques hérités de JDatabaseInterface
static | isSupported ()

Champs de données

$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $instances = array()
static | $dbMinimum

Attributs privés

$_database

Description détaillée

Joomla Platform Database Driver Class

Depuis
3.0.0

string|array q() q($text, $escape = true) Alias for quote method string|array qn() qn($name, $as = null) Alias for quoteName method

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options List of options used to configure the connection
Depuis
1.7.0

Références $options.

◆ __destruct()

__destruct ( )

Destructor.

Depuis
3.8.0

Documentation des fonctions membres

◆ __call()

__call | ( | $method,
 |  | $args
 | ) |

Magic method to provide method alias support for quote() and quoteName().

Paramètres
string | $method | The called method.
array | $args | The array of arguments passed to the method.
Renvoie
mixed The aliased method's return value or null.
Depuis
1.7.0

Références null.

◆ addDisconnectHandler()

addDisconnectHandler ( $callable )

Adds a function callable just before disconnecting the database. Parameter of the callable is $this JDatabaseDriver

Paramètres
callable $callable Function to call in disconnect() method just before disconnecting from database
Renvoie
void
Depuis
CMS 3.1.2

◆ alterDbCharacterSet()

alterDbCharacterSet ( $dbName )

Alter database's character set, obtaining query string from protected member.

Paramètres
string $dbName The database name that will be altered
Renvoie
string The query that alter the database query string
Depuis
3.0.1
Exceptions
RuntimeException

◆ alterTableCharacterSet()

alterTableCharacterSet | ( | $tableName,
 |  | $rethrow = false
 | ) |

Alter a table's character set, obtaining an array of queries to do so from a protected method. The conversion is wrapped in a transaction, if supported by the database driver. Otherwise the table will be locked before the conversion. This prevents data corruption.

Paramètres
string | $tableName | The name of the table to alter
boolean | $rethrow | True to rethrow database exceptions. Default: false (exceptions are suppressed)
Renvoie
boolean True if successful
Depuis
CMS 3.5.0
Exceptions
RuntimeException | If the table name is empty
Exception | Relayed from the database layer if a database error occurs and $rethrow == true

Références $query.

◆ connect()

connect ( )
abstract

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.0.0
Exceptions
RuntimeException

◆ connected()

connected ( )
abstract

Determines if the connection to the server is active.

Renvoie
boolean True if connected to the database engine.
Depuis
1.7.0

◆ convertUtf8mb4QueryToUtf8()

convertUtf8mb4QueryToUtf8 ( $query )

Automatically downgrade a CREATE TABLE or ALTER TABLE query from utf8mb4 (UTF-8 Multibyte) to plain utf8. Used when the server doesn't support UTF-8 Multibyte.

Paramètres
string $query The query to convert
Renvoie
string The converted query

Références $query.

◆ createDatabase()

createDatabase | ( | $options,
 |  | $utf = true
 | ) |

Create a new database using information from $options object, obtaining query string from protected member.

Paramètres
stdClass | $options | Object used to pass user and database name to database driver. This object must have "db_name" and "db_user" set.
boolean | $utf | True if the database supports the UTF-8 character set.
Renvoie
string The query that creates database
Depuis
3.0.1
Exceptions
RuntimeException

Références $options, et elseif.

◆ disconnect()

disconnect ( )
abstract

Disconnects the database.

Renvoie
void
Depuis
3.0.0

◆ dropTable()

dropTable | ( | $table,
 |  | $ifExists = true
 | ) |
abstract

Drops a table from the database.

Paramètres
string | $table | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
JDatabaseDriver Returns this object to support chaining.
Depuis
2.5.0
Exceptions
RuntimeException

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |
abstract

Escapes a string for usage in an SQL statement.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
1.7.0

◆ execute()

JDatabaseQuery string The current SQL statement to execute ( )
abstract

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
3.0.0
Exceptions
RuntimeException
Depuis
1.7.0

◆ fetchArray()

fetchArray ( $cursor = null )
abstractprotected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
1.7.0

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
abstractprotected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
1.7.0

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
abstractprotected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | The class name to use for the returned row object.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
1.7.0

◆ freeResult()

freeResult ( $cursor = null )
abstractprotected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
1.7.0

◆ getAffectedRows()

getAffectedRows ( )
abstract

Get the number of affected rows for the previous executed SQL statement.

Renvoie
integer The number of affected rows.
Depuis
1.7.0

◆ getAlterDbCharacterSet()

getAlterDbCharacterSet ( $dbName )

Return the query string to alter the database character set.

Paramètres
string $dbName The database name
Renvoie
string The query that alter the database query string
Depuis
3.0.1

◆ getAlterTableCharacterSet()

getAlterTableCharacterSet ( $tableName )

Get the query strings to alter the character set and collation of a table.

Paramètres
string $tableName The name of the table
Renvoie
string[] The queries required to alter the table's character set and collation
Depuis
CMS 3.5.0

We also need to convert each text column, modifying their character set and collation. This allows us to change, for example, a utf8_bin collated column to a utf8mb4_bin collated column.

If the collation is in the form charset_collationType_ci or charset_collationType we have to change the charset but leave the collationType intact (e.g. utf8_bin must become utf8mb4_bin, NOT utf8mb4_general_ci).

When the last part of the old collation is not _ci we have a charset_collationType format, something like utf8_bin. Therefore the new collation only has two parts.

Références $columns, et $default.

◆ getCallStacks()

getCallStacks ( )

Get the database driver SQL statement log.

Renvoie
array SQL statements executed by the database driver.
Depuis
CMS 3.1.2

◆ getCollation()

getCollation ( )
abstract

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
1.7.0

◆ getConnection()

getConnection ( )

Method that provides access to the underlying database connection. Useful for when you need to call a proprietary method such as postgresql's lo_* methods.

Renvoie
resource The underlying database connection resource.
Depuis
1.7.0

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getConnectors()

static getConnectors ( )
static

Get a list of available database connectors. The list will only be populated with connectors that both the class exists and the static test method returns true. This gives us the ability to have a multitude of connector classes that are self-aware as to whether or not they are able to be used on a given system.

Renvoie
array An array of available database connectors.
Depuis
1.7.0

Références $class, et $file.

Référencé par JDatabase\getConnectors(), JFormFieldDatabaseConnection\getOptions(), et InstallationModelSetup\getPhpOptions().

◆ getCount()

getCount ( )

Get the total number of SQL statements executed by the database driver.

Renvoie
integer
Depuis
1.7.0

Références $count.

◆ getCreateDatabaseQuery()

getCreateDatabaseQuery | ( | $options,
 |  | $utf
 | ) |
protected

Return the query string to create new Database. Each database driver, other than MySQL, need to override this member to return correct string.

Paramètres
stdClass | $options | Object used to pass user and database name to database driver. This object must have "db_name" and "db_user" set.
boolean | $utf | True if the database supports the UTF-8 character set.
Renvoie
string The query that creates database
Depuis
3.0.1

Références $options.

◆ getDatabase()

getDatabase ( )
protected

Gets the name of the database used by this connection.

Renvoie
string
Depuis
2.5.0

◆ getDateFormat()

getDateFormat ( )

Returns a PHP date() function compliant date format for the database driver.

Renvoie
string The format string.
Depuis
1.7.0

◆ getExporter()

getExporter ( )

Gets an exporter class object.

Renvoie
JDatabaseExporter An exporter object.
Depuis
3.0.0
Exceptions
RuntimeException

Références $class, et name.

◆ getImporter()

getImporter ( )

Gets an importer class object.

Renvoie
JDatabaseImporter An importer object.
Depuis
3.0.0
Exceptions
RuntimeException

Références $class, et name.

◆ getInstance()

static getInstance ( $options = array() )
static

Method to return a JDatabaseDriver instance based on the given options. There are three global options and then the rest are specific to the database driver. The 'driver' option defines which JDatabaseDriver class is used for the connection – the default is 'mysqli'. The 'database' option determines which database is to be used for the connection. The 'select' option determines whether the connector should automatically select the chosen database.

Instances are unique to the given options and new objects are only created when a unique options array is passed into the method. This ensures that we don't end up with unnecessary database connection resources.

Paramètres
array $options Parameters to be passed to the database driver.
Renvoie
JDatabaseDriver A database object.
Depuis
1.7.0
Exceptions
RuntimeException

Références $class, $options, JDatabaseDriverPdomysql\isSupported(), JDatabaseDriverMysqli\isSupported(), et null.

Référencé par DatabaseLogger\connect(), InstallationModelDatabase\createDatabase(), Factory\createDbo(), InstallationHelperDatabase\getDbo(), JDatabase\getInstance(), et ConfigModelApplication\save().

◆ getIterator()

getIterator | ( | $column = null,
 |  | $class = 'stdClass'
 | ) |

Get a new iterator on the current query.

Paramètres
string | $column | An option column to use as the iterator key.
string | $class | The class of object that is returned.
Renvoie
JDatabaseIterator A new database iterator.
Depuis
3.0.0
Exceptions
RuntimeException

Références $class, et name.

◆ getLog()

getLog ( )

Get the database driver SQL statement log.

Renvoie
array SQL statements executed by the database driver.
Depuis
1.7.0

◆ getMinimum()

getMinimum ( )

Get the minimum supported database version.

Renvoie
string The minimum version number for the database driver.
Depuis
3.0.0

◆ getName()

getName ( )

Get the name of the database driver. If $this->name is not set it will try guessing the driver name from the class name.

Renvoie
string
Depuis
CMS 3.5.0

Références $className, $name, et name.

◆ getNullDate()

getNullDate ( )

Get the null or zero representation of a timestamp for the database driver.

Renvoie
string Null or zero representation of a timestamp.
Depuis
1.7.0

◆ getNumRows()

getNumRows ( $cursor = null )
abstract

Get the number of returned rows for the previous executed SQL statement.

Paramètres
resource $cursor An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
1.7.0

◆ getPrefix()

getPrefix ( )

Get the common table prefix for the database driver.

Renvoie
string The common database table prefix.
Depuis
1.7.0

◆ getQuery()

getQuery ( $new = false )

Get the current query object or a new JDatabaseQuery object.

Paramètres
boolean $new False to return the current query object, True to return a new JDatabaseQuery object.
Renvoie
JDatabaseQuery The current query object or a new object extending the JDatabaseQuery class.
Depuis
1.7.0
Exceptions
RuntimeException

Références $class, et name.

◆ getServerType()

getServerType ( )

Get the server family type, e.g. mysql, postgresql, oracle, sqlite, mssql. If $this->serverType is not set it will attempt guessing the server family type from the driver name. If this is not possible the driver name will be returned instead.

Renvoie
string
Depuis
CMS 3.5.0

Références $name, et elseif.

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |
abstract

Retrieves field information about the given tables.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True (default) to only return field types.
Renvoie
array An array of fields by table.
Depuis
1.7.0
Exceptions
RuntimeException

◆ getTableCreate()

getTableCreate ( $tables )
abstract

Shows the table CREATE statement that creates the given tables.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
1.7.0
Exceptions
RuntimeException

◆ getTableKeys()

getTableKeys ( $table )
abstract

Retrieves keys information about the given table.

Paramètres
string $table The name of the table.
Renvoie
array An array of keys for the table.
Depuis
1.7.0
Exceptions
RuntimeException

◆ getTableList()

getTableList ( )
abstract

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
1.7.0
Exceptions
RuntimeException

◆ getTimings()

getTimings ( )

Get the database driver SQL statement log.

Renvoie
array SQL statements executed by the database driver.
Depuis
CMS 3.1.2

◆ getUTFSupport()

getUTFSupport ( )

Determine whether or not the database engine supports UTF-8 character encoding.

Renvoie
boolean True if the database engine supports UTF-8 character encoding.
Depuis
1.7.0
Obsolète:
4.0 - Use hasUTFSupport() instead

◆ getVersion()

getVersion ( )
abstract

Get the version of the database connector

Renvoie
string The database connector version.
Depuis
1.7.0

◆ hasUTF8mb4Support()

hasUTF8mb4Support ( )

Determine whether the database engine support the UTF-8 Multibyte (utf8mb4) character encoding. This applies to MySQL databases.

Renvoie
boolean True if the database engine supports UTF-8 Multibyte.
Depuis
CMS 3.5.0

◆ hasUTFSupport()

hasUTFSupport ( )

Determine whether or not the database engine supports UTF-8 character encoding.

Renvoie
boolean True if the database engine supports UTF-8 character encoding.
Depuis
3.0.0

◆ insertid()

insertid ( )
abstract

Method to get the auto-incremented value from the last INSERT statement.

Renvoie
mixed The value of the auto-increment field from the last inserted row.
Depuis
1.7.0

◆ insertObject()

insertObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key = null
 | ) |  |

Inserts a row into a table based on an object's properties.

Paramètres
string | $table | The name of the database table to insert into.
object | &$object | A reference to an object whose public properties match the table fields.
string | $key | The name of the primary key. If provided the object property is updated.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions
RuntimeException

Références $fields, $id, $key, $query, et null.

◆ isMinimumVersion()

isMinimumVersion ( )

Method to check whether the installed database version is supported by the database driver

Renvoie
boolean True if the database version is supported
Depuis
3.0.0

◆ loadAssoc()

loadAssoc ( )

Method to get the first row of the result set from the database query as an associative array of ['field_name' => 'row_value'].

Renvoie
mixed The return value or null if the query failed.
Depuis
1.7.0
Exceptions
RuntimeException

Références null.

◆ loadAssocList()

loadAssocList | ( | $key = null,
 |  | $column = null
 | ) |

Method to get an array of the result set rows from the database query where each row is an associative array of ['field_name' => 'row_value']. The array of rows can optionally be keyed by a field name, but defaults to a sequential numeric array.

NOTE: Choosing to key the result array by a non-unique field name can result in unwanted behavior and should be avoided.

Paramètres
string | $key | The name of a field on which to key the result array.
string | $column | An optional column name. Instead of the whole row, only this column value will be in the result array.
Renvoie
mixed The return value or null if the query failed.
Depuis
1.7.0
Exceptions
RuntimeException

Références $key, $row, et $value.

◆ loadColumn()

loadColumn ( $offset = 0 )

Method to get an array of values from the $offset field in each row of the result set from the database query.

Paramètres
integer $offset The row offset to use to build the result array.
Renvoie
mixed The return value or null if the query failed.
Depuis
1.7.0
Exceptions
RuntimeException

Références $offset, et $row.

◆ loadNextObject()

loadNextObject ( $class = 'stdClass' )

Method to get the next row in the result set from the database query as an object.

Paramètres
string $class The class name to use for the returned row object.
Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
1.7.0
Exceptions
RuntimeException
Obsolète:
4.0 - Use getIterator() instead

Références $class, $row, et null.

◆ loadNextRow()

loadNextRow ( )

Method to get the next row in the result set from the database query as an array.

Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
1.7.0
Exceptions
RuntimeException
Obsolète:
4.0 (CMS) Use JDatabaseDriver::getIterator() instead

Références $row, et null.

◆ loadObject()

loadObject ( $class = 'stdClass' )

Method to get the first row of the result set from the database query as an object.

Paramètres
string $class The class name to use for the returned row object.
Renvoie
mixed The return value or null if the query failed.
Depuis
1.7.0
Exceptions
RuntimeException

Références $class, et null.

◆ loadObjectList()

loadObjectList | ( | $key = '',
 |  | $class = 'stdClass'
 | ) |

Method to get an array of the result set rows from the database query where each row is an object. The array of objects can optionally be keyed by a field name, but defaults to a sequential numeric array.

NOTE: Choosing to key the result array by a non-unique field name can result in unwanted behavior and should be avoided.

Paramètres
string | $key | The name of a field on which to key the result array.
string | $class | The class name to use for the returned row objects.
Renvoie
mixed The return value or null if the query failed.
Depuis
1.7.0
Exceptions
RuntimeException

Références $class, $key, et $row.

◆ loadResult()

loadResult ( )

Method to get the first field of the first row of the result set from the database query.

Renvoie
mixed The return value or null if the query failed.
Depuis
1.7.0
Exceptions
RuntimeException

Références $row, et null.

◆ loadRow()

loadRow ( )

Method to get the first row of the result set from the database query as an array. Columns are indexed numerically so the first column in the result set would be accessible via $row[0], etc.

Renvoie
mixed The return value or null if the query failed.
Depuis
1.7.0
Exceptions
RuntimeException

Références $row, et null.

◆ loadRowList()

loadRowList ( $index = null )

Method to get an array of the result set rows from the database query where each row is an array. The array of objects can optionally be keyed by a field offset, but defaults to a sequential numeric array.

NOTE: Choosing to key the result array by a non-unique field can result in unwanted behavior and should be avoided.

Paramètres
integer $index The index of a field on which to key the result array.
Renvoie
mixed The return value or null if the query failed.
Depuis
1.7.0
Exceptions
RuntimeException

Références $row, et null.

◆ lockTable()

lockTable ( $tableName )
abstract

Locks a table in the database.

Paramètres
string $tableName The name of the table to unlock.
Renvoie
JDatabaseDriver Returns this object to support chaining.
Depuis
2.5.0
Exceptions
RuntimeException

◆ quote()

quote | ( | $text,
 |  | $escape = true
 | ) |

Quotes and optionally escapes a string to database requirements for use in database queries.

Paramètres
mixed | $text | A string or an array of strings to quote.
boolean | $escape | True (default) to escape the string, false to leave it unchanged.
Renvoie
string|array The quoted input.
Note
Accepting an array of strings was added in 12.3.
Depuis
1.7.0

Références $text.

◆ quoteBinary()

quoteBinary ( $data )

Quotes a binary string to database requirements for use in database queries.

Paramètres
mixed $data A binary string to quote.
Renvoie
string The binary quoted input string.
Depuis
3.9.12

Références $data.

◆ quoteName()

quoteName | ( | $name,
 |  | $as = null
 | ) |

Wrap an SQL statement identifier name such as column, table or database names in quotes to prevent injection risks and reserved word conflicts.

Paramètres
mixed | $name | The identifier name to wrap in quotes, or an array of identifier names to wrap in quotes. Each type supports dot-notation name.
mixed | $as | The AS query part associated to $name. It can be string or array, in latter case it has to be same length of $name; if is null there will not be any AS part for string or array element.
Renvoie
mixed The quote wrapped name, same type of $name.
Depuis
1.7.0

Références $count, $i, $name, et elseif.

◆ quoteNameStr()

quoteNameStr ( $strArr )
protected

Quote strings coming from quoteName call.

Paramètres
array $strArr Array of strings coming from quoteName dot-explosion.
Renvoie
string Dot-imploded string of quoted parts.
Depuis
1.7.3

Références $parts.

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |
abstract

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Table prefix
string | $prefix | For the table - used to rename constraints in non-mysql databases
Renvoie
JDatabaseDriver Returns this object to support chaining.
Depuis
2.5.0
Exceptions
RuntimeException

◆ replacePrefix()

replacePrefix | ( | $sql,
 |  | $prefix = '#__'
 | ) |

This function replaces a string identifier $prefix with the string held is the tablePrefix class variable.

Paramètres
string | $sql | The SQL statement to prepare.
string | $prefix | The common table prefix.
Renvoie
string The processed SQL statement.
Depuis
1.7.0

Références $n, et $prefix.

◆ select()

select ( $database )
abstract

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
1.7.0
Exceptions
RuntimeException

◆ setDebug()

setDebug ( $level )

Sets the database debugging state for the driver.

Paramètres
boolean $level True to enable debugging.
Renvoie
boolean The old debugging level.
Depuis
1.7.0
Obsolète:
4.0 This will be removed in Joomla 4 without replacement

◆ setQuery()

setQuery | ( | $query,
 |  | $offset = 0,
 |  | $limit = 0
 | ) |

Sets the SQL statement string for later execution.

Paramètres
mixed | $query | The SQL statement to set either as a JDatabaseQuery object or a string.
integer | $offset | The affected row offset to set.
integer | $limit | The maximum affected rows to set.
Renvoie
JDatabaseDriver This object to support method chaining.
Depuis
1.7.0

Références $limit, $offset, et $query.

◆ setUtf()

setUtf ( )
abstract

Set the connection to use UTF-8 character encoding.

Renvoie
boolean True on success.
Depuis
1.7.0

◆ splitSql()

static splitSql ( $sql )
static

Splits a string of multiple queries into an array of individual queries. Single line or line end comments and multi line comments are stripped off.

Paramètres
string $sql Input SQL string with which to split into individual queries.
Renvoie
array The queries from the input string separated into an array.
Depuis
1.7.0

Références $current, $i, $query, $start, et elseif.

Référencé par ChangeSet\getUpdateQueries(), Installer\parseSchemaUpdates(), Installer\parseSQLFiles(), et JDatabase\splitSql().

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )
abstract

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
1.7.0
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )
abstract

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
1.7.0
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )
abstract

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
1.7.0
Exceptions
RuntimeException

◆ truncateTable()

truncateTable ( $table )

Method to truncate a table.

Paramètres
string $table The table to truncate
Renvoie
void
Depuis
1.7.3
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )
abstract

Unlocks tables in the database.

Renvoie
JDatabaseDriver Returns this object to support chaining.
Depuis
2.5.0
Exceptions
RuntimeException

◆ updateObject()

updateObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key,
 |  |  | $nulls = false
 | ) |  |

Updates a row in a table based on an object's properties.

Paramètres
string | $table | The name of the database table to update.
object | &$object | A reference to an object whose public properties match the table fields.
array | string | $key | The name of the primary key.
boolean | $nulls | True to update null fields or false to ignore them.
Renvoie
boolean True on success.
Depuis
1.7.0
Exceptions
RuntimeException

Références $fields, $key, et null.

Documentation des champs

◆ $_database

$_database
private

◆ $callStacks

$callStacks = array()
protected

◆ $connection

$connection
protected

◆ $count

$count = 0
protected

◆ $cursor

$cursor
protected

◆ $dbMinimum

$dbMinimum
staticprotected

◆ $debug

$debug = false
protected

◆ $disconnectHandlers

$disconnectHandlers = array()
protected

◆ $errorMsg

$errorMsg
protected

◆ $errorNum

$errorNum = 0
protected

◆ $instances

$instances = array()
staticprotected

◆ $limit

$limit = 0
protected

◆ $log

$log = array()
protected

◆ $name

$name

◆ $nameQuote

$nameQuote
protected

◆ $nullDate

$nullDate
protected

◆ $offset

$offset = 0
protected

◆ $options

$options
protected

◆ $serverType

$serverType

◆ $sql

$sql
protected

◆ $tablePrefix

$tablePrefix
protected

◆ $timings

$timings = array()
protected

◆ $transactionDepth

$transactionDepth = 0
protected

◆ $utf

$utf = true
protected

◆ $utf8mb4

$utf8mb4 = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/driver.php


Joomla CMS: Référence de la classe JDatabaseDriverMysql

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Fonctions membres privées
Référence de la classe JDatabaseDriverMysql
+ Graphe d'héritage de JDatabaseDriverMysql:
JDatabaseDriverMysqli JDatabaseDriver JDatabase JDatabaseInterface JDatabaseMysql

Fonctions membres publiques

__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
getVersion ()
insertid ()
execute ()
select ($database)
setUtf ()
- Fonctions membres publiques hérités de JDatabaseDriverMysqli
__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cursor=null)
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getVersion ()
insertid ()
lockTable ($table)
execute ()
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
unlockTables ()
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriverMysqli
static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'mysql'
- Champs de données hérités de JDatabaseDriverMysqli
$name = 'mysqli'
$serverType = 'mysql'
- Champs de données hérités de JDatabaseDriver
$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriverMysqli
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Fonctions membres privées

hasProfiling ()
hasQueryCacheEnabled ()
serverClaimsUtf8mb4Support ()

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseDriverMysqli
$connection
$nameQuote = '`'
$nullDate = '0000-00-00 00:00:00'
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()
- Attributs protégés statiques hérités de JDatabaseDriverMysqli
static | $dbMinimum = '5.0.4'
- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

MySQL database driver

3.0.0 deprecated 269.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options Array of database options with keys: host, user, password, database, select.
Depuis
3.0.0

Références $options.

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.0.0
Exceptions
RuntimeException

◆ connected()

connected ( )

Determines if the connection to the server is active.

Renvoie
boolean True if connected to the database engine.
Depuis
3.0.0

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
3.0.0

Références null.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
3.0.0

Références $text.

◆ execute()

execute ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
3.0.0
Exceptions
RuntimeException

Références $limit, $query, et null.

◆ fetchArray()

fetchArray ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
protected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | The class name to use for the returned row object.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

Références $class.

◆ freeResult()

freeResult ( $cursor = null )
protected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
3.0.0

◆ getAffectedRows()

getAffectedRows ( )

Get the number of affected rows by the last INSERT, UPDATE, REPLACE or DELETE for the previous executed SQL statement.

Renvoie
integer The number of affected rows.
Depuis
3.0.0

◆ getErrorMessage()

getErrorMessage ( )
protected

Return the actual SQL Error message

Renvoie
string The SQL Error message
Depuis
3.4.6

◆ getErrorNumber()

getErrorNumber ( )
protected

Return the actual SQL Error number

Renvoie
integer The SQL Error number
Depuis
3.4.6

◆ getNumRows()

getNumRows ( $cursor = null )

Get the number of returned rows for the previous executed SQL statement. This command is only valid for statements like SELECT or SHOW that return an actual result set. To retrieve the number of rows affected by an INSERT, UPDATE, REPLACE or DELETE query, use getAffectedRows().

Paramètres
resource $cursor An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
3.0.0

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
3.0.0

◆ hasProfiling()

hasProfiling ( )
private

Internal function to check if profiling is available

Renvoie
boolean
Depuis
3.1.3

Références $row.

◆ hasQueryCacheEnabled()

hasQueryCacheEnabled ( )
private

Internal function to check if query cache is enabled.

Renvoie
boolean
Depuis
3.9.25

Références $row.

◆ insertid()

insertid ( )

Method to get the auto-incremented value from the last INSERT statement.

Renvoie
integer The value of the auto-increment field from the last inserted row.
Depuis
3.0.0

◆ isSupported()

static isSupported ( )
static

Test to see if the MySQL connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

Implémente JDatabaseInterface.

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
3.0.0
Exceptions
RuntimeException

◆ serverClaimsUtf8mb4Support()

serverClaimsUtf8mb4Support ( )
private

Does the database server claim to have support for UTF-8 Multibyte (utf8mb4) collation?

libmysql supports utf8mb4 since 5.5.3 (same version as the MySQL server). mysqlnd supports utf8mb4 since 5.0.9.

Renvoie
boolean
Depuis
CMS 3.5.0

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Renvoie
boolean True on success.
Depuis
3.0.0

If I could not set the utf8mb4 charset then the server doesn't support utf8mb4 despite claiming otherwise. This happens on old MySQL server versions (less than 5.5.3) using the mysqlnd PHP driver. Since mysqlnd masks the server version and reports only its own we can not be sure if the server actually does support UTF-8 Multibyte (i.e. it's MySQL 5.5.3 or later). Since the utf8mb4 charset is undefined in this case we catch the error and determine that utf8mb4 is not supported!

Documentation des champs

◆ $name

$name = 'mysql'
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/driver/mysql.php


Joomla CMS: Référence de la classe JDatabaseDriverMysqli

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Fonctions membres privées
Référence de la classe JDatabaseDriverMysqli
+ Graphe d'héritage de JDatabaseDriverMysqli:
JDatabaseDriver JDatabase JDatabaseInterface JDatabaseDriverMysql JDatabaseMysqli JDatabaseMysql

Fonctions membres publiques

__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cursor=null)
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getVersion ()
insertid ()
lockTable ($table)
execute ()
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
unlockTables ()
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'mysqli'
$serverType = 'mysql'
- Champs de données hérités de JDatabaseDriver
$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$connection
$nameQuote = '`'
$nullDate = '0000-00-00 00:00:00'
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $dbMinimum = '5.0.4'
- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Fonctions membres privées

hasProfiling ()
hasQueryCacheEnabled ()
serverClaimsUtf8mb4Support ()

Description détaillée

MySQLi database driver

3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options List of options used to configure the connection
Depuis
3.0.0

Références $options, et null.

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.0.0
Exceptions
RuntimeException

Références elseif, et null.

◆ connected()

connected ( )

Determines if the connection to the server is active.

Renvoie
boolean True if connected to the database engine.
Depuis
3.0.0

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
3.0.0

Références null.

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
JDatabaseDriverMysqli Returns this object to support chaining.
Depuis
3.0.1
Exceptions
RuntimeException

Références $query.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
3.0.0

Références $text.

◆ execute()

execute ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
3.0.0
Exceptions
RuntimeException

Références $limit, $query, et null.

◆ fetchArray()

fetchArray ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
protected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | The class name to use for the returned row object.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

Références $class.

◆ freeResult()

freeResult ( $cursor = null )
protected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
3.0.0

Références null.

◆ getAffectedRows()

getAffectedRows ( )

Get the number of affected rows by the last INSERT, UPDATE, REPLACE or DELETE for the previous executed SQL statement.

Renvoie
integer The number of affected rows.
Depuis
3.0.0

◆ getCollation()

getCollation ( )

Method to get the database collation.

Renvoie
mixed The collation in use by the database (string) or boolean false if not supported.
Depuis
3.0.1
Exceptions
RuntimeException

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getErrorMessage()

getErrorMessage ( )
protected

Return the actual SQL Error message

Renvoie
string The SQL Error message
Depuis
3.4.6

◆ getErrorNumber()

getErrorNumber ( )
protected

Return the actual SQL Error number

Renvoie
integer The SQL Error number
Depuis
3.4.6

◆ getNumRows()

getNumRows ( $cursor = null )

Get the number of returned rows for the previous executed SQL statement. This command is only valid for statements like SELECT or SHOW that return an actual result set. To retrieve the number of rows affected by an INSERT, UPDATE, REPLACE or DELETE query, use getAffectedRows().

Paramètres
resource $cursor An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
3.0.0

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
3.0.1
Exceptions
RuntimeException

Références $field, et $fields.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
3.0.0
Exceptions
RuntimeException

Références $row.

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
3.0.1
Exceptions
RuntimeException

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
3.0.1
Exceptions
RuntimeException

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
3.0.0

◆ hasProfiling()

hasProfiling ( )
private

Internal function to check if profiling is available

Renvoie
boolean
Depuis
3.1.3

Références $row.

◆ hasQueryCacheEnabled()

hasQueryCacheEnabled ( )
private

Internal function to check if query cache is enabled.

Renvoie
boolean
Depuis
3.9.25

Références $row.

◆ insertid()

insertid ( )

Method to get the auto-incremented value from the last INSERT statement.

Renvoie
mixed The value of the auto-increment field from the last inserted row. If the value is greater than maximal int value, it will return a string.
Depuis
3.0.0

◆ isSupported()

static isSupported ( )
static

Test to see if the MySQL connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

Implémente JDatabaseInterface.

Référencé par JDatabaseDriver\getInstance().

◆ lockTable()

lockTable ( $table )

Locks a table in the database.

Paramètres
string $table The name of the table to unlock.
Renvoie
JDatabaseDriverMysqli Returns this object to support chaining.
Depuis
3.0.1
Exceptions
RuntimeException

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by MySQL.
string | $prefix | Not used by MySQL.
Renvoie
JDatabaseDriverMysqli Returns this object to support chaining.
Depuis
3.0.1
Exceptions
RuntimeException

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
3.0.0
Exceptions
RuntimeException

◆ serverClaimsUtf8mb4Support()

serverClaimsUtf8mb4Support ( )
private

Does the database server claim to have support for UTF-8 Multibyte (utf8mb4) collation?

libmysql supports utf8mb4 since 5.5.3 (same version as the MySQL server). mysqlnd supports utf8mb4 since 5.0.9.

Renvoie
boolean
Depuis
CMS 3.5.0

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Renvoie
boolean True on success.
Depuis
3.0.0

If I could not set the utf8mb4 charset then the server doesn't support utf8mb4 despite claiming otherwise. This happens on old MySQL server versions (less than 5.5.3) using the mysqlnd PHP driver. Since mysqlnd masks the server version and reports only its own we can not be sure if the server actually does support UTF-8 Multibyte (i.e. it's MySQL 5.5.3 or later). Since the utf8mb4 charset is undefined in this case we catch the error and determine that utf8mb4 is not supported!

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
3.0.1
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
3.0.1
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
3.0.1
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database.

Renvoie
JDatabaseDriverMysqli Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

Documentation des champs

◆ $connection

$connection
protected

◆ $dbMinimum

$dbMinimum = '5.0.4'
staticprotected

◆ $name

$name = 'mysqli'

◆ $nameQuote

$nameQuote = '`'
protected

◆ $nullDate

$nullDate = '0000-00-00 00:00:00'
protected

◆ $serverType

$serverType = 'mysql'
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/driver/mysqli.php


Joomla CMS: Référence de la classe JDatabaseDriverOracle

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe JDatabaseDriverOracle
+ Graphe d'héritage de JDatabaseDriverOracle:
JDatabaseDriverPdo JDatabaseDriver JDatabase JDatabaseInterface

Fonctions membres publiques

__construct ($options)
connect ()
disconnect ()
dropTable ($tableName, $ifExists=true)
getCollation ()
getConnectionCollation ()
getConnectedQuery ()
getDateFormat ()
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ($databaseName=null, $includeDatabaseName=false)
getVersion ()
select ($database)
setDateFormat ($dateFormat='DD-MON-RR')
setUtf ()
lockTable ($table)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
unlockTables ()
replacePrefix ($query, $prefix='#__')
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
getAlterTableCharacterSet ($tableName)
- Fonctions membres publiques hérités de JDatabaseDriverPdo
__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
execute ()
getOption ($key)
getConnectedQuery ()
getVersion ()
setOption ($key, $value)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
insertid ()
select ($database)
setQuery ($query, $offset=null, $limit=null, $driverOptions=array())
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
loadNextObject ($class='stdClass')
loadNextAssoc ()
loadNextRow ()
__sleep ()
__wakeup ()
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriverPdo
static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'oracle'
$serverType = 'oracle'
- Champs de données hérités de JDatabaseDriverPdo
$name = 'pdo'
- Champs de données hérités de JDatabaseDriver
$name
$serverType

Fonctions membres protégées

getCreateDatabaseQuery ($options, $utf)
- Fonctions membres protégées hérités de JDatabaseDriverPdo
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$nameQuote = '"'
$dateformat
$charset
- Attributs protégés hérités de JDatabaseDriverPdo
$connection
$nameQuote = "'"
$nullDate = '0000-00-00 00:00:00'
$prepared
$executed = false
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

Oracle database driver

3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options List of options used to configure the connection
Depuis
3.0.0

Références $options.

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.0.0
Exceptions
RuntimeException

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
3.0.0

Références null.

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Note: The IF EXISTS flag is unused in the Oracle driver.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
JDatabaseDriverOracle Returns this object to support chaining.
Depuis
3.0.0

Références $query.

◆ getAlterTableCharacterSet()

getAlterTableCharacterSet ( $tableName )

Get the query strings to alter the character set and collation of a table.

Paramètres
string $tableName The name of the table
Renvoie
string[] The queries required to alter the table's character set and collation
Depuis
CMS 3.5.0

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
3.0.0

◆ getConnectedQuery()

getConnectedQuery ( )

Get a query to run and verify the database is operational.

Renvoie
string The query to check the health of the DB.
Depuis
3.0.1

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getCreateDatabaseQuery()

getCreateDatabaseQuery | ( | $options,
 |  | $utf
 | ) |
protected

Return the query string to create new Database. Each database driver, other than MySQL, need to override this member to return correct string.

Paramètres
stdClass | $options | Object used to pass user and database name to database driver. This object must have "db_name" and "db_user" set.
boolean | $utf | True if the database supports the UTF-8 character set.
Renvoie
string The query that creates database
Depuis
3.0.1

Références $options.

◆ getDateFormat()

getDateFormat ( )

Returns the current date format This method should be useful in the case that somebody actually wants to use a different date format and needs to check what the current one is to see if it needs to be changed.

Renvoie
string The current date format
Depuis
3.0.0

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
3.0.0
Exceptions
RuntimeException

Références $columns, $field, $fields, $query, et null.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

Note: You must have the correct privileges before this method will return usable results!

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
3.0.0
Exceptions
RuntimeException

Références $query.

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
3.0.0
Exceptions
RuntimeException

Références $query.

◆ getTableList()

getTableList | ( | $databaseName = null,
 |  | $includeDatabaseName = false
 | ) |

Method to get an array of all tables in the database (schema).

Paramètres
string | $databaseName | The database (schema) name
boolean | $includeDatabaseName | Whether to include the schema name in the results
Renvoie
array An array of all the tables in the database.
Depuis
3.0.0
Exceptions
RuntimeException

Références $query.

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
3.0.0

◆ isSupported()

static isSupported ( )
static

Test to see if the PDO ODBC connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

Implémente JDatabaseInterface.

◆ lockTable()

lockTable ( $table )

Locks a table in the database.

Paramètres
string $table The name of the table to unlock.
Renvoie
JDatabaseDriverOracle Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by Oracle.
string | $prefix | Not used by Oracle.
Renvoie
JDatabaseDriverOracle Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

◆ replacePrefix()

replacePrefix | ( | $query,
 |  | $prefix = '#__'
 | ) |

This function replaces a string identifier $prefix with the string held is the tablePrefix class variable.

Paramètres
string | $query | The SQL statement to prepare.
string | $prefix | The common table prefix.
Renvoie
string The processed SQL statement.
Depuis
1.7.0

Références $n, $prefix, et $query.

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
3.0.0
Exceptions
RuntimeException

◆ setDateFormat()

setDateFormat ( $dateFormat = 'DD-MON-RR' )

Sets the Oracle Date Format for the session Default date format for Oracle is = DD-MON-RR The default date format for this driver is: 'RRRR-MM-DD HH24:MI:SS' since it is the format that matches the MySQL one used within most Joomla tables.

Paramètres
string $dateFormat Oracle Date Format String
Renvoie
boolean
Depuis
3.0.0

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Returns false automatically for the Oracle driver since you can only set the character set when the connection is created.

Renvoie
boolean True on success.
Depuis
3.0.0

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
3.1.4
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
3.1.4
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
3.1.4
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database.

Renvoie
JDatabaseDriverOracle Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

Documentation des champs

◆ $charset

$charset
protected

◆ $dateformat

$dateformat
protected

◆ $name

$name = 'oracle'

◆ $nameQuote

$nameQuote = '"'
protected

◆ $serverType

$serverType = 'oracle'
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/driver/oracle.php


Joomla CMS: Référence de la classe JDatabaseDriverPdo

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe JDatabaseDriverPdo
+ Graphe d'héritage de JDatabaseDriverPdo:
JDatabaseDriver JDatabase JDatabaseInterface JDatabaseDriverOracle JDatabaseDriverPdomysql JDatabaseDriverPgsql JDatabaseDriverSqlite

Fonctions membres publiques

__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
execute ()
getOption ($key)
getConnectedQuery ()
getVersion ()
setOption ($key, $value)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
insertid ()
select ($database)
setQuery ($query, $offset=null, $limit=null, $driverOptions=array())
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
loadNextObject ($class='stdClass')
loadNextAssoc ()
loadNextRow ()
__sleep ()
__wakeup ()
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'pdo'
- Champs de données hérités de JDatabaseDriver
$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$connection
$nameQuote = "'"
$nullDate = '0000-00-00 00:00:00'
$prepared
$executed = false
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

Joomla Platform PDO Database Driver Class

3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options List of options used to configure the connection
Depuis
3.0.0

Références $options.

Documentation des fonctions membres

◆ __sleep()

__sleep ( )

PDO does not support serialize

Renvoie
array
Depuis
3.1.4

◆ __wakeup()

__wakeup ( )

Wake up after serialization

Renvoie
array
Depuis
3.1.4

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.0.0
Exceptions
RuntimeException

Références $format.

◆ connected()

connected ( )

Determines if the connection to the server is active.

Renvoie
boolean True if connected to the database engine.
Depuis
3.0.0

Références $limit, $offset, et $query.

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
3.0.0

Références null.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Oracle escaping reference: http://www.orafaq.com/wiki/SQL_FAQ#How_does_one_escape_special_characters_when_writing_SQL_queries.3F

SQLite escaping notes: http://www.sqlite.org/faq.html#q14

Method body is as implemented by the Zend Framework

Note: Using query objects with bound variables is preferable to the below.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Unused optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
3.0.0

Références $text.

◆ execute()

execute ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
3.0.0
Exceptions
RuntimeException
Exception

Références $key, $query, et null.

◆ fetchArray()

fetchArray ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
protected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | Unused, only necessary so method signature will be the same as parent.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

Références $class.

◆ freeResult()

freeResult ( $cursor = null )
protected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
3.0.0

Références null.

◆ getAffectedRows()

getAffectedRows ( )

Get the number of affected rows for the previous executed SQL statement. Only applicable for DELETE, INSERT, or UPDATE statements.

Renvoie
integer The number of affected rows.
Depuis
3.0.0

◆ getConnectedQuery()

getConnectedQuery ( )

Get a query to run and verify the database is operational.

Renvoie
string The query to check the health of the DB.
Depuis
3.0.1

◆ getErrorMessage()

getErrorMessage ( )
protected

Return the actual SQL Error message

Renvoie
string The SQL Error message
Depuis
3.4.6

◆ getErrorNumber()

getErrorNumber ( )
protected

Return the actual SQL Error number

Renvoie
integer The SQL Error number
Depuis
3.4.6

◆ getNumRows()

getNumRows ( $cursor = null )

Get the number of returned rows for the previous executed SQL statement. Only applicable for DELETE, INSERT, or UPDATE statements.

Paramètres
resource $cursor An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
3.0.0

Références elseif.

◆ getOption()

getOption ( $key )

Retrieve a PDO database connection attribute

Usage: $db->getOption(PDO::ATTR_CASE);

Paramètres
mixed $key One of the PDO::ATTR_* Constants
Renvoie
mixed

3.0.0

Références $key.

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
3.9.0

◆ insertid()

insertid ( )

Method to get the auto-incremented value from the last INSERT statement.

Renvoie
string The value of the auto-increment field from the last inserted row.
Depuis
3.0.0

◆ isSupported()

static isSupported ( )
static

Test to see if the PDO extension is available. Override as needed to check for specific PDO Drivers.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

Implémente JDatabaseInterface.

◆ loadNextAssoc()

loadNextAssoc ( )

Method to get the next row in the result set from the database query as an array.

Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
3.0.0
Exceptions
RuntimeException

Références $row, et null.

◆ loadNextObject()

loadNextObject ( $class = 'stdClass' )

Method to get the next row in the result set from the database query as an object.

Paramètres
string $class The class name to use for the returned row object.
Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
3.0.0
Exceptions
RuntimeException
Obsolète:
4.0 (CMS) Use getIterator() instead

Références $class, $row, et null.

◆ loadNextRow()

loadNextRow ( )

Method to get the next row in the result set from the database query as an array.

Renvoie
mixed The result of the query as an array, false if there are no more rows.
Depuis
3.0.0
Exceptions
RuntimeException
Obsolète:
4.0 (CMS) Use getIterator() instead

Références $row, et null.

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
3.0.0
Exceptions
RuntimeException

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Sets an attribute on the PDO database handle.

Usage: $db->setOption(PDO::ATTR_CASE, PDO::CASE_UPPER);

Paramètres
integer | $key | One of the PDO::ATTR_* Constants
mixed | $value | One of the associated PDO Constants related to the particular attribute key.
Renvoie
boolean

3.0.0

Références $key, et $value.

◆ setQuery()

setQuery | ( | $query,
 |  | $offset = null,
 |  | $limit = null,
 |  | $driverOptions = array()
 | ) |

Sets the SQL statement string for later execution.

Paramètres
mixed | $query | The SQL statement to set either as a JDatabaseQuery object or a string.
integer | $offset | The affected row offset to set.
integer | $limit | The maximum affected rows to set.
array | $driverOptions | The optional PDO driver options.
Renvoie
JDatabaseDriver This object to support method chaining.
Depuis
3.0.0

Références $limit, $offset, et $query.

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Renvoie
boolean True on success.
Depuis
3.0.0

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
3.0.0
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
3.0.0
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
3.0.0
Exceptions
RuntimeException

Documentation des champs

◆ $connection

$connection
protected

◆ $executed

$executed = false
protected

◆ $name

$name = 'pdo'

◆ $nameQuote

$nameQuote = "'"
protected

◆ $nullDate

$nullDate = '0000-00-00 00:00:00'
protected

◆ $prepared

$prepared
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/driver/pdo.php


Joomla CMS: Référence de la classe JDatabaseDriverPdomysql

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés | Attributs protégés statiques | Fonctions membres privées
Référence de la classe JDatabaseDriverPdomysql
+ Graphe d'héritage de JDatabaseDriverPdomysql:
JDatabaseDriverPdo JDatabaseDriver JDatabase JDatabaseInterface

Fonctions membres publiques

__construct ($options)
connect ()
dropTable ($tableName, $ifExists=true)
select ($database)
getCollation ()
getConnectionCollation ()
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
lockTable ($table)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
escape ($text, $extra=false)
unlockTables ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
- Fonctions membres publiques hérités de JDatabaseDriverPdo
__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
execute ()
getOption ($key)
getConnectedQuery ()
getVersion ()
setOption ($key, $value)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
insertid ()
select ($database)
setQuery ($query, $offset=null, $limit=null, $driverOptions=array())
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
loadNextObject ($class='stdClass')
loadNextAssoc ()
loadNextRow ()
__sleep ()
__wakeup ()
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriverPdo
static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'pdomysql'
$serverType = 'mysql'
- Champs de données hérités de JDatabaseDriverPdo
$name = 'pdo'
- Champs de données hérités de JDatabaseDriver
$name
$serverType

Attributs protégés

$nameQuote = '`'
$nullDate = '0000-00-00 00:00:00'
- Attributs protégés hérités de JDatabaseDriverPdo
$connection
$nameQuote = "'"
$nullDate = '0000-00-00 00:00:00'
$prepared
$executed = false
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $dbMinimum = '5.0.4'
- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Fonctions membres privées

hasProfiling ()
hasQueryCacheEnabled ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseDriverPdo
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Description détaillée

MySQL database driver supporting PDO based connections

3.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Constructor.

Paramètres
array $options Array of database options with keys: host, user, password, database, select.
Depuis
3.4

Pre-populate the UTF-8 Multibyte compatibility flag. Unfortunately PDO won't report the server version unless we're connected to it, and we cannot connect to it unless we know if it supports utf8mb4, which requires us knowing the server version. Because of this chicken and egg issue, we assume it's supported and we'll just catch any problems at connection time.

Références $options.

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.4
Exceptions
RuntimeException

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
JDatabaseDriverPdomysql Returns this object to support chaining.
Depuis
3.4
Exceptions
RuntimeException

Références $query.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Oracle escaping reference: http://www.orafaq.com/wiki/SQL_FAQ#How_does_one_escape_special_characters_when_writing_SQL_queries.3F

SQLite escaping notes: http://www.sqlite.org/faq.html#q14

Method body is as implemented by the Zend Framework

Note: Using query objects with bound variables is preferable to the below.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Unused optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
3.4

Références $text.

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database (string) or boolean false if not supported.
Depuis
3.4
Exceptions
RuntimeException

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
3.4
Exceptions
RuntimeException

Références $field, et $fields.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
3.4
Exceptions
RuntimeException

Références $row.

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
3.4
Exceptions
RuntimeException

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
3.4
Exceptions
RuntimeException

◆ hasProfiling()

hasProfiling ( )
private

Internal function to check if profiling is available.

Renvoie
boolean
Depuis
3.9.1

◆ hasQueryCacheEnabled()

hasQueryCacheEnabled ( )
private

Internal function to check if query cache is enabled.

Renvoie
boolean
Depuis
3.9.25

◆ isSupported()

static isSupported ( )
static

Test to see if the MySQL connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.4

Implémente JDatabaseInterface.

Référencé par JDatabaseDriver\getInstance().

◆ lockTable()

lockTable ( $table )

Locks a table in the database.

Paramètres
string $table The name of the table to unlock.
Renvoie
JDatabaseDriverPdomysql Returns this object to support chaining.
Depuis
3.4
Exceptions
RuntimeException

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by MySQL.
string | $prefix | Not used by MySQL.
Renvoie
JDatabaseDriverPdomysql Returns this object to support chaining.
Depuis
3.4
Exceptions
RuntimeException

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
3.4
Exceptions
RuntimeException

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
3.4
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
3.4
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
3.4
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database.

Renvoie
JDatabaseDriverPdomysql Returns this object to support chaining.
Depuis
3.4
Exceptions
RuntimeException

Documentation des champs

◆ $dbMinimum

$dbMinimum = '5.0.4'
staticprotected

◆ $name

$name = 'pdomysql'

◆ $nameQuote

$nameQuote = '`'
protected

◆ $nullDate

$nullDate = '0000-00-00 00:00:00'
protected

◆ $serverType

$serverType = 'mysql'
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/driver/pdomysql.php


Joomla CMS: Référence de la classe JDatabaseDriverPgsql

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs protégés | Attributs protégés statiques | Fonctions membres privées
Référence de la classe JDatabaseDriverPgsql
+ Graphe d'héritage de JDatabaseDriverPgsql:
JDatabaseDriverPdo JDatabaseDriver JDatabase JDatabaseInterface

Fonctions membres publiques

__construct ($options)
connect ()
dropTable ($tableName, $ifExists=true)
getCollation ()
getConnectionCollation ()
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getTableSequences ($table)
lockTable ($tableName)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
sqlValue ($columns, $fieldName, $fieldValue)
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
insertObject ($table, &$object, $key=null)
showTables ()
getStringPositionSql ($substring, $string)
getRandom ()
getAlterDbCharacterSet ($dbName)
getCreateDbQuery ($options, $utf)
replacePrefix ($sql, $prefix='#__')
unlockTables ()
updateObject ($table, &$object, $key, $nulls=false)
quoteBinary ($data)
- Fonctions membres publiques hérités de JDatabaseDriverPdo
__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
execute ()
getOption ($key)
getConnectedQuery ()
getVersion ()
setOption ($key, $value)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
insertid ()
select ($database)
setQuery ($query, $offset=null, $limit=null, $driverOptions=array())
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
loadNextObject ($class='stdClass')
loadNextAssoc ()
loadNextRow ()
__sleep ()
__wakeup ()
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriverPdo
static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'pgsql'
- Champs de données hérités de JDatabaseDriverPdo
$name = 'pdo'
- Champs de données hérités de JDatabaseDriver
$name
$serverType

Attributs protégés

$nameQuote = '"'
$nullDate = '1970-01-01 00:00:00'
$concat_operator = '||'
- Attributs protégés hérités de JDatabaseDriverPdo
$connection
$nameQuote = "'"
$nullDate = '0000-00-00 00:00:00'
$prepared
$executed = false
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $dbMinimum = '8.3.18'
- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Fonctions membres privées

getDefaultSchema ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseDriverPdo
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Description détaillée

PostgreSQL PDO Database Driver

3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Database object constructor

Paramètres
array $options List of options used to configure the connection
Depuis
3.9.0

Références $options, et null.

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.9.0
Exceptions

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
boolean true
Depuis
3.9.0
Exceptions

◆ getAlterDbCharacterSet()

getAlterDbCharacterSet ( $dbName )

Get the query string to alter the database character set.

Paramètres
string $dbName The database name
Renvoie
string The query that alter the database query string
Depuis
3.9.0

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
3.9.0
Exceptions

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database connection (string) or boolean false if not supported.
Depuis
3.9.0
Exceptions

◆ getCreateDbQuery()

getCreateDbQuery | ( | $options,
 |  | $utf
 | ) |

Get the query string to create new Database in correct PostgreSQL syntax.

Paramètres
object | $options | object coming from "initialise" function to pass user and database name to database driver.
boolean | $utf | True if the database supports the UTF-8 character set, not used in PostgreSQL "CREATE DATABASE" query.
Renvoie
string The query that creates database, owned by $options['user']
Depuis
3.9.0

Références $options, et $query.

◆ getDefaultSchema()

getDefaultSchema ( )
private

Internal function to get the name of the default schema for the current PostgreSQL connection. That is the schema where tables are created by Joomla.

Renvoie
string
Depuis
3.9.24

◆ getRandom()

getRandom ( )

Generate a random value

Renvoie
float The random generated number
Depuis
3.9.0

◆ getStringPositionSql()

getStringPositionSql | ( | $substring,
 |  | $string
 | ) |

Get the substring position inside a string

Paramètres
string | $substring | The string being sought
string | $string | The string/column being searched
Renvoie
integer The position of $substring in $string
Depuis
3.9.0

Références $position.

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
3.9.0
Exceptions

Références $field, $fields, et null.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

This is unsupported by PostgreSQL.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
string An empty string because this function is not supported by PostgreSQL.
Depuis
3.9.0
Exceptions

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
3.9.0
Exceptions

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
3.9.0
Exceptions

Références $query.

◆ getTableSequences()

getTableSequences ( $table )

Get the details list of sequences for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of sequences specification for the table.
Depuis
3.9.0
Exceptions

Références $name, et $query.

◆ insertObject()

insertObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key = null
 | ) |  |

Inserts a row into a table based on an object's properties.

Paramètres
string | $table | The name of the database table to insert into.
object | &$object | A reference to an object whose public properties match the table fields.
string | $key | The name of the primary key. If provided the object property is updated.
Renvoie
boolean True on success.
Depuis
3.9.0
Exceptions

Références $columns, $fields, $id, $key, $query, et null.

◆ isSupported()

static isSupported ( )
static

Test to see if the PostgreSQL connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.9.0

Implémente JDatabaseInterface.

◆ lockTable()

lockTable ( $tableName )

Locks a table in the database.

Paramètres
string $tableName The name of the table to unlock.
Renvoie
JDatabaseDriverPgsql Returns this object to support chaining.
Depuis
3.9.0
Exceptions

◆ quoteBinary()

quoteBinary ( $data )

Quotes a binary string to database requirements for use in database queries.

Paramètres
mixed $data A binary string to quote.
Renvoie
string The binary quoted input string.
Depuis
3.9.12

Références $data.

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by PostgreSQL.
string | $prefix | Not used by PostgreSQL.
Renvoie
JDatabaseDriverPgsql Returns this object to support chaining.
Depuis
3.9.0
Exceptions

◆ replacePrefix()

replacePrefix | ( | $sql,
 |  | $prefix = '#__'
 | ) |

This function replaces a string identifier $prefix with the string held is the tablePrefix class variable.

Paramètres
string | $sql | The SQL statement to prepare.
string | $prefix | The common table prefix.
Renvoie
string The processed SQL statement.
Depuis
3.9.0

Références $prefix.

◆ showTables()

showTables ( )

Returns an array containing database's table list.

Renvoie
array The database's table list.
Depuis
3.9.0

Références $query.

◆ sqlValue()

sqlValue | ( | $columns,
 |  | $fieldName,
 |  | $fieldValue
 | ) |

This function return a field value as a prepared string to be used in a SQL statement.

Paramètres
array | $columns | Array of table's column returned by ::getTableColumns.
string | $fieldName | The table field's name.
string | $fieldValue | The variable value to quote and return.
Renvoie
string The quoted string.
Depuis
3.9.0

Références $columns, $fieldValue, et elseif.

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
3.9.0
Exceptions

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
3.9.0
Exceptions

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
3.9.0
Exceptions

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database, this command does not exist in PostgreSQL, it is automatically done on commit or rollback.

Renvoie
JDatabaseDriverPgsql Returns this object to support chaining.
Depuis
3.9.0
Exceptions

◆ updateObject()

updateObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key,
 |  |  | $nulls = false
 | ) |  |

Updates a row in a table based on an object's properties.

Paramètres
string | $table | The name of the database table to update.
object | &$object | A reference to an object whose public properties match the table fields.
array | $key | The name of the primary key.
boolean | $nulls | True to update null fields or false to ignore them.
Renvoie
boolean
Depuis
3.9.0
Exceptions

Références $columns, $fields, $key, et null.

Documentation des champs

◆ $concat_operator

$concat_operator = '||'
protected

◆ $dbMinimum

$dbMinimum = '8.3.18'
staticprotected

◆ $name

$name = 'pgsql'

◆ $nameQuote

$nameQuote = '"'
protected

◆ $nullDate

$nullDate = '1970-01-01 00:00:00'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • driver/pgsql.php


Joomla CMS: Référence de la classe JDatabaseDriverPostgresql

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Fonctions membres privées
Référence de la classe JDatabaseDriverPostgresql
+ Graphe d'héritage de JDatabaseDriverPostgresql:
JDatabaseDriver JDatabase JDatabaseInterface

Fonctions membres publiques

__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cur=null)
getQuery ($new=false, $asObj=false)
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getTableSequences ($table)
getVersion ()
insertid ()
lockTable ($tableName)
execute ()
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setUtf ()
sqlValue ($columns, $fieldName, $fieldValue)
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
insertObject ($table, &$object, $key=null)
showTables ()
getStringPositionSql ($substring, $string)
getRandom ()
getAlterDbCharacterSet ($dbName)
getCreateDbQuery ($options, $utf)
replacePrefix ($query, $prefix='#__')
releaseTransactionSavepoint ($savepointName)
transactionSavepoint ($savepointName)
unlockTables ()
updateObject ($table, &$object, $key, $nulls=false)
getAlterTableCharacterSet ($tableName)
quoteBinary ($data)
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | test ()
static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'postgresql'
$serverType = 'postgresql'
- Champs de données hérités de JDatabaseDriver
$name
$serverType

Fonctions membres protégées

fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
getCreateDatabaseQuery ($options, $utf)
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$nameQuote = '"'
$nullDate = '1970-01-01 00:00:00'
$concat_operator = '||'
$queryObject = null
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Attributs protégés statiques

static | $dbMinimum = '8.3.18'
- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Fonctions membres privées

getDefaultSchema ()

Description détaillée

PostgreSQL database driver

Depuis
3.0.0
Obsolète:
4.0 Use PDO PostgreSQL instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options )

Database object constructor

Paramètres
array $options List of options used to configure the connection
Depuis
3.0.0

Références $options, et null.

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.0.0
Exceptions
RuntimeException

Références $tmp.

◆ connected()

connected ( )

Determines if the connection to the server is active.

Renvoie
boolean
Depuis
3.0.0

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
3.0.0

Références null.

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
boolean
Depuis
3.0.0
Exceptions
RuntimeException

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
3.0.0

Références $text.

◆ execute()

execute ( )

Execute the SQL statement.

Renvoie
mixed A database cursor resource on success, boolean false on failure.
Depuis
3.0.0
Exceptions
RuntimeException

Références $offset, $query, et null.

◆ fetchArray()

fetchArray ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ fetchAssoc()

fetchAssoc ( $cursor = null )
protected

Method to fetch a row from the result set cursor as an associative array.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ fetchObject()

fetchObject | ( | $cursor = null,
 |  | $class = 'stdClass'
 | ) |
protected

Method to fetch a row from the result set cursor as an object.

Paramètres
mixed | $cursor | The optional result set cursor from which to fetch the row.
string | $class | The class name to use for the returned row object.
Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

Références $class, et null.

◆ freeResult()

freeResult ( $cursor = null )
protected

Method to free up the memory used for the result set.

Paramètres
mixed $cursor The optional result set cursor from which to fetch the row.
Renvoie
void
Depuis
3.0.0

◆ getAffectedRows()

getAffectedRows ( )

Get the number of affected rows by the last INSERT, UPDATE, REPLACE or DELETE for the previous executed SQL statement.

Renvoie
integer The number of affected rows in the previous operation
Depuis
3.0.0

◆ getAlterDbCharacterSet()

getAlterDbCharacterSet ( $dbName )

Get the query string to alter the database character set.

Paramètres
string $dbName The database name
Renvoie
string The query that alter the database query string
Depuis
3.0.0

Références $query.

◆ getAlterTableCharacterSet()

getAlterTableCharacterSet ( $tableName )

Get the query strings to alter the character set and collation of a table.

Paramètres
string $tableName The name of the table
Renvoie
string[] The queries required to alter the table's character set and collation
Depuis
CMS 3.5.0

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
3.0.0
Exceptions
RuntimeException

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getCreateDatabaseQuery()

getCreateDatabaseQuery | ( | $options,
 |  | $utf
 | ) |
protected

Return the query string to create new Database. Each database driver, other than MySQL, need to override this member to return correct string.

Paramètres
stdClass | $options | Object used to pass user and database name to database driver. This object must have "db_name" and "db_user" set.
boolean | $utf | True if the database supports the UTF-8 character set.
Renvoie
string The query that creates database
Depuis
3.0.1

Références $options.

◆ getCreateDbQuery()

getCreateDbQuery | ( | $options,
 |  | $utf
 | ) |

Get the query string to create new Database in correct PostgreSQL syntax.

Paramètres
object | $options | object coming from "initialise" function to pass user and database name to database driver.
boolean | $utf | True if the database supports the UTF-8 character set, not used in PostgreSQL "CREATE DATABASE" query.
Renvoie
string The query that creates database, owned by $options['user']
Depuis
3.0.0

Références $options, et $query.

◆ getDefaultSchema()

getDefaultSchema ( )
private

Internal function to get the name of the default schema for the current PostgreSQL connection. That is the schema where tables are created by Joomla.

Renvoie
string
Depuis
3.9.24

◆ getErrorMessage()

getErrorMessage ( )
protected

Return the actual SQL Error message

Renvoie
string The SQL Error message
Depuis
3.4.6

◆ getErrorNumber()

getErrorNumber ( )
protected

Return the actual SQL Error number

Renvoie
integer The SQL Error number
Depuis
3.4.6
Exceptions

◆ getNumRows()

getNumRows ( $cur = null )

Get the number of returned rows for the previous executed SQL statement. This command is only valid for statements like SELECT or SHOW that return an actual result set. To retrieve the number of rows affected by an INSERT, UPDATE, REPLACE or DELETE query, use getAffectedRows().

Paramètres
resource $cur An optional database cursor resource to extract the row count from.
Renvoie
integer The number of returned rows.
Depuis
3.0.0

◆ getQuery()

getQuery | ( | $new = false,
 |  | $asObj = false
 | ) |

Get the current or query, or new JDatabaseQuery object.

Paramètres
boolean | $new | False to return the last query set, True to return a new JDatabaseQuery object.
boolean | $asObj | False to return last query as string, true to get JDatabaseQueryPostgresql object.
Renvoie
JDatabaseQuery The current query object or a new object extending the JDatabaseQuery class.
Depuis
3.0.0
Exceptions
RuntimeException

◆ getRandom()

getRandom ( )

Generate a random value

Renvoie
float The random generated number
Depuis
3.0.0

◆ getStringPositionSql()

getStringPositionSql | ( | $substring,
 |  | $string
 | ) |

Get the substring position inside a string

Paramètres
string | $substring | The string being sought
string | $string | The string/column being searched
Renvoie
integer The position of $substring in $string
Depuis
3.0.0

Références $position, et $query.

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table. For PostgreSQL may start with a schema.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
3.0.0
Exceptions
RuntimeException

Références $field, $fields, et null.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

This is unsupported by PostgreSQL.

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
string An empty char because this function is not supported by PostgreSQL.
Depuis
3.0.0

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
3.0.0
Exceptions
RuntimeException

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database.

Renvoie
array An array of all the tables in the database.
Depuis
3.0.0
Exceptions
RuntimeException

Références $query.

◆ getTableSequences()

getTableSequences ( $table )

Get the details list of sequences for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of sequences specification for the table.
Depuis
3.0.0
Exceptions
RuntimeException

Références $name, et $query.

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
3.0.0

Références $version.

◆ insertid()

insertid ( )

◆ insertObject()

insertObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key = null
 | ) |  |

Inserts a row into a table based on an object's properties.

Paramètres
string | $table | The name of the database table to insert into.
object | &$object | A reference to an object whose public properties match the table fields.
string | $key | The name of the primary key. If provided the object property is updated.
Renvoie
boolean True on success.
Depuis
3.0.0
Exceptions
RuntimeException

Références $columns, $fields, $id, $key, $query, et null.

◆ isSupported()

static isSupported ( )
static

Test to see if the PostgreSQL connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

Implémente JDatabaseInterface.

◆ lockTable()

lockTable ( $tableName )

Locks a table in the database.

Paramètres
string $tableName The name of the table to unlock.
Renvoie
JDatabaseDriverPostgresql Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

◆ quoteBinary()

quoteBinary ( $data )

Quotes a binary string to database requirements for use in database queries.

Paramètres
mixed $data A binary string to quote.
Renvoie
string The binary quoted input string.
Depuis
3.9.12

Références $data.

◆ releaseTransactionSavepoint()

releaseTransactionSavepoint ( $savepointName )

Method to release a savepoint.

Paramètres
string $savepointName Savepoint's name to release
Renvoie
void
Depuis
3.0.0

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by PostgreSQL.
string | $prefix | Not used by PostgreSQL.
Renvoie
JDatabaseDriverPostgresql Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

◆ replacePrefix()

replacePrefix | ( | $query,
 |  | $prefix = '#__'
 | ) |

This function replaces a string identifier $prefix with the string held is the tablePrefix class variable.

Paramètres
string | $query | The SQL statement to prepare.
string | $prefix | The common table prefix.
Renvoie
string The processed SQL statement.
Depuis
3.0.0

Références $prefix, et $query.

◆ select()

select ( $database )

Selects the database, but redundant for PostgreSQL

Paramètres
string $database Database name to select.
Renvoie
boolean Always true
Depuis
3.0.0

◆ setUtf()

setUtf ( )

Custom settings for UTF support

Renvoie
integer Zero on success, -1 on failure
Depuis
3.0.0

◆ showTables()

showTables ( )

Returns an array containing database's table list.

Renvoie
array The database's table list.
Depuis
3.0.0

Références $query.

◆ sqlValue()

sqlValue | ( | $columns,
 |  | $fieldName,
 |  | $fieldValue
 | ) |

This function return a field value as a prepared string to be used in a SQL statement.

Paramètres
array | $columns | Array of table's column returned by ::getTableColumns.
string | $fieldName | The table field's name.
string | $fieldValue | The variable value to quote and return.
Renvoie
string The quoted string.
Depuis
3.0.0

Références $columns, $fieldValue, et elseif.

◆ test()

static test ( )
static

Test to see if the PostgreSQL connector is available

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
3.0.0
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
3.0.0
Exceptions
RuntimeException

◆ transactionSavepoint()

transactionSavepoint ( $savepointName )

Method to create a savepoint.

Paramètres
string $savepointName Savepoint's name to create
Renvoie
void
Depuis
3.0.0

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
3.0.0
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database, this command does not exist in PostgreSQL, it is automatically done on commit or rollback.

Renvoie
JDatabaseDriverPostgresql Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

◆ updateObject()

updateObject | ( |  | $table,
 |  | & | $object,
 |  |  | $key,
 |  |  | $nulls = false
 | ) |  |

Updates a row in a table based on an object's properties.

Paramètres
string | $table | The name of the database table to update.
object | &$object | A reference to an object whose public properties match the table fields.
array | $key | The name of the primary key.
boolean | $nulls | True to update null fields or false to ignore them.
Renvoie
boolean True on success.
Depuis
3.0.0
Exceptions
RuntimeException

Références $columns, $fields, $key, et null.

Documentation des champs

◆ $concat_operator

$concat_operator = '||'
protected

◆ $dbMinimum

$dbMinimum = '8.3.18'
staticprotected

◆ $name

$name = 'postgresql'

◆ $nameQuote

$nameQuote = '"'
protected

◆ $nullDate

$nullDate = '1970-01-01 00:00:00'
protected

◆ $queryObject

$queryObject = null
protected

◆ $serverType

$serverType = 'postgresql'
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/driver/postgresql.php


Joomla CMS: Référence de la classe JDatabaseDriverSqlazure

Champs de données
Référence de la classe JDatabaseDriverSqlazure
+ Graphe d'héritage de JDatabaseDriverSqlazure:
JDatabaseSqlazure

Champs de données

$name = 'sqlazure'

Description détaillée

SQL Server database driver

3.0.0

Documentation des champs

◆ $name

$name = 'sqlazure'
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/driver/sqlazure.php


Joomla CMS: Référence de la classe JDatabaseDriverSqlite

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe JDatabaseDriverSqlite
+ Graphe d'héritage de JDatabaseDriverSqlite:
JDatabaseDriverPdo JDatabaseDriver JDatabase JDatabaseInterface

Fonctions membres publiques

connect ()
disconnect ()
dropTable ($tableName, $ifExists=true)
escape ($text, $extra=false)
getCollation ()
getConnectionCollation ()
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getVersion ()
select ($database)
setUtf ()
lockTable ($table)
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
unlockTables ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
getAlterTableCharacterSet ($tableName)
- Fonctions membres publiques hérités de JDatabaseDriverPdo
__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
execute ()
getOption ($key)
getConnectedQuery ()
getVersion ()
setOption ($key, $value)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
insertid ()
select ($database)
setQuery ($query, $offset=null, $limit=null, $driverOptions=array())
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
loadNextObject ($class='stdClass')
loadNextAssoc ()
loadNextRow ()
__sleep ()
__wakeup ()
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriverPdo
static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()

Champs de données

$name = 'sqlite'
$serverType = 'sqlite'
- Champs de données hérités de JDatabaseDriverPdo
$name = 'pdo'
- Champs de données hérités de JDatabaseDriver
$name
$serverType

Fonctions membres protégées

getCreateDatabaseQuery ($options, $utf)
- Fonctions membres protégées hérités de JDatabaseDriverPdo
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)

Attributs protégés

$nameQuote = '`'
- Attributs protégés hérités de JDatabaseDriverPdo
$connection
$nameQuote = "'"
$nullDate = '0000-00-00 00:00:00'
$prepared
$executed = false
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

SQLite database driver

3.0.0

Documentation des fonctions membres

◆ connect()

connect ( )

Connects to the database if needed.

Renvoie
void Returns void if the database connected successfully.
Depuis
3.0.0
Exceptions
RuntimeException

Références null.

◆ disconnect()

disconnect ( )

Disconnects the database.

Renvoie
void
Depuis
3.0.0

Références null.

◆ dropTable()

dropTable | ( | $tableName,
 |  | $ifExists = true
 | ) |

Drops a table from the database.

Paramètres
string | $tableName | The name of the database table to drop.
boolean | $ifExists | Optionally specify that the table must exist before it is dropped.
Renvoie
JDatabaseDriverSqlite Returns this object to support chaining.
Depuis
3.0.0

Références $query.

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQLite statement.

Note: Using query objects with bound variables is preferable to the below.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Unused optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
3.0.0

Références $text.

◆ getAlterTableCharacterSet()

getAlterTableCharacterSet ( $tableName )

Get the query strings to alter the character set and collation of a table.

Paramètres
string $tableName The name of the table
Renvoie
string[] The queries required to alter the table's character set and collation
Depuis
CMS 3.5.0

◆ getCollation()

getCollation ( )

Method to get the database collation in use by sampling a text field of a table in the database.

Renvoie
mixed The collation in use by the database or boolean false if not supported.
Depuis
3.0.0

◆ getConnectionCollation()

getConnectionCollation ( )

Method to get the database connection collation, as reported by the driver. If the connector doesn't support reporting this value please return an empty string.

Renvoie
string

◆ getCreateDatabaseQuery()

getCreateDatabaseQuery | ( | $options,
 |  | $utf
 | ) |
protected

Return the query string to create new Database. Each database driver, other than MySQL, need to override this member to return correct string.

Paramètres
stdClass | $options | Object used to pass user and database name to database driver. This object must have "db_name" and "db_user" set.
boolean | $utf | True if the database supports the UTF-8 character set.
Renvoie
string The query that creates database
Depuis
3.0.1

Références $options.

◆ getTableColumns()

getTableColumns | ( | $table,
 |  | $typeOnly = true
 | ) |

Retrieves field information about a given table.

Paramètres
string | $table | The name of the database table.
boolean | $typeOnly | True to only return field types.
Renvoie
array An array of fields for the database table.
Depuis
3.0.0
Exceptions
RuntimeException

Références $columns, $field, $fields, et $query.

◆ getTableCreate()

getTableCreate ( $tables )

Shows the table CREATE statement that creates the given tables.

Note: Doesn't appear to have support in SQLite

Paramètres
mixed $tables A table name or a list of table names.
Renvoie
array A list of the create SQL for the tables.
Depuis
3.0.0
Exceptions
RuntimeException

◆ getTableKeys()

getTableKeys ( $table )

Get the details list of keys for a table.

Paramètres
string $table The name of the table.
Renvoie
array An array of the column specification for the table.
Depuis
3.0.0
Exceptions
RuntimeException

Références $query, et $rows.

◆ getTableList()

getTableList ( )

Method to get an array of all tables in the database (schema).

Renvoie
array An array of all the tables in the database.
Depuis
3.0.0
Exceptions
RuntimeException

Références $query, et $type.

◆ getVersion()

getVersion ( )

Get the version of the database connector.

Renvoie
string The database connector version.
Depuis
3.0.0

◆ isSupported()

static isSupported ( )
static

Test to see if the PDO ODBC connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

Implémente JDatabaseInterface.

◆ lockTable()

lockTable ( $table )

Locks a table in the database.

Paramètres
string $table The name of the table to unlock.
Renvoie
JDatabaseDriverSqlite Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

◆ renameTable()

renameTable | ( | $oldTable,
 |  | $newTable,
 |  | $backup = null,
 |  | $prefix = null
 | ) |

Renames a table in the database.

Paramètres
string | $oldTable | The name of the table to be renamed
string | $newTable | The new name for the table.
string | $backup | Not used by Sqlite.
string | $prefix | Not used by Sqlite.
Renvoie
JDatabaseDriverSqlite Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

◆ select()

select ( $database )

Select a database for use.

Paramètres
string $database The name of the database to select for use.
Renvoie
boolean True if the database was successfully selected.
Depuis
3.0.0
Exceptions
RuntimeException

◆ setUtf()

setUtf ( )

Set the connection to use UTF-8 character encoding.

Returns false automatically for the Oracle driver since you can only set the character set when the connection is created.

Renvoie
boolean True on success.
Depuis
3.0.0

◆ transactionCommit()

transactionCommit ( $toSavepoint = false )

Method to commit a transaction.

Paramètres
boolean $toSavepoint If true, commit to the last savepoint.
Renvoie
void
Depuis
3.1.4
Exceptions
RuntimeException

◆ transactionRollback()

transactionRollback ( $toSavepoint = false )

Method to roll back a transaction.

Paramètres
boolean $toSavepoint If true, rollback to the last savepoint.
Renvoie
void
Depuis
3.1.4
Exceptions
RuntimeException

◆ transactionStart()

transactionStart ( $asSavepoint = false )

Method to initialize a transaction.

Paramètres
boolean $asSavepoint If true and a transaction is already active, a savepoint will be created.
Renvoie
void
Depuis
3.1.4
Exceptions
RuntimeException

◆ unlockTables()

unlockTables ( )

Unlocks tables in the database.

Renvoie
JDatabaseDriverSqlite Returns this object to support chaining.
Depuis
3.0.0
Exceptions
RuntimeException

Documentation des champs

◆ $name

$name = 'sqlite'

◆ $nameQuote

$nameQuote = '`'
protected

◆ $serverType

$serverType = 'sqlite'
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/driver/sqlite.php


Joomla CMS: Référence de la classe JDatabaseException

Référence de la classe JDatabaseException
+ Graphe d'héritage de JDatabaseException:

Description détaillée

Exception class definition for the Database subpackage.

Depuis
1.7
Obsolète:
2.5.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • database/exception.php


Joomla CMS: Référence de la classe JDatabaseExceptionConnecting

Référence de la classe JDatabaseExceptionConnecting
+ Graphe d'héritage de JDatabaseExceptionConnecting:

Description détaillée

Exception class defining an error connecting to the database platform

Depuis
3.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • connecting.php


Joomla CMS: Référence de la classe JDatabaseExceptionExecuting

Fonctions membres publiques | Attributs privés
Référence de la classe JDatabaseExceptionExecuting
+ Graphe d'héritage de JDatabaseExceptionExecuting:

Fonctions membres publiques

__construct ($query, $message='', $code=0, Exception $previous=null)
getQuery ()

Attributs privés

$query

Description détaillée

Exception class defining an error executing a statement

Depuis
3.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $query,
 |  |  | $message = '',
 |  |  | $code = 0,
 |  | Exception | $previous = null
 | ) |  |

Construct the exception

Paramètres
string | $query | The SQL statement that was executed.
string | $message | The Exception message to throw. [optional]
integer | $code | The Exception code. [optional]
Exception | $previous | The previous exception used for the exception chaining. [optional]
Depuis
3.6

Références $message, et $query.

Documentation des fonctions membres

◆ getQuery()

getQuery ( )

Get the SQL statement that was executed

Renvoie
string
Depuis
3.6

Références $query.

Documentation des champs

◆ $query

$query
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • executing.php


Joomla CMS: Référence de la classe JDatabaseExceptionUnsupported

Référence de la classe JDatabaseExceptionUnsupported
+ Graphe d'héritage de JDatabaseExceptionUnsupported:

Description détaillée

Exception class defining an unsupported database object

Depuis
3.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • unsupported.php


Joomla CMS: Référence de la classe JDatabaseExporter

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JDatabaseExporter
+ Graphe d'héritage de JDatabaseExporter:
JDatabaseExporterMysqli JDatabaseExporterPdomysql JDatabaseExporterPostgresql JDatabaseExporterMysql JDatabaseExporterPgsql

Fonctions membres publiques

__construct ()
__toString ()
asXml ()
check ()
from ($from)
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Fonctions membres protégées

buildXml ()
buildXmlStructure ()
getGenericTableName ($table)

Attributs protégés

$asFormat = 'xml'
$cache = array()
$db = null
$from = array()
$options = null

Description détaillée

Joomla Platform Database Exporter Class

Depuis
3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor.

Sets up the default options for the exporter.

Depuis
3.2.0

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic function to exports the data to a string.

Renvoie
string
Depuis
3.2.0
Exceptions
Exception if an error is encountered.

Références $buffer.

◆ asXml()

asXml ( )

Set the output option for the exporter to XML format.

Renvoie
JDatabaseExporter Method supports chaining.
Depuis
3.2.0

◆ buildXml()

buildXml ( )
abstractprotected

Builds the XML data for the tables to export.

Renvoie
string An XML string
Depuis
3.2.0
Exceptions
Exception if an error occurs.

◆ buildXmlStructure()

buildXmlStructure ( )
abstractprotected

Builds the XML structure to export.

Renvoie
array An array of XML lines (strings).
Depuis
3.2.0
Exceptions
Exception if an error occurs.

◆ check()

check ( )
abstract

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseDriver Method supports chaining.
Depuis
3.2.0
Exceptions
Exception if an error is encountered.

◆ from()

from ( $from )

Specifies a list of table names to export.

Paramètres
mixed $from The name of a single table, or an array of the table names to export.
Renvoie
JDatabaseExporter Method supports chaining.
Depuis
3.2.0
Exceptions
Exception if input is not a string or array.

Références elseif.

◆ getGenericTableName()

getGenericTableName ( $table )
protected

Get the generic name of the table, converting the database prefix to the wildcard string.

Paramètres
string $table The name of the table.
Renvoie
string The name of the table with the database prefix replaced with #__.
Depuis
3.2.0

Références $prefix.

◆ setDbo()

setDbo ( JDatabaseDriver $db )

Sets the database connector to use for exporting structure and/or data from MySQL.

Paramètres
JDatabaseDriver $db The database connector.
Renvoie
JDatabaseExporter Method supports chaining.
Depuis
3.2.0

Références $db.

◆ withStructure()

withStructure ( $setting = true )

Sets an internal option to export the structure of the input table(s).

Paramètres
boolean $setting True to export the structure, false to not.
Renvoie
JDatabaseExporter Method supports chaining.
Depuis
3.2.0

Documentation des champs

◆ $asFormat

$asFormat = 'xml'
protected

◆ $cache

$cache = array()
protected

◆ $db

$db = null
protected

◆ $from

$from = array()
protected

◆ $options

$options = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • exporter.php


Joomla CMS: Référence de la classe JDatabaseExporterMysql

Fonctions membres publiques
Référence de la classe JDatabaseExporterMysql
+ Graphe d'héritage de JDatabaseExporterMysql:
JDatabaseExporterMysqli JDatabaseExporter

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseExporterMysqli
check ()
- Fonctions membres publiques hérités de JDatabaseExporter
__construct ()
__toString ()
asXml ()
check ()
from ($from)
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseExporterMysqli
buildXml ()
buildXmlStructure ()
- Fonctions membres protégées hérités de JDatabaseExporter
buildXml ()
buildXmlStructure ()
getGenericTableName ($table)
- Attributs protégés hérités de JDatabaseExporter
$asFormat = 'xml'
$cache = array()
$db = null
$from = array()
$options = null

Description détaillée

MySQL export driver.

Depuis
1.7.0
Obsolète:
4.0 Use MySQLi or PDO MySQL instead

Documentation des fonctions membres

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseExporterMysql Method supports chaining.
Depuis
1.7.0
Exceptions
Exception if an error is encountered.
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/exporter/mysql.php


Joomla CMS: Référence de la classe JDatabaseExporterMysqli

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseExporterMysqli
+ Graphe d'héritage de JDatabaseExporterMysqli:
JDatabaseExporter JDatabaseExporterMysql

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseExporter
__construct ()
__toString ()
asXml ()
check ()
from ($from)
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Fonctions membres protégées

buildXml ()
buildXmlStructure ()
- Fonctions membres protégées hérités de JDatabaseExporter
buildXml ()
buildXmlStructure ()
getGenericTableName ($table)

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseExporter
$asFormat = 'xml'
$cache = array()
$db = null
$from = array()
$options = null

Description détaillée

MySQLi export driver.

Depuis
1.7.0

Documentation des fonctions membres

◆ buildXml()

buildXml ( )
protected

Builds the XML data for the tables to export.

Renvoie
string An XML string
Depuis
1.7.0
Exceptions
Exception if an error occurs.

Références $buffer.

◆ buildXmlStructure()

buildXmlStructure ( )
protected

Builds the XML structure to export.

Renvoie
array An array of XML lines (strings).
Depuis
1.7.0
Exceptions
Exception if an error occurs.

Références $buffer, $field, $fields, $key, ENT_COMPAT, et htmlspecialchars.

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseExporterMysqli Method supports chaining.
Depuis
1.7.0
Exceptions
Exception if an error is encountered.
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/exporter/mysqli.php


Joomla CMS: Référence de la classe JDatabaseExporterPdomysql

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseExporterPdomysql
+ Graphe d'héritage de JDatabaseExporterPdomysql:
JDatabaseExporter

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseExporter
__construct ()
__toString ()
asXml ()
check ()
from ($from)
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Fonctions membres protégées

buildXml ()
buildXmlStructure ()
- Fonctions membres protégées hérités de JDatabaseExporter
buildXml ()
buildXmlStructure ()
getGenericTableName ($table)

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseExporter
$asFormat = 'xml'
$cache = array()
$db = null
$from = array()
$options = null

Documentation des fonctions membres

◆ buildXml()

buildXml ( )
protected

Builds the XML data for the tables to export.

Renvoie
string An XML string
Depuis
3.4
Exceptions
Exception if an error occurs.

Références $buffer.

◆ buildXmlStructure()

buildXmlStructure ( )
protected

Builds the XML structure to export.

Renvoie
array An array of XML lines (strings).
Depuis
3.4
Exceptions
Exception if an error occurs.

Références $buffer, $field, $fields, $key, ENT_COMPAT, et htmlspecialchars.

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseExporterPdomysql Method supports chaining.
Depuis
3.4
Exceptions
Exception if an error is encountered.
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/exporter/pdomysql.php


Joomla CMS: Référence de la classe JDatabaseExporterPgsql

Fonctions membres publiques
Référence de la classe JDatabaseExporterPgsql
+ Graphe d'héritage de JDatabaseExporterPgsql:
JDatabaseExporterPostgresql JDatabaseExporter

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseExporterPostgresql
check ()
- Fonctions membres publiques hérités de JDatabaseExporter
__construct ()
__toString ()
asXml ()
check ()
from ($from)
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseExporterPostgresql
buildXml ()
buildXmlStructure ()
- Fonctions membres protégées hérités de JDatabaseExporter
buildXml ()
buildXmlStructure ()
getGenericTableName ($table)
- Attributs protégés hérités de JDatabaseExporter
$asFormat = 'xml'
$cache = array()
$db = null
$from = array()
$options = null

Description détaillée

PDO PostgreSQL Database Exporter.

Depuis
3.9.0

Documentation des fonctions membres

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseExporterPgsql Method supports chaining.
Depuis
3.9.0
Exceptions
La documentation de cette classe a été générée à partir du fichier suivant :
  • exporter/pgsql.php


Joomla CMS: Référence de la classe JDatabaseExporterPostgresql

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseExporterPostgresql
+ Graphe d'héritage de JDatabaseExporterPostgresql:
JDatabaseExporter JDatabaseExporterPgsql

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseExporter
__construct ()
__toString ()
asXml ()
check ()
from ($from)
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Fonctions membres protégées

buildXml ()
buildXmlStructure ()
- Fonctions membres protégées hérités de JDatabaseExporter
buildXml ()
buildXmlStructure ()
getGenericTableName ($table)

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseExporter
$asFormat = 'xml'
$cache = array()
$db = null
$from = array()
$options = null

Documentation des fonctions membres

◆ buildXml()

buildXml ( )
protected

Builds the XML data for the tables to export.

Renvoie
string An XML string
Depuis
3.0.0
Exceptions
Exception if an error occurs.

Références $buffer.

◆ buildXmlStructure()

buildXmlStructure ( )
protected

Builds the XML structure to export.

Renvoie
array An array of XML lines (strings).
Depuis
3.0.0
Exceptions
Exception if an error occurs.

Références $buffer, $field, $fields, $key, et null.

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseExporterPostgresql Method supports chaining.
Depuis
3.0.0
Exceptions
Exception if an error is encountered.
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/exporter/postgresql.php


Joomla CMS: Référence de la classe JDatabaseFactory

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés statiques
Référence de la classe JDatabaseFactory

Fonctions membres publiques

getDriver ($name='mysqli', $options=array())
getExporter ($name, JDatabaseDriver $db=null)
getImporter ($name, JDatabaseDriver $db=null)
getQuery ($name, JDatabaseDriver $db=null)

Fonctions membres publiques statiques

static | getInstance ()
static | setInstance (JDatabaseFactory $instance=null)

Attributs privés statiques

static $_instance = null

Description détaillée

Joomla Platform Database Factory class

Depuis
3.0.0

Documentation des fonctions membres

◆ getDriver()

getDriver | ( | $name = 'mysqli',
 |  | $options = array()
 | ) |

Method to return a JDatabaseDriver instance based on the given options. There are three global options and then the rest are specific to the database driver. The 'database' option determines which database is to be used for the connection. The 'select' option determines whether the connector should automatically select the chosen database.

Instances are unique to the given options and new objects are only created when a unique options array is passed into the method. This ensures that we don't end up with unnecessary database connection resources.

Paramètres
string | $name | Name of the database driver you'd like to instantiate
array | $options | Parameters to be passed to the database driver.
Renvoie
JDatabaseDriver A database driver object.
Depuis
3.0.0
Exceptions
RuntimeException

Références $class, $name, $options, et null.

◆ getExporter()

getExporter | ( |  | $name,
 |  | JDatabaseDriver | $db = null
 | ) |  |

Gets an exporter class object.

Paramètres
string | $name | Name of the driver you want an exporter for.
JDatabaseDriver | $db | Optional JDatabaseDriver instance
Renvoie
JDatabaseExporter An exporter object.
Depuis
3.0.0
Exceptions
RuntimeException

Références $class, $db, et $name.

◆ getImporter()

getImporter | ( |  | $name,
 |  | JDatabaseDriver | $db = null
 | ) |  |

Gets an importer class object.

Paramètres
string | $name | Name of the driver you want an importer for.
JDatabaseDriver | $db | Optional JDatabaseDriver instance
Renvoie
JDatabaseImporter An importer object.
Depuis
3.0.0
Exceptions
RuntimeException

Références $class, $db, et $name.

◆ getInstance()

static getInstance ( )
static

Gets an instance of the factory object.

Renvoie
JDatabaseFactory
Depuis
3.0.0

◆ getQuery()

getQuery | ( |  | $name,
 |  | JDatabaseDriver | $db = null
 | ) |  |

Get the current query object or a new JDatabaseQuery object.

Paramètres
string | $name | Name of the driver you want an query object for.
JDatabaseDriver | $db | Optional JDatabaseDriver instance
Renvoie
JDatabaseQuery The current query object or a new object extending the JDatabaseQuery class.
Depuis
3.0.0
Exceptions
RuntimeException

Références $class, $db, et $name.

◆ setInstance()

static setInstance ( JDatabaseFactory $instance = null )
static

Gets an instance of a factory object to return on subsequent calls of getInstance.

Paramètres
JDatabaseFactory $instance A JDatabaseFactory object.
Renvoie
void
Depuis
3.0.0

Documentation des champs

◆ $_instance

$_instance = null
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/factory.php


Joomla CMS: Référence de la classe JDatabaseImporter

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JDatabaseImporter
+ Graphe d'héritage de JDatabaseImporter:
JDatabaseImporterMysqli JDatabaseImporterPdomysql JDatabaseImporterPostgresql JDatabaseImporterMysql JDatabaseImporterPgsql

Fonctions membres publiques

__construct ()
asXml ()
check ()
from ($from)
mergeStructure ()
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Fonctions membres protégées

getDropColumnSql ($table, $name)
getRealTableName ($table)

Attributs protégés

$cache = array()
$db = null
$from = array()
$asFormat = 'xml'
$options = null

Description détaillée

Joomla Platform Database Importer Class

Depuis
3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor.

Sets up the default options for the exporter.

Depuis
3.2.0

Documentation des fonctions membres

◆ asXml()

asXml ( )

Set the output option for the exporter to XML format.

Renvoie
JDatabaseImporter Method supports chaining.
Depuis
3.2.0

◆ check()

check ( )
abstract

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseImporter Method supports chaining.
Depuis
3.2.0
Exceptions
Exception if an error is encountered.

◆ from()

from ( $from )

Specifies the data source to import.

Paramètres
mixed $from The data source to import.
Renvoie
JDatabaseImporter Method supports chaining.
Depuis
3.2.0

◆ getDropColumnSql()

getDropColumnSql | ( | $table,
 |  | $name
 | ) |
protected

Get the SQL syntax to drop a column.

Paramètres
string | $table | The table name.
string | $name | The name of the field to drop.
Renvoie
string
Depuis
3.2.0

Références $name.

◆ getRealTableName()

getRealTableName ( $table )
protected

Get the real name of the table, converting the prefix wildcard string if present.

Paramètres
string $table The name of the table.
Renvoie
string The real name of the table.
Depuis
3.2.0

Références $prefix.

◆ mergeStructure()

mergeStructure ( )

Merges the incoming structure definition with the existing structure.

Renvoie
void
Note
Currently only supports XML format.
Depuis
3.2.0
Exceptions
RuntimeException on error.

Références $prefix, et $query.

◆ setDbo()

setDbo ( JDatabaseDriver $db )

Sets the database connector to use for exporting structure and/or data.

Paramètres
JDatabaseDriver $db The database connector.
Renvoie
JDatabaseImporter Method supports chaining.
Depuis
3.2.0

Références $db.

◆ withStructure()

withStructure ( $setting = true )

Sets an internal option to merge the structure based on the input data.

Paramètres
boolean $setting True to export the structure, false to not.
Renvoie
JDatabaseImporter Method supports chaining.
Depuis
3.2.0

Documentation des champs

◆ $asFormat

$asFormat = 'xml'
protected

◆ $cache

$cache = array()
protected

◆ $db

$db = null
protected

◆ $from

$from = array()
protected

◆ $options

$options = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • importer.php


Joomla CMS: Référence de la classe JDatabaseImporterMysql

Fonctions membres publiques
Référence de la classe JDatabaseImporterMysql
+ Graphe d'héritage de JDatabaseImporterMysql:
JDatabaseImporterMysqli JDatabaseImporter

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseImporterMysqli
check ()
- Fonctions membres publiques hérités de JDatabaseImporter
__construct ()
asXml ()
check ()
from ($from)
mergeStructure ()
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseImporterMysqli
xmlToCreate (SimpleXMLElement $table)
getAddColumnSql ($table, SimpleXMLElement $field)
getAddKeySql ($table, $keys)
getAlterTableSql (SimpleXMLElement $structure)
getChangeColumnSql ($table, SimpleXMLElement $field)
getColumnSql (SimpleXMLElement $field)
getDropKeySql ($table, $name)
getDropPrimaryKeySql ($table)
getKeyLookup ($keys)
getKeySql ($columns)
- Fonctions membres protégées hérités de JDatabaseImporter
getDropColumnSql ($table, $name)
getRealTableName ($table)
- Attributs protégés hérités de JDatabaseImporter
$cache = array()
$db = null
$from = array()
$asFormat = 'xml'
$options = null

Description détaillée

MySQL import driver.

Depuis
1.7.0
Obsolète:
4.0 Use MySQLi or PDO MySQL instead

Documentation des fonctions membres

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseImporterMysql Method supports chaining.
Depuis
1.7.0
Exceptions
Exception if an error is encountered.
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/importer/mysql.php


Joomla CMS: Référence de la classe JDatabaseImporterMysqli

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseImporterMysqli
+ Graphe d'héritage de JDatabaseImporterMysqli:
JDatabaseImporter JDatabaseImporterMysql

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseImporter
__construct ()
asXml ()
check ()
from ($from)
mergeStructure ()
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Fonctions membres protégées

xmlToCreate (SimpleXMLElement $table)
getAddColumnSql ($table, SimpleXMLElement $field)
getAddKeySql ($table, $keys)
getAlterTableSql (SimpleXMLElement $structure)
getChangeColumnSql ($table, SimpleXMLElement $field)
getColumnSql (SimpleXMLElement $field)
getDropKeySql ($table, $name)
getDropPrimaryKeySql ($table)
getKeyLookup ($keys)
getKeySql ($columns)
- Fonctions membres protégées hérités de JDatabaseImporter
getDropColumnSql ($table, $name)
getRealTableName ($table)

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseImporter
$cache = array()
$db = null
$from = array()
$asFormat = 'xml'
$options = null

Description détaillée

MySQLi import driver.

Depuis
1.7.0

Documentation des fonctions membres

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseImporterMysqli Method supports chaining.
Depuis
1.7.0
Exceptions
Exception if an error is encountered.

◆ getAddColumnSql()

getAddColumnSql | ( |  | $table,
 |  | SimpleXMLElement | $field
 | ) |  |
protected

Get the SQL syntax to add a column.

Paramètres
string | $table | The table name.
SimpleXMLElement | $field | The XML field definition.
Renvoie
string
Depuis
1.7.0

Références $field.

◆ getAddKeySql()

getAddKeySql | ( | $table,
 |  | $keys
 | ) |
protected

Get the SQL syntax to add a key.

Paramètres
string | $table | The table name.
array | $keys | An array of the fields pertaining to this key.
Renvoie
string
Depuis
1.7.0

◆ getAlterTableSql()

getAlterTableSql ( SimpleXMLElement $structure )
protected

Get alters for table if there is a difference.

Paramètres
SimpleXMLElement $structure The XML structure of the table.
Renvoie
array
Depuis
1.7.0

Références $field, $i, et $name.

◆ getChangeColumnSql()

getChangeColumnSql | ( |  | $table,
 |  | SimpleXMLElement | $field
 | ) |  |
protected

Get the syntax to alter a column.

Paramètres
string | $table | The name of the database table to alter.
SimpleXMLElement | $field | The XML definition for the field.
Renvoie
string
Depuis
1.7.0

Références $field.

◆ getColumnSql()

getColumnSql ( SimpleXMLElement $field )
protected

Get the SQL syntax for a single column that would be included in a table create or alter statement.

Paramètres
SimpleXMLElement $field The XML field definition.
Renvoie
string
Depuis
1.7.0

Références $field, $query, et null.

◆ getDropKeySql()

getDropKeySql | ( | $table,
 |  | $name
 | ) |
protected

Get the SQL syntax to drop a key.

Paramètres
string | $table | The table name.
string | $name | The name of the key to drop.
Renvoie
string
Depuis
1.7.0

Références $name.

◆ getDropPrimaryKeySql()

getDropPrimaryKeySql ( $table )
protected

Get the SQL syntax to drop a key.

Paramètres
string $table The table name.
Renvoie
string
Depuis
1.7.0

◆ getKeyLookup()

getKeyLookup ( $keys )
protected

Get the details list of keys for a table.

Paramètres
array $keys An array of objects that comprise the keys for the table.
Renvoie
array The lookup array. array({key name} => array(object, ...))
Depuis
1.7.0
Exceptions
Exception

Références $key.

◆ getKeySql()

getKeySql ( $columns )
protected

Get the SQL syntax for a key.

Paramètres
array $columns An array of SimpleXMLElement objects comprising the key.
Renvoie
string
Depuis
1.7.0

Références $columns, $prefix, $query, et elseif.

◆ xmlToCreate()

xmlToCreate ( SimpleXMLElement $table )
protected

Get the SQL syntax to add a table.

Paramètres
SimpleXMLElement $table The table information.
Renvoie
string
Depuis
1.7.0
Exceptions
RuntimeException

Références $field, et $key.

La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/importer/mysqli.php


Joomla CMS: Référence de la classe JDatabaseImporterPdomysql

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseImporterPdomysql
+ Graphe d'héritage de JDatabaseImporterPdomysql:
JDatabaseImporter

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseImporter
__construct ()
asXml ()
check ()
from ($from)
mergeStructure ()
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Fonctions membres protégées

getAddColumnSql ($table, SimpleXMLElement $field)
getAddKeySql ($table, $keys)
getAlterTableSql (SimpleXMLElement $structure)
getChangeColumnSql ($table, SimpleXMLElement $field)
getColumnSql (SimpleXMLElement $field)
getDropColumnSql ($table, $name)
getDropKeySql ($table, $name)
getDropPrimaryKeySql ($table)
getKeyLookup ($keys)
getKeySql ($columns)
- Fonctions membres protégées hérités de JDatabaseImporter
getDropColumnSql ($table, $name)
getRealTableName ($table)

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseImporter
$cache = array()
$db = null
$from = array()
$asFormat = 'xml'
$options = null

Documentation des fonctions membres

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseImporterPdomysql Method supports chaining.
Depuis
3.4
Exceptions
Exception if an error is encountered.

◆ getAddColumnSql()

getAddColumnSql | ( |  | $table,
 |  | SimpleXMLElement | $field
 | ) |  |
protected

Get the SQL syntax to add a column.

Paramètres
string | $table | The table name.
SimpleXMLElement | $field | The XML field definition.
Renvoie
string
Depuis
3.4

Références $field.

◆ getAddKeySql()

getAddKeySql | ( | $table,
 |  | $keys
 | ) |
protected

Get the SQL syntax to add a key.

Paramètres
string | $table | The table name.
array | $keys | An array of the fields pertaining to this key.
Renvoie
string
Depuis
3.4

◆ getAlterTableSql()

getAlterTableSql ( SimpleXMLElement $structure )
protected

Get alters for table if there is a difference.

Paramètres
SimpleXMLElement $structure The XML structure of the table.
Renvoie
array
Depuis
3.4

Références $field, $i, et $name.

◆ getChangeColumnSql()

getChangeColumnSql | ( |  | $table,
 |  | SimpleXMLElement | $field
 | ) |  |
protected

Get the syntax to alter a column.

Paramètres
string | $table | The name of the database table to alter.
SimpleXMLElement | $field | The XML definition for the field.
Renvoie
string
Depuis
3.4

Références $field.

◆ getColumnSql()

getColumnSql ( SimpleXMLElement $field )
protected

Get the SQL syntax for a single column that would be included in a table create or alter statement.

Paramètres
SimpleXMLElement $field The XML field definition.
Renvoie
string
Depuis
3.4

Références $field, et null.

◆ getDropColumnSql()

getDropColumnSql | ( | $table,
 |  | $name
 | ) |
protected

Get the SQL syntax to drop a column.

Paramètres
string | $table | The table name.
string | $name | The name of the field to drop.
Renvoie
string
Depuis
3.4

Références $name.

◆ getDropKeySql()

getDropKeySql | ( | $table,
 |  | $name
 | ) |
protected

Get the SQL syntax to drop a key.

Paramètres
string | $table | The table name.
string | $name | The name of the key to drop.
Renvoie
string
Depuis
3.4

Références $name.

◆ getDropPrimaryKeySql()

getDropPrimaryKeySql ( $table )
protected

Get the SQL syntax to drop a key.

Paramètres
string $table The table name.
Renvoie
string
Depuis
3.4

◆ getKeyLookup()

getKeyLookup ( $keys )
protected

Get the details list of keys for a table.

Paramètres
array $keys An array of objects that comprise the keys for the table.
Renvoie
array The lookup array. array({key name} => array(object, ...))
Depuis
3.4
Exceptions
Exception

Références $key.

◆ getKeySql()

getKeySql ( $columns )
protected

Get the SQL syntax for a key.

Paramètres
array $columns An array of SimpleXMLElement objects comprising the key.
Renvoie
string
Depuis
3.4

Références $columns, $prefix, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/importer/pdomysql.php


Joomla CMS: Référence de la classe JDatabaseImporterPgsql

Fonctions membres publiques
Référence de la classe JDatabaseImporterPgsql
+ Graphe d'héritage de JDatabaseImporterPgsql:
JDatabaseImporterPostgresql JDatabaseImporter

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseImporterPostgresql
check ()
- Fonctions membres publiques hérités de JDatabaseImporter
__construct ()
asXml ()
check ()
from ($from)
mergeStructure ()
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseImporterPostgresql
getAddColumnSql ($table, SimpleXMLElement $field)
getAddIndexSql (SimpleXMLElement $field)
getAlterTableSql (SimpleXMLElement $structure)
getDropSequenceSql ($name)
getAddSequenceSql ($field)
getChangeSequenceSql ($field)
getChangeColumnSql ($table, SimpleXMLElement $field)
getAlterColumnSql ($table, $field)
getColumnSql (SimpleXMLElement $field)
getDropIndexSql ($name)
getDropPrimaryKeySql ($table, $name)
getIdxLookup ($keys)
getSeqLookup ($sequences)
- Fonctions membres protégées hérités de JDatabaseImporter
getDropColumnSql ($table, $name)
getRealTableName ($table)
- Attributs protégés hérités de JDatabaseImporter
$cache = array()
$db = null
$from = array()
$asFormat = 'xml'
$options = null

Description détaillée

PDO PostgreSQL Database Importer.

Depuis
3.9.0

Documentation des fonctions membres

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseImporterPgsql Method supports chaining.
Depuis
3.9.0
Exceptions
La documentation de cette classe a été générée à partir du fichier suivant :
  • importer/pgsql.php


Joomla CMS: Référence de la classe JDatabaseImporterPostgresql

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseImporterPostgresql
+ Graphe d'héritage de JDatabaseImporterPostgresql:
JDatabaseImporter JDatabaseImporterPgsql

Fonctions membres publiques

check ()
- Fonctions membres publiques hérités de JDatabaseImporter
__construct ()
asXml ()
check ()
from ($from)
mergeStructure ()
setDbo (JDatabaseDriver $db)
withStructure ($setting=true)

Fonctions membres protégées

getAddColumnSql ($table, SimpleXMLElement $field)
getAddIndexSql (SimpleXMLElement $field)
getAlterTableSql (SimpleXMLElement $structure)
getDropSequenceSql ($name)
getAddSequenceSql ($field)
getChangeSequenceSql ($field)
getChangeColumnSql ($table, SimpleXMLElement $field)
getAlterColumnSql ($table, $field)
getColumnSql (SimpleXMLElement $field)
getDropIndexSql ($name)
getDropPrimaryKeySql ($table, $name)
getIdxLookup ($keys)
getSeqLookup ($sequences)
- Fonctions membres protégées hérités de JDatabaseImporter
getDropColumnSql ($table, $name)
getRealTableName ($table)

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseImporter
$cache = array()
$db = null
$from = array()
$asFormat = 'xml'
$options = null

Description détaillée

PostgreSQL import driver.

Depuis
3.0.0
Obsolète:
4.0 Use PDO PostgreSQL instead

Documentation des fonctions membres

◆ check()

check ( )

Checks if all data and options are in order prior to exporting.

Renvoie
JDatabaseImporterPostgresql Method supports chaining.
Depuis
3.0.0
Exceptions
Exception if an error is encountered.

◆ getAddColumnSql()

getAddColumnSql | ( |  | $table,
 |  | SimpleXMLElement | $field
 | ) |  |
protected

Get the SQL syntax to add a column.

Paramètres
string | $table | The table name.
SimpleXMLElement | $field | The XML field definition.
Renvoie
string
Depuis
3.0.0

Références $field.

◆ getAddIndexSql()

getAddIndexSql ( SimpleXMLElement $field )
protected

Get the SQL syntax to add an index.

Paramètres
SimpleXMLElement $field The XML index definition.
Renvoie
string
Depuis
3.0.0

Références $field.

◆ getAddSequenceSql()

getAddSequenceSql ( $field )
protected

Get the syntax to add a sequence.

Paramètres
SimpleXMLElement $field The XML definition for the sequence.
Renvoie
string
Depuis
3.0.0

Références $field.

◆ getAlterColumnSql()

getAlterColumnSql | ( | $table,
 |  | $field
 | ) |
protected

Get the SQL syntax for a single column that would be included in a table create statement.

Paramètres
string | $table | The name of the database table to alter.
SimpleXMLElement | $field | The XML field definition.
Renvoie
string
Depuis
3.0.0

Références $field, $query, et null.

◆ getAlterTableSql()

getAlterTableSql ( SimpleXMLElement $structure )
protected

Get alters for table if there is a difference.

Paramètres
SimpleXMLElement $structure The XML structure of the table.
Renvoie
array
Depuis
3.0.0

Références $field, $i, et $name.

◆ getChangeColumnSql()

getChangeColumnSql | ( |  | $table,
 |  | SimpleXMLElement | $field
 | ) |  |
protected

Get the syntax to alter a column.

Paramètres
string | $table | The name of the database table to alter.
SimpleXMLElement | $field | The XML definition for the field.
Renvoie
string
Depuis
3.0.0

Références $field.

◆ getChangeSequenceSql()

getChangeSequenceSql ( $field )
protected

Get the syntax to alter a sequence.

Paramètres
SimpleXMLElement $field The XML definition for the sequence.
Renvoie
string
Depuis
3.0.0

Références $field.

◆ getColumnSql()

getColumnSql ( SimpleXMLElement $field )
protected

Get the SQL syntax for a single column that would be included in a table create statement.

Paramètres
SimpleXMLElement $field The XML field definition.
Renvoie
string
Depuis
3.0.0

Références $field, $query, et null.

◆ getDropIndexSql()

getDropIndexSql ( $name )
protected

Get the SQL syntax to drop an index.

Paramètres
string $name The name of the key to drop.
Renvoie
string
Depuis
3.0.0

Références $name.

◆ getDropPrimaryKeySql()

getDropPrimaryKeySql | ( | $table,
 |  | $name
 | ) |
protected

Get the SQL syntax to drop a key.

Paramètres
string | $table | The table name.
string | $name | The constraint name.
Renvoie
string
Depuis
3.0.0

Références $name.

◆ getDropSequenceSql()

getDropSequenceSql ( $name )
protected

Get the SQL syntax to drop a sequence.

Paramètres
string $name The name of the sequence to drop.
Renvoie
string
Depuis
3.0.0

Références $name.

◆ getIdxLookup()

getIdxLookup ( $keys )
protected

Get the details list of keys for a table.

Paramètres
array $keys An array of objects that comprise the keys for the table.
Renvoie
array The lookup array. array({key name} => array(object, ...))
Depuis
3.0.0
Exceptions
Exception

Références $key.

◆ getSeqLookup()

getSeqLookup ( $sequences )
protected

Get the details list of sequences for a table.

Paramètres
array $sequences An array of objects that comprise the sequences for the table.
Renvoie
array The lookup array. array({key name} => array(object, ...))
Depuis
3.0.0
Exceptions
Exception
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/importer/postgresql.php


Joomla CMS: Référence de l'interface JDatabaseInterface

Fonctions membres publiques statiques
Référence de l'interface JDatabaseInterface
+ Graphe d'héritage de JDatabaseInterface:
FOFDatabaseInterface JDatabaseDriver FOFDatabaseDriver FOFDatabaseDriverJoomla JDatabaseDriverMysqli JDatabaseDriverPdo JDatabaseDriverPostgresql FOFDatabaseDriverMysqli FOFDatabaseDriverPdo FOFDatabaseDriverPostgresql FOFDatabaseDriverSqlsrv JDatabaseDriverMysql JDatabaseMysqli JDatabaseDriverOracle JDatabaseDriverPdomysql JDatabaseDriverPgsql JDatabaseDriverSqlite

Fonctions membres publiques statiques

static isSupported ()

Description détaillée

Joomla Platform Database Interface

Depuis
1.7.0

Documentation des fonctions membres

◆ isSupported()

static isSupported ( )
static

Test to see if the connector is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Implémenté dans JDatabaseDriverPostgresql, FOFDatabaseDriverPostgresql, JDatabaseDriverPgsql, FOFDatabaseDriverPdo, JDatabaseDriverPdo, FOFDatabaseDriverOracle, JDatabaseDriverOracle, JDatabaseDriverSqlite, FOFDatabaseDriverSqlite, JDatabaseDriverMysqli, FOFDatabaseDriverMysqli, JDatabaseDriverMysql, JDatabaseDriverPdomysql, FOFDatabaseDriverMysql, FOFDatabaseDriverPdomysql, FOFDatabaseDriverSqlsrv, et FOFDatabaseDriverJoomla.

La documentation de cette interface a été générée à partir du fichier suivant :
  • joomla/database/interface.php


Joomla CMS: Référence de la classe JDatabaseIterator

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe JDatabaseIterator
+ Graphe d'héritage de JDatabaseIterator:
JDatabaseIteratorMysql JDatabaseIteratorMysqli JDatabaseIteratorPdo JDatabaseIteratorPostgresql JDatabaseIteratorSqlsrv JDatabaseIteratorOracle JDatabaseIteratorPdomysql JDatabaseIteratorPgsql JDatabaseIteratorSqlite JDatabaseIteratorSqlazure

Fonctions membres publiques

__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()

Attributs protégés

$cursor
$class

Attributs privés

$_column
$_current
$_key
$_fetched = 0

Description détaillée

Joomla Platform Database Driver Class

Depuis
3.0.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $cursor,
 |  | $column = null,
 |  | $class = 'stdClass'
 | ) |

Database iterator constructor.

Paramètres
mixed | $cursor | The database cursor.
string | $column | An option column to use as the iterator key.
string | $class | The class of object that is returned.
Exceptions
InvalidArgumentException

Références $class.

◆ __destruct()

__destruct ( )

Database iterator destructor.

Depuis
3.0.0

Documentation des fonctions membres

◆ current()

current ( )

The current element in the iterator.

Renvoie
object
Voir également
Iterator::current()
Depuis
3.0.0

◆ fetchObject()

fetchObject ( )
abstractprotected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ freeResult()

freeResult ( )
abstractprotected

Method to free up the memory used for the result set.

Renvoie
void
Depuis
3.0.0

◆ key()

key ( )

The key of the current element in the iterator.

Renvoie
int|string
Voir également
Iterator::key()
Depuis
3.0.0

◆ next()

next ( )

Moves forward to the next result from the SQL query.

Renvoie
void
Voir également
Iterator::next()
Depuis
3.0.0

◆ rewind()

rewind ( )

Rewinds the iterator.

This iterator cannot be rewound.

Renvoie
void
Voir également
Iterator::rewind()
Depuis
3.0.0

◆ valid()

valid ( )

Checks if the current position of the iterator is valid.

Renvoie
boolean
Voir également
Iterator::valid()
Depuis
3.0.0

Documentation des champs

◆ $_column

$_column
private

◆ $_current

$_current
private

◆ $_fetched

$_fetched = 0
private

◆ $_key

$_key
private

◆ $class

$class
protected

◆ $cursor

$cursor
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/iterator.php


Joomla CMS: Référence de la classe JDatabaseIteratorMysql

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseIteratorMysql
+ Graphe d'héritage de JDatabaseIteratorMysql:
JDatabaseIterator

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseIterator
$cursor
$class

Description détaillée

MySQL database iterator.

3.0.0 deprecated 283.

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Depuis
3.0.0
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
Depuis
3.0.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/iterator/mysql.php


Joomla CMS: Référence de la classe JDatabaseIteratorMysqli

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseIteratorMysqli
+ Graphe d'héritage de JDatabaseIteratorMysqli:
JDatabaseIterator

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseIterator
$cursor
$class

Description détaillée

MySQLi database iterator.

Depuis
3.0.0

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Depuis
3.0.0
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
Depuis
3.0.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/iterator/mysqli.php


Joomla CMS: Référence de la classe JDatabaseIteratorOracle

Référence de la classe JDatabaseIteratorOracle
+ Graphe d'héritage de JDatabaseIteratorOracle:
JDatabaseIteratorPdo JDatabaseIterator

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseIteratorPdo
count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()
- Fonctions membres protégées hérités de JDatabaseIteratorPdo
fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()
- Attributs protégés hérités de JDatabaseIterator
$cursor
$class

Description détaillée

Oracle database iterator.

Depuis
3.0.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/iterator/oracle.php


Joomla CMS: Référence de la classe JDatabaseIteratorPdo

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseIteratorPdo
+ Graphe d'héritage de JDatabaseIteratorPdo:
JDatabaseIterator JDatabaseIteratorOracle JDatabaseIteratorPdomysql JDatabaseIteratorPgsql JDatabaseIteratorSqlite

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseIterator
$cursor
$class

Description détaillée

PDO database iterator.

Depuis
3.0.0

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Depuis
3.0.0
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
Depuis
3.0.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/iterator/pdo.php


Joomla CMS: Référence de la classe JDatabaseIteratorPdomysql

Référence de la classe JDatabaseIteratorPdomysql
+ Graphe d'héritage de JDatabaseIteratorPdomysql:
JDatabaseIteratorPdo JDatabaseIterator

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseIteratorPdo
count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()
- Fonctions membres protégées hérités de JDatabaseIteratorPdo
fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()
- Attributs protégés hérités de JDatabaseIterator
$cursor
$class
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/iterator/pdomysql.php


Joomla CMS: Référence de la classe JDatabaseIteratorPgsql

Référence de la classe JDatabaseIteratorPgsql
+ Graphe d'héritage de JDatabaseIteratorPgsql:
JDatabaseIteratorPdo JDatabaseIterator

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseIteratorPdo
count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()
- Fonctions membres protégées hérités de JDatabaseIteratorPdo
fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()
- Attributs protégés hérités de JDatabaseIterator
$cursor
$class

Description détaillée

PostgreSQL database iterator for the PDO based PostgreSQL database driver.

Depuis
3.9.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • iterator/pgsql.php


Joomla CMS: Référence de la classe JDatabaseIteratorPostgresql

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseIteratorPostgresql
+ Graphe d'héritage de JDatabaseIteratorPostgresql:
JDatabaseIterator

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseIterator
$cursor
$class

Description détaillée

PostgreSQL database iterator.

Depuis
3.2.0
Obsolète:
4.0 Use PDO PostgreSQL instead

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Depuis
3.2.0
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.2.0

Références null.

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
Depuis
3.2.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/iterator/postgresql.php


Joomla CMS: Référence de la classe JDatabaseIteratorSqlazure

Référence de la classe JDatabaseIteratorSqlazure
+ Graphe d'héritage de JDatabaseIteratorSqlazure:
JDatabaseIteratorSqlsrv JDatabaseIterator

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseIteratorSqlsrv
count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()
- Fonctions membres protégées hérités de JDatabaseIteratorSqlsrv
fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()
- Attributs protégés hérités de JDatabaseIterator
$cursor
$class

Description détaillée

SQL azure database iterator.

Depuis
3.0.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/iterator/sqlazure.php


Joomla CMS: Référence de la classe JDatabaseIteratorSqlite

Référence de la classe JDatabaseIteratorSqlite
+ Graphe d'héritage de JDatabaseIteratorSqlite:
JDatabaseIteratorPdo JDatabaseIterator

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseIteratorPdo
count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()
- Fonctions membres protégées hérités de JDatabaseIteratorPdo
fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()
- Attributs protégés hérités de JDatabaseIterator
$cursor
$class

Description détaillée

SQLite database iterator.

Depuis
3.0.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/iterator/sqlite.php


Joomla CMS: Référence de la classe JDatabaseIteratorSqlsrv

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JDatabaseIteratorSqlsrv
+ Graphe d'héritage de JDatabaseIteratorSqlsrv:
JDatabaseIterator JDatabaseIteratorSqlazure

Fonctions membres publiques

count ()
- Fonctions membres publiques hérités de JDatabaseIterator
__construct ($cursor, $column=null, $class='stdClass')
__destruct ()
current ()
key ()
next ()
rewind ()
valid ()

Fonctions membres protégées

fetchObject ()
freeResult ()
- Fonctions membres protégées hérités de JDatabaseIterator
fetchObject ()
freeResult ()

Membres hérités additionnels

- Attributs protégés hérités de JDatabaseIterator
$cursor
$class

Description détaillée

SQL server database iterator.

Depuis
3.0.0

Documentation des fonctions membres

◆ count()

count ( )

Get the number of rows in the result set for the executed SQL given by the cursor.

Renvoie
integer The number of rows in the result set.
Depuis
3.0.0
Voir également
Countable::count()

◆ fetchObject()

fetchObject ( )
protected

Method to fetch a row from the result set cursor as an object.

Renvoie
mixed Either the next row from the result set or false if there are no more rows.
Depuis
3.0.0

◆ freeResult()

freeResult ( )
protected

Method to free up the memory used for the result set.

Renvoie
void
Depuis
3.0.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/iterator/sqlsrv.php


Joomla CMS: Référence de la classe JDatabaseMysql

Référence de la classe JDatabaseMysql
+ Graphe d'héritage de JDatabaseMysql:
JDatabaseDriverMysql JDatabaseDriverMysqli JDatabaseDriver JDatabase JDatabaseInterface

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseDriverMysql
__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
getAffectedRows ()
getNumRows ($cursor=null)
getVersion ()
insertid ()
execute ()
select ($database)
setUtf ()
- Fonctions membres publiques hérités de JDatabaseDriverMysqli
__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cursor=null)
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getVersion ()
insertid ()
lockTable ($table)
execute ()
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
unlockTables ()
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)
- Fonctions membres publiques statiques hérités de JDatabaseDriverMysql
static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriverMysqli
static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()
- Champs de données hérités de JDatabaseDriverMysql
$name = 'mysql'
- Champs de données hérités de JDatabaseDriverMysqli
$name = 'mysqli'
$serverType = 'mysql'
- Champs de données hérités de JDatabaseDriver
$name
$serverType
- Fonctions membres protégées hérités de JDatabaseDriverMysql
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriverMysqli
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)
- Attributs protégés hérités de JDatabaseDriverMysqli
$connection
$nameQuote = '`'
$nullDate = '0000-00-00 00:00:00'
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()
- Attributs protégés statiques hérités de JDatabaseDriverMysqli
static | $dbMinimum = '5.0.4'
- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

MySQL database driver

1.5 deprecated 581.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/legacy/database/mysql.php


Joomla CMS: Référence de la classe JDatabaseMysqli

Référence de la classe JDatabaseMysqli
+ Graphe d'héritage de JDatabaseMysqli:
JDatabaseDriverMysqli JDatabaseDriver JDatabase JDatabaseInterface

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseDriverMysqli
__construct ($options)
connect ()
disconnect ()
escape ($text, $extra=false)
connected ()
dropTable ($tableName, $ifExists=true)
getAffectedRows ()
getCollation ()
getConnectionCollation ()
getNumRows ($cursor=null)
getTableCreate ($tables)
getTableColumns ($table, $typeOnly=true)
getTableKeys ($table)
getTableList ()
getVersion ()
insertid ()
lockTable ($table)
execute ()
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
unlockTables ()
- Fonctions membres publiques hérités de JDatabaseDriver
__call ($method, $args)
__construct ($options)
alterDbCharacterSet ($dbName)
alterTableCharacterSet ($tableName, $rethrow=false)
connect ()
connected ()
createDatabase ($options, $utf=true)
__destruct ()
disconnect ()
addDisconnectHandler ($callable)
dropTable ($table, $ifExists=true)
escape ($text, $extra=false)
getAffectedRows ()
getAlterDbCharacterSet ($dbName)
getAlterTableCharacterSet ($tableName)
convertUtf8mb4QueryToUtf8 ($query)
getCollation ()
getConnectionCollation ()
getConnection ()
getCount ()
getDateFormat ()
getLog ()
getTimings ()
getCallStacks ()
getMinimum ()
getNullDate ()
getNumRows ($cursor=null)
getPrefix ()
getExporter ()
getImporter ()
getName ()
getServerType ()
getQuery ($new=false)
getIterator ($column=null, $class='stdClass')
getTableColumns ($table, $typeOnly=true)
getTableCreate ($tables)
getTableKeys ($table)
getTableList ()
getUTFSupport ()
hasUTFSupport ()
hasUTF8mb4Support ()
getVersion ()
insertid ()
insertObject ($table, &$object, $key=null)
isMinimumVersion ()
loadAssoc ()
loadAssocList ($key=null, $column=null)
loadColumn ($offset=0)
loadNextObject ($class='stdClass')
loadNextRow ()
loadObject ($class='stdClass')
loadObjectList ($key='', $class='stdClass')
loadResult ()
loadRow ()
loadRowList ($index=null)
lockTable ($tableName)
quote ($text, $escape=true)
quoteBinary ($data)
quoteName ($name, $as=null)
replacePrefix ($sql, $prefix='#__')
renameTable ($oldTable, $newTable, $backup=null, $prefix=null)
select ($database)
setDebug ($level)
setQuery ($query, $offset=0, $limit=0)
setUtf ()
transactionCommit ($toSavepoint=false)
transactionRollback ($toSavepoint=false)
transactionStart ($asSavepoint=false)
truncateTable ($table)
updateObject ($table, &$object, $key, $nulls=false)
execute ()
unlockTables ()
- Fonctions membres publiques hérités de JDatabase
query ()
getErrorMsg ($escaped=false)
getErrorNum ()
stderr ($showSQL=false)
- Fonctions membres publiques statiques hérités de JDatabaseDriverMysqli
static | isSupported ()
- Fonctions membres publiques statiques hérités de JDatabaseDriver
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($sql)
- Fonctions membres publiques statiques hérités de JDatabase
static | getConnectors ()
static | getInstance ($options=array())
static | splitSql ($query)
static | test ()
- Champs de données hérités de JDatabaseDriverMysqli
$name = 'mysqli'
$serverType = 'mysql'
- Champs de données hérités de JDatabaseDriver
$name
$serverType
- Fonctions membres protégées hérités de JDatabaseDriverMysqli
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getErrorNumber ()
getErrorMessage ()
- Fonctions membres protégées hérités de JDatabaseDriver
fetchArray ($cursor=null)
fetchAssoc ($cursor=null)
fetchObject ($cursor=null, $class='stdClass')
freeResult ($cursor=null)
getCreateDatabaseQuery ($options, $utf)
getDatabase ()
quoteNameStr ($strArr)
- Attributs protégés hérités de JDatabaseDriverMysqli
$connection
$nameQuote = '`'
$nullDate = '0000-00-00 00:00:00'
- Attributs protégés hérités de JDatabaseDriver
$connection
$count = 0
$cursor
$debug = false
$limit = 0
$log = array()
$timings = array()
$callStacks = array()
$nameQuote
$nullDate
$offset = 0
$options
$sql
$tablePrefix
$utf = true
$utf8mb4 = false
$errorNum = 0
$errorMsg
$transactionDepth = 0
$disconnectHandlers = array()
- Attributs protégés statiques hérités de JDatabaseDriverMysqli
static | $dbMinimum = '5.0.4'
- Attributs protégés statiques hérités de JDatabaseDriver
static | $instances = array()
static | $dbMinimum

Description détaillée

MySQLi database driver

1.5 deprecated 582.

La documentation de cette classe a été générée à partir du fichier suivant :
  • legacy/database/mysqli.php


Joomla CMS: Référence de la classe JDatabaseQuery

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JDatabaseQuery
+ Graphe d'héritage de JDatabaseQuery:
JDatabaseQueryMysqli JDatabaseQueryPdo JDatabaseQueryPostgresql JDatabaseQuerySqlsrv JDatabaseQueryMysql JDatabaseQueryPdomysql JDatabaseQueryOracle JDatabaseQuerySqlite JDatabaseQueryPgsql JDatabaseQuerySqlazure

Fonctions membres publiques

__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)

Fonctions membres protégées

validateRowNumber ($orderBy, $orderColumnAlias)

Attributs protégés

$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( JDatabaseDriver $db = null )

Class constructor.

Paramètres
JDatabaseDriver $db The database driver.
Depuis
1.7.0

Références $db.

Documentation des fonctions membres

◆ __call()

__call | ( | $method,
 |  | $args
 | ) |

Magic method to provide method alias support for quote() and quoteName().

Paramètres
string | $method | The called method.
array | $args | The array of arguments passed to the method.
Renvoie
string The aliased method's return value or null.
Depuis
1.7.0

Références null.

◆ __clone()

__clone ( )

Method to provide deep copy support to nested objects and arrays when cloning.

Renvoie
void
Depuis
1.7.3

◆ __get()

__get ( $name )

Magic function to get protected variable value

Paramètres
string $name The name of the variable.
Renvoie
mixed
Depuis
1.7.0

Références $name, et null.

◆ __toString()

__toString ( )

Magic function to convert the query to a string.

Renvoie
string The completed query.
Depuis
1.7.0

Références $query, elseif, et null.

◆ andWhere()

andWhere | ( | $conditions,
 |  | $glue = 'OR'
 | ) |

Extend the WHERE clause with an AND and a single condition or an array of conditions.

Usage: $query->where(array('a = 1', 'b = 2'))->andWhere(array('c = 3', 'd = 4')); will produce: WHERE ((a = 1 AND b = 2) AND (c = 3 OR d = 4)

Paramètres
mixed | $conditions | A string or array of WHERE conditions.
string | $glue | The glue by which to join the conditions. Defaults to OR.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.6

◆ call()

call ( $columns )

Add a single column, or array of columns to the CALL clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query. The call method can, however, be called multiple times in the same query.

Usage: $query->call('a.*')->call('b.id'); $query->call(array('a.*', 'b.id'));

Paramètres
mixed $columns A string or an array of field names.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.0.0

Références $columns.

◆ castAsChar()

castAsChar ( $value )

Casts a value to a char.

Ensure that the value is properly quoted before passing to the method.

Usage: $query->select($query->castAsChar('a'));

Paramètres
string $value The value to cast as a char.
Renvoie
string Returns the cast value.
Depuis
1.7.0

Références $value.

◆ charLength()

charLength | ( | $field,
 |  | $operator = null,
 |  | $condition = null
 | ) |

Gets the number of characters in a string.

Note, use 'length' to find the number of bytes in a string.

Usage: $query->select($query->charLength('a'));

Paramètres
string | $field | A value.
string | $operator | Comparison operator between charLength integer value and $condition
string | $condition | Integer value to compare charLength with.
Renvoie
string The required char length call.
Depuis
1.7.0

Références $condition, et $field.

◆ clear()

clear ( $clause = null )

Clear data from the query or a specific clause of the query.

Paramètres
string $clause Optionally, the name of the clause to clear, or nothing to clear the whole query.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références null.

◆ columns()

columns ( $columns )

Adds a column, or array of column names that would be used for an INSERT INTO statement.

Paramètres
mixed $columns A column name, or array of column names.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références $columns.

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Usage: $query->select($query->concatenate(array('a', 'b')));

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
1.7.0

Références $separator.

◆ currentTimestamp()

currentTimestamp ( )

Gets the current date and time.

Usage: $query->where('published_up < '.$query->currentTimestamp());

Renvoie
string
Depuis
1.7.0

◆ dateAdd()

dateAdd | ( | $date,
 |  | $interval,
 |  | $datePart
 | ) |

Add to the current date and time. Usage: $query->select($query->dateAdd()); Prefixing the interval with a - (negative sign) will cause subtraction to be used. Note: Not all drivers support all units.

Paramètres
string | $date | The db quoted string representation of the date to add to. May be date or datetime
string | $interval | The string representation of the appropriate number of units
string | $datePart | The part of the date to perform the addition on
Renvoie
string The string with the appropriate sql for addition of dates

3.2.0

Références $date.

◆ dateFormat()

dateFormat ( )

Returns a PHP date() function compliant date format for the database driver.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the getDateFormat method directly.

Renvoie
string The format string.
Depuis
1.7.0

◆ day()

day ( $date )

Used to get a string to extract day from date column.

Usage: $query->select($query->day($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing day to be extracted.
Renvoie
string Returns string to extract day from a date.
Depuis
3.0.0

Références $date.

◆ delete()

delete ( $table = null )

Add a table name to the DELETE clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query.

Usage: $query->delete('#__a')->where('id = 1');

Paramètres
string $table The name of the table to delete from.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références null.

◆ dump()

dump ( )

Creates a formatted dump of the query for debugging purposes.

Usage: echo $query->dump();

Renvoie
string
Depuis
1.7.3

◆ escape()

escape | ( | $text,
 |  | $extra = false
 | ) |

Method to escape a string for usage in an SQL statement.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the escape method directly.

Note that 'e' is an alias for this method as it is in JDatabaseDriver.

Paramètres
string | $text | The string to be escaped.
boolean | $extra | Optional parameter to provide extra escaping.
Renvoie
string The escaped string.
Depuis
1.7.0
Exceptions
RuntimeException if the internal db property is not a valid object.

Références $text.

◆ exec()

exec ( $columns )

Add a single column, or array of columns to the EXEC clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query. The exec method can, however, be called multiple times in the same query.

Usage: $query->exec('a.*')->exec('b.id'); $query->exec(array('a.*', 'b.id'));

Paramètres
mixed $columns A string or an array of field names.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.0.0

Références $columns.

◆ extendWhere()

extendWhere | ( | $outerGlue,
 |  | $conditions,
 |  | $innerGlue = 'AND'
 | ) |

Extend the WHERE clause with a single condition or an array of conditions, with a potentially different logical operator from the one in the current WHERE clause.

Usage: $query->where(array('a = 1', 'b = 2'))->extendWhere('XOR', array('c = 3', 'd = 4')); will produce: WHERE ((a = 1 AND b = 2) XOR (c = 3 AND d = 4)

Paramètres
string | $outerGlue | The glue by which to join the conditions to the current WHERE conditions.
mixed | $conditions | A string or array of WHERE conditions.
string | $innerGlue | The glue by which to join the conditions. Defaults to AND.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.6

Références JDatabaseQueryElement\append().

◆ format()

format ( $format )

Find and replace sprintf-like tokens in a format string. Each token takes one of the following forms: %% - A literal percent character. %[t] - Where [t] is a type specifier. %[n]$[x] - Where [n] is an argument specifier and [t] is a type specifier.

Types: a - Numeric: Replacement text is coerced to a numeric type but not quoted or escaped. e - Escape: Replacement text is passed to $this->escape(). E - Escape (extra): Replacement text is passed to $this->escape() with true as the second argument. n - Name Quote: Replacement text is passed to $this->quoteName(). q - Quote: Replacement text is passed to $this->quote(). Q - Quote (no escape): Replacement text is passed to $this->quote() with false as the second argument. r - Raw: Replacement text is used as-is. (Be careful)

Date Types:

  • Replacement text automatically quoted (use uppercase for Name Quote).
  • Replacement text should be a string in date format or name of a date column. y/Y - Year m/M - Month d/D - Day h/H - Hour i/I - Minute s/S - Second

Invariable Types:

  • Takes no argument.
  • Argument index not incremented. t - Replacement text is the result of $this->currentTimestamp(). z - Replacement text is the result of $this->nullDate(false). Z - Replacement text is the result of $this->nullDate(true).

Usage: $query->format('SELECT %1$n FROM %2$n WHERE %3$n = %4$a', 'foo', '#__foo', 'bar', 1); Returns: SELECT foo FROM #__foo WHERE bar = 1

Notes: The argument specifier is optional but recommended for clarity. The argument index used for unspecified tokens is incremented only when used.

Paramètres
string $format The formatting string.
Renvoie
string Returns a string produced according to the formatting string.
Depuis
3.1.4

Regexp to find and replace all tokens. Matched fields: 0: Full token 1: Everything following '' 2: Everything following '' unless '' 3: Argument specifier and '$' 4: Argument specifier 5: Type specifier 6: '' if full token is '%'

Références $format, $i, $query, et null.

◆ from()

from | ( | $tables,
 |  | $subQueryAlias = null
 | ) |

Add a table to the FROM clause of the query.

Note that while an array of tables can be provided, it is recommended you use explicit joins.

Usage: $query->select('*')->from('#__a');

Paramètres
mixed | $tables | A string or array of table names. This can be a JDatabaseQuery object (or a child of it) when used as a subquery in FROM clause along with a value for $subQueryAlias.
string | $subQueryAlias | Alias used when $tables is a JDatabaseQuery.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Exceptions
RuntimeException
Depuis
1.7.0

◆ group()

group ( $columns )

Add a grouping column to the GROUP clause of the query.

Usage: $query->group('id');

Paramètres
mixed $columns A string or array of ordering columns.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références $columns.

◆ having()

having | ( | $conditions,
 |  | $glue = 'AND'
 | ) |

A conditions to the HAVING clause of the query.

Usage: $query->group('id')->having('COUNT(id) > 5');

Paramètres
mixed | $conditions | A string or array of columns.
string | $glue | The glue by which to join the conditions. Defaults to AND.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

◆ hour()

hour ( $date )

Used to get a string to extract hour from date column.

Usage: $query->select($query->hour($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing hour to be extracted.
Renvoie
string Returns string to extract hour from a date.
Depuis
3.0.0

Références $date.

◆ innerJoin()

innerJoin ( $condition )

Add an INNER JOIN clause to the query.

Usage: $query->innerJoin('b ON b.id = a.id')->innerJoin('c ON c.id = b.id');

Paramètres
string $condition The join condition.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références $condition.

◆ insert()

insert | ( | $table,
 |  | $incrementField = false
 | ) |

Add a table name to the INSERT clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query.

Usage: $query->insert('#__a')->set('id = 1'); $query->insert('#__a')->columns('id, title')->values('1,2')->values('3,4'); $query->insert('#__a')->columns('id, title')->values(array('1,2', '3,4'));

Paramètres
mixed | $table | The name of the table to insert data into.
boolean | $incrementField | The name of the field to auto increment.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

◆ join()

join | ( | $type,
 |  | $conditions
 | ) |

Add a JOIN clause to the query.

Usage: $query->join('INNER', 'b ON b.id = a.id);

Paramètres
string | $type | The type of join. This string is prepended to the JOIN keyword.
string | $conditions | A string or array of conditions.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références $type.

◆ leftJoin()

leftJoin ( $condition )

Add a LEFT JOIN clause to the query.

Usage: $query->leftJoin('b ON b.id = a.id')->leftJoin('c ON c.id = b.id');

Paramètres
string $condition The join condition.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références $condition.

◆ length()

length ( $value )

Get the length of a string in bytes.

Note, use 'charLength' to find the number of characters in a string.

Usage: query->where($query->length('a').' > 3');

Paramètres
string $value The string to measure.
Renvoie
int
Depuis
1.7.0

Références $value.

◆ minute()

minute ( $date )

Used to get a string to extract minute from date column.

Usage: $query->select($query->minute($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing minute to be extracted.
Renvoie
string Returns string to extract minute from a date.
Depuis
3.0.0

Références $date.

◆ month()

month ( $date )

Used to get a string to extract month from date column.

Usage: $query->select($query->month($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing month to be extracted.
Renvoie
string Returns string to extract month from a date.
Depuis
3.0.0

Références $date.

◆ nullDate()

nullDate ( $quoted = true )

Get the null or zero representation of a timestamp for the database driver.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the nullDate method directly.

Usage: $query->where('modified_date <> '.$query->nullDate());

Paramètres
boolean $quoted Optionally wraps the null date in database quotes (true by default).
Renvoie
string Null or zero representation of a timestamp.
Depuis
1.7.0

◆ order()

order ( $columns )

Add an ordering column to the ORDER clause of the query.

Usage: $query->order('foo')->order('bar'); $query->order(array('foo','bar'));

Paramètres
mixed $columns A string or array of ordering columns.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références $columns.

◆ orWhere()

orWhere | ( | $conditions,
 |  | $glue = 'AND'
 | ) |

Extend the WHERE clause with an OR and a single condition or an array of conditions.

Usage: $query->where(array('a = 1', 'b = 2'))->orWhere(array('c = 3', 'd = 4')); will produce: WHERE ((a = 1 AND b = 2) OR (c = 3 AND d = 4)

Paramètres
mixed | $conditions | A string or array of WHERE conditions.
string | $glue | The glue by which to join the conditions. Defaults to AND.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.6

◆ outerJoin()

outerJoin ( $condition )

Add an OUTER JOIN clause to the query.

Usage: $query->outerJoin('b ON b.id = a.id')->outerJoin('c ON c.id = b.id');

Paramètres
string $condition The join condition.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références $condition.

◆ quote()

quote | ( | $text,
 |  | $escape = true
 | ) |

Method to quote and optionally escape a string to database requirements for insertion into the database.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the quote method directly.

Note that 'q' is an alias for this method as it is in JDatabaseDriver.

Usage: $query->quote('fulltext'); $query->q('fulltext'); $query->q(array('option', 'fulltext'));

Paramètres
mixed | $text | A string or an array of strings to quote.
boolean | $escape | True to escape the string, false to leave it unchanged.
Renvoie
string The quoted input string.
Depuis
1.7.0
Exceptions
RuntimeException if the internal db property is not a valid object.

Références $text.

◆ quoteName()

quoteName | ( | $name,
 |  | $as = null
 | ) |

Wrap an SQL statement identifier name such as column, table or database names in quotes to prevent injection risks and reserved word conflicts.

This method is provided for use where the query object is passed to a function for modification. If you have direct access to the database object, it is recommended you use the quoteName method directly.

Note that 'qn' is an alias for this method as it is in JDatabaseDriver.

Usage: $query->quoteName('#__a'); $query->qn('#__a');

Paramètres
mixed | $name | The identifier name to wrap in quotes, or an array of identifier names to wrap in quotes. Each type supports dot-notation name.
mixed | $as | The AS query part associated to $name. It can be string or array, in latter case it has to be same length of $name; if is null there will not be any AS part for string or array element.
Renvoie
mixed The quote wrapped name, same type of $name.
Depuis
1.7.0
Exceptions
RuntimeException if the internal db property is not a valid object.

Références $name.

◆ rightJoin()

rightJoin ( $condition )

Add a RIGHT JOIN clause to the query.

Usage: $query->rightJoin('b ON b.id = a.id')->rightJoin('c ON c.id = b.id');

Paramètres
string $condition The join condition.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références $condition.

◆ second()

second ( $date )

Used to get a string to extract seconds from date column.

Usage: $query->select($query->second($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing second to be extracted.
Renvoie
string Returns string to extract second from a date.
Depuis
3.0.0

Références $date.

◆ select()

select ( $columns )

Add a single column, or array of columns to the SELECT clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query. The select method can, however, be called multiple times in the same query.

Usage: $query->select('a.*')->select('b.id'); $query->select(array('a.*', 'b.id'));

Paramètres
mixed $columns A string or an array of field names.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

Références $columns.

◆ selectRowNumber()

selectRowNumber | ( | $orderBy,
 |  | $orderColumnAlias
 | ) |

Return the number of the current row.

Usage: $query->select('id'); $query->selectRowNumber('ordering,publish_up DESC', 'new_ordering'); $query->from('#__content');

Paramètres
string | $orderBy | An expression of ordering for window function.
string | $orderColumnAlias | An alias for new ordering column.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.7.0
Exceptions
RuntimeException

◆ set()

set | ( | $conditions,
 |  | $glue = ','
 | ) |

Add a single condition string, or an array of strings to the SET clause of the query.

Usage: $query->set('a = 1')->set('b = 2'); $query->set(array('a = 1', 'b = 2');

Paramètres
mixed | $conditions | A string or array of string conditions.
string | $glue | The glue by which to join the condition strings. Defaults to ,. Note that the glue is set on first use and cannot be changed.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

◆ setQuery()

setQuery ( $sql )

Allows a direct query to be provided to the database driver's setQuery() method, but still allow queries to have bounded variables.

Usage: $query->setQuery('select * from #__users');

Paramètres
mixed $sql An SQL Query
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.0.0

◆ union()

union | ( | $query,
 |  | $distinct = false,
 |  | $glue = ''
 | ) |

Add a query to UNION with the current query. Multiple unions each require separate statements and create an array of unions.

Usage (the $query base query MUST be a select query): $query->union('SELECT name FROM #__foo') $query->union('SELECT name FROM #__foo', true) $query->union($query2)->union($query3)

The $query attribute as an array is deprecated and will not be supported in 4.0.

$query->union(array('SELECT name FROM #__foo','SELECT name FROM #__bar')) $query->union(array($query2, $query3))

Paramètres
mixed | $query | The JDatabaseQuery object or string to union.
boolean | $distinct | True to only return distinct rows from the union.
string | $glue | The glue by which to join the conditions.
Renvoie
JDatabaseQuery Returns this object to allow chaining.

3.0.0

Références $name, $query, et JDatabaseQueryElement\append().

◆ unionAll()

unionAll | ( | $query,
 |  | $distinct = false,
 |  | $glue = ''
 | ) |

Add a query to UNION ALL with the current query. Multiple unions each require separate statements and create an array of unions.

Usage: $query->union('SELECT name FROM #__foo')

The $query attribute as an array is deprecated and will not be supported in 4.0.

$query->union(array('SELECT name FROM #__foo','SELECT name FROM #__bar'))

Paramètres
mixed | $query | The JDatabaseQuery object or string to union.
boolean | $distinct | Not used - ignored.
string | $glue | Not used - ignored.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Voir également
union
Depuis
3.2.0

Références $name, et $query.

◆ unionDistinct()

unionDistinct | ( | $query,
 |  | $glue = ''
 | ) |

Add a query to UNION DISTINCT with the current query. Simply a proxy to union with the DISTINCT keyword.

Usage: $query->unionDistinct('SELECT name FROM #__foo')

Paramètres
mixed | $query | The JDatabaseQuery object or string to union.
string | $glue | The glue by which to join the conditions.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Voir également
union
Depuis
3.0.0
Obsolète:
4.0 Use union() instead.

Références $query.

◆ update()

update ( $table )

Add a table name to the UPDATE clause of the query.

Note that you must not mix insert, update, delete and select method calls when building a query.

Usage: $query->update('#__foo')->set(...);

Paramètres
string $table A table to update.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

◆ validateRowNumber()

validateRowNumber | ( | $orderBy,
 |  | $orderColumnAlias
 | ) |
protected

Validate arguments which are passed to selectRowNumber method and set up common variables.

Paramètres
string | $orderBy | An expression of ordering for window function.
string | $orderColumnAlias | An alias for new ordering column.
Renvoie
void
Depuis
3.7.0
Exceptions
RuntimeException

◆ values()

values ( $values )

Adds a tuple, or array of tuples that would be used as values for an INSERT INTO statement.

Usage: $query->values('1,2,3')->values('4,5,6'); $query->values(array('1,2,3', '4,5,6'));

Paramètres
string $values A single tuple, or array of tuples.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

◆ where()

where | ( | $conditions,
 |  | $glue = 'AND'
 | ) |

Add a single condition, or an array of conditions to the WHERE clause of the query.

Usage: $query->where('a = 1')->where('b = 2'); $query->where(array('a = 1', 'b = 2'));

Paramètres
mixed | $conditions | A string or array of where conditions.
string | $glue | The glue by which to join the conditions. Defaults to AND. Note that the glue is set on first use and cannot be changed.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
1.7.0

◆ year()

year ( $date )

Used to get a string to extract year from date column.

Usage: $query->select($query->year($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing year to be extracted.
Renvoie
string Returns string to extract year from a date.
Depuis
3.0.0

Références $date.

Documentation des champs

◆ $autoIncrementField

$autoIncrementField = null
protected

◆ $call

$call = null
protected

◆ $columns

$columns = null
protected

◆ $db

$db = null
protected

◆ $delete

$delete = null
protected

◆ $element

$element = null
protected

◆ $exec

$exec = null
protected

◆ $from

$from = null
protected

◆ $group

$group = null
protected

◆ $having

$having = null
protected

◆ $insert

$insert = null
protected

◆ $join

$join = null
protected

◆ $order

$order = null
protected

◆ $select

$select = null
protected

◆ $selectRowNumber

$selectRowNumber = null
protected

◆ $set

$set = null
protected

◆ $sql

$sql = null
protected

◆ $type

$type = ''
protected

◆ $union

$union = null
protected

◆ $unionAll

$unionAll = null
protected

◆ $update

$update = null
protected

◆ $values

$values = null
protected

◆ $where

$where = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/query.php


Joomla CMS: Référence de la classe JDatabaseQueryElement

Fonctions membres publiques | Attributs protégés
Référence de la classe JDatabaseQueryElement

Fonctions membres publiques

__construct ($name, $elements, $glue=',')
__toString ()
append ($elements)
getElements ()
setName ($name)
__clone ()

Attributs protégés

$name = null
$elements = null
$glue = null

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $name,
 |  | $elements,
 |  | $glue = ','
 | ) |

Constructor.

Paramètres
string | $name | The name of the element.
mixed | $elements | String or array.
string | $glue | The glue for elements.
Depuis
1.7.0

Références $name, et name.

Documentation des fonctions membres

◆ __clone()

__clone ( )

Method to provide deep copy support to nested objects and arrays when cloning.

Renvoie
void
Depuis
1.7.3

◆ __toString()

__toString ( )

Magic function to convert the query element to a string.

Renvoie
string
Depuis
1.7.0

Références name.

◆ append()

append ( $elements )

Appends element parts to the internal list.

Paramètres
mixed $elements String or array.
Renvoie
void
Depuis
1.7.0

Référencé par JDatabaseQuery\extendWhere(), et JDatabaseQuery\union().

◆ getElements()

getElements ( )

Gets the elements of this element.

Renvoie
array
Depuis
1.7.0

◆ setName()

setName ( $name )

Sets the name of this element.

Paramètres
string $name Name of the element.
Renvoie
JDatabaseQueryElement Returns this object to allow chaining.
Depuis
3.6

Références $name, et name.

Documentation des champs

◆ $elements

$elements = null
protected

◆ $glue

$glue = null
protected

◆ $name

$name = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/query/element.php


Joomla CMS: Référence de l'interface JDatabaseQueryLimitable

Fonctions membres publiques
Référence de l'interface JDatabaseQueryLimitable
+ Graphe d'héritage de JDatabaseQueryLimitable:
FOFDatabaseQueryLimitable JDatabaseQueryMysqli JDatabaseQueryOracle JDatabaseQueryPostgresql JDatabaseQuerySqlite JDatabaseQuerySqlsrv FOFDatabaseQueryMysqli FOFDatabaseQueryOracle FOFDatabaseQueryPostgresql FOFDatabaseQuerySqlite FOFDatabaseQuerySqlsrv JDatabaseQueryMysql JDatabaseQueryPdomysql JDatabaseQueryPgsql JDatabaseQuerySqlazure

Fonctions membres publiques

processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)

Description détaillée

Joomla Database Query Limitable Interface. Adds bind/unbind methods as well as a getBounded() method to retrieve the stored bounded variables on demand prior to query execution.

Depuis
3.0.0

Documentation des fonctions membres

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset. This method is used automatically by the __toString() method if it detects that the query implements the JDatabaseQueryLimitable interface.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
3.0.0

Implémenté dans JDatabaseQueryPostgresql, FOFDatabaseQueryPostgresql, JDatabaseQuerySqlsrv, FOFDatabaseQuerySqlsrv, FOFDatabaseQuerySqlite, JDatabaseQuerySqlite, FOFDatabaseQueryOracle, JDatabaseQueryOracle, JDatabaseQueryMysqli, et FOFDatabaseQueryMysqli.

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.0.0

Implémenté dans JDatabaseQueryPostgresql, FOFDatabaseQueryPostgresql, JDatabaseQuerySqlsrv, FOFDatabaseQuerySqlsrv, FOFDatabaseQuerySqlite, JDatabaseQuerySqlite, FOFDatabaseQueryOracle, JDatabaseQueryOracle, JDatabaseQueryMysqli, et FOFDatabaseQueryMysqli.

La documentation de cette interface a été générée à partir du fichier suivant :
  • joomla/database/query/limitable.php


Joomla CMS: Référence de la classe JDatabaseQueryMysql

Référence de la classe JDatabaseQueryMysql
+ Graphe d'héritage de JDatabaseQueryMysql:
JDatabaseQueryMysqli JDatabaseQuery JDatabaseQueryLimitable

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseQueryMysqli
__toString ()
processLimit ($query, $limit, $offset=0)
concatenate ($values, $separator=null)
setLimit ($limit=0, $offset=0)
regexp ($value)
Rand ()
selectRowNumber ($orderBy, $orderColumnAlias)
castAsChar ($value, $len=null)
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)
- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)
- Attributs protégés hérités de JDatabaseQueryMysqli
$offset
$limit
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Description détaillée

Query Building Class.

Depuis
1.7.0
Obsolète:
4.0 Use MySQLi or PDO MySQL instead
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/query/mysql.php


Joomla CMS: Référence de la classe JDatabaseQueryMysqli

Fonctions membres publiques | Attributs protégés
Référence de la classe JDatabaseQueryMysqli
+ Graphe d'héritage de JDatabaseQueryMysqli:
JDatabaseQuery JDatabaseQueryLimitable JDatabaseQueryMysql JDatabaseQueryPdomysql

Fonctions membres publiques

__toString ()
processLimit ($query, $limit, $offset=0)
concatenate ($values, $separator=null)
setLimit ($limit=0, $offset=0)
regexp ($value)
Rand ()
selectRowNumber ($orderBy, $orderColumnAlias)
castAsChar ($value, $len=null)
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)

Attributs protégés

$offset
$limit
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)

Description détaillée

Query Building Class.

Depuis
1.7.0

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic function to convert the query to a string.

Renvoie
string The completed query.
Depuis
1.7.0

Références $limit, $offset, $query, et null.

◆ castAsChar()

castAsChar | ( | $value,
 |  | $len = null
 | ) |

Casts a value to a char.

Ensure that the value is properly quoted before passing to the method.

Usage: $query->select($query->castAsChar('a')); $query->select($query->castAsChar('a', 40));

Paramètres
string | $value | The value to cast as a char.
string | $len | The length of the char.
Renvoie
string Returns the cast value.
Depuis
3.7.0

Références $value.

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
1.7.0

Références $separator, et $value.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, $query, et elseif.

◆ Rand()

Rand ( )

Return correct rand() function for Mysql.

Ensure that the rand() function is Mysql compatible.

Usage: $query->Rand();

Renvoie
string The correct rand function.
Depuis
3.5

◆ regexp()

regexp ( $value )

Return correct regexp operator for mysqli.

Ensure that the regexp operator is mysqli compatible.

Usage: $query->where('field ' . $query->regexp($search));

Paramètres
string $value The regex pattern.
Renvoie
string Returns the regex operator.
Depuis
1.7.3

Références $value.

◆ selectRowNumber()

selectRowNumber | ( | $orderBy,
 |  | $orderColumnAlias
 | ) |

Return the number of the current row.

Paramètres
string | $orderBy | An expression of ordering for window function.
string | $orderColumnAlias | An alias for new ordering column.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.7.0
Exceptions
RuntimeException

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

Documentation des champs

◆ $limit

$limit
protected

◆ $offset

$offset
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/query/mysqli.php


Joomla CMS: Référence de la classe JDatabaseQueryOracle

Fonctions membres publiques | Attributs protégés
Référence de la classe JDatabaseQueryOracle
+ Graphe d'héritage de JDatabaseQueryOracle:
JDatabaseQueryPdo JDatabaseQueryPreparable JDatabaseQueryLimitable JDatabaseQuery

Fonctions membres publiques

bind ($key=null, &$value=null, $dataType=PDO::PARAM_STR, $length=0, $driverOptions=array())
& getBounded ($key=null)
clear ($clause=null)
processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)
- Fonctions membres publiques hérités de JDatabaseQueryPdo
castAsChar ($value, $len=null)
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)

Attributs protégés

$offset
$limit
$bounded = array()
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)

Description détaillée

Oracle Query Building Class.

Depuis
3.0.0

Documentation des fonctions membres

◆ bind()

bind | ( |  | $key = null,
 |  | & | $value = null,
 |  |  | $dataType = PDO::PARAM_STR,
 |  |  | $length = 0,
 |  |  | $driverOptions = array()
 | ) |  |

Method to add a variable to an internal array that will be bound to a prepared SQL statement before query execution. Also removes a variable that has been bounded from the internal bounded array when the passed in value is null.

Paramètres
string | integer | $key | The key that will be used in your SQL query to reference the value. Usually of the form ':key', but can also be an integer.
mixed | &$value | The value that will be bound. The value is passed by reference to support output parameters such as those possible with stored procedures.
integer | $dataType | Constant corresponding to a SQL datatype.
integer | $length | The length of the variable. Usually required for OUTPUT parameters.
array | $driverOptions | Optional driver options to be used.
Renvoie
JDatabaseQueryOracle
Depuis
3.0.0

Implémente JDatabaseQueryPreparable.

Références $key, et $value.

◆ clear()

clear ( $clause = null )

Clear data from the query or a specific clause of the query.

Paramètres
string $clause Optionally, the name of the clause to clear, or nothing to clear the whole query.
Renvoie
JDatabaseQueryOracle Returns this object to allow chaining.
Depuis
3.0.0

Références null.

◆ getBounded()

& getBounded ( $key = null )

Retrieves the bound parameters array when key is null and returns it by reference. If a key is provided then that item is returned.

Paramètres
mixed $key The bounded variable key to retrieve.
Renvoie
mixed
Depuis
3.0.0

Implémente JDatabaseQueryPreparable.

Références $key.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset. This method is used automatically by the __toString() method if it detects that the query implements the JDatabaseQueryLimitable interface.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, et $query.

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
JDatabaseQueryOracle Returns this object to allow chaining.
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

Documentation des champs

◆ $bounded

$bounded = array()
protected

◆ $limit

$limit
protected

◆ $offset

$offset
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/query/oracle.php


Joomla CMS: Référence de la classe JDatabaseQueryPdo

Fonctions membres publiques
Référence de la classe JDatabaseQueryPdo
+ Graphe d'héritage de JDatabaseQueryPdo:
JDatabaseQuery JDatabaseQueryOracle JDatabaseQuerySqlite

Fonctions membres publiques

castAsChar ($value, $len=null)
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Description détaillée

PDO Query Building Class.

Depuis
3.0.0

Documentation des fonctions membres

◆ castAsChar()

castAsChar | ( | $value,
 |  | $len = null
 | ) |

Casts a value to a char.

Ensure that the value is properly quoted before passing to the method.

Usage: $query->select($query->castAsChar('a')); $query->select($query->castAsChar('a', 40));

Paramètres
string | $value | The value to cast as a char.
string | $len | The length of the char.
Renvoie
string Returns the cast value.
Depuis
1.7.0

Références $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/query/pdo.php


Joomla CMS: Référence de la classe JDatabaseQueryPdomysql

Référence de la classe JDatabaseQueryPdomysql
+ Graphe d'héritage de JDatabaseQueryPdomysql:
JDatabaseQueryMysqli JDatabaseQuery JDatabaseQueryLimitable

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseQueryMysqli
__toString ()
processLimit ($query, $limit, $offset=0)
concatenate ($values, $separator=null)
setLimit ($limit=0, $offset=0)
regexp ($value)
Rand ()
selectRowNumber ($orderBy, $orderColumnAlias)
castAsChar ($value, $len=null)
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)
- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)
- Attributs protégés hérités de JDatabaseQueryMysqli
$offset
$limit
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/query/pdomysql.php


Joomla CMS: Référence de la classe JDatabaseQueryPgsql

Fonctions membres publiques | Attributs protégés
Référence de la classe JDatabaseQueryPgsql
+ Graphe d'héritage de JDatabaseQueryPgsql:
JDatabaseQueryPostgresql JDatabaseQueryPreparable JDatabaseQuery JDatabaseQueryLimitable

Fonctions membres publiques

bind ($key=null, &$value=null, $dataType=PDO::PARAM_STR, $length=0, $driverOptions=array())
& getBounded ($key=null)
clear ($clause=null)
- Fonctions membres publiques hérités de JDatabaseQueryPostgresql
__toString ()
clear ($clause=null)
castAsChar ($value, $len=null)
concatenate ($values, $separator=null)
currentTimestamp ()
forUpdate ($tableName, $glue=',')
forShare ($tableName, $glue=',')
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
noWait ()
limit ($limit=0)
offset ($offset=0)
returning ($pkCol)
setLimit ($limit=0, $offset=0)
processLimit ($query, $limit, $offset=0)
dateAdd ($date, $interval, $datePart)
regexp ($value)
Rand ()
selectRowNumber ($orderBy, $orderColumnAlias)
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)

Attributs protégés

$bounded = array()
- Attributs protégés hérités de JDatabaseQueryPostgresql
$forUpdate = null
$forShare = null
$noWait = null
$limit = null
$offset = null
$returning = null
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)

Description détaillée

PDO PostgreSQL Query Building Class.

Depuis
3.9.0

Documentation des fonctions membres

◆ bind()

bind | ( |  | $key = null,
 |  | & | $value = null,
 |  |  | $dataType = PDO::PARAM_STR,
 |  |  | $length = 0,
 |  |  | $driverOptions = array()
 | ) |  |

Method to add a variable to an internal array that will be bound to a prepared SQL statement before query execution. Also removes a variable that has been bounded from the internal bounded array when the passed in value is null.

Paramètres
string | integer | $key | The key that will be used in your SQL query to reference the value. Usually of the form ':key', but can also be an integer.
mixed | &$value | The value that will be bound. The value is passed by reference to support output parameters such as those possible with stored procedures.
integer | $dataType | Constant corresponding to a SQL datatype.
integer | $length | The length of the variable. Usually required for OUTPUT parameters.
array | $driverOptions | Optional driver options to be used.
Renvoie
JDatabaseQueryPgsql
Depuis
3.9.0

Implémente JDatabaseQueryPreparable.

Références $key, et $value.

◆ clear()

clear ( $clause = null )

Clear data from the query or a specific clause of the query.

Paramètres
string $clause Optionally, the name of the clause to clear, or nothing to clear the whole query.
Renvoie
JDatabaseQueryPgsql Returns this object to allow chaining.
Depuis
3.9.0

Références null.

◆ getBounded()

& getBounded ( $key = null )

Retrieves the bound parameters array when key is null and returns it by reference. If a key is provided then that item is returned.

Paramètres
mixed $key The bounded variable key to retrieve.
Renvoie
mixed
Depuis
3.9.0

Implémente JDatabaseQueryPreparable.

Références $key.

Documentation des champs

◆ $bounded

$bounded = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • query/pgsql.php


Joomla CMS: Référence de la classe JDatabaseQueryPostgresql

Fonctions membres publiques | Attributs protégés
Référence de la classe JDatabaseQueryPostgresql
+ Graphe d'héritage de JDatabaseQueryPostgresql:
JDatabaseQuery JDatabaseQueryLimitable JDatabaseQueryPgsql

Fonctions membres publiques

__toString ()
clear ($clause=null)
castAsChar ($value, $len=null)
concatenate ($values, $separator=null)
currentTimestamp ()
forUpdate ($tableName, $glue=',')
forShare ($tableName, $glue=',')
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
noWait ()
limit ($limit=0)
offset ($offset=0)
returning ($pkCol)
setLimit ($limit=0, $offset=0)
processLimit ($query, $limit, $offset=0)
dateAdd ($date, $interval, $datePart)
regexp ($value)
Rand ()
selectRowNumber ($orderBy, $orderColumnAlias)
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)

Attributs protégés

$forUpdate = null
$forShare = null
$noWait = null
$limit = null
$offset = null
$returning = null
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)

Description détaillée

Query Building Class.

Depuis
1.7.3
Obsolète:
4.0 Use PDO PostgreSQL instead

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic function to convert the query to a string, only for postgresql specific query

Renvoie
string The completed query.
Depuis
1.7.3

Références $columns, $condition, $limit, $offset, $query, elseif, et null.

◆ castAsChar()

castAsChar | ( | $value,
 |  | $len = null
 | ) |

Casts a value to a char.

Ensure that the value is properly quoted before passing to the method.

Usage: $query->select($query->castAsChar('a')); $query->select($query->castAsChar('a', 40));

Paramètres
string | $value | The value to cast as a char.
string | $len | The length of the char.
Renvoie
string Returns the cast value.
Depuis
1.7.3

Références $value.

◆ clear()

clear ( $clause = null )

Clear data from the query or a specific clause of the query.

Paramètres
string $clause Optionally, the name of the clause to clear, or nothing to clear the whole query.
Renvoie
JDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
1.7.3

Références null.

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Usage: $query->select($query->concatenate(array('a', 'b')));

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
1.7.3

Références $separator.

◆ currentTimestamp()

currentTimestamp ( )

Gets the current date and time.

Renvoie
string Return string used in query to obtain
Depuis
1.7.3

◆ dateAdd()

dateAdd | ( | $date,
 |  | $interval,
 |  | $datePart
 | ) |

Add to the current date and time in Postgresql. Usage: $query->select($query->dateAdd()); Prefixing the interval with a - (negative sign) will cause subtraction to be used.

Paramètres
string | $date | The db quoted string representation of the date to add to
string | $interval | The string representation of the appropriate number of units
string | $datePart | The part of the date to perform the addition on
Renvoie
string The string with the appropriate sql for addition of dates
Depuis
3.2.0
Note
Not all drivers support all units. Check appropriate references http://www.postgresql.org/docs/9.0/static/functions-datetime.html.

Références $date.

◆ day()

day ( $date )

Used to get a string to extract day from date column.

Usage: $query->select($query->day($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing day to be extracted.
Renvoie
string Returns string to extract day from a date.
Depuis
3.0.0

Références $date.

◆ forShare()

forShare | ( | $tableName,
 |  | $glue = ','
 | ) |

Sets the FOR SHARE lock on select's output row

Paramètres
string | $tableName | The table to lock
string | $glue | The glue by which to join the conditions. Defaults to ',' .
Renvoie
JDatabaseQueryPostgresql FOR SHARE query element
Depuis
1.7.3

◆ forUpdate()

forUpdate | ( | $tableName,
 |  | $glue = ','
 | ) |

Sets the FOR UPDATE lock on select's output row

Paramètres
string | $tableName | The table to lock
string | $glue | The glue by which to join the conditions. Defaults to ',' .
Renvoie
JDatabaseQueryPostgresql FOR UPDATE query element
Depuis
1.7.3

◆ hour()

hour ( $date )

Used to get a string to extract hour from date column.

Usage: $query->select($query->hour($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing hour to be extracted.
Renvoie
string Returns string to extract hour from a date.
Depuis
3.0.0

Références $date.

◆ limit()

limit ( $limit = 0 )

Set the LIMIT clause to the query

Paramètres
integer $limit An int of how many row will be returned
Renvoie
JDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
1.7.3

Références $limit.

◆ minute()

minute ( $date )

Used to get a string to extract minute from date column.

Usage: $query->select($query->minute($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing minute to be extracted.
Renvoie
string Returns string to extract minute from a date.
Depuis
3.0.0

Références $date.

◆ month()

month ( $date )

Used to get a string to extract month from date column.

Usage: $query->select($query->month($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing month to be extracted.
Renvoie
string Returns string to extract month from a date.
Depuis
3.0.0

Références $date.

◆ noWait()

noWait ( )

Sets the NOWAIT lock on select's output row

Renvoie
JDatabaseQueryPostgresql NO WAIT query element
Depuis
1.7.3

Références null.

◆ offset()

offset ( $offset = 0 )

Set the OFFSET clause to the query

Paramètres
integer $offset An int for skipping row
Renvoie
JDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
1.7.3

Références $offset.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, et $query.

◆ Rand()

Rand ( )

Return correct rand() function for Postgresql.

Ensure that the rand() function is Postgresql compatible.

Usage: $query->Rand();

Renvoie
string The correct rand function.
Depuis
3.5

◆ regexp()

regexp ( $value )

Return correct regexp operator for Postgresql.

Ensure that the regexp operator is Postgresql compatible.

Usage: $query->where('field ' . $query->regexp($search));

Paramètres
string $value The regex pattern.
Renvoie
string Returns the regex operator.
Depuis
1.7.3

Références $value.

◆ returning()

returning ( $pkCol )

Add the RETURNING element to INSERT INTO statement.

Paramètres
mixed $pkCol The name of the primary key column.
Renvoie
JDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
1.7.3

◆ second()

second ( $date )

Used to get a string to extract seconds from date column.

Usage: $query->select($query->second($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing second to be extracted.
Renvoie
string Returns string to extract second from a date.
Depuis
3.0.0

Références $date.

◆ selectRowNumber()

selectRowNumber | ( | $orderBy,
 |  | $orderColumnAlias
 | ) |

Return the number of the current row.

Paramètres
string | $orderBy | An expression of ordering for window function.
string | $orderColumnAlias | An alias for new ordering column.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.7.0
Exceptions
RuntimeException

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
JDatabaseQueryPostgresql Returns this object to allow chaining.
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

◆ year()

year ( $date )

Used to get a string to extract year from date column.

Usage: $query->select($query->year($query->quoteName('dateColumn')));

Paramètres
string $date Date column containing year to be extracted.
Renvoie
string Returns string to extract year from a date.
Depuis
3.0.0

Références $date.

Documentation des champs

◆ $forShare

$forShare = null
protected

◆ $forUpdate

$forUpdate = null
protected

◆ $limit

$limit = null
protected

◆ $noWait

$noWait = null
protected

◆ $offset

$offset = null
protected

◆ $returning

$returning = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/query/postgresql.php


Joomla CMS: Référence de l'interface JDatabaseQueryPreparable

Fonctions membres publiques
Référence de l'interface JDatabaseQueryPreparable
+ Graphe d'héritage de JDatabaseQueryPreparable:
FOFDatabaseQueryPreparable JDatabaseQueryOracle JDatabaseQueryPgsql JDatabaseQuerySqlite FOFDatabaseQueryOracle FOFDatabaseQuerySqlite

Fonctions membres publiques

bind ($key=null, &$value=null, $dataType=PDO::PARAM_STR, $length=0, $driverOptions=array())
& getBounded ($key=null)

Description détaillée

Joomla Database Query Preparable Interface. Adds bind/unbind methods as well as a getBounded() method to retrieve the stored bounded variables on demand prior to query execution.

Depuis
3.0.0

Documentation des fonctions membres

◆ bind()

bind | ( |  | $key = null,
 |  | & | $value = null,
 |  |  | $dataType = PDO::PARAM_STR,
 |  |  | $length = 0,
 |  |  | $driverOptions = array()
 | ) |  |

Method to add a variable to an internal array that will be bound to a prepared SQL statement before query execution. Also removes a variable that has been bounded from the internal bounded array when the passed in value is null.

Paramètres
string | integer | $key | The key that will be used in your SQL query to reference the value. Usually of the form ':key', but can also be an integer.
mixed | &$value | The value that will be bound. The value is passed by reference to support output parameters such as those possible with stored procedures.
integer | $dataType | Constant corresponding to a SQL datatype.
integer | $length | The length of the variable. Usually required for OUTPUT parameters.
array | $driverOptions | Optional driver options to be used.
Renvoie
JDatabaseQuery
Depuis
3.0.0

Implémenté dans FOFDatabaseQueryOracle, FOFDatabaseQuerySqlite, JDatabaseQueryOracle, JDatabaseQuerySqlite, et JDatabaseQueryPgsql.

◆ getBounded()

& getBounded ( $key = null )

Retrieves the bound parameters array when key is null and returns it by reference. If a key is provided then that item is returned.

Paramètres
mixed $key The bounded variable key to retrieve.
Renvoie
mixed
Depuis
3.0.0

Implémenté dans FOFDatabaseQueryOracle, FOFDatabaseQuerySqlite, JDatabaseQueryOracle, JDatabaseQuerySqlite, et JDatabaseQueryPgsql.

La documentation de cette interface a été générée à partir du fichier suivant :
  • joomla/database/query/preparable.php


Joomla CMS: Référence de la classe JDatabaseQuerySqlazure

Attributs protégés
Référence de la classe JDatabaseQuerySqlazure
+ Graphe d'héritage de JDatabaseQuerySqlazure:
JDatabaseQuerySqlsrv JDatabaseQuery JDatabaseQueryLimitable

Attributs protégés

$name_quotes = ''
- Attributs protégés hérités de JDatabaseQuerySqlsrv
$name_quotes = '`'
$null_date = '1900-01-01 00:00:00'
$limit = 0
$offset = 0
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Membres hérités additionnels

- Fonctions membres publiques hérités de JDatabaseQuerySqlsrv
__toString ()
castAsChar ($value, $len=null)
charLength ($field, $operator=null, $condition=null)
concatenate ($values, $separator=null)
currentTimestamp ()
length ($value)
dateAdd ($date, $interval, $datePart)
processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)
Rand ()
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)
- Fonctions membres protégées hérités de JDatabaseQuerySqlsrv
splitSqlExpression ($string)
fixSelectAliases ()
fixGroupColumns ($selectColumns)
- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)

Description détaillée

Query Building Class.

Depuis
1.7.0

Documentation des champs

◆ $name_quotes

$name_quotes = ''
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/query/sqlazure.php


Joomla CMS: Référence de la classe JDatabaseQuerySqlite

Fonctions membres publiques | Attributs protégés
Référence de la classe JDatabaseQuerySqlite
+ Graphe d'héritage de JDatabaseQuerySqlite:
JDatabaseQueryPdo JDatabaseQueryPreparable JDatabaseQueryLimitable JDatabaseQuery

Fonctions membres publiques

bind ($key=null, &$value=null, $dataType=PDO::PARAM_STR, $length=0, $driverOptions=array())
& getBounded ($key=null)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
concatenate ($values, $separator=null)
processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)
dateAdd ($date, $interval, $datePart)
currentTimestamp ()
__toString ()
selectRowNumber ($orderBy, $orderColumnAlias)
- Fonctions membres publiques hérités de JDatabaseQueryPdo
castAsChar ($value, $len=null)
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)

Attributs protégés

$offset
$limit
$bounded = array()
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Membres hérités additionnels

- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)

Description détaillée

SQLite Query Building Class.

Depuis
3.0.0

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic function to convert the query to a string.

Renvoie
string The completed query.
Depuis
1.7.0

Références $fields, $key, $limit, $offset, $query, $value, et null.

◆ bind()

bind | ( |  | $key = null,
 |  | & | $value = null,
 |  |  | $dataType = PDO::PARAM_STR,
 |  |  | $length = 0,
 |  |  | $driverOptions = array()
 | ) |  |

Method to add a variable to an internal array that will be bound to a prepared SQL statement before query execution. Also removes a variable that has been bounded from the internal bounded array when the passed in value is null.

Paramètres
string | integer | $key | The key that will be used in your SQL query to reference the value. Usually of the form ':key', but can also be an integer.
mixed | &$value | The value that will be bound. The value is passed by reference to support output parameters such as those possible with stored procedures.
integer | $dataType | Constant corresponding to a SQL datatype.
integer | $length | The length of the variable. Usually required for OUTPUT parameters.
array | $driverOptions | Optional driver options to be used.
Renvoie
JDatabaseQuerySqlite
Depuis
3.0.0

Implémente JDatabaseQueryPreparable.

Références $key, et $value.

◆ charLength()

charLength | ( | $field,
 |  | $operator = null,
 |  | $condition = null
 | ) |

Gets the number of characters in a string.

Note, use 'length' to find the number of bytes in a string.

Usage: $query->select($query->charLength('a'));

Paramètres
string | $field | A value.
string | $operator | Comparison operator between charLength integer value and $condition
string | $condition | Integer value to compare charLength with.
Renvoie
string The required char length call.
Depuis
3.2.0

Références $condition, et $field.

◆ clear()

clear ( $clause = null )

Clear data from the query or a specific clause of the query.

Paramètres
string $clause Optionally, the name of the clause to clear, or nothing to clear the whole query.
Renvoie
JDatabaseQuerySqlite Returns this object to allow chaining.
Depuis
3.0.0

Références null.

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Usage: $query->select($query->concatenate(array('a', 'b')));

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
1.7.0

Références $separator.

◆ currentTimestamp()

currentTimestamp ( )

Gets the current date and time.

Usage: $query->where('published_up < '.$query->currentTimestamp());

Renvoie
string
Depuis
3.4

◆ dateAdd()

dateAdd | ( | $date,
 |  | $interval,
 |  | $datePart
 | ) |

Add to the current date and time. Usage: $query->select($query->dateAdd()); Prefixing the interval with a - (negative sign) will cause subtraction to be used.

Paramètres
datetime | $date | The date or datetime to add to
string | $interval | The string representation of the appropriate number of units
string | $datePart | The part of the date to perform the addition on
Renvoie
string The string with the appropriate sql for addition of dates
Depuis
3.2.0 http://www.sqlite.org/lang_datefunc.html

Références $date.

◆ getBounded()

& getBounded ( $key = null )

Retrieves the bound parameters array when key is null and returns it by reference. If a key is provided then that item is returned.

Paramètres
mixed $key The bounded variable key to retrieve.
Renvoie
mixed
Depuis
3.0.0

Implémente JDatabaseQueryPreparable.

Références $key.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset. This method is used automatically by the __toString() method if it detects that the query implements the JDatabaseQueryLimitable interface.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, et $query.

◆ selectRowNumber()

selectRowNumber | ( | $orderBy,
 |  | $orderColumnAlias
 | ) |

Return the number of the current row.

Paramètres
string | $orderBy | An expression of ordering for window function.
string | $orderColumnAlias | An alias for new ordering column.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.7.0
Exceptions
RuntimeException

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
JDatabaseQuerySqlite Returns this object to allow chaining.
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

Documentation des champs

◆ $bounded

$bounded = array()
protected

◆ $limit

$limit
protected

◆ $offset

$offset
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/database/query/sqlite.php


Joomla CMS: Référence de la classe JDatabaseQuerySqlsrv

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JDatabaseQuerySqlsrv
+ Graphe d'héritage de JDatabaseQuerySqlsrv:
JDatabaseQuery JDatabaseQueryLimitable JDatabaseQuerySqlazure

Fonctions membres publiques

__toString ()
castAsChar ($value, $len=null)
charLength ($field, $operator=null, $condition=null)
concatenate ($values, $separator=null)
currentTimestamp ()
length ($value)
dateAdd ($date, $interval, $datePart)
processLimit ($query, $limit, $offset=0)
setLimit ($limit=0, $offset=0)
Rand ()
- Fonctions membres publiques hérités de JDatabaseQuery
__call ($method, $args)
__construct (JDatabaseDriver $db=null)
__toString ()
__get ($name)
call ($columns)
castAsChar ($value)
charLength ($field, $operator=null, $condition=null)
clear ($clause=null)
columns ($columns)
concatenate ($values, $separator=null)
currentTimestamp ()
dateFormat ()
dump ()
delete ($table=null)
escape ($text, $extra=false)
exec ($columns)
from ($tables, $subQueryAlias=null)
year ($date)
month ($date)
day ($date)
hour ($date)
minute ($date)
second ($date)
group ($columns)
having ($conditions, $glue='AND')
innerJoin ($condition)
insert ($table, $incrementField=false)
join ($type, $conditions)
leftJoin ($condition)
length ($value)
nullDate ($quoted=true)
order ($columns)
outerJoin ($condition)
quote ($text, $escape=true)
quoteName ($name, $as=null)
rightJoin ($condition)
select ($columns)
set ($conditions, $glue=',')
setQuery ($sql)
update ($table)
values ($values)
where ($conditions, $glue='AND')
extendWhere ($outerGlue, $conditions, $innerGlue='AND')
orWhere ($conditions, $glue='AND')
andWhere ($conditions, $glue='OR')
__clone ()
union ($query, $distinct=false, $glue='')
unionDistinct ($query, $glue='')
format ($format)
dateAdd ($date, $interval, $datePart)
unionAll ($query, $distinct=false, $glue='')
selectRowNumber ($orderBy, $orderColumnAlias)

Fonctions membres protégées

splitSqlExpression ($string)
fixSelectAliases ()
fixGroupColumns ($selectColumns)
- Fonctions membres protégées hérités de JDatabaseQuery
validateRowNumber ($orderBy, $orderColumnAlias)

Attributs protégés

$name_quotes = '`'
$null_date = '1900-01-01 00:00:00'
$limit = 0
$offset = 0
- Attributs protégés hérités de JDatabaseQuery
$db = null
$sql = null
$type = ''
$element = null
$select = null
$delete = null
$update = null
$insert = null
$from = null
$join = null
$set = null
$where = null
$group = null
$having = null
$columns = null
$values = null
$order = null
$autoIncrementField = null
$call = null
$exec = null
$union = null
$unionAll = null
$selectRowNumber = null

Description détaillée

Query Building Class.

Depuis
1.7.0

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic function to convert the query to a string.

Renvoie
string The completed query.
Depuis
1.7.0

Références $columns, $query, elseif, et null.

◆ castAsChar()

castAsChar | ( | $value,
 |  | $len = null
 | ) |

Casts a value to a char.

Ensure that the value is properly quoted before passing to the method.

Paramètres
string | $value | The value to cast as a char.
string | $len | The length of the char.
Renvoie
string Returns the cast value.
Depuis
1.7.0

Références $value.

◆ charLength()

charLength | ( | $field,
 |  | $operator = null,
 |  | $condition = null
 | ) |

Gets the function to determine the length of a character string.

Paramètres
string | $field | A value.
string | $operator | Comparison operator between charLength integer value and $condition
string | $condition | Integer value to compare charLength with.
Renvoie
string The required char length call.
Depuis
1.7.0

Références $condition, et $field.

◆ concatenate()

concatenate | ( | $values,
 |  | $separator = null
 | ) |

Concatenates an array of column names or values.

Paramètres
array | $values | An array of values to concatenate.
string | $separator | As separator to place between each value.
Renvoie
string The concatenated values.
Depuis
1.7.0

Références $separator.

◆ currentTimestamp()

currentTimestamp ( )

Gets the current date and time.

Renvoie
string
Depuis
1.7.0

◆ dateAdd()

dateAdd | ( | $date,
 |  | $interval,
 |  | $datePart
 | ) |

Add to the current date and time. Usage: $query->select($query->dateAdd()); Prefixing the interval with a - (negative sign) will cause subtraction to be used.

Paramètres
datetime | $date | The date to add to; type may be time or datetime.
string | $interval | The string representation of the appropriate number of units
string | $datePart | The part of the date to perform the addition on
Renvoie
string The string with the appropriate sql for addition of dates
Depuis
3.2.0
Note
Not all drivers support all units. for more information

Références $date.

◆ fixGroupColumns()

fixGroupColumns ( $selectColumns )
protected

Add missing columns names to GROUP BY clause.

Paramètres
array[] $selectColumns Array of columns from splitSqlExpression method.
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.7.0

Références $i, $name, $type, et elseif.

◆ fixSelectAliases()

fixSelectAliases ( )
protected

Add required aliases to columns for select statement in subquery.

Renvoie
array[] Array of columns with added missing aliases.
Depuis
3.7.0

Références $columns, $i, et elseif.

◆ length()

length ( $value )

Get the length of a string in bytes.

Paramètres
string $value The string to measure.
Renvoie
integer
Depuis
1.7.0

Références $value.

◆ processLimit()

processLimit | ( | $query,
 |  | $limit,
 |  | $offset = 0
 | ) |

Method to modify a query already in string format with the needed additions to make the query limited to a particular number of results, or start at a particular offset.

Paramètres
string | $query | The query in string format
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
string
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, $offset, $position, $query, et $total.

◆ Rand()

Rand ( )

Return correct rand() function for MSSQL.

Ensure that the rand() function is MSSQL compatible.

Usage: $query->Rand();

Renvoie
string The correct rand function.
Depuis
3.5

◆ setLimit()

setLimit | ( | $limit = 0,
 |  | $offset = 0
 | ) |

Sets the offset and limit for the result set, if the database driver supports it.

Usage: $query->setLimit(100, 0); (retrieve 100 rows, starting at first record) $query->setLimit(50, 50); (retrieve 50 rows, starting at 50th record)

Paramètres
integer | $limit | The limit for the result set
integer | $offset | The offset for the result set
Renvoie
JDatabaseQuery Returns this object to allow chaining.
Depuis
3.0.0

Implémente JDatabaseQueryLimitable.

Références $limit, et $offset.

◆ splitSqlExpression()

splitSqlExpression ( $string )
protected

Split a string of sql expression into an array of individual columns. Single line or line end comments and multi line comments are stripped off. Always return at least one column.

Paramètres
string $string Input string of sql expression like select expression.
Renvoie
array[] The columns from the input string separated into an array.
Depuis
3.7.0

Références $columns, $current, $i, $n, $start, elseif, et null.

Documentation des champs

◆ $limit

$limit = 0
protected

◆ $name_quotes

$name_quotes = '`'
protected

◆ $null_date

$null_date = '1900-01-01 00:00:00'
protected

◆ $offset

$offset = 0
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/database/query/sqlsrv.php


Joomla CMS: Référence de la classe JDatabaseSqlazure

Référence de la classe JDatabaseSqlazure
+ Graphe d'héritage de JDatabaseSqlazure:
JDatabaseDriverSqlazure

Membres hérités additionnels

- Champs de données hérités de JDatabaseDriverSqlazure
$name = 'sqlazure'

Description détaillée

SQL Server database driver

1.7 deprecated 583.

La documentation de cette classe a été générée à partir du fichier suivant :
  • legacy/database/sqlazure.php


Joomla CMS: Référence de la classe JDatabaseSqlsrv

Référence de la classe JDatabaseSqlsrv
+ Graphe d'héritage de JDatabaseSqlsrv:

Description détaillée

SQL Server database driver

1.7 deprecated 584.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/legacy/database/sqlsrv.php


Joomla CMS: Référence de la classe JDispatcher

Fonctions membres publiques
Référence de la classe JDispatcher
+ Graphe d'héritage de JDispatcher:
JEventDispatcher

Fonctions membres publiques

__construct ()
- Fonctions membres publiques hérités de JEventDispatcher
getState ()
register ($event, $handler)
trigger ($event, $args=array())
attach ($observer)
detach ($observer)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de JEventDispatcher
static | getInstance ()
- Attributs protégés hérités de JEventDispatcher
$_observers = array()
$_state = null
$_methods = array()
- Attributs protégés statiques hérités de JEventDispatcher
static | $instance = null

Description détaillée

Deprecated class placeholder. You should use JEventDispatcher instead.

Depuis
1.5
Obsolète:
3.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor.

Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • legacy/dispatcher/dispatcher.php


Joomla CMS: Référence de la classe JError

Fonctions membres publiques statiques | Attributs publics statiques | Attributs protégés statiques
Référence de la classe JError

Fonctions membres publiques statiques

static | isError ($object)
static | getError ($unset=false)
static | getErrors ()
static | addToStack (JException $e)
static | raise ($level, $code, $msg, $info=null, $backtrace=false)
static | throwError (&$exception)
static | raiseError ($code, $msg, $info=null)
static | raiseWarning ($code, $msg, $info=null)
static | raiseNotice ($code, $msg, $info=null)
static | getErrorHandling ($level)
static | setErrorHandling ($level, $mode, $options=null)
static | attachHandler ()
static | detachHandler ()
static | registerErrorLevel ($level, $name, $handler='ignore')
static | translateErrorLevel ($level)
static | handleIgnore (&$error, $options)
static | handleEcho (&$error, $options)
static | handleVerbose (&$error, $options)
static | handleDie (&$error, $options)
static | handleMessage (&$error, $options)
static | handleLog (&$error, $options)
static | handleCallback (&$error, $options)
static | customErrorPage ($error)
static | customErrorHandler ($level, $msg)
static | renderBacktrace ($error)

Attributs publics statiques

static $legacy = false

Attributs protégés statiques

static | $levels = array(E_NOTICE => 'Notice', E_WARNING => 'Warning', E_ERROR => 'Error')
static | $handlers
static | $stack = array()

Description détaillée

Error Handling Class

This class is inspired in design and concept by patErrorManager http://www.php-tools.net

patErrorManager contributors include:

  • gERD Schaufelberger gerd@.nosp@m.php-.nosp@m.tools.nosp@m..net
  • Sebastian Mordziol argh@.nosp@m.php-.nosp@m.tools.nosp@m..net
  • Stephan Schmidt scst@.nosp@m.php-.nosp@m.tools.nosp@m..net
Depuis
1.5
Obsolète:
4.0 Will be removed without replacement

Documentation des fonctions membres

◆ addToStack()

static addToStack ( JException $e )
static

Method to add non-JError thrown JExceptions to the JError stack for debugging purposes

Paramètres
JException $e Add an exception to the stack.
Renvoie
void
Depuis
1.6
Obsolète:
4.0

Référencé par JException\__construct().

◆ attachHandler()

static attachHandler ( )
static

Method that attaches the error handler to JError

Renvoie
void
Depuis
1.5
Obsolète:
4.0
Voir également
set_error_handler

◆ customErrorHandler()

static customErrorHandler | ( | $level,
 |  | $msg
 | ) |
static

Display a message to the user

Paramètres
integer | $level | The error level - use any of PHP's own error levels for this: E_ERROR, E_WARNING, E_NOTICE, E_USER_ERROR, E_USER_WARNING, E_USER_NOTICE.
string | $msg | Error message, shown to user if need be.
Renvoie
void
Depuis
1.5
Obsolète:
4.0 Throw an Exception or enqueue the message to the application, eg. ::getApplication()->enqueueMessage($msg)

◆ customErrorPage()

static customErrorPage ( $error )
static

Display a custom error page and exit gracefully

Paramètres
JException $error Exception object
Renvoie
void
Depuis
1.5
Obsolète:
4.0 Use ::render() instead

Références ExceptionHandler\render().

Référencé par PlgSystemLogout\handleError().

◆ detachHandler()

static detachHandler ( )
static

Method that detaches the error handler from JError

Renvoie
void
Depuis
1.5
Obsolète:
4.0
Voir également
restore_error_handler

◆ getError()

static getError ( $unset = false )
static

Method for retrieving the last exception object in the error stack

Paramètres
boolean $unset True to remove the error from the stack.
Renvoie
JException|boolean Last JException object in the error stack or boolean false if none exist
Depuis
1.5
Obsolète:
4.0

Référencé par PlgSystemDebug\displayErrors().

◆ getErrorHandling()

static getErrorHandling ( $level )
static

Method to get the current error handler settings for a specified error level.

Paramètres
integer $level The error level to retrieve. This can be any of PHP's own error levels, e.g. E_ALL, E_NOTICE...
Renvoie
array All error handling details
Depuis
1.5
Obsolète:
4.0

◆ getErrors()

static getErrors ( )
static

Method for retrieving the exception stack

Renvoie
JException[] Chronological array of errors that have been stored during script execution
Depuis
1.5
Obsolète:
4.0

Référencé par PlgSystemDebug\onAfterRespond().

◆ handleCallback()

static handleCallback | ( | & | $error,
 |  |  | $options
 | ) |  |
static

Callback error handler

  • Send the error object to a callback method for error handling
Paramètres
JException | &$error | Exception object to handle
array | $options | Handler options
Renvoie
JException The exception object
Depuis
1.5
Obsolète:
4.0
Voir également
JError::raise()

Références $options.

◆ handleDie()

static handleDie | ( | & | $error,
 |  |  | $options
 | ) |  |
static

Die error handler

  • Echos the error message to output and then dies
Paramètres
JException | &$error | Exception object to handle
array | $options | Handler options
Renvoie
void Calls die()
Depuis
1.5
Obsolète:
4.0
Voir également
JError::raise()

◆ handleEcho()

static handleEcho | ( | & | $error,
 |  |  | $options
 | ) |  |
static

Echo error handler

  • Echos the error message to output
Paramètres
JException | &$error | Exception object to handle
array | $options | Handler options
Renvoie
JException The exception object
Depuis
1.5
Obsolète:
4.0
Voir également
JError::raise()

Références $i, et JDEBUG.

◆ handleIgnore()

static handleIgnore | ( | & | $error,
 |  |  | $options
 | ) |  |
static

Ignore error handler

  • Ignores the error
Paramètres
JException | &$error | Exception object to handle
array | $options | Handler options
Renvoie
JException The exception object
Depuis
1.5
Obsolète:
4.0
Voir également
JError::raise()

◆ handleLog()

static handleLog | ( | & | $error,
 |  |  | $options
 | ) |  |
static

Log error handler Logs the error message to a system log file

Paramètres
JException | &$error | Exception object to handle
array | $options | Handler options
Renvoie
JException The exception object
Depuis
1.5
Obsolète:
4.0
Voir également
JError::raise()

Références $options, et null.

◆ handleMessage()

static handleMessage | ( | & | $error,
 |  |  | $options
 | ) |  |
static

Message error handler Enqueues the error message into the system queue

Paramètres
JException | &$error | Exception object to handle
array | $options | Handler options
Renvoie
JException The exception object
Depuis
1.5
Obsolète:
4.0
Voir également
JError::raise()

Références $type.

◆ handleVerbose()

static handleVerbose | ( | & | $error,
 |  |  | $options
 | ) |  |
static

Verbose error handler

  • Echos the error message to output as well as related info
Paramètres
JException | &$error | Exception object to handle
array | $options | Handler options
Renvoie
JException The exception object
Depuis
1.5
Obsolète:
4.0
Voir également
JError::raise()

Références $info, et null.

◆ isError()

static isError ( $object )
static

Method to determine if a value is an exception object.

Paramètres
mixed $object Object to check.
Renvoie
boolean True if argument is an exception, false otherwise.
Depuis
1.5
Obsolète:
4.0

◆ raise()

static raise | ( | $level,
 |  | $code,
 |  | $msg,
 |  | $info = null,
 |  | $backtrace = false
 | ) |
static

Create a new JException object given the passed arguments

Paramètres
integer | $level | The error level - use any of PHP's own error levels for this: E_ERROR, E_WARNING, E_NOTICE, E_USER_ERROR, E_USER_WARNING, E_USER_NOTICE.
string | $code | The application-internal error code for this error
string | $msg | The error message, which may also be shown the user if need be.
mixed | $info | Optional: Additional error information (usually only developer-relevant information that the user should never see, like a database DSN).
boolean | $backtrace | Add a stack backtrace to the exception.
Renvoie
JException
Depuis
1.5
Obsolète:
4.0
Voir également
JException

Références $info.

◆ raiseError()

static raiseError | ( | $code,
 |  | $msg,
 |  | $info = null
 | ) |
static

Wrapper method for the raise() method with predefined error level of E_ERROR and backtrace set to true.

Paramètres
string | $code | The application-internal error code for this error
string | $msg | The error message, which may also be shown the user if need be.
mixed | $info | Optional: Additional error information (usually only developer-relevant information that the user should never see, like a database DSN).
Renvoie
JException $error The thrown JException object
Depuis
1.5
Obsolète:
4.0 Just throw an Exception
Voir également
JError::raise()

Références $info.

Référencé par UsersControllerRegistration\activate(), UsersControllerGroups\checkin(), BannersModelBanner\click(), CategoryView\commonCategoryDisplay(), UsersControllerGroups\delete(), UsersControllerLevel\delete(), ContenthistoryViewPreview\display(), MessagesViewMessages\display(), UsersViewRemind\display(), UsersViewReset\display(), UsersViewLogin\display(), UsersViewRegistration\display(), UsersViewProfile\display(), NewsfeedsViewNewsfeeds\display(), MenusViewItem\display(), ContentController\display(), ActionlogsViewActionlogs\display(), FinderViewSearch\display(), FinderViewIndex\display(), NewsfeedsModelNewsfeed\getItem(), ContentModelArticle\getItem(), ContactModelContact\getItem(), TagsModelTag\getItem(), ModLatestHelper\getList(), ModPopularHelper\getList(), TagsModelTag\hit(), BannersModelBanners\impress(), MailtoModelMailto\loadFormData(), UsersRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), UsersControllerGroups\publish(), FOFIntegrationJoomlaPlatform\raiseError(), UsersControllerRegistration\register(), UsersControllerGroups\reorder(), MessagesControllerConfig\save(), MenusControllerMenu\save(), UsersControllerProfile\save(), MenusControllerItem\save(), UsersControllerGroups\saveorder(), MailtoController\send(), et ContactControllerContact\submit().

◆ raiseNotice()

static raiseNotice | ( | $code,
 |  | $msg,
 |  | $info = null
 | ) |
static

Wrapper method for the raise() method with predefined error level of E_NOTICE and backtrace set to false.

Paramètres
string | $code | The application-internal error code for this error
string | $msg | The error message, which may also be shown the user if need be.
mixed | $info | Optional: Additional error information (usually only developer-relevant information that the user should never see, like a database DSN).
Renvoie
JException $error The thrown JException object
Depuis
1.5
Obsolète:
4.0 Use ::getApplication()->enqueueMessage($msg, 'notice') when wou want to notify the UI
Voir également
JError::raise()

Références $info.

Référencé par admin_postinstall_eaccelerator_action(), behindproxy_postinstall_action(), JFormFieldUserMessages\getGroups(), FOFFormFieldRules\getInput25(), InstallerModelManage\publish(), CategoriesModelCategory\save(), MenusModelItem\save(), MailtoController\send(), Mail\Send(), et MenusModelItem\setHome().

◆ raiseWarning()

static raiseWarning | ( | $code,
 |  | $msg,
 |  | $info = null
 | ) |
static

Wrapper method for the raise() method with predefined error level of E_WARNING and backtrace set to false.

Paramètres
string | $code | The application-internal error code for this error
string | $msg | The error message, which may also be shown the user if need be.
mixed | $info | Optional: Additional error information (usually only developer-relevant information that the user should never see, like a database DSN).
Renvoie
JException $error The thrown JException object
Depuis
1.5
Obsolète:
4.0 Use ::getApplication()->enqueueMessage($msg, 'warning') when wou want to notify the UI
Voir également
JError::raise()

Références $info.

Référencé par JoomlaupdateControllerUpdate\_applyCredentials(), PlgContentJoomla\_countItemsInCategory(), PlgContentJoomla\_countItemsInChildren(), InstallerModelInstall\_getPackageFromFolder(), InstallerModelInstall\_getPackageFromUpload(), InstallerModelInstall\_getPackageFromUrl(), JArchiveTar\_getTarInfo(), RedirectControllerLinks\activate(), UsersControllerUsers\activate(), UsersModelUser\activate(), ModulesControllerModule\add(), JoomlaupdateModelDefault\applyUpdateSite(), MediaControllerFile\authoriseUser(), UsersModelUser\block(), UsersControllerUsers\changeBlock(), JHtmlBanner\clientlist(), MediaControllerFolder\create(), ContenthistoryControllerHistory\delete(), MediaControllerFolder\delete(), UsersControllerLevel\delete(), TemplatesModelStyle\delete(), BannersModelTracks\delete(), UsersModelGroup\delete(), MediaControllerFile\delete(), ModulesModelModule\delete(), UsersModelUser\delete(), MediaViewMediaList\display(), ContentViewArticle\display(), ContentViewForm\display(), NewsfeedsViewNewsfeed\display(), ContentViewFeatured\display(), ContactViewContact\display(), ContactViewFeatured\display(), TemplatesControllerStyles\duplicate(), ModulesControllerModules\duplicate(), ModulesModelModule\duplicate(), RedirectControllerLinks\duplicateUrls(), PluginsHelper\elementOptions(), JArchiveTar\extract(), PluginsHelper\folderOptions(), ConfigModelModules\getActivePositions(), BannersHelper\getClientOptions(), RedisStorage\getConnection(), FieldsHelper\getFieldsPluginId(), FinderHelper\getFinderPluginId(), JFormFieldPluginInfo\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Menu\getInput(), AssociationsHelper\getLanguagefilterPluginId(), MenusHelper\getMenuLinks(), JFormFieldNewsfeeds\getOptions(), JFormFieldMenuParent\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldMenuOrdering\getOptions(), JFormFieldContentTypes\getOptions(), JFormFieldCategoryEdit\getOptions(), ModulesHelper\getPositions(), PrivacyHelper\getPrivacyConsentPluginId(), RedirectHelper\getRedirectPluginId(), InstallerModelUpdate\install(), ContenthistoryControllerHistory\keep(), JApplication\login(), JHtmlFinder\mapslist(), PlgContentJoomla\onContentBeforeDelete(), PlgUserContactCreator\onUserAfterSave(), ModulesControllerModule\orderPosition(), JHtmlModules\positionList(), FOFUtilsInstallscript\preflight(), InstallerModelManage\publish(), MenusModelItem\publish(), JArchiveBzip2\raiseWarning(), JArchiveGzip\raiseWarning(), JArchiveZip\raiseWarning(), MenusModelItem\rebuild(), InstallerModelManage\remove(), SearchControllerSearches\reset(), MenusControllerMenus\resync(), ModulesModelModule\save(), UsersModelLevels\saveorder(), MailtoController\send(), ActionlogsModelActionlog\sendNotificationEmails(), ClientHelper\setCredentialsFromRequest(), TemplatesControllerStyles\setDefault(), MenusControllerItems\setDefault(), MenusModelItem\setHome(), ContentModelArticle\storeVote(), ContactControllerContact\submit(), LanguagesModelInstalled\switchAdminLanguage(), TemplatesControllerStyles\unsetDefault(), et MediaControllerFile\upload().

◆ registerErrorLevel()

static registerErrorLevel | ( | $level,
 |  | $name,
 |  | $handler = 'ignore'
 | ) |
static

Method to register a new error level for handling errors

This allows you to add custom error levels to the built-in

  • E_NOTICE
  • E_WARNING
  • E_NOTICE
Paramètres
integer | $level | Error level to register
string | $name | Human readable name for the error level
string | $handler | Error handler to set for the new error level [optional]
Renvoie
boolean True on success; false if the level already has been registered
Depuis
1.5
Obsolète:
4.0

Références $name.

◆ renderBacktrace()

static renderBacktrace ( $error )
static

Render the backtrace

Paramètres
Exception $error The error
Renvoie
string Contents of the backtrace
Depuis
1.6
Obsolète:
4.0 Use JLayoutHelper::render('joomla.error.backtrace', array('backtrace' => $error->getTrace())) instead

◆ setErrorHandling()

static setErrorHandling | ( | $level,
 |  | $mode,
 |  | $options = null
 | ) |
static

Method to set the way the JError will handle different error levels. Use this if you want to override the default settings.

Error handling modes:

  • ignore
  • echo
  • verbose
  • die
  • message
  • log
  • callback

You may also set the error handling for several modes at once using PHP's bit operations. Examples:

  • E_ALL = Set the handling for all levels
  • E_ERROR | E_WARNING = Set the handling for errors and warnings
  • E_ALL ^ E_ERROR = Set the handling for all levels except errors
Paramètres
integer | $level | The error level for which to set the error handling
string | $mode | The mode to use for the error handling.
mixed | $options | Optional: Any options needed for the given mode.
Renvoie
boolean|JException True on success or a JException object if failed.
Depuis
1.5
Obsolète:
4.0

Références $function, $mode, $options, $tmp, JERROR_CALLBACK_NOT_CALLABLE, JERROR_ILLEGAL_MODE, JERROR_ILLEGAL_OPTIONS, et null.

Référencé par PlgSystemLogout\__construct(), PlgSystemRedirect\__construct(), et FOFPlatform\setErrorHandling().

◆ throwError()

static throwError ( & $exception )
static

Throw an error

Paramètres
JException &$exception An exception to throw.
Renvoie
JException A reference to the handled JException object
Depuis
1.6
Obsolète:
4.0 Just throw an Exception
Voir également
JException

Références $function.

◆ translateErrorLevel()

static translateErrorLevel ( $level )
static

Translate an error level integer to a human readable string e.g. E_ERROR will be translated to 'Error'

Paramètres
integer $level Error level to translate
Renvoie
string|boolean Human readable error level name or boolean false if it doesn't exist
Depuis
1.5
Obsolète:
4.0

Documentation des champs

◆ $handlers

$handlers
staticprotected
Valeur initiale :
= array(
E_NOTICE => array('mode' => 'ignore'),
E_WARNING => array('mode' => 'ignore'),
E_ERROR => array('mode' => 'ignore'),
)

◆ $legacy

$legacy = false
static

◆ $levels

$levels = array(E_NOTICE => 'Notice', E_WARNING => 'Warning', E_ERROR => 'Error')
staticprotected

◆ $stack

$stack = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/legacy/error/error.php


Joomla CMS: Référence de la classe JEvent

Fonctions membres publiques | Attributs protégés
Référence de la classe JEvent
+ Graphe d'héritage de JEvent:
CMSPlugin PlgContentConfirmConsent PlgQuickiconEos310 PlgSystemSessionGc PlgUserTerms

Fonctions membres publiques

__construct (&$subject)
update (&$args)

Attributs protégés

$_subject = null

Description détaillée

JEvent Class

Depuis
1.5
Obsolète:
4.0 The CMS' Event classes will be replaced with the joomla/event package

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $subject )

Constructor

Paramètres
object &$subject The object to observe.
Depuis
2.5

Références $subject.

Documentation des fonctions membres

◆ update()

update ( & $args )

Method to trigger events. The method first generates the even from the argument array. Then it unsets the argument since the argument has no bearing on the event handler. If the method exists it is called and returns its return value. If it does not exist it returns null.

Paramètres
array &$args Arguments
Renvoie
mixed Routine return value
Depuis
1.5

Documentation des champs

◆ $_subject

$_subject = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/event/event.php


Joomla CMS: Référence de la classe JEventDispatcher

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Attributs protégés statiques
Référence de la classe JEventDispatcher
+ Graphe d'héritage de JEventDispatcher:
JDispatcher

Fonctions membres publiques

getState ()
register ($event, $handler)
trigger ($event, $args=array())
attach ($observer)
detach ($observer)

Fonctions membres publiques statiques

static getInstance ()

Attributs protégés

$_observers = array()
$_state = null
$_methods = array()

Attributs protégés statiques

static $instance = null

Description détaillée

Class to handle dispatching of events.

This is the Observable part of the Observer design pattern for the event architecture.

Voir également
JPlugin
Depuis
3.0.0
Obsolète:
4.0 The CMS' Event classes will be replaced with the joomla/event package

Documentation des fonctions membres

◆ attach()

attach ( $observer )

Attach an observer object

Paramètres
object $observer An observer object to attach
Renvoie
void
Depuis
3.0.0

Références $check, $class, et $key.

◆ detach()

detach ( $observer )

Detach an observer object

Paramètres
object $observer An observer object to detach.
Renvoie
boolean True if the observer object was detached.
Depuis
3.0.0

Références $key.

◆ getInstance()

static getInstance ( )
static

Returns the global Event Dispatcher object, only creating it if it doesn't already exist.

Renvoie
JEventDispatcher The EventDispatcher object.
Depuis
3.0.0

Références null.

Référencé par UsersModelUser\activate(), Authentication\authorise(), FinderControllerIndexer\batch(), ContentModelArticle\batchMove(), UsersModelUser\block(), ContactModelContact\buildContactExtendedData(), FieldsModelField\checkDefaultValue(), CheckinModelCheckin\checkin(), Table\checkIn(), ConfigModelCms\cleanCache(), ContentModelArticle\cleanupPostBatchCopy(), CategoryView\commonCategoryDisplay(), PackageAdapter\copyBaseFiles(), MediaControllerFolder\create(), MediaControllerFolder\delete(), FinderModelMaps\delete(), FinderModelIndex\delete(), TemplatesModelStyle\delete(), UsersModelGroup\delete(), MediaControllerFile\delete(), MenusModelMenu\delete(), ModulesModelModule\delete(), UsersModelUser\delete(), AdminModel\delete(), User\delete(), Installer\discover_install(), InstallerViewInstall\display(), ContentViewArchive\display(), ContentViewArticle\display(), UsersViewProfile\display(), MenusViewItems\display(), ContentViewFeatured\display(), ContactViewContact\display(), ContentViewCategory\display(), TagsViewTag\display(), InstallerHelper\downloadPackage(), TemplatesModelStyle\duplicate(), SearchModelSearch\getAreas(), PlgSystemCache\getCacheKey(), ContactModelContact\getContactQuery(), FinderIndexerHelper\getContentExtras(), SearchModelSearch\getData(), UsersModelRegistration\getData(), FieldsHelper\getFields(), FieldsHelper\getFieldTypes(), UsersModelNote\getItem(), PlgSystemStatsFormFieldData\getLayoutData(), ModSampledataHelper\getList(), UserHelper\getProfile(), AuthenticationHelper\getTwoFactorMethods(), MenusModelMenutypes\getTypeOptions(), PluginHelper\import(), PluginHelper\importPlugin(), FinderCli\index(), InstallerModelInstall\install(), Installer\install(), PlgSystemCache\isExcluded(), BaseApplication\loadDispatcher(), PlgSystemCache\onAfterInitialise(), PlgContentFinder\onCategoryChangeState(), PlgContentFinder\onContentAfterDelete(), PlgContentFinder\onContentAfterSave(), PlgContentFinder\onContentBeforeSave(), PlgContentFinder\onContentChangeState(), PlgEditorCodemirror\onDisplay(), PlgEditorCodemirror\onInit(), JHtmlContent\prepare(), FinderIndexerHelper\prepareContent(), JAdminCssMenu\preprocess(), ConfigModelForm\preprocessData(), FormModel\preprocessData(), ConfigModelForm\preprocessForm(), FormModel\preprocessForm(), ListModel\preprocessForm(), UsersModelRemind\processRemindRequest(), InstallerModelManage\publish(), FinderModelMaps\publish(), FinderModelIndex\publish(), CategoriesModelCategory\publish(), AdminModel\publish(), InstallerModelUpdatesites\rebuild(), ConfigModelApplication\removeroot(), ModulesRenderer\render(), FOFIntegrationJoomlaPlatform\runPlugins(), ConfigModelApplication\save(), ConfigModelComponent\save(), LanguagesModelLanguage\save(), MenusModelMenu\save(), TagsModelTag\save(), TemplatesModelStyle\save(), CategoriesModelCategory\save(), User\save(), ModulesModelModule\save(), AdminModel\save(), MenusModelItem\save(), FinderControllerIndexer\start(), ContactControllerContact\submit(), Installer\uninstall(), Installer\update(), MediaControllerFile\upload(), et FormModel\validate().

◆ getState()

getState ( )

Get the state of the JEventDispatcher object

Renvoie
mixed The state of the object.
Depuis
3.0.0

◆ register()

register | ( | $event,
 |  | $handler
 | ) |

Registers an event handler to the event dispatcher

Paramètres
string | $event | Name of the event to register handler for
string | $handler | Name of the event handler
Renvoie
void
Depuis
3.0.0
Exceptions
InvalidArgumentException

Références elseif.

◆ trigger()

trigger | ( | $event,
 |  | $args = array()
 | ) |

Triggers an event by dispatching arguments to all observers that handle the event and returning their return values.

Paramètres
string | $event | The event to trigger.
array | $args | An array of arguments.
Renvoie
array An array of results from each function call.
Depuis
3.0.0

Références $key, $value, et elseif.

Documentation des champs

◆ $_methods

$_methods = array()
protected

◆ $_observers

$_observers = array()
protected

◆ $_state

$_state = null
protected

◆ $instance

$instance = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/event/dispatcher.php


Joomla CMS: Référence de la classe JException

Fonctions membres publiques | Attributs protégés
Référence de la classe JException
+ Graphe d'héritage de JException:

Fonctions membres publiques

__construct ($msg, $code=0, $level=null, $info=null, $backtrace=false)
__toString ()
toString ()
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Attributs protégés

$level = null
$info = ''
$function = null
$class = null
$type = null
$args = array()
$backtrace = null
$_errors = array()

Description détaillée

Joomla! Exception object.

Depuis
1.5
Obsolète:
1.7

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $msg,
 |  | $code = 0,
 |  | $level = null,
 |  | $info = null,
 |  | $backtrace = false
 | ) |

Constructor

  • used to set up the error with all needed error details.
Paramètres
string | $msg | The error message
integer | $code | The error code from the application
integer | $level | The error level (use the PHP constants E_ALL, E_NOTICE etc.).
string | $info | Optional: The additional error information.
boolean | $backtrace | True if backtrace information is to be collected
Depuis
1.5
Obsolète:
1.7

Références $i, $info, JError\addToStack(), code, et null.

Documentation des fonctions membres

◆ __toString()

__toString ( )

Returns to error message

Renvoie
string Error message
Depuis
1.6
Obsolète:
1.7

Références $message.

◆ get()

get | ( | $property,
 |  | $default = null
 | ) |

Returns a property of the object or the default value if the property is not set.

Paramètres
string | $property | The name of the property
mixed | $default | The default value
Renvoie
mixed The value of the property or null
Depuis
1.6
Obsolète:
1.7
Voir également
JException::getProperties()

Références $default.

◆ getError()

getError | ( | $i = null,
 |  | $toString = true
 | ) |

Get the most recent error message

Paramètres
integer | $i | Option error index
boolean | $toString | Indicates if JError objects should return their error message
Renvoie
string Error message
Depuis
1.6
Obsolète:
1.7

Références $i, elseif, et null.

◆ getErrors()

getErrors ( )

Return all errors, if any

Renvoie
array Array of error messages or JErrors
Depuis
1.6
Obsolète:
1.7

◆ getProperties()

getProperties ( $public = true )

Returns an associative array of object properties

Paramètres
boolean $public If true, returns only the public properties
Renvoie
array Object properties
Depuis
1.6
Obsolète:
1.7
Voir également
JException::get()

Références $key, et $value.

◆ set()

set | ( | $property,
 |  | $value = null
 | ) |

Modifies a property of the object, creating it if it does not already exist.

Paramètres
string | $property | The name of the property
mixed | $value | The value of the property to set
Renvoie
mixed Previous value of the property
Depuis
1.6
Obsolète:
1.7
Voir également
JException::setProperties()

Références $value, et null.

◆ setError()

setError ( $error )

Add an error message

Paramètres
string $error Error message
Renvoie
void
Depuis
1.6
Obsolète:
1.7

◆ setProperties()

setProperties ( $properties )

Set the object properties based on a named array/hash

Paramètres
mixed $properties Either and associative array or another object
Renvoie
boolean
Depuis
1.6
Obsolète:
1.7
Voir également
JException::set()

◆ toString()

toString ( )

Returns to error message

Renvoie
string Error message
Depuis
1.5
Obsolète:
1.7

Documentation des champs

◆ $_errors

$_errors = array()
protected

◆ $args

$args = array()
protected

◆ $backtrace

$backtrace = null
protected

◆ $class

$class = null
protected

◆ $function

$function = null
protected

◆ $info

$info = ''
protected

◆ $level

$level = null
protected

◆ $type

$type = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • exception/exception.php


Joomla CMS: Référence de la classe JFacebook

Fonctions membres publiques | Attributs protégés
Référence de la classe JFacebook

Fonctions membres publiques

__construct (JFacebookOAuth $oauth=null, Registry $options=null, JHttp $client=null)
__get ($name)
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$client
$oauth
$user
$status
$checkin
$event
$group
$link
$note
$post
$comment
$photo
$video
$album

Description détaillée

Joomla Platform class for interacting with a Facebook API instance.

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/facebook package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | JFacebookOAuth | $oauth = null,
 |  | Registry | $options = null,
 |  | JHttp | $client = null
 | ) |  |

Constructor.

Paramètres
JFacebookOAuth | $oauth | OAuth client.
Registry | $options | Facebook options object.
JHttp | $client | The HTTP client object.
Depuis
3.2.0

Références $client, et $options.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to lazily create API objects

Paramètres
string $name Name of property to retrieve
Renvoie
JFacebookObject Facebook API object (status, user, friends etc).
Depuis
3.2.0
Exceptions
InvalidArgumentException

Références $class, et $name.

◆ getOption()

getOption ( $key )

Get an option from the JFacebook instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.2.0

Références $key.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JFacebook instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JFacebook This object for method chaining.
Depuis
3.2.0

Références $key, et $value.

Documentation des champs

◆ $album

$album
protected

◆ $checkin

$checkin
protected

◆ $client

$client
protected

◆ $comment

$comment
protected

◆ $event

$event
protected

◆ $group

$group
protected

◆ $link

$link
protected

◆ $note

$note
protected

◆ $oauth

$oauth
protected

◆ $options

$options
protected

◆ $photo

$photo
protected

◆ $post

$post
protected

◆ $status

$status
protected

◆ $user

$user
protected

◆ $video

$video
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • facebook.php


Joomla CMS: Référence de la classe JFacebookAlbum

Fonctions membres publiques
Référence de la classe JFacebookAlbum
+ Graphe d'héritage de JFacebookAlbum:
JFacebookObject

Fonctions membres publiques

getAlbum ($album)
getPhotos ($album, $limit=0, $offset=0, $until=null, $since=null)
createPhoto ($album, $source, $message=null)
getComments ($album, $limit=0, $offset=0, $until=null, $since=null)
createComment ($album, $message)
deleteComment ($comment)
getLikes ($album, $limit=0, $offset=0, $until=null, $since=null)
createLike ($album)
deleteLike ($album)
getPicture ($album, $redirect=true)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Album class for the Joomla Platform.

3.2.0 deprecated 292.

Documentation des fonctions membres

◆ createComment()

createComment | ( | $album,
 |  | $message
 | ) |

Method to comment on an album. Requires authentication and publish_stream permission.

Paramètres
string | $album | The album id.
string | $message | The comment's text.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createLike()

createLike ( $album )

Method to like an album. Requires authentication and publish_stream permission.

Paramètres
string $album The album id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ createPhoto()

createPhoto | ( | $album,
 |  | $source,
 |  | $message = null
 | ) |

Method to add photos to an album. Note: check can_upload flag first. Requires authentication and publish_stream permission.

Paramètres
string | $album | The album id.
string | $source | Path to photo.
string | $message | Photo description.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ deleteComment()

deleteComment ( $comment )

Method to delete a comment. Requires authentication and publish_stream permission.

Paramètres
string $comment The comment's id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteLike()

deleteLike ( $album )

Method to unlike an album. Requires authentication and publish_stream permission.

Paramètres
string $album The album id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ getAlbum()

getAlbum ( $album )

Method to get an album. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string $album The album id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ getComments()

getComments | ( | $album,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get an album's comments. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string | $album | The album id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getLikes()

getLikes | ( | $album,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get album's likes. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string | $album | The album id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getPhotos()

getPhotos | ( | $album,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the photos contained in this album. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string | $album | The album id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getPicture()

getPicture | ( | $album,
 |  | $redirect = true
 | ) |

Method to get the album's cover photo, the first picture uploaded to an album becomes the cover photo for the album. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string | $album | The album id.
boolean | $redirect | If false this will return the URL of the picture without a 302 redirect.
Renvoie
string URL of the picture.
Depuis
3.2.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • facebook/album.php


Joomla CMS: Référence de la classe JFacebookCheckin

Fonctions membres publiques
Référence de la classe JFacebookCheckin
+ Graphe d'héritage de JFacebookCheckin:
JFacebookObject

Fonctions membres publiques

getCheckin ($checkin)
getComments ($checkin, $limit=0, $offset=0, $until=null, $since=null)
createComment ($checkin, $message)
deleteComment ($comment)
getLikes ($checkin, $limit=0, $offset=0, $until=null, $since=null)
createLike ($checkin)
deleteLike ($checkin)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Checkin class for the Joomla Platform.

3.2.0 deprecated 293.

Documentation des fonctions membres

◆ createComment()

createComment | ( | $checkin,
 |  | $message
 | ) |

Method to post a comment to the checkin. Requires authentication and publish_stream and user_checkins or friends_checkins permission.

Paramètres
string | $checkin | The checkin id.
string | $message | The checkin's text.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createLike()

createLike ( $checkin )

Method to like a checkin. Requires authentication and publish_stream and user_checkins or friends_checkins permission.

Paramètres
string $checkin The checkin id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ deleteComment()

deleteComment ( $comment )

Method to delete a comment. Requires authentication and publish_stream permission.

Paramètres
string $comment The comment's id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ deleteLike()

deleteLike ( $checkin )

Method to unlike a checkin. Requires authentication and publish_stream permission.

Paramètres
string $checkin The checkin id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ getCheckin()

getCheckin ( $checkin )

Method to get a checkin. Requires authentication and user_checkins or friends_checkins permission.

Paramètres
string $checkin The checkin id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ getComments()

getComments | ( | $checkin,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a checkin's comments. Requires authentication and user_checkins or friends_checkins permission.

Paramètres
string | $checkin | The checkin id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getLikes()

getLikes | ( | $checkin,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a checkin's likes. Requires authentication and user_checkins or friends_checkins permission.

Paramètres
string | $checkin | The checkin id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/facebook/checkin.php


Joomla CMS: Référence de la classe JFacebookComment

Fonctions membres publiques
Référence de la classe JFacebookComment
+ Graphe d'héritage de JFacebookComment:
JFacebookObject

Fonctions membres publiques

getComment ($comment)
deleteComment ($comment)
getComments ($comment, $limit=0, $offset=0, $until=null, $since=null)
createComment ($comment, $message)
getLikes ($comment, $limit=0, $offset=0, $until=null, $since=null)
createLike ($comment)
deleteLike ($comment)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Comment class for the Joomla Platform.

3.2.0 deprecated 294.

Documentation des fonctions membres

◆ createComment()

createComment | ( | $comment,
 |  | $message
 | ) |

Method to comment on a comment. Requires authentication with publish_stream permission.

Paramètres
string | $comment | The comment id.
string | $message | The comment's text.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createLike()

createLike ( $comment )

Method to like a comment. Requires authentication and publish_stram permission.

Paramètres
string $comment The comment id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteComment()

deleteComment ( $comment )

Method to delete a comment. Requires authentication and publish_stream permission.

Paramètres
string $comment The comment id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteLike()

deleteLike ( $comment )

Method to unlike a comment. Requires authentication and publish_stram permission.

Paramètres
string $comment The comment id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ getComment()

getComment ( $comment )

Method to get a comment. Requires authentication.

Paramètres
string $comment The comment id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ getComments()

getComments | ( | $comment,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a comment's comments. Requires authentication.

Paramètres
string | $comment | The comment id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getLikes()

getLikes | ( | $comment,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get comment's likes. Requires authentication.

Paramètres
string | $comment | The comment id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

La documentation de cette classe a été générée à partir du fichier suivant :
  • comment.php


Joomla CMS: Référence de la classe JFacebookEvent

Fonctions membres publiques
Référence de la classe JFacebookEvent
+ Graphe d'héritage de JFacebookEvent:
JFacebookObject

Fonctions membres publiques

getEvent ($event)
getFeed ($event, $limit=0, $offset=0, $until=null, $since=null)
createLink ($event, $link, $message=null)
deleteLink ($link)
createPost ($event, $message=null, $link=null, $picture=null, $name=null, $caption=null, $description=null, $actions=null)
deletePost ($post)
createStatus ($event, $message)
deleteStatus ($status)
getInvited ($event, $limit=0, $offset=0)
isInvited ($event, $user)
createInvite ($event, $users)
deleteInvite ($event, $user)
getAttending ($event, $limit=0, $offset=0)
isAttending ($event, $user)
createAttending ($event)
getMaybe ($event, $limit=0, $offset=0)
isMaybe ($event, $user)
createMaybe ($event)
getDeclined ($event, $limit=0, $offset=0)
isDeclined ($event, $user)
createDeclined ($event)
getNoreply ($event, $limit=0, $offset=0)
isNoreply ($event, $user)
getPicture ($event, $redirect=true, $type=null)
getPhotos ($event, $limit=0, $offset=0, $until=null, $since=null)
createPhoto ($event, $source, $message=null)
getVideos ($event, $limit=0, $offset=0, $until=null, $since=null)
createVideo ($event, $source, $title=null, $description=null)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API User class for the Joomla Platform.

3.2.0 deprecated 295.

Documentation des fonctions membres

◆ createAttending()

createAttending ( $event )

Method to set the current user as attending. Requires authentication and rsvp_event permission.

Paramètres
string $event The event id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ createDeclined()

createDeclined ( $event )

Method to set the current user as declined. Requires authentication and rscp_event permission.

Paramètres
string $event The event id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ createInvite()

createInvite | ( | $event,
 |  | $users
 | ) |

Method to invite users to the event. Requires authentication and create_event permission.

Paramètres
string | $event | The event id.
string | $users | Comma separated list of user ids.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $data, et $users.

◆ createLink()

createLink | ( | $event,
 |  | $link,
 |  | $message = null
 | ) |

Method to post a link on event's feed which the current_user is or maybe attending. Requires authentication and publish_stream permission.

Paramètres
string | $event | The event id.
string | $link | Link URL.
string | $message | Link message.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $link, et $message.

◆ createMaybe()

createMaybe ( $event )

Method to set the current user as maybe attending. Requires authentication and rscp_event permission.

Paramètres
string $event The event id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ createPhoto()

createPhoto | ( | $event,
 |  | $source,
 |  | $message = null
 | ) |

Method to post a photo on event's wall. Requires authentication and publish_stream permission.

Paramètres
string | $event | The event id.
string | $source | Path to photo.
string | $message | Photo description.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createPost()

createPost | ( | $event,
 |  | $message = null,
 |  | $link = null,
 |  | $picture = null,
 |  | $name = null,
 |  | $caption = null,
 |  | $description = null,
 |  | $actions = null
 | ) |

Method to post on event's wall. Message or link parameter is required. Requires authentication and publish_stream permission.

Paramètres
string | $event | The event id.
string | $message | Post message.
string | $link | Post URL.
string | $picture | Post thumbnail image (can only be used if link is specified)
string | $name | Post name (can only be used if link is specified).
string | $caption | Post caption (can only be used if link is specified).
string | $description | Post description (can only be used if link is specified).
array | $actions | Post actions array of objects containing name and link.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $description, $link, $message, et $name.

◆ createStatus()

createStatus | ( | $event,
 |  | $message
 | ) |

Method to post a status message on behalf of the user on the event's wall. Requires authentication and publish_stream permission.

Paramètres
string | $event | The event id.
string | $message | Status message content.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createVideo()

createVideo | ( | $event,
 |  | $source,
 |  | $title = null,
 |  | $description = null
 | ) |

Method to post a video on event's wall. Requires authentication and publish_stream permission.

Paramètres
string | $event | The event id.
string | $source | Path to photo.
string | $title | Video title.
string | $description | Video description.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $description, et $title.

◆ deleteInvite()

deleteInvite | ( | $event,
 |  | $user
 | ) |

Method to delete an invitation. Note: you can only delete the invite if the current user is the event admin. Requires authentication and rsvp_event permission.

Paramètres
string | $event | The event id.
string | $user | The user id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $user.

◆ deleteLink()

deleteLink ( $link )

Method to delete a link. Requires authentication and publish_stream permission.

Paramètres
mixed $link The Link ID.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $link.

◆ deletePost()

deletePost ( $post )

Method to delete a post. Note: you can only delete the post if it was created by the current user. Requires authentication and publish_stream permission.

Paramètres
string $post The Post ID.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteStatus()

deleteStatus ( $status )

Method to delete a status. Note: you can only delete the post if it was created by the current user. Requires authentication and publish_stream permission.

Paramètres
string $status The Status ID.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ getAttending()

getAttending | ( | $event,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the list of attending users. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getDeclined()

getDeclined | ( | $event,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the list of users which declined the event. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getEvent()

getEvent ( $event )

Method to get information about an event visible to the current user. Requires authentication.

Paramètres
string $event The event id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ getFeed()

getFeed | ( | $event,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the event's wall. Requires authentication.

Paramètres
string | $event | The event id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getInvited()

getInvited | ( | $event,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the list of invitees for the event. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getMaybe()

getMaybe | ( | $event,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the list of maybe attending users. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getNoreply()

getNoreply | ( | $event,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the list of users which have not replied to the event. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getPhotos()

getPhotos | ( | $event,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get photos published on event's wall. Requires authentication.

Paramètres
string | $event | The event id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getPicture()

getPicture | ( | $event,
 |  | $redirect = true,
 |  | $type = null
 | ) |

Method to get the event's profile picture. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
boolean | $redirect | If false this will return the URL of the picture without a 302 redirect.
string | $type | To request a different photo use square | small | normal | large.
Renvoie
string The URL to the event's profile picture.
Depuis
3.2.0

Références $type.

◆ getVideos()

getVideos | ( | $event,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get videos published on event's wall. Requires authentication.

Paramètres
string | $event | The event id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ isAttending()

isAttending | ( | $event,
 |  | $user
 | ) |

Method to check if a user is attending an event. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
mixed | $user | Either an integer containing the user ID or a string containing the username.
Renvoie
array The decoded JSON response or an empty array if the user is not invited.
Depuis
3.2.0

Références $user.

◆ isDeclined()

isDeclined | ( | $event,
 |  | $user
 | ) |

Method to check if a user responded 'no' to the event. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
mixed | $user | Either an integer containing the user ID or a string containing the username.
Renvoie
array The decoded JSON response or an empty array if the user is not invited.
Depuis
3.2.0

Références $user.

◆ isInvited()

isInvited | ( | $event,
 |  | $user
 | ) |

Method to check if a user is invited to the event. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
mixed | $user | Either an integer containing the user ID or a string containing the username.
Renvoie
array The decoded JSON response or an empty array if the user is not invited.
Depuis
3.2.0

Références $user.

◆ isMaybe()

isMaybe | ( | $event,
 |  | $user
 | ) |

Method to check if a user is maybe attending an event. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
mixed | $user | Either an integer containing the user ID or a string containing the username.
Renvoie
array The decoded JSON response or an empty array if the user is not invited.
Depuis
3.2.0

Références $user.

◆ isNoreply()

isNoreply | ( | $event,
 |  | $user
 | ) |

Method to check if a user has not replied to the event. Requires authentication and user_events or friends_events permission.

Paramètres
string | $event | The event id.
mixed | $user | Either an integer containing the user ID or a string containing the username.
Renvoie
array The decoded JSON response or an empty array if the user is not invited.
Depuis
3.2.0

Références $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/facebook/event.php


Joomla CMS: Référence de la classe JFacebookGroup

Fonctions membres publiques
Référence de la classe JFacebookGroup
+ Graphe d'héritage de JFacebookGroup:
JFacebookObject

Fonctions membres publiques

getGroup ($group)
getFeed ($group, $limit=0, $offset=0, $until=null, $since=null)
getMembers ($group, $limit=0, $offset=0)
getDocs ($group, $limit=0, $offset=0, $until=null, $since=null)
getPicture ($group, $type=null)
createLink ($group, $link, $message=null)
deleteLink ($link)
createPost ($group, $message=null, $link=null, $picture=null, $name=null, $caption=null, $description=null, $actions=null)
deletePost ($post)
createStatus ($group, $message)
deleteStatus ($status)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Group class for the Joomla Platform.

3.2.0 deprecated 297.

Documentation des fonctions membres

◆ createLink()

createLink | ( | $group,
 |  | $link,
 |  | $message = null
 | ) |

Method to post a link on group's wall. Requires authentication and publish_stream permission.

Paramètres
string | $group | The group id.
string | $link | Link URL.
string | $message | Link message.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $link, et $message.

◆ createPost()

createPost | ( | $group,
 |  | $message = null,
 |  | $link = null,
 |  | $picture = null,
 |  | $name = null,
 |  | $caption = null,
 |  | $description = null,
 |  | $actions = null
 | ) |

Method to post on group's wall. Message or link parameter is required. Requires authentication and publish_stream permission.

Paramètres
string | $group | The group id.
string | $message | Post message.
string | $link | Post URL.
string | $picture | Post thumbnail image (can only be used if link is specified)
string | $name | Post name (can only be used if link is specified).
string | $caption | Post caption (can only be used if link is specified).
string | $description | Post description (can only be used if link is specified).
array | $actions | Post actions array of objects containing name and link.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $description, $link, $message, et $name.

◆ createStatus()

createStatus | ( | $group,
 |  | $message
 | ) |

Method to post a status message on behalf of the user on the group's wall. Requires authentication and publish_stream permission.

Paramètres
string | $group | The group id.
string | $message | Status message content.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ deleteLink()

deleteLink ( $link )

Method to delete a link. Requires authentication.

Paramètres
mixed $link The Link ID.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $link.

◆ deletePost()

deletePost ( $post )

Method to delete a post. Note: you can only delete the post if it was created by the current user. Requires authentication.

Paramètres
string $post The Post ID.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteStatus()

deleteStatus ( $status )

Method to delete a status. Note: you can only delete the status if it was created by the current user. Requires authentication.

Paramètres
string $status The Status ID.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ getDocs()

getDocs | ( | $group,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the group's docs. Requires authentication and user_groups or friends_groups permission for non-public groups.

Paramètres
string | $group | The group id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getFeed()

getFeed | ( | $group,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the group's wall. Requires authentication and user_groups or friends_groups permission for non-public groups.

Paramètres
string | $group | The group id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getGroup()

getGroup ( $group )

Method to read a group. Requires authentication and user_groups or friends_groups permission for non-public groups.

Paramètres
string $group The group id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ getMembers()

getMembers | ( | $group,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the group's members. Requires authentication and user_groups or friends_groups permission for non-public groups.

Paramètres
string | $group | The group id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getPicture()

getPicture | ( | $group,
 |  | $type = null
 | ) |

Method to get the groups's picture. Requires authentication and user_groups or friends_groups permission.

Paramètres
string | $group | The group id.
string | $type | To request a different photo use square | small | normal | large.
Renvoie
string The URL to the group's picture.
Depuis
3.2.0

Références $type.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/facebook/group.php


Joomla CMS: Référence de la classe JFacebookLink

Fonctions membres publiques
Référence de la classe JFacebookLink
+ Graphe d'héritage de JFacebookLink:
JFacebookObject

Fonctions membres publiques

getLink ($link)
getComments ($link, $limit=0, $offset=0, $until=null, $since=null)
createComment ($link, $message)
deleteComment ($comment)
getLikes ($link, $limit=0, $offset=0, $until=null, $since=null)
createLike ($link)
deleteLike ($link)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Link class for the Joomla Platform.

3.2.0 deprecated 298.

Documentation des fonctions membres

◆ createComment()

createComment | ( | $link,
 |  | $message
 | ) |

Method to comment on a link. Requires authentication and publish_stream permission.

Paramètres
string | $link | The link id.
string | $message | The comment's text.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $link, et $message.

◆ createLike()

createLike ( $link )

Method to like a link. Requires authentication and publish_stream permission.

Paramètres
string $link The link id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $link.

◆ deleteComment()

deleteComment ( $comment )

Method to delete a comment. Requires authentication and publish_stream permission.

Paramètres
string $comment The comment's id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ deleteLike()

deleteLike ( $link )

Method to unlike a link. Requires authentication and publish_stream permission.

Paramètres
string $link The link id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $link.

◆ getComments()

getComments | ( | $link,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a link's comments. Requires authentication and read_stream permission for non-public links.

Paramètres
string | $link | The link id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $link, et $offset.

◆ getLikes()

getLikes | ( | $link,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get link's likes. Requires authentication and read_stream permission for non-public links.

Paramètres
string | $link | The link id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $link, et $offset.

◆ getLink()

getLink ( $link )

Method to get a link. Requires authentication and read_stream permission for non-public links.

Paramètres
string $link The link id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $link.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/facebook/link.php


Joomla CMS: Référence de la classe JFacebookNote

Fonctions membres publiques
Référence de la classe JFacebookNote
+ Graphe d'héritage de JFacebookNote:
JFacebookObject

Fonctions membres publiques

getNote ($note)
getComments ($note, $limit=0, $offset=0, $until=null, $since=null)
createComment ($note, $message)
deleteComment ($comment)
getLikes ($note, $limit=0, $offset=0, $until=null, $since=null)
createLike ($note)
deleteLike ($note)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Note class for the Joomla Platform.

3.2.0 deprecated 299.

Documentation des fonctions membres

◆ createComment()

createComment | ( | $note,
 |  | $message
 | ) |

Method to comment on a note. Requires authentication and publish_stream and user_notes or friends_notes permissions.

Paramètres
string | $note | The note id.
string | $message | The comment's text.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createLike()

createLike ( $note )

Method to like a note. Requires authentication and publish_stream and user_notes or friends_notes permissions.

Paramètres
string $note The note id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteComment()

deleteComment ( $comment )

Method to delete a comment. Requires authentication and publish_stream and user_notes or friends_notes permissions.

Paramètres
string $comment The comment's id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteLike()

deleteLike ( $note )

Method to unlike a note. Requires authentication and publish_stream and user_notes or friends_notes permissions.

Paramètres
string $note The note id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ getComments()

getComments | ( | $note,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a note's comments. Requires authentication and user_notes or friends_notes permission for non-public notes.

Paramètres
string | $note | The note id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getLikes()

getLikes | ( | $note,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get note's likes. Requires authentication and user_notes or friends_notes for non-public notes.

Paramètres
string | $note | The note id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getNote()

getNote ( $note )

Method to get a note. Requires authentication and user_notes or friends_notes permission for non-public notes.

Paramètres
string $note The note id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/facebook/note.php


Joomla CMS: Référence de la classe JFacebookOAuth

Fonctions membres publiques | Attributs protégés
Référence de la classe JFacebookOAuth
+ Graphe d'héritage de JFacebookOAuth:
JOAuth2Client

Fonctions membres publiques

__construct (Registry $options=null, JHttp $client=null, JInput $input=null)
setScope ($scope)
getScope ()
- Fonctions membres publiques hérités de JOAuth2Client
__construct (Registry $options=null, JHttp $http=null, JInput $input=null, JApplicationWeb $application=null)
authenticate ()
isAuthenticated ()
createUrl ()
query ($url, $data=null, $headers=array(), $method='get', $timeout=null)
getOption ($key)
setOption ($key, $value)
getToken ()
setToken ($value)
refreshToken ($token=null)

Attributs protégés

$options
- Attributs protégés hérités de JOAuth2Client
$options
$http
$input
$application

Description détaillée

Joomla Platform class for generating Facebook API access token.

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/facebook package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttp | $client = null,
 |  | JInput | $input = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | JFacebookOauth options object.
JHttp | $client | The HTTP client object.
JInput | $input | The input object.
Depuis
3.2.0

Références $client, $input, $options, et Registry\def().

Documentation des fonctions membres

◆ getScope()

getScope ( )

Method to get the current scope

Renvoie
string Comma separated list of permissions.
Depuis
3.2.0

◆ setScope()

setScope ( $scope )

Method used to set permissions.

Paramètres
string $scope Comma separated list of permissions.
Renvoie
JFacebookOauth This object for method chaining
Depuis
3.2.0

Documentation des champs

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • facebook/oauth.php


Joomla CMS: Référence de la classe JFacebookObject

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFacebookObject
+ Graphe d'héritage de JFacebookObject:
JFacebookAlbum JFacebookCheckin JFacebookComment JFacebookEvent JFacebookGroup JFacebookLink JFacebookNote JFacebookPhoto JFacebookPost JFacebookStatus JFacebookUser JFacebookVideo

Fonctions membres publiques

__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Fonctions membres protégées

fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)

Attributs protégés

$options
$client
$oauth

Description détaillée

Facebook API object class for the Joomla Platform.

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/facebook package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttp | $client = null,
 |  | JFacebookOAuth | $oauth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Facebook options object.
JHttp | $client | The HTTP client object.
JFacebookOAuth | $oauth | The OAuth client.
Depuis
3.2.0

Références $client, et $options.

Documentation des fonctions membres

◆ createConnection()

createConnection | ( |  | $object,
 |  |  | $connection = null,
 |  |  | $parameters = null,
 |  | array | $headers = null
 | ) |  |

Method to create a connection.

Paramètres
string | $object | The object id.
string | $connection | The object's connection name.
array | $parameters | The POST request parameters.
array | $headers | An array of name-value pairs to include in the header of the request
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $parameters, $path, et null.

◆ deleteConnection()

deleteConnection | ( | $object,
 |  | $connection = null,
 |  | $extraFields = ''
 | ) |

Method to delete a connection.

Paramètres
string | $object | The object id.
string | $connection | The object's connection name.
string | $extraFields | URL fields.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $extraFields, $path, et null.

◆ fetchUrl()

fetchUrl | ( | $path,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |
protected

Method to build and return a full request URL for the request. This method will add appropriate pagination details if necessary and also prepend the API url to have a complete URL for the request.

Paramètres
string | $path | URL to inflect.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
integer | $until | A unix timestamp or any date accepted by strtotime.
integer | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
string The request URL.
Depuis
3.2.0

Références $limit, $offset, $path, $uri, et null.

◆ get()

get ( $object )

Method to get an object.

Paramètres
string $object The object id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références null.

◆ getConnection()

getConnection | ( | $object,
 |  | $connection = null,
 |  | $extraFields = '',
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get object's connection.

Paramètres
string | $object | The object id.
string | $connection | The object's connection name.
string | $extraFields | URL fields.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $extraFields, $limit, $offset, $path, et null.

◆ getOAuth()

getOAuth ( )

Method used to get the OAuth client.

Renvoie
JFacebookOAuth The OAuth client
Depuis
3.2.0

◆ sendRequest()

sendRequest | ( |  | $path,
 |  |  | $data = '',
 |  | array | $headers = null,
 |  |  | $limit = 0,
 |  |  | $offset = 0,
 |  |  | $until = null,
 |  |  | $since = null
 | ) |  |

Method to send the request.

Paramètres
string | $path | The path of the request to make.
mixed | $data | Either an associative array or a string to be sent with the post request.
array | $headers | An array of name-value pairs to include in the header of the request
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The request response.
Depuis
3.2.0
Exceptions
DomainException

Références $limit, $offset, et $path.

◆ setOAuth()

setOAuth ( $oauth )

Method used to set the OAuth client.

Paramètres
JFacebookOAuth $oauth The OAuth client object.
Renvoie
JFacebookObject This object for method chaining.
Depuis
3.2.0

Documentation des champs

◆ $client

$client
protected

◆ $oauth

$oauth
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/facebook/object.php


Joomla CMS: Référence de la classe JFacebookPhoto

Fonctions membres publiques
Référence de la classe JFacebookPhoto
+ Graphe d'héritage de JFacebookPhoto:
JFacebookObject

Fonctions membres publiques

getPhoto ($photo)
getComments ($photo, $limit=0, $offset=0, $until=null, $since=null)
createComment ($photo, $message)
deleteComment ($comment)
getLikes ($photo, $limit=0, $offset=0, $until=null, $since=null)
createLike ($photo)
deleteLike ($photo)
getTags ($photo, $limit=0, $offset=0, $until=null, $since=null)
createTag ($photo, $to=null, $tagText=null, $x=null, $y=null)
updateTag ($photo, $to, $x=null, $y=null)
getPicture ($photo, $redirect=true)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Photo class for the Joomla Platform.

3.2.0 deprecated 302.

Documentation des fonctions membres

◆ createComment()

createComment | ( | $photo,
 |  | $message
 | ) |

Method to comment on a photo. Requires authentication and publish_stream permission, user_photos or friends_photos permission for private photos.

Paramètres
string | $photo | The photo id.
string | $message | The comment's text.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createLike()

createLike ( $photo )

Method to like a photo. Requires authentication and publish_stream permission, user_photos or friends_photos permission for private photos.

Paramètres
string $photo The photo id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ createTag()

createTag | ( | $photo,
 |  | $to = null,
 |  | $tagText = null,
 |  | $x = null,
 |  | $y = null
 | ) |

Method to tag one or more Users in a photo. $to or $tagText required. Requires authentication and publish_stream permission, user_photos permission for private photos.

Paramètres
string | $photo | The photo id.
mixed | $to | ID of the User or an array of Users to tag in the photo: [{"id":"1234"}, {"id":"12345"}].
string | $tagText | A text string to tag.
integer | $x | x coordinate of tag, as a percentage offset from the left edge of the picture.
integer | $y | y coordinate of tag, as a percentage offset from the top edge of the picture.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $data.

◆ deleteComment()

deleteComment ( $comment )

Method to delete a comment. Requires authentication and publish_stream permission, user_photos or friends_photos permission for private photos.

Paramètres
string $comment The comment's id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteLike()

deleteLike ( $photo )

Method to unlike a photo. Requires authentication and publish_stream permission, user_photos or friends_photos permission for private photos.

Paramètres
string $photo The photo id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ getComments()

getComments | ( | $photo,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a photo's comments. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string | $photo | The photo id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getLikes()

getLikes | ( | $photo,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get photo's likes. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string | $photo | The photo id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getPhoto()

getPhoto ( $photo )

Method to get a photo. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string $photo The photo id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ getPicture()

getPicture | ( | $photo,
 |  | $redirect = true
 | ) |

Method to get the album-sized view of the photo. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string | $photo | The photo id.
boolean | $redirect | If false this will return the URL of the picture without a 302 redirect.
Renvoie
string URL of the picture.
Depuis
3.2.0

◆ getTags()

getTags | ( | $photo,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the Users tagged in the photo. Requires authentication and user_photos or friends_photos permission for private photos.

Paramètres
string | $photo | The photo id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ updateTag()

updateTag | ( | $photo,
 |  | $to,
 |  | $x = null,
 |  | $y = null
 | ) |

Method to update the position of the tag for a particular Users in a photo. Requires authentication and publish_stream permission, user_photos permission for private photos.

Paramètres
string | $photo | The photo id.
string | $to | ID of the User to update tag in the photo.
integer | $x | x coordinate of tag, as a percentage offset from the left edge of the picture.
integer | $y | y coordinate of tag, as a percentage offset from the top edge of the picture.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $data.

La documentation de cette classe a été générée à partir du fichier suivant :
  • facebook/photo.php


Joomla CMS: Référence de la classe JFacebookPost

Fonctions membres publiques
Référence de la classe JFacebookPost
+ Graphe d'héritage de JFacebookPost:
JFacebookObject

Fonctions membres publiques

getPost ($post)
deletePost ($post)
getComments ($post, $limit=0, $offset=0, $until=null, $since=null)
createComment ($post, $message)
deleteComment ($comment)
getLikes ($post, $limit=0, $offset=0, $until=null, $since=null)
createLike ($post)
deleteLike ($post)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Post class for the Joomla Platform.

3.2.0 deprecated 303.

Documentation des fonctions membres

◆ createComment()

createComment | ( | $post,
 |  | $message
 | ) |

Method to comment on a post. Requires authentication and publish_stream permission

Paramètres
string | $post | The post id.
string | $message | The comment's text.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createLike()

createLike ( $post )

Method to like a post. Requires authentication and publish_stream permission

Paramètres
string $post The post id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteComment()

deleteComment ( $comment )

Method to delete a comment. Requires authentication and publish_stream permission

Paramètres
string $comment The comment's id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteLike()

deleteLike ( $post )

Method to unlike a post. Requires authentication and publish_stream permission

Paramètres
string $post The post id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deletePost()

deletePost ( $post )

Method to delete a post if it was created by this application. Requires authentication and publish_stream permission

Paramètres
string $post The post id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ getComments()

getComments | ( | $post,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a post's comments. Requires authentication and read_stream permission.

Paramètres
string | $post | The post id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getLikes()

getLikes | ( | $post,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get post's likes. Requires authentication and read_stream permission.

Paramètres
string | $post | The post id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getPost()

getPost ( $post )

Method to get a post. Requires authentication and read_stream permission for all data.

Paramètres
string $post The post id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • post.php


Joomla CMS: Référence de la classe JFacebookStatus

Fonctions membres publiques
Référence de la classe JFacebookStatus
+ Graphe d'héritage de JFacebookStatus:
JFacebookObject

Fonctions membres publiques

getStatus ($status)
getComments ($status, $limit=0, $offset=0, $until=null, $since=null)
createComment ($status, $message)
deleteComment ($comment)
getLikes ($status, $limit=0, $offset=0, $until=null, $since=null)
createLike ($status)
deleteLike ($status)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Status class for the Joomla Platform.

3.2.0 deprecated 304.

Documentation des fonctions membres

◆ createComment()

createComment | ( | $status,
 |  | $message
 | ) |

Method to post a comment to the status message. Requires authentication and publish_stream and user_status or friends_status permission.

Paramètres
string | $status | The status message id.
string | $message | The comment's text.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createLike()

createLike ( $status )

Method to like status message. Requires authentication and publish_stream and user_status or friends_status permission.

Paramètres
string $status The status message id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ deleteComment()

deleteComment ( $comment )

Method to delete a comment. Requires authentication and publish_stream and user_status or friends_status permission.

Paramètres
string $comment The comment's id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ deleteLike()

deleteLike ( $status )

Method to unlike a status message. Requires authentication and publish_stream and user_status or friends_status permission.

Paramètres
string $status The status message id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ getComments()

getComments | ( | $status,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a status message's comments. Requires authentication.

Paramètres
string | $status | The status message id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getLikes()

getLikes | ( | $status,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a status message's likes. Requires authentication.

Paramètres
string | $status | The status message id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getStatus()

getStatus ( $status )

Method to get a status message. Requires authentication.

Paramètres
string $status The status message id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/facebook/status.php


Joomla CMS: Référence de la classe JFacebookUser

Fonctions membres publiques
Référence de la classe JFacebookUser
+ Graphe d'héritage de JFacebookUser:
JFacebookObject

Fonctions membres publiques

getUser ($user)
getFriends ($user, $limit=0, $offset=0)
getFriendRequests ($user, $limit=0, $offset=0, $until=null, $since=null)
getFriendLists ($user, $limit=0, $offset=0, $until=null, $since=null)
getFeed ($user, $limit=0, $offset=0, $until=null, $since=null)
getHome ($user, $filter=null, $location=false, $limit=0, $offset=0, $until=null, $since=null)
hasFriend ($currentUser, $user)
getMutualFriends ($currentUser, $user, $limit=0, $offset=0)
getPicture ($user, $redirect=true, $type=null)
getFamily ($user, $limit=0, $offset=0)
getNotifications ($user, $read=null, $limit=0, $offset=0, $until=null, $since=null)
updateNotification ($notification)
getPermissions ($user, $limit=0, $offset=0)
deletePermission ($user, $permission='')
getAlbums ($user, $limit=0, $offset=0, $until=null, $since=null)
createAlbum ($user, $name, $description=null, $privacy=null)
getCheckins ($user, $limit=0, $offset=0, $until=null, $since=null)
createCheckin ($user, $place, $coordinates, $tags=null, $message=null, $link=null, $picture=null)
getLikes ($user, $limit=0, $offset=0, $until=null, $since=null)
likesPage ($user, $page)
getEvents ($user, $limit=0, $offset=0, $until=null, $since=null)
createEvent ($user, $name, $startTime, $endTime=null, $description=null, $location=null, $locationId=null, $privacyType=null)
editEvent ($event, $name=null, $startTime=null, $endTime=null, $description=null, $location=null, $locationId=null, $privacyType=null)
deleteEvent ($event)
getGroups ($user, $limit=0, $offset=0)
getLinks ($user, $limit=0, $offset=0, $until=null, $since=null)
createLink ($user, $link, $message=null)
deleteLink ($link)
getNotes ($user, $limit=0, $offset=0, $until=null, $since=null)
createNote ($user, $subject, $message)
getPhotos ($user, $limit=0, $offset=0, $until=null, $since=null)
createPhoto ($user, $source, $message=null, $place=null, $noStory=null)
getPosts ($user, $location=false, $limit=0, $offset=0, $until=null, $since=null)
createPost ($user, $message=null, $link=null, $picture=null, $name=null, $caption=null, $description=null, $actions=null, $place=null, $tags=null, $privacy=null, $objectAttachment=null)
deletePost ($post)
getStatuses ($user, $limit=0, $offset=0, $until=null, $since=null)
createStatus ($user, $message)
deleteStatus ($status)
getVideos ($user, $limit=0, $offset=0, $until=null, $since=null)
createVideo ($user, $source, $title=null, $description=null)
getTagged ($user, $limit=0, $offset=0, $until=null, $since=null)
getActivities ($user, $limit=0, $offset=0, $until=null, $since=null)
getBooks ($user, $limit=0, $offset=0, $until=null, $since=null)
getInterests ($user, $limit=0, $offset=0, $until=null, $since=null)
getMovies ($user, $limit=0, $offset=0, $until=null, $since=null)
getTelevision ($user, $limit=0, $offset=0, $until=null, $since=null)
getMusic ($user, $limit=0, $offset=0, $until=null, $since=null)
getSubscribers ($user, $limit=0, $offset=0)
getSubscribedTo ($user, $limit=0, $offset=0)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API User class for the Joomla Platform.

3.2.0 deprecated 305.

Documentation des fonctions membres

◆ createAlbum()

createAlbum | ( | $user,
 |  | $name,
 |  | $description = null,
 |  | $privacy = null
 | ) |

Method to create an album for a user. Requires authentication and publish_stream permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $name | Album name.
string | $description | Album description.
string | $privacy | A JSON-encoded object that defines the privacy setting for the album.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $description, $name, et $user.

◆ createCheckin()

createCheckin | ( | $user,
 |  | $place,
 |  | $coordinates,
 |  | $tags = null,
 |  | $message = null,
 |  | $link = null,
 |  | $picture = null
 | ) |

Method to create a checkin for a user. Requires authentication and publish_checkins permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $place | Id of the Place Page.
string | $coordinates | A JSON-encoded string containing latitute and longitude.
string | $tags | Comma separated list of USER_IDs.
string | $message | A message to add to the checkin.
string | $link | A link to add to the checkin.
string | $picture | A picture to add to the checkin.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $link, $message, et $user.

◆ createEvent()

createEvent | ( | $user,
 |  | $name,
 |  | $startTime,
 |  | $endTime = null,
 |  | $description = null,
 |  | $location = null,
 |  | $locationId = null,
 |  | $privacyType = null
 | ) |

Method to create an event for a user. Requires authentication create_event permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $name | Event name.
string | $startTime | Event start time as UNIX timestamp.
string | $endTime | Event end time as UNIX timestamp.
string | $description | Event description.
string | $location | Event location.
string | $locationId | Facebook Place ID of the place the Event is taking place.
string | $privacyType | Event privacy setting, a string containing 'OPEN' (default), 'CLOSED', or 'SECRET'.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $description, $location, $name, $startTime, et $user.

◆ createLink()

createLink | ( | $user,
 |  | $link,
 |  | $message = null
 | ) |

Method to post a link on user's feed. Requires authentication and publish_stream permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $link | Link URL.
string | $message | Link message.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $link, $message, et $user.

◆ createNote()

createNote | ( | $user,
 |  | $subject,
 |  | $message
 | ) |

Method to create a note on the behalf of the user. Requires authentication and publish_stream permission, user_groups or friends_groups permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $subject | The subject of the note.
string | $message | Note content.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $message, $subject, et $user.

◆ createPhoto()

createPhoto | ( | $user,
 |  | $source,
 |  | $message = null,
 |  | $place = null,
 |  | $noStory = null
 | ) |

Method to post a photo on user's wall. Requires authentication and publish_stream permission, user_groups or friends_groups permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $source | Path to photo.
string | $message | Photo description.
string | $place | Facebook ID of the place associated with the photo.
boolean | $noStory | If set to 1, optionally suppresses the feed story that is automatically generated on a user’s profile when they upload a photo using your application.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $message, et $user.

◆ createPost()

createPost | ( | $user,
 |  | $message = null,
 |  | $link = null,
 |  | $picture = null,
 |  | $name = null,
 |  | $caption = null,
 |  | $description = null,
 |  | $actions = null,
 |  | $place = null,
 |  | $tags = null,
 |  | $privacy = null,
 |  | $objectAttachment = null
 | ) |

Method to post on a user's wall. Message or link parameter is required. Requires authentication and publish_stream permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $message | Post message.
string | $link | Post URL.
string | $picture | Post thumbnail image (can only be used if link is specified)
string | $name | Post name (can only be used if link is specified).
string | $caption | Post caption (can only be used if link is specified).
string | $description | Post description (can only be used if link is specified).
array | $actions | Post actions array of objects containing name and link.
string | $place | Facebook Page ID of the location associated with this Post.
string | $tags | Comma-separated list of Facebook IDs of people tagged in this Post. For example: 1207059,701732. You cannot specify this field without also specifying a place.
string | $privacy | Post privacy settings (can only be specified if the Timeline being posted on belongs to the User creating the Post).
string | $objectAttachment | Facebook ID for an existing picture in the User's photo albums to use as the thumbnail image. The User must be the owner of the photo, and the photo cannot be part of a message attachment.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $description, $link, $message, $name, et $user.

◆ createStatus()

createStatus | ( | $user,
 |  | $message
 | ) |

Method to post a status message on behalf of the user. Requires authentication publish_stream permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $message | Status message content.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $message, et $user.

◆ createVideo()

createVideo | ( | $user,
 |  | $source,
 |  | $title = null,
 |  | $description = null
 | ) |

Method to post a video on behalf of the user. Requires authentication and publish_stream permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $source | Path to video.
string | $title | Video title.
string | $description | Video description.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $description, $title, et $user.

◆ deleteEvent()

deleteEvent ( $event )

Method to delete an event. Note: you can only delete the event if it was created by the same app. Requires authentication create_event permission.

Paramètres
string $event Event ID.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteLink()

deleteLink ( $link )

Method to delete a link. Requires authentication and publish_stream permission.

Paramètres
mixed $link The Link ID.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $link.

◆ deletePermission()

deletePermission | ( | $user,
 |  | $permission = ''
 | ) |

Method to revoke a specific permission on behalf of a user. Requires authentication.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $permission | The permission to revoke. If none specified, then this will de-authorize the application completely.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $user.

◆ deletePost()

deletePost ( $post )

Method to delete a post. Note: you can only delete the post if it was created by the current user. Requires authentication

Paramètres
string $post The Post ID.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ deleteStatus()

deleteStatus ( $status )

Method to delete a status. Note: you can only delete the post if it was created by the current user. Requires authentication publish_stream permission.

Paramètres
string $status The Status ID.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

◆ editEvent()

editEvent | ( | $event,
 |  | $name = null,
 |  | $startTime = null,
 |  | $endTime = null,
 |  | $description = null,
 |  | $location = null,
 |  | $locationId = null,
 |  | $privacyType = null
 | ) |

Method to edit an event. Requires authentication create_event permission.

Paramètres
mixed | $event | Event ID.
string | $name | Event name.
string | $startTime | Event start time as UNIX timestamp.
string | $endTime | Event end time as UNIX timestamp.
string | $description | Event description.
string | $location | Event location.
string | $locationId | Facebook Place ID of the place the Event is taking place.
string | $privacyType | Event privacy setting, a string containing 'OPEN' (default), 'CLOSED', or 'SECRET'.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, $description, $location, $name, $startTime, et null.

◆ getActivities()

getActivities | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the activities listed on the user's profile. Requires authentication and user_activities or friends_activities permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getAlbums()

getAlbums | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's albums. Requires authentication and user_photos or friends_photos permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getBooks()

getBooks | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the books listed on the user's profile. Requires authentication and user_likes or friends_likes permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getCheckins()

getCheckins | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's checkins. Requires authentication and user_checkins or friends_checkins permission

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getEvents()

getEvents | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the current user's events. Requires authentication and user_events or friends_events permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getFamily()

getFamily | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the user's family relationships. Requires authentication and user_relationships permission..

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getFeed()

getFeed | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's wall. Requires authentication and read_stream permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getFriendLists()

getFriendLists | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's friend lists. Requires authentication and read_friendlists permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getFriendRequests()

getFriendRequests | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's incoming friend requests. Requires authentication and read_requests permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getFriends()

getFriends | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the specified user's friends. Requires authentication.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getGroups()

getGroups | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the groups that the user belongs to. Requires authentication and user_groups or friends_groups permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getHome()

getHome | ( | $user,
 |  | $filter = null,
 |  | $location = false,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's news feed. Requires authentication and read_stream permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $filter | User's stream filter.
boolean | $location | Retrieve only posts with a location attached.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $filter, $limit, $location, $offset, $user, et null.

◆ getInterests()

getInterests | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the interests listed on the user's profile. Requires authentication.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getLikes()

getLikes | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's likes. Requires authentication and user_likes or friends_likes permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getLinks()

getLinks | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's posted links. Requires authentication and user_groups or friends_groups permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getMovies()

getMovies | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the movies listed on the user's profile. Requires authentication and user_likes or friends_likes permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getMusic()

getMusic | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the music listed on the user's profile. Requires authentication user_likes or friends_likes permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getMutualFriends()

getMutualFriends | ( | $currentUser,
 |  | $user,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get mutual friends of one user and the current user. Requires authentication.

Paramètres
mixed | $currentUser | Either an integer containing the user ID or a string containing the username for the current user.
mixed | $user | Either an integer containing the user ID or a string containing the username for the user.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getNotes()

getNotes | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's notes. Requires authentication and user_groups or friends_groups permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getNotifications()

getNotifications | ( | $user,
 |  | $read = null,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's notifications. Requires authentication and manage_notifications permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
boolean | $read | Enables you to see notifications that the user has already read.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getPermissions()

getPermissions | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the user's permissions. Requires authentication.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getPhotos()

getPhotos | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's photos. Requires authentication and user_groups or friends_groups permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getPicture()

getPicture | ( | $user,
 |  | $redirect = true,
 |  | $type = null
 | ) |

Method to get the user's profile picture. Requires authentication.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
boolean | $redirect | If false this will return the URL of the profile picture without a 302 redirect.
string | $type | To request a different photo use square | small | normal | large.
Renvoie
string The URL to the user's profile picture.
Depuis
3.2.0

Références $type, $user, et null.

◆ getPosts()

getPosts | ( | $user,
 |  | $location = false,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's posts. Requires authentication and read_stream permission for non-public posts.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
boolean | $location | Retrieve only posts with a location attached.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $location, $offset, et $user.

◆ getStatuses()

getStatuses | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the user's statuses. Requires authentication read_stream permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getSubscribedTo()

getSubscribedTo | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the people the user is subscribed to. Requires authentication and user_subscriptions or friends_subscriptions permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getSubscribers()

getSubscribers | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0
 | ) |

Method to get the user's subscribers. Requires authentication and user_subscriptions or friends_subscriptions permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getTagged()

getTagged | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the posts the user has been tagged in. Requires authentication and user_videos or friends_videos permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getTelevision()

getTelevision | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the television listed on the user's profile. Requires authentication and user_likes or friends_likes permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ getUser()

getUser ( $user )

Method to get the specified user's details. Authentication is required only for some fields.

Paramètres
mixed $user Either an integer containing the user ID or a string containing the username.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $user.

◆ getVideos()

getVideos | ( | $user,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get the videos the user has been tagged in. Requires authentication and user_videos or friends_videos permission.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, $offset, et $user.

◆ hasFriend()

hasFriend | ( | $currentUser,
 |  | $user
 | ) |

Method to see if a user is a friend of the current user. Requires authentication.

Paramètres
mixed | $currentUser | Either an integer containing the user ID or a string containing the username for the current user.
mixed | $user | Either an integer containing the user ID or a string containing the username for the user.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $user.

◆ likesPage()

likesPage | ( | $user,
 |  | $page
 | ) |

Method to see if a user likes a specific Page. Requires authentication.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the username.
string | $page | Facebook ID of the Page.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $user.

◆ updateNotification()

updateNotification ( $notification )

Method to mark a notification as read. Requires authentication and manage_notifications permission.

Paramètres
string $notification The notification id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

Références $data, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/facebook/user.php


Joomla CMS: Référence de la classe JFacebookVideo

Fonctions membres publiques
Référence de la classe JFacebookVideo
+ Graphe d'héritage de JFacebookVideo:
JFacebookObject

Fonctions membres publiques

getVideo ($video)
getComments ($video, $limit=0, $offset=0, $until=null, $since=null)
createComment ($video, $message)
deleteComment ($comment)
getLikes ($video, $limit=0, $offset=0, $until=null, $since=null)
createLike ($video)
deleteLike ($video)
getPicture ($video)
- Fonctions membres publiques hérités de JFacebookObject
__construct (Registry $options=null, JHttp $client=null, JFacebookOAuth $oauth=null)
sendRequest ($path, $data='', array $headers=null, $limit=0, $offset=0, $until=null, $since=null)
get ($object)
getConnection ($object, $connection=null, $extraFields='', $limit=0, $offset=0, $until=null, $since=null)
createConnection ($object, $connection=null, $parameters=null, array $headers=null)
deleteConnection ($object, $connection=null, $extraFields='')
setOAuth ($oauth)
getOAuth ()

Membres hérités additionnels

- Fonctions membres protégées hérités de JFacebookObject
fetchUrl ($path, $limit=0, $offset=0, $until=null, $since=null)
- Attributs protégés hérités de JFacebookObject
$options
$client
$oauth

Description détaillée

Facebook API Video class for the Joomla Platform.

3.2.0 deprecated 306.

Documentation des fonctions membres

◆ createComment()

createComment | ( | $video,
 |  | $message
 | ) |

Method to comment on a video. Requires authentication and publish_stream permission, user_videos or friends_videos permission for private videos.

Paramètres
string | $video | The video id.
string | $message | The comment's text.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $data, et $message.

◆ createLike()

createLike ( $video )

Method to like a video. Requires authentication and publish_stream permission, user_videos or friends_videos permission for private videos.

Paramètres
string $video The video id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteComment()

deleteComment ( $comment )

Method to delete a comment. Requires authentication and publish_stream permission, user_videos or friends_videos permission for private videos.

Paramètres
string $comment The comment's id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ deleteLike()

deleteLike ( $video )

Method to unlike a video. Requires authentication and publish_stream permission, user_videos or friends_videos permission for private videos.

Paramètres
string $video The video id.
Renvoie
boolean Returns true if successful, and false otherwise.
Depuis
3.2.0

◆ getComments()

getComments | ( | $video,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get a video's comments. Requires authentication and user_videos or friends_videos permission for private videos.

Paramètres
string | $video | The video id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getLikes()

getLikes | ( | $video,
 |  | $limit = 0,
 |  | $offset = 0,
 |  | $until = null,
 |  | $since = null
 | ) |

Method to get video's likes. Requires authentication and user_videos or friends_videos permission for private videos.

Paramètres
string | $video | The video id.
integer | $limit | The number of objects per page.
integer | $offset | The object's number on the page.
string | $until | A unix timestamp or any date accepted by strtotime.
string | $since | A unix timestamp or any date accepted by strtotime.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0

Références $limit, et $offset.

◆ getPicture()

getPicture ( $video )

Method to get the album-sized view of the video. Requires authentication and user_videos or friends_videos permission for private photos.

Paramètres
string $video The video id.
Renvoie
string URL of the picture.
Depuis
3.2.0

◆ getVideo()

getVideo ( $video )

Method to get a video. Requires authentication and user_videos or friends_videos permission for private videos.

Paramètres
string $video The video id.
Renvoie
mixed The decoded JSON response or false if the client is not authenticated.
Depuis
3.2.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • video.php


Joomla CMS: Référence de la classe JFormFieldAccessLevel

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldAccessLevel
+ Graphe d'héritage de JFormFieldAccessLevel:
JFormFieldList FOFFormFieldAccesslevel

Fonctions membres protégées

getInput ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'AccessLevel'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Platform. Provides a list of access levels. Access levels control what users in specific groups can see.

Voir également
JAccess
Depuis
1.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.7.0

Références $attr, $options, id, name, return, size, true, et value.

Documentation des champs

◆ $type

$type = 'AccessLevel'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/accesslevel.php


Joomla CMS: Référence de la classe JFormFieldAliastag

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldAliastag
+ Graphe d'héritage de JFormFieldAliastag:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Aliastag'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Framework.

Depuis
2.5.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get a list of options for a list input.

Renvoie
array An array of JHtml options.
Depuis
3.6

Références $b, $db, $extension, $i, $item, $lang, $options, $parts, $query, JPATH_ADMINISTRATOR, et null.

Documentation des champs

◆ $type

$type = 'Aliastag'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • aliastag.php


Joomla CMS: Référence de la classe JFormFieldBannerClient

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldBannerClient
+ Graphe d'héritage de JFormFieldBannerClient:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'BannerClient'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Bannerclient field.

Depuis
1.6

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.6

Références BannersHelper\getClientOptions().

Documentation des champs

◆ $type

$type = 'BannerClient'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • bannerclient.php


Joomla CMS: Référence de la classe JFormFieldBranches

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldBranches
+ Graphe d'héritage de JFormFieldBranches:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'Branches'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Search Branches field for the Finder package.

Depuis
3.5

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.5

Documentation des champs

◆ $type

$type = 'Branches'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • branches.php


Joomla CMS: Référence de la classe JFormFieldCacheHandler

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldCacheHandler
+ Graphe d'héritage de JFormFieldCacheHandler:
JFormFieldList FOFFormFieldCachehandler

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'CacheHandler'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Platform. Provides a list of available cache handlers

Voir également
JCache
Depuis
1.7.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.7.0

Références $options.

Documentation des champs

◆ $type

$type = 'CacheHandler'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/cachehandler.php


Joomla CMS: Référence de la classe JFormFieldCalendar

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldCalendar
+ Graphe d'héritage de JFormFieldCalendar:
FOFFormFieldCalendar JFormFieldDob

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getLayoutData ()

Attributs protégés

$type = 'Calendar'
$maxlength
$format
$filter
$minyear
$maxyear
$layout = 'joomla.form.field.calendar'

Description détaillée

Form Field class for the Joomla Platform.

Provides a pop up date picker linked to a button. Optionally may be filtered to use user's or server's time zone.

Depuis
1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.7.0

Références $config, $date, $lang, $user, et value.

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7.0

Références $data, $direction, elseif, getDocument, JPATH_ROOT, et value.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, $value, et null.

Documentation des champs

◆ $filter

$filter
protected

◆ $format

$format
protected

◆ $layout

$layout = 'joomla.form.field.calendar'
protected

◆ $maxlength

$maxlength
protected

◆ $maxyear

$maxyear
protected

◆ $minyear

$minyear
protected

◆ $type

$type = 'Calendar'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/calendar.php


Joomla CMS: Référence de la classe JFormFieldCategory

Champs de données | Fonctions membres protégées
Référence de la classe JFormFieldCategory
+ Graphe d'héritage de JFormFieldCategory:
JFormFieldList

Champs de données

$type = 'Category'

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Form Field class for the Joomla Platform. Supports an HTML select list of categories

Depuis
1.6

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options for category Use the extension attribute in a form to specify the.specific extension for which categories should be displayed. Use the show_root attribute to specify whether to show the global category root in the list.

Renvoie
array The field option objects.
Depuis
1.6

Références $extension, $filters, $i, $language, $option, $options, $published, et $user.

Documentation des champs

◆ $type

$type = 'Category'
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/legacy/form/field/category.php


Joomla CMS: Référence de la classe JFormFieldCategoryEdit

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldCategoryEdit
+ Graphe d'héritage de JFormFieldCategoryEdit:
JFormFieldList

Fonctions membres publiques

setup (SimpleXMLElement $element, $value, $group=null)
__get ($name)
__set ($name, $value)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$type = 'CategoryEdit'

Fonctions membres protégées

getOptions ()
getInput ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$allowAdd
$customPrefix
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Category Edit field..

Depuis
1.6

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.6

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.6

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for a generic list. Use the multiple attribute to enable multiselect.

Renvoie
string The field input markup.
Depuis
3.6

Références $attr, $class, $customGroupText, $html, $options, $value, ENT_COMPAT, htmlspecialchars, name, size, et value.

◆ getOptions()

getOptions ( )
protected

Method to get a list of categories that respects access controls and can be used for either category assignment or parent category assignment in edit screens. Use the parent element to indicate that the field will be used for assigning parent categories.

Renvoie
array The field option objects.
Depuis
1.6

Références $db, $extension, $groups, $i, $jinput, $language, $n, $name, $option, $options, $published, $query, $row, $user, language, et JError\raiseWarning().

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $allowAdd

$allowAdd
protected

◆ $customPrefix

$customPrefix
protected

◆ $type

$type = 'CategoryEdit'
La documentation de cette classe a été générée à partir du fichier suivant :
  • categoryedit.php


Joomla CMS: Référence de la classe JFormFieldCategoryParent

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldCategoryParent
+ Graphe d'héritage de JFormFieldCategoryParent:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'CategoryParent'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Category Parent field.

Depuis
1.6
Obsolète:
4.0 Use categoryedit instead.

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.6

Références $db, $extension, $i, $id, $jinput, $language, $n, $name, $option, $options, $query, $row, $user, elseif, JError\raiseWarning(), et value.

Documentation des champs

◆ $type

$type = 'CategoryParent'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • categoryparent.php


Joomla CMS: Référence de la classe JFormFieldCheckbox

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldCheckbox
+ Graphe d'héritage de JFormFieldCheckbox:
FOFFormFieldCheckbox

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'Checkbox'
$checked = false

Description détaillée

Form Field class for the Joomla Platform. Single checkbox field. This is a boolean field with null for false and the specified option for true

JFormFieldCheckboxes 1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $checked, et $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup. The checked element sets the field to selected.

Renvoie
string The field input markup.
Depuis
1.7.0

Références $autofocus, $checked, $class, $disabled, $onchange, $onclick, $required, $value, htmlspecialchars, id, name, onclick, return, true, et value.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $checked, $default, $return, $value, null, et value.

Documentation des champs

◆ $checked

$checked = false
protected

◆ $type

$type = 'Checkbox'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/checkbox.php


Joomla CMS: Référence de la classe JFormFieldCheckboxes

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldCheckboxes
+ Graphe d'héritage de JFormFieldCheckboxes:
JFormFieldList FOFFormFieldCheckboxes JFormFieldConsentBox JFormFieldLogType

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$checkedOptions

Fonctions membres protégées

getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Checkboxes'
$layout = 'joomla.form.field.checkboxes'
$forceMultiple = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Form Field class for the Joomla Platform. Displays options as a list of checkboxes. Multiselect may be forced to be true.

Voir également
JFormFieldCheckbox
Depuis
1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the radio button field input markup.

Renvoie
string The field input markup.
Depuis
1.7.0

Références name.

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.5

Références $data, et value.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $checkedOptions

$checkedOptions

◆ $forceMultiple

$forceMultiple = true
protected

◆ $layout

$layout = 'joomla.form.field.checkboxes'
protected

◆ $type

$type = 'Checkboxes'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/checkboxes.php


Joomla CMS: Référence de la classe JFormFieldClicks

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldClicks
+ Graphe d'héritage de JFormFieldClicks:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'Clicks'

Description détaillée

Clicks field.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références $onclick, ENT_COMPAT, htmlspecialchars, name, et value.

Documentation des champs

◆ $type

$type = 'Clicks'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • clicks.php


Joomla CMS: Référence de la classe JFormFieldColor

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldColor
+ Graphe d'héritage de JFormFieldColor:

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getLayoutData ()
getSimpleModeLayoutData ()
getAdvancedModeLayoutData ($lang)

Attributs protégés

$type = 'Color'
$control = 'hue'
$format = 'hex'
$keywords = ''
$position = 'default'
$colors
$split = 3
$layout = 'joomla.form.field.color'

Description détaillée

Color Form Field class for the Joomla Platform. This implementation is designed to be compatible with HTML5's <input type="color">

1.7.3

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getAdvancedModeLayoutData()

getAdvancedModeLayoutData ( $lang )
protected

Method to get the data for the advanced mode to be passed to the layout for rendering.

Paramètres
object $lang The language object
Renvoie
array
Depuis
3.5

Références $lang.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.7.3

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.5

Références $color, $data, $lang, $position, elseif, validate(), et value.

◆ getSimpleModeLayoutData()

getSimpleModeLayoutData ( )
protected

Method to get the data for the simple mode to be passed to the layout for rendering.

Renvoie
array
Depuis
3.5

Références $count.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $colors

$colors
protected

◆ $control

$control = 'hue'
protected

◆ $format

$format = 'hex'
protected

◆ $keywords

$keywords = ''
protected

◆ $layout

$layout = 'joomla.form.field.color'
protected

◆ $position

$position = 'default'
protected

◆ $split

$split = 3
protected

◆ $type

$type = 'Color'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/color.php


Joomla CMS: Référence de la classe JFormFieldCombo

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldCombo
+ Graphe d'héritage de JFormFieldCombo:
JFormFieldList

Fonctions membres protégées

getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Combo'
$layout = 'joomla.form.field.combo'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Platform. Implements a combo box field.

Depuis
1.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup for a combo box field.

Renvoie
string The field input markup.
Depuis
1.7.0

Références name.

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.8.0

Références $data, et $options.

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.combo'
protected

◆ $type

$type = 'Combo'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/combo.php


Joomla CMS: Référence de la classe JFormFieldComponentlayout

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldComponentlayout
+ Graphe d'héritage de JFormFieldComponentlayout:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'ComponentLayout'

Description détaillée

Form Field to display a list of the layouts for a component view from the extension or template overrides.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input for a component layout field.

Renvoie
string The field input.
Depuis
1.6

Références $attr, $client, $clientId, $db, $extension, $file, $files, $groups, $html, $i, $key, $lang, $menu, $query, $selected, $template, $text, $value, $view, JPATH_ADMINISTRATOR, name, null, et value.

Documentation des champs

◆ $type

$type = 'ComponentLayout'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • componentlayout.php


Joomla CMS: Référence de la classe JFormFieldComponents

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldComponents
+ Graphe d'héritage de JFormFieldComponents:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Components'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Framework.

Depuis
3.7.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get a list of options for a list input.

Renvoie
array An array of JHtml options.
Depuis
2.5.0

Références $db, $extension, $item, $items, $lang, $options, $query, JPATH_ADMINISTRATOR, null, et ArrayHelper\sortObjects().

Documentation des champs

◆ $type

$type = 'Components'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/components.php


Joomla CMS: Référence de la classe JFormFieldComponentsCategory

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldComponentsCategory
+ Graphe d'héritage de JFormFieldComponentsCategory:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'ComponentsCategory'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Components Category field.

Depuis
1.6

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get a list of options for a list input.

Renvoie
array An array of JHtml options.
Depuis
3.7.0

Références $db, $extension, $item, $items, $lang, $options, $query, JPATH_ADMINISTRATOR, null, et ArrayHelper\sortObjects().

Documentation des champs

◆ $type

$type = 'ComponentsCategory'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • componentscategory.php


Joomla CMS: Référence de la classe JFormFieldConfigComponents

Champs de données | Fonctions membres protégées
Référence de la classe JFormFieldConfigComponents
+ Graphe d'héritage de JFormFieldConfigComponents:
JFormFieldList

Champs de données

$type = 'ConfigComponents'

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Text Filters form field.

Depuis
3.7.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get a list of options for a list input.

Renvoie
array An array of JHtml options.
Depuis
3.7.0

Références $db, $extension, $item, $items, $lang, $options, $query, JPATH_ADMINISTRATOR, null, et ArrayHelper\sortObjects().

Documentation des champs

◆ $type

$type = 'ConfigComponents'
La documentation de cette classe a été générée à partir du fichier suivant :
  • configcomponents.php


Joomla CMS: Référence de la classe JFormFieldConsentBox

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe JFormFieldConsentBox
+ Graphe d'héritage de JFormFieldConsentBox:
JFormFieldCheckboxes JFormFieldList

Fonctions membres publiques

__set ($name, $value)
__get ($name)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldCheckboxes
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getLabel ()
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldCheckboxes
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'ConsentBox'
$forceMultiple = false
$articleid
- Attributs protégés hérités de JFormFieldCheckboxes
$type = 'Checkboxes'
$layout = 'joomla.form.field.checkboxes'
$forceMultiple = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Fonctions membres privées

getAssignedArticleUrl ()

Membres hérités additionnels

- Champs de données hérités de JFormFieldCheckboxes
$checkedOptions

Description détaillée

Consentbox Field class for the Confirm Consent Plugin.

Depuis
3.9.1

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.9.1

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.9.1

Références $name, et $value.

◆ getAssignedArticleUrl()

getAssignedArticleUrl ( )
private

Return the url of the assigned article based on the current user language

Renvoie
string Returns the link to the article
Depuis
3.9.1

Références $article, $db, $query, ContentHelperRoute\getArticleRoute(), JPATH_BASE, language, et JLoader\register().

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.9.2

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
3.9.1

Références $attribs, $data, et $position.

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.9.1

Références $data.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.9.1

Références $return, et $value.

Documentation des champs

◆ $articleid

$articleid
protected

◆ $forceMultiple

$forceMultiple = false
protected

◆ $type

$type = 'ConsentBox'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • consentbox.php


Joomla CMS: Référence de la classe JFormFieldContentMap

Champs de données | Fonctions membres protégées
Référence de la classe JFormFieldContentMap
+ Graphe d'héritage de JFormFieldContentMap:
JFormFieldGroupedList

Champs de données

$type = 'ContentMap'

Fonctions membres protégées

getGroups ()
- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()

Membres hérités additionnels

- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Description détaillée

Supports a select grouped list of finder content map.

Depuis
3.6.0

Documentation des fonctions membres

◆ getGroups()

getGroups ( )
protected

Method to get the list of content map options grouped by first level.

Renvoie
array The field option objects as a nested array in groups.
Depuis
3.6.0

Références $db, $groups, $key, $lang, $name, $query, $text, FinderHelperLanguage\branchLanguageTitle(), et FinderHelperLanguage\branchSingular().

Documentation des champs

◆ $type

$type = 'ContentMap'
La documentation de cette classe a été générée à partir du fichier suivant :
  • contentmap.php


Joomla CMS: Référence de la classe JFormFieldContentTypes

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldContentTypes
+ Graphe d'héritage de JFormFieldContentTypes:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'ContentTypes'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Content Types Filter field for the Finder package.

Depuis
3.6.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.6.0

Références $db, $key, $lang, $options, $query, FinderHelperLanguage\branchSingular(), JError\raiseWarning(), et ArrayHelper\sortObjects().

Documentation des champs

◆ $type

$type = 'ContentTypes'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • contenttypes.php


Joomla CMS: Référence de la classe JFormFieldDatabaseConnection

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldDatabaseConnection
+ Graphe d'héritage de JFormFieldDatabaseConnection:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'DatabaseConnection'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Platform. Provides a list of available database connections, optionally limiting to a given list.

Voir également
JDatabaseDriver
Depuis
1.7.3

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the list of database options.

This method produces a drop down list of available databases supported by JDatabaseDriver classes that are also supported by the application.

Renvoie
array The field option objects.
Depuis
1.7.3
Voir également
JDatabaseDriver::getConnectors()

This gets the list of database types supported by the application. This should be entered in the form definition as a comma separated list. If no supported databases are listed, it is assumed all available databases are supported.

Références $options, et JDatabaseDriver\getConnectors().

Documentation des champs

◆ $type

$type = 'DatabaseConnection'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • databaseconnection.php


Joomla CMS: Référence de la classe JFormFieldDirectories

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldDirectories
+ Graphe d'héritage de JFormFieldDirectories:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'Directories'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Renders a list of directories.

Depuis
2.5
Obsolète:
4.0 Use JFormFieldFolderlist

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
2.5

Références $options, $return, $value, jimport(), JPATH_ADMINISTRATOR, JPATH_INSTALLATION, JPATH_LIBRARIES, JPATH_PLUGINS, JPATH_SITE, et JPATH_THEMES.

Documentation des champs

◆ $type

$type = 'Directories'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • directories.php


Joomla CMS: Référence de la classe JFormFieldDob

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldDob
+ Graphe d'héritage de JFormFieldDob:
JFormFieldCalendar

Fonctions membres protégées

getLabel ()
- Fonctions membres protégées hérités de JFormFieldCalendar
getInput ()
getLayoutData ()

Attributs protégés

$type = 'Dob'
- Attributs protégés hérités de JFormFieldCalendar
$type = 'Calendar'
$maxlength
$format
$filter
$minyear
$maxyear
$layout = 'joomla.form.field.calendar'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldCalendar
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Documentation des fonctions membres

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
3.3.7

Références $app, $info, $label, $layout, $text, et $view.

Documentation des champs

◆ $type

$type = 'Dob'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/user/profile/field/dob.php


Joomla CMS: Référence de la classe JFormFieldEMail

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldEMail
+ Graphe d'héritage de JFormFieldEMail:
JFormFieldText FOFFormFieldEmail

Fonctions membres protégées

getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Attributs protégés

$type = 'Email'
$layout = 'joomla.form.field.email'
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Description détaillée

Form Field class for the Joomla Platform. Provides and input field for email addresses

JFormRuleEmail 1.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup for email addresses.

Renvoie
string The field input markup.
Depuis
1.7.0

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.5

Références $data.

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.email'
protected

◆ $type

$type = 'Email'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/email.php


Joomla CMS: Référence de la classe JFormFieldExtension

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldExtension
+ Graphe d'héritage de JFormFieldExtension:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'extension'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Field to load a list of all extensions that have logged actions

Depuis
3.9.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the options to populate list

Renvoie
array The field option objects.
Depuis
3.9.0

Références $context, $db, $extension, $item, $options, $query, Factory\getDbo(), et ActionlogsHelper\loadTranslationFiles().

Documentation des champs

◆ $type

$type = 'extension'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_actionlogs/models/fields/extension.php


Joomla CMS: Référence de la classe JFormFieldExtensionStatus

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldExtensionStatus
+ Graphe d'héritage de JFormFieldExtensionStatus:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'ExtensionStatus'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Extension Status field.

Depuis
3.5

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.5

Références $options, et InstallerHelper\getStateOptions().

Documentation des champs

◆ $type

$type = 'ExtensionStatus'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • extensionstatus.php


Joomla CMS: Référence de la classe JFormFieldFieldcontexts

Champs de données | Fonctions membres protégées
Référence de la classe JFormFieldFieldcontexts
+ Graphe d'héritage de JFormFieldFieldcontexts:
JFormFieldList

Champs de données

$type = 'Fieldcontexts'

Fonctions membres protégées

getInput ()
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Fields Contexts

Depuis
3.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup for a generic list. Use the multiple attribute to enable multiselect.

Renvoie
string The field input markup.
Depuis
3.7.0

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.7.0

Références $file, $parts, $prefix, JPATH_ADMINISTRATOR, JLoader\register(), et value.

Documentation des champs

◆ $type

$type = 'Fieldcontexts'
La documentation de cette classe a été générée à partir du fichier suivant :
  • fieldcontexts.php


Joomla CMS: Référence de la classe JFormFieldFieldgroups

Champs de données | Fonctions membres protégées
Référence de la classe JFormFieldFieldgroups
+ Graphe d'héritage de JFormFieldFieldgroups:
JFormFieldList

Champs de données

$type = 'Fieldgroups'

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Fields Groups

Depuis
3.7.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.7.0

Références $context, $db, $option, $options, $query, et $user.

Documentation des champs

◆ $type

$type = 'Fieldgroups'
La documentation de cette classe a été générée à partir du fichier suivant :
  • fieldgroups.php


Joomla CMS: Référence de la classe JFormFieldFieldlayout

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldFieldlayout
+ Graphe d'héritage de JFormFieldFieldlayout:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'FieldLayout'

Description détaillée

Form Field to display a list of the layouts for a field from the extension or template overrides.

Depuis
3.9.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input for a field layout field.

Renvoie
string The field input.
Depuis
3.9.0

Références $attr, $db, $extension, $file, $files, $groups, $html, $i, $query, $selected, $template, $value, JPATH_SITE, name, et value.

Documentation des champs

◆ $type

$type = 'FieldLayout'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fieldlayout.php


Joomla CMS: Référence de la classe JFormFieldFile

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldFile
+ Graphe d'héritage de JFormFieldFile:

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getLayoutData ()

Attributs protégés

$type = 'File'
$accept
$layout = 'joomla.form.field.file'

Description détaillée

Form Field class for the Joomla Platform. Provides an input field for files

1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for the file field. Field attributes allow specification of a maximum file size and a string of accepted file extensions.

Renvoie
string The field input markup.
Note
The field does not include an upload mechanism.
Voir également
JFormFieldMedia
Depuis
1.7.0

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.6

Références $data.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $accept

$accept
protected

◆ $layout

$layout = 'joomla.form.field.file'
protected

◆ $type

$type = 'File'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/file.php


Joomla CMS: Référence de la classe JFormFieldFileList

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldFileList
+ Graphe d'héritage de JFormFieldFileList:
JFormFieldList JFormFieldImageList FOFFormFieldImagelist

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'FileList'
$filter
$exclude
$hideNone = false
$hideDefault = false
$stripExt = false
$directory
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Supports an HTML select list of files

Depuis
1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getOptions()

getOptions ( )
protected

Method to get the list of files for the field options. Specify the target directory with a directory attribute Attributes allow an exclude mask and stripping of extensions from file name. Default attribute may optionally be set to null (no file) or -1 (use a default).

Renvoie
array The field option objects.
Depuis
1.7.0

Références $file, $files, $options, $path, et JPATH_ROOT.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $directory

$directory
protected

◆ $exclude

$exclude
protected

◆ $filter

$filter
protected

◆ $hideDefault

$hideDefault = false
protected

◆ $hideNone

$hideNone = false
protected

◆ $stripExt

$stripExt = false
protected

◆ $type

$type = 'FileList'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • filelist.php


Joomla CMS: Référence de la classe JFormFieldFilters

Champs de données | Fonctions membres protégées
Référence de la classe JFormFieldFilters
+ Graphe d'héritage de JFormFieldFilters:

Champs de données

$type = 'Filters'

Fonctions membres protégées

getInput ()
getUserGroups ()

Description détaillée

Text Filters form field.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

TODO: Add access check.

Renvoie
string The field input markup.
Depuis
1.6

Références $doc, $groups, $html, ENT_QUOTES, getDocument, htmlspecialchars, name, et value.

◆ getUserGroups()

getUserGroups ( )
protected

A helper to get the list of user groups.

Renvoie
array
Depuis
1.6

Références $db, $options, et $query.

Documentation des champs

◆ $type

$type = 'Filters'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_config/model/field/filters.php


Joomla CMS: Référence de la classe JFormFieldFolder

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldFolder
+ Graphe d'héritage de JFormFieldFolder:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'Folder'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Folder field.

Depuis
3.5

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.5

Références $options, et InstallerHelper\getExtensionGroupes().

Documentation des champs

◆ $type

$type = 'Folder'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_installer/models/fields/folder.php


Joomla CMS: Référence de la classe JFormFieldFolderList

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldFolderList
+ Graphe d'héritage de JFormFieldFolderList:
JFormFieldList JFormFieldUploaddirs

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'FolderList'
$filter
$exclude
$recursive
$hideNone = false
$hideDefault = false
$directory
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Supports an HTML select list of folder

Depuis
1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.7.0

Références $folder, $options, $path, et JPATH_ROOT.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $directory

$directory
protected

◆ $exclude

$exclude
protected

◆ $filter

$filter
protected

◆ $hideDefault

$hideDefault = false
protected

◆ $hideNone

$hideNone = false
protected

◆ $recursive

$recursive
protected

◆ $type

$type = 'FolderList'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • folderlist.php


Joomla CMS: Référence de la classe JFormFieldFonts

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldFonts
+ Graphe d'héritage de JFormFieldFonts:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Fonts'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the list of fonts field options.

Renvoie
array The field option objects.
Depuis
3.4

Références $info, $key, et $options.

Documentation des champs

◆ $type

$type = 'Fonts'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • fonts.php


Joomla CMS: Référence de la classe JFormFieldGroupedList

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldGroupedList
+ Graphe d'héritage de JFormFieldGroupedList:
FOFFormFieldGroupedlist JFormFieldContentMap JFormFieldItemType JFormFieldMenuitemByType JFormFieldTimezone ChromestyleField MenuField MenuitemField TemplatestyleField

Fonctions membres protégées

getGroups ()
getInput ()

Attributs protégés

$type = 'GroupedList'

Description détaillée

Form Field class for the Joomla Platform. Provides a grouped list select field.

Depuis
1.7.0

Documentation des fonctions membres

◆ getGroups()

getGroups ( )
protected

Method to get the field option groups.

Renvoie
array The field option objects as a nested array in groups.
Depuis
1.7.0
Exceptions
UnexpectedValueException

Références $disabled, $groups, $label, $option, et $tmp.

◆ getInput()

getInput ( )
protected

Method to get the field input markup fora grouped list. Multiselect is enabled by using the multiple attribute.

Renvoie
string The field input markup.
Depuis
1.7.0

Références $attr, $groups, $html, $value, ENT_COMPAT, htmlspecialchars, if, name, null, size, true, et value.

Documentation des champs

◆ $type

$type = 'GroupedList'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/groupedlist.php


Joomla CMS: Référence de la classe JFormFieldGroupParent

Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe JFormFieldGroupParent
+ Graphe d'héritage de JFormFieldGroupParent:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'GroupParent'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Fonctions membres privées

cleanOptionsChildrenByFather ($userGroupsOptions, $fatherId)

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

User Group Parent field..

Depuis
1.6

Documentation des fonctions membres

◆ cleanOptionsChildrenByFather()

cleanOptionsChildrenByFather | ( | $userGroupsOptions,
 |  | $fatherId
 | ) |
private

Method to clean the Usergroup Options from all children starting by a given father

Paramètres
array | $userGroupsOptions | The usergroup options to clean
integer | $fatherId | The father ID to start with
Renvoie
array The cleaned field options
Depuis
3.9.4

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects
Depuis
1.6

Références $i, $n, et $options.

Documentation des champs

◆ $type

$type = 'GroupParent'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • groupparent.php


Joomla CMS: Référence de la classe JFormFieldHidden

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldHidden
+ Graphe d'héritage de JFormFieldHidden:
FOFFormFieldHidden

Fonctions membres protégées

getInput ()
getLayoutData ()

Attributs protégés

$type = 'Hidden'
$layout = 'joomla.form.field.hidden'

Description détaillée

Form Field class for the Joomla Platform. Provides a hidden field

1.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.7.0

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.hidden'
protected

◆ $type

$type = 'Hidden'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/hidden.php


Joomla CMS: Référence de la classe JFormFieldImageList

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldImageList
+ Graphe d'héritage de JFormFieldImageList:
JFormFieldFileList JFormFieldList FOFFormFieldImagelist

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldFileList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'ImageList'
- Attributs protégés hérités de JFormFieldFileList
$type = 'FileList'
$filter
$exclude
$hideNone = false
$hideDefault = false
$stripExt = false
$directory
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldFileList
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Supports an HTML select list of image

Depuis
1.7.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the list of images field options. Use the filter attribute to specify allowable file extensions.

Renvoie
array The field option objects.
Depuis
1.7.0

Documentation des champs

◆ $type

$type = 'ImageList'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/imagelist.php


Joomla CMS: Référence de la classe JFormFieldImpMade

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldImpMade
+ Graphe d'héritage de JFormFieldImpMade:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'ImpMade'

Description détaillée

Impressions field.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références $onclick, ENT_COMPAT, htmlspecialchars, name, et value.

Documentation des champs

◆ $type

$type = 'ImpMade'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • impmade.php


Joomla CMS: Référence de la classe JFormFieldImpTotal

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldImpTotal
+ Graphe d'héritage de JFormFieldImpTotal:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'ImpTotal'

Description détaillée

Total Impressions field.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références $class, $onchange, text, et value.

Documentation des champs

◆ $type

$type = 'ImpTotal'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • imptotal.php


Joomla CMS: Référence de la classe JFormFieldInteger

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldInteger
+ Graphe d'héritage de JFormFieldInteger:
JFormFieldList FOFFormFieldInteger

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Integer'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Platform. Provides a select list of integers with specified first, last and step values.

Depuis
1.7.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.7.0

Références $i, $options, $step, et elseif.

Documentation des champs

◆ $type

$type = 'Integer'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/integer.php


Joomla CMS: Référence de la classe JFormFieldItemLanguage

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldItemLanguage
+ Graphe d'héritage de JFormFieldItemLanguage:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'ItemLanguage'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Field listing item languages

Depuis
3.7.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.7.0

Références $canCreate, $canEdit, $input, $itemId, $language, $options, AssociationsHelper\allowAdd(), AssociationsHelper\allowEdit(), AssociationsHelper\canCheckinItem(), AssociationsHelper\getAssociationList(), AssociationsHelper\getExtensionHelper(), et AssociationsHelper\getItem().

Documentation des champs

◆ $type

$type = 'ItemLanguage'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • itemlanguage.php


Joomla CMS: Référence de la classe JFormFieldItemType

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldItemType
+ Graphe d'héritage de JFormFieldItemType:
JFormFieldGroupedList

Fonctions membres protégées

getGroups ()
- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()

Attributs protégés

$type = 'ItemType'
- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Description détaillée

A drop down containing all component item types that implement associations.

Depuis
3.7.0

Documentation des fonctions membres

◆ getGroups()

getGroups ( )
protected

Method to get the field input markup.

Renvoie
array The field option objects as a nested array in groups.
Depuis
3.7.0
Exceptions
UnexpectedValueException

Références $context, $extension, $options, $type, et AssociationsHelper\getSupportedExtensions().

Documentation des champs

◆ $type

$type = 'ItemType'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • itemtype.php


Joomla CMS: Référence de la classe JFormFieldLanguage

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldLanguage
+ Graphe d'héritage de JFormFieldLanguage:
JFormFieldList FOFFormFieldLanguage

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Language'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Platform. Supports a list of installed application languages

Voir également
JFormFieldContentLanguage for a select list of content languages.
Depuis
1.7.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.7.0

Références $b, $client, $lang, $options, et value.

Documentation des champs

◆ $type

$type = 'Language'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/language.php


Joomla CMS: Référence de la classe JFormFieldLanguageclient

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldLanguageclient
+ Graphe d'héritage de JFormFieldLanguageclient:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Languageclient'
$cache = array()
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Client Language List field.

Depuis
3.9.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.9.0

Références $language, JPATH_ADMINISTRATOR, et JPATH_SITE.

Documentation des champs

◆ $cache

$cache = array()
protected

◆ $type

$type = 'Languageclient'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • languageclient.php


Joomla CMS: Référence de la classe JFormFieldLevels

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldLevels
+ Graphe d'héritage de JFormFieldLevels:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Levels'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Access Levels field.

Depuis
3.6.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects
Depuis
3.6.0

Références UsersHelperDebug\getLevelsOptions().

Documentation des champs

◆ $type

$type = 'Levels'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/fields/levels.php


Joomla CMS: Référence de la classe JFormFieldList

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldList
+ Graphe d'héritage de JFormFieldList:
FOFFormFieldActions FOFFormFieldComponents FOFFormFieldList FOFFormFieldPublished InstallationFormFieldLanguage JFormFieldAccessLevel JFormFieldAliastag JFormFieldBannerClient JFormFieldBranches JFormFieldCacheHandler JFormFieldCategory JFormFieldCategoryEdit JFormFieldCategoryParent JFormFieldCheckboxes JFormFieldCombo JFormFieldComponents JFormFieldComponentsCategory JFormFieldConfigComponents JFormFieldContentTypes JFormFieldDatabaseConnection JFormFieldDirectories JFormFieldExtension JFormFieldExtensionStatus JFormFieldFieldcontexts JFormFieldFieldgroups JFormFieldFileList JFormFieldFolder JFormFieldFolderList JFormFieldFonts JFormFieldGroupParent JFormFieldInteger JFormFieldItemLanguage JFormFieldLanguage JFormFieldLanguageclient JFormFieldLevels JFormFieldLocation JFormFieldLogCreator JFormFieldMenuOrdering JFormFieldMenuParent JFormFieldMenuPreset JFormFieldMenutype JFormFieldMessageStates JFormFieldModulesModule JFormFieldModulesPosition JFormFieldNewsfeeds JFormFieldPluginElement JFormFieldPlugins JFormFieldPluginType JFormFieldPredefinedList JFormFieldRadio JFormFieldRedirect JFormFieldSearchFilter JFormFieldSection JFormFieldSessionHandler JFormFieldSkins JFormFieldSQL JFormFieldTemplateLocation JFormFieldTemplateName JFormFieldType JFormFieldType AuthorField ContentlanguageField ContenttypeField FrontendlanguageField HeadertagField HelpsiteField LimitboxField ModuletagField TagField UsergrouplistField

Fonctions membres publiques

addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getInput ()
getOptions ()

Attributs protégés

$type = 'List'

Description détaillée

Form Field class for the Joomla Platform. Supports a generic list of options.

Depuis
1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.7.0

Références $name.

◆ addOption()

addOption | ( | $text,
 |  | $attributes = array()
 | ) |

Method to add an option to the list field.

Paramètres
string | $text | Text/Language variable of the option.
array | $attributes | Array of attributes ('name' => 'value' format)
Renvoie
JFormFieldList For chaining.
Depuis
3.7.0

Références $attributes, $name, $text, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for a generic list. Use the multiple attribute to enable multiselect.

Renvoie
string The field input markup.
Depuis
3.7.0

Références $attr, $html, $id, $options, $value, ENT_COMPAT, htmlspecialchars, if, name, size, true, et value.

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.7.0

Références $checked, $component, $disabled, $link, $option, $options, $params, $selected, $text, $tmp, $uri, $value, et json_encode.

Documentation des champs

◆ $type

$type = 'List'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/list.php


Joomla CMS: Référence de la classe JFormFieldLocation

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldLocation
+ Graphe d'héritage de JFormFieldLocation:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'Location'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Location field.

Depuis
3.5

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.5

Références $options, et InstallerHelper\getClientOptions().

Documentation des champs

◆ $type

$type = 'Location'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • location.php


Joomla CMS: Référence de la classe JFormFieldLogCreator

Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe JFormFieldLogCreator
+ Graphe d'héritage de JFormFieldLogCreator:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'LogCreator'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Attributs protégés statiques

static $options = array()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Field to load a list of all users that have logged actions

Depuis
3.9.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the options to populate list

Renvoie
array The field option objects.
Depuis
3.9.0

Références $db, $hash, $options, $query, et Factory\getDbo().

Documentation des champs

◆ $options

$options = array()
staticprotected

◆ $type

$type = 'LogCreator'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • logcreator.php


Joomla CMS: Référence de la classe JFormFieldLogsDateRange

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldLogsDateRange
+ Graphe d'héritage de JFormFieldLogsDateRange:
JFormFieldPredefinedList JFormFieldList

Fonctions membres publiques

__construct ($form=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'logsdaterange'
$predefinedOptions
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Field to show a list of range dates to sort with

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $form = null )

Method to instantiate the form field object.

Paramètres
JForm $form The form to attach to the form field object.
Depuis
3.9.0

Références $form, $lang, et JPATH_ADMINISTRATOR.

Documentation des champs

◆ $predefinedOptions

$predefinedOptions
protected
Valeur initiale :
= array(
'today' => 'COM_ACTIONLOGS_OPTION_RANGE_TODAY',
'past_week' => 'COM_ACTIONLOGS_OPTION_RANGE_PAST_WEEK',
'past_1month' => 'COM_ACTIONLOGS_OPTION_RANGE_PAST_1MONTH',
'past_3month' => 'COM_ACTIONLOGS_OPTION_RANGE_PAST_3MONTH',
'past_6month' => 'COM_ACTIONLOGS_OPTION_RANGE_PAST_6MONTH',
'past_year' => 'COM_ACTIONLOGS_OPTION_RANGE_PAST_YEAR',
)

◆ $type

$type = 'logsdaterange'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • logsdaterange.php


Joomla CMS: Référence de la classe JFormFieldLogType

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldLogType
+ Graphe d'héritage de JFormFieldLogType:
JFormFieldCheckboxes JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldCheckboxes
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'LogType'
- Attributs protégés hérités de JFormFieldCheckboxes
$type = 'Checkboxes'
$layout = 'joomla.form.field.checkboxes'
$forceMultiple = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Champs de données hérités de JFormFieldCheckboxes
$checkedOptions
- Fonctions membres protégées hérités de JFormFieldCheckboxes
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Field to load a list of all users that have logged actions

Depuis
3.9.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.9.0

Références $db, $extension, $option, $options, $query, $tmp, et ActionlogsHelper\loadTranslationFiles().

Documentation des champs

◆ $type

$type = 'LogType'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • logtype.php


Joomla CMS: Référence de la classe JFormFieldMenuitemByType

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldMenuitemByType
+ Graphe d'héritage de JFormFieldMenuitemByType:
JFormFieldGroupedList

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Champs de données

$type = 'MenuItemByType'

Fonctions membres protégées

getGroups ()
- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()

Attributs protégés

$menuType
$clientId
$language
$published
$disable
- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Description détaillée

Supports an HTML grouped select list of menu item grouped by menu

Depuis
3.8.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.8.0

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.8.0

Références $name, et $value.

◆ getGroups()

getGroups ( )
protected

Method to get the field option groups.

Renvoie
array The field option objects as a nested array in groups.
Depuis
3.8.0

Références $db, $groups, $items, $key, $lang, $link, $menu, $menuType, $query, MenusHelper\getMenuLinks(), et language.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.8.0

Références $app, $menuType, $value, et language.

Documentation des champs

◆ $clientId

$clientId
protected

◆ $disable

$disable
protected

◆ $language

$language
protected

◆ $menuType

$menuType
protected

◆ $published

$published
protected

◆ $type

$type = 'MenuItemByType'
La documentation de cette classe a été générée à partir du fichier suivant :
  • menuitembytype.php


Joomla CMS: Référence de la classe JFormFieldMenuOrdering

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldMenuOrdering
+ Graphe d'héritage de JFormFieldMenuOrdering:
JFormFieldList

Fonctions membres protégées

getOptions ()
getInput ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'MenuOrdering'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Menu Ordering field.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.7

◆ getOptions()

getOptions ( )
protected

Method to get the list of siblings in a menu. The method requires that parent be set.

Renvoie
array The field option objects or false if the parent field has not been set
Depuis
1.7

Références $db, $menuType, $option, $options, $query, et JError\raiseWarning().

Documentation des champs

◆ $type

$type = 'MenuOrdering'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • menuordering.php


Joomla CMS: Référence de la classe JFormFieldMenuParent

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldMenuParent
+ Graphe d'héritage de JFormFieldMenuParent:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'MenuParent'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Menu Parent field.

Depuis
1.6

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.6

Références $clientId, $db, $i, $id, $menuType, $n, $options, $query, JError\raiseWarning(), et text.

Documentation des champs

◆ $type

$type = 'MenuParent'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • menuparent.php


Joomla CMS: Référence de la classe JFormFieldMenuPreset

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldMenuPreset
+ Graphe d'héritage de JFormFieldMenuPreset:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'MenuPreset'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Administrator Menu Presets list field.

Depuis
3.8.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.8.0

Références $options.

Documentation des champs

◆ $type

$type = 'MenuPreset'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • menupreset.php


Joomla CMS: Référence de la classe JFormFieldMenutype

Attributs protégés
Référence de la classe JFormFieldMenutype
+ Graphe d'héritage de JFormFieldMenutype:
JFormFieldList

Attributs protégés

$type = 'menutype'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Menu Type field.

Depuis
1.6

Documentation des champs

◆ $type

$type = 'menutype'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • menutype.php


Joomla CMS: Référence de la classe JFormFieldMessageStates

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldMessageStates
+ Graphe d'héritage de JFormFieldMessageStates:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'MessageStates'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Message States field.

Depuis
3.6.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.6.0

Références MessagesHelper\getStateOptions().

Documentation des champs

◆ $type

$type = 'MessageStates'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • messagestates.php


Joomla CMS: Référence de la classe JFormFieldMeter

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldMeter
+ Graphe d'héritage de JFormFieldMeter:
JFormFieldNumber

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldNumber
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldNumber
getInput ()
getLayoutData ()

Attributs protégés

$type = 'Meter'
$width
$active = false
$animated = true
$color
$layout = 'joomla.form.field.meter'
- Attributs protégés hérités de JFormFieldNumber
$type = 'Number'
$max = null
$min = null
$step = 0
$layout = 'joomla.form.field.number'

Description détaillée

Form Field class for the Joomla Platform. Provides a meter to show value in a range.

3.2

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.2

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.5

Références $data, color, et width.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $active, $return, $value, color, et width.

Documentation des champs

◆ $active

$active = false
protected

◆ $animated

$animated = true
protected

◆ $color

$color
protected

◆ $layout

$layout = 'joomla.form.field.meter'
protected

◆ $type

$type = 'Meter'
protected

◆ $width

$width
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/meter.php


Joomla CMS: Référence de la classe JFormFieldModal_Article

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldModal_Article
+ Graphe d'héritage de JFormFieldModal_Article:

Fonctions membres protégées

getInput ()
getLabel ()

Attributs protégés

$type = 'Modal_Article'

Description détaillée

Supports a modal article picker.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références $class, $db, $html, $id, $query, $title, $value, button, ENT_COMPAT, ENT_QUOTES, getDocument, htmlspecialchars, JPATH_ADMINISTRATOR, modal, name, null, JError\raiseWarning(), et value.

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
3.4

Documentation des champs

◆ $type

$type = 'Modal_Article'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_content/models/fields/modal/article.php


Joomla CMS: Référence de la classe JFormFieldModal_Category

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldModal_Category
+ Graphe d'héritage de JFormFieldModal_Category:

Fonctions membres protégées

getInput ()
getLabel ()

Attributs protégés

$type = 'Modal_Category'

Description détaillée

Supports a modal category picker.

Depuis
3.1

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références $class, $db, $extension, $html, $id, $query, $title, $value, button, ENT_COMPAT, ENT_QUOTES, getDocument, htmlspecialchars, JPATH_ADMINISTRATOR, modal, name, null, JError\raiseWarning(), et value.

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
3.7.0

Documentation des champs

◆ $type

$type = 'Modal_Category'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_categories/models/fields/modal/category.php


Joomla CMS: Référence de la classe JFormFieldModal_Contact

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldModal_Contact
+ Graphe d'héritage de JFormFieldModal_Contact:

Fonctions membres protégées

getInput ()
getLabel ()

Attributs protégés

$type = 'Modal_Contact'

Description détaillée

Supports a modal contact picker.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références $class, $db, $html, $id, $query, $title, $value, button, ENT_COMPAT, ENT_QUOTES, getDocument, htmlspecialchars, JPATH_ADMINISTRATOR, modal, name, null, JError\raiseWarning(), et value.

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
3.4

Documentation des champs

◆ $type

$type = 'Modal_Contact'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/models/fields/modal/contact.php


Joomla CMS: Référence de la classe JFormFieldModal_Menu

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldModal_Menu
+ Graphe d'héritage de JFormFieldModal_Menu:

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getLabel ()

Attributs protégés

$type = 'Modal_Menu'
$allowSelect = true
$allowClear = true
$allowNew = false
$allowEdit = false
$allowPropagate = false

Description détaillée

Supports a modal menu item picker.

Depuis
3.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.7.0

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.7.0

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.7.0

Références $class, $clientId, $db, $html, $id, $query, $title, $value, button, ENT_COMPAT, ENT_QUOTES, getDocument, htmlspecialchars, JPATH_ADMINISTRATOR, modal, name, null, JError\raiseWarning(), et value.

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
3.7.0

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.7.0

Références $return, et $value.

Documentation des champs

◆ $allowClear

$allowClear = true
protected

◆ $allowEdit

$allowEdit = false
protected

◆ $allowNew

$allowNew = false
protected

◆ $allowPropagate

$allowPropagate = false
protected

◆ $allowSelect

$allowSelect = true
protected

◆ $type

$type = 'Modal_Menu'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/models/fields/modal/menu.php


Joomla CMS: Référence de la classe JFormFieldModal_Newsfeed

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldModal_Newsfeed
+ Graphe d'héritage de JFormFieldModal_Newsfeed:

Fonctions membres protégées

getInput ()
getLabel ()

Attributs protégés

$type = 'Modal_Newsfeed'

Description détaillée

Supports a modal newsfeeds picker.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.6

Références $class, $db, $html, $id, $query, $title, $value, button, ENT_COMPAT, ENT_QUOTES, getDocument, htmlspecialchars, JPATH_ADMINISTRATOR, modal, name, null, JError\raiseWarning(), et value.

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
3.4

Documentation des champs

◆ $type

$type = 'Modal_Newsfeed'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/models/fields/modal/newsfeed.php


Joomla CMS: Référence de la classe JFormFieldModalAssociation

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldModalAssociation
+ Graphe d'héritage de JFormFieldModalAssociation:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'Modal_Association'

Description détaillée

Supports a modal item picker.

Depuis
3.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.7.0

Références $html, $id, $script, $value, getDocument, name, et value.

Documentation des champs

◆ $type

$type = 'Modal_Association'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • modalassociation.php


Joomla CMS: Référence de la classe JFormFieldModulelayout

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldModulelayout
+ Graphe d'héritage de JFormFieldModulelayout:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'ModuleLayout'

Description détaillée

Form Field to display a list of the layouts for module display from the module or template overrides.

Depuis
1.6

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input for module layouts.

Renvoie
string The field input.
Depuis
1.6

Références $attr, $client, $clientId, $db, $file, $files, $groups, $html, $i, $key, $lang, $module, $query, $selected, $template, $text, $value, name, null, et value.

Documentation des champs

◆ $type

$type = 'ModuleLayout'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • modulelayout.php


Joomla CMS: Référence de la classe JFormFieldModulesModule

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldModulesModule
+ Graphe d'héritage de JFormFieldModulesModule:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'ModulesModule'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Modules Module field.

Depuis
3.4.2

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.4.2

Références $options, et ModulesHelper\getModules().

Documentation des champs

◆ $type

$type = 'ModulesModule'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • modulesmodule.php


Joomla CMS: Référence de la classe JFormFieldModulesPosition

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldModulesPosition
+ Graphe d'héritage de JFormFieldModulesPosition:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'ModulesPosition'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Modules Position field.

Depuis
3.4.2

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.4.2

Références $options, et ModulesHelper\getPositions().

Documentation des champs

◆ $type

$type = 'ModulesPosition'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • modulesposition.php


Joomla CMS: Référence de la classe JFormFieldNewsfeeds

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldNewsfeeds
+ Graphe d'héritage de JFormFieldNewsfeeds:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Newsfeeds'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

News Feed List field.

Depuis
1.6

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.6

Références $db, $options, $query, et JError\raiseWarning().

Documentation des champs

◆ $type

$type = 'Newsfeeds'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/models/fields/newsfeeds.php


Joomla CMS: Référence de la classe JFormFieldNote

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldNote
+ Graphe d'héritage de JFormFieldNote:

Fonctions membres protégées

getLabel ()
getInput ()

Attributs protégés

$type = 'Note'

Description détaillée

Form Field class for the Joomla Platform. Supports a one line text field.

1.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.7.0

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
1.7.0

Références $class, $description, $html, $title, et if.

Documentation des champs

◆ $type

$type = 'Note'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/note.php


Joomla CMS: Référence de la classe JFormFieldNumber

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldNumber
+ Graphe d'héritage de JFormFieldNumber:
JFormFieldMeter JFormFieldRange

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getLayoutData ()

Attributs protégés

$type = 'Number'
$max = null
$min = null
$step = 0
$layout = 'joomla.form.field.number'

Description détaillée

Form Field class for the Joomla Platform. Provides a one line text box with up-down handles to set a number in the field.

3.2

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.2

Références $component, $link, $params, $uri, et $value.

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7

Références $data, et value.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, $value, et null.

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.number'
protected

◆ $max

$max = null
protected

◆ $min

$min = null
protected

◆ $step

$step = 0
protected

◆ $type

$type = 'Number'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/number.php


Joomla CMS: Référence de la classe JFormFieldPassword

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldPassword
+ Graphe d'héritage de JFormFieldPassword:
FOFFormFieldPassword

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getLayoutData ()

Attributs protégés

$lock = false
$type = 'Password'
$threshold = 66
$maxLength
$meter = false
$layout = 'joomla.form.field.password'

Description détaillée

Form Field class for the Joomla Platform. Text field for passwords

Two password fields may be validated as matching using JFormRuleEquals 1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for password.

Renvoie
string The field input markup.
Depuis
1.7.0

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7

Références $data.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.password'
protected

◆ $lock

$lock = false
protected

◆ $maxLength

$maxLength
protected

◆ $meter

$meter = false
protected

◆ $threshold

$threshold = 66
protected

◆ $type

$type = 'Password'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/password.php


Joomla CMS: Référence de la classe JFormFieldPluginElement

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldPluginElement
+ Graphe d'héritage de JFormFieldPluginElement:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'PluginElement'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Plugin Element field.

Depuis
3.9.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.9.0

Références $options, et PluginsHelper\elementOptions().

Documentation des champs

◆ $type

$type = 'PluginElement'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • pluginelement.php


Joomla CMS: Référence de la classe JFormFieldPluginInfo

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldPluginInfo
+ Graphe d'héritage de JFormFieldPluginInfo:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'PluginInfo'

Description détaillée

Information field.

Depuis
3.9.2

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.9.2

Références $db, $link, $query, null, et JError\raiseWarning().

Documentation des champs

◆ $type

$type = 'PluginInfo'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugininfo.php


Joomla CMS: Référence de la classe JFormFieldPluginordering

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldPluginordering
+ Graphe d'héritage de JFormFieldPluginordering:

Fonctions membres protégées

getQuery ()
getItemId ()

Attributs protégés

$type = 'Pluginordering'

Description détaillée

Supports an HTML select list of plugins.

Depuis
1.6

Documentation des fonctions membres

◆ getItemId()

getItemId ( )
protected

Retrieves the current Item's Id.

Renvoie
integer The current item ID.

◆ getQuery()

getQuery ( )
protected

Builds the query for the ordering list.

Renvoie
JDatabaseQuery The query for the ordering form field.

Références $db, $folder, et $query.

Documentation des champs

◆ $type

$type = 'Pluginordering'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • pluginordering.php


Joomla CMS: Référence de la classe JFormFieldPlugins

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldPlugins
+ Graphe d'héritage de JFormFieldPlugins:
JFormFieldList FOFFormFieldPlugins

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Plugins'
$folder
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Form Field class for the Joomla Framework.

Depuis
2.5.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $folder, et $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, $value, et folder.

◆ getOptions()

getOptions ( )
protected

Method to get a list of options for a list input.

Renvoie
array An array of JHtml options.
Depuis
2.5.0

Références $db, $extension, $folder, $groups, $i, $item, $lang, $options, $query, $text, JPATH_ADMINISTRATOR, JPATH_PLUGINS, et null.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, $value, et folder.

Documentation des champs

◆ $folder

$folder
protected

◆ $type

$type = 'Plugins'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/plugins.php


Joomla CMS: Référence de la classe JFormFieldPluginType

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldPluginType
+ Graphe d'héritage de JFormFieldPluginType:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'PluginType'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Plugin Type field.

Depuis
3.5

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.5

Références $options, et PluginsHelper\folderOptions().

Documentation des champs

◆ $type

$type = 'PluginType'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugintype.php


Joomla CMS: Référence de la classe JFormFieldPredefinedList

Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe JFormFieldPredefinedList
+ Graphe d'héritage de JFormFieldPredefinedList:
JFormFieldList JFormFieldLogsDateRange LastvisitdaterangeField PluginstatusField RedirectStatusField RegistrationdaterangeField StatusField UseractiveField UserstateField PrivacyFormFieldRequeststatus PrivacyFormFieldRequesttype

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Attributs protégés statiques

static $options = array()

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field to load a list of predefined values

Depuis
3.2

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the options to populate list

Renvoie
array The field option objects.
Depuis
3.2

Références $filter, $hash, $options, $text, $type, et $value.

Documentation des champs

◆ $options

$options = array()
staticprotected

◆ $predefinedOptions

$predefinedOptions = array()
protected

◆ $translate

$translate = true
protected

◆ $type

$type = 'PredefinedList'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • predefinedlist.php


Joomla CMS: Référence de la classe JFormFieldprivacy

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldprivacy
+ Graphe d'héritage de JFormFieldprivacy:
JFormFieldRadio JFormFieldList

Fonctions membres protégées

getInput ()
getLabel ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldRadio
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'privacy'
- Attributs protégés hérités de JFormFieldRadio
$type = 'Radio'
$layout = 'joomla.form.field.radio'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Provides input for privacy

Depuis
3.9.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.9.0

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
3.9.0

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.9.4

Références $article, $data, $db, $query, ContentHelperRoute\getArticleRoute(), JPATH_BASE, JLoader\register(), et value.

Documentation des champs

◆ $type

$type = 'privacy'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/system/privacyconsent/field/privacy.php


Joomla CMS: Référence de la classe JFormFieldRadio

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldRadio
+ Graphe d'héritage de JFormFieldRadio:
JFormFieldList FOFFormFieldRadio InstallationFormFieldSample JFormFieldprivacy JFormFieldterms JFormFieldTos JFormFieldVoteradio

Fonctions membres protégées

getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Radio'
$layout = 'joomla.form.field.radio'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Platform. Provides radio button inputs

1.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the radio button field input markup.

Renvoie
string The field input markup.
Depuis
1.7.0

Références name.

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.5

Références $data, et value.

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.radio'
protected

◆ $type

$type = 'Radio'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/radio.php


Joomla CMS: Référence de la classe JFormFieldRange

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldRange
+ Graphe d'héritage de JFormFieldRange:
JFormFieldNumber

Fonctions membres protégées

getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldNumber
getInput ()
getLayoutData ()

Attributs protégés

$type = 'Range'
$layout = 'joomla.form.field.range'
- Attributs protégés hérités de JFormFieldNumber
$type = 'Number'
$max = null
$min = null
$step = 0
$layout = 'joomla.form.field.number'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldNumber
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Description détaillée

Form Field class for the Joomla Platform. Provides a horizontal scroll bar to specify a value in a range.

3.2

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.2

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7

Références $data.

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.range'
protected

◆ $type

$type = 'Range'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/range.php


Joomla CMS: Référence de la classe JFormFieldRedirect

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldRedirect
+ Graphe d'héritage de JFormFieldRedirect:
JFormFieldList

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Redirect'
$responseMap
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.4

Références $key, $options, et $value.

Documentation des champs

◆ $responseMap

$responseMap
protected

◆ $type

$type = 'Redirect'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/models/fields/redirect.php


Joomla CMS: Référence de la classe JFormFieldRepeatable

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldRepeatable
+ Graphe d'héritage de JFormFieldRepeatable:

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'Repeatable'

Description détaillée

Form Field class for the Joomla Platform. Display a JSON loaded window with a repeatable set of sub fields

Depuis
3.2
Obsolète:
4.0 Use JFormFieldSubform

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.2

Références $data, $field, $icon, $value, ENT_COMPAT, getDocument, htmlspecialchars, name, et value.

Documentation des champs

◆ $type

$type = 'Repeatable'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/repeatable.php


Joomla CMS: Référence de la classe JFormFieldRules

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldRules
+ Graphe d'héritage de JFormFieldRules:
FOFFormFieldRules

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getUserGroups ()

Attributs protégés

$type = 'Rules'
$section
$component
$assetField

Description détaillée

Form Field class for the Joomla Platform. Field for assigning permissions to groups for a given asset

Voir également
JAccess
Depuis
1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup for Access Control Lists. Optionally can be associated with a specific component and section.

Renvoie
string The field input markup.
Depuis
1.7.0

do: incorrect info When creating a new item (not saving) it uses the calculated permissions from the component (item <-> component <-> global config). But if we have a section too (item <-> section(s) <-> component <-> global config) this is not correct. Also, currently it uses the component permission, but should use the calculated permissions for achild of the component/section.

Possible values: null = not set means inherited false = denied true = allowed

do: incorrect info If a component has a permission that doesn't exists in global config (ex: frontend editing in com_modules) by default we get "Not Allowed (Inherited)" when we should get "Not Allowed (Default)".

Component/Item with explicit "Denied" permission at parent Asset (Category, Component or Global config) configuration. Or some parent group has an explicit "Denied". Calculated permission is "Not Allowed (Locked)".

Références $action, $active, $ajaxUri, $assetId, Access\$assetRules, $component, $db, $groups, $html, $query, $section, elseif, ENT_QUOTES, htmlspecialchars, name, et null.

◆ getUserGroups()

getUserGroups ( )
protected

Get a list of the user groups.

Renvoie
array
Depuis
1.7.0

Références $option, et $options.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $assetField

$assetField
protected

◆ $component

$component
protected

◆ $section

$section
protected

◆ $type

$type = 'Rules'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/rules.php


Joomla CMS: Référence de la classe JFormFieldSearchFilter

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldSearchFilter
+ Graphe d'héritage de JFormFieldSearchFilter:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'SearchFilter'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Search Filter field for the Finder package.

Depuis
2.5

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
2.5

Références $db, $options, et $query.

Documentation des champs

◆ $type

$type = 'SearchFilter'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • searchfilter.php


Joomla CMS: Référence de la classe JFormFieldSection

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe JFormFieldSection
+ Graphe d'héritage de JFormFieldSection:
JFormFieldList

Fonctions membres publiques

setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$type = 'Section'

Fonctions membres protégées

getInput ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Fields Section

Depuis
3.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup for a generic list. Use the multiple attribute to enable multiselect.

Renvoie
string The field input markup.
Depuis
3.7.0

Références getDocument.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Depuis
3.7.0

Références $return, et $value.

Documentation des champs

◆ $type

$type = 'Section'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_fields/models/fields/section.php


Joomla CMS: Référence de la classe JFormFieldSessionHandler

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldSessionHandler
+ Graphe d'héritage de JFormFieldSessionHandler:
JFormFieldList FOFFormFieldSessionhandler

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'SessionHandler'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Form Field class for the Joomla Platform. Provides a select list of session handler options.

Depuis
1.7.0

Documentation des fonctions membres

◆ getOptions()

getOptions ( )
protected

Method to get the session handler field options.

Renvoie
array The field option objects.
Depuis
1.7.0

Références $options.

Documentation des champs

◆ $type

$type = 'SessionHandler'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/sessionhandler.php


Joomla CMS: Référence de la classe JFormFieldSkins

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldSkins
+ Graphe d'héritage de JFormFieldSkins:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getInput ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'skins'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup for the list of skins.

Renvoie
string The field input markup.
Depuis
3.4

Références $html, $options, name, et value.

◆ getOptions()

getOptions ( )

Method to get the skins options.

Renvoie
array The skins option objects.
Depuis
3.4

Références $i, $options, et JPATH_ROOT.

Documentation des champs

◆ $type

$type = 'skins'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • skins.php


Joomla CMS: Référence de la classe JFormFieldSpacer

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldSpacer
+ Graphe d'héritage de JFormFieldSpacer:
FOFFormFieldSpacer

Fonctions membres publiques

renderField ($options=array())

Fonctions membres protégées

getInput ()
getLabel ()
getTitle ()

Attributs protégés

$type = 'Spacer'

Description détaillée

Form Field class for the Joomla Platform. Provides spacer markup to be used in form layouts.

Depuis
1.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup for a spacer. The spacer does not have accept input.

Renvoie
string The field input markup.
Depuis
1.7.0

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup for a spacer. Use the label text or name from the XML element as the spacer or Use a hr="true" to automatically generate plain hr markup

Renvoie
string The field label markup.
Depuis
1.7.0

Références $class, $html, $label, $text, description, ENT_COMPAT, htmlspecialchars, if, et true.

◆ getTitle()

getTitle ( )
protected

Method to get the field title.

Renvoie
string The field title.
Depuis
1.7.0

◆ renderField()

renderField ( $options = array() )

Method to get a control group with label and input.

Paramètres
array $options Options to be passed into the rendering of the field
Renvoie
string A string containing the html for the control group
Depuis
3.7.3

Références $options.

Documentation des champs

◆ $type

$type = 'Spacer'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/spacer.php


Joomla CMS: Référence de la classe JFormFieldSQL

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldSQL
+ Graphe d'héritage de JFormFieldSQL:
JFormFieldList

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$type = 'SQL'

Fonctions membres protégées

processQuery ($conditions, $filters, $defaults)
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$keyField
$valueField
$translate = false
$query
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Supports a custom SQL select list

Depuis
1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getOptions()

getOptions ( )
protected

Method to get the custom field options. Use the query attribute to supply a query to generate the list.

Renvoie
array The field option objects.
Depuis
1.7.0

Références $db, $item, $items, $key, $options, et $value.

◆ processQuery()

processQuery | ( | $conditions,
 |  | $filters,
 |  | $defaults
 | ) |
protected

Method to process the query from form.

Paramètres
array | $conditions | The conditions from the form.
string | $filters | The columns to filter.
array | $defaults | The defaults value to set if condition is empty.
Renvoie
JDatabaseQuery The query object.
Depuis
3.5

Références $db, $filters, $query, $value, et elseif.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $filter, $filters, $name, $query, $return, et $value.

Documentation des champs

◆ $keyField

$keyField
protected

◆ $query

$query
protected

◆ $translate

$translate = false
protected

◆ $type

$type = 'SQL'

◆ $valueField

$valueField
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/sql.php


Joomla CMS: Référence de la classe JFormFieldSubform

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe JFormFieldSubform
+ Graphe d'héritage de JFormFieldSubform:

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
loadSubForm ()

Fonctions membres protégées

getInput ()
getName ($fieldName)

Attributs protégés

$type = 'Subform'
$formsource
$min = 0
$max = 1000
$layout = 'joomla.form.field.subform.default'
$groupByFieldset = false
$buttons = array('add' => true, 'remove' => true, 'move' => true)

Fonctions membres privées

loadSubFormData (Form &$subForm)

Description détaillée

The Field to load the form inside current form

with all attributes: <field name="field-name" type="subform" formsource="path/to/form.xml" min="1" max="3" multiple="true" buttons="add,remove,move" layout="joomla.form.field.subform.repeatable-table" groupbyfieldset="false" component="com_example" client="site" label="Field Label" description="Field Description">

Depuis
3.6

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.6

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.6

Références $name, $value, JPATH_ROOT, et null.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.6

For each rendering process of a subform element, we want to have a separate unique subform id present to could distinguish the eventhandlers regarding adding/moving/removing rows from nested subforms from their parents.

Références $buttons, $control, $data, $html, $name, $renderer, $tmpl, name, et null.

◆ getName()

getName ( $fieldName )
protected

Method to get the name used for the field input tag.

Paramètres
string $fieldName The field element name.
Renvoie
string The name to be used for the field input tag.
Depuis
3.6

Références $groups, et $name.

◆ loadSubForm()

loadSubForm ( )

Loads the form instance for the subform.

Renvoie
Form The form instance.
Exceptions
InvalidArgumentException | if no form provided.
RuntimeException | if the form could not be loaded.
Depuis
3.9.7

Références $control, $name, $tmpl, et name.

◆ loadSubFormData()

loadSubFormData ( Form & $subForm )
private

Binds given data to the subform and its elements.

Paramètres
Form &$subForm Form instance of the subform.
Renvoie
Form[] Array of Form instances for the rows.
Depuis
3.9.7

Références $control, $i, $value, Form\bind(), Form\getName(), name, et value.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value.
Renvoie
boolean True on success.
Depuis
3.6

Références $value, et value.

Documentation des champs

◆ $buttons

array $buttons = array('add' => true, 'remove' => true, 'move' => true)
protected

Which buttons to show in miltiple mode

◆ $formsource

$formsource
protected

◆ $groupByFieldset

$groupByFieldset = false
protected

◆ $layout

$layout = 'joomla.form.field.subform.default'
protected

◆ $max

$max = 1000
protected

◆ $min

$min = 0
protected

◆ $type

$type = 'Subform'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • subform.php


Joomla CMS: Référence de la classe JFormFieldTel

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldTel
+ Graphe d'héritage de JFormFieldTel:
JFormFieldText FOFFormFieldTel

Fonctions membres protégées

getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Attributs protégés

$type = 'Tel'
$layout = 'joomla.form.field.tel'
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Description détaillée

Form Field class for the Joomla Platform. Supports a text field telephone numbers.

JFormRuleTel for telephone number validation JHtmlTel for rendering of telephone numbers 1.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.2

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7.0

Références $data.

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.tel'
protected

◆ $type

$type = 'Tel'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/tel.php


Joomla CMS: Référence de la classe JFormFieldTemplateLocation

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldTemplateLocation
+ Graphe d'héritage de JFormFieldTemplateLocation:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'TemplateLocation'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Template Location field.

Depuis
3.5

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.5

Références $options, et TemplatesHelper\getClientOptions().

Documentation des champs

◆ $type

$type = 'TemplateLocation'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • templatelocation.php


Joomla CMS: Référence de la classe JFormFieldTemplateName

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldTemplateName
+ Graphe d'héritage de JFormFieldTemplateName:
JFormFieldList

Fonctions membres publiques

getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'TemplateName'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Template Name field.

Depuis
3.5

Documentation des fonctions membres

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.6

Références $clientId, $options, et TemplatesHelper\getTemplateOptions().

Documentation des champs

◆ $type

$type = 'TemplateName'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • templatename.php


Joomla CMS: Référence de la classe JFormFieldterms

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldterms
+ Graphe d'héritage de JFormFieldterms:
JFormFieldRadio JFormFieldList

Fonctions membres protégées

getInput ()
getLabel ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldRadio
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'terms'
- Attributs protégés hérités de JFormFieldRadio
$type = 'Radio'
$layout = 'joomla.form.field.radio'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Provides input for privacyterms

Depuis
3.9.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.9.0

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
3.9.0

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.9.4

Références $article, $data, $db, $query, Factory\getApplication(), ContentHelperRoute\getArticleRoute(), Factory\getDbo(), Factory\getLanguage(), JPATH_BASE, language, JLoader\register(), et value.

Documentation des champs

◆ $type

$type = 'terms'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • field/terms.php


Joomla CMS: Référence de la classe JFormFieldText

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldText
+ Graphe d'héritage de JFormFieldText:
FOFFormFieldGroupedbutton FOFFormFieldText JFormFieldEMail JFormFieldTel JFormFieldUrl ModulepositionField FOFFormFieldButton FOFFormFieldTitle FOFFormFieldEmail FOFFormFieldTel FOFFormFieldUrl

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Attributs protégés

$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Description détaillée

Form Field class for the Joomla Platform. Supports a one line text field.

1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
1.7.0

Références $component, $link, $params, $uri, et $value.

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7

Références $data, et $options.

◆ getOptions()

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.4

Références $option, et $options.

◆ getSuggestions()

getSuggestions ( )
protected

Method to get the field suggestions.

Renvoie
array The field option objects.
Depuis
3.2
Obsolète:
4.0 Use getOptions instead

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $key, $value, et Language\getName().

Documentation des champs

◆ $dirname

$dirname
protected

◆ $inputmode

$inputmode
protected

◆ $layout

$layout = 'joomla.form.field.text'
protected

◆ $maxLength

$maxLength
protected

◆ $type

$type = 'Text'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/text.php


Joomla CMS: Référence de la classe JFormFieldTextarea

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldTextarea
+ Graphe d'héritage de JFormFieldTextarea:
FOFFormFieldTextarea EditorField

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getInput ()
getLayoutData ()

Attributs protégés

$type = 'Textarea'
$rows
$columns
$maxlength
$layout = 'joomla.form.field.textarea'

Description détaillée

Form Field class for the Joomla Platform. Supports a multi line area for entry of plain text

1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getInput()

getInput ( )
protected

Method to get the textarea field input markup. Use the rows and columns attributes to specify the dimensions of the area.

Renvoie
string The field input markup.
Depuis
1.7.0

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7

Références $columns, $data, $maxlength, et $rows.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $columns

$columns
protected

◆ $layout

$layout = 'joomla.form.field.textarea'
protected

◆ $maxlength

$maxlength
protected

◆ $rows

$rows
protected

◆ $type

$type = 'Textarea'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/textarea.php


Joomla CMS: Référence de la classe JFormFieldTimezone

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe JFormFieldTimezone
+ Graphe d'héritage de JFormFieldTimezone:
JFormFieldGroupedList FOFFormFieldTimezone

Fonctions membres publiques

__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Fonctions membres protégées

getGroups ()
- Fonctions membres protégées hérités de JFormFieldGroupedList
getGroups ()
getInput ()

Attributs protégés

$type = 'Timezone'
$keyField
- Attributs protégés hérités de JFormFieldGroupedList
$type = 'GroupedList'

Attributs protégés statiques

static $zones = array('Africa', 'America', 'Antarctica', 'Arctic', 'Asia', 'Atlantic', 'Australia', 'Europe', 'Indian', 'Pacific')

Description détaillée

Form Field class for the Joomla Platform.

Depuis
1.7.0

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get certain otherwise inaccessible properties from the form field object.

Paramètres
string $name The property name for which to get the value.
Renvoie
mixed The property value or null.
Depuis
3.2

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Method to set certain otherwise inaccessible properties of the form field object.

Paramètres
string | $name | The property name for which to set the value.
mixed | $value | The value of the property.
Renvoie
void
Depuis
3.2

Références $name, et $value.

◆ getGroups()

getGroups ( )
protected

Method to get the time zone field option groups.

Renvoie
array The field option objects as a nested array in groups.
Depuis
1.7.0

Références $groups, Language\$locale, et $location.

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.2

Références $return, et $value.

Documentation des champs

◆ $keyField

$keyField
protected

◆ $type

$type = 'Timezone'
protected

◆ $zones

$zones = array('Africa', 'America', 'Antarctica', 'Arctic', 'Asia', 'Atlantic', 'Australia', 'Europe', 'Indian', 'Pacific')
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/timezone.php


Joomla CMS: Référence de la classe JFormFieldTinymceBuilder

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldTinymceBuilder
+ Graphe d'héritage de JFormFieldTinymceBuilder:

Fonctions membres protégées

getLayoutData ()

Attributs protégés

$type = 'tinymcebuilder'
$layout = 'plugins.editors.tinymce.field.tinymcebuilder'
$layoutData = array()

Documentation des fonctions membres

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7.0

Références $control, $data, $i, $language, elseif, PlgEditorTinymce\getKnownButtons(), PlgEditorTinymce\getToolbarPreset(), JPATH_PLUGINS, JPATH_ROOT, name, et value.

Documentation des champs

◆ $layout

$layout = 'plugins.editors.tinymce.field.tinymcebuilder'
protected

◆ $layoutData

$layoutData = array()
protected

◆ $type

$type = 'tinymcebuilder'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors/tinymce/field/tinymcebuilder.php


Joomla CMS: Référence de la classe JFormFieldTos

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldTos
+ Graphe d'héritage de JFormFieldTos:
JFormFieldRadio JFormFieldList

Fonctions membres protégées

getLabel ()
- Fonctions membres protégées hérités de JFormFieldRadio
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'Tos'
- Attributs protégés hérités de JFormFieldRadio
$type = 'Radio'
$layout = 'joomla.form.field.radio'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Description détaillée

Provides input for TOS

Depuis
2.5.5

Documentation des fonctions membres

◆ getLabel()

getLabel ( )
protected

Method to get the field label markup.

Renvoie
string The field label markup.
Depuis
2.5.5

Références $article, $attribs, $class, $db, $label, $link, $query, $text, $url, description, ENT_COMPAT, ContentHelperRoute\getArticleRoute(), htmlspecialchars, JPATH_BASE, language, et JLoader\register().

Documentation des champs

◆ $type

$type = 'Tos'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • tos.php


Joomla CMS: Référence de la classe JFormFieldType

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe JFormFieldType
+ Graphe d'héritage de JFormFieldType:
JFormFieldList JFormFieldList

Fonctions membres publiques

setup (SimpleXMLElement $element, $value, $group=null)
getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Champs de données

$type = 'Type'

Fonctions membres protégées

getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Membres hérités additionnels

- Attributs protégés hérités de JFormFieldList
$type = 'List'

Description détaillée

Fields Type

Depuis
3.7.0

Form field for a list of extension types.

Depuis
3.5

Documentation des fonctions membres

◆ getOptions() [1/2]

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.5

Références $options, et InstallerHelper\getExtensionTypes().

◆ getOptions() [2/2]

getOptions ( )
protected

Method to get the field options.

Renvoie
array The field option objects.
Depuis
3.7.0

Références $b, $options, getDocument, et FieldsHelper\getFieldTypes().

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Depuis
3.7.0

Références $return, et $value.

Documentation des champs

◆ $type

$type = 'Type'
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_fields/models/fields/type.php


Joomla CMS: Référence de la classe JFormFieldUploaddirs

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldUploaddirs
+ Graphe d'héritage de JFormFieldUploaddirs:
JFormFieldFolderList JFormFieldList

Fonctions membres publiques

setup (SimpleXMLElement $element, $value, $group=null)
getOptions ()
- Fonctions membres publiques hérités de JFormFieldFolderList
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Fonctions membres protégées

getInput ()
- Fonctions membres protégées hérités de JFormFieldFolderList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Attributs protégés

$type = 'uploaddirs'
- Attributs protégés hérités de JFormFieldFolderList
$type = 'FolderList'
$filter
$exclude
$recursive
$hideNone = false
$hideDefault = false
$directory
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup for the list of directories.

Renvoie
string The field input markup.
Depuis
3.7.0

Références $html, $options, name, et value.

◆ getOptions()

getOptions ( )

Method to get the directories options.

Renvoie
array The dirs option objects.
Depuis
3.7.0

◆ setup()

setup | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null
 | ) |  |

Method to attach a JForm object to the field.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Renvoie
boolean True on success.
Voir également
JFormField::setup()
Depuis
3.7.0

Références $return, et $value.

Documentation des champs

◆ $type

$type = 'uploaddirs'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • uploaddirs.php


Joomla CMS: Référence de la classe JFormFieldUrl

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldUrl
+ Graphe d'héritage de JFormFieldUrl:
JFormFieldText FOFFormFieldUrl

Fonctions membres protégées

getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldText
getInput ()
getOptions ()
getSuggestions ()
getLayoutData ()

Attributs protégés

$type = 'Url'
$layout = 'joomla.form.field.url'
- Attributs protégés hérités de JFormFieldText
$type = 'Text'
$maxLength
$inputmode
$dirname
$layout = 'joomla.form.field.text'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldText
__get ($name)
__set ($name, $value)
setup (SimpleXMLElement $element, $value, $group=null)

Description détaillée

Form Field class for the Joomla Platform. Supports a URL text field

JFormRuleUrl for validation of full urls 1.7.0

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the field input markup.

Renvoie
string The field input markup.
Depuis
3.1.2 (CMS)

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.7

Références $data.

Documentation des champs

◆ $layout

$layout = 'joomla.form.field.url'
protected

◆ $type

$type = 'Url'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/form/fields/url.php


Joomla CMS: Référence de la classe JFormFieldUsergroup

Fonctions membres protégées | Attributs protégés
Référence de la classe JFormFieldUsergroup
+ Graphe d'héritage de JFormFieldUsergroup:
FOFFormFieldUsergroup

Fonctions membres protégées

getInput ()

Attributs protégés

$type = 'Usergroup'

Description détaillée

Form Field class for the Joomla Platform. Supports a nested checkbox field listing user groups. Multiselect is available by default.

Depuis
1.7.0
Obsolète:
3.5

Documentation des fonctions membres

◆ getInput()

getInput ( )
protected

Method to get the user group field input markup.

Renvoie
string The field input markup.
Depuis
1.7.0

Références $attr, $disabled, $option, $options, $tmp, children, foreach, name, onclick, size, true, et value.

Documentation des champs

◆ $type

$type = 'Usergroup'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/form/fields/usergroup.php


Joomla CMS: Référence de la classe JFormFieldUserMessages

Champs de données | Fonctions membres protégées
Référence de la classe JFormFieldUserMessages
+ Graphe d'héritage de JFormFieldUserMessages:

Champs de données

$type = 'UserMessages'

Fonctions membres protégées

getGroups ()
getExcluded ()

Description détaillée

Supports a modal select of users that have access to com_messages

Depuis
1.6

Documentation des fonctions membres

◆ getExcluded()

getExcluded ( )
protected

Method to get the users to exclude from the list of users

Renvoie
array|null array of users to exclude or null to to not exclude them
Depuis
1.6

◆ getGroups()

getGroups ( )
protected

Method to get the filtering groups (null means no filtering)

Renvoie
array|null array of filtering groups or null.
Depuis
1.6

Références $db, $groups, $i, $query, null, et JError\raiseNotice().

Documentation des champs

◆ $type

$type = 'UserMessages'
La documentation de cette classe a été générée à partir du fichier suivant :
  • usermessages.php


Joomla CMS: Référence de la classe JFormFieldVoteradio

Fonctions membres publiques | Attributs protégés
Référence de la classe JFormFieldVoteradio
+ Graphe d'héritage de JFormFieldVoteradio:
JFormFieldRadio JFormFieldList

Fonctions membres publiques

getLabel ()
getOptions ()
- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)

Attributs protégés

$type = 'Voteradio'
- Attributs protégés hérités de JFormFieldRadio
$type = 'Radio'
$layout = 'joomla.form.field.radio'
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres protégées hérités de JFormFieldRadio
getInput ()
getLayoutData ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()

Description détaillée

Voteradio Field class.

Depuis
3.8.0

Documentation des fonctions membres

◆ getLabel()

getLabel ( )

Method to get the field Label.

Renvoie
array The field label objects.
Exceptions

Références null.

◆ getOptions()

getOptions ( )

Method to get the field options.

Renvoie
array The field option objects.
Exceptions

Documentation des champs

◆ $type

$type = 'Voteradio'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • voteradio.php


Joomla CMS: Référence de la classe JFormRuleContactEmail

Fonctions membres publiques
Référence de la classe JFormRuleContactEmail
+ Graphe d'héritage de JFormRuleContactEmail:

Fonctions membres publiques

test (SimpleXMLElement $element, $value, $group=null, Registry $input=null, JForm $form=null)

Description détaillée

JFormRule for com_contact to make sure the email address is not blocked.

Depuis
1.6

Documentation des fonctions membres

◆ test()

test | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | JForm | $form = null
 | ) |  |

Method to test for banned email addresses

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
JForm | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.

Références $form, $input, $item, $params, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • contactemail.php


Joomla CMS: Référence de la classe JFormRuleContactEmailMessage

Fonctions membres publiques
Référence de la classe JFormRuleContactEmailMessage
+ Graphe d'héritage de JFormRuleContactEmailMessage:

Fonctions membres publiques

test (SimpleXMLElement $element, $value, $group=null, Registry $input=null, JForm $form=null)

Description détaillée

JFormRule for com_contact to make sure the message body contains no banned word.

Depuis
1.6

Documentation des fonctions membres

◆ test()

test | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | JForm | $form = null
 | ) |  |

Method to test a message for banned words

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
JForm | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.

Références $item, $params, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • contactemailmessage.php


Joomla CMS: Référence de la classe JFormRuleContactEmailSubject

Fonctions membres publiques
Référence de la classe JFormRuleContactEmailSubject
+ Graphe d'héritage de JFormRuleContactEmailSubject:

Fonctions membres publiques

test (SimpleXMLElement $element, $value, $group=null, Registry $input=null, JForm $form=null)

Description détaillée

JFormRule for com_contact to make sure the subject contains no banned word.

Depuis
1.6

Documentation des fonctions membres

◆ test()

test | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | JForm | $form = null
 | ) |  |

Method to test for a banned subject

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
JForm | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise

Références $item, $params, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • contactemailsubject.php


Joomla CMS: Référence de la classe JFormRuleLoginUniqueField

Fonctions membres publiques
Référence de la classe JFormRuleLoginUniqueField
+ Graphe d'héritage de JFormRuleLoginUniqueField:

Fonctions membres publiques

test (SimpleXMLElement $element, $value, $group=null, Registry $input=null, JForm $form=null)

Description détaillée

JFormRule for com_users to be sure only one redirect login field has a value

Depuis
3.6

Documentation des fonctions membres

◆ test()

test | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | JForm | $form = null
 | ) |  |

Method to test if two fields have a value in order to use only one field. To use this rule, the form XML needs a validate attribute of loginuniquefield and a field attribute that is equal to the field to test against.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
JForm | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
3.6

Références $form, $input, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • loginuniquefield.php


Joomla CMS: Référence de la classe JFormRuleLogoutUniqueField

Fonctions membres publiques
Référence de la classe JFormRuleLogoutUniqueField
+ Graphe d'héritage de JFormRuleLogoutUniqueField:

Fonctions membres publiques

test (SimpleXMLElement $element, $value, $group=null, Registry $input=null, JForm $form=null)

Description détaillée

JFormRule for com_users to be sure only one redirect logout field has a value

Depuis
3.6

Documentation des fonctions membres

◆ test()

test | ( | SimpleXMLElement | $element,
 |  |  | $value,
 |  |  | $group = null,
 |  | Registry | $input = null,
 |  | JForm | $form = null
 | ) |  |

Method to test if two fields have a value in order to use only one field. To use this rule, the form XML needs a validate attribute of logoutuniquefield and a field attribute that is equal to the field to test against.

Paramètres
SimpleXMLElement | $element | The SimpleXMLElement object representing the <field> tag for the form field object.
mixed | $value | The form field value to validate.
string | $group | The field name group control value. This acts as an array container for the field. For example if the field has name="foo" and the group value is set to "bar" then the full field name would end up being "bar[foo]".
Registry | $input | An optional Registry object with the entire data set to validate against the entire form.
JForm | $form | The form object for which the field is being tested.
Renvoie
boolean True if the value is valid, false otherwise.
Depuis
3.6

Références $form, $input, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • logoutuniquefield.php


Joomla CMS: Référence de la classe JGithub

Fonctions membres publiques | Attributs protégés
Référence de la classe JGithub

Fonctions membres publiques

__construct (Registry $options=null, JGithubHttp $client=null)
__get ($name)
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$client
$packages
$legacyPackages = array('refs', 'forks', 'commits', 'milestones', 'statuses', 'account', 'hooks', 'meta')

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGithubHttp | $client = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | GitHub options object.
JGithubHttp | $client | The HTTP client object.
Depuis
1.7.3

Références $client, et $options.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to lazily create API objects

Paramètres
string $name Name of property to retrieve
Exceptions
RuntimeException
Depuis
1.7.3
Renvoie
JGithubObject GitHub API object (gists, issues, pulls, etc).

Références $className, et $name.

◆ getOption()

getOption ( $key )

Get an option from the JGitHub instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
1.7.3

Références $key.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JGitHub instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JGitHub This object for method chaining.
Depuis
1.7.3

Références $key, et $value.

Documentation des champs

◆ $client

$client
protected

◆ $legacyPackages

$legacyPackages = array('refs', 'forks', 'commits', 'milestones', 'statuses', 'account', 'hooks', 'meta')
protected

◆ $options

$options
protected

◆ $packages

$packages
protected
Valeur initiale :
= array(
'activity',
'authorization',
'data',
'gists',
'gitignore',
'issues',
'markdown',
'orgs',
'pulls',
'repositories',
'users',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • github.php


Joomla CMS: Référence de la classe JGithubAccount

Fonctions membres publiques
Référence de la classe JGithubAccount
+ Graphe d'héritage de JGithubAccount:
JGithubObject

Fonctions membres publiques

createAuthorisation (array $scopes=array(), $note='', $url='')
deleteAuthorisation ($id)
editAuthorisation ($id, array $scopes=array(), array $addScopes=array(), array $removeScopes=array(), $note='', $url='')
getAuthorisation ($id)
getAuthorisations ()
getRateLimit ()
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Account class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ createAuthorisation()

createAuthorisation | ( | array | $scopes = array(),
 |  |  | $note = '',
 |  |  | $url = ''
 | ) |  |

Method to create an authorisation.

Paramètres
array | $scopes | A list of scopes that this authorisation is in.
string | $note | A note to remind you what the OAuth token is for.
string | $url | A URL to remind you what app the OAuth token is for.
Obsolète:
use authorization->create()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $data, $path, $url, et json_encode.

◆ deleteAuthorisation()

deleteAuthorisation ( $id )

Method to delete an authorisation

Paramètres
integer $id ID of the authorisation to delete
Obsolète:
use authorization->delete()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $id, et $path.

◆ editAuthorisation()

editAuthorisation | ( |  | $id,
 |  | array | $scopes = array(),
 |  | array | $addScopes = array(),
 |  | array | $removeScopes = array(),
 |  |  | $note = '',
 |  |  | $url = ''
 | ) |  |

Method to edit an authorisation.

Paramètres
integer | $id | ID of the authorisation to edit
array | $scopes | Replaces the authorisation scopes with these.
array | $addScopes | A list of scopes to add to this authorisation.
array | $removeScopes | A list of scopes to remove from this authorisation.
string | $note | A note to remind you what the OAuth token is for.
string | $url | A URL to remind you what app the OAuth token is for.
Obsolète:
use authorization->edit()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException
RuntimeException

Références $data, $id, $path, $url, et json_encode.

◆ getAuthorisation()

getAuthorisation ( $id )

Method to get details about an authorised application for the authenticated user.

Paramètres
integer $id ID of the authorisation to retrieve
Obsolète:
use authorization->get()
Renvoie
object
Depuis
3.1.4
Note
This method will only accept Basic Authentication
Exceptions
DomainException

Références $id, et $path.

◆ getAuthorisations()

getAuthorisations ( )

Method to get the authorised applications for the authenticated user.

Obsolète:
use authorization->getList()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException
Note
This method will only accept Basic Authentication

Références $path.

◆ getRateLimit()

getRateLimit ( )

Method to get the rate limit for the authenticated user.

Obsolète:
use authorization->getRateLimit()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • account.php


Joomla CMS: Référence de la classe JGithubCommits

Fonctions membres publiques
Référence de la classe JGithubCommits
+ Graphe d'héritage de JGithubCommits:
JGithubObject

Fonctions membres publiques

create ($user, $repo, $message, $tree, array $parents=array())
createCommitComment ($user, $repo, $sha, $comment, $line, $filepath, $position)
deleteCommitComment ($user, $repo, $id)
editCommitComment ($user, $repo, $id, $comment)
getCommit ($user, $repo, $sha, $page=0, $limit=0)
getCommitComment ($user, $repo, $id)
getCommitComments ($user, $repo, $sha, $page=0, $limit=0)
getDiff ($user, $repo, $base, $head)
getList ($user, $repo, $page=0, $limit=0)
getListComments ($user, $repo, $page=0, $limit=0)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Commits class for the Joomla Platform.

Depuis
3.0.0
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( |  | $user,
 |  |  | $repo,
 |  |  | $message,
 |  |  | $tree,
 |  | array | $parents = array()
 | ) |  |

Method to create a commit.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $message | The commit message.
string | $tree | SHA of the tree object this commit points to.
array | $parents | Array of the SHAs of the commits that were the parents of this commit. If omitted or empty, the commit will be written as a root commit. For a single parent, an array of one SHA should be provided. For a merge commit, an array of more than one should be provided.
Obsolète:
use data->commits->create()
Renvoie
object
Depuis
3.0.0

Références $data, $message, $path, $user, et json_encode.

◆ createCommitComment()

createCommitComment | ( | $user,
 |  | $repo,
 |  | $sha,
 |  | $comment,
 |  | $line,
 |  | $filepath,
 |  | $position
 | ) |

Method to create a comment on a commit.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA of the commit to comment on.
string | $comment | The text of the comment.
integer | $line | The line number of the commit to comment on.
string | $filepath | A relative path to the file to comment on within the commit.
integer | $position | Line index in the diff to comment on.
Obsolète:
use repositories->comments->create()
Renvoie
object
Depuis
3.0.0

Références $data, $path, $position, $user, et json_encode.

◆ deleteCommitComment()

deleteCommitComment | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to delete a comment on a commit.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $id | The ID of the comment to edit.
Obsolète:
use repositories->comments->delete()
Renvoie
object
Depuis
3.0.0

Références $id, $path, et $user.

◆ editCommitComment()

editCommitComment | ( | $user,
 |  | $repo,
 |  | $id,
 |  | $comment
 | ) |

Method to edit a comment on a commit.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $id | The ID of the comment to edit.
string | $comment | The text of the comment.
Obsolète:
use repositories->comments->edit()
Renvoie
object
Depuis
3.0.0

Références $data, $id, $path, $user, et json_encode.

◆ getCommit()

getCommit | ( | $user,
 |  | $repo,
 |  | $sha,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a single commit for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA of the commit to retrieve.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Obsolète:
use repositories->commits->get()
Renvoie
array
Depuis
3.0.0

Références $limit, $path, et $user.

◆ getCommitComment()

getCommitComment | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to get a single comment on a commit.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the comment to retrieve
Obsolète:
use repositories->comments->get()
Renvoie
array
Depuis
3.0.0

Références $id, $path, et $user.

◆ getCommitComments()

getCommitComments | ( | $user,
 |  | $repo,
 |  | $sha,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a list of comments for a single commit for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA of the commit to retrieve.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Obsolète:
use repositories->comments->getList()
Renvoie
array
Depuis
3.0.0

Références $limit, $path, et $user.

◆ getDiff()

getDiff | ( | $user,
 |  | $repo,
 |  | $base,
 |  | $head
 | ) |

Method to get a diff for two commits.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $base | The base of the diff, either a commit SHA or branch.
string | $head | The head of the diff, either a commit SHA or branch.
Obsolète:
use repositories->commits->compare()
Renvoie
array
Depuis
3.0.0

Références $base, $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to list commits for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Obsolète:
use repositories->commits->getList()
Renvoie
array
Depuis
3.0.0

Références $limit, $path, et $user.

◆ getListComments()

getListComments | ( | $user,
 |  | $repo,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a list of commit comments for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Obsolète:
use repositories->comments->getListRepository()
Renvoie
array
Depuis
3.0.0

Références $limit, $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • commits.php


Joomla CMS: Référence de la classe JGithubForks

Fonctions membres publiques
Référence de la classe JGithubForks
+ Graphe d'héritage de JGithubForks:
JGithubObject

Fonctions membres publiques

create ($user, $repo, $org='')
getList ($user, $repo, $page=0, $limit=0)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Forks class for the Joomla Platform.

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $org = ''
 | ) |

Method to fork a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $org | The organization to fork the repo into. By default it is forked to the current user.
Obsolète:
use repositories->forks->create()
Renvoie
object
Depuis
2.5.0
Exceptions
DomainException

Références $data, $path, $user, et json_encode.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to list forks for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Obsolète:
use repositories->forks->getList()
Renvoie
array
Depuis
2.5.0
Exceptions
DomainException

Références $limit, $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • forks.php


Joomla CMS: Référence de la classe JGithubHooks

Fonctions membres publiques | Attributs protégés
Référence de la classe JGithubHooks
+ Graphe d'héritage de JGithubHooks:
JGithubObject

Fonctions membres publiques

create ($user, $repo, $name, array $config, array $events=array('push'), $active=true)
delete ($user, $repo, $id)
edit ($user, $repo, $id, $name, array $config, array $events=array('push'), array $addEvents=array(), array $removeEvents=array(), $active=true)
get ($user, $repo, $id)
getList ($user, $repo, $page=0, $limit=0)
test ($user, $repo, $id)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Attributs protégés

$events
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Description détaillée

GitHub API Hooks class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( |  | $user,
 |  |  | $repo,
 |  |  | $name,
 |  | array | $config,
 |  | array | $events = array('push'),
 |  |  | $active = true
 | ) |  |

Method to create a hook on a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $name | The name of the service being called.
array | $config | Array containing the config for the service.
array | $events | The events the hook will be triggered for.
boolean | $active | Flag to determine if the hook is active
Obsolète:
use repositories->hooks->create()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException
RuntimeException

Références $active, $config, $data, $name, $path, $user, et json_encode.

◆ delete()

delete | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to delete a hook

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the hook to delete.
Obsolète:
use repositories->hooks->delete()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $id, $path, et $user.

◆ edit()

edit | ( |  | $user,
 |  |  | $repo,
 |  |  | $id,
 |  |  | $name,
 |  | array | $config,
 |  | array | $events = array('push'),
 |  | array | $addEvents = array(),
 |  | array | $removeEvents = array(),
 |  |  | $active = true
 | ) |  |

Method to edit a hook.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the hook to edit.
string | $name | The name of the service being called.
array | $config | Array containing the config for the service.
array | $events | The events the hook will be triggered for. This resets the currently set list
array | $addEvents | Events to add to the hook.
array | $removeEvents | Events to remove from the hook.
boolean | $active | Flag to determine if the hook is active
Obsolète:
use repositories->hooks->edit()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException
RuntimeException

Références $active, $config, $data, $id, $name, $path, $user, et json_encode.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to get details about a single hook for the repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the hook to retrieve
Obsolète:
use repositories->hooks->get()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $id, $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to list hooks for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Obsolète:
use repositories->hooks->getList()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $path, et $user.

◆ test()

test | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to test a hook against the latest repository commit

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the hook to delete
Obsolète:
use repositories->hooks->test()
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $id, $path, $user, et json_encode.

Documentation des champs

◆ $events

$events
protected
Valeur initiale :
= array(
'push',
'issues',
'issue_comment',
'commit_comment',
'pull_request',
'gollum',
'watch',
'download',
'fork',
'fork_apply',
'member',
'public',
'status',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • hooks.php


Joomla CMS: Référence de la classe JGithubHttp

Fonctions membres publiques | Champs de données
Référence de la classe JGithubHttp
+ Graphe d'héritage de JGithubHttp:

Fonctions membres publiques

__construct (Registry $options=null, JHttpTransport $transport=null)

Champs de données

const | AUTHENTICATION_NONE = 0
const | AUTHENTICATION_BASIC = 1
const | AUTHENTICATION_OAUTH = 2

Description détaillée

HTTP client class for connecting to a GitHub instance.

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttpTransport | $transport = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Client options object.
JHttpTransport | $transport | The HTTP transport object.
Depuis
1.7.3

Références $options.

Documentation des champs

◆ AUTHENTICATION_BASIC

const AUTHENTICATION_BASIC = 1

◆ AUTHENTICATION_NONE

const AUTHENTICATION_NONE = 0

◆ AUTHENTICATION_OAUTH

const AUTHENTICATION_OAUTH = 2
La documentation de cette classe a été générée à partir du fichier suivant :
  • github/http.php


Joomla CMS: Référence de la classe JGithubMeta

Fonctions membres publiques
Référence de la classe JGithubMeta
+ Graphe d'héritage de JGithubMeta:
JGithubObject

Fonctions membres publiques

getMeta ()
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Meta class.

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ getMeta()

getMeta ( )

Method to get the authorized IP addresses for services

Renvoie
array Authorized IP addresses
Depuis
3.2.0
Exceptions
DomainException

Références $key, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • meta.php


Joomla CMS: Référence de la classe JGithubMilestones

Fonctions membres publiques
Référence de la classe JGithubMilestones
+ Graphe d'héritage de JGithubMilestones:
JGithubObject

Fonctions membres publiques

getList ($user, $repo, $state='open', $sort='due_date', $direction='desc', $page=0, $limit=0)
get ($user, $repo, $milestoneId)
create ($user, $repo, $title, $state=null, $description=null, $dueOn=null)
edit ($user, $repo, $milestoneId, $title=null, $state=null, $description=null, $dueOn=null)
delete ($user, $repo, $milestoneId)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Milestones class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $title,
 |  | $state = null,
 |  | $description = null,
 |  | $dueOn = null
 | ) |

Method to create a milestone for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $title | The title of the milestone.
string | $state | Can be open (default) or closed.
string | $description | Optional description for milestone.
string | $dueOn | Optional ISO 8601 time.
Obsolète:
use issues->milestones->create()
Renvoie
object
Depuis
3.1.4

Références $data, $description, $path, $state, $title, $user, et json_encode.

◆ delete()

delete | ( | $user,
 |  | $repo,
 |  | $milestoneId
 | ) |

Method to delete a milestone.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $milestoneId | The id of the milestone to delete.
Obsolète:
use issues->milestones->delete()
Renvoie
void
Depuis
3.1.4

Références $path, et $user.

◆ edit()

edit | ( | $user,
 |  | $repo,
 |  | $milestoneId,
 |  | $title = null,
 |  | $state = null,
 |  | $description = null,
 |  | $dueOn = null
 | ) |

Method to update a milestone.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $milestoneId | The id of the comment to update.
integer | $title | Optional title of the milestone.
string | $state | Can be open (default) or closed.
string | $description | Optional description for milestone.
string | $dueOn | Optional ISO 8601 time.
Obsolète:
use issues->milestones->edit()
Renvoie
object
Depuis
3.1.4

Références $data, $description, $path, $state, $title, $user, et json_encode.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $milestoneId
 | ) |

Method to get a specific milestone.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $milestoneId | The milestone id to get.
Obsolète:
use issues->milestones->get()
Renvoie
object
Depuis
3.1.4

Références $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $state = 'open',
 |  | $sort = 'due_date',
 |  | $direction = 'desc',
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get the list of milestones for a repo.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $state | The milestone state to retrieved. Open (default) or closed.
string | $sort | Sort can be due_date (default) or completeness.
string | $direction | Direction is asc or desc (default).
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Obsolète:
use issues->milestones->getList()
Renvoie
array
Depuis
3.1.4

Références $direction, $limit, $path, $state, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • milestones.php


Joomla CMS: Référence de la classe JGithubObject

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JGithubObject
+ Graphe d'héritage de JGithubObject:
JGithubAccount JGithubCommits JGithubForks JGithubHooks JGithubMeta JGithubMilestones JGithubPackage JGithubRefs JGithubStatuses

Fonctions membres publiques

__construct (Registry $options=null, JGithubHttp $client=null)

Fonctions membres protégées

fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Attributs protégés

$options
$client

Description détaillée

GitHub API object class for the Joomla Platform.

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGithubHttp | $client = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | GitHub options object.
JGithubHttp | $client | The HTTP client object.
Depuis
1.7.3

Références $client, et $options.

Documentation des fonctions membres

◆ fetchUrl()

fetchUrl | ( | $path,
 |  | $page = 0,
 |  | $limit = 0
 | ) |
protected

Method to build and return a full request URL for the request. This method will add appropriate pagination details if necessary and also prepend the API url to have a complete URL for the request.

Paramètres
string | $path | URL to inflect
integer | $page | Page to request
integer | $limit | Number of results to return per page
Renvoie
string The request URL.
Depuis
1.7.3

Références $limit, $password, $path, et $uri.

◆ processResponse()

processResponse | ( | JHttpResponse | $response,
 |  |  | $expectedCode = 200,
 |  |  | $decode = true
 | ) |  |
protected

Process the response and decode it.

Paramètres
JHttpResponse | $response | The response.
integer | $expectedCode | The expected "good" code.
boolean | $decode | If the should be response be JSON decoded.
Exceptions
DomainException
Depuis
3.3.0
Renvoie
mixed

Références $message.

Documentation des champs

◆ $client

$client
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/github/object.php


Joomla CMS: Référence de la classe JGithubPackage

Fonctions membres publiques | Attributs protégés
Référence de la classe JGithubPackage
+ Graphe d'héritage de JGithubPackage:
JGithubObject JGithubPackageActivity JGithubPackageActivityEvents JGithubPackageActivityNotifications JGithubPackageActivityStarring JGithubPackageActivityWatching JGithubPackageAuthorization JGithubPackageData JGithubPackageDataBlobs JGithubPackageDataCommits JGithubPackageDataRefs JGithubPackageDataTags JGithubPackageDataTrees JGithubPackageGists JGithubPackageGistsComments JGithubPackageGitignore JGithubPackageIssues JGithubPackageIssuesAssignees JGithubPackageIssuesComments JGithubPackageIssuesEvents JGithubPackageIssuesLabels JGithubPackageIssuesMilestones JGithubPackageMarkdown JGithubPackageOrgs JGithubPackageOrgsMembers JGithubPackageOrgsTeams JGithubPackagePulls JGithubPackagePullsComments JGithubPackageRepositories JGithubPackageRepositoriesCollaborators JGithubPackageRepositoriesComments JGithubPackageRepositoriesCommits JGithubPackageRepositoriesContents JGithubPackageRepositoriesDownloads JGithubPackageRepositoriesForks JGithubPackageRepositoriesHooks JGithubPackageRepositoriesKeys JGithubPackageRepositoriesMerging JGithubPackageRepositoriesStatistics JGithubPackageRepositoriesStatuses JGithubPackageSearch JGithubPackageUsers JGithubPackageUsersEmails JGithubPackageUsersFollowers JGithubPackageUsersKeys

Fonctions membres publiques

__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Attributs protégés

$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Description détaillée

GitHub API package class for the Joomla Platform.

Depuis
3.3 (CMS)
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to lazily create API objects

Paramètres
string $name Name of property to retrieve
Renvoie
JGithubPackage GitHub API package object.
Depuis
3.3 (CMS)
Exceptions
RuntimeException

Références $className, $name, et name.

Documentation des champs

◆ $name

$name = ''
protected

◆ $packages

$packages = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • package.php


Joomla CMS: Référence de la classe JGithubPackageActivity

Attributs protégés
Référence de la classe JGithubPackageActivity
+ Graphe d'héritage de JGithubPackageActivity:
JGithubPackage JGithubObject

Attributs protégés

$name = 'Activity'
$packages = array('events', 'notifications', 'starring', 'watching')
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)
- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Documentation des champs

◆ $name

$name = 'Activity'
protected

◆ $packages

$packages = array('events', 'notifications', 'starring', 'watching')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • activity.php


Joomla CMS: Référence de la classe JGithubPackageActivityEvents

Fonctions membres publiques
Référence de la classe JGithubPackageActivityEvents
+ Graphe d'héritage de JGithubPackageActivityEvents:
JGithubPackage JGithubObject

Fonctions membres publiques

getPublic ()
getRepository ($owner, $repo)
getIssue ($owner, $repo)
getNetwork ($owner, $repo)
getOrg ($org)
getUser ($user)
getUserPublic ($user)
getByUser ($user)
getByUserPublic ($user)
getUserOrg ($user, $org)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Activity Events class for the Joomla Platform.

https://developer.github.com/v3/activity/events/

Depuis
3.3 (CMS)
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ getByUser()

getByUser ( $user )

List events performed by a user.

If you are authenticated as the given user, you will see your private events. Otherwise, you’ll only see public events.

Paramètres
string $user User name.
Depuis
3.1.4
Renvoie
object

Références $path, et $user.

◆ getByUserPublic()

getByUserPublic ( $user )

List public events performed by a user.

Paramètres
string $user User name.
Depuis
3.1.4
Renvoie
object

Références $path, et $user.

◆ getIssue()

getIssue | ( | $owner,
 |  | $repo
 | ) |

List issue events for a repository.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.1.4
Renvoie
object

Références $path.

◆ getNetwork()

getNetwork | ( | $owner,
 |  | $repo
 | ) |

List public events for a network of repositories.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.1.4
Renvoie
object

Références $path.

◆ getOrg()

getOrg ( $org )

List public events for an organization.

Paramètres
string $org Organisation.
Depuis
3.1.4
Renvoie
object

Références $path.

◆ getPublic()

getPublic ( )

List public events.

Depuis
3.1.4
Renvoie
object

Références $path.

◆ getRepository()

getRepository | ( | $owner,
 |  | $repo
 | ) |

List repository events.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.1.4
Renvoie
object

Références $path.

◆ getUser()

getUser ( $user )

List events that a user has received.

These are events that you’ve received by watching repos and following users. If you are authenticated as the given user, you will see private events. Otherwise, you’ll only see public events.

Paramètres
string $user User name.
Depuis
3.1.4
Renvoie
object

Références $path, et $user.

◆ getUserOrg()

getUserOrg | ( | $user,
 |  | $org
 | ) |

List events for an organization.

This is the user’s organization dashboard. You must be authenticated as the user to view this.

Paramètres
string | $user | User name.
string | $org | Organisation.
Depuis
3.1.4
Renvoie
object

Références $path, et $user.

◆ getUserPublic()

getUserPublic ( $user )

List public events that a user has received.

Paramètres
string $user User name.
Depuis
3.1.4
Renvoie
object

Références $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • activity/events.php


Joomla CMS: Référence de la classe JGithubPackageActivityNotifications

Fonctions membres publiques
Référence de la classe JGithubPackageActivityNotifications
+ Graphe d'héritage de JGithubPackageActivityNotifications:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($all=true, $participating=true, JDate $since=null)
getListRepository ($owner, $repo, $all=true, $participating=true, JDate $since=null)
markRead ($unread=true, $read=true, JDate $lastReadAt=null)
markReadRepository ($owner, $repo, $unread, $read, JDate $lastReadAt=null)
viewThread ($id)
markReadThread ($id, $unread=true, $read=true)
getThreadSubscription ($id)
setThreadSubscription ($id, $subscribed, $ignored)
deleteThreadSubscription ($id)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Activity Events class for the Joomla Platform.

https://developer.github.com/v3/activity/notifications/

Depuis
3.3 (CMS)
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ deleteThreadSubscription()

deleteThreadSubscription ( $id )

Delete a Thread Subscription.

Paramètres
integer $id The thread id.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ getList()

getList | ( |  | $all = true,
 |  |  | $participating = true,
 |  | JDate | $since = null
 | ) |  |

List your notifications.

List all notifications for the current user, grouped by repository.

Paramètres
boolean | $all | True to show notifications marked as read.
boolean | $participating | True to show only notifications in which the user is directly participating or mentioned.
JDate | $since | filters out any notifications updated before the given time. The time should be passed in as UTC in the ISO 8601 format.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getListRepository()

getListRepository | ( |  | $owner,
 |  |  | $repo,
 |  |  | $all = true,
 |  |  | $participating = true,
 |  | JDate | $since = null
 | ) |  |

List your notifications in a repository.

List all notifications for the current user.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
boolean | $all | True to show notifications marked as read.
boolean | $participating | True to show only notifications in which the user is directly participating or mentioned.
JDate | $since | filters out any notifications updated before the given time. The time should be passed in as UTC in the ISO 8601 format.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getThreadSubscription()

getThreadSubscription ( $id )

Get a Thread Subscription.

This checks to see if the current user is subscribed to a thread. You can also get a Repository subscription.

Paramètres
integer $id The thread id.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ markRead()

markRead | ( |  | $unread = true,
 |  |  | $read = true,
 |  | JDate | $lastReadAt = null
 | ) |  |

Mark as read.

Marking a notification as “read” removes it from the default view on GitHub.com.

Paramètres
boolean | $unread | Changes the unread status of the threads.
boolean | $read | Inverse of “unread”.
JDate | $lastReadAt | Describes the last point that notifications were checked. Anything updated since this time will not be updated. Default: Now. Expected in ISO 8601 format.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $path, $unread, et json_encode.

◆ markReadRepository()

markReadRepository | ( |  | $owner,
 |  |  | $repo,
 |  |  | $unread,
 |  |  | $read,
 |  | JDate | $lastReadAt = null
 | ) |  |

Mark notifications as read in a repository.

Marking all notifications in a repository as “read” removes them from the default view on GitHub.com.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
boolean | $unread | Changes the unread status of the threads.
boolean | $read | Inverse of “unread”.
JDate | $lastReadAt | Describes the last point that notifications were checked. Anything updated since this time will not be updated. Default: Now. Expected in ISO 8601 format.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $path, $unread, et json_encode.

◆ markReadThread()

markReadThread | ( | $id,
 |  | $unread = true,
 |  | $read = true
 | ) |

Mark a thread as read.

Paramètres
integer | $id | The thread id.
boolean | $unread | Changes the unread status of the threads.
boolean | $read | Inverse of “unread”.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $id, $path, $unread, et json_encode.

◆ setThreadSubscription()

setThreadSubscription | ( | $id,
 |  | $subscribed,
 |  | $ignored
 | ) |

Set a Thread Subscription.

This lets you subscribe to a thread, or ignore it. Subscribing to a thread is unnecessary if the user is already subscribed to the repository. Ignoring a thread will mute all future notifications (until you comment or get ).

Paramètres
integer | $id | The thread id.
boolean | $subscribed | Determines if notifications should be received from this thread.
boolean | $ignored | Determines if all notifications should be blocked from this thread.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $id, $path, et json_encode.

◆ viewThread()

viewThread ( $id )

View a single thread.

Paramètres
integer $id The thread id.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • notifications.php


Joomla CMS: Référence de la classe JGithubPackageActivityStarring

Fonctions membres publiques
Référence de la classe JGithubPackageActivityStarring
+ Graphe d'héritage de JGithubPackageActivityStarring:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($owner, $repo)
getRepositories ($user='')
check ($owner, $repo)
star ($owner, $repo)
unstar ($owner, $repo)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Activity Events class for the Joomla Platform.

https://developer.github.com/v3/activity/starring/

Depuis
3.3 (CMS)
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ check()

check | ( | $owner,
 |  | $repo
 | ) |

Check if you are starring a repository.

Requires for the user to be authenticated.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getList()

getList | ( | $owner,
 |  | $repo
 | ) |

List Stargazers.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.3 (CMS)
Renvoie
mixed

Références $path.

◆ getRepositories()

getRepositories ( $user = '' )

List repositories being starred.

List repositories being starred by a user.

Paramètres
string $user User name.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

◆ star()

star | ( | $owner,
 |  | $repo
 | ) |

Star a repository.

Requires for the user to be authenticated.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ unstar()

unstar | ( | $owner,
 |  | $repo
 | ) |

Unstar a repository.

Requires for the user to be authenticated.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • starring.php


Joomla CMS: Référence de la classe JGithubPackageActivityWatching

Fonctions membres publiques
Référence de la classe JGithubPackageActivityWatching
+ Graphe d'héritage de JGithubPackageActivityWatching:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($owner, $repo)
getRepositories ($user='')
getSubscription ($owner, $repo)
setSubscription ($owner, $repo, $subscribed, $ignored)
deleteSubscription ($owner, $repo)
check ($owner, $repo)
watch ($owner, $repo)
unwatch ($owner, $repo)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Activity Watching Events class for the Joomla Platform.

https://developer.github.com/v3/activity/watching/

Depuis
3.3 (CMS)
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ check()

check | ( | $owner,
 |  | $repo
 | ) |

Check if you are watching a repository (LEGACY).

Requires for the user to be authenticated.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ deleteSubscription()

deleteSubscription | ( | $owner,
 |  | $repo
 | ) |

Delete a Repository Subscription.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getList()

getList | ( | $owner,
 |  | $repo
 | ) |

List watchers

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.3 (CMS)
Renvoie
mixed

Références $path.

◆ getRepositories()

getRepositories ( $user = '' )

List repositories being watched.

List repositories being watched by a user.

Paramètres
string $user User name.
Depuis
3.3 (CMS)
Renvoie
mixed

Références $path, et $user.

◆ getSubscription()

getSubscription | ( | $owner,
 |  | $repo
 | ) |

Get a Repository Subscription.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.3 (CMS)
Renvoie
mixed

Références $path.

◆ setSubscription()

setSubscription | ( | $owner,
 |  | $repo,
 |  | $subscribed,
 |  | $ignored
 | ) |

Set a Repository Subscription.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
boolean | $subscribed | Determines if notifications should be received from this thread.
boolean | $ignored | Determines if all notifications should be blocked from this thread.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $path, et json_encode.

◆ unwatch()

unwatch | ( | $owner,
 |  | $repo
 | ) |

Stop watching a repository (LEGACY).

Requires for the user to be authenticated.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ watch()

watch | ( | $owner,
 |  | $repo
 | ) |

Watch a repository (LEGACY).

Requires for the user to be authenticated.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • watching.php


Joomla CMS: Référence de la classe JGithubPackageAuthorization

Fonctions membres publiques
Référence de la classe JGithubPackageAuthorization
+ Graphe d'héritage de JGithubPackageAuthorization:
JGithubPackage JGithubObject

Fonctions membres publiques

create (array $scopes=array(), $note='', $url='')
delete ($id)
edit ($id, array $scopes=array(), array $addScopes=array(), array $removeScopes=array(), $note='', $url='')
get ($id)
getList ()
getRateLimit ()
getAuthorizationLink ($clientId, $redirectUri='', $scope='', $state='')
requestToken ($clientId, $clientSecret, $code, $redirectUri='', $format='')
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Authorization class for the Joomla Platform.

https://developer.github.com/v3/oauth/

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | array | $scopes = array(),
 |  |  | $note = '',
 |  |  | $url = ''
 | ) |  |

Method to create an authorization.

Paramètres
array | $scopes | A list of scopes that this authorization is in.
string | $note | A note to remind you what the OAuth token is for.
string | $url | A URL to remind you what app the OAuth token is for.
Exceptions
DomainException
Depuis
3.1.4
Renvoie
object

Références $data, $path, $url, et json_encode.

◆ delete()

delete ( $id )

Method to delete an authorization

Paramètres
integer $id ID of the authorization to delete
Exceptions
DomainException
Depuis
3.1.4
Renvoie
object

Références $id, et $path.

◆ edit()

edit | ( |  | $id,
 |  | array | $scopes = array(),
 |  | array | $addScopes = array(),
 |  | array | $removeScopes = array(),
 |  |  | $note = '',
 |  |  | $url = ''
 | ) |  |

Method to edit an authorization.

Paramètres
integer | $id | ID of the authorization to edit
array | $scopes | Replaces the authorization scopes with these.
array | $addScopes | A list of scopes to add to this authorization.
array | $removeScopes | A list of scopes to remove from this authorization.
string | $note | A note to remind you what the OAuth token is for.
string | $url | A URL to remind you what app the OAuth token is for.
Exceptions
RuntimeException
DomainException
Depuis
3.1.4
Renvoie
object

Références $data, $id, $path, $url, et json_encode.

◆ get()

get ( $id )

Method to get details about an authorised application for the authenticated user.

Paramètres
integer $id ID of the authorization to retrieve
Exceptions
DomainException
Depuis
3.1.4
Note
This method will only accept Basic Authentication
Renvoie
object

Références $id, et $path.

◆ getAuthorizationLink()

getAuthorizationLink | ( | $clientId,
 |  | $redirectUri = '',
 |  | $scope = '',
 |  | $state = ''
 | ) |
  1. Request authorization on GitHub.
Paramètres
string | $clientId | The client ID you received from GitHub when you registered.
string | $redirectUri | URL in your app where users will be sent after authorization.
string | $scope | Comma separated list of scopes.
string | $state | An unguessable random string. It is used to protect against cross-site request forgery attacks.
Depuis
3.3 (CMS)
Renvoie
JUri

Références $clientId, $redirectUri, $state, et $uri.

◆ getList()

getList ( )

Method to get the authorised applications for the authenticated user.

Exceptions
DomainException
Depuis
3.1.4
Note
This method will only accept Basic Authentication
Renvoie
object

Références $path.

◆ getRateLimit()

getRateLimit ( )

Method to get the rate limit for the authenticated user.

Exceptions
DomainException
Depuis
3.1.4
Renvoie
object

Références $path.

◆ requestToken()

requestToken | ( | $clientId,
 |  | $clientSecret,
 |  | $code,
 |  | $redirectUri = '',
 |  | $format = ''
 | ) |
  1. Request the access token.
Paramètres
string | $clientId | The client ID you received from GitHub when you registered.
string | $clientSecret | The client secret you received from GitHub when you registered.
string | $code | The code you received as a response to Step 1.
string | $redirectUri | URL in your app where users will be sent after authorization.
string | $format | The response format (json, xml, ).
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
string

Références $clientId, $data, $format, $redirectUri, $uri, et false.

La documentation de cette classe a été générée à partir du fichier suivant :
  • authorization.php


Joomla CMS: Référence de la classe JGithubPackageData

Attributs protégés
Référence de la classe JGithubPackageData
+ Graphe d'héritage de JGithubPackageData:
JGithubPackage JGithubObject

Attributs protégés

$name = 'Data'
$packages = array('blobs', 'commits', 'refs', 'tags', 'trees')
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)
- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Description détaillée

GitHub API DB class for the Joomla Platform.

https://developer.github.com/v3/git/ Git DB API

The Git Database API gives you access to read and write raw Git objects to your Git database on GitHub and to list

  • and update your references (branch heads and tags).

This basically allows you to reimplement a lot of Git functionality over our API - by creating raw objects

  • directly into the database and updating branch references you could technically do just about anything that
  • Git can do without having Git installed.

Git DB API functions will return a 409 if the git repo for a Repository is empty or unavailable.

  • This typically means it is being created still. Contact Support if this response status persists.

git db

For more information on the Git object database, please read the Git Internals chapter of the Pro Git book.

As an example, if you wanted to commit a change to a file in your repository, you would:

get the current commit object
retrieve the tree it points to
retrieve the content of the blob object that tree has for that particular file path
change the content somehow and post a new blob object with that new content, getting a blob SHA back
post a new tree object with that file path pointer replaced with your new blob SHA getting a tree SHA back
create a new commit object with the current commit SHA as the parent and the new tree SHA, getting a commit SHA back
update the reference of your branch to point to the new commit SHA

It might seem complex, but it’s actually pretty simple when you understand the model and it opens up a ton of things you could potentially do with the API.

https://developer.github.com/v3/git/

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des champs

◆ $name

$name = 'Data'
protected

◆ $packages

$packages = array('blobs', 'commits', 'refs', 'tags', 'trees')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/github/package/data.php


Joomla CMS: Référence de la classe JGithubPackageDataBlobs

Fonctions membres publiques
Référence de la classe JGithubPackageDataBlobs
+ Graphe d'héritage de JGithubPackageDataBlobs:
JGithubPackage JGithubObject

Fonctions membres publiques

get ($owner, $repo, $sha)
create ($owner, $repo, $content, $encoding='utf-8')
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Data Blobs class for the Joomla Platform.

Since blobs can be any arbitrary binary data, the input and responses for the blob API takes an encoding parameter that can be either utf-8 or base64. If your data cannot be losslessly sent as a UTF-8 string, you can base64 encode it.

https://developer.github.com/v3/git/blobs/

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $owner,
 |  | $repo,
 |  | $content,
 |  | $encoding = 'utf-8'
 | ) |

Create a Blob.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
string | $content | The content of the blob.
string | $encoding | The encoding to use.
Renvoie
object

Références $content, $data, $path, et json_encode.

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $sha
 | ) |

Get a Blob.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
string | $sha | The commit SHA.
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • blobs.php


Joomla CMS: Référence de la classe JGithubPackageDataCommits

Fonctions membres publiques
Référence de la classe JGithubPackageDataCommits
+ Graphe d'héritage de JGithubPackageDataCommits:
JGithubPackage JGithubObject

Fonctions membres publiques

get ($owner, $repo, $sha)
create ($owner, $repo, $message, $tree, array $parents=array())
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Data Commits class for the Joomla Platform.

https://developer.github.com/v3/git/commits/

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( |  | $owner,
 |  |  | $repo,
 |  |  | $message,
 |  |  | $tree,
 |  | array | $parents = array()
 | ) |  |

Method to create a commit.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $message | The commit message.
string | $tree | SHA of the tree object this commit points to.
array | $parents | Array of the SHAs of the commits that were the parents of this commit. If omitted or empty, the commit will be written as a root commit. For a single parent, an array of one SHA should be provided. For a merge commit, an array of more than one should be provided.
Exceptions
DomainException
Depuis
3.0.0
Renvoie
object

Références $data, $message, $path, et json_encode.

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $sha
 | ) |

Get a single commit.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The commit SHA.
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • package/data/commits.php


Joomla CMS: Référence de la classe JGithubPackageDataRefs

Fonctions membres publiques
Référence de la classe JGithubPackageDataRefs
+ Graphe d'héritage de JGithubPackageDataRefs:
JGithubPackage JGithubObject

Fonctions membres publiques

get ($user, $repo, $ref)
getList ($user, $repo, $namespace='', $page=0, $limit=0)
create ($user, $repo, $ref, $sha)
edit ($user, $repo, $ref, $sha, $force=false)
delete ($owner, $repo, $ref)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API References class for the Joomla Platform.

https://developer.github.com/v3/git/refs/

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $ref,
 |  | $sha
 | ) |

Method to create a ref.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $ref | The name of the fully qualified reference.
string | $sha | The SHA1 value to set this reference to.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, $user, et json_encode.

◆ delete()

delete | ( | $owner,
 |  | $repo,
 |  | $ref
 | ) |

Delete a Reference

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $ref | The reference to update.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ edit()

edit | ( | $user,
 |  | $repo,
 |  | $ref,
 |  | $sha,
 |  | $force = false
 | ) |

Method to update a reference.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $ref | The reference to update.
string | $sha | The SHA1 value to set the reference to.
boolean | $force | Whether the update should be forced. Default to false.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, $user, et json_encode.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $ref
 | ) |

Method to get a reference.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $ref | The reference to get.
Renvoie
object
Depuis
1.7.3

Références $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $namespace = '',
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to list references for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $namespace | Optional sub-namespace to limit the returned references.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Renvoie
array
Depuis
1.7.3

Références $limit, $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • package/data/refs.php


Joomla CMS: Référence de la classe JGithubPackageDataTags

Fonctions membres publiques
Référence de la classe JGithubPackageDataTags
+ Graphe d'héritage de JGithubPackageDataTags:
JGithubPackage JGithubObject

Fonctions membres publiques

get ($owner, $repo, $sha)
create ($owner, $repo, $tag, $message, $object, $type, $taggerName, $taggerEmail, $taggerDate)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Data Tags class for the Joomla Platform.

This tags API only deals with tag objects - so only annotated tags, not lightweight tags.

https://developer.github.com/v3/git/tags/

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $owner,
 |  | $repo,
 |  | $tag,
 |  | $message,
 |  | $object,
 |  | $type,
 |  | $taggerName,
 |  | $taggerEmail,
 |  | $taggerDate
 | ) |

Create a Tag Object

Note that creating a tag object does not create the reference that makes a tag in Git. If you want to create an annotated tag in Git, you have to do this call to create the tag object, and then create the refs/tags/[tag] reference. If you want to create a lightweight tag, you simply have to create the reference - this call would be unnecessary.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $tag | The tag string.
string | $message | The tag message.
string | $object | The SHA of the git object this is tagging.
string | $type | The type of the object we’re tagging. Normally this is a commit but it can also be a tree or a blob.
string | $taggerName | The name of the author of the tag.
string | $taggerEmail | The email of the author of the tag.
string | $taggerDate | Timestamp of when this object was tagged.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $message, $path, $type, et json_encode.

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $sha
 | ) |

Get a Tag.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA1 value to set the reference to.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/github/package/data/tags.php


Joomla CMS: Référence de la classe JGithubPackageDataTrees

Fonctions membres publiques
Référence de la classe JGithubPackageDataTrees
+ Graphe d'héritage de JGithubPackageDataTrees:
JGithubPackage JGithubObject

Fonctions membres publiques

get ($owner, $repo, $sha)
getRecursively ($owner, $repo, $sha)
create ($owner, $repo, $tree, $baseTree='')
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Data Trees class for the Joomla Platform.

https://developer.github.com/v3/git/trees/

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $owner,
 |  | $repo,
 |  | $tree,
 |  | $baseTree = ''
 | ) |

Create a Tree.

The tree creation API will take nested entries as well. If both a tree and a nested path modifying that tree are specified, it will overwrite the contents of that tree with the new path contents and write a new tree out.

Parameters fir the tree:

tree.path String of the file referenced in the tree tree.mode String of the file mode - one of 100644 for file (blob), 100755 for executable (blob), 040000 for subdirectory (tree), 160000 for submodule (commit) or 120000 for a blob that specifies the path of a symlink tree.type String of blob, tree, commit tree.sha String of SHA1 checksum ID of the object in the tree tree.content String of content you want this file to have - GitHub will write this blob out and use that SHA for this entry. Use either this or tree.sha

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
array | $tree | Array of Hash objects (of path, mode, type and sha) specifying a tree structure
string | $baseTree | The SHA1 of the tree you want to update with new data.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $path, et json_encode.

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $sha
 | ) |

Get a Tree

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA1 value to set the reference to.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getRecursively()

getRecursively | ( | $owner,
 |  | $repo,
 |  | $sha
 | ) |

Get a Tree Recursively

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA1 value to set the reference to.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • trees.php


Joomla CMS: Référence de la classe JGithubPackageGists

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JGithubPackageGists
+ Graphe d'héritage de JGithubPackageGists:
JGithubPackage JGithubObject

Fonctions membres publiques

create ($files, $public=false, $description=null)
delete ($gistId)
edit ($gistId, $files=null, $public=null, $description=null)
fork ($gistId)
get ($gistId)
getList ($page=0, $limit=0)
getListByUser ($user, $page=0, $limit=0)
getListPublic ($page=0, $limit=0)
getListStarred ($page=0, $limit=0)
isStarred ($gistId)
star ($gistId)
unstar ($gistId)
createComment ($gistId, $body)
deleteComment ($commentId)
editComment ($commentId, $body)
getComment ($commentId)
getComments ($gistId, $page=0, $limit=0)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Fonctions membres protégées

buildFileData (array $files)
- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Attributs protégés

$name = 'Gists'
$packages
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Documentation des fonctions membres

◆ buildFileData()

buildFileData ( array $files )
protected

Method to fetch a data array for transmitting to the GitHub API for a list of files based on an input array of file paths or filename and content pairs.

Paramètres
array $files The list of file paths or filenames and content.
Exceptions
InvalidArgumentException
Depuis
1.7.3
Renvoie
array

Références $data, $file, $files, $key, et elseif.

◆ create()

create | ( | $files,
 |  | $public = false,
 |  | $description = null
 | ) |

Method to create a gist.

Paramètres
mixed | $files | Either an array of file paths or a single file path as a string.
boolean | $public | True if the gist should be public.
string | $description | The optional description of the gist.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $description, $files, $path, et json_encode.

◆ createComment()

createComment | ( | $gistId,
 |  | $body
 | ) |

Method to create a comment on a gist.

Paramètres
integer | $gistId | The gist number.
string | $body | The comment body text.
Obsolète:
use gists->comments->create()
Renvoie
object
Depuis
1.7.3

◆ delete()

delete ( $gistId )

Method to delete a gist.

Paramètres
integer $gistId The gist number.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
void

Références $path.

◆ deleteComment()

deleteComment ( $commentId )

Method to delete a comment on a gist.

Paramètres
integer $commentId The id of the comment to delete.
Obsolète:
use gists->comments->delete()
Renvoie
void
Depuis
1.7.3

◆ edit()

edit | ( | $gistId,
 |  | $files = null,
 |  | $public = null,
 |  | $description = null
 | ) |

Method to update a gist.

Paramètres
integer | $gistId | The gist number.
mixed | $files | Either an array of file paths or a single file path as a string.
boolean | $public | True if the gist should be public.
string | $description | The description of the gist.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $description, $files, $path, et json_encode.

◆ editComment()

editComment | ( | $commentId,
 |  | $body
 | ) |

Method to update a comment on a gist.

Paramètres
integer | $commentId | The id of the comment to update.
string | $body | The new body text for the comment.
Obsolète:
use gists->comments->edit()
Renvoie
object
Depuis
1.7.3

◆ fork()

fork ( $gistId )

Method to fork a gist.

Paramètres
integer $gistId The gist number.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $path.

◆ get()

get ( $gistId )

Method to get a single gist.

Paramètres
integer $gistId The gist number.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $path.

◆ getComment()

getComment ( $commentId )

Method to get a specific comment on a gist.

Paramètres
integer $commentId The comment id to get.
Obsolète:
use gists->comments->get()
Renvoie
object
Depuis
1.7.3

◆ getComments()

getComments | ( | $gistId,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get the list of comments on a gist.

Paramètres
integer | $gistId | The gist number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Obsolète:
use gists->comments->getList()
Renvoie
array
Depuis
1.7.3

Références $limit.

◆ getList()

getList | ( | $page = 0,
 |  | $limit = 0
 | ) |

Method to list gists. If a user is authenticated it will return the user's gists, otherwise it will return all public gists.

Paramètres
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, et $path.

◆ getListByUser()

getListByUser | ( | $user,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a list of gists belonging to a given user.

Paramètres
string | $user | The name of the GitHub user from which to list gists.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, $path, et $user.

◆ getListPublic()

getListPublic | ( | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a list of all public gists.

Paramètres
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, et $path.

◆ getListStarred()

getListStarred | ( | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a list of the authenticated users' starred gists.

Paramètres
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, et $path.

◆ isStarred()

isStarred ( $gistId )

Method to check if a gist has been starred.

Paramètres
integer $gistId The gist number.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
boolean True if the gist is starred.

Références $path, et elseif.

◆ star()

star ( $gistId )

Method to star a gist.

Paramètres
integer $gistId The gist number.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
void

Références $path.

◆ unstar()

unstar ( $gistId )

Method to star a gist.

Paramètres
integer $gistId The gist number.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
void

Références $path.

Documentation des champs

◆ $name

$name = 'Gists'
protected

◆ $packages

$packages
protected
Valeur initiale :
= array(
'comments',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • gists.php


Joomla CMS: Référence de la classe JGithubPackageGistsComments

Fonctions membres publiques
Référence de la classe JGithubPackageGistsComments
+ Graphe d'héritage de JGithubPackageGistsComments:
JGithubPackage JGithubObject

Fonctions membres publiques

create ($gistId, $body)
delete ($commentId)
edit ($commentId, $body)
get ($commentId)
getList ($gistId, $page=0, $limit=0)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Gists Comments class for the Joomla Platform.

https://developer.github.com/v3/gists/comments/

Depuis
3.3 (CMS)
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $gistId,
 |  | $body
 | ) |

Method to create a comment on a gist.

Paramètres
integer | $gistId | The gist number.
string | $body | The comment body text.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, et json_encode.

◆ delete()

delete ( $commentId )

Method to delete a comment on a gist.

Paramètres
integer $commentId The id of the comment to delete.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
void

Références $path.

◆ edit()

edit | ( | $commentId,
 |  | $body
 | ) |

Method to update a comment on a gist.

Paramètres
integer | $commentId | The id of the comment to update.
string | $body | The new body text for the comment.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, et json_encode.

◆ get()

get ( $commentId )

Method to get a specific comment on a gist.

Paramètres
integer $commentId The comment id to get.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $path.

◆ getList()

getList | ( | $gistId,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get the list of comments on a gist.

Paramètres
integer | $gistId | The gist number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • github/package/gists/comments.php


Joomla CMS: Référence de la classe JGithubPackageGitignore

Fonctions membres publiques
Référence de la classe JGithubPackageGitignore
+ Graphe d'héritage de JGithubPackageGitignore:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ()
get ($name, $raw=false)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Gitignore class for the Joomla Platform.

The .gitignore Templates API lists and fetches templates from the GitHub .gitignore repository.

https://developer.github.com/v3/gitignore/ https://github.com/github/gitignore

Depuis
3.3.0
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ get()

get | ( | $name,
 |  | $raw = false
 | ) |

Get a single template

Paramètres
string | $name | The name of the template
boolean | $raw | Raw output
Exceptions
DomainException
Depuis
3.3 (CMS)
Renvoie
mixed|string

Références $message, $name, et $path.

◆ getList()

getList ( )

Listing available templates

List all templates available to pass as an option when creating a repository.

Depuis
3.3 (CMS)
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • gitignore.php


Joomla CMS: Référence de la classe JGithubPackageIssues

Fonctions membres publiques | Attributs protégés
Référence de la classe JGithubPackageIssues
+ Graphe d'héritage de JGithubPackageIssues:
JGithubPackage JGithubObject

Fonctions membres publiques

create ($user, $repo, $title, $body=null, $assignee=null, $milestone=null, array $labels=null)
edit ($user, $repo, $issueId, $state=null, $title=null, $body=null, $assignee=null, $milestone=null, array $labels=null)
get ($user, $repo, $issueId)
getList ($filter=null, $state=null, $labels=null, $sort=null, $direction=null, JDate $since=null, $page=0, $limit=0)
getListByRepository ($user, $repo, $milestone=null, $state=null, $assignee=null, $mentioned=null, $labels=null, $sort=null, $direction=null, JDate $since=null, $page=0, $limit=0)
createComment ($user, $repo, $issueId, $body)
createLabel ($user, $repo, $name, $color)
deleteComment ($user, $repo, $commentId)
deleteLabel ($user, $repo, $label)
editComment ($user, $repo, $commentId, $body)
editLabel ($user, $repo, $label, $name, $color)
getComment ($user, $repo, $commentId)
getComments ($user, $repo, $issueId, $page=0, $limit=0)
getLabel ($user, $repo, $name)
getLabels ($user, $repo)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Attributs protégés

$name = 'Issues'
$packages = array('assignees', 'comments', 'events', 'labels', 'milestones')
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Documentation des fonctions membres

◆ create()

create | ( |  | $user,
 |  |  | $repo,
 |  |  | $title,
 |  |  | $body = null,
 |  |  | $assignee = null,
 |  |  | $milestone = null,
 |  | array | $labels = null
 | ) |  |

Method to create an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $title | The title of the new issue.
string | $body | The body text for the new issue.
string | $assignee | The login for the GitHub user that this issue should be assigned to.
integer | $milestone | The milestone to associate this issue with.
array | $labels | The labels to associate with this issue.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, $title, $user, et json_encode.

◆ createComment()

createComment | ( | $user,
 |  | $repo,
 |  | $issueId,
 |  | $body
 | ) |

Method to create a comment on an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $issueId | The issue number.
string | $body | The comment body text.
Obsolète:
use issues->comments->create()
Renvoie
object
Depuis
1.7.3

Références $user.

◆ createLabel()

createLabel | ( | $user,
 |  | $repo,
 |  | $name,
 |  | $color
 | ) |

Method to create a label on a repo.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $name | The label name.
string | $color | The label color.
Obsolète:
use issues->labels->create()
Renvoie
object
Depuis
3.1.4

Références $color, $name, et $user.

◆ deleteComment()

deleteComment | ( | $user,
 |  | $repo,
 |  | $commentId
 | ) |

Method to delete a comment on an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The id of the comment to delete.
Obsolète:
use issues->comments->delete()
Renvoie
void
Depuis
1.7.3

Références $user.

◆ deleteLabel()

deleteLabel | ( | $user,
 |  | $repo,
 |  | $label
 | ) |

Method to delete a label on a repo.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $label | The label name.
Obsolète:
use issues->labels->delete()
Renvoie
object
Depuis
3.1.4

Références $label, et $user.

◆ edit()

edit | ( |  | $user,
 |  |  | $repo,
 |  |  | $issueId,
 |  |  | $state = null,
 |  |  | $title = null,
 |  |  | $body = null,
 |  |  | $assignee = null,
 |  |  | $milestone = null,
 |  | array | $labels = null
 | ) |  |

Method to update an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $issueId | The issue number.
string | $state | The optional new state for the issue. [open, closed]
string | $title | The title of the new issue.
string | $body | The body text for the new issue.
string | $assignee | The login for the GitHub user that this issue should be assigned to.
integer | $milestone | The milestone to associate this issue with.
array | $labels | The labels to associate with this issue.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, $state, $title, $user, et json_encode.

◆ editComment()

editComment | ( | $user,
 |  | $repo,
 |  | $commentId,
 |  | $body
 | ) |

Method to update a comment on an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The id of the comment to update.
string | $body | The new body text for the comment.
Obsolète:
use issues->comments->edit()
Renvoie
object
Depuis
1.7.3

Références $user.

◆ editLabel()

editLabel | ( | $user,
 |  | $repo,
 |  | $label,
 |  | $name,
 |  | $color
 | ) |

Method to update a label on a repo.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $label | The label name.
string | $name | The label name.
string | $color | The label color.
Obsolète:
use issues->labels->update()
Renvoie
object
Depuis
3.1.4

Références $color, $label, $name, et $user.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $issueId
 | ) |

Method to get a single issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $issueId | The issue number.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $path, et $user.

◆ getComment()

getComment | ( | $user,
 |  | $repo,
 |  | $commentId
 | ) |

Method to get a specific comment on an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The comment id to get.
Obsolète:
use issues->comments->get()
Renvoie
object
Depuis
1.7.3

Références $user.

◆ getComments()

getComments | ( | $user,
 |  | $repo,
 |  | $issueId,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get the list of comments on an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $issueId | The issue number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Obsolète:
use issues->comments->getList()
Renvoie
array
Depuis
1.7.3

Références $limit, et $user.

◆ getLabel()

getLabel | ( | $user,
 |  | $repo,
 |  | $name
 | ) |

Method to get a specific label on a repo.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $name | The label name to get.
Obsolète:
use issues->labels->get()
Renvoie
object
Depuis
3.1.4

Références $name, et $user.

◆ getLabels()

getLabels | ( | $user,
 |  | $repo
 | ) |

Method to get the list of labels on a repo.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
Obsolète:
use issues->labels->getList()
Renvoie
array
Depuis
3.1.4

Références $user.

◆ getList()

getList | ( |  | $filter = null,
 |  |  | $state = null,
 |  |  | $labels = null,
 |  |  | $sort = null,
 |  |  | $direction = null,
 |  | JDate | $since = null,
 |  |  | $page = 0,
 |  |  | $limit = 0
 | ) |  |

Method to list an authenticated user's issues.

Paramètres
string | $filter | The filter type: assigned, created, mentioned, subscribed.
string | $state | The optional state to filter requests by. [open, closed]
string | $labels | The list of comma separated Label names. Example: bug,ui,.
string | $sort | The sort order: created, updated, comments, default: created.
string | $direction | The list direction: asc or desc, default: desc.
JDate | $since | The date/time since when issues should be returned.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, et $path.

◆ getListByRepository()

getListByRepository | ( |  | $user,
 |  |  | $repo,
 |  |  | $milestone = null,
 |  |  | $state = null,
 |  |  | $assignee = null,
 |  |  | $mentioned = null,
 |  |  | $labels = null,
 |  |  | $sort = null,
 |  |  | $direction = null,
 |  | JDate | $since = null,
 |  |  | $page = 0,
 |  |  | $limit = 0
 | ) |  |

Method to list issues.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $milestone | The milestone number, 'none', or *.
string | $state | The optional state to filter requests by. [open, closed]
string | $assignee | The assignee name, 'none', or *.
string | $mentioned | The GitHub user name.
string | $labels | The list of comma separated Label names. Example: bug,ui,.
string | $sort | The sort order: created, updated, comments, default: created.
string | $direction | The list direction: asc or desc, default: desc.
JDate | $since | The date/time since when issues should be returned.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $direction, $limit, $path, $state, $uri, et $user.

Documentation des champs

◆ $name

$name = 'Issues'
protected

◆ $packages

$packages = array('assignees', 'comments', 'events', 'labels', 'milestones')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • issues.php


Joomla CMS: Référence de la classe JGithubPackageIssuesAssignees

Fonctions membres publiques
Référence de la classe JGithubPackageIssuesAssignees
+ Graphe d'héritage de JGithubPackageIssuesAssignees:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($owner, $repo)
check ($owner, $repo, $assignee)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Assignees class for the Joomla Platform.

https://developer.github.com/v3/issues/assignees/

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ check()

check | ( | $owner,
 |  | $repo,
 |  | $assignee
 | ) |

Check assignee.

You may check to see if a particular user is an assignee for a repository. If the given assignee login belongs to an assignee for the repository, a 204 header with no content is returned. Otherwise a 404 status code is returned.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $assignee | The assignees login name.
Exceptions
DomainException|Exception
Renvoie
boolean

Références $path.

◆ getList()

getList | ( | $owner,
 |  | $repo
 | ) |

List assignees.

This call lists all the available assignees (owner + collaborators) to which issues may be assigned.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • assignees.php


Joomla CMS: Référence de la classe JGithubPackageIssuesComments

Fonctions membres publiques
Référence de la classe JGithubPackageIssuesComments
+ Graphe d'héritage de JGithubPackageIssuesComments:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($owner, $repo, $issueId, $page=0, $limit=0)
getRepositoryList ($owner, $repo, $sort='created', $direction='asc', JDate $since=null)
get ($owner, $repo, $id)
edit ($user, $repo, $commentId, $body)
create ($user, $repo, $issueId, $body)
delete ($user, $repo, $commentId)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Comments class for the Joomla Platform.

The Issue Comments API supports listing, viewing, editing, and creating comments on issues and pull requests.

https://developer.github.com/v3/issues/comments/

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $issueId,
 |  | $body
 | ) |

Method to create a comment on an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $issueId | The issue number.
string | $body | The comment body text.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, $user, et json_encode.

◆ delete()

delete | ( | $user,
 |  | $repo,
 |  | $commentId
 | ) |

Method to delete a comment on an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The id of the comment to delete.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
boolean

Références $path, et $user.

◆ edit()

edit | ( | $user,
 |  | $repo,
 |  | $commentId,
 |  | $body
 | ) |

Method to update a comment on an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The id of the comment to update.
string | $body | The new body text for the comment.
Depuis
1.7.3
Exceptions
DomainException
Renvoie
object

Références $data, $path, $user, et json_encode.

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $id
 | ) |

Method to get a single comment.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | The comment id.
Renvoie
mixed

Références $id, et $path.

◆ getList()

getList | ( | $owner,
 |  | $repo,
 |  | $issueId,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get the list of comments on an issue.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $issueId | The issue number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, et $path.

◆ getRepositoryList()

getRepositoryList | ( |  | $owner,
 |  |  | $repo,
 |  |  | $sort = 'created',
 |  |  | $direction = 'asc',
 |  | JDate | $since = null
 | ) |  |

Method to get the list of comments in a repository.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sort | The sort field - created or updated.
string | $direction | The sort order- asc or desc. Ignored without sort parameter.
JDate | $since | A timestamp in ISO 8601 format.
Exceptions
UnexpectedValueException
DomainException
Depuis
1.7.3
Renvoie
array

Références $direction, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • github/package/issues/comments.php


Joomla CMS: Référence de la classe JGithubPackageIssuesEvents

Fonctions membres publiques
Référence de la classe JGithubPackageIssuesEvents
+ Graphe d'héritage de JGithubPackageIssuesEvents:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($owner, $repo, $issueNumber, $page=0, $limit=0)
getListRepository ($owner, $repo, $issueId, $page=0, $limit=0)
get ($owner, $repo, $id)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Issues Events class for the Joomla Platform.

Records various events that occur around an Issue or Pull Request. This is useful both for display on issue/pull request information pages and also to determine who should be notified of comments.

https://developer.github.com/v3/issues/events/

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $id
 | ) |

Get a single event.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | The event number.
Renvoie
object

Références $id, et $path.

◆ getList()

getList | ( | $owner,
 |  | $repo,
 |  | $issueNumber,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

List events for an issue.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $issueNumber | The issue number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Renvoie
object

Références $limit, et $path.

◆ getListRepository()

getListRepository | ( | $owner,
 |  | $repo,
 |  | $issueId,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

List events for a repository.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $issueId | The issue number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Renvoie
object

Références $limit, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • issues/events.php


Joomla CMS: Référence de la classe JGithubPackageIssuesLabels

Fonctions membres publiques
Référence de la classe JGithubPackageIssuesLabels
+ Graphe d'héritage de JGithubPackageIssuesLabels:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($owner, $repo)
get ($user, $repo, $name)
create ($owner, $repo, $name, $color)
update ($user, $repo, $label, $name, $color)
delete ($owner, $repo, $name)
getListByIssue ($owner, $repo, $number)
add ($owner, $repo, $number, array $labels)
removeFromIssue ($owner, $repo, $number, $name)
replace ($owner, $repo, $number, array $labels)
removeAllFromIssue ($owner, $repo, $number)
getListByMilestone ($owner, $repo, $number)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Milestones class for the Joomla Platform.

https://developer.github.com/v3/issues/labels/

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ add()

add | ( |  | $owner,
 |  |  | $repo,
 |  |  | $number,
 |  | array | $labels
 | ) |  |

Add labels to an issue.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $number | The issue number.
array | $labels | An array of labels to add.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et json_encode.

◆ create()

create | ( | $owner,
 |  | $repo,
 |  | $name,
 |  | $color
 | ) |

Method to create a label on a repo.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $name | The label name.
string | $color | The label color.
Exceptions
DomainException
Depuis
3.1.4
Renvoie
object

Références $color, $data, $name, $path, et json_encode.

◆ delete()

delete | ( | $owner,
 |  | $repo,
 |  | $name
 | ) |

Method to delete a label on a repo.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $name | The label name.
Exceptions
DomainException
Renvoie
object
Depuis
3.1.4

Références $name, et $path.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $name
 | ) |

Method to get a specific label on a repo.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $name | The label name to get.
Exceptions
DomainException
Depuis
3.1.4
Renvoie
object

Références $name, $path, et $user.

◆ getList()

getList | ( | $owner,
 |  | $repo
 | ) |

Method to get the list of labels on a repo.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
Exceptions
DomainException
Depuis
3.1.4
Renvoie
array

Références $path.

◆ getListByIssue()

getListByIssue | ( | $owner,
 |  | $repo,
 |  | $number
 | ) |

List labels on an issue.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $number | The issue number.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getListByMilestone()

getListByMilestone | ( | $owner,
 |  | $repo,
 |  | $number
 | ) |

Get labels for every issue in a milestone.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $number | The issue number.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ removeAllFromIssue()

removeAllFromIssue | ( | $owner,
 |  | $repo,
 |  | $number
 | ) |

.* Remove all labels from an issue.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $number | The issue number.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ removeFromIssue()

removeFromIssue | ( | $owner,
 |  | $repo,
 |  | $number,
 |  | $name
 | ) |

Remove a label from an issue.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $number | The issue number.
string | $name | The name of the label to remove.
Depuis
3.3 (CMS)
Renvoie
object

Références $name, et $path.

◆ replace()

replace | ( |  | $owner,
 |  |  | $repo,
 |  |  | $number,
 |  | array | $labels
 | ) |  |

Replace all labels for an issue.

Sending an empty array ([]) will remove all Labels from the Issue.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $number | The issue number.
array | $labels | New labels
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et json_encode.

◆ update()

update | ( | $user,
 |  | $repo,
 |  | $label,
 |  | $name,
 |  | $color
 | ) |

Method to update a label on a repo.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $label | The label name.
string | $name | The new label name.
string | $color | The new label color.
Exceptions
DomainException
Depuis
3.1.4
Renvoie
object

Références $color, $data, $label, $name, $path, $user, et json_encode.

La documentation de cette classe a été générée à partir du fichier suivant :
  • labels.php


Joomla CMS: Référence de la classe JGithubPackageIssuesMilestones

Fonctions membres publiques
Référence de la classe JGithubPackageIssuesMilestones
+ Graphe d'héritage de JGithubPackageIssuesMilestones:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($user, $repo, $state='open', $sort='due_date', $direction='desc', $page=0, $limit=0)
get ($user, $repo, $milestoneId)
create ($user, $repo, $title, $state=null, $description=null, $dueOn=null)
edit ($user, $repo, $milestoneId, $title=null, $state=null, $description=null, $dueOn=null)
delete ($user, $repo, $milestoneId)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Milestones class for the Joomla Platform.

https://developer.github.com/v3/issues/milestones/

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $title,
 |  | $state = null,
 |  | $description = null,
 |  | $dueOn = null
 | ) |

Method to create a milestone for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $title | The title of the milestone.
string | $state | Can be open (default) or closed.
string | $description | Optional description for milestone.
string | $dueOn | Optional ISO 8601 time.
Exceptions
DomainException
Renvoie
object
Depuis
3.1.4

Références $data, $description, $path, $state, $title, $user, et json_encode.

◆ delete()

delete | ( | $user,
 |  | $repo,
 |  | $milestoneId
 | ) |

Method to delete a milestone.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $milestoneId | The id of the milestone to delete.
Exceptions
DomainException
Renvoie
void
Depuis
3.1.4

Références $path, et $user.

◆ edit()

edit | ( | $user,
 |  | $repo,
 |  | $milestoneId,
 |  | $title = null,
 |  | $state = null,
 |  | $description = null,
 |  | $dueOn = null
 | ) |

Method to update a milestone.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $milestoneId | The id of the comment to update.
integer | $title | Optional title of the milestone.
string | $state | Can be open (default) or closed.
string | $description | Optional description for milestone.
string | $dueOn | Optional ISO 8601 time.
Exceptions
DomainException
Renvoie
object
Depuis
3.1.4

Références $data, $description, $path, $state, $title, $user, et json_encode.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $milestoneId
 | ) |

Method to get a specific milestone.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $milestoneId | The milestone id to get.
Exceptions
DomainException
Renvoie
object
Depuis
3.1.4

Références $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $state = 'open',
 |  | $sort = 'due_date',
 |  | $direction = 'desc',
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get the list of milestones for a repo.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $state | The milestone state to retrieved. Open (default) or closed.
string | $sort | Sort can be due_date (default) or completeness.
string | $direction | Direction is asc or desc (default).
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
3.1.4
Renvoie
array

Références $direction, $limit, $path, $state, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • package/issues/milestones.php


Joomla CMS: Référence de la classe JGithubPackageMarkdown

Fonctions membres publiques
Référence de la classe JGithubPackageMarkdown
+ Graphe d'héritage de JGithubPackageMarkdown:
JGithubPackage JGithubObject

Fonctions membres publiques

render ($text, $mode='gfm', $context=null)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Markdown class.

https://developer.github.com/v3/markdown

Depuis
3.3 (CMS)
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ render()

render | ( | $text,
 |  | $mode = 'gfm',
 |  | $context = null
 | ) |

Method to render a markdown document.

Paramètres
string | $text | The text object being parsed.
string | $mode | The parsing mode; valid options are 'markdown' or 'gfm'.
string | $context | An optional repository context, only used in 'gfm' mode.
Depuis
3.3 (CMS)
Exceptions
DomainException
InvalidArgumentException
Renvoie
string Formatted HTML

Références $context, $data, $message, $mode, $path, $text, et json_encode.

La documentation de cette classe a été générée à partir du fichier suivant :
  • markdown.php


Joomla CMS: Référence de la classe JGithubPackageOrgs

Fonctions membres publiques | Attributs protégés
Référence de la classe JGithubPackageOrgs
+ Graphe d'héritage de JGithubPackageOrgs:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($user='')
get ($org)
edit ($org, $billingEmail='', $company='', $email='', $location='', $name='')
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Attributs protégés

$name = 'Orgs'
$packages = array('members', 'teams')
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Documentation des fonctions membres

◆ edit()

edit | ( | $org,
 |  | $billingEmail = '',
 |  | $company = '',
 |  | $email = '',
 |  | $location = '',
 |  | $name = ''
 | ) |

Edit an Organization.

Paramètres
string | $org | The organization name.
string | $billingEmail | Billing email address. This address is not publicized.
string | $company | The company name.
string | $email | The email address.
string | $location | The location name.
string | $name | The name.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $i, et $path.

◆ get()

get ( $org )

Get an Organization.

Paramètres
string $org The organization name.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getList()

getList ( $user = '' )

List User Organizations.

If a user name is given, public and private organizations for the authenticated user will be listed.

Paramètres
string $user The user name.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

Documentation des champs

◆ $name

$name = 'Orgs'
protected

◆ $packages

$packages = array('members', 'teams')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • orgs.php


Joomla CMS: Référence de la classe JGithubPackageOrgsMembers

Fonctions membres publiques
Référence de la classe JGithubPackageOrgsMembers
+ Graphe d'héritage de JGithubPackageOrgsMembers:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($org)
check ($org, $user)
remove ($org, $user)
getListPublic ($org)
checkPublic ($org, $user)
publicize ($org, $user)
conceal ($org, $user)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Orgs Members class for the Joomla Platform.

https://developer.github.com/v3/orgs/members/

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ check()

check | ( | $org,
 |  | $user
 | ) |

Check membership.

Check if a user is, publicly or privately, a member of the organization.

Paramètres
string | $org | The name of the organization.
string | $user | The name of the user.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
boolean

Références $path, et $user.

◆ checkPublic()

checkPublic | ( | $org,
 |  | $user
 | ) |

Check public membership.

Paramètres
string | $org | The name of the organization.
string | $user | The name of the user.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

◆ conceal()

conceal | ( | $org,
 |  | $user
 | ) |

Conceal a user’s membership.

Paramètres
string | $org | The name of the organization.
string | $user | The name of the user.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

◆ getList()

getList ( $org )

Members list.

List all users who are members of an organization. A member is a user that belongs to at least 1 team in the organization. If the authenticated user is also a member of this organization then both concealed and public members will be returned. If the requester is not a member of the organization the query will be redirected to the public members list.

Paramètres
string $org The name of the organization.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
boolean|mixed

Références $path.

◆ getListPublic()

getListPublic ( $org )

Public members list.

Members of an organization can choose to have their membership publicized or not.

Paramètres
string $org The name of the organization.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ publicize()

publicize | ( | $org,
 |  | $user
 | ) |

Publicize a user’s membership.

Paramètres
string | $org | The name of the organization.
string | $user | The name of the user.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

◆ remove()

remove | ( | $org,
 |  | $user
 | ) |

Add a member.

To add someone as a member to an org, you must add them to a team. Remove a member.

Removing a user from this list will remove them from all teams and they will no longer have any access to the organization’s repositories.

Paramètres
string | $org | The name of the organization.
string | $user | The name of the user.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • members.php


Joomla CMS: Référence de la classe JGithubPackageOrgsTeams

Fonctions membres publiques
Référence de la classe JGithubPackageOrgsTeams
+ Graphe d'héritage de JGithubPackageOrgsTeams:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($org)
get ($id)
create ($org, $name, array $repoNames=array(), $permission='')
edit ($id, $name, $permission='')
delete ($id)
getListMembers ($id)
isMember ($id, $user)
addMember ($id, $user)
removeMember ($id, $user)
getListRepos ($id)
checkRepo ($id, $repo)
addRepo ($id, $owner, $repo)
removeRepo ($id, $owner, $repo)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Orgs Teams class for the Joomla Platform.

All actions against teams require at a minimum an authenticated user who is a member of the owner’s team in the :org being managed. Additionally, OAuth users require “user” scope.

https://developer.github.com/v3/orgs/teams/

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ addMember()

addMember | ( | $id,
 |  | $user
 | ) |

Add team member.

In order to add a user to a team, the authenticated user must have ‘admin’ permissions to the team or be an owner of the org that the team is associated with.

Paramètres
integer | $id | The team id.
string | $user | The name of the user.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, $path, et $user.

◆ addRepo()

addRepo | ( | $id,
 |  | $owner,
 |  | $repo
 | ) |

Add team repo.

In order to add a repo to a team, the authenticated user must be an owner of the org that the team is associated with. Also, the repo must be owned by the organization, or a direct form of a repo owned by the organization.

If you attempt to add a repo to a team that is not owned by the organization, you get: Status: 422 Unprocessable Entity

Paramètres
integer | $id | The team id.
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ checkRepo()

checkRepo | ( | $id,
 |  | $repo
 | ) |

Check if the repo is managed by this team.

Paramètres
integer | $id | The team id.
string | $repo | The name of the GitHub repository.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ create()

create | ( |  | $org,
 |  |  | $name,
 |  | array | $repoNames = array(),
 |  |  | $permission = ''
 | ) |  |

Create team.

In order to create a team, the authenticated user must be an owner of the organization.

Paramètres
string | $org | The name of the organization.
string | $name | The name of the team.
array | $repoNames | Repository names.
string | $permission | The permission. pull - team members can pull, but not push to or administer these repositories. Default push - team members can pull and push, but not administer these repositories. admin - team members can pull, push and administer these repositories.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $name, et $path.

◆ delete()

delete ( $id )

Delete team.

In order to delete a team, the authenticated user must be an owner of the org that the team is associated with.

Paramètres
integer $id The team id.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ edit()

edit | ( | $id,
 |  | $name,
 |  | $permission = ''
 | ) |

Edit team.

In order to edit a team, the authenticated user must be an owner of the org that the team is associated with.

Paramètres
integer | $id | The team id.
string | $name | The name of the team.
string | $permission | The permission. pull - team members can pull, but not push to or administer these repositories. Default push - team members can pull and push, but not administer these repositories. admin - team members can pull, push and administer these repositories.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $id, $name, et $path.

◆ get()

get ( $id )

Get team.

Paramètres
integer $id The team id.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ getList()

getList ( $org )

List teams.

Paramètres
string $org The name of the organization.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getListMembers()

getListMembers ( $id )

List team members.

In order to list members in a team, the authenticated user must be a member of the team.

Paramètres
integer $id The team id.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ getListRepos()

getListRepos ( $id )

List team repos.

Paramètres
integer $id The team id.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ isMember()

isMember | ( | $id,
 |  | $user
 | ) |

Get team member.

In order to get if a user is a member of a team, the authenticated user must be a member of the team.

Paramètres
integer | $id | The team id.
string | $user | The name of the user.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
object

Références $id, $path, et $user.

◆ removeMember()

removeMember | ( | $id,
 |  | $user
 | ) |

Remove team member.

In order to remove a user from a team, the authenticated user must have ‘admin’ permissions to the team or be an owner of the org that the team is associated with. NOTE: This does not delete the user, it just remove them from the team.

Paramètres
integer | $id | The team id.
string | $user | The name of the user.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, $path, et $user.

◆ removeRepo()

removeRepo | ( | $id,
 |  | $owner,
 |  | $repo
 | ) |

Remove team repo.

In order to remove a repo from a team, the authenticated user must be an owner of the org that the team is associated with. NOTE: This does not delete the repo, it just removes it from the team.

Paramètres
integer | $id | The team id.
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • teams.php


Joomla CMS: Référence de la classe JGithubPackagePulls

Fonctions membres publiques | Attributs protégés
Référence de la classe JGithubPackagePulls
+ Graphe d'héritage de JGithubPackagePulls:
JGithubPackage JGithubObject

Fonctions membres publiques

create ($user, $repo, $title, $base, $head, $body='')
createFromIssue ($user, $repo, $issueId, $base, $head)
edit ($user, $repo, $pullId, $title=null, $body=null, $state=null)
get ($user, $repo, $pullId)
getCommits ($user, $repo, $pullId, $page=0, $limit=0)
getFiles ($user, $repo, $pullId, $page=0, $limit=0)
getList ($user, $repo, $state='open', $page=0, $limit=0)
isMerged ($user, $repo, $pullId)
merge ($user, $repo, $pullId, $message='')
createComment ($user, $repo, $pullId, $body, $commitId, $filePath, $position)
createCommentReply ($user, $repo, $pullId, $body, $inReplyTo)
deleteComment ($user, $repo, $commentId)
editComment ($user, $repo, $commentId, $body)
getComment ($user, $repo, $commentId)
getComments ($user, $repo, $pullId, $page=0, $limit=0)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Attributs protégés

$name = 'Pulls'
$packages
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $title,
 |  | $base,
 |  | $head,
 |  | $body = ''
 | ) |

Method to create a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $title | The title of the new pull request.
string | $base | The branch (or git ref) you want your changes pulled into. This should be an existing branch on the current repository. You cannot submit a pull request to one repo that requests a merge to a base of another repo.
string | $head | The branch (or git ref) where your changes are implemented.
string | $body | The body text for the new pull request.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $base, $data, $path, $title, $user, et json_encode.

◆ createComment()

createComment | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $body,
 |  | $commitId,
 |  | $filePath,
 |  | $position
 | ) |

Method to create a comment on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
string | $body | The comment body text.
string | $commitId | The SHA1 hash of the commit to comment on.
string | $filePath | The Relative path of the file to comment on.
string | $position | The line index in the diff to comment on.
Obsolète:
use pulls->comments->create()
Renvoie
object
Depuis
1.7.3

Références $position, et $user.

◆ createCommentReply()

createCommentReply | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $body,
 |  | $inReplyTo
 | ) |

Method to create a comment in reply to another comment.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
string | $body | The comment body text.
integer | $inReplyTo | The id of the comment to reply to.
Obsolète:
use pulls->comments->createReply()
Renvoie
object
Depuis
1.7.3

Références $user.

◆ createFromIssue()

createFromIssue | ( | $user,
 |  | $repo,
 |  | $issueId,
 |  | $base,
 |  | $head
 | ) |

Method to create a pull request from an existing issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $issueId | The issue number for which to attach the new pull request.
string | $base | The branch (or git ref) you want your changes pulled into. This should be an existing branch on the current repository. You cannot submit a pull request to one repo that requests a merge to a base of another repo.
string | $head | The branch (or git ref) where your changes are implemented.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $base, $data, $path, $user, et json_encode.

◆ deleteComment()

deleteComment | ( | $user,
 |  | $repo,
 |  | $commentId
 | ) |

Method to delete a comment on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The id of the comment to delete.
Obsolète:
use pulls->comments->delete()
Renvoie
void
Depuis
1.7.3

Références $user.

◆ edit()

edit | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $title = null,
 |  | $body = null,
 |  | $state = null
 | ) |

Method to update a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
string | $title | The optional new title for the pull request.
string | $body | The optional new body text for the pull request.
string | $state | The optional new state for the pull request. [open, closed]
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, $state, $title, $user, et json_encode.

◆ editComment()

editComment | ( | $user,
 |  | $repo,
 |  | $commentId,
 |  | $body
 | ) |

Method to update a comment on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The id of the comment to update.
string | $body | The new body text for the comment.
Obsolète:
use pulls->comments->edit()
Renvoie
object
Depuis
1.7.3

Références $user.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $pullId
 | ) |

Method to get a single pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $path, et $user.

◆ getComment()

getComment | ( | $user,
 |  | $repo,
 |  | $commentId
 | ) |

Method to get a specific comment on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The comment id to get.
Obsolète:
use pulls->comments->get()
Renvoie
object
Depuis
1.7.3

Références $user.

◆ getComments()

getComments | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get the list of comments on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Obsolète:
use pulls->comments->getList()
Renvoie
array
Depuis
1.7.3

Références $limit, et $user.

◆ getCommits()

getCommits | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a list of commits for a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, $path, et $user.

◆ getFiles()

getFiles | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a list of files for a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $state = 'open',
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to list pull requests.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $state | The optional state to filter requests by. [open, closed]
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, $path, $state, et $user.

◆ isMerged()

isMerged | ( | $user,
 |  | $repo,
 |  | $pullId
 | ) |

Method to check if a pull request has been merged.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number. The pull request number.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
boolean True if the pull request has been merged.

Références $path, $user, et elseif.

◆ merge()

merge | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $message = ''
 | ) |

Method to merge a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
string | $message | The message that will be used for the merge commit.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $message, $path, $user, et json_encode.

Documentation des champs

◆ $name

$name = 'Pulls'
protected

◆ $packages

$packages
protected
Valeur initiale :
= array(
'comments',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • pulls.php


Joomla CMS: Référence de la classe JGithubPackagePullsComments

Fonctions membres publiques
Référence de la classe JGithubPackagePullsComments
+ Graphe d'héritage de JGithubPackagePullsComments:
JGithubPackage JGithubObject

Fonctions membres publiques

create ($user, $repo, $pullId, $body, $commitId, $filePath, $position)
createReply ($user, $repo, $pullId, $body, $inReplyTo)
delete ($user, $repo, $commentId)
edit ($user, $repo, $commentId, $body)
get ($user, $repo, $commentId)
getList ($user, $repo, $pullId, $page=0, $limit=0)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Pulls Comments class for the Joomla Platform.

https://developer.github.com/v3/pulls/comments/

Depuis
3.3 (CMS)
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $body,
 |  | $commitId,
 |  | $filePath,
 |  | $position
 | ) |

Method to create a comment on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
string | $body | The comment body text.
string | $commitId | The SHA1 hash of the commit to comment on.
string | $filePath | The Relative path of the file to comment on.
string | $position | The line index in the diff to comment on.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, $position, $user, et json_encode.

◆ createReply()

createReply | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $body,
 |  | $inReplyTo
 | ) |

Method to create a comment in reply to another comment.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
string | $body | The comment body text.
integer | $inReplyTo | The id of the comment to reply to.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, $user, et json_encode.

◆ delete()

delete | ( | $user,
 |  | $repo,
 |  | $commentId
 | ) |

Method to delete a comment on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The id of the comment to delete.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
void

Références $path, et $user.

◆ edit()

edit | ( | $user,
 |  | $repo,
 |  | $commentId,
 |  | $body
 | ) |

Method to update a comment on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The id of the comment to update.
string | $body | The new body text for the comment.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $data, $path, $user, et json_encode.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $commentId
 | ) |

Method to get a specific comment on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $commentId | The comment id to get.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
object

Références $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $pullId,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get the list of comments on a pull request.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $pullId | The pull request number.
integer | $page | The page number from which to get items.
integer | $limit | The number of items on a page.
Exceptions
DomainException
Depuis
1.7.3
Renvoie
array

Références $limit, $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • github/package/pulls/comments.php


Joomla CMS: Référence de la classe JGithubPackageRepositories

Fonctions membres publiques | Attributs protégés
Référence de la classe JGithubPackageRepositories
+ Graphe d'héritage de JGithubPackageRepositories:
JGithubPackage JGithubObject

Fonctions membres publiques

getListOwn ($type='all', $sort='full_name', $direction='')
getListUser ($user, $type='all', $sort='full_name', $direction='')
getListOrg ($org, $type='all')
getList ($id=0)
create ($name, $org='', $description='', $homepage='', $private=false, $hasIssues=false, $hasWiki=false, $hasDownloads=false, $teamId=0, $autoInit=false, $gitignoreTemplate='')
get ($owner, $repo)
edit ($owner, $repo, $name, $description='', $homepage='', $private=false, $hasIssues=false, $hasWiki=false, $hasDownloads=false, $defaultBranch='')
getListContributors ($owner, $repo, $anon=false)
getListLanguages ($owner, $repo)
getListTeams ($owner, $repo)
getListTags ($owner, $repo)
getListBranches ($owner, $repo)
getBranch ($owner, $repo, $branch)
delete ($owner, $repo)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Attributs protégés

$name = 'Repositories'
$packages = array('collaborators', 'comments', 'commits', 'contents', 'downloads', 'forks', 'hooks', 'keys', 'merging', 'statuses')
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Documentation des fonctions membres

◆ create()

create | ( | $name,
 |  | $org = '',
 |  | $description = '',
 |  | $homepage = '',
 |  | $private = false,
 |  | $hasIssues = false,
 |  | $hasWiki = false,
 |  | $hasDownloads = false,
 |  | $teamId = 0,
 |  | $autoInit = false,
 |  | $gitignoreTemplate = ''
 | ) |

Create a new repository for the authenticated user or an organization. OAuth users must supply repo scope.

Paramètres
string | $name | The repository name.
string | $org | The organization name (if needed).
string | $description | The repository description.
string | $homepage | The repository homepage.
boolean | $private | Set true to create a private repository, false to create a public one. Creating private repositories requires a paid GitHub account.
boolean | $hasIssues | Set true to enable issues for this repository, false to disable them.
boolean | $hasWiki | Set true to enable the wiki for this repository, false to disable it.
boolean | $hasDownloads | Set true to enable downloads for this repository, false to disable them.
integer | $teamId | The id of the team that will be granted access to this repository. This is only valid when creating a repo in an organization.
boolean | $autoInit | true to create an initial commit with empty README.
string | $gitignoreTemplate | Desired language or platform .gitignore template to apply. Use the name of the template without the extension. For example, “Haskell” Ignored if auto_init parameter is not provided.
Renvoie
object

Références $data, $description, $name, $path, et json_encode.

◆ delete()

delete | ( | $owner,
 |  | $repo
 | ) |

Delete a Repository.

Deleting a repository requires admin access. If OAuth is used, the delete_repo scope is required.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Renvoie
object

Références $path.

◆ edit()

edit | ( | $owner,
 |  | $repo,
 |  | $name,
 |  | $description = '',
 |  | $homepage = '',
 |  | $private = false,
 |  | $hasIssues = false,
 |  | $hasWiki = false,
 |  | $hasDownloads = false,
 |  | $defaultBranch = ''
 | ) |

Edit a repository.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
string | $name | The repository name.
string | $description | The repository description.
string | $homepage | The repository homepage.
boolean | $private | Set true to create a private repository, false to create a public one. Creating private repositories requires a paid GitHub account.
boolean | $hasIssues | Set true to enable issues for this repository, false to disable them.
boolean | $hasWiki | Set true to enable the wiki for this repository, false to disable it.
boolean | $hasDownloads | Set true to enable downloads for this repository, false to disable them.
string | $defaultBranch | Update the default branch for this repository
Renvoie
object

Références $data, $description, $name, $path, et json_encode.

◆ get()

get | ( | $owner,
 |  | $repo
 | ) |

Get a repository.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Renvoie
object

Références $path.

◆ getBranch()

getBranch | ( | $owner,
 |  | $repo,
 |  | $branch
 | ) |

Get a Branch.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
string | $branch | Branch name.
Renvoie
object

Références $path.

◆ getList()

getList ( $id = 0 )

List all repositories.

This provides a dump of every repository, in the order that they were created.

Paramètres
integer $id The integer ID of the last Repository that you’ve seen.
Exceptions
RuntimeException
Renvoie
object

Références $id, et $path.

◆ getListBranches()

getListBranches | ( | $owner,
 |  | $repo
 | ) |

List Branches.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Renvoie
object

Références $path.

◆ getListContributors()

getListContributors | ( | $owner,
 |  | $repo,
 |  | $anon = false
 | ) |

List contributors.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
boolean | $anon | Set to 1 or true to include anonymous contributors in results.
Renvoie
object

Références $path.

◆ getListLanguages()

getListLanguages | ( | $owner,
 |  | $repo
 | ) |

List languages.

List languages for the specified repository. The value on the right of a language is the number of bytes of code written in that language.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Renvoie
object

Références $path.

◆ getListOrg()

getListOrg | ( | $org,
 |  | $type = 'all'
 | ) |

List organization repositories.

List repositories for the specified org.

Paramètres
string | $org | The name of the organization.
string | $type | Sort type. all, public, private, forks, sources, member. Default: all.
Exceptions
RuntimeException
Renvoie
object

Références $path, et $type.

◆ getListOwn()

getListOwn | ( | $type = 'all',
 |  | $sort = 'full_name',
 |  | $direction = ''
 | ) |

List your repositories.

List repositories for the authenticated user.

Paramètres
string | $type | Sort type. all, owner, public, private, member. Default: all.
string | $sort | Sort field. created, updated, pushed, full_name, default: full_name.
string | $direction | Sort direction. asc or desc, default: when using full_name: asc, otherwise desc.
Exceptions
RuntimeException
Renvoie
object

Références $direction, $path, et $type.

◆ getListTags()

getListTags | ( | $owner,
 |  | $repo
 | ) |

List Tags.

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Renvoie
object

Références $path.

◆ getListTeams()

getListTeams | ( | $owner,
 |  | $repo
 | ) |

List Teams

Paramètres
string | $owner | Repository owner.
string | $repo | Repository name.
Renvoie
object

Références $path.

◆ getListUser()

getListUser | ( | $user,
 |  | $type = 'all',
 |  | $sort = 'full_name',
 |  | $direction = ''
 | ) |

List user repositories.

List public repositories for the specified user.

Paramètres
string | $user | The user name.
string | $type | Sort type. all, owner, member. Default: all.
string | $sort | Sort field. created, updated, pushed, full_name, default: full_name.
string | $direction | Sort direction. asc or desc, default: when using full_name: asc, otherwise desc.
Exceptions
RuntimeException
Renvoie
object

Références $direction, $path, $type, et $user.

Documentation des champs

◆ $name

$name = 'Repositories'
protected

◆ $packages

$packages = array('collaborators', 'comments', 'commits', 'contents', 'downloads', 'forks', 'hooks', 'keys', 'merging', 'statuses')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • repositories.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesCollaborators

Fonctions membres publiques
Référence de la classe JGithubPackageRepositoriesCollaborators
+ Graphe d'héritage de JGithubPackageRepositoriesCollaborators:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($owner, $repo)
get ($owner, $repo, $user)
add ($owner, $repo, $user)
remove ($owner, $repo, $user)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Repositories Collaborators class for the Joomla Platform.

https://developer.github.com/v3/repos/collaborators

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ add()

add | ( | $owner,
 |  | $repo,
 |  | $user
 | ) |

Add collaborator.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $user | The name of the GitHub user.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $user
 | ) |

Test if a user is a collaborator.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $user | The name of the GitHub user.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
boolean

Références $path, et $user.

◆ getList()

getList | ( | $owner,
 |  | $repo
 | ) |

List.

When authenticating as an organization owner of an organization-owned repository, all organization owners are included in the list of collaborators. Otherwise, only users with access to the repository are returned in the collaborators list.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ remove()

remove | ( | $owner,
 |  | $repo,
 |  | $user
 | ) |

Remove collaborator.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $user | The name of the GitHub user.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • collaborators.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesComments

Fonctions membres publiques
Référence de la classe JGithubPackageRepositoriesComments
+ Graphe d'héritage de JGithubPackageRepositoriesComments:
JGithubPackage JGithubObject

Fonctions membres publiques

getListRepository ($user, $repo, $page=0, $limit=0)
getList ($user, $repo, $sha, $page=0, $limit=0)
get ($user, $repo, $id)
edit ($user, $repo, $id, $comment)
delete ($user, $repo, $id)
create ($user, $repo, $sha, $comment, $line, $filepath, $position)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Repositories Comments class for the Joomla Platform.

https://developer.github.com/v3/repos/comments

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $sha,
 |  | $comment,
 |  | $line,
 |  | $filepath,
 |  | $position
 | ) |

Method to create a comment on a commit.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA of the commit to comment on.
string | $comment | The text of the comment.
integer | $line | The line number of the commit to comment on.
string | $filepath | A relative path to the file to comment on within the commit.
integer | $position | Line index in the diff to comment on.
Renvoie
object
Depuis
3.0.0

Références $data, $path, $position, $user, et json_encode.

◆ delete()

delete | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to delete a comment on a commit.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $id | The ID of the comment to edit.
Renvoie
object
Depuis
3.0.0

Références $id, $path, et $user.

◆ edit()

edit | ( | $user,
 |  | $repo,
 |  | $id,
 |  | $comment
 | ) |

Method to edit a comment on a commit.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $id | The ID of the comment to edit.
string | $comment | The text of the comment.
Renvoie
object
Depuis
3.0.0

Références $data, $id, $path, $user, et json_encode.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to get a single comment on a commit.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the comment to retrieve
Renvoie
array
Depuis
3.0.0

Références $id, $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $sha,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a list of comments for a single commit for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA of the commit to retrieve.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Renvoie
array
Depuis
3.0.0

Références $limit, $path, et $user.

◆ getListRepository()

getListRepository | ( | $user,
 |  | $repo,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to get a list of commit comments for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Renvoie
array
Depuis
3.0.0

Références $limit, $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • github/package/repositories/comments.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesCommits

Fonctions membres publiques
Référence de la classe JGithubPackageRepositoriesCommits
+ Graphe d'héritage de JGithubPackageRepositoriesCommits:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($user, $repo, $sha='', $path='', $author='', JDate $since=null, JDate $until=null)
get ($user, $repo, $sha)
compare ($user, $repo, $base, $head)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Repositories Commits class for the Joomla Platform.

https://developer.github.com/v3/repos/commits

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ compare()

compare | ( | $user,
 |  | $repo,
 |  | $base,
 |  | $head
 | ) |

Method to get a diff for two commits.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $base | The base of the diff, either a commit SHA or branch.
string | $head | The head of the diff, either a commit SHA or branch.
Renvoie
array
Depuis
3.0.0

Références $base, $path, et $user.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $sha
 | ) |

Method to get a single commit for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA of the commit to retrieve.
Exceptions
DomainException
Depuis
3.0.0
Renvoie
array

Références $path, et $user.

◆ getList()

getList | ( |  | $user,
 |  |  | $repo,
 |  |  | $sha = '',
 |  |  | $path = '',
 |  |  | $author = '',
 |  | JDate | $since = null,
 |  | JDate | $until = null
 | ) |  |

Method to list commits for a repository.

A special note on pagination: Due to the way Git works, commits are paginated based on SHA instead of page number. Please follow the link headers as outlined in the pagination overview instead of constructing page links yourself.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | Sha or branch to start listing commits from.
string | $path | Only commits containing this file path will be returned.
string | $author | GitHub login, name, or email by which to filter by commit author.
JDate | $since | ISO 8601 Date - Only commits after this date will be returned.
JDate | $until | ISO 8601 Date - Only commits before this date will be returned.
Exceptions
DomainException
Depuis
3.0.0
Renvoie
array

Références $author, $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • package/repositories/commits.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesContents

Fonctions membres publiques
Référence de la classe JGithubPackageRepositoriesContents
+ Graphe d'héritage de JGithubPackageRepositoriesContents:
JGithubPackage JGithubObject

Fonctions membres publiques

getReadme ($owner, $repo, $ref='')
get ($owner, $repo, $path, $ref='')
getArchiveLink ($owner, $repo, $archiveFormat='zipball', $ref='')
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Repositories Contents class for the Joomla Platform.

These API methods let you retrieve the contents of files within a repository as Base64 encoded content. See media types for requesting raw or other formats.

https://developer.github.com/v3/repos/contents

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $path,
 |  | $ref = ''
 | ) |

Get contents

This method returns the contents of any file or directory in a repository.

GET /repos/:owner/:repo/contents/:path

Parameters

path Optional string - The content path. ref Optional string - The String name of the Commit/Branch/Tag. Defaults to master.

Response

Status: 200 OK X-RateLimit-Limit: 5000 X-RateLimit-Remaining: 4999

{ "type": "file", "encoding": "base64", "_links": { "git": "https://api.github.com/repos/octokit/octokit.rb/git/blobs/3d21ec53a331a6f037a91c368710b99387d012c1", "self": "https://api.github.com/repos/octokit/octokit.rb/contents/README.md", "html": "https://github.com/octokit/octokit.rb/blob/master/README.md" }, "size": 5362, "name": "README.md", "path": "README.md", "content": "encoded content ...", "sha": "3d21ec53a331a6f037a91c368710b99387d012c1" }

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $path | The content path.
string | $ref | The String name of the Commit/Branch/Tag. Defaults to master.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getArchiveLink()

getArchiveLink | ( | $owner,
 |  | $repo,
 |  | $archiveFormat = 'zipball',
 |  | $ref = ''
 | ) |

Get archive link

This method will return a 302 to a URL to download a tarball or zipball archive for a repository. Please make sure your HTTP framework is configured to follow redirects or you will need to use the Location header to make a second GET request.

Note: For private repositories, these links are temporary and expire quickly.

GET /repos/:owner/:repo/:archive_format/:ref

Parameters

archive_format Either tarball or zipball ref Optional string - valid Git reference, defaults to master

Response

Status: 302 Found Location: http://github.com/me/myprivate/tarball/master?SSO=thistokenexpires X-RateLimit-Limit: 5000 X-RateLimit-Remaining: 4999

To follow redirects with curl, use the -L switch:

curl -L https://api.github.com/repos/octokit/octokit.rb/tarball > octokit.tar.gz

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $archiveFormat | Either tarball or zipball.
string | $ref | The String name of the Commit/Branch/Tag. Defaults to master.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getReadme()

getReadme | ( | $owner,
 |  | $repo,
 |  | $ref = ''
 | ) |

Get the README

This method returns the preferred README for a repository.

GET /repos/:owner/:repo/readme

Parameters

ref Optional string - The String name of the Commit/Branch/Tag. Defaults to master.

Response

Status: 200 OK X-RateLimit-Limit: 5000 X-RateLimit-Remaining: 4999

{ "type": "file", "encoding": "base64", "_links": { "git": "https://api.github.com/repos/octokit/octokit.rb/git/blobs/3d21ec53a331a6f037a91c368710b99387d012c1", "self": "https://api.github.com/repos/octokit/octokit.rb/contents/README.md", "html": "https://github.com/octokit/octokit.rb/blob/master/README.md" }, "size": 5362, "name": "README.md", "path": "README.md", "content": "encoded content ...", "sha": "3d21ec53a331a6f037a91c368710b99387d012c1" }

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $ref | The String name of the Commit/Branch/Tag. Defaults to master.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • contents.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesDownloads

Fonctions membres publiques
Référence de la classe JGithubPackageRepositoriesDownloads
+ Graphe d'héritage de JGithubPackageRepositoriesDownloads:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($owner, $repo)
get ($owner, $repo, $id)
create ($owner, $repo, $name, $size, $description='', $contentType='')
upload ($key, $acl, $successActionStatus, $filename, $awsAccessKeyId, $policy, $signature, $contentType, $file)
delete ($owner, $repo, $id)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Repositories Downloads class for the Joomla Platform.

The downloads API is for package downloads only. If you want to get source tarballs you should use https://developer.github.com/v3/repos/contents/#get-archive-link instead.

https://developer.github.com/v3/repos/downloads

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $owner,
 |  | $repo,
 |  | $name,
 |  | $size,
 |  | $description = '',
 |  | $contentType = ''
 | ) |

Create a new download (Part 1: Create the resource).

Creating a new download is a two step process. You must first create a new download resource.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $name | The name.
string | $size | Size of file in bytes.
string | $description | The description.
string | $contentType | The content type.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $description, $name, et $path.

◆ delete()

delete | ( | $owner,
 |  | $repo,
 |  | $id
 | ) |

Delete a download.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | The id of the download.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $id
 | ) |

Get a single download.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | The id of the download.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ getList()

getList | ( | $owner,
 |  | $repo
 | ) |

List downloads for a repository.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ upload()

upload | ( | $key,
 |  | $acl,
 |  | $successActionStatus,
 |  | $filename,
 |  | $awsAccessKeyId,
 |  | $policy,
 |  | $signature,
 |  | $contentType,
 |  | $file
 | ) |

Create a new download (Part 2: Upload file to s3).

Now that you have created the download resource, you can use the information in the response to upload your file to s3. This can be done with a POST to the s3_url you got in the create response. Here is a brief example using curl:

curl \ -F "key=downloads/octocat/Hello-World/new_file.jpg" \ -F "acl=public-read" \ -F "success_action_status=201" \ -F "Filename=new_file.jpg" \ -F "AWSAccessKeyId=1ABCDEF..." \ -F "Policy=ewogIC..." \ -F "Signature=mwnF..." \ -F "Content-Type=image/jpeg" \ -F "file=@new_file.jpg" \ https://github.s3.amazonaws.com/

NOTES The order in which you pass these fields matters! Follow the order shown above exactly. All parameters shown are required and if you excluded or modify them your upload will fail because the values are hashed and signed by the policy.

More information about using the REST API to interact with s3 can be found here: http://docs.amazonwebservices.com/AmazonS3/latest/API/

Paramètres
string | $key | Value of path field in the response.
string | $acl | Value of acl field in the response.
string | $successActionStatus | 201, or whatever you want to get back.
string | $filename | Value of name field in the response.
string | $awsAccessKeyId | Value of accesskeyid field in the response.
string | $policy | Value of policy field in the response.
string | $signature | Value of signature field in the response.
string | $contentType | Value of mime_type field in the response.
string | $file | Local file. Example assumes the file existing in the directory where you are running the curl command. Yes, the @ matters.
Depuis
3.3 (CMS)
Renvoie
boolean

Références $data, $file, $key, $url, et true.

La documentation de cette classe a été générée à partir du fichier suivant :
  • downloads.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesForks

Fonctions membres publiques
Référence de la classe JGithubPackageRepositoriesForks
+ Graphe d'héritage de JGithubPackageRepositoriesForks:
JGithubPackage JGithubObject

Fonctions membres publiques

create ($user, $repo, $org='')
getList ($user, $repo, $page=0, $limit=0)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Forks class for the Joomla Platform.

https://developer.github.com/v3/repos/forks

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $org = ''
 | ) |

Method to fork a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $org | The organization to fork the repo into. By default it is forked to the current user.
Renvoie
object
Depuis
2.5.0
Exceptions
DomainException

Références $data, $path, $user, et json_encode.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to list forks for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Renvoie
array
Depuis
2.5.0
Exceptions
DomainException

Références $limit, $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • package/repositories/forks.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesHooks

Fonctions membres publiques | Attributs protégés
Référence de la classe JGithubPackageRepositoriesHooks
+ Graphe d'héritage de JGithubPackageRepositoriesHooks:
JGithubPackage JGithubObject

Fonctions membres publiques

create ($user, $repo, $name, $config, array $events=array('push'), $active=true)
delete ($user, $repo, $id)
edit ($user, $repo, $id, $name, $config, array $events=array('push'), array $addEvents=array(), array $removeEvents=array(), $active=true)
get ($user, $repo, $id)
getList ($user, $repo)
test ($user, $repo, $id)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Attributs protégés

$events
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Description détaillée

GitHub API Hooks class for the Joomla Platform.

https://developer.github.com/v3/repos/hooks

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( |  | $user,
 |  |  | $repo,
 |  |  | $name,
 |  |  | $config,
 |  | array | $events = array('push'),
 |  |  | $active = true
 | ) |  |

Method to create a hook on a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $name | The name of the service being called.
array | $config | Array containing the config for the service.
array | $events | The events the hook will be triggered for.
boolean | $active | Flag to determine if the hook is active
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException
RuntimeException

Références $active, $config, $data, $name, $path, $user, et json_encode.

◆ delete()

delete | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to delete a hook

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the hook to delete.
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $id, $path, et $user.

◆ edit()

edit | ( |  | $user,
 |  |  | $repo,
 |  |  | $id,
 |  |  | $name,
 |  |  | $config,
 |  | array | $events = array('push'),
 |  | array | $addEvents = array(),
 |  | array | $removeEvents = array(),
 |  |  | $active = true
 | ) |  |

Method to edit a hook.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the hook to edit.
string | $name | The name of the service being called.
array | $config | Array containing the config for the service.
array | $events | The events the hook will be triggered for. This resets the currently set list
array | $addEvents | Events to add to the hook.
array | $removeEvents | Events to remove from the hook.
boolean | $active | Flag to determine if the hook is active
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException
RuntimeException

Références $active, $config, $data, $id, $name, $path, $user, et json_encode.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to get details about a single hook for the repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the hook to retrieve
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $id, $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo
 | ) |

Method to list hooks for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $path, et $user.

◆ test()

test | ( | $user,
 |  | $repo,
 |  | $id
 | ) |

Method to test a hook against the latest repository commit

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | ID of the hook to delete
Renvoie
object
Depuis
3.1.4
Exceptions
DomainException

Références $id, $path, $user, et json_encode.

Documentation des champs

◆ $events

$events
protected
Valeur initiale :
= array(
'push',
'issues',
'issue_comment',
'commit_comment',
'pull_request',
'gollum',
'watch',
'download',
'fork',
'fork_apply',
'member',
'public',
'status',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • package/repositories/hooks.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesKeys

Fonctions membres publiques
Référence de la classe JGithubPackageRepositoriesKeys
+ Graphe d'héritage de JGithubPackageRepositoriesKeys:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($owner, $repo)
get ($owner, $repo, $id)
create ($owner, $repo, $title, $key)
edit ($owner, $repo, $id, $title, $key)
delete ($owner, $repo, $id)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Forks class for the Joomla Platform.

https://developer.github.com/v3/repos/keys

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $owner,
 |  | $repo,
 |  | $title,
 |  | $key
 | ) |

Create a key.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $title | The key title.
string | $key | The key.
Depuis
3.3.0
Renvoie
object

Références $data, $key, $path, $title, et json_encode.

◆ delete()

delete | ( | $owner,
 |  | $repo,
 |  | $id
 | ) |

Delete a key.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | The id of the key.
Depuis
3.3.0
Renvoie
boolean

Références $id, et $path.

◆ edit()

edit | ( | $owner,
 |  | $repo,
 |  | $id,
 |  | $title,
 |  | $key
 | ) |

Edit a key.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | The id of the key.
string | $title | The key title.
string | $key | The key.
Depuis
3.3.0
Renvoie
object

Références $data, $id, $key, $path, $title, et json_encode.

◆ get()

get | ( | $owner,
 |  | $repo,
 |  | $id
 | ) |

Get a key.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
integer | $id | The id of the key.
Depuis
3.3.0
Renvoie
object

Références $id, et $path.

◆ getList()

getList | ( | $owner,
 |  | $repo
 | ) |

List keys in a repository.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
Depuis
3.3.0
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • repositories/keys.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesMerging

Fonctions membres publiques
Référence de la classe JGithubPackageRepositoriesMerging
+ Graphe d'héritage de JGithubPackageRepositoriesMerging:
JGithubPackage JGithubObject

Fonctions membres publiques

perform ($owner, $repo, $base, $head, $commitMessage='')
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Repositories Merging class for the Joomla Platform.

https://developer.github.com/v3/repos/merging

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ perform()

perform | ( | $owner,
 |  | $repo,
 |  | $base,
 |  | $head,
 |  | $commitMessage = ''
 | ) |

Perform a merge.

Paramètres
string | $owner | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $base | The name of the base branch that the head will be merged into.
string | $head | The head to merge. This can be a branch name or a commit SHA1.
string | $commitMessage | Commit message to use for the merge commit. If omitted, a default message will be used.
Exceptions
UnexpectedValueException
Depuis
3.3.0
Renvoie
boolean

Références $base, $data, $message, $path, et json_encode.

La documentation de cette classe a été générée à partir du fichier suivant :
  • merging.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesStatistics

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JGithubPackageRepositoriesStatistics
+ Graphe d'héritage de JGithubPackageRepositoriesStatistics:
JGithubPackage JGithubObject

Fonctions membres publiques

getListContributors ($owner, $repo)
getActivityData ($owner, $repo)
getCodeFrequency ($owner, $repo)
getParticipation ($owner, $repo)
getPunchCard ($owner, $repo)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Fonctions membres protégées

processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Membres hérités additionnels

- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API class for the Joomla Platform.

The Repository Statistics API allows you to fetch the data that GitHub uses for visualizing different types of repository activity.

https://developer.github.com/v3/repos/statistics

Depuis
3.3 (CMS)
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ getActivityData()

getActivityData | ( | $owner,
 |  | $repo
 | ) |

Get the last year of commit activity data.

Returns the last year of commit activity grouped by week. The days array is a group of commits per day, starting on Sunday.

Paramètres
string | $owner | The owner of the repository.
string | $repo | The repository name.
Depuis
1.0
Renvoie
object

Références $path.

◆ getCodeFrequency()

getCodeFrequency | ( | $owner,
 |  | $repo
 | ) |

Get the number of additions and deletions per week.

Response returns a weekly aggregate of the number of additions and deletions pushed to a repository.

Paramètres
string | $owner | The owner of the repository.
string | $repo | The repository name.
Depuis
1.0
Renvoie
object

Références $path.

◆ getListContributors()

getListContributors | ( | $owner,
 |  | $repo
 | ) |

Get contributors list with additions, deletions, and commit counts.

Response include: total - The Total number of commits authored by the contributor.

Weekly Hash

w - Start of the week a - Number of additions d - Number of deletions c - Number of commits

Paramètres
string | $owner | The owner of the repository.
string | $repo | The repository name.
Depuis
1.0
Renvoie
object

Références $path.

◆ getParticipation()

getParticipation | ( | $owner,
 |  | $repo
 | ) |

Get the weekly commit count for the repo owner and everyone else.

Returns the total commit counts for the "owner" and total commit counts in "all". "all" is everyone combined, including the owner in the last 52 weeks. If you’d like to get the commit counts for non-owners, you can subtract all from owner.

The array order is oldest week (index 0) to most recent week.

Paramètres
string | $owner | The owner of the repository.
string | $repo | The repository name.
Depuis
1.0
Renvoie
object

Références $path.

◆ getPunchCard()

getPunchCard | ( | $owner,
 |  | $repo
 | ) |

Get the number of commits per hour in each day.

Response Each array contains the day number, hour number, and number of commits:

0-6: Sunday - Saturday 0-23: Hour of day Number of commits

For example, [2, 14, 25] indicates that there were 25 total commits, during the 2:00pm hour on Tuesdays. All times are based on the time zone of individual commits.

Paramètres
string | $owner | The owner of the repository.
string | $repo | The repository name.
Depuis
1.0
Renvoie
object

Références $path.

◆ processResponse()

processResponse | ( | JHttpResponse | $response,
 |  |  | $expectedCode = 200,
 |  |  | $decode = true
 | ) |  |
protected

Process the response and decode it.

Paramètres
JHttpResponse | $response | The response.
integer | $expectedCode | The expected "good" code.
boolean | $decode | If the should be response be JSON decoded.
Renvoie
mixed
Depuis
1.0
Exceptions
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/github/package/repositories/statistics.php


Joomla CMS: Référence de la classe JGithubPackageRepositoriesStatuses

Fonctions membres publiques
Référence de la classe JGithubPackageRepositoriesStatuses
+ Graphe d'héritage de JGithubPackageRepositoriesStatuses:
JGithubPackage JGithubObject

Fonctions membres publiques

create ($user, $repo, $sha, $state, $targetUrl=null, $description=null)
getList ($user, $repo, $sha)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API References class for the Joomla Platform.

https://developer.github.com/v3/repos/statuses

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $sha,
 |  | $state,
 |  | $targetUrl = null,
 |  | $description = null
 | ) |

Method to create a status.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA1 value for which to set the status.
string | $state | The state (pending, success, error or failure).
string | $targetUrl | Optional target URL.
string | $description | Optional description for the status.
Exceptions
InvalidArgumentException
DomainException
Depuis
3.1.4
Renvoie
object

Références $data, $description, $path, $state, $user, et json_encode.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $sha
 | ) |

Method to list statuses for an SHA.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | SHA1 for which to get the statuses.
Renvoie
array
Depuis
3.1.4

Références $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • github/package/repositories/statuses.php


Joomla CMS: Référence de la classe JGithubPackageSearch

Fonctions membres publiques
Référence de la classe JGithubPackageSearch
+ Graphe d'héritage de JGithubPackageSearch:
JGithubPackage JGithubObject

Fonctions membres publiques

issues ($owner, $repo, $state, $keyword)
repositories ($keyword, $language='', $startPage=0)
users ($keyword, $startPage=0)
email ($email)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API Search class for the Joomla Platform.

https://developer.github.com/v3/search

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ email()

email ( $email )

Email search.

This API call is added for compatibility reasons only. There’s no guarantee that full email searches will always be available. The @ character in the address must be left unencoded. Searches only against public email addresses (as configured on the user’s GitHub profile).

Paramètres
string $email The email address(es).
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ issues()

issues | ( | $owner,
 |  | $repo,
 |  | $state,
 |  | $keyword
 | ) |

Search issues.

Paramètres
string | $owner | The name of the owner of the repository.
string | $repo | The name of the repository.
string | $state | The state - open or closed.
string | $keyword | The search term.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $state.

◆ repositories()

repositories | ( | $keyword,
 |  | $language = '',
 |  | $startPage = 0
 | ) |

Search repositories.

Find repositories by keyword. Note, this legacy method does not follow the v3 pagination pattern. This method returns up to 100 results per page and pages can be fetched using the start_page parameter.

Paramètres
string | $keyword | The search term.
string | $language | Filter results by language https://github.com/languages
integer | $startPage | Page number to fetch
Depuis
3.3 (CMS)
Renvoie
object

Références $language, et $path.

◆ users()

users | ( | $keyword,
 |  | $startPage = 0
 | ) |

Search users.

Find users by keyword.

Paramètres
string | $keyword | The search term.
integer | $startPage | Page number to fetch
Depuis
3.3 (CMS)
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/github/package/search.php


Joomla CMS: Référence de la classe JGithubPackageUsers

Fonctions membres publiques | Attributs protégés
Référence de la classe JGithubPackageUsers
+ Graphe d'héritage de JGithubPackageUsers:
JGithubPackage JGithubObject

Fonctions membres publiques

get ($user)
getAuthenticatedUser ()
edit ($name='', $email='', $blog='', $company='', $location='', $hireable='', $bio='')
getList ($since=0)
getUser ($user)
updateUser ($name='', $email='', $blog='', $company='', $location='', $hireable='', $bio='')
getUsers ($since=0)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Attributs protégés

$name = 'Users'
$packages = array('emails', 'followers', 'keys')
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)

Description détaillée

GitHub API References class for the Joomla Platform.

https://developer.github.com/v3/users

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ edit()

edit | ( | $name = '',
 |  | $email = '',
 |  | $blog = '',
 |  | $company = '',
 |  | $location = '',
 |  | $hireable = '',
 |  | $bio = ''
 | ) |

Update a user.

Paramètres
string | $name | The full name
string | $email | The email
string | $blog | The blog
string | $company | The company
string | $location | The location
string | $hireable | If he is unemployed :P
string | $bio | The biometrical DNA fingerprint (or something...)
Exceptions
DomainException
Renvoie
mixed

Références $data, $location, $name, $path, et json_encode.

◆ get()

get ( $user )

Get a single user.

Paramètres
string $user The users login name.
Exceptions
DomainException
Renvoie
object

Références $path, et $user.

◆ getAuthenticatedUser()

getAuthenticatedUser ( )

Get the current authenticated user.

Exceptions
DomainException
Renvoie
mixed

Références $path.

◆ getList()

getList ( $since = 0 )

Get all users.

This provides a dump of every user, in the order that they signed up for GitHub.

Paramètres
integer $since The integer ID of the last User that you’ve seen.
Exceptions
DomainException
Renvoie
mixed

Références $path.

◆ getUser()

getUser ( $user )

Get a single user.

Paramètres
string $user The users login name.
Obsolète:
use users->get()
Exceptions
DomainException
Renvoie
mixed

Références $user.

◆ getUsers()

getUsers ( $since = 0 )

Get all users.

This provides a dump of every user, in the order that they signed up for GitHub.

Paramètres
integer $since The integer ID of the last User that you’ve seen.
Obsolète:
use users->getList()
Exceptions
DomainException
Renvoie
mixed

◆ updateUser()

updateUser | ( | $name = '',
 |  | $email = '',
 |  | $blog = '',
 |  | $company = '',
 |  | $location = '',
 |  | $hireable = '',
 |  | $bio = ''
 | ) |

Update a user.

Paramètres
string | $name | The full name
string | $email | The email
string | $blog | The blog
string | $company | The company
string | $location | The location
string | $hireable | If he is unemployed :P
string | $bio | The biometrical DNA fingerprint (or something...)
Obsolète:
use users->edit()
Exceptions
DomainException
Renvoie
mixed

Références $location, $name, et edit.

Documentation des champs

◆ $name

$name = 'Users'
protected

◆ $packages

$packages = array('emails', 'followers', 'keys')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/github/package/users.php


Joomla CMS: Référence de la classe JGithubPackageUsersEmails

Fonctions membres publiques
Référence de la classe JGithubPackageUsersEmails
+ Graphe d'héritage de JGithubPackageUsersEmails:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ()
add ($email)
delete ($email)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API References class for the Joomla Platform.

Management of email addresses via the API requires that you are authenticated through basic auth or OAuth with the user scope.

https://developer.github.com/v3/users/emails

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ add()

add ( $email )

Add email address(es).

Paramètres
string | array $email The email address(es).
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et json_encode.

◆ delete()

delete ( $email )

Delete email address(es).

Paramètres
string | array $email The email address(es).
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et json_encode.

◆ getList()

getList ( )

List email addresses for a user.

Future response: In the final version of the API, this method will return an array of hashes with extended information for each email address indicating if the address has been verified and if it’s the user’s primary email address for GitHub.

Until API v3 is finalized, use the application/vnd.github.v3 media type to get this response format.

Depuis
3.3 (CMS)
Renvoie
object

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • emails.php


Joomla CMS: Référence de la classe JGithubPackageUsersFollowers

Fonctions membres publiques
Référence de la classe JGithubPackageUsersFollowers
+ Graphe d'héritage de JGithubPackageUsersFollowers:
JGithubPackage JGithubObject

Fonctions membres publiques

getList ($user='')
getListFollowedBy ($user='')
check ($user)
follow ($user)
unfollow ($user)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API References class for the Joomla Platform.

https://developer.github.com/v3/users/followers

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ check()

check ( $user )

Check if you are following a user.

Paramètres
string $user The name of the user.
Exceptions
UnexpectedValueException
Depuis
3.3 (CMS)
Renvoie
boolean

Références $path, et $user.

◆ follow()

follow ( $user )

Follow a user.

Following a user requires the user to be logged in and authenticated with basic auth or OAuth with the user:follow scope.

Paramètres
string $user The name of the user.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

◆ getList()

getList ( $user = '' )

List followers of a user.

Paramètres
string $user The name of the user. If not set the current authenticated user will be used.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

◆ getListFollowedBy()

getListFollowedBy ( $user = '' )

List users followed by another user.

Paramètres
string $user The name of the user. If not set the current authenticated user will be used.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

◆ unfollow()

unfollow ( $user )

Unfollow a user.

Unfollowing a user requires the user to be logged in and authenticated with basic auth or OAuth with the user:follow scope.

Paramètres
string $user The name of the user.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • followers.php


Joomla CMS: Référence de la classe JGithubPackageUsersKeys

Fonctions membres publiques
Référence de la classe JGithubPackageUsersKeys
+ Graphe d'héritage de JGithubPackageUsersKeys:
JGithubPackage JGithubObject

Fonctions membres publiques

getListUser ($user)
getList ()
get ($id)
create ($title, $key)
edit ($id, $title, $key)
delete ($id)
- Fonctions membres publiques hérités de JGithubPackage
__get ($name)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubPackage
$name = ''
$packages = array()
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API References class for the Joomla Platform.

https://developer.github.com/v3/users/keys

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $title,
 |  | $key
 | ) |

Create a public key

Paramètres
string | $title | The title of the key.
string | $key | The key.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $key, $path, $title, et json_encode.

◆ delete()

delete ( $id )

Delete a public key.

Paramètres
integer $id The id of the key.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ edit()

edit | ( | $id,
 |  | $title,
 |  | $key
 | ) |

Update a public key.

Paramètres
integer | $id | The id of the key.
string | $title | The title of the key.
string | $key | The key.
Depuis
3.3 (CMS)
Renvoie
object

Références $data, $id, $key, $path, $title, et json_encode.

◆ get()

get ( $id )

Get a single public key.

Paramètres
integer $id The id of the key.
Depuis
3.3 (CMS)
Renvoie
object

Références $id, et $path.

◆ getList()

getList ( )

List your public keys.

Lists the current user’s keys. Management of public keys via the API requires that you are authenticated through basic auth, or OAuth with the ‘user’ scope.

Depuis
3.3 (CMS)
Renvoie
object

Références $path.

◆ getListUser()

getListUser ( $user )

List public keys for a user.

Lists the verified public keys for a user. This is accessible by anyone.

Paramètres
string $user The name of the user.
Depuis
3.3 (CMS)
Renvoie
object

Références $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • users/keys.php


Joomla CMS: Référence de la classe JGithubRefs

Fonctions membres publiques
Référence de la classe JGithubRefs
+ Graphe d'héritage de JGithubRefs:
JGithubObject

Fonctions membres publiques

create ($user, $repo, $ref, $sha)
edit ($user, $repo, $ref, $sha, $force=false)
get ($user, $repo, $ref)
getList ($user, $repo, $namespace='', $page=0, $limit=0)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API References class for the Joomla Platform.

Depuis
1.7.3
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $ref,
 |  | $sha
 | ) |

Method to create an issue.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $ref | The name of the fully qualified reference.
string | $sha | The SHA1 value to set this reference to.
Obsolète:
use data->refs->create()
Renvoie
object
Depuis
1.7.3

Références $data, $path, $user, et json_encode.

◆ edit()

edit | ( | $user,
 |  | $repo,
 |  | $ref,
 |  | $sha,
 |  | $force = false
 | ) |

Method to update a reference.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $ref | The reference to update.
string | $sha | The SHA1 value to set the reference to.
string | $force | Whether the update should be forced. Default to false.
Obsolète:
use data->refs->edit()
Renvoie
object
Depuis
1.7.3

Références $data, $path, $user, et json_encode.

◆ get()

get | ( | $user,
 |  | $repo,
 |  | $ref
 | ) |

Method to get a reference.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $ref | The reference to get.
Obsolète:
use data->refs->get()
Renvoie
object
Depuis
1.7.3

Références $path, et $user.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $namespace = '',
 |  | $page = 0,
 |  | $limit = 0
 | ) |

Method to list references for a repository.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $namespace | Optional sub-namespace to limit the returned references.
integer | $page | Page to request
integer | $limit | Number of results to return per page
Obsolète:
use data->refs->getList()
Renvoie
array
Depuis
1.7.3

Références $limit, $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • refs.php


Joomla CMS: Référence de la classe JGithubStatuses

Fonctions membres publiques
Référence de la classe JGithubStatuses
+ Graphe d'héritage de JGithubStatuses:
JGithubObject

Fonctions membres publiques

create ($user, $repo, $sha, $state, $targetUrl=null, $description=null)
getList ($user, $repo, $sha)
- Fonctions membres publiques hérités de JGithubObject
__construct (Registry $options=null, JGithubHttp $client=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGithubObject
fetchUrl ($path, $page=0, $limit=0)
processResponse (JHttpResponse $response, $expectedCode=200, $decode=true)
- Attributs protégés hérités de JGithubObject
$options
$client

Description détaillée

GitHub API References class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/github package via Composer instead

Documentation des fonctions membres

◆ create()

create | ( | $user,
 |  | $repo,
 |  | $sha,
 |  | $state,
 |  | $targetUrl = null,
 |  | $description = null
 | ) |

Method to create a status.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | The SHA1 value for which to set the status.
string | $state | The state (pending, success, error or failure).
string | $targetUrl | Optional target URL.
string | $description | Optional description for the status.
Obsolète:
use repositories->statuses->create()
Renvoie
object
Depuis
3.1.4

Références $data, $description, $path, $state, $user, et json_encode.

◆ getList()

getList | ( | $user,
 |  | $repo,
 |  | $sha
 | ) |

Method to list statuses for an SHA.

Paramètres
string | $user | The name of the owner of the GitHub repository.
string | $repo | The name of the GitHub repository.
string | $sha | SHA1 for which to get the statuses.
Obsolète:
use repositories->statuses->getList()
Renvoie
array
Depuis
3.1.4

Références $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • github/statuses.php


Joomla CMS: Référence de la classe JGoogle

Fonctions membres publiques | Attributs protégés
Référence de la classe JGoogle

Fonctions membres publiques

__construct (Registry $options=null, JGoogleAuth $auth=null)
data ($name, $options=null, $auth=null)
embed ($name, $options=null)
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$auth
$data
$embed

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object.
JGoogleAuth | $auth | The authentication client object.
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ data()

data | ( | $name,
 |  | $options = null,
 |  | $auth = null
 | ) |

Method to create JGoogleData objects

Paramètres
string | $name | Name of property to retrieve
Registry | $options | Google options object.
JGoogleAuth | $auth | The authentication client object.
Renvoie
JGoogleData Google data API object.
Depuis
3.1.4

Références $name, et $options.

◆ embed()

embed | ( | $name,
 |  | $options = null
 | ) |

Method to create JGoogleEmbed objects

Paramètres
string | $name | Name of property to retrieve
Registry | $options | Google options object.
Renvoie
JGoogleEmbed Google embed API object.
Depuis
3.1.4

Références $name, et $options.

◆ getOption()

getOption ( $key )

Get an option from the JGoogle instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.1.4

Références $key.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JGoogle instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JGoogle This object for method chaining.
Depuis
3.1.4

Références $key, et $value.

Documentation des champs

◆ $auth

$auth
protected

◆ $data

$data
protected

◆ $embed

$embed
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • google.php


Joomla CMS: Référence de la classe JGoogleAuth

Fonctions membres publiques | Attributs protégés
Référence de la classe JGoogleAuth
+ Graphe d'héritage de JGoogleAuth:
JGoogleAuthOauth2

Fonctions membres publiques

authenticate ()
isAuthenticated ()
query ($url, $data=null, $headers=null, $method='get')
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options

Description détaillée

Google authentication class abstract

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des fonctions membres

◆ authenticate()

authenticate ( )
abstract

Abstract method to authenticate to Google

Renvoie
boolean True on success.
Depuis
3.1.4

◆ getOption()

getOption ( $key )

Get an option from the JGoogleAuth object.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.1.4

Références $key.

◆ isAuthenticated()

isAuthenticated ( )
abstract

Verify if the client has been authenticated

Renvoie
boolean Is authenticated
Depuis
3.1.4

◆ query()

query | ( | $url,
 |  | $data = null,
 |  | $headers = null,
 |  | $method = 'get'
 | ) |
abstract

Abstract method to retrieve data from Google

Paramètres
string | $url | The URL for the request.
mixed | $data | The data to include in the request.
array | $headers | The headers to send with the request.
string | $method | The type of http request to send.
Renvoie
mixed Data from Google.
Depuis
3.1.4

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JGoogleAuth object.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JGoogleAuth This object for method chaining.
Depuis
3.1.4

Références $key, et $value.

Documentation des champs

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • auth.php


Joomla CMS: Référence de la classe JGoogleAuthOauth2

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JGoogleAuthOauth2
+ Graphe d'héritage de JGoogleAuthOauth2:
JGoogleAuth

Fonctions membres publiques

__construct (Registry $options=null, JOAuth2Client $client=null)
authenticate ()
isAuthenticated ()
query ($url, $data=null, $headers=null, $method='get')
- Fonctions membres publiques hérités de JGoogleAuth
authenticate ()
isAuthenticated ()
query ($url, $data=null, $headers=null, $method='get')
getOption ($key)
setOption ($key, $value)

Fonctions membres protégées

googlize ()

Attributs protégés

$client
- Attributs protégés hérités de JGoogleAuth
$options

Description détaillée

Google OAuth authentication class

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JOAuth2Client | $client = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | JGoogleAuth options object.
JOAuth2Client | $client | OAuth client for Google authentication.
Depuis
3.1.4

Références $client, et $options.

Documentation des fonctions membres

◆ authenticate()

authenticate ( )

Method to authenticate to Google

Renvoie
boolean True on success.
Depuis
3.1.4

◆ googlize()

googlize ( )
protected

Method to fill in Google-specific OAuth settings

Renvoie
JOAuth2Client Google-configured Oauth2 client.
Depuis
3.1.4

Références $client, $params, et null.

◆ isAuthenticated()

isAuthenticated ( )

Verify if the client has been authenticated

Renvoie
boolean Is authenticated
Depuis
3.1.4

◆ query()

query | ( | $url,
 |  | $data = null,
 |  | $headers = null,
 |  | $method = 'get'
 | ) |

Method to retrieve data from Google

Paramètres
string | $url | The URL for the request.
mixed | $data | The data to include in the request.
array | $headers | The headers to send with the request.
string | $method | The type of http request to send.
Renvoie
mixed Data from Google.
Depuis
3.1.4

Références $data, et $url.

Documentation des champs

◆ $client

$client
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • oauth2.php


Joomla CMS: Référence de la classe JGoogleData

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés
Référence de la classe JGoogleData
+ Graphe d'héritage de JGoogleData:
JGoogleDataAdsense JGoogleDataCalendar JGoogleDataPicasa JGoogleDataPicasaAlbum JGoogleDataPicasaPhoto JGoogleDataPlus JGoogleDataPlusActivities JGoogleDataPlusComments JGoogleDataPlusPeople

Fonctions membres publiques

__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Fonctions membres protégées

listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')

Fonctions membres protégées statiques

static safeXml ($data)

Attributs protégés

$options
$auth

Description détaillée

Google API data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object.
JGoogleAuth | $auth | Google data http client object.
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ authenticate()

authenticate ( )

Method to authenticate to Google

Renvoie
boolean True on success.
Depuis
3.1.4

◆ getOption()

getOption ( $key )

Get an option from the JGoogleData instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.1.4

Références $key.

◆ isAuthenticated()

isAuthenticated ( )

Check authentication

Renvoie
boolean True if authenticated.
Depuis
3.1.4

◆ listGetData()

listGetData | ( | $url,
 |  | $maxpages = 1,
 |  | $token = null
 | ) |
protected

Method to retrieve a list of data

Paramètres
array | $url | URL to GET
int | $maxpages | Maximum number of pages to return
string | $token | Next page token
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, $url, et elseif.

◆ query()

query | ( | $url,
 |  | $data = null,
 |  | $headers = null,
 |  | $method = 'get'
 | ) |
protected

Method to retrieve data from Google

Paramètres
string | $url | The URL for the request.
mixed | $data | The data to include in the request.
array | $headers | The headers to send with the request.
string | $method | The type of http request to send.
Renvoie
mixed Data from Google.
Depuis
3.1.4

Références $data, et $url.

◆ safeXml()

static safeXml ( $data )
staticprotected

Method to validate XML

Paramètres
string $data XML data to be parsed
Renvoie
SimpleXMLElement XMLElement of parsed data
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JGoogleData instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JGoogleData This object for method chaining.
Depuis
3.1.4

Références $key, et $value.

Documentation des champs

◆ $auth

$auth
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/google/data.php


Joomla CMS: Référence de la classe JGoogleDataAdsense

Fonctions membres publiques
Référence de la classe JGoogleDataAdsense
+ Graphe d'héritage de JGoogleDataAdsense:
JGoogleData

Fonctions membres publiques

__construct (Registry $options=null, JGoogleAuth $auth=null)
getAccount ($accountID, $subaccounts=true)
listAccounts ($options=array(), $maxpages=1)
listClients ($accountID, $options=array(), $maxpages=1)
getUnit ($accountID, $adclientID, $adunitID)
listUnitChannels ($accountID, $adclientID, $adunitID, $options=array(), $maxpages=1)
getChannel ($accountID, $adclientID, $channelID)
listChannels ($accountID, $adclientID, $options=array(), $maxpages=1)
listChannelUnits ($accountID, $adclientID, $channelID, $options=array(), $maxpages=1)
listUrlChannels ($accountID, $adclientID, $options=array(), $maxpages=1)
generateReport ($accountID, $start, $end=false, $options=array(), $maxpages=1)
- Fonctions membres publiques hérités de JGoogleData
__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGoogleData
listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')
- Fonctions membres protégées statiques hérités de JGoogleData
static safeXml ($data)
- Attributs protégés hérités de JGoogleData
$options
$auth

Description détaillée

Google Adsense data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object
JGoogleAuth | $auth | Google data http client object
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ generateReport()

generateReport | ( | $accountID,
 |  | $start,
 |  | $end = false,
 |  | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to retrieve a list of AdSense Channel URLs

Paramètres
string | $accountID | ID of account
mixed | $start | Start day
mixed | $end | End day
array | $options | Search settings
int | $maxpages | Maximum number of pages of accounts to return
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
InvalidArgumentException
UnexpectedValueException

Références $data, $i, $options, $start, $url, et elseif.

◆ getAccount()

getAccount | ( | $accountID,
 |  | $subaccounts = true
 | ) |

Method to get an Adsense account's settings from Google

Paramètres
string | $accountID | ID of account to get
boolean | $subaccounts | Include list of subaccounts
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, et $url.

◆ getChannel()

getChannel | ( | $accountID,
 |  | $adclientID,
 |  | $channelID
 | ) |

Method to get an Adsense Channel

Paramètres
string | $accountID | ID of account to get
string | $adclientID | ID of client to get
string | $channelID | ID of channel to get
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, et $url.

◆ getUnit()

getUnit | ( | $accountID,
 |  | $adclientID,
 |  | $adunitID
 | ) |

Method to get an AdSense AdUnit

Paramètres
string | $accountID | ID of account to get
string | $adclientID | ID of client to get
string | $adunitID | ID of adunit to get
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, et $url.

◆ listAccounts()

listAccounts | ( | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to retrieve a list of AdSense accounts from Google

Paramètres
array | $options | Search settings
int | $maxpages | Maximum number of pages of accounts to return
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $options, $url, et null.

◆ listChannels()

listChannels | ( | $accountID,
 |  | $adclientID,
 |  | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to retrieve a list of AdSense Custom Channels

Paramètres
string | $accountID | ID of account
string | $adclientID | ID of client to list channels from
array | $options | Search settings
int | $maxpages | Maximum number of pages of accounts to return
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $options, $url, et null.

◆ listChannelUnits()

listChannelUnits | ( | $accountID,
 |  | $adclientID,
 |  | $channelID,
 |  | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to retrieve a list of AdSense Adunits for a specific Custom Channel

Paramètres
string | $accountID | ID of account
string | $adclientID | ID of client
string | $channelID | ID of channel to list units from
array | $options | Search settings
int | $maxpages | Maximum number of pages of accounts to return
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $options, $url, et null.

◆ listClients()

listClients | ( | $accountID,
 |  | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to retrieve a list of AdSense clients from Google

Paramètres
string | $accountID | ID of account to list the clients from
array | $options | Search settings
int | $maxpages | Maximum number of pages of accounts to return
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $options, $url, et null.

◆ listUnitChannels()

listUnitChannels | ( | $accountID,
 |  | $adclientID,
 |  | $adunitID,
 |  | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to retrieve a list of AdSense Custom Channels for a specific Adunit

Paramètres
string | $accountID | ID of account
string | $adclientID | ID of client
string | $adunitID | ID of adunit to list channels from
array | $options | Search settings
int | $maxpages | Maximum number of pages of accounts to return
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $options, $url, et null.

◆ listUrlChannels()

listUrlChannels | ( | $accountID,
 |  | $adclientID,
 |  | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to generate a report from Google AdSense

Paramètres
string | $accountID | ID of account
string | $adclientID | ID of client
array | $options | Search settings
int | $maxpages | Maximum number of pages of accounts to return
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $options, $url, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • adsense.php


Joomla CMS: Référence de la classe JGoogleDataCalendar

Fonctions membres publiques
Référence de la classe JGoogleDataCalendar
+ Graphe d'héritage de JGoogleDataCalendar:
JGoogleData

Fonctions membres publiques

__construct (Registry $options=null, JGoogleAuth $auth=null)
removeCalendar ($calendarID)
getCalendar ($calendarID)
addCalendar ($calendarID, $options=array())
listCalendars ($options=array(), $maxpages=1)
editCalendarSettings ($calendarID, $options)
clearCalendar ($calendarID)
deleteCalendar ($calendarID)
createCalendar ($title, $options=array())
editCalendar ($calendarID, $options)
deleteEvent ($calendarID, $eventID)
getEvent ($calendarID, $eventID, $options=array())
createEvent ($calendarID, $start, $end=false, $options=array(), $timezone=false, $allday=false, $notify=false)
listRecurrences ($calendarID, $eventID, $options=array(), $maxpages=1)
listEvents ($calendarID, $options=array(), $maxpages=1)
moveEvent ($calendarID, $eventID, $destID, $notify=false)
editEvent ($calendarID, $eventID, $options, $notify=false)
- Fonctions membres publiques hérités de JGoogleData
__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGoogleData
listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')
- Fonctions membres protégées statiques hérités de JGoogleData
static safeXml ($data)
- Attributs protégés hérités de JGoogleData
$options
$auth

Description détaillée

Google Calendar data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object
JGoogleAuth | $auth | Google data http client object
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ addCalendar()

addCalendar | ( | $calendarID,
 |  | $options = array()
 | ) |

Method to add a calendar to a user's Google Calendar list

Paramètres
string | $calendarID | New calendar ID
array | $options | New calendar settings
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, $options, $url, et json_encode.

◆ clearCalendar()

clearCalendar ( $calendarID )

Method to clear a Google Calendar

Paramètres
string $calendarID ID of calendar to clear
Renvoie
boolean Success or failure
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, et null.

◆ createCalendar()

createCalendar | ( | $title,
 |  | $options = array()
 | ) |

Method to create a Google Calendar

Paramètres
string | $title | New calendar title
array | $options | New calendar settings
Renvoie
mixed Data from Google.
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, $options, $title, $url, et json_encode.

◆ createEvent()

createEvent | ( | $calendarID,
 |  | $start,
 |  | $end = false,
 |  | $options = array(),
 |  | $timezone = false,
 |  | $allday = false,
 |  | $notify = false
 | ) |

Method to create a Google Calendar event

Paramètres
string | $calendarID | ID of calendar
mixed | $start | Event start time
mixed | $end | Event end time
array | $options | New event settings
mixed | $timezone | Timezone for event
boolean | $allday | Treat event as an all-day event
boolean | $notify | Notify participants
Renvoie
mixed Data from Google.
Depuis
3.1.4
Exceptions
InvalidArgumentException
UnexpectedValueException

Références $data, $options, $start, $url, elseif, et json_encode.

◆ deleteCalendar()

deleteCalendar ( $calendarID )

Method to delete a calendar from Google

Paramètres
string $calendarID ID of calendar to delete.
Renvoie
boolean Success or failure
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, et null.

◆ deleteEvent()

deleteEvent | ( | $calendarID,
 |  | $eventID
 | ) |

Method to delete an event from a Google Calendar

Paramètres
string | $calendarID | ID of calendar to delete from
string | $eventID | ID of event to delete.
Renvoie
boolean Success or failure.
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, $url, et null.

◆ editCalendar()

editCalendar | ( | $calendarID,
 |  | $options
 | ) |

Method to edit a Google Calendar

Paramètres
string | $calendarID | Calendar ID.
array | $options | Calendar settings.
Renvoie
mixed Data from Google.
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, $options, $url, et json_encode.

◆ editCalendarSettings()

editCalendarSettings | ( | $calendarID,
 |  | $options
 | ) |

Method to edit a Google Calendar's settings

Paramètres
string | $calendarID | Calendar ID
array | $options | Calendar settings
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, $options, $url, et json_encode.

◆ editEvent()

editEvent | ( | $calendarID,
 |  | $eventID,
 |  | $options,
 |  | $notify = false
 | ) |

Method to edit a Google Calendar event

Paramètres
string | $calendarID | Calendar ID
string | $eventID | ID of the event to change
array | $options | Event settings
boolean | $notify | Notify participants of changes
Renvoie
mixed Data from Google.
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, $options, $url, et json_encode.

◆ getCalendar()

getCalendar ( $calendarID )

Method to get a calendar's settings from Google

Paramètres
string $calendarID ID of calendar to get.
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data.

◆ getEvent()

getEvent | ( | $calendarID,
 |  | $eventID,
 |  | $options = array()
 | ) |

Method to get an event from a Google Calendar

Paramètres
string | $calendarID | ID of calendar
string | $eventID | ID of event to get
array | $options | Options to send to Google
Renvoie
mixed Data from Google.
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, $options, et $url.

◆ listCalendars()

listCalendars | ( | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to retrieve calendar list from Google

Paramètres
array | $options | Search settings
int | $maxpages | Maximum number of pages of calendars to return
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $options, $url, et null.

◆ listEvents()

listEvents | ( | $calendarID,
 |  | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to retrieve a list of events on a Google calendar

Paramètres
string | $calendarID | Calendar ID
array | $options | Calendar settings
int | $maxpages | Cycle through pages of data to generate a complete list
Renvoie
mixed Data from Google.
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $options, $url, et null.

◆ listRecurrences()

listRecurrences | ( | $calendarID,
 |  | $eventID,
 |  | $options = array(),
 |  | $maxpages = 1
 | ) |

Method to retrieve a list of events on a Google calendar

Paramètres
string | $calendarID | Calendar ID
string | $eventID | ID of the event to change
array | $options | Search settings
int | $maxpages | Minimum number of events to retrieve (more may be retrieved depending on page size)
Renvoie
mixed Data from Google.
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $options, $url, et null.

◆ moveEvent()

moveEvent | ( | $calendarID,
 |  | $eventID,
 |  | $destID,
 |  | $notify = false
 | ) |

Method to move an event from one calendar to another

Paramètres
string | $calendarID | Calendar ID
string | $eventID | ID of the event to change
string | $destID | Calendar ID
boolean | $notify | Notify participants of changes
Renvoie
mixed Data from Google.
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $data, $url, et null.

◆ removeCalendar()

removeCalendar ( $calendarID )

Method to remove a calendar from a user's calendar list

Paramètres
string $calendarID ID of calendar to delete
Renvoie
boolean Success or failure
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/google/data/calendar.php


Joomla CMS: Référence de la classe JGoogleDataPicasa

Fonctions membres publiques
Référence de la classe JGoogleDataPicasa
+ Graphe d'héritage de JGoogleDataPicasa:
JGoogleData

Fonctions membres publiques

__construct (Registry $options=null, JGoogleAuth $auth=null)
listAlbums ($userID='default')
createAlbum ($userID='default', $title='', $access='private', $summary='', $location='', $time=false, $keywords=array())
getAlbum ($url)
- Fonctions membres publiques hérités de JGoogleData
__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGoogleData
listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')
- Fonctions membres protégées statiques hérités de JGoogleData
static safeXml ($data)
- Attributs protégés hérités de JGoogleData
$options
$auth

Description détaillée

Google Picasa data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object
JGoogleAuth | $auth | Google data http client object
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ createAlbum()

createAlbum | ( | $userID = 'default',
 |  | $title = '',
 |  | $access = 'private',
 |  | $summary = '',
 |  | $location = '',
 |  | $time = false,
 |  | $keywords = array()
 | ) |

Method to create a Picasa Album

Paramètres
string | $userID | ID of user
string | $title | New album title
string | $access | New album access settings
string | $summary | New album summary
string | $location | New album location
int | $time | New album timestamp
array | $keywords | New album keywords
Renvoie
mixed Data from Google.
Depuis
3.1.4

Références $keywords, $location, $title, et $url.

◆ getAlbum()

getAlbum ( $url )

Get Picasa Album

Paramètres
string $url URL of album to get
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $url, et null.

◆ listAlbums()

listAlbums ( $userID = 'default' )

Method to retrieve a list of Picasa Albums

Paramètres
string $userID ID of user
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $item, $items, $url, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • picasa.php


Joomla CMS: Référence de la classe JGoogleDataPicasaAlbum

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JGoogleDataPicasaAlbum
+ Graphe d'héritage de JGoogleDataPicasaAlbum:
JGoogleData

Fonctions membres publiques

__construct (SimpleXMLElement $xml, Registry $options=null, JGoogleAuth $auth=null)
delete ($match=' *')
getLink ($type='edit')
getTitle ()
getSummary ()
getLocation ()
getAccess ()
getTime ()
setTitle ($title)
setSummary ($summary)
setLocation ($location)
setAccess ($access)
setTime ($time)
save ($match=' *')
refresh ()
listPhotos ()
upload ($file, $title='', $summary='')
- Fonctions membres publiques hérités de JGoogleData
__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Fonctions membres protégées

getMime ($file)
- Fonctions membres protégées hérités de JGoogleData
listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')

Attributs protégés

$xml
- Attributs protégés hérités de JGoogleData
$options
$auth

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de JGoogleData
static safeXml ($data)

Description détaillée

Google Picasa data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | SimpleXMLElement | $xml,
 |  | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
SimpleXMLElement | $xml | XML from Google
Registry | $options | Google options object
JGoogleAuth | $auth | Google data http client object
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ delete()

delete ( $match = '*' )

Method to delete a Picasa album

Paramètres
mixed $match Check for most up to date album
Renvoie
boolean Success or failure.
Depuis
3.1.4
Exceptions
Exception
RuntimeException
UnexpectedValueException

Références $url, et null.

◆ getAccess()

getAccess ( )

Method to get the access level of the album

Renvoie
string Album access level
Depuis
3.1.4

◆ getLink()

getLink ( $type = 'edit' )

Method to get the album link

Paramètres
string $type Type of link to return
Renvoie
string Link or false on failure
Depuis
3.1.4

Références $link, et $type.

◆ getLocation()

getLocation ( )

Method to get the location of the album

Renvoie
string Album location
Depuis
3.1.4

◆ getMime()

getMime ( $file )
protected

Add photo

Paramètres
string $file Filename
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $file.

◆ getSummary()

getSummary ( )

Method to get the summary of the album

Renvoie
string Album summary
Depuis
3.1.4

◆ getTime()

getTime ( )

Method to get the time of the album

Renvoie
double Album time
Depuis
3.1.4

◆ getTitle()

getTitle ( )

Method to get the title of the album

Renvoie
string Album title
Depuis
3.1.4

◆ listPhotos()

listPhotos ( )

Method to retrieve a list of Picasa Photos

Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $item, $items, $url, et null.

◆ refresh()

refresh ( )

Refresh Picasa Album

Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
UnexpectedValueException

Références $url, et null.

◆ save()

save ( $match = '*' )

Method to modify a Picasa Album

Paramètres
string $match Optional eTag matching parameter
Renvoie
mixed Data from Google.
Depuis
3.1.4
Exceptions
Exception

Références $url.

◆ setAccess()

setAccess ( $access )

Method to set the access level of the album

Paramètres
string $access New album access
Renvoie
JGoogleDataPicasaAlbum The object for method chaining
Depuis
3.1.4

◆ setLocation()

setLocation ( $location )

Method to set the location of the album

Paramètres
string $location New album location
Renvoie
JGoogleDataPicasaAlbum The object for method chaining
Depuis
3.1.4

Références $location.

◆ setSummary()

setSummary ( $summary )

Method to set the summary of the album

Paramètres
string $summary New album summary
Renvoie
JGoogleDataPicasaAlbum The object for method chaining
Depuis
3.1.4

◆ setTime()

setTime ( $time )

Method to set the time of the album

Paramètres
int $time New album time
Renvoie
JGoogleDataPicasaAlbum The object for method chaining
Depuis
3.1.4

◆ setTitle()

setTitle ( $title )

Method to set the title of the album

Paramètres
string $title New album title
Renvoie
JGoogleDataPicasaAlbum The object for method chaining
Depuis
3.1.4

Références $title.

◆ upload()

upload | ( | $file,
 |  | $title = '',
 |  | $summary = ''
 | ) |

Add photo

Paramètres
string | $file | Path of file to upload
string | $title | Title to give to file (defaults to filename)
string | $summary | Description of the file
Renvoie
mixed Data from Google
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $file, $title, $type, et jimport().

Documentation des champs

◆ $xml

$xml
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • google/data/picasa/album.php


Joomla CMS: Référence de la classe JGoogleDataPicasaPhoto

Fonctions membres publiques | Attributs protégés
Référence de la classe JGoogleDataPicasaPhoto
+ Graphe d'héritage de JGoogleDataPicasaPhoto:
JGoogleData

Fonctions membres publiques

__construct (SimpleXMLElement $xml, Registry $options=null, JGoogleAuth $auth=null)
delete ($match=' *')
getLink ($type='edit')
getUrl ()
getThumbnails ()
getTitle ()
getSummary ()
getAccess ()
getTime ()
getSize ()
getHeight ()
getWidth ()
setTitle ($title)
setSummary ($summary)
setAccess ($access)
setTime ($time)
save ($match=' *')
refresh ()
- Fonctions membres publiques hérités de JGoogleData
__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Attributs protégés

$xml
- Attributs protégés hérités de JGoogleData
$options
$auth

Membres hérités additionnels

- Fonctions membres protégées hérités de JGoogleData
listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')
- Fonctions membres protégées statiques hérités de JGoogleData
static safeXml ($data)

Description détaillée

Google Picasa data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | SimpleXMLElement | $xml,
 |  | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
SimpleXMLElement | $xml | XML from Google
Registry | $options | Google options object
JGoogleAuth | $auth | Google data http client object
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ delete()

delete ( $match = '*' )

Method to delete a Picasa photo

Paramètres
mixed $match Check for most up to date photo
Renvoie
boolean Success or failure.
Depuis
3.1.4
Exceptions
Exception
RuntimeException
UnexpectedValueException

Références $url, et null.

◆ getAccess()

getAccess ( )

Method to get the access level of the photo

Renvoie
string Photo access level
Depuis
3.1.4

◆ getHeight()

getHeight ( )

Method to get the height of the photo

Renvoie
int Photo height
Depuis
3.1.4

◆ getLink()

getLink ( $type = 'edit' )

Method to get the photo link

Paramètres
string $type Type of link to return
Renvoie
string Link or false on failure
Depuis
3.1.4

Références $link, et $type.

◆ getSize()

getSize ( )

Method to get the size of the photo

Renvoie
int Photo size
Depuis
3.1.4

◆ getSummary()

getSummary ( )

Method to get the summary of the photo

Renvoie
string Photo description
Depuis
3.1.4

◆ getThumbnails()

getThumbnails ( )

Method to get the photo's thumbnails

Renvoie
array An array of thumbnails
Depuis
3.1.4

Références $height, $item, $url, et $width.

◆ getTime()

getTime ( )

Method to get the time of the photo

Renvoie
double Photo time
Depuis
3.1.4

◆ getTitle()

getTitle ( )

Method to get the title of the photo

Renvoie
string Photo title
Depuis
3.1.4

◆ getUrl()

getUrl ( )

Method to get the photo's URL

Renvoie
string Link
Depuis
3.1.4

◆ getWidth()

getWidth ( )

Method to get the width of the photo

Renvoie
int Photo width
Depuis
3.1.4

◆ refresh()

refresh ( )

Refresh photo data

Renvoie
mixed Data from Google
Depuis
3.1.4

Références $url, et null.

◆ save()

save ( $match = '*' )

Method to modify a Picasa Photo

Paramètres
string $match Optional eTag matching parameter
Renvoie
mixed Data from Google.
Depuis
3.1.4

Références $url.

◆ setAccess()

setAccess ( $access )

Method to set the access level of the photo

Paramètres
string $access New photo access level
Renvoie
JGoogleDataPicasaPhoto The object for method chaining
Depuis
3.1.4

◆ setSummary()

setSummary ( $summary )

Method to set the summary of the photo

Paramètres
string $summary New photo description
Renvoie
JGoogleDataPicasaPhoto The object for method chaining
Depuis
3.1.4

◆ setTime()

setTime ( $time )

Method to set the time of the photo

Paramètres
int $time New photo time
Renvoie
JGoogleDataPicasaPhoto The object for method chaining
Depuis
3.1.4

◆ setTitle()

setTitle ( $title )

Method to set the title of the photo

Paramètres
string $title New photo title
Renvoie
JGoogleDataPicasaPhoto The object for method chaining
Depuis
3.1.4

Références $title.

Documentation des champs

◆ $xml

$xml
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • google/data/picasa/photo.php


Joomla CMS: Référence de la classe JGoogleDataPlus

Fonctions membres publiques | Attributs protégés
Référence de la classe JGoogleDataPlus
+ Graphe d'héritage de JGoogleDataPlus:
JGoogleData

Fonctions membres publiques

__construct (Registry $options=null, JGoogleAuth $auth=null)
__get ($name)
- Fonctions membres publiques hérités de JGoogleData
__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Attributs protégés

$people
$activities
$comments
- Attributs protégés hérités de JGoogleData
$options
$auth

Membres hérités additionnels

- Fonctions membres protégées hérités de JGoogleData
listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')
- Fonctions membres protégées statiques hérités de JGoogleData
static safeXml ($data)

Description détaillée

Google+ data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object
JGoogleAuth | $auth | Google data http client object
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to lazily create API objects

Paramètres
string $name Name of property to retrieve
Renvoie
JGoogleDataPlus Google+ API object (people, activities, comments).
Depuis
3.1.4

Références $name, et null.

Documentation des champs

◆ $activities

$activities
protected

◆ $comments

$comments
protected

◆ $people

$people
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plus.php


Joomla CMS: Référence de la classe JGoogleDataPlusActivities

Fonctions membres publiques
Référence de la classe JGoogleDataPlusActivities
+ Graphe d'héritage de JGoogleDataPlusActivities:
JGoogleData

Fonctions membres publiques

__construct (Registry $options=null, JGoogleAuth $auth=null)
listActivities ($userId, $collection, $fields=null, $max=10, $token=null, $alt=null)
getActivity ($id, $fields=null, $alt=null)
search ($query, $fields=null, $language=null, $max=10, $order=null, $token=null)
- Fonctions membres publiques hérités de JGoogleData
__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGoogleData
listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')
- Fonctions membres protégées statiques hérités de JGoogleData
static safeXml ($data)
- Attributs protégés hérités de JGoogleData
$options
$auth

Description détaillée

Google+ data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object
JGoogleAuth | $auth | Google data http client object
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ getActivity()

getActivity | ( | $id,
 |  | $fields = null,
 |  | $alt = null
 | ) |

Get an activity.

Paramètres
string | $id | The ID of the activity to get.
string | $fields | Used to specify the fields you want returned.
string | $alt | Specifies an alternative representation type. Acceptable values are: "json" - Use JSON format (default)
Renvoie
mixed Data from Google
Depuis
3.1.4

Références $alt, $fields, $id, et $url.

◆ listActivities()

listActivities | ( | $userId,
 |  | $collection,
 |  | $fields = null,
 |  | $max = 10,
 |  | $token = null,
 |  | $alt = null
 | ) |

List all of the activities in the specified collection for a particular user.

Paramètres
string | $userId | The ID of the user to get activities for. The special value "me" can be used to indicate the authenticated user.
string | $collection | The collection of activities to list. Acceptable values are: "public".
string | $fields | Used to specify the fields you want returned.
integer | $max | The maximum number of people to include in the response, used for paging.
string | $token | The continuation token, used to page through large result sets. To get the next page of results, set this parameter to the value of "nextPageToken" from the previous response. This token may be of any length.
string | $alt | Specifies an alternative representation type. Acceptable values are: "json" - Use JSON format (default)
Renvoie
mixed Data from Google
Depuis
3.1.4

Références $alt, $fields, $url, et $userId.

◆ search()

search | ( | $query,
 |  | $fields = null,
 |  | $language = null,
 |  | $max = 10,
 |  | $order = null,
 |  | $token = null
 | ) |

Search all public activities.

Paramètres
string | $query | Full-text search query string.
string | $fields | Used to specify the fields you want returned.
string | $language | Specify the preferred language to search with. https://developers.google.com/+/api/search#available-languages
integer | $max | The maximum number of people to include in the response, used for paging.
string | $order | Specifies how to order search results. Acceptable values are "best" and "recent".
string | $token | The continuation token, used to page through large result sets. To get the next page of results, set this parameter to the value of "nextPageToken" from the previous response. This token may be of any length.
Renvoie
mixed Data from Google
Depuis
3.1.4

Références $fields, $language, $query, et $url.

La documentation de cette classe a été générée à partir du fichier suivant :
  • activities.php


Joomla CMS: Référence de la classe JGoogleDataPlusComments

Fonctions membres publiques
Référence de la classe JGoogleDataPlusComments
+ Graphe d'héritage de JGoogleDataPlusComments:
JGoogleData

Fonctions membres publiques

__construct (Registry $options=null, JGoogleAuth $auth=null)
listComments ($activityId, $fields=null, $max=20, $order=null, $token=null, $alt=null)
getComment ($id, $fields=null)
- Fonctions membres publiques hérités de JGoogleData
__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGoogleData
listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')
- Fonctions membres protégées statiques hérités de JGoogleData
static safeXml ($data)
- Attributs protégés hérités de JGoogleData
$options
$auth

Description détaillée

Google+ data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object
JGoogleAuth | $auth | Google data http client object
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ getComment()

getComment | ( | $id,
 |  | $fields = null
 | ) |

Get a comment.

Paramètres
string | $id | The ID of the comment to get.
string | $fields | Used to specify the fields you want returned.
Renvoie
mixed Data from Google
Depuis
3.1.4

Références $fields, $id, et $url.

◆ listComments()

listComments | ( | $activityId,
 |  | $fields = null,
 |  | $max = 20,
 |  | $order = null,
 |  | $token = null,
 |  | $alt = null
 | ) |

List all of the comments for an activity.

Paramètres
string | $activityId | The ID of the activity to get comments for.
string | $fields | Used to specify the fields you want returned.
integer | $max | The maximum number of people to include in the response, used for paging.
string | $order | The order in which to sort the list of comments. Acceptable values are "ascending" and "descending".
string | $token | The continuation token, used to page through large result sets. To get the next page of results, set this parameter to the value of "nextPageToken" from the previous response. This token may be of any length.
string | $alt | Specifies an alternative representation type. Acceptable values are: "json" - Use JSON format (default)
Renvoie
mixed Data from Google
Depuis
3.1.4

Références $alt, $fields, et $url.

La documentation de cette classe a été générée à partir du fichier suivant :
  • google/data/plus/comments.php


Joomla CMS: Référence de la classe JGoogleDataPlusPeople

Fonctions membres publiques
Référence de la classe JGoogleDataPlusPeople
+ Graphe d'héritage de JGoogleDataPlusPeople:
JGoogleData

Fonctions membres publiques

__construct (Registry $options=null, JGoogleAuth $auth=null)
getPeople ($id, $fields=null)
search ($query, $fields=null, $language=null, $max=10, $token=null)
listByActivity ($activityId, $collection, $fields=null, $max=10, $token=null)
- Fonctions membres publiques hérités de JGoogleData
__construct (Registry $options=null, JGoogleAuth $auth=null)
authenticate ()
isAuthenticated ()
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Fonctions membres protégées hérités de JGoogleData
listGetData ($url, $maxpages=1, $token=null)
query ($url, $data=null, $headers=null, $method='get')
- Fonctions membres protégées statiques hérités de JGoogleData
static safeXml ($data)
- Attributs protégés hérités de JGoogleData
$options
$auth

Description détaillée

Google+ data class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JGoogleAuth | $auth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object
JGoogleAuth | $auth | Google data http client object
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ getPeople()

getPeople | ( | $id,
 |  | $fields = null
 | ) |

Get a person's profile.

Paramètres
string | $id | The ID of the person to get the profile for. The special value "me" can be used to indicate the authenticated user.
string | $fields | Used to specify the fields you want returned.
Renvoie
mixed Data from Google
Depuis
3.1.4

Références $fields, $id, et $url.

◆ listByActivity()

listByActivity | ( | $activityId,
 |  | $collection,
 |  | $fields = null,
 |  | $max = 10,
 |  | $token = null
 | ) |

List all of the people in the specified collection for a particular activity.

Paramètres
string | $activityId | The ID of the activity to get the list of people for.
string | $collection | The collection of people to list. Acceptable values are "plusoners" and "resharers".
string | $fields | Used to specify the fields you want returned.
integer | $max | The maximum number of people to include in the response, used for paging.
string | $token | The continuation token, used to page through large result sets. To get the next page of results, set this parameter to the value of "nextPageToken" from the previous response. This token may be of any length.
Renvoie
mixed Data from Google
Depuis
3.1.4

Références $fields, et $url.

◆ search()

search | ( | $query,
 |  | $fields = null,
 |  | $language = null,
 |  | $max = 10,
 |  | $token = null
 | ) |

Search all public profiles.

Paramètres
string | $query | Specify a query string for full text search of public text in all profiles.
string | $fields | Used to specify the fields you want returned.
string | $language | Specify the preferred language to search with. https://developers.google.com/+/api/search#available-languages
integer | $max | The maximum number of people to include in the response, used for paging.
string | $token | The continuation token, used to page through large result sets. To get the next page of results, set this parameter to the value of "nextPageToken" from the previous response. This token may be of any length.
Renvoie
mixed Data from Google
Depuis
3.1.4

Références $fields, $language, $query, et $url.

La documentation de cette classe a été générée à partir du fichier suivant :
  • google/data/plus/people.php


Joomla CMS: Référence de la classe JGoogleEmbed

Fonctions membres publiques | Attributs protégés
Référence de la classe JGoogleEmbed
+ Graphe d'héritage de JGoogleEmbed:
JGoogleEmbedAnalytics JGoogleEmbedMaps

Fonctions membres publiques

__construct (Registry $options=null, JUri $uri=null)
isSecure ()
getHeader ()
getBody ()
echoHeader ()
echoBody ()
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$uri

Description détaillée

Google API object class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JUri | $uri = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object
JUri | $uri | URL of the page being rendered
Depuis
3.1.4

Références $options, et $uri.

Documentation des fonctions membres

◆ echoBody()

echoBody ( )

Method to output the body for the API

Renvoie
null
Depuis
3.1.4

◆ echoHeader()

echoHeader ( )

Method to output the javascript header for the embed API

Renvoie
null
Depuis
3.1.4

◆ getBody()

getBody ( )
abstract

Method to retrieve the body for the API

Renvoie
string The body
Depuis
3.1.4

◆ getHeader()

getHeader ( )
abstract

Method to retrieve the header for the API

Renvoie
string The header
Depuis
3.1.4

◆ getOption()

getOption ( $key )

Get an option from the JGoogleEmbed instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.1.4

Références $key.

◆ isSecure()

isSecure ( )

Method to retrieve the javascript header for the embed API

Renvoie
string The header
Depuis
3.1.4

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JGoogleEmbed instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JGoogleEmbed This object for method chaining.
Depuis
3.1.4

Références $key, et $value.

Documentation des champs

◆ $options

$options
protected

◆ $uri

$uri
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • embed.php


Joomla CMS: Référence de la classe JGoogleEmbedAnalytics

Fonctions membres publiques
Référence de la classe JGoogleEmbedAnalytics
+ Graphe d'héritage de JGoogleEmbedAnalytics:
JGoogleEmbed

Fonctions membres publiques

getCode ()
setCode ($code)
isAsync ()
useAsync ()
useSync ()
addCall ($method, $params=array())
listCalls ()
deleteCall ($index=null)
createCall ($method, $params=array())
addCustomVar ($slot, $name, $value, $scope=3)
createCustomVar ($slot, $name, $value, $scope=3)
addEvent ($category, $action, $label=null, $value=null, $noninteract=false)
createEvent ($category, $action, $label=null, $value=null, $noninteract=false)
getHeader ()
getBody ()
- Fonctions membres publiques hérités de JGoogleEmbed
__construct (Registry $options=null, JUri $uri=null)
isSecure ()
getHeader ()
getBody ()
echoHeader ()
echoBody ()
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JGoogleEmbed
$options
$uri

Description détaillée

Google Analytics embed class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des fonctions membres

◆ addCall()

addCall | ( | $method,
 |  | $params = array()
 | ) |

Add an analytics call

Paramètres
string | $method | The name of the function
array | $params | The parameters for the call
Renvoie
array The added call
Depuis
3.1.4

Références $params.

◆ addCustomVar()

addCustomVar | ( | $slot,
 |  | $name,
 |  | $value,
 |  | $scope = 3
 | ) |

Add a custom variable to the analytics

Paramètres
int | $slot | The slot to store the variable in (1-5)
string | $name | The variable name
string | $value | The variable value
int | $scope | The scope of the variable (1: visitor level, 2: session level, 3: page level)
Renvoie
array The added call
Depuis
3.1.4

Références $name, et $value.

◆ addEvent()

addEvent | ( | $category,
 |  | $action,
 |  | $label = null,
 |  | $value = null,
 |  | $noninteract = false
 | ) |

Track an analytics event

Paramètres
string | $category | The general event category
string | $action | The event action
string | $label | The event description
string | $value | The value of the event
boolean | $noninteract | Don't allow this event to impact bounce statistics
Renvoie
array The added call
Depuis
3.1.4

Références $action, $category, $label, et $value.

◆ createCall()

createCall | ( | $method,
 |  | $params = array()
 | ) |

Create a javascript function from the call parameters

Paramètres
string | $method | The name of the function
array | $params | The parameters for the call
Renvoie
string The created call
Depuis
3.1.4

Références $output, $params, et json_encode.

◆ createCustomVar()

createCustomVar | ( | $slot,
 |  | $name,
 |  | $value,
 |  | $scope = 3
 | ) |

Get the code to create a custom analytics variable

Paramètres
int | $slot | The slot to store the variable in (1-5)
string | $name | The variable name
string | $value | The variable value
int | $scope | The scope of the variable (1: visitor level, 2: session level, 3: page level)
Renvoie
string The created call
Depuis
3.1.4

Références $name, et $value.

◆ createEvent()

createEvent | ( | $category,
 |  | $action,
 |  | $label = null,
 |  | $value = null,
 |  | $noninteract = false
 | ) |

Get the code to track an analytics event

Paramètres
string | $category | The general event category
string | $action | The event action
string | $label | The event description
string | $value | The value of the event
boolean | $noninteract | Don't allow this event to impact bounce statistics
Renvoie
string The created call
Depuis
3.1.4

Références $action, $category, $label, et $value.

◆ deleteCall()

deleteCall ( $index = null )

Delete a call from the stack

Paramètres
int $index Index of call to delete (defaults to last added call)
Renvoie
array The deleted call
Depuis
3.1.4

Références null.

◆ getBody()

getBody ( )

Google Analytics only needs to be included in the header

Renvoie
null
Depuis
3.1.4

Références $output, et $prefix.

◆ getCode()

getCode ( )

Method to get the tracking code

Renvoie
string The Google Analytics tracking code
Depuis
3.1.4

◆ getHeader()

getHeader ( )

Get code to load Google Analytics javascript

Renvoie
string Javascript code
Depuis
3.1.4

Références $output.

◆ isAsync()

isAsync ( )

Checks if the javascript is set to be asynchronous

Renvoie
boolean True if asynchronous
Depuis
3.1.4

Références null, et true.

◆ listCalls()

listCalls ( )

List the analytics calls to be executed

Renvoie
array A list of calls
Depuis
3.1.4

◆ setCode()

setCode ( $code )

Method to set the tracking code

Paramètres
string $code The Google Analytics tracking code
Renvoie
JGoogleEmbedAnalytics The object for method chaining
Depuis
3.1.4

◆ useAsync()

useAsync ( )

Load javascript asynchronously

Renvoie
JGoogleEmbedAnalytics The object for method chaining
Depuis
3.1.4

◆ useSync()

useSync ( )

Load javascript synchronously

Renvoie
JGoogleEmbedAnalytics The object for method chaining
Depuis
3.1.4
La documentation de cette classe a été générée à partir du fichier suivant :
  • analytics.php


Joomla CMS: Référence de la classe JGoogleEmbedMaps

Fonctions membres publiques | Attributs protégés
Référence de la classe JGoogleEmbedMaps
+ Graphe d'héritage de JGoogleEmbedMaps:
JGoogleEmbed

Fonctions membres publiques

__construct (Registry $options=null, JUri $uri=null, JHttp $http=null)
getKey ()
setKey ($key)
getMapId ()
setMapId ($id)
getMapClass ()
setMapClass ($class)
getMapStyle ()
setMapStyle ($style)
getMapType ()
setMapType ($type)
getAdditionalMapOptions ()
setAdditionalMapOptions ($options)
getAdditionalJavascript ()
setAdditionalJavascript ($script)
getZoom ()
setZoom ($zoom)
getCenter ()
setCenter ($location, $title=true, $markeroptions=array(), $markerevents=array())
addEventHandler ($type, $function)
deleteEventHandler ($type=null)
listEventHandlers ()
addMarker ($location, $title=null, $options=array(), $events=array())
listMarkers ()
deleteMarker ($index=null)
isAsync ()
useAsync ()
useSync ()
getAsyncCallback ()
setAsyncCallback ($callback)
hasSensor ()
useSensor ()
noSensor ()
getAutoload ()
setAutoload ($type='onload')
getHeader ()
getBody ()
geocodeAddress ($address)
- Fonctions membres publiques hérités de JGoogleEmbed
__construct (Registry $options=null, JUri $uri=null)
isSecure ()
getHeader ()
getBody ()
echoHeader ()
echoBody ()
getOption ($key)
setOption ($key, $value)

Attributs protégés

$http
- Attributs protégés hérités de JGoogleEmbed
$options
$uri

Description détaillée

Google Maps embed class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/google package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JUri | $uri = null,
 |  | JHttp | $http = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Google options object
JUri | $uri | URL of the page being rendered
JHttp | $http | Http client for geocoding requests
Depuis
3.1.4

Références $options, et $uri.

Documentation des fonctions membres

◆ addEventHandler()

addEventHandler | ( | $type,
 |  | $function
 | ) |

Références $function, et $type.

◆ addMarker()

addMarker | ( | $location,
 |  | $title = null,
 |  | $options = array(),
 |  | $events = array()
 | ) |

Références $location, $options, $title, et elseif.

◆ deleteEventHandler()

deleteEventHandler ( $type = null )

Références $type, et null.

◆ deleteMarker()

deleteMarker ( $index = null )

Delete a marker from the map

Paramètres
int $index Index of marker to delete (defaults to last added marker)
Renvoie
array The latitude/longitude of the deleted marker
Depuis
3.1.4

Références null.

◆ geocodeAddress()

geocodeAddress ( $address )

Method to get the location information back from an address

Paramètres
string $address The address to geocode
Renvoie
array An array containing Google's geocode data
Depuis
3.1.4

Références $data, $key, et $uri.

◆ getAdditionalJavascript()

getAdditionalJavascript ( )

Method to get additional map options

Renvoie
string The options
Depuis
3.1.4

◆ getAdditionalMapOptions()

getAdditionalMapOptions ( )

Method to get additional map options

Renvoie
string The options
Depuis
3.1.4

◆ getAsyncCallback()

getAsyncCallback ( )

Method to get callback function for async javascript loading

Renvoie
string The ID
Depuis
3.1.4

◆ getAutoload()

getAutoload ( )

Checks how the script should be loaded

Renvoie
string Autoload type (onload, jquery, mootools, or false)
Depuis
3.1.4

◆ getBody()

getBody ( )

Method to retrieve the div that the map is loaded into

Renvoie
string The body
Depuis
3.1.4

Références $class, $id, $output, et $style.

◆ getCenter()

getCenter ( )

Method to set the center of the map

Renvoie
mixed A latitude longitude array or an address string
Depuis
3.1.4

◆ getHeader()

getHeader ( )

Get code to load Google Maps javascript

Renvoie
string Javascript code
Depuis
3.1.4

Références $id, $key, $options, $output, $title, $type, et json_encode.

◆ getKey()

getKey ( )

Method to get the API key

Renvoie
string The Google Maps API key
Depuis
3.1.4

◆ getMapClass()

getMapClass ( )

Method to get the class of the map div

Renvoie
string The class
Depuis
3.1.4

◆ getMapId()

getMapId ( )

Method to get the id of the map div

Renvoie
string The ID
Depuis
3.1.4

◆ getMapStyle()

getMapStyle ( )

Method to get the style of the map div

Renvoie
string The style
Depuis
3.1.4

◆ getMapType()

getMapType ( )

Method to get the map type setting

Renvoie
string The class
Depuis
3.1.4

◆ getZoom()

getZoom ( )

Method to get the zoom

Renvoie
int The zoom level
Depuis
3.1.4

◆ hasSensor()

hasSensor ( )

Checks if a sensor is set to be required

Renvoie
boolean True if asynchronous
Depuis
3.1.4

Références false, et null.

◆ isAsync()

isAsync ( )

Checks if the javascript is set to be asynchronous

Renvoie
boolean True if asynchronous
Depuis
3.1.4

Références null, et true.

◆ listEventHandlers()

listEventHandlers ( )

List the events added to the map

Renvoie
array A list of events
Depuis
3.1.4

◆ listMarkers()

listMarkers ( )

List the markers added to the map

Renvoie
array A list of markers
Depuis
3.1.4

◆ noSensor()

noSensor ( )

Don't require access to sensor data

Renvoie
JGoogleEmbedAMaps The object for method chaining
Depuis
3.1.4

◆ setAdditionalJavascript()

setAdditionalJavascript ( $script )

Method to add additional javascript

Paramètres
array $script Additional javascript
Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

Références $script.

◆ setAdditionalMapOptions()

setAdditionalMapOptions ( $options )

Method to add additional map options

Paramètres
array $options Additional map options
Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

Références $options.

◆ setAsyncCallback()

setAsyncCallback ( $callback )

Method to set the callback function for async javascript loading

Paramètres
string $callback The callback function name
Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

◆ setAutoload()

setAutoload ( $type = 'onload' )

Automatically add the callback to the window

Paramètres
string $type The method to add the callback (options are onload, jquery, mootools, and false)
Renvoie
JGoogleEmbedAMaps The object for method chaining
Depuis
3.1.4

Références $type.

◆ setCenter()

setCenter | ( | $location,
 |  | $title = true,
 |  | $markeroptions = array(),
 |  | $markerevents = array()
 | ) |

Références $location, $title, elseif, et null.

◆ setKey()

setKey ( $key )

Method to set the API key

Paramètres
string $key The Google Maps API key
Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

Références $key.

◆ setMapClass()

setMapClass ( $class )

Method to set the map div class

Paramètres
string $class The class
Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

Références $class.

◆ setMapId()

setMapId ( $id )

Method to set the map div id

Paramètres
string $id The ID
Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

Références $id.

◆ setMapStyle()

setMapStyle ( $style )

Method to set the map div style

Paramètres
string $style The style
Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

Références $style.

◆ setMapType()

setMapType ( $type )

Method to set the map type ()

Paramètres
string $type Valid types are ROADMAP, SATELLITE, HYBRID, and TERRAIN
Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

Références $type.

◆ setZoom()

setZoom ( $zoom )

Method to set the map zoom

Paramètres
int $zoom Zoom level (0 is whole world)
Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

◆ useAsync()

useAsync ( )

Load javascript asynchronously

Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

◆ useSensor()

useSensor ( )

Require access to sensor data

Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4

◆ useSync()

useSync ( )

Load javascript synchronously

Renvoie
JGoogleEmbedAMaps The object for method chaining
Depuis
3.1.4

Documentation des champs

◆ $http

$http
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/google/embed/maps.php


Joomla CMS: Référence de la classe JGrid

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JGrid

Fonctions membres publiques

__construct ($options=array())
__toString ()
setTableOptions ($options=array(), $replace=false)
getTableOptions ()
addColumn ($name)
getColumns ()
deleteColumn ($name)
setColumns ($columns)
addRow ($options=array(), $special=false)
getRowOptions ()
setRowOptions ($options)
getActiveRow ()
setActiveRow ($id)
setRowCell ($name, $content, $option=array(), $replace=true)
getRow ($id=false)
getRows ($special=false)
deleteRow ($id)
toString ()

Fonctions membres protégées

renderArea ($ids, $area='tbody', $cell='td')
renderAttributes ($attributes)

Attributs protégés

$columns = array()
$activeRow = 0
$rows = array()
$specialRows = array('header' => array(), 'footer' => array())
$options

Description détaillée

JGrid class to dynamically generate HTML tables

Depuis
1.7.3
Obsolète:
4.0 This class will be removed without any replacement

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor for a JGrid object

Paramètres
array $options Associative array of attributes for the table-tag
Depuis
1.7.3

Références $options.

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic function to render this object as a table.

Renvoie
string
Depuis
1.7.3

◆ addColumn()

addColumn ( $name )

Add new column name to process

Paramètres
string $name Internal column name
Renvoie
JGrid This object for chaining
Depuis
1.7.3

Références $name.

◆ addRow()

addRow | ( | $options = array(),
 |  | $special = false
 | ) |

Adds a row to the table and sets the currently active row to the new row

Paramètres
array | $options | Associative array of attributes for the row
int | $special | 1 for a new row in the header, 2 for a new row in the footer
Renvoie
JGrid This object for chaining
Depuis
1.7.3

Références $options.

◆ deleteColumn()

deleteColumn ( $name )

Delete column by name

Paramètres
string $name Name of the column to be deleted
Renvoie
JGrid This object for chaining
Depuis
1.7.3

Références $name.

◆ deleteRow()

deleteRow ( $id )

Delete a row from the object

Paramètres
int $id ID of the row to be deleted
Renvoie
JGrid This object for chaining
Depuis
1.7.3

Références $id.

◆ getActiveRow()

getActiveRow ( )

Get the currently active row ID

Renvoie
int ID of the currently active row
Depuis
1.7.3

◆ getColumns()

getColumns ( )

Returns the list of internal columns

Renvoie
array List of internal columns
Depuis
1.7.3

Références $columns.

◆ getRow()

getRow ( $id = false )

Get all data for a row

Paramètres
int $id ID of the row to return
Renvoie
array Array of columns of a table row
Depuis
1.7.3

Références $id.

◆ getRowOptions()

getRowOptions ( )

Method to get the attributes of the currently active row

Renvoie
array Associative array of attributes
Depuis
1.7.3

◆ getRows()

getRows ( $special = false )

Get the IDs of all rows in the table

Paramètres
int $special false for the standard rows, 1 for the header rows, 2 for the footer rows
Renvoie
array Array of IDs
Depuis
1.7.3

◆ getTableOptions()

getTableOptions ( )

Get the Attributes of the current table

Renvoie
array Associative array of attributes
Depuis
1.7.3

Références $options.

◆ renderArea()

renderArea | ( | $ids,
 |  | $area = 'tbody',
 |  | $cell = 'td'
 | ) |
protected

Render an area of the table

Paramètres
array | $ids | IDs of the rows to render
string | $area | Name of the area to render. Valid: tbody, tfoot, thead
string | $cell | Name of the cell to render. Valid: td, th
Renvoie
string The rendered table area
Depuis
1.7.3

Références $id, $name, et $output.

◆ renderAttributes()

renderAttributes ( $attributes )
protected

Renders an HTML attribute from an associative array

Paramètres
array $attributes Associative array of attributes
Renvoie
string The HTML attribute string
Depuis
1.7.3

Références $attributes, $key, $option, et $return.

◆ setActiveRow()

setActiveRow ( $id )

Set the currently active row

Paramètres
int $id ID of the row to be set to current
Renvoie
JGrid This object for chaining
Depuis
1.7.3

Références $id.

◆ setColumns()

setColumns ( $columns )

Method to set a whole range of columns at once This can be used to re-order the columns, too

Paramètres
array $columns List of internal column names
Renvoie
JGrid This object for chaining
Depuis
1.7.3

Références $columns.

◆ setRowCell()

setRowCell | ( | $name,
 |  | $content,
 |  | $option = array(),
 |  | $replace = true
 | ) |

Set cell content for a specific column for the currently active row

Paramètres
string | $name | Name of the column
string | $content | Content for the cell
array | $option | Associative array of attributes for the td-element
bool | $replace | If false, the content is appended to the current content of the cell
Renvoie
JGrid This object for chaining
Depuis
1.7.3

Références $content, $name, et $option.

◆ setRowOptions()

setRowOptions ( $options )

Method to set the attributes of the currently active row

Paramètres
array $options Associative array of attributes
Renvoie
JGrid This object for chaining
Depuis
1.7.3

Références $options.

◆ setTableOptions()

setTableOptions | ( | $options = array(),
 |  | $replace = false
 | ) |

Method to set the attributes for a table-tag

Paramètres
array | $options | Associative array of attributes for the table-tag
bool | $replace | Replace possibly existing attributes
Renvoie
JGrid This object for chaining
Depuis
1.7.3

Références $options.

◆ toString()

toString ( )

Render the HTML table

Renvoie
string The rendered HTML table
Depuis
1.7.3

Références $output.

Documentation des champs

◆ $activeRow

$activeRow = 0
protected

◆ $columns

$columns = array()
protected

◆ $options

$options
protected

◆ $rows

$rows = array()
protected

◆ $specialRows

$specialRows = array('header' => array(), 'footer' => array())
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/grid/grid.php


Joomla CMS: Référence de la classe JHtmlAccess

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlAccess

Fonctions membres publiques statiques

static | level ($name, $selected, $attribs='', $params=true, $id=false)
static | usergroup ($name, $selected, $attribs='', $allowAll=true, $id=false)
static | usergroups ($name, $selected, $checkSuperAdmin=false)
static | actions ($name, $selected, $component, $section='global')
static | assetgroups ()
static | assetgrouplist ($name, $selected, $attribs=null, $config=array())

Attributs protégés statiques

static $asset_groups = null

Description détaillée

Extended Utility class for all HTML drawing classes.

Depuis
1.6

Documentation des fonctions membres

◆ actions()

static actions | ( | $name,
 |  | $selected,
 |  | $component,
 |  | $section = 'global'
 | ) |
static

Returns a UL list of actions with checkboxes

Paramètres
string | $name | The name of the checkbox controls array
array | $selected | An array of the checked boxes
string | $component | The component the permissions apply to
string | $section | The section (within a component) the permissions apply to
Renvoie
string
Voir également
JAccess
Depuis
1.6

Références $checked, $component, $count, $html, $i, $item, $n, $name, $section, $selected, et JPATH_ADMINISTRATOR.

◆ assetgrouplist()

static assetgrouplist | ( | $name,
 |  | $selected,
 |  | $attribs = null,
 |  | $config = array()
 | ) |
static

Displays a Select list of the available asset groups

Paramètres
string | $name | The name of the select element
mixed | $selected | The selected asset group id
string | $attribs | Optional attributes for the select field
array | $config | An array of options for the control
Renvoie
mixed An HTML string or null if an error occurs
Depuis
1.6

Références $attribs, $config, $count, $name, $options, $selected, et null.

◆ assetgroups()

static assetgroups ( )
static

Gets a list of the asset groups as an array of JHtml compatible options.

Renvoie
mixed An array or false if an error occurs
Depuis
1.6

Références $db, et $query.

◆ level()

static level | ( | $name,
 |  | $selected,
 |  | $attribs = '',
 |  | $params = true,
 |  | $id = false
 | ) |
static

Displays a list of the available access view levels

Paramètres
string | $name | The form field name.
string | $selected | The name of the selected section.
string | $attribs | Additional attributes to add to the select field.
mixed | $params | True to add "All Sections" option or an array of options
mixed | $id | The form field id or false if not used
Renvoie
string The required HTML for the SELECT tag.
Voir également
JFormFieldAccessLevel
Depuis
1.6

Références $attribs, $db, $id, $name, $options, $params, $query, $selected, et elseif.

◆ usergroup()

static usergroup | ( | $name,
 |  | $selected,
 |  | $attribs = '',
 |  | $allowAll = true,
 |  | $id = false
 | ) |
static

Displays a list of the available user groups.

Paramètres
string | $name | The form field name.
string | $selected | The name of the selected section.
string | $attribs | Additional attributes to add to the select field.
boolean | $allowAll | True to add "All Groups" option.
mixed | $id | The form field id
Renvoie
string The required HTML for the SELECT tag.
Voir également
JFormFieldUsergroup
Depuis
1.6

Références $attribs, $i, $id, $n, $name, $options, et $selected.

◆ usergroups()

static usergroups | ( | $name,
 |  | $selected,
 |  | $checkSuperAdmin = false
 | ) |
static

Returns a UL list of user groups with checkboxes

Paramètres
string | $name | The name of the checkbox controls array
array | $selected | An array of the checked boxes
boolean | $checkSuperAdmin | If false only super admins can add to super admin groups
Renvoie
string
Depuis
1.6

Références $checked, $count, $groups, $html, $i, $item, $n, $name, $rel, et $selected.

Documentation des champs

◆ $asset_groups

$asset_groups = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/access.php


Joomla CMS: Référence de la classe JHtmlActionsDropdown

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlActionsDropdown

Fonctions membres publiques statiques

static | render ($item='')
static | publish ($id, $prefix='')
static | unpublish ($id, $prefix='')
static | feature ($id, $prefix='')
static | unfeature ($id, $prefix='')
static | archive ($id, $prefix='')
static | unarchive ($id, $prefix='')
static | duplicate ($id, $prefix='')
static | trash ($id, $prefix='')
static | untrash ($id, $prefix='')
static | divider ()
static | addCustomItem ($label, $icon='', $id='', $task='')

Attributs protégés statiques

static $dropDownList = array()

Description détaillée

HTML utility class for building a dropdown menu

Depuis
3.2

Documentation des fonctions membres

◆ addCustomItem()

static addCustomItem | ( | $label,
 |  | $icon = '',
 |  | $id = '',
 |  | $task = ''
 | ) |
static

Append a custom item to current dropdown menu.

Paramètres
string | $label | The label of the item.
string | $icon | The icon classname.
string | $id | The item id.
string | $task | The task.
Renvoie
void
Depuis
3.2

Références $id, et $task.

◆ archive()

static archive | ( | $id,
 |  | $prefix = ''
 | ) |
static

Append an archive item to the current dropdown menu

Paramètres
string | $id | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.2

Références $id, $prefix, et $task.

◆ divider()

static divider ( )
static

Writes a divider between dropdown items

Renvoie
void
Depuis
3.0

◆ duplicate()

static duplicate | ( | $id,
 |  | $prefix = ''
 | ) |
static

Append a duplicate item to the current dropdown menu

Paramètres
string | $id | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.2

Références $id, $prefix, et $task.

◆ feature()

static feature | ( | $id,
 |  | $prefix = ''
 | ) |
static

Append a feature item to the current dropdown menu

Paramètres
string | $id | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.2

Références $id, $prefix, et $task.

◆ publish()

static publish | ( | $id,
 |  | $prefix = ''
 | ) |
static

Append a publish item to the current dropdown menu

Paramètres
string | $id | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.2

Références $id, $prefix, et $task.

◆ render()

static render ( $item = '' )
static

Method to render current dropdown menu

Paramètres
string $item An item to render.
Renvoie
string HTML markup for the dropdown list
Depuis
3.2

Références $html, $item, et null.

◆ trash()

static trash | ( | $id,
 |  | $prefix = ''
 | ) |
static

Append a trash item to the current dropdown menu

Paramètres
string | $id | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.2

Références $id, $prefix, et $task.

◆ unarchive()

static unarchive | ( | $id,
 |  | $prefix = ''
 | ) |
static

Append an unarchive item to the current dropdown menu

Paramètres
string | $id | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.2

Références $id, $prefix, et $task.

◆ unfeature()

static unfeature | ( | $id,
 |  | $prefix = ''
 | ) |
static

Append an unfeature item to the current dropdown menu

Paramètres
string | $id | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.2

Références $id, $prefix, et $task.

◆ unpublish()

static unpublish | ( | $id,
 |  | $prefix = ''
 | ) |
static

Append an unpublish item to the current dropdown menu

Paramètres
string | $id | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.2

Références $id, $prefix, et $task.

◆ untrash()

static untrash | ( | $id,
 |  | $prefix = ''
 | ) |
static

Append an untrash item to the current dropdown menu

Paramètres
string | $id | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.2

Références $id, et $prefix.

Documentation des champs

◆ $dropDownList

$dropDownList = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • actionsdropdown.php


Joomla CMS: Référence de la classe JHtmlAdminLanguage

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlAdminLanguage

Fonctions membres publiques statiques

static existing ($all=false, $translate=false)

Attributs protégés statiques

static $items = null

Description détaillée

Utility class working with administrator language select lists

Depuis
3.8.0

Documentation des fonctions membres

◆ existing()

static existing | ( | $all = false,
 |  | $translate = false
 | ) |
static

Get a list of the available administrator language items.

Paramètres
boolean | $all | True to include All (*)
boolean | $translate | True to translate All
Renvoie
string
Depuis
3.8.0

Références $items, $language, et JPATH_ADMINISTRATOR.

Documentation des champs

◆ $items

$items = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/adminlanguage.php


Joomla CMS: Référence de la classe JHtmlBanner

Fonctions membres publiques statiques
Référence de la classe JHtmlBanner

Fonctions membres publiques statiques

static | clients ()
static | clientlist ()
static | pinned ($value, $i, $enabled=true, $checkbox='cb')

Description détaillée

Banner HTML class.

Depuis
2.5

Documentation des fonctions membres

◆ clientlist()

static clientlist ( )
static

Method to get the field options.

Renvoie
array The field option objects.
Depuis
1.6

Références $db, $options, $query, et JError\raiseWarning().

◆ clients()

static clients ( )
static

Display a batch widget for the client selector.

Renvoie
string The necessary HTML for the widget.
Depuis
2.5

◆ pinned()

static pinned | ( | $value,
 |  | $i,
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |
static

Returns a pinned state on a grid

Paramètres
integer | $value | The state value.
integer | $i | The row index
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The Html code
Voir également
JHtmlJGrid::state
Depuis
2.5.5

Références $enabled, $i, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_banners/helpers/html/banner.php


Joomla CMS: Référence de la classe JHtmlBatch

Fonctions membres publiques statiques
Référence de la classe JHtmlBatch

Fonctions membres publiques statiques

static | access ()
static | item ($extension)
static | language ()
static | user ($noUser=true)
static | tag ()

Description détaillée

Extended Utility class for batch processing widgets.

Depuis
1.7
Obsolète:
4.0 Use JLayout directly

Documentation des fonctions membres

◆ access()

static access ( )
static

Display a batch widget for the access level selector.

Renvoie
string The necessary HTML for the widget.
Depuis
1.7
Obsolète:
4.0 instead of JHtml::_('batch.access'); use JLayoutHelper::render('joomla.html.batch.access', array());

◆ item()

static item ( $extension )
static

Displays a batch widget for moving or copying items.

Paramètres
string $extension The extension that owns the category.
Renvoie
string The necessary HTML for the widget.
Depuis
1.7
Obsolète:
4.0 instead of JHtml::_('batch.item'); use JLayoutHelper::render('joomla.html.batch.item', array('extension' => 'com_XXX'));

Références $displayData, et $extension.

◆ language()

static language ( )
static

Display a batch widget for the language selector.

Renvoie
string The necessary HTML for the widget.
Depuis
2.5
Obsolète:
4.0 instead of JHtml::_('batch.language'); use JLayoutHelper::render('joomla.html.batch.language', array());

◆ tag()

static tag ( )
static

Display a batch widget for the tag selector.

Renvoie
string The necessary HTML for the widget.
Depuis
3.1
Obsolète:
4.0 instead of JHtml::_('batch.tag'); use JLayoutHelper::render('joomla.html.batch.tag', array());

◆ user()

static user ( $noUser = true )
static

Display a batch widget for the user selector.

Paramètres
boolean $noUser Choose to display a "no user" option
Renvoie
string The necessary HTML for the widget.
Depuis
2.5
Obsolète:
4.0 instead of JHtml::_('batch.user'); use JLayoutHelper::render('joomla.html.batch.user', array());

Références $displayData.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/batch.php


Joomla CMS: Référence de la classe JHtmlBehavior

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe JHtmlBehavior

Fonctions membres publiques statiques

static | framework ($extras=false, $debug=null)
static | core ()
static | caption ($selector='img.caption')
static | formvalidation ()
static | formvalidator ()
static | switcher ()
static | combobox ()
static | tooltip ($selector='.hasTip', $params=array())
static | modal ($selector='a.modal', $params=array())
static | multiselect ($id='adminForm')
static | tree ($id, $params=array(), $root=array())
static | calendar ()
static | colorpicker ()
static | simplecolorpicker ()
static | keepalive ()
static | highlighter (array $terms, $start='highlighter-start', $end='highlighter-end', $className='highlight', $tag='span')
static | noframes ()
static | tabstate ()
static | polyfill ($polyfillTypes=null, $conditionalBrowser=null)

Fonctions membres protégées statiques

static | _getJSObject ($array=array())
static | calendartranslation ()

Attributs protégés statiques

static $loaded = array()

Description détaillée

Utility class for JavaScript behaviors

Depuis
1.5

Documentation des fonctions membres

◆ _getJSObject()

static _getJSObject ( $array = array() )
staticprotected

Internal method to get a JavaScript object notation string from an array

Paramètres
array $array The array to convert to JavaScript object notation
Renvoie
string JavaScript object notation representation of the array
Depuis
1.5
Obsolète:
4.0 - Use JHtml::getJSObject() instead.

◆ calendar()

static calendar ( )
static

Add unobtrusive JavaScript support for a calendar control.

Renvoie
void
Depuis
1.5
Obsolète:
4.0

◆ calendartranslation()

static calendartranslation ( )
staticprotected

Internal method to translate the JavaScript Calendar

Renvoie
string JavaScript that translates the object
Depuis
1.5

Références $text, et json_encode.

◆ caption()

static caption ( $selector = 'img.caption' )
static

Add unobtrusive JavaScript support for image captions.

Paramètres
string $selector The selector for which a caption behaviour is to be applied.
Renvoie
void
Depuis
1.5

4.0 Use native HTML figure tags.

Références $selector, et getDocument.

◆ colorpicker()

static colorpicker ( )
static

Add unobtrusive JavaScript support for a color picker.

Renvoie
void
Depuis
1.7
Obsolète:
4.0 Use directly the field or the layout

◆ combobox()

static combobox ( )
static

Add unobtrusive JavaScript support for a combobox effect.

Note that this control is only reliable in absolutely positioned elements. Avoid using a combobox in a slider or dynamic pane.

Renvoie
void
Depuis
1.5

◆ core()

static core ( )
static

Method to load core.js into the document head.

Core.js defines the 'Joomla' namespace and contains functions which are used across extensions

Renvoie
void
Depuis
3.3

Références getDocument.

◆ formvalidation()

static formvalidation ( )
static

Add unobtrusive JavaScript support for form validation.

To enable form validation the form tag must have class="form-validate". Each field that needs to be validated needs to have class="validate". Additional handlers can be added to the handler for username, password, numeric and email. To use these add class="validate-email" and so on.

Renvoie
void
Depuis
1.5

3.4 Use formvalidator instead

◆ formvalidator()

static formvalidator ( )
static

Add unobtrusive JavaScript support for form validation.

To enable form validation the form tag must have class="form-validate". Each field that needs to be validated needs to have class="validate". Additional handlers can be added to the handler for username, password, numeric and email. To use these add class="validate-email" and so on.

Renvoie
void
Depuis
3.4

◆ framework()

static framework | ( | $extras = false,
 |  | $debug = null
 | ) |
static

Method to load the MooTools framework into the document head

If debugging mode is on an uncompressed version of MooTools is included for easier debugging.

Paramètres
boolean | $extras | Flag to determine whether to load MooTools More in addition to Core
mixed | $debug | Is debugging mode on? [optional]
Renvoie
void
Depuis
1.6
Obsolète:
4.0 Update scripts to jquery

Références $type, JDEBUG, et null.

◆ highlighter()

static highlighter | ( | array | $terms,
 |  |  | $start = 'highlighter-start',
 |  |  | $end = 'highlighter-end',
 |  |  | $className = 'highlight',
 |  |  | $tag = 'span'
 | ) |  |
static

Highlight some words via Javascript.

Paramètres
array | $terms | Array of words that should be highlighted.
string | $start | ID of the element that marks the begin of the section in which words should be highlighted. Note this element will be removed from the DOM.
string | $end | ID of the element that end this section. Note this element will be removed from the DOM.
string | $className | Class name of the element highlights are wrapped in.
string | $tag | Tag that will be used to wrap the highlighted words.
Renvoie
void
Depuis
2.5

◆ keepalive()

static keepalive ( )
static

Keep session alive, for example, while editing or creating an article.

Renvoie
void
Depuis
1.5

◆ modal()

static modal | ( | $selector = 'a.modal',
 |  | $params = array()
 | ) |
static

Add unobtrusive JavaScript support for modal links.

Paramètres
string $selector The selector for which a modal behaviour is to be applied.
array $params An array of parameters for the modal behaviour. Options for the modal behaviour can be:
  • ajaxOptions
  • size
  • shadow
  • overlay
  • onOpen
  • onClose
  • onUpdate
  • onResize
  • onShow
  • onHide
Renvoie
void
Depuis
1.5
Obsolète:
4.0 Use the modal equivalent from bootstrap

Références $document, $options, $params, $selector, getDocument, et null.

◆ multiselect()

static multiselect ( $id = 'adminForm' )
static

JavaScript behavior to allow shift select in grids

Paramètres
string $id The id of the form for which a multiselect behaviour is to be applied.
Renvoie
void
Depuis
1.7

Références $id, et getDocument.

◆ noframes()

static noframes ( )
static

Break us out of any containing iframes

Renvoie
void
Depuis
1.5
Obsolète:
4.0 Add a X-Frame-Options HTTP Header with the SAMEORIGIN value instead.

Références jQuery.

◆ polyfill()

static polyfill | ( | $polyfillTypes = null,
 |  | $conditionalBrowser = null
 | ) |
static

Add javascript polyfills.

Paramètres
string | array | $polyfillTypes | The polyfill type(s). Examples: event, array('event', 'classlist').
string | $conditionalBrowser | An IE conditional expression. Example: lt IE 9 (lower than IE 9).
Renvoie
void
Depuis
3.7.0

Références null.

◆ simplecolorpicker()

static simplecolorpicker ( )
static

Add unobtrusive JavaScript support for a simple color picker.

Renvoie
void
Depuis
3.1
Obsolète:
4.0 Use directly the field or the layout

◆ switcher()

static switcher ( )
static

Add unobtrusive JavaScript support for submenu switcher support

Renvoie
void
Depuis
1.5
Obsolète:
4.0 No replacement, only used in Hathor.

Références $script, et getDocument.

◆ tabstate()

static tabstate ( )
static

Add unobtrusive JavaScript support to keep a tab state.

Note that keeping tab state only works for inner tabs if in accordance with the following example:

parent tab = permissions
child tab = permission-<identifier>

Each tab header <a> tag also should have a unique href attribute

Renvoie
void
Depuis
3.2
Obsolète:
4.0 In Joomla 4 use the custom element joomla-tab.

◆ tooltip()

static tooltip | ( | $selector = '.hasTip',
 |  | $params = array()
 | ) |
static

Add unobtrusive JavaScript support for a hover tooltips.

Add a title attribute to any element in the form title="title::text"

Uses the core Tips class in MooTools.

Paramètres
string $selector The class selector for the tooltip.
array $params An array of options for the tooltip. Options for the tooltip can be:
  • maxTitleChars integer The maximum number of characters in the tooltip title (defaults to 50).
  • offsets object The distance of your tooltip from the mouse (defaults to {'x': 16, 'y': 16}).
  • showDelay integer The millisecond delay the show event is fired (defaults to 100).
  • hideDelay integer The millisecond delay the hide hide is fired (defaults to 100).
  • className string The className your tooltip container will get.
  • fixed boolean If set to true, the toolTip will not follow the mouse.
  • onShow function The default function for the show event, passes the tip element and the currently hovered element.
  • onHide function The default function for the hide event, passes the currently hovered element.
Renvoie
void
Depuis
1.5
Obsolète:
4.0 Use JHtmlBootstrap::tooltip() instead.

Références $options, $params, $selector, getDocument, et null.

◆ tree()

static tree | ( | $id,
 |  | $params = array(),
 |  | $root = array()
 | ) |
static

Add unobtrusive javascript support for a collapsible tree.

Paramètres
string | $id | An index
array | $params | An array of options.
array | $root | The root node
Renvoie
void
Depuis
1.5
Obsolète:
4.0 No replacement, not used since 3.0.

Références $id, $js, $options, $params, $root, et null.

Documentation des champs

◆ $loaded

$loaded = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • cms/html/behavior.php


Joomla CMS: Référence de la classe JHtmlBootstrap

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlBootstrap

Fonctions membres publiques statiques

static | affix ($selector='affix', $params=array())
static | alert ($selector='alert')
static | button ($selector='button')
static | carousel ($selector='carousel', $params=array())
static | dropdown ($selector='dropdown-toggle')
static | framework ($debug=null)
static | modal ($selector='modal', $params=array())
static | renderModal ($selector='modal', $params=array(), $body='')
static | popover ($selector='.hasPopover', $params=array())
static | scrollspy ($selector='navbar', $params=array())
static | tooltip ($selector='.hasTooltip', $params=array())
static | tooltipExtended ($extended=true)
static | typeahead ($selector='.typeahead', $params=array())
static | startAccordion ($selector='myAccordian', $params=array())
static | endAccordion ()
static | addSlide ($selector, $text, $id, $class='')
static | endSlide ()
static | startTabSet ($selector='myTab', $params=array())
static | endTabSet ()
static | addTab ($selector, $id, $title)
static | endTab ()
static | startPane ($selector='myTab', $params=array())
static | endPane ()
static | addPanel ($selector, $id)
static | endPanel ()
static | loadCss ($includeMainCss=true, $direction='ltr', $attribs=array())

Attributs protégés statiques

static $loaded = array()

Description détaillée

Utility class for Bootstrap elements.

Depuis
3.0

Documentation des fonctions membres

◆ addPanel()

static addPanel | ( | $selector,
 |  | $id
 | ) |
static

Begins the display of a new tab content panel.

Paramètres
string | $selector | Identifier of the panel.
string | $id | The ID of the div element
Renvoie
string HTML to start a new panel
Depuis
3.0
Obsolète:
4.0 Use JHtml::_('bootstrap.addTab') instead.

Références $active, $id, et $selector.

◆ addSlide()

static addSlide | ( | $selector,
 |  | $text,
 |  | $id,
 |  | $class = ''
 | ) |
static

Begins the display of a new accordion slide.

Paramètres
string | $selector | Identifier of the accordion group.
string | $text | Text to display.
string | $id | Identifier of the slide.
string | $class | Class of the accordion group.
Renvoie
string HTML to add the slide
Depuis
3.0

Références $class, $html, $id, $selector, et $text.

◆ addTab()

static addTab | ( | $selector,
 |  | $id,
 |  | $title
 | ) |
static

Begins the display of a new tab content panel.

Paramètres
string | $selector | Identifier of the panel.
string | $id | The ID of the div element
string | $title | The title text for the new UL tab
Renvoie
string HTML to start a new panel
Depuis
3.1

Références $active, $id, $selector, $title, getDocument, et null.

◆ affix()

static affix | ( | $selector = 'affix',
 |  | $params = array()
 | ) |
static

Add javascript support for the Bootstrap affix plugin

Paramètres
string $selector Unique selector for the element to be affixed.
array $params An array of options. Options for the affix plugin can be:
  • offset number|function|object Pixels to offset from screen when calculating position of scroll. If a single number is provided, the offset will be applied in both top and left directions. To listen for a single direction, or multiple unique offsets, just provide an object offset: { x: 10 }. Use a function when you need to dynamically provide an offset (useful for some responsive designs).
Renvoie
void
Depuis
3.1
Obsolète:
4.0 Bootstrap 4.0 dropped this so will Joomla.

Références $options, $params, $selector, getDocument, et json_encode.

◆ alert()

static alert ( $selector = 'alert' )
static

Add javascript support for Bootstrap alerts

Paramètres
string $selector Common class for the alerts
Renvoie
void
Depuis
3.0

Références $selector, getDocument, et json_encode.

◆ button()

static button ( $selector = 'button' )
static

Add javascript support for Bootstrap buttons

Paramètres
string $selector Common class for the buttons
Renvoie
void
Depuis
3.1

Références $selector, getDocument, et json_encode.

◆ carousel()

static carousel | ( | $selector = 'carousel',
 |  | $params = array()
 | ) |
static

Add javascript support for Bootstrap carousels

Paramètres
string $selector Common class for the carousels.
array $params An array of options for the carousel. Options for the carousel can be:
  • interval number The amount of time to delay between automatically cycling an item. If false, carousel will not automatically cycle.
  • pause string Pauses the cycling of the carousel on mouseenter and resumes the cycling of the carousel on mouseleave.
Renvoie
void
Depuis
3.0

Références $options, $params, $selector, getDocument, et json_encode.

◆ dropdown()

static dropdown ( $selector = 'dropdown-toggle' )
static

Add javascript support for Bootstrap dropdowns

Paramètres
string $selector Common class for the dropdowns
Renvoie
void
Depuis
3.0

Références $selector, getDocument, et json_encode.

◆ endAccordion()

static endAccordion ( )
static

Close the current accordion

Renvoie
string HTML to close the accordian
Depuis
3.0

◆ endPane()

static endPane ( )
static

Close the current tab pane

Renvoie
string HTML to close the pane
Depuis
3.0
Obsolète:
4.0 Use JHtml::_('bootstrap.endTabSet') instead.

◆ endPanel()

static endPanel ( )
static

Close the current tab content panel

Renvoie
string HTML to close the pane
Depuis
3.0
Obsolète:
4.0 Use JHtml::_('bootstrap.endTab') instead.

◆ endSlide()

static endSlide ( )
static

Close the current slide

Renvoie
string HTML to close the slide
Depuis
3.0

◆ endTab()

static endTab ( )
static

Close the current tab content panel

Renvoie
string HTML to close the pane
Depuis
3.1

◆ endTabSet()

static endTabSet ( )
static

Close the current tab pane

Renvoie
string HTML to close the pane
Depuis
3.1

◆ framework()

static framework ( $debug = null )
static

Method to load the Bootstrap JavaScript framework into the document head

If debugging mode is on an uncompressed version of Bootstrap is included for easier debugging.

Paramètres
mixed $debug Is debugging mode on? [optional]
Renvoie
void
Depuis
3.0

Références JDEBUG, et null.

◆ loadCss()

static loadCss | ( | $includeMainCss = true,
 |  | $direction = 'ltr',
 |  | $attribs = array()
 | ) |
static

Loads CSS files needed by Bootstrap

Paramètres
boolean | $includeMainCss | If true, main bootstrap.css files are loaded
string | $direction | rtl or ltr direction. If empty, ltr is assumed
array | $attribs | Optional array of attributes to be passed to JHtml::_('stylesheet')
Renvoie
void
Depuis
3.0

Références $attribs, et $direction.

◆ modal()

static modal | ( | $selector = 'modal',
 |  | $params = array()
 | ) |
static

Add javascript support for Bootstrap modals

Paramètres
string $selector The ID selector for the modal.
array $params An array of options for the modal. Options for the modal can be:
  • backdrop boolean Includes a modal-backdrop element.
  • keyboard boolean Closes the modal when escape key is pressed.
  • show boolean Shows the modal when initialized.
  • remote string An optional remote URL to load
Renvoie
void
Depuis
3.0
Obsolète:
4.0 This method was used by the old renderModal() implementation. Since the new implementation it is unneeded and the broken JS it was injecting could create issues As a case, please see: https://github.com/joomla/joomla-cms/pull/6918

Références $options, $params, $selector, getDocument, et json_encode.

◆ popover()

static popover | ( | $selector = '.hasPopover',
 |  | $params = array()
 | ) |
static

Add javascript support for Bootstrap popovers

Use element's Title as popover content

Paramètres
string | $selector | Selector for the popover
array | $params | An array of options for the popover. Options for the popover can be: animation boolean apply a css fade transition to the popover html boolean Insert HTML into the popover. If false, jQuery's text method will be used to insert content into the dom. placement string|function how to position the popover - top | bottom | left | right selector string If a selector is provided, popover objects will be delegated to the specified targets. trigger string how popover is triggered - hover | focus | manual title string|function default title value if title tag isn't present content string|function default content value if data-content attribute isn't present delay number|object delay showing and hiding the popover (ms) - does not apply to manual trigger type If a number is supplied, delay is applied to both hide/show Object structure is: delay: { show: 500, hide: 100 } container string|boolean Appends the popover to a specific element: { container: 'body' }
Renvoie
void
Depuis
3.0

Références $options, $params, $selector, getDocument, json_encode, et null.

◆ renderModal()

static renderModal | ( | $selector = 'modal',
 |  | $params = array(),
 |  | $body = ''
 | ) |
static

Method to render a Bootstrap modal

Paramètres
string | $selector | The ID selector for the modal.
array $params An array of options for the modal. Options for the modal can be:
  • title string The modal title
  • backdrop mixed A boolean select if a modal-backdrop element should be included (default = true) The string 'static' includes a backdrop which doesn't close the modal on click.
  • keyboard boolean Closes the modal when escape key is pressed (default = true)
  • closeButton boolean Display modal close button (default = true)
  • animation boolean Fade in from the top of the page (default = true)
  • footer string Optional markup for the modal footer
  • url string URL of a resource to be inserted as an <iframe> inside the modal body
  • height string height of the <iframe> containing the remote resource
  • width string width of the <iframe> containing the remote resource
string | $body | Markup for the modal body. Appended after the <iframe> if the URL option is set
Renvoie
string HTML markup for a modal
Depuis
3.0

Références $params, et $selector.

◆ scrollspy()

static scrollspy | ( | $selector = 'navbar',
 |  | $params = array()
 | ) |
static

Add javascript support for Bootstrap ScrollSpy

Paramètres
string $selector The ID selector for the ScrollSpy element.
array $params An array of options for the ScrollSpy. Options for the ScrollSpy can be:
  • offset number Pixels to offset from top when calculating position of scroll.
Renvoie
void
Depuis
3.0

Références $options, $params, $selector, getDocument, et json_encode.

◆ startAccordion()

static startAccordion | ( | $selector = 'myAccordian',
 |  | $params = array()
 | ) |
static

Add javascript support for Bootstrap accordions and insert the accordion

Paramètres
string $selector The ID selector for the tooltip.
array $params An array of options for the tooltip. Options for the tooltip can be:
  • parent selector If selector then all collapsible elements under the specified parent will be closed when this collapsible item is shown. (similar to traditional accordion behavior)
  • toggle boolean Toggles the collapsible element on invocation
  • active string Sets the active slide during load
  • onShow function This event fires immediately when the show instance method is called.
  • onShown function This event is fired when a collapse element has been made visible to the user (will wait for css transitions to complete).
  • onHide function This event is fired immediately when the hide method has been called.
  • onHidden function This event is fired when a collapse element has been hidden from the user (will wait for css transitions to complete).
Renvoie
string HTML for the accordian
Depuis
3.0

Références $options, $params, $script, $selector, getDocument, et null.

◆ startPane()

static startPane | ( | $selector = 'myTab',
 |  | $params = array()
 | ) |
static

Creates a tab pane

Paramètres
string | $selector | The pane identifier.
array | $params | The parameters for the pane
Renvoie
string
Depuis
3.0
Obsolète:
4.0 Use JHtml::_('bootstrap.startTabSet') instead.

Références $params, $selector, getDocument, et json_encode.

◆ startTabSet()

static startTabSet | ( | $selector = 'myTab',
 |  | $params = array()
 | ) |
static

Creates a tab pane

Paramètres
string | $selector | The pane identifier.
array | $params | The parameters for the pane
Renvoie
string
Depuis
3.1

Références $params, $selector, et getDocument.

◆ tooltip()

static tooltip | ( | $selector = '.hasTooltip',
 |  | $params = array()
 | ) |
static

Add javascript support for Bootstrap tooltips

Add a title attribute to any element in the form title="title::text"

Paramètres
string $selector The ID selector for the tooltip.
array $params An array of options for the tooltip. Options for the tooltip can be:
  • animation boolean Apply a CSS fade transition to the tooltip
  • html boolean Insert HTML into the tooltip. If false, jQuery's text method will be used to insert content into the dom.
  • placement string|function How to position the tooltip - top | bottom | left | right
  • selector string If a selector is provided, tooltip objects will be delegated to the specified targets.
  • title string|function Default title value if title tag isn't present
  • trigger string How tooltip is triggered - hover | focus | manual
  • delay integer Delay showing and hiding the tooltip (ms) - does not apply to manual trigger type If a number is supplied, delay is applied to both hide/show Object structure is: delay: { show: 500, hide: 100 }
  • container string|boolean Appends the popover to a specific element: { container: 'body' }
Renvoie
void
Depuis
3.0

Références $options, $params, $script, $selector, getDocument, json_encode, et null.

◆ tooltipExtended()

static tooltipExtended ( $extended = true )
static

Loads js and css files needed by Bootstrap Tooltip Extended plugin

Paramètres
boolean $extended If true, bootstrap-tooltip-extended.js and .css files are loaded
Renvoie
void
Depuis
3.6
Obsolète:
4.0 No replacement, use Bootstrap tooltips.

◆ typeahead()

static typeahead | ( | $selector = '.typeahead',
 |  | $params = array()
 | ) |
static

Add javascript support for Bootstrap typeahead

Paramètres
string $selector The selector for the typeahead element.
array $params An array of options for the typeahead element. Options for the tooltip can be:
  • source array, function The data source to query against. May be an array of strings or a function. The function is passed two arguments, the query value in the input field and the process callback. The function may be used synchronously by returning the data source directly or asynchronously via the process callback's single argument.
  • items number The max number of items to display in the dropdown.
  • minLength number The minimum character length needed before triggering autocomplete suggestions
  • matcher function The method used to determine if a query matches an item. Accepts a single argument, the item against which to test the query. Access the current query with this.query. Return a boolean true if query is a match.
  • sorter function Method used to sort autocomplete results. Accepts a single argument items and has the scope of the typeahead instance. Reference the current query with this.query.
  • updater function The method used to return selected item. Accepts a single argument, the item and has the scope of the typeahead instance.
  • highlighter function Method used to highlight autocomplete results. Accepts a single argument item and has the scope of the typeahead instance. Should return html.
Renvoie
void
Depuis
3.0
Obsolète:
4.0 Bootstrap 4.0 dropped this so will Joomla.

Références $options, $params, $selector, getDocument, json_encode, et null.

Documentation des champs

◆ $loaded

$loaded = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/bootstrap.php


Joomla CMS: Référence de la classe JHtmlCategoriesAdministrator

Fonctions membres publiques statiques
Référence de la classe JHtmlCategoriesAdministrator

Fonctions membres publiques statiques

static association ($catid, $extension='com_content')

Description détaillée

Administrator category HTML

Depuis
3.2

Documentation des fonctions membres

◆ association()

static association | ( | $catid,
 |  | $extension = 'com_content'
 | ) |
static

Render the list of associated items

Paramètres
integer | $catid | Category identifier to search its associations
string | $extension | Category Extension
Renvoie
string The language HTML
Depuis
3.2
Exceptions
Exception

Références $classes, $db, $extension, $html, $item, $items, $query, $text, $url, ENT_QUOTES, CategoriesHelper\getAssociations(), et htmlspecialchars.

La documentation de cette classe a été générée à partir du fichier suivant :
  • categoriesadministrator.php


Joomla CMS: Référence de la classe JHtmlCategory

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlCategory

Fonctions membres publiques statiques

static | options ($extension, $config=array('filter.published'=> array(0, 1)))
static | categories ($extension, $config=array('filter.published'=> array(0, 1)))

Attributs protégés statiques

static $items = array()

Description détaillée

Utility class for categories

Depuis
1.5

Documentation des fonctions membres

◆ categories()

static categories | ( | $extension,
 |  | $config = array('filter.published' => array(0, 1))
 | ) |
static

Returns an array of categories for the given extension.

Paramètres
string | $extension | The extension option.
array | $config | An array of configuration options. By default, only published and unpublished categories are returned.
Renvoie
array Categories for the extension
Depuis
1.6

Références $config, $db, $extension, $groups, $hash, $item, $items, $query, $user, et elseif.

◆ options()

static options | ( | $extension,
 |  | $config = array('filter.published' => array(0, 1))
 | ) |
static

Returns an array of categories for the given extension.

Paramètres
string | $extension | The extension option e.g. com_something.
array | $config | An array of configuration options. By default, only published and unpublished categories are returned.
Renvoie
array
Depuis
1.5

Références $config, $db, $extension, $groups, $hash, $item, $items, $language, $query, $user, et elseif.

Documentation des champs

◆ $items

$items = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/category.php


Joomla CMS: Référence de la classe JHtmlContact

Fonctions membres publiques statiques
Référence de la classe JHtmlContact

Fonctions membres publiques statiques

static | association ($contactid)
static | featured ($value=0, $i=0, $canChange=true)

Description détaillée

Contact HTML helper class.

Depuis
1.6

Documentation des fonctions membres

◆ association()

static association ( $contactid )
static

Get the associated language flags

Paramètres
integer $contactid The item id to search associations
Renvoie
string The language HTML
Exceptions
Exception

Références $classes, $db, $html, $item, $items, $query, $text, $tooltip, $url, ENT_QUOTES, et htmlspecialchars.

◆ featured()

static featured | ( | $value = 0,
 |  | $i = 0,
 |  | $canChange = true
 | ) |
static

Show the featured/not-featured icon.

Paramètres
integer | $value | The featured value.
integer | $i | Id of the item.
boolean | $canChange | Whether the value can be changed or not.
Renvoie
string The anchor tag to toggle featured/unfeatured contacts.
Depuis
1.6

Références $canChange, $html, $i, $icon, $state, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_contact/helpers/html/contact.php


Joomla CMS: Référence de la classe JHtmlContent

Fonctions membres publiques statiques
Référence de la classe JHtmlContent

Fonctions membres publiques statiques

static | prepare ($text, $params=null, $context='text')
static | months ($state)

Description détaillée

Utility class to fire onContentPrepare for non-article based content.

Depuis
1.5

Documentation des fonctions membres

◆ months()

static months ( $state )
static

Returns an array of months.

Paramètres
Registry $state The state object.
Renvoie
array
Depuis
3.9.0

Références $date, $item, $items, $key, $state, et $value.

◆ prepare()

static prepare | ( | $text,
 |  | $params = null,
 |  | $context = 'text'
 | ) |
static

Fire onContentPrepare for content that isn't part of an article.

Paramètres
string | $text | The content to be transformed.
array | $params | The content params.
string | $context | The context of the content to be transformed.
Renvoie
string The content after transformation.
Depuis
1.5

Références $article, $context, $dispatcher, $params, $text, JEventDispatcher\getInstance(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/content.php


Joomla CMS: Référence de la classe JHtmlContentAdministrator

Fonctions membres publiques statiques
Référence de la classe JHtmlContentAdministrator

Fonctions membres publiques statiques

static | association ($articleid)
static | featured ($value=0, $i=0, $canChange=true)

Description détaillée

Content HTML helper

Depuis
3.0

Documentation des fonctions membres

◆ association()

static association ( $articleid )
static

Render the list of associated items

Paramètres
integer $articleid The article item id
Renvoie
string The language HTML
Exceptions
Exception

Références $classes, $db, $html, $item, $items, $query, $text, $tooltip, $url, ENT_QUOTES, et htmlspecialchars.

◆ featured()

static featured | ( | $value = 0,
 |  | $i = 0,
 |  | $canChange = true
 | ) |
static

Show the feature/unfeature links

Paramètres
integer | $value | The state value
integer | $i | Row number
boolean | $canChange | Is user allowed to change?
Renvoie
string HTML code

Références $canChange, $html, $i, $icon, $state, $value, et ArrayHelper\getValue().

La documentation de cette classe a été générée à partir du fichier suivant :
  • contentadministrator.php


Joomla CMS: Référence de la classe JHtmlContentLanguage

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlContentLanguage

Fonctions membres publiques statiques

static existing ($all=false, $translate=false)

Attributs protégés statiques

static $items = null

Description détaillée

Utility class working with content language select lists

Depuis
1.6

Documentation des fonctions membres

◆ existing()

static existing | ( | $all = false,
 |  | $translate = false
 | ) |
static

Get a list of the available content language items.

Paramètres
boolean | $all | True to include All (*)
boolean | $translate | True to translate All
Renvoie
string
Voir également
JFormFieldContentLanguage
Depuis
1.6

Références $db, $items, et $query.

Documentation des champs

◆ $items

$items = null
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • contentlanguage.php


Joomla CMS: Référence de la classe JHtmlDate

Fonctions membres publiques statiques
Référence de la classe JHtmlDate

Fonctions membres publiques statiques

static relative ($date, $unit=null, $time=null, $format=null)

Description détaillée

Extended Utility class for handling date display.

Depuis
2.5

Documentation des fonctions membres

◆ relative()

static relative | ( | $date,
 |  | $unit = null,
 |  | $time = null,
 |  | $format = null
 | ) |
static

Function to convert a static time into a relative measurement

Paramètres
string | $date | The date to convert
string | $unit | The optional unit of measurement to return if the value of the diff is greater than one
string | $time | An optional time to compare to, defaults to now
string | $format | An optional format for the JHtml::date output
Renvoie
string The converted time string
Depuis
2.5

Références $date, $format, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • cms/html/date.php


Joomla CMS: Référence de la classe JHtmlDebug

Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe JHtmlDebug

Fonctions membres publiques statiques

static xdebuglink ($file, $line='')

Attributs publics statiques

static $xdebugLinkFormat

Description détaillée

Extended Utility class for render debug information.

Depuis
3.7.0

Documentation des fonctions membres

◆ xdebuglink()

static xdebuglink | ( | $file,
 |  | $line = ''
 | ) |
static

Replaces the Joomla! root with "JROOT" to improve readability. Formats a link with a special value xdebug.file_link_format from the php.ini file.

Paramètres
string | $file | The full path to the file.
string | $line | The line number.
Renvoie
string
Exceptions

Références $file, $href, $html, $link, JPATH_ROOT, et null.

Documentation des champs

◆ $xdebugLinkFormat

$xdebugLinkFormat
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/debug.php


Joomla CMS: Référence de la classe JHtmlDirectory

Fonctions membres publiques statiques
Référence de la classe JHtmlDirectory

Fonctions membres publiques statiques

static | writable ($writable)
static | message ($dir, $message, $visible=true)

Description détaillée

Utility class working with directory

Depuis
1.6

Documentation des fonctions membres

◆ message()

static message | ( | $dir,
 |  | $message,
 |  | $visible = true
 | ) |
static

Method to generate a message for a directory

Paramètres
string | $dir | the directory
boolean | $message | the message
boolean | $visible | is the $dir visible?
Renvoie
string html code

Références $message, et $output.

◆ writable()

static writable ( $writable )
static

Method to generate a (un)writable message for directory

Paramètres
boolean $writable is the directory writable?
Renvoie
string html code
La documentation de cette classe a été générée à partir du fichier suivant :
  • directory.php


Joomla CMS: Référence de la classe JHtmlDropdown

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlDropdown

Fonctions membres publiques statiques

static | init ()
static | start ()
static | render ()
static | edit ($id, $prefix='', $customLink='')
static | publish ($checkboxId, $prefix='')
static | unpublish ($checkboxId, $prefix='')
static | featured ($checkboxId, $prefix='')
static | unfeatured ($checkboxId, $prefix='')
static | archive ($checkboxId, $prefix='')
static | unarchive ($checkboxId, $prefix='')
static | trash ($checkboxId, $prefix='')
static | untrash ($checkboxId, $prefix='')
static | checkin ($checkboxId, $prefix='')
static | divider ()
static | addCustomItem ($label, $link='javascript:void(0)', $linkAttributes='', $className='', $ajaxLoad=false, $jsCallBackFunc=null)

Attributs protégés statiques

static | $loaded = array()
static | $dropDownList = null

Description détaillée

HTML utility class for building a dropdown menu

Depuis
3.0

Documentation des fonctions membres

◆ addCustomItem()

static addCustomItem | ( | $label,
 |  | $link = 'javascript:void(0)',
 |  | $linkAttributes = '',
 |  | $className = '',
 |  | $ajaxLoad = false,
 |  | $jsCallBackFunc = null
 | ) |
static

Append a custom item to current dropdown menu

Paramètres
string | $label | The label of item
string | $link | The link of item
string | $linkAttributes | Custom link attributes
string | $className | Class name of item
boolean | $ajaxLoad | True if using ajax load when item clicked
string | $jsCallBackFunc | Javascript function name, called when ajax load successfully
Renvoie
void
Depuis
3.0

◆ archive()

static archive | ( | $checkboxId,
 |  | $prefix = ''
 | ) |
static

Append an archive item to the current dropdown menu

Paramètres
string | $checkboxId | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.0

◆ checkin()

static checkin | ( | $checkboxId,
 |  | $prefix = ''
 | ) |
static

Append a checkin item to the current dropdown menu

Paramètres
string | $checkboxId | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.0

◆ divider()

static divider ( )
static

Writes a divider between dropdown items

Renvoie
void
Depuis
3.0

◆ edit()

static edit | ( | $id,
 |  | $prefix = '',
 |  | $customLink = ''
 | ) |
static

Append an edit item to the current dropdown menu

Paramètres
integer | $id | Record ID
string | $prefix | Task prefix
string | $customLink | The custom link if dont use default Joomla action format
Renvoie
void
Depuis
3.0

Références $id, $link, $option, et $prefix.

◆ featured()

static featured | ( | $checkboxId,
 |  | $prefix = ''
 | ) |
static

Append a featured item to the current dropdown menu

Paramètres
string | $checkboxId | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.0

◆ init()

static init ( )
static

Method to inject needed script

Renvoie
void
Depuis
3.0

Références getDocument.

◆ publish()

static publish | ( | $checkboxId,
 |  | $prefix = ''
 | ) |
static

Append a publish item to the current dropdown menu

Paramètres
string | $checkboxId | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.0

Références $prefix, et $task.

◆ render()

static render ( )
static

Method to render current dropdown menu

Renvoie
string HTML markup for the dropdown list
Depuis
3.0

Références null.

◆ start()

static start ( )
static

Method to start a new dropdown menu

Renvoie
void
Depuis
3.0

◆ trash()

static trash | ( | $checkboxId,
 |  | $prefix = ''
 | ) |
static

Append a trash item to the current dropdown menu

Paramètres
string | $checkboxId | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.0

◆ unarchive()

static unarchive | ( | $checkboxId,
 |  | $prefix = ''
 | ) |
static

Append an unarchive item to the current dropdown menu

Paramètres
string | $checkboxId | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.0

◆ unfeatured()

static unfeatured | ( | $checkboxId,
 |  | $prefix = ''
 | ) |
static

Append an unfeatured item to the current dropdown menu

Paramètres
string | $checkboxId | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.0

◆ unpublish()

static unpublish | ( | $checkboxId,
 |  | $prefix = ''
 | ) |
static

Append an unpublish item to the current dropdown menu

Paramètres
string | $checkboxId | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.0

◆ untrash()

static untrash | ( | $checkboxId,
 |  | $prefix = ''
 | ) |
static

Append an untrash item to the current dropdown menu

Paramètres
string | $checkboxId | ID of corresponding checkbox of the record
string | $prefix | The task prefix
Renvoie
void
Depuis
3.0

Documentation des champs

◆ $dropDownList

$dropDownList = null
staticprotected

◆ $loaded

$loaded = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • dropdown.php


Joomla CMS: Référence de la classe JHtmlEmail

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe JHtmlEmail

Fonctions membres publiques statiques

static cloak ($mail, $mailto=true, $text='', $email=true)

Fonctions membres protégées statiques

static convertEncoding ($text)

Description détaillée

Utility class for cloaking email addresses

Depuis
1.5

Documentation des fonctions membres

◆ cloak()

static cloak | ( | $mail,
 |  | $mailto = true,
 |  | $text = '',
 |  | $email = true
 | ) |
static

Simple JavaScript email cloaker

By default replaces an email with a mailto link with email cloaked

Paramètres
string | $mail | The -mail address to cloak.
boolean | $mailto | True if text and mailing address differ
string | $text | Text for the link
boolean | $email | True if text is an email address
Renvoie
string The cloaked email.
Depuis
1.5

Références $script, $text, et elseif.

◆ convertEncoding()

static convertEncoding ( $text )
staticprotected

Convert encoded text

Paramètres
string $text Text to convert
Renvoie
string The converted text.
Depuis
1.5

Références $text, et ENT_QUOTES.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/email.php


Joomla CMS: Référence de la classe JHtmlFilter

Fonctions membres publiques statiques
Référence de la classe JHtmlFilter

Fonctions membres publiques statiques

static | slider ($options=array())
static | select ($idxQuery, $options)
static | dates ($idxQuery, $options)

Description détaillée

Filter HTML Behaviors for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ dates()

static dates | ( | $idxQuery,
 |  | $options
 | ) |
static

Method to generate fields for filtering dates

Paramètres
FinderIndexerQuery | $idxQuery | A FinderIndexerQuery object.
array | $options | An array of options.
Renvoie
mixed A rendered HTML widget on success, null otherwise.
Depuis
2.5

Références $attribs, $html, $options, et null.

◆ select()

static select | ( | $idxQuery,
 |  | $options
 | ) |
static

Method to generate filters using select box dropdown controls.

Paramètres
FinderIndexerQuery | $idxQuery | A FinderIndexerQuery object.
array | $options | An array of options.
Renvoie
mixed A rendered HTML widget on success, null otherwise.
Depuis
2.5

Références $active, $db, $filter, $groups, $html, $key, $language, $options, $query, $title, $user, FinderHelperLanguage\branchLanguageTitle(), FinderHelperLanguage\branchPlural(), FinderHelperLanguage\branchSingular(), et null.

◆ slider()

static slider ( $options = array() )
static

Method to generate filters using the slider widget and decorated with the FinderFilter JavaScript behaviors.

Paramètres
array $options An array of configuration options. [optional]
Renvoie
mixed A rendered HTML widget on success, null otherwise.
Depuis
2.5

Références $checked, $db, $filter, $groups, $html, $key, $lang, $options, $query, $title, $user, FinderHelperLanguage\branchLanguageTitle(), FinderHelperLanguage\branchPlural(), FinderHelperLanguage\branchSingular(), FinderHelperLanguage\loadPluginLanguage(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_finder/helpers/html/filter.php


Joomla CMS: Référence de la classe JHtmlFinder

Fonctions membres publiques statiques
Référence de la classe JHtmlFinder

Fonctions membres publiques statiques

static | typeslist ()
static | mapslist ()
static | statelist ()

Description détaillée

HTML behavior class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ mapslist()

static mapslist ( )
static

Creates a list of maps.

Renvoie
array An array containing the maps that can be selected.
Depuis
2.5

Références $db, $key, $lang, $options, $query, FinderHelperLanguage\branchPlural(), et JError\raiseWarning().

◆ statelist()

static statelist ( )
static

Creates a list of published states.

Renvoie
array An array containing the states that can be selected.
Depuis
2.5

◆ typeslist()

static typeslist ( )
static

Creates a list of types to filter on.

Renvoie
array An array containing the types that can be selected.
Depuis
2.5

Références $db, $key, $lang, $options, $query, $row, $rows, et FinderHelperLanguage\branchPlural().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_finder/helpers/html/finder.php


Joomla CMS: Référence de la classe JHtmlForm

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlForm

Fonctions membres publiques statiques

static token (array $attribs=array())

Attributs protégés statiques

static $loaded = array()

Description détaillée

Utility class for form elements

Depuis
1.5

Documentation des fonctions membres

◆ token()

static token ( array $attribs = array() )
static

Displays a hidden token field to reduce the risk of CSRF exploits

Use in conjunction with JSession::checkToken()

Paramètres
array $attribs Input element attributes.
Renvoie
string A hidden input field with a token
Voir également
JSession::checkToken()
Depuis
1.5

Références $attribs, $attributes, et ArrayHelper\toString().

Documentation des champs

◆ $loaded

$loaded = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/form.php


Joomla CMS: Référence de la classe JHtmlFormbehavior

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlFormbehavior

Fonctions membres publiques statiques

static | chosen ($selector='.advancedSelect', $debug=null, $options=array())
static | ajaxchosen (Registry $options, $debug=null)

Attributs protégés statiques

static $loaded = array()

Description détaillée

Utility class for form related behaviors

Depuis
3.0

Documentation des fonctions membres

◆ ajaxchosen()

static ajaxchosen | ( | Registry | $options,
 |  |  | $debug = null
 | ) |  |
static

Method to load the AJAX Chosen library

If debugging mode is on an uncompressed version of AJAX Chosen is included for easier debugging.

Paramètres
Registry | $options | Options in a Registry object
mixed | $debug | Is debugging mode on? [optional]
Renvoie
void
Depuis
3.0

Références $displayData, $options, $selector, $type, $url, et null.

◆ chosen()

static chosen | ( | $selector = '.advancedSelect',
 |  | $debug = null,
 |  | $options = array()
 | ) |
static

Method to load the Chosen JavaScript framework and supporting CSS into the document head

If debugging mode is on an uncompressed version of Chosen is included for easier debugging.

Paramètres
string | $selector | Class for Chosen elements.
mixed | $debug | Is debugging mode on? [optional]
array | $options | the possible Chosen options as name => value [optional]
Renvoie
void
Depuis
3.0

Références $displayData, $options, $selector, JDEBUG, et null.

Documentation des champs

◆ $loaded

$loaded = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • formbehavior.php


Joomla CMS: Référence de la classe JHtmlGrid

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe JHtmlGrid

Fonctions membres publiques statiques

static | boolean ($i, $value, $taskOn=null, $taskOff=null)
static | sort ($title, $order, $direction='asc', $selected='', $task=null, $newDirection='asc', $tip='', $form=null)
static | checkall ($name='checkall-toggle', $tip='JGLOBAL_CHECK_ALL', $action='Joomla.checkAll(this)')
static | id ($rowNum, $recId, $checkedOut=false, $name='cid', $stub='cb')
static | checkedOut (&$row, $i, $identifier='id')
static | published ($value, $i, $img1='tick.png', $img0='publish_x.png', $prefix='')
static | state ($filterState=' *', $published='JPUBLISHED', $unpublished='JUNPUBLISHED', $archived=null, $trashed=null)
static | order ($rows, $image='filesave.png', $task='saveorder')
static | behavior ()

Fonctions membres protégées statiques

static _checkedOut (&$row, $overlib=true)

Description détaillée

Utility class for creating HTML Grids

Depuis
1.5

Documentation des fonctions membres

◆ _checkedOut()

static _checkedOut | ( | & | $row,
 |  |  | $overlib = true
 | ) |  |
staticprotected

Method to create a checked out icon with optional overlib in a grid.

Paramètres
object | &$row | The row object
boolean | $overlib | True if an overlib with checkout information should be created.
Renvoie
string HTMl for the icon and overlib
Depuis
1.5

◆ behavior()

static behavior ( )
static

Method to build the behavior script and add it to the document head.

Renvoie
void
Depuis
1.6
Obsolète:
4.0 This is only used in hathor and will be removed without replacement

◆ boolean()

static boolean | ( | $i,
 |  | $value,
 |  | $taskOn = null,
 |  | $taskOff = null
 | ) |
static

Display a boolean setting widget.

Paramètres
integer | $i | The row index.
integer | $value | The value of the boolean field.
string | $taskOn | Task to turn the boolean setting on.
string | $taskOff | Task to turn the boolean setting off.
Renvoie
string The boolean setting widget.
Depuis
1.6
Obsolète:
4.0 This is only used in hathor and will be removed without replacement

Références $i, $task, $title, $value, task, et toggle.

◆ checkall()

static checkall | ( | $name = 'checkall-toggle',
 |  | $tip = 'JGLOBAL_CHECK_ALL',
 |  | $action = 'Joomla.checkAll(this)'
 | ) |
static

Method to check all checkboxes in a grid

Paramètres
string | $name | The name of the form element
string | $tip | The text shown as tooltip title instead of $tip
string | $action | The action to perform on clicking the checkbox
Renvoie
string
Depuis
3.1.2

Références $action, et $name.

◆ checkedOut()

static checkedOut | ( | & | $row,
 |  |  | $i,
 |  |  | $identifier = 'id'
 | ) |  |
static

Displays a checked out icon.

Paramètres
object | &$row | A data object (must contain checkedout as a property).
integer | $i | The index of the row.
string | $identifier | The property name of the primary key or index of the row.
Renvoie
string
Depuis
1.5

Références $i, $row, et $user.

◆ id()

static id | ( | $rowNum,
 |  | $recId,
 |  | $checkedOut = false,
 |  | $name = 'cid',
 |  | $stub = 'cb'
 | ) |
static

Method to create a checkbox for a grid row.

Paramètres
integer | $rowNum | The row index
integer | $recId | The record id
boolean | $checkedOut | True if item is checked out
string | $name | The name of the form element
string | $stub | The name of stub identifier
Renvoie
mixed String of html with a checkbox if item is not checked out, null if checked out.
Depuis
1.5

Références $name.

◆ order()

static order | ( | $rows,
 |  | $image = 'filesave.png',
 |  | $task = 'saveorder'
 | ) |
static

Method to create an icon for saving a new ordering in a grid

Paramètres
array | $rows | The array of rows of rows
string | $image | The image [UNUSED]
string | $task | The task to use, defaults to save order
Renvoie
string
Depuis
1.5

◆ published()

static published | ( | $value,
 |  | $i,
 |  | $img1 = 'tick.png',
 |  | $img0 = 'publish_x.png',
 |  | $prefix = ''
 | ) |
static

Method to create a clickable icon to change the state of an item

Paramètres
mixed | $value | Either the scalar value or an object (for backward compatibility, deprecated)
integer | $i | The index
string | $img1 | Image for a positive or on value
string | $img0 | Image for the empty or off value
string | $prefix | An optional prefix for the task
Renvoie
string
Depuis
1.5

Références $action, $alt, $i, $img, $prefix, $task, et $value.

◆ sort()

static sort | ( | $title,
 |  | $order,
 |  | $direction = 'asc',
 |  | $selected = '',
 |  | $task = null,
 |  | $newDirection = 'asc',
 |  | $tip = '',
 |  | $form = null
 | ) |
static

Method to sort a column in a grid

Paramètres
string | $title | The link title
string | $order | The order field for the column
string | $direction | The current direction
string | $selected | The selected ordering
string | $task | An optional task override
string | $newDirection | An optional direction for the new column
string | $tip | An optional text shown as tooltip title instead of $title
string | $form | An optional form selector
Renvoie
string
Depuis
1.5

Références $html, et $title.

◆ state()

static state | ( | $filterState = '*',
 |  | $published = 'JPUBLISHED',
 |  | $unpublished = 'JUNPUBLISHED',
 |  | $archived = null,
 |  | $trashed = null
 | ) |
static

Method to create a select list of states for filtering By default the filter shows only published and unpublished items

Paramètres
string | $filterState | The initial filter state
string | $published | The JText string for published
string | $unpublished | The JText string for Unpublished
string | $archived | The JText string for Archived
string | $trashed | The JText string for Trashed
Renvoie
string
Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • cms/html/grid.php


Joomla CMS: Référence de la classe JHtmlIcon

Fonctions membres publiques statiques
Référence de la classe JHtmlIcon

Fonctions membres publiques statiques

static | create ($category, $params, $attribs=array(), $legacy=false)
static | email ($article, $params, $attribs=array(), $legacy=false)
static | edit ($article, $params, $attribs=array(), $legacy=false)
static | print_popup ($article, $params, $attribs=array(), $legacy=false)
static | print_screen ($article, $params, $attribs=array(), $legacy=false)

Description détaillée

Content Component HTML Helper

Depuis
1.5

Documentation des fonctions membres

◆ create()

static create | ( | $category,
 |  | $params,
 |  | $attribs = array(),
 |  | $legacy = false
 | ) |
static

Method to generate a link to the create item page for the given category

Paramètres
object | $category | The category information
Registry | $params | The item parameters
array | $attribs | Optional attributes for the link
boolean | $legacy | True to use legacy images, false to use icomoon based graphic
Renvoie
string The HTML markup for the create item link

Références $attribs, $button, $category, $legacy, $output, $params, $text, $uri, et $url.

◆ edit()

static edit | ( | $article,
 |  | $params,
 |  | $attribs = array(),
 |  | $legacy = false
 | ) |
static

Display an edit icon for the article.

This icon will not display in a popup window, nor if the article is trashed. Edit access checks must be performed in the calling code.

Paramètres
object | $article | The article information
Registry | $params | The item parameters
array | $attribs | Optional attributes for the link
boolean | $legacy | True to use legacy images, false to use icomoon based graphic
Renvoie
string The HTML for the article edit icon.
Depuis
1.6

Références $article, $attribs, $author, $date, $legacy, $output, $overlib, $params, $text, $tooltip, $uri, $url, $user, ENT_COMPAT, ContentHelperRoute\getArticleRoute(), et htmlspecialchars.

◆ email()

static email | ( | $article,
 |  | $params,
 |  | $attribs = array(),
 |  | $legacy = false
 | ) |
static

Method to generate a link to the email item page for the given article

Paramètres
object | $article | The article information
Registry | $params | The item parameters
array | $attribs | Optional attributes for the link
boolean | $legacy | True to use legacy images, false to use icomoon based graphic
Renvoie
string The HTML markup for the email item link
Obsolète:
4.0 The functionality to email an article is removed in Joomla 4

Références $article, $attribs, $base, $height, $legacy, $link, $params, $template, $text, $uri, $url, MailtoHelper\addLink(), ContentHelperRoute\getArticleRoute(), JPATH_SITE, et JLoader\register().

◆ print_popup()

static print_popup | ( | $article,
 |  | $params,
 |  | $attribs = array(),
 |  | $legacy = false
 | ) |
static

Method to generate a popup link to print an article

Paramètres
object | $article | The article information
Registry | $params | The item parameters
array | $attribs | Optional attributes for the link
boolean | $legacy | True to use legacy images, false to use icomoon based graphic
Renvoie
string The HTML markup for the popup link

Références $article, $attribs, $legacy, $params, $text, $url, ENT_QUOTES, ContentHelperRoute\getArticleRoute(), et htmlspecialchars.

◆ print_screen()

static print_screen | ( | $article,
 |  | $params,
 |  | $attribs = array(),
 |  | $legacy = false
 | ) |
static

Method to generate a link to print an article

Paramètres
object $article Not used,
Obsolète:
for 4.0
Paramètres
Registry | $params | The item parameters
array | $attribs | Not used,
Obsolète:
for 4.0
Paramètres
boolean $legacy True to use legacy images, false to use icomoon based graphic
Renvoie
string The HTML markup for the popup link

Références $legacy, $params, et $text.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_content/helpers/icon.php


Joomla CMS: Référence de la classe JHtmlIcons

Fonctions membres publiques statiques
Référence de la classe JHtmlIcons

Fonctions membres publiques statiques

static | buttons ($buttons)
static | button ($button)

Description détaillée

Utility class for icons.

Depuis
2.5

Documentation des fonctions membres

◆ button()

static button ( $button )
static

Method to generate html code for a list of buttons

Paramètres
array $button Button properties
Renvoie
string
Depuis
2.5

Références $button, $i, $layout, $n, et $user.

◆ buttons()

static buttons ( $buttons )
static

Method to generate html code for a list of buttons

Paramètres
array $buttons Array of buttons
Renvoie
string
Depuis
2.5

Références $button, $buttons, et $html.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/icons.php


Joomla CMS: Référence de la classe JHtmlJGrid

Fonctions membres publiques statiques
Référence de la classe JHtmlJGrid

Fonctions membres publiques statiques

static | action ($i, $task, $prefix='', $text='', $activeTitle='', $inactiveTitle='', $tip=false, $activeClass='', $inactiveClass='', $enabled=true, $translate=true, $checkbox='cb')
static | state ($states, $value, $i, $prefix='', $enabled=true, $translate=true, $checkbox='cb')
static | published ($value, $i, $prefix='', $enabled=true, $checkbox='cb', $publishUp=null, $publishDown=null)
static | isdefault ($value, $i, $prefix='', $enabled=true, $checkbox='cb')
static | publishedOptions ($config=array())
static | checkedout ($i, $editorName, $time, $prefix='', $enabled=false, $checkbox='cb')
static | orderUp ($i, $task='orderup', $prefix='', $text='JLIB_HTML_MOVE_UP', $enabled=true, $checkbox='cb')
static | orderDown ($i, $task='orderdown', $prefix='', $text='JLIB_HTML_MOVE_DOWN', $enabled=true, $checkbox='cb')

Description détaillée

Utility class for creating HTML Grids

Depuis
1.6

Documentation des fonctions membres

◆ action()

static action | ( | $i,
 |  | $task,
 |  | $prefix = '',
 |  | $text = '',
 |  | $activeTitle = '',
 |  | $inactiveTitle = '',
 |  | $tip = false,
 |  | $activeClass = '',
 |  | $inactiveClass = '',
 |  | $enabled = true,
 |  | $translate = true,
 |  | $checkbox = 'cb'
 | ) |
static

Returns an action on a grid

Paramètres
integer | $i | The row index
string | $task | The task to fire
string | array | $prefix | An optional task prefix or an array of options
string | $text | An optional text to display [unused -
Obsolète:
4.0]
Paramètres
string | $activeTitle | An optional active tooltip to display if $enable is true
string | $inactiveTitle | An optional inactive tooltip to display if $enable is true
boolean | $tip | An optional setting for tooltip
string | $activeClass | An optional active HTML class
string | $inactiveClass | An optional inactive HTML class
boolean | $enabled | An optional setting for access control on the action.
boolean | $translate | An optional setting for translation.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The HTML markup
Depuis
1.6

Références $enabled, $html, $i, $options, $prefix, $task, et $title.

◆ checkedout()

static checkedout | ( | $i,
 |  | $editorName,
 |  | $time,
 |  | $prefix = '',
 |  | $enabled = false,
 |  | $checkbox = 'cb'
 | ) |
static

Returns a checked-out icon

Paramètres
integer | $i | The row index.
string | $editorName | The name of the editor.
string | $time | The time that the object was checked out.
string | array | $prefix | An optional task prefix or an array of options
boolean | $enabled | True to enable the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The HTML markup
Depuis
1.6

◆ isdefault()

static isdefault | ( | $value,
 |  | $i,
 |  | $prefix = '',
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |
static

Returns an isDefault state on a grid

Paramètres
integer | $value | The state value.
integer | $i | The row index
string | array | $prefix | An optional task prefix or an array of options
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The HTML markup
Voir également
JHtmlJGrid::state()
Depuis
1.6

◆ orderDown()

static orderDown | ( | $i,
 |  | $task = 'orderdown',
 |  | $prefix = '',
 |  | $text = 'JLIB_HTML_MOVE_DOWN',
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |
static

Creates an order-down action icon.

Paramètres
integer | $i | The row index.
string | $task | An optional task to fire.
string | array | $prefix | An optional task prefix or an array of options
string | $text | An optional text to display
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The HTML markup
Depuis
1.6

◆ orderUp()

static orderUp | ( | $i,
 |  | $task = 'orderup',
 |  | $prefix = '',
 |  | $text = 'JLIB_HTML_MOVE_UP',
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |
static

Creates an order-up action icon.

Paramètres
integer | $i | The row index.
string | $task | An optional task to fire.
string | array | $prefix | An optional task prefix or an array of options
string | $text | An optional text to display
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The HTML markup
Depuis
1.6

◆ published()

static published | ( | $value,
 |  | $i,
 |  | $prefix = '',
 |  | $enabled = true,
 |  | $checkbox = 'cb',
 |  | $publishUp = null,
 |  | $publishDown = null
 | ) |
static

Returns a published state on a grid

Paramètres
integer | $value | The state value.
integer | $i | The row index
string | array | $prefix | An optional task prefix or an array of options
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
string | $publishUp | An optional start publishing date.
string | $publishDown | An optional finish publishing date.
Renvoie
string The HTML markup
Voir également
JHtmlJGrid::state()
Depuis
1.6

◆ publishedOptions()

static publishedOptions ( $config = array() )
static

Returns an array of standard published state filter options.

Paramètres
array $config An array of configuration options. This array can contain a list of key/value pairs where values are boolean and keys can be taken from 'published', 'unpublished', 'archived', 'trash', 'all'. These pairs determine which values are displayed.
Renvoie
string The HTML markup
Depuis
1.6

◆ state()

static state | ( | $states,
 |  | $value,
 |  | $i,
 |  | $prefix = '',
 |  | $enabled = true,
 |  | $translate = true,
 |  | $checkbox = 'cb'
 | ) |
static

Returns a state on a grid

Paramètres
array | $states | array of value/state. Each state is an array of the form (task, text, active title, inactive title, tip (boolean), HTML active class, HTML inactive class) or ('task'=>task, 'text'=>text, 'active_title'=>active title, 'inactive_title'=>inactive title, 'tip'=>boolean, 'active_class'=>html active class, 'inactive_class'=>html inactive class)
integer | $value | The state value.
integer | $i | The row index
string | array | $prefix | An optional task prefix or an array of options
boolean | $enabled | An optional setting for access control on the action.
boolean | $translate | An optional setting for translation.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The HTML markup
Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • jgrid.php


Joomla CMS: Référence de la classe JHtmlJquery

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlJquery

Fonctions membres publiques statiques

static | framework ($noConflict=true, $debug=null, $migrate=true)
static | ui (array $components=array('core'), $debug=null)
static | token ($name='csrf.token')

Attributs protégés statiques

static $loaded = array()

Description détaillée

Utility class for jQuery JavaScript behaviors

Depuis
3.0

Documentation des fonctions membres

◆ framework()

static framework | ( | $noConflict = true,
 |  | $debug = null,
 |  | $migrate = true
 | ) |
static

Method to load the jQuery JavaScript framework into the document head

If debugging mode is on an uncompressed version of jQuery is included for easier debugging.

Paramètres
boolean | $noConflict | True to load jQuery in noConflict mode [optional]
mixed | $debug | Is debugging mode on? [optional]
boolean | $migrate | True to enable the jQuery Migrate plugin
Renvoie
void
Depuis
3.0

Références null.

◆ token()

static token ( $name = 'csrf.token' )
static

Auto set CSRF token to ajaxSetup so all jQuery ajax call will contains CSRF token.

Paramètres
string $name The CSRF meta tag name.
Renvoie
void
Exceptions

Références $doc, $name, getDocument, jQuery, et JS.

◆ ui()

static ui | ( | array | $components = array('core'),
 |  |  | $debug = null
 | ) |  |
static

Method to load the jQuery UI JavaScript framework into the document head

If debugging mode is on an uncompressed version of jQuery UI is included for easier debugging.

Paramètres
array | $components | The jQuery UI components to load [optional]
mixed | $debug | Is debugging mode on? [optional]
Renvoie
void
Depuis
3.0
Obsolète:
4.0 jQuery UI will be removed from Joomla 4 without replacement.

Références $component, JDEBUG, et null.

Documentation des champs

◆ $loaded

$loaded = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • jquery.php


Joomla CMS: Référence de la classe JHtmlLanguages

Fonctions membres publiques statiques
Référence de la classe JHtmlLanguages

Fonctions membres publiques statiques

static | published ($published)
static | id ($rowNum, $language)
static | clients ()
static | publishedOptions ()

Description détaillée

Utility class working with languages

Depuis
1.6

Documentation des fonctions membres

◆ clients()

static clients ( )
static

Method to generate an array of clients.

Renvoie
array of client objects.

◆ id()

static id | ( | $rowNum,
 |  | $language
 | ) |
static

Method to generate an input radio button.

Paramètres
integer | $rowNum | The row number.
string | $language | Language tag.
Renvoie
string HTML code.

Références $language, ENT_COMPAT, et htmlspecialchars.

◆ published()

static published ( $published )
static

Method to generate an information about the default language.

Paramètres
boolean $published True if the language is the default.
Renvoie
string HTML code.

Références $published, et null.

◆ publishedOptions()

static publishedOptions ( )
static

Returns an array of published state filter options.

Renvoie
string The HTML code for the select tag.
Depuis
1.6

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/helpers/html/languages.php


Joomla CMS: Référence de la classe JHtmlLinks

Fonctions membres publiques statiques
Référence de la classe JHtmlLinks

Fonctions membres publiques statiques

static | linksgroups ($groupsOfLinks)
static | links ($links)
static | link ($link)

Description détaillée

Utility class for icons.

Depuis
3.2

Documentation des fonctions membres

◆ link()

static link ( $link )
static

Method to generate html code for a single link

Paramètres
array $link link properties
Renvoie
string
Depuis
3.2

Références $i, $layout, $link, $n, et $user.

◆ links()

static links ( $links )
static

Method to generate html code for a list of links

Paramètres
array $links Array of links
Renvoie
string
Depuis
3.2

Références $html, et $link.

◆ linksgroups()

static linksgroups ( $groupsOfLinks )
static

Method to generate html code for groups of lists of links

Paramètres
array $groupsOfLinks Array of links
Renvoie
string
Depuis
3.2

Références $html, $layout, et $title.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/links.php


Joomla CMS: Référence de la classe JHtmlList

Fonctions membres publiques statiques
Référence de la classe JHtmlList

Fonctions membres publiques statiques

static | images ($name, $active=null, $javascript=null, $directory=null, $extensions='bmp|gif|jpg|png')
static | genericordering ($query, $chop=30)
static | ordering ($name, $query, $attribs=null, $selected=null, $neworder=null)
static | users ($name, $active, $nouser=0, $javascript=null, $order='name')
static | positions ($name, $active=null, $javascript=null, $none=true, $center=true, $left=true, $right=true, $id=false)

Description détaillée

Utility class for creating different select lists

Depuis
1.5

Documentation des fonctions membres

◆ genericordering()

static genericordering | ( | $query,
 |  | $chop = 30
 | ) |
static

Returns an array of options

Paramètres
string | $query | SQL with 'ordering' AS value and 'name field' AS text
integer | $chop | The length of the truncated headline
Renvoie
array An array of objects formatted for JHtml list processing
Depuis
1.5

Références $db, $i, $items, $n, $options, $query, $text, text, et value.

◆ images()

static images | ( | $name,
 |  | $active = null,
 |  | $javascript = null,
 |  | $directory = null,
 |  | $extensions = 'bmp|gif|jpg|png'
 | ) |
static

Build the select list to choose an image

Paramètres
string | $name | The name of the field
string | $active | The selected item
string | $javascript | Alternative javascript
string | $directory | Directory the images are stored in
string | $extensions | Allowed extensions
Renvoie
array Image names
Depuis
1.5

Références $active, $file, $images, $name, et JPATH_SITE.

◆ ordering()

static ordering | ( | $name,
 |  | $query,
 |  | $attribs = null,
 |  | $selected = null,
 |  | $neworder = null
 | ) |
static

Build the select list for Ordering derived from a query

Paramètres
integer | $name | The scalar value
string | $query | The query
string | $attribs | HTML tag attributes
string | $selected | The selected item
integer | $neworder | 1 if new and first, -1 if new and last, 0 or null if existing item
Renvoie
string HTML markup for the select list
Depuis
1.6

Références $attribs, $html, $name, $query, $selected, $text, et elseif.

◆ positions()

static positions | ( | $name,
 |  | $active = null,
 |  | $javascript = null,
 |  | $none = true,
 |  | $center = true,
 |  | $left = true,
 |  | $right = true,
 |  | $id = false
 | ) |
static

Select list of positions - generally used for location of images

Paramètres
string | $name | Name of the field
string | $active | The active value
string | $javascript | Alternative javascript
boolean | $none | Null if not assigned
boolean | $center | Null if not assigned
boolean | $left | Null if not assigned
boolean | $right | Null if not assigned
boolean | $id | Null if not assigned
Renvoie
array The positions
Depuis
1.5

Références $active, $id, $name, $positions, et null.

◆ users()

static users | ( | $name,
 |  | $active,
 |  | $nouser = 0,
 |  | $javascript = null,
 |  | $order = 'name'
 | ) |
static

Select list of active users

Paramètres
string | $name | The name of the field
string | $active | The active user
integer | $nouser | If set include an option to select no user
string | $javascript | Custom javascript
string | $order | Specify a field to order by
Renvoie
string The HTML for a list of users list of users
Depuis
1.5

Références $active, $db, $name, $query, et $users.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/list.php


Joomla CMS: Référence de la classe JHtmlMenu

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlMenu

Fonctions membres publiques statiques

static | menus ($clientId=0)
static | menuItems ($config=array())
static | menuItemList ($name, $selected=null, $attribs=null, $config=array())
static | ordering (&$row, $id)
static | linkOptions ($all=false, $unassigned=false, $clientId=0)
static | treerecurse ($id, $indent, $list, &$children, $maxlevel=9999, $level=0, $type=1)

Attributs protégés statiques

static | $menus = array()
static | $items = array()

Description détaillée

Utility class working with menu select lists

Depuis
1.5

Documentation des fonctions membres

◆ linkOptions()

static linkOptions | ( | $all = false,
 |  | $unassigned = false,
 |  | $clientId = 0
 | ) |
static

Build the multiple select list for Menu Links/Pages

Paramètres
boolean | $all | True if all can be selected
boolean | $unassigned | True if unassigned can be selected
int | $clientId | The client id
Renvoie
string
Depuis
1.5

Références $clientId, $db, $list, $query, et null.

◆ menuItemList()

static menuItemList | ( | $name,
 |  | $selected = null,
 |  | $attribs = null,
 |  | $config = array()
 | ) |
static

Displays an HTML select list of menu items.

Paramètres
string | $name | The name of the control.
string | $selected | The value of the selected option.
string | $attribs | Attributes for the control.
array | $config | An array of options for the control [id, published, checkacl, clientid].
Renvoie
string
Depuis
1.6

Références $attribs, $config, $count, $name, $options, $selected, et null.

◆ menuItems()

static menuItems ( $config = array() )
static

Returns an array of menu items grouped by menu.

Paramètres
array $config An array of configuration options [published, checkacl, clientid].
Renvoie
array
Depuis
1.6

Références $action, $clientId, $config, $db, $item, $items, $key, $menu, $query, $user, et elseif.

◆ menus()

static menus ( $clientId = 0 )
static

Get a list of the available menus.

Paramètres
int $clientId The client id
Renvoie
array
Depuis
1.6

Références $clientId, $db, $key, et $query.

◆ ordering()

static ordering | ( | & | $row,
 |  |  | $id
 | ) |  |
static

Build the select list for Menu Ordering

Paramètres
object | &$row | The row object
integer | $id | The id for the row. Must exist to enable menu ordering
Renvoie
string
Depuis
1.5

Références $db, $id, $ordering, $query, et $row.

◆ treerecurse()

static treerecurse | ( |  | $id,
 |  |  | $indent,
 |  |  | $list,
 |  | & | $children,
 |  |  | $maxlevel = 9999,
 |  |  | $level = 0,
 |  |  | $type = 1
 | ) |  |
static

Build the list representing the menu tree

Paramètres
integer | $id | Id of the menu item
string | $indent | The indentation string
array | $list | The list to process
array | &$children | The children of the current item
integer | $maxlevel | The maximum number of levels in the tree
integer | $level | The starting level
int | $type | Set the type of spacer to use. Use 1 for |_ or 0 for -
Renvoie
array
Depuis
1.5

Références $id, $list, et $type.

Documentation des champs

◆ $items

$items = array()
staticprotected

◆ $menus

$menus = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/menu.php


Joomla CMS: Référence de la classe JHtmlMessages

Fonctions membres publiques statiques
Référence de la classe JHtmlMessages

Fonctions membres publiques statiques

static | state ($value=0, $i=0, $canChange=false)
static | status ($i, $value=0, $canChange=false)

Description détaillée

JHtml administrator messages class.

Depuis
1.6

Documentation des fonctions membres

◆ state()

static state | ( | $value = 0,
 |  | $i = 0,
 |  | $canChange = false
 | ) |
static

Get the HTML code of the state switcher

Paramètres
int | $value | The state value
int | $i | Row number
boolean | $canChange | Can the user change the state?
Renvoie
string
Depuis
1.6
Obsolète:
4.0 Use JHtmlMessages::status() instead

Références $canChange, $i, $value, null, et status.

◆ status()

static status | ( | $i,
 |  | $value = 0,
 |  | $canChange = false
 | ) |
static

Get the HTML code of the state switcher

Paramètres
int | $i | Row number
int | $value | The state value
boolean | $canChange | Can the user change the state?
Renvoie
string
Depuis
3.4

Références $canChange, $html, $i, $icon, $state, $value, et ArrayHelper\getValue().

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_messages/helpers/html/messages.php


Joomla CMS: Référence de la classe JHtmlModules

Fonctions membres publiques statiques
Référence de la classe JHtmlModules

Fonctions membres publiques statiques

static | templates ($clientId=0, $state='')
static | types ()
static | templateStates ()
static | state ($value, $i, $enabled=true, $checkbox='cb')
static | positions ($clientId, $state=1, $selectedPosition='')
static | batchOptions ()
static | positionList ($clientId=0)

Description détaillée

JHtml module helper class.

Depuis
1.6

Documentation des fonctions membres

◆ batchOptions()

static batchOptions ( )
static

Get a select with the batch action options

Renvoie
void

Références $options.

◆ positionList()

static positionList ( $clientId = 0 )
static

Method to get the field options.

Paramètres
integer $clientId The client ID
Renvoie
array The field option objects.
Depuis
2.5

Références $clientId, $db, $options, $query, JError\raiseWarning(), et text.

◆ positions()

static positions | ( | $clientId,
 |  | $state = 1,
 |  | $selectedPosition = ''
 | ) |
static

Display a batch widget for the module position selector.

Paramètres
integer | $clientId | The client ID.
integer | $state | The state of the module (enabled, unenabled, trashed).
string | $selectedPosition | The currently selected position for the module.
Renvoie
string The necessary positions for the widget.
Depuis
2.5

Références $clientId, $customGroupText, $option, $options, $position, $positions, $selectedPosition, $state, $template, $text, ModulesHelper\createOption(), ModulesHelper\createOptionGroup(), ModulesHelper\getPositions(), TemplatesHelper\getPositions(), ModulesHelper\getTemplates(), ModulesHelper\getTranslatedModulePosition(), JPATH_ADMINISTRATOR, JLoader\register(), et ArrayHelper\sortObjects().

◆ state()

static state | ( | $value,
 |  | $i,
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |
static

Returns a published state on a grid

Paramètres
integer | $value | The state value.
integer | $i | The row index
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The Html code
Voir également
JHtmlJGrid::state
Depuis
1.7.1

Références $enabled, $i, et $value.

◆ templates()

static templates | ( | $clientId = 0,
 |  | $state = ''
 | ) |
static

Builds an array of template options

Paramètres
integer | $clientId | The client id.
string | $state | The state of the template.
Renvoie
array

Références $clientId, $options, $state, $template, et ModulesHelper\getTemplates().

◆ templateStates()

static templateStates ( )
static

Builds an array of template state options

Renvoie
array

Références $options.

◆ types()

static types ( )
static

Builds an array of template type options

Renvoie
array

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/helpers/html/modules.php


Joomla CMS: Référence de la classe JHtmlNewsfeed

Fonctions membres publiques statiques
Référence de la classe JHtmlNewsfeed

Fonctions membres publiques statiques

static association ($newsfeedid)

Description détaillée

Utility class for creating HTML Grids.

Depuis
1.5

Documentation des fonctions membres

◆ association()

static association ( $newsfeedid )
static

Get the associated language flags

Paramètres
int $newsfeedid The item id to search associations
Renvoie
string The language HTML
Exceptions
Exception Throws a 500 Exception on Database failure

Références $classes, $db, $html, $item, $items, $query, $text, $tooltip, $url, ENT_QUOTES, et htmlspecialchars.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/helpers/html/newsfeed.php


Joomla CMS: Référence de la classe JHtmlNumber

Fonctions membres publiques statiques
Référence de la classe JHtmlNumber

Fonctions membres publiques statiques

static bytes ($bytes, $unit='auto', $precision=2, $iec=false)

Description détaillée

HTML helper class for rendering numbers.

Depuis
1.6

Documentation des fonctions membres

◆ bytes()

static bytes | ( | $bytes,
 |  | $unit = 'auto',
 |  | $precision = 2,
 |  | $iec = false
 | ) |
static

Converts bytes to more distinguishable formats such as: kilobytes, megabytes, etc.

By default, the proper format will automatically be chosen. However, one of the allowed unit types (viz. 'b', 'kB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB') may also be used instead. IEC standard unit types ('KiB', 'MiB', 'GiB', 'TiB', 'PiB', 'EiB', 'ZiB', 'YiB') can be used as well.

Paramètres
string | $bytes | The number of bytes. Can be either numeric or suffixed format: 32M, 60K, 12G or 812b
string | $unit | The type of unit to return, few special values are: Blank string '' for no unit, 'auto' to choose automatically (default) 'binary' to choose automatically but use binary unit prefix
integer | $precision | The number of digits to be used after the decimal place.
bool | $iec | Whether to be aware of IEC standards. IEC prefixes are always acceptable in input. When IEC is ON: KiB = 1024 B, KB = 1000 B When IEC is OFF: KiB = 1024 B, KB = 1024 B
Renvoie
string The number of bytes in the proper units.
Depuis
1.6 https://en.wikipedia.org/wiki/Binary_prefix

Références $base, $i, $suffix, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/number.php


Joomla CMS: Référence de la classe JHtmlPhpSetting

Fonctions membres publiques statiques
Référence de la classe JHtmlPhpSetting

Fonctions membres publiques statiques

static | boolean ($val)
static | set ($val)
static | string ($val)
static | integer ($val)

Description détaillée

Utility class working with phpsetting

Depuis
1.6

Documentation des fonctions membres

◆ boolean()

static boolean ( $val )
static

Method to generate a boolean message for a value

Paramètres
boolean $val is the value set?
Renvoie
string html code

◆ integer()

static integer ( $val )
static

Method to generate an integer from a value

Paramètres
string $val a php ini value
Renvoie
string html code
Obsolète:
4.0 Use intval() or casting instead.

◆ set()

static set ( $val )
static

Method to generate a boolean message for a value

Paramètres
boolean $val is the value set?
Renvoie
string html code

◆ string()

static string ( $val )
static

Method to generate a string message for a value

Paramètres
string $val a php ini value
Renvoie
string html code
La documentation de cette classe a été générée à partir du fichier suivant :
  • phpsetting.php


Joomla CMS: Référence de la classe JHtmlQuery

Fonctions membres publiques statiques
Référence de la classe JHtmlQuery

Fonctions membres publiques statiques

static | explained (FinderIndexerQuery $query)
static | suggested (FinderIndexerQuery $query)

Description détaillée

Query HTML behavior class for Finder.

Depuis
2.5

Documentation des fonctions membres

◆ explained()

static explained ( FinderIndexerQuery $query )
static

Method to get the explained (human-readable) search query.

Paramètres
FinderIndexerQuery $query A FinderIndexerQuery object to explain.
Renvoie
mixed String if there is data to explain, null otherwise.
Depuis
2.5

Références $date, $id, $key, $lang, $parts, $query, $title, FinderHelperLanguage\branchPlural(), FinderHelperLanguage\branchSingular(), et null.

◆ suggested()

static suggested ( FinderIndexerQuery $query )
static

Method to get the suggested search query.

Paramètres
FinderIndexerQuery $query A FinderIndexerQuery object.
Renvoie
mixed String if there is a suggestion, false otherwise.
Depuis
2.5

Références $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_finder/helpers/html/query.php


Joomla CMS: Référence de la classe JHtmlRedirect

Fonctions membres publiques statiques
Référence de la classe JHtmlRedirect

Fonctions membres publiques statiques

static published ($value=0, $i=null, $canChange=true)

Description détaillée

Utility class for creating HTML Grids.

Depuis
1.6

Documentation des fonctions membres

◆ published()

static published | ( | $value = 0,
 |  | $i = null,
 |  | $canChange = true
 | ) |
static

Display the published or unpublished state of an item.

Paramètres
int | $value | The state value.
int | $i | The ID of the item.
boolean | $canChange | An optional prefix for the task.
Renvoie
string
Depuis
1.6
Exceptions
InvalidArgumentException

Références $canChange, $html, $i, $icon, $state, $value, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/helpers/html/redirect.php


Joomla CMS: Référence de la classe JHtmlRules

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe JHtmlRules

Fonctions membres publiques statiques

static assetFormWidget ($actions, $assetId=null, $parent=null, $control='jform[rules]', $idPrefix='jform_rules')

Fonctions membres protégées statiques

static | _getParentAssetId ($assetId)
static | _getUserGroups ()
static | _getImagesArray ()

Description détaillée

Extended Utility class for all HTML drawing classes.

Depuis
1.6
Obsolète:
4.0

Documentation des fonctions membres

◆ _getImagesArray()

static _getImagesArray ( )
staticprotected

Get the array of images associate with specific permissions

Renvoie
array An associative array of permissions and images
Depuis
1.6
Obsolète:
4.0

Références $images.

◆ _getParentAssetId()

static _getParentAssetId ( $assetId )
staticprotected

Get the id of the parent asset

Paramètres
integer $assetId The asset for which the parentid will be returned
Renvoie
integer The id of the parent asset
Depuis
1.6
Obsolète:
4.0

Références $assetId, $db, et $query.

◆ _getUserGroups()

static _getUserGroups ( )
staticprotected

Get the user groups

Renvoie
array Array of user groups
Depuis
1.6
Obsolète:
4.0

Références $db, $option, et $options.

◆ assetFormWidget()

static assetFormWidget | ( | $actions,
 |  | $assetId = null,
 |  | $parent = null,
 |  | $control = 'jform[rules]',
 |  | $idPrefix = 'jform_rules'
 | ) |
static

Creates the HTML for the permissions widget

Paramètres
array | $actions | Array of action objects
integer | $assetId | Id of a specific asset to create a widget for.
integer | $parent | Id of the parent of the asset
string | $control | The form control
string | $idPrefix | Prefix for the ids assigned to specific action-group pairs
Renvoie
string HTML for the permissions widget
Voir également
JAccess
JFormFieldRules
Depuis
1.6
Obsolète:
4.0

Références $action, $assetId, $control, $groups, $html, $i, $images, $selected, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • cms/html/rules.php


Joomla CMS: Référence de la classe JHtmlSearchtools

Fonctions membres publiques statiques | Attributs protégés statiques | Fonctions membres privées statiques
Référence de la classe JHtmlSearchtools

Fonctions membres publiques statiques

static | main ()
static | form ($selector='.js-stools-form', $options=array())
static | sort ($title, $order, $direction='asc', $selected=0, $task=null, $newDirection='asc', $tip='', $icon=null, $formName='adminForm')

Attributs protégés statiques

static $loaded = array()

Fonctions membres privées statiques

static optionsToRegistry ($options)

Description détaillée

Searchtools elements.

Depuis
3.2

Documentation des fonctions membres

◆ form()

static form | ( | $selector = '.js-stools-form',
 |  | $options = array()
 | ) |
static

Load searchtools for a specific form

Paramètres
mixed | $selector | Is debugging mode on? [optional]
array | $options | Optional array of parameters for search tools
Renvoie
void
Depuis
3.2

Références $doc, $options, $script, $selector, et getDocument.

◆ main()

static main ( )
static

Load the main Searchtools libraries

Renvoie
void
Depuis
3.2

Références $options.

◆ optionsToRegistry()

static optionsToRegistry ( $options )
staticprivate

Function to receive & pre-process javascript options

Paramètres
mixed $options Associative array/Registry object with options
Renvoie
Registry Options converted to Registry object

Références $options.

◆ sort()

static sort | ( | $title,
 |  | $order,
 |  | $direction = 'asc',
 |  | $selected = 0,
 |  | $task = null,
 |  | $newDirection = 'asc',
 |  | $tip = '',
 |  | $icon = null,
 |  | $formName = 'adminForm'
 | ) |
static

Method to sort a column in a grid

Paramètres
string | $title | The link title
string | $order | The order field for the column
string | $direction | The current direction
mixed | $selected | The selected ordering
string | $task | An optional task override
string | $newDirection | An optional direction for the new column
string | $tip | An optional text shown as tooltip title instead of $title
string | $icon | Icon to show
string | $formName | Name of the form to submit
Renvoie
string

Références $data, $direction, $icon, $selected, $task, et $title.

Documentation des champs

◆ $loaded

$loaded = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • searchtools.php


Joomla CMS: Référence de la classe JHtmlSelect

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlSelect

Fonctions membres publiques statiques

static | booleanlist ($name, $attribs=array(), $selected=null, $yes='JYES', $no='JNO', $id=false)
static | genericlist ($data, $name, $attribs=null, $optKey='value', $optText='text', $selected=null, $idtag=false, $translate=false)
static | suggestionlist ($data, $optKey='value', $optText='text', $idtag=null, $translate=false)
static | groupedlist ($data, $name, $options=array())
static | integerlist ($start, $end, $inc, $name, $attribs=null, $selected=null, $format='')
static | optgroup ($text, $optKey='value', $optText='text')
static | option ($value, $text='', $optKey='value', $optText='text', $disable=false)
static | options ($arr, $optKey='value', $optText='text', $selected=null, $translate=false)
static | radiolist ($data, $name, $attribs=null, $optKey='value', $optText='text', $selected=null, $idtag=false, $translate=false)

Attributs protégés statiques

static $optionDefaults

Description détaillée

Utility class for creating HTML select lists

Depuis
1.5

Documentation des fonctions membres

◆ booleanlist()

static booleanlist | ( | $name,
 |  | $attribs = array(),
 |  | $selected = null,
 |  | $yes = 'JYES',
 |  | $no = 'JNO',
 |  | $id = false
 | ) |
static

Generates a yes/no radio list.

Paramètres
string | $name | The value of the HTML name attribute
array | $attribs | Additional HTML attributes for the <select> tag
string | $selected | The key that is selected
string | $yes | Language key for Yes
string | $no | Language key for no
mixed | $id | The id for the field or false for no id
Renvoie
string HTML for the radio list
Depuis
1.5
Voir également
JFormFieldRadio

Références $attribs, $id, $name, et $selected.

◆ genericlist()

static genericlist | ( | $data,
 |  | $name,
 |  | $attribs = null,
 |  | $optKey = 'value',
 |  | $optText = 'text',
 |  | $selected = null,
 |  | $idtag = false,
 |  | $translate = false
 | ) |
static

Generates an HTML selection list.

Paramètres
array | $data | An array of objects, arrays, or scalars.
string | $name | The value of the HTML name attribute.
mixed | $attribs | Additional HTML attributes for the <select> tag. This can be an array of attributes, or an array of options. Treated as options if it is the last argument passed. Valid options are: Format options, see {
Voir également
JHtml::$formatOptions}. Selection options, see {
JHtmlSelect::options()}. list.attr, string|array: Additional attributes for the select element. id, string: Value to use as the select element id attribute. Defaults to the same as the name. list.select, string|array: Identifies one or more option elements to be selected, based on the option key values.
Paramètres
string | $optKey | The name of the object variable for the option value. If set to null, the index of the value array is used.
string | $optText | The name of the object variable for the option text.
mixed | $selected | The key that is selected (accepts an array or a string).
mixed | $idtag | Value of the field id or null by default
boolean | $translate | True to translate
Renvoie
string HTML for the select list.
Depuis
1.5

Références $attribs, $data, $html, $id, $name, $options, et $selected.

◆ groupedlist()

static groupedlist | ( | $data,
 |  | $name,
 |  | $options = array()
 | ) |
static

Generates a grouped HTML selection list from nested arrays.

Paramètres
array | $data | An array of groups, each of which is an array of options.
string | $name | The value of the HTML name attribute
array | $options | Options, an array of key/value pairs. Valid options are: Format options, {
Voir également
JHtml::$formatOptions}. Selection options. See {
JHtmlSelect::options()}. group.id: The property in each group to use as the group id attribute. Defaults to none. group.label: The property in each group to use as the group label. Defaults to "text". If set to null, the data array index key is used. group.items: The property in each group to use as the array of items in the group. Defaults to "items". If set to null, group.id and group. label are forced to null and the data element is assumed to be a list of selections. id: Value to use as the select element id attribute. Defaults to the same as the name. list.attr: Attributes for the select element. Can be a string or an array of key/value pairs. Defaults to none. list.select: either the value of one selected option or an array of selected options. Default: none. list.translate: Boolean. If set, text and labels are translated via JText::_().
Renvoie
string HTML for the select list
Depuis
1.5
Exceptions
RuntimeException If a group has contents that cannot be processed.

Références $attribs, $data, $html, $id, $label, $name, $options, elseif, et null.

◆ integerlist()

static integerlist | ( | $start,
 |  | $end,
 |  | $inc,
 |  | $name,
 |  | $attribs = null,
 |  | $selected = null,
 |  | $format = ''
 | ) |
static

Generates a selection list of integers.

Paramètres
integer | $start | The start integer
integer | $end | The end integer
integer | $inc | The increment
string | $name | The value of the HTML name attribute
mixed | $attribs | Additional HTML attributes for the <select> tag, an array of attributes, or an array of options. Treated as options if it is the last argument passed.
mixed | $selected | The key that is selected
string | $format | The printf format to be applied to the number
Renvoie
string HTML for the select list
Depuis
1.5

Références $attribs, $data, $format, $i, $name, $options, $selected, $start, et null.

◆ optgroup()

static optgroup | ( | $text,
 |  | $optKey = 'value',
 |  | $optText = 'text'
 | ) |
static

Create a placeholder for an option group.

Paramètres
string | $text | The text for the option
string | $optKey | The returned object property name for the value
string | $optText | The returned object property name for the text
Renvoie
stdClass
Obsolète:
4.0 Use JHtmlSelect::groupedList()
Voir également
JHtmlSelect::groupedList()
Depuis
1.5

Références $state, et $text.

◆ option()

static option | ( | $value,
 |  | $text = '',
 |  | $optKey = 'value',
 |  | $optText = 'text',
 |  | $disable = false
 | ) |
static

Create an object that represents an option in an option list.

Paramètres
string | $value | The value of the option
string | $text | The text for the option
mixed | $optKey | If a string, the returned object property name for the value. If an array, options. Valid options are: attr: String|array. Additional attributes for this option. Defaults to none. disable: Boolean. If set, this option is disabled. label: String. The value for the option label. option.attr: The property in each option array to use for additional selection attributes. Defaults to none. option.disable: The property that will hold the disabled state. Defaults to "disable". option.key: The property that will hold the selection value. Defaults to "value". option.label: The property in each option array to use as the selection label attribute. If a "label" option is provided, defaults to "label", if no label is given, defaults to null (none). option.text: The property that will hold the the displayed text. Defaults to "text". If set to null, the option array is assumed to be a list of displayable scalars.
string | $optText | The property that will hold the the displayed text. This parameter is ignored if an options array is passed.
boolean | $disable | Not used.
Renvoie
stdClass
Depuis
1.5

Références $options, et null.

◆ options()

static options | ( | $arr,
 |  | $optKey = 'value',
 |  | $optText = 'text',
 |  | $selected = null,
 |  | $translate = false
 | ) |
static

Generates the option tags for an HTML select list (with no select tag surrounding the options).

Paramètres
array | $arr | An array of objects, arrays, or values.
mixed | $optKey | If a string, this is the name of the object variable for the option value. If null, the index of the array of objects is used. If an array, this is a set of options, as key/value pairs. Valid options are: -Format options, {
Voir également
JHtml::$formatOptions}. -groups: Boolean. If set, looks for keys with the value "&lt;optgroup>" and synthesizes groups from them. Deprecated. Defaults true for backwards compatibility. -list.select: either the value of one selected option or an array of selected options. Default: none. -list.translate: Boolean. If set, text and labels are translated via JText::_(). Default is false. -option.id: The property in each option array to use as the selection id attribute. Defaults to none. -option.key: The property in each option array to use as the selection value. Defaults to "value". If set to null, the index of the option array is used. -option.label: The property in each option array to use as the selection label attribute. Defaults to null (none). -option.text: The property in each option array to use as the displayed text. Defaults to "text". If set to null, the option array is assumed to be a list of displayable scalars. -option.attr: The property in each option array to use for additional selection attributes. Defaults to none. -option.disable: The property that will hold the disabled state. Defaults to "disable". -option.key: The property that will hold the selection value. Defaults to "value". -option.text: The property that will hold the the displayed text. Defaults to "text". If set to null, the option array is assumed to be a list of displayable scalars.
Paramètres
string | $optText | The name of the object variable for the option text.
mixed | $selected | The key that is selected (accepts an array or a string)
boolean | $translate | Translate the option values.
Renvoie
string HTML for the select list
Depuis
1.5

Références $attr, $html, $id, $key, $label, $options, $selected, $text, elseif, et null.

◆ radiolist()

static radiolist | ( | $data,
 |  | $name,
 |  | $attribs = null,
 |  | $optKey = 'value',
 |  | $optText = 'text',
 |  | $selected = null,
 |  | $idtag = false,
 |  | $translate = false
 | ) |
static

Generates an HTML radio list.

Paramètres
array | $data | An array of objects
string | $name | The value of the HTML name attribute
string | $attribs | Additional HTML attributes for the <select> tag
mixed | $optKey | The key that is selected
string | $optText | The name of the object variable for the option value
string | $selected | The name of the object variable for the option text
boolean | $idtag | Value of the field id or null by default
boolean | $translate | True if options will be translated
Renvoie
string HTML for the select list
Depuis
1.5

Références $attribs, $data, $html, $id, $name, $selected, et null.

◆ suggestionlist()

static suggestionlist | ( | $data,
 |  | $optKey = 'value',
 |  | $optText = 'text',
 |  | $idtag = null,
 |  | $translate = false
 | ) |
static

Method to build a list with suggestions

Paramètres
array | $data | An array of objects, arrays, or values.
string | $optKey | The name of the object variable for the option value. If set to null, the index of the value array is used.
string | $optText | The name of the object variable for the option text.
mixed | $idtag | Value of the field id or null by default
boolean | $translate | True to translate
Renvoie
string HTML for the select list
Depuis
3.2
Obsolète:
4.0 Just create the <datalist> directly instead

Références $data, $html, $id, $options, et null.

Documentation des champs

◆ $optionDefaults

$optionDefaults
staticprotected
Valeur initiale :
= array(
'option' => array(
'option.attr' => null,
'option.disable' => 'disable',
'option.id' => null,
'option.key' => 'value',
'option.key.toHtml' => true,
'option.label' => null,
'option.label.toHtml' => true,
'option.text' => 'text',
'option.text.toHtml' => true,
'option.class' => 'class',
'option.onclick' => 'onclick',
),
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/select.php


Joomla CMS: Référence de la classe JHtmlSidebar

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlSidebar

Fonctions membres publiques statiques

static | render ()
static | addEntry ($name, $link='', $active=false)
static | getEntries ()
static | addFilter ($label, $name, $options, $noDefault=false)
static | getFilters ()
static | setAction ($action)
static | getAction ()

Attributs protégés statiques

static | $entries = array()
static | $filters = array()
static | $action = ''

Description détaillée

Utility class to render a list view sidebar

Depuis
3.0

Documentation des fonctions membres

◆ addEntry()

static addEntry | ( | $name,
 |  | $link = '',
 |  | $active = false
 | ) |
static

Method to add a menu item to submenu.

Paramètres
string | $name | Name of the menu item.
string | $link | URL of the menu item.
bool | $active | True if the item is active, false otherwise.
Renvoie
void
Depuis
3.0

Références $active, $link, et $name.

Référencé par InstallerHelper\addSubmenu(), TemplatesHelper\addSubmenu(), MessagesHelper\addSubmenu(), NewsfeedsHelper\addSubmenu(), BannersHelper\addSubmenu(), ContactHelper\addSubmenu(), LanguagesHelper\addSubmenu(), ContentHelper\addSubmenu(), PrivacyHelper\addSubmenu(), UsersHelper\addSubmenu(), FinderHelper\addSubmenu(), MenusHelper\addSubmenu(), CacheHelper\addSubmenu(), CheckinController\addSubmenu(), et FOFRenderStrapper\renderLinkbarItems().

◆ addFilter()

static addFilter | ( | $label,
 |  | $name,
 |  | $options,
 |  | $noDefault = false
 | ) |
static

Method to add a filter to the submenu

Paramètres
string | $label | Label for the menu item.
string | $name | Name for the filter. Also used as id.
string | $options | Options for the select field.
bool | $noDefault | Don't show the label as the empty option
Renvoie
void
Depuis
3.0

Références $filters, $label, $name, et $options.

Référencé par FOFRenderStrapper\renderFormBrowse().

◆ getAction()

static getAction ( )
static

Get value for the action attribute of the filter form

Renvoie
string
Depuis
3.0

Références $action.

◆ getEntries()

static getEntries ( )
static

Returns an array of all submenu entries

Renvoie
array
Depuis
3.0

Référencé par ModulesViewModules\addToolbar(), et FOFRenderStrapper\postRender().

◆ getFilters()

static getFilters ( )
static

Returns an array of all filters

Renvoie
array
Depuis
3.0

Références $filters.

◆ render()

static render ( )
static

Render the sidebar.

Renvoie
string The necessary HTML to display the sidebar
Depuis
3.0

Références $data, et $layout.

Référencé par InstallerViewDefault\addToolbar(), LanguagesViewOverrides\addToolbar(), TemplatesViewTemplates\addToolbar(), LanguagesViewInstalled\addToolbar(), ModulesViewModules\addToolbar(), CacheViewPurge\display(), MediaViewMedia\display(), LanguagesViewLanguages\display(), TemplatesViewStyles\display(), CacheViewCache\display(), MenusViewItems\display(), MenusViewMenus\display(), BannersViewClients\display(), BannersViewTracks\display(), UsersViewLevels\display(), UsersViewGroups\display(), NewsfeedsViewNewsfeeds\display(), PrivacyViewCapabilities\display(), BannersViewBanners\display(), UsersViewNotes\display(), CheckinViewCheckin\display(), ContactViewContacts\display(), FieldsViewFields\display(), FieldsViewGroups\display(), FinderViewFilters\display(), FinderViewMaps\display(), CategoriesViewCategories\display(), ContentViewFeatured\display(), ContentViewArticles\display(), PrivacyViewConsents\display(), UsersViewUsers\display(), FinderViewIndex\display(), PrivacyViewRequests\display(), et FOFRenderStrapper\renderFormBrowse().

◆ setAction()

static setAction ( $action )
static

Set value for the action attribute of the filter form

Paramètres
string $action Value for the action attribute of the form
Renvoie
void
Depuis
3.0

Références $action.

Référencé par InstallerViewDiscover\addToolbar(), LanguagesViewLanguages\addToolbar(), TemplatesViewStyles\addToolbar(), CacheViewCache\addToolbar(), InstallerViewManage\addToolbar(), InstallerViewUpdatesites\addToolbar(), BannersViewTracks\addToolbar(), InstallerViewUpdate\addToolbar(), LanguagesViewOverrides\addToolbar(), TemplatesViewTemplates\addToolbar(), UsersViewNotes\addToolbar(), ContactViewContacts\addToolbar(), AssociationsViewAssociation\addToolbar(), et FOFRenderStrapper\renderFormBrowse().

Documentation des champs

◆ $action

$action = ''
staticprotected

◆ $entries

$entries = array()
staticprotected

◆ $filters

$filters = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • sidebar.php


Joomla CMS: Référence de la classe JHtmlSliders

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe JHtmlSliders

Fonctions membres publiques statiques

static | start ($group='sliders', $params=array())
static | end ()
static | panel ($text, $id)

Fonctions membres protégées statiques

static loadBehavior ($group, $params=array())

Description détaillée

Utility class for Sliders elements

Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

Documentation des fonctions membres

◆ end()

static end ( )
static

Close the current pane.

Renvoie
string hTML to close the pane
Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

◆ loadBehavior()

static loadBehavior | ( | $group,
 |  | $params = array()
 | ) |
staticprotected

Load the JavaScript behavior.

Paramètres
string | $group | The pane identifier.
array | $params | Array of options.
Renvoie
void
Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

Références $display, $document, $input, $js, $options, $params, getDocument, et null.

◆ panel()

static panel | ( | $text,
 |  | $id
 | ) |
static

Begins the display of a new panel.

Paramètres
string | $text | Text to display.
string | $id | Identifier of the panel.
Renvoie
string HTML to start a panel
Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

Références $id, et $text.

◆ start()

static start | ( | $group = 'sliders',
 |  | $params = array()
 | ) |
static

Creates a panes and loads the javascript behavior for it.

Paramètres
string | $group | The pane identifier.
array | $params | An array of options.
Renvoie
string
Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

Références $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • sliders.php


Joomla CMS: Référence de la classe JHtmlSortablelist

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlSortablelist

Fonctions membres publiques statiques

static | sortable ($tableId, $formId, $sortDir='asc', $saveOrderingUrl=null, $proceedSaveOrderButton=true, $nestedList=false)
static | _proceedSaveOrderButton ()

Attributs protégés statiques

static $loaded = array()

Description détaillée

HTML utility class for creating a sortable table list

Depuis
3.0
Obsolète:
5.0 Sortable List will be deprecated in favour of a new dragula script in 4.0

Documentation des fonctions membres

◆ _proceedSaveOrderButton()

static _proceedSaveOrderButton ( )
static

Method to inject script for enabled and disable Save order button when changing value of ordering input boxes

Renvoie
void
Depuis
3.0
Obsolète:
4.0 The logic is merged in the JLayout file

Références getDocument.

◆ sortable()

static sortable | ( | $tableId,
 |  | $formId,
 |  | $sortDir = 'asc',
 |  | $saveOrderingUrl = null,
 |  | $proceedSaveOrderButton = true,
 |  | $nestedList = false
 | ) |
static

Method to load the Sortable script and make table sortable

Paramètres
string | $tableId | DOM id of the table
string | $formId | DOM id of the form
string | $sortDir | Sort direction
string | $saveOrderingUrl | Save ordering url, ajax-load after an item dropped
boolean | $proceedSaveOrderButton | Set whether a save order button is displayed
boolean | $nestedList | Set whether the list is a nested list
Renvoie
void
Depuis
3.0
Exceptions
InvalidArgumentException
Obsolète:
5.0 In Joomla 4 call JHtml::_('dragablelist.dragable') and add a class of js-draggable to the tbody element of the table

Références $displayData, et null.

Documentation des champs

◆ $loaded

$loaded = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/sortablelist.php


Joomla CMS: Référence de la classe JHtmlString

Fonctions membres publiques statiques
Référence de la classe JHtmlString

Fonctions membres publiques statiques

static | truncate ($text, $length=0, $noSplit=true, $allowHtml=true)
static | truncateComplex ($html, $maxLength=0, $noSplit=true)
static | abridge ($text, $length=50, $intro=30)

Description détaillée

HTML helper class for rendering manipulated strings.

Depuis
1.6

Documentation des fonctions membres

◆ abridge()

static abridge | ( | $text,
 |  | $length = 50,
 |  | $intro = 30
 | ) |
static

Abridges text strings over the specified character limit. The behavior will insert an ellipsis into the text replacing a section of variable size to ensure the string does not exceed the defined maximum length. This method is UTF-8 safe.

For example, it transforms "Really long title" to "Really...title".

Note that this method does not scan for HTML tags so will potentially break them.

Paramètres
string | $text | The text to abridge.
integer | $length | The maximum length of the text (default is 50).
integer | $intro | The maximum length of the intro text (default is 30).
Renvoie
string The abridged text.
Depuis
1.6

Références $text.

◆ truncate()

static truncate | ( | $text,
 |  | $length = 0,
 |  | $noSplit = true,
 |  | $allowHtml = true
 | ) |
static

Truncates text blocks over the specified character limit and closes all open HTML tags. The method will optionally not truncate an individual word, it will find the first space that is within the limit and truncate at that point. This method is UTF-8 safe.

Paramètres
string | $text | The text to truncate.
integer | $length | The maximum length of the text.
boolean | $noSplit | Don't split a word if that is where the cutoff occurs (default: true).
boolean | $allowHtml | Allow HTML tags in the output, and close any open tags (default: true).
Renvoie
string The truncated text.
Depuis
1.6

Références $i, $offset, $text, $tmp, et ENT_QUOTES.

◆ truncateComplex()

static truncateComplex | ( | $html,
 |  | $maxLength = 0,
 |  | $noSplit = true
 | ) |
static

Method to extend the truncate method to more complex situations

The goal is to get the proper length plain text string with as much of the html intact as possible with all tags properly closed.

Paramètres
string | $html | The content of the introtext to be truncated
integer | $maxLength | The maximum number of characters to render
boolean | $noSplit | Don't split a word if that is where the cutoff occurs (default: true).
Renvoie
string The truncated string. If the string is truncated an ellipsis (...) will be appended.
Note
If a maximum length of 3 or less is selected and the text has more than that number of characters an ellipsis will be displayed. This method will not create valid HTML from malformed HTML.
Depuis
3.1

Références $html.

La documentation de cette classe a été générée à partir du fichier suivant :
  • cms/html/string.php


Joomla CMS: Référence de la classe JHtmlSystem

Fonctions membres publiques statiques
Référence de la classe JHtmlSystem

Fonctions membres publiques statiques

static server ($val)

Description détaillée

Utility class working with system

Depuis
1.6

Documentation des fonctions membres

◆ server()

static server ( $val )
static

Method to generate a string message for a value

Paramètres
string $val a php ini value
Renvoie
string html code
La documentation de cette classe a été générée à partir du fichier suivant :
  • system.php


Joomla CMS: Référence de la classe JHtmlTabs

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe JHtmlTabs

Fonctions membres publiques statiques

static | start ($group='tabs', $params=array())
static | end ()
static | panel ($text, $id)

Fonctions membres protégées statiques

static loadBehavior ($group, $params=array())

Description détaillée

Utility class for Tabs elements.

Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

Documentation des fonctions membres

◆ end()

static end ( )
static

Close the current pane

Renvoie
string HTML to close the pane
Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

◆ loadBehavior()

static loadBehavior | ( | $group,
 |  | $params = array()
 | ) |
staticprotected

Load the JavaScript behavior.

Paramètres
string | $group | The pane identifier.
array | $params | Array of options.
Renvoie
void
Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

Références $document, $js, $options, $params, getDocument, et null.

◆ panel()

static panel | ( | $text,
 |  | $id
 | ) |
static

Begins the display of a new panel.

Paramètres
string | $text | Text to display.
string | $id | Identifier of the panel.
Renvoie
string HTML to start a new panel
Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

Références $id, et $text.

◆ start()

static start | ( | $group = 'tabs',
 |  | $params = array()
 | ) |
static

Creates a panes and creates the JavaScript object for it.

Paramètres
string | $group | The pane identifier.
array | $params | An array of option.
Renvoie
string
Depuis
1.6
Obsolète:
3.7.0 These helpers are dependent on the deprecated MooTools support

Références $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • tabs.php


Joomla CMS: Référence de la classe JHtmlTag

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlTag

Fonctions membres publiques statiques

static | options ($config=array('filter.published'=> array(0, 1)))
static | tags ($config=array('filter.published'=> array(0, 1)))
static | ajaxfield ($selector='#jform_tags', $allowCustom=true)

Attributs protégés statiques

static $items = array()

Description détaillée

Utility class for tags

Depuis
3.1

Documentation des fonctions membres

◆ ajaxfield()

static ajaxfield | ( | $selector = '#jform_tags',
 |  | $allowCustom = true
 | ) |
static

This is just a proxy for the formbehavior.ajaxchosen method

Paramètres
string | $selector | DOM id of the tag field
boolean | $allowCustom | Flag to allow custom values
Renvoie
void
Depuis
3.1

Références $displayData, $params, et $selector.

◆ options()

static options ( $config = array('filter.published' => array(0, 1)) )
static

Returns an array of tags.

Paramètres
array $config An array of configuration options. By default, only published and unpublished categories are returned.
Renvoie
array
Depuis
3.1

Références $config, $db, $hash, $item, $items, $language, $query, elseif, et ArrayHelper\toInteger().

◆ tags()

static tags ( $config = array('filter.published' => array(0, 1)) )
static

Returns an array of tags.

Paramètres
array $config An array of configuration options. By default, only published and unpublished tags are returned.
Renvoie
array Tag data
Depuis
3.1

Références $config, $db, $hash, $item, $items, $query, elseif, et ArrayHelper\toInteger().

Documentation des champs

◆ $items

$items = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/tag.php


Joomla CMS: Référence de la classe JHtmlTel

Fonctions membres publiques statiques
Référence de la classe JHtmlTel

Fonctions membres publiques statiques

static tel ($number, $displayplan)

Description détaillée

HTML helper class for rendering telephone numbers.

Depuis
1.6

Documentation des fonctions membres

◆ tel()

static tel | ( | $number,
 |  | $displayplan
 | ) |
static

Converts strings of integers into more readable telephone format

By default, the ITU-T format will automatically be used. However, one of the allowed unit types may also be used instead.

Paramètres
integer | $number | The integers in a phone number with dot separated country code ccc.nnnnnnn where ccc represents country code and nnn represents the local number.
string | $displayplan | The numbering plan used to display the numbers.
Renvoie
string The formatted telephone number.
Voir également
JFormRuleTel
Depuis
1.6

Références $display, elseif, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/tel.php


Joomla CMS: Référence de la classe JHtmlTemplates

Fonctions membres publiques statiques
Référence de la classe JHtmlTemplates

Fonctions membres publiques statiques

static | thumb ($template, $clientId=0)
static | thumbModal ($template, $clientId=0)

Description détaillée

JHtml helper class.

Depuis
1.6

Documentation des fonctions membres

◆ thumb()

static thumb | ( | $template,
 |  | $clientId = 0
 | ) |
static

Display the thumb for the template.

Paramètres
string | $template | The name of the template.
integer | $clientId | The application client ID the template applies to
Renvoie
string The html string
Depuis
1.6

Références $basePath, $client, $clientId, $html, et $template.

◆ thumbModal()

static thumbModal | ( | $template,
 |  | $clientId = 0
 | ) |
static

Renders the html for the modal linked to thumb.

Paramètres
string | $template | The name of the template.
integer | $clientId | The application client ID the template applies to
Renvoie
string The html string
Depuis
3.4

Références $basePath, $client, $clientId, $html, et $template.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_templates/helpers/html/templates.php


Joomla CMS: Référence de la classe JHtmlTextdiff

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JHtmlTextdiff

Fonctions membres publiques statiques

static textdiff ($containerId)

Attributs protégés statiques

static $loaded = array()

Description détaillée

HTML utility class for creating text diffs using jQuery, diff_patch_match.js and jquery.pretty-text-diff.js JavaScript libraries.

Depuis
3.2
Obsolète:
4.0 No replacement

Documentation des fonctions membres

◆ textdiff()

static textdiff ( $containerId )
static

Method to load Javascript text diff

Paramètres
string $containerId DOM id of the element where the diff will be rendered
Renvoie
void
Depuis
3.2

Références getDocument.

Documentation des champs

◆ $loaded

$loaded = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • textdiff.php


Joomla CMS: Référence de la classe JHtmlUser

Fonctions membres publiques statiques
Référence de la classe JHtmlUser

Fonctions membres publiques statiques

static | groups ($includeSuperAdmin=false)
static | userlist ()

Description détaillée

Utility class working with users

Depuis
2.5

Documentation des fonctions membres

◆ groups()

static groups ( $includeSuperAdmin = false )
static

Displays a list of user groups.

Paramètres
boolean $includeSuperAdmin true to include super admin groups, false to exclude them
Renvoie
array An array containing a list of user groups.
Depuis
2.5

Références $groups, $i, $n, $options, text, et value.

◆ userlist()

static userlist ( )
static

Get a list of users.

Renvoie
string
Depuis
2.5

Références $db, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/html/user.php


Joomla CMS: Référence de la classe JHtmlUsers

Fonctions membres publiques statiques
Référence de la classe JHtmlUsers

Fonctions membres publiques statiques

static | image ($src)
static | addNote ($userId)
static | filterNotes ($count, $userId)
static | notes ($count, $userId)
static | notesModal ($count, $userId)
static | blockStates ( $self=false)
static | activateStates ()
static | value ($value)
static | spacer ($value)
static | helpsite ($value)
static | templatestyle ($value)
static | admin_language ($value)
static | language ($value)
static | editor ($value)

Description détaillée

Extended Utility class for the Users component.

Depuis
2.5

Users Html Helper

Depuis
1.6

Documentation des fonctions membres

◆ activateStates()

static activateStates ( )
static

Build an array of activate states to be used by jgrid.state,

Renvoie
array a list of possible states to display
Depuis
3.0

◆ addNote()

static addNote ( $userId )
static

Displays an icon to add a note for this user.

Paramètres
integer $userId The user ID
Renvoie
string A link to add a note
Depuis
2.5

Références $title, et $userId.

◆ admin_language()

static admin_language ( $value )
static

Get the sanitized language

Paramètres
mixed $value Value of the field
Renvoie
mixed String/void
Depuis
1.6

Références $file, $value, ENT_COMPAT, htmlspecialchars, JPATH_ADMINISTRATOR, null, et value.

◆ blockStates()

static blockStates ( $self = false )
static

Build an array of block/unblock user states to be used by jgrid.state, State options will be different for any user and for currently logged in user

Paramètres
boolean $self True if state array is for currently logged in user
Renvoie
array a list of possible states to display
Depuis
3.0

Références $self.

◆ editor()

static editor ( $value )
static

Get the sanitized editor name

Paramètres
mixed $value Value of the field
Renvoie
mixed String/void
Depuis
1.6

Références $db, $lang, $query, $title, $value, JPATH_ADMINISTRATOR, JPATH_PLUGINS, null, et value.

◆ filterNotes()

static filterNotes | ( | $count,
 |  | $userId
 | ) |
static

Displays an icon to filter the notes list on this user.

Paramètres
integer | $count | The number of notes for the user
integer | $userId | The user ID
Renvoie
string A link to apply a filter
Depuis
2.5

Références $count, $title, et $userId.

◆ helpsite()

static helpsite ( $value )
static

Get the sanitized helpsite link

Paramètres
mixed $value Value of the field
Renvoie
mixed String/void
Depuis
1.6

Références $text, $value, ENT_COMPAT, htmlspecialchars, JPATH_ADMINISTRATOR, et value.

◆ image()

static image ( $src )
static

Display an image.

Paramètres
string $src The source of the image
Renvoie
string A element if the specified file exists, otherwise, a null string
Depuis
2.5

Références $file, jimport(), et JPATH_SITE.

◆ language()

static language ( $value )
static

Get the sanitized language

Paramètres
mixed $value Value of the field
Renvoie
mixed String/void
Depuis
1.6

Références $file, $value, ENT_COMPAT, htmlspecialchars, JPATH_SITE, null, et value.

◆ notes()

static notes | ( | $count,
 |  | $userId
 | ) |
static

Displays a note icon.

Paramètres
integer | $count | The number of notes for the user
integer | $userId | The user ID
Renvoie
string A link to a modal window with the user notes
Depuis
2.5

Références $count, $title, et $userId.

◆ notesModal()

static notesModal | ( | $count,
 |  | $userId
 | ) |
static

Renders the modal html.

Paramètres
integer | $count | The number of notes for the user
integer | $userId | The user ID
Renvoie
string The html for the rendered modal
Depuis
3.4.1

Références $count, $title, et $userId.

◆ spacer()

static spacer ( $value )
static

Get the space symbol

Paramètres
mixed $value Value of the field
Renvoie
string
Depuis
1.6

◆ templatestyle()

static templatestyle ( $value )
static

Get the sanitized template style

Paramètres
mixed $value Value of the field
Renvoie
mixed String/void
Depuis
1.6

Références $db, $query, $title, $value, ENT_COMPAT, htmlspecialchars, et value.

◆ value()

static value ( $value )
static

Get the sanitized value

Paramètres
mixed $value Value of the field
Renvoie
mixed String/void
Depuis
1.6

Références $value, elseif, ENT_COMPAT, et htmlspecialchars.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/helpers/html/users.php


Joomla CMS: Référence de la classe JInput

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JInput
+ Graphe d'héritage de JInput:
FOFInput JInputCli JInputCookie JInputFiles JInputJSON

Fonctions membres publiques

__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
set ($name, $value)
def ($name, $value)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Fonctions membres protégées

loadAllInputs ()

Attributs protégés

$options = array()
$filter = null
$data = array()
$inputs = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( |  | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Source data (Optional, default is $_REQUEST)
array | $options | Array of configuration parameters (Optional)
Depuis
11.1

Références $options.

Documentation des fonctions membres

◆ __call()

__call | ( | $name,
 |  | $arguments
 | ) |

Magic method to get filtered input data.

Paramètres
string | $name | Name of the filter type prefixed with 'get'.
array | $arguments | [0] The name of the variable [1] The default value.
Renvoie
mixed The filtered input value.
Depuis
11.1

Références $default, $filter, $name, et null.

◆ __get()

__get ( $name )

Magic method to get an input object

Paramètres
mixed $name Name of the input object to retrieve.
Renvoie
JInput The request input object
Depuis
11.1

Références $className, $GLOBALS, $name, et null.

◆ count()

count ( )

Get the number of variables.

Renvoie
integer The number of variables in the input.
Depuis
12.2
Voir également
Countable::count()

◆ def()

def | ( | $name,
 |  | $value
 | ) |

Define a value. The value will only be set if there's no value for the name or if it is null.

Paramètres
string | $name | Name of the value to define.
mixed | $value | Value to assign to the input.
Renvoie
void
Depuis
12.1

Références $name, et $value.

◆ get()

get | ( | $name,
 |  | $default = null,
 |  | $filter = 'cmd'
 | ) |

Gets a value from the input data.

Paramètres
string | $name | Name of the value to get.
mixed | $default | Default value to return if variable does not exist.
string | $filter | Filter to apply to the value.
Renvoie
mixed The filtered input value.
Depuis
11.1

Références $default, $filter, et $name.

◆ getArray()

getArray | ( | array | $vars = array(),
 |  |  | $datasource = null
 | ) |  |

Gets an array of values from the request.

Paramètres
array | $vars | Associative array of keys and filter types to apply. If empty and datasource is null, all the input data will be returned but filtered using the default case in JFilterInput::clean.
mixed | $datasource | Array to retrieve data from, or null
Renvoie
mixed The filtered input data.
Depuis
11.1

Références $data, $results, elseif, et null.

◆ getMethod()

getMethod ( )

Gets the request method.

Renvoie
string The request method.
Depuis
11.1

◆ loadAllInputs()

loadAllInputs ( )
protected

Method to load all of the global inputs.

Renvoie
void
Depuis
12.1

Références $data, et $GLOBALS.

◆ serialize()

serialize ( )

Method to serialize the input.

Renvoie
string The serialized input.
Depuis
12.1

◆ set()

set | ( | $name,
 |  | $value
 | ) |

Sets a value

Paramètres
string | $name | Name of the value to set.
mixed | $value | Value to assign to the input.
Renvoie
void
Depuis
11.1

Références $name, et $value.

◆ unserialize()

unserialize ( $input )

Method to unserialize the input.

Paramètres
string $input The serialized input.
Renvoie
JInput The input object.
Depuis
12.1

Références $input.

Documentation des champs

◆ $data

$data = array()
protected

Référencé par FOFInput\getData().

◆ $filter

$filter = null
protected

Référencé par FOFInput\__call(), et FOFInput\get().

◆ $inputs

$inputs = array()
protected

◆ $options

$options = array()
protected

Référencé par FOFInput\__construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • jinput/input.php


Joomla CMS: Référence de la classe JInputCli

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe JInputCli
+ Graphe d'héritage de JInputCli:
JInput

Fonctions membres publiques

__construct (array $source=null, array $options=array())
serialize ()
unserialize ($input)
- Fonctions membres publiques hérités de JInput
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
set ($name, $value)
def ($name, $value)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Champs de données

$executable
$args = array()

Fonctions membres protégées

parseArguments ()
- Fonctions membres protégées hérités de JInput
loadAllInputs ()

Membres hérités additionnels

- Attributs protégés hérités de JInput
$options = array()
$filter = null
$data = array()
$inputs = array()

Description détaillée

Joomla! Input CLI Class

Depuis
11.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | array | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Source data (Optional, default is $_REQUEST)
array | $options | Array of configuration parameters (Optional)
Depuis
11.1

Références $options.

Documentation des fonctions membres

◆ parseArguments()

parseArguments ( )
protected

Initialise the options and arguments

Not supported: -abc c-value

Renvoie
void
Depuis
11.1

Références $i, $key, $value, et elseif.

◆ serialize()

serialize ( )

Method to serialize the input.

Renvoie
string The serialized input.
Depuis
12.1

◆ unserialize()

unserialize ( $input )

Method to unserialize the input.

Paramètres
string $input The serialized input.
Renvoie
JInput The input object.
Depuis
12.1

Références $input.

Documentation des champs

◆ $args

$args = array()

◆ $executable

$executable
La documentation de cette classe a été générée à partir du fichier suivant :
  • cli.php


Joomla CMS: Référence de la classe JInputCookie

Fonctions membres publiques
Référence de la classe JInputCookie
+ Graphe d'héritage de JInputCookie:
JInput

Fonctions membres publiques

__construct (array $source=null, array $options=array())
set ($name, $value, $expire=0, $path='', $domain='', $secure=false, $httpOnly=false)
- Fonctions membres publiques hérités de JInput
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
set ($name, $value)
def ($name, $value)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Membres hérités additionnels

- Fonctions membres protégées hérités de JInput
loadAllInputs ()
- Attributs protégés hérités de JInput
$options = array()
$filter = null
$data = array()
$inputs = array()

Description détaillée

Joomla! Input Cookie Class

Depuis
11.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | array | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Ignored.
array | $options | Array of configuration parameters (Optional)
Depuis
11.1

Références $options.

Documentation des fonctions membres

◆ set()

set | ( | $name,
 |  | $value,
 |  | $expire = 0,
 |  | $path = '',
 |  | $domain = '',
 |  | $secure = false,
 |  | $httpOnly = false
 | ) |

Sets a value

Paramètres
string | $name | Name of the value to set.
mixed | $value | Value to assign to the input.
integer | $expire | The time the cookie expires. This is a Unix timestamp so is in number of seconds since the epoch. In other words, you'll most likely set this with the time() function plus the number of seconds before you want it to expire. Or you might use mktime(). time()+60*60*24*30 will set the cookie to expire in 30 days. If set to 0, or omitted, the cookie will expire at the end of the session (when the browser closes).
string | $path | The path on the server in which the cookie will be available on. If set to '/', the cookie will be available within the entire domain. If set to '/foo/', the cookie will only be available within the /foo/ directory and all sub-directories such as /foo/bar/ of domain. The default value is the current directory that the cookie is being set in.
string | $domain | The domain that the cookie is available to. To make the cookie available on all subdomains of example.com (including example.com itself) then you'd set it to '.example.com'. Although some browsers will accept cookies without the initial ., RFC 2109 requires it to be included. Setting the domain to 'www.example.com' or '.www.example.com' will make the cookie only available in the www subdomain.
boolean | $secure | Indicates that the cookie should only be transmitted over a secure HTTPS connection from the client. When set to TRUE, the cookie will only be set if a secure connection exists. On the server-side, it's on the programmer to send this kind of cookie only on secure connection (e.g. with respect to $_SERVER["HTTPS"]).
boolean | $httpOnly | When TRUE the cookie will be made accessible only through the HTTP protocol. This means that the cookie won't be accessible by scripting languages, such as JavaScript. This setting can effectively help to reduce identity theft through XSS attacks (although it is not supported by all browsers).
Renvoie
void

setcookie() 11.1

Références $name, $path, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/input/jinput/cookie.php


Joomla CMS: Référence de la classe JInputFiles

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JInputFiles
+ Graphe d'héritage de JInputFiles:
JInput

Fonctions membres publiques

__construct (array $source=null, array $options=array())
get ($name, $default=null, $filter='cmd')
set ($name, $value)
- Fonctions membres publiques hérités de JInput
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
set ($name, $value)
def ($name, $value)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Fonctions membres protégées

decodeData (array $data)
- Fonctions membres protégées hérités de JInput
loadAllInputs ()

Attributs protégés

$decodedData = array()
- Attributs protégés hérités de JInput
$options = array()
$filter = null
$data = array()
$inputs = array()

Description détaillée

Joomla! Input Files Class

Depuis
11.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | array | $source = null,
 |  | array | $options = array()
 | ) |  |

The class constructor.

Paramètres
array | $source | The source argument is ignored. $_FILES is always used.
array | $options | An optional array of configuration options: filter : a custom JFilterInput object.
Depuis
12.1

Références $options.

Documentation des fonctions membres

◆ decodeData()

decodeData ( array $data )
protected

Method to decode a data array.

Paramètres
array $data The data array to decode.
Renvoie
array
Depuis
11.1

Références $data.

◆ get()

get | ( | $name,
 |  | $default = null,
 |  | $filter = 'cmd'
 | ) |

Gets a value from the input data.

Paramètres
string | $name | The name of the input property (usually the name of the files INPUT tag) to get.
mixed | $default | The default value to return if the named property does not exist.
string | $filter | The filter to apply to the value.
Renvoie
mixed The filtered input value.
Voir également
JFilterInput::clean()
Depuis
11.1

Références $default, $filter, $name, et $results.

◆ set()

set | ( | $name,
 |  | $value
 | ) |

Sets a value.

Paramètres
string | $name | The name of the input property to set.
mixed | $value | The value to assign to the input property.
Renvoie
void
Depuis
11.1

Documentation des champs

◆ $decodedData

$decodedData = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • files.php


Joomla CMS: Référence de la classe JInputJSON

Fonctions membres publiques | Attributs privés
Référence de la classe JInputJSON
+ Graphe d'héritage de JInputJSON:
JInput

Fonctions membres publiques

__construct (array $source=null, array $options=array())
getRaw ()
- Fonctions membres publiques hérités de JInput
__construct ($source=null, array $options=array())
__get ($name)
count ()
get ($name, $default=null, $filter='cmd')
getArray (array $vars=array(), $datasource=null)
set ($name, $value)
def ($name, $value)
__call ($name, $arguments)
getMethod ()
serialize ()
unserialize ($input)

Attributs privés

$_raw

Membres hérités additionnels

- Fonctions membres protégées hérités de JInput
loadAllInputs ()
- Attributs protégés hérités de JInput
$options = array()
$filter = null
$data = array()
$inputs = array()

Description détaillée

Joomla! Input JSON Class

This class decodes a JSON string from the raw request data and makes it available via the standard JInput interface.

Depuis
12.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | array | $source = null,
 |  | array | $options = array()
 | ) |  |

Constructor.

Paramètres
array | $source | Source data (Optional, default is the raw HTTP input decoded from JSON)
array | $options | Array of configuration parameters (Optional)
Depuis
12.2

Références $options.

Documentation des fonctions membres

◆ getRaw()

getRaw ( )

Gets the raw JSON string from the request.

Renvoie
string The raw JSON string from the request.
Depuis
12.2

Documentation des champs

◆ $_raw

$_raw
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/fof/input/jinput/json.php


Joomla CMS: Référence de la classe JJsonResponse

Fonctions membres publiques | Champs de données
Référence de la classe JJsonResponse

Fonctions membres publiques

__construct ($response=null, $message=null, $error=false)
__toString ()

Champs de données

$success = true
$error = false
$message = null
$messages = null
$data = null

Description détaillée

JSON Response class.

Depuis
2.5
Obsolète:
4.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $response = null,
 |  | $message = null,
 |  | $error = false
 | ) |

Constructor

Paramètres
mixed | $response | The Response data.
string | $message | The main response message.
boolean | $error | True, if the success flag shall be set to false, defaults to false.
Depuis
2.5
Obsolète:
4.0 Use JResponseJson instead.

Références $message, et $messages.

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic toString method for sending the response in JSON format.

Renvoie
string The response in JSON format.
Depuis
2.5

Références json_encode.

Documentation des champs

◆ $data

$data = null

◆ $error

$error = false

◆ $message

$message = null

◆ $messages

$messages = null

◆ $success

$success = true
La documentation de cette classe a été générée à partir du fichier suivant :
  • jsonresponse.php


Joomla CMS: Référence de la classe JKeychain

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe JKeychain
+ Graphe d'héritage de JKeychain:
Registry JsonSerializable

Fonctions membres publiques

createPassphraseFile ($passphrase, $passphraseFile, $privateKeyFile, $privateKeyPassphrase)
deleteValue ($path)
loadKeychain ($keychainFile, $passphraseFile, $publicKeyFile)
saveKeychain ($keychainFile, $passphraseFile, $publicKeyFile)
- Fonctions membres publiques hérités de Registry
__construct ($data=null)
__clone ()
__toString ()
count ()
jsonSerialize ()
def ($key, $default='')
exists ($path)
get ($path, $default=null)
getIterator ()
loadArray ($array, $flattened=false, $separator=null)
loadObject ($object)
loadFile ($file, $format='JSON', $options=array())
loadString ($data, $format='JSON', $options=array())
merge ($source, $recursive=false)
extract ($path)
offsetExists ($offset)
offsetGet ($offset)
offsetSet ($offset, $value)
offsetUnset ($offset)
set ($path, $value, $separator=null)
append ($path, $value)
remove ($path)
toArray ()
toObject ()
toString ($format='JSON', $options=array())
flatten ($separator=null)

Champs de données

$method = 'aes-128-cbc'
$iv = '1234567890123456'
- Champs de données hérités de Registry
$separator = '.'

Fonctions membres protégées

getPassphraseFromFile ($passphraseFile, $publicKeyFile)
- Fonctions membres protégées hérités de Registry
bindData ($parent, $data, $recursive=true, $allowNull=true)
asArray ($data)
toFlatten ($separator=null, $data=null, &$array=array(), $prefix='')

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de Registry
static | getInstance ($id)
- Attributs protégés hérités de Registry
$data
$initialized = false
- Attributs protégés statiques hérités de Registry
static | $instances = array()

Description détaillée

Keychain Class

Depuis
3.1.4
Obsolète:
4.0 Deprecated without replacement

Documentation des fonctions membres

◆ createPassphraseFile()

createPassphraseFile | ( | $passphrase,
 |  | $passphraseFile,
 |  | $privateKeyFile,
 |  | $privateKeyPassphrase
 | ) |

Create a passphrase file

Paramètres
string | $passphrase | The passphrase to store in the passphrase file.
string | $passphraseFile | Path to the passphrase file to create.
string | $privateKeyFile | Path to the private key file to encrypt the passphrase file.
string | $privateKeyPassphrase | The passphrase for the private key.
Renvoie
boolean Result of writing the passphrase file to disk.
Depuis
3.1.4
Exceptions
RuntimeException

◆ deleteValue()

deleteValue ( $path )

Delete a registry value (very simple method)

Paramètres
string $path Registry Path (e.g. joomla.content.showauthor)
Renvoie
mixed Value of old value or boolean false if operation failed
Depuis
3.1.4

Références $data, $i, $n, $path, et null.

◆ getPassphraseFromFile()

getPassphraseFromFile | ( | $passphraseFile,
 |  | $publicKeyFile
 | ) |
protected

Get the passphrase for this keychain

Paramètres
string | $passphraseFile | The file containing the passphrase to encrypt and decrypt.
string | $publicKeyFile | The file containing the public key to decrypt the passphrase file.
Renvoie
string The passphrase in from passphraseFile
Depuis
3.1.4
Exceptions
RuntimeException

◆ loadKeychain()

loadKeychain | ( | $keychainFile,
 |  | $passphraseFile,
 |  | $publicKeyFile
 | ) |

Load a keychain file into this object.

Paramètres
string | $keychainFile | Path to the keychain file.
string | $passphraseFile | The path to the passphrase file to decript the keychain.
string | $publicKeyFile | The file containing the public key to decrypt the passphrase file.
Renvoie
boolean Result of loading the object.
Depuis
3.1.4
Exceptions
RuntimeException

Références method.

Référencé par KeychainManager\loadKeychain().

◆ saveKeychain()

saveKeychain | ( | $keychainFile,
 |  | $passphraseFile,
 |  | $publicKeyFile
 | ) |

Save this keychain to a file.

Paramètres
string | $keychainFile | The path to the keychain file.
string | $passphraseFile | The path to the passphrase file to encrypt the keychain.
string | $publicKeyFile | The file containing the public key to decrypt the passphrase file.
Renvoie
boolean Result of storing the file.
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, et method.

Documentation des champs

◆ $iv

$iv = '1234567890123456'

◆ $method

$method = 'aes-128-cbc'
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/keychain/keychain.php


Joomla CMS: Référence de la classe JLess

Fonctions membres publiques
Référence de la classe JLess
+ Graphe d'héritage de JLess:
lessc

Fonctions membres publiques

__construct ($fname=null, $formatter=null)
compile ($string, $name=null)
- Fonctions membres publiques hérités de lessc
compileValue ($value)
colorArgs ($args)
assertColor ($value, $error="expected color value")
assertNumber ($value, $error="expecting number")
assertArgs ($value, $expectedArgs, $name="")
toBool ($a)
lib_red ($color)
lib_green ($color)
lib_blue ($color)
__construct ($fname=null)
compile ($string, $name=null)
compileFile ($fname, $outFname=null)
checkedCompile ($in, $out)
cachedCompile ($in, $force=false)
parse ($str=null, $initialVariables=null)
setFormatter ($name)
setPreserveComments ($preserve)
registerFunction ($name, $func)
unregisterFunction ($name)
setVariables ($variables)
unsetVariable ($name)
setImportDir ($dirs)
addImportDir ($dir)
allParsedFiles ()
addParsedFile ($file)
throwError ($msg=null)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de lessc
static | compressList ($items, $delim)
static | preg_quote ($what)
static | ccompile ($in, $out, $less=null)
static | cexecute ($in, $force=false, $less=null)
- Champs de données hérités de lessc
$vPrefix = '@'
$mPrefix = '$'
$parentSelector = '&'
$importDisabled = false
$importDir = ''
- Attributs publics statiques hérités de lessc
static | $VERSION = "v0.5.0"
static | $TRUE = array("keyword", "true")
static | $FALSE = array("keyword", "false")
- Fonctions membres protégées hérités de lessc
findImport ($url)
fileExists ($name)
tryImport ($importPath, $parentBlock, $out)
compileImportedProps ($props, $block, $out, $sourceParser, $importDir)
compileBlock ($block)
compileCSSBlock ($block)
compileMedia ($media)
mediaParent ($scope)
compileNestedBlock ($block, $selectors)
compileRoot ($root)
compileProps ($block, $out)
deduplicate ($lines)
sortProps ($props, $split=false)
compileMediaQuery ($queries)
multiplyMedia ($env, $childQueries=null)
expandParentSelectors (&$tag, $replace)
findClosestSelectors ()
multiplySelectors ($selectors)
compileSelectors ($selectors)
eq ($left, $right)
patternMatch ($block, $orderedArgs, $keywordArgs)
patternMatchAll ($blocks, $orderedArgs, $keywordArgs, $skip=array())
findBlocks ($searchIn, $path, $orderedArgs, $keywordArgs, $seen=array())
zipSetArgs ($args, $orderedValues, $keywordValues)
compileProp ($prop, $block, $out)
lib_pow ($args)
lib_pi ()
lib_mod ($args)
lib_tan ($num)
lib_sin ($num)
lib_cos ($num)
lib_atan ($num)
lib_asin ($num)
lib_acos ($num)
lib_sqrt ($num)
lib_extract ($value)
lib_isnumber ($value)
lib_isstring ($value)
lib_iscolor ($value)
lib_iskeyword ($value)
lib_ispixel ($value)
lib_ispercentage ($value)
lib_isem ($value)
lib_isrem ($value)
lib_rgbahex ($color)
lib_argb ($color)
lib_data_uri ($value)
lib_e ($arg)
lib__sprintf ($args)
lib_floor ($arg)
lib_ceil ($arg)
lib_round ($arg)
lib_unit ($arg)
lib_darken ($args)
lib_lighten ($args)
lib_saturate ($args)
lib_desaturate ($args)
lib_spin ($args)
lib_fadeout ($args)
lib_fadein ($args)
lib_hue ($color)
lib_saturation ($color)
lib_lightness ($color)
lib_alpha ($value)
lib_fade ($args)
lib_percentage ($arg)
lib_tint ($args)
lib_shade ($args)
lib_mix ($args)
lib_contrast ($args)
lib_luma ($color)
toHSL ($color)
toRGB_helper ($comp, $temp1, $temp2)
toRGB ($color)
clamp ($v, $max=1, $min=0)
funcToColor ($func)
reduce ($value, $forExpression=false)
coerceColor ($value)
coerceString ($value)
flattenList ($value)
evaluate ($exp)
stringConcatenate ($left, $right)
fixColor ($c)
op_number_color ($op, $lft, $rgt)
op_color_number ($op, $lft, $rgt)
op_color_color ($op, $left, $right)
op_number_number ($op, $left, $right)
makeOutputBlock ($type, $selectors=null)
pushEnv ($block=null)
popEnv ()
set ($name, $value)
get ($name)
injectVariables ($args)
makeParser ($name)
newFormatter ()
- Attributs protégés hérités de lessc
$libFunctions = array()
$registeredVars = array()
$preserveComments = false
$numberPrecision = null
$allParsedFiles = array()
$sourceParser = null
$sourceLoc = null
- Attributs protégés statiques hérités de lessc
static | $nextImportId = 0
static | $cssColors

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $fname = null,
 |  | $formatter = null
 | ) |

Constructor

Paramètres
string | $fname | Filename to process
\JLessFormatterJoomla | $formatter | Formatter object
Depuis
3.4

Références null.

Documentation des fonctions membres

◆ compile()

compile | ( | $string,
 |  | $name = null
 | ) |

Override compile to reset $this->allParsedFiles array to allow parsing multiple files/strings using same imports. PR: https://github.com/leafo/lessphp/pull/607

For documentation on this please see /vendor/leafo/lessc.inc.php

Paramètres
string | $string | LESS string to parse.
string | $name | The sourceName used for error messages.
Renvoie
string $out The compiled css output.

Références $name.

La documentation de cette classe a été générée à partir du fichier suivant :
  • cms/less/less.php


Joomla CMS: Référence de la classe JLessFormatterJoomla

Champs de données
Référence de la classe JLessFormatterJoomla
+ Graphe d'héritage de JLessFormatterJoomla:
lessc_formatter_classic

Champs de données

$disableSingle = true
$breakSelectors = true
$assignSeparator = ': '
$selectorSeparator = ','
$indentChar = "\t"
- Champs de données hérités de lessc_formatter_classic
$indentChar = " "
$break = "\n"
$open = " {"
$close = "}"
$selectorSeparator = ", "
$assignSeparator = ":"
$openSingle = " { "
$closeSingle = " }"
$disableSingle = false
$breakSelectors = false
$compressColors = false

Membres hérités additionnels

- Fonctions membres publiques hérités de lessc_formatter_classic
__construct ()
indentStr ($n=0)
property ($name, $value)
block ($block)
- Fonctions membres protégées hérités de lessc_formatter_classic
isEmpty ($block)

Documentation des champs

◆ $assignSeparator

$assignSeparator = ': '

◆ $breakSelectors

$breakSelectors = true

◆ $disableSingle

$disableSingle = true

◆ $indentChar

$indentChar = "\t"

◆ $selectorSeparator

$selectorSeparator = ','
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/cms/less/formatter/joomla.php


Joomla CMS: Référence de la classe JLinkedin

Fonctions membres publiques | Attributs protégés
Référence de la classe JLinkedin

Fonctions membres publiques

__construct (JLinkedinOauth $oauth=null, Registry $options=null, JHttp $client=null)
__get ($name)
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$client
$oauth
$people
$groups
$companies
$jobs
$stream
$communications

Description détaillée

Joomla Platform class for interacting with a Linkedin API instance.

Depuis
3.2.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | JLinkedinOauth | $oauth = null,
 |  | Registry | $options = null,
 |  | JHttp | $client = null
 | ) |  |

Constructor.

Paramètres
JLinkedinOauth | $oauth | OAuth object
Registry | $options | Linkedin options object.
JHttp | $client | The HTTP client object.
Depuis
3.2.0

Références $client, et $options.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to lazily create API objects

Paramètres
string $name Name of property to retrieve
Renvoie
JLinkedinObject Linkedin API object (statuses, users, favorites, etc.).
Depuis
3.2.0
Exceptions
InvalidArgumentException

Références $class, et $name.

◆ getOption()

getOption ( $key )

Get an option from the JLinkedin instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.2.0

Références $key.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the Linkedin instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JLinkedin This object for method chaining.
Depuis
3.2.0

Références $key, et $value.

Documentation des champs

◆ $client

$client
protected

◆ $communications

$communications
protected

◆ $companies

$companies
protected

◆ $groups

$groups
protected

◆ $jobs

$jobs
protected

◆ $oauth

$oauth
protected

◆ $options

$options
protected

◆ $people

$people
protected

◆ $stream

$stream
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • linkedin.php


Joomla CMS: Référence de la classe JLinkedinCommunications

Fonctions membres publiques
Référence de la classe JLinkedinCommunications
+ Graphe d'héritage de JLinkedinCommunications:
JLinkedinObject

Fonctions membres publiques

inviteByEmail ($email, $firstName, $lastName, $subject, $body, $connection='friend')
inviteById ($id, $firstName, $lastName, $subject, $body, $connection='friend')
sendMessage ($recipient, $subject, $body)
- Fonctions membres publiques hérités de JLinkedinObject
__construct (Registry $options=null, JHttp $client=null, JLinkedinOAuth $oauth=null)
booleanToString ($bool)
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JLinkedinObject
$options
$client
$oauth

Description détaillée

Linkedin API Social Communications class for the Joomla Platform.

Depuis
3.2.0

Documentation des fonctions membres

◆ inviteByEmail()

inviteByEmail | ( | $email,
 |  | $firstName,
 |  | $lastName,
 |  | $subject,
 |  | $body,
 |  | $connection = 'friend'
 | ) |

Method used to invite people.

Paramètres
string | $email | A string containing email of the recipient.
string | $firstName | A string containing first name of the recipient.
string | $lastName | A string containing last name of the recipient.
string | $subject | The subject of the message that will be sent to the recipient
string | $body | A text of the message.
string | $connection | Only connecting as a 'friend' is supported presently.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, $path, et $subject.

◆ inviteById()

inviteById | ( | $id,
 |  | $firstName,
 |  | $lastName,
 |  | $subject,
 |  | $body,
 |  | $connection = 'friend'
 | ) |

Method used to invite people.

Paramètres
string | $id | Member id.
string | $firstName | A string containing first name of the recipient.
string | $lastName | A string containing last name of the recipient.
string | $subject | The subject of the message that will be sent to the recipient
string | $body | A text of the message.
string | $connection | Only connecting as a 'friend' is supported presently.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $id, $name, $parameters, $path, $subject, et $value.

◆ sendMessage()

sendMessage | ( | $recipient,
 |  | $subject,
 |  | $body
 | ) |

Method used to send messages via LinkedIn between two or more individuals connected to the member sending the message..

Paramètres
mixed | $recipient | A string containing the member id or an array of ids.
string | $subject | The subject of the message that will be sent to the recipient
string | $body | A text of the message.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, $path, $r, et $subject.

La documentation de cette classe a été générée à partir du fichier suivant :
  • communications.php


Joomla CMS: Référence de la classe JLinkedinCompanies

Fonctions membres publiques
Référence de la classe JLinkedinCompanies
+ Graphe d'héritage de JLinkedinCompanies:
JLinkedinObject

Fonctions membres publiques

getCompanies ($id=null, $name=null, $domain=null, $fields=null)
getUpdates ($id, $type=null, $count=0, $start=0)
search ($fields=null, $keywords=null, $hq=false, $facets=null, $facet=null, $start=0, $count=0, $sort=null)
getFollowed ($fields=null)
follow ($id)
unfollow ($id)
getSuggested ($fields=null, $start=0, $count=0)
getProducts ($id, $fields=null, $start=0, $count=0)
- Fonctions membres publiques hérités de JLinkedinObject
__construct (Registry $options=null, JHttp $client=null, JLinkedinOAuth $oauth=null)
booleanToString ($bool)
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JLinkedinObject
$options
$client
$oauth

Description détaillée

Linkedin API Companies class for the Joomla Platform.

Depuis
3.2.0

Documentation des fonctions membres

◆ follow()

follow ( $id )

Method to follow a company.

Paramètres
string $id The unique identifier for a company.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $id, $parameters, et $path.

◆ getCompanies()

getCompanies | ( | $id = null,
 |  | $name = null,
 |  | $domain = null,
 |  | $fields = null
 | ) |

Method to retrieve companies using a company ID, a universal name, or an email domain.

Paramètres
integer | $id | The unique internal numeric company identifier.
string | $name | The unique string identifier for a company.
string | $domain | Company email domains.
string | $fields | Request fields beyond the default ones.
Renvoie
array The decoded JSON response
Depuis
3.2.0
Exceptions
RuntimeException

Références $base, $data, $fields, $id, $name, $parameters, $path, elseif, et null.

◆ getFollowed()

getFollowed ( $fields = null )

Method to get a list of companies the current member is following.

Paramètres
string $fields Request fields beyond the default ones.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $fields, $parameters, et $path.

◆ getProducts()

getProducts | ( | $id,
 |  | $fields = null,
 |  | $start = 0,
 |  | $count = 0
 | ) |

Method to get a collection of suggested companies for the current user.

Paramètres
string | $id | The unique identifier for a company.
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $id, $parameters, $path, et $start.

◆ getSuggested()

getSuggested | ( | $fields = null,
 |  | $start = 0,
 |  | $count = 0
 | ) |

Method to get a collection of suggested companies for the current user.

Paramètres
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $parameters, $path, et $start.

◆ getUpdates()

getUpdates | ( | $id,
 |  | $type = null,
 |  | $count = 0,
 |  | $start = 0
 | ) |

Method to read shares for a particular company .

Paramètres
string | $id | The unique company identifier.
string | $type | Any valid Company Update Type from the table: https://developer.linkedin.com/reading-company-updates.
integer | $count | Maximum number of updates to return.
integer | $start | The offset by which to start Network Update pagination.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $id, $parameters, $path, $start, et $type.

◆ search()

search | ( | $fields = null,
 |  | $keywords = null,
 |  | $hq = false,
 |  | $facets = null,
 |  | $facet = null,
 |  | $start = 0,
 |  | $count = 0,
 |  | $sort = null
 | ) |

Method to search across company pages.

Paramètres
string | $fields | Request fields beyond the default ones.
string | $keywords | Members who have all the keywords anywhere in their profile.
boolean | $hq | Matching companies by the headquarters location. When this is set to "true" and a location facet is used, this restricts returned companies to only those whose headquarters resides in the specified location.
string | $facets | Facet buckets to return, e.g. location.
array | $facet | Array of facet values to search over. Contains values for location, industry, network, company-size, num-followers-range and fortune, in exactly this order, null must be specified for an element if no value.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
string | $sort | Controls the search result order. There are four options: relevance, relationship, followers and company-size.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $i, $keywords, $parameters, $path, et $start.

◆ unfollow()

unfollow ( $id )

Method to unfollow a company.

Paramètres
string $id The unique identifier for a company.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $id, $parameters, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • companies.php


Joomla CMS: Référence de la classe JLinkedinGroups

Fonctions membres publiques | Fonctions membres privées
Référence de la classe JLinkedinGroups
+ Graphe d'héritage de JLinkedinGroups:
JLinkedinObject

Fonctions membres publiques

getGroup ($id, $fields=null, $start=0, $count=5)
getMemberships ($id=null, $fields=null, $start=0, $count=5, $membershipState=null)
getSettings ($personId=null, $groupId=null, $fields=null, $start=0, $count=5)
changeSettings ($groupId, $showLogo=null, $digestFrequency=null, $announcements=null, $allowMessages=null, $newPost=null)
joinGroup ($groupId, $showLogo=null, $digestFrequency=null, $announcements=null, $allowMessages=null, $newPost=null)
leaveGroup ($groupId)
getDiscussions ($id, $fields=null, $start=0, $count=0, $order=null, $category='discussion', $modifiedSince=null)
getUserPosts ($groupId, $role, $personId=null, $fields=null, $start=0, $count=0, $order=null, $category='discussion', $modifiedSince=null)
getPost ($postId, $fields=null)
getPostComments ($postId, $fields=null, $start=0, $count=0)
createPost ($groupId, $title, $summary)
likePost ($postId)
unlikePost ($postId)
followPost ($postId)
unfollowPost ($postId)
flagPost ($postId, $flag)
deletePost ($postId)
getComment ($commentId, $fields=null)
addComment ($postId, $comment)
deleteComment ($commentId)
getSuggested ($personId=null, $fields=null)
deleteSuggestion ($suggestionId, $personId=null)
- Fonctions membres publiques hérités de JLinkedinObject
__construct (Registry $options=null, JHttp $client=null, JLinkedinOAuth $oauth=null)
booleanToString ($bool)
getOption ($key)
setOption ($key, $value)

Fonctions membres privées

_likeUnlike ($postId, $like)
_followUnfollow ($postId, $follow)

Membres hérités additionnels

- Attributs protégés hérités de JLinkedinObject
$options
$client
$oauth

Description détaillée

Linkedin API Groups class for the Joomla Platform.

Depuis
3.2.0

Documentation des fonctions membres

◆ _followUnfollow()

_followUnfollow | ( | $postId,
 |  | $follow
 | ) |
private

Method to follow or unfollow a post.

Paramètres
string | $postId | The unique identifier for a group.
boolean | $follow | True to like post, false otherwise.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ _likeUnlike()

_likeUnlike | ( | $postId,
 |  | $like
 | ) |
private

Method to like or unlike a post.

Paramètres
string | $postId | The unique identifier for a group.
boolean | $like | True to like post, false otherwise.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ addComment()

addComment | ( | $postId,
 |  | $comment
 | ) |

Method to add a comment to a post

Paramètres
string | $postId | The unique identifier for a group.
string | $comment | The post comment's text.
Renvoie
string The created comment's id.
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ changeSettings()

changeSettings | ( | $groupId,
 |  | $showLogo = null,
 |  | $digestFrequency = null,
 |  | $announcements = null,
 |  | $allowMessages = null,
 |  | $newPost = null
 | ) |

Method to change a groups settings.

Paramètres
string | $groupId | The unique identifier for a group.
boolean | $showLogo | Show group logo in profile.
string | $digestFrequency | Email digest frequency.
boolean | $announcements | Email announcements from managers.
boolean | $allowMessages | Allow messages from members.
boolean | $newPost | Email for every new post.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ createPost()

createPost | ( | $groupId,
 |  | $title,
 |  | $summary
 | ) |

Method to retrieve all comments of a post.

Paramètres
string | $groupId | The unique identifier for a group.
string | $title | Post title.
string | $summary | Post summary.
Renvoie
string The created post's id.
Depuis
3.2.0

Références $base, $parameters, $path, et $title.

◆ deleteComment()

deleteComment ( $commentId )

Method to delete a comment if the current user is the creator or flag it as inappropriate otherwise.

Paramètres
string $commentId The unique identifier for a group.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ deletePost()

deletePost ( $postId )

Method to delete a post if the current user is the creator or flag it as inappropriate otherwise.

Paramètres
string $postId The unique identifier for a group.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ deleteSuggestion()

deleteSuggestion | ( | $suggestionId,
 |  | $personId = null
 | ) |

Method to delete a group suggestion for a user.

Paramètres
string | $suggestionId | The unique identifier for a suggestion.
string | $personId | The unique identifier for a user.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ flagPost()

flagPost | ( | $postId,
 |  | $flag
 | ) |

Method to flag a post as a Promotion or Job.

Paramètres
string | $postId | The unique identifier for a group.
string | $flag | Flag as a 'promotion' or 'job'.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ followPost()

followPost ( $postId )

Method used to follow a post.

Paramètres
string $postId The unique identifier for a group.
Renvoie
array The decoded JSON response
Depuis
3.2.0

◆ getComment()

getComment | ( | $commentId,
 |  | $fields = null
 | ) |

Method to access the comments resource.

Paramètres
string | $commentId | The unique identifier for a comment.
string | $fields | Request fields beyond the default ones.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $fields, $parameters, et $path.

◆ getDiscussions()

getDiscussions | ( | $id,
 |  | $fields = null,
 |  | $start = 0,
 |  | $count = 0,
 |  | $order = null,
 |  | $category = 'discussion',
 |  | $modifiedSince = null
 | ) |

Method to get discussions for a group.

Paramètres
string | $id | The unique identifier for a group.
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
string | $order | Sort order for posts. Valid for: recency, popularity.
string | $category | Category of posts. Valid for: discussion
string | $modifiedSince | Timestamp filter for posts created after the specified value.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $category, $count, $data, $fields, $id, $parameters, $path, et $start.

◆ getGroup()

getGroup | ( | $id,
 |  | $fields = null,
 |  | $start = 0,
 |  | $count = 5
 | ) |

Method to get a group.

Paramètres
string | $id | The unique identifier for a group.
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $id, $parameters, $path, et $start.

◆ getMemberships()

getMemberships | ( | $id = null,
 |  | $fields = null,
 |  | $start = 0,
 |  | $count = 5,
 |  | $membershipState = null
 | ) |

Method to find the groups a member belongs to.

Paramètres
string | $id | The unique identifier for a user.
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
string | $membershipState | The state of the caller’s membership to the specified group. Values are: non-member, awaiting-confirmation, awaiting-parent-group-confirmation, member, moderator, manager, owner.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $id, $parameters, $path, et $start.

◆ getPost()

getPost | ( | $postId,
 |  | $fields = null
 | ) |

Method to retrieve details about a post.

Paramètres
string | $postId | The unique identifier for a post.
string | $fields | Request fields beyond the default ones.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $fields, $parameters, et $path.

◆ getPostComments()

getPostComments | ( | $postId,
 |  | $fields = null,
 |  | $start = 0,
 |  | $count = 0
 | ) |

Method to retrieve all comments of a post.

Paramètres
string | $postId | The unique identifier for a post.
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $parameters, $path, et $start.

◆ getSettings()

getSettings | ( | $personId = null,
 |  | $groupId = null,
 |  | $fields = null,
 |  | $start = 0,
 |  | $count = 5
 | ) |

Method to find the groups a member belongs to.

Paramètres
string | $personId | The unique identifier for a user.
string | $groupId | The unique identifier for a group.
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $parameters, $path, et $start.

◆ getSuggested()

getSuggested | ( | $personId = null,
 |  | $fields = null
 | ) |

Method to get suggested groups for a user.

Paramètres
string | $personId | The unique identifier for a user.
string | $fields | Request fields beyond the default ones.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $fields, $parameters, et $path.

◆ getUserPosts()

getUserPosts | ( | $groupId,
 |  | $role,
 |  | $personId = null,
 |  | $fields = null,
 |  | $start = 0,
 |  | $count = 0,
 |  | $order = null,
 |  | $category = 'discussion',
 |  | $modifiedSince = null
 | ) |

Method to get posts a user started / participated in / follows for a group.

Paramètres
string | $groupId | The unique identifier for a group.
string | $role | Filter for posts related to the caller. Valid for: creator, commenter, follower.
string | $personId | The unique identifier for a user.
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
string | $order | Sort order for posts. Valid for: recency, popularity.
string | $category | Category of posts. Valid for: discussion
string | $modifiedSince | Timestamp filter for posts created after the specified value.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $category, $count, $data, $fields, $parameters, $path, et $start.

◆ joinGroup()

joinGroup | ( | $groupId,
 |  | $showLogo = null,
 |  | $digestFrequency = null,
 |  | $announcements = null,
 |  | $allowMessages = null,
 |  | $newPost = null
 | ) |

Method to join a group.

Paramètres
string | $groupId | The unique identifier for a group.
boolean | $showLogo | Show group logo in profile.
string | $digestFrequency | Email digest frequency.
boolean | $announcements | Email announcements from managers.
boolean | $allowMessages | Allow messages from members.
boolean | $newPost | Email for every new post.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ leaveGroup()

leaveGroup ( $groupId )

Method to leave a group.

Paramètres
string $groupId The unique identifier for a group.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ likePost()

likePost ( $postId )

Method used to like a post.

Paramètres
string $postId The unique identifier for a group.
Renvoie
array The decoded JSON response
Depuis
3.2.0

◆ unfollowPost()

unfollowPost ( $postId )

Method used to unfollow a post.

Paramètres
string $postId The unique identifier for a group.
Renvoie
array The decoded JSON response
Depuis
3.2.0

◆ unlikePost()

unlikePost ( $postId )

Method used to unlike a post.

Paramètres
string $postId The unique identifier for a group.
Renvoie
array The decoded JSON response
Depuis
3.2.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/linkedin/groups.php


Joomla CMS: Référence de la classe JLinkedinJobs

Fonctions membres publiques
Référence de la classe JLinkedinJobs
+ Graphe d'héritage de JLinkedinJobs:
JLinkedinObject

Fonctions membres publiques

getJob ($id, $fields=null)
getBookmarked ($fields=null)
bookmark ($id)
deleteBookmark ($id)
getSuggested ($fields=null, $start=0, $count=0)
search ($fields=null, $keywords=null, $companyName=null, $jobTitle=null, $countryCode=null, $postalCode=null, $distance=null, $facets=null, $facet=null, $start=0, $count=0, $sort=null)
- Fonctions membres publiques hérités de JLinkedinObject
__construct (Registry $options=null, JHttp $client=null, JLinkedinOAuth $oauth=null)
booleanToString ($bool)
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JLinkedinObject
$options
$client
$oauth

Description détaillée

Linkedin API Jobs class for the Joomla Platform.

Depuis
3.2.0

Documentation des fonctions membres

◆ bookmark()

bookmark ( $id )

Method to bookmark a job to the current user's account.

Paramètres
integer $id The unique identifier for a job.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $id, $parameters, et $path.

◆ deleteBookmark()

deleteBookmark ( $id )

Method to delete a bookmark.

Paramètres
integer $id The unique identifier for a job.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $id, $parameters, et $path.

◆ getBookmarked()

getBookmarked ( $fields = null )

Method to get a list of bookmarked jobs for the current member.

Paramètres
string $fields Request fields beyond the default ones.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $fields, $parameters, et $path.

◆ getJob()

getJob | ( | $id,
 |  | $fields = null
 | ) |

Method to retrieve detailed information about a job.

Paramètres
integer | $id | The unique identifier for a job.
string | $fields | Request fields beyond the default ones.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $fields, $id, $parameters, et $path.

◆ getSuggested()

getSuggested | ( | $fields = null,
 |  | $start = 0,
 |  | $count = 0
 | ) |

Method to retrieve job suggestions for the current user.

Paramètres
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $parameters, $path, et $start.

◆ search()

search | ( | $fields = null,
 |  | $keywords = null,
 |  | $companyName = null,
 |  | $jobTitle = null,
 |  | $countryCode = null,
 |  | $postalCode = null,
 |  | $distance = null,
 |  | $facets = null,
 |  | $facet = null,
 |  | $start = 0,
 |  | $count = 0,
 |  | $sort = null
 | ) |

Method to search across LinkedIn's job postings.

Paramètres
string | $fields | Request fields beyond the default ones.
string | $keywords | Members who have all the keywords anywhere in their profile.
string | $companyName | Jobs with a matching company name.
string | $jobTitle | Matches jobs with the same job title.
string | $countryCode | Matches members with a location in a specific country. Values are defined in by ISO 3166 standard. Country codes must be in all lower case.
integer | $postalCode | Matches members centered around a Postal Code. Must be combined with the country-code parameter. Not supported for all countries.
integer | $distance | Matches members within a distance from a central point. This is measured in miles.
string | $facets | Facet buckets to return, e.g. location.
array | $facet | Array of facet values to search over. Contains values for company, date-posted, location, job-function, industry, and salary, in exactly this order, null must be specified for an element if no value.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
string | $sort | Controls the search result order. There are four options: R (relationship), DA (date-posted-asc), DD (date-posted-desc).
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $i, $keywords, $parameters, $path, et $start.

La documentation de cette classe a été générée à partir du fichier suivant :
  • jobs.php


Joomla CMS: Référence de la classe JLinkedinOauth

Fonctions membres publiques | Attributs protégés
Référence de la classe JLinkedinOauth
+ Graphe d'héritage de JLinkedinOauth:
JOAuth1Client

Fonctions membres publiques

__construct (Registry $options=null, JHttp $client=null, JInput $input=null)
verifyCredentials ()
validateResponse ($url, $response)
setScope ($scope)
getScope ()
- Fonctions membres publiques hérités de JOAuth1Client
__construct (Registry $options=null, JHttp $client=null, JInput $input=null, JApplicationWeb $application=null, $version=null)
authenticate ()
oauthRequest ($url, $method, $parameters, $data=array(), $headers=array())
validateResponse ($url, $response)
toUrl ($url, $parameters)
safeEncode ($data)
verifyCredentials ()
getOption ($key)
setOption ($key, $value)
getToken ()
setToken ($token)

Attributs protégés

$options
- Attributs protégés hérités de JOAuth1Client
$options
$token = array()
$client
$input
$application
$version

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de JOAuth1Client
static generateNonce ()

Description détaillée

Joomla Platform class for generating Linkedin API access token.

Depuis
3.2.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttp | $client = null,
 |  | JInput | $input = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | JLinkedinOauth options object.
JHttp | $client | The HTTP client object.
JInput | $input | The input object
Depuis
3.2.0

Références $client, $input, $options, et Registry\def().

Documentation des fonctions membres

◆ getScope()

getScope ( )

Method to get the current scope

Renvoie
string String or an array of string containing permissions.
Depuis
3.2.0

◆ setScope()

setScope ( $scope )

Method used to set permissions.

Paramètres
mixed $scope String or an array of string containing permissions.
Renvoie
JLinkedinOauth This object for method chaining

3.2.0

◆ validateResponse()

validateResponse | ( | $url,
 |  | $response
 | ) |

Method to validate a response.

Paramètres
string | $url | The request URL.
JHttpResponse | $response | The response to validate.
Renvoie
void
Depuis
3.2.0
Exceptions
DomainException

Références $url.

◆ verifyCredentials()

verifyCredentials ( )

Method to verify if the access token is valid by making a request to an API endpoint.

Renvoie
boolean Returns true if the access token is valid and false otherwise.
Depuis
3.2.0

Références $data, $parameters, et $path.

Documentation des champs

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • linkedin/oauth.php


Joomla CMS: Référence de la classe JLinkedinObject

Fonctions membres publiques | Attributs protégés
Référence de la classe JLinkedinObject
+ Graphe d'héritage de JLinkedinObject:
JLinkedinCommunications JLinkedinCompanies JLinkedinGroups JLinkedinJobs JLinkedinPeople JLinkedinStream

Fonctions membres publiques

__construct (Registry $options=null, JHttp $client=null, JLinkedinOAuth $oauth=null)
booleanToString ($bool)
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$client
$oauth

Description détaillée

Linkedin API object class for the Joomla Platform.

Depuis
3.2.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttp | $client = null,
 |  | JLinkedinOAuth | $oauth = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Linkedin options object.
JHttp | $client | The HTTP client object.
JLinkedinOAuth | $oauth | The OAuth client.
Depuis
3.2.0

Références $client, et $options.

Documentation des fonctions membres

◆ booleanToString()

booleanToString ( $bool )

Method to convert boolean to string.

Paramètres
boolean $bool The boolean value to convert.
Renvoie
string String with the converted boolean.
Depuis
3.2.0

◆ getOption()

getOption ( $key )

Get an option from the JLinkedinObject instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.2.0

Références $key.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JLinkedinObject instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JLinkedinObject This object for method chaining.
Depuis
3.2.0

Références $key, et $value.

Documentation des champs

◆ $client

$client
protected

◆ $oauth

$oauth
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/linkedin/object.php


Joomla CMS: Référence de la classe JLinkedinPeople

Fonctions membres publiques
Référence de la classe JLinkedinPeople
+ Graphe d'héritage de JLinkedinPeople:
JLinkedinObject

Fonctions membres publiques

getProfile ($id=null, $url=null, $fields=null, $type='standard', $language=null)
getConnections ($fields=null, $start=0, $count=500, $modified=null, $modifiedSince=null)
search ($fields=null, $keywords=null, $firstName=null, $lastName=null, $companyName=null, $currentCompany=null, $title=null, $currentTitle=null, $schoolName=null, $currentSchool=null, $countryCode=null, $postalCode=null, $distance=null, $facets=null, $facet=null, $start=0, $count=10, $sort=null)
- Fonctions membres publiques hérités de JLinkedinObject
__construct (Registry $options=null, JHttp $client=null, JLinkedinOAuth $oauth=null)
booleanToString ($bool)
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JLinkedinObject
$options
$client
$oauth

Description détaillée

Linkedin API People class for the Joomla Platform.

Depuis
3.2.0

Documentation des fonctions membres

◆ getConnections()

getConnections | ( | $fields = null,
 |  | $start = 0,
 |  | $count = 500,
 |  | $modified = null,
 |  | $modifiedSince = null
 | ) |

Method to get a list of connections for a user who has granted access to his/her account.

Paramètres
string | $fields | Request fields beyond the default ones.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
string | $modified | Values are updated or new.
string | $modifiedSince | Value as a Unix time stamp of milliseconds since epoch.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $parameters, $path, et $start.

◆ getProfile()

getProfile | ( | $id = null,
 |  | $url = null,
 |  | $fields = null,
 |  | $type = 'standard',
 |  | $language = null
 | ) |

Method to get a member's profile.

Paramètres
string | $id | Member id of the profile you want.
string | $url | The public profile URL.
string | $fields | Request fields beyond the default ones.
string | $type | Choosing public or standard profile.
string | $language | A comma separated list of locales ordered from highest to lowest preference.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $fields, $id, $language, $parameters, $path, $type, $url, et elseif.

◆ search()

search | ( | $fields = null,
 |  | $keywords = null,
 |  | $firstName = null,
 |  | $lastName = null,
 |  | $companyName = null,
 |  | $currentCompany = null,
 |  | $title = null,
 |  | $currentTitle = null,
 |  | $schoolName = null,
 |  | $currentSchool = null,
 |  | $countryCode = null,
 |  | $postalCode = null,
 |  | $distance = null,
 |  | $facets = null,
 |  | $facet = null,
 |  | $start = 0,
 |  | $count = 10,
 |  | $sort = null
 | ) |

Method to get information about people.

Paramètres
string | $fields | Request fields beyond the default ones. provide 'api-standard-profile-request' field for out of network profiles.
string | $keywords | Members who have all the keywords anywhere in their profile.
string | $firstName | Members with a matching first name. Matches must be exact.
string | $lastName | Members with a matching last name. Matches must be exactly.
string | $companyName | Members who have a matching company name on their profile.
boolean | $currentCompany | A value of true matches members who currently work at the company specified in the company-name parameter.
string | $title | Matches members with that title on their profile.
boolean | $currentTitle | A value of true matches members whose title is currently the one specified in the title-name parameter.
string | $schoolName | Members who have a matching school name on their profile.
string | $currentSchool | A value of true matches members who currently attend the school specified in the school-name parameter.
string | $countryCode | Matches members with a location in a specific country. Values are defined in by ISO 3166 standard. Country codes must be in all lower case.
integer | $postalCode | Matches members centered around a Postal Code. Must be combined with the country-code parameter. Not supported for all countries.
integer | $distance | Matches members within a distance from a central point. This is measured in miles.
string | $facets | Facet buckets to return, e.g. location.
array | $facet | Array of facet values to search over. Contains values for location, industry, network, language, current-company, past-company and school, in exactly this order, null must be specified for an element if no value.
integer | $start | Starting location within the result set for paginated returns.
integer | $count | The number of results returned.
string | $sort | Controls the search result order. There are four options: connections, recommenders, distance and relevance.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $fields, $i, $keywords, $name, $parameters, $path, $start, $title, $url, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • linkedin/people.php


Joomla CMS: Référence de la classe JLinkedinStream

Fonctions membres publiques | Fonctions membres privées
Référence de la classe JLinkedinStream
+ Graphe d'héritage de JLinkedinStream:
JLinkedinObject

Fonctions membres publiques

share ($visibility, $comment=null, $title=null, $url=null, $image=null, $description=null, $twitter=false)
reshare ($visibility, $id, $comment=null, $twitter=false)
getCurrentShare ($id=null, $url=null)
getShareStream ($id=null, $url=null, $self=true)
getNetworkUpdates ($id=null, $self=true, $type=null, $count=0, $start=0, $after=null, $before=null, $hidden=false)
getNetworkStats ()
postNetworkUpdate ($body)
getComments ($key)
postComment ($key, $comment)
getLikes ($key)
like ($key)
unlike ($key)
- Fonctions membres publiques hérités de JLinkedinObject
__construct (Registry $options=null, JHttp $client=null, JLinkedinOAuth $oauth=null)
booleanToString ($bool)
getOption ($key)
setOption ($key, $value)

Fonctions membres privées

_likeUnlike ($key, $like)

Membres hérités additionnels

- Attributs protégés hérités de JLinkedinObject
$options
$client
$oauth

Description détaillée

Linkedin API Social Stream class for the Joomla Platform.

Depuis
3.2.0

Documentation des fonctions membres

◆ _likeUnlike()

_likeUnlike | ( | $key,
 |  | $like
 | ) |
private

Method to like or unlike an update.

Paramètres
string | $key | Update/update-key representing an update.
boolean | $like | True to like update, false otherwise.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $key, $parameters, et $path.

◆ getComments()

getComments ( $key )

Method to retrieve all comments for a given network update.

Paramètres
string $key update/update-key representing an update.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $key, $parameters, et $path.

◆ getCurrentShare()

getCurrentShare | ( | $id = null,
 |  | $url = null
 | ) |

Method to get a particular member's current share.

Paramètres
string | $id | Member id of the profile you want.
string | $url | The public profile URL.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $id, $parameters, $path, $url, et elseif.

◆ getLikes()

getLikes ( $key )

Method to retrieve the complete list of people who liked an update.

Paramètres
string $key update/update-key representing an update.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $key, $parameters, et $path.

◆ getNetworkStats()

getNetworkStats ( )

Method to get information about the current member's network.

Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $parameters, et $path.

◆ getNetworkUpdates()

getNetworkUpdates | ( | $id = null,
 |  | $self = true,
 |  | $type = null,
 |  | $count = 0,
 |  | $start = 0,
 |  | $after = null,
 |  | $before = null,
 |  | $hidden = false
 | ) |

Method to get the users network updates.

Paramètres
string | $id | Member id.
boolean | $self | Used to return member's feed. Omitted to return aggregated network feed.
mixed | $type | String containing any valid Network Update Type from the table or an array of strings to specify more than one Network Update type.
integer | $count | Number of updates to return, with a maximum of 250.
integer | $start | The offset by which to start Network Update pagination.
string | $after | Timestamp after which to retrieve updates.
string | $before | Timestamp before which to retrieve updates.
boolean | $hidden | Whether to display updates from people the member has chosen to "hide" from their update stream.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $count, $data, $hidden, $id, $parameters, $path, $self, $start, et $type.

◆ getShareStream()

getShareStream | ( | $id = null,
 |  | $url = null,
 |  | $self = true
 | ) |

Method to get a particular member's current share.

Paramètres
string | $id | Member id of the profile you want.
string | $url | The public profile URL.
boolean | $self | Used to return member's feed. Omitted to return aggregated network feed.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $data, $id, $parameters, $path, $self, $url, et elseif.

◆ like()

like ( $key )

Method used to like an update.

Paramètres
string $key Update/update-key representing an update.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $key.

◆ postComment()

postComment | ( | $key,
 |  | $comment
 | ) |

Method to post a new comment to an existing update.

Paramètres
string | $key | update/update-key representing an update.
string | $comment | Maximum length of 700 characters
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $key, $parameters, et $path.

◆ postNetworkUpdate()

postNetworkUpdate ( $body )

Method to get the users network updates.

Paramètres
string $body The actual content of the update. You can use HTML to include links to the user name and the content the user created. Other HTML tags are not supported. All body text should be HTML entity escaped and UTF-8 compliant.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ reshare()

reshare | ( | $visibility,
 |  | $id,
 |  | $comment = null,
 |  | $twitter = false
 | ) |

Method to reshare an existing share.

Paramètres
string | $visibility | One of anyone: all members or connections-only: connections only.
string | $id | The unique identifier for a share.
string | $comment | Text of member's comment.
boolean | $twitter | True to have LinkedIn pass the status message along to a member's tethered Twitter account.
Renvoie
array The decoded JSON response
Depuis
3.2.0
Exceptions
RuntimeException

Références $base, $id, $parameters, et $path.

◆ share()

share | ( | $visibility,
 |  | $comment = null,
 |  | $title = null,
 |  | $url = null,
 |  | $image = null,
 |  | $description = null,
 |  | $twitter = false
 | ) |

Method to add a new share. Note: post must contain comment and/or (title and url).

Paramètres
string | $visibility | One of anyone: all members or connections-only: connections only.
string | $comment | Text of member's comment.
string | $title | Title of shared document.
string | $url | URL for shared content.
string | $image | URL for image of shared content.
string | $description | Description of shared content.
boolean | $twitter | True to have LinkedIn pass the status message along to a member's tethered Twitter account.
Renvoie
array The decoded JSON response
Depuis
3.2.0
Exceptions
RuntimeException

Références $base, $description, $image, $parameters, $path, $title, $url, et elseif.

◆ unlike()

unlike ( $key )

Method used to unlike an update.

Paramètres
string $key Update/update-key representing an update.
Renvoie
array The decoded JSON response
Depuis
3.2.0

Références $key.

La documentation de cette classe a été générée à partir du fichier suivant :
  • stream.php


Joomla CMS: Référence de la classe JLoader

Fonctions membres publiques statiques | Attributs protégés statiques | Fonctions membres privées statiques
Référence de la classe JLoader

Fonctions membres publiques statiques

static | discover ($classPrefix, $parentPath, $force=true, $recurse=false)
static | getClassList ()
static | getDeprecatedAliases ()
static | getNamespaces ($type='psr0')
static | import ($key, $base=null)
static | load ($class)
static | register ($class, $path, $force=true)
static | registerPrefix ($prefix, $path, $reset=false, $prepend=false)
static | registerAlias ($alias, $original, $version=false)
static | registerNamespace ($namespace, $path, $reset=false, $prepend=false, $type='psr0')
static | setup ($enablePsr=true, $enablePrefixes=true, $enableClasses=true)
static | loadByPsr4 ($class)
static | loadByPsr0 ($class)
static | loadByAlias ($class)
static | applyAliasFor ($class)
static | _autoload ($class)

Attributs protégés statiques

static | $classes = array()
static | $imported = array()
static | $prefixes = array()
static | $classAliases = array()
static | $classAliasesInverse = array()
static | $namespaces = array('psr0' => array(), 'psr4' => array())
static | $deprecatedAliases = array()

Fonctions membres privées statiques

static | _load ($class, $lookup)
static | loadAliasFor ($class)
static | stripFirstBackslash ($class)

Documentation des fonctions membres

◆ _autoload()

static _autoload ( $class )
static

Autoload a class based on name.

Paramètres
string $class The class to be loaded.
Renvoie
boolean True if the class was loaded, false otherwise.
Depuis
1.7.3

Références $class, et $prefix.

◆ _load()

static _load | ( | $class,
 |  | $lookup
 | ) |
staticprivate

Load a class based on name and lookup array.

Paramètres
string | $class | The class to be loaded (without prefix).
array | $lookup | The array of base paths to use for finding the class file.
Renvoie
boolean True if the class was loaded, false otherwise.
Depuis
3.0.0

Références $base, $class, $parts, et $path.

◆ applyAliasFor()

static applyAliasFor ( $class )
static

Applies a class alias for an already loaded class, if a class alias was created for it.

Paramètres
string $class We'll look for and register aliases for this (real) class name
Renvoie
void
Depuis
3.4

Références $class.

Référencé par JClassLoader\loadClass().

◆ discover()

static discover | ( | $classPrefix,
 |  | $parentPath,
 |  | $force = true,
 |  | $recurse = false
 | ) |
static

Method to discover classes of a given type in a given path.

Paramètres
string | $classPrefix | The class name prefix to use for discovery.
string | $parentPath | Full path to the parent folder for the classes to discover.
boolean | $force | True to overwrite the autoload path value for the class if it already exists.
boolean | $recurse | Recurse through all child directories as well as the parent path.
Renvoie
void
Depuis
1.7.0

$file DirectoryIterator

Références $class, $classes, et $file.

◆ getClassList()

static getClassList ( )
static

Method to get the list of registered classes and their respective file paths for the autoloader.

Renvoie
array The array of class => path values for the autoloader.
Depuis
1.7.0

Références $classes.

◆ getDeprecatedAliases()

static getDeprecatedAliases ( )
static

Method to get the list of deprecated class aliases.

Renvoie
array An associative array with deprecated class alias data.
Depuis
3.6.3

Référencé par PlgSystemDebug\__construct(), et JObserverUpdater\attachObserver().

◆ getNamespaces()

static getNamespaces ( $type = 'psr0' )
static

Method to get the list of registered namespaces.

Paramètres
string $type Defines the type of namespace, can be prs0 or psr4.
Renvoie
array The array of namespace => path values for the autoloader.
Depuis
3.1.4

Références $type.

◆ import()

static import | ( | $key,
 |  | $base = null
 | ) |
static

Loads a class from specified directories.

Paramètres
string | $key | The class name to look for (dot notation).
string | $base | Search this directory for the class.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $base, $class, $classes, $key, $parts, $path, et DIRECTORY_SEPARATOR.

Référencé par FOFIntegrationJoomlaFilesystem\__construct(), FOFTable\__construct(), CacheController\addIncludePath(), CacheStorage\addIncludePath(), Cache\addIncludePath(), JoomlaupdateControllerUpdate\captive(), JoomlaupdateModelDefault\captiveFileExists(), CacheliteStorage\clean(), JoomlaupdateModelDefault\downloadPackage(), FOFUtilsUpdate\findUpdatesJoomla(), FOFIntegrationJoomlaPlatform\getCacheObject(), CacheController\getInstance(), FOFModel\getPagination(), FileLayout\getPath(), FOFModel\getState(), Factory\getStream(), FOFIntegrationJoomlaPlatform\importPlugin(), jimport(), Toolbar\loadButtonType(), FOFIntegrationJoomlaPlatform\loginUser(), FOFIntegrationJoomlaPlatform\logoutUser(), FOFDispatcher\onBeforeDispatchCLI(), PlgTwofactorauthYubikey\onUserTwofactorShowConfiguration(), PlgTwofactorauthTotp\onUserTwofactorShowConfiguration(), JoomlaupdateModelDefault\removePackageFiles(), FOFUtilsInstallscript\uninstallObsoleteSubextensions(), FOFIntegrationJoomlaPlatform\URIbase(), et FOFIntegrationJoomlaPlatform\URIroot().

◆ load()

static load ( $class )
static

Load the file for a class.

Paramètres
string $class The class to be loaded.
Renvoie
boolean True on success
Depuis
1.7.0

Références $class, $classes, et $key.

◆ loadAliasFor()

static loadAliasFor ( $class )
staticprivate

Loads the aliases for the given class.

Paramètres
string $class The class.
Renvoie
void
Depuis
3.8.0

Références $class.

◆ loadByAlias()

static loadByAlias ( $class )
static

Method to autoload classes that have been aliased using the registerAlias method.

Paramètres
string $class The fully qualified class name to autoload.
Renvoie
boolean True on success, false otherwise.
Depuis
3.2

Références $class.

◆ loadByPsr0()

static loadByPsr0 ( $class )
static

Method to autoload classes that are namespaced to the PSR-0 standard.

Paramètres
string $class The fully qualified class name to autoload.
Renvoie
boolean True on success, false otherwise.
Depuis
3.2.0
Obsolète:
4.0 this method will be removed

Références $class, $className, $path, DIRECTORY_SEPARATOR, et null.

◆ loadByPsr4()

static loadByPsr4 ( $class )
static

Method to autoload classes that are namespaced to the PSR-4 standard.

Paramètres
string $class The fully qualified class name to autoload.
Renvoie
boolean True on success, false otherwise.
Depuis
3.7.0

Références $class, $className, $path, DIRECTORY_SEPARATOR, et null.

◆ register()

static register | ( | $class,
 |  | $path,
 |  | $force = true
 | ) |
static

Directly register a class to the autoload list.

Paramètres
string | $class | The class name to register.
string | $path | Full path to the file that holds the class to register.
boolean | $force | True to overwrite the autoload path value for the class if it already exists.
Renvoie
void
Depuis
1.7.0

Références $class, $classes, et $path.

Référencé par HTMLHelper\_(), UsersRouter\__construct(), ContactRouter\__construct(), ContentRouter\__construct(), NewsfeedsRouter\__construct(), UsersModelProfile\__construct(), JApplication\_createConfiguration(), CategoriesHelper\addSubmenu(), TagsHelper\addSubmenu(), LanguagesViewLanguage\addToolbar(), BannersViewBanners\addToolbar(), CategoriesViewCategory\addToolbar(), CategoriesViewCategories\addToolbar(), ContentModelArticle\batchMove(), ContentModelArticle\cleanupPostBatchCopy(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), LegacyFactory\createView(), LanguagesViewMultilangstatus\display(), InstallerController\display(), MenusController\display(), ModulesController\display(), MessagesController\display(), NewsfeedsController\display(), PluginsController\display(), CacheController\display(), SearchViewSearch\display(), LanguagesController\display(), SearchController\display(), RedirectController\display(), FinderController\display(), ContactController\display(), PrivacyController\display(), CategoriesController\display(), DeletefilesCli\doExecute(), JHtmlIcon\email(), ConfigControllerTemplatesSave\execute(), ConfigControllerTemplatesDisplay\execute(), ConfigControllerModulesSave\execute(), ConfigControllerModulesDisplay\execute(), ConfigControllerModulesCancel\execute(), FieldsHelper\extract(), CliApplication\fetchConfigurationData(), WebApplication\fetchConfigurationData(), JoomlaupdateModelDefault\finaliseUpgrade(), Installer\getAdapters(), JFormFieldConsentBox\getAssignedArticleUrl(), CategoriesModelCategories\getAssoc(), CategoriesModelCategory\getAssoc(), ActionlogsHelper\getContentTypeLink(), ActionlogsHelper\getCsvData(), FinderIndexerParser\getInstance(), FinderIndexerStemmer\getInstance(), Pathway\getInstance(), CacheController\getInstance(), AbstractMenu\getInstance(), Categories\getInstance(), FinderIndexer\getInstance(), Router\getInstance(), Document\getInstance(), TagsHelperRoute\getItemRoute(), SearchModelSearches\getItems(), JFormFieldTos\getLabel(), JFormFieldprivacy\getLayoutData(), JFormFieldterms\getLayoutData(), ModLanguagesHelper\getList(), ModLatestActionsHelper\getList(), JFormFieldFieldcontexts\getOptions(), FinderCli\index(), PlgFinderCategories\index(), Installer\loadAdapter(), Document\loadRenderer(), PlgSystemLanguageFilter\onAfterDispatch(), PlgSampledataBlog\onAjaxSampledataApplyStep2(), PlgContentFields\onContentPrepare(), PlgContentContact\onContentPrepare(), PlgSearchContent\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgButtonFields\onDisplay(), PlgUserTerms\onUserAfterSave(), JHtmlModules\positions(), CategoriesModelCategory\preprocessForm(), LanguagesModelStrings\refresh(), PlgSystemActionLogs\renderActionlogsExtensions(), LanguagesControllerOverride\save(), NewsfeedsModelNewsfeed\save(), ContactModelContact\save(), ContentModelArticle\save(), LanguageHelper\saveToIniFile(), InstallationControllerRemovefolder\sendJsonResponse(), Adapter\setAdapter(), PlgFinderTags\setup(), PlgFinderNewsfeeds\setup(), PlgFinderContent\setup(), PlgFinderCategories\setup(), PlgFinderContacts\setup(), InstallerAdapter\setupScriptfile(), FileAdapter\uninstall(), PluginAdapter\uninstall(), PackageAdapter\uninstall(), TemplatesModelTemplate\uploadFile(), et ModulesModelModule\validate().

◆ registerAlias()

static registerAlias | ( | $alias,
 |  | $original,
 |  | $version = false
 | ) |
static

Offers the ability for "just in time" usage of class_alias(). You cannot overwrite an existing alias.

Paramètres
string | $alias | The alias name to register.
string | $original | The original class to alias.
string | boolean | $version | The version in which the alias will no longer be present.
Renvoie
boolean True if registration was successful. False if the alias already exists.
Depuis
3.2

Références $version.

◆ registerNamespace()

static registerNamespace | ( | $namespace,
 |  | $path,
 |  | $reset = false,
 |  | $prepend = false,
 |  | $type = 'psr0'
 | ) |
static

Register a namespace to the autoloader. When loaded, namespace paths are searched in a "last in, first out" order.

Paramètres
string | $namespace | A case sensitive Namespace to register.
string | $path | A case sensitive absolute file path to the library root where classes of the given namespace can be found.
boolean | $reset | True to reset the namespace with only the given lookup path.
boolean | $prepend | If true, push the path to the beginning of the namespace lookup paths array.
string | $type | Defines the type of namespace, can be prs0 or psr4.
Renvoie
void
Exceptions
RuntimeException
Note
The default argument of $type will be changed in J4 to be 'psr4'
Depuis
3.1.4

Références $path, $type, et JPATH_ROOT.

◆ registerPrefix()

static registerPrefix | ( | $prefix,
 |  | $path,
 |  | $reset = false,
 |  | $prepend = false
 | ) |
static

Register a class prefix with lookup path. This will allow developers to register library packages with different class prefixes to the system autoloader. More than one lookup path may be registered for the same class prefix, but if this method is called with the reset flag set to true then any registered lookups for the given prefix will be overwritten with the current lookup path. When loaded, prefix paths are searched in a "last in, first out" order.

Paramètres
string | $prefix | The class prefix to register.
string | $path | Absolute file path to the library root where classes with the given prefix can be found.
boolean | $reset | True to reset the prefix with only the given lookup path.
boolean | $prepend | If true, push the path to the beginning of the prefix lookup paths array.
Renvoie
void
Exceptions
RuntimeException
Depuis
3.0.0

Références $path, $prefix, et JPATH_ROOT.

Référencé par InstallationModelLanguages\addMenuGroup(), ConfigControllerConfigDisplay\execute(), et ConfigControllerConfigSave\execute().

◆ setup()

static setup | ( | $enablePsr = true,
 |  | $enablePrefixes = true,
 |  | $enableClasses = true
 | ) |
static

Method to setup the autoloaders for the Joomla Platform. Since the SPL autoloaders are called in a queue we will add our explicit class-registration based loader first, then fall back on the autoloader based on conventions. This will allow people to register a class in a specific location and override platform libraries as was previously possible.

Paramètres
boolean | $enablePsr | True to enable autoloading based on PSR-0.
boolean | $enablePrefixes | True to enable prefix based class loading (needed to auto load the Joomla core).
boolean | $enableClasses | True to enable class map based class loading (needed to auto load the Joomla core).
Renvoie
void
Depuis
3.1.4

◆ stripFirstBackslash()

static stripFirstBackslash ( $class )
staticprivate

Strips the first backslash from the given class if present.

Paramètres
string $class The class to strip the first prefix from.
Renvoie
string The striped class name.
Depuis
3.8.0

Références $class.

Documentation des champs

◆ $classAliases

$classAliases = array()
staticprotected

◆ $classAliasesInverse

$classAliasesInverse = array()
staticprotected

◆ $classes

$classes = array()
staticprotected

◆ $deprecatedAliases

$deprecatedAliases = array()
staticprotected

◆ $imported

$imported = array()
staticprotected

◆ $namespaces

$namespaces = array('psr0' => array(), 'psr4' => array())
staticprotected

◆ $prefixes

$prefixes = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • loader.php


Joomla CMS: Référence de la classe JMediawiki

Fonctions membres publiques | Attributs protégés
Référence de la classe JMediawiki

Fonctions membres publiques

__construct (Registry $options=null, JMediawikiHttp $client=null)
__get ($name)
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$client
$sites
$pages
$users
$links
$categories
$images
$search

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JMediawikiHttp | $client = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | MediaWiki options object.
JMediawikiHttp | $client | The HTTP client object.
Depuis
3.1.4

Références $client, et $options.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to lazily create API objects

Paramètres
string $name Name of property to retrieve
Renvoie
JMediaWikiObject MediaWiki API object (users, reviews, etc).
Depuis
3.1.4
Exceptions
InvalidArgumentException

Références $class, et $name.

◆ getOption()

getOption ( $key )

Get an option from the JMediawiki instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.1.4

Références $key.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JMediawiki instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JMediawiki This object for method chaining.
Depuis
3.1.4

Références $key, et $value.

Documentation des champs

◆ $categories

$categories
protected

◆ $client

$client
protected

◆ $images

$images
protected

◆ $links

$links
protected

◆ $options

$options
protected

◆ $pages

$pages
protected

◆ $search

$search
protected

◆ $sites

$sites
protected

◆ $users

$users
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • mediawiki.php


Joomla CMS: Référence de la classe JMediawikiCategories

Fonctions membres publiques
Référence de la classe JMediawikiCategories
+ Graphe d'héritage de JMediawikiCategories:
JMediawikiObject

Fonctions membres publiques

getCategories (array $titles, array $clprop=null, array $clshow=null, $cllimit=null, $clcontinue=false, array $clcategories=null, $cldir=null)
getCategoriesUsed (array $titles)
getCategoriesInfo (array $titles, $clcontinue=false)
getCategoryMembers ($cmtitle=null, $cmpageid=null, $cmlimit=null, array $cmprop=null, array $cmnamespace=null, array $cmtype=null, $cmstart=null, $cmend=null, $cmstartsortkey=null, $cmendsortkey=null, $cmstartsortkeyprefix=null, $cmendsortkeyprefix=null, $cmsort=null, $cmdir=null, $cmcontinue=null)
enumerateCategories ($acfrom=null, $acto=null, $acprefix=null, $acdir=null, $acmin=null, $acmax=null, $aclimit=null, array $acprop=null)
getChangeTags (array $tgprop=null, $tglimit=null)
- Fonctions membres publiques hérités de JMediawikiObject
__construct (Registry $options=null, JMediawikiHttp $client=null)
buildParameter (array $params)
validateResponse ($response)

Membres hérités additionnels

- Fonctions membres protégées hérités de JMediawikiObject
fetchUrl ($path)
- Attributs protégés hérités de JMediawikiObject
$options
$client

Description détaillée

MediaWiki API Categories class for the Joomla Platform.

Depuis
3.1.4

Documentation des fonctions membres

◆ enumerateCategories()

enumerateCategories | ( |  | $acfrom = null,
 |  |  | $acto = null,
 |  |  | $acprefix = null,
 |  |  | $acdir = null,
 |  |  | $acmin = null,
 |  |  | $acmax = null,
 |  |  | $aclimit = null,
 |  | array | $acprop = null
 | ) |  |

Method to enumerate all categories.

Paramètres
string | $acfrom | The category to start enumerating from.
string | $acto | The category to stop enumerating at.
string | $acprefix | Search for all category titles that begin with this value.
string | $acdir | Direction to sort in.
integer | $acmin | Minimum number of category members.
integer | $acmax | Maximum number of category members.
integer | $aclimit | How many categories to return.
array | $acprop | Which properties to get.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getCategories()

getCategories | ( | array | $titles,
 |  | array | $clprop = null,
 |  | array | $clshow = null,
 |  |  | $cllimit = null,
 |  |  | $clcontinue = false,
 |  | array | $clcategories = null,
 |  |  | $cldir = null
 | ) |  |

Method to list all categories the page(s) belong to.

Paramètres
array | $titles | Page titles to retrieve categories.
array | $clprop | List of additional properties to get.
array | $clshow | Type of categories to show.
integer | $cllimit | Number of categories to return.
boolean | $clcontinue | Continue when more results are available.
array | $clcategories | Only list these categories.
string | $cldir | Direction of listing.
Renvoie
object
Depuis
3.0.0

Références $path.

◆ getCategoriesInfo()

getCategoriesInfo | ( | array | $titles,
 |  |  | $clcontinue = false
 | ) |  |

Method to get information about the given categories.

Paramètres
array | $titles | Page titles to retrieve categories.
boolean | $clcontinue | Continue when more results are available.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getCategoriesUsed()

getCategoriesUsed ( array $titles )

Method to get information about all categories used.

Paramètres
array $titles Page titles to retrieve categories.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getCategoryMembers()

getCategoryMembers | ( |  | $cmtitle = null,
 |  |  | $cmpageid = null,
 |  |  | $cmlimit = null,
 |  | array | $cmprop = null,
 |  | array | $cmnamespace = null,
 |  | array | $cmtype = null,
 |  |  | $cmstart = null,
 |  |  | $cmend = null,
 |  |  | $cmstartsortkey = null,
 |  |  | $cmendsortkey = null,
 |  |  | $cmstartsortkeyprefix = null,
 |  |  | $cmendsortkeyprefix = null,
 |  |  | $cmsort = null,
 |  |  | $cmdir = null,
 |  |  | $cmcontinue = null
 | ) |  |

Method to get information about the pages within a category

Paramètres
string | $cmtitle | The category title, must contain 'Category:' prefix, cannot be used together with $cmpageid
string | $cmpageid | The category's page ID, cannot be used together with $cmtitle
string | $cmlimit | Maximum number of pages to retrieve
array | $cmprop | Array of properties to retrieve
array | $cmnamespace | Namespaces to retrieve pages from
array | $cmtype | Array of category members to include, ignored if $cmsort is set to 'timestamp'
string | $cmstart | Timestamp to start listing from, only used if $cmsort is set to 'timestamp'
string | $cmend | Timestamp to end listing at, only used if $cmsort is set to 'timestamp'
string | $cmstartsortkey | Hexadecimal key to start listing from, only used if $cmsort is set to 'sortkey'
string | $cmendsortkey | Hexadecimal key to end listing at, only used if $cmsort is set to 'sortkey'
string | $cmstartsortkeyprefix | Hexadecimal key prefix to start listing from, only used if $cmsort is set to 'sortkey', overrides $cmstartsortkey
string | $cmendsortkeyprefix | Hexadecimal key prefix to end listing before, only used if $cmsort is set to 'sortkey', overrides $cmendsortkey
string | $cmsort | Property to sort by
string | $cmdir | Direction to sort in
string | $cmcontinue | Used to continue a previous request
Renvoie
object
Depuis
3.2.2 (CMS)
Exceptions
RuntimeException

Références $path.

◆ getChangeTags()

getChangeTags | ( | array | $tgprop = null,
 |  |  | $tglimit = null
 | ) |  |

Method to list change tags.

Paramètres
array | $tgprop | List of properties to get.
string | $tglimit | The maximum number of tags to limit.
Renvoie
object
Depuis
3.1.4

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/mediawiki/categories.php


Joomla CMS: Référence de la classe JMediawikiHttp

Fonctions membres publiques
Référence de la classe JMediawikiHttp
+ Graphe d'héritage de JMediawikiHttp:

Fonctions membres publiques

__construct (Registry $options=null, JHttpTransport $transport=null)
get ($url, array $headers=null, $timeout=null)
post ($url, $data, array $headers=null, $timeout=null)

Description détaillée

HTTP client class for connecting to a MediaWiki instance.

Depuis
3.1.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttpTransport | $transport = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Client options object.
JHttpTransport | $transport | The HTTP transport object.
Depuis
3.1.4

Références $options.

Documentation des fonctions membres

◆ get()

get | ( |  | $url,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the GET command to the server.

Paramètres
string | $url | Path to the resource.
array | $headers | An array of name-value pairs to include in the header of the request.
integer | $timeout | Read timeout in seconds.
Renvoie
JHttpResponse
Depuis
3.1.4

Références $key, $url, et null.

◆ post()

post | ( |  | $url,
 |  |  | $data,
 |  | array | $headers = null,
 |  |  | $timeout = null
 | ) |  |

Method to send the POST command to the server.

Paramètres
string | $url | Path to the resource.
mixed | $data | Either an associative array or a string to be sent with the request.
array | $headers | An array of name-value pairs to include in the header of the request
integer | $timeout | Read timeout in seconds.
Renvoie
JHttpResponse
Depuis
3.1.4

Références $data, $key, $url, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • mediawiki/http.php


Joomla CMS: Référence de la classe JMediawikiImages

Fonctions membres publiques
Référence de la classe JMediawikiImages
+ Graphe d'héritage de JMediawikiImages:
JMediawikiObject

Fonctions membres publiques

getImages (array $titles, $imagelimit=null, $imagecontinue=null, $imimages=null, $imdir=null)
getImagesUsed (array $titles)
getImageInfo (array $liprop=null, $lilimit=null, $listart=null, $liend=null, $liurlwidth=null, $liurlheight=null, $limetadataversion=null, $liurlparam=null, $licontinue=null)
enumerateImages ($aifrom=null, $aito=null, $aiprefix=null, $aiminsize=null, $aimaxsize=null, $ailimit=null, $aidir=null, $aisha1=null, $aisha1base36=null, array $aiprop=null, $aimime=null)
- Fonctions membres publiques hérités de JMediawikiObject
__construct (Registry $options=null, JMediawikiHttp $client=null)
buildParameter (array $params)
validateResponse ($response)

Membres hérités additionnels

- Fonctions membres protégées hérités de JMediawikiObject
fetchUrl ($path)
- Attributs protégés hérités de JMediawikiObject
$options
$client

Description détaillée

MediaWiki API Images class for the Joomla Platform.

Depuis
3.1.4

Documentation des fonctions membres

◆ enumerateImages()

enumerateImages | ( |  | $aifrom = null,
 |  |  | $aito = null,
 |  |  | $aiprefix = null,
 |  |  | $aiminsize = null,
 |  |  | $aimaxsize = null,
 |  |  | $ailimit = null,
 |  |  | $aidir = null,
 |  |  | $aisha1 = null,
 |  |  | $aisha1base36 = null,
 |  | array | $aiprop = null,
 |  |  | $aimime = null
 | ) |  |

Method to enumerate all images.

Paramètres
string | $aifrom | The image title to start enumerating from.
string | $aito | The image title to stop enumerating at.
string | $aiprefix | Search for all image titles that begin with this value.
integer | $aiminsize | Limit to images with at least this many bytes.
integer | $aimaxsize | Limit to images with at most this many bytes.
integer | $ailimit | How many images in total to return.
string | $aidir | The direction in which to list.
string | $aisha1 | SHA1 hash of image.
string | $aisha1base36 | SHA1 hash of image in base 36.
array | $aiprop | What image information to get.
string | $aimime | What MIME type to search for.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getImageInfo()

getImageInfo | ( | array | $liprop = null,
 |  |  | $lilimit = null,
 |  |  | $listart = null,
 |  |  | $liend = null,
 |  |  | $liurlwidth = null,
 |  |  | $liurlheight = null,
 |  |  | $limetadataversion = null,
 |  |  | $liurlparam = null,
 |  |  | $licontinue = null
 | ) |  |

Method to get all image information and upload history.

Paramètres
array | $liprop | What image information to get.
integer | $lilimit | How many image revisions to return.
string | $listart | Timestamp to start listing from.
string | $liend | Timestamp to stop listing at.
integer | $liurlwidth | URL to an image scaled to this width will be returned..
integer | $liurlheight | URL to an image scaled to this height will be returned.
string | $limetadataversion | Version of metadata to use.
string | $liurlparam | A handler specific parameter string.
boolean | $licontinue | When more results are available, use this to continue.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getImages()

getImages | ( | array | $titles,
 |  |  | $imagelimit = null,
 |  |  | $imagecontinue = null,
 |  |  | $imimages = null,
 |  |  | $imdir = null
 | ) |  |

Method to get all images contained on the given page(s).

Paramètres
array | $titles | Page titles to retrieve images.
integer | $imagelimit | How many images to return.
boolean | $imagecontinue | When more results are available, use this to continue.
integer | $imimages | Only list these images.
string | $imdir | The direction in which to list.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getImagesUsed()

getImagesUsed ( array $titles )

Method to get all images contained on the given page(s).

Paramètres
array $titles Page titles to retrieve links.
Renvoie
object
Depuis
3.1.4

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • images.php


Joomla CMS: Référence de la classe JMediawikiLinks

Fonctions membres publiques
Référence de la classe JMediawikiLinks
+ Graphe d'héritage de JMediawikiLinks:
JMediawikiObject

Fonctions membres publiques

getLinks (array $titles, array $plnamespace=null, $pllimit=null, $plcontinue=null, array $pltitles=null, $pldir=null)
getLinksUsed (array $titles)
getIWLinks (array $titles, $iwurl=false, $iwlimit=null, $iwcontinue=false, $iwprefix=null, $iwtitle=null, $iwdir=null)
getLangLinks (array $titles, $lllimit=null, $llcontinue=false, $llurl=null, $lllang=null, $lltitle=null, $lldir=null)
getExtLinks (array $titles, $ellimit=null, $eloffset=null, $elprotocol=null, $elquery=null)
enumerateLinks ($alcontinue=false, $alfrom=null, $alto=null, $alprefix=null, $alunique=null, array $alprop=null, $alnamespace=null, $allimit=null)
- Fonctions membres publiques hérités de JMediawikiObject
__construct (Registry $options=null, JMediawikiHttp $client=null)
buildParameter (array $params)
validateResponse ($response)

Membres hérités additionnels

- Fonctions membres protégées hérités de JMediawikiObject
fetchUrl ($path)
- Attributs protégés hérités de JMediawikiObject
$options
$client

Description détaillée

MediaWiki API Links class for the Joomla Platform.

Depuis
3.1.4

Documentation des fonctions membres

◆ enumerateLinks()

enumerateLinks | ( |  | $alcontinue = false,
 |  |  | $alfrom = null,
 |  |  | $alto = null,
 |  |  | $alprefix = null,
 |  |  | $alunique = null,
 |  | array | $alprop = null,
 |  |  | $alnamespace = null,
 |  |  | $allimit = null
 | ) |  |

Method to enumerate all links that point to a given namespace.

Paramètres
boolean | $alcontinue | When more results are available, use this to continue.
string | $alfrom | Start listing at this title. The title need not exist.
string | $alto | The page title to stop enumerating at.
string | $alprefix | Search for all page titles that begin with this value.
string | $alunique | Only show unique links.
array | $alprop | What pieces of information to include.
string | $alnamespace | The namespace to enumerate.
integer | $allimit | Number of links to return.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getExtLinks()

getExtLinks | ( | array | $titles,
 |  |  | $ellimit = null,
 |  |  | $eloffset = null,
 |  |  | $elprotocol = null,
 |  |  | $elquery = null
 | ) |  |

Method to return all external urls from the given page(s).

Paramètres
array | $titles | Page titles to retrieve links.
integer | $ellimit | Number of links to return.
string | $eloffset | When more results are available, use this to continue.
string | $elprotocol | Protocol of the url.
string | $elquery | Search string without protocol.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getIWLinks()

getIWLinks | ( | array | $titles,
 |  |  | $iwurl = false,
 |  |  | $iwlimit = null,
 |  |  | $iwcontinue = false,
 |  |  | $iwprefix = null,
 |  |  | $iwtitle = null,
 |  |  | $iwdir = null
 | ) |  |

Method to return all interwiki links from the given page(s).

Paramètres
array | $titles | Page titles to retrieve links.
boolean | $iwurl | Whether to get the full url.
integer | $iwlimit | Number of interwiki links to return.
boolean | $iwcontinue | When more results are available, use this to continue.
string | $iwprefix | Prefix for the interwiki.
string | $iwtitle | Interwiki link to search for.
string | $iwdir | The direction in which to list.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getLangLinks()

getLangLinks | ( | array | $titles,
 |  |  | $lllimit = null,
 |  |  | $llcontinue = false,
 |  |  | $llurl = null,
 |  |  | $lllang = null,
 |  |  | $lltitle = null,
 |  |  | $lldir = null
 | ) |  |

Method to return all interlanguage links from the given page(s).

Paramètres
array | $titles | Page titles to retrieve links.
integer | $lllimit | Number of language links to return.
boolean | $llcontinue | When more results are available, use this to continue.
string | $llurl | Whether to get the full URL.
string | $lllang | Language code.
string | $lltitle | Link to search for.
string | $lldir | The direction in which to list.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getLinks()

getLinks | ( | array | $titles,
 |  | array | $plnamespace = null,
 |  |  | $pllimit = null,
 |  |  | $plcontinue = null,
 |  | array | $pltitles = null,
 |  |  | $pldir = null
 | ) |  |

Method to return all links from the given page(s).

Paramètres
array | $titles | Page titles to retrieve links.
array | $plnamespace | Namespaces to get links.
string | $pllimit | Number of links to return.
string | $plcontinue | Continue when more results are available.
array | $pltitles | List links to these titles.
string | $pldir | Direction of listing.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getLinksUsed()

getLinksUsed ( array $titles )

Method to return info about the link pages.

Paramètres
array $titles Page titles to retrieve links.
Renvoie
object
Depuis
3.1.4

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/mediawiki/links.php


Joomla CMS: Référence de la classe JMediawikiObject

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JMediawikiObject
+ Graphe d'héritage de JMediawikiObject:
JMediawikiCategories JMediawikiImages JMediawikiLinks JMediawikiPages JMediawikiSearch JMediawikiSites JMediawikiUsers

Fonctions membres publiques

__construct (Registry $options=null, JMediawikiHttp $client=null)
buildParameter (array $params)
validateResponse ($response)

Fonctions membres protégées

fetchUrl ($path)

Attributs protégés

$options
$client

Description détaillée

MediaWiki API object class for the Joomla Platform.

Depuis
3.1.4

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JMediawikiHttp | $client = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | Mediawiki options object.
JMediawikiHttp | $client | The HTTP client object.
Depuis
3.1.4

Références $client, et $options.

Documentation des fonctions membres

◆ buildParameter()

buildParameter ( array $params )

Method to build request parameters from a string array.

Paramètres
array $params string array that contains the parameters
Renvoie
string request parameter
Depuis
3.1.4

Références $param, $params, et $path.

◆ fetchUrl()

fetchUrl ( $path )
protected

Method to build and return a full request URL for the request.

Paramètres
string $path URL to inflect
Renvoie
string The request URL.
Depuis
3.1.4

Références $path, et $uri.

◆ validateResponse()

validateResponse ( $response )

Method to validate response for errors

Paramètres
JHttpresponse $response reponse from the mediawiki server
Renvoie
Object
Depuis
3.1.4
Exceptions
DomainException

Documentation des champs

◆ $client

$client
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/mediawiki/object.php


Joomla CMS: Référence de la classe JMediawikiPages

Fonctions membres publiques
Référence de la classe JMediawikiPages
+ Graphe d'héritage de JMediawikiPages:
JMediawikiObject

Fonctions membres publiques

editPage ($title, $section=null, $sectiontitle=null, $text=null, $summary=null)
deletePageByName ($title, $reason=null, $watchlist=null, $oldimage=null)
deletePageById ($pageid, $reason=null, $watchlist=null, $oldimage=null)
undeletePage ($title, $reason=null, $timestamp=null, $watchlist=null)
movePageByName ($from, $to, $reason=null, $movetalk=null, $movesubpages=null, $noredirect=null, $watchlist=null, $ignorewarnings=null)
movePageById ($fromid, $to, $reason=null, $movetalk=null, $movesubpages=null, $noredirect=null, $watchlist=null, $ignorewarnings=null)
rollback ($title, $user, $summary=null, $markbot=null, $watchlist=null)
changeProtection ($title, $protections, $expiry=null, $reason=null, $cascade=null, $watchlist=null)
getPageInfo (array $titles, array $inprop=null, array $intoken=null, $incontinue=null)
getPageProperties (array $titles, $ppcontinue=null, $ppprop=null)
getRevisions (array $titles, array $rvprop=null, $rvparse=null, $rvlimit=null)
getPageTemplates (array $titles, array $tlnamespace=null, $tllimit=null, $tlcontinue=null, $tltemplates=null, $tldir=null)
getBackLinks ($bltitle, $blpageid=null, $blcontinue=null, array $blnamespace=null, $blfilterredirect=null, $bllimit=null, $blredirect=null)
getIWBackLinks ($iwbltitle, $iwblprefix=null, $iwblcontinue=null, $iwbllimit=null, array $iwblprop=null)
getToken ($user, $intoken)
- Fonctions membres publiques hérités de JMediawikiObject
__construct (Registry $options=null, JMediawikiHttp $client=null)
buildParameter (array $params)
validateResponse ($response)

Membres hérités additionnels

- Fonctions membres protégées hérités de JMediawikiObject
fetchUrl ($path)
- Attributs protégés hérités de JMediawikiObject
$options
$client

Description détaillée

MediaWiki API Pages class for the Joomla Platform.

Depuis
3.1.4

Documentation des fonctions membres

◆ changeProtection()

changeProtection | ( | $title,
 |  | $protections,
 |  | $expiry = null,
 |  | $reason = null,
 |  | $cascade = null,
 |  | $watchlist = null
 | ) |

Method to change the protection level of a page.

Paramètres
string | $title | Title of the page you want to (un)protect.
string | $protections | Pipe-separated list of protection levels.
string | $expiry | Expiry timestamps.
string | $reason | Reason for (un)protecting (optional).
string | $cascade | Enable cascading protection.
string | $watchlist | Unconditionally add or remove the page from your watchlist.
Renvoie
object
Depuis
3.1.4

Références $data, $path, et $title.

◆ deletePageById()

deletePageById | ( | $pageid,
 |  | $reason = null,
 |  | $watchlist = null,
 |  | $oldimage = null
 | ) |

Method to delete a page.

Paramètres
string | $pageid | Page ID of the page you want to delete.
string | $reason | Reason for the deletion.
string | $watchlist | Unconditionally add or remove the page from your watchlis.
string | $oldimage | The name of the old image to delete.
Renvoie
object
Depuis
3.1.4

Références $data, et $path.

◆ deletePageByName()

deletePageByName | ( | $title,
 |  | $reason = null,
 |  | $watchlist = null,
 |  | $oldimage = null
 | ) |

Method to delete a page.

Paramètres
string | $title | Title of the page you want to delete.
string | $reason | Reason for the deletion.
string | $watchlist | Unconditionally add or remove the page from your watchlis.
string | $oldimage | The name of the old image to delete.
Renvoie
object
Depuis
3.1.4

Références $data, $path, et $title.

◆ editPage()

editPage | ( | $title,
 |  | $section = null,
 |  | $sectiontitle = null,
 |  | $text = null,
 |  | $summary = null
 | ) |

Method to edit a page.

Paramètres
string | $title | Page title.
int | $section | Section number.
string | $sectiontitle | The title for a new section.
string | $text | Page content.
string | $summary | Title of the page you want to delete.
Renvoie
object
Depuis
3.1.4

Références $data, $path, $section, $text, et $title.

◆ getBackLinks()

getBackLinks | ( |  | $bltitle,
 |  |  | $blpageid = null,
 |  |  | $blcontinue = null,
 |  | array | $blnamespace = null,
 |  |  | $blfilterredirect = null,
 |  |  | $bllimit = null,
 |  |  | $blredirect = null
 | ) |  |

Method to get all pages that link to the given page.

Paramètres
string | $bltitle | Title to search.
integer | $blpageid | Pageid to search.
boolean | $blcontinue | When more results are available, use this to continue.
array | $blnamespace | The namespace to enumerate.
string | $blfilterredirect | How to filter for redirects..
integer | $bllimit | How many total pages to return.
boolean | $blredirect | If linking page is a redirect, find all pages that link to that redirect as well.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getIWBackLinks()

getIWBackLinks | ( |  | $iwbltitle,
 |  |  | $iwblprefix = null,
 |  |  | $iwblcontinue = null,
 |  |  | $iwbllimit = null,
 |  | array | $iwblprop = null
 | ) |  |

Method to get all pages that link to the given interwiki link.

Paramètres
string | $iwbltitle | Interwiki link to search for. Must be used with iwblprefix.
string | $iwblprefix | Prefix for the interwiki.
boolean | $iwblcontinue | When more results are available, use this to continue.
integer | $iwbllimit | How many total pages to return.
array | $iwblprop | Which properties to get.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getPageInfo()

getPageInfo | ( | array | $titles,
 |  | array | $inprop = null,
 |  | array | $intoken = null,
 |  |  | $incontinue = null
 | ) |  |

Method to get basic page information.

Paramètres
array | $titles | Page titles to retrieve info.
array | $inprop | Which additional properties to get.
array | $intoken | Request a token to perform a data-modifying action on a page
boolean | $incontinue | When more results are available, use this to continue.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getPageProperties()

getPageProperties | ( | array | $titles,
 |  |  | $ppcontinue = null,
 |  |  | $ppprop = null
 | ) |  |

Method to get various properties defined in the page content.

Paramètres
array | $titles | Page titles to retrieve properties.
boolean | $ppcontinue | When more results are available, use this to continue.
string | $ppprop | Page prop to look on the page for.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getPageTemplates()

getPageTemplates | ( | array | $titles,
 |  | array | $tlnamespace = null,
 |  |  | $tllimit = null,
 |  |  | $tlcontinue = null,
 |  |  | $tltemplates = null,
 |  |  | $tldir = null
 | ) |  |

Method to get all page templates from the given page.

Paramètres
array | $titles | Page titles to retrieve templates.
array | $tlnamespace | Show templates in this namespace(s) only.
integer | $tllimit | How many templates to return.
boolean | $tlcontinue | When more results are available, use this to continue.
string | $tltemplates | Only list these templates.
string | $tldir | The direction in which to list.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getRevisions()

getRevisions | ( | array | $titles,
 |  | array | $rvprop = null,
 |  |  | $rvparse = null,
 |  |  | $rvlimit = null
 | ) |  |

Method to get a list of revisions.

Paramètres
array | $titles | Page titles to retrieve revisions.
array | $rvprop | Which properties to get for each revision.
boolean | $rvparse | Parse revision content.
int | $rvlimit | Limit how many revisions will be returned.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getToken()

getToken | ( | $user,
 |  | $intoken
 | ) |

Method to get access token.

Paramètres
string | $user | The User to get token.
string | $intoken | The type of token.
Renvoie
object
Depuis
3.0.0

Références $path, $user, et null.

◆ movePageById()

movePageById | ( | $fromid,
 |  | $to,
 |  | $reason = null,
 |  | $movetalk = null,
 |  | $movesubpages = null,
 |  | $noredirect = null,
 |  | $watchlist = null,
 |  | $ignorewarnings = null
 | ) |

Method to move a page.

Paramètres
int | $fromid | Page ID of the page you want to move.
string | $to | Title you want to rename the page to.
string | $reason | Reason for the move (optional).
string | $movetalk | Move the talk page, if it exists.
string | $movesubpages | Move subpages, if applicable.
boolean | $noredirect | Don't create a redirect.
string | $watchlist | Unconditionally add or remove the page from your watchlist.
boolean | $ignorewarnings | Ignore any warnings.
Renvoie
object
Depuis
3.1.4

Références $data, et $path.

◆ movePageByName()

movePageByName | ( | $from,
 |  | $to,
 |  | $reason = null,
 |  | $movetalk = null,
 |  | $movesubpages = null,
 |  | $noredirect = null,
 |  | $watchlist = null,
 |  | $ignorewarnings = null
 | ) |

Method to move a page.

Paramètres
string | $from | Title of the page you want to move.
string | $to | Title you want to rename the page to.
string | $reason | Reason for the move (optional).
string | $movetalk | Move the talk page, if it exists.
string | $movesubpages | Move subpages, if applicable.
boolean | $noredirect | Don't create a redirect.
string | $watchlist | Unconditionally add or remove the page from your watchlist.
boolean | $ignorewarnings | Ignore any warnings.
Renvoie
object
Depuis
3.1.4

Références $data, et $path.

◆ rollback()

rollback | ( | $title,
 |  | $user,
 |  | $summary = null,
 |  | $markbot = null,
 |  | $watchlist = null
 | ) |

Method to undo the last edit to the page.

Paramètres
string | $title | Title of the page you want to rollback.
string | $user | Name of the user whose edits are to be rolled back.
string | $summary | Custom edit summary. If not set, default summary will be used.
string | $markbot | Mark the reverted edits and the revert as bot edits.
string | $watchlist | Unconditionally add or remove the page from your watchlist.
Renvoie
object
Depuis
3.1.4

Références $data, $path, $title, et $user.

◆ undeletePage()

undeletePage | ( | $title,
 |  | $reason = null,
 |  | $timestamp = null,
 |  | $watchlist = null
 | ) |

Method to restore certain revisions of a deleted page.

Paramètres
string | $title | Title of the page you want to restore.
string | $reason | Reason for restoring (optional).
string | $timestamp | Timestamps of the revisions to restore.
string | $watchlist | Unconditionally add or remove the page from your watchlist.
Renvoie
object
Depuis
3.1.4

Références $data, $path, et $title.

La documentation de cette classe a été générée à partir du fichier suivant :
  • pages.php


Joomla CMS: Référence de la classe JMediawikiSearch

Fonctions membres publiques
Référence de la classe JMediawikiSearch
+ Graphe d'héritage de JMediawikiSearch:
JMediawikiObject

Fonctions membres publiques

search ($srsearch, array $srnamespace=null, $srwhat=null, array $srinfo=null, array $srprop=null, $srredirects=null, $sroffest=null, $srlimit=null)
openSearch ($search, $limit=null, array $namespace=null, $suggest=null, $format=null)
- Fonctions membres publiques hérités de JMediawikiObject
__construct (Registry $options=null, JMediawikiHttp $client=null)
buildParameter (array $params)
validateResponse ($response)

Membres hérités additionnels

- Fonctions membres protégées hérités de JMediawikiObject
fetchUrl ($path)
- Attributs protégés hérités de JMediawikiObject
$options
$client

Description détaillée

MediaWiki API Search class for the Joomla Platform.

Depuis
3.1.4

Documentation des fonctions membres

◆ openSearch()

openSearch | ( |  | $search,
 |  |  | $limit = null,
 |  | array | $namespace = null,
 |  |  | $suggest = null,
 |  |  | $format = null
 | ) |  |

Method to search the wiki using opensearch protocol.

Paramètres
string | $search | Search string.
integer | $limit | Maximum amount of results to return.
array | $namespace | Namespaces to search.
string | $suggest | Do nothing if $wgEnableOpenSearchSuggest is false.
string | $format | Output format.
Renvoie
object
Depuis
3.1.4

Références $format, $limit, et $path.

◆ search()

search | ( |  | $srsearch,
 |  | array | $srnamespace = null,
 |  |  | $srwhat = null,
 |  | array | $srinfo = null,
 |  | array | $srprop = null,
 |  |  | $srredirects = null,
 |  |  | $sroffest = null,
 |  |  | $srlimit = null
 | ) |  |

Method to perform a full text search.

Paramètres
string | $srsearch | Search for all page titles (or content) that has this value.
array | $srnamespace | The namespace(s) to enumerate.
string | $srwhat | Search inside the text or titles.
array | $srinfo | What metadata to return.
array | $srprop | What properties to return.
boolean | $srredirects | Include redirect pages in the search.
integer | $sroffest | Use this value to continue paging.
integer | $srlimit | How many total pages to return.
Renvoie
object
Depuis
3.1.4

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/mediawiki/search.php


Joomla CMS: Référence de la classe JMediawikiSites

Fonctions membres publiques
Référence de la classe JMediawikiSites
+ Graphe d'héritage de JMediawikiSites:
JMediawikiObject

Fonctions membres publiques

getSiteInfo (array $siprop=null, $sifilteriw=null, $sishowalldb=false, $sinumberingroup=false, array $siinlanguagecode=null)
getEvents (array $leprop=null, $letype=null, $leaction=null, $letitle=null, $leprefix=null, $letag=null, $leuser=null, $lestart=null, $leend=null, $ledir=null, $lelimit=null)
getRecentChanges ($rcstart=null, $rcend=null, $rcdir=null, array $rcnamespace=null, $rcuser=null, $rcexcludeuser=null, $rctag=null, array $rcprop=null, array $rctoken=null, array $rcshow=null, $rclimit=null, $rctype=null, $rctoponly=null)
getProtectedTitles (array $ptnamespace=null, array $ptlevel=null, $ptlimit=null, $ptdir=null, $ptstart=null, $ptend=null, array $ptprop=null)
- Fonctions membres publiques hérités de JMediawikiObject
__construct (Registry $options=null, JMediawikiHttp $client=null)
buildParameter (array $params)
validateResponse ($response)

Membres hérités additionnels

- Fonctions membres protégées hérités de JMediawikiObject
fetchUrl ($path)
- Attributs protégés hérités de JMediawikiObject
$options
$client

Description détaillée

MediaWiki API Sites class for the Joomla Platform.

Depuis
3.1.4

Documentation des fonctions membres

◆ getEvents()

getEvents | ( | array | $leprop = null,
 |  |  | $letype = null,
 |  |  | $leaction = null,
 |  |  | $letitle = null,
 |  |  | $leprefix = null,
 |  |  | $letag = null,
 |  |  | $leuser = null,
 |  |  | $lestart = null,
 |  |  | $leend = null,
 |  |  | $ledir = null,
 |  |  | $lelimit = null
 | ) |  |

Method to get events from logs.

Paramètres
array | $leprop | List of properties to get.
string | $letype | Filter log actions to only this type.
string | $leaction | Filter log actions to only this type.
string | $letitle | Filter entries to those related to a page.
string | $leprefix | Filter entries that start with this prefix.
string | $letag | Filter entries with tag.
string | $leuser | Filter entries made by the given user.
string | $lestart | Starting timestamp.
string | $leend | Ending timestamp.
string | $ledir | Direction of enumeration.
integer | $lelimit | Event limit to return.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getProtectedTitles()

getProtectedTitles | ( | array | $ptnamespace = null,
 |  | array | $ptlevel = null,
 |  |  | $ptlimit = null,
 |  |  | $ptdir = null,
 |  |  | $ptstart = null,
 |  |  | $ptend = null,
 |  | array | $ptprop = null
 | ) |  |

Method to get protected titles on a site.

Paramètres
array | $ptnamespace | Only list titles in this namespace.
array | $ptlevel | Only list titles with these protection level.
integer | $ptlimit | Limit of pages to return.
string | $ptdir | Direction of enumeration.
string | $ptstart | Starting timestamp.
string | $ptend | Ending timestamp.
array | $ptprop | List of properties to get.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getRecentChanges()

getRecentChanges | ( |  | $rcstart = null,
 |  |  | $rcend = null,
 |  |  | $rcdir = null,
 |  | array | $rcnamespace = null,
 |  |  | $rcuser = null,
 |  |  | $rcexcludeuser = null,
 |  |  | $rctag = null,
 |  | array | $rcprop = null,
 |  | array | $rctoken = null,
 |  | array | $rcshow = null,
 |  |  | $rclimit = null,
 |  |  | $rctype = null,
 |  |  | $rctoponly = null
 | ) |  |

Method to get recent changes on a site.

Paramètres
string | $rcstart | Starting timestamp.
string | $rcend | Ending timestamp.
string | $rcdir | Direction of enumeration.
array | $rcnamespace | Filter changes to only this namespace(s).
string | $rcuser | Filter changes by this user.
string | $rcexcludeuser | Filter changes to exclude changes by this user.
string | $rctag | Filter changes by this tag.
array | $rcprop | Filter log actions to only this type.
array | $rctoken | Which token to obtain for each change.
array | $rcshow | Filter changes by this criteria.
string | $rclimit | Changes limit to return.
string | $rctype | Filter event by type of changes.
string | $rctoponly | Filter changes which are latest revision.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getSiteInfo()

getSiteInfo | ( | array | $siprop = null,
 |  |  | $sifilteriw = null,
 |  |  | $sishowalldb = false,
 |  |  | $sinumberingroup = false,
 |  | array | $siinlanguagecode = null
 | ) |  |

Method to get site information.

Paramètres
array | $siprop | The sysinfo properties to get.
string | $sifilteriw | Only local or only non local entries to return.
boolean | $sishowalldb | List all database servers.
boolean | $sinumberingroup | List the number of users in usergroups.
array | $siinlanguagecode | Language code for localized languages.
Renvoie
object
Depuis
3.1.4

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • sites.php


Joomla CMS: Référence de la classe JMediawikiUsers

Fonctions membres publiques
Référence de la classe JMediawikiUsers
+ Graphe d'héritage de JMediawikiUsers:
JMediawikiObject

Fonctions membres publiques

login ($lgname, $lgpassword, $lgdomain=null)
logout ()
getUserInfo (array $ususers, array $usprop=null)
getCurrentUserInfo (array $uiprop=null)
getUserContribs ($ucuser=null, $ucuserprefix=null, $uclimit=null, $ucstart=null, $ucend=null, $uccontinue=null, $ucdir=null, array $ucnamespace=null, array $ucprop=null, array $ucshow=null, $uctag=null, $uctoponly=null)
blockUser ($user, $expiry=null, $reason=null, $anononly=null, $nocreate=null, $autoblock=null, $noemail=null, $hidename=null, $allowusertalk=null, $reblock=null, $watchuser=null)
unBlockUserByName ($user, $reason=null)
unBlockUserById ($id, $reason=null)
assignGroup ($username, $add=null, $remove=null, $reason=null)
emailUser ($target, $subject=null, $text=null, $ccme=null)
getToken ($user, $intoken)
- Fonctions membres publiques hérités de JMediawikiObject
__construct (Registry $options=null, JMediawikiHttp $client=null)
buildParameter (array $params)
validateResponse ($response)

Membres hérités additionnels

- Fonctions membres protégées hérités de JMediawikiObject
fetchUrl ($path)
- Attributs protégés hérités de JMediawikiObject
$options
$client

Description détaillée

MediaWiki API Users class for the Joomla Platform.

Depuis
3.1.4

Documentation des fonctions membres

◆ assignGroup()

assignGroup | ( | $username,
 |  | $add = null,
 |  | $remove = null,
 |  | $reason = null
 | ) |

Method to assign a user to a group.

Paramètres
string | $username | User name.
array | $add | Add the user to these groups.
array | $remove | Remove the user from these groups.
string | $reason | Reason for the change.
Renvoie
object
Depuis
3.1.4

Références $data, et $path.

◆ blockUser()

blockUser | ( | $user,
 |  | $expiry = null,
 |  | $reason = null,
 |  | $anononly = null,
 |  | $nocreate = null,
 |  | $autoblock = null,
 |  | $noemail = null,
 |  | $hidename = null,
 |  | $allowusertalk = null,
 |  | $reblock = null,
 |  | $watchuser = null
 | ) |

Method to block a user.

Paramètres
string | $user | Username, IP address or IP range you want to block.
string | $expiry | Relative expiry time, Default: never.
string | $reason | Reason for block (optional).
boolean | $anononly | Block anonymous users only.
boolean | $nocreate | Prevent account creation.
boolean | $autoblock | Automatically block the last used IP address, and any subsequent IP addresses they try to login from.
boolean | $noemail | Prevent user from sending email through the wiki.
boolean | $hidename | Hide the username from the block log.
boolean | $allowusertalk | Allow the user to edit their own talk page.
boolean | $reblock | If the user is already blocked, overwrite the existing block.
boolean | $watchuser | Watch the user/IP's user and talk pages.
Renvoie
object
Depuis
3.1.4

Références $data, $path, et $user.

◆ emailUser()

emailUser | ( | $target,
 |  | $subject = null,
 |  | $text = null,
 |  | $ccme = null
 | ) |

Method to email a user.

Paramètres
string | $target | User to send email to.
string | $subject | Subject header.
string | $text | Mail body.
boolean | $ccme | Send a copy of this mail to me.
Renvoie
object
Depuis
3.1.4

Références $data, $path, $subject, $target, et $text.

◆ getCurrentUserInfo()

getCurrentUserInfo ( array $uiprop = null )

Method to get current user information.

Paramètres
array $uiprop What pieces of information to include.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getToken()

getToken | ( | $user,
 |  | $intoken
 | ) |

Method to get access token.

Paramètres
string | $user | The User to get token.
string | $intoken | The type of token.
Renvoie
object
Depuis
3.1.4

Références $path, $user, et null.

◆ getUserContribs()

getUserContribs | ( |  | $ucuser = null,
 |  |  | $ucuserprefix = null,
 |  |  | $uclimit = null,
 |  |  | $ucstart = null,
 |  |  | $ucend = null,
 |  |  | $uccontinue = null,
 |  |  | $ucdir = null,
 |  | array | $ucnamespace = null,
 |  | array | $ucprop = null,
 |  | array | $ucshow = null,
 |  |  | $uctag = null,
 |  |  | $uctoponly = null
 | ) |  |

Method to get user contributions.

Paramètres
string | $ucuser | The users to retrieve contributions for.
string | $ucuserprefix | Retrieve contibutions for all users whose names begin with this value.
integer | $uclimit | The users to retrieve contributions for.
string | $ucstart | The start timestamp to return from.
string | $ucend | The end timestamp to return to.
boolean | $uccontinue | When more results are available, use this to continue.
string | $ucdir | In which direction to enumerate.
array | $ucnamespace | Only list contributions in these namespaces.
array | $ucprop | Include additional pieces of information.
array | $ucshow | Show only items that meet this criteria.
string | $uctag | Only list revisions tagged with this tag.
string | $uctoponly | Only list changes which are the latest revision
Renvoie
object
Depuis
3.1.4

Références $path.

◆ getUserInfo()

getUserInfo | ( | array | $ususers,
 |  | array | $usprop = null
 | ) |  |

Method to get user information.

Paramètres
array | $ususers | A list of users to obtain the same information for.
array | $usprop | What pieces of information to include.
Renvoie
object
Depuis
3.1.4

Références $path.

◆ login()

login | ( | $lgname,
 |  | $lgpassword,
 |  | $lgdomain = null
 | ) |

Method to login and get authentication tokens.

Paramètres
string | $lgname | User Name.
string | $lgpassword | Password.
string | $lgdomain | Domain (optional).
Renvoie
object
Depuis
3.1.4

Références $path, et null.

◆ logout()

logout ( )

Method to logout and clear session data.

Renvoie
object
Depuis
3.1.4

Références $path.

◆ unBlockUserById()

unBlockUserById | ( | $id,
 |  | $reason = null
 | ) |

Method to unblock a user.

Paramètres
int | $id | Username, IP address or IP range you want to unblock.
string | $reason | Reason for unblock (optional).
Renvoie
object
Depuis
3.1.4

Références $data, $id, et $path.

◆ unBlockUserByName()

unBlockUserByName | ( | $user,
 |  | $reason = null
 | ) |

Method to unblock a user.

Paramètres
string | $user | Username, IP address or IP range you want to unblock.
string | $reason | Reason for unblock (optional).
Renvoie
object
Depuis
3.1.4

Références $data, $path, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/mediawiki/users.php


Joomla CMS: Référence de l'interface JModel

Fonctions membres publiques
Référence de l'interface JModel
+ Graphe d'héritage de JModel:
JModelBase InstallationModelConfiguration InstallationModelDatabase InstallationModelFtp InstallationModelLanguages InstallationModelSetup JModelDatabase ConfigModelCms ConfigModelForm ConfigModelApplication ConfigModelComponent ConfigModelConfig ConfigModelModules ConfigModelTemplates

Fonctions membres publiques

getState ()
setState (Registry $state)

Description détaillée

Joomla Platform Model Interface

Depuis
3.0.0
Obsolète:
4.0 Use the default MVC library

Documentation des fonctions membres

◆ getState()

getState ( )

Get the model state.

Renvoie
Registry The state object.
Depuis
3.0.0

Implémenté dans ConfigModelCms, et JModelBase.

◆ setState()

setState ( Registry $state )

Set the model state.

Paramètres
Registry $state The state object.
Renvoie
void
Depuis
3.0.0

Implémenté dans JModelBase.

La documentation de cette interface a été générée à partir du fichier suivant :
  • joomla/model/model.php


Joomla CMS: Référence de la classe JModelBase

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JModelBase
+ Graphe d'héritage de JModelBase:
JModel InstallationModelConfiguration InstallationModelDatabase InstallationModelFtp InstallationModelLanguages InstallationModelSetup JModelDatabase ConfigModelCms ConfigModelForm ConfigModelApplication ConfigModelComponent ConfigModelConfig ConfigModelModules ConfigModelTemplates

Fonctions membres publiques

__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres protégées

loadState ()

Attributs protégés

$state

Description détaillée

Joomla Platform Base Model Class

Depuis
3.0.0
Obsolète:
4.0 Use the default MVC library

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( Registry $state = null )

Instantiate the model.

Paramètres
Registry $state The model state.
Depuis
3.0.0

Références $state.

Documentation des fonctions membres

◆ getState()

getState ( )

Get the model state.

Renvoie
Registry The state object.
Depuis
3.0.0

Implémente JModel.

Références $state.

◆ loadState()

loadState ( )
protected

Load the model state.

Renvoie
Registry The state object.
Depuis
3.0.0

◆ setState()

setState ( Registry $state )

Set the model state.

Paramètres
Registry $state The state object.
Renvoie
void
Depuis
3.0.0

Implémente JModel.

Références $state.

Documentation des champs

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/model/base.php


Joomla CMS: Référence de la classe JModelDatabase

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JModelDatabase
+ Graphe d'héritage de JModelDatabase:
JModelBase JModel ConfigModelCms ConfigModelForm ConfigModelApplication ConfigModelComponent ConfigModelConfig ConfigModelModules ConfigModelTemplates

Fonctions membres publiques

__construct (Registry $state=null, JDatabaseDriver $db=null)
getDb ()
setDb (JDatabaseDriver $db)
- Fonctions membres publiques hérités de JModelBase
__construct (Registry $state=null)
getState ()
setState (Registry $state)

Fonctions membres protégées

loadDb ()
- Fonctions membres protégées hérités de JModelBase
loadState ()

Attributs protégés

$db
- Attributs protégés hérités de JModelBase
$state

Description détaillée

Joomla Platform Database Model Class

Depuis
3.0.0
Obsolète:
4.0 Use the default MVC library

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $state = null,
 |  | JDatabaseDriver | $db = null
 | ) |  |

Instantiate the model.

Paramètres
Registry | $state | The model state.
JDatabaseDriver | $db | The database adapter.
Depuis
3.0.0

Références $db, et $state.

Documentation des fonctions membres

◆ getDb()

getDb ( )

Get the database driver.

Renvoie
JDatabaseDriver The database driver.
Depuis
3.0.0

Références $db.

◆ loadDb()

loadDb ( )
protected

Load the database driver.

Renvoie
JDatabaseDriver The database driver.
Depuis
3.0.0

◆ setDb()

setDb ( JDatabaseDriver $db )

Set the database driver.

Paramètres
JDatabaseDriver $db The database driver.
Renvoie
void
Depuis
3.0.0

Références $db.

Documentation des champs

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/model/database.php


Joomla CMS: Référence de la classe JNode

Fonctions membres publiques | Attributs protégés
Référence de la classe JNode
+ Graphe d'héritage de JNode:

Fonctions membres publiques

__construct ()
addChild (&$child)
setParent (&$parent)
& getChildren ()
& getParent ()
hasChildren ()
hasParent ()

Attributs protégés

$_parent = null
$_children = array()

Description détaillée

Tree Node Class.

Depuis
1.5
Obsolète:
3.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Depuis
1.5
Obsolète:
3.0

Documentation des fonctions membres

◆ addChild()

addChild ( & $child )

Add child to this node

If the child already has a parent, the link is unset

Paramètres
JNode &$child The child to be added
Renvoie
void
Depuis
1.5
Obsolète:
3.0

◆ getChildren()

& getChildren ( )

Get the children of this node

Renvoie
JNode[] The children
Depuis
1.5
Obsolète:
3.0

◆ getParent()

& getParent ( )

Get the parent of this node

Renvoie
JNode|null JNode object with the parent or null for no parent
Depuis
1.5
Obsolète:
3.0

◆ hasChildren()

hasChildren ( )

Test if this node has children

Renvoie
boolean True if there are children
Depuis
1.5
Obsolète:
3.0

◆ hasParent()

hasParent ( )

Test if this node has a parent

Renvoie
boolean True if there is a parent
Depuis
1.6
Obsolète:
3.0

Références null.

◆ setParent()

setParent ( & $parent )

Set the parent of a this node

If the node already has a parent, the link is unset

Paramètres
JNode | null &$parent The JNode for parent to be set or null
Renvoie
void
Depuis
1.5
Obsolète:
3.0

Références $hash, et null.

Documentation des champs

◆ $_children

$_children = array()
protected

◆ $_parent

$_parent = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • node.php


Joomla CMS: Référence de la classe JOAuth1Client

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Fonctions membres privées
Référence de la classe JOAuth1Client
+ Graphe d'héritage de JOAuth1Client:
JLinkedinOauth JOpenstreetmapOauth JTwitterOAuth

Fonctions membres publiques

__construct (Registry $options=null, JHttp $client=null, JInput $input=null, JApplicationWeb $application=null, $version=null)
authenticate ()
oauthRequest ($url, $method, $parameters, $data=array(), $headers=array())
validateResponse ($url, $response)
toUrl ($url, $parameters)
safeEncode ($data)
verifyCredentials ()
getOption ($key)
setOption ($key, $value)
getToken ()
setToken ($token)

Fonctions membres publiques statiques

static generateNonce ()

Attributs protégés

$options
$token = array()
$client
$input
$application
$version

Fonctions membres privées

_generateRequestToken ()
_authorise ()
_generateAccessToken ()
_createHeader ($parameters)
_signRequest ($url, $method, $parameters)
_baseString ($url, $method, $parameters)
_prepareSigningKey ()

Description détaillée

Joomla Platform class for interacting with an OAuth 1.0 and 1.0a server.

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/oauth1 framework package that will be bundled instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttp | $client = null,
 |  | JInput | $input = null,
 |  | JApplicationWeb | $application = null,
 |  |  | $version = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | OAuth1Client options object.
JHttp | $client | The HTTP client object.
JInput | $input | The input object
JApplicationWeb | $application | The application object
string | $version | Specify the OAuth version. By default we are using 1.0a.
Depuis
3.2.0

Références $client, $input, $options, et $version.

Documentation des fonctions membres

◆ _authorise()

_authorise ( )
private

Method used to authorise the application.

Renvoie
void
Depuis
3.2.0

Références $url.

◆ _baseString()

_baseString | ( | $url,
 |  | $method,
 |  | $parameters
 | ) |
private

Prepare the signature base string.

Paramètres
string | $url | The URL to sign.
string | $method | The request method.
array | $parameters | Array containing request parameters.
Renvoie
string The base string.
Depuis
3.2.0

Références $base, $key, $parameters, $params, $url, et $value.

◆ _createHeader()

_createHeader ( $parameters )
private

Method used to create the header for the POST request.

Paramètres
array $parameters Array containing request parameters.
Renvoie
string The header.
Depuis
3.2.0

Références $key, $parameters, et $value.

◆ _generateAccessToken()

_generateAccessToken ( )
private

Method used to get an access token.

Renvoie
void
Depuis
3.2.0

Références $parameters, et $params.

◆ _generateRequestToken()

_generateRequestToken ( )
private

Method used to get a request token.

Renvoie
void
Depuis
3.2.0
Exceptions
DomainException

Références $parameters, et $params.

◆ _prepareSigningKey()

_prepareSigningKey ( )
private

Prepares the OAuth signing key.

Renvoie
string The prepared signing key.
Depuis
3.2.0

◆ _signRequest()

_signRequest | ( | $url,
 |  | $method,
 |  | $parameters
 | ) |
private

Method used to sign requests.

Paramètres
string | $url | The URL to sign.
string | $method | The request method.
array | $parameters | Array containing request parameters.
Renvoie
array
Depuis
3.2.0

Références $base, $parameters, et $url.

◆ authenticate()

authenticate ( )

Method to for the oauth flow.

Renvoie
array Contains access token key, secret and verifier.
Depuis
3.2.0
Exceptions
DomainException

Références null.

◆ generateNonce()

static generateNonce ( )
static

Method used to generate the current nonce.

Renvoie
string The current nonce.
Depuis
3.2.0

◆ getOption()

getOption ( $key )

Get an option from the JOauth1aClient instance.

Paramètres
string $key The name of the option to get
Renvoie
mixed The option value
Depuis
3.2.0

Références $key.

◆ getToken()

getToken ( )

Get the oauth token key or secret.

Renvoie
array The oauth token key and secret.
Depuis
3.2.0

◆ oauthRequest()

oauthRequest | ( | $url,
 |  | $method,
 |  | $parameters,
 |  | $data = array(),
 |  | $headers = array()
 | ) |

Method used to make an OAuth request.

Paramètres
string | $url | The request URL.
string | $method | The request method.
array | $parameters | Array containing request parameters.
mixed | $data | The POST request data.
array | $headers | An array of name-value pairs to include in the header of the request
Renvoie
JHttpResponse
Depuis
3.2.0
Exceptions
DomainException

Références $data, $parameters, et $url.

◆ safeEncode()

safeEncode ( $data )

Encodes the string or array passed in a way compatible with OAuth. If an array is passed each array value will will be encoded.

Paramètres
mixed $data The scalar or array to encode.
Renvoie
string $data encoded in a way compatible with OAuth.
Depuis
3.2.0

Références $data, et elseif.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JOauth1aClient instance.

Paramètres
string | $key | The name of the option to set
mixed | $value | The option value to set
Renvoie
JOAuth1Client This object for method chaining
Depuis
3.2.0

Références $key, et $value.

◆ setToken()

setToken ( $token )

Set the oauth token.

Paramètres
array $token The access token key and secret.
Renvoie
JOAuth1Client This object for method chaining.
Depuis
3.2.0

◆ toUrl()

toUrl | ( | $url,
 |  | $parameters
 | ) |

Method to create the URL formed string with the parameters.

Paramètres
string | $url | The request URL.
array | $parameters | Array containing request parameters.
Renvoie
string The formed URL.
Depuis
3.2.0

Références $key, $parameters, $url, et $value.

◆ validateResponse()

validateResponse | ( | $url,
 |  | $response
 | ) |
abstract

Method to validate a response.

Paramètres
string | $url | The request URL.
JHttpResponse | $response | The response to validate.
Renvoie
void
Depuis
3.2.0
Exceptions
DomainException

◆ verifyCredentials()

verifyCredentials ( )
abstract

Returns an HTTP 200 OK response code and a representation of the requesting user if authentication was successful; returns a 401 status code and an error message if not.

Renvoie
array The decoded JSON response
Depuis
3.2.0

Documentation des champs

◆ $application

$application
protected

◆ $client

$client
protected

◆ $input

$input
protected

◆ $options

$options
protected

◆ $token

$token = array()
protected

◆ $version

$version
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/oauth1/client.php


Joomla CMS: Référence de la classe JOAuth2Client

Fonctions membres publiques | Attributs protégés
Référence de la classe JOAuth2Client
+ Graphe d'héritage de JOAuth2Client:
JFacebookOAuth

Fonctions membres publiques

__construct (Registry $options=null, JHttp $http=null, JInput $input=null, JApplicationWeb $application=null)
authenticate ()
isAuthenticated ()
createUrl ()
query ($url, $data=null, $headers=array(), $method='get', $timeout=null)
getOption ($key)
setOption ($key, $value)
getToken ()
setToken ($value)
refreshToken ($token=null)

Attributs protégés

$options
$http
$input
$application

Description détaillée

Joomla Platform class for interacting with an OAuth 2.0 server.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/oauth2 framework package that will be bundled instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttp | $http = null,
 |  | JInput | $input = null,
 |  | JApplicationWeb | $application = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | JOAuth2Client options object
JHttp | $http | The HTTP client object
JInput | $input | The input object
JApplicationWeb | $application | The application object
Depuis
3.1.4

Références $input, et $options.

Documentation des fonctions membres

◆ authenticate()

authenticate ( )

Get the access token or redict to the authentication URL.

Renvoie
string The access token
Depuis
3.1.4
Exceptions
RuntimeException

Références $data.

◆ createUrl()

createUrl ( )

Create the URL for authentication.

Renvoie
JHttpResponse The HTTP response
Depuis
3.1.4
Exceptions
InvalidArgumentException

Références $key, $url, et $value.

◆ getOption()

getOption ( $key )

Get an option from the JOAuth2Client instance.

Paramètres
string $key The name of the option to get
Renvoie
mixed The option value
Depuis
3.1.4

Références $key.

◆ getToken()

getToken ( )

Get the access token from the JOAuth2Client instance.

Renvoie
array The access token
Depuis
3.1.4

◆ isAuthenticated()

isAuthenticated ( )

Verify if the client has been authenticated

Renvoie
boolean Is authenticated
Depuis
3.1.4

Références elseif.

◆ query()

query | ( | $url,
 |  | $data = null,
 |  | $headers = array(),
 |  | $method = 'get',
 |  | $timeout = null
 | ) |

Send a signed Oauth request.

Paramètres
string | $url | The URL for the request.
mixed | $data | The data to include in the request
array | $headers | The headers to send with the request
string | $method | The method with which to send the request
int | $timeout | The timeout for the request
Renvoie
string The URL.
Depuis
3.1.4
Exceptions
InvalidArgumentException
RuntimeException

Références $data, $url, et elseif.

◆ refreshToken()

refreshToken ( $token = null )

Refresh the access token instance.

Paramètres
string $token The refresh token
Renvoie
array The new access token
Depuis
3.1.4
Exceptions
Exception
RuntimeException

Références $data.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JOAuth2Client instance.

Paramètres
string | $key | The name of the option to set
mixed | $value | The option value to set
Renvoie
JOAuth2Client This object for method chaining
Depuis
3.1.4

Références $key, et $value.

◆ setToken()

setToken ( $value )

Set an option for the JOAuth2Client instance.

Paramètres
array $value The access token
Renvoie
JOAuth2Client This object for method chaining
Depuis
3.1.4

Références $value.

Documentation des champs

◆ $application

$application
protected

◆ $http

$http
protected

◆ $input

$input
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/oauth2/client.php


Joomla CMS: Référence de la classe JObservable

Fonctions membres publiques | Attributs protégés
Référence de la classe JObservable
+ Graphe d'héritage de JObservable:

Fonctions membres publiques

__construct ()
getState ()
notify ()
attach ($observer)
detach ($observer)

Attributs protégés

$_observers = array()
$_state = null
$_methods = array()

Description détaillée

Abstract observable class to implement the observer design pattern

Depuis
1.5
Obsolète:
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Note: Make Sure it's not directly instantiated

Depuis
1.5
Obsolète:
2.5

Documentation des fonctions membres

◆ attach()

attach ( $observer )

Attach an observer object

Paramètres
object $observer An observer object to attach
Renvoie
void
Depuis
1.5
Obsolète:
2.5

Références $check, $class, et $key.

◆ detach()

detach ( $observer )

Detach an observer object

Paramètres
object $observer An observer object to detach.
Renvoie
boolean True if the observer object was detached.
Depuis
1.5
Obsolète:
2.5

Références $key.

◆ getState()

getState ( )

Get the state of the JObservable object

Renvoie
mixed The state of the object.
Depuis
1.5
Obsolète:
2.5

◆ notify()

notify ( )

Update each attached observer object and return an array of their return values

Renvoie
array Array of return values from the observers
Depuis
1.5
Obsolète:
2.5

Références $return.

Documentation des champs

◆ $_methods

$_methods = array()
protected

◆ $_observers

$_observers = array()
protected

◆ $_state

$_state = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • observable.php


Joomla CMS: Référence de l'interface JObservableInterface

Fonctions membres publiques
Référence de l'interface JObservableInterface
+ Graphe d'héritage de JObservableInterface:
Table Content ContentHistory ContentType CoreContent Extension Language MenuType Module Nested Ucm Update UpdateSite User Usergroup ViewLevel

Fonctions membres publiques

attachObserver (JObserverInterface $observer)

Description détaillée

Observable Subject pattern interface for Joomla

To make a class and its inheriting classes observable: 1) add: implements JObservableInterface to its class

2) at the end of the constructor, add: // Create observer updater and attaches all observers interested by $this class: $this->_observers = new JObserverUpdater($this); JObserverMapper::attachAllObservers($this);

3) add the function attachObserver below to your class to add observers using the JObserverUpdater class: public function attachObserver(JObserverInterface $observer) { $this->_observers->attachObserver($observer); }

4) in the methods that need to be observed, add, e.g. (name of event, params of event): $this->_observers->update('onBeforeLoad', array($keys, $reset));

Depuis
3.1.2

Documentation des fonctions membres

◆ attachObserver()

attachObserver ( JObserverInterface $observer )

Adds an observer to this JObservableInterface instance. Ideally, this method should be called from the constructor of JObserverInterface which should be instantiated by JObserverMapper. The implementation of this function can use JObserverUpdater

Paramètres
JObserverInterface $observer The observer to attach to $this observable subject
Renvoie
void
Depuis
3.1.2
La documentation de cette interface a été générée à partir du fichier suivant :
  • joomla/observable/interface.php


Joomla CMS: Référence de la classe JObserver

Fonctions membres publiques | Attributs protégés
Référence de la classe JObserver
+ Graphe d'héritage de JObserver:

Fonctions membres publiques

__construct (&$subject)
update (&$args)

Attributs protégés

$_subject = null

Description détaillée

Abstract observer class to implement the observer design pattern

Depuis
1.5
Obsolète:
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $subject )

Constructor

Paramètres
object &$subject The object to observe.
Depuis
1.5
Obsolète:
2.5

Références $subject.

Documentation des fonctions membres

◆ update()

update ( & $args )
abstract

Method to update the state of observable objects

Paramètres
array &$args An array of arguments to pass to the listener.
Renvoie
mixed
Depuis
1.5
Obsolète:
2.5

Documentation des champs

◆ $_subject

$_subject = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • observer.php


Joomla CMS: Référence de l'interface JObserverInterface

Fonctions membres publiques statiques
Référence de l'interface JObserverInterface
+ Graphe d'héritage de JObserverInterface:
AbstractObserver ContentHistory Tags

Fonctions membres publiques statiques

static createObserver (JObservableInterface $observableObject, $params=array())

Description détaillée

Observer pattern interface for Joomla

A class that wants to observe another class must:

1) Add: implements JObserverInterface to its class

2) Implement a constructor, that can look like this: public function __construct(JObservableInterface $observableObject) { $observableObject->attachObserver($this); $this->observableObject = $observableObject; }

3) and must implement the instantiator function createObserver() below, e.g. as follows: public static function createObserver(JObservableInterface $observableObject, $params = array()) { $observer = new self($observableObject); $observer->... = $params['...']; ... return $observer; }

4) Then add functions corresponding to the events to be observed, E.g. to respond to event: $this->_observers->update('onBeforeLoad', array($keys, $reset)); following function is needed in the observer: public function onBeforeLoad($keys, $reset) { ... }

5) Finally, the binding is made outside the observable and observer classes, using: JObserverMapper::addObserverClassToClass('ObserverClassname', 'ObservableClassname', array('paramName' => 'paramValue')); where the last array will be provided to the observer instanciator function createObserver.

Depuis
3.1.2

Documentation des fonctions membres

◆ createObserver()

static createObserver | ( | JObservableInterface | $observableObject,
 |  |  | $params = array()
 | ) |  |
static

Creates the associated observer instance and attaches it to the $observableObject

Paramètres
JObservableInterface | $observableObject | The observable subject object
array | $params | Params for this observer
Renvoie
JObserverInterface
Depuis
3.1.2
La documentation de cette interface a été générée à partir du fichier suivant :
  • joomla/observer/interface.php


Joomla CMS: Référence de la classe JObserverMapper

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JObserverMapper

Fonctions membres publiques statiques

static addObserverClassToClass ($observerClass, $observableClass, $params=array())

Attributs protégés statiques

static $observations = array()

Description détaillée

Observer mapping pattern implementation for Joomla

Depuis
3.1.2

Documentation des fonctions membres

◆ addObserverClassToClass()

static addObserverClassToClass | ( | $observerClass,
 |  | $observableClass,
 |  | $params = array()
 | ) |
static

Adds a mapping to observe $observerClass subjects with $observableClass observer/listener, attaching it on creation with $params on $observableClass instance creations

Paramètres
string | $observerClass | The name of the observer class (implementing JObserverInterface)
string | $observableClass | The name of the observable class (implementing JObservableInterface)
array | boolean | $params | The params to give to the JObserverInterface::createObserver() function, or false to remove mapping
Renvoie
void
Depuis
3.1.2

Références $params.

Référencé par JObserverWrapperMapper\addObserverClassToClass().

Documentation des champs

◆ $observations

$observations = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • mapper.php


Joomla CMS: Référence de la classe JObserverUpdater

Fonctions membres publiques | Attributs protégés
Référence de la classe JObserverUpdater
+ Graphe d'héritage de JObserverUpdater:
JObserverUpdaterInterface

Fonctions membres publiques

__construct (JObservableInterface $observable)
attachObserver (JObserverInterface $observer)
detachObserver ($observer)
getObserverOfClass ($observerClass)
update ($event, $params)
doCallObservers ($enabled)

Attributs protégés

$aliases = array()
$observers = array()
$doCallObservers = true

Description détaillée

Observer updater pattern implementation for Joomla

Depuis
3.1.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( JObservableInterface $observable )

Constructor

Paramètres
JObservableInterface $observable The observable subject object
Depuis
3.1.2

Implémente JObserverUpdaterInterface.

Documentation des fonctions membres

◆ attachObserver()

attachObserver ( JObserverInterface $observer )

Adds an observer to the JObservableInterface instance updated by this This method can be called from JObservableInterface::attachObserver

Paramètres
JObserverInterface $observer The observer object
Renvoie
void
Depuis
3.1.2

Implémente JObserverUpdaterInterface.

Références $class, et JLoader\getDeprecatedAliases().

◆ detachObserver()

detachObserver ( $observer )

Removes an observer from the JObservableInterface instance updated by this This method can be called from JObservableInterface::attachObserver

Paramètres
String $observer The observer class name
Renvoie
void
Depuis
3.6.0

◆ doCallObservers()

doCallObservers ( $enabled )

Enable/Disable calling of observers (this is useful when calling parent:: function

Paramètres
boolean $enabled Enable (true) or Disable (false) the observer events
Renvoie
boolean Returns old state
Depuis
3.1.2

Implémente JObserverUpdaterInterface.

Références $enabled.

◆ getObserverOfClass()

getObserverOfClass ( $observerClass )

Gets the instance of the observer of class $observerClass

Paramètres
string $observerClass The class name of the observer
Renvoie
JTableObserver|null The observer object of this class if any
Depuis
3.1.2

Références null.

◆ update()

update | ( | $event,
 |  | $params
 | ) |

Call all observers for $event with $params

Paramètres
string | $event | Name of the event
array | $params | Params of the event
Renvoie
void
Depuis
3.1.2

Implémente JObserverUpdaterInterface.

Références $params.

Documentation des champs

◆ $aliases

$aliases = array()
protected

◆ $doCallObservers

$doCallObservers = true
protected

◆ $observers

$observers = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • updater.php


Joomla CMS: Référence de l'interface JObserverUpdaterInterface

Fonctions membres publiques
Référence de l'interface JObserverUpdaterInterface
+ Graphe d'héritage de JObserverUpdaterInterface:
JObserverUpdater

Fonctions membres publiques

__construct (JObservableInterface $observable)
attachObserver (JObserverInterface $observer)
update ($event, $params)
doCallObservers ($enabled)

Description détaillée

Observer updater pattern implementation for Joomla

Depuis
3.1.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( JObservableInterface $observable )

Constructor

Paramètres
JObservableInterface $observable The observable subject object
Depuis
3.1.2

Implémenté dans JObserverUpdater.

Documentation des fonctions membres

◆ attachObserver()

attachObserver ( JObserverInterface $observer )

Adds an observer to the JObservableInterface instance updated by this This method can be called from JObservableInterface::attachObserver

Paramètres
JObserverInterface $observer The observer object
Renvoie
void
Depuis
3.1.2

Implémenté dans JObserverUpdater.

◆ doCallObservers()

doCallObservers ( $enabled )

Enable/Disable calling of observers (this is useful when calling parent:: function

Paramètres
boolean $enabled Enable (true) or Disable (false) the observer events
Renvoie
boolean Returns old state
Depuis
3.1.2

Implémenté dans JObserverUpdater.

◆ update()

update | ( | $event,
 |  | $params
 | ) |

Call all observers for $event with $params

Paramètres
string | $event | Event name (function name in observer)
array | $params | Params of event (params in observer function)
Renvoie
void
Depuis
3.1.2

Implémenté dans JObserverUpdater.

La documentation de cette interface a été générée à partir du fichier suivant :
  • joomla/observer/updater/interface.php


Joomla CMS: Référence de la classe JObserverWrapperMapper

Fonctions membres publiques
Référence de la classe JObserverWrapperMapper

Fonctions membres publiques

addObserverClassToClass ($observerClass, $observableClass, $params=array())
attachAllObservers (JObservableInterface $observableObject)

Documentation des fonctions membres

◆ addObserverClassToClass()

addObserverClassToClass | ( | $observerClass,
 |  | $observableClass,
 |  | $params = array()
 | ) |

Helper wrapper method for addObserverClassToClass

Paramètres
string | $observerClass | The name of the observer class (implementing JObserverInterface).
string | $observableClass | The name of the observable class (implementing JObservableInterface).
array | boolean | $params | The params to give to the JObserverInterface::createObserver() function, or false to remove mapping.
Renvoie
void
Voir également
JObserverMapper::addObserverClassToClass
Depuis
3.4

Références $params, et JObserverMapper\addObserverClassToClass().

◆ attachAllObservers()

attachAllObservers ( JObservableInterface $observableObject )

Helper wrapper method for attachAllObservers

Paramètres
JObservableInterface $observableObject The observable subject object.
Renvoie
void
Voir également
JObserverMapper::attachAllObservers
Depuis
3.4
La documentation de cette classe a été générée à partir du fichier suivant :
  • wrapper/mapper.php


Joomla CMS: Référence de la classe JoomlaInstallerScript

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe JoomlaInstallerScript

Fonctions membres publiques

preflight ($action, $installer)
update ($installer)
postflight ($action, $installer)
deleteUnexistingFiles ()
flushSessions ()
convertTablesToUtf8mb4 ($doDbFixMsg=false)

Fonctions membres protégées

clearStatsCache ()
updateDatabase ()
updateDatabaseMysql ()
uninstallEosPlugin ()
removeJedUpdateserver ()
updateManifestCaches ()
clearRadCache ()
fixFilenameCasing ()

Attributs protégés

$fromVersion = null

Fonctions membres privées

cleanJoomlaCache ()

Description détaillée

Script file of Joomla CMS

Depuis
1.6.4

Documentation des fonctions membres

◆ cleanJoomlaCache()

cleanJoomlaCache ( )
private

This method clean the Joomla Cache using the method clean from the com_cache model

Renvoie
void
Depuis
3.5.1

Références JPATH_ROOT.

◆ clearRadCache()

clearRadCache ( )
protected

Clears the RAD layer's table cache.

The cache vastly improves performance but needs to be cleared every time you update the database schema.

Renvoie
void
Depuis
3.2

Références jimport(), et JPATH_ROOT.

◆ clearStatsCache()

clearStatsCache ( )
protected

Method to clear our stats plugin cache to ensure we get fresh data on Joomla Update

Renvoie
void
Depuis
3.5

Références $db, $params, $query, et json_encode.

◆ convertTablesToUtf8mb4()

convertTablesToUtf8mb4 ( $doDbFixMsg = false )

Converts the site's database tables to support UTF-8 Multibyte.

Paramètres
boolean $doDbFixMsg Flag if message to be shown to check db fix
Renvoie
void
Depuis
3.5

Références $db, et JPATH_ROOT.

◆ deleteUnexistingFiles()

deleteUnexistingFiles ( )

Delete files that should not exist

Renvoie
void

Références $file, $files, $folder, jimport(), et JPATH_ROOT.

Référencé par InstallerModelDatabase\fix().

◆ fixFilenameCasing()

fixFilenameCasing ( )
protected

Renames or removes incorrectly cased files.

Renvoie
void
Depuis
3.9.25

Références $files, et JPATH_ROOT.

◆ flushSessions()

flushSessions ( )

If we migrated the session from the previous system, flush all the active sessions. Otherwise users will be logged in, but not able to do anything since they don't have a valid session

Renvoie
boolean

The session may have not been started yet (e.g. CLI-based Joomla! update scripts). Let's make sure we do have a valid session.

Restarting the Session require a new login for the current user so lets check if we have an active session and only restart it if not. For B/C reasons we need to use getState as isActive is not available in 2.5

Références $db, et $query.

◆ postflight()

postflight | ( | $action,
 |  | $installer
 | ) |

Called after any type of action

Paramètres
string | $action | Which action is happening (install|uninstall|discover_install|update)
JInstaller | $installer | The class calling this method
Renvoie
boolean True on success
Depuis
3.7.0

Références $action, $data, $db, et $query.

◆ preflight()

preflight | ( | $action,
 |  | $installer
 | ) |

Function to act prior to installation process begins

Paramètres
string | $action | Which action is happening (install|uninstall|discover_install|update)
JInstaller | $installer | The class calling this method
Renvoie
boolean True on success
Depuis
3.7.0

Références $action.

◆ removeJedUpdateserver()

removeJedUpdateserver ( )
protected

Remove the never used JED Updateserver

Renvoie
void
Depuis
3.7.0

Références $db, et $id.

◆ uninstallEosPlugin()

uninstallEosPlugin ( )
protected

Uninstall the 2.5 EOS plugin

Renvoie
void

Références $db, et $id.

◆ update()

update ( $installer )

Method to update Joomla!

Paramètres
JInstaller $installer The class calling this method
Renvoie
void

Références $options.

◆ updateDatabase()

updateDatabase ( )
protected

Method to update Database

Renvoie
void

◆ updateDatabaseMysql()

updateDatabaseMysql ( )
protected

Method to update MySQL Database

Renvoie
void

Références $db, et $results.

◆ updateManifestCaches()

updateManifestCaches ( )
protected

Update the manifest caches

Renvoie
void

Références $db, $extension, et $query.

Documentation des champs

◆ $fromVersion

$fromVersion = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • script.php


Joomla CMS: Référence de la classe JoomlaupdateController

Référence de la classe JoomlaupdateController
+ Graphe d'héritage de JoomlaupdateController:

Description détaillée

Joomla! Update Controller

Depuis
2.5.4
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_joomlaupdate/controller.php


Joomla CMS: Référence de la classe JoomlaupdateControllerUpdate

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe JoomlaupdateControllerUpdate
+ Graphe d'héritage de JoomlaupdateControllerUpdate:

Fonctions membres publiques

captive ()
ajax ()

Fonctions membres protégées

_applyCredentials ()

Description détaillée

The Joomla! update controller for the Update view

Depuis
2.5.4

Documentation des fonctions membres

◆ _applyCredentials()

_applyCredentials ( )
protected

Applies FTP credentials to Joomla! itself, when required

Renvoie
void
Depuis
2.5.4

Références $user, null, et JError\raiseWarning().

◆ ajax()

ajax ( )

Fetch and report updates in JSON format, for AJAX requests

Renvoie
void
Depuis
3.10.10

Références $app, et json_encode.

◆ captive()

captive ( )

Checks there is a valid update package and redirects to the captive view for super admin authentication.

Renvoie
array
Depuis
3.6.0

Références JLoader\import(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_joomlaupdate/controllers/update.php


Joomla CMS: Référence de la classe JoomlaupdateHelper

Fonctions membres publiques statiques
Référence de la classe JoomlaupdateHelper

Fonctions membres publiques statiques

static getActions ()

Description détaillée

Joomla! update helper.

Depuis
2.5.4

Documentation des fonctions membres

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject
Depuis
2.5.4
Obsolète:
3.2 Use JHelperContent::getActions() instead
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_joomlaupdate/helpers/joomlaupdate.php


Joomla CMS: Référence de la classe JoomlaupdateHelperSelect

Fonctions membres publiques statiques
Référence de la classe JoomlaupdateHelperSelect

Fonctions membres publiques statiques

static getMethods ($default='hybrid', $name='method', $id='extraction_method')

Description détaillée

Joomla! update selection list helper.

Depuis
2.5.4

Documentation des fonctions membres

◆ getMethods()

static getMethods | ( | $default = 'hybrid',
 |  | $name = 'method',
 |  | $id = 'extraction_method'
 | ) |
static

Returns an HTML select element with the different extraction modes

Paramètres
string | $default | The default value of the select element
string | $name | The name of the form field
string | $id | The id of the select field
Renvoie
string
Depuis
2.5.4

Références $default, $id, $name, et $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_joomlaupdate/helpers/select.php


Joomla CMS: Référence de la classe JoomlaupdateModelDefault

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées | Fonctions membres privées statiques | Attributs privés
Référence de la classe JoomlaupdateModelDefault
+ Graphe d'héritage de JoomlaupdateModelDefault:

Fonctions membres publiques

applyUpdateSite ()
refreshUpdates ($force=false)
getUpdateInformation ()
getFTPOptions ()
purge ()
download ()
createRestorationFile ($basename=null)
finaliseUpgrade ()
cleanUp ()
upload ()
captiveLogin ($credentials)
captiveFileExists ()
removePackageFiles ()
getPhpOptions ()
getPhpSettings ()
isDatabaseTypeSupported ()
isPhpVersionSupported ()
getIniParserAvailability ()
getNonCoreExtensions ()
getNonCorePlugins ($folderFilter=array())
fetchCompatibility ($extensionID, $joomlaTargetVersion)
isTemplateActive ($template)

Fonctions membres protégées

downloadPackage ($url, $target)
translateExtensionName (&$item)

Fonctions membres privées

isChecksumValid ($packagefile, $updateObject)
getConfiguredDatabaseType ()
getTargetMinimumPHPVersion ()
getDatabaseSchemaCheck ()
getUpdateSitesInfo ($extensionID)
getCollectionDetailsUrls ($updateSiteInfo, $joomlaTargetVersion)
checkCompatibility ($updateFileUrl, $joomlaTargetVersion)

Fonctions membres privées statiques

static isNonCoreExtension ($extension)

Attributs privés

$updateInformation = null

Description détaillée

Joomla! update overview Model

Depuis
2.5.4

Documentation des fonctions membres

◆ applyUpdateSite()

applyUpdateSite ( )

Detects if the Joomla! update site currently in use matches the one configured in this component. If they don't match, it changes it.

Renvoie
void
Depuis
2.5.4

"Minor & Patch Release for Current version (recommended and default)". The commented "case" below are for documenting where 'default' and legacy options falls case 'default': case 'lts': case 'sts': (It's shown as "Default" because that option does not exist any more) case 'nochange':

Références $db, $params, $query, et JError\raiseWarning().

◆ captiveFileExists()

captiveFileExists ( )

Does the captive (temporary) file we uploaded before still exist?

Renvoie
boolean
Depuis
3.6.0

Références $file, JLoader\import(), et null.

◆ captiveLogin()

captiveLogin ( $credentials )

Checks the super admin credentials are valid for the currently logged in users

Paramètres
array $credentials The credentials to authenticate the user with
Renvoie
boolean
Depuis
3.6.0

Références $user, et null.

◆ checkCompatibility()

checkCompatibility | ( | $updateFileUrl,
 |  | $joomlaTargetVersion
 | ) |
private

Method to check non core extensions for compatibility.

Paramètres
string | $updateFileUrl | The items update XML url.
string | $joomlaTargetVersion | The Joomla! version to test against
Renvoie
array An array of strings with compatible version numbers
Depuis
3.10.0

◆ cleanUp()

cleanUp ( )

Removes the extracted package file.

Renvoie
void
Depuis
2.5.4

Références $config, $file, $target, JPATH_COMPONENT_ADMINISTRATOR, JPATH_ROOT, et null.

◆ createRestorationFile()

createRestorationFile ( $basename = null )

Create restoration file.

Paramètres
string $basename Optional base path to the file.
Renvoie
boolean True if successful; false otherwise.
Depuis
2.5.4

Références $app, $config, $data, $file, $filesize, $password, JPATH_COMPONENT_ADMINISTRATOR, JPATH_ROOT, et JPATH_SITE.

◆ download()

download ( )

Downloads the update package to the site.

Renvoie
boolean|string False on failure, basename of the file in any other case.
Depuis
2.5.4

Références $config, $filesize, $name, $target, et Registry\set().

◆ downloadPackage()

downloadPackage | ( | $url,
 |  | $target
 | ) |
protected

Downloads a package file to a specific directory

Paramètres
string | $url | The URL to download from
string | $target | The directory to store the file
Renvoie
boolean True on success
Depuis
2.5.4

Références $target, $url, JLoader\import(), jimport(), JPATH_COMPONENT_ADMINISTRATOR, et null.

◆ fetchCompatibility()

fetchCompatibility | ( | $extensionID,
 |  | $joomlaTargetVersion
 | ) |

Called by controller's fetchExtensionCompatibility, which is called via AJAX.

Paramètres
string | $extensionID | The ID of the checked extension
string | $joomlaTargetVersion | Target version of Joomla
Renvoie
object
Depuis
3.10.0

◆ finaliseUpgrade()

finaliseUpgrade ( )

Runs the schema update SQL files, the PHP update script and updates the manifest cache and #__extensions entry. Essentially, it is identical to JInstallerFile::install() without the file copy.

Renvoie
boolean True on success.
Depuis
2.5.4

Références $db, $id, $manifest, $query, $row, JPATH_ADMINISTRATOR, JPATH_MANIFESTS, JPATH_ROOT, et JLoader\register().

◆ getCollectionDetailsUrls()

getCollectionDetailsUrls | ( | $updateSiteInfo,
 |  | $joomlaTargetVersion
 | ) |
private

Method to get details URLs from a colletion update site for given extension and Joomla target version.

Paramètres
array | $updateSiteInfo | The update site and extension information record to process
string | $joomlaTargetVersion | The Joomla! version to test against,
Renvoie
array An array of URLs.
Depuis
3.10.0

Références $attribs, $extension, $key, $return, $value, et null.

◆ getConfiguredDatabaseType()

getConfiguredDatabaseType ( )
private

Returns the configured database type id (mysqli or sqlsrv or ...)

Renvoie
string
Depuis
3.10.0

◆ getDatabaseSchemaCheck()

getDatabaseSchemaCheck ( )
private

Check if database structure is up to date

Renvoie
boolean True if ok, false if not.
Depuis
3.10.0

Références JPATH_ADMINISTRATOR.

◆ getFTPOptions()

getFTPOptions ( )

Returns an array with the configured FTP options.

Renvoie
array
Depuis
2.5.4

Références $config.

◆ getIniParserAvailability()

getIniParserAvailability ( )

Checks the availability of the parse_ini_file and parse_ini_string functions. TODO: Outsource, build common code base for pre install and pre update check

Renvoie
boolean True if the method exists.
Depuis
3.10.0

Références $i.

◆ getNonCoreExtensions()

getNonCoreExtensions ( )

Gets an array containing all installed extensions, that are not core extensions.

Renvoie
array name,version,updateserver
Depuis
3.10.0

Références $db, $extension, $query, et $rows.

◆ getNonCorePlugins()

getNonCorePlugins ( $folderFilter = array() )

Gets an array containing all installed and enabled plugins, that are not core plugins.

Paramètres
array $folderFilter Limit the list of plugins to a specific set of folder values
Renvoie
array name,version,updateserver
Depuis
3.10.0

Références $db, $query, et $rows.

◆ getPhpOptions()

getPhpOptions ( )

Gets PHP options. TODO: Outsource, build common code base for pre install and pre update check

Renvoie
array Array of PHP config options
Depuis
3.10.0

Références $option, $options, et null.

◆ getPhpSettings()

getPhpSettings ( )

Gets PHP Settings. TODO: Outsource, build common code base for pre install and pre update check

Renvoie
array
Depuis
3.10.0

◆ getTargetMinimumPHPVersion()

getTargetMinimumPHPVersion ( )
private

Returns the PHP minimum version for the update. Returns JOOMLA_MINIMUM_PHP, if there is no information given.

Renvoie
string
Depuis
3.10.0

Références JOOMLA_MINIMUM_PHP.

◆ getUpdateInformation()

getUpdateInformation ( )

Returns an array with the Joomla! update information.

Renvoie
array
Depuis
2.5.4

Références $db, $query, jimport(), et null.

◆ getUpdateSitesInfo()

getUpdateSitesInfo ( $extensionID )
private

Returns records with update sites and extension information for a given extension ID.

Paramètres
int $extensionID The extension ID
Renvoie
array
Depuis
3.10.0

Références $db, et $query.

◆ isChecksumValid()

isChecksumValid | ( | $packagefile,
 |  | $updateObject
 | ) |
private

Return the result of the checksum of a package with the SHA256/SHA384/SHA512 tags in the update server manifest

Paramètres
string | $packagefile | Location of the package to be installed
JUpdate | $updateObject | The Update Object
Renvoie
boolean False in case the validation did not work; true in any other case.
Note
This method has been forked from (JInstallerHelper::isChecksumValid) so it does not depend on an up-to-date InstallerHelper at the update time
Depuis
3.9.0

Références $hash.

◆ isDatabaseTypeSupported()

isDatabaseTypeSupported ( )

Returns true, if J! version is < 4 or current configured database type is compatible with the update.

Renvoie
boolean
Depuis
3.10.0

◆ isNonCoreExtension()

static isNonCoreExtension ( $extension )
staticprivate

Checks if extension is non core extension.

Paramètres
object $extension The extension to be checked
Renvoie
bool true if extension is not a core extension
Depuis
3.10.0

Références $extension.

◆ isPhpVersionSupported()

isPhpVersionSupported ( )

Returns true, if current installed php version is compatible with the update.

Renvoie
boolean
Depuis
3.10.0

◆ isTemplateActive()

isTemplateActive ( $template )

Checks whether a given template is active

Paramètres
string $template The template name to be checked
Renvoie
boolean
Depuis
3.10.4

Références $db, $menu, $query, $template, $value, et JArrayHelper\getColumn().

◆ purge()

purge ( )

Removes all of the updates from the table and enable all update streams.

Renvoie
boolean Result of operation.
Depuis
3.0

Références $db, et $query.

◆ refreshUpdates()

refreshUpdates ( $force = false )

Makes sure that the Joomla! update cache is up-to-date.

Paramètres
boolean $force Force reload, ignoring the cache timeout.
Renvoie
void
Depuis
2.5.4

◆ removePackageFiles()

removePackageFiles ( )

Remove the captive (temporary) file we uploaded before and the .

Renvoie
void
Depuis
3.6.0

Références $file, $files, JLoader\import(), et null.

◆ translateExtensionName()

translateExtensionName ( & $item )
protected

Translates an extension name

Paramètres
object &$item The extension of which the name needs to be translated
Renvoie
void
Depuis
3.10.0

Références $extension, $item, $lang, $path, JPATH_ADMINISTRATOR, JPATH_PLUGINS, JPATH_SITE, et null.

◆ upload()

upload ( )

Uploads what is presumably an update ZIP file under a mangled name in the temporary directory.

Renvoie
void
Depuis
3.6.0

Références $config, $input, jimport(), et null.

Documentation des champs

◆ $updateInformation

$updateInformation = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_joomlaupdate/models/default.php


Joomla CMS: Référence de la classe JoomlaupdateViewDefault

Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe JoomlaupdateViewDefault
+ Graphe d'héritage de JoomlaupdateViewDefault:

Fonctions membres publiques

shouldDisplayPreUpdateCheck ()

Attributs protégés

$updateInfo = null
$methodSelect = null
$methodSelectUpload = null
$phpOptions = null
$phpSettings = null
$nonCoreExtensions = null

Fonctions membres privées

checkForSelfUpdate ()

Description détaillée

Joomla! Update's Default View

Depuis
2.5.4

Documentation des fonctions membres

◆ checkForSelfUpdate()

checkForSelfUpdate ( )
private

Makes sure that the Joomla! Update Component Update is in the database and check if there is a new version.

Renvoie
boolean True if there is an update else false
Depuis
3.6.3

Références $db, $query, et null.

◆ shouldDisplayPreUpdateCheck()

shouldDisplayPreUpdateCheck ( )

Returns true, if the pre update check should be displayed. This logic is not hardcoded in tmpl files, because it is used by the Hathor tmpl too.

Renvoie
boolean
Depuis
3.10.0

Documentation des champs

◆ $methodSelect

$methodSelect = null
protected

◆ $methodSelectUpload

$methodSelectUpload = null
protected

◆ $nonCoreExtensions

$nonCoreExtensions = null
protected

◆ $phpOptions

$phpOptions = null
protected

◆ $phpSettings

$phpSettings = null
protected

◆ $updateInfo

$updateInfo = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_joomlaupdate/views/default/view.html.php


Joomla CMS: Référence de la classe JoomlaupdateViewUpdate

Fonctions membres publiques
Référence de la classe JoomlaupdateViewUpdate
+ Graphe d'héritage de JoomlaupdateViewUpdate:

Fonctions membres publiques

display ($tpl=null)

Description détaillée

Joomla! Update's Update View

Depuis
2.5.4

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Renders the view.

Paramètres
string $tpl Template name.
Renvoie
void

Références JPATH_ADMINISTRATOR, et title.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_joomlaupdate/views/update/view.html.php


Joomla CMS: Référence de la classe JoomlaupdateViewUpload

Fonctions membres publiques
Référence de la classe JoomlaupdateViewUpload
+ Graphe d'héritage de JoomlaupdateViewUpload:

Fonctions membres publiques

display ($tpl=null)

Description détaillée

Joomla! Update's Update View

Depuis
3.6.0

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Renders the view.

Paramètres
string $tpl Template name.
Renvoie
void
Depuis
3.6.0

Références $language, JPATH_ADMINISTRATOR, null, et title.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_joomlaupdate/views/upload/view.html.php


Joomla CMS: Référence de la classe JOpenstreetmap

Fonctions membres publiques | Attributs protégés
Référence de la classe JOpenstreetmap

Fonctions membres publiques

__construct (JOpenstreetmapOauth $oauth=null, Registry $options=null, JHttp $client=null)
__get ($name)
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$client
$oauth
$changesets
$elements
$gps
$info
$user

Description détaillée

Joomla Platform class for interact with Openstreetmap API.

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/openstreetmap package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | JOpenstreetmapOauth | $oauth = null,
 |  | Registry | $options = null,
 |  | JHttp | $client = null
 | ) |  |

Constructor.

Paramètres
JOpenstreetmapOauth | $oauth | Openstreetmap oauth client
Registry | $options | Openstreetmap options object
JHttp | $client | The HTTP client object
Depuis
3.2.0

Références $client, et $options.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Method to get object instances

Paramètres
string $name Name of property to retrieve
Renvoie
JOpenstreetmapObject Openstreetmap API object
Depuis
3.2.0
Exceptions
InvalidArgumentException

Références $class, et $name.

◆ getOption()

getOption ( $key )

Get an option from the JOpenstreetmap instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.2.0

Références $key.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the Openstreetmap instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JOpenstreetmap This object for method chaining.
Depuis
3.2.0

Références $key, et $value.

Documentation des champs

◆ $changesets

$changesets
protected

◆ $client

$client
protected

◆ $elements

$elements
protected

◆ $gps

$gps
protected

◆ $info

$info
protected

◆ $oauth

$oauth
protected

◆ $options

$options
protected

◆ $user

$user
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • openstreetmap.php


Joomla CMS: Référence de la classe JOpenstreetmapChangesets

Fonctions membres publiques
Référence de la classe JOpenstreetmapChangesets
+ Graphe d'héritage de JOpenstreetmapChangesets:
JOpenstreetmapObject

Fonctions membres publiques

createChangeset ($changesets=array())
readChangeset ($id)
updateChangeset ($id, $tags=array())
closeChangeset ($id)
downloadChangeset ($id)
expandBBoxChangeset ($id, $nodes)
queryChangeset ($param)
diffUploadChangeset ($xml, $id)
- Fonctions membres publiques hérités de JOpenstreetmapObject
__construct (Registry &$options=null, JHttp $client=null, JOpenstreetmapOauth $oauth=null)
getOption ($key)
setOption ($key, $value)
sendRequest ($path, $method='GET', $headers=array(), $data='')

Membres hérités additionnels

- Attributs protégés hérités de JOpenstreetmapObject
$options
$client
$oauth

Description détaillée

Openstreetmap API Changesets class for the Joomla Platform

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/openstreetmap package via Composer instead

Documentation des fonctions membres

◆ closeChangeset()

closeChangeset ( $id )

Method to close a changeset

Paramètres
integer $id identifier of the changeset
Renvoie
void
Depuis
3.2.0

Références $base, $id, $parameters, et $path.

◆ createChangeset()

createChangeset ( $changesets = array() )

Method to create a changeset

Paramètres
array $changesets Array which contains changeset data
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $key, $parameters, $path, et $value.

◆ diffUploadChangeset()

diffUploadChangeset | ( | $xml,
 |  | $id
 | ) |

Method to upload a diff to a changeset

Paramètres
string | $xml | Diff data to upload
integer | $id | Identifier of the changeset
Renvoie
array The XML response of result
Depuis
3.2.0

Références $base, $id, $parameters, et $path.

◆ downloadChangeset()

downloadChangeset ( $id )

Method to download a changeset

Paramètres
integer $id Identifier of the changeset
Renvoie
array The XML response of requested changeset
Depuis
3.2.0

Références $base, $id, et $path.

◆ expandBBoxChangeset()

expandBBoxChangeset | ( | $id,
 |  | $nodes
 | ) |

Method to expand the bounding box of a changeset

Paramètres
integer | $id | Identifier of the changeset
array | $nodes | List of lat lon about nodes
Renvoie
array The XML response of changed changeset
Depuis
3.2.0

Références $base, $id, $parameters, et $path.

◆ queryChangeset()

queryChangeset ( $param )

Method to query on changesets

Paramètres
string $param Parameters for query
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $param, et $path.

◆ readChangeset()

readChangeset ( $id )

Method to read a changeset

Paramètres
integer $id identifier of the changeset
Renvoie
array The XML response about a changeset
Depuis
3.2.0

Références $base, $id, et $path.

◆ updateChangeset()

updateChangeset | ( | $id,
 |  | $tags = array()
 | ) |

Method to update a changeset

Paramètres
integer | $id | Identifier of the changeset
array | $tags | Array of tags to update
Renvoie
array The XML response of updated changeset
Depuis
3.2.0

Références $base, $id, $key, $parameters, $path, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • changesets.php


Joomla CMS: Référence de la classe JOpenstreetmapElements

Fonctions membres publiques
Référence de la classe JOpenstreetmapElements
+ Graphe d'héritage de JOpenstreetmapElements:
JOpenstreetmapObject

Fonctions membres publiques

createNode ($changeset, $latitude, $longitude, $tags)
createWay ($changeset, $tags, $nds)
createRelation ($changeset, $tags, $members)
readElement ($element, $id)
updateElement ($element, $xml, $id)
deleteElement ($element, $id, $version, $changeset, $latitude=null, $longitude=null)
historyOfElement ($element, $id)
versionOfElement ($element, $id, $version)
multiFetchElements ($element, $params)
relationsForElement ($element, $id)
waysForNode ($id)
fullElement ($element, $id)
redaction ($element, $id, $version, $redactionId)
- Fonctions membres publiques hérités de JOpenstreetmapObject
__construct (Registry &$options=null, JHttp $client=null, JOpenstreetmapOauth $oauth=null)
getOption ($key)
setOption ($key, $value)
sendRequest ($path, $method='GET', $headers=array(), $data='')

Membres hérités additionnels

- Attributs protégés hérités de JOpenstreetmapObject
$options
$client
$oauth

Description détaillée

Openstreetmap API Elements class for the Joomla Platform

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/openstreetmap package via Composer instead

Documentation des fonctions membres

◆ createNode()

createNode | ( | $changeset,
 |  | $latitude,
 |  | $longitude,
 |  | $tags
 | ) |

Method to create a node

Paramètres
integer | $changeset | Changeset id
float | $latitude | Latitude of the node
float | $longitude | Longitude of the node
array | $tags | Array of tags for a node
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $key, $parameters, $path, et $value.

◆ createRelation()

createRelation | ( | $changeset,
 |  | $tags,
 |  | $members
 | ) |

Method to create a relation

Paramètres
integer | $changeset | Changeset id
array | $tags | Array of tags for a relation
array | $members | Array of members for a relation eg: $members = array(array("type"=>"node", "role"=>"stop", "ref"=>"123"), array("type"=>"way", "ref"=>"123"))
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $key, $member, $parameters, $path, $value, et elseif.

◆ createWay()

createWay | ( | $changeset,
 |  | $tags,
 |  | $nds
 | ) |

Method to create a way

Paramètres
integer | $changeset | Changeset id
array | $tags | Array of tags for a way
array | $nds | Node ids to refer
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $key, $parameters, $path, et $value.

◆ deleteElement()

deleteElement | ( | $element,
 |  | $id,
 |  | $version,
 |  | $changeset,
 |  | $latitude = null,
 |  | $longitude = null
 | ) |

Method to delete an element [node|way|relation]

Paramètres
string | $element | [node|way|relation]
integer | $id | Element identifier
integer | $version | Element version
integer | $changeset | Changeset identifier
float | $latitude | Latitude of the element
float | $longitude | Longitude of the element
Renvoie
array The XML response
Depuis
3.2.0
Exceptions
DomainException

Références $base, $id, $parameters, $path, et $version.

◆ fullElement()

fullElement | ( | $element,
 |  | $id
 | ) |

Method to get full information about an element [way|relation]

Paramètres
string | $element | [way|relation]
integer | $id | Identifier
Renvoie
array The XML response
Depuis
3.2.0
Exceptions
DomainException

Références $base, $id, et $path.

◆ historyOfElement()

historyOfElement | ( | $element,
 |  | $id
 | ) |

Method to get history of an element [node|way|relation]

Paramètres
string | $element | [node|way|relation]
integer | $id | Element identifier
Renvoie
array The XML response
Depuis
3.2.0
Exceptions
DomainException

Références $base, $id, et $path.

◆ multiFetchElements()

multiFetchElements | ( | $element,
 |  | $params
 | ) |

Method to get data about multiple ids of an element [node|way|relation]

Paramètres
string | $element | [nodes|ways|relations] - use plural word
string | $params | Comma separated list of ids belonging to type $element
Renvoie
array The XML response
Depuis
3.2.0
Exceptions
DomainException

Références $base, $params, et $path.

◆ readElement()

readElement | ( | $element,
 |  | $id
 | ) |

Method to read an element [node|way|relation]

Paramètres
string | $element | [node|way|relation]
integer | $id | Element identifier
Renvoie
array The XML response
Depuis
3.2.0
Exceptions
DomainException

Références $base, $id, et $path.

◆ redaction()

redaction | ( | $element,
 |  | $id,
 |  | $version,
 |  | $redactionId
 | ) |

Method used by the DWG to hide old versions of elements containing data privacy or copyright infringements

Paramètres
string | $element | [node|way|relation]
integer | $id | Element identifier
integer | $version | Element version
integer | $redactionId | Redaction id
Renvoie
array The xml response
Depuis
3.2.0
Exceptions
DomainException

Références $base, $id, $parameters, $path, et $version.

◆ relationsForElement()

relationsForElement | ( | $element,
 |  | $id
 | ) |

Method to get relations for an Element [node|way|relation]

Paramètres
string | $element | [node|way|relation]
integer | $id | Element identifier
Renvoie
array The XML response
Depuis
3.2.0
Exceptions
DomainException

Références $base, $id, et $path.

◆ updateElement()

updateElement | ( | $element,
 |  | $xml,
 |  | $id
 | ) |

Method to update an Element [node|way|relation]

Paramètres
string | $element | [node|way|relation]
string | $xml | Full reperentation of the element with a version number
integer | $id | Element identifier
Renvoie
array The xml response
Depuis
3.2.0
Exceptions
DomainException

Références $base, $id, $parameters, et $path.

◆ versionOfElement()

versionOfElement | ( | $element,
 |  | $id,
 |  | $version
 | ) |

Method to get details about a version of an element [node|way|relation]

Paramètres
string | $element | [node|way|relation]
integer | $id | Element identifier
integer | $version | Element version
Renvoie
array The XML response
Depuis
3.2.0
Exceptions
DomainException

Références $base, $id, $path, et $version.

◆ waysForNode()

waysForNode ( $id )

Method to get ways for a Node element

Paramètres
integer $id Node identifier
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $id, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • elements.php


Joomla CMS: Référence de la classe JOpenstreetmapGps

Fonctions membres publiques
Référence de la classe JOpenstreetmapGps
+ Graphe d'héritage de JOpenstreetmapGps:
JOpenstreetmapObject

Fonctions membres publiques

retrieveGps ($left, $bottom, $right, $top, $page=0)
uploadTrace ($file, $description, $tags, $public, $visibility, $username, $password)
downloadTraceMetadetails ($id, $username, $password)
downloadTraceMetadata ($id, $username, $password)
- Fonctions membres publiques hérités de JOpenstreetmapObject
__construct (Registry &$options=null, JHttp $client=null, JOpenstreetmapOauth $oauth=null)
getOption ($key)
setOption ($key, $value)
sendRequest ($path, $method='GET', $headers=array(), $data='')

Membres hérités additionnels

- Attributs protégés hérités de JOpenstreetmapObject
$options
$client
$oauth

Description détaillée

Openstreetmap API GPS class for the Joomla Platform

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/openstreetmap package via Composer instead

Documentation des fonctions membres

◆ downloadTraceMetadata()

downloadTraceMetadata | ( | $id,
 |  | $username,
 |  | $password
 | ) |

Method to download Trace data

Paramètres
integer | $id | Trace identifier
string | $username | Username
string | $password | Password
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $id, $password, et $path.

◆ downloadTraceMetadetails()

downloadTraceMetadetails | ( | $id,
 |  | $username,
 |  | $password
 | ) |

Method to download Trace details

Paramètres
integer | $id | Trace identifier
string | $username | Username
string | $password | Password
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $id, $password, et $path.

◆ retrieveGps()

retrieveGps | ( | $left,
 |  | $bottom,
 |  | $right,
 |  | $top,
 |  | $page = 0
 | ) |

Method to retrieve GPS points

Paramètres
float | $left | Left boundary
float | $bottom | Bottom boundary
float | $right | Right boundary
float | $top | Top boundary
integer | $page | Page number
Renvoie
array The XML response containing GPS points
Depuis
3.2.0

Références $base, et $path.

◆ uploadTrace()

uploadTrace | ( | $file,
 |  | $description,
 |  | $tags,
 |  | $public,
 |  | $visibility,
 |  | $username,
 |  | $password
 | ) |

Method to upload GPS Traces

Paramètres
string | $file | File name that contains trace points
string | $description | Description on trace points
string | $tags | Tags for trace
integer | $public | 1 for public, 0 for private
string | $visibility | One of the following: private, public, trackable, identifiable
string | $username | Username
string | $password | Password
Renvoie
JHttpResponse The response
Depuis
3.2.0

Références $base, $description, $file, $parameters, $password, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • gps.php


Joomla CMS: Référence de la classe JOpenstreetmapInfo

Fonctions membres publiques
Référence de la classe JOpenstreetmapInfo
+ Graphe d'héritage de JOpenstreetmapInfo:
JOpenstreetmapObject

Fonctions membres publiques

getCapabilities ()
retrieveMapData ($left, $bottom, $right, $top)
retrievePermissions ()
- Fonctions membres publiques hérités de JOpenstreetmapObject
__construct (Registry &$options=null, JHttp $client=null, JOpenstreetmapOauth $oauth=null)
getOption ($key)
setOption ($key, $value)
sendRequest ($path, $method='GET', $headers=array(), $data='')

Membres hérités additionnels

- Attributs protégés hérités de JOpenstreetmapObject
$options
$client
$oauth

Description détaillée

Openstreetmap API Info class for the Joomla Platform

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/openstreetmap package via Composer instead

Documentation des fonctions membres

◆ getCapabilities()

getCapabilities ( )

Method to get capabilities of the API

Renvoie
array The XML response
Depuis
3.2.0

Références $base, et $path.

◆ retrieveMapData()

retrieveMapData | ( | $left,
 |  | $bottom,
 |  | $right,
 |  | $top
 | ) |

Method to retrieve map data of a bounding box

Paramètres
float | $left | Left boundary
float | $bottom | Bottom boundary
float | $right | Right boundary
float | $top | Top boundary
Renvoie
array The XML response
Depuis
3.2.0

Références $base, et $path.

◆ retrievePermissions()

retrievePermissions ( )

Method to retrieve permissions for current user

Renvoie
array The XML response
Depuis
3.2.0

Références $base, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • info.php


Joomla CMS: Référence de la classe JOpenstreetmapOauth

Fonctions membres publiques | Attributs protégés
Référence de la classe JOpenstreetmapOauth
+ Graphe d'héritage de JOpenstreetmapOauth:
JOAuth1Client

Fonctions membres publiques

__construct (Registry $options=null, JHttp $client=null, JInput $input=null)
verifyCredentials ()
validateResponse ($url, $response)
- Fonctions membres publiques hérités de JOAuth1Client
__construct (Registry $options=null, JHttp $client=null, JInput $input=null, JApplicationWeb $application=null, $version=null)
authenticate ()
oauthRequest ($url, $method, $parameters, $data=array(), $headers=array())
validateResponse ($url, $response)
toUrl ($url, $parameters)
safeEncode ($data)
verifyCredentials ()
getOption ($key)
setOption ($key, $value)
getToken ()
setToken ($token)

Attributs protégés

$options
- Attributs protégés hérités de JOAuth1Client
$options
$token = array()
$client
$input
$application
$version

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de JOAuth1Client
static generateNonce ()

Description détaillée

Joomla Platform class for generating Openstreetmap API access token.

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/openstreetmap package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttp | $client = null,
 |  | JInput | $input = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | JOpenstreetmapOauth options object.
JHttp | $client | The HTTP client object.
JInput | $input | The input object
Depuis
3.2.0

Références $client, $input, $options, Registry\def(), et null.

Documentation des fonctions membres

◆ validateResponse()

validateResponse | ( | $url,
 |  | $response
 | ) |

Method to validate a response.

Paramètres
string | $url | The request URL.
JHttpResponse | $response | The response to validate.
Renvoie
void
Depuis
3.2.0
Exceptions
DomainException

Références ENT_COMPAT, et htmlspecialchars.

◆ verifyCredentials()

verifyCredentials ( )

Method to verify if the access token is valid by making a request to an API endpoint.

Renvoie
boolean Returns true if the access token is valid and false otherwise.
Depuis
3.2.0

Documentation des champs

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • openstreetmap/oauth.php


Joomla CMS: Référence de la classe JOpenstreetmapObject

Fonctions membres publiques | Attributs protégés
Référence de la classe JOpenstreetmapObject
+ Graphe d'héritage de JOpenstreetmapObject:
JOpenstreetmapChangesets JOpenstreetmapElements JOpenstreetmapGps JOpenstreetmapInfo JOpenstreetmapUser

Fonctions membres publiques

__construct (Registry &$options=null, JHttp $client=null, JOpenstreetmapOauth $oauth=null)
getOption ($key)
setOption ($key, $value)
sendRequest ($path, $method='GET', $headers=array(), $data='')

Attributs protégés

$options
$client
$oauth

Description détaillée

Openstreetmap API object class for the Joomla Platform

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/openstreetmap package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry & | $options = null,
 |  | JHttp | $client = null,
 |  | JOpenstreetmapOauth | $oauth = null
 | ) |  |

Constructor

Paramètres
Registry | &$options | Openstreetmap options object.
JHttp | $client | The HTTP client object.
JOpenstreetmapOauth | $oauth | Openstreetmap oauth client
Depuis
3.2.0

Références $client, et $options.

Documentation des fonctions membres

◆ getOption()

getOption ( $key )

Get an option from the JOpenstreetmapObject instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.2.0

Références $key.

◆ sendRequest()

sendRequest | ( | $path,
 |  | $method = 'GET',
 |  | $headers = array(),
 |  | $data = ''
 | ) |

Method to send the request which does not require authentication.

Paramètres
string | $path | The path of the request to make
string | $method | The request method.
array | $headers | The headers passed in the request.
mixed | $data | Either an associative array or a string to be sent with the post request.
Renvoie
SimpleXMLElement The XML response
Depuis
3.2.0
Exceptions
DomainException

Références $data, $path, ENT_COMPAT, et htmlspecialchars.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JOpenstreetmapObject instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JOpenstreetmapObject This object for method chaining.
Depuis
3.2.0

Références $key, et $value.

Documentation des champs

◆ $client

$client
protected

◆ $oauth

$oauth
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/openstreetmap/object.php


Joomla CMS: Référence de la classe JOpenstreetmapUser

Fonctions membres publiques
Référence de la classe JOpenstreetmapUser
+ Graphe d'héritage de JOpenstreetmapUser:
JOpenstreetmapObject

Fonctions membres publiques

getDetails ()
getPreferences ()
replacePreferences ($preferences)
changePreference ($key, $preference)
- Fonctions membres publiques hérités de JOpenstreetmapObject
__construct (Registry &$options=null, JHttp $client=null, JOpenstreetmapOauth $oauth=null)
getOption ($key)
setOption ($key, $value)
sendRequest ($path, $method='GET', $headers=array(), $data='')

Membres hérités additionnels

- Attributs protégés hérités de JOpenstreetmapObject
$options
$client
$oauth

Description détaillée

Openstreetmap API User class for the Joomla Platform

Depuis
3.2.0
Obsolète:
4.0 Use the joomla/openstreetmap package via Composer instead

Documentation des fonctions membres

◆ changePreference()

changePreference | ( | $key,
 |  | $preference
 | ) |

Method to change user preferences

Paramètres
string | $key | Key of the preference
string | $preference | New value for preference
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $key, $parameters, et $path.

◆ getDetails()

getDetails ( )

Method to get user details

Renvoie
array The XML response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ getPreferences()

getPreferences ( )

Method to get preferences

Renvoie
array The XML response
Depuis
3.2.0

Références $base, $parameters, et $path.

◆ replacePreferences()

replacePreferences ( $preferences )

Method to replace user preferences

Paramètres
array $preferences Array of new preferences
Renvoie
array The XML response
Depuis
3.2.0

Références $base, $key, $parameters, $path, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/openstreetmap/user.php


Joomla CMS: Référence de la classe JPlatform

Fonctions membres publiques statiques | Champs de données
Référence de la classe JPlatform

Fonctions membres publiques statiques

static | isCompatible ($minimum)
static | getShortVersion ()
static | getLongVersion ()

Champs de données

const | PRODUCT = 'Joomla Platform'
const | RELEASE = '13.1'
const | MAINTENANCE = '0'
const | STATUS = 'Stable'
const | BUILD = 0
const | CODE_NAME = 'Curiosity'
const | RELEASE_DATE = '24-Apr-2013'
const | RELEASE_TIME = '00:00'
const | RELEASE_TIME_ZONE = 'GMT'
const | COPYRIGHT = '(C) 2011 Open Source Matters, Inc. <https://www.joomla.org>'
const | LINK_TEXT = '<a href="https://www.joomla.org">Joomla!</a> is Free Software released under the GNU General Public License.'

Description détaillée

Version information class for the Joomla Platform.

Depuis
1.7.0
Obsolète:
4.0 Deprecated without replacement

Documentation des fonctions membres

◆ getLongVersion()

static getLongVersion ( )
static

Gets a version string for the current Joomla Platform with all release information.

Renvoie
string Complete version string.
Depuis
1.7.0
Obsolète:
4.0 Deprecated without replacement

Référencé par FormattedtextLogger\generateFileHeader(), et PlgSystemDebug\writeToFile().

◆ getShortVersion()

static getShortVersion ( )
static

Gets a "PHP standardized" version string for the current Joomla Platform.

Renvoie
string Version string.
Depuis
1.7.0
Obsolète:
4.0 Deprecated without replacement

◆ isCompatible()

static isCompatible ( $minimum )
static

Compares two a "PHP standardized" version number against the current Joomla Platform version.

Paramètres
string $minimum The minimum version of the Joomla Platform which is compatible.
Renvoie
boolean True if the version is compatible.

1.7.0 deprecated 457.

Documentation des champs

◆ BUILD

const BUILD = 0

◆ CODE_NAME

const CODE_NAME = 'Curiosity'

◆ COPYRIGHT

const COPYRIGHT = '(C) 2011 Open Source Matters, Inc. <https://www.joomla.org>'

◆ LINK_TEXT

const LINK_TEXT = '<a href="https://www.joomla.org">Joomla!</a> is Free Software released under the GNU General Public License.'

◆ MAINTENANCE

const MAINTENANCE = '0'

◆ PRODUCT

const PRODUCT = 'Joomla Platform'

◆ RELEASE

const RELEASE = '13.1'

◆ RELEASE_DATE

const RELEASE_DATE = '24-Apr-2013'

◆ RELEASE_TIME

const RELEASE_TIME = '00:00'

◆ RELEASE_TIME_ZONE

const RELEASE_TIME_ZONE = 'GMT'

◆ STATUS

const STATUS = 'Stable'
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/platform.php


Joomla CMS: Référence de la classe JRequest

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe JRequest

Fonctions membres publiques statiques

static | getUri ()
static | getMethod ()
static | getVar ($name, $default=null, $hash='default', $type='none', $mask=0)
static | getInt ($name, $default=0, $hash='default')
static | getUInt ($name, $default=0, $hash='default')
static | getFloat ($name, $default=0.0, $hash='default')
static | getBool ($name, $default=false, $hash='default')
static | getWord ($name, $default='', $hash='default')
static | getCmd ($name, $default='', $hash='default')
static | getString ($name, $default='', $hash='default', $mask=0)
static | setVar ($name, $value=null, $hash='method', $overwrite=true)
static | get ($hash='default', $mask=0)
static | set ($array, $hash='default', $overwrite=true)
static | checkToken ($method='post')

Fonctions membres protégées statiques

static _cleanVar ($var, $mask=0, $type=null)

Description détaillée

JRequest Class

This class serves to provide the Joomla Platform with a common interface to access request variables. This includes $_POST, $_GET, and naturally $_REQUEST. Variables can be passed through an input filter to avoid injection or returned raw.

Depuis
1.5
Obsolète:
1.7 Get the JInput object from the application instead

Documentation des fonctions membres

◆ _cleanVar()

static _cleanVar | ( | $var,
 |  | $mask = 0,
 |  | $type = null
 | ) |
staticprotected

Clean up an input variable.

Paramètres
mixed | $var | The input variable.
integer | $mask | Filter bit mask. 1 = no trim: If this flag is cleared and the input is a string, the string will have leading and trailing whitespace trimmed. 2 = allow_raw: If set, no more filtering is performed, higher bits are ignored. 4 = allow_html: HTML is allowed, but passed through a safe HTML filter first. If set, no more filtering is performed. If no bits other than the 1 bit is set, a strict filter is applied.
string | $type | The variable type {
Voir également
JFilterInput::clean()}.
Renvoie
mixed Same as $var
Depuis
1.5
Obsolète:
1.7

Références $type, elseif, et null.

◆ checkToken()

static checkToken ( $method = 'post' )
static

Checks for a form token in the request.

Use in conjunction with JHtml::_('form.token').

Paramètres
string $method The request method in which to look for the token key.
Renvoie
boolean True if found and valid, false otherwise.
Depuis
1.5
Obsolète:
1.7 Use JSession::checkToken() instead. Note that 'default' has to become 'request'.

◆ get()

static get | ( | $hash = 'default',
 |  | $mask = 0
 | ) |
static

Fetches and returns a request array.

The default behaviour is fetching variables depending on the current request method: GET and HEAD will result in returning $_GET, POST and PUT will result in returning $_POST.

You can force the source by setting the $hash parameter:

post $_POST get $_GET files $_FILES cookie $_COOKIE env $_ENV server $_SERVER method via current $_SERVER['REQUEST_METHOD'] default $_REQUEST

Paramètres
string | $hash | to get (POST, GET, FILES, METHOD).
integer | $mask | Filter mask for the variable.
Renvoie
mixed Request hash.
Depuis
1.5
Obsolète:
1.7 Use JInput::get()
Voir également
JInput

Références $hash, et $input.

Référencé par FOFInput\__construct().

◆ getBool()

static getBool | ( | $name,
 |  | $default = false,
 |  | $hash = 'default'
 | ) |
static

Fetches and returns a given filtered variable. The bool filter will only return true/false bool values. This is currently only a proxy function for getVar().

See getVar() for more in-depth documentation on the parameters.

Paramètres
string | $name | Variable name.
boolean | $default | Default value if the variable does not exist.
string | $hash | Where the var should come from (POST, GET, FILES, COOKIE, METHOD).
Renvoie
boolean Requested variable.
Depuis
1.5
Obsolète:
1.7

Références $default, $hash, et $name.

◆ getCmd()

static getCmd | ( | $name,
 |  | $default = '',
 |  | $hash = 'default'
 | ) |
static

Cmd (Word and Integer) filter

Fetches and returns a given filtered variable. The cmd filter only allows the characters [A-Za-z0-9.-_]. This is currently only a proxy function for getVar().

See getVar() for more in-depth documentation on the parameters.

Paramètres
string | $name | Variable name
string | $default | Default value if the variable does not exist
string | $hash | Where the var should come from (POST, GET, FILES, COOKIE, METHOD)
Renvoie
string Requested variable
Depuis
1.5
Obsolète:
1.7

Références $default, $hash, et $name.

◆ getFloat()

static getFloat | ( | $name,
 |  | $default = 0.0,
 |  | $hash = 'default'
 | ) |
static

Fetches and returns a given filtered variable. The float filter only allows digits and periods. This is currently only a proxy function for getVar().

See getVar() for more in-depth documentation on the parameters.

Paramètres
string | $name | Variable name.
float | $default | Default value if the variable does not exist.
string | $hash | Where the var should come from (POST, GET, FILES, COOKIE, METHOD).
Renvoie
float Requested variable.
Depuis
1.5
Obsolète:
1.7

Références $default, $hash, et $name.

◆ getInt()

static getInt | ( | $name,
 |  | $default = 0,
 |  | $hash = 'default'
 | ) |
static

Fetches and returns a given filtered variable. The integer filter will allow only digits and the - sign to be returned. This is currently only a proxy function for getVar().

See getVar() for more in-depth documentation on the parameters.

Paramètres
string | $name | Variable name.
integer | $default | Default value if the variable does not exist.
string | $hash | Where the var should come from (POST, GET, FILES, COOKIE, METHOD).
Renvoie
integer Requested variable.
Depuis
1.5
Obsolète:
1.7

Références $default, $hash, et $name.

Référencé par FOFFormFieldRules\getInput25().

◆ getMethod()

static getMethod ( )
static

Gets the request method.

Renvoie
string
Depuis
1.5
Obsolète:
1.7 Use JInput::getMethod() instead

◆ getString()

static getString | ( | $name,
 |  | $default = '',
 |  | $hash = 'default',
 |  | $mask = 0
 | ) |
static

Fetches and returns a given filtered variable. The string filter deletes 'bad' HTML code, if not overridden by the mask. This is currently only a proxy function for getVar().

See getVar() for more in-depth documentation on the parameters.

Paramètres
string | $name | Variable name
string | $default | Default value if the variable does not exist
string | $hash | Where the var should come from (POST, GET, FILES, COOKIE, METHOD)
integer | $mask | Filter mask for the variable
Renvoie
string Requested variable
Depuis
1.5
Obsolète:
1.7

Références $default, $hash, et $name.

◆ getUInt()

static getUInt | ( | $name,
 |  | $default = 0,
 |  | $hash = 'default'
 | ) |
static

Fetches and returns a given filtered variable. The unsigned integer filter will allow only digits to be returned. This is currently only a proxy function for getVar().

See getVar() for more in-depth documentation on the parameters.

Paramètres
string | $name | Variable name.
integer | $default | Default value if the variable does not exist.
string | $hash | Where the var should come from (POST, GET, FILES, COOKIE, METHOD).
Renvoie
integer Requested variable.
Depuis
1.7
Obsolète:
1.7

Références $default, $hash, et $name.

◆ getUri()

static getUri ( )
static

Gets the full request path.

Renvoie
string
Depuis
1.5
Obsolète:
1.7

Références $uri.

◆ getVar()

static getVar | ( | $name,
 |  | $default = null,
 |  | $hash = 'default',
 |  | $type = 'none',
 |  | $mask = 0
 | ) |
static

Fetches and returns a given variable.

The default behaviour is fetching variables depending on the current request method: GET and HEAD will result in returning an entry from $_GET, POST and PUT will result in returning an entry from $_POST.

You can force the source by setting the $hash parameter:

post $_POST get $_GET files $_FILES cookie $_COOKIE env $_ENV server $_SERVER method via current $_SERVER['REQUEST_METHOD'] default $_REQUEST

Paramètres
string | $name | Variable name.
mixed | $default | Default value if the variable does not exist.
string | $hash | Where the var should come from (POST, GET, FILES, COOKIE, METHOD).
string | $type | Return type for the variable, for valid values see JFilterInput::clean().
integer | $mask | Filter mask for the variable.
Renvoie
mixed Requested variable.
Depuis
1.5
Obsolète:
1.7 Use JInput::get()

Références $default, $GLOBALS, $hash, $input, $name, $type, elseif, et null.

◆ getWord()

static getWord | ( | $name,
 |  | $default = '',
 |  | $hash = 'default'
 | ) |
static

Fetches and returns a given filtered variable. The word filter only allows the characters [A-Za-z_]. This is currently only a proxy function for getVar().

See getVar() for more in-depth documentation on the parameters.

Paramètres
string | $name | Variable name.
string | $default | Default value if the variable does not exist.
string | $hash | Where the var should come from (POST, GET, FILES, COOKIE, METHOD).
Renvoie
string Requested variable.
Depuis
1.5
Obsolète:
1.7

Références $default, $hash, et $name.

◆ set()

static set | ( | $array,
 |  | $hash = 'default',
 |  | $overwrite = true
 | ) |
static

Sets a request variable.

Paramètres
array | $array | An associative array of key-value pairs.
string | $hash | The request variable to set (POST, GET, FILES, METHOD).
boolean | $overwrite | If true and an existing key is found, the value is overwritten, otherwise it is ignored.
Renvoie
void
Depuis
1.5
Obsolète:
1.7 Use JInput::set()

Références $hash, $key, et $value.

◆ setVar()

static setVar | ( | $name,
 |  | $value = null,
 |  | $hash = 'method',
 |  | $overwrite = true
 | ) |
static

Set a variable in one of the request variables.

Paramètres
string | $name | Name
string | $value | Value
string | $hash | Hash
boolean | $overwrite | Boolean
Renvoie
string Previous value
Depuis
1.5
Obsolète:
1.7

Références $GLOBALS, $hash, $name, $value, et null.

Référencé par FOFViewForm\onAdd(), FOFViewRaw\onAdd(), et FOFInput\setVar().

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/legacy/request/request.php


Joomla CMS: Référence de la classe JResponse

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe JResponse

Fonctions membres publiques statiques

static | allowCache ($allow=null)
static | setHeader ($name, $value, $replace=false)
static | getHeaders ()
static | clearHeaders ()
static | sendHeaders ()
static | setBody ($content)
static | prependBody ($content)
static | appendBody ($content)
static | getBody ($toArray=false)
static | toString ($compress=false)

Fonctions membres protégées statiques

static | compress ($data)
static | clientEncoding ()

Attributs protégés statiques

static | $body = array()
static | $cachable = false
static | $headers = array()

Description détaillée

JResponse Class.

This class serves to provide the Joomla Platform with a common interface to access response variables. This includes header and body.

Depuis
1.7.0
Obsolète:
1.5 Use JApplicationWeb instead

Documentation des fonctions membres

◆ allowCache()

static allowCache ( $allow = null )
static

Set/get cachable state for the response.

If $allow is set, sets the cachable state of the response. Always returns current state.

Paramètres
boolean $allow True to allow browser caching.
Renvoie
boolean True if browser caching should be allowed
Depuis
1.5
Obsolète:
3.2 Use JApplicationWeb::allowCache() instead

◆ appendBody()

static appendBody ( $content )
static

Append content to the body content

Paramètres
string $content The content to append to the response body.
Renvoie
void
Depuis
1.5
Obsolète:
3.2 Use JApplicationWeb::appendBody() instead

Références $content.

◆ clearHeaders()

static clearHeaders ( )
static

Clear headers.

Renvoie
void
Depuis
1.5
Obsolète:
3.2 Use JApplicationWeb::clearHeaders() instead

◆ clientEncoding()

static clientEncoding ( )
staticprotected

Check, whether client supports compressed data

Renvoie
boolean
Depuis
1.7
Note
Replaces _clientEncoding method from 1.5
Obsolète:
3.2 Use JApplicationWebClient instead

◆ compress()

static compress ( $data )
staticprotected

Compress the data

Checks the accept encoding of the browser and compresses the data before sending it to the client.

Paramètres
string $data Content to compress for output.
Renvoie
string compressed data
Note
Replaces _compress method from 1.5
Depuis
1.7
Obsolète:
3.2 Use JApplicationWeb::compress() instead

Références $data.

◆ getBody()

static getBody ( $toArray = false )
static

Return the body content

Paramètres
boolean $toArray Whether or not to return the body content as an array of strings or as a single string; defaults to false.
Renvoie
string array
Depuis
1.5
Obsolète:
3.2 Use JApplicationWeb::getBody() instead

◆ getHeaders()

static getHeaders ( )
static

Return array of headers.

Renvoie
array
Depuis
1.5
Obsolète:
3.2 Use JApplicationWeb::getHeaders() instead

◆ prependBody()

static prependBody ( $content )
static

Prepend content to the body content

Paramètres
string $content The content to prepend to the response body.
Renvoie
void
Depuis
1.5
Obsolète:
3.2 Use JApplicationWeb::prependBody() instead

Références $content.

◆ sendHeaders()

static sendHeaders ( )
static

Send all headers.

Renvoie
void
Depuis
1.5
Obsolète:
3.2 Use JApplicationWeb::sendHeaders() instead

Référencé par FOFIntegrationJoomlaPlatform\sendHeaders().

◆ setBody()

static setBody ( $content )
static

Set body content.

If body content already defined, this will replace it.

Paramètres
string $content The content to set to the response body.
Renvoie
void
Depuis
1.5
Obsolète:
3.2 Use JApplicationWeb::setBody() instead

Références $content.

Référencé par JApplication\render().

◆ setHeader()

static setHeader | ( | $name,
 |  | $value,
 |  | $replace = false
 | ) |
static

Set a header.

If $replace is true, replaces any headers already defined with that $name.

Paramètres
string | $name | The name of the header to set.
string | $value | The value of the header to set.
boolean | $replace | True to replace any existing headers by name.
Renvoie
void
Depuis
1.5
Obsolète:
3.2 Use JApplicationWeb::setHeader() instead

Références $name, et $value.

Référencé par FOFIntegrationJoomlaPlatform\setHeader().

◆ toString()

static toString ( $compress = false )
static

Sends all headers prior to returning the string

Paramètres
boolean $compress If true, compress the data
Renvoie
string
Depuis
1.5
Obsolète:
3.2 Use JApplicationCms::toString() instead

Référencé par JApplication\__toString().

Documentation des champs

◆ $body

$body = array()
staticprotected

◆ $cachable

$cachable = false
staticprotected

◆ $headers

$headers = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • response.php


Joomla CMS: Référence de la classe JRouterInstallation

Fonctions membres publiques
Référence de la classe JRouterInstallation
+ Graphe d'héritage de JRouterInstallation:

Fonctions membres publiques

parse (&$url)
build ($url)

Description détaillée

Class to create and parse routes.

Depuis
1.5

Documentation des fonctions membres

◆ build()

build ( $url )

Function to convert an internal URI to a route

Paramètres
string $url The internal URL
Renvoie
string The absolute search engine friendly URL
Depuis
1.5

Références $url.

◆ parse()

parse ( & $url )

Function to convert a route to an internal URI

Paramètres
JUri &$url The uri.
Renvoie
boolean
Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • installation/application/router.php


Joomla CMS: Référence de la classe JRouteWrapperRoute

Fonctions membres publiques
Référence de la classe JRouteWrapperRoute

Fonctions membres publiques

_ ($url, $xhtml=true, $ssl=null)

Documentation des fonctions membres

◆ _()

_ | ( | $url,
 |  | $xhtml = true,
 |  | $ssl = null
 | ) |

Helper wrapper method for _

Paramètres
string | $url | Absolute or Relative URI to Joomla resource.
boolean | $xhtml | Replace & by & for XML compliance.
integer | $ssl | Secure state for the resolved URI.
Renvoie
string The translated humanly readable URL.
Voir également
JRoute::_()
Depuis
3.4

Références $url.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/route/wrapper/route.php


Joomla CMS: Référence de l'interface JSessionHandlerInterface

Fonctions membres publiques
Référence de l'interface JSessionHandlerInterface
+ Graphe d'héritage de JSessionHandlerInterface:
JSessionHandlerNative JSessionHandlerJoomla

Fonctions membres publiques

start ()
isStarted ()
getId ()
setId ($id)
getName ()
setName ($name)
regenerate ($destroy=false, $lifetime=null)
save ()
clear ()

Description détaillée

Interface for managing HTTP sessions

Depuis
3.5
Obsolète:
4.0 The CMS' Session classes will be replaced with the joomla/session package

Documentation des fonctions membres

◆ clear()

clear ( )

Clear all session data in memory.

Renvoie
void
Depuis
3.5

Implémenté dans JSessionHandlerNative, et JSessionHandlerJoomla.

◆ getId()

getId ( )

Returns the session ID

Renvoie
string The session ID
Depuis
3.5

Implémenté dans JSessionHandlerNative.

◆ getName()

getName ( )

Returns the session name

Renvoie
mixed The session name.
Depuis
3.5

Implémenté dans JSessionHandlerNative.

◆ isStarted()

isStarted ( )

Checks if the session is started.

Renvoie
boolean True if started, false otherwise.
Depuis
3.5

Implémenté dans JSessionHandlerNative.

◆ regenerate()

regenerate | ( | $destroy = false,
 |  | $lifetime = null
 | ) |

Regenerates ID that represents this storage.

Note regenerate+destroy should not clear the session data in memory only delete the session data from persistent storage.

Paramètres
boolean | $destroy | Destroy session when regenerating?
integer | $lifetime | Sets the cookie lifetime for the session cookie. A null value will leave the system settings unchanged, 0 sets the cookie to expire with browser session. Time is in seconds, and is not a Unix timestamp.
Renvoie
boolean True if session regenerated, false if error
Depuis
3.5

Implémenté dans JSessionHandlerNative.

◆ save()

save ( )

Force the session to be saved and closed.

This method must invoke session_write_close() unless this interface is used for a storage object design for unit or functional testing where a real PHP session would interfere with testing, in which case it should actually persist the session data if required.

Renvoie
void
Voir également
session_write_close()
Depuis
3.5
Exceptions
RuntimeException If the session is saved without being started, or if the session is already closed.

Implémenté dans JSessionHandlerNative.

◆ setId()

setId ( $id )

Sets the session ID

Paramètres
string $id The session ID
Renvoie
void
Depuis
3.5

Implémenté dans JSessionHandlerNative.

◆ setName()

setName ( $name )

Sets the session name

Paramètres
string $name The name of the session
Renvoie
void
Depuis
3.5

Implémenté dans JSessionHandlerNative.

◆ start()

start ( )

Starts the session.

Renvoie
boolean True if started.
Depuis
3.5
Exceptions
RuntimeException If something goes wrong starting the session.

Implémenté dans JSessionHandlerJoomla, et JSessionHandlerNative.

La documentation de cette interface a été générée à partir du fichier suivant :
  • joomla/session/handler/interface.php


Joomla CMS: Référence de la classe JSessionHandlerJoomla

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe JSessionHandlerJoomla
+ Graphe d'héritage de JSessionHandlerJoomla:
JSessionHandlerNative JSessionHandlerInterface

Fonctions membres publiques

__construct ($options=array())
start ()
clear ()
- Fonctions membres publiques hérités de JSessionHandlerNative
start ()
isStarted ()
getId ()
setId ($id)
getName ()
setName ($name)
regenerate ($destroy=false, $lifetime=null)
save ()
clear ()

Champs de données

$input = null

Fonctions membres protégées

setCookieParams ()
setOptions (array $options)

Attributs protégés

$force_ssl = false

Description détaillée

Interface for managing HTTP sessions

Depuis
3.5
Obsolète:
4.0 The CMS' Session classes will be replaced with the joomla/session package

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Public constructor

Paramètres
array $options An array of configuration options
Depuis
3.5

Références $options.

Documentation des fonctions membres

◆ clear()

clear ( )

Clear all session data in memory.

Renvoie
void
Depuis
3.5

Implémente JSessionHandlerInterface.

◆ setCookieParams()

setCookieParams ( )
protected

Set session cookie parameters

Renvoie
void
Depuis
3.5

Références $config.

◆ setOptions()

setOptions ( array $options )
protected

Set additional session options

Paramètres
array $options List of parameter
Renvoie
boolean True on success
Depuis
3.5

Références $options.

◆ start()

start ( )

Starts the session

Renvoie
boolean True if started
Depuis
3.5
Exceptions
RuntimeException If something goes wrong starting the session.

Implémente JSessionHandlerInterface.

Documentation des champs

◆ $force_ssl

$force_ssl = false
protected

◆ $input

$input = null
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/session/handler/joomla.php


Joomla CMS: Référence de la classe JSessionHandlerNative

Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe JSessionHandlerNative
+ Graphe d'héritage de JSessionHandlerNative:
JSessionHandlerInterface JSessionHandlerJoomla

Fonctions membres publiques

start ()
isStarted ()
getId ()
setId ($id)
getName ()
setName ($name)
regenerate ($destroy=false, $lifetime=null)
save ()
clear ()

Fonctions membres privées

doSessionStart ()

Attributs privés

$started = false
$closed = false

Description détaillée

Interface for managing HTTP sessions

Depuis
3.5
Obsolète:
4.0 The CMS' Session classes will be replaced with the joomla/session package

Documentation des fonctions membres

◆ clear()

clear ( )

Clear all session data in memory.

Renvoie
void
Depuis
3.5

Implémente JSessionHandlerInterface.

◆ doSessionStart()

doSessionStart ( )
private

Performs the session start mechanism

Renvoie
void
Depuis
3.5.1
Exceptions
RuntimeException If something goes wrong starting the session.

Références $file.

◆ getId()

getId ( )

Returns the session ID

Renvoie
string The session ID
Depuis
3.5

Implémente JSessionHandlerInterface.

◆ getName()

getName ( )

Returns the session name

Renvoie
mixed The session name
Depuis
3.5

Implémente JSessionHandlerInterface.

◆ isStarted()

isStarted ( )

Checks if the session is started.

Renvoie
boolean True if started, false otherwise.
Depuis
3.5

Implémente JSessionHandlerInterface.

◆ regenerate()

regenerate | ( | $destroy = false,
 |  | $lifetime = null
 | ) |

Regenerates ID that represents this storage.

Note regenerate+destroy should not clear the session data in memory only delete the session data from persistent storage.

Paramètres
boolean | $destroy | Destroy session when regenerating?
integer | $lifetime | Sets the cookie lifetime for the session cookie. A null value will leave the system settings unchanged, 0 sets the cookie to expire with browser session. Time is in seconds, and is not a Unix timestamp.
Renvoie
boolean True if session regenerated, false if error
Depuis
3.5

Implémente JSessionHandlerInterface.

Références $return, et null.

◆ save()

save ( )

Force the session to be saved and closed.

This method must invoke session_write_close() unless this interface is used for a storage object design for unit or functional testing where a real PHP session would interfere with testing, in which case it should actually persist the session data if required.

Renvoie
void
Voir également
session_write_close()
Depuis
3.5

Implémente JSessionHandlerInterface.

Références $data.

◆ setId()

setId ( $id )

Sets the session ID

Paramètres
string $id The session ID
Renvoie
void
Depuis
3.5
Exceptions
LogicException

Implémente JSessionHandlerInterface.

Références $id.

◆ setName()

setName ( $name )

Sets the session name

Paramètres
string $name The name of the session
Renvoie
void
Depuis
3.5
Exceptions
LogicException

Implémente JSessionHandlerInterface.

Références $name.

◆ start()

start ( )

Starts the session

Renvoie
boolean True if started
Depuis
3.5

Implémente JSessionHandlerInterface.

Documentation des champs

◆ $closed

$closed = false
private

◆ $started

$started = false
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • native.php


Joomla CMS: Référence de la classe JSessionStorage

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JSessionStorage
+ Graphe d'héritage de JSessionStorage:
JSessionStorageApc JSessionStorageApcu JSessionStorageDatabase JSessionStorageMemcache JSessionStorageMemcached JSessionStorageNone JSessionStorageRedis JSessionStorageWincache JSessionStorageXcache

Fonctions membres publiques

__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
static | test ()

Attributs protégés statiques

static $instances = array()

Description détaillée

Custom session storage handler for PHP

1.7.0 deprecated 472.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.7.0

Références $options.

Documentation des fonctions membres

◆ close()

close ( )

Close the SessionHandler backend.

Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

◆ gc()

gc ( $maxlifetime = null )

Garbage collect stale sessions from the SessionHandler backend.

Paramètres
integer $maxlifetime The maximum age of a session.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

◆ open()

open | ( | $savePath,
 |  | $sessionName
 | ) |

Open the SessionHandler backend.

Paramètres
string | $savePath | The path to the session object.
string | $sessionName | The name of the session.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
1.7.0

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
1.7.0

◆ test()

static test ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0
Obsolète:
4.0 - Use JSessionStorage::isSupported() instead.

◆ write()

write | ( | $id,
 |  | $sessionData
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $sessionData | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Documentation des champs

◆ $instances

$instances = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • storage.php


Joomla CMS: Référence de la classe JSessionStorageApc

Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe JSessionStorageApc
+ Graphe d'héritage de JSessionStorageApc:
JSessionStorage

Fonctions membres publiques

__construct ($options=array())
read ($id)
write ($id, $sessionData)
destroy ($id)
- Fonctions membres publiques hérités de JSessionStorage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JSessionStorage
static | isSupported ()
static | test ()

Membres hérités additionnels

- Attributs protégés statiques hérités de JSessionStorage
static $instances = array()

Description détaillée

APC session storage handler for PHP

1.7.0 deprecated 464.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters
Depuis
1.7.0
Exceptions
RuntimeException

Références $options.

Documentation des fonctions membres

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Références $id.

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
1.7.0

Références $id.

◆ write()

write | ( | $id,
 |  | $sessionData
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $sessionData | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Références $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • apc.php


Joomla CMS: Référence de la classe JSessionStorageApcu

Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe JSessionStorageApcu
+ Graphe d'héritage de JSessionStorageApcu:
JSessionStorage

Fonctions membres publiques

__construct ($options=array())
read ($id)
write ($id, $sessionData)
destroy ($id)
- Fonctions membres publiques hérités de JSessionStorage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JSessionStorage
static | isSupported ()
static | test ()

Membres hérités additionnels

- Attributs protégés statiques hérités de JSessionStorage
static $instances = array()

Description détaillée

APC session storage handler for PHP

3.9 deprecated 465.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters
Depuis
3.9
Exceptions
RuntimeException

Références $options.

Documentation des fonctions membres

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
3.9

Références $id.

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.9

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
3.9

Références $id.

◆ write()

write | ( | $id,
 |  | $sessionData
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $sessionData | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
3.9

Références $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • apcu.php


Joomla CMS: Référence de la classe JSessionStorageDatabase

Fonctions membres publiques
Référence de la classe JSessionStorageDatabase
+ Graphe d'héritage de JSessionStorageDatabase:
JSessionStorage

Fonctions membres publiques

read ($id)
write ($id, $data)
destroy ($id)
gc ($lifetime=1440)
- Fonctions membres publiques hérités de JSessionStorage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de JSessionStorage
static | isSupported ()
static | test ()
- Attributs protégés statiques hérités de JSessionStorage
static | $instances = array()

Description détaillée

Database session storage handler for PHP

1.7.0 deprecated 466.

Documentation des fonctions membres

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Références $db, $id, et $query.

◆ gc()

gc ( $lifetime = 1440 )

Garbage collect stale sessions from the SessionHandler backend.

Paramètres
integer $lifetime The maximum age of a session.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Références $db, et $query.

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
1.7.0

Références $db, $id, et $query.

◆ write()

write | ( | $id,
 |  | $data
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $data | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Références $data, $db, $id, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/session/storage/database.php


Joomla CMS: Référence de la classe JSessionStorageMemcache

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés
Référence de la classe JSessionStorageMemcache
+ Graphe d'héritage de JSessionStorageMemcache:
JSessionStorage

Fonctions membres publiques

__construct ($options=array())
register ()
- Fonctions membres publiques hérités de JSessionStorage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JSessionStorage
static | isSupported ()
static | test ()

Attributs privés

$_servers = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de JSessionStorage
static $instances = array()

Description détaillée

Memcache session storage handler for PHP

Depuis
1.7.0
Obsolète:
4.0 The CMS' Session classes will be replaced with the joomla/session package

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.7.0
Exceptions
RuntimeException

Références $config, et $options.

Documentation des fonctions membres

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
3.0.1

Références $path.

Documentation des champs

◆ $_servers

$_servers = array()
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • memcache.php


Joomla CMS: Référence de la classe JSessionStorageMemcached

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés
Référence de la classe JSessionStorageMemcached
+ Graphe d'héritage de JSessionStorageMemcached:
JSessionStorage

Fonctions membres publiques

__construct ($options=array())
register ()
- Fonctions membres publiques hérités de JSessionStorage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JSessionStorage
static | isSupported ()
static | test ()

Attributs privés

$_servers = array()

Membres hérités additionnels

- Attributs protégés statiques hérités de JSessionStorage
static $instances = array()

Description détaillée

Memcached session storage handler for PHP

Depuis
1.7.0
Obsolète:
4.0 The CMS' Session classes will be replaced with the joomla/session package

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.7.0
Exceptions
RuntimeException

Références $config, et $options.

Documentation des fonctions membres

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
3.0.1

Références $path.

Documentation des champs

◆ $_servers

$_servers = array()
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • memcached.php


Joomla CMS: Référence de la classe JSessionStorageNone

Fonctions membres publiques
Référence de la classe JSessionStorageNone
+ Graphe d'héritage de JSessionStorageNone:
JSessionStorage

Fonctions membres publiques

register ()
- Fonctions membres publiques hérités de JSessionStorage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de JSessionStorage
static | isSupported ()
static | test ()
- Attributs protégés statiques hérités de JSessionStorage
static | $instances = array()

Description détaillée

File session handler for PHP

1.7.0 deprecated 469.

Documentation des fonctions membres

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
1.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/session/storage/none.php


Joomla CMS: Référence de la classe JSessionStorageRedis

Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe JSessionStorageRedis
+ Graphe d'héritage de JSessionStorageRedis:
JSessionStorage

Fonctions membres publiques

__construct ($options=array())
register ()
- Fonctions membres publiques hérités de JSessionStorage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JSessionStorage
static | isSupported ()
static | test ()

Membres hérités additionnels

- Attributs protégés statiques hérités de JSessionStorage
static $instances = array()

Description détaillée

Redis session storage handler for PHP

3.8.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
3.8.0

Références $config, $options, et null.

Documentation des fonctions membres

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.8.0

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
3.8.0

Références $db, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • redis.php


Joomla CMS: Référence de la classe JSessionStorageWincache

Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe JSessionStorageWincache
+ Graphe d'héritage de JSessionStorageWincache:
JSessionStorage

Fonctions membres publiques

__construct ($options=array())
register ()
- Fonctions membres publiques hérités de JSessionStorage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JSessionStorage
static | isSupported ()
static | test ()

Membres hérités additionnels

- Attributs protégés statiques hérités de JSessionStorage
static $instances = array()

Description détaillée

WINCACHE session storage handler for PHP

Depuis
1.7.0
Obsolète:
4.0 The CMS' Session classes will be replaced with the joomla/session package

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.7.0
Exceptions
RuntimeException

Références $options.

Documentation des fonctions membres

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

◆ register()

register ( )

Register the functions of this class with PHP's session handler

Renvoie
void
Depuis
3.0.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • wincache.php


Joomla CMS: Référence de la classe JSessionStorageXcache

Fonctions membres publiques | Fonctions membres publiques statiques
Référence de la classe JSessionStorageXcache
+ Graphe d'héritage de JSessionStorageXcache:
JSessionStorage

Fonctions membres publiques

__construct ($options=array())
read ($id)
write ($id, $sessionData)
destroy ($id)
- Fonctions membres publiques hérités de JSessionStorage
__construct ($options=array())
register ()
open ($savePath, $sessionName)
close ()
read ($id)
write ($id, $sessionData)
destroy ($id)
gc ($maxlifetime=null)

Fonctions membres publiques statiques

static | isSupported ()
- Fonctions membres publiques statiques hérités de JSessionStorage
static | isSupported ()
static | test ()

Membres hérités additionnels

- Attributs protégés statiques hérités de JSessionStorage
static $instances = array()

Description détaillée

XCache session storage handler

Depuis
1.7.0
Obsolète:
4.0 The CMS' Session classes will be replaced with the joomla/session package

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options Optional parameters.
Depuis
1.7.0
Exceptions
RuntimeException

Références $options.

Documentation des fonctions membres

◆ destroy()

destroy ( $id )

Destroy the data for a particular session identifier in the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Références $id.

◆ isSupported()

static isSupported ( )
static

Test to see if the SessionHandler is available.

Renvoie
boolean True on success, false otherwise.
Depuis
3.0.0

◆ read()

read ( $id )

Read the data for a particular session identifier from the SessionHandler backend.

Paramètres
string $id The session identifier.
Renvoie
string The session data.
Depuis
1.7.0

Références $id.

◆ write()

write | ( | $id,
 |  | $sessionData
 | ) |

Write session data to the SessionHandler backend.

Paramètres
string | $id | The session identifier.
string | $sessionData | The session data.
Renvoie
boolean True on success, false otherwise.
Depuis
1.7.0

Références $id.

La documentation de cette classe a été générée à partir du fichier suivant :
  • xcache.php


Joomla CMS: Référence de la classe JSimplecrypt

Fonctions membres publiques | Attributs privés
Référence de la classe JSimplecrypt

Fonctions membres publiques

__construct ($privateKey=null)
decrypt ($s)
encrypt ($s)

Attributs privés

$_crypt

Description détaillée

JSimpleCrypt is a very simple encryption algorithm for encrypting/decrypting strings

Depuis
1.5
Obsolète:
2.5.5 Use JCrypt instead.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $privateKey = null )

Object Constructor takes an optional key to be used for encryption/decryption. If no key is given then the secret word from the configuration object is used.

Paramètres
string $privateKey Optional encryption key
Depuis
1.5
Obsolète:
2.5.5 Use JCrypt instead.

Références $key.

Documentation des fonctions membres

◆ decrypt()

decrypt ( $s )

Decrypt a string

Paramètres
string $s String to decrypt
Renvoie
string
Depuis
1.5
Obsolète:
2.5.5 Use JCrypt instead.

◆ encrypt()

encrypt ( $s )

Encrypt a string

Paramètres
string $s String to encrypt
Renvoie
string
Depuis
1.5
Obsolète:
2.5.5 Use JCrypt instead.

Documentation des champs

◆ $_crypt

$_crypt
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • simplecrypt.php


Joomla CMS: Référence de la classe JSimplepieFactory

Fonctions membres publiques statiques
Référence de la classe JSimplepieFactory

Fonctions membres publiques statiques

static getFeedParser ($url, $cacheTime=0)

Description détaillée

Class to maintain a pathway.

The user's navigated path within the application.

Depuis
3.0
Obsolète:
3.0 Use JFeed or supply your own methods

Documentation des fonctions membres

◆ getFeedParser()

static getFeedParser | ( | $url,
 |  | $cacheTime = 0
 | ) |
static

Get a parsed XML Feed Source

Paramètres
string | $url | URL for feed source.
integer | $cacheTime | Time to cache feed for (using internal cache mechanism).
Renvoie
SimplePie|boolean SimplePie parsed object on success, false on failure.
Depuis
3.0
Obsolète:
3.0 Use JFeedFactory($url) instead.

Références $url, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • legacy/simplepie/factory.php


Joomla CMS: Référence de la classe JSite

Fonctions membres publiques
Référence de la classe JSite
+ Graphe d'héritage de JSite:

Fonctions membres publiques

getMenu ()
getItems ()

Description détaillée

Mock JSite class used to fool the frontend search plugins because they route the results.

Depuis
1.5

Documentation des fonctions membres

◆ getItems()

getItems ( )

False method to fool the frontend search plugins.

Renvoie
array
Depuis
1.5

◆ getMenu()

getMenu ( )

False method to fool the frontend search plugins.

Renvoie
JSite
Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_search/helpers/site.php


Joomla CMS: Référence de la classe JsonException

Référence de la classe JsonException
+ Graphe d'héritage de JsonException:
La documentation de cette classe a été générée à partir du fichier suivant :
  • JsonException.php


Joomla CMS: Référence de l'interface JsonSerializable

Fonctions membres publiques
Référence de l'interface JsonSerializable
+ Graphe d'héritage de JsonSerializable:
DataObject Registry JKeychain

Fonctions membres publiques

jsonSerialize ()

Description détaillée

Part of the Joomla Framework Compat Package

Copyright
Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved. GNU General Public License version 2 or later; see LICENSE JsonSerializable interface. This file provides backwards compatibility to PHP 5.3 and ensures the interface is present in systems where JSON related code was removed.

1.0

Documentation des fonctions membres

◆ jsonSerialize()

jsonSerialize ( )

Return data which should be serialized by json_encode().

Renvoie
mixed
Depuis
1.0

Implémenté dans DataObject, et Registry.

La documentation de cette interface a été générée à partir du fichier suivant :
  • JsonSerializable.php


Joomla CMS: Référence de la classe JString

Fonctions membres publiques statiques
Référence de la classe JString
+ Graphe d'héritage de JString:

Fonctions membres publiques statiques

static | splitCamelCase ($string)
static | parse_url ($url)

Description détaillée

String handling class for utf-8 data Wraps the phputf8 library All functions assume the validity of utf-8 strings.

Depuis
1.7.0
Obsolète:
4.0 Use Joomla\String\StringHelperinsteadunlessotherwisenoted.

Documentation des fonctions membres

◆ parse_url()

static parse_url ( $url )
static

Does a UTF-8 safe version of PHP parse_url function

Paramètres
string $url URL to parse
Renvoie
mixed Associative array or false if badly formed URL.

1.7.0 deprecated 476.

Références $url.

◆ splitCamelCase()

static splitCamelCase ( $string )
static

Split a string in camel case format

"FooBarABCDef" becomes array("Foo", "Bar", "ABC", "Def"); "JFooBar" becomes array("J", "Foo", "Bar"); "J001FooBar002" becomes array("J001", "Foo", "Bar002"); "abcDef" becomes array("abc", "Def"); "abc_defGhi_Jkl" becomes array("abc_def", "Ghi_Jkl"); "ThisIsA_NASAAstronaut" becomes array("This", "Is", "A_NASA", "Astronaut")), "JohnFitzgerald_Kennedy" becomes array("John", "Fitzgerald_Kennedy")),

Paramètres
string $string The source string.
Renvoie
array The splitted string.
Obsolète:
4.0 - Use JStringNormalise::fromCamelCase()
Depuis
1.7.3
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/string/string.php


Joomla CMS: Référence de la classe JStringWrapperNormalise

Fonctions membres publiques
Référence de la classe JStringWrapperNormalise

Fonctions membres publiques

fromCamelCase ($input, $grouped=false)
toCamelCase ($input)
toDashSeparated ($input)
toSpaceSeparated ($input)
toUnderscoreSeparated ($input)
toVariable ($input)
toKey ($input)

Documentation des fonctions membres

◆ fromCamelCase()

fromCamelCase | ( | $input,
 |  | $grouped = false
 | ) |

Helper wrapper method for fromCamelCase

Paramètres
string | $input | The string input (ASCII only).
boolean | $grouped | Optionally allows splitting on groups of uppercase characters.
Renvoie
mixed The space separated string or an array of substrings if grouped is true.
Voir également
JUserHelper::fromCamelCase()
Depuis
3.4

Références $input.

◆ toCamelCase()

toCamelCase ( $input )

Helper wrapper method for toCamelCase

Paramètres
string $input The string input (ASCII only).
Renvoie
string The camel case string.
Voir également
JUserHelper::toCamelCase()
Depuis
3.4

Références $input.

◆ toDashSeparated()

toDashSeparated ( $input )

Helper wrapper method for toDashSeparated

Paramètres
string $input The string input (ASCII only).
Renvoie
string The dash separated string.
Voir également
JUserHelper::toDashSeparated()
Depuis
3.4

Références $input.

◆ toKey()

toKey ( $input )

Helper wrapper method for toKey

Paramètres
string $input The string input (ASCII only).
Renvoie
string The key string.
Voir également
JUserHelper::toKey()
Depuis
3.4

Références $input.

◆ toSpaceSeparated()

toSpaceSeparated ( $input )

Helper wrapper method for toSpaceSeparated

Paramètres
string $input The string input (ASCII only).
Renvoie
string The space separated string.
Voir également
JUserHelper::toSpaceSeparated()
Depuis
3.4

Références $input.

◆ toUnderscoreSeparated()

toUnderscoreSeparated ( $input )

Helper wrapper method for toUnderscoreSeparated

Paramètres
string $input The string input (ASCII only).
Renvoie
string The underscore separated string.
Voir également
JUserHelper::toUnderscoreSeparated()
Depuis
3.4

Références $input.

◆ toVariable()

toVariable ( $input )

Helper wrapper method for toVariable

Paramètres
string $input The string input (ASCII only).
Renvoie
string The variable string.
Voir également
JUserHelper::toVariable()
Depuis
3.4

Références $input.

La documentation de cette classe a été générée à partir du fichier suivant :
  • normalise.php


Joomla CMS: Référence de la classe JStringWrapperPunycode

Fonctions membres publiques
Référence de la classe JStringWrapperPunycode

Fonctions membres publiques

toPunycode ($utfString)
fromPunycode ($punycodeString)
urlToPunycode ($uri)
urlToUTF8 ($uri)
emailToPunycode ($email)
emailToUTF8 ($email)

Documentation des fonctions membres

◆ emailToPunycode()

emailToPunycode ( $email )

Helper wrapper method for emailToPunycode

Paramètres
string $email The UTF-8 email to transform.
Renvoie
string The punycode email.
Voir également
JStringPunycode::emailToPunycode()
Depuis
3.4

◆ emailToUTF8()

emailToUTF8 ( $email )

Helper wrapper method for emailToUTF8

Paramètres
string $email The punycode email to transform.
Renvoie
string The punycode email.
Voir également
JStringPunycode::emailToUTF8()
Depuis
3.4

◆ fromPunycode()

fromPunycode ( $punycodeString )

Helper wrapper method for fromPunycode

Paramètres
string $punycodeString The Punycode string to transform.
Renvoie
string The UF-8 URL.
Voir également
JUserHelper::fromPunycode()
Depuis
3.4

◆ toPunycode()

toPunycode ( $utfString )

Helper wrapper method for toPunycode

Paramètres
string $utfString The UTF-8 string to transform.
Renvoie
string The punycode string.
Voir également
JUserHelper::toPunycode()
Depuis
3.4

◆ urlToPunycode()

urlToPunycode ( $uri )

Helper wrapper method for urlToPunycode

Paramètres
string $uri The UTF-8 URL to transform.
Renvoie
string The punycode URL.
Voir également
JUserHelper::urlToPunycode()
Depuis
3.4

Références $uri.

◆ urlToUTF8()

urlToUTF8 ( $uri )

Helper wrapper method for urlToUTF8

Paramètres
string $uri The Punycode URL to transform.
Renvoie
string The UTF-8 URL.
Voir également
JStringPunycode::urlToUTF8()
Depuis
3.4

Références $uri.

La documentation de cette classe a été générée à partir du fichier suivant :
  • punycode.php


Joomla CMS: Référence de la classe JSubMenuHelper

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe JSubMenuHelper

Fonctions membres publiques statiques

static | addEntry ($name, $link='', $active=false)
static | getEntries ()
static | addFilter ($label, $name, $options, $noDefault=false)
static | getFilters ()
static | setAction ($action)
static | getAction ()

Attributs protégés statiques

static | $entries = array()
static | $filters = array()
static | $action = ''

Documentation des fonctions membres

◆ addEntry()

static addEntry | ( | $name,
 |  | $link = '',
 |  | $active = false
 | ) |
static

Method to add a menu item to submenu.

Paramètres
string | $name | Name of the menu item.
string | $link | URL of the menu item.
boolean | $active | True if the item is active, false otherwise.
Renvoie
void
Depuis
1.5
Obsolète:
4.0 Use JHtmlSidebar::addEntry() instead.

Références $active, $link, et $name.

Référencé par FOFRenderJoomla\renderLinkbarItems().

◆ addFilter()

static addFilter | ( | $label,
 |  | $name,
 |  | $options,
 |  | $noDefault = false
 | ) |
static

Method to add a filter to the submenu

Paramètres
string | $label | Label for the menu item.
string | $name | name for the filter. Also used as id.
string | $options | options for the select field.
boolean | $noDefault | Don't show the label as the empty option
Renvoie
void
Depuis
3.0
Obsolète:
4.0 Use JHtmlSidebar::addFilter() instead.

Références $filters, $label, $name, et $options.

◆ getAction()

static getAction ( )
static

Get value for the action attribute of the filter form

Renvoie
string Value for the action attribute of the form
Depuis
3.0
Obsolète:
4.0 Use JHtmlSidebar::getAction() instead.

Références $action.

◆ getEntries()

static getEntries ( )
static

Returns an array of all submenu entries

Renvoie
array
Depuis
3.0
Obsolète:
4.0 Use JHtmlSidebar::getEntries() instead.

◆ getFilters()

static getFilters ( )
static

Returns an array of all filters

Renvoie
array
Depuis
3.0
Obsolète:
4.0 Use JHtmlSidebar::getFilters() instead.

Références $filters.

◆ setAction()

static setAction ( $action )
static

Set value for the action attribute of the filter form

Paramètres
string $action Value for the action attribute of the form
Renvoie
void
Depuis
3.0
Obsolète:
4.0 Use JHtmlSidebar::setAction() instead.

Références $action.

Documentation des champs

◆ $action

$action = ''
staticprotected

◆ $entries

$entries = array()
staticprotected

◆ $filters

$filters = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • subtoolbar.php


Joomla CMS: Référence de la classe JTableSession

Fonctions membres publiques
Référence de la classe JTableSession
+ Graphe d'héritage de JTableSession:

Fonctions membres publiques

__construct (JDatabaseDriver $db)
insert ($sessionId, $clientId)
update ($updateNulls=false)
destroy ($userId, $clientIds=array())
purge ($maxLifetime=1440)
exists ($userid)
delete ($oid=null)

Description détaillée

Session table

Depuis
1.5
Obsolète:
3.2 Use SQL queries to interact with the session table.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( JDatabaseDriver $db )

Constructor

Paramètres
JDatabaseDriver $db Database driver object.
Depuis
1.5
Obsolète:
3.2 Use SQL queries to interact with the session table.

Références $db.

Documentation des fonctions membres

◆ delete()

delete ( $oid = null )

Overloaded delete method

We must override it because of the non-integer primary key

Paramètres
integer $oid The object id (optional).
Renvoie
mixed True if successful otherwise an error message
Depuis
1.5
Obsolète:
3.2 Use SQL queries to interact with the session table.

Références $oid, et $query.

◆ destroy()

destroy | ( | $userId,
 |  | $clientIds = array()
 | ) |

Destroys the pre-existing session

Paramètres
integer | $userId | Identifier of the user for this session.
array | $clientIds | Array of client ids for which session(s) will be destroyed
Renvoie
boolean True on success.
Depuis
1.5
Obsolète:
3.2 Use SQL queries to interact with the session table.

Références $query, et $userId.

◆ exists()

exists ( $userid )

Find out if a user has one or more active sessions

Paramètres
integer $userid The identifier of the user
Renvoie
boolean True if a session for this user exists
Depuis
1.5
Obsolète:
3.2 Use SQL queries to interact with the session table.

Références $query.

◆ insert()

insert | ( | $sessionId,
 |  | $clientId
 | ) |

Insert a session

Paramètres
string | $sessionId | The session id
integer | $clientId | The id of the client application
Renvoie
boolean True on success
Depuis
1.5
Obsolète:
3.2 Use SQL queries to interact with the session table.

Références $clientId.

◆ purge()

purge ( $maxLifetime = 1440 )

Purge old sessions

Paramètres
integer $maxLifetime Session age in seconds
Renvoie
mixed Resource on success, null on fail
Depuis
1.5
Obsolète:
3.2 Use SQL queries to interact with the session table.

Références $query.

◆ update()

update ( $updateNulls = false )

Updates the session

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
1.5
Obsolète:
3.2 Use SQL queries to interact with the session table.
La documentation de cette classe a été générée à partir du fichier suivant :
  • session.php


Joomla CMS: Référence de la classe JTree

Fonctions membres publiques | Attributs protégés
Référence de la classe JTree
+ Graphe d'héritage de JTree:

Fonctions membres publiques

__construct ()
addChild (&$node, $setCurrent=false)
getParent ()
reset ()

Attributs protégés

$_root = null
$_current = null

Description détaillée

Tree Class.

Depuis
1.5
Obsolète:
3.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Depuis
1.5
Obsolète:
3.0

Documentation des fonctions membres

◆ addChild()

addChild | ( | & | $node,
 |  |  | $setCurrent = false
 | ) |  |

Method to add a child

Paramètres
array | &$node | The node to process
boolean | $setCurrent | True to set as current working node
Renvoie
void
Depuis
1.5
Obsolète:
3.0

◆ getParent()

getParent ( )

Method to get the parent

Renvoie
void
Depuis
1.5
Obsolète:
3.0

◆ reset()

reset ( )

Method to get the parent

Renvoie
void
Depuis
1.5
Obsolète:
3.0

Documentation des champs

◆ $_current

$_current = null
protected

◆ $_root

$_root = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • tree.php


Joomla CMS: Référence de la classe JTwitter

Fonctions membres publiques | Attributs protégés
Référence de la classe JTwitter

Fonctions membres publiques

__construct (JTwitterOAuth $oauth=null, Registry $options=null, JHttp $client=null)
__get ($name)
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$client
$oauth
$friends
$users
$help
$statuses
$search
$favorites
$directMessages
$lists
$places
$trends
$block
$profile

Description détaillée

Joomla Platform class for interacting with a Twitter API instance.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | JTwitterOAuth | $oauth = null,
 |  | Registry | $options = null,
 |  | JHttp | $client = null
 | ) |  |

Constructor.

Paramètres
JTwitterOauth | $oauth | The oauth client.
Registry | $options | Twitter options object.
JHttp | $client | The HTTP client object.
Depuis
3.1.4

Références $client, et $options.

Documentation des fonctions membres

◆ __get()

__get ( $name )

Magic method to lazily create API objects

Paramètres
string $name Name of property to retrieve
Renvoie
JTwitterObject Twitter API object (statuses, users, favorites, etc.).
Depuis
3.1.4
Exceptions
InvalidArgumentException

Références $class, et $name.

◆ getOption()

getOption ( $key )

Get an option from the JTwitter instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.1.4

Références $key.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JTwitter instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JTwitter This object for method chaining.
Depuis
3.1.4

Références $key, et $value.

Documentation des champs

◆ $block

$block
protected

◆ $client

$client
protected

◆ $directMessages

$directMessages
protected

◆ $favorites

$favorites
protected

◆ $friends

$friends
protected

◆ $help

$help
protected

◆ $lists

$lists
protected

◆ $oauth

$oauth
protected

◆ $options

$options
protected

◆ $places

$places
protected

◆ $profile

$profile
protected

◆ $search

$search
protected

◆ $statuses

$statuses
protected

◆ $trends

$trends
protected

◆ $users

$users
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • twitter.php


Joomla CMS: Référence de la classe JTwitterBlock

Fonctions membres publiques
Référence de la classe JTwitterBlock
+ Graphe d'héritage de JTwitterBlock:
JTwitterObject

Fonctions membres publiques

getBlocking ($stringifyIds=null, $cursor=null)
block ($user, $entities=null, $skipStatus=null)
unblock ($user, $entities=null, $skipStatus=null)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Block class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ block()

block | ( | $user,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to block the specified user from following the authenticating user.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $user, et elseif.

◆ getBlocking()

getBlocking | ( | $stringifyIds = null,
 |  | $cursor = null
 | ) |

Method to get the user ids the authenticating user is blocking.

Paramètres
boolean | $stringifyIds | Provide this option to have ids returned as strings instead.
integer | $cursor | Causes the list of IDs to be broken into pages of no more than 5000 IDs at a time. The number of IDs returned is not guaranteed to be 5000 as suspended users are filtered out after connections are queried. If no cursor is provided, a value of -1 will be assumed, which is the first "page."
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, et $path.

◆ unblock()

unblock | ( | $user,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to unblock the specified user from following the authenticating user.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $user, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/twitter/block.php


Joomla CMS: Référence de la classe JTwitterDirectmessages

Fonctions membres publiques
Référence de la classe JTwitterDirectmessages
+ Graphe d'héritage de JTwitterDirectmessages:
JTwitterObject

Fonctions membres publiques

getDirectMessages ($sinceId=0, $maxId=0, $count=20, $entities=null, $skipStatus=null)
getSentDirectMessages ($sinceId=0, $maxId=0, $count=20, $page=0, $entities=null)
sendDirectMessages ($user, $text)
getDirectMessagesById ($id)
deleteDirectMessages ($id, $entities=null)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Direct Messages class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ deleteDirectMessages()

deleteDirectMessages | ( | $id,
 |  | $entities = null
 | ) |

Method to delete the direct message specified in the required ID parameter.

Paramètres
integer | $id | The ID of the direct message.
boolean | $entities | When set to true, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $id, et $path.

◆ getDirectMessages()

getDirectMessages | ( | $sinceId = 0,
 |  | $maxId = 0,
 |  | $count = 20,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to get the most recent direct messages sent to the authenticating user.

Paramètres
integer | $sinceId | Returns results with an ID greater than (that is, more recent than) the specified ID.
integer | $maxId | Returns results with an ID less than (that is, older than) or equal to the specified ID.
integer | $count | Specifies the number of direct messages to try and retrieve, up to a maximum of 200.
boolean | $entities | When set to true, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $count, $data, et $path.

◆ getDirectMessagesById()

getDirectMessagesById ( $id )

Method to get a single direct message, specified by an id parameter.

Paramètres
integer $id The ID of the direct message.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $id, et $path.

◆ getSentDirectMessages()

getSentDirectMessages | ( | $sinceId = 0,
 |  | $maxId = 0,
 |  | $count = 20,
 |  | $page = 0,
 |  | $entities = null
 | ) |

Method to get the most recent direct messages sent by the authenticating user.

Paramètres
integer | $sinceId | Returns results with an ID greater than (that is, more recent than) the specified ID.
integer | $maxId | Returns results with an ID less than (that is, older than) or equal to the specified ID.
integer | $count | Specifies the number of direct messages to try and retrieve, up to a maximum of 200.
integer | $page | Specifies the page of results to retrieve.
boolean | $entities | When set to true, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $count, $data, et $path.

◆ sendDirectMessages()

sendDirectMessages | ( | $user,
 |  | $text
 | ) |

Method to send a new direct message to the specified user from the authenticating user.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
string | $text | The text of your direct message. Be sure to keep the message under 140 characters.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $text, $user, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • directmessages.php


Joomla CMS: Référence de la classe JTwitterFavorites

Fonctions membres publiques
Référence de la classe JTwitterFavorites
+ Graphe d'héritage de JTwitterFavorites:
JTwitterObject

Fonctions membres publiques

getFavorites ($user=null, $count=20, $sinceId=0, $maxId=0, $entities=null)
createFavorites ($id, $entities=null)
deleteFavorites ($id, $entities=null)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Favorites class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ createFavorites()

createFavorites | ( | $id,
 |  | $entities = null
 | ) |

Method to favorite the status specified in the ID parameter as the authenticating user

Paramètres
integer | $id | The numerical ID of the desired status.
boolean | $entities | When set to true, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $id, et $path.

◆ deleteFavorites()

deleteFavorites | ( | $id,
 |  | $entities = null
 | ) |

Method to un-favorites the status specified in the ID parameter as the authenticating user.

Paramètres
integer | $id | The numerical ID of the desired status.
boolean | $entities | When set to true, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $id, et $path.

◆ getFavorites()

getFavorites | ( | $user = null,
 |  | $count = 20,
 |  | $sinceId = 0,
 |  | $maxId = 0,
 |  | $entities = null
 | ) |

Method to get the most recent favorite statuses for the authenticating or specified user.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
integer | $count | Specifies the number of tweets to try and retrieve, up to a maximum of 200. Retweets are always included in the count, so it is always suggested to set $includeRts to true
integer | $sinceId | Returns results with an ID greater than (that is, more recent than) the specified ID.
integer | $maxId | Returns results with an ID less than (that is, older than) the specified ID.
boolean | $entities | When set to true, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $count, $data, $path, $user, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • favorites.php


Joomla CMS: Référence de la classe JTwitterFriends

Fonctions membres publiques
Référence de la classe JTwitterFriends
+ Graphe d'héritage de JTwitterFriends:
JTwitterObject

Fonctions membres publiques

getFriendIds ($user, $cursor=null, $stringIds=null, $count=0)
getFriendshipDetails ($userA, $userB)
getFollowerIds ($user, $cursor=null, $stringIds=null, $count=0)
getFriendshipsIncoming ($cursor=null, $stringIds=null)
getFriendshipsOutgoing ($cursor=null, $stringIds=null)
follow ($user, $follow=false)
unfollow ($user)
getFriendshipsLookup ($screenName=null, $id=null)
updateFriendship ($user, $device=null, $retweets=null)
getFriendshipNoRetweetIds ($stringIds=null)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Friends class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ follow()

follow | ( | $user,
 |  | $follow = false
 | ) |

Allows the authenticating users to follow the user specified in the ID parameter.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
boolean | $follow | Enable notifications for the target user.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $user, et elseif.

◆ getFollowerIds()

getFollowerIds | ( | $user,
 |  | $cursor = null,
 |  | $stringIds = null,
 |  | $count = 0
 | ) |

Method to get an array of user IDs the specified user is followed by.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
integer | $cursor | Causes the list of IDs to be broken into pages of no more than 5000 IDs at a time. The number of IDs returned is not guaranteed to be 5000 as suspended users are filtered out after connections are queried. If no cursor is provided, a value of -1 will be assumed, which is the first "page."
boolean | $stringIds | Set to true to return IDs as strings, false to return as integers.
integer | $count | Specifies the number of IDs attempt retrieval of, up to a maximum of 5,000 per distinct request.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $count, $data, $path, $user, et elseif.

◆ getFriendIds()

getFriendIds | ( | $user,
 |  | $cursor = null,
 |  | $stringIds = null,
 |  | $count = 0
 | ) |

Method to get an array of user IDs the specified user follows.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
integer | $cursor | Causes the list of connections to be broken into pages of no more than 5000 IDs at a time. The number of IDs returned is not guaranteed to be 5000 as suspended users are filtered out after connections are queried. If no cursor is provided, a value of -1 will be assumed, which is the first "page."
boolean | $stringIds | Set to true to return IDs as strings, false to return as integers.
integer | $count | Specifies the number of IDs attempt retrieval of, up to a maximum of 5,000 per distinct request.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $count, $data, $path, $user, et elseif.

◆ getFriendshipDetails()

getFriendshipDetails | ( | $userA,
 |  | $userB
 | ) |

Method to display detailed friend information between two users.

Paramètres
mixed | $userA | Either an integer containing the user ID or a string containing the screen name of the first user.
mixed | $userB | Either an integer containing the user ID or a string containing the screen name of the second user.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, et elseif.

◆ getFriendshipNoRetweetIds()

getFriendshipNoRetweetIds ( $stringIds = null )

Method to get the user ids that currently authenticated user does not want to see retweets from.

Paramètres
boolean $stringIds Set to true to return IDs as strings, false to return as integers.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, et $path.

◆ getFriendshipsIncoming()

getFriendshipsIncoming | ( | $cursor = null,
 |  | $stringIds = null
 | ) |

Method to determine pending requests to follow the authenticating user.

Paramètres
integer | $cursor | Causes the list of IDs to be broken into pages of no more than 5000 IDs at a time. The number of IDs returned is not guaranteed to be 5000 as suspended users are filtered out after connections are queried. If no cursor is provided, a value of -1 will be assumed, which is the first "page."
boolean | $stringIds | Set to true to return IDs as strings, false to return as integers.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, et $path.

◆ getFriendshipsLookup()

getFriendshipsLookup | ( | $screenName = null,
 |  | $id = null
 | ) |

Method to get the relationship of the authenticating user to the comma separated list of up to 100 screen_names or user_ids provided.

Paramètres
string | $screenName | A comma separated list of screen names, up to 100 are allowed in a single request.
string | $id | A comma separated list of user IDs, up to 100 are allowed in a single request.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $id, $path, et null.

◆ getFriendshipsOutgoing()

getFriendshipsOutgoing | ( | $cursor = null,
 |  | $stringIds = null
 | ) |

Method to determine every protected user for whom the authenticating user has a pending follow request.

Paramètres
integer | $cursor | Causes the list of IDs to be broken into pages of no more than 5000 IDs at a time. The number of IDs returned is not guaranteed to be 5000 as suspended users are filtered out after connections are queried. If no cursor is provided, a value of -1 will be assumed, which is the first "page."
boolean | $stringIds | Set to true to return IDs as strings, false to return as integers.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, et $path.

◆ unfollow()

unfollow ( $user )

Allows the authenticating users to unfollow the user specified in the ID parameter.

Paramètres
mixed $user Either an integer containing the user ID or a string containing the screen name.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $user, et elseif.

◆ updateFriendship()

updateFriendship | ( | $user,
 |  | $device = null,
 |  | $retweets = null
 | ) |

Allows one to enable or disable retweets and device notifications from the specified user.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
boolean | $device | Enable/disable device notifications from the target user.
boolean | $retweets | Enable/disable retweets from the target user.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $user, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • friends.php


Joomla CMS: Référence de la classe JTwitterHelp

Fonctions membres publiques
Référence de la classe JTwitterHelp
+ Graphe d'héritage de JTwitterHelp:
JTwitterObject

Fonctions membres publiques

getLanguages ()
getConfiguration ()
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Help class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ getConfiguration()

getConfiguration ( )

Method to get the current configuration used by Twitter including twitter.com slugs which are not usernames, maximum photo resolutions, and t.co URL lengths.

Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $path.

◆ getLanguages()

getLanguages ( )

Method to get the supported languages from the API.

Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/twitter/help.php


Joomla CMS: Référence de la classe JTwitterLists

Fonctions membres publiques
Référence de la classe JTwitterLists
+ Graphe d'héritage de JTwitterLists:
JTwitterObject

Fonctions membres publiques

getLists ($user, $reverse=null)
getStatuses ($list, $owner=null, $sinceId=0, $maxId=0, $count=0, $entities=null, $includeRts=null)
getSubscribers ($list, $owner=null, $cursor=null, $entities=null, $skipStatus=null)
deleteMembers ($list, $userId=null, $screenName=null, $owner=null)
subscribe ($list, $owner=null)
isMember ($list, $user, $owner=null, $entities=null, $skipStatus=null)
isSubscriber ($list, $user, $owner=null, $entities=null, $skipStatus=null)
unsubscribe ($list, $owner=null)
addMembers ($list, $userId=null, $screenName=null, $owner=null)
getMembers ($list, $owner=null, $entities=null, $skipStatus=null)
getListById ($list, $owner=null)
getSubscriptions ($user, $count=0, $cursor=null)
update ($list, $owner=null, $name=null, $mode=null, $description=null)
create ($name, $mode=null, $description=null)
delete ($list, $owner=null)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Lists class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ addMembers()

addMembers | ( | $list,
 |  | $userId = null,
 |  | $screenName = null,
 |  | $owner = null
 | ) |

Method to add multiple members to a list, by specifying a comma-separated list of member ids or screen names.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
string | $userId | A comma separated list of user IDs, up to 100 are allowed in a single request.
string | $screenName | A comma separated list of screen names, up to 100 are allowed in a single request.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name of the owner.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, $userId, elseif, et null.

◆ create()

create | ( | $name,
 |  | $mode = null,
 |  | $description = null
 | ) |

Method to create a new list for the authenticated user.

Paramètres
string | $name | The name of the list.
string | $mode | Whether your list is public or private. Values can be public or private. If no mode is specified the list will be public.
string | $description | The description to give the list.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $description, $mode, $name, et $path.

◆ delete()

delete | ( | $list,
 |  | $owner = null
 | ) |

Method to delete a specified list.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name of the owner.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, et elseif.

◆ deleteMembers()

deleteMembers | ( | $list,
 |  | $userId = null,
 |  | $screenName = null,
 |  | $owner = null
 | ) |

Method to remove multiple members from a list, by specifying a comma-separated list of member ids or screen names.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
string | $userId | A comma separated list of user IDs, up to 100 are allowed in a single request.
string | $screenName | A comma separated list of screen names, up to 100 are allowed in a single request.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name of the owner.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, $userId, elseif, et null.

◆ getListById()

getListById | ( | $list,
 |  | $owner = null
 | ) |

Method to get the specified list.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, et elseif.

◆ getLists()

getLists | ( | $user,
 |  | $reverse = null
 | ) |

Method to get all lists the authenticating or specified user subscribes to, including their own.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
boolean | $reverse | Set this to true if you would like owned lists to be returned first. See description above for information on how this parameter works.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $user, et elseif.

◆ getMembers()

getMembers | ( | $list,
 |  | $owner = null,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to get the members of the specified list.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, et elseif.

◆ getStatuses()

getStatuses | ( | $list,
 |  | $owner = null,
 |  | $sinceId = 0,
 |  | $maxId = 0,
 |  | $count = 0,
 |  | $entities = null,
 |  | $includeRts = null
 | ) |

Method to get tweet timeline for members of the specified list

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name.
integer | $sinceId | Returns results with an ID greater than (that is, more recent than) the specified ID.
integer | $maxId | Returns results with an ID less than (that is, older than) or equal to the specified ID.
integer | $count | Specifies the number of results to retrieve per "page."
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $includeRts | When set to either true, t or 1, the list timeline will contain native retweets (if they exist) in addition to the standard stream of tweets.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $count, $data, $list, $path, et elseif.

◆ getSubscribers()

getSubscribers | ( | $list,
 |  | $owner = null,
 |  | $cursor = null,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to get the subscribers of the specified list.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name.
integer | $cursor | Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, et elseif.

◆ getSubscriptions()

getSubscriptions | ( | $user,
 |  | $count = 0,
 |  | $cursor = null
 | ) |

Method to get a collection of the lists the specified user is subscribed to, 20 lists per page by default. Does not include the user's own lists.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
integer | $count | The amount of results to return per page. Defaults to 20. Maximum of 1,000 when using cursors.
integer | $cursor | Breaks the results into pages. Provide a value of -1 to begin paging.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $count, $data, $path, $user, et elseif.

◆ isMember()

isMember | ( | $list,
 |  | $user,
 |  | $owner = null,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to check if the specified user is a member of the specified list.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $user | Either an integer containing the user ID or a string containing the screen name of the user to remove.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name of the owner.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, $user, et elseif.

◆ isSubscriber()

isSubscriber | ( | $list,
 |  | $user,
 |  | $owner = null,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to check if the specified user is a subscriber of the specified list.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $user | Either an integer containing the user ID or a string containing the screen name of the user to remove.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name of the owner.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, $user, et elseif.

◆ subscribe()

subscribe | ( | $list,
 |  | $owner = null
 | ) |

Method to subscribe the authenticated user to the specified list.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name of the owner.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, et elseif.

◆ unsubscribe()

unsubscribe | ( | $list,
 |  | $owner = null
 | ) |

Method to unsubscribe the authenticated user from the specified list.

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name of the owner.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $list, $path, et elseif.

◆ update()

update | ( | $list,
 |  | $owner = null,
 |  | $name = null,
 |  | $mode = null,
 |  | $description = null
 | ) |

Method to update the specified list

Paramètres
mixed | $list | Either an integer containing the list ID or a string containing the list slug.
mixed | $owner | Either an integer containing the user ID or a string containing the screen name of the owner.
string | $name | The name of the list.
string | $mode | Whether your list is public or private. Values can be public or private. If no mode is specified the list will be public.
string | $description | The description to give the list.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $description, $list, $mode, $name, $path, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • lists.php


Joomla CMS: Référence de la classe JTwitterOAuth

Fonctions membres publiques | Attributs protégés
Référence de la classe JTwitterOAuth
+ Graphe d'héritage de JTwitterOAuth:
JOAuth1Client

Fonctions membres publiques

__construct (Registry $options=null, JHttp $client=null, JInput $input=null, JApplicationWeb $application=null)
verifyCredentials ()
endSession ()
validateResponse ($url, $response)
- Fonctions membres publiques hérités de JOAuth1Client
__construct (Registry $options=null, JHttp $client=null, JInput $input=null, JApplicationWeb $application=null, $version=null)
authenticate ()
oauthRequest ($url, $method, $parameters, $data=array(), $headers=array())
validateResponse ($url, $response)
toUrl ($url, $parameters)
safeEncode ($data)
verifyCredentials ()
getOption ($key)
setOption ($key, $value)
getToken ()
setToken ($token)

Attributs protégés

$options
- Attributs protégés hérités de JOAuth1Client
$options
$token = array()
$client
$input
$application
$version

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de JOAuth1Client
static generateNonce ()

Description détaillée

Joomla Platform class for generating Twitter API access token.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry | $options = null,
 |  | JHttp | $client = null,
 |  | JInput | $input = null,
 |  | JApplicationWeb | $application = null
 | ) |  |

Constructor.

Paramètres
Registry | $options | JTwitterOauth options object.
JHttp | $client | The HTTP client object.
JInput | $input | The input object.
JApplicationWeb | $application | The application object.
Depuis
3.1.4

Références $client, $input, $options, et Registry\def().

Documentation des fonctions membres

◆ endSession()

endSession ( )

Ends the session of the authenticating user, returning a null cookie.

Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $parameters, et $path.

◆ validateResponse()

validateResponse | ( | $url,
 |  | $response
 | ) |

Method to validate a response.

Paramètres
string | $url | The request URL.
JHttpResponse | $response | The response to validate.
Renvoie
void
Depuis
3.1.4
Exceptions
DomainException

Références $url, et code.

◆ verifyCredentials()

verifyCredentials ( )

Method to verify if the access token is valid by making a request.

Renvoie
boolean Returns true if the access token is valid and false otherwise.
Depuis
3.1.4

Références $parameters, et $path.

Documentation des champs

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • twitter/oauth.php


Joomla CMS: Référence de la classe JTwitterObject

Fonctions membres publiques | Attributs protégés
Référence de la classe JTwitterObject
+ Graphe d'héritage de JTwitterObject:
JTwitterBlock JTwitterDirectmessages JTwitterFavorites JTwitterFriends JTwitterHelp JTwitterLists JTwitterPlaces JTwitterProfile JTwittersearch JTwitterStatuses JTwitterTrends JTwitterUsers

Fonctions membres publiques

__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Attributs protégés

$options
$client
$oauth

Description détaillée

Twitter API object class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | Registry & | $options = null,
 |  | JHttp | $client = null,
 |  | JTwitterOAuth | $oauth = null
 | ) |  |

Constructor.

Paramètres
Registry | &$options | Twitter options object.
JHttp | $client | The HTTP client object.
JTwitterOAuth | $oauth | The OAuth client.
Depuis
3.1.4

Références $client, et $options.

Documentation des fonctions membres

◆ checkRateLimit()

checkRateLimit | ( | $resource = null,
 |  | $action = null
 | ) |

Method to check the rate limit for the requesting IP address

Paramètres
string | $resource | A resource or a comma-separated list of resource families you want to know the current rate limit disposition for.
string | $action | An action for the specified resource, if only one resource is specified.
Renvoie
void
Depuis
3.1.4
Exceptions
RuntimeException

Références $action.

◆ fetchUrl()

fetchUrl | ( | $path,
 |  | $parameters = null
 | ) |

Method to build and return a full request URL for the request. This method will add appropriate pagination details if necessary and also prepend the API url to have a complete URL for the request.

Paramètres
string | $path | URL to inflect
array | $parameters | The parameters passed in the URL.
Renvoie
string The request URL.
Depuis
3.1.4

Références $key, $parameters, $path, $uri, et $value.

◆ getOption()

getOption ( $key )

Get an option from the JTwitterObject instance.

Paramètres
string $key The name of the option to get.
Renvoie
mixed The option value.
Depuis
3.1.4

Références $key.

◆ getRateLimit()

getRateLimit ( $resource )

Method to retrieve the rate limit for the requesting IP address

Paramètres
string $resource A resource or a comma-separated list of resource families you want to know the current rate limit disposition for.
Renvoie
array The JSON response decoded
Depuis
3.1.4

Références $path.

◆ sendRequest()

sendRequest | ( | $path,
 |  | $method = 'GET',
 |  | $data = array(),
 |  | $headers = array()
 | ) |

Method to send the request.

Paramètres
string | $path | The path of the request to make
string | $method | The request method.
mixed | $data | Either an associative array or a string to be sent with the post request.
array | $headers | An array of name-value pairs to include in the header of the request
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $parameters, et $path.

◆ setOption()

setOption | ( | $key,
 |  | $value
 | ) |

Set an option for the JTwitterObject instance.

Paramètres
string | $key | The name of the option to set.
mixed | $value | The option value to set.
Renvoie
JTwitterObject This object for method chaining.
Depuis
3.1.4

Références $key, et $value.

Documentation des champs

◆ $client

$client
protected

◆ $oauth

$oauth
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • joomla/twitter/object.php


Joomla CMS: Référence de la classe JTwitterPlaces

Fonctions membres publiques
Référence de la classe JTwitterPlaces
+ Graphe d'héritage de JTwitterPlaces:
JTwitterObject

Fonctions membres publiques

getPlace ($id)
getGeocode ($lat, $long, $accuracy=null, $granularity=null, $maxResults=0, $callback=null)
search ($lat=null, $long=null, $query=null, $ip=null, $granularity=null, $accuracy=null, $maxResults=0, $within=null, $attribute=null, $callback=null)
getSimilarPlaces ($lat, $long, $name, $within=null, $attribute=null, $callback=null)
createPlace ($lat, $long, $name, $geoToken, $within, $attribute=null, $callback=null)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Places & Geo class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ createPlace()

createPlace | ( | $lat,
 |  | $long,
 |  | $name,
 |  | $geoToken,
 |  | $within,
 |  | $attribute = null,
 |  | $callback = null
 | ) |

Method to create a new place object at the given latitude and longitude.

Paramètres
float | $lat | The latitude to search around.
float | $long | The longitude to search around.
string | $name | The name a place is known as.
string | $geoToken | The token found in the response from geo/similar_places.
string | $within | This is the place_id which you would like to restrict the search results to.
string | $attribute | This parameter searches for places which have this given street address.
string | $callback | If supplied, the response will use the JSONP format with a callback of the given name.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $name, et $path.

◆ getGeocode()

getGeocode | ( | $lat,
 |  | $long,
 |  | $accuracy = null,
 |  | $granularity = null,
 |  | $maxResults = 0,
 |  | $callback = null
 | ) |

Method to get up to 20 places that can be used as a place_id when updating a status.

Paramètres
float | $lat | The latitude to search around.
float | $long | The longitude to search around.
string | $accuracy | A hint on the "region" in which to search. If a number, then this is a radius in meters, but it can also take a string that is suffixed with ft to specify feet.
string | $granularity | This is the minimal granularity of place types to return and must be one of: poi, neighborhood, city, admin or country.
integer | $maxResults | A hint as to the number of results to return.
string | $callback | If supplied, the response will use the JSONP format with a callback of the given name.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, et $path.

◆ getPlace()

getPlace ( $id )

Method to get all the information about a known place.

Paramètres
string $id A place in the world. These IDs can be retrieved using getGeocode.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $id, et $path.

◆ getSimilarPlaces()

getSimilarPlaces | ( | $lat,
 |  | $long,
 |  | $name,
 |  | $within = null,
 |  | $attribute = null,
 |  | $callback = null
 | ) |

Method to locate places near the given coordinates which are similar in name.

Paramètres
float | $lat | The latitude to search around.
float | $long | The longitude to search around.
string | $name | The name a place is known as.
string | $within | This is the place_id which you would like to restrict the search results to.
string | $attribute | This parameter searches for places which have this given street address.
string | $callback | If supplied, the response will use the JSONP format with a callback of the given name.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $name, et $path.

◆ search()

search | ( | $lat = null,
 |  | $long = null,
 |  | $query = null,
 |  | $ip = null,
 |  | $granularity = null,
 |  | $accuracy = null,
 |  | $maxResults = 0,
 |  | $within = null,
 |  | $attribute = null,
 |  | $callback = null
 | ) |

Method to search for places that can be attached to a statuses/update.

Paramètres
float | $lat | The latitude to search around.
float | $long | The longitude to search around.
string | $query | Free-form text to match against while executing a geo-based query, best suited for finding nearby locations by name.
string | $ip | An IP address.
string | $granularity | This is the minimal granularity of place types to return and must be one of: poi, neighborhood, city, admin or country.
string | $accuracy | A hint on the "region" in which to search. If a number, then this is a radius in meters, but it can also take a string that is suffixed with ft to specify feet.
integer | $maxResults | A hint as to the number of results to return.
string | $within | This is the place_id which you would like to restrict the search results to.
string | $attribute | This parameter searches for places which have this given street address.
string | $callback | If supplied, the response will use the JSONP format with a callback of the given name.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $query, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • places.php


Joomla CMS: Référence de la classe JTwitterProfile

Fonctions membres publiques
Référence de la classe JTwitterProfile
+ Graphe d'héritage de JTwitterProfile:
JTwitterObject

Fonctions membres publiques

updateProfile ($name=null, $url=null, $location=null, $description=null, $entities=null, $skipStatus=null)
updateProfileBackgroundImage ($image=null, $tile=false, $entities=null, $skipStatus=null, $use=false)
updateProfileImage ($image=null, $entities=null, $skipStatus=null)
updateProfileColors ($background=null, $link=null, $sidebarBorder=null, $sidebarFill=null, $text=null, $entities=null, $skipStatus=null)
getSettings ()
updateSettings ($location=null, $sleepTime=false, $startSleep=null, $endSleep=null, $timeZone=null, $lang=null)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Profile class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ getSettings()

getSettings ( )

Method to get the settings (including current trend, geo and sleep time information) for the authenticating user.

Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $path.

◆ updateProfile()

updateProfile | ( | $name = null,
 |  | $url = null,
 |  | $location = null,
 |  | $description = null,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to et values that users are able to set under the "Account" tab of their settings page.

Paramètres
string | $name | Full name associated with the profile. Maximum of 20 characters.
string | $url | URL associated with the profile. Will be prepended with "http://" if not present. Maximum of 100 characters.
string | $location | The city or country describing where the user of the account is located. The contents are not normalized or geocoded in any way. Maximum of 30 characters.
string | $description | A description of the user owning the account. Maximum of 160 characters.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $description, $location, $name, $path, et $url.

◆ updateProfileBackgroundImage()

updateProfileBackgroundImage | ( | $image = null,
 |  | $tile = false,
 |  | $entities = null,
 |  | $skipStatus = null,
 |  | $use = false
 | ) |

Method to update the authenticating user's profile background image. This method can also be used to enable or disable the profile background image.

Paramètres
string | $image | The background image for the profile.
boolean | $tile | Whether or not to tile the background image.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
boolean | $use | Determines whether to display the profile background image or not.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $image, et $path.

◆ updateProfileColors()

updateProfileColors | ( | $background = null,
 |  | $link = null,
 |  | $sidebarBorder = null,
 |  | $sidebarFill = null,
 |  | $text = null,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to set one or more hex values that control the color scheme of the authenticating user's profile page on twitter.com.

Paramètres
string | $background | Profile background color.
string | $link | Profile link color.
string | $sidebarBorder | Profile sidebar's border color.
string | $sidebarFill | Profile sidebar's fill color.
string | $text | Profile text color.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $link, $path, et $text.

◆ updateProfileImage()

updateProfileImage | ( | $image = null,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to update the authenticating user's profile image.

Paramètres
string | $image | The background image for the profile.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $image, et $path.

◆ updateSettings()

updateSettings | ( | $location = null,
 |  | $sleepTime = false,
 |  | $startSleep = null,
 |  | $endSleep = null,
 |  | $timeZone = null,
 |  | $lang = null
 | ) |

Method to update the authenticating user's settings.

Paramètres
integer | $location | The Yahoo! Where On Earth ID to use as the user's default trend location.
boolean | $sleepTime | When set to true, t or 1, will enable sleep time for the user.
integer | $startSleep | The hour that sleep time should begin if it is enabled.
integer | $endSleep | The hour that sleep time should end if it is enabled.
string | $timeZone | The timezone dates and times should be displayed in for the user. The timezone must be one of the Rails TimeZone names.
string | $lang | The language which Twitter should render in for this user.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $lang, $location, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/twitter/profile.php


Joomla CMS: Référence de la classe JTwittersearch

Fonctions membres publiques
Référence de la classe JTwittersearch
+ Graphe d'héritage de JTwittersearch:
JTwitterObject

Fonctions membres publiques

search ($query, $callback=null, $geocode=null, $lang=null, $locale=null, $resultType=null, $count=15, $until=null, $sinceId=0, $maxId=0, $entities=null)
getSavedSearches ()
getSavedSearchesById ($id)
createSavedSearch ($query)
deleteSavedSearch ($id)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Search class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ createSavedSearch()

createSavedSearch ( $query )

Method to create a new saved search for the authenticated user.

Paramètres
string $query The query of the search the user would like to save.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $path, et $query.

◆ deleteSavedSearch()

deleteSavedSearch ( $id )

Method to delete a saved search for the authenticating user.

Paramètres
integer $id The ID of the saved search.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $id, et $path.

◆ getSavedSearches()

getSavedSearches ( )

Method to get the authenticated user's saved search queries.

Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $path.

◆ getSavedSearchesById()

getSavedSearchesById ( $id )

Method to get the information for the saved search represented by the given id.

Paramètres
integer $id The ID of the saved search.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $id, et $path.

◆ search()

search | ( | $query,
 |  | $callback = null,
 |  | $geocode = null,
 |  | $lang = null,
 |  | $locale = null,
 |  | $resultType = null,
 |  | $count = 15,
 |  | $until = null,
 |  | $sinceId = 0,
 |  | $maxId = 0,
 |  | $entities = null
 | ) |

Method to get tweets that match a specified query.

Paramètres
string | $query | Search query. Should be URL encoded. Queries will be limited by complexity.
string | $callback | If supplied, the response will use the JSONP format with a callback of the given name
string | $geocode | Returns tweets by users located within a given radius of the given latitude/longitude. The parameter value is specified by "latitude,longitude,radius", where radius units must be specified as either "mi" (miles) or "km" (kilometers).
string | $lang | Restricts tweets to the given language, given by an ISO 639-1 code.
string | $locale | Specify the language of the query you are sending (only ja is currently effective). This is intended for language-specific clients and the default should work in the majority of cases.
string | $resultType | Specifies what type of search results you would prefer to receive. The current default is "mixed."
integer | $count | The number of tweets to return per page, up to a maximum of 100. Defaults to 15.
string | $until | Returns tweets generated before the given date. Date should be formatted as YYYY-MM-DD.
integer | $sinceId | Returns results with an ID greater than (that is, more recent than) the specified ID.
integer | $maxId | Returns results with an ID less than (that is, older than) or equal to the specified ID.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discrete structure, including: urls, media and hashtags.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $count, $data, $lang, $path, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/twitter/search.php


Joomla CMS: Référence de la classe JTwitterStatuses

Fonctions membres publiques
Référence de la classe JTwitterStatuses
+ Graphe d'héritage de JTwitterStatuses:
JTwitterObject

Fonctions membres publiques

getTweetById ($id, $trimUser=null, $entities=null, $myRetweet=null)
getUserTimeline ($user, $count=20, $includeRts=null, $noReplies=null, $sinceId=0, $maxId=0, $trimUser=null, $contributor=null)
tweet ($status, $inReplyToStatusId=null, $lat=null, $long=null, $placeId=null, $displayCoordinates=null, $trimUser=null)
getMentions ($count=20, $includeRts=null, $entities=null, $sinceId=0, $maxId=0, $trimUser=null, $contributor=null)
getRetweetsOfMe ($count=20, $sinceId=0, $entities=null, $userEntities=null, $maxId=0, $trimUser=null)
getRetweeters ($id, $count=20, $cursor=null, $stringifyIds=null)
getRetweetsById ($id, $count=20, $trimUser=null)
deleteTweet ($id, $trimUser=null)
retweet ($id, $trimUser=null)
tweetWithMedia ($status, $media, $inReplyToStatusId=null, $lat=null, $long=null, $placeId=null, $displayCoordinates=null, $sensitive=null)
getOembed ($id=null, $url=null, $maxWidth=null, $hideMedia=null, $hideThread=null, $omitScript=null, $align=null, $related=null, $lang=null)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Statuses class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ deleteTweet()

deleteTweet | ( | $id,
 |  | $trimUser = null
 | ) |

Method to delete the status specified by the required ID parameter.

Paramètres
integer | $id | The numerical ID of the desired status.
boolean | $trimUser | When set to true, each tweet returned in a timeline will include a user object including only the status author's numerical ID.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $id, et $path.

◆ getMentions()

getMentions | ( | $count = 20,
 |  | $includeRts = null,
 |  | $entities = null,
 |  | $sinceId = 0,
 |  | $maxId = 0,
 |  | $trimUser = null,
 |  | $contributor = null
 | ) |

Method to retrieve the most recent mentions for the authenticating user.

Paramètres
integer | $count | Specifies the number of tweets to try and retrieve, up to a maximum of 200. Retweets are always included in the count, so it is always suggested to set $includeRts to true
boolean | $includeRts | When set to true, the timeline will contain native retweets in addition to the standard stream of tweets.
boolean | $entities | When set to true, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
integer | $sinceId | Returns results with an ID greater than (that is, more recent than) the specified ID.
integer | $maxId | Returns results with an ID less than (that is, older than) the specified ID.
boolean | $trimUser | When set to true, each tweet returned in a timeline will include a user object including only the status author's numerical ID.
string | $contributor | This parameter enhances the contributors element of the status response to include the screen_name of the contributor.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $count, $data, et $path.

◆ getOembed()

getOembed | ( | $id = null,
 |  | $url = null,
 |  | $maxWidth = null,
 |  | $hideMedia = null,
 |  | $hideThread = null,
 |  | $omitScript = null,
 |  | $align = null,
 |  | $related = null,
 |  | $lang = null
 | ) |

Method to get information allowing the creation of an embedded representation of a Tweet on third party sites. Note: either the id or url parameters must be specified in a request. It is not necessary to include both.

Paramètres
integer | $id | The Tweet/status ID to return embed code for.
string | $url | The URL of the Tweet/status to be embedded.
integer | $maxWidth | The maximum width in pixels that the embed should be rendered at. This value is constrained to be between 250 and 550 pixels.
boolean | $hideMedia | Specifies whether the embedded Tweet should automatically expand images which were uploaded via POST statuses/update_with_media.
boolean | $hideThread | Specifies whether the embedded Tweet should automatically show the original message in the case that the embedded Tweet is a reply.
boolean | $omitScript | Specifies whether the embedded Tweet HTML should include a <script> element pointing to widgets.js. In cases where a page already includes widgets.js, setting this value to true will prevent a redundant script element from being included.
string | $align | Specifies whether the embedded Tweet should be left aligned, right aligned, or centered in the page. Valid values are left, right, center, and none.
string | $related | A value for the TWT related parameter, as described in Web Intents. This value will be forwarded to all Web Intents calls.
string | $lang | Language code for the rendered embed. This will affect the text and localization of the rendered HTML.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $id, $lang, $path, $url, et elseif.

◆ getRetweeters()

getRetweeters | ( | $id,
 |  | $count = 20,
 |  | $cursor = null,
 |  | $stringifyIds = null
 | ) |

Method to show user objects of up to 100 members who retweeted the status.

Paramètres
integer | $id | The numerical ID of the desired status.
integer | $count | Specifies the number of retweets to try and retrieve, up to a maximum of 100.
integer | $cursor | Causes the list of IDs to be broken into pages of no more than 100 IDs at a time. The number of IDs returned is not guaranteed to be 100 as suspended users are filtered out after connections are queried. If no cursor is provided, a value of -1 will be assumed, which is the first "page."
boolean | $stringifyIds | Set to true to return IDs as strings, false to return as integers.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $count, $data, $id, et $path.

◆ getRetweetsById()

getRetweetsById | ( | $id,
 |  | $count = 20,
 |  | $trimUser = null
 | ) |

Method to get up to 100 of the first retweets of a given tweet.

Paramètres
integer | $id | The numerical ID of the desired status.
integer | $count | Specifies the number of tweets to try and retrieve, up to a maximum of 200. Retweets are always included in the count, so it is always suggested to set $includeRts to true
boolean | $trimUser | When set to true, each tweet returned in a timeline will include a user object including only the status author's numerical ID.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $count, $data, $id, et $path.

◆ getRetweetsOfMe()

getRetweetsOfMe | ( | $count = 20,
 |  | $sinceId = 0,
 |  | $entities = null,
 |  | $userEntities = null,
 |  | $maxId = 0,
 |  | $trimUser = null
 | ) |

Method to get the most recent tweets of the authenticated user that have been retweeted by others.

Paramètres
integer | $count | Specifies the number of tweets to try and retrieve, up to a maximum of 200. Retweets are always included in the count, so it is always suggested to set $includeRts to true
integer | $sinceId | Returns results with an ID greater than (that is, more recent than) the specified ID.
boolean | $entities | When set to true, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $userEntities | The user entities node will be disincluded when set to false.
integer | $maxId | Returns results with an ID less than (that is, older than) the specified ID.
boolean | $trimUser | When set to true, each tweet returned in a timeline will include a user object including only the status author's numerical ID.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $count, $data, et $path.

◆ getTweetById()

getTweetById | ( | $id,
 |  | $trimUser = null,
 |  | $entities = null,
 |  | $myRetweet = null
 | ) |

Method to get a single tweet with the given ID.

Paramètres
integer | $id | The ID of the tweet to retrieve.
boolean | $trimUser | When set to true, each tweet returned in a timeline will include a user object including only the status author's numerical ID.
boolean | $entities | When set to true, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
boolean | $myRetweet | When set to either true, t or 1, any statuses returned that have been retweeted by the authenticating user will include an additional current_user_retweet node, containing the ID of the source status for the retweet.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $id, et $path.

◆ getUserTimeline()

getUserTimeline | ( | $user,
 |  | $count = 20,
 |  | $includeRts = null,
 |  | $noReplies = null,
 |  | $sinceId = 0,
 |  | $maxId = 0,
 |  | $trimUser = null,
 |  | $contributor = null
 | ) |

Method to retrieve the latest statuses from the specified user timeline.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
integer | $count | Specifies the number of tweets to try and retrieve, up to a maximum of 200. Retweets are always included in the count, so it is always suggested to set $includeRts to true
boolean | $includeRts | When set to true, the timeline will contain native retweets in addition to the standard stream of tweets.
boolean | $noReplies | This parameter will prevent replies from appearing in the returned timeline. This parameter is only supported for JSON and XML responses.
integer | $sinceId | Returns results with an ID greater than (that is, more recent than) the specified ID.
integer | $maxId | Returns results with an ID less than (that is, older than) the specified ID.
boolean | $trimUser | When set to true, each tweet returned in a timeline will include a user object including only the status author's numerical ID.
boolean | $contributor | This parameter enhances the contributors element of the status response to include the screen_name of the contributor. By default only the user_id of the contributor is included.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $count, $data, $path, $user, et elseif.

◆ retweet()

retweet | ( | $id,
 |  | $trimUser = null
 | ) |

Method to retweet a tweet.

Paramètres
integer | $id | The numerical ID of the desired status.
boolean | $trimUser | When set to true, each tweet returned in a timeline will include a user object including only the status author's numerical ID.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $id, et $path.

◆ tweet()

tweet | ( | $status,
 |  | $inReplyToStatusId = null,
 |  | $lat = null,
 |  | $long = null,
 |  | $placeId = null,
 |  | $displayCoordinates = null,
 |  | $trimUser = null
 | ) |

Method to post a tweet.

Paramètres
string | $status | The text of the tweet.
integer | $inReplyToStatusId | The ID of an existing status that the update is in reply to.
float | $lat | The latitude of the location this tweet refers to.
float | $long | The longitude of the location this tweet refers to.
string | $placeId | A place in the world.
boolean | $displayCoordinates | Whether or not to put a pin on the exact coordinates a tweet has been sent from.
boolean | $trimUser | When set to true, each tweet returned in a timeline will include a user object including only the status author's numerical ID.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, et $path.

◆ tweetWithMedia()

tweetWithMedia | ( | $status,
 |  | $media,
 |  | $inReplyToStatusId = null,
 |  | $lat = null,
 |  | $long = null,
 |  | $placeId = null,
 |  | $displayCoordinates = null,
 |  | $sensitive = null
 | ) |

Method to post a tweet with media.

Paramètres
string | $status | The text of the tweet.
string | $media | File to upload
integer | $inReplyToStatusId | The ID of an existing status that the update is in reply to.
float | $lat | The latitude of the location this tweet refers to.
float | $long | The longitude of the location this tweet refers to.
string | $placeId | A place in the world.
boolean | $displayCoordinates | Whether or not to put a pin on the exact coordinates a tweet has been sent from.
boolean | $sensitive | Set to true for content which may not be suitable for every audience.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • twitter/statuses.php


Joomla CMS: Référence de la classe JTwitterTrends

Fonctions membres publiques
Référence de la classe JTwitterTrends
+ Graphe d'héritage de JTwitterTrends:
JTwitterObject

Fonctions membres publiques

getTrends ($id, $exclude=null)
getLocations ()
getClosest ($lat=null, $long=null)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Trends class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ getClosest()

getClosest | ( | $lat = null,
 |  | $long = null
 | ) |

Method to get the locations that Twitter has trending topic information for, closest to a specified location.

Paramètres
float | $lat | The latitude to search around.
float | $long | The longitude to search around.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, et $path.

◆ getLocations()

getLocations ( )

Method to get the locations that Twitter has trending topic information for.

Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $path.

◆ getTrends()

getTrends | ( | $id,
 |  | $exclude = null
 | ) |

Method to get the top 10 trending topics for a specific WOEID, if trending information is available for it.

Paramètres
integer | $id | The Yahoo! Where On Earth ID of the location to return trending information for. Global information is available by using 1 as the WOEID.
string | $exclude | Setting this equal to hashtags will remove all hashtags from the trends list.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $id, et $path.

La documentation de cette classe a été générée à partir du fichier suivant :
  • trends.php


Joomla CMS: Référence de la classe JTwitterUsers

Fonctions membres publiques
Référence de la classe JTwitterUsers
+ Graphe d'héritage de JTwitterUsers:
JTwitterObject

Fonctions membres publiques

getUsersLookup ($screenName=null, $id=null, $entities=null)
getUserProfileBanner ($user)
searchUsers ($query, $page=0, $count=0, $entities=null)
getUser ($user, $entities=null)
getContributees ($user, $entities=null, $skipStatus=null)
getContributors ($user, $entities=null, $skipStatus=null)
getSuggestions ($lang=null)
getSuggestionsSlug ($slug, $lang=null)
getSuggestionsSlugMembers ($slug)
- Fonctions membres publiques hérités de JTwitterObject
__construct (Registry &$options=null, JHttp $client=null, JTwitterOAuth $oauth=null)
checkRateLimit ($resource=null, $action=null)
fetchUrl ($path, $parameters=null)
getRateLimit ($resource)
sendRequest ($path, $method='GET', $data=array(), $headers=array())
getOption ($key)
setOption ($key, $value)

Membres hérités additionnels

- Attributs protégés hérités de JTwitterObject
$options
$client
$oauth

Description détaillée

Twitter API Users class for the Joomla Platform.

Depuis
3.1.4
Obsolète:
4.0 Use the joomla/twitter package via Composer instead

Documentation des fonctions membres

◆ getContributees()

getContributees | ( | $user,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to get an array of users that the specified user can contribute to.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
boolean | $entities | Set to true to return IDs as strings, false to return as integers.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $user, et elseif.

◆ getContributors()

getContributors | ( | $user,
 |  | $entities = null,
 |  | $skipStatus = null
 | ) |

Method to get an array of users who can contribute to the specified account.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
boolean | $entities | Set to true to return IDs as strings, false to return as integers.
boolean | $skipStatus | When set to either true, t or 1 statuses will not be included in the returned user objects.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $user, et elseif.

◆ getSuggestions()

getSuggestions ( $lang = null )

Method access to Twitter's suggested user list.

Paramètres
boolean $lang Restricts the suggested categories to the requested language.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $lang, et $path.

◆ getSuggestionsSlug()

getSuggestionsSlug | ( | $slug,
 |  | $lang = null
 | ) |

method to access the users in a given category of the Twitter suggested user list.

Paramètres
string | $slug | The short name of list or a category.
boolean | $lang | Restricts the suggested categories to the requested language.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $lang, et $path.

◆ getSuggestionsSlugMembers()

getSuggestionsSlugMembers ( $slug )

Method to access the users in a given category of the Twitter suggested user list and return their most recent status if they are not a protected user.

Paramètres
string $slug The short name of list or a category.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $path.

◆ getUser()

getUser | ( | $user,
 |  | $entities = null
 | ) |

Method to get extended information of a given user, specified by ID or screen name as per the required id parameter.

Paramètres
mixed | $user | Either an integer containing the user ID or a string containing the screen name.
boolean | $entities | Set to true to return IDs as strings, false to return as integers.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $path, $user, et elseif.

◆ getUserProfileBanner()

getUserProfileBanner ( $user )

Method to access the profile banner in various sizes for the user with the indicated screen_name.

Paramètres
mixed $user Either an integer containing the user ID or a string containing the screen name.
Renvoie
array The decoded JSON response
Depuis
3.1.4

Références $data, $path, $user, et elseif.

◆ getUsersLookup()

getUsersLookup | ( | $screenName = null,
 |  | $id = null,
 |  | $entities = null
 | ) |

Method to get up to 100 users worth of extended information, specified by either ID, screen name, or combination of the two.

Paramètres
string | $screenName | A comma separated list of screen names, up to 100 are allowed in a single request.
string | $id | A comma separated list of user IDs, up to 100 are allowed in a single request.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $data, $id, $path, et null.

◆ searchUsers()

searchUsers | ( | $query,
 |  | $page = 0,
 |  | $count = 0,
 |  | $entities = null
 | ) |

Method used to search for users

Paramètres
string | $query | The search query to run against people search.
integer | $page | Specifies the page of results to retrieve.
integer | $count | The number of people to retrieve. Maximum of 20 allowed per page.
boolean | $entities | When set to either true, t or 1, each tweet will include a node called "entities,". This node offers a variety of metadata about the tweet in a discreet structure, including: user_mentions, urls, and hashtags.
Renvoie
array The decoded JSON response
Depuis
3.1.4
Exceptions
RuntimeException

Références $count, $data, $path, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/twitter/users.php


Joomla CMS: Référence de l'interface JView

Fonctions membres publiques
Référence de l'interface JView
+ Graphe d'héritage de JView:
JViewBase JViewHtml ConfigViewCmsHtml InstallationViewCompleteHtml InstallationViewDefault InstallationViewDefaultlanguageHtml InstallationViewInstallHtml InstallationViewLanguagesHtml InstallationViewRemoveHtml ConfigViewApplicationHtml ConfigViewCmsJson ConfigViewComponentHtml ConfigViewConfigHtml ConfigViewModulesHtml ConfigViewTemplatesHtml InstallationViewPreinstallHtml InstallationViewSummaryHtml

Fonctions membres publiques

escape ($output)
render ()

Description détaillée

Joomla Platform View Interface

Depuis
3.0.0
Obsolète:
4.0 Use the default MVC library

Documentation des fonctions membres

◆ escape()

escape ( $output )

Method to escape output.

Paramètres
string $output The output to escape.
Renvoie
string The escaped output.
Depuis
3.0.0

Implémenté dans JViewHtml, et JViewBase.

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.0.0
Exceptions
RuntimeException

Implémenté dans JViewHtml, InstallationViewCompleteHtml, InstallationViewInstallHtml, InstallationViewSummaryHtml, InstallationViewDefaultlanguageHtml, InstallationViewDefault, InstallationViewLanguagesHtml, InstallationViewPreinstallHtml, ConfigViewComponentHtml, ConfigViewApplicationHtml, ConfigViewModulesHtml, ConfigViewApplicationJson, ConfigViewCmsJson, ConfigViewConfigHtml, et ConfigViewTemplatesHtml.

La documentation de cette interface a été générée à partir du fichier suivant :
  • libraries/joomla/view/view.php


Joomla CMS: Référence de la classe JViewBase

Fonctions membres publiques | Attributs protégés
Référence de la classe JViewBase
+ Graphe d'héritage de JViewBase:
JView JViewHtml ConfigViewCmsHtml InstallationViewCompleteHtml InstallationViewDefault InstallationViewDefaultlanguageHtml InstallationViewInstallHtml InstallationViewLanguagesHtml InstallationViewRemoveHtml ConfigViewApplicationHtml ConfigViewCmsJson ConfigViewComponentHtml ConfigViewConfigHtml ConfigViewModulesHtml ConfigViewTemplatesHtml InstallationViewPreinstallHtml InstallationViewSummaryHtml

Fonctions membres publiques

__construct (JModel $model)
escape ($output)
- Fonctions membres publiques hérités de JView
render ()

Attributs protégés

$model

Description détaillée

Joomla Platform Base View Class

Depuis
3.0.0
Obsolète:
4.0 Use the default MVC library

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( JModel $model )

Method to instantiate the view.

Paramètres
JModel $model The model object.
Depuis
3.0.0

Documentation des fonctions membres

◆ escape()

escape ( $output )

Method to escape output.

Paramètres
string $output The output to escape.
Renvoie
string The escaped output.
Voir également
JView::escape()
Depuis
3.0.0

Implémente JView.

Références $output.

Documentation des champs

◆ $model

$model
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/view/base.php


Joomla CMS: Référence de la classe JViewHtml

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe JViewHtml
+ Graphe d'héritage de JViewHtml:
JViewBase JView ConfigViewCmsHtml InstallationViewCompleteHtml InstallationViewDefault InstallationViewDefaultlanguageHtml InstallationViewInstallHtml InstallationViewLanguagesHtml InstallationViewRemoveHtml ConfigViewApplicationHtml ConfigViewCmsJson ConfigViewComponentHtml ConfigViewConfigHtml ConfigViewModulesHtml ConfigViewTemplatesHtml InstallationViewPreinstallHtml InstallationViewSummaryHtml

Fonctions membres publiques

__construct (JModel $model, SplPriorityQueue $paths=null)
__toString ()
escape ($output)
getLayout ()
getPath ($layout)
getPaths ()
render ()
setLayout ($layout)
setPaths (SplPriorityQueue $paths)
- Fonctions membres publiques hérités de JViewBase
__construct (JModel $model)
escape ($output)

Fonctions membres protégées

loadPaths ()

Attributs protégés

$layout = 'default'
$paths
- Attributs protégés hérités de JViewBase
$model

Description détaillée

Joomla Platform HTML View Class

Depuis
3.0.0
Obsolète:
4.0 Use the default MVC library

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | JModel | $model,
 |  | SplPriorityQueue | $paths = null
 | ) |  |

Method to instantiate the view.

Paramètres
JModel | $model | The model object.
SplPriorityQueue | $paths | The paths queue.
Depuis
3.0.0

Documentation des fonctions membres

◆ __toString()

__toString ( )

Magic toString method that is a proxy for the render method.

Renvoie
string
Depuis
3.0.0

◆ escape()

escape ( $output )

Method to escape output.

Paramètres
string $output The output to escape.
Renvoie
string The escaped output.
Note
the ENT_COMPAT flag will be replaced by ENT_QUOTES in Joomla 4.0 to also escape single quotes
Voir également
JView::escape()
Depuis
3.0.0

Implémente JView.

Références $output, ENT_COMPAT, et htmlspecialchars.

◆ getLayout()

getLayout ( )

Method to get the view layout.

Renvoie
string The layout name.
Depuis
3.0.0

Références $layout.

◆ getPath()

getPath ( $layout )

Method to get the layout path.

Paramètres
string $layout The layout name.
Renvoie
mixed The layout file name if found, false otherwise.
Depuis
3.0.0

Références $file, $layout, et $path.

◆ getPaths()

getPaths ( )

Method to get the view paths.

Renvoie
SplPriorityQueue The paths queue.
Depuis
3.0.0

◆ loadPaths()

loadPaths ( )
protected

Method to load the paths queue.

Renvoie
SplPriorityQueue The paths queue.
Depuis
3.0.0

◆ render()

render ( )

Method to render the view.

Renvoie
string The rendered view.
Depuis
3.0.0
Exceptions
RuntimeException

Implémente JView.

Références $output, et $path.

◆ setLayout()

setLayout ( $layout )

Method to set the view layout.

Paramètres
string $layout The layout name.
Renvoie
JViewHtml Method supports chaining.
Depuis
3.0.0

Références $layout.

◆ setPaths()

setPaths ( SplPriorityQueue $paths )

Method to set the view paths.

Paramètres
SplPriorityQueue $paths The paths queue.
Renvoie
JViewHtml Method supports chaining.
Depuis
3.0.0

Documentation des champs

◆ $layout

$layout = 'default'
protected

◆ $paths

$paths
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • libraries/joomla/view/html.php


Joomla CMS: Référence de la classe JXMLElement

Fonctions membres publiques
Référence de la classe JXMLElement
+ Graphe d'héritage de JXMLElement:

Fonctions membres publiques

name ()
asFormattedXml ($compressed=false, $indent="\, $level=0)

Description détaillée

Wrapper class for php SimpleXMLElement.

Depuis
1.6
Obsolète:
3.0 Use SimpleXMLElement instead.

Documentation des fonctions membres

◆ asFormattedXml()

asFormattedXml | ( | $compressed = false,
 |  | $indent = "\t",
 |  | $level = 0
 | ) |

Return a well-formed XML string based on SimpleXML element

Paramètres
boolean | $compressed | Should we use indentation and newlines ?
string | $indent | Indention character.
integer | $level | The level within the document which informs the indentation.
Renvoie
string
Depuis
1.6
Obsolète:
3.0 Use SimpleXMLElement::asXml() instead.

Références $attr, children, elseif, ENT_COMPAT, et htmlspecialchars.

◆ name()

name ( )

Get the name of the element.

Renvoie
string
Depuis
1.6
Obsolète:
3.0 Use SimpleXMLElement::getName() instead.
La documentation de cette classe a été générée à partir du fichier suivant :
  • xmlelement.php


Joomla CMS: Référence de la classe KeychainManager

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe KeychainManager
+ Graphe d'héritage de KeychainManager:

Fonctions membres publiques

execute ()

Fonctions membres protégées

loadKeychain ()
saveKeychain ()
initPassphraseFile ()
create ()
change ()
read ()
delete ()
listEntries ()
displayHelp ()

Attributs protégés

$updated = false
$keychain = null

Fonctions membres privées

dumpVar ($var)

Description détaillée

Keychain Manager.

Depuis
3.1.4

Documentation des fonctions membres

◆ change()

change ( )
protected

Change an existing entry to a new value or create an entry if missing.

Renvoie
void
Depuis
3.1.4

Référencé par create(), et execute().

◆ create()

create ( )
protected

Create a new entry

Renvoie
void
Depuis
3.1.4

Références change().

Référencé par execute().

◆ delete()

delete ( )
protected

Delete an entry from the keychain

Renvoie
void
Depuis
3.1.4

◆ displayHelp()

displayHelp ( )
protected

Display the help information

Renvoie
void
Depuis
3.1.4

Référencé par execute().

◆ dumpVar()

dumpVar ( $var )
private

Get the string from var_dump

Paramètres
mixed $var The variable you want to have dumped.
Renvoie
string The result of var_dump
Depuis
3.1.4

Référencé par listEntries(), et read().

◆ execute()

execute ( )

Execute the application

Renvoie
void
Depuis
3.1.4

Références change(), create(), displayHelp(), initPassphraseFile(), listEntries(), loadKeychain(), read(), et saveKeychain().

◆ initPassphraseFile()

initPassphraseFile ( )
protected

Initialise a new passphrase file.

Renvoie
void
Depuis
3.1.4

Références $keychain, et Registry\get().

Référencé par execute().

◆ listEntries()

listEntries ( )
protected

List entries in the keychain

Renvoie
void
Depuis
3.1.4

Références $key, $value, et dumpVar().

Référencé par execute().

◆ loadKeychain()

loadKeychain ( )
protected

Load the keychain from a file.

Renvoie
void
Depuis
3.1.4

Références $keychain, et JKeychain\loadKeychain().

Référencé par execute().

◆ read()

read ( )
protected

Read an entry from the keychain

Renvoie
void
Depuis
3.1.4

Références $key, et dumpVar().

Référencé par execute().

◆ saveKeychain()

saveKeychain ( )
protected

Save this keychain to a file.

Renvoie
void
Depuis
3.1.4

Références $keychain.

Référencé par execute().

Documentation des champs

◆ $keychain

$keychain = null
protected

Référencé par initPassphraseFile(), loadKeychain(), et saveKeychain().

◆ $updated

$updated = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • bin/keychain.php


Joomla CMS: Référence de la classe LanguagesController

Fonctions membres publiques | Attributs protégés
Référence de la classe LanguagesController
+ Graphe d'héritage de LanguagesController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)

Attributs protégés

$default_view = 'installed'

Description détaillée

Languages Controller.

Depuis
1.5

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached.
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
LanguagesController This object to support chaining.
Depuis
1.5

Références $id, $layout, $view, JPATH_ADMINISTRATOR, et JLoader\register().

Documentation des champs

◆ $default_view

$default_view = 'installed'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/controller.php


Joomla CMS: Référence de la classe LanguagesControllerInstalled

Fonctions membres publiques
Référence de la classe LanguagesControllerInstalled
+ Graphe d'héritage de LanguagesControllerInstalled:

Fonctions membres publiques

setDefault ()
switchAdminLanguage ()

Description détaillée

Languages Controller.

Depuis
1.5

Documentation des fonctions membres

◆ setDefault()

setDefault ( )

Task to set the default language.

Renvoie
void

Références $clientId, $language, $type, et JPATH_ADMINISTRATOR.

◆ switchAdminLanguage()

switchAdminLanguage ( )

Task to switch the administrator language.

Renvoie
void

Références $file, $info, $language, $type, et JPATH_ADMINISTRATOR.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/controllers/installed.php


Joomla CMS: Référence de la classe LanguagesControllerLanguage

Fonctions membres protégées
Référence de la classe LanguagesControllerLanguage
+ Graphe d'héritage de LanguagesControllerLanguage:

Fonctions membres protégées

getRedirectToItemAppend ($recordId=null, $key='lang_id')

Description détaillée

Languages list actions controller.

Depuis
1.6

Documentation des fonctions membres

◆ getRedirectToItemAppend()

getRedirectToItemAppend | ( | $recordId = null,
 |  | $key = 'lang_id'
 | ) |
protected

Gets the URL arguments to append to an item redirect.

Paramètres
int | $recordId | The primary key id for the item.
string | $key | The name of the primary key variable.
Renvoie
string The arguments to append to the redirect URL.
Depuis
1.6

Références $key.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/controllers/language.php


Joomla CMS: Référence de la classe LanguagesControllerLanguages

Fonctions membres publiques
Référence de la classe LanguagesControllerLanguages
+ Graphe d'héritage de LanguagesControllerLanguages:

Fonctions membres publiques

getModel ($name='Language', $prefix='LanguagesModel', $config=array('ignore_request'=> true))
saveOrderAjax ()

Description détaillée

Languages controller Class.

Depuis
1.6

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Language',
 |  | $prefix = 'LanguagesModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $config, $name, et $prefix.

◆ saveOrderAjax()

saveOrderAjax ( )

Method to save the submitted ordering values for records via AJAX.

Renvoie
void
Depuis
3.1

Références $i, et $return.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/controllers/languages.php


Joomla CMS: Référence de la classe LanguagesControllerOverride

Fonctions membres publiques
Référence de la classe LanguagesControllerOverride
+ Graphe d'héritage de LanguagesControllerOverride:

Fonctions membres publiques

edit ($key=null, $urlVar=null)
save ($key=null, $urlVar=null)
cancel ($key=null)

Description détaillée

Languages Override Controller

Depuis
2.5

Documentation des fonctions membres

◆ cancel()

cancel ( $key = null )

Method to cancel an edit.

Paramètres
string $key The name of the primary key of the URL variable (not used here).
Renvoie
void
Depuis
2.5

Références $app, $context, null, et option.

◆ edit()

edit | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to edit an existing override.

Paramètres
string | $key | The name of the primary key of the URL variable (not used here).
string | $urlVar | The name of the URL variable if different from the primary key (not used here).
Renvoie
void
Depuis
2.5

Références $app, $context, null, et option.

◆ save()

save | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to save an override.

Paramètres
string | $key | The name of the primary key of the URL variable (not used here).
string | $urlVar | The name of the URL variable if different from the primary key (not used here).
Renvoie
void
Depuis
2.5

Références $app, $context, $data, $form, $i, $n, $task, JPATH_ADMINISTRATOR, null, option, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/override.php


Joomla CMS: Référence de la classe LanguagesControllerOverrides

Fonctions membres publiques | Attributs protégés
Référence de la classe LanguagesControllerOverrides
+ Graphe d'héritage de LanguagesControllerOverrides:

Fonctions membres publiques

delete ()
purge ()

Attributs protégés

$text_prefix = 'COM_LANGUAGES_VIEW_OVERRIDES'

Description détaillée

Languages Overrides Controller.

Depuis
2.5

Documentation des fonctions membres

◆ delete()

delete ( )

Method for deleting one or more overrides.

Renvoie
void
Depuis
2.5

Références option.

◆ purge()

purge ( )

Method to purge the overrider table.

Renvoie
void
Depuis
3.4.2

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_LANGUAGES_VIEW_OVERRIDES'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/overrides.php


Joomla CMS: Référence de la classe LanguagesControllerStrings

Fonctions membres publiques
Référence de la classe LanguagesControllerStrings
+ Graphe d'héritage de LanguagesControllerStrings:

Fonctions membres publiques

refresh ()
search ()

Description détaillée

Languages Strings JSON Controller

Depuis
2.5

Documentation des fonctions membres

◆ refresh()

refresh ( )

Method for refreshing the cache in the database with the known language strings

Renvoie
void
Depuis
2.5

◆ search()

search ( )

Method for searching language strings

Renvoie
void
Depuis
2.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • strings.json.php


Joomla CMS: Référence de la classe LanguagesHelper

Fonctions membres publiques statiques
Référence de la classe LanguagesHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName, $client=0)
static | getActions ()
static | parseFile ($fileName)
static | filterKey ($value)
static | filterText ($value)

Description détaillée

Languages component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu | ( | $vName,
 |  | $client = 0
 | ) |
static

Configure the Linkbar.

Paramètres
string | $vName | The name of the active view.
int | $client | The client id of the active view. Maybe be 0 or 1.
Renvoie
void
Obsolète:
4.0 $client parameter is not needed anymore.

Références JHtmlSidebar\addEntry().

Référencé par LanguagesViewLanguages\display(), LanguagesViewOverrides\display(), et LanguagesViewInstalled\display().

◆ filterKey()

static filterKey ( $value )
static

Filter method for language keys. This method will be called by JForm while filtering the form data.

Paramètres
string $value The language key to filter.
Renvoie
string The filtered language key.
Depuis
2.5

Références $filter, $value, et null.

◆ filterText()

static filterText ( $value )
static

Filter method for language strings. This method will be called by JForm while filtering the form data.

Paramètres
string $value The language string to filter.
Renvoie
string The filtered language string.
Depuis
2.5

Références $filter, $value, et null.

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject
Obsolète:
3.2 Use JHelperContent::getActions() instead.

◆ parseFile()

static parseFile ( $fileName )
static

Method for parsing ini files.

Paramètres
string $fileName Path and name of the ini file to parse.
Renvoie
array Array of strings found in the file, the array indices will be the keys. On failure an empty array will be returned.
Depuis
2.5
Obsolète:
3.9.0 Use JLanguageHelper::parseIniFile() instead.

Référencé par LanguagesModelStrings\refresh().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/helpers/languages.php


Joomla CMS: Référence de la classe LanguagesModelInstalled

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe LanguagesModelInstalled
+ Graphe d'héritage de LanguagesModelInstalled:

Fonctions membres publiques

__construct ($config=array())
getClient ()
getFtp ()
getOption ()
getData ()
getTotal ()
publish ($cid)
switchAdminLanguage ($cid)

Fonctions membres protégées

populateState ($ordering='name', $direction='asc')
getStoreId ($id='')
getLanguageList ()
getFolders ()
getPath ()
compareLanguages ($lang1, $lang2)

Attributs protégés

$client = null
$user = null
$ftp = null
$option = null
$data = null
$total = null
$langlist = null
$path = null

Description détaillée

Languages Component Languages Model

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
3.5

Références $config.

Documentation des fonctions membres

◆ compareLanguages()

compareLanguages | ( | $lang1,
 |  | $lang2
 | ) |
protected

Method to compare two languages in order to sort them.

Paramètres
object | $lang1 | The first language.
object | $lang2 | The second language.
Renvoie
integer
Depuis
1.6
Obsolète:
4.0

◆ getClient()

getClient ( )

Method to get the client object.

Renvoie
object
Depuis
1.6

◆ getData()

getData ( )

Method to get Languages item data.

Renvoie
array
Depuis
1.6

Références $clientId, $key, $lang, $limit, $listDirn, $listOrder, $params, $row, $start, ENT_QUOTES, name, et null.

◆ getFolders()

getFolders ( )
protected

Method to get the folders.

Renvoie
array Languages folders.
Depuis
1.6

Références $path, et jimport().

◆ getFtp()

getFtp ( )

Method to get the ftp credentials.

Renvoie
object
Depuis
1.6

◆ getLanguageList()

getLanguageList ( )
protected

Method to get installed languages data.

Renvoie
string An SQL query.
Depuis
1.6
Obsolète:
4.0

Références $client, $db, $query, et $type.

◆ getOption()

getOption ( )

Method to get the option.

Renvoie
object
Depuis
1.6

Références $option.

◆ getPath()

getPath ( )
protected

Method to get the path.

Renvoie
string The path to the languages folders.
Depuis
1.6

Références $client, et $path.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ getTotal()

getTotal ( )

Method to get the total number of Languages items.

Renvoie
integer
Depuis
1.6

Références $total.

◆ populateState()

populateState | ( | $ordering = 'name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $clientId, $direction, $ordering, et $params.

◆ publish()

publish ( $cid )

Method to set the default language.

Paramètres
integer $cid Id of the language to publish.
Renvoie
boolean
Depuis
1.6

Références $client, $id, et $params.

◆ switchAdminLanguage()

switchAdminLanguage ( $cid )

Method to switch the administrator language.

Paramètres
string $cid The language tag.
Renvoie
boolean
Depuis
3.5

Références $client, et JError\raiseWarning().

Documentation des champs

◆ $client

$client = null
protected

◆ $data

$data = null
protected

◆ $ftp

$ftp = null
protected

◆ $langlist

$langlist = null
protected

◆ $option

$option = null
protected

◆ $path

$path = null
protected

◆ $total

$total = null
protected

◆ $user

$user = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/models/installed.php


Joomla CMS: Référence de la classe LanguagesModelLanguage

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe LanguagesModelLanguage
+ Graphe d'héritage de LanguagesModelLanguage:

Fonctions membres publiques

__construct ($config=array())
getTable ($name='', $prefix='', $options=array())
getItem ($langId=null)
getForm ($data=array(), $loadData=true)
save ($data)

Fonctions membres protégées

populateState ()
loadFormData ()
cleanCache ($group=null, $clientId=0)

Description détaillée

Languages Component Language Model

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.

Références $config.

Documentation des fonctions membres

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Custom clean cache method.

Paramètres
string | $group | Optional cache group name.
integer | $clientId | Application client id.
Renvoie
void
Depuis
1.6

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the group form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure.
Depuis
1.6

Références $form.

◆ getItem()

getItem ( $langId = null )

Method to get a member item.

Paramètres
integer $langId The id of the member to get.
Renvoie
mixed User data object on success, false on failure.
Depuis
1.0

Références $return, $value, et ArrayHelper\toObject().

◆ getTable()

getTable | ( | $name = '',
 |  | $prefix = '',
 |  | $options = array()
 | ) |

Override to get the table.

Paramètres
string | $name | Name of the table.
string | $prefix | Table name prefix.
array | $options | Array of options.
Renvoie
JTable
Depuis
1.6

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, et $params.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $context, $data, $dispatcher, $name, JEventDispatcher\getInstance(), et option.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/models/language.php


Joomla CMS: Référence de la classe LanguagesModelLanguages

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe LanguagesModelLanguages
+ Graphe d'héritage de LanguagesModelLanguages:

Fonctions membres publiques

__construct ($config=array())
setPublished ($cid, $value=0)
delete ($pks)

Fonctions membres protégées

populateState ($ordering='a.ordering', $direction='asc')
getStoreId ($id='')
getListQuery ()
cleanCache ($group=null, $clientId=0)

Description détaillée

Languages Model Class

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Custom clean cache method, 2 places for 2 clients.

Paramètres
string | $group | Optional cache group name.
integer | $clientId | Application client id.
Renvoie
void
Depuis
1.6

◆ delete()

delete ( $pks )

Method to delete records.

Paramètres
array $pks An array of item primary keys.
Renvoie
boolean Returns true on success, false on failure.
Depuis
1.6

Références $itemId.

◆ getListQuery()

getListQuery ( )
protected

Method to build an SQL query to load the list data.

Renvoie
string An SQL query
Depuis
1.6

Références $db, $published, $query, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.ordering',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, $ordering, et $params.

◆ setPublished()

setPublished | ( | $cid,
 |  | $value = 0
 | ) |

Set the published language(s).

Paramètres
array | $cid | An array of language IDs.
integer | $value | The value of the published state.
Renvoie
boolean True on success, false otherwise.
Depuis
1.6

Références $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/models/languages.php


Joomla CMS: Référence de la classe LanguagesModelOverride

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe LanguagesModelOverride
+ Graphe d'héritage de LanguagesModelOverride:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getItem ($pk=null)
save ($data, $oppositeClient=false)

Fonctions membres protégées

loadFormData ()
populateState ()

Description détaillée

Languages Override Model

Depuis
2.5

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure.
Depuis
2.5

Références $client, $form, $language, et null.

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
string $pk The key name.
Renvoie
mixed Object on success, false otherwise.
Depuis
2.5

Références $input, $oppositeFileName, et $oppositeStrings.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
2.5

Références $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
2.5

Références $app, $client, et $language.

◆ save()

save | ( | $data,
 |  | $oppositeClient = false
 | ) |

Method to save the form data.

Paramètres
array | $data | The form data.
boolean | $oppositeClient | Indicates whether the override should not be created for the current client.
Renvoie
boolean True on success, false otherwise.
Depuis
2.5

Références $app, $client, $data, $language, $oppositeClient, et jimport().

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/override.php


Joomla CMS: Référence de la classe LanguagesModelOverrides

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe LanguagesModelOverrides
+ Graphe d'héritage de LanguagesModelOverrides:

Fonctions membres publiques

__construct ($config=array())
getOverrides ($all=false)
getTotal ()
delete ($cids)
purge ()

Fonctions membres protégées

populateState ($ordering='key', $direction='asc')

Description détaillée

Languages Overrides Model

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
2.5

Références $config.

Documentation des fonctions membres

◆ delete()

delete ( $cids )

Method to delete one or more overrides.

Paramètres
array $cids Array of keys to delete.
Renvoie
integer Number of successfully deleted overrides, boolean false if an error occurred.
Depuis
2.5

Références $client, $key, et jimport().

◆ getOverrides()

getOverrides ( $all = false )

Retrieves the overrides data

Paramètres
boolean $all True if all overrides shall be returned without considering pagination, defaults to false
Renvoie
array Array of objects containing the overrides of the override.ini file
Depuis
2.5

Références $client.

◆ getTotal()

getTotal ( )

Method to get the total number of overrides.

Renvoie
integer The total number of overrides.
Depuis
2.5

◆ populateState()

populateState | ( | $ordering = 'key',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
2.5

Références $app, $client, $direction, $language, et $ordering.

◆ purge()

purge ( )

Removes all of the cached strings from the table.

Renvoie
boolean result of operation
Depuis
3.4.2

Références $db.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/overrides.php


Joomla CMS: Référence de la classe LanguagesModelStrings

Fonctions membres publiques
Référence de la classe LanguagesModelStrings
+ Graphe d'héritage de LanguagesModelStrings:

Fonctions membres publiques

refresh ()
search ()

Description détaillée

Languages Strings Model

Depuis
2.5

Documentation des fonctions membres

◆ refresh()

refresh ( )

Method for refreshing the cache in the database with the known language strings.

Renvoie
boolean True on success, Exception object otherwise.
Depuis
2.5

Références $app, $base, $client, $file, $files, $key, $language, $path, $query, jimport(), JPATH_ADMINISTRATOR, JPATH_PLUGINS, null, LanguagesHelper\parseFile(), et JLoader\register().

◆ search()

search ( )

Method for searching language strings.

Renvoie
array Array of results on success, Exception object otherwise.
Depuis
2.5

Références $filter, $input, $query, et $results.

La documentation de cette classe a été générée à partir du fichier suivant :
  • strings.php


Joomla CMS: Référence de la classe LanguagesViewInstalled

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe LanguagesViewInstalled
+ Graphe d'héritage de LanguagesViewInstalled:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$client = null
$ftp = null
$option = null
$pagination = null
$rows = null
$user = null

Description détaillée

Displays a list of the installed languages.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références JHtmlSidebar\render(), et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse.
Renvoie
void

Références LanguagesHelper\addSubmenu(), et option.

Documentation des champs

◆ $client

$client = null
protected

◆ $ftp

$ftp = null
protected

◆ $option

$option = null
protected

◆ $pagination

$pagination = null
protected

◆ $rows

$rows = null
protected

◆ $user

$user = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/views/installed/view.html.php


Joomla CMS: Référence de la classe LanguagesViewLanguage

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe LanguagesViewLanguage
+ Graphe d'héritage de LanguagesViewLanguage:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$item
$form
$state

Fonctions membres protégées

addToolbar ()

Description détaillée

HTML View class for the Languages component.

Depuis
1.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références item, JPATH_ADMINISTRATOR, JLoader\register(), et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse.
Renvoie
void

Références item.

Documentation des champs

◆ $form

$form

◆ $item

$item

◆ $state

$state
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/views/language/view.html.php


Joomla CMS: Référence de la classe LanguagesViewLanguages

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe LanguagesViewLanguages
+ Graphe d'héritage de LanguagesViewLanguages:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state

Description détaillée

HTML Languages View class for the Languages component.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références elseif, JHtmlSidebar\setAction(), et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse.
Renvoie
void

Références LanguagesHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by.

Renvoie
array Array containing the field name to sort by as the key and display text as value.
Depuis
3.0

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/views/languages/view.html.php


Joomla CMS: Référence de la classe LanguagesViewMultilangstatus

Fonctions membres publiques
Référence de la classe LanguagesViewMultilangstatus
+ Graphe d'héritage de LanguagesViewMultilangstatus:

Fonctions membres publiques

display ($tpl=null)

Description détaillée

Displays the multilang status.

Depuis
1.7.1

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse.
Renvoie
void

Références MultilangstatusHelper\getContacts(), MultilangstatusHelper\getContentlangs(), MultilangstatusHelper\getDefaultHomeModule(), MultilangstatusHelper\getHomes(), MultilangstatusHelper\getLangswitchers(), MultilangstatusHelper\getStatus(), JPATH_ADMINISTRATOR, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/views/multilangstatus/view.html.php


Joomla CMS: Référence de la classe LanguagesViewOverride

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe LanguagesViewOverride
+ Graphe d'héritage de LanguagesViewOverride:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state

Description détaillée

View to edit a language override

Depuis
2.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Adds the page title and toolbar.

Renvoie
void
Depuis
2.5

Références item, et title.

◆ display()

display ( $tpl = null )

Displays the view.

Paramètres
string $tpl The name of the template file to parse
Renvoie
void
Depuis
2.5

Références $app, item, et null.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/views/override/view.html.php


Joomla CMS: Référence de la classe LanguagesViewOverrides

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe LanguagesViewOverrides
+ Graphe d'héritage de LanguagesViewOverrides:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View for language overrides list.

Depuis
2.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Adds the page title and toolbar.

Renvoie
void
Depuis
2.5

Références JHtmlSidebar\render(), JHtmlSidebar\setAction(), et title.

◆ display()

display ( $tpl = null )

Displays the view.

Paramètres
string $tpl The name of the template file to parse.
Renvoie
void
Depuis
2.5

Références LanguagesHelper\addSubmenu(), et items.

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_languages/views/overrides/view.html.php


Joomla CMS: Référence de la classe lessc

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs publics statiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques | Fonctions membres privées
Référence de la classe lessc
+ Graphe d'héritage de lessc:
JLess lessify

Fonctions membres publiques

compileValue ($value)
colorArgs ($args)
assertColor ($value, $error="expected color value")
assertNumber ($value, $error="expecting number")
assertArgs ($value, $expectedArgs, $name="")
toBool ($a)
lib_red ($color)
lib_green ($color)
lib_blue ($color)
__construct ($fname=null)
compile ($string, $name=null)
compileFile ($fname, $outFname=null)
checkedCompile ($in, $out)
cachedCompile ($in, $force=false)
parse ($str=null, $initialVariables=null)
setFormatter ($name)
setPreserveComments ($preserve)
registerFunction ($name, $func)
unregisterFunction ($name)
setVariables ($variables)
unsetVariable ($name)
setImportDir ($dirs)
addImportDir ($dir)
allParsedFiles ()
addParsedFile ($file)
throwError ($msg=null)

Fonctions membres publiques statiques

static | compressList ($items, $delim)
static | preg_quote ($what)
static | ccompile ($in, $out, $less=null)
static | cexecute ($in, $force=false, $less=null)

Champs de données

$vPrefix = '@'
$mPrefix = '$'
$parentSelector = '&'
$importDisabled = false
$importDir = ''

Attributs publics statiques

static | $VERSION = "v0.5.0"
static | $TRUE = array("keyword", "true")
static | $FALSE = array("keyword", "false")

Fonctions membres protégées

findImport ($url)
fileExists ($name)
tryImport ($importPath, $parentBlock, $out)
compileImportedProps ($props, $block, $out, $sourceParser, $importDir)
compileBlock ($block)
compileCSSBlock ($block)
compileMedia ($media)
mediaParent ($scope)
compileNestedBlock ($block, $selectors)
compileRoot ($root)
compileProps ($block, $out)
deduplicate ($lines)
sortProps ($props, $split=false)
compileMediaQuery ($queries)
multiplyMedia ($env, $childQueries=null)
expandParentSelectors (&$tag, $replace)
findClosestSelectors ()
multiplySelectors ($selectors)
compileSelectors ($selectors)
eq ($left, $right)
patternMatch ($block, $orderedArgs, $keywordArgs)
patternMatchAll ($blocks, $orderedArgs, $keywordArgs, $skip=array())
findBlocks ($searchIn, $path, $orderedArgs, $keywordArgs, $seen=array())
zipSetArgs ($args, $orderedValues, $keywordValues)
compileProp ($prop, $block, $out)
lib_pow ($args)
lib_pi ()
lib_mod ($args)
lib_tan ($num)
lib_sin ($num)
lib_cos ($num)
lib_atan ($num)
lib_asin ($num)
lib_acos ($num)
lib_sqrt ($num)
lib_extract ($value)
lib_isnumber ($value)
lib_isstring ($value)
lib_iscolor ($value)
lib_iskeyword ($value)
lib_ispixel ($value)
lib_ispercentage ($value)
lib_isem ($value)
lib_isrem ($value)
lib_rgbahex ($color)
lib_argb ($color)
lib_data_uri ($value)
lib_e ($arg)
lib__sprintf ($args)
lib_floor ($arg)
lib_ceil ($arg)
lib_round ($arg)
lib_unit ($arg)
lib_darken ($args)
lib_lighten ($args)
lib_saturate ($args)
lib_desaturate ($args)
lib_spin ($args)
lib_fadeout ($args)
lib_fadein ($args)
lib_hue ($color)
lib_saturation ($color)
lib_lightness ($color)
lib_alpha ($value)
lib_fade ($args)
lib_percentage ($arg)
lib_tint ($args)
lib_shade ($args)
lib_mix ($args)
lib_contrast ($args)
lib_luma ($color)
toHSL ($color)
toRGB_helper ($comp, $temp1, $temp2)
toRGB ($color)
clamp ($v, $max=1, $min=0)
funcToColor ($func)
reduce ($value, $forExpression=false)
coerceColor ($value)
coerceString ($value)
flattenList ($value)
evaluate ($exp)
stringConcatenate ($left, $right)
fixColor ($c)
op_number_color ($op, $lft, $rgt)
op_color_number ($op, $lft, $rgt)
op_color_color ($op, $left, $right)
op_number_number ($op, $left, $right)
makeOutputBlock ($type, $selectors=null)
pushEnv ($block=null)
popEnv ()
set ($name, $value)
get ($name)
injectVariables ($args)
makeParser ($name)
newFormatter ()

Attributs protégés

$libFunctions = array()
$registeredVars = array()
$preserveComments = false
$numberPrecision = null
$allParsedFiles = array()
$sourceParser = null
$sourceLoc = null

Attributs protégés statiques

static | $nextImportId = 0
static | $cssColors

Fonctions membres privées

toLuma ($color)

Description détaillée

lessphp v0.5.0 http://leafo.net/lessphp

LESS CSS compiler, adapted from http://lesscss.org

Copyright 2013, Leaf Corcoran leafo.nosp@m.t@gm.nosp@m.ail.c.nosp@m.om Licensed under MIT or GPLv3, see LICENSE The LESS compiler and parser.

Converting LESS to CSS is a three stage process. The incoming file is parsed by lessc_parser into a syntax tree, then it is compiled into another tree representing the CSS structure by lessc. The CSS tree is fed into a formatter, like lessc_formatter which then outputs CSS as a string.

During the first compile, all values are reduced, which means that their types are brought to the lowest form before being dump as strings. This handles math equations, variable dereferences, and the like.

The parse function of lessc is the entry point.

In summary:

The lessc class creates an instance of the parser, feeds it LESS code, then transforms the resulting tree to a CSS tree. This class also holds the evaluation context, such as all available mixins and variables at any given time.

The lessc_parser class is only concerned with parsing its input.

The lessc_formatter takes a CSS tree, and dumps it to a formatted string, handling things like indentation.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $fname = null )

Initialize any static state, can initialize parser for a file $opts isn't used yet

Références null.

Documentation des fonctions membres

◆ addImportDir()

addImportDir ( $dir )

◆ addParsedFile()

addParsedFile ( $file )

Références $file, et allParsedFiles().

Référencé par compileFile(), et tryImport().

◆ allParsedFiles()

allParsedFiles ( )

Références $allParsedFiles.

Référencé par addParsedFile(), cachedCompile(), et tryImport().

◆ assertArgs()

assertArgs | ( | $value,
 |  | $expectedArgs,
 |  | $name = ""
 | ) |

Références $name, $value, et throwError().

Référencé par lib_extract(), lib_mod(), et lib_pow().

◆ assertColor()

assertColor | ( | $value,
 |  | $error = "expected color value"
 | ) |

Références $color, $value, coerceColor(), et throwError().

Référencé par colorArgs(), lib_contrast(), lib_hue(), lib_lightness(), lib_mix(), et lib_saturation().

◆ assertNumber()

assertNumber | ( | $value,
 |  | $error = "expecting number"
 | ) |

Références $value, et throwError().

Référencé par lib_acos(), lib_asin(), lib_atan(), lib_ceil(), lib_contrast(), lib_cos(), lib_extract(), lib_floor(), lib_mod(), lib_percentage(), lib_pow(), lib_round(), lib_sin(), lib_sqrt(), lib_tan(), et lib_unit().

◆ cachedCompile()

cachedCompile | ( | $in,
 |  | $force = false
 | ) |

Execute lessphp on a .less file or a lessphp cache structure

The lessphp cache structure contains information about a specific less file having been parsed. It can be used as a hint for future calls to determine whether or not a rebuild is required.

The cache structure contains two important keys that may be used externally:

compiled: The final compiled CSS updated: The time (in seconds) the CSS was last compiled

The cache structure is a plain-ol' PHP associative array and can be serialized and unserialized without a hitch.

Paramètres
mixed | $in | Input
bool | $force | Force rebuild?
Renvoie
array lessphp cache structure

Références $root, allParsedFiles(), compileFile(), elseif, et null.

◆ ccompile()

static ccompile | ( | $in,
 |  | $out,
 |  | $less = null
 | ) |
static

Références null.

◆ cexecute()

static cexecute | ( | $in,
 |  | $force = false,
 |  | $less = null
 | ) |
static

Références null.

◆ checkedCompile()

checkedCompile | ( | $in,
 |  | $out
 | ) |

Références compileFile().

◆ clamp()

clamp | ( | $v,
 |  | $max = 1,
 |  | $min = 0
 | ) |
protected

Référencé par funcToColor(), lib_darken(), lib_desaturate(), lib_fade(), lib_fadein(), lib_fadeout(), lib_lighten(), et lib_saturate().

◆ coerceColor()

coerceColor ( $value )
protected

Références $i, $name, $value, $width, et null.

Référencé par assertColor(), compileValue(), evaluate(), lib__sprintf(), lib_alpha(), lib_blue(), lib_contrast(), lib_green(), lib_iscolor(), lib_red(), lib_rgbahex(), reduce(), et toLuma().

◆ coerceString()

coerceString ( $value )
protected

Références $value, et null.

Référencé par stringConcatenate(), et tryImport().

◆ colorArgs()

colorArgs ( $args )

Helper function to get arguments for color manipulation functions. takes a list that contains a color like thing and a percentage

Références $color, et assertColor().

Référencé par lib_darken(), lib_desaturate(), lib_fade(), lib_fadein(), lib_fadeout(), lib_lighten(), lib_saturate(), et lib_spin().

◆ compile()

compile | ( | $string,
 |  | $name = null
 | ) |

Références $name, $root, compileBlock(), injectVariables(), makeParser(), newFormatter(), et null.

Référencé par compileFile(), et parse().

◆ compileBlock()

compileBlock ( $block )
protected

Recursively compiles a block.

A block is analogous to a CSS block in most cases. A single LESS document is encapsulated in a block when parsed, but it does not have parent tags so all of it's children appear on the root level when compiled.

Blocks are made up of props and children.

Props are property instructions, array tuples which describe an action to be taken, eg. write a property, set a variable, mixin a block.

The children of a block are just all the blocks that are defined within. This is used to look up mixins when performing a mixin.

Compiling the block involves pushing a fresh environment on the stack, and iterating through the props, compiling each one.

See lessc::compileProp()

Références $name, compileCSSBlock(), compileMedia(), compileNestedBlock(), compileRoot(), compileValue(), null, reduce(), et throwError().

Référencé par compile(), et compileProp().

◆ compileCSSBlock()

compileCSSBlock ( $block )
protected

Références compileProps(), compileSelectors(), makeOutputBlock(), multiplySelectors(), null, popEnv(), et pushEnv().

Référencé par compileBlock().

◆ compileFile()

compileFile | ( | $fname,
 |  | $outFname = null
 | ) |

Références $importDir, addParsedFile(), compile(), et null.

Référencé par cachedCompile(), checkedCompile(), et parse().

◆ compileImportedProps()

compileImportedProps | ( | $props,
 |  | $block,
 |  | $out,
 |  | $sourceParser,
 |  | $importDir
 | ) |
protected

Références $importDir, $sourceParser, et compileProp().

Référencé par compileProp(), et tryImport().

◆ compileMedia()

compileMedia ( $media )
protected

Références $query, compileMediaQuery(), compileProps(), findClosestSelectors(), makeOutputBlock(), mediaParent(), multiplyMedia(), null, popEnv(), et pushEnv().

Référencé par compileBlock().

◆ compileMediaQuery()

compileMediaQuery ( $queries )
protected

Références $parts, $query, compileValue(), et reduce().

Référencé par compileMedia().

◆ compileNestedBlock()

compileNestedBlock | ( | $block,
 |  | $selectors
 | ) |
protected

Références compileProps(), makeOutputBlock(), popEnv(), et pushEnv().

Référencé par compileBlock().

◆ compileProp()

compileProp | ( | $prop,
 |  | $block,
 |  | $out
 | ) |
protected

Références $importDir, $name, $path, $suffix, $value, compileBlock(), compileImportedProps(), compileValue(), findBlocks(), null, popEnv(), pushEnv(), reduce(), sortProps(), throwError(), tryImport(), et zipSetArgs().

Référencé par compileImportedProps(), et compileProps().

◆ compileProps()

compileProps | ( | $block,
 |  | $out
 | ) |
protected

Références compileProp(), deduplicate(), et sortProps().

Référencé par compileCSSBlock(), compileMedia(), compileNestedBlock(), et compileRoot().

◆ compileRoot()

compileRoot ( $root )
protected

Références $root, compileProps(), makeOutputBlock(), popEnv(), et pushEnv().

Référencé par compileBlock().

◆ compileSelectors()

compileSelectors ( $selectors )
protected

Références $value, compileValue(), et reduce().

Référencé par compileCSSBlock().

◆ compileValue()

compileValue ( $value )

Compiles a primitive value into a CSS property value.

Values in lessphp are typed by being wrapped in arrays, their format is typically:

array(type, contents [, additional_contents]*)

The input is expected to be reduced. This function will not work on things like expressions and variables.

Références $b, $content, $g, $name, $r, $value, coerceColor(), null, et throwError().

Référencé par compileBlock(), compileMediaQuery(), compileProp(), compileSelectors(), lib__sprintf(), lib_e(), lib_unit(), reduce(), et tryImport().

◆ compressList()

static compressList | ( | $items,
 |  | $delim
 | ) |
static

Références $items.

Référencé par lessc_parser\expressionList(), et lessc_parser\propertyValue().

◆ deduplicate()

deduplicate ( $lines )
protected

Deduplicate lines in a block. Comments are not deduplicated. If a duplicate rule is detected, the comments immediately preceding each occurence are consolidated.

Référencé par compileProps().

◆ eq()

eq | ( | $left,
 |  | $right
 | ) |
protected

Référencé par evaluate(), et patternMatch().

◆ evaluate()

evaluate ( $exp )
protected

Références coerceColor(), eq(), reduce(), stringConcatenate(), et toBool().

Référencé par reduce().

◆ expandParentSelectors()

expandParentSelectors | ( | & | $tag,
 |  |  | $replace
 | ) |  |
protected

Références $count, et $parts.

Référencé par multiplySelectors().

◆ fileExists()

fileExists ( $name )
protected

Références $name.

Référencé par findImport().

◆ findBlocks()

findBlocks | ( | $searchIn,
 |  | $path,
 |  | $orderedArgs,
 |  | $keywordArgs,
 |  | $seen = array()
 | ) |
protected

Références $name, $path, null, et patternMatchAll().

Référencé par compileProp().

◆ findClosestSelectors()

findClosestSelectors ( )
protected

Références null.

Référencé par compileMedia(), et multiplySelectors().

◆ findImport()

findImport ( $url )
protected

Références $file, $url, fileExists(), et null.

Référencé par lib_data_uri(), et tryImport().

◆ fixColor()

fixColor ( $c )
protected

Références $i.

Référencé par funcToColor(), lib_mix(), et op_color_color().

◆ flattenList()

flattenList ( $value )
protected

Références $value.

Référencé par tryImport().

◆ funcToColor()

funcToColor ( $func )
protected

Convert the rgb, rgba, hsl color literals of function type as returned by the parser into values of color type.

Références $i, clamp(), elseif, fixColor(), reduce(), et toRGB().

Référencé par reduce().

◆ get()

get ( $name )
protected

Références $current, $name, et throwError().

◆ injectVariables()

injectVariables ( $args )
protected

Références $name, $value, et pushEnv().

Référencé par compile().

◆ lib__sprintf()

lib__sprintf ( $args )
protected

Références $color, $i, $template, coerceColor(), compileValue(), lib_e(), et reduce().

◆ lib_acos()

lib_acos ( $num )
protected

Références assertNumber().

◆ lib_alpha()

lib_alpha ( $value )
protected

Références $color, $value, et coerceColor().

Référencé par lib_contrast(), et lib_mix().

◆ lib_argb()

lib_argb ( $color )
protected

Références $color, et lib_rgbahex().

◆ lib_asin()

lib_asin ( $num )
protected

Références assertNumber().

◆ lib_atan()

lib_atan ( $num )
protected

Références assertNumber().

◆ lib_blue()

lib_blue ( $color )

Références $color, coerceColor(), et throwError().

◆ lib_ceil()

lib_ceil ( $arg )
protected

Références $value, et assertNumber().

◆ lib_contrast()

lib_contrast ( $args )
protected

Références assertColor(), assertNumber(), coerceColor(), lib_alpha(), et toLuma().

◆ lib_cos()

lib_cos ( $num )
protected

Références assertNumber().

◆ lib_darken()

lib_darken ( $args )
protected

Références $color, clamp(), colorArgs(), toHSL(), et toRGB().

◆ lib_data_uri()

lib_data_uri ( $value )
protected

Given an url, decide whether to output a regular link or the base64-encoded contents of the file

Paramètres
array $value either an argument list (two strings) or a single string
Renvoie
string formatted url(), either as a link or base64-encoded

Références $mime, $url, $value, elseif, findImport(), et null.

◆ lib_desaturate()

lib_desaturate ( $args )
protected

Références $color, clamp(), colorArgs(), toHSL(), et toRGB().

◆ lib_e()

lib_e ( $arg )
protected

Références $items, compileValue(), et throwError().

Référencé par lib__sprintf(), lib_unit(), reduce(), et tryImport().

◆ lib_extract()

lib_extract ( $value )
protected

Références $list, $value, assertArgs(), et assertNumber().

◆ lib_fade()

lib_fade ( $args )
protected

Références $color, clamp(), et colorArgs().

◆ lib_fadein()

lib_fadein ( $args )
protected

Références $color, clamp(), et colorArgs().

◆ lib_fadeout()

lib_fadeout ( $args )
protected

Références $color, clamp(), et colorArgs().

◆ lib_floor()

lib_floor ( $arg )
protected

Références $value, et assertNumber().

◆ lib_green()

lib_green ( $color )

Références $color, coerceColor(), et throwError().

◆ lib_hue()

lib_hue ( $color )
protected

Références $color, assertColor(), et toHSL().

◆ lib_iscolor()

lib_iscolor ( $value )
protected

Références $value, coerceColor(), et toBool().

◆ lib_isem()

lib_isem ( $value )
protected

Références $value, et toBool().

◆ lib_iskeyword()

lib_iskeyword ( $value )
protected

Références $value, et toBool().

◆ lib_isnumber()

lib_isnumber ( $value )
protected

Références $value, et toBool().

◆ lib_ispercentage()

lib_ispercentage ( $value )
protected

Références $value, et toBool().

◆ lib_ispixel()

lib_ispixel ( $value )
protected

Références $value, et toBool().

◆ lib_isrem()

lib_isrem ( $value )
protected

Références $value, et toBool().

◆ lib_isstring()

lib_isstring ( $value )
protected

Références $value, et toBool().

◆ lib_lighten()

lib_lighten ( $args )
protected

Références $color, clamp(), colorArgs(), toHSL(), et toRGB().

◆ lib_lightness()

lib_lightness ( $color )
protected

Références $color, assertColor(), et toHSL().

◆ lib_luma()

lib_luma ( $color )
protected

Références $color, et toLuma().

◆ lib_mix()

lib_mix ( $args )
protected

Références assertColor(), fixColor(), lib_alpha(), et throwError().

Référencé par lib_shade(), et lib_tint().

◆ lib_mod()

lib_mod ( $args )
protected

Références $b, assertArgs(), et assertNumber().

◆ lib_percentage()

lib_percentage ( $arg )
protected

Références assertNumber().

◆ lib_pi()

lib_pi ( )
protected

◆ lib_pow()

lib_pow ( $args )
protected

Références $base, assertArgs(), et assertNumber().

◆ lib_red()

lib_red ( $color )

Références $color, coerceColor(), et throwError().

◆ lib_rgbahex()

lib_rgbahex ( $color )
protected

Références $color, coerceColor(), et throwError().

Référencé par lib_argb().

◆ lib_round()

lib_round ( $arg )
protected

Références $value, et assertNumber().

◆ lib_saturate()

lib_saturate ( $args )
protected

Références $color, clamp(), colorArgs(), toHSL(), et toRGB().

◆ lib_saturation()

lib_saturation ( $color )
protected

Références $color, assertColor(), et toHSL().

◆ lib_shade()

lib_shade ( $args )
protected

Mix color with black in variable proportion.

It is the same as calling mix(#000000, @color, @weight)

shade(@color, [@weight: 50%]);

http://lesscss.org/functions/#color-operations-shade

Renvoie
array Color

Références elseif, lib_mix(), et throwError().

◆ lib_sin()

lib_sin ( $num )
protected

Références assertNumber().

◆ lib_spin()

lib_spin ( $args )
protected

Références $color, colorArgs(), toHSL(), et toRGB().

◆ lib_sqrt()

lib_sqrt ( $num )
protected

Références assertNumber().

◆ lib_tan()

lib_tan ( $num )
protected

Références assertNumber().

◆ lib_tint()

lib_tint ( $args )
protected

Mix color with white in variable proportion.

It is the same as calling mix(#ffffff, @color, @weight).

tint(@color, [@weight: 50%]);

http://lesscss.org/functions/#color-operations-tint

Renvoie
array Color

Références elseif, lib_mix(), et throwError().

◆ lib_unit()

lib_unit ( $arg )
protected

Références assertNumber(), compileValue(), et lib_e().

◆ makeOutputBlock()

makeOutputBlock | ( | $type,
 |  | $selectors = null
 | ) |
protected

Références $b, et $type.

Référencé par compileCSSBlock(), compileMedia(), compileNestedBlock(), et compileRoot().

◆ makeParser()

makeParser ( $name )
protected

Références $name, et $preserveComments.

Référencé par compile(), et tryImport().

◆ mediaParent()

mediaParent ( $scope )
protected

Référencé par compileMedia().

◆ multiplyMedia()

multiplyMedia | ( | $env,
 |  | $childQueries = null
 | ) |
protected

Référencé par compileMedia().

◆ multiplySelectors()

multiplySelectors ( $selectors )
protected

Références $count, expandParentSelectors(), et findClosestSelectors().

Référencé par compileCSSBlock().

◆ newFormatter()

newFormatter ( )
protected

Références $className.

Référencé par compile().

◆ op_color_color()

op_color_color | ( | $op,
 |  | $left,
 |  | $right
 | ) |
protected

Références $i, fixColor(), et throwError().

Référencé par op_color_number().

◆ op_color_number()

op_color_number | ( | $op,
 |  | $lft,
 |  | $rgt
 | ) |
protected

Références op_color_color().

Référencé par op_number_color().

◆ op_number_color()

op_number_color | ( | $op,
 |  | $lft,
 |  | $rgt
 | ) |
protected

Références op_color_number().

◆ op_number_number()

op_number_number | ( | $op,
 |  | $left,
 |  | $right
 | ) |
protected

Références $value, throwError(), et toBool().

◆ parse()

parse | ( | $str = null,
 |  | $initialVariables = null
 | ) |

Références $registeredVars, compile(), compileFile(), null, et setVariables().

◆ patternMatch()

patternMatch | ( | $block,
 |  | $orderedArgs,
 |  | $keywordArgs
 | ) |
protected

Références $i, eq(), popEnv(), pushEnv(), reduce(), et zipSetArgs().

Référencé par patternMatchAll().

◆ patternMatchAll()

patternMatchAll | ( | $blocks,
 |  | $orderedArgs,
 |  | $keywordArgs,
 |  | $skip = array()
 | ) |
protected

Références null, et patternMatch().

Référencé par findBlocks().

◆ popEnv()

popEnv ( )
protected

Référencé par compileCSSBlock(), compileMedia(), compileNestedBlock(), compileProp(), compileRoot(), et patternMatch().

◆ preg_quote()

static preg_quote ( $what )
static

Référencé par lessc_parser\__construct(), lessc_parser\literal(), lessc_parser\string(), et lessc_parser\to().

◆ pushEnv()

pushEnv ( $block = null )
protected

Référencé par compileCSSBlock(), compileMedia(), compileNestedBlock(), compileProp(), compileRoot(), injectVariables(), et patternMatch().

◆ reduce()

reduce | ( | $value,
 |  | $forExpression = false
 | ) |
protected

Références $color, $item, $key, $name, $value, coerceColor(), compileValue(), elseif, evaluate(), funcToColor(), lib_e(), et throwError().

Référencé par compileBlock(), compileMediaQuery(), compileProp(), compileSelectors(), evaluate(), funcToColor(), lib__sprintf(), patternMatch(), et zipSetArgs().

◆ registerFunction()

registerFunction | ( | $name,
 |  | $func
 | ) |

Références $name.

◆ set()

set | ( | $name,
 |  | $value
 | ) |
protected

Références $name, et $value.

◆ setFormatter()

setFormatter ( $name )

Références $name.

Référencé par TemplatesModelTemplate\compileLess().

◆ setImportDir()

setImportDir ( $dirs )

◆ setPreserveComments()

setPreserveComments ( $preserve )

◆ setVariables()

setVariables ( $variables )

Référencé par parse().

◆ sortProps()

sortProps | ( | $props,
 |  | $split = false
 | ) |
protected

Références $id.

Référencé par compileProp(), compileProps(), et tryImport().

◆ stringConcatenate()

stringConcatenate | ( | $left,
 |  | $right
 | ) |
protected

Références coerceString().

Référencé par evaluate().

◆ throwError()

throwError ( $msg = null )

Uses the current value of $this->count to show line and line number

Référencé par assertArgs(), assertColor(), assertNumber(), compileBlock(), compileProp(), compileValue(), get(), lib_blue(), lib_e(), lib_green(), lib_mix(), lib_red(), lib_rgbahex(), lib_shade(), lib_tint(), op_color_color(), op_number_number(), reduce(), et zipSetArgs().

◆ toBool()

toBool ( $a )

Référencé par evaluate(), lib_iscolor(), lib_isem(), lib_iskeyword(), lib_isnumber(), lib_ispercentage(), lib_ispixel(), lib_isrem(), lib_isstring(), et op_number_number().

◆ toHSL()

toHSL ( $color )
protected

Références $b, $color, $g, $r, et elseif.

Référencé par lib_darken(), lib_desaturate(), lib_hue(), lib_lighten(), lib_lightness(), lib_saturate(), lib_saturation(), et lib_spin().

◆ toLuma()

toLuma ( $color )
private

Références $b, $color, $g, $r, et coerceColor().

Référencé par lib_contrast(), et lib_luma().

◆ toRGB()

toRGB ( $color )
protected

Converts a hsl array into a color value in rgb. Expects H to be in range of 0 to 360, S and L in 0 to 100

Références $b, $color, $g, $r, et toRGB_helper().

Référencé par funcToColor(), lib_darken(), lib_desaturate(), lib_lighten(), lib_saturate(), et lib_spin().

◆ toRGB_helper()

toRGB_helper | ( | $comp,
 |  | $temp1,
 |  | $temp2
 | ) |
protected

Références elseif.

Référencé par toRGB().

◆ tryImport()

tryImport | ( | $importPath,
 |  | $parentBlock,
 |  | $out
 | ) |
protected

Références $root, $url, addParsedFile(), allParsedFiles(), coerceString(), compileImportedProps(), compileValue(), findImport(), flattenList(), lib_e(), makeParser(), null, et sortProps().

Référencé par compileProp().

◆ unregisterFunction()

unregisterFunction ( $name )

Références $name.

◆ unsetVariable()

unsetVariable ( $name )

Références $name.

◆ zipSetArgs()

zipSetArgs | ( | $args,
 |  | $orderedValues,
 |  | $keywordValues
 | ) |
protected

Références $i, $value, elseif, null, reduce(), et throwError().

Référencé par compileProp(), et patternMatch().

Documentation des champs

◆ $allParsedFiles

$allParsedFiles = array()
protected

Référencé par allParsedFiles().

◆ $cssColors

$cssColors
staticprotected

◆ $FALSE

$FALSE = array("keyword", "false")
static

◆ $importDir

$importDir = ''

Référencé par compileFile(), compileImportedProps(), et compileProp().

◆ $importDisabled

$importDisabled = false

◆ $libFunctions

$libFunctions = array()
protected

◆ $mPrefix

$mPrefix = '$'

◆ $nextImportId

$nextImportId = 0
staticprotected

◆ $numberPrecision

$numberPrecision = null
protected

◆ $parentSelector

$parentSelector = '&'

◆ $preserveComments

$preserveComments = false
protected

Référencé par makeParser().

◆ $registeredVars

$registeredVars = array()
protected

Référencé par parse().

◆ $sourceLoc

$sourceLoc = null
protected

◆ $sourceParser

$sourceParser = null
protected

Référencé par compileImportedProps().

◆ $TRUE

$TRUE = array("keyword", "true")
static

◆ $VERSION

$VERSION = "v0.5.0"
static

◆ $vPrefix

$vPrefix = '@'
La documentation de cette classe a été générée à partir du fichier suivant :
  • lessc.inc.php


Joomla CMS: Référence de la classe lessc_formatter_classic

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe lessc_formatter_classic
+ Graphe d'héritage de lessc_formatter_classic:
JLessFormatterJoomla lessc_formatter_compressed lessc_formatter_lessjs

Fonctions membres publiques

__construct ()
indentStr ($n=0)
property ($name, $value)
block ($block)

Champs de données

$indentChar = " "
$break = "\n"
$open = " {"
$close = "}"
$selectorSeparator = ", "
$assignSeparator = ":"
$openSingle = " { "
$closeSingle = " }"
$disableSingle = false
$breakSelectors = false
$compressColors = false

Fonctions membres protégées

isEmpty ($block)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Documentation des fonctions membres

◆ block()

block ( $block )

Références $break, $openSingle, $selectorSeparator, indentStr(), et isEmpty().

◆ indentStr()

indentStr ( $n = 0 )

Références $n.

Référencé par block().

◆ isEmpty()

isEmpty ( $block )
protected

Référencé par block().

◆ property()

property | ( | $name,
 |  | $value
 | ) |

Références $name, et $value.

Documentation des champs

◆ $assignSeparator

$assignSeparator = ":"

◆ $break

$break = "\n"

Référencé par block().

◆ $breakSelectors

$breakSelectors = false

◆ $close

$close = "}"

◆ $closeSingle

$closeSingle = " }"

◆ $compressColors

$compressColors = false

◆ $disableSingle

$disableSingle = false

◆ $indentChar

$indentChar = " "

◆ $open

$open = " {"

◆ $openSingle

$openSingle = " { "

Référencé par block().

◆ $selectorSeparator

$selectorSeparator = ", "

Référencé par block().

La documentation de cette classe a été générée à partir du fichier suivant :
  • lessc.inc.php


Joomla CMS: Référence de la classe lessc_formatter_compressed

Fonctions membres publiques | Champs de données
Référence de la classe lessc_formatter_compressed
+ Graphe d'héritage de lessc_formatter_compressed:
lessc_formatter_classic

Fonctions membres publiques

indentStr ($n=0)
- Fonctions membres publiques hérités de lessc_formatter_classic
__construct ()
indentStr ($n=0)
property ($name, $value)
block ($block)

Champs de données

$disableSingle = true
$open = "{"
$selectorSeparator = ","
$assignSeparator = ":"
$break = ""
$compressColors = true
- Champs de données hérités de lessc_formatter_classic
$indentChar = " "
$break = "\n"
$open = " {"
$close = "}"
$selectorSeparator = ", "
$assignSeparator = ":"
$openSingle = " { "
$closeSingle = " }"
$disableSingle = false
$breakSelectors = false
$compressColors = false

Membres hérités additionnels

- Fonctions membres protégées hérités de lessc_formatter_classic
isEmpty ($block)

Documentation des fonctions membres

◆ indentStr()

indentStr ( $n = 0 )

Documentation des champs

◆ $assignSeparator

$assignSeparator = ":"

◆ $break

$break = ""

◆ $compressColors

$compressColors = true

◆ $disableSingle

$disableSingle = true

◆ $open

$open = "{"

◆ $selectorSeparator

$selectorSeparator = ","
La documentation de cette classe a été générée à partir du fichier suivant :
  • lessc.inc.php


Joomla CMS: Référence de la classe lessc_formatter_lessjs

Champs de données
Référence de la classe lessc_formatter_lessjs
+ Graphe d'héritage de lessc_formatter_lessjs:
lessc_formatter_classic

Champs de données

$disableSingle = true
$breakSelectors = true
$assignSeparator = ": "
$selectorSeparator = ","
- Champs de données hérités de lessc_formatter_classic
$indentChar = " "
$break = "\n"
$open = " {"
$close = "}"
$selectorSeparator = ", "
$assignSeparator = ":"
$openSingle = " { "
$closeSingle = " }"
$disableSingle = false
$breakSelectors = false
$compressColors = false

Membres hérités additionnels

- Fonctions membres publiques hérités de lessc_formatter_classic
__construct ()
indentStr ($n=0)
property ($name, $value)
block ($block)
- Fonctions membres protégées hérités de lessc_formatter_classic
isEmpty ($block)

Documentation des champs

◆ $assignSeparator

$assignSeparator = ": "

◆ $breakSelectors

$breakSelectors = true

◆ $disableSingle

$disableSingle = true

◆ $selectorSeparator

$selectorSeparator = ","
La documentation de cette classe a été générée à partir du fichier suivant :
  • lessc.inc.php


Joomla CMS: Référence de la classe lessc_parser

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs protégés statiques
Référence de la classe lessc_parser

Fonctions membres publiques

__construct ($lessc, $sourceName=null)
parse ($buffer)
propertyValue (&$value, $keyName=null)
throwError ($msg="parse error", $count=null)

Fonctions membres protégées

parseChunk ()
isDirective ($dirname, $directives)
fixTags ($tags)
expressionList (&$exps)
expression (&$out)
expHelper ($lhs, $minP)
parenValue (&$out)
value (&$value)
import (&$out)
mediaQueryList (&$out)
mediaQuery (&$out)
mediaExpression (&$out)
openString ($end, &$out, $nestingOpen=null, $rejectStrs=null)
string (&$out)
interpolation (&$out)
unit (&$unit)
color (&$out)
argumentDef (&$args, &$isVararg)
tags (&$tags, $simple=false, $delim=',')
mixinTags (&$tags)
tagBracket (&$parts, &$hasExpression)
tag (&$tag, $simple=false)
func (&$func)
variable (&$name)
assign ($name=null)
keyword (&$word)
end ()
guards (&$guards)
guardGroup (&$guardGroup)
guard (&$guard)
literal ($what, $eatWhitespace=null)
genericList (&$out, $parseItem, $delim="", $flatten=true)
to ($what, &$out, $until=false, $allowNewline=false)
match ($regex, &$out, $eatWhitespace=null)
whitespace ()
peek ($regex, &$out=null, $from=null)
seek ($where=null)
pushBlock ($selectors=null, $type=null)
pushSpecialBlock ($type)
append ($prop, $pos=null)
pop ()
removeComments ($text)

Attributs protégés

$blockDirectives = array("font-face", "keyframes", "page", "-moz-document", "viewport", "-moz-viewport", "-o-viewport", "-ms-viewport")
$lineDirectives = array("charset")
$inParens = false

Attributs protégés statiques

static | $nextBlockId = 0
static | $precedence
static | $whitePattern
static | $commentMulti
static | $commentSingle = "//"
static | $commentMultiLeft = "/*"
static | $commentMultiRight = "*/"
static | $operatorString
static | $supressDivisionProps
static | $literalCache = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $lessc,
 |  | $sourceName = null
 | ) |

Références $commentMultiLeft, $commentMultiRight, $commentSingle, et lessc\preg_quote().

Documentation des fonctions membres

◆ append()

append | ( | $prop,
 |  | $pos = null
 | ) |
protected

Références null.

Référencé par parseChunk(), et whitespace().

◆ argumentDef()

argumentDef | ( | & | $args,
 |  | & | $isVararg
 | ) |  |
protected

Références $i, $value, assign(), elseif, literal(), seek(), et throwError().

Référencé par parseChunk().

◆ assign()

assign ( $name = null )
protected

Consume an assignment operator Can optionally take a name that will be set to the current property name

Références $name, et literal().

Référencé par argumentDef(), et parseChunk().

◆ color()

color ( & $out )
protected

Références match().

Référencé par value().

◆ end()

end ( )
protected

Références elseif, et literal().

Référencé par openString(), et parseChunk().

◆ expHelper()

expHelper | ( | $lhs,
 |  | $minP
 | ) |
protected

recursively parse infix equation with $lhs at precedence $minP

Références $inParens, match(), peek(), seek(), et value().

Référencé par expression().

◆ expression()

expression ( & $out )
protected

Attempt to consume an expression. http://en.wikipedia.org/wiki/Operator-precedence_parser#Pseudo-code

Références expHelper(), literal(), seek(), et value().

Référencé par expressionList(), guard(), mediaExpression(), et parenValue().

◆ expressionList()

expressionList ( & $exps )
protected

Références lessc\compressList(), et expression().

Référencé par func(), et propertyValue().

◆ fixTags()

fixTags ( $tags )
protected

Référencé par parseChunk().

◆ func()

func ( & $func )
protected

Références $name, $value, elseif, expressionList(), keyword(), literal(), match(), openString(), et seek().

Référencé par value().

◆ genericList()

genericList | ( | & | $out,
 |  |  | $parseItem,
 |  |  | $delim = "",
 |  |  | $flatten = true
 | ) |  |
protected

Références $items, $value, literal(), et seek().

Référencé par mediaQuery(), et mediaQueryList().

◆ guard()

guard ( & $guard )
protected

Références expression(), literal(), et seek().

Référencé par guardGroup().

◆ guardGroup()

guardGroup ( & $guardGroup )
protected

Références guard(), literal(), null, et seek().

Référencé par guards().

◆ guards()

guards ( & $guards )
protected

Références $g, guardGroup(), literal(), null, et seek().

Référencé par parseChunk().

◆ import()

import ( & $out )
protected

Références $value, literal(), et propertyValue().

◆ interpolation()

interpolation ( & $out )
protected

Références literal(), null, openString(), seek(), et whitespace().

Référencé par openString(), string(), tag(), et tagBracket().

◆ isDirective()

isDirective | ( | $dirname,
 |  | $directives
 | ) |
protected

Référencé par parseChunk().

◆ keyword()

keyword ( & $word )
protected

Références match().

Référencé par func(), mediaExpression(), mediaQuery(), parseChunk(), tagBracket(), value(), et variable().

◆ literal()

literal | ( | $what,
 |  | $eatWhitespace = null
 | ) |
protected

Références match(), null, et lessc\preg_quote().

Référencé par argumentDef(), assign(), end(), expression(), func(), genericList(), guard(), guardGroup(), guards(), import(), interpolation(), mediaExpression(), mediaQuery(), mixinTags(), parenValue(), parseChunk(), propertyValue(), string(), tag(), tagBracket(), tags(), value(), et variable().

◆ match()

match | ( |  | $regex,
 |  | & | $out,
 |  |  | $eatWhitespace = null
 | ) |  |
protected

Références $r, null, et whitespace().

Référencé par color(), expHelper(), func(), keyword(), literal(), openString(), string(), tag(), tagBracket(), to(), unit(), value(), et whitespace().

◆ mediaExpression()

mediaExpression ( & $out )
protected

Références $value, elseif, expression(), keyword(), literal(), null, seek(), et variable().

◆ mediaQuery()

mediaQuery ( & $out )
protected

Références $parts, genericList(), keyword(), literal(), null, et seek().

◆ mediaQueryList()

mediaQueryList ( & $out )
protected

Références $list, et genericList().

Référencé par parseChunk().

◆ mixinTags()

mixinTags ( & $tags )
protected

Références literal(), et tag().

Référencé par parseChunk().

◆ openString()

openString | ( |  | $end,
 |  | & | $out,
 |  |  | $nestingOpen = null,
 |  |  | $rejectStrs = null
 | ) |  |
protected

Références $content, end(), interpolation(), et match().

Référencé par func(), interpolation(), et parseChunk().

◆ parenValue()

parenValue ( & $out )
protected

Références $inParens, expression(), literal(), et seek().

Référencé par value().

◆ parse()

parse ( $buffer )

Références $buffer, null, parseChunk(), pushSpecialBlock(), removeComments(), throwError(), et whitespace().

◆ parseChunk()

parseChunk ( )
protected

Parse a single chunk off the head of the buffer and append it to the current parse environment. Returns false when the buffer is empty, or when there is an error.

This function is called repeatedly until the entire document is parsed.

This parser is most similar to a recursive descent parser. Single functions represent discrete grammatical rules for the language, and they are able to capture the text that represents those rules.

Consider the function lessc::keyword(). (all parse functions are structured the same)

The function takes a single reference argument. When calling the function it will attempt to match a keyword on the head of the buffer. If it is successful, it will place the keyword in the referenced argument, advance the position in the buffer, and return true. If it fails then it won't advance the buffer and it will return false.

All of these parse functions are powered by lessc::match(), which behaves the same way, but takes a literal regular expression. Sometimes it is more convenient to use match instead of creating a new function.

Because of the format of the functions, to parse an entire string of grammatical rules, you can chain them together using &&.

But, if some of the rules in the chain succeed before one fails, then the buffer position will be left at an invalid state. In order to avoid this, lessc::seek() is used to remember and set buffer positions.

Before parsing a chain, use $s = $this->seek() to remember the current position into $s. Then if a chain fails, use $this->seek($s) to go back where we started.

Références $hidden, $key, $suffix, $value, append(), argumentDef(), assign(), elseif, end(), fixTags(), guards(), isDirective(), keyword(), literal(), mediaQueryList(), mixinTags(), null, openString(), pop(), propertyValue(), pushBlock(), pushSpecialBlock(), seek(), tag(), tags(), throwError(), variable(), et whitespace().

Référencé par parse().

◆ peek()

peek | ( |  | $regex,
 |  | & | $out = null,
 |  |  | $from = null
 | ) |  |
protected

Références $count, $r, et null.

Référencé par expHelper(), et throwError().

◆ pop()

pop ( )
protected

Référencé par parseChunk().

◆ propertyValue()

propertyValue | ( | & | $value,
 |  |  | $keyName = null
 | ) |  |

Références $value, lessc\compressList(), expressionList(), literal(), null, et seek().

Référencé par import(), et parseChunk().

◆ pushBlock()

pushBlock | ( | $selectors = null,
 |  | $type = null
 | ) |
protected

Références $b, et $type.

Référencé par parseChunk(), et pushSpecialBlock().

◆ pushSpecialBlock()

pushSpecialBlock ( $type )
protected

Références $type, null, et pushBlock().

Référencé par parse(), et parseChunk().

◆ removeComments()

removeComments ( $text )
protected

Références $count, $text, et null.

Référencé par parse().

◆ seek()

seek ( $where = null )
protected

Références $count, et null.

Référencé par argumentDef(), expHelper(), expression(), func(), genericList(), guard(), guardGroup(), guards(), interpolation(), mediaExpression(), mediaQuery(), parenValue(), parseChunk(), propertyValue(), string(), tag(), tagBracket(), value(), et variable().

◆ string()

string ( & $out )
protected

Références $content, elseif, interpolation(), literal(), match(), lessc\preg_quote(), et seek().

◆ tag()

tag | ( | & | $tag,
 |  |  | $simple = false
 | ) |  |
protected

Références $parts, interpolation(), literal(), match(), seek(), tagBracket(), unit(), et whitespace().

Référencé par mixinTags(), parseChunk(), et tags().

◆ tagBracket()

tagBracket | ( | & | $parts,
 |  | & | $hasExpression
 | ) |  |
protected

Références $parts, interpolation(), keyword(), literal(), match(), et seek().

Référencé par tag().

◆ tags()

tags | ( | & | $tags,
 |  |  | $simple = false,
 |  |  | $delim = ','
 | ) |  |
protected

Références literal(), et tag().

Référencé par parseChunk().

◆ throwError()

throwError | ( | $msg = "parse error",
 |  | $count = null
 | ) |

Références $count, et peek().

Référencé par argumentDef(), parse(), et parseChunk().

◆ to()

to | ( |  | $what,
 |  | & | $out,
 |  |  | $until = false,
 |  |  | $allowNewline = false
 | ) |  |
protected

Références match(), et lessc\preg_quote().

◆ unit()

unit ( & $unit )
protected

Références $count, et match().

Référencé par tag(), et value().

◆ value()

value ( & $value )
protected

Références $value, color(), func(), keyword(), literal(), match(), parenValue(), seek(), unit(), et variable().

Référencé par expHelper(), et expression().

◆ variable()

variable ( & $name )
protected

Références $name, keyword(), literal(), null, et seek().

Référencé par mediaExpression(), parseChunk(), et value().

◆ whitespace()

whitespace ( )
protected

Références $count, append(), match(), et null.

Référencé par interpolation(), match(), parse(), parseChunk(), et tag().

Documentation des champs

◆ $blockDirectives

$blockDirectives = array("font-face", "keyframes", "page", "-moz-document", "viewport", "-moz-viewport", "-o-viewport", "-ms-viewport")
protected

◆ $commentMulti

$commentMulti
staticprotected

◆ $commentMultiLeft

$commentMultiLeft = "/*"
staticprotected

Référencé par __construct().

◆ $commentMultiRight

$commentMultiRight = "*/"
staticprotected

Référencé par __construct().

◆ $commentSingle

$commentSingle = "//"
staticprotected

Référencé par __construct().

◆ $inParens

$inParens = false
protected

if we are in parens we can be more liberal with whitespace around operators because it must evaluate to a single value and thus is less ambiguous.

Consider: property1: 10 -5; // is two numbers, 10 and -5 property2: (10 -5); // should evaluate to 5

Référencé par expHelper(), et parenValue().

◆ $lineDirectives

$lineDirectives = array("charset")
protected

◆ $literalCache

$literalCache = array()
staticprotected

◆ $nextBlockId

$nextBlockId = 0
staticprotected

◆ $operatorString

$operatorString
staticprotected

◆ $precedence

$precedence
staticprotected
Valeur initiale :
= array(
'=<' => 0,
'>=' => 0,
'=' => 0,
'<' => 0,
'>' => 0,
'+' => 1,
'-' => 1,
'*' => 2,
'/' => 2,
'%' => 2,
)

◆ $supressDivisionProps

$supressDivisionProps
staticprotected
Valeur initiale :
=
array('/border-radius$/i', '/^font$/i')

◆ $whitePattern

$whitePattern
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • lessc.inc.php


Joomla CMS: Référence de la classe lessify

Fonctions membres publiques
Référence de la classe lessify
+ Graphe d'héritage de lessify:
lessc

Fonctions membres publiques

dump ()
parse ($str=null)
- Fonctions membres publiques hérités de lessc
compileValue ($value)
colorArgs ($args)
assertColor ($value, $error="expected color value")
assertNumber ($value, $error="expecting number")
assertArgs ($value, $expectedArgs, $name="")
toBool ($a)
lib_red ($color)
lib_green ($color)
lib_blue ($color)
__construct ($fname=null)
compile ($string, $name=null)
compileFile ($fname, $outFname=null)
checkedCompile ($in, $out)
cachedCompile ($in, $force=false)
parse ($str=null, $initialVariables=null)
setFormatter ($name)
setPreserveComments ($preserve)
registerFunction ($name, $func)
unregisterFunction ($name)
setVariables ($variables)
unsetVariable ($name)
setImportDir ($dirs)
addImportDir ($dir)
allParsedFiles ()
addParsedFile ($file)
throwError ($msg=null)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de lessc
static | compressList ($items, $delim)
static | preg_quote ($what)
static | ccompile ($in, $out, $less=null)
static | cexecute ($in, $force=false, $less=null)
- Champs de données hérités de lessc
$vPrefix = '@'
$mPrefix = '$'
$parentSelector = '&'
$importDisabled = false
$importDir = ''
- Attributs publics statiques hérités de lessc
static | $VERSION = "v0.5.0"
static | $TRUE = array("keyword", "true")
static | $FALSE = array("keyword", "false")
- Fonctions membres protégées hérités de lessc
findImport ($url)
fileExists ($name)
tryImport ($importPath, $parentBlock, $out)
compileImportedProps ($props, $block, $out, $sourceParser, $importDir)
compileBlock ($block)
compileCSSBlock ($block)
compileMedia ($media)
mediaParent ($scope)
compileNestedBlock ($block, $selectors)
compileRoot ($root)
compileProps ($block, $out)
deduplicate ($lines)
sortProps ($props, $split=false)
compileMediaQuery ($queries)
multiplyMedia ($env, $childQueries=null)
expandParentSelectors (&$tag, $replace)
findClosestSelectors ()
multiplySelectors ($selectors)
compileSelectors ($selectors)
eq ($left, $right)
patternMatch ($block, $orderedArgs, $keywordArgs)
patternMatchAll ($blocks, $orderedArgs, $keywordArgs, $skip=array())
findBlocks ($searchIn, $path, $orderedArgs, $keywordArgs, $seen=array())
zipSetArgs ($args, $orderedValues, $keywordValues)
compileProp ($prop, $block, $out)
lib_pow ($args)
lib_pi ()
lib_mod ($args)
lib_tan ($num)
lib_sin ($num)
lib_cos ($num)
lib_atan ($num)
lib_asin ($num)
lib_acos ($num)
lib_sqrt ($num)
lib_extract ($value)
lib_isnumber ($value)
lib_isstring ($value)
lib_iscolor ($value)
lib_iskeyword ($value)
lib_ispixel ($value)
lib_ispercentage ($value)
lib_isem ($value)
lib_isrem ($value)
lib_rgbahex ($color)
lib_argb ($color)
lib_data_uri ($value)
lib_e ($arg)
lib__sprintf ($args)
lib_floor ($arg)
lib_ceil ($arg)
lib_round ($arg)
lib_unit ($arg)
lib_darken ($args)
lib_lighten ($args)
lib_saturate ($args)
lib_desaturate ($args)
lib_spin ($args)
lib_fadeout ($args)
lib_fadein ($args)
lib_hue ($color)
lib_saturation ($color)
lib_lightness ($color)
lib_alpha ($value)
lib_fade ($args)
lib_percentage ($arg)
lib_tint ($args)
lib_shade ($args)
lib_mix ($args)
lib_contrast ($args)
lib_luma ($color)
toHSL ($color)
toRGB_helper ($comp, $temp1, $temp2)
toRGB ($color)
clamp ($v, $max=1, $min=0)
funcToColor ($func)
reduce ($value, $forExpression=false)
coerceColor ($value)
coerceString ($value)
flattenList ($value)
evaluate ($exp)
stringConcatenate ($left, $right)
fixColor ($c)
op_number_color ($op, $lft, $rgt)
op_color_number ($op, $lft, $rgt)
op_color_color ($op, $left, $right)
op_number_number ($op, $left, $right)
makeOutputBlock ($type, $selectors=null)
pushEnv ($block=null)
popEnv ()
set ($name, $value)
get ($name)
injectVariables ($args)
makeParser ($name)
newFormatter ()
- Attributs protégés hérités de lessc
$libFunctions = array()
$registeredVars = array()
$preserveComments = false
$numberPrecision = null
$allParsedFiles = array()
$sourceParser = null
$sourceLoc = null
- Attributs protégés statiques hérités de lessc
static | $nextImportId = 0
static | $cssColors

Description détaillée

create a less file from a css file by combining blocks where appropriate

Documentation des fonctions membres

◆ dump()

dump ( )

◆ parse()

parse ( $str = null )

Références $item, $name, $path, $root, $type, nodecounter\compileProperties(), tagparse\compileTag(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • lessify.inc.php


Joomla CMS: Référence de la classe LogException

Référence de la classe LogException
+ Graphe d'héritage de LogException:

Description détaillée

Exception class definition for the Log subpackage.

Depuis
1.7
Obsolète:
2.5.5 Use semantic exceptions instead
La documentation de cette classe a été générée à partir du fichier suivant :
  • logexception.php


Joomla CMS: Référence de la classe LoginController

Fonctions membres publiques
Référence de la classe LoginController
+ Graphe d'héritage de LoginController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
login ()
logout ()

Description détaillée

Login Controller.

Depuis
1.5

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

◆ login()

login ( )

Method to log in a user.

Renvoie
void

Références $app, et $return.

◆ logout()

logout ( )

Method to log out a user.

Renvoie
void

Références $app, $options, $return, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_login/controller.php


Joomla CMS: Référence de la classe LoginModelLogin

Fonctions membres publiques statiques | Fonctions membres protégées
Référence de la classe LoginModelLogin
+ Graphe d'héritage de LoginModelLogin:

Fonctions membres publiques statiques

static getLoginModule ($name='mod_login', $title=null)

Fonctions membres protégées

populateState ()

Description détaillée

Login Model

Depuis
1.5

Documentation des fonctions membres

◆ getLoginModule()

static getLoginModule | ( | $name = 'mod_login',
 |  | $title = null
 | ) |
static

Get the administrator login module by name (real, eg 'login' or folder, eg 'mod_login').

Paramètres
string | $name | The name of the module.
string | $title | The title of the module, optional.
Renvoie
object The Module object.
Depuis
1.7.0

Références $i, $modules, $name, $title, $total, null, et title.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $input, et $return.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_login/models/login.php


Joomla CMS: Référence de la classe LoginViewLogin

Fonctions membres publiques
Référence de la classe LoginViewLogin
+ Graphe d'héritage de LoginViewLogin:

Fonctions membres publiques

display ($tpl=null)

Description détaillée

HTML View class for the Login component

Depuis
1.6

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse.
Renvoie
void
Depuis
3.7.0

To prevent clickjacking, only allow the login form to be used inside a frame in the same origin. So send a X-Frame-Options HTTP Header with the SAMEORIGIN value.

https://tools.ietf.org/html/rfc7034

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_login/views/login/view.html.php


Joomla CMS: Référence de la classe MailtoController

Fonctions membres publiques
Référence de la classe MailtoController
+ Graphe d'héritage de MailtoController:

Fonctions membres publiques

mailto ()
send ()

Description détaillée

Mailer Component Controller.

Depuis
1.5

Documentation des fonctions membres

◆ mailto()

mailto ( )

Show the form so that the user can send the link to someone.

Renvoie
void
Depuis
1.5

◆ send()

send ( )

Send the message and display a notice

Renvoie
void
Depuis
1.5

Références $app, $data, $fields, $form, $key, $link, $subject, $value, JError\raiseError(), JError\raiseNotice(), JError\raiseWarning(), et MailtoHelper\validateHash().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_mailto/controller.php


Joomla CMS: Référence de la classe MailtoHelper

Fonctions membres publiques statiques
Référence de la classe MailtoHelper

Fonctions membres publiques statiques

static | addLink ($url)
static | validateHash ($hash)
static | cleanHashes ($lifetime=1440)

Documentation des fonctions membres

◆ addLink()

static addLink ( $url )
static

Adds a URL to the mailto system and returns the hash

Paramètres
string $url Url
Renvoie
string URL hash

Références $hash, et $url.

Référencé par JHtmlIcon\email().

◆ cleanHashes()

static cleanHashes ( $lifetime = 1440 )
static

Cleans out old hashes

Paramètres
integer $lifetime How old are the hashes we want to remove
Renvoie
void
Depuis
1.6.1

Références $link.

◆ validateHash()

static validateHash ( $hash )
static

Checks if a URL is a Flash file

Paramètres
string $hash File hash
Renvoie
URL

Références $hash.

Référencé par MailtoController\send().

La documentation de cette classe a été générée à partir du fichier suivant :
  • helpers/mailto.php


Joomla CMS: Référence de la classe MailtoModelMailto

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe MailtoModelMailto
+ Graphe d'héritage de MailtoModelMailto:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getData ()

Fonctions membres protégées

loadFormData ()

Description détaillée

Mailto model class.

Depuis
3.8.9

Documentation des fonctions membres

◆ getData()

getData ( )

Get the request data

Renvoie
array The requested data
Depuis
3.8.9

Références $data, et $input.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the mailto form.

The base form is loaded from XML and then an event is fired for users plugins to extend the form with extra fields.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
3.8.9

Références $form.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
array The default data is an empty array.
Depuis
3.8.9

Références $app, $data, $user, et JError\raiseError().

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/mailto.php


Joomla CMS: Référence de la classe MailtoViewMailto

Fonctions membres publiques
Référence de la classe MailtoViewMailto
+ Graphe d'héritage de MailtoViewMailto:

Fonctions membres publiques

display ($tpl=null)

Description détaillée

Class for Mail.

Depuis
1.5

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_mailto/views/mailto/view.html.php


Joomla CMS: Référence de la classe MailtoViewSent

Référence de la classe MailtoViewSent
+ Graphe d'héritage de MailtoViewSent:

Description détaillée

Class for email sent view.

Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_mailto/views/sent/view.html.php


Joomla CMS: Référence de la classe Mcrypt

Fonctions membres publiques | Attributs protégés
Référence de la classe Mcrypt
+ Graphe d'héritage de Mcrypt:
AKEncryptionAESAdapterAbstract AKEncryptionAESAdapterInterface

Fonctions membres publiques

decrypt ($cipherText, $key)
isSupported ()
getBlockSize ()
- Fonctions membres publiques hérités de AKEncryptionAESAdapterAbstract
resizeKey ($key, $size)

Attributs protégés

$cipherType = MCRYPT_RIJNDAEL_128
$cipherMode = MCRYPT_MODE_CBC

Membres hérités additionnels

- Fonctions membres protégées hérités de AKEncryptionAESAdapterAbstract
getZeroPadding ($string, $blockSize)

Documentation des fonctions membres

◆ decrypt()

decrypt | ( | $plainText,
 |  | $key
 | ) |

Decrypts a string. Returns the raw binary ciphertext, zero-padded.

Paramètres
string | $plainText | The plaintext to encrypt
string | $key | The raw binary key (will be zero-padded or chopped if its size is different than the block size)
Renvoie
string The raw encrypted binary string.

Implémente AKEncryptionAESAdapterInterface.

Références $key, getBlockSize(), et AKEncryptionAESAdapterAbstract\resizeKey().

◆ getBlockSize()

getBlockSize ( )

Returns the encryption block size in bytes

Renvoie
int

Implémente AKEncryptionAESAdapterInterface.

Référencé par decrypt().

◆ isSupported()

isSupported ( )

Is this adapter supported?

Renvoie
bool

Implémente AKEncryptionAESAdapterInterface.

Documentation des champs

◆ $cipherMode

$cipherMode = MCRYPT_MODE_CBC
protected

◆ $cipherType

$cipherType = MCRYPT_RIJNDAEL_128
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe MediaController

Fonctions membres publiques
Référence de la classe MediaController
+ Graphe d'héritage de MediaController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
ftpValidate ()

Description détaillée

Media Manager Component Controller

Depuis
1.5

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $app, $view, getDocument, et JPATH_COMPONENT_ADMINISTRATOR.

◆ ftpValidate()

ftpValidate ( )

Validate FTP credentials

Renvoie
void
Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_media/controller.php


Joomla CMS: Référence de la classe MediaControllerFile

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MediaControllerFile
+ Graphe d'héritage de MediaControllerFile:

Fonctions membres publiques

upload ()
upload ()
delete ()

Fonctions membres protégées

authoriseUser ($action)

Attributs protégés

$folder = ''

Description détaillée

File Media Controller

Depuis
1.6

Media File Controller

Depuis
1.5

Documentation des fonctions membres

◆ authoriseUser()

authoriseUser ( $action )
protected

Check that the user is authorized to perform this action

Paramètres
string $action - the action to be performed (create or delete)
Renvoie
boolean
Depuis
1.6

Références $action, et JError\raiseWarning().

◆ delete()

delete ( )

Deletes paths from the current path

Renvoie
boolean
Depuis
1.5

Références $app, $dispatcher, $folder, $key, $path, $tmpl, $user, COM_MEDIA_BASE, DIRECTORY_SEPARATOR, elseif, ENT_COMPAT, JEventDispatcher\getInstance(), htmlspecialchars, et JError\raiseWarning().

◆ upload() [1/2]

upload ( )

Upload a file

Renvoie
void
Depuis
1.5

Références $dispatcher, $file, $files, $folder, $params, $returnUrl, $user, COM_MEDIA_BASE, DIRECTORY_SEPARATOR, elseif, JEventDispatcher\getInstance(), JPATH_ROOT, et json_encode.

◆ upload() [2/2]

upload ( )

Upload one or more files

Renvoie
boolean
Depuis
1.5

Références $dispatcher, $file, $files, $params, $return, MediaHelper\canUpload(), COM_MEDIA_BASE, DIRECTORY_SEPARATOR, JEventDispatcher\getInstance(), null, et JError\raiseWarning().

Documentation des champs

◆ $folder

$folder = ''
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • file.json.php
  • administrator/components/com_media/controllers/file.php


Joomla CMS: Référence de la classe MediaControllerFolder

Fonctions membres publiques
Référence de la classe MediaControllerFolder
+ Graphe d'héritage de MediaControllerFolder:

Fonctions membres publiques

delete ()
create ()

Description détaillée

Folder Media Controller

Depuis
1.5

Documentation des fonctions membres

◆ create()

create ( )

Create a folder

Renvoie
boolean
Depuis
1.5

Références $app, $data, $dispatcher, $folder, $path, $user, COM_MEDIA_BASE, JEventDispatcher\getInstance(), null, et JError\raiseWarning().

◆ delete()

delete ( )

Deletes paths from the current path

Renvoie
boolean
Depuis
1.5

Références $app, $dispatcher, $folder, $path, $tmpl, $user, COM_MEDIA_BASE, DIRECTORY_SEPARATOR, elseif, ENT_COMPAT, JEventDispatcher\getInstance(), htmlspecialchars, et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_media/controllers/folder.php


Joomla CMS: Référence de la classe MediaHelper

Fonctions membres publiques statiques
Référence de la classe MediaHelper

Fonctions membres publiques statiques

static | isImage ($fileName)
static | getTypeIcon ($fileName)
static | canUpload ($file, $error='')
static | parseSize ($size)
static | imageResize ($width, $height, $target)
static | countFiles ($dir)
static | getContentTypeLink ($contentType, $id, CMSObject $mediaObject)

Description détaillée

Media helper class.

Depuis
1.6
Obsolète:
4.0 Use JHelperMedia instead

Documentation des fonctions membres

◆ canUpload()

static canUpload | ( | $file,
 |  | $error = ''
 | ) |
static

Checks if the file can be uploaded

Paramètres
array | $file | File information
string | $error | An error message to be returned
Renvoie
boolean
Depuis
1.5
Obsolète:
4.0 Use JHelperMedia::canUpload instead

Références $file.

Référencé par MediaControllerFile\upload().

◆ countFiles()

static countFiles ( $dir )
static

Counts the files and directories in a directory that are not php or html files.

Paramètres
string $dir Directory name
Renvoie
array The number of files and directories in the given directory
Depuis
1.5
Obsolète:
4.0 Use JHelperMedia::countFiles instead

Référencé par MediaModelList\getList().

◆ getContentTypeLink()

static getContentTypeLink | ( |  | $contentType,
 |  |  | $id,
 |  | CMSObject | $mediaObject
 | ) |  |
static

Generates the URL to the object in the action logs component

Paramètres
string | $contentType | The content type
integer | $id | The integer id
CMSObject | $mediaObject | The media object being uploaded
Renvoie
string The link for the action log
Depuis
3.9.27

Références $link, COM_MEDIA_BASE, DIRECTORY_SEPARATOR, et CMSObject\get().

◆ getTypeIcon()

static getTypeIcon ( $fileName )
static

Gets the file extension for the purpose of using an icon.

Paramètres
string $fileName The filename
Renvoie
string File extension
Depuis
1.5
Obsolète:
4.0 Use JHelperMedia::getTypeIcon instead

◆ imageResize()

static imageResize | ( | $width,
 |  | $height,
 |  | $target
 | ) |
static

Calculate the size of a resized image

Paramètres
integer | $width | Image width
integer | $height | Image height
integer | $target | Target size
Renvoie
array The new width and height
Depuis
3.2
Obsolète:
4.0 Use JHelperMedia::imageResize instead

Références $height, $target, et $width.

Référencé par MediaModelList\getList().

◆ isImage()

static isImage ( $fileName )
static

Checks if the file is an image

Paramètres
string $fileName The filename
Renvoie
boolean
Depuis
1.5
Obsolète:
4.0 Use JHelperMedia::isImage instead

◆ parseSize()

static parseSize ( $size )
static

Method to parse a file size

Paramètres
integer $size The file size in bytes
Renvoie
string The converted file size
Depuis
1.6
Obsolète:
4.0 Use JHtml::_('number.bytes') instead
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_media/helpers/media.php


Joomla CMS: Référence de la classe MediaModelList

Fonctions membres publiques
Référence de la classe MediaModelList
+ Graphe d'héritage de MediaModelList:

Fonctions membres publiques

getState ($property=null, $default=null)
getImages ()
getFolders ()
getDocuments ()
getList ()
getVideos ()

Description détaillée

Media Component List Model

Depuis
1.5

Documentation des fonctions membres

◆ getDocuments()

getDocuments ( )

Get the documents on the current folder

Renvoie
array
Depuis
1.5

Références $list.

◆ getFolders()

getFolders ( )

Get the folders on the current folder

Renvoie
array
Depuis
1.5

Références $list.

◆ getImages()

getImages ( )

Get the images on the current folder

Renvoie
array
Depuis
1.5

Références $list.

◆ getList()

getList ( )

Build imagelist

Renvoie
array
Depuis
1.5

Références $basePath, $count, $current, $file, $folder, $images, $info, $list, $tmp, COM_MEDIA_BASE, MediaHelper\countFiles(), DIRECTORY_SEPARATOR, et MediaHelper\imageResize().

◆ getState()

getState | ( | $property = null,
 |  | $default = null
 | ) |

Method to get model state variables

Paramètres
string | $property | Optional parameter name
mixed | $default | Optional default value
Renvoie
object The property where specified, the state object where omitted
Depuis
1.5

Références $default, $folder, $input, et null.

◆ getVideos()

getVideos ( )

Get the videos on the current folder

Renvoie
array
Depuis
3.5

Références $list.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_media/models/list.php


Joomla CMS: Référence de la classe MediaModelManager

Fonctions membres publiques
Référence de la classe MediaModelManager
+ Graphe d'héritage de MediaModelManager:

Fonctions membres publiques

getState ($property=null, $default=null)
getFolderList ($base=null)
getFolderTree ($base=null)

Description détaillée

Media Component Manager Model

Depuis
1.5

Documentation des fonctions membres

◆ getFolderList()

getFolderList ( $base = null )

Get a select field with a list of available folders

Paramètres
string $base The image directory to display
Renvoie
html
Depuis
1.5

Références $asset, $attribs, $author, $base, $document, $folder, $input, $list, $options, $text, $value, COM_MEDIA_BASE, DIRECTORY_SEPARATOR, ENT_COMPAT, getDocument, htmlspecialchars, jimport(), et json_encode.

◆ getFolderTree()

getFolderTree ( $base = null )

Get the folder tree

Paramètres
mixed $base Base folder | null for using base media folder
Renvoie
array
Depuis
1.5

Références $base, $folder, $i, $key, $n, $name, $path, $tmp, COM_MEDIA_BASE, DIRECTORY_SEPARATOR, et jimport().

◆ getState()

getState | ( | $property = null,
 |  | $default = null
 | ) |

Method to get model state variables

Paramètres
string | $property | Optional parameter name
mixed | $default | Optional default value
Renvoie
object The property where specified, the state object where omitted
Depuis
1.5

Références $default, $folder, $input, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • manager.php


Joomla CMS: Référence de la classe MediaViewImages

Fonctions membres publiques
Référence de la classe MediaViewImages
+ Graphe d'héritage de MediaViewImages:

Fonctions membres publiques

display ($tpl=null)

Description détaillée

HTML View class for the Media component

Depuis
1.0

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.0

Références $config.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_media/views/images/view.html.php


Joomla CMS: Référence de la classe MediaViewImagesList

Fonctions membres publiques
Référence de la classe MediaViewImagesList
+ Graphe d'héritage de MediaViewImagesList:

Fonctions membres publiques

display ($tpl=null)
setFolder ($index=0)
setImage ($index=0)

Description détaillée

HTML View class for the Media component

Depuis
1.0

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.0

Références $images, $state, et COM_MEDIA_BASEURL.

◆ setFolder()

setFolder ( $index = 0 )

Set the active folder

Paramètres
integer $index Folder position
Renvoie
void
Depuis
1.0

◆ setImage()

setImage ( $index = 0 )

Set the active image

Paramètres
integer $index Image position
Renvoie
void
Depuis
1.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_media/views/imageslist/view.html.php


Joomla CMS: Référence de la classe MediaViewMedia

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe MediaViewMedia
+ Graphe d'héritage de MediaViewMedia:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getFolderLevel ($folder)

Description détaillée

HTML View class for the Media component

Depuis
1.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $user, et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.0

Références $app, $config, $state, et JHtmlSidebar\render().

◆ getFolderLevel()

getFolderLevel ( $folder )
protected

Display a folder level

Paramètres
array $folder Array with folder data
Renvoie
string
Depuis
1.0

Références $folder, $tmp, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_media/views/media/view.html.php


Joomla CMS: Référence de la classe MediaViewMediaList

Fonctions membres publiques
Référence de la classe MediaViewMediaList
+ Graphe d'héritage de MediaViewMediaList:

Fonctions membres publiques

display ($tpl=null)

Description détaillée

HTML View class for the Media component

Depuis
1.0

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.0

Références $app, $user, ENT_COMPAT, htmlspecialchars, et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_media/views/medialist/view.html.php


Joomla CMS: Référence de la classe MenusAssociationsHelper

Fonctions membres publiques | Attributs protégés
Référence de la classe MenusAssociationsHelper
+ Graphe d'héritage de MenusAssociationsHelper:
AssociationExtensionHelper AssociationExtensionInterface

Fonctions membres publiques

getAssociations ($typeName, $id)
getItem ($typeName, $id)
getType ($typeName='')
- Fonctions membres publiques hérités de AssociationExtensionHelper
hasAssociationsSupport ()
getItemTypes ()
getAssociationList ($typeName, $itemId)
getType ($typeName='')
getTypeFields ($typeName)
getTypeSupport ($typeName)
getTypeTables ($typeName)
getTypeJoins ($typeName)
getTypeTitle ($typeName)
getTypeFieldName ($typeName, $fieldName)

Attributs protégés

$extension = 'com_menus'
$itemTypes = array('item')
$associationsSupport = true
- Attributs protégés hérités de AssociationExtensionHelper
$extension = 'com_??'
$itemTypes = array()
$associationsSupport = false

Membres hérités additionnels

- Fonctions membres protégées hérités de AssociationExtensionHelper
getSupportTemplate ()
getFieldsTemplate ()

Description détaillée

Menu associations helper.

Depuis
3.7.0

Documentation des fonctions membres

◆ getAssociations()

getAssociations | ( | $typeName,
 |  | $id
 | ) |

Get the associated items for an item

Paramètres
string | $typeName | The item type
int | $id | The id of item for which we need the associated items
Renvoie
array
Depuis
3.7.0

Références $context, $id, $type, et extension.

◆ getItem()

getItem | ( | $typeName,
 |  | $id
 | ) |

Get item information

Paramètres
string | $typeName | The item type
int | $id | The id of item for which we need the associated items
Renvoie
JTable|null
Depuis
3.7.0

Références $id, et null.

◆ getType()

getType ( $typeName = '' )

Get information about the type

Paramètres
string $typeName The item type
Renvoie
array Array of item types
Depuis
3.7.0

Références $fields, et $title.

Documentation des champs

◆ $associationsSupport

boolean $associationsSupport = true
protected

Has the extension association support

Depuis
3.7.0

◆ $extension

array $extension = 'com_menus'
protected

The extension name

Depuis
3.7.0

◆ $itemTypes

array $itemTypes = array('item')
protected

Array of item types

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/helpers/associations.php


Joomla CMS: Référence de la classe MenusController

Fonctions membres publiques
Référence de la classe MenusController
+ Graphe d'héritage de MenusController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
__construct ($config=array())

Description détaillée

Base controller class for Menu Manager.

Depuis
1.6

Menus manager master display controller.

Depuis
3.7.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings. Recognized key values include 'name', 'default_task', 'model_path', and 'view_path' (this list is not meant to be comprehensive).
Depuis
3.7.0

Références $config, et JPATH_COMPONENT_ADMINISTRATOR.

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | boolean | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $app, $db, $language, $query, JPATH_ADMINISTRATOR, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/controller.php


Joomla CMS: Référence de la classe MenusControllerAjax

Fonctions membres publiques
Référence de la classe MenusControllerAjax
+ Graphe d'héritage de MenusControllerAjax:

Fonctions membres publiques

fetchAssociations ()

Description détaillée

The menu controller for ajax requests

Depuis
3.9.0

Documentation des fonctions membres

◆ fetchAssociations()

fetchAssociations ( )

Method to fetch associations of a menu item

The method assumes that the following http parameters are passed in an Ajax Get request: token: the form token assocId: the id of the menu item whose associations are to be returned excludeLang: the association for this language is to be excluded

Renvoie
null
Depuis
3.9.0

Références $extension, $input, $lang, $message, elseif, LanguageHelper\getContentLanguages(), JPATH_ADMINISTRATOR, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_menus/controllers/ajax.json.php


Joomla CMS: Référence de la classe MenusControllerItem

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe MenusControllerItem
+ Graphe d'héritage de MenusControllerItem:

Fonctions membres publiques

add ()
batch ($model=null)
cancel ($key=null)
edit ($key=null, $urlVar=null)
save ($key=null, $urlVar=null)
setType ()

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='id')
getMenuTypeId ($menutype)
getRedirectToItemAppend ($recordId=null, $urlVar='id')

Description détaillée

The Menu Item Controller

Depuis
1.6

Documentation des fonctions membres

◆ add()

add ( )

Method to add a new menu item.

Renvoie
mixed True if the record can be added, a JError object if not.
Depuis
1.6

Références $app, $context, et null.

◆ allowAdd()

allowAdd ( $data = array() )
protected

Method to check if you can add a new record.

Extended classes can override this if necessary.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
3.6

Références $data, $menuType, et $user.

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method to check if you edit a record.

Extended classes can override this if necessary.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key; default is id.
Renvoie
boolean
Depuis
3.6

Références $data, $item, $key, et $user.

◆ batch()

batch ( $model = null )

Method to run batch operations.

Paramètres
object $model The model.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
1.6

◆ cancel()

cancel ( $key = null )

Method to cancel an edit.

Paramètres
string $key The name of the primary key of the URL variable.
Renvoie
boolean True if access level checks pass, false otherwise.
Depuis
1.6

Références $app, $context, false, null, et option.

◆ edit()

edit | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to edit an existing record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if access level check and checkout passes, false otherwise.
Depuis
1.6

Références $app, edit, et null.

◆ getMenuTypeId()

getMenuTypeId ( $menutype )
protected

Loads the menutype ID by a given menutype string

Paramètres
string $menutype The given menutype
Renvoie
integer
Depuis
3.6

◆ getRedirectToItemAppend()

getRedirectToItemAppend | ( | $recordId = null,
 |  | $urlVar = 'id'
 | ) |
protected

Gets the URL arguments to append to an item redirect.

Paramètres
integer | $recordId | The primary key id for the item.
string | $urlVar | The name of the URL variable for the id.
Renvoie
string The arguments to append to the redirect URL.
Depuis
3.0.1

Références $app, $clientId, $item, et $menuType.

◆ save()

save | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to save a record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if successful, false otherwise.
Depuis
1.6

Références $app, $context, $data, $editUrl, $field, $form, $i, $key, $n, $task, false, null, option, et JError\raiseError().

◆ setType()

setType ( )

Sets the type of the menu item currently being edited.

Renvoie
void
Depuis
1.6

Références $app, $component, $data, $title, $type, elseif, null, et option.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/controllers/item.php


Joomla CMS: Référence de la classe MenusControllerItems

Fonctions membres publiques
Référence de la classe MenusControllerItems
+ Graphe d'héritage de MenusControllerItems:

Fonctions membres publiques

__construct ($config=array())
getModel ($name='Item', $prefix='MenusModel', $config=array())
rebuild ()
saveorder ()
setDefault ()
publish ()
checkin ()

Description détaillée

The Menu Item Controller

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor

Paramètres
array $config Optional configuration array
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ checkin()

checkin ( )

Check in of one or more records.

Renvoie
boolean True on success
Depuis
3.6.0

Références $message, $return, et option.

◆ getModel()

getModel | ( | $name = 'Item',
 |  | $prefix = 'MenusModel',
 |  | $config = array()
 | ) |

Proxy for getModel.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $name, et $prefix.

◆ publish()

publish ( )

Method to publish a list of items

Renvoie
void
Depuis
3.6.0

Références $data, $task, $value, elseif, ArrayHelper\getValue(), et option.

◆ rebuild()

rebuild ( )

Rebuild the nested set tree.

Renvoie
boolean False on failure or error, true on success.
Depuis
1.6

◆ saveorder()

saveorder ( )

Save the manual order inputs from the menu items list view

Renvoie
void
Voir également
JControllerAdmin::saveorder()
Obsolète:
4.0

Références null, et option.

◆ setDefault()

setDefault ( )

Method to set the home property for a list of items

Renvoie
void
Depuis
1.6

Références $app, $data, $task, $value, false, ArrayHelper\getValue(), option, et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/items.php


Joomla CMS: Référence de la classe MenusControllerMenu

Fonctions membres publiques
Référence de la classe MenusControllerMenu
+ Graphe d'héritage de MenusControllerMenu:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
save ($key=null, $urlVar=null)
exportXml ()

Description détaillée

The Menu Type Controller

Depuis
1.6

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Dummy method to redirect back to standard controller

Paramètres
boolean | $cachable | If true, the view output will be cached.
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

◆ exportXml()

exportXml ( )

Method to display a menu as preset xml.

Renvoie
boolean True if successful, false otherwise.
Depuis
3.8.0

Références $id, et $item.

◆ save()

save | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to save a menu item.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if successful, false otherwise.
Depuis
1.6

Références $app, $context, $data, $form, $i, $n, $task, MenusHelper\installPreset(), null, et JError\raiseError().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/controllers/menu.php


Joomla CMS: Référence de la classe MenusControllerMenus

Fonctions membres publiques
Référence de la classe MenusControllerMenus
+ Graphe d'héritage de MenusControllerMenus:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
getModel ($name='Menu', $prefix='MenusModel', $config=array('ignore_request'=> true))
delete ()
rebuild ()
resync ()

Description détaillée

The Menu List Controller

Depuis
1.6

Documentation des fonctions membres

◆ delete()

delete ( )

Remove an item.

Renvoie
void
Depuis
1.6

Références $app, $i, $id, et $user.

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Display the view

Paramètres
boolean | $cachable | If true, the view output will be cached.
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.6

◆ getModel()

getModel | ( | $name = 'Menu',
 |  | $prefix = 'MenusModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $config, $name, et $prefix.

◆ rebuild()

rebuild ( )

Rebuild the menu tree.

Renvoie
boolean False on failure or error, true on success.
Depuis
1.6

◆ resync()

resync ( )

Temporary method. This should go into the 1.5 to 1.6 upgrade routines.

Renvoie
JException|void JException instance on error
Depuis
1.6

Références $db, $item, $items, $option, $parts, $query, null, et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/controllers/menus.php


Joomla CMS: Référence de la classe MenusHelper

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe MenusHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getActions ($parentId=0)
static | getLinkKey ($request)
static | getMenuTypes ($clientId=0)
static | getMenuLinks ($menuType=null, $parentId=0, $mode=0, $published=array(), $languages=array(), $clientId=0)
static | getAssociations ($pk)
static | getMenuItems ($menutype, $enabledOnly=false, $exclude=array())
static | installPreset ($preset, $menutype)

Attributs protégés statiques

static $_filter = array('option', 'view', 'layout')

Description détaillée

Menus component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Références JHtmlSidebar\addEntry().

Référencé par MenusViewItems\display(), et MenusViewMenus\display().

◆ getActions()

static getActions ( $parentId = 0 )
static

Gets a list of the actions that can be performed.

Paramètres
integer $parentId The menu ID.
Renvoie
JObject
Depuis
1.6
Obsolète:
3.2 Use JHelperContent::getActions() instead

◆ getAssociations()

static getAssociations ( $pk )
static

Get the associations

Paramètres
integer $pk Menu item id
Renvoie
array
Depuis
3.0

Référencé par MenusHtmlMenus\association(), MenusModelItem\getItem(), ModLanguagesHelper\getList(), PlgSystemLanguageFilter\onAfterDispatch(), et PlgSystemLanguageFilter\onUserLogin().

◆ getLinkKey()

static getLinkKey ( $request )
static

Gets a standard form of a link for lookups.

Paramètres
mixed $request A link string or array of request variables.
Renvoie
mixed A link in standard option-view-layout form, or false if the supplied response is invalid.
Depuis
1.6

Références $name, et $value.

Référencé par MenusModelMenutypes\addReverseLookupUrl(), et MenusModelItem\getItem().

◆ getMenuItems()

static getMenuItems | ( | $menutype,
 |  | $enabledOnly = false,
 |  | $exclude = array()
 | ) |
static

Load the menu items from database for the given menutype

Paramètres
string | $menutype | The selected menu type
boolean | $enabledOnly | Whether to load only enabled/published menu items.
int[] | $exclude The menu items to exclude from the list
Renvoie
array
Depuis
3.8.0
Obsolète:
4.0 This method will return a node object to iterate over in 4.0.

Références $db, et $query.

Référencé par MenusViewMenu\display(), JAdminCssMenu\load(), et JAdminCssMenu\preprocess().

◆ getMenuLinks()

static getMenuLinks | ( | $menuType = null,
 |  | $parentId = 0,
 |  | $mode = 0,
 |  | $published = array(),
 |  | $languages = array(),
 |  | $clientId = 0
 | ) |
static

Get a list of menu links for one or all menus.

Paramètres
string | $menuType | An option menu to filter the list on, otherwise all menu with given client id links are returned as a grouped array.
integer | $parentId | An optional parent ID to pivot results around.
integer | $mode | An optional mode. If parent ID is set and mode=2, the parent and children are excluded from the list.
array | $published | An optional array of states
array | $languages | Optional array of specify which languages we want to filter
int | $clientId | Optional client id - viz 0 = site, 1 = administrator, can be NULL for all (used only if menutype not givein)
Renvoie
array
Depuis
1.6

Références $clientId, $db, $link, $menuType, $menuTypes, $mode, $published, $query, $type, elseif, et JError\raiseWarning().

Référencé par MenuitemField\getGroups(), et JFormFieldMenuitemByType\getGroups().

◆ getMenuTypes()

static getMenuTypes ( $clientId = 0 )
static

Get the menu list for create a menu module

Paramètres
int $clientId Optional client id - viz 0 = site, 1 = administrator, can be NULL for all
Renvoie
array The menu array list
Depuis
1.6

Références $clientId, $db, et $query.

◆ installPreset()

static installPreset | ( | $preset,
 |  | $menutype
 | ) |
static

Method to install a preset menu into database and link them to the given menutype

Paramètres
string | $preset | The preset name
string | $menutype | The target menutype
Renvoie
void
Exceptions
Exception
Depuis
3.8.0

Références $items.

Référencé par MenusControllerMenu\save().

Documentation des champs

◆ $_filter

$_filter = array('option', 'view', 'layout')
staticprotected

Defines the valid request variables for the reverse lookup.

Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/helpers/menus.php


Joomla CMS: Référence de la classe MenusHtmlMenus

Fonctions membres publiques statiques
Référence de la classe MenusHtmlMenus

Fonctions membres publiques statiques

static | association ($itemid)
static | state ($value, $i, $enabled=true, $checkbox='cb')
static | visibility ($params)

Documentation des fonctions membres

◆ association()

static association ( $itemid )
static

Generate the markup to display the item associations

Paramètres
int $itemid The menu item id
Renvoie
string
Depuis
3.0
Exceptions
Exception If there is an error on the query

Références $classes, $db, $html, $item, $itemid, $items, $query, $text, $tooltip, $url, ENT_QUOTES, MenusHelper\getAssociations(), et htmlspecialchars.

◆ state()

static state | ( | $value,
 |  | $i,
 |  | $enabled = true,
 |  | $checkbox = 'cb'
 | ) |
static

Returns a published state on a grid

Paramètres
integer | $value | The state value.
integer | $i | The row index
boolean | $enabled | An optional setting for access control on the action.
string | $checkbox | An optional prefix for checkboxes.
Renvoie
string The Html code
Voir également
JHtmlJGrid::state
Depuis
1.7.1

Références $enabled, $i, et $value.

◆ visibility()

static visibility ( $params )
static

Returns a visibility state on a grid

Paramètres
integer $params Params of item.
Renvoie
string The Html code
Depuis
3.7.0

Références $params, et Registry\loadString().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/helpers/html/menus.php


Joomla CMS: Référence de la classe MenusModelItem

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe MenusModelItem
+ Graphe d'héritage de MenusModelItem:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getHelp ()
getItem ($pk=null)
getModules ()
getViewLevels ()
getTable ($type='Menu', $prefix='MenusTable', $config=array())
rebuild ()
save ($data)
saveorder ($idArray=null, $lftArray=null)
setHome (&$pks, $value=1)
publish (&$pks, $value=1)

Champs de données

$typeAlias = 'com_menus.item'

Fonctions membres protégées

canDelete ($record)
canEditState ($record)
batchCopy ($value, $pks, $contexts)
batchMove ($value, $pks, $contexts)
canSave ($data=array(), $key='id')
loadFormData ()
getReorderConditions ($table)
populateState ()
getMenuType ($menutype)
getMenuTypeId ($menutype)
preprocessForm (JForm $form, $data, $group='content')
generateNewTitle ($parentId, $alias, $title)
cleanCache ($group=null, $clientId=0)

Attributs protégés

$associationsContext = 'com_menus.item'
$text_prefix = 'COM_MENUS_ITEM'
$helpKey = 'JHELP_MENUS_MENU_ITEM_MANAGER_EDIT'
$helpURL
$helpLocal = false
$batch_copymove = 'menu_id'
$batch_commands

Description détaillée

Menu Item Model for Menus.

Depuis
1.6

Documentation des fonctions membres

◆ batchCopy()

batchCopy | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch copy menu items to a new menu or parent.

Paramètres
integer | $value | The new menu or sub-item.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
mixed An array of new IDs on success, boolean false on failure.
Depuis
1.6

Références $count, $db, $menuType, $parts, $query, $title, $user, $value, et null.

◆ batchMove()

batchMove | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch move menu items to a new menu or parent.

Paramètres
integer | $value | The new menu or sub-item.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True on success.
Depuis
1.6

Références $db, $menuType, $parts, $query, $user, et $value.

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

◆ canEditState()

canEditState ( $record )
protected

Method to test whether the state of a record can be edited.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission for the component.
Depuis
3.6

◆ canSave()

canSave | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method to check if you can save a record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références option.

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Custom clean the cache

Paramètres
string | $group | Cache group name.
integer | $clientId | Application client id.
Renvoie
void
Depuis
1.6

◆ generateNewTitle()

generateNewTitle | ( | $parentId,
 |  | $alias,
 |  | $title
 | ) |
protected

Method to change the title & alias.

Paramètres
integer | $parentId | The id of the parent.
string | $alias | The alias.
string | $title | The title.
Renvoie
array Contains the modified title and alias.
Depuis
1.6

Références $title.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the row form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
1.6

Références $action, $clientId, $data, $form, et $item.

◆ getHelp()

getHelp ( )

Get the necessary data to load an item help screen.

Renvoie
object An object with key, url, and local properties for loading the item help screen.
Depuis
1.6

◆ getItem()

getItem ( $pk = null )

Method to get a menu item.

Paramètres
integer $pk An optional id of the object to get, otherwise the id from the model state is used.
Renvoie
mixed Menu item data object on success, false on failure.
Depuis
1.6

Références $component, $lang, $link, $type, MenusHelper\getAssociations(), MenusHelper\getLinkKey(), JPATH_ADMINISTRATOR, et null.

◆ getMenuType()

getMenuType ( $menutype )
protected

Loads the menutype object by a given menutype string

Paramètres
string $menutype The given menutype
Renvoie
stdClass
Depuis
3.7.0

◆ getMenuTypeId()

getMenuTypeId ( $menutype )
protected

Loads the menutype ID by a given menutype string

Paramètres
string $menutype The given menutype
Renvoie
integer
Depuis
3.6

Références $menu.

◆ getModules()

getModules ( )

Get the list of modules not in trash.

Renvoie
mixed An array of module records (id, title, position), or false on error.
Depuis
1.6

Join on the module-to-menu mapping table. We are only interested if the module is displayed on ALL or THIS menu item (or the inverse ID number). sqlsrv changes for modulelink to menu manager

Références $db, et $query.

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get the where clause for the reorder. This ensures that the row will be moved relative to a row with the same menutype.

Paramètres
JTableMenu $table instance.
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

◆ getTable()

getTable | ( | $type = 'Menu',
 |  | $prefix = 'MenusTable',
 |  | $config = array()
 | ) |

Returns a Table object, always creating it

Paramètres
string | $type | The table type to instantiate.
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable|JTableNested A database object.
Depuis
1.6

Références $config, $prefix, et $type.

◆ getViewLevels()

getViewLevels ( )

Get the list of all view levels

Renvoie
array|boolean An array of all view levels (id, title).
Depuis
3.4

Références $db, et $query.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data, $filters, et null.

◆ populateState()

populateState ( )
protected

Auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Note: a new menu item will have no field type. The field is required so the user has to change it.

Références $app, $clientId, $link, $menuType, $params, $type, et null.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to preprocess the form.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import.
Renvoie
void
Depuis
1.6
Exceptions
Exception if there is an error in the form event.

Références $base, $clientId, $data, $field, $fields, $form, $language, $layout, $link, $option, $path, $type, $view, elseif, JPATH_ADMINISTRATOR, null, et true.

◆ publish()

publish | ( | & | $pks,
 |  |  | $value = 1
 | ) |  |

Method to change the published state of one or more records.

Paramètres
array | $pks | A list of the primary keys to change.
integer | $value | The value of the published state.
Renvoie
boolean True on success.
Depuis
1.6

Références $i, $value, et JError\raiseWarning().

◆ rebuild()

rebuild ( )

Method rebuild the entire nested set tree.

Renvoie
boolean|JException Boolean true on success, boolean false or JException instance on error
Depuis
1.6

Références $db, $item, $items, $params, $query, et JError\raiseWarning().

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $base, $context, $data, $db, $dispatcher, $id, $key, $menuType, $name, $option, $query, $title, elseif, JEventDispatcher\getInstance(), json_encode, option, JError\raiseNotice(), et ArrayHelper\toInteger().

◆ saveorder()

saveorder | ( | $idArray = null,
 |  | $lftArray = null
 | ) |

Method to save the reordered nested set tree. First we save the new order values in the lft values of the changed ids. Then we invoke the table rebuild to implement the new ordering.

Paramètres
array | $idArray | Rows identifiers to be reordered
array | $lftArray | lft values of rows to be reordered
Renvoie
boolean false on failure or error, true otherwise.
Depuis
1.6

◆ setHome()

setHome | ( | & | $pks,
 |  |  | $value = 1
 | ) |  |

Method to change the home state of one or more items.

Paramètres
array | $pks | A list of the primary keys to change.
integer | $value | The value of the home state.
Renvoie
boolean True on success.
Depuis
1.6

Références $i, $value, elseif, JError\raiseNotice(), et JError\raiseWarning().

Documentation des champs

◆ $associationsContext

$associationsContext = 'com_menus.item'
protected

◆ $batch_commands

$batch_commands
protected
Valeur initiale :
= array(
'assetgroup_id' => 'batchAccess',
'language_id' => 'batchLanguage'
)

◆ $batch_copymove

$batch_copymove = 'menu_id'
protected

◆ $helpKey

$helpKey = 'JHELP_MENUS_MENU_ITEM_MANAGER_EDIT'
protected

◆ $helpLocal

$helpLocal = false
protected

◆ $helpURL

$helpURL
protected

◆ $text_prefix

$text_prefix = 'COM_MENUS_ITEM'
protected

◆ $typeAlias

$typeAlias = 'com_menus.item'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/models/item.php


Joomla CMS: Référence de la classe MenusModelItems

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe MenusModelItems
+ Graphe d'héritage de MenusModelItems:

Fonctions membres publiques

__construct ($config=array())
getItems ()

Fonctions membres protégées

populateState ($ordering='a.lft', $direction='asc')
getStoreId ($id='')
getListQuery ()
preprocessForm (JForm $form, $data, $group='content')
getMenu ($menuType, $check=false)

Description détaillée

Menu Item List Model for Menus.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $app, $assoc, et $config.

Documentation des fonctions membres

◆ getItems()

getItems ( )

Method to get an array of data items.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
3.0.1

Références $client, $extension, $item, $items, $lang, JPATH_ADMINISTRATOR, et null.

◆ getListQuery()

getListQuery ( )
protected

Builds an SQL query to load the list data.

Renvoie
JDatabaseQuery A query object.
Depuis
1.6

Références $app, $assoc, $db, $groups, $language, $menuType, $menuTypes, $published, $query, $type, $user, elseif, et null.

◆ getMenu()

getMenu | ( | $menuType,
 |  | $check = false
 | ) |
protected

Get the client id for a menu

Paramètres
string | $menuType | The menutype identifier for the menu
boolean | $check | Flag whether to perform check against ACL as well as existence
Renvoie
integer
Depuis
3.7.0

Références $check, $menuType, $query, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.lft',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $clientId, $direction, $forcedLanguage, $language, $layout, $menuType, $ordering, $params, $published, $user, elseif, JPATH_ADMINISTRATOR, et null.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to allow derived classes to preprocess the form.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
3.2
Exceptions
Exception if there is an error in the form event.

Références $clientId, $form, $name, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/items.php


Joomla CMS: Référence de la classe MenusModelMenu

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MenusModelMenu
+ Graphe d'héritage de MenusModelMenu:

Fonctions membres publiques

getTable ($type='MenuType', $prefix='JTable', $config=array())
& getItem ($itemId=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
save ($data)
delete ($itemIds)
& getModules ()

Fonctions membres protégées

canDelete ($record)
canEditState ($record)
populateState ()
loadFormData ()
cleanCache ($group=null, $clientId=0)

Attributs protégés

$text_prefix = 'COM_MENUS_MENU'
$_context = 'com_menus.menu'

Description détaillée

Menu Item Model for Menus.

Depuis
1.6

Documentation des fonctions membres

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

◆ canEditState()

canEditState ( $record )
protected

Method to test whether the state of a record can be edited.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission set in the component.
Depuis
1.6

Références $user.

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Custom clean the cache

Paramètres
string | $group | Cache group name.
integer | $clientId | Application client id.
Renvoie
void
Depuis
1.6

◆ delete()

delete ( $itemIds )

Method to delete groups.

Paramètres
array $itemIds An array of item ids.
Renvoie
boolean Returns true on success, false on failure.
Depuis
1.6

Références $dispatcher, $itemId, JEventDispatcher\getInstance(), et ArrayHelper\toInteger().

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the menu item form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getItem()

& getItem ( $itemId = null )

Method to get a menu item.

Paramètres
integer $itemId The id of the menu item to get.
Renvoie
mixed Menu item data object on success, false on failure.
Depuis
1.6

Références $itemId, $return, $value, et ArrayHelper\toObject().

◆ getModules()

& getModules ( )

Gets a list of all mod_mainmenu modules and collates them by menutype

Renvoie
array
Depuis
1.6

Références $db, $menuType, $module, $modules, $params, et $query.

◆ getTable()

getTable | ( | $type = 'MenuType',
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |

Returns a Table object, always creating it

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ populateState()

populateState ( )
protected

Auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, $id, et $params.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $data, $dispatcher, $id, et JEventDispatcher\getInstance().

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.9.23

Références $data, $form, et validate().

Documentation des champs

◆ $_context

$_context = 'com_menus.menu'
protected

◆ $text_prefix

$text_prefix = 'COM_MENUS_MENU'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/models/menu.php


Joomla CMS: Référence de la classe MenusModelMenus

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe MenusModelMenus
+ Graphe d'héritage de MenusModelMenus:

Fonctions membres publiques

__construct ($config=array())
getItems ()
getModMenuId ()
& getModules ()

Fonctions membres protégées

getListQuery ()
populateState ($ordering='a.title', $direction='asc')

Description détaillée

Menu List Model for Menus.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getItems()

getItems ( )

Overrides the getItems method to attach additional metrics to the list.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
1.6.1

Références $db, $item, $items, $menuTypes, et $query.

◆ getListQuery()

getListQuery ( )
protected

Method to build an SQL query to load the list data.

Renvoie
string An SQL query
Depuis
1.6

Références $db, et $query.

◆ getModMenuId()

getModMenuId ( )

Gets the extension id of the core mod_menu module.

Renvoie
integer
Depuis
2.5

Références $db, et $query.

◆ getModules()

& getModules ( )

Gets a list of all mod_mainmenu modules and collates them by menutype

Renvoie
array
Depuis
1.6

◆ populateState()

populateState | ( | $ordering = 'a.title',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $clientId, $direction, et $ordering.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/models/menus.php


Joomla CMS: Référence de la classe MenusModelMenutypes

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MenusModelMenutypes
+ Graphe d'héritage de MenusModelMenutypes:

Fonctions membres publiques

getReverseLookup ()
getTypeOptions ()
addReverseLookupUrl ($option)

Fonctions membres protégées

populateState ()
getTypeOptionsByComponent ($component)
getTypeOptionsFromXml ($file, $component)
getTypeOptionsFromMvc ($component)
getTypeOptionsFromManifest ($component)
getTypeOptionsFromLayouts ($component, $view)

Attributs protégés

$rlu = array()

Description détaillée

Menu Item Types Model for Menus.

Depuis
1.6

Documentation des fonctions membres

◆ addReverseLookupUrl()

addReverseLookupUrl ( $option )

Method to create the reverse lookup for link-to-name. (can be used from onAfterGetMenuTypeOptions handlers)

Paramètres
JObject $option with request array or string and title public variables
Renvoie
void
Depuis
3.1

Références $option, et MenusHelper\getLinkKey().

◆ getReverseLookup()

getReverseLookup ( )

Method to get the reverse lookup of the base link URL to Title

Renvoie
array Array of reverse lookup of the base link URL to Title
Depuis
1.6

◆ getTypeOptions()

getTypeOptions ( )

Method to get the available menu item type options.

Renvoie
array Array of groups with menu item types.
Depuis
1.6

Références $component, $db, $lang, $list, $option, $options, $query, JEventDispatcher\getInstance(), jimport(), JPATH_ADMINISTRATOR, et null.

◆ getTypeOptionsByComponent()

getTypeOptionsByComponent ( $component )
protected

Get menu types by component.

Paramètres
string $component Component URL option.
Renvoie
array
Depuis
1.6

Références $client, $component, et $options.

◆ getTypeOptionsFromLayouts()

getTypeOptionsFromLayouts | ( | $component,
 |  | $view
 | ) |
protected

Get the menu types from component layouts

Paramètres
string | $component | Component option as in URLs
string | $view | Name of the view
Renvoie
array
Depuis
1.6

Références $client, $component, $file, $folder, $lang, $layout, $menu, $options, $path, $template, $view, et null.

◆ getTypeOptionsFromManifest()

getTypeOptionsFromManifest ( $component )
protected

Get menu types from Component manifest

Paramètres
string $component Component option like in URLs
Renvoie
array|boolean
Depuis
3.7.0

Références $attributes, $component, $manifest, $options, JPATH_ADMINISTRATOR, et null.

◆ getTypeOptionsFromMvc()

getTypeOptionsFromMvc ( $component )
protected

Get menu types from MVC

Paramètres
string $component Component option like in URLs
Renvoie
array|boolean
Depuis
1.6

Références $client, $component, $file, $menu, $options, $path, $view, et elseif.

◆ getTypeOptionsFromXml()

getTypeOptionsFromXml | ( | $file,
 |  | $component
 | ) |
protected

Get the menu types from an XML file

Paramètres
string | $file | File path
string | $component | Component option as in URL
Renvoie
array|boolean
Depuis
1.6

Références $component, $file, $menu, $options, et elseif.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Renvoie
void
Note
Calling getState in this method will result in recursion.
Depuis
3.0.1

Références $app, et $clientId.

Documentation des champs

◆ $rlu

$rlu = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • menutypes.php


Joomla CMS: Référence de la classe MenusTableMenu

Fonctions membres publiques
Référence de la classe MenusTableMenu
+ Graphe d'héritage de MenusTableMenu:

Fonctions membres publiques

delete ($pk=null, $children=false)

Description détaillée

Menu table

Depuis
1.6

Documentation des fonctions membres

◆ delete()

delete | ( | $pk = null,
 |  | $children = false
 | ) |

Method to delete a node and, optionally, its child nodes from the table.

Paramètres
integer | $pk | The primary key of the node to delete.
boolean | $children | True to delete child nodes, false to move them up a level.
Renvoie
boolean True on success.
Depuis
2.5

Références $db, $query, et $return.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/tables/menu.php


Joomla CMS: Référence de la classe MenusViewItem

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MenusViewItem
+ Graphe d'héritage de MenusViewItem:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$modules
$state
$canDo

Description détaillée

The HTML Menus Menu Item View.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $clientId, $input, $lang, $url, $user, item, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void
Depuis
1.6

Références $forcedLanguage, $user, item, null, et JError\raiseError().

Documentation des champs

◆ $canDo

$canDo
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $modules

$modules
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/views/item/view.html.php


Joomla CMS: Référence de la classe MenusViewItems

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MenusViewItems
+ Graphe d'héritage de MenusViewItems:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$f_levels
$items
$pagination
$state

Description détaillée

The HTML Menus Menu Items View.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $title, $user, elseif, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void
Depuis
1.6

Références $base, $file, $forcedLanguage, $item, $lang, $layout, $options, $value, $view, MenusHelper\addSubmenu(), JEventDispatcher\getInstance(), items, JPATH_ADMINISTRATOR, JPATH_SITE, null, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $f_levels

$f_levels
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/views/items/view.html.php


Joomla CMS: Référence de la classe MenusViewMenu

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MenusViewMenu
+ Graphe d'héritage de MenusViewMenu:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
addXmlChild ($xml, $item)

Attributs protégés

$form
$item
$state
$canDo
$items

Description détaillée

The HTML Menus Menu Item View.

Depuis
1.6

The HTML Menus Menu Item View.

Depuis
3.8.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $input, item, et title.

◆ addXmlChild()

addXmlChild | ( | $xml,
 |  | $item
 | ) |
protected

Add a child node to the xml

Paramètres
SimpleXMLElement | $xml | The current XML node which would become the parent to the new node
stdClass | $item | The menuitem object to create the child XML node from
Renvoie
void
Depuis
3.8.0

Références $db, $item, et $query.

◆ display() [1/2]

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void
Depuis
3.8.0

Références $app, $file, $item, $items, MenusHelper\getMenuItems(), et items.

◆ display() [2/2]

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void
Depuis
1.6

Références item.

Documentation des champs

◆ $canDo

$canDo
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $items

$items
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_menus/views/menu/view.html.php
  • com_menus/views/menu/view.xml.php


Joomla CMS: Référence de la classe MenusViewMenus

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MenusViewMenus
+ Graphe d'héritage de MenusViewMenus:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$modules
$pagination
$state

Description détaillée

The HTML Menus Menu Menus View.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void
Depuis
1.6

Références MenusHelper\addSubmenu(), items, et JHtmlSidebar\render().

Documentation des champs

◆ $items

$items
protected

◆ $modules

$modules
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/views/menus/view.html.php


Joomla CMS: Référence de la classe MenusViewMenutypes

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MenusViewMenutypes
+ Graphe d'héritage de MenusViewMenutypes:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
addCustomTypes (&$types)

Attributs protégés

$types

Description détaillée

The HTML Menus Menu Item Types View.

Depuis
1.6

Documentation des fonctions membres

◆ addCustomTypes()

addCustomTypes ( & $types )
protected

Method to add system link types to the link types array

Paramètres
array $types The list of link types
Renvoie
void
Depuis
3.7.0

Références $list, et null.

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.0

Références $title, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void
Depuis
1.6

Références $app, $item, $list, $name, et $tmp.

Documentation des champs

◆ $types

$types
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_menus/views/menutypes/view.html.php


Joomla CMS: Référence de la classe MessagesController

Fonctions membres publiques
Référence de la classe MessagesController
+ Graphe d'héritage de MessagesController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)

Description détaillée

Messages master display controller.

Depuis
1.6

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached.
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $id, $layout, $view, MessagesHelper\addSubmenu(), JPATH_ADMINISTRATOR, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_messages/controller.php


Joomla CMS: Référence de la classe MessagesControllerConfig

Fonctions membres publiques
Référence de la classe MessagesControllerConfig
+ Graphe d'héritage de MessagesControllerConfig:

Fonctions membres publiques

save ()

Description détaillée

Messages Component Message Model

Depuis
1.6

Documentation des fonctions membres

◆ save()

save ( )

Method to save a record.

Renvoie
boolean
Depuis
1.6

Références $app, $data, $form, $i, $n, et JError\raiseError().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_messages/controllers/config.php


Joomla CMS: Référence de la classe MessagesControllerMessage

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe MessagesControllerMessage
+ Graphe d'héritage de MessagesControllerMessage:

Fonctions membres publiques

reply ()

Fonctions membres protégées

allowSave ($data, $key='message_id')

Description détaillée

Messages Component Message Model

Depuis
1.6

Documentation des fonctions membres

◆ allowSave()

allowSave | ( | $data,
 |  | $key = 'message_id'
 | ) |
protected

Method (override) to check if you can save a new or existing record.

Adjusts for the primary key name and hands off to the parent class.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, et $key.

◆ reply()

reply ( )

Reply to an existing message.

This is a simple redirect to the compose form.

Renvoie
void
Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_messages/controllers/message.php


Joomla CMS: Référence de la classe MessagesControllerMessages

Fonctions membres publiques
Référence de la classe MessagesControllerMessages
+ Graphe d'héritage de MessagesControllerMessages:

Fonctions membres publiques

getModel ($name='Message', $prefix='MessagesModel', $config=array('ignore_request'=> true))

Description détaillée

Messages list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Message',
 |  | $prefix = 'MessagesModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $config, $name, et $prefix.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_messages/controllers/messages.php


Joomla CMS: Référence de la classe MessagesHelper

Fonctions membres publiques statiques
Référence de la classe MessagesHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getActions ()
static | getStateOptions ()

Description détaillée

Messages helper class.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Références JHtmlSidebar\addEntry().

Référencé par MessagesController\display().

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject
Obsolète:
3.2 Use JHelperContent::getActions() instead

◆ getStateOptions()

static getStateOptions ( )
static

Get a list of filter options for the state of a module.

Renvoie
array An array of JHtmlOption elements.
Depuis
1.6

Références $options.

Référencé par JFormFieldMessageStates\getOptions().

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_messages/helpers/messages.php


Joomla CMS: Référence de la classe MessagesModelConfig

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe MessagesModelConfig
+ Graphe d'héritage de MessagesModelConfig:

Fonctions membres publiques

& getItem ()
getForm ($data=array(), $loadData=true)
save ($data)

Fonctions membres protégées

populateState ()

Description détaillée

Message configuration model.

Depuis
1.6

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getItem()

& getItem ( )

Method to get a single record.

Renvoie
mixed Object on success, false on failure.
Depuis
1.6

Références $db, $item, $query, $row, et $rows.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $params, et $user.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $data, $db, $query, et $userId.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_messages/models/config.php


Joomla CMS: Référence de la classe MessagesModelMessage

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MessagesModelMessage
+ Graphe d'héritage de MessagesModelMessage:

Fonctions membres publiques

delete (&$pks)
getTable ($type='Message', $prefix='MessagesTable', $config=array())
getItem ($pk=null)
getForm ($data=array(), $loadData=true)
publish (&$pks, $value=1)
save ($data)

Fonctions membres protégées

populateState ()
loadFormData ()

Attributs protégés

$item

Description détaillée

Private Message model.

Depuis
1.6

Documentation des fonctions membres

◆ delete()

delete ( & $pks )

Check that recipient user is the one trying to delete and then call parent delete method

Paramètres
array &$pks An array of record primary keys.
Renvoie
boolean True if successful, false if an error occurs.
Depuis
3.1

Références $i, et $user.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
1.6

Références $db, $item, $message, $query, elseif, et item.

◆ getTable()

getTable | ( | $type = 'Message',
 |  | $prefix = 'MessagesTable',
 |  | $config = array()
 | ) |

Returns a Table object, always creating it.

Paramètres
type | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $input, et $user.

◆ publish()

publish | ( | & | $pks,
 |  |  | $value = 1
 | ) |  |

Checks that the current user matches the message recipient and calls the parent publish method

Paramètres
array | &$pks | A list of the primary keys to change.
integer | $value | The value of the published state.
Renvoie
boolean True on success.
Depuis
3.1

Références $i, $user, et $value.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $app, $config, $data, $lang, $message, $sitename, $subject, ENT_COMPAT, et JPATH_ADMINISTRATOR.

Documentation des champs

◆ $item

$item
protected

Message

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_messages/models/message.php


Joomla CMS: Référence de la classe MessagesModelMessages

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe MessagesModelMessages
+ Graphe d'héritage de MessagesModelMessages:

Fonctions membres publiques

__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='a.date_time', $direction='desc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Messages Component Messages Model

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $db, $query, $state, $user, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.date_time',
 |  | $direction = 'desc'
 | ) |
protected

Method to auto-populate the model state.

This method should only be called once per instantiation and is designed to be called on the first call to the getState() method unless the model configuration flag to ignore the request is set.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, et $ordering.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_messages/models/messages.php


Joomla CMS: Référence de la classe MessagesTableMessage

Fonctions membres publiques
Référence de la classe MessagesTableMessage
+ Graphe d'héritage de MessagesTableMessage:

Fonctions membres publiques

__construct (&$db)
check ()
publish ($pks=null, $state=1, $userId=0)

Description détaillée

Message Table class

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver &$db Database connector object
Depuis
1.5

Références $db.

Documentation des fonctions membres

◆ check()

check ( )

Validation and filtering.

Renvoie
boolean
Depuis
1.5

Références $user.

◆ publish()

publish | ( | $pks = null,
 |  | $state = 1,
 |  | $userId = 0
 | ) |

Method to set the publishing state for a row or list of rows in the database table. The method respects checked out rows by other users and will attempt to checkin rows that it can after adjustments are made.

Paramètres
mixed | $pks | An optional array of primary key values to update. If not set the instance property value is used.
integer | $state | The publishing state. eg. [0 = unpublished, 1 = published]
integer | $userId | The user id of the user performing the operation.
Renvoie
boolean True on success.
Depuis
1.6

Références $state, et ArrayHelper\toInteger().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_messages/tables/message.php


Joomla CMS: Référence de la classe MessagesViewConfig

Fonctions membres publiques | Attributs protégés
Référence de la classe MessagesViewConfig
+ Graphe d'héritage de MessagesViewConfig:

Fonctions membres publiques

display ($tpl=null)

Attributs protégés

$form
$item
$state

Description détaillée

View to edit messages user configuration.

Depuis
1.6

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_messages/views/config/view.html.php


Joomla CMS: Référence de la classe MessagesViewMessage

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MessagesViewMessage
+ Graphe d'héritage de MessagesViewMessage:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state

Description détaillée

HTML View class for the Messages component

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références item, null, et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_messages/views/message/view.html.php


Joomla CMS: Référence de la classe MessagesViewMessages

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe MessagesViewMessages
+ Graphe d'héritage de MessagesViewMessages:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of messages.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $state, elseif, et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références items, et JError\raiseError().

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_messages/views/messages/view.html.php


Joomla CMS: Référence de la classe ModArchiveHelper

Fonctions membres publiques statiques
Référence de la classe ModArchiveHelper

Fonctions membres publiques statiques

static getList (&$params)

Description détaillée

Helper for mod_articles_archive

Depuis
1.5

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Retrieve list of archived articles

Paramètres
\Joomla\Registry\Registry &$params module parameters
Renvoie
array
Depuis
1.5

Références $app, $date, $db, $i, $item, $itemid, $menu, $params, $query, $row, et $rows.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_articles_archive/helper.php


Joomla CMS: Référence de la classe ModArticlesCategoriesHelper

Fonctions membres publiques statiques
Référence de la classe ModArticlesCategoriesHelper

Fonctions membres publiques statiques

static getList (&$params)

Description détaillée

Helper for mod_articles_categories

Depuis
1.5

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get list of articles

Paramètres
\Joomla\Registry\Registry &$params module parameters
Renvoie
array
Depuis
1.5

Références $category, $count, $items, $options, $params, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_articles_categories/helper.php


Joomla CMS: Référence de la classe ModArticlesCategoryHelper

Fonctions membres publiques statiques
Référence de la classe ModArticlesCategoryHelper

Fonctions membres publiques statiques

static | getList (&$params)
static | _cleanIntrotext ($introtext)
static | truncate ($html, $maxLength=0)
static | groupBy ($list, $fieldName, $direction, $fieldNameToKeep=null)
static | groupByDate ($list, $type='year', $direction='ksort', $monthYearFormat='F Y', $field='created')
static | groupByTags ($list, $direction='ksort')

Description détaillée

Helper for mod_articles_category

Depuis
1.6

Documentation des fonctions membres

◆ _cleanIntrotext()

static _cleanIntrotext ( $introtext )
static

Strips unnecessary tags from the introtext

Paramètres
string $introtext introtext to sanitize
Renvoie
mixed|string
Depuis
1.6

◆ getList()

static getList ( & $params )
static

Get a list of articles from a specific category

Paramètres
\Joomla\Registry\Registry &$params object holding the models parameters
Renvoie
mixed
Depuis
1.6
Obsolète:
Catslug is deprecated, use catid instead. 4.0

Références $app, $article, $authorised, $category, $condition, $item, $items, $menu, $mode, $option, $ordering, $params, $view, elseif, ContentHelperRoute\getArticleRoute(), et ContentHelperRoute\getCategoryRoute().

◆ groupBy()

static groupBy | ( | $list,
 |  | $fieldName,
 |  | $direction,
 |  | $fieldNameToKeep = null
 | ) |
static

Groups items by field

Paramètres
array | $list | list of items
string | $fieldName | name of field that is used for grouping
string | $direction | ordering direction
null | $fieldNameToKeep | field name to keep
Renvoie
array
Depuis
1.6

Références $direction, $item, $key, $list, et null.

◆ groupByDate()

static groupByDate | ( | $list,
 |  | $type = 'year',
 |  | $direction = 'ksort',
 |  | $monthYearFormat = 'F Y',
 |  | $field = 'created'
 | ) |
static

Groups items by date

Paramètres
array | $list | list of items
string | $type | type of grouping
string | $direction | ordering direction
string | $monthYearFormat | date format to use
string | $field | date field to group by
Renvoie
array
Depuis
1.6

Références $date, $direction, $item, $items, $key, $list, et $type.

◆ groupByTags()

static groupByTags | ( | $list,
 |  | $direction = 'ksort'
 | ) |
static

Groups items by tags

Paramètres
array | $list | list of items
string | $direction | ordering direction
Renvoie
array
Depuis
3.9.0

Références $direction, $item, et $list.

◆ truncate()

static truncate | ( | $html,
 |  | $maxLength = 0
 | ) |
static

Method to truncate introtext

The goal is to get the proper length plain text string with as much of the html intact as possible with all tags properly closed.

Paramètres
string | $html | The content of the introtext to be truncated
integer | $maxLength | The maximum number of characters to render
Renvoie
string The truncated string
Depuis
1.6

Références $html.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_articles_category/helper.php


Joomla CMS: Référence de la classe ModArticlesLatestHelper

Fonctions membres publiques statiques
Référence de la classe ModArticlesLatestHelper

Fonctions membres publiques statiques

static getList (&$params)

Description détaillée

Helper for mod_articles_latest

Depuis
1.6

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Retrieve a list of article

Paramètres
\Joomla\Registry\Registry &$params module parameters
Renvoie
mixed
Depuis
1.6
Obsolète:
Catslug is deprecated, use catid instead. 4.0

Références $app, $authorised, $db, $item, $items, $ordering, $params, $userId, elseif, et ContentHelperRoute\getArticleRoute().

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_articles_latest/helper.php


Joomla CMS: Référence de la classe ModArticlesNewsHelper

Fonctions membres publiques statiques
Référence de la classe ModArticlesNewsHelper

Fonctions membres publiques statiques

static getList (&$params)

Description détaillée

Helper for mod_articles_news

Depuis
1.6

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get a list of the latest articles from the article model

Paramètres
\Joomla\Registry\Registry &$params object holding the models parameters
Renvoie
mixed
Depuis
1.6
Obsolète:
Catslug is deprecated, use catid instead. 4.0

Références $app, $authorised, $direction, $images, $item, $items, $ordering, $params, $results, elseif, ENT_COMPAT, ContentHelperRoute\getArticleRoute(), et htmlspecialchars.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_articles_news/helper.php


Joomla CMS: Référence de la classe ModArticlesPopularHelper

Fonctions membres publiques statiques
Référence de la classe ModArticlesPopularHelper

Fonctions membres publiques statiques

static getList (&$params)

Description détaillée

Helper for mod_articles_popular

Depuis
1.6

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get a list of popular articles from the articles model

Paramètres
\Joomla\Registry\Registry &$params object holding the models parameters
Renvoie
mixed
Obsolète:
Catslug is deprecated, use catid instead. 4.0

Références $app, $authorised, $item, $items, $params, et ContentHelperRoute\getArticleRoute().

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_articles_popular/helper.php


Joomla CMS: Référence de la classe ModBannersHelper

Fonctions membres publiques statiques
Référence de la classe ModBannersHelper

Fonctions membres publiques statiques

static & getList (&$params)

Description détaillée

Helper for mod_banners

Depuis
1.5

Documentation des fonctions membres

◆ getList()

static& getList ( & $params )
static

Retrieve list of banners

Paramètres
\Joomla\Registry\Registry &$params module parameters
Renvoie
mixed

Références $app, $config, $document, $keywords, $params, getDocument, et JPATH_ROOT.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_banners/helper.php


Joomla CMS: Référence de la classe ModBreadCrumbsHelper

Fonctions membres publiques statiques
Référence de la classe ModBreadCrumbsHelper

Fonctions membres publiques statiques

static | getList (&$params)
static | setSeparator ($custom=null)

Description détaillée

Helper for mod_breadcrumbs

Depuis
1.5

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Retrieve breadcrumb items

Paramètres
\Joomla\Registry\Registry &$params module parameters
Renvoie
array

Références $app, $count, $i, $item, $items, $lang, $menu, $params, ENT_COMPAT, htmlspecialchars, et name.

◆ setSeparator()

static setSeparator ( $custom = null )
static

Set the breadcrumbs separator for the breadcrumbs display.

Paramètres
string $custom Custom xhtml compliant string to separate the items of the breadcrumbs
Renvoie
string Separator string
Depuis
1.5

Références $lang, ENT_COMPAT, htmlspecialchars, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_breadcrumbs/helper.php


Joomla CMS: Référence de la classe ModFeedHelper

Fonctions membres publiques statiques
Référence de la classe ModFeedHelper

Fonctions membres publiques statiques

static | getFeed ($params)
static | getFeed ($params)

Description détaillée

Helper for mod_feed

Depuis
1.5

Documentation des fonctions membres

◆ getFeed() [1/2]

static getFeed ( $params )
static

Retrieve feed information

Paramètres
\Joomla\Registry\Registry $params module parameters
Renvoie
JFeedReader|string

Références $feed, $params, et $rssurl.

◆ getFeed() [2/2]

static getFeed ( $params )
static

Method to load a feed.

Paramètres
JRegisty $params The parameters object.
Renvoie
JFeedReader|string Return a JFeedReader object or a string message if error.
Depuis
1.5

Références $feed, $params, $rssurl, et jimport().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_feed/helper.php


Joomla CMS: Référence de la classe ModFinderHelper

Fonctions membres publiques statiques
Référence de la classe ModFinderHelper

Fonctions membres publiques statiques

static | getGetFields ($route=null, $paramItem=0)
static | getQuery ($params)

Description détaillée

Finder module helper.

Depuis
2.5

Documentation des fonctions membres

◆ getGetFields()

static getGetFields | ( | $route = null,
 |  | $paramItem = 0
 | ) |
static

Method to get hidden input fields for a get form so that control variables are not lost upon form submission.

Paramètres
string | $route | The route to the page. [optional]
integer | $paramItem | The menu item ID. (
Depuis
3.1) [optional]
Renvoie
string A string of hidden input form fields
Depuis
2.5

Références $fields, $id, $n, $route, et $uri.

◆ getQuery()

static getQuery ( $params )
static

Get Smart Search query object.

Paramètres
\Joomla\Registry\Registry $params Module parameters.
Renvoie
FinderIndexerQuery object
Depuis
2.5

Références $app, $filter, $input, $options, et $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_finder/helper.php


Joomla CMS: Référence de la classe ModLanguagesHelper

Fonctions membres publiques statiques
Référence de la classe ModLanguagesHelper

Fonctions membres publiques statiques

static getList (&$params)

Description détaillée

Helper for mod_languages

Depuis
1.6

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Gets a list of available languages

Paramètres
\Joomla\Registry\Registry &$params module params
Renvoie
array

Références $active, $app, $assoc, $class, $default, $i, $item, $itemid, $lang, $language, $menu, $multilang, $option, $user, elseif, MenusHelper\getAssociations(), JPATH_SITE, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_languages/helper.php


Joomla CMS: Référence de la classe ModLatestActionsHelper

Fonctions membres publiques statiques
Référence de la classe ModLatestActionsHelper

Fonctions membres publiques statiques

static | getList (&$params)
static | getTitle ($params)

Description détaillée

Helper for mod_latestactions

Depuis
3.9.0

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get a list of articles.

Paramètres
\Joomla\Registry\Registry &$params The module parameters.
Renvoie
mixed An array of action logs, or false on error.

Références $params, $row, $rows, ActionlogsHelper\getHumanReadableLogMessage(), JPATH_ADMINISTRATOR, ActionlogsHelper\loadActionLogPluginsLanguage(), et JLoader\register().

◆ getTitle()

static getTitle ( $params )
static

Get the alternate title for the module

Paramètres
\Joomla\Registry\Registry $params The module parameters.
Renvoie
string The alternate title for the module.
Depuis
3.9.1

Références $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_latestactions/helper.php


Joomla CMS: Référence de la classe ModLatestHelper

Fonctions membres publiques statiques
Référence de la classe ModLatestHelper

Fonctions membres publiques statiques

static | getList (&$params)
static | getTitle ($params)

Description détaillée

Helper for mod_latest

Depuis
1.5

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get a list of articles.

Paramètres
\Joomla\Registry\Registry &$params The module parameters.
Renvoie
mixed An array of articles, or false on error.

Références $item, $items, $params, $user, $userId, null, et JError\raiseError().

◆ getTitle()

static getTitle ( $params )
static

Get the alternate title for the module.

Paramètres
\Joomla\Registry\Registry $params The module parameters.
Renvoie
string The alternate title for the module.

Références $category, $params, $title, $type, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_latest/helper.php


Joomla CMS: Référence de la classe ModLoggedHelper

Fonctions membres publiques statiques
Référence de la classe ModLoggedHelper

Fonctions membres publiques statiques

static | getList (&$params)
static | getTitle ($params)

Description détaillée

Helper for mod_logged

Depuis
1.5

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get a list of logged users.

Paramètres
\Joomla\Registry\Registry &$params The module parameters.
Renvoie
mixed An array of users, or false on error.
Exceptions
RuntimeException

Références $db, $params, $query, $results, et $user.

◆ getTitle()

static getTitle ( $params )
static

Get the alternate title for the module

Paramètres
\Joomla\Registry\Registry $params The module parameters.
Renvoie
string The alternate title for the module.

Références $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_logged/helper.php


Joomla CMS: Référence de la classe ModLoginHelper

Fonctions membres publiques statiques
Référence de la classe ModLoginHelper

Fonctions membres publiques statiques

static | getLanguageList ()
static | getReturnUri ()
static | getTwoFactorMethods ()
static | getReturnUrl ($params, $type)
static | getType ()
static | getTwoFactorMethods ()

Description détaillée

Helper for mod_login

Depuis
1.6

Helper for mod_login

Depuis
1.5

Documentation des fonctions membres

◆ getLanguageList()

static getLanguageList ( )
static

Get an HTML select list of the available languages.

Renvoie
string

Références $b, $language, JPATH_ADMINISTRATOR, et null.

◆ getReturnUri()

static getReturnUri ( )
static

Get the redirect URI after login.

Renvoie
string

Références $return, et $uri.

◆ getReturnUrl()

static getReturnUrl | ( | $params,
 |  | $type
 | ) |
static

Retrieve the URL where the user should be returned after logging in

Paramètres
\Joomla\Registry\Registry | $params | module parameters
string | $type | return type
Renvoie
string

Références $app, $item, $lang, $params, $type, et $url.

◆ getTwoFactorMethods() [1/2]

static getTwoFactorMethods ( )
static

Get list of available two factor methods

Renvoie
array
Obsolète:
4.0 Use JAuthenticationHelper::getTwoFactorMethods() instead.

◆ getTwoFactorMethods() [2/2]

static getTwoFactorMethods ( )
static

Creates a list of two factor authentication methods used in com_users on user view

Renvoie
array
Obsolète:
4.0 Use JAuthenticationHelper::getTwoFactorMethods() instead.

◆ getType()

static getType ( )
static

Returns the current users type

Renvoie
string

Références $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_login/helper.php


Joomla CMS: Référence de la classe ModMenuHelper

Fonctions membres publiques statiques
Référence de la classe ModMenuHelper

Fonctions membres publiques statiques

static | getMenus ()
static | getList (&$params)
static | getBase (&$params)
static | getActive (&$params)
static | getDefault ()

Description détaillée

Helper for mod_menu

Depuis
1.5

Documentation des fonctions membres

◆ getActive()

static getActive ( & $params )
static

Get active menu item.

Paramètres
\Joomla\Registry\Registry &$params The module options.
Renvoie
object
Depuis
3.0.2

Références $menu.

◆ getBase()

static getBase ( & $params )
static

Get base menu item.

Paramètres
\Joomla\Registry\Registry &$params The module options.
Renvoie
object
Depuis
3.0.2

Références $base, et $params.

◆ getDefault()

static getDefault ( )
static

Get default menu item (home page) for current language.

Renvoie
object

Références $lang, et $menu.

◆ getList()

static getList ( & $params )
static

Get a list of the menu items.

Paramètres
\Joomla\Registry\Registry &$params The module options.
Renvoie
array
Depuis
1.5

Références $app, $base, $i, $item, $items, $key, $menu, $params, $path, $showAll, $start, $user, ENT_COMPAT, htmlspecialchars, et null.

◆ getMenus()

static getMenus ( )
static

Get a list of the available menus.

Renvoie
array An array of the available menus (from the menu types table).
Depuis
1.6
Obsolète:
4.0

Références $db, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_menu/helper.php


Joomla CMS: Référence de la classe ModPopularHelper

Fonctions membres publiques statiques
Référence de la classe ModPopularHelper

Fonctions membres publiques statiques

static | getList (&$params)
static | getTitle ($params)

Description détaillée

Helper for mod_popular

Depuis
1.6

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get a list of the most popular articles

Paramètres
JObject &$params The module parameters.
Renvoie
array

Références $item, $items, $params, $user, $userId, null, et JError\raiseError().

◆ getTitle()

static getTitle ( $params )
static

Get the alternate title for the module

Paramètres
JObject $params The module parameters.
Renvoie
string The alternate title for the module.

Références $category, $params, $title, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_popular/helper.php


Joomla CMS: Référence de la classe ModPrivacyDashboardHelper

Référence de la classe ModPrivacyDashboardHelper

Description détaillée

Helper class for admin privacy dashboard module

Depuis
3.9.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_privacy_dashboard/helper.php


Joomla CMS: Référence de la classe ModQuickIconHelper

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe ModQuickIconHelper

Fonctions membres publiques statiques

static & | getButtons ($params)
static | groupButtons ($buttons)
static | getTitle ($params, $module)

Attributs protégés statiques

static $buttons = array()

Description détaillée

Helper for mod_quickicon

Depuis
1.6

Documentation des fonctions membres

◆ getButtons()

static& getButtons ( $params )
static

Helper method to return button list.

This method returns the array by reference so it can be used to add custom buttons or remove default ones.

Paramètres
JObject $params The module parameters.
Renvoie
array An array of buttons
Depuis
1.6

Références $app, $buttons, $context, $default, $icon, $key, $params, et null.

◆ getTitle()

static getTitle | ( | $params,
 |  | $module
 | ) |
static

Get the alternate title for the module

Paramètres
JObject | $params | The module parameters.
JObject | $module | The module.
Renvoie
string The alternate title for the module.
Obsolète:
4.0 Unused. Title can be adjusted in module itself if needed.

Références $key, $module, et $params.

◆ groupButtons()

static groupButtons ( $buttons )
static

Classifies the $buttons by group

Paramètres
array $buttons The buttons
Renvoie
array The buttons sorted by groups
Depuis
3.2

Références $button, et $buttons.

Documentation des champs

◆ $buttons

$buttons = array()
staticprotected

Stack to hold buttons

Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_quickicon/helper.php


Joomla CMS: Référence de la classe ModRandomImageHelper

Fonctions membres publiques statiques
Référence de la classe ModRandomImageHelper

Fonctions membres publiques statiques

static | getRandomImage (&$params, $images)
static | getImages (&$params, $folder)
static | getFolder (&$params)

Description détaillée

Helper for mod_random_image

Depuis
1.5

Documentation des fonctions membres

◆ getFolder()

static getFolder ( & $params )
static

Get sanitized folder

Paramètres
\Joomla\Registry\Registry &$params module params objects
Renvoie
mixed

Références $folder, $params, DIRECTORY_SEPARATOR, JPATH_BASE, et JPATH_SITE.

◆ getImages()

static getImages | ( | & | $params,
 |  |  | $folder
 | ) |  |
static

Retrieves images from a specific folder

Paramètres
\Joomla\Registry\Registry | &$params | module params
string | $folder | folder to get the images from
Renvoie
array

Références $file, $files, $folder, $i, $images, $img, $params, $type, et JPATH_BASE.

◆ getRandomImage()

static getRandomImage | ( | & | $params,
 |  |  | $images
 | ) |  |
static

Retrieves a random image

Paramètres
\Joomla\Registry\Registry | &$params | module parameters object
array | $images | list of images
Renvoie
mixed

Références $height, $i, $image, $images, $params, $width, JPATH_BASE, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_random_image/helper.php


Joomla CMS: Référence de la classe ModRelatedItemsHelper

Fonctions membres publiques statiques
Référence de la classe ModRelatedItemsHelper

Fonctions membres publiques statiques

static getList (&$params)

Description détaillée

Helper for mod_related_items

Depuis
1.5

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get a list of related articles

Paramètres
\Joomla\Registry\Registry &$params module parameters
Renvoie
array
Obsolète:
Catslug is deprecated, use catid instead. 4.0

Références $app, $date, $db, $groups, $id, $item, $key, $now, $option, $params, $query, $user, $view, ContentHelperRoute\getArticleRoute(), et JPATH_SITE.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_related_items/helper.php


Joomla CMS: Référence de la classe ModSampledataHelper

Fonctions membres publiques statiques
Référence de la classe ModSampledataHelper

Fonctions membres publiques statiques

static getList ()

Description détaillée

Helper for mod_sampledata

Depuis
3.8.0

Documentation des fonctions membres

◆ getList()

static getList ( )
static

Get a list of sampledata.

Renvoie
mixed An array of sampledata, or false on error.
Depuis
3.8.0

Références $data, $dispatcher, et JEventDispatcher\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_sampledata/helper.php


Joomla CMS: Référence de la classe ModSearchHelper

Fonctions membres publiques statiques
Référence de la classe ModSearchHelper

Fonctions membres publiques statiques

static getSearchImage ()

Description détaillée

Helper for mod_search

Depuis
1.5

Documentation des fonctions membres

◆ getSearchImage()

static getSearchImage ( )
static

Display the search button as an image.

Renvoie
string The HTML for the image.
Depuis
1.5

Références null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_search/helper.php


Joomla CMS: Référence de la classe ModStatsHelper

Fonctions membres publiques statiques
Référence de la classe ModStatsHelper

Fonctions membres publiques statiques

static | getStats (&$params)
static & | getList (&$params)

Description détaillée

Helper class for admin stats module

Depuis
3.0

Helper for mod_stats

Depuis
1.5

Documentation des fonctions membres

◆ getList()

static& getList ( & $params )
static

Get list of stats

Paramètres
\Joomla\Registry\Registry &$params module parameters
Renvoie
array

Références $app, $counter, $db, $i, $items, $params, $query, $row, $rows, $serverinfo, $siteinfo, et $users.

◆ getStats()

static getStats ( & $params )
static

Method to retrieve information about the site

Paramètres
JObject &$params Params object
Renvoie
array Array containing site information
Depuis
3.0

Références $app, $counter, $db, $i, $items, $params, $query, $row, $rows, $serverinfo, $siteinfo, $users, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_stats_admin/helper.php


Joomla CMS: Référence de la classe ModSyndicateHelper

Fonctions membres publiques statiques
Référence de la classe ModSyndicateHelper

Fonctions membres publiques statiques

static getLink (&$params)

Description détaillée

Helper for mod_syndicate

Depuis
1.5

Documentation des fonctions membres

◆ getLink()

static getLink ( & $params )
static

Gets the link

Paramètres
\Joomla\Registry\Registry &$params module parameters
Renvoie
array The link as a string
Depuis
1.5

Références $document, $link, $params, $value, et getDocument.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_syndicate/helper.php


Joomla CMS: Référence de la classe ModTagsPopularHelper

Fonctions membres publiques statiques
Référence de la classe ModTagsPopularHelper

Fonctions membres publiques statiques

static getList (&$params)

Description détaillée

Helper for mod_tags_popular

Depuis
3.1

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get list of popular tags

Paramètres
\Joomla\Registry\Registry &$params module parameters
Renvoie
mixed
Depuis
3.1

Références $db, $groups, $language, $params, $query, $results, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_tags_popular/helper.php


Joomla CMS: Référence de la classe ModTagssimilarHelper

Fonctions membres publiques statiques
Référence de la classe ModTagssimilarHelper

Fonctions membres publiques statiques

static getList (&$params)

Description détaillée

Helper for mod_tags_similar

Depuis
3.1

Documentation des fonctions membres

◆ getList()

static getList ( & $params )
static

Get a list of tags

Paramètres
Registry &$params Module parameters
Renvoie
array

Références $app, $db, $groups, $id, $language, $now, $option, $ordering, $params, $prefix, $query, $results, $user, $view, elseif, TagsHelperRoute\getItemRoute(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_tags_similar/helper.php


Joomla CMS: Référence de la classe ModulesController

Fonctions membres publiques
Référence de la classe ModulesController
+ Graphe d'héritage de ModulesController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
__construct ($config=array())

Description détaillée

Modules manager master display controller.

Depuis
1.6

Modules manager master display controller.

Depuis
3.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings. Recognized key values include 'name', 'default_task', 'model_path', and 'view_path' (this list is not meant to be comprehensive).
Depuis
3.5

Références $config, et JPATH_COMPONENT_ADMINISTRATOR.

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | boolean | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean()
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $app, $db, $document, $id, $language, $layout, $query, $view, ModulesHelper\addSubmenu(), getDocument, JPATH_ADMINISTRATOR, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/controller.php


Joomla CMS: Référence de la classe ModulesControllerModule

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ModulesControllerModule
+ Graphe d'héritage de ModulesControllerModule:

Fonctions membres publiques

add ()
cancel ($key=null)
batch ($model=null)
save ($key=null, $urlVar=null)
orderPosition ()

Fonctions membres protégées

allowSave ($data, $key='id')
allowEdit ($data=array(), $key='id')
postSaveHook (JModelLegacy $model, $validData=array())

Description détaillée

Module controller class.

Depuis
1.6

Documentation des fonctions membres

◆ add()

add ( )

Override parent add method.

Renvoie
mixed True if the record can be added, a JError object if not.
Depuis
1.6

Références $app, $params, null, option, et JError\raiseWarning().

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method override to check if you can edit an existing record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
3.2

Références $data, $key, et $user.

◆ allowSave()

allowSave | ( | $data,
 |  | $key = 'id'
 | ) |
protected

Override parent allowSave method.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, et $key.

◆ batch()

batch ( $model = null )

Method to run batch operations.

Paramètres
string $model The model
Renvoie
boolean True on success.
Depuis
1.7

◆ cancel()

cancel ( $key = null )

Override parent cancel method to reset the add module state.

Paramètres
string $key The name of the primary key of the URL variable.
Renvoie
boolean True if access level checks pass, false otherwise.
Depuis
1.6

Références $app, et null.

Référencé par ConfigControllerModulesCancel\execute().

◆ orderPosition()

orderPosition ( )

Method to get the other modules in the same position

Renvoie
string The data for the Ajax request.
Depuis
3.6.3

Références $app, $clientId, $db, $html, $i, $jinput, $n, $position, $query, $title, ENT_QUOTES, htmlspecialchars, JError\raiseWarning(), et title.

◆ postSaveHook()

postSaveHook | ( | JModelLegacy | $model,
 |  |  | $validData = array()
 | ) |  |
protected

Function that allows child controller access to model data after the data has been saved.

Paramètres
JModelLegacy | $model | The data model object.
array | $validData | The validated data.
Renvoie
void
Depuis
1.6

Références $app, $task, et null.

◆ save()

save | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to save a record.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key
Renvoie
boolean True if successful, false otherwise.

Références $data, $item, $key, getDocument, et JPATH_ADMINISTRATOR.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/controllers/module.php


Joomla CMS: Référence de la classe ModulesControllerModules

Fonctions membres publiques
Référence de la classe ModulesControllerModules
+ Graphe d'héritage de ModulesControllerModules:

Fonctions membres publiques

duplicate ()
getModel ($name='Module', $prefix='ModulesModel', $config=array('ignore_request'=> true))

Description détaillée

Modules list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ duplicate()

duplicate ( )

Method to clone an existing module.

Renvoie
void
Depuis
1.6

Références JError\raiseWarning().

◆ getModel()

getModel | ( | $name = 'Module',
 |  | $prefix = 'ModulesModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $config, $name, et $prefix.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/controllers/modules.php


Joomla CMS: Référence de la classe ModulesHelper

Fonctions membres publiques statiques
Référence de la classe ModulesHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getActions ($moduleId=0)
static | getStateOptions ()
static | getClientOptions ()
static | getPositions ($clientId, $editPositions=false)
static | getTemplates ($clientId=0, $state='', $template='')
static | getModules ($clientId)
static | getAssignmentOptions ($clientId)
static | getTranslatedModulePosition ($clientId, $template, $position)
static | isTranslatedText ($langKey, $text)
static | createOption ($value='', $text='')
static | createOptionGroup ($label='', $options=array())

Description détaillée

Modules component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void

Référencé par ModulesController\display().

◆ createOption()

static createOption | ( | $value = '',
 |  | $text = ''
 | ) |
static

Create and return a new Option

Paramètres
string | $value | The option value [optional]
string | $text | The option text [optional]
Renvoie
object The option as an object (stdClass instance)
Depuis
3.0

Références $option, $text, et $value.

Référencé par JHtmlModules\positions().

◆ createOptionGroup()

static createOptionGroup | ( | $label = '',
 |  | $options = array()
 | ) |
static

Create and return a new Option Group

Paramètres
string | $label | Value and label for group [optional]
array | $options | Array of options to insert into group [optional]
Renvoie
array Return the new group as an array
Depuis
3.0

Références $label, et $options.

Référencé par JHtmlModules\positions().

◆ getActions()

static getActions ( $moduleId = 0 )
static

Gets a list of the actions that can be performed.

Paramètres
integer $moduleId The module ID.
Renvoie
JObject
Obsolète:
3.2 Use JHelperContent::getActions() instead

◆ getAssignmentOptions()

static getAssignmentOptions ( $clientId )
static

Get a list of the assignment options for modules to menus.

Paramètres
int $clientId The client id.
Renvoie
array

Références $clientId, et $options.

◆ getClientOptions()

static getClientOptions ( )
static

Get a list of filter options for the application clients.

Renvoie
array An array of JHtmlOption elements.

Références $options.

◆ getModules()

static getModules ( $clientId )
static

Get a list of the unique modules installed in the client application.

Paramètres
int $clientId The client id.
Renvoie
array Array of unique modules

Références $clientId, $db, $extension, $i, $lang, $module, $modules, $path, $query, JPATH_ADMINISTRATOR, JPATH_SITE, null, et ArrayHelper\sortObjects().

Référencé par JFormFieldModulesModule\getOptions().

◆ getPositions()

static getPositions | ( | $clientId,
 |  | $editPositions = false
 | ) |
static

Get a list of modules positions

Paramètres
integer | $clientId | Client ID
boolean | $editPositions | Allow to edit the positions
Renvoie
array A list of positions

Références $clientId, $db, $options, $position, $positions, $query, et JError\raiseWarning().

Référencé par JFormFieldModulesPosition\getOptions(), et JHtmlModules\positions().

◆ getStateOptions()

static getStateOptions ( )
static

Get a list of filter options for the state of a module.

Renvoie
array An array of JHtmlOption elements.

Références $options.

◆ getTemplates()

static getTemplates | ( | $clientId = 0,
 |  | $state = '',
 |  | $template = ''
 | ) |
static

Return a list of templates

Paramètres
integer | $clientId | Client ID
string | $state | State
string | $template | Template name
Renvoie
array List of templates

Références $clientId, $db, $query, $state, et $template.

Référencé par ModulesModelPositions\getItems(), JHtmlModules\positions(), et JHtmlModules\templates().

◆ getTranslatedModulePosition()

static getTranslatedModulePosition | ( | $clientId,
 |  | $template,
 |  | $position
 | ) |
static

Return a translated module position name

Paramètres
integer | $clientId | Application client id 0: site | 1: admin
string | $template | Template name
string | $position | Position name
Renvoie
string Return a translated position name
Depuis
3.0

Références $clientId, $lang, $path, $position, $template, $text, JPATH_ADMINISTRATOR, JPATH_SITE, et null.

Référencé par JHtmlModules\positions().

◆ isTranslatedText()

static isTranslatedText | ( | $langKey,
 |  | $text
 | ) |
static

Check if the string was translated

Paramètres
string | $langKey | Language file text key
string | $text | The "translated" text to be checked
Renvoie
boolean Return true for translated text
Depuis
3.0

Références $text.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/helpers/modules.php


Joomla CMS: Référence de la classe ModulesHelperXML

Fonctions membres publiques
Référence de la classe ModulesHelperXML

Fonctions membres publiques

parseXMLModuleFile (&$rows)

Description détaillée

Helper for parse XML module files

Depuis
1.5
Obsolète:
3.2 Do not use.

Documentation des fonctions membres

◆ parseXMLModuleFile()

parseXMLModuleFile ( & $rows )

Parse the module XML file

Paramètres
array &$rows XML rows
Renvoie
void
Depuis
1.5
Obsolète:
3.2 Do not use.

Références $data, $i, $row, et $rows.

La documentation de cette classe a été générée à partir du fichier suivant :
  • xml.php


Joomla CMS: Référence de la classe ModulesModelModule

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe ModulesModelModule
+ Graphe d'héritage de ModulesModelModule:

Fonctions membres publiques

__construct ($config=array())
delete (&$pks)
duplicate (&$pks)
& getClient ()
getForm ($data=array(), $loadData=true)
getItem ($pk=null)
getHelp ()
getTable ($type='Module', $prefix='JTable', $config=array())
validate ($form, $data, $group=null)
save ($data)

Champs de données

$typeAlias = 'com_modules.module'

Fonctions membres protégées

populateState ()
batchCopy ($value, $pks, $contexts)
batchMove ($value, $pks, $contexts)
canEditState ($record)
generateNewTitle ($categoryId, $title, $position)
loadFormData ()
prepareTable ($table)
preprocessForm (JForm $form, $data, $group='content')
getReorderConditions ($table)
cleanCache ($group=null, $clientId=0)

Attributs protégés

$text_prefix = 'COM_MODULES'
$helpKey = 'JHELP_EXTENSIONS_MODULE_MANAGER_EDIT'
$helpURL
$batch_copymove = 'position_id'
$batch_commands

Description détaillée

Module model.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.

Références $config.

Documentation des fonctions membres

◆ batchCopy()

batchCopy | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch copy modules to a new position or current.

Paramètres
integer | $value | The new value matching a module position.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
2.5

Références $data, $db, $menu, $position, $query, $user, $value, et elseif.

◆ batchMove()

batchMove | ( | $value,
 |  | $pks,
 |  | $contexts
 | ) |
protected

Batch move modules to a new position or current.

Paramètres
integer | $value | The new value matching a module position.
array | $pks | An array of row IDs.
array | $contexts | An array of item contexts.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
2.5

Références $position, $user, $value, et elseif.

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state edited.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission set in the component.
Depuis
3.2

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Custom clean cache method for different clients

Paramètres
string | $group | The name of the plugin group to import (defaults to null).
integer | $clientId | The client ID. [optional]
Renvoie
void
Depuis
1.6

◆ delete()

delete ( & $pks )

Method to delete rows.

Paramètres
array &$pks An array of item ids.
Renvoie
boolean Returns true on success, false on failure.
Depuis
1.6
Exceptions
Exception

Références $context, $db, $dispatcher, $name, $query, $user, JEventDispatcher\getInstance(), option, et JError\raiseWarning().

◆ duplicate()

duplicate ( & $pks )

Method to duplicate modules.

Paramètres
array &$pks An array of primary key IDs.
Renvoie
boolean|JException Boolean true on success, JException instance on error
Depuis
1.6
Exceptions
Exception

Références $data, $db, $query, $rows, $user, null, et JError\raiseWarning().

◆ generateNewTitle()

generateNewTitle | ( | $categoryId,
 |  | $title,
 |  | $position
 | ) |
protected

Method to change the title.

Paramètres
integer | $categoryId | The id of the category. Not used here.
string | $title | The title.
string | $position | The position.
Renvoie
array Contains the modified title.
Depuis
2.5

Références $position, et $title.

◆ getClient()

& getClient ( )

Method to get the client object

Renvoie
void
Depuis
1.6

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Check for existing module Modify the form based on Edit State access controls.

Références $clientId, $data, $form, $id, $item, $module, $user, ArrayHelper\getValue(), JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getHelp()

getHelp ( )

Get the necessary data to load an item help screen.

Renvoie
object An object with key, url, and local properties for loading the item help screen.
Depuis
1.6

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
1.6

Références $client, $db, $extension, $path, $query, $return, elseif, null, et ArrayHelper\toObject().

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
object $table A record object.
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

Références $condition.

◆ getTable()

getTable | ( | $type = 'Module',
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |

Returns a reference to the a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $app, $data, $filters, $params, et null.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, et $params.

◆ prepareTable()

prepareTable ( $table )
protected

Prepare and sanitise the table prior to saving.

Paramètres
JTable $table The database object
Renvoie
void
Depuis
1.6

Références ENT_QUOTES.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to preprocess the form

Paramètres
JForm | $form | A form object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
1.6
Exceptions
Exception if there is an error loading the form.

Références $client, $clientId, $data, $form, $lang, $module, jimport(), JPATH_ADMINISTRATOR, et null.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $context, $data, $db, $dispatcher, $input, $name, $query, elseif, JEventDispatcher\getInstance(), option, et JError\raiseWarning().

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Loads ContentHelper for filters before validating data.

Paramètres
object | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the group(defaults to null).
Renvoie
mixed Array of filtered data if valid, false otherwise.
Depuis
1.1

Références $data, $form, JPATH_ADMINISTRATOR, JLoader\register(), et validate().

Documentation des champs

◆ $batch_commands

$batch_commands
protected
Valeur initiale :
= array(
'assetgroup_id' => 'batchAccess',
'language_id' => 'batchLanguage',
)

◆ $batch_copymove

$batch_copymove = 'position_id'
protected

◆ $helpKey

$helpKey = 'JHELP_EXTENSIONS_MODULE_MANAGER_EDIT'
protected

◆ $helpURL

$helpURL
protected

◆ $text_prefix

$text_prefix = 'COM_MODULES'
protected

◆ $typeAlias

$typeAlias = 'com_modules.module'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/models/module.php


Joomla CMS: Référence de la classe ModulesModelModules

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ModulesModelModules
+ Graphe d'héritage de ModulesModelModules:

Fonctions membres publiques

__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='a.position', $direction='asc')
getStoreId ($id='')
_getList ($query, $limitstart=0, $limit=0)
translate (&$items)
getListQuery ()

Description détaillée

Modules Component Module Model

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ _getList()

_getList | ( | $query,
 |  | $limitstart = 0,
 |  | $limit = 0
 | ) |
protected

Returns an object list

Paramètres
string | $query | The query
int | $limitstart | Offset
int | $limit | The number of records
Renvoie
array

Références $limit, $listDirn, $listOrder, $query, $total, elseif, null, et ArrayHelper\sortObjects().

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery

Références $app, $clientId, $db, $groups, $language, $module, $position, $query, $state, $user, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.position',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $clientId, $direction, $layout, $ordering, et $params.

◆ translate()

translate ( & $items )
protected

Translate a list of objects

Paramètres
array &$items The array of objects
Renvoie
array The array of translated objects

Références $extension, $item, $items, $lang, elseif, JPATH_ADMINISTRATOR, JPATH_SITE, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/models/modules.php


Joomla CMS: Référence de la classe ModulesModelPositions

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ModulesModelPositions
+ Graphe d'héritage de ModulesModelPositions:

Fonctions membres publiques

__construct ($config=array())
getItems ()
getTotal ()

Fonctions membres protégées

populateState ($ordering='value', $direction='asc')

Description détaillée

Modules Component Positions Model

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getItems()

getItems ( )

Method to get an array of data items.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
1.6

Références $client, $clientId, $direction, $items, $label, $lang, $limit, $ordering, $path, $position, $positions, $query, $state, $template, $type, $value, elseif, ModulesHelper\getTemplates(), items, et null.

◆ getTotal()

getTotal ( )

Method to get the total number of items.

Renvoie
integer The total number of items.
Depuis
1.6

Références $total.

◆ populateState()

populateState | ( | $ordering = 'value',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $clientId, $direction, $ordering, $params, $state, $template, et $type.

La documentation de cette classe a été générée à partir du fichier suivant :
  • positions.php


Joomla CMS: Référence de la classe ModulesModelSelect

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe ModulesModelSelect
+ Graphe d'héritage de ModulesModelSelect:

Fonctions membres publiques

getItems ()

Fonctions membres protégées

populateState ($ordering=null, $direction=null)
getStoreId ($id='')
getListQuery ()

Description détaillée

Module model.

Depuis
1.6

Documentation des fonctions membres

◆ getItems()

getItems ( )

Method to get a list of items.

Renvoie
mixed An array of objects on success, false on failure.

Références $client, $item, $items, $lang, $path, $text, et null.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery

Références $clientId, $db, et $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $clientId, et $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/models/select.php


Joomla CMS: Référence de la classe ModulesViewModule

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ModulesViewModule
+ Graphe d'héritage de ModulesViewModule:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state

Description détaillée

View to edit a module.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $lang, $url, $user, item, null, et title.

◆ display() [1/2]

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références item.

◆ display() [2/2]

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références $app, item, et json_encode.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_modules/views/module/view.html.php
  • com_modules/views/module/view.json.php


Joomla CMS: Référence de la classe ModulesViewModules

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ModulesViewModules
+ Graphe d'héritage de ModulesViewModules:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of modules.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $state, $title, $user, elseif, JHtmlSidebar\getEntries(), JHtmlSidebar\render(), et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références items.

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/views/modules/view.html.php


Joomla CMS: Référence de la classe ModulesViewPositions

Fonctions membres publiques | Attributs protégés
Référence de la classe ModulesViewPositions
+ Graphe d'héritage de ModulesViewPositions:

Fonctions membres publiques

display ($tpl=null)

Attributs protégés

$items
$pagination
$state

Description détaillée

View Module positions class.

Depuis
1.6

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références items.

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/views/positions/view.html.php


Joomla CMS: Référence de la classe ModulesViewPreview

Fonctions membres publiques
Référence de la classe ModulesViewPreview
+ Graphe d'héritage de ModulesViewPreview:

Fonctions membres publiques

display ($tpl=null)

Description détaillée

HTML View class for the Modules component

Depuis
1.6

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références $editor.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/views/preview/view.html.php


Joomla CMS: Référence de la classe ModulesViewSelect

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe ModulesViewSelect
+ Graphe d'héritage de ModulesViewSelect:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$state
$items

Description détaillée

HTML View class for the Modules component

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $state, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références $items, $state, et items.

Documentation des champs

◆ $items

$items
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_modules/views/select/view.html.php


Joomla CMS: Référence de la classe ModUsersLatestHelper

Fonctions membres publiques statiques
Référence de la classe ModUsersLatestHelper

Fonctions membres publiques statiques

static getUsers ($params)

Description détaillée

Helper for mod_users_latest

Depuis
1.6

Documentation des fonctions membres

◆ getUsers()

static getUsers ( $params )
static

Get users sorted by activation date

Paramètres
\Joomla\Registry\Registry $params module parameters
Renvoie
array The array of users
Depuis
1.6

Références $db, $groups, $params, $query, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_users_latest/helper.php


Joomla CMS: Référence de la classe ModVersionHelper

Fonctions membres publiques statiques
Référence de la classe ModVersionHelper

Fonctions membres publiques statiques

static getVersion (&$params)

Description détaillée

Helper for mod_version

Depuis
1.6

Documentation des fonctions membres

◆ getVersion()

static getVersion ( & $params )
static

Get the member items of the submenu.

Paramètres
\Joomla\Registry\Registry &$params The parameters object.
Renvoie
string String containing the current Joomla version based on the selected format.

Références $params, et $version.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/modules/mod_version/helper.php


Joomla CMS: Référence de la classe ModWhosonlineHelper

Fonctions membres publiques statiques
Référence de la classe ModWhosonlineHelper

Fonctions membres publiques statiques

static | getOnlineCount ()
static | getOnlineUserNames ($params)

Description détaillée

Helper for mod_whosonline

Depuis
1.5

Documentation des fonctions membres

◆ getOnlineCount()

static getOnlineCount ( )
static

Show online count

Renvoie
array The number of Users and Guests online.
Depuis
1.5

Références $db, et $query.

◆ getOnlineUserNames()

static getOnlineUserNames ( $params )
static

Show online member names

Paramètres
mixed $params The parameters
Renvoie
array (array) $db->loadObjectList() The names of the online users.
Depuis
1.5

Références $db, $groups, $params, $query, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_whosonline/helper.php


Joomla CMS: Référence de la classe ModWrapperHelper

Fonctions membres publiques statiques
Référence de la classe ModWrapperHelper

Fonctions membres publiques statiques

static getParams (&$params)

Description détaillée

Helper for mod_wrapper

Depuis
1.5

Documentation des fonctions membres

◆ getParams()

static getParams ( & $params )
static

Gets the parameters for the wrapper

Paramètres
mixed &$params The parameters set in the administrator section
Renvoie
mixed &params The modified parameters
Depuis
1.5

Références $load, $params, $url, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • modules/mod_wrapper/helper.php


Joomla CMS: Référence de la classe MultilangstatusHelper

Fonctions membres publiques statiques
Référence de la classe MultilangstatusHelper

Fonctions membres publiques statiques

static | getHomes ()
static | getLangswitchers ()
static | getContentlangs ()
static | getSitelangs ()
static | getHomepages ()
static | getStatus ()
static | getContacts ()
static | getDefaultHomeModule ()
static | getModule ($moduleName, $instanceTitle=null)

Description détaillée

Multilang status helper.

Depuis
1.7.1

Documentation des fonctions membres

◆ getContacts()

static getContacts ( )
static

Method to return a list of contact objects.

Renvoie
array of contact objects.

Références $db, et $query.

Référencé par LanguagesViewMultilangstatus\display().

◆ getContentlangs()

static getContentlangs ( )
static

Method to return a list of published content languages.

Renvoie
array of language objects.

Références $db, et $query.

Référencé par LanguagesViewMultilangstatus\display().

◆ getDefaultHomeModule()

static getDefaultHomeModule ( )
static

Method to get the status of the module displaying the menutype of the default Home page set to All languages.

Renvoie
boolean True if the module is published, false otherwise.
Depuis
3.7.0

Références $db, $module, $param, et $query.

Référencé par LanguagesViewMultilangstatus\display().

◆ getHomepages()

static getHomepages ( )
static

Method to return a list of language home page menu items.

Renvoie
array of menu objects.
Obsolète:
4.0 Use JLanguageMultilang::getSiteHomePages() instead.

◆ getHomes()

static getHomes ( )
static

Method to get the number of published home pages.

Renvoie
integer

Références $db, et $query.

Référencé par LanguagesViewMultilangstatus\display().

◆ getLangswitchers()

static getLangswitchers ( )
static

Method to get the number of published language switcher modules.

Renvoie
integer

Références $db, et $query.

Référencé par LanguagesViewMultilangstatus\display().

◆ getModule()

static getModule | ( | $moduleName,
 |  | $instanceTitle = null
 | ) |
static

Get module by name

Paramètres
string | $moduleName | The name of the module
string | $instanceTitle | The title of the module, optional
Renvoie
stdClass The Module object
Depuis
3.7.0

Références $db, $modules, et $query.

◆ getSitelangs()

static getSitelangs ( )
static

Method to return a list of published site languages.

Renvoie
array of language extension objects.
Obsolète:
4.0 Use JLanguageHelper::getInstalledLanguages(0) instead.

◆ getStatus()

static getStatus ( )
static

Method to return combined language status.

Renvoie
array of language objects.

Références $db, et $query.

Référencé par LanguagesViewMultilangstatus\display().

La documentation de cette classe a été générée à partir du fichier suivant :
  • multilangstatus.php


Joomla CMS: Référence de la classe Net_IDNA_php4

Fonctions membres publiques
Référence de la classe Net_IDNA_php4
+ Graphe d'héritage de Net_IDNA_php4:
idna_convert

Fonctions membres publiques

setParams ($option, $param=false)
- Fonctions membres publiques hérités de idna_convert
__construct ($options=false)
set_parameter ($option, $value=false)
decode ($input, $one_time_encoding=false)
encode ($decoded, $one_time_encoding=false)
encode_uri ($uri)
get_last_error ()
getInstance ($params=array())
singleton ($params=array())
idna_convert ($options=false)
set_parameter ($option, $value=false)
decode ($input, $one_time_encoding=false)
encode ($decoded, $one_time_encoding=false)
get_last_error ()
_decode ($encoded)
_encode ($decoded)
_adapt ($delta, $npoints, $is_first)
_encode_digit ($d)
_decode_digit ($cp)
_error ($error='')
_nameprep ($input)
_hangul_decompose ($char)
_hangul_compose ($input)
_get_combining_class ($char)
_apply_cannonical_ordering ($input)
_combine ($input)
_utf8_to_ucs4 ($input)
_ucs4_to_utf8 ($input)
_ucs4_to_ucs4_string ($input)
_ucs4_string_to_ucs4 ($input)

Membres hérités additionnels

- Champs de données hérités de idna_convert
$NP = array()
- Fonctions membres protégées hérités de idna_convert
_decode ($encoded)
_encode ($decoded)
_adapt ($delta, $npoints, $is_first)
_encode_digit ($d)
_decode_digit ($cp)
_error ($error='')
_nameprep ($input)
_hangul_decompose ($char)
_hangul_compose ($input)
_get_combining_class ($char)
_apply_cannonical_ordering ($input)
_combine ($input)
_utf8_to_ucs4 ($input)
_ucs4_to_utf8 ($input)
_ucs4_to_ucs4_string ($input)
_ucs4_string_to_ucs4 ($input)
- Fonctions membres protégées statiques hérités de idna_convert
static | byteLength ($string)
- Attributs protégés hérités de idna_convert
$_punycode_prefix = 'xn--'
$_invalid_ucs = 0x80000000
$_max_ucs = 0x10FFFF
$_base = 36
$_tmin = 1
$_tmax = 26
$_skew = 38
$_damp = 700
$_initial_bias = 72
$_initial_n = 0x80
$_sbase = 0xAC00
$_lbase = 0x1100
$_vbase = 0x1161
$_tbase = 0x11A7
$_lcount = 19
$_vcount = 21
$_tcount = 28
$_ncount = 588
$_scount = 11172
$_error = false
$_api_encoding = 'utf8'
$_allow_overlong = false
$_strict_mode = false
$_idn_version = 2003
- Attributs protégés statiques hérités de idna_convert
static | $_mb_string_overload = null
static | $NP

Description détaillée

Adapter class for aligning the API of idna_convert with that of Net_IDNA

Auteur
Matthias Sommerfeld mso@p.nosp@m.hlyl.nosp@m.abs.d.nosp@m.e

Documentation des fonctions membres

◆ setParams()

setParams | ( | $option,
 |  | $param = false
 | ) |

Sets a new option value. Available options and values: [encoding - Use either UTF-8, UCS4 as array or UCS4 as string as input ('utf8' for UTF-8, 'ucs4_string' and 'ucs4_array' respectively for UCS4); The output is always UTF-8] [overlong - Unicode does not allow unnecessarily long encodings of chars, to allow this, set this parameter to true, else to false; default is false.] [strict - true: strict mode, good for registration purposes - Causes errors on failures; false: loose mode, ideal for "wildlife" applications by silently ignoring errors and returning the original input instead

Paramètres
mixed | Parameter to set (string: single parameter; array of Parameter => Value pairs)
string | Value to use (if parameter 1 is a string)
Renvoie
boolean true on success, false otherwise public

Références $option, et $param.

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/simplepie/simplepie/idn/idna_convert.class.php


Joomla CMS: Référence de la classe NewsfeedsAssociationsHelper

Fonctions membres publiques | Attributs protégés
Référence de la classe NewsfeedsAssociationsHelper
+ Graphe d'héritage de NewsfeedsAssociationsHelper:
AssociationExtensionHelper AssociationExtensionInterface

Fonctions membres publiques

getAssociations ($typeName, $id)
getItem ($typeName, $id)
getType ($typeName='')
- Fonctions membres publiques hérités de AssociationExtensionHelper
hasAssociationsSupport ()
getItemTypes ()
getAssociationList ($typeName, $itemId)
getType ($typeName='')
getTypeFields ($typeName)
getTypeSupport ($typeName)
getTypeTables ($typeName)
getTypeJoins ($typeName)
getTypeTitle ($typeName)
getTypeFieldName ($typeName, $fieldName)

Attributs protégés

$extension = 'com_newsfeeds'
$itemTypes = array('newsfeed', 'category')
$associationsSupport = true
- Attributs protégés hérités de AssociationExtensionHelper
$extension = 'com_??'
$itemTypes = array()
$associationsSupport = false

Membres hérités additionnels

- Fonctions membres protégées hérités de AssociationExtensionHelper
getSupportTemplate ()
getFieldsTemplate ()

Description détaillée

Content associations helper.

Depuis
3.7.0

Documentation des fonctions membres

◆ getAssociations()

getAssociations | ( | $typeName,
 |  | $id
 | ) |

Get the associated items for an item

Paramètres
string | $typeName | The item type
int | $id | The id of item for which we need the associated items
Renvoie
array
Depuis
3.7.0

Références $context, $id, $type, et extension.

◆ getItem()

getItem | ( | $typeName,
 |  | $id
 | ) |

Get item information

Paramètres
string | $typeName | The item type
int | $id | The id of item for which we need the associated items
Renvoie
JTable|null
Depuis
3.7.0

Références $id, et null.

◆ getType()

getType ( $typeName = '' )

Get information about the type

Paramètres
string $typeName The item type
Renvoie
array Array of item types
Depuis
3.7.0

Références $fields, et $title.

Documentation des champs

◆ $associationsSupport

boolean $associationsSupport = true
protected

Has the extension association support

Depuis
3.7.0

◆ $extension

array $extension = 'com_newsfeeds'
protected

The extension name

Depuis
3.7.0

◆ $itemTypes

array $itemTypes = array('newsfeed', 'category')
protected

Array of item types

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/helpers/associations.php


Joomla CMS: Référence de la classe NewsfeedsCategories

Fonctions membres publiques
Référence de la classe NewsfeedsCategories
+ Graphe d'héritage de NewsfeedsCategories:

Fonctions membres publiques

__construct ($options=array())

Description détaillée

Content Component Category Tree

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $options = array() )

Constructor

Paramètres
array $options options

Références $options.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_newsfeeds/helpers/category.php


Joomla CMS: Référence de la classe NewsfeedsController

Fonctions membres publiques
Référence de la classe NewsfeedsController
+ Graphe d'héritage de NewsfeedsController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())
display ($cachable=false, $urlparams=false)

Description détaillée

Newsfeeds master display controller.

Depuis
1.6

Newsfeeds Component Controller

Depuis
1.5

Documentation des fonctions membres

◆ display() [1/2]

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JControllerLegacy This object to support chaining.
Depuis
1.5

Références $id, $layout, $view, JPATH_ADMINISTRATOR, et JLoader\register().

◆ display() [2/2]

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to show a newsfeeds view

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JControllerLegacy This object to support chaining.
Depuis
1.5

Références $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/controller.php


Joomla CMS: Référence de la classe NewsfeedsControllerAjax

Fonctions membres publiques
Référence de la classe NewsfeedsControllerAjax
+ Graphe d'héritage de NewsfeedsControllerAjax:

Fonctions membres publiques

fetchAssociations ()

Description détaillée

The newsfeed controller for ajax requests

Depuis
3.9.0

Documentation des fonctions membres

◆ fetchAssociations()

fetchAssociations ( )

Method to fetch associations of a newsfeed

The method assumes that the following http parameters are passed in an Ajax Get request: token: the form token assocId: the id of the newsfeed whose associations are to be returned excludeLang: the association for this language is to be excluded

Renvoie
null
Depuis
3.9.0

Références $input, $lang, $message, elseif, LanguageHelper\getContentLanguages(), JPATH_ADMINISTRATOR, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_newsfeeds/controllers/ajax.json.php


Joomla CMS: Référence de la classe NewsfeedsControllerNewsfeed

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe NewsfeedsControllerNewsfeed
+ Graphe d'héritage de NewsfeedsControllerNewsfeed:

Fonctions membres publiques

batch ($model=null)

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='id')
postSaveHook (JModelLegacy $model, $validData=array())

Description détaillée

Newsfeed controller class.

Depuis
1.6

Documentation des fonctions membres

◆ allowAdd()

allowAdd ( $data = array() )
protected

Method override to check if you can add a new record.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
1.6

Références $data, ArrayHelper\getValue(), null, et option.

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method to check if you can edit a record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $canEditOwn, $data, $item, $key, $user, et option.

◆ batch()

batch ( $model = null )

Method to run batch operations.

Paramètres
object $model The model.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
2.5

◆ postSaveHook()

postSaveHook | ( | JModelLegacy | $model,
 |  |  | $validData = array()
 | ) |  |
protected

Function that allows child controller access to model data after the data has been saved.

Paramètres
JModelLegacy | $model | The data model object.
array | $validData | The validated data.
Renvoie
void
Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/controllers/newsfeed.php


Joomla CMS: Référence de la classe NewsfeedsControllerNewsfeeds

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe NewsfeedsControllerNewsfeeds
+ Graphe d'héritage de NewsfeedsControllerNewsfeeds:

Fonctions membres publiques

getModel ($name='Newsfeed', $prefix='NewsfeedsModel', $config=array('ignore_request'=> true))

Fonctions membres protégées

postDeleteHook (JModelLegacy $model, $ids=null)

Description détaillée

Newsfeeds list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Newsfeed',
 |  | $prefix = 'NewsfeedsModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $config, $name, et $prefix.

◆ postDeleteHook()

postDeleteHook | ( | JModelLegacy | $model,
 |  |  | $ids = null
 | ) |  |
protected

Function that allows child controller access to model data after the item has been deleted.

Paramètres
JModelLegacy | $model | The data model object.
integer | $ids | The validated data.
Renvoie
void
Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/controllers/newsfeeds.php


Joomla CMS: Référence de la classe NewsfeedsHelper

Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe NewsfeedsHelper
+ Graphe d'héritage de NewsfeedsHelper:

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | countItems (&$items)
static | countTagItems (&$items, $extension)

Attributs publics statiques

static $extension = 'com_newsfeeds'

Description détaillée

Newsfeeds component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void

Références JHtmlSidebar\addEntry().

Référencé par NewsfeedsViewNewsfeeds\display().

◆ countItems()

static countItems ( & $items )
static

Adds Count Items for Category Manager.

Paramètres
stdClass[] &$items The category objects
Renvoie
stdClass[]
Depuis
3.5

Références $config, et $items.

◆ countTagItems()

static countTagItems | ( | & | $items,
 |  |  | $extension
 | ) |  |
static

Adds Count Items for Tag Manager.

Paramètres
stdClass[] | &$items The tag objects
string | $extension | The name of the active view.
Renvoie
stdClass[]
Depuis
3.6

Références $config, $extension, $items, $parts, $section, et null.

Documentation des champs

◆ $extension

$extension = 'com_newsfeeds'
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/helpers/newsfeeds.php


Joomla CMS: Référence de la classe NewsfeedsHelperAssociation

Fonctions membres publiques statiques
Référence de la classe NewsfeedsHelperAssociation
+ Graphe d'héritage de NewsfeedsHelperAssociation:
CategoryHelperAssociation

Fonctions membres publiques statiques

static | getAssociations ($id=0, $view=null)
- Fonctions membres publiques statiques hérités de CategoryHelperAssociation
static | getCategoryAssociations ($id=0, $extension='com_content', $layout=null)

Membres hérités additionnels

- Attributs publics statiques hérités de CategoryHelperAssociation
static $category_association = true

Description détaillée

Newsfeeds Component Association Helper

Depuis
3.0

Documentation des fonctions membres

◆ getAssociations()

static getAssociations | ( | $id = 0,
 |  | $view = null
 | ) |
static

Method to get the associations for a given item

Paramètres
integer | $id | Id of the item
string | $view | Name of the view
Renvoie
array Array of associations for the item
Depuis
3.0

Références $id, $item, $jinput, $return, $view, NewsfeedsHelperRoute\getNewsfeedRoute(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_newsfeeds/helpers/association.php


Joomla CMS: Référence de la classe NewsfeedsHelperRoute

Fonctions membres publiques statiques
Référence de la classe NewsfeedsHelperRoute

Fonctions membres publiques statiques

static | getNewsfeedRoute ($id, $catid, $language=0)
static | getCategoryRoute ($catid, $language=0)

Description détaillée

Newsfeeds Component Route Helper

Depuis
1.5

Documentation des fonctions membres

◆ getCategoryRoute()

static getCategoryRoute | ( | $catid,
 |  | $language = 0
 | ) |
static

getCategoryRoute

Paramètres
int | $catid | category id
int | $language | language
Renvoie
string

Références $id, $language, et $link.

Référencé par NewsfeedsViewNewsfeed\_prepareDocument(), et NewsfeedsViewCategory\prepareDocument().

◆ getNewsfeedRoute()

static getNewsfeedRoute | ( | $id,
 |  | $catid,
 |  | $language = 0
 | ) |
static

getNewsfeedRoute

Paramètres
int | $id | menu itemid
int | $catid | category id
int | $language | language
Renvoie
string

Références $id, $language, et $link.

Référencé par NewsfeedsHelperAssociation\getAssociations(), et PlgFinderNewsfeeds\index().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_newsfeeds/helpers/route.php


Joomla CMS: Référence de la classe NewsfeedsModelCategories

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe NewsfeedsModelCategories
+ Graphe d'héritage de NewsfeedsModelCategories:

Fonctions membres publiques

getItems ()
getParent ()

Champs de données

$_context = 'com_newsfeeds.categories'

Fonctions membres protégées

populateState ($ordering=null, $direction=null)
getStoreId ($id='')

Attributs protégés

$_extension = 'com_newsfeeds'

Attributs privés

$_parent = null
$_items = null

Description détaillée

This models supports retrieving lists of newsfeed categories.

Depuis
1.6

Documentation des fonctions membres

◆ getItems()

getItems ( )

redefine the function an add some properties to make the styling more easy

Renvoie
mixed An array of data items on success, false on failure.

Références $active, $app, $menu, $options, $params, et null.

◆ getParent()

getParent ( )

get the Parent

Renvoie
null

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field
string | $direction | An optional direction [asc|desc]
Renvoie
void
Exceptions
Exception
Depuis
1.6

Références $app, et $params.

Documentation des champs

◆ $_context

$_context = 'com_newsfeeds.categories'

◆ $_extension

$_extension = 'com_newsfeeds'
protected

◆ $_items

$_items = null
private

◆ $_parent

$_parent = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_newsfeeds/models/categories.php


Joomla CMS: Référence de la classe NewsfeedsModelCategory

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe NewsfeedsModelCategory
+ Graphe d'héritage de NewsfeedsModelCategory:

Fonctions membres publiques

__construct ($config=array())
getItems ()
getCategory ()
getParent ()
& getLeftSibling ()
& getRightSibling ()
& getChildren ()
hit ($pk=0)

Fonctions membres protégées

getListQuery ()
populateState ($ordering=null, $direction=null)

Attributs protégés

$_item = null
$_articles = null
$_siblings = null
$_children = null
$_parent = null
$_category = null
$_categories = null

Description détaillée

Newsfeeds Component Category Model

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getCategory()

getCategory ( )

Method to get category data for the current category

Renvoie
object
Depuis
1.5

Références $active, $app, $menu, $options, et $params.

◆ getChildren()

& getChildren ( )

Get the child categories.

Renvoie
mixed An array of categories or false if an error occurs.

◆ getItems()

getItems ( )

Method to get a list of items.

Renvoie
mixed An array of objects on success, false on failure.

Références $item, $items, et $params.

◆ getLeftSibling()

& getLeftSibling ( )

Get the sibling (adjacent) categories.

Renvoie
mixed An array of categories or false if an error occurs.

◆ getListQuery()

getListQuery ( )
protected

Method to build an SQL query to load the list data.

Renvoie
string An SQL query
Depuis
1.6

Références $date, $db, $groups, $query, $state, et $user.

◆ getParent()

getParent ( )

Get the parent category.

Renvoie
mixed An array of categories or false if an error occurs.

◆ getRightSibling()

& getRightSibling ( )

Get the sibling (adjacent) categories.

Renvoie
mixed An array of categories or false if an error occurs.

◆ hit()

hit ( $pk = 0 )

Increment the hit counter for the category.

Paramètres
int $pk Optional primary key of the category to increment.
Renvoie
boolean True if successful; false otherwise and internal error set.

Références $input.

◆ populateState()

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field
string | $direction | An optional direction [asc|desc]
Renvoie
void
Depuis
1.6
Exceptions
Exception

Références $app, $id, $limit, $listOrder, $params, et $user.

Documentation des champs

◆ $_articles

$_articles = null
protected

◆ $_categories

$_categories = null
protected

◆ $_category

$_category = null
protected

◆ $_children

$_children = null
protected

◆ $_item

$_item = null
protected

◆ $_parent

$_parent = null
protected

◆ $_siblings

$_siblings = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_newsfeeds/models/category.php


Joomla CMS: Référence de la classe NewsfeedsModelNewsfeed

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe NewsfeedsModelNewsfeed
+ Graphe d'héritage de NewsfeedsModelNewsfeed:

Fonctions membres publiques

getTable ($type='Newsfeed', $prefix='NewsfeedsTable', $config=array())
getForm ($data=array(), $loadData=true)
save ($data)
getItem ($pk=null)
publish (&$pks, $value=1)
validate ($form, $data, $group=null)
& getItem ($pk=null)
hit ($pk=0)

Champs de données

$typeAlias = 'com_newsfeeds.newsfeed'

Fonctions membres protégées

canDelete ($record)
canEditState ($record)
loadFormData ()
prepareTable ($table)
getReorderConditions ($table)
preprocessForm (JForm $form, $data, $group='content')
populateState ()

Attributs protégés

$associationsContext = 'com_newsfeeds.item'
$text_prefix = 'COM_NEWSFEEDS'
$_context = 'com_newsfeeds.newsfeed'

Fonctions membres privées

canCreateCategory ()

Description détaillée

Newsfeed model.

Depuis
1.6

Newsfeeds Component Newsfeed Model

Depuis
1.5

Documentation des fonctions membres

◆ canCreateCategory()

canCreateCategory ( )
private

Is the user allowed to create an on the fly category?

Renvoie
boolean
Depuis
3.6.1

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

◆ canEditState()

canEditState ( $record )
protected

Method to test whether a record can have its state changed.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to change the state of the record. Defaults to the permission set in the component.
Depuis
1.6

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $data, et $form.

◆ getItem() [1/2]

& getItem ( $pk = null )

Method to get newsfeed data.

Paramètres
integer $pk The id of the newsfeed.
Renvoie
mixed Menu item data object on success, false on failure.
Depuis
1.6

Références $data, $db, $groups, $published, $query, $user, null, et JError\raiseError().

◆ getItem() [2/2]

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
1.6

Références $app, $assoc, $item, et null.

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
object $table A record object.
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

Références $condition.

◆ getTable()

getTable | ( | $type = 'Newsfeed',
 |  | $prefix = 'NewsfeedsTable',
 |  | $config = array()
 | ) |

Returns a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, et $type.

◆ hit()

hit ( $pk = 0 )

Increment the hit counter for the newsfeed.

Paramètres
int $pk Optional primary key of the item to increment.
Renvoie
boolean True if successful; false otherwise and internal error set.
Depuis
3.0

Références $input.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $app, et $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, $offset, $params, et $user.

◆ prepareTable()

prepareTable ( $table )
protected

Prepare and sanitise the table prior to saving.

Paramètres
JTable $table The table object
Renvoie
void

Références $date, $db, $query, $user, et ENT_QUOTES.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

A protected method to get a set of ordering conditions.

Paramètres
JForm | $form | The form object.
array | $data | The data to be injected into the form
string | $group | The plugin group to process
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

Références $data, $field, $fields, $form, $language, et null.

◆ publish()

publish | ( | & | $pks,
 |  |  | $value = 1
 | ) |  |

Method to change the published state of one or more records.

Paramètres
array | &$pks | A list of the primary keys to change.
integer | $value | The value of the published state.
Renvoie
boolean True on success.
Depuis
1.6

Références $value.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
3.0

Références $data, $input, $name, CategoriesHelper\createCategory(), JPATH_ADMINISTRATOR, JLoader\register(), et CategoriesHelper\validateCategoryId().

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.9.25

Références $data, $form, et validate().

Documentation des champs

◆ $_context

$_context = 'com_newsfeeds.newsfeed'
protected

◆ $associationsContext

$associationsContext = 'com_newsfeeds.item'
protected

◆ $text_prefix

$text_prefix = 'COM_NEWSFEEDS'
protected

◆ $typeAlias

$typeAlias = 'com_newsfeeds.newsfeed'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/models/newsfeed.php


Joomla CMS: Référence de la classe NewsfeedsModelNewsfeeds

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe NewsfeedsModelNewsfeeds
+ Graphe d'héritage de NewsfeedsModelNewsfeeds:

Fonctions membres publiques

__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='a.name', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of newsfeed records.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.6

Références $assoc, et $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery

Références $app, $assoc, $db, $language, $published, $query, $user, elseif, et ArrayHelper\toInteger().

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $forcedLanguage, $layout, $ordering, $params, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/models/newsfeeds.php


Joomla CMS: Référence de la classe NewsfeedsRouter

Fonctions membres publiques | Attributs protégés
Référence de la classe NewsfeedsRouter
+ Graphe d'héritage de NewsfeedsRouter:

Fonctions membres publiques

__construct ($app=null, $menu=null)
getCategorySegment ($id, $query)
getCategoriesSegment ($id, $query)
getNewsfeedSegment ($id, $query)
getCategoryId ($segment, $query)
getCategoriesId ($segment, $query)
getNewsfeedId ($segment, $query)

Attributs protégés

$noIDs = false

Description détaillée

Routing class from com_newsfeeds

Depuis
3.3

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $app = null,
 |  | $menu = null
 | ) |

Newsfeeds Component router constructor

Paramètres
JApplicationCms | $app | The application object
JMenu | $menu | The menu object to work with

Références $app, $category, $menu, $params, et JLoader\register().

Documentation des fonctions membres

◆ getCategoriesId()

getCategoriesId | ( | $segment,
 |  | $query
 | ) |

Method to get the segment(s) for a category

Paramètres
string | $segment | Segment to retrieve the ID for
array | $query | The request that is parsed right now
Renvoie
mixed The id of this item or false

Références $query.

◆ getCategoriesSegment()

getCategoriesSegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for a category

Paramètres
string | $id | ID of the category to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item

Références $id, et $query.

◆ getCategoryId()

getCategoryId | ( | $segment,
 |  | $query
 | ) |

Method to get the id for a category

Paramètres
string | $segment | Segment to retrieve the ID for
array | $query | The request that is parsed right now
Renvoie
mixed The id of this item or false

Références $category, et $query.

◆ getCategorySegment()

getCategorySegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for a category

Paramètres
string | $id | ID of the category to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item

Références $category, $id, et $path.

◆ getNewsfeedId()

getNewsfeedId | ( | $segment,
 |  | $query
 | ) |

Method to get the segment(s) for a newsfeed

Paramètres
string | $segment | Segment of the newsfeed to retrieve the ID for
array | $query | The request that is parsed right now
Renvoie
mixed The id of this item or false

Références $db, et $query.

◆ getNewsfeedSegment()

getNewsfeedSegment | ( | $id,
 |  | $query
 | ) |

Method to get the segment(s) for a newsfeed

Paramètres
string | $id | ID of the newsfeed to retrieve the segments for
array | $query | The request that is built right now
Renvoie
array|string The segments of this item

Références $db, et $id.

Documentation des champs

◆ $noIDs

$noIDs = false
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_newsfeeds/router.php


Joomla CMS: Référence de la classe NewsfeedsRouterRulesLegacy

Fonctions membres publiques
Référence de la classe NewsfeedsRouterRulesLegacy
+ Graphe d'héritage de NewsfeedsRouterRulesLegacy:

Fonctions membres publiques

__construct ($router)
preprocess (&$query)
build (&$query, &$segments)
parse (&$segments, &$vars)

Description détaillée

Legacy routing rules class from com_newsfeeds

Depuis
3.6
Obsolète:
4.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $router )

Constructor for this legacy router

Paramètres
JComponentRouterAdvanced $router The router this rule belongs to
Depuis
3.6
Obsolète:
4.0

Documentation des fonctions membres

◆ build()

build | ( | & | $query,
 |  | & | $segments
 | ) |  |

Build the route for the com_newsfeeds component

Paramètres
array | &$query | An array of URL arguments
array | &$segments | The URL arguments to use to assemble the subsequent URL.
Renvoie
void
Depuis
3.6
Obsolète:
4.0

Références $category, $i, $id, $params, $path, $query, $tmp, $total, $view, elseif, et null.

◆ parse()

parse | ( | & | $segments,
 |  | & | $vars
 | ) |  |

Parse the segments of a URL.

Paramètres
array | &$segments | The segments of the URL to parse.
array | &$vars | The URL attributes to be used by the application.
Renvoie
void
Depuis
3.6
Obsolète:
4.0

Références $category, $count, $db, $i, $id, $item, $params, $query, et $total.

◆ preprocess()

preprocess ( & $query )

Preprocess the route for the com_newsfeeds component

Paramètres
array &$query An array of URL arguments
Renvoie
void
Depuis
3.6
Obsolète:
4.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_newsfeeds/helpers/legacyrouter.php


Joomla CMS: Référence de la classe NewsfeedsTableNewsfeed

Fonctions membres publiques | Attributs protégés
Référence de la classe NewsfeedsTableNewsfeed
+ Graphe d'héritage de NewsfeedsTableNewsfeed:

Fonctions membres publiques

__construct (&$db)
check ()
store ($updateNulls=false)

Attributs protégés

$_jsonEncode = array('params', 'metadata', 'images')

Description détaillée

Newsfeed Table class.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver &$db A database connector object

Références $db.

Documentation des fonctions membres

◆ check()

check ( )

Overloaded check method to ensure data integrity.

Renvoie
boolean True on success.

Références $key, $name, language, et name.

◆ store()

store ( $updateNulls = false )

Overriden JTable::store to set modified data.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
1.6

Références $date, et $user.

Documentation des champs

◆ $_jsonEncode

$_jsonEncode = array('params', 'metadata', 'images')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/tables/newsfeed.php


Joomla CMS: Référence de la classe NewsfeedsViewCategories

Attributs protégés
Référence de la classe NewsfeedsViewCategories
+ Graphe d'héritage de NewsfeedsViewCategories:

Attributs protégés

$pageHeading = 'COM_NEWSFEEDS_DEFAULT_PAGE_TITLE'
$extension = 'com_newsfeeds'

Description détaillée

Content categories view.

Depuis
1.5

Documentation des champs

◆ $extension

$extension = 'com_newsfeeds'
protected

◆ $pageHeading

$pageHeading = 'COM_NEWSFEEDS_DEFAULT_PAGE_TITLE'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_newsfeeds/views/categories/view.html.php


Joomla CMS: Référence de la classe NewsfeedsViewCategory

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe NewsfeedsViewCategory
+ Graphe d'héritage de NewsfeedsViewCategory:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

prepareDocument ()

Attributs protégés

$defaultPageTitle = 'COM_NEWSFEEDS_DEFAULT_PAGE_TITLE'
$extension = 'com_newsfeeds'
$viewName = 'newsfeed'

Description détaillée

HTML View class for the Newsfeeds component

Depuis
1.0

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $item, et items.

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document

Renvoie
void

Références $category, $id, $item, $menu, $path, category, NewsfeedsHelperRoute\getCategoryRoute(), et if.

Documentation des champs

◆ $defaultPageTitle

$defaultPageTitle = 'COM_NEWSFEEDS_DEFAULT_PAGE_TITLE'
protected

◆ $extension

$extension = 'com_newsfeeds'
protected

◆ $viewName

$viewName = 'newsfeed'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_newsfeeds/views/category/view.html.php


Joomla CMS: Référence de la classe NewsfeedsViewNewsfeed

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe NewsfeedsViewNewsfeed
+ Graphe d'héritage de NewsfeedsViewNewsfeed:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
_prepareDocument ()

Attributs protégés

$item
$form
$state
$print

Description détaillée

View to edit a newsfeed.

Depuis
1.6

HTML View class for the Newsfeeds component

Depuis
1.0

Documentation des fonctions membres

◆ _prepareDocument()

_prepareDocument ( )
protected

Prepares the document

Renvoie
void
Depuis
1.6

Références $app, $category, $id, $item, $menu, $path, $title, elseif, NewsfeedsHelperRoute\getCategoryRoute(), if, item, et null.

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $user, item, et title.

◆ display() [1/2]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références $active, $app, $feed, $item, $layout, $params, $state, $user, htmlspecialchars, item, pageclass_sfx, et JError\raiseWarning().

◆ display() [2/2]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références $forcedLanguage, item, et null.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $print

$print
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/views/newsfeed/view.html.php


Joomla CMS: Référence de la classe NewsfeedsViewNewsfeeds

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe NewsfeedsViewNewsfeeds
+ Graphe d'héritage de NewsfeedsViewNewsfeeds:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of newsfeeds.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $state, $title, $user, elseif, et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références $forcedLanguage, NewsfeedsHelper\addSubmenu(), items, JError\raiseError(), et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_newsfeeds/views/newsfeeds/view.html.php


Joomla CMS: Référence de la classe nodecounter

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données
Référence de la classe nodecounter

Fonctions membres publiques

__construct ($name)
dump ($stack=null)
compile ($c, $path=null)
getName ()
getNode ($name)
findNode ($path)
addBlock ($path, $block)
addToNode ($path, $block)

Fonctions membres publiques statiques

static compileProperties ($c, $block)

Champs de données

$count = 0
$children = array()
$name
$child_blocks
$the_block

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $name )

Références $name, et name.

Documentation des fonctions membres

◆ addBlock()

addBlock | ( | $path,
 |  | $block
 | ) |

Références $path, et findNode().

◆ addToNode()

addToNode | ( | $path,
 |  | $block
 | ) |

Références $path, et findNode().

◆ compile()

compile | ( | $c,
 |  | $path = null
 | ) |

Références $name, $path, children, tagparse\compilePaths(), et compileProperties().

◆ compileProperties()

static compileProperties | ( | $c,
 |  | $block
 | ) |
static

Références $name, et $value.

Référencé par compile(), et lessify\parse().

◆ dump()

dump ( $stack = null )

Références children, et getName().

◆ findNode()

findNode ( $path )

Références $current, $i, $path, et tagparse\compileTag().

Référencé par addBlock(), et addToNode().

◆ getName()

getName ( )

Références $name, et name.

Référencé par dump().

◆ getNode()

getNode ( $name )

Références $name, et children.

Documentation des champs

◆ $child_blocks

$child_blocks

◆ $children

$children = array()

◆ $count

$count = 0

◆ $name

$name

Référencé par __construct(), compile(), compileProperties(), getName(), et getNode().

◆ $the_block

$the_block
La documentation de cette classe a été générée à partir du fichier suivant :
  • lessify.inc.php


Joomla CMS: Référence de la classe ntlm_sasl_client_class

Fonctions membres publiques | Champs de données
Référence de la classe ntlm_sasl_client_class

Fonctions membres publiques

initialize (&$client)
ASCIIToUnicode ($ascii)
typeMsg1 ($domain, $workstation)
NTLMResponse ($challenge, $password)
typeMsg3 ($ntlm_response, $user, $domain, $workstation)
start (&$client, &$message, &$interactions)
step (&$client, $response, &$message, &$interactions)

Champs de données

$credentials = array()
$state = SASL_NTLM_STATE_START

Documentation des fonctions membres

◆ ASCIIToUnicode()

ASCIIToUnicode ( $ascii )

Référencé par NTLMResponse(), et typeMsg3().

◆ initialize()

initialize ( & $client )

Références $client, et $function.

◆ NTLMResponse()

NTLMResponse | ( | $challenge,
 |  | $password
 | ) |

Références $b, $key, $password, et ASCIIToUnicode().

Référencé par step().

◆ start()

start | ( | & | $client,
 |  | & | $message,
 |  | & | $interactions
 | ) |  |

Références $client, $message, SASL_CONTINUE, SASL_FAIL, SASL_NTLM_STATE_IDENTIFY_DOMAIN, et SASL_NTLM_STATE_START.

◆ step()

step | ( | & | $client,
 |  |  | $response,
 |  | & | $message,
 |  | & | $interactions
 | ) |  |

Références $client, $message, NTLMResponse(), SASL_CONTINUE, SASL_FAIL, SASL_NTLM_STATE_DONE, SASL_NTLM_STATE_IDENTIFY_DOMAIN, SASL_NTLM_STATE_RESPOND_CHALLENGE, typeMsg1(), et typeMsg3().

◆ typeMsg1()

typeMsg1 | ( | $domain,
 |  | $workstation
 | ) |

Référencé par step().

◆ typeMsg3()

typeMsg3 | ( | $ntlm_response,
 |  | $user,
 |  | $domain,
 |  | $workstation
 | ) |

Références $user, et ASCIIToUnicode().

Référencé par step().

Documentation des champs

◆ $credentials

$credentials = array()

◆ $state

$state = SASL_NTLM_STATE_START
La documentation de cette classe a été générée à partir du fichier suivant :
  • ntlm_sasl_client.php


Joomla CMS: Référence de la classe OpenSSL

Fonctions membres publiques | Attributs protégés
Référence de la classe OpenSSL
+ Graphe d'héritage de OpenSSL:
AKEncryptionAESAdapterAbstract AKEncryptionAESAdapterInterface

Fonctions membres publiques

__construct ()
decrypt ($cipherText, $key)
isSupported ()
getBlockSize ()
- Fonctions membres publiques hérités de AKEncryptionAESAdapterAbstract
resizeKey ($key, $size)

Attributs protégés

$openSSLOptions = 0
$method = 'aes-128-cbc'

Membres hérités additionnels

- Fonctions membres protégées hérités de AKEncryptionAESAdapterAbstract
getZeroPadding ($string, $blockSize)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Documentation des fonctions membres

◆ decrypt()

decrypt | ( | $plainText,
 |  | $key
 | ) |

Decrypts a string. Returns the raw binary ciphertext, zero-padded.

Paramètres
string | $plainText | The plaintext to encrypt
string | $key | The raw binary key (will be zero-padded or chopped if its size is different than the block size)
Renvoie
string The raw encrypted binary string.

Implémente AKEncryptionAESAdapterInterface.

Références $key, getBlockSize(), method, et AKEncryptionAESAdapterAbstract\resizeKey().

◆ getBlockSize()

getBlockSize ( )
Renvoie
int

Implémente AKEncryptionAESAdapterInterface.

Références method.

Référencé par decrypt().

◆ isSupported()

isSupported ( )

Is this adapter supported?

Renvoie
bool

Implémente AKEncryptionAESAdapterInterface.

Documentation des champs

◆ $method

$method = 'aes-128-cbc'
protected

◆ $openSSLOptions

$openSSLOptions = 0
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • restore.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Compat

Fonctions membres publiques statiques | Champs de données | Attributs publics statiques | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Compat
+ Graphe d'héritage de ParagonIE_Sodium_Compat:
Compat

Fonctions membres publiques statiques

static | add (&$val, $addv)
static | bin2hex ($string)
static | compare ($left, $right)
static | crypto_aead_aes256gcm_is_available ()
static | crypto_aead_aes256gcm_encrypt ( $plaintext='', $assocData='', $nonce='', $key='')
static | crypto_aead_aes256gcm_keygen ()
static | crypto_aead_chacha20poly1305_decrypt ( $ciphertext='', $assocData='', $nonce='', $key='')
static | crypto_aead_chacha20poly1305_encrypt ( $plaintext='', $assocData='', $nonce='', $key='')
static | crypto_aead_chacha20poly1305_ietf_decrypt ( $ciphertext='', $assocData='', $nonce='', $key='')
static | crypto_aead_chacha20poly1305_keygen ()
static | crypto_aead_chacha20poly1305_ietf_encrypt ( $plaintext='', $assocData='', $nonce='', $key='')
static | crypto_aead_chacha20poly1305_ietf_keygen ()
static | crypto_aead_xchacha20poly1305_ietf_decrypt ( $ciphertext='', $assocData='', $nonce='', $key='', $dontFallback=false)
static | crypto_aead_xchacha20poly1305_ietf_encrypt ( $plaintext='', $assocData='', $nonce='', $key='', $dontFallback=false)
static | crypto_aead_xchacha20poly1305_ietf_keygen ()
static | crypto_auth ($message, $key)
static | crypto_auth_keygen ()
static | crypto_auth_verify ($mac, $message, $key)
static | crypto_box ($plaintext, $nonce, $keypair)
static | crypto_box_seal ($plaintext, $publicKey)
static | crypto_box_seal_open ($ciphertext, $keypair)
static | crypto_box_keypair ()
static | crypto_box_keypair_from_secretkey_and_publickey ($secretKey, $publicKey)
static | crypto_box_open ($ciphertext, $nonce, $keypair)
static | crypto_box_publickey ($keypair)
static | crypto_box_publickey_from_secretkey ($secretKey)
static | crypto_box_secretkey ($keypair)
static | crypto_box_seed_keypair ($seed)
static | crypto_generichash ($message, $key='', $length=self::CRYPTO_GENERICHASH_BYTES)
static | crypto_generichash_final (&$ctx, $length=self::CRYPTO_GENERICHASH_BYTES)
static | crypto_generichash_init ($key='', $length=self::CRYPTO_GENERICHASH_BYTES)
static | crypto_generichash_init_salt_personal ( $key='', $length=self::CRYPTO_GENERICHASH_BYTES, $salt='', $personal='')
static | crypto_generichash_update (&$ctx, $message)
static | crypto_generichash_keygen ()
static | crypto_kdf_derive_from_key ( $subkey_len, $subkey_id, $context, $key)
static | crypto_kdf_keygen ()
static | crypto_kx ($my_secret, $their_public, $client_public, $server_public, $dontFallback=false)
static | crypto_kx_seed_keypair ($seed)
static | crypto_kx_keypair ()
static | crypto_kx_client_session_keys ($keypair, $serverPublicKey)
static | crypto_kx_server_session_keys ($keypair, $clientPublicKey)
static | crypto_kx_secretkey ($kp)
static | crypto_kx_publickey ($kp)
static | crypto_pwhash ($outlen, $passwd, $salt, $opslimit, $memlimit, $alg=null)
static | crypto_pwhash_is_available ()
static | crypto_pwhash_str ($passwd, $opslimit, $memlimit)
static | crypto_pwhash_str_verify ($passwd, $hash)
static | crypto_pwhash_scryptsalsa208sha256 ($outlen, $passwd, $salt, $opslimit, $memlimit)
static | crypto_pwhash_scryptsalsa208sha256_is_available ()
static | crypto_pwhash_scryptsalsa208sha256_str ($passwd, $opslimit, $memlimit)
static | crypto_pwhash_scryptsalsa208sha256_str_verify ($passwd, $hash)
static | crypto_scalarmult ($secretKey, $publicKey)
static | crypto_scalarmult_base ($secretKey)
static | crypto_secretbox ($plaintext, $nonce, $key)
static | crypto_secretbox_open ($ciphertext, $nonce, $key)
static | crypto_secretbox_keygen ()
static | crypto_secretbox_xchacha20poly1305 ($plaintext, $nonce, $key)
static | crypto_secretbox_xchacha20poly1305_open ($ciphertext, $nonce, $key)
static | crypto_secretstream_xchacha20poly1305_init_push ($key)
static | crypto_secretstream_xchacha20poly1305_init_pull ($header, $key)
static | crypto_secretstream_xchacha20poly1305_push (&$state, $msg, $aad='', $tag=0)
static | crypto_secretstream_xchacha20poly1305_pull (&$state, $msg, $aad='')
static | crypto_secretstream_xchacha20poly1305_keygen ()
static | crypto_secretstream_xchacha20poly1305_rekey (&$state)
static | crypto_shorthash ($message, $key)
static | crypto_shorthash_keygen ()
static | crypto_sign ($message, $secretKey)
static | crypto_sign_open ($signedMessage, $publicKey)
static | crypto_sign_keypair ()
static | crypto_sign_keypair_from_secretkey_and_publickey ($sk, $pk)
static | crypto_sign_seed_keypair ($seed)
static | crypto_sign_publickey ($keypair)
static | crypto_sign_publickey_from_secretkey ($secretKey)
static | crypto_sign_secretkey ($keypair)
static | crypto_sign_detached ($message, $secretKey)
static | crypto_sign_verify_detached ($signature, $message, $publicKey)
static | crypto_sign_ed25519_pk_to_curve25519 ($pk)
static | crypto_sign_ed25519_sk_to_curve25519 ($sk)
static | crypto_stream ($len, $nonce, $key)
static | crypto_stream_xor ($message, $nonce, $key)
static | crypto_stream_keygen ()
static | crypto_stream_xchacha20 ($len, $nonce, $key, $dontFallback=false)
static | crypto_stream_xchacha20_xor ($message, $nonce, $key, $dontFallback=false)
static | crypto_stream_xchacha20_keygen ()
static | hex2bin ($string)
static | increment (&$var)
static | is_zero ($str)
static | library_version_major ()
static | library_version_minor ()
static | memzero (&$var)
static | unpad ($padded, $blockSize, $dontFallback=false)
static | polyfill_is_fast ()
static | randombytes_uniform ($range)
static | randombytes_random16 ()
static | ristretto255_is_valid_point ($p, $dontFallback=false)
static | ristretto255_add ($p, $q, $dontFallback=false)
static | ristretto255_sub ($p, $q, $dontFallback=false)
static | ristretto255_from_hash ($r, $dontFallback=false)
static | ristretto255_random ($dontFallback=false)
static | ristretto255_scalar_random ($dontFallback=false)
static | ristretto255_scalar_invert ($s, $dontFallback=false)
static | ristretto255_scalar_negate ($s, $dontFallback=false)
static | ristretto255_scalar_complement ($s, $dontFallback=false)
static | ristretto255_scalar_add ($x, $y, $dontFallback=false)
static | ristretto255_scalar_sub ($x, $y, $dontFallback=false)
static | ristretto255_scalar_mul ($x, $y, $dontFallback=false)
static | scalarmult_ristretto255 ($n, $p, $dontFallback=false)
static | scalarmult_ristretto255_base ($n, $dontFallback=false)
static | ristretto255_scalar_reduce ($s, $dontFallback=false)
static | sub (&$val, $addv)
static | version_string ()

Champs de données

const | LIBRARY_MAJOR_VERSION = 9
const | LIBRARY_MINOR_VERSION = 1
const | LIBRARY_VERSION_MAJOR = 9
const | LIBRARY_VERSION_MINOR = 1
const | VERSION_STRING = 'polyfill-1.0.8'
const | BASE64_VARIANT_ORIGINAL = 1
const | BASE64_VARIANT_ORIGINAL_NO_PADDING = 3
const | BASE64_VARIANT_URLSAFE = 5
const | BASE64_VARIANT_URLSAFE_NO_PADDING = 7
const | CRYPTO_AEAD_AES256GCM_KEYBYTES = 32
const | CRYPTO_AEAD_AES256GCM_NSECBYTES = 0
const | CRYPTO_AEAD_AES256GCM_NPUBBYTES = 12
const | CRYPTO_AEAD_AES256GCM_ABYTES = 16
const | CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES = 32
const | CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES = 0
const | CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES = 8
const | CRYPTO_AEAD_CHACHA20POLY1305_ABYTES = 16
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES = 32
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES = 0
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES = 12
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES = 16
const | CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES = 32
const | CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES = 0
const | CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES = 24
const | CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES = 16
const | CRYPTO_AUTH_BYTES = 32
const | CRYPTO_AUTH_KEYBYTES = 32
const | CRYPTO_BOX_SEALBYTES = 16
const | CRYPTO_BOX_SECRETKEYBYTES = 32
const | CRYPTO_BOX_PUBLICKEYBYTES = 32
const | CRYPTO_BOX_KEYPAIRBYTES = 64
const | CRYPTO_BOX_MACBYTES = 16
const | CRYPTO_BOX_NONCEBYTES = 24
const | CRYPTO_BOX_SEEDBYTES = 32
const | CRYPTO_CORE_RISTRETTO255_BYTES = 32
const | CRYPTO_CORE_RISTRETTO255_SCALARBYTES = 32
const | CRYPTO_CORE_RISTRETTO255_HASHBYTES = 64
const | CRYPTO_CORE_RISTRETTO255_NONREDUCEDSCALARBYTES = 64
const | CRYPTO_KDF_BYTES_MIN = 16
const | CRYPTO_KDF_BYTES_MAX = 64
const | CRYPTO_KDF_CONTEXTBYTES = 8
const | CRYPTO_KDF_KEYBYTES = 32
const | CRYPTO_KX_BYTES = 32
const | CRYPTO_KX_PRIMITIVE = 'x25519blake2b'
const | CRYPTO_KX_SEEDBYTES = 32
const | CRYPTO_KX_KEYPAIRBYTES = 64
const | CRYPTO_KX_PUBLICKEYBYTES = 32
const | CRYPTO_KX_SECRETKEYBYTES = 32
const | CRYPTO_KX_SESSIONKEYBYTES = 32
const | CRYPTO_GENERICHASH_BYTES = 32
const | CRYPTO_GENERICHASH_BYTES_MIN = 16
const | CRYPTO_GENERICHASH_BYTES_MAX = 64
const | CRYPTO_GENERICHASH_KEYBYTES = 32
const | CRYPTO_GENERICHASH_KEYBYTES_MIN = 16
const | CRYPTO_GENERICHASH_KEYBYTES_MAX = 64
const | CRYPTO_PWHASH_SALTBYTES = 16
const | CRYPTO_PWHASH_STRPREFIX = '$argon2id$'
const | CRYPTO_PWHASH_ALG_ARGON2I13 = 1
const | CRYPTO_PWHASH_ALG_ARGON2ID13 = 2
const | CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE = 33554432
const | CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE = 4
const | CRYPTO_PWHASH_MEMLIMIT_MODERATE = 134217728
const | CRYPTO_PWHASH_OPSLIMIT_MODERATE = 6
const | CRYPTO_PWHASH_MEMLIMIT_SENSITIVE = 536870912
const | CRYPTO_PWHASH_OPSLIMIT_SENSITIVE = 8
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES = 32
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX = '$7$'
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE = 534288
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE = 16777216
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE = 33554432
const | CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE = 1073741824
const | CRYPTO_SCALARMULT_BYTES = 32
const | CRYPTO_SCALARMULT_SCALARBYTES = 32
const | CRYPTO_SCALARMULT_RISTRETTO255_BYTES = 32
const | CRYPTO_SCALARMULT_RISTRETTO255_SCALARBYTES = 32
const | CRYPTO_SHORTHASH_BYTES = 8
const | CRYPTO_SHORTHASH_KEYBYTES = 16
const | CRYPTO_SECRETBOX_KEYBYTES = 32
const | CRYPTO_SECRETBOX_MACBYTES = 16
const | CRYPTO_SECRETBOX_NONCEBYTES = 24
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES = 17
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES = 24
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES = 32
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH = 0
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL = 1
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY = 2
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL = 3
const | CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX = 0x3fffffff80
const | CRYPTO_SIGN_BYTES = 64
const | CRYPTO_SIGN_SEEDBYTES = 32
const | CRYPTO_SIGN_PUBLICKEYBYTES = 32
const | CRYPTO_SIGN_SECRETKEYBYTES = 64
const | CRYPTO_SIGN_KEYPAIRBYTES = 96
const | CRYPTO_STREAM_KEYBYTES = 32
const | CRYPTO_STREAM_NONCEBYTES = 24
const | CRYPTO_STREAM_XCHACHA20_KEYBYTES = 32
const | CRYPTO_STREAM_XCHACHA20_NONCEBYTES = 24

Attributs publics statiques

static | $disableFallbackForUnitTests = false
static | $fastMult = false

Fonctions membres protégées statiques

static | use_fallback ($sodium_func_name='')
static | useNewSodiumAPI ()

Description détaillée

Libsodium compatibility layer

This is the only class you should be interfacing with, as a user of sodium_compat.

If the PHP extension for libsodium is installed, it will always use that instead of our implementations. You get better performance and stronger guarantees against side-channels that way.

However, if your users don't have the PHP extension installed, we offer a compatible interface here. It will give you the correct results as if the PHP extension was installed. It won't be as fast, of course.

CAUTION * CAUTION * CAUTION * CAUTION * CAUTION * CAUTION * CAUTION * CAUTION *

  • Until audited, this is probably not safe to use! DANGER WILL ROBINSON *
  • CAUTION * CAUTION * CAUTION * CAUTION * CAUTION * CAUTION * CAUTION * CAUTION *

Documentation des fonctions membres

◆ add()

static add | ( | & | $val,
 |  |  | $addv
 | ) |  |
static

Add two numbers (little-endian unsigned), storing the value in the first parameter.

This mutates $val.

Paramètres
string | $val
string | $addv
Renvoie
void
Exceptions
SodiumException

Références $i, et ParagonIE_Sodium_Core_Util\strlen().

Référencé par ParagonIE_Sodium_Core_Ed25519\scalar_add().

◆ bin2hex()

static bin2hex ( $string )
static

Cache-timing-safe implementation of bin2hex().

Paramètres
string $string A string (probably raw binary)
Renvoie
string A hexadecimal-encoded string
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Core_Util\declareScalarType().

◆ compare()

static compare | ( | $left,
 |  | $right
 | ) |
static

Compare two strings, in constant-time. Compared to memcmp(), compare() is more useful for sorting.

Paramètres
string | $left | The left operand; must be a string
string | $right | The right operand; must be a string
Renvoie
int If < 0 if the left operand is less than the right If = 0 if both strings are equal If > 0 if the right operand is less than the left
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Core_Util\compare(), et ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_aead_aes256gcm_encrypt()

static crypto_aead_aes256gcm_encrypt | ( | $plaintext = '',
 |  | $assocData = '',
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Authenticated Encryption with Associated Data: Encryption

Algorithm: AES-256-GCM

Paramètres
string | $plaintext | Message to be encrypted
string | $assocData | Authenticated Associated Data (unencrypted)
string | $nonce | Number to be used only Once; must be 8 bytes
string | $key | Encryption key
Renvoie
string Ciphertext with a 16-byte GCM message authentication code appended
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, Sodium\CRYPTO_AEAD_AES256GCM_KEYBYTES, Sodium\CRYPTO_AEAD_AES256GCM_NPUBBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_aead_aes256gcm_is_available()

static crypto_aead_aes256gcm_is_available ( )
static

Is AES-256-GCM even available to use?

Renvoie
bool -suppress UndefinedFunction -suppress MixedInferredReturnType -suppress MixedReturnStatement

◆ crypto_aead_aes256gcm_keygen()

static crypto_aead_aes256gcm_keygen ( )
static

Return a secure random key for use with the AES-256-GCM symmetric AEAD interface.

Renvoie
string
Exceptions
Exception
Error

Références Sodium\CRYPTO_AEAD_AES256GCM_KEYBYTES.

◆ crypto_aead_chacha20poly1305_decrypt()

static crypto_aead_chacha20poly1305_decrypt | ( | $ciphertext = '',
 |  | $assocData = '',
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Authenticated Encryption with Associated Data: Decryption

Algorithm: ChaCha20-Poly1305

This mode uses a 64-bit random nonce with a 64-bit counter. IETF mode uses a 96-bit random nonce with a 32-bit counter.

Paramètres
string | $ciphertext | Encrypted message (with Poly1305 MAC appended)
string | $assocData | Authenticated Associated Data (unencrypted)
string | $nonce | Number to be used only Once; must be 8 bytes
string | $key | Encryption key
Renvoie
string The original plaintext message
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress MixedInferredReturnType -suppress MixedReturnStatement

-suppress InvalidReturnStatement -suppress FalsableReturnStatement

Références $key, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_ABYTES, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_aead_chacha20poly1305_encrypt()

static crypto_aead_chacha20poly1305_encrypt | ( | $plaintext = '',
 |  | $assocData = '',
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Authenticated Encryption with Associated Data

Algorithm: ChaCha20-Poly1305

This mode uses a 64-bit random nonce with a 64-bit counter. IETF mode uses a 96-bit random nonce with a 32-bit counter.

Paramètres
string | $plaintext | Message to be encrypted
string | $assocData | Authenticated Associated Data (unencrypted)
string | $nonce | Number to be used only Once; must be 8 bytes
string | $key | Encryption key
Renvoie
string Ciphertext with a 16-byte Poly1305 message authentication code appended
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_aead_chacha20poly1305_ietf_decrypt()

static crypto_aead_chacha20poly1305_ietf_decrypt | ( | $ciphertext = '',
 |  | $assocData = '',
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Authenticated Encryption with Associated Data: Decryption

Algorithm: ChaCha20-Poly1305

IETF mode uses a 96-bit random nonce with a 32-bit counter. Regular mode uses a 64-bit random nonce with a 64-bit counter.

Paramètres
string | $ciphertext | Encrypted message (with Poly1305 MAC appended)
string | $assocData | Authenticated Associated Data (unencrypted)
string | $nonce | Number to be used only Once; must be 12 bytes
string | $key | Encryption key
Renvoie
string The original plaintext message
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress MixedInferredReturnType -suppress MixedReturnStatement

-suppress InvalidReturnStatement -suppress FalsableReturnStatement

Références $key, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_ABYTES, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_aead_chacha20poly1305_ietf_encrypt()

static crypto_aead_chacha20poly1305_ietf_encrypt | ( | $plaintext = '',
 |  | $assocData = '',
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Authenticated Encryption with Associated Data

Algorithm: ChaCha20-Poly1305

IETF mode uses a 96-bit random nonce with a 32-bit counter. Regular mode uses a 64-bit random nonce with a 64-bit counter.

Paramètres
string | $plaintext | Message to be encrypted
string | $assocData | Authenticated Associated Data (unencrypted)
string | $nonce | Number to be used only Once; must be 8 bytes
string | $key | Encryption key
Renvoie
string Ciphertext with a 16-byte Poly1305 message authentication code appended
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES, Sodium\CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_aead_chacha20poly1305_ietf_keygen()

static crypto_aead_chacha20poly1305_ietf_keygen ( )
static

Return a secure random key for use with the ChaCha20-Poly1305 symmetric AEAD interface. (IETF version)

Renvoie
string
Exceptions
Exception
Error

Références Sodium\CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES.

◆ crypto_aead_chacha20poly1305_keygen()

static crypto_aead_chacha20poly1305_keygen ( )
static

Return a secure random key for use with the ChaCha20-Poly1305 symmetric AEAD interface.

Renvoie
string
Exceptions
Exception
Error

Références Sodium\CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES.

◆ crypto_aead_xchacha20poly1305_ietf_decrypt()

static crypto_aead_xchacha20poly1305_ietf_decrypt | ( | $ciphertext = '',
 |  | $assocData = '',
 |  | $nonce = '',
 |  | $key = '',
 |  | $dontFallback = false
 | ) |
static

Authenticated Encryption with Associated Data: Decryption

Algorithm: XChaCha20-Poly1305

This mode uses a 64-bit random nonce with a 64-bit counter. IETF mode uses a 96-bit random nonce with a 32-bit counter.

Paramètres
string | $ciphertext | Encrypted message (with Poly1305 MAC appended)
string | $assocData | Authenticated Associated Data (unencrypted)
string | $nonce | Number to be used only Once; must be 8 bytes
string | $key | Encryption key
bool | $dontFallback | Don't fallback to ext/sodium
Renvoie
string|bool The original plaintext message
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_aead_xchacha20poly1305_ietf_encrypt()

static crypto_aead_xchacha20poly1305_ietf_encrypt | ( | $plaintext = '',
 |  | $assocData = '',
 |  | $nonce = '',
 |  | $key = '',
 |  | $dontFallback = false
 | ) |
static

Authenticated Encryption with Associated Data

Algorithm: XChaCha20-Poly1305

This mode uses a 64-bit random nonce with a 64-bit counter. IETF mode uses a 96-bit random nonce with a 32-bit counter.

Paramètres
string | $plaintext | Message to be encrypted
string | $assocData | Authenticated Associated Data (unencrypted)
string | $nonce | Number to be used only Once; must be 8 bytes
string | $key | Encryption key
bool | $dontFallback | Don't fallback to ext/sodium
Renvoie
string Ciphertext with a 16-byte Poly1305 message authentication code appended
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_aead_xchacha20poly1305_ietf_keygen()

static crypto_aead_xchacha20poly1305_ietf_keygen ( )
static

Return a secure random key for use with the XChaCha20-Poly1305 symmetric AEAD interface.

Renvoie
string
Exceptions
Exception
Error

◆ crypto_auth()

static crypto_auth | ( | $message,
 |  | $key
 | ) |
static

Authenticate a message. Uses symmetric-key cryptography.

Algorithm: HMAC-SHA512-256. Which is HMAC-SHA-512 truncated to 256 bits. Not to be confused with HMAC-SHA-512/256 which would use the SHA-512/256 hash function (uses different initial parameters but still truncates to 256 bits to sidestep length-extension attacks).

Paramètres
string | $message | Message to be authenticated
string | $key | Symmetric authentication key
Renvoie
string Message authentication code
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, $message, ParagonIE_Sodium_Crypto32\auth(), ParagonIE_Sodium_Crypto\auth(), Sodium\CRYPTO_AUTH_KEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_auth_keygen()

static crypto_auth_keygen ( )
static
Renvoie
string
Exceptions
Exception
Error

Références Sodium\CRYPTO_AUTH_KEYBYTES.

◆ crypto_auth_verify()

static crypto_auth_verify | ( | $mac,
 |  | $message,
 |  | $key
 | ) |
static

Verify the MAC of a message previously authenticated with crypto_auth.

Paramètres
string | $mac | Message authentication code
string | $message | Message whose authenticity you are attempting to verify (with a given MAC and key)
string | $key | Symmetric authentication key
Renvoie
bool TRUE if authenticated, FALSE otherwise
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, $message, ParagonIE_Sodium_Crypto\auth_verify(), ParagonIE_Sodium_Crypto32\auth_verify(), Sodium\CRYPTO_AUTH_BYTES, Sodium\CRYPTO_AUTH_KEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_box()

static crypto_box | ( | $plaintext,
 |  | $nonce,
 |  | $keypair
 | ) |
static

Authenticated asymmetric-key encryption. Both the sender and recipient may decrypt messages.

Algorithm: X25519-XSalsa20-Poly1305. X25519: Elliptic-Curve Diffie Hellman over Curve25519. XSalsa20: Extended-nonce variant of salsa20. Poyl1305: Polynomial MAC for one-time message authentication.

Paramètres
string | $plaintext | The message to be encrypted
string | $nonce | A Number to only be used Once; must be 24 bytes
string | $keypair | Your secret key and your recipient's public key
Renvoie
string Ciphertext with 16-byte Poly1305 MAC
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Crypto32\box(), ParagonIE_Sodium_Crypto\box(), Sodium\CRYPTO_BOX_KEYPAIRBYTES, Sodium\CRYPTO_BOX_NONCEBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

Référencé par SodiumCipher\encrypt().

◆ crypto_box_keypair()

static crypto_box_keypair ( )
static

Generate a new random X25519 keypair.

Renvoie
string A 64-byte string; the first 32 are your secret key, while the last 32 are your public key. crypto_box_secretkey() and crypto_box_publickey() exist to separate them so you don't accidentally get them mixed up!
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Crypto32\box_keypair(), et ParagonIE_Sodium_Crypto\box_keypair().

Référencé par SodiumCipher\generateKey().

◆ crypto_box_keypair_from_secretkey_and_publickey()

static crypto_box_keypair_from_secretkey_and_publickey | ( | $secretKey,
 |  | $publicKey
 | ) |
static

Combine two keys into a keypair for use in library methods that expect a keypair. This doesn't necessarily have to be the same person's keys.

Paramètres
string | $secretKey | Secret key
string | $publicKey | Public key
Renvoie
string Keypair
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Crypto32\box_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Crypto\box_keypair_from_secretkey_and_publickey(), Sodium\CRYPTO_BOX_PUBLICKEYBYTES, Sodium\CRYPTO_BOX_SECRETKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

Référencé par SodiumCipher\decrypt(), et SodiumCipher\encrypt().

◆ crypto_box_open()

static crypto_box_open | ( | $ciphertext,
 |  | $nonce,
 |  | $keypair
 | ) |
static

Decrypt a message previously encrypted with crypto_box().

Paramètres
string | $ciphertext | Encrypted message
string | $nonce | Number to only be used Once; must be 24 bytes
string | $keypair | Your secret key and the sender's public key
Renvoie
string The original plaintext message
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress MixedInferredReturnType -suppress MixedReturnStatement

-suppress InvalidReturnStatement -suppress FalsableReturnStatement

Références ParagonIE_Sodium_Crypto32\box_open(), ParagonIE_Sodium_Crypto\box_open(), Sodium\CRYPTO_BOX_KEYPAIRBYTES, Sodium\CRYPTO_BOX_MACBYTES, Sodium\CRYPTO_BOX_NONCEBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

Référencé par SodiumCipher\decrypt().

◆ crypto_box_publickey()

static crypto_box_publickey ( $keypair )
static

Extract the public key from a crypto_box keypair.

Paramètres
string $keypair Keypair containing secret and public key
Renvoie
string Your crypto_box public key
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Crypto32\box_publickey(), ParagonIE_Sodium_Crypto\box_publickey(), Sodium\CRYPTO_BOX_KEYPAIRBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

Référencé par SodiumCipher\generateKey().

◆ crypto_box_publickey_from_secretkey()

static crypto_box_publickey_from_secretkey ( $secretKey )
static

Calculate the X25519 public key from a given X25519 secret key.

Paramètres
string $secretKey Any X25519 secret key
Renvoie
string The corresponding X25519 public key
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Crypto32\box_publickey_from_secretkey(), ParagonIE_Sodium_Crypto\box_publickey_from_secretkey(), Sodium\CRYPTO_BOX_SECRETKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_box_seal()

static crypto_box_seal | ( | $plaintext,
 |  | $publicKey
 | ) |
static

Anonymous public-key encryption. Only the recipient may decrypt messages.

Algorithm: X25519-XSalsa20-Poly1305, as with crypto_box. The sender's X25519 keypair is ephemeral. Nonce is generated from the BLAKE2b hash of both public keys.

This provides ciphertext integrity.

Paramètres
string | $plaintext | Message to be sealed
string | $publicKey | Your recipient's public key
Renvoie
string Sealed message that only your recipient can decrypt
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références Sodium\CRYPTO_BOX_PUBLICKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_box_seal_open()

static crypto_box_seal_open | ( | $ciphertext,
 |  | $keypair
 | ) |
static

Opens a message encrypted with crypto_box_seal(). Requires the recipient's keypair (sk || pk) to decrypt successfully.

This validates ciphertext integrity.

Paramètres
string | $ciphertext | Sealed message to be opened
string | $keypair | Your crypto_box keypair
Renvoie
string The original plaintext message
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress MixedInferredReturnType -suppress MixedReturnStatement

-suppress InvalidReturnStatement -suppress FalsableReturnStatement

Références Sodium\CRYPTO_BOX_KEYPAIRBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_box_secretkey()

static crypto_box_secretkey ( $keypair )
static

Extract the secret key from a crypto_box keypair.

Paramètres
string $keypair
Renvoie
string Your crypto_box secret key
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Crypto32\box_secretkey(), ParagonIE_Sodium_Crypto\box_secretkey(), Sodium\CRYPTO_BOX_KEYPAIRBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

Référencé par SodiumCipher\generateKey().

◆ crypto_box_seed_keypair()

static crypto_box_seed_keypair ( $seed )
static

Generate an X25519 keypair from a seed.

Paramètres
string $seed
Renvoie
string
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress UndefinedFunction

Références ParagonIE_Sodium_Crypto32\box_seed_keypair(), ParagonIE_Sodium_Crypto\box_seed_keypair(), et ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_generichash()

static crypto_generichash | ( | $message,
 |  | $key = '',
 |  | $length = self::CRYPTO_GENERICHASH_BYTES
 | ) |
static

Calculates a BLAKE2b hash, with an optional key.

Paramètres
string | $message | The message to be hashed
string | null | $key | If specified, must be a string between 16 and 64 bytes long
int | $length | Output length in bytes; must be between 16 and 64 (default = 32)
Renvoie
string Raw binary
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, $message, Sodium\CRYPTO_GENERICHASH_KEYBYTES_MAX, Sodium\CRYPTO_GENERICHASH_KEYBYTES_MIN, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

Référencé par ParagonIE_Sodium_Crypto\keyExchange().

◆ crypto_generichash_final()

static crypto_generichash_final | ( | & | $ctx,
 |  |  | $length = self::CRYPTO_GENERICHASH_BYTES
 | ) |  |
static

Get the final BLAKE2b hash output for a given context.

Paramètres
string | $ctx | BLAKE2 hashing context. Generated by crypto_generichash_init().
int | $length | Hash output size.
Renvoie
string Final BLAKE2b hash.
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress ReferenceConstraintViolation -suppress ConflictingReferenceConstraint

Références ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_generichash_init()

static crypto_generichash_init | ( | $key = '',
 |  | $length = self::CRYPTO_GENERICHASH_BYTES
 | ) |
static

Initialize a BLAKE2b hashing context, for use in a streaming interface.

Paramètres
string | null | $key | If specified must be a string between 16 and 64 bytes
int | $length | The size of the desired hash output
Renvoie
string A BLAKE2 hashing context, encoded as a string (To be 100% compatible with ext/libsodium)
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, Sodium\CRYPTO_GENERICHASH_KEYBYTES_MAX, Sodium\CRYPTO_GENERICHASH_KEYBYTES_MIN, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_generichash_init_salt_personal()

static crypto_generichash_init_salt_personal | ( | $key = '',
 |  | $length = self::CRYPTO_GENERICHASH_BYTES,
 |  | $salt = '',
 |  | $personal = ''
 | ) |
static

Initialize a BLAKE2b hashing context, for use in a streaming interface.

Paramètres
string | null | $key | If specified must be a string between 16 and 64 bytes
int | $length | The size of the desired hash output
string | $salt | Salt (up to 16 bytes)
string | $personal | Personalization string (up to 16 bytes)
Renvoie
string A BLAKE2 hashing context, encoded as a string (To be 100% compatible with ext/libsodium)
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, Sodium\CRYPTO_GENERICHASH_KEYBYTES_MAX, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_generichash_keygen()

static crypto_generichash_keygen ( )
static
Renvoie
string
Exceptions
Exception
Error

Références Sodium\CRYPTO_GENERICHASH_KEYBYTES.

◆ crypto_generichash_update()

static crypto_generichash_update | ( | & | $ctx,
 |  |  | $message
 | ) |  |
static

Update a BLAKE2b hashing context with additional data.

Paramètres
string | $ctx | BLAKE2 hashing context. Generated by crypto_generichash_init(). $ctx is passed by reference and gets updated in-place.
-out | string $ctx
string | $message | The message to append to the existing hash state.
Renvoie
void
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress ReferenceConstraintViolation

Références $message, et ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_kdf_derive_from_key()

static crypto_kdf_derive_from_key | ( | $subkey_len,
 |  | $subkey_id,
 |  | $context,
 |  | $key
 | ) |
static
Paramètres
int | $subkey_len
int | $subkey_id
string | $context
string | $key
Renvoie
string
Exceptions
SodiumException

Références $context, $key, $state, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_kdf_keygen()

static crypto_kdf_keygen ( )
static
Renvoie
string
Exceptions
Exception
Error

◆ crypto_kx()

static crypto_kx | ( | $my_secret,
 |  | $their_public,
 |  | $client_public,
 |  | $server_public,
 |  | $dontFallback = false
 | ) |
static

Perform a key exchange, between a designated client and a server.

Typically, you would designate one machine to be the client and the other to be the server. The first two keys are what you'd expect for scalarmult() below, but the latter two public keys don't swap places.

| ALICE | BOB |

Client | Server
shared = crypto_kx( | shared = crypto_kx(

| alice_sk, | bob_sk, | <- contextual | bob_pk, | alice_pk, | <- contextual | alice_pk, | alice_pk, | <--— static | bob_pk | bob_pk | <--— static | ) | ) |

They are used along with the scalarmult product to generate a 256-bit BLAKE2b hash unique to the client and server keys.

Paramètres
string | $my_secret
string | $their_public
string | $client_public
string | $server_public
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références Sodium\CRYPTO_BOX_PUBLICKEYBYTES, Sodium\CRYPTO_BOX_SECRETKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Crypto32\keyExchange(), ParagonIE_Sodium_Crypto\keyExchange(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_kx_client_session_keys()

static crypto_kx_client_session_keys | ( | $keypair,
 |  | $serverPublicKey
 | ) |
static
Paramètres
string | $keypair
string | $serverPublicKey
Renvoie
array{0: string, 1: string}
Exceptions
SodiumException

Références Sodium\CRYPTO_KX_PUBLICKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), null, ParagonIE_Sodium_Core_Util\strlen(), et ParagonIE_Sodium_Core_Util\substr().

◆ crypto_kx_keypair()

static crypto_kx_keypair ( )
static
Renvoie
string
Exceptions
Exception

Références Sodium\CRYPTO_KX_SECRETKEYBYTES.

◆ crypto_kx_publickey()

static crypto_kx_publickey ( $kp )
static
Paramètres
string $kp
Renvoie
string
Exceptions
SodiumException

Références Sodium\CRYPTO_KX_PUBLICKEYBYTES, Sodium\CRYPTO_KX_SECRETKEYBYTES, et ParagonIE_Sodium_Core_Util\substr().

◆ crypto_kx_secretkey()

static crypto_kx_secretkey ( $kp )
static
Paramètres
string $kp
Renvoie
string
Exceptions
SodiumException

Références Sodium\CRYPTO_KX_SECRETKEYBYTES, et ParagonIE_Sodium_Core_Util\substr().

◆ crypto_kx_seed_keypair()

static crypto_kx_seed_keypair ( $seed )
static
Paramètres
string $seed
Renvoie
string
Exceptions
SodiumException

Références Sodium\CRYPTO_KX_SECRETKEYBYTES, Sodium\CRYPTO_KX_SEEDBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_kx_server_session_keys()

static crypto_kx_server_session_keys | ( | $keypair,
 |  | $clientPublicKey
 | ) |
static
Paramètres
string | $keypair
string | $clientPublicKey
Renvoie
array{0: string, 1: string}
Exceptions
SodiumException

Références Sodium\CRYPTO_KX_PUBLICKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), null, ParagonIE_Sodium_Core_Util\strlen(), et ParagonIE_Sodium_Core_Util\substr().

◆ crypto_pwhash()

static crypto_pwhash | ( | $outlen,
 |  | $passwd,
 |  | $salt,
 |  | $opslimit,
 |  | $memlimit,
 |  | $alg = null
 | ) |
static
Paramètres
int | $outlen
string | $passwd
string | $salt
int | $opslimit
int | $memlimit
int | null | $alg
Renvoie
string
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_pwhash_is_available()

static crypto_pwhash_is_available ( )
static

!Exclusive to sodium_compat!

This returns TRUE if the native crypto_pwhash API is available by libsodium. This returns FALSE if only sodium_compat is available.

Renvoie
bool

◆ crypto_pwhash_scryptsalsa208sha256()

static crypto_pwhash_scryptsalsa208sha256 | ( | $outlen,
 |  | $passwd,
 |  | $salt,
 |  | $opslimit,
 |  | $memlimit
 | ) |
static
Paramètres
int | $outlen
string | $passwd
string | $salt
int | $opslimit
int | $memlimit
Renvoie
string
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_pwhash_scryptsalsa208sha256_is_available()

static crypto_pwhash_scryptsalsa208sha256_is_available ( )
static

!Exclusive to sodium_compat!

This returns TRUE if the native crypto_pwhash API is available by libsodium. This returns FALSE if only sodium_compat is available.

Renvoie
bool

◆ crypto_pwhash_scryptsalsa208sha256_str()

static crypto_pwhash_scryptsalsa208sha256_str | ( | $passwd,
 |  | $opslimit,
 |  | $memlimit
 | ) |
static
Paramètres
string | $passwd
int | $opslimit
int | $memlimit
Renvoie
string
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_pwhash_scryptsalsa208sha256_str_verify()

static crypto_pwhash_scryptsalsa208sha256_str_verify | ( | $passwd,
 |  | $hash
 | ) |
static
Paramètres
string | $passwd
string | $hash
Renvoie
bool
Exceptions
SodiumException
TypeError

Références $hash, et ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_pwhash_str()

static crypto_pwhash_str | ( | $passwd,
 |  | $opslimit,
 |  | $memlimit
 | ) |
static
Paramètres
string | $passwd
int | $opslimit
int | $memlimit
Renvoie
string
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_pwhash_str_verify()

static crypto_pwhash_str_verify | ( | $passwd,
 |  | $hash
 | ) |
static
Paramètres
string | $passwd
string | $hash
Renvoie
bool
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $hash, et ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_scalarmult()

static crypto_scalarmult | ( | $secretKey,
 |  | $publicKey
 | ) |
static

Calculate the shared secret between your secret key and your recipient's public key.

Algorithm: X25519 (ECDH over Curve25519)

Paramètres
string | $secretKey
string | $publicKey
Renvoie
string
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références Sodium\CRYPTO_BOX_PUBLICKEYBYTES, Sodium\CRYPTO_BOX_SECRETKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Crypto32\scalarmult(), ParagonIE_Sodium_Crypto\scalarmult(), et ParagonIE_Sodium_Core_Util\strlen().

Référencé par ParagonIE_Sodium_Crypto\keyExchange().

◆ crypto_scalarmult_base()

static crypto_scalarmult_base ( $secretKey )
static

Calculate an X25519 public key from an X25519 secret key.

Paramètres
string $secretKey
Renvoie
string
Exceptions
SodiumException
TypeError -suppress TooFewArguments -suppress MixedArgument

Références Sodium\CRYPTO_BOX_SECRETKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Crypto32\scalarmult_base(), ParagonIE_Sodium_Crypto\scalarmult_base(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_secretbox()

static crypto_secretbox | ( | $plaintext,
 |  | $nonce,
 |  | $key
 | ) |
static

Authenticated symmetric-key encryption.

Algorithm: XSalsa20-Poly1305

Paramètres
string | $plaintext | The message you're encrypting
string | $nonce | A Number to be used Once; must be 24 bytes
string | $key | Symmetric encryption key
Renvoie
string Ciphertext with Poly1305 MAC
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, Sodium\CRYPTO_SECRETBOX_KEYBYTES, Sodium\CRYPTO_SECRETBOX_NONCEBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_secretbox_keygen()

static crypto_secretbox_keygen ( )
static

Return a secure random key for use with crypto_secretbox

Renvoie
string
Exceptions
Exception
Error

Références Sodium\CRYPTO_SECRETBOX_KEYBYTES.

◆ crypto_secretbox_open()

static crypto_secretbox_open | ( | $ciphertext,
 |  | $nonce,
 |  | $key
 | ) |
static

Decrypts a message previously encrypted with crypto_secretbox().

Paramètres
string | $ciphertext | Ciphertext with Poly1305 MAC
string | $nonce | A Number to be used Once; must be 24 bytes
string | $key | Symmetric encryption key
Renvoie
string Original plaintext message
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress MixedInferredReturnType -suppress MixedReturnStatement

-suppress InvalidReturnStatement -suppress FalsableReturnStatement

Références $key, Sodium\CRYPTO_SECRETBOX_KEYBYTES, Sodium\CRYPTO_SECRETBOX_NONCEBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_secretbox_xchacha20poly1305()

static crypto_secretbox_xchacha20poly1305 | ( | $plaintext,
 |  | $nonce,
 |  | $key
 | ) |
static

Authenticated symmetric-key encryption.

Algorithm: XChaCha20-Poly1305

Paramètres
string | $plaintext | The message you're encrypting
string | $nonce | A Number to be used Once; must be 24 bytes
string | $key | Symmetric encryption key
Renvoie
string Ciphertext with Poly1305 MAC
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, Sodium\CRYPTO_SECRETBOX_KEYBYTES, Sodium\CRYPTO_SECRETBOX_NONCEBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_secretbox_xchacha20poly1305_open()

static crypto_secretbox_xchacha20poly1305_open | ( | $ciphertext,
 |  | $nonce,
 |  | $key
 | ) |
static

Decrypts a message previously encrypted with crypto_secretbox_xchacha20poly1305().

Paramètres
string | $ciphertext | Ciphertext with Poly1305 MAC
string | $nonce | A Number to be used Once; must be 24 bytes
string | $key | Symmetric encryption key
Renvoie
string Original plaintext message
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, Sodium\CRYPTO_SECRETBOX_KEYBYTES, Sodium\CRYPTO_SECRETBOX_NONCEBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_secretstream_xchacha20poly1305_init_pull()

static crypto_secretstream_xchacha20poly1305_init_pull | ( | $header,
 |  | $key
 | ) |
static
Paramètres
string | $header
string | $key
Renvoie
string Returns a state.
Exceptions
Exception

Références $key, ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_pull(), ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_pull(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_secretstream_xchacha20poly1305_init_push()

static crypto_secretstream_xchacha20poly1305_init_push ( $key )
static
Paramètres
string $key
Renvoie
array<int, string> Returns a state and a header.
Exceptions
Exception
SodiumException

Références $key, ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_push(), et ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_push().

◆ crypto_secretstream_xchacha20poly1305_keygen()

static crypto_secretstream_xchacha20poly1305_keygen ( )
static
Renvoie
string
Exceptions
Exception

◆ crypto_secretstream_xchacha20poly1305_pull()

static crypto_secretstream_xchacha20poly1305_pull | ( | & | $state,
 |  |  | $msg,
 |  |  | $aad = ''
 | ) |  |
static
Paramètres
string | $state
string | $msg
string | $aad
Renvoie
bool|array{0: string, 1: int}
Exceptions
SodiumException

Références $state.

◆ crypto_secretstream_xchacha20poly1305_push()

static crypto_secretstream_xchacha20poly1305_push | ( | & | $state,
 |  |  | $msg,
 |  |  | $aad = '',
 |  |  | $tag = 0
 | ) |  |
static
Paramètres
string | $state
string | $msg
string | $aad
int | $tag
Renvoie
string
Exceptions
SodiumException

Références $state.

◆ crypto_secretstream_xchacha20poly1305_rekey()

static crypto_secretstream_xchacha20poly1305_rekey ( & $state )
static
Paramètres
string $state
Renvoie
void
Exceptions
SodiumException

Références $state, ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_rekey(), et ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_rekey().

◆ crypto_shorthash()

static crypto_shorthash | ( | $message,
 |  | $key
 | ) |
static

Calculates a SipHash-2-4 hash of a message for a given key.

Paramètres
string | $message | Input message
string | $key | SipHash-2-4 key
Renvoie
string Hash
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress MixedInferredReturnType -suppress MixedReturnStatement

Références $key, $message, Sodium\CRYPTO_SHORTHASH_KEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core32_SipHash\sipHash24(), ParagonIE_Sodium_Core_SipHash\sipHash24(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_shorthash_keygen()

static crypto_shorthash_keygen ( )
static

Return a secure random key for use with crypto_shorthash

Renvoie
string
Exceptions
Exception
Error

Références Sodium\CRYPTO_SHORTHASH_KEYBYTES.

◆ crypto_sign()

static crypto_sign | ( | $message,
 |  | $secretKey
 | ) |
static

Returns a signed message. You probably want crypto_sign_detached() instead, which only returns the signature.

Algorithm: Ed25519 (EdDSA over Curve25519)

Paramètres
string | $message | Message to be signed.
string | $secretKey | Secret signing key.
Renvoie
string Signed message (signature is prefixed).
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress MixedInferredReturnType -suppress MixedReturnStatement

Références $message, Sodium\CRYPTO_SIGN_SECRETKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Crypto32\sign(), ParagonIE_Sodium_Crypto\sign(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_sign_detached()

static crypto_sign_detached | ( | $message,
 |  | $secretKey
 | ) |
static

Calculate the Ed25519 signature of a message and return ONLY the signature.

Algorithm: Ed25519 (EdDSA over Curve25519)

Paramètres
string | $message | Message to be signed
string | $secretKey | Secret signing key
Renvoie
string Digital signature
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $message, Sodium\CRYPTO_SIGN_SECRETKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Crypto32\sign_detached(), ParagonIE_Sodium_Crypto\sign_detached(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_sign_ed25519_pk_to_curve25519()

static crypto_sign_ed25519_pk_to_curve25519 ( $pk )
static

Convert an Ed25519 public key to a Curve25519 public key

Paramètres
string $pk
Renvoie
string
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références Sodium\CRYPTO_SIGN_PUBLICKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core32_Ed25519\pk_to_curve25519(), ParagonIE_Sodium_Core_Ed25519\pk_to_curve25519(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_sign_ed25519_sk_to_curve25519()

static crypto_sign_ed25519_sk_to_curve25519 ( $sk )
static

Convert an Ed25519 secret key to a Curve25519 secret key

Paramètres
string $sk
Renvoie
string
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références Sodium\CRYPTO_SIGN_SEEDBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core_Util\intToChr(), ParagonIE_Sodium_Core_Util\strlen(), et ParagonIE_Sodium_Core_Util\substr().

◆ crypto_sign_keypair()

static crypto_sign_keypair ( )
static

Generate a new random Ed25519 keypair.

Renvoie
string
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Core32_Ed25519\keypair(), et ParagonIE_Sodium_Core_Ed25519\keypair().

◆ crypto_sign_keypair_from_secretkey_and_publickey()

static crypto_sign_keypair_from_secretkey_and_publickey | ( | $sk,
 |  | $pk
 | ) |
static
Paramètres
string | $sk
string | $pk
Renvoie
string
Exceptions
SodiumException

Références Sodium\CRYPTO_SIGN_PUBLICKEYBYTES, Sodium\CRYPTO_SIGN_SECRETKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_sign_open()

static crypto_sign_open | ( | $signedMessage,
 |  | $publicKey
 | ) |
static

Validates a signed message then returns the message.

Paramètres
string | $signedMessage | A signed message
string | $publicKey | A public key
Renvoie
string The original message (if the signature is valid for this public key)
Exceptions
SodiumException
TypeError -suppress MixedArgument -suppress MixedInferredReturnType -suppress MixedReturnStatement

-suppress InvalidReturnStatement -suppress FalsableReturnStatement

Références Sodium\CRYPTO_SIGN_BYTES, Sodium\CRYPTO_SIGN_PUBLICKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Crypto32\sign_open(), ParagonIE_Sodium_Crypto\sign_open(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_sign_publickey()

static crypto_sign_publickey ( $keypair )
static

Extract an Ed25519 public key from an Ed25519 keypair.

Paramètres
string $keypair Keypair
Renvoie
string Public key
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références Sodium\CRYPTO_SIGN_KEYPAIRBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core32_Ed25519\publickey(), ParagonIE_Sodium_Core_Ed25519\publickey(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_sign_publickey_from_secretkey()

static crypto_sign_publickey_from_secretkey ( $secretKey )
static

Calculate an Ed25519 public key from an Ed25519 secret key.

Paramètres
string $secretKey Your Ed25519 secret key
Renvoie
string The corresponding Ed25519 public key
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références Sodium\CRYPTO_SIGN_SECRETKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_sign_secretkey()

static crypto_sign_secretkey ( $keypair )
static

Extract an Ed25519 secret key from an Ed25519 keypair.

Paramètres
string $keypair Keypair
Renvoie
string Secret key
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références Sodium\CRYPTO_SIGN_KEYPAIRBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core32_Ed25519\secretkey(), ParagonIE_Sodium_Core_Ed25519\secretkey(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_sign_seed_keypair()

static crypto_sign_seed_keypair ( $seed )
static

Generate an Ed25519 keypair from a seed.

Paramètres
string $seed Input seed
Renvoie
string Keypair
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références ParagonIE_Sodium_Core_Util\declareScalarType().

◆ crypto_sign_verify_detached()

static crypto_sign_verify_detached | ( | $signature,
 |  | $message,
 |  | $publicKey
 | ) |
static

Verify the Ed25519 signature of a message.

Paramètres
string | $signature | Digital sginature
string | $message | Message to be verified
string | $publicKey | Public key
Renvoie
bool TRUE if this signature is good for this public key; FALSE otherwise
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $message, Sodium\CRYPTO_SIGN_BYTES, Sodium\CRYPTO_SIGN_PUBLICKEYBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Crypto32\sign_verify_detached(), ParagonIE_Sodium_Crypto\sign_verify_detached(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_stream()

static crypto_stream | ( | $len,
 |  | $nonce,
 |  | $key
 | ) |
static

Expand a key and nonce into a keystream of pseudorandom bytes.

Paramètres
int | $len | Number of bytes desired
string | $nonce | Number to be used Once; must be 24 bytes
string | $key | XSalsa20 key
Renvoie
string Pseudorandom stream that can be XORed with messages to provide encryption (but not authentication; see Poly1305 or crypto_auth() for that, which is not optional for security)
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, Sodium\CRYPTO_STREAM_KEYBYTES, Sodium\CRYPTO_STREAM_NONCEBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core_Util\strlen(), ParagonIE_Sodium_Core32_XSalsa20\xsalsa20(), et ParagonIE_Sodium_Core_XSalsa20\xsalsa20().

◆ crypto_stream_keygen()

static crypto_stream_keygen ( )
static

Return a secure random key for use with crypto_stream

Renvoie
string
Exceptions
Exception
Error

Références Sodium\CRYPTO_STREAM_KEYBYTES.

◆ crypto_stream_xchacha20()

static crypto_stream_xchacha20 | ( | $len,
 |  | $nonce,
 |  | $key,
 |  | $dontFallback = false
 | ) |
static

Expand a key and nonce into a keystream of pseudorandom bytes.

Paramètres
int | $len | Number of bytes desired
string | $nonce | Number to be used Once; must be 24 bytes
string | $key | XChaCha20 key
bool | $dontFallback
Renvoie
string Pseudorandom stream that can be XORed with messages to provide encryption (but not authentication; see Poly1305 or crypto_auth() for that, which is not optional for security)
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core32_XChaCha20\stream(), ParagonIE_Sodium_Core_XChaCha20\stream(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_stream_xchacha20_keygen()

static crypto_stream_xchacha20_keygen ( )
static

Return a secure random key for use with crypto_stream_xchacha20

Renvoie
string
Exceptions
Exception
Error

◆ crypto_stream_xchacha20_xor()

static crypto_stream_xchacha20_xor | ( | $message,
 |  | $nonce,
 |  | $key,
 |  | $dontFallback = false
 | ) |
static

DANGER! UNAUTHENTICATED ENCRYPTION!

Unless you are following expert advice, do not use this feature.

Algorithm: XChaCha20

This DOES NOT provide ciphertext integrity.

Paramètres
string | $message | Plaintext message
string | $nonce | Number to be used Once; must be 24 bytes
string | $key | Encryption key
Renvoie
string Encrypted text which is vulnerable to chosen- ciphertext attacks unless you implement some other mitigation to the ciphertext (i.e. Encrypt then MAC)
Paramètres
bool $dontFallback
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, $message, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core32_XChaCha20\streamXorIc(), ParagonIE_Sodium_Core_XChaCha20\streamXorIc(), et ParagonIE_Sodium_Core_Util\strlen().

◆ crypto_stream_xor()

static crypto_stream_xor | ( | $message,
 |  | $nonce,
 |  | $key
 | ) |
static

DANGER! UNAUTHENTICATED ENCRYPTION!

Unless you are following expert advice, do not use this feature.

Algorithm: XSalsa20

This DOES NOT provide ciphertext integrity.

Paramètres
string | $message | Plaintext message
string | $nonce | Number to be used Once; must be 24 bytes
string | $key | Encryption key
Renvoie
string Encrypted text which is vulnerable to chosen- ciphertext attacks unless you implement some other mitigation to the ciphertext (i.e. Encrypt then MAC)
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $key, $message, Sodium\CRYPTO_STREAM_KEYBYTES, Sodium\CRYPTO_STREAM_NONCEBYTES, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core_Util\strlen(), ParagonIE_Sodium_Core32_XSalsa20\xsalsa20_xor(), et ParagonIE_Sodium_Core_XSalsa20\xsalsa20_xor().

◆ hex2bin()

static hex2bin ( $string )
static

Cache-timing-safe implementation of hex2bin().

Paramètres
string $string Hexadecimal string
Renvoie
string Raw binary string
Exceptions
SodiumException
TypeError -suppress TooFewArguments -suppress MixedArgument

Références ParagonIE_Sodium_Core_Util\declareScalarType().

◆ increment()

static increment ( & $var )
static

Increase a string (little endian)

Paramètres
string $var
Renvoie
void
Exceptions
SodiumException
TypeError -suppress MixedArgument

Références $i, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core_Util\intToChr(), ParagonIE_Sodium_Core_Util\strlen(), et ParagonIE_Sodium_Core_Util\substr().

◆ is_zero()

static is_zero ( $str )
static
Paramètres
string $str
Renvoie
bool
Exceptions
SodiumException

Références $i.

Référencé par ParagonIE_Sodium_Core_Ed25519\scalar_random(), ParagonIE_Sodium_Core_Ristretto255\scalarmult_ristretto255(), et ParagonIE_Sodium_Core_Ristretto255\scalarmult_ristretto255_base().

◆ library_version_major()

static library_version_major ( )
static

The equivalent to the libsodium minor version we aim to be compatible with (sans pwhash and memzero).

Renvoie
int

-suppress UndefinedFunction

Références SODIUM_LIBRARY_MAJOR_VERSION.

◆ library_version_minor()

static library_version_minor ( )
static

The equivalent to the libsodium minor version we aim to be compatible with (sans pwhash and memzero).

Renvoie
int

-suppress UndefinedFunction

Références SODIUM_LIBRARY_MINOR_VERSION.

◆ memzero()

static memzero ( & $var )
static

It's actually not possible to zero memory buffers in PHP. You need the native library for that.

Paramètres
string | null | $var
-out | string|null $var
Renvoie
void
Exceptions
SodiumException | (Unless libsodium is installed)
TypeError | -suppress TooFewArguments

-suppress MixedArgument

Références ParagonIE_Sodium_Core_Util\declareScalarType(), et null.

Référencé par ParagonIE_Sodium_Core_Salsa20\salsa20(), ParagonIE_Sodium_Core32_Salsa20\salsa20(), ParagonIE_Sodium_Core_Salsa20\salsa20_xor_ic(), ParagonIE_Sodium_Core32_Salsa20\salsa20_xor_ic(), ParagonIE_Sodium_Core_Ed25519\sign_detached(), et ParagonIE_Sodium_Core32_Ed25519\sign_detached().

◆ polyfill_is_fast()

static polyfill_is_fast ( )
static

Will sodium_compat run fast on the current hardware and PHP configuration?

Renvoie
bool

◆ randombytes_random16()

static randombytes_random16 ( )
static

Generate a random 16-bit integer.

Renvoie
int
Exceptions
Exception
Error
TypeError

◆ randombytes_uniform()

static randombytes_uniform ( $range )
static

Generate an integer between 0 and $range (non-inclusive).

Paramètres
int $range
Renvoie
int
Exceptions
Exception
Error
TypeError

Références $range.

◆ ristretto255_add()

static ristretto255_add | ( | $p,
 |  | $q,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $p
string | $q
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_add().

◆ ristretto255_from_hash()

static ristretto255_from_hash | ( | $r,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $r
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références $r, et ParagonIE_Sodium_Core_Ristretto255\ristretto255_from_hash().

◆ ristretto255_is_valid_point()

static ristretto255_is_valid_point | ( | $p,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $p
bool | $dontFallback
Renvoie
bool
Exceptions
SodiumException

Références $r, ParagonIE_Sodium_Core_Ristretto255\ristretto255_frombytes(), et ParagonIE_Sodium_Core_Ristretto255\ristretto255_point_is_canonical().

◆ ristretto255_random()

static ristretto255_random ( $dontFallback = false )
static
Paramètres
bool $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_random().

◆ ristretto255_scalar_add()

static ristretto255_scalar_add | ( | $x,
 |  | $y,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $x
string | $y
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_scalar_add().

◆ ristretto255_scalar_complement()

static ristretto255_scalar_complement | ( | $s,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $s
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_scalar_complement().

◆ ristretto255_scalar_invert()

static ristretto255_scalar_invert | ( | $s,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $s
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_scalar_invert().

◆ ristretto255_scalar_mul()

static ristretto255_scalar_mul | ( | $x,
 |  | $y,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $x
string | $y
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_scalar_mul().

◆ ristretto255_scalar_negate()

static ristretto255_scalar_negate | ( | $s,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $s
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_scalar_negate().

◆ ristretto255_scalar_random()

static ristretto255_scalar_random ( $dontFallback = false )
static
Paramètres
bool $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_scalar_random().

◆ ristretto255_scalar_reduce()

static ristretto255_scalar_reduce | ( | $s,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $s
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

◆ ristretto255_scalar_sub()

static ristretto255_scalar_sub | ( | $x,
 |  | $y,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $x
string | $y
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_scalar_sub().

◆ ristretto255_sub()

static ristretto255_sub | ( | $p,
 |  | $q,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $p
string | $q
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Ristretto255\ristretto255_sub().

◆ scalarmult_ristretto255()

static scalarmult_ristretto255 | ( | $n,
 |  | $p,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $n
string | $p
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références $n, et ParagonIE_Sodium_Core_Ristretto255\scalarmult_ristretto255().

◆ scalarmult_ristretto255_base()

static scalarmult_ristretto255_base | ( | $n,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $n
string | $p
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références $n, et ParagonIE_Sodium_Core_Ristretto255\scalarmult_ristretto255_base().

◆ sub()

static sub | ( | & | $val,
 |  |  | $addv
 | ) |  |
static

Add two numbers (little-endian unsigned), storing the value in the first parameter.

This mutates $val.

Paramètres
string | $val
string | $addv
Renvoie
void
Exceptions
SodiumException

Références $i, et ParagonIE_Sodium_Core_Util\strlen().

Référencé par ParagonIE_Sodium_Core_Ed25519\scalar_complement(), et ParagonIE_Sodium_Core_Ed25519\scalar_negate().

◆ unpad()

static unpad | ( | $padded,
 |  | $blockSize,
 |  | $dontFallback = false
 | ) |
static
Paramètres
string | $padded
int | $blockSize
bool | $dontFallback
Renvoie
string
Exceptions
SodiumException

Références $i, ParagonIE_Sodium_Core_Util\declareScalarType(), ParagonIE_Sodium_Core_Util\strlen(), et ParagonIE_Sodium_Core_Util\substr().

◆ use_fallback()

static use_fallback ( $sodium_func_name = '' )
staticprotected

Should we use the libsodium core function instead? This is always a good idea, if it's available. (Unless we're in the middle of running our unit test suite.)

If ext/libsodium is available, use it. Return TRUE. Otherwise, we have to use the code provided herein. Return FALSE.

Paramètres
string $sodium_func_name
Renvoie
bool

Références null.

◆ useNewSodiumAPI()

static useNewSodiumAPI ( )
staticprotected

Libsodium as implemented in PHP 7.2 and/or ext/sodium (via PECL)

https://wiki.php.net/rfc/libsodium

Renvoie
bool

Références null.

◆ version_string()

static version_string ( )
static

This emulates libsodium's version_string() function, except ours is prefixed with 'polyfill-'.

Renvoie
string -suppress MixedInferredReturnType -suppress UndefinedFunction

Documentation des champs

◆ $disableFallbackForUnitTests

$disableFallbackForUnitTests = false
static

◆ $fastMult

$fastMult = false
static

◆ BASE64_VARIANT_ORIGINAL

const BASE64_VARIANT_ORIGINAL = 1

◆ BASE64_VARIANT_ORIGINAL_NO_PADDING

const BASE64_VARIANT_ORIGINAL_NO_PADDING = 3

◆ BASE64_VARIANT_URLSAFE

const BASE64_VARIANT_URLSAFE = 5

◆ BASE64_VARIANT_URLSAFE_NO_PADDING

const BASE64_VARIANT_URLSAFE_NO_PADDING = 7

◆ CRYPTO_AEAD_AES256GCM_ABYTES

const CRYPTO_AEAD_AES256GCM_ABYTES = 16

◆ CRYPTO_AEAD_AES256GCM_KEYBYTES

const CRYPTO_AEAD_AES256GCM_KEYBYTES = 32

◆ CRYPTO_AEAD_AES256GCM_NPUBBYTES

const CRYPTO_AEAD_AES256GCM_NPUBBYTES = 12

◆ CRYPTO_AEAD_AES256GCM_NSECBYTES

const CRYPTO_AEAD_AES256GCM_NSECBYTES = 0

◆ CRYPTO_AEAD_CHACHA20POLY1305_ABYTES

const CRYPTO_AEAD_CHACHA20POLY1305_ABYTES = 16

◆ CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES

const CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES = 16

◆ CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES = 32

◆ CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES = 12

◆ CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES = 0

◆ CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES = 32

◆ CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES = 8

◆ CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES

const CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES = 0

◆ CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES

const CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES = 16

◆ CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES

const CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES = 32

◆ CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES

const CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES = 24

◆ CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES

const CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES = 0

◆ CRYPTO_AUTH_BYTES

const CRYPTO_AUTH_BYTES = 32

◆ CRYPTO_AUTH_KEYBYTES

const CRYPTO_AUTH_KEYBYTES = 32

◆ CRYPTO_BOX_KEYPAIRBYTES

const CRYPTO_BOX_KEYPAIRBYTES = 64

Référencé par ParagonIE_Sodium_Crypto32\box_publickey(), et ParagonIE_Sodium_Crypto\box_publickey().

◆ CRYPTO_BOX_MACBYTES

const CRYPTO_BOX_MACBYTES = 16

◆ CRYPTO_BOX_NONCEBYTES

const CRYPTO_BOX_NONCEBYTES = 24

◆ CRYPTO_BOX_PUBLICKEYBYTES

const CRYPTO_BOX_PUBLICKEYBYTES = 32

◆ CRYPTO_BOX_SEALBYTES

const CRYPTO_BOX_SEALBYTES = 16

◆ CRYPTO_BOX_SECRETKEYBYTES

const CRYPTO_BOX_SECRETKEYBYTES = 32

Référencé par ParagonIE_Sodium_Crypto32\box_publickey_from_secretkey(), et ParagonIE_Sodium_Crypto\box_publickey_from_secretkey().

◆ CRYPTO_BOX_SEEDBYTES

const CRYPTO_BOX_SEEDBYTES = 32

◆ CRYPTO_CORE_RISTRETTO255_BYTES

const CRYPTO_CORE_RISTRETTO255_BYTES = 32

◆ CRYPTO_CORE_RISTRETTO255_HASHBYTES

const CRYPTO_CORE_RISTRETTO255_HASHBYTES = 64

◆ CRYPTO_CORE_RISTRETTO255_NONREDUCEDSCALARBYTES

const CRYPTO_CORE_RISTRETTO255_NONREDUCEDSCALARBYTES = 64

◆ CRYPTO_CORE_RISTRETTO255_SCALARBYTES

const CRYPTO_CORE_RISTRETTO255_SCALARBYTES = 32

◆ CRYPTO_GENERICHASH_BYTES

const CRYPTO_GENERICHASH_BYTES = 32

◆ CRYPTO_GENERICHASH_BYTES_MAX

const CRYPTO_GENERICHASH_BYTES_MAX = 64

◆ CRYPTO_GENERICHASH_BYTES_MIN

const CRYPTO_GENERICHASH_BYTES_MIN = 16

◆ CRYPTO_GENERICHASH_KEYBYTES

const CRYPTO_GENERICHASH_KEYBYTES = 32

◆ CRYPTO_GENERICHASH_KEYBYTES_MAX

const CRYPTO_GENERICHASH_KEYBYTES_MAX = 64

◆ CRYPTO_GENERICHASH_KEYBYTES_MIN

const CRYPTO_GENERICHASH_KEYBYTES_MIN = 16

◆ CRYPTO_KDF_BYTES_MAX

const CRYPTO_KDF_BYTES_MAX = 64

◆ CRYPTO_KDF_BYTES_MIN

const CRYPTO_KDF_BYTES_MIN = 16

◆ CRYPTO_KDF_CONTEXTBYTES

const CRYPTO_KDF_CONTEXTBYTES = 8

◆ CRYPTO_KDF_KEYBYTES

const CRYPTO_KDF_KEYBYTES = 32

◆ CRYPTO_KX_BYTES

const CRYPTO_KX_BYTES = 32

◆ CRYPTO_KX_KEYPAIRBYTES

const CRYPTO_KX_KEYPAIRBYTES = 64

◆ CRYPTO_KX_PRIMITIVE

const CRYPTO_KX_PRIMITIVE = 'x25519blake2b'

◆ CRYPTO_KX_PUBLICKEYBYTES

const CRYPTO_KX_PUBLICKEYBYTES = 32

◆ CRYPTO_KX_SECRETKEYBYTES

const CRYPTO_KX_SECRETKEYBYTES = 32

◆ CRYPTO_KX_SEEDBYTES

const CRYPTO_KX_SEEDBYTES = 32

◆ CRYPTO_KX_SESSIONKEYBYTES

const CRYPTO_KX_SESSIONKEYBYTES = 32

◆ CRYPTO_PWHASH_ALG_ARGON2I13

const CRYPTO_PWHASH_ALG_ARGON2I13 = 1

◆ CRYPTO_PWHASH_ALG_ARGON2ID13

const CRYPTO_PWHASH_ALG_ARGON2ID13 = 2

◆ CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE

const CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE = 33554432

◆ CRYPTO_PWHASH_MEMLIMIT_MODERATE

const CRYPTO_PWHASH_MEMLIMIT_MODERATE = 134217728

◆ CRYPTO_PWHASH_MEMLIMIT_SENSITIVE

const CRYPTO_PWHASH_MEMLIMIT_SENSITIVE = 536870912

◆ CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE

const CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE = 4

◆ CRYPTO_PWHASH_OPSLIMIT_MODERATE

const CRYPTO_PWHASH_OPSLIMIT_MODERATE = 6

◆ CRYPTO_PWHASH_OPSLIMIT_SENSITIVE

const CRYPTO_PWHASH_OPSLIMIT_SENSITIVE = 8

◆ CRYPTO_PWHASH_SALTBYTES

const CRYPTO_PWHASH_SALTBYTES = 16

◆ CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE

const CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE = 16777216

◆ CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE

const CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE = 1073741824

◆ CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE

const CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE = 534288

◆ CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE

const CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE = 33554432

◆ CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES

const CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES = 32

◆ CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX

const CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX = '$7$'

◆ CRYPTO_PWHASH_STRPREFIX

const CRYPTO_PWHASH_STRPREFIX = '$argon2id$'

◆ CRYPTO_SCALARMULT_BYTES

const CRYPTO_SCALARMULT_BYTES = 32

◆ CRYPTO_SCALARMULT_RISTRETTO255_BYTES

const CRYPTO_SCALARMULT_RISTRETTO255_BYTES = 32

◆ CRYPTO_SCALARMULT_RISTRETTO255_SCALARBYTES

const CRYPTO_SCALARMULT_RISTRETTO255_SCALARBYTES = 32

◆ CRYPTO_SCALARMULT_SCALARBYTES

const CRYPTO_SCALARMULT_SCALARBYTES = 32

◆ CRYPTO_SECRETBOX_KEYBYTES

const CRYPTO_SECRETBOX_KEYBYTES = 32

◆ CRYPTO_SECRETBOX_MACBYTES

const CRYPTO_SECRETBOX_MACBYTES = 16

◆ CRYPTO_SECRETBOX_NONCEBYTES

const CRYPTO_SECRETBOX_NONCEBYTES = 24

◆ CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES

const CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES = 17

◆ CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES

const CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES = 24

◆ CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES

const CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES = 32

◆ CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX

const CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX = 0x3fffffff80

◆ CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL

const CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL = 3

◆ CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL

const CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL = 1

◆ CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH

const CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH = 0

◆ CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY

const CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY = 2

◆ CRYPTO_SHORTHASH_BYTES

const CRYPTO_SHORTHASH_BYTES = 8

◆ CRYPTO_SHORTHASH_KEYBYTES

const CRYPTO_SHORTHASH_KEYBYTES = 16

◆ CRYPTO_SIGN_BYTES

const CRYPTO_SIGN_BYTES = 64

◆ CRYPTO_SIGN_KEYPAIRBYTES

const CRYPTO_SIGN_KEYPAIRBYTES = 96

◆ CRYPTO_SIGN_PUBLICKEYBYTES

const CRYPTO_SIGN_PUBLICKEYBYTES = 32

◆ CRYPTO_SIGN_SECRETKEYBYTES

const CRYPTO_SIGN_SECRETKEYBYTES = 64

◆ CRYPTO_SIGN_SEEDBYTES

const CRYPTO_SIGN_SEEDBYTES = 32

◆ CRYPTO_STREAM_KEYBYTES

const CRYPTO_STREAM_KEYBYTES = 32

◆ CRYPTO_STREAM_NONCEBYTES

const CRYPTO_STREAM_NONCEBYTES = 24

◆ CRYPTO_STREAM_XCHACHA20_KEYBYTES

const CRYPTO_STREAM_XCHACHA20_KEYBYTES = 32

◆ CRYPTO_STREAM_XCHACHA20_NONCEBYTES

const CRYPTO_STREAM_XCHACHA20_NONCEBYTES = 24

◆ LIBRARY_MAJOR_VERSION

const LIBRARY_MAJOR_VERSION = 9

◆ LIBRARY_MINOR_VERSION

const LIBRARY_MINOR_VERSION = 1

◆ LIBRARY_VERSION_MAJOR

const LIBRARY_VERSION_MAJOR = 9

◆ LIBRARY_VERSION_MINOR

const LIBRARY_VERSION_MINOR = 1

◆ VERSION_STRING

const VERSION_STRING = 'polyfill-1.0.8'
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Compat.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_BLAKE2b

Fonctions membres publiques statiques | Champs de données | Attributs publics statiques | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Core32_BLAKE2b
+ Graphe d'héritage de ParagonIE_Sodium_Core32_BLAKE2b:
ParagonIE_Sodium_Core_Util

Fonctions membres publiques statiques

static | new64 ($high, $low)
static | add364 ($x, $y, $z)
static | xor64 (ParagonIE_Sodium_Core32_Int64 $x, ParagonIE_Sodium_Core32_Int64 $y)
static | rotr64 (ParagonIE_Sodium_Core32_Int64 $x, $c)
static | store64 (SplFixedArray $x, $i, ParagonIE_Sodium_Core32_Int64 $u)
static | pseudoConstructor ()
static | G ($r, $i, $a, $b, $c, $d, SplFixedArray $v, SplFixedArray $m)
static | update (SplFixedArray $ctx, SplFixedArray $p, $plen)
static | init ( $key=null, $outlen=64, $salt=null, $personal=null)
static | stringToSplFixedArray ($str='')
static | stringToContext ($string)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Champs de données

const | BLOCKBYTES = 128
const | OUTBYTES = 64
const | KEYBYTES = 64

Attributs publics statiques

static | $iv
static | $sigma

Fonctions membres protégées statiques

static | to64 ($num)
static | add64 ($x, $y)
static | context ()
static | compress (SplFixedArray $ctx, SplFixedArray $buf)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_BLAKE2b

Based on the work of Devi Mandiri in devi/salt.

Documentation des fonctions membres

◆ add364()

static add364 | ( | $x,
 |  | $y,
 |  | $z
 | ) |
static

◆ add64()

static add64 | ( | $x,
 |  | $y
 | ) |
staticprotected

Adds two 64-bit integers together, returning their sum as a SplFixedArray containing two 32-bit integers (representing a 64-bit integer).

◆ compress()

static compress | ( | SplFixedArray | $ctx,
 |  | SplFixedArray | $buf
 | ) |  |
staticprotected

Références $i, et $r.

◆ context()

static context ( )
staticprotected

Returns a fresh BLAKE2 context.

Références $i.

◆ G()

static G | ( |  | $r,
 |  |  | $i,
 |  |  | $a,
 |  |  | $b,
 |  |  | $c,
 |  |  | $d,
 |  | SplFixedArray | $v,
 |  | SplFixedArray | $m
 | ) |  |
static

Références $b, $i, et $r.

◆ init()

static init | ( | $key = null,
 |  | $outlen = 64,
 |  | $salt = null,
 |  | $personal = null
 | ) |
static

Références $i, $key, et null.

◆ new64()

static new64 | ( | $high,
 |  | $low
 | ) |
static

Turn two 32-bit integers into a fixed array representing a 64-bit integer.

Références ParagonIE_Sodium_Core32_Int64\fromInts().

◆ pseudoConstructor()

static pseudoConstructor ( )
static

This just sets the $iv static variable.

◆ rotr64()

static rotr64 | ( | ParagonIE_Sodium_Core32_Int64 | $x,
 |  |  | $c
 | ) |  |
static

◆ store64()

static store64 | ( | SplFixedArray | $x,
 |  |  | $i,
 |  | ParagonIE_Sodium_Core32_Int64 | $u
 | ) |  |
static

Références $i, et SplFixedArray\getSize().

◆ stringToContext()

static stringToContext ( $string )
static

Creates an SplFixedArray containing other SplFixedArray elements, from a string (compatible with {init, update, final})

Références $i, et ParagonIE_Sodium_Core32_Int64\fromReverseString().

◆ stringToSplFixedArray()

static stringToSplFixedArray ( $str = '' )
static

Convert a string into an SplFixedArray of integers

Références SplFixedArray\fromArray().

◆ to64()

static to64 ( $num )
staticprotected

Convert an arbitrary number into an SplFixedArray of two 32-bit integers that represents a 64-bit integer.

◆ update()

static update | ( | SplFixedArray | $ctx,
 |  | SplFixedArray | $p,
 |  |  | $plen
 | ) |  |
static

Références $i, et $offset.

◆ xor64()

static xor64 | ( | ParagonIE_Sodium_Core32_Int64 | $x,
 |  | ParagonIE_Sodium_Core32_Int64 | $y
 | ) |  |
static

Références ParagonIE_Sodium_Core32_Int64\xorInt64().

Documentation des champs

◆ $iv

$iv
static

◆ $sigma

$sigma
static
Valeur initiale :
= array(
array( 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15),
array( 14, 10, 4, 8, 9, 15, 13, 6, 1, 12, 0, 2, 11, 7, 5, 3),
array( 11, 8, 12, 0, 5, 2, 15, 13, 10, 14, 3, 6, 7, 1, 9, 4),
array( 7, 9, 3, 1, 13, 12, 11, 14, 2, 6, 5, 10, 4, 0, 15, 8),
array( 9, 0, 5, 7, 2, 4, 10, 15, 14, 1, 11, 12, 6, 8, 3, 13),
array( 2, 12, 6, 10, 0, 11, 8, 3, 4, 13, 7, 5, 15, 14, 1, 9),
array( 12, 5, 1, 15, 14, 13, 4, 10, 0, 7, 6, 3, 9, 2, 8, 11),
array( 13, 11, 7, 14, 12, 1, 3, 9, 5, 0, 15, 4, 8, 6, 2, 10),
array( 6, 15, 14, 9, 11, 3, 0, 8, 12, 2, 13, 7, 1, 4, 10, 5),
array( 10, 2, 8, 4, 7, 6, 1, 5, 15, 11, 9, 14, 3, 12, 13 , 0),
array( 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15),
array( 14, 10, 4, 8, 9, 15, 13, 6, 1, 12, 0, 2, 11, 7, 5, 3)
)

◆ BLOCKBYTES

const BLOCKBYTES = 128

◆ KEYBYTES

const KEYBYTES = 64

◆ OUTBYTES

const OUTBYTES = 64
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/BLAKE2b.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_ChaCha20

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core32_ChaCha20
+ Graphe d'héritage de ParagonIE_Sodium_Core32_ChaCha20:
ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util ParagonIE_Sodium_Core32_HChaCha20 ParagonIE_Sodium_Core32_XChaCha20

Fonctions membres publiques statiques

static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len, $nonce='', $key='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core32_ChaCha20

Documentation des fonctions membres

◆ ietfStream()

static ietfStream | ( | $len,
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Références $key.

◆ ietfStreamXorIc()

static ietfStreamXorIc | ( | $message,
 |  | $nonce = '',
 |  | $key = '',
 |  | $ic = ''
 | ) |
static

Références $key, et $message.

Référencé par ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_rekey().

◆ stream()

static stream | ( | $len = 64,
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Références $key.

◆ streamXorIc()

static streamXorIc | ( | $message,
 |  | $nonce = '',
 |  | $key = '',
 |  | $ic = ''
 | ) |
static

Références $key, et $message.

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/ChaCha20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_ChaCha20_Ctx

Fonctions membres publiques | Attributs protégés
Référence de la classe ParagonIE_Sodium_Core32_ChaCha20_Ctx
+ Graphe d'héritage de ParagonIE_Sodium_Core32_ChaCha20_Ctx:
ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util ParagonIE_Sodium_Core32_ChaCha20_IetfCtx

Fonctions membres publiques

__construct ($key='', $iv='', $counter='')
offsetSet ($offset, $value)
offsetExists ($offset)
offsetUnset ($offset)
offsetGet ($offset)

Attributs protégés

$container

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core32_ChaCha20_Ctx

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $key = '',
 |  | $iv = '',
 |  | $counter = ''
 | ) |

ParagonIE_Sodium_Core_ChaCha20_Ctx constructor.

Références $counter, $key, et ParagonIE_Sodium_Core32_Int32\fromReverseString().

Documentation des fonctions membres

◆ offsetExists()

offsetExists ( $offset )

Références $offset.

◆ offsetGet()

offsetGet ( $offset )

Références $offset, et null.

◆ offsetSet()

offsetSet | ( | $offset,
 |  | $value
 | ) |

Références $offset, et $value.

◆ offsetUnset()

offsetUnset ( $offset )

Références $offset.

Documentation des champs

◆ $container

$container
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/ChaCha20/Ctx.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_ChaCha20_IetfCtx

Fonctions membres publiques
Référence de la classe ParagonIE_Sodium_Core32_ChaCha20_IetfCtx
+ Graphe d'héritage de ParagonIE_Sodium_Core32_ChaCha20_IetfCtx:
ParagonIE_Sodium_Core32_ChaCha20_Ctx ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util

Fonctions membres publiques

__construct ($key='', $iv='', $counter='')
- Fonctions membres publiques hérités de ParagonIE_Sodium_Core32_ChaCha20_Ctx
__construct ($key='', $iv='', $counter='')
offsetSet ($offset, $value)
offsetExists ($offset)
offsetUnset ($offset)
offsetGet ($offset)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés hérités de ParagonIE_Sodium_Core32_ChaCha20_Ctx
$container

Description détaillée

Class ParagonIE_Sodium_Core32_ChaCha20_IetfCtx

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $key = '',
 |  | $iv = '',
 |  | $counter = ''
 | ) |

ParagonIE_Sodium_Core_ChaCha20_IetfCtx constructor.

Références $counter, $key, et ParagonIE_Sodium_Core32_Int32\fromReverseString().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/ChaCha20/IetfCtx.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Curve25519

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core32_Curve25519
+ Graphe d'héritage de ParagonIE_Sodium_Core32_Curve25519:
ParagonIE_Sodium_Core32_Curve25519_H ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util ParagonIE_Sodium_Core32_Ed25519 ParagonIE_Sodium_Core32_X25519

Fonctions membres publiques statiques

static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core32_Curve25519_Fe $f)
static | fe_isnegative (ParagonIE_Sodium_Core32_Curve25519_Fe $f)
static | fe_neg (ParagonIE_Sodium_Core32_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core32_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core32_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core32_Curve25519_Fe $f, ParagonIE_Sodium_Core32_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core32_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | cmov (ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $u, $b)
static | ge_select ($pos=0, $b=0)
static | ge_sub (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core32_Curve25519_Ge_P2 $h)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core32_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1

Description détaillée

Class ParagonIE_Sodium_Core32_Curve25519

Implements Curve25519 core functions

Based on the ref10 curve25519 code provided by libsodium

https://github.com/jedisct1/libsodium/blob/master/src/libsodium/crypto_core/curve25519/ref10/curve25519_ref10.c

Documentation des fonctions membres

◆ cmov()

static cmov | ( | ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp | $t,
 |  | ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp | $u,
 |  |  | $b
 | ) |  |
static

Conditional move

Références $b.

◆ equal()

static equal | ( | $b,
 |  | $c
 | ) |
static

Références $b.

◆ fe_0()

static fe_0 ( )
static

Get a field element of size 10 with a value of 0

Références ParagonIE_Sodium_Core32_Curve25519_Fe\fromArray().

Référencé par ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp\__construct(), et ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1\__construct().

◆ fe_1()

static fe_1 ( )
static

Get a field element of size 10 with a value of 1

Références ParagonIE_Sodium_Core32_Curve25519_Fe\fromArray().

◆ fe_copy()

static fe_copy ( ParagonIE_Sodium_Core32_Curve25519_Fe $f )
static

Create a copy of a field element.

◆ fe_invert()

static fe_invert ( ParagonIE_Sodium_Core32_Curve25519_Fe $Z )
static

Références $i.

◆ fe_isnegative()

static fe_isnegative ( ParagonIE_Sodium_Core32_Curve25519_Fe $f )
static

Is a field element negative? (1 = yes, 0 = no. Used in calculations.)

◆ fe_neg()

static fe_neg ( ParagonIE_Sodium_Core32_Curve25519_Fe $f )
static

Get the negative values for each piece of the field element.

h = -f

Références $i.

◆ fe_pow22523()

static fe_pow22523 ( ParagonIE_Sodium_Core32_Curve25519_Fe $z )
static

Références $i.

◆ fe_sub()

static fe_sub | ( | ParagonIE_Sodium_Core32_Curve25519_Fe | $f,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $g
 | ) |  |
static

Subtract two field elements.

h = f - g

Preconditions: |f| bounded by 1.1*2^25,1.1*2^24,1.1*2^25,1.1*2^24,etc. |g| bounded by 1.1*2^25,1.1*2^24,1.1*2^25,1.1*2^24,etc.

Postconditions: |h| bounded by 1.1*2^26,1.1*2^25,1.1*2^26,1.1*2^25,etc.

Références $g, et ParagonIE_Sodium_Core32_Curve25519_Fe\fromArray().

◆ ge_add()

static ge_add | ( | ParagonIE_Sodium_Core32_Curve25519_Ge_P3 | $p,
 |  | ParagonIE_Sodium_Core32_Curve25519_Ge_Cached | $q
 | ) |  |
static

Add two group elements.

r = p + q

Références $r.

◆ ge_madd()

static ge_madd | ( | ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 | $R,
 |  | ParagonIE_Sodium_Core32_Curve25519_Ge_P3 | $p,
 |  | ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp | $q
 | ) |  |
static

Références $r.

◆ ge_msub()

static ge_msub | ( | ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 | $R,
 |  | ParagonIE_Sodium_Core32_Curve25519_Ge_P3 | $p,
 |  | ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp | $q
 | ) |  |
static

Références $r.

◆ ge_p1p1_to_p2()

static ge_p1p1_to_p2 ( ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $p )
static

Références $r.

◆ ge_p1p1_to_p3()

static ge_p1p1_to_p3 ( ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $p )
static

Références $r.

◆ ge_p2_0()

static ge_p2_0 ( )
static

◆ ge_p2_dbl()

static ge_p2_dbl ( ParagonIE_Sodium_Core32_Curve25519_Ge_P2 $p )
static

Références $r.

◆ ge_p3_0()

static ge_p3_0 ( )
static

◆ ge_p3_dbl()

static ge_p3_dbl ( ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p )
static

◆ ge_p3_to_p2()

static ge_p3_to_p2 ( ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p )
static

◆ ge_p3_tobytes()

static ge_p3_tobytes ( ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $h )
static

◆ ge_precomp_0()

static ge_precomp_0 ( )
static
Renvoie
ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp
Exceptions
SodiumException
TypeError

◆ ge_select()

static ge_select | ( | $pos = 0,
 |  | $b = 0
 | ) |
static

Références $b, $base, ParagonIE_Sodium_Core32_Curve25519_H\$base, $i, ParagonIE_Sodium_Core32_Curve25519_Fe\fromArray(), et null.

◆ ge_sub()

static ge_sub | ( | ParagonIE_Sodium_Core32_Curve25519_Ge_P3 | $p,
 |  | ParagonIE_Sodium_Core32_Curve25519_Ge_Cached | $q
 | ) |  |
static

Subtract two group elements.

r = p - q

Références $r.

◆ ge_tobytes()

static ge_tobytes ( ParagonIE_Sodium_Core32_Curve25519_Ge_P2 $h )
static

Convert a group element to a byte string.

Paramètres
ParagonIE_Sodium_Core32_Curve25519_Ge_P2 $h
Renvoie
string
Exceptions
SodiumException
TypeError
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Curve25519.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Fe

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés
Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Fe
+ Graphe d'héritage de ParagonIE_Sodium_Core32_Curve25519_Fe:

Fonctions membres publiques

offsetSet ($offset, $value)
offsetExists ($offset)
offsetUnset ($offset)
__debugInfo ()

Fonctions membres publiques statiques

static fromArray ($array, $save_indexes=null)

Attributs protégés

$container = array()
$size = 10

Description détaillée

Class ParagonIE_Sodium_Core32_Curve25519_Fe

This represents a Field Element

Documentation des fonctions membres

◆ __debugInfo()

__debugInfo ( )

◆ fromArray()

static fromArray | ( | $array,
 |  | $save_indexes = null
 | ) |
static

Références $count, et $i.

Référencé par ParagonIE_Sodium_Core32_Curve25519\fe_0(), ParagonIE_Sodium_Core32_Curve25519\fe_1(), ParagonIE_Sodium_Core32_Curve25519\fe_sub(), et ParagonIE_Sodium_Core32_Curve25519\ge_select().

◆ offsetExists()

offsetExists ( $offset )

Références $offset.

◆ offsetSet()

offsetSet | ( | $offset,
 |  | $value
 | ) |

Références $offset, $value, et ParagonIE_Sodium_Core_Util\declareScalarType().

◆ offsetUnset()

offsetUnset ( $offset )

Références $offset.

Documentation des champs

◆ $container

$container = array()
protected

◆ $size

$size = 10
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Curve25519/Fe.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_Cached

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_Cached

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core32_Curve25519_Fe $YplusX=null, ParagonIE_Sodium_Core32_Curve25519_Fe $YminusX=null, ParagonIE_Sodium_Core32_Curve25519_Fe $Z=null, ParagonIE_Sodium_Core32_Curve25519_Fe $T2d=null)

Champs de données

$YplusX
$YminusX
$Z
$T2d

Description détaillée

Class ParagonIE_Sodium_Core32_Curve25519_Ge_Cached

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core32_Curve25519_Fe | $YplusX = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $YminusX = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $Z = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $T2d = null
 | ) |  |

ParagonIE_Sodium_Core32_Curve25519_Ge_Cached constructor.

Références $T2d, $YminusX, $YplusX, $Z, et null.

Documentation des champs

◆ $T2d

$T2d

Référencé par __construct().

◆ $YminusX

$YminusX

Référencé par __construct().

◆ $YplusX

$YplusX

Référencé par __construct().

◆ $Z

$Z

Référencé par __construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Curve25519/Ge/Cached.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core32_Curve25519_Fe $x=null, ParagonIE_Sodium_Core32_Curve25519_Fe $y=null, ParagonIE_Sodium_Core32_Curve25519_Fe $z=null, ParagonIE_Sodium_Core32_Curve25519_Fe $t=null)

Champs de données

$X
$Y
$Z
$T

Description détaillée

Class ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core32_Curve25519_Fe | $x = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $y = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $z = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $t = null
 | ) |  |

ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 constructor.

Références ParagonIE_Sodium_Core32_Curve25519\fe_0(), et null.

Documentation des champs

◆ $T

$T

◆ $X

$X

◆ $Y

$Y

◆ $Z

$Z
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Curve25519/Ge/P1p1.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_P2

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_P2

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core32_Curve25519_Fe $x=null, ParagonIE_Sodium_Core32_Curve25519_Fe $y=null, ParagonIE_Sodium_Core32_Curve25519_Fe $z=null)

Champs de données

$X
$Y
$Z

Description détaillée

Class ParagonIE_Sodium_Core32_Curve25519_Ge_P2

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core32_Curve25519_Fe | $x = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $y = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $z = null
 | ) |  |

ParagonIE_Sodium_Core32_Curve25519_Ge_P2 constructor.

Références null.

Documentation des champs

◆ $X

$X

◆ $Y

$Y

◆ $Z

$Z
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Curve25519/Ge/P2.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_P3

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_P3

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core32_Curve25519_Fe $x=null, ParagonIE_Sodium_Core32_Curve25519_Fe $y=null, ParagonIE_Sodium_Core32_Curve25519_Fe $z=null, ParagonIE_Sodium_Core32_Curve25519_Fe $t=null)

Champs de données

$X
$Y
$Z
$T

Description détaillée

Class ParagonIE_Sodium_Core32_Curve25519_Ge_P3

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core32_Curve25519_Fe | $x = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $y = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $z = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $t = null
 | ) |  |

ParagonIE_Sodium_Core32_Curve25519_Ge_P3 constructor.

Références null.

Documentation des champs

◆ $T

$T

◆ $X

$X

◆ $Y

$Y

◆ $Z

$Z
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Curve25519/Ge/P3.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core32_Curve25519_Fe $yplusx=null, ParagonIE_Sodium_Core32_Curve25519_Fe $yminusx=null, ParagonIE_Sodium_Core32_Curve25519_Fe $xy2d=null)

Champs de données

$yplusx
$yminusx
$xy2d

Description détaillée

Class ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core32_Curve25519_Fe | $yplusx = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $yminusx = null,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $xy2d = null
 | ) |  |

ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp constructor.

Références $xy2d, $yminusx, $yplusx, ParagonIE_Sodium_Core32_Curve25519\fe_0(), et null.

Documentation des champs

◆ $xy2d

$xy2d

Référencé par __construct().

◆ $yminusx

$yminusx

Référencé par __construct().

◆ $yplusx

$yplusx

Référencé par __construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Curve25519/Ge/Precomp.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Curve25519_H

Attributs protégés statiques
Référence de la classe ParagonIE_Sodium_Core32_Curve25519_H
+ Graphe d'héritage de ParagonIE_Sodium_Core32_Curve25519_H:
ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util ParagonIE_Sodium_Core32_Curve25519 ParagonIE_Sodium_Core32_Ed25519 ParagonIE_Sodium_Core32_X25519

Attributs protégés statiques

static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core32_Curve25519_H

This just contains the constants in the ref10/base.h file

Documentation des champs

◆ $base

$base
staticprotected

Référencé par ParagonIE_Sodium_Core32_Curve25519\ge_select().

◆ $base2

$base2
staticprotected

◆ $d

$d
staticprotected
Valeur initiale :
= array(
-10913610,
13857413,
-15372611,
6949391,
114729,
-8787816,
-6275908,
-3247719,
-18696448,
-12055116
)

◆ $d2

$d2
staticprotected
Valeur initiale :
= array(
-21827239,
-5839606,
-30745221,
13898782,
229458,
15978800,
-12551817,
-6495438,
29715968,
9444199
)

◆ $sqrtm1

$sqrtm1
staticprotected
Valeur initiale :
= array(
-32595792,
-7943725,
9377950,
3500415,
12389472,
-272473,
-25146209,
-2005654,
326686,
11406482
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Curve25519/H.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Ed25519

Fonctions membres publiques statiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Ed25519
+ Graphe d'héritage de ParagonIE_Sodium_Core32_Ed25519:
ParagonIE_Sodium_Core32_Curve25519 ParagonIE_Sodium_Core32_Curve25519_H ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util

Fonctions membres publiques statiques

static | keypair ()
static | secretkey ($keypair)
static | publickey ($keypair)
static | pk_to_curve25519 ($pk)
static | sk_to_pk ($sk)
static | sign_detached ($message, $sk)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core32_Curve25519
static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core32_Curve25519_Fe $f)
static | fe_isnegative (ParagonIE_Sodium_Core32_Curve25519_Fe $f)
static | fe_neg (ParagonIE_Sodium_Core32_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core32_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core32_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core32_Curve25519_Fe $f, ParagonIE_Sodium_Core32_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core32_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | cmov (ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $u, $b)
static | ge_select ($pos=0, $b=0)
static | ge_sub (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core32_Curve25519_Ge_P2 $h)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Champs de données

const | KEYPAIR_BYTES = 96
const | SEED_BYTES = 32

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core32_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1

Description détaillée

Class ParagonIE_Sodium_Core32_Ed25519

Documentation des fonctions membres

◆ keypair()

static keypair ( )
static

Référencé par ParagonIE_Sodium_Compat\crypto_sign_keypair().

◆ pk_to_curve25519()

static pk_to_curve25519 ( $pk )
static
Paramètres
string $pk
Renvoie
string
Exceptions
SodiumException
TypeError

Référencé par ParagonIE_Sodium_Compat\crypto_sign_ed25519_pk_to_curve25519().

◆ publickey()

static publickey ( $keypair )
static

Référencé par ParagonIE_Sodium_Compat\crypto_sign_publickey().

◆ secretkey()

static secretkey ( $keypair )
static

Référencé par ParagonIE_Sodium_Compat\crypto_sign_secretkey().

◆ sign_detached()

static sign_detached | ( | $message,
 |  | $sk
 | ) |
static

Références $message, ParagonIE_Sodium_Compat\memzero(), et null.

Référencé par ParagonIE_Sodium_Crypto32\sign_detached().

◆ sk_to_pk()

static sk_to_pk ( $sk )
static

Documentation des champs

◆ KEYPAIR_BYTES

const KEYPAIR_BYTES = 96

◆ SEED_BYTES

const SEED_BYTES = 32
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Ed25519.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_HChaCha20

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core32_HChaCha20
+ Graphe d'héritage de ParagonIE_Sodium_Core32_HChaCha20:
ParagonIE_Sodium_Core32_ChaCha20 ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util ParagonIE_Sodium_Core32_XChaCha20

Fonctions membres publiques statiques

static | hChaCha20 ($in='', $key='', $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core32_ChaCha20
static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len, $nonce='', $key='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_HChaCha20

Documentation des fonctions membres

◆ hChaCha20()

static hChaCha20 | ( | $in = '',
 |  | $key = '',
 |  | $c = null
 | ) |
static
Paramètres
string | $in
string | $key
string | null | $c
Renvoie
string
Exceptions
SodiumException
TypeError

Références $key, ParagonIE_Sodium_Core32_Int32\fromReverseString(), et null.

Référencé par ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_pull(), et ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_push().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/HChaCha20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_HSalsa20

Référence de la classe ParagonIE_Sodium_Core32_HSalsa20
+ Graphe d'héritage de ParagonIE_Sodium_Core32_HSalsa20:
ParagonIE_Sodium_Core32_Salsa20 ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util ParagonIE_Sodium_Core32_XSalsa20

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core32_Salsa20
static | salsa20 ($len, $nonce, $key)
static | salsa20_xor_ic ($m, $n, $ic, $k)
static | salsa20_xor ($message, $nonce, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Champs de données hérités de ParagonIE_Sodium_Core32_Salsa20
const | ROUNDS = 20
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core32_HSalsa20

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/HSalsa20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Int32

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Int32

Fonctions membres publiques

__construct ($array=array(0, 0), $unsignedInt=false)
addInt32 (ParagonIE_Sodium_Core32_Int32 $addend)
mulIntFast ($int)
mulInt32Fast (ParagonIE_Sodium_Core32_Int32 $right)
isGreaterThan ($b=0)
isLessThanInt ($b=0)
setUnsignedInt ($bool=false)
xorInt32 (ParagonIE_Sodium_Core32_Int32 $b)
toArray ()
toString ()
toInt ()
toInt32 ()
toInt64 ()
toReverseString ()
__toString ()

Fonctions membres publiques statiques

static | fromString ($string)
static | fromReverseString ($string)

Champs de données

$limbs = array(0, 0)
$overflow = 0
$unsignedInt = false

Description détaillée

Class ParagonIE_Sodium_Core32_Int32

Encapsulates a 32-bit integer.

These are immutable. It always returns a new instance.

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $array = array(0, 0),
 |  | $unsignedInt = false
 | ) |

ParagonIE_Sodium_Core32_Int32 constructor.

Paramètres
array | $array
bool | $unsignedInt

Références $unsignedInt.

Documentation des fonctions membres

◆ __toString()

__toString ( )
Renvoie
string

Références toString().

◆ addInt32()

addInt32 ( ParagonIE_Sodium_Core32_Int32 $addend )

Adds two int32 objects

Paramètres
ParagonIE_Sodium_Core32_Int32 $addend
Renvoie
ParagonIE_Sodium_Core32_Int32

Références $return, et $unsignedInt.

◆ fromReverseString()

static fromReverseString ( $string )
static
Paramètres
string $string
Renvoie
self
Exceptions
SodiumException
TypeError

Références $return, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

Référencé par ParagonIE_Sodium_Core32_ChaCha20_IetfCtx\__construct(), ParagonIE_Sodium_Core32_ChaCha20_Ctx\__construct(), ParagonIE_Sodium_Core32_Poly1305_State\__construct(), et ParagonIE_Sodium_Core32_HChaCha20\hChaCha20().

◆ fromString()

static fromString ( $string )
static
Paramètres
string $string
Renvoie
self
Exceptions
SodiumException
TypeError

Références $return, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ isGreaterThan()

isGreaterThan ( $b = 0 )
Paramètres
int $b
Renvoie
bool

Références $b.

◆ isLessThanInt()

isLessThanInt ( $b = 0 )
Paramètres
int $b
Renvoie
bool

Références $b.

◆ mulInt32Fast()

mulInt32Fast ( ParagonIE_Sodium_Core32_Int32 $right )
Paramètres
ParagonIE_Sodium_Core32_Int32 $right
Renvoie
ParagonIE_Sodium_Core32_Int32

Références $b, $i, et $return.

◆ mulIntFast()

mulIntFast ( $int )
Paramètres
int $int
Renvoie
ParagonIE_Sodium_Core32_Int32

Références $b, $i, $return, et $unsignedInt.

◆ setUnsignedInt()

setUnsignedInt ( $bool = false )
Paramètres
bool $bool
Renvoie
self

◆ toArray()

toArray ( )
Renvoie
array<int, int>

◆ toInt()

toInt ( )
Renvoie
int

◆ toInt32()

toInt32 ( )
Renvoie
ParagonIE_Sodium_Core32_Int32

Références $return, et $unsignedInt.

◆ toInt64()

toInt64 ( )
Renvoie
ParagonIE_Sodium_Core32_Int64

Références $overflow, $return, et $unsignedInt.

◆ toReverseString()

toReverseString ( )
Renvoie
string
Exceptions
TypeError

Références ParagonIE_Sodium_Core_Util\intToChr().

◆ toString()

toString ( )
Renvoie
string
Exceptions
TypeError

Références ParagonIE_Sodium_Core_Util\intToChr().

Référencé par __toString().

◆ xorInt32()

xorInt32 ( ParagonIE_Sodium_Core32_Int32 $b )

XOR this 32-bit integer with another.

Paramètres
ParagonIE_Sodium_Core32_Int32 $b
Renvoie
ParagonIE_Sodium_Core32_Int32

Références $b, $return, et $unsignedInt.

Documentation des champs

◆ $limbs

$limbs = array(0, 0)

◆ $overflow

$overflow = 0

Référencé par toInt64().

◆ $unsignedInt

$unsignedInt = false

Référencé par __construct(), addInt32(), mulIntFast(), toInt32(), toInt64(), et xorInt32().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Int32.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Int64

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Int64

Fonctions membres publiques

__construct ($array=array(0, 0, 0, 0), $unsignedInt=false)
addInt64 (ParagonIE_Sodium_Core32_Int64 $addend)
isGreaterThan ($b=0)
isLessThanInt ($b=0)
mulIntFast ($int)
mulInt64Fast (ParagonIE_Sodium_Core32_Int64 $right)
orInt64 (ParagonIE_Sodium_Core32_Int64 $b)
xorInt64 (ParagonIE_Sodium_Core32_Int64 $b)
toInt ()
toArray ()
toInt32 ()
toInt64 ()
setUnsignedInt ($bool=false)
toString ()
toReverseString ()
__toString ()

Fonctions membres publiques statiques

static | fromInts ($low, $high)
static | fromInt ($low)
static | fromString ($string)
static | fromReverseString ($string)

Champs de données

$limbs = array(0, 0, 0, 0)
$overflow = 0
$unsignedInt = false

Description détaillée

Class ParagonIE_Sodium_Core32_Int64

Encapsulates a 64-bit integer.

These are immutable. It always returns a new instance.

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $array = array(0, 0, 0, 0),
 |  | $unsignedInt = false
 | ) |

ParagonIE_Sodium_Core32_Int64 constructor.

Paramètres
array | $array
bool | $unsignedInt

Références $unsignedInt.

Documentation des fonctions membres

◆ __toString()

__toString ( )
Renvoie
string

Références toString().

◆ addInt64()

addInt64 ( ParagonIE_Sodium_Core32_Int64 $addend )

Adds two int64 objects

Paramètres
ParagonIE_Sodium_Core32_Int64 $addend
Renvoie
ParagonIE_Sodium_Core32_Int64

Références $return, et $unsignedInt.

◆ fromInt()

static fromInt ( $low )
static
Paramètres
int $low
Renvoie
self
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Core_Util\declareScalarType().

◆ fromInts()

static fromInts | ( | $low,
 |  | $high
 | ) |
static
Paramètres
int | $low
int | $high
Renvoie
self
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Core_Util\declareScalarType().

Référencé par ParagonIE_Sodium_Core32_BLAKE2b\new64(), et ParagonIE_Sodium_Core32_SipHash\sipHash24().

◆ fromReverseString()

static fromReverseString ( $string )
static
Paramètres
string $string
Renvoie
self
Exceptions
SodiumException
TypeError

Références $return, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

Référencé par ParagonIE_Sodium_Core32_SipHash\sipHash24(), et ParagonIE_Sodium_Core32_BLAKE2b\stringToContext().

◆ fromString()

static fromString ( $string )
static
Paramètres
string $string
Renvoie
self
Exceptions
SodiumException
TypeError

Références $return, ParagonIE_Sodium_Core_Util\declareScalarType(), et ParagonIE_Sodium_Core_Util\strlen().

◆ isGreaterThan()

isGreaterThan ( $b = 0 )
Paramètres
int $b
Renvoie
bool

Références $b.

◆ isLessThanInt()

isLessThanInt ( $b = 0 )
Paramètres
int $b
Renvoie
bool

Références $b.

◆ mulInt64Fast()

mulInt64Fast ( ParagonIE_Sodium_Core32_Int64 $right )
Paramètres
ParagonIE_Sodium_Core32_Int64 $right
Renvoie
ParagonIE_Sodium_Core32_Int64

Références $b, $i, et $return.

◆ mulIntFast()

mulIntFast ( $int )
Paramètres
int $int
Renvoie
ParagonIE_Sodium_Core32_Int64

Références $b, $i, $return, et $unsignedInt.

◆ orInt64()

orInt64 ( ParagonIE_Sodium_Core32_Int64 $b )

OR this 64-bit integer with another.

Paramètres
ParagonIE_Sodium_Core32_Int64 $b
Renvoie
ParagonIE_Sodium_Core32_Int64

Références $b, $return, et $unsignedInt.

◆ setUnsignedInt()

setUnsignedInt ( $bool = false )
Paramètres
bool $bool
Renvoie
self

◆ toArray()

toArray ( )
Renvoie
array<int, int>

◆ toInt()

toInt ( )
Renvoie
int

◆ toInt32()

toInt32 ( )
Renvoie
ParagonIE_Sodium_Core32_Int32

Références $return, et $unsignedInt.

◆ toInt64()

toInt64 ( )
Renvoie
ParagonIE_Sodium_Core32_Int64

Références $return, et $unsignedInt.

◆ toReverseString()

toReverseString ( )
Renvoie
string
Exceptions
TypeError

Références ParagonIE_Sodium_Core_Util\intToChr().

◆ toString()

toString ( )
Renvoie
string
Exceptions
TypeError

Références ParagonIE_Sodium_Core_Util\intToChr().

Référencé par __toString().

◆ xorInt64()

xorInt64 ( ParagonIE_Sodium_Core32_Int64 $b )

XOR this 64-bit integer with another.

Paramètres
ParagonIE_Sodium_Core32_Int64 $b
Renvoie
ParagonIE_Sodium_Core32_Int64

Références $b, $return, et $unsignedInt.

Référencé par ParagonIE_Sodium_Core32_BLAKE2b\xor64().

Documentation des champs

◆ $limbs

$limbs = array(0, 0, 0, 0)

◆ $overflow

$overflow = 0

◆ $unsignedInt

$unsignedInt = false

Référencé par __construct(), addInt64(), mulIntFast(), orInt64(), toInt32(), toInt64(), et xorInt64().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Int64.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Poly1305

Fonctions membres publiques statiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Poly1305
+ Graphe d'héritage de ParagonIE_Sodium_Core32_Poly1305:
ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util

Fonctions membres publiques statiques

static | onetimeauth ($m, $key)
static | onetimeauth_verify ($mac, $m, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Champs de données

const BLOCK_SIZE = 16

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core32_Poly1305

Documentation des fonctions membres

◆ onetimeauth()

static onetimeauth | ( | $m,
 |  | $key
 | ) |
static

Références $key, et $state.

◆ onetimeauth_verify()

static onetimeauth_verify | ( | $mac,
 |  | $m,
 |  | $key
 | ) |
static

Références $key, et $state.

Documentation des champs

◆ BLOCK_SIZE

const BLOCK_SIZE = 16
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Poly1305.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Poly1305_State

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe ParagonIE_Sodium_Core32_Poly1305_State
+ Graphe d'héritage de ParagonIE_Sodium_Core32_Poly1305_State:
ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util

Fonctions membres publiques

__construct ($key='')

Champs de données

$h
$r
$pad

Attributs protégés

$buffer = array()
$final = false
$leftover = 0

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core32_Poly1305_State

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $key = '' )

ParagonIE_Sodium_Core32_Poly1305_State constructor.

Références $key, et ParagonIE_Sodium_Core32_Int32\fromReverseString().

Documentation des champs

◆ $buffer

$buffer = array()
protected

◆ $final

$final = false
protected

◆ $h

$h

◆ $leftover

$leftover = 0
protected

◆ $pad

$pad

◆ $r

$r
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Poly1305/State.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Salsa20

Fonctions membres publiques statiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core32_Salsa20
+ Graphe d'héritage de ParagonIE_Sodium_Core32_Salsa20:
ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util ParagonIE_Sodium_Core32_HSalsa20 ParagonIE_Sodium_Core32_XSalsa20

Fonctions membres publiques statiques

static | salsa20 ($len, $nonce, $key)
static | salsa20_xor_ic ($m, $n, $ic, $k)
static | salsa20_xor ($message, $nonce, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Champs de données

const ROUNDS = 20

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core32_Salsa20

Documentation des fonctions membres

◆ salsa20()

static salsa20 | ( | $len,
 |  | $nonce,
 |  | $key
 | ) |
static

Références $i, $key, ParagonIE_Sodium_Compat\memzero(), et null.

◆ salsa20_xor()

static salsa20_xor | ( | $message,
 |  | $nonce,
 |  | $key
 | ) |
static

Références $key, et $message.

◆ salsa20_xor_ic()

static salsa20_xor_ic | ( | $m,
 |  | $n,
 |  | $ic,
 |  | $k
 | ) |
static

Références $i, $n, ParagonIE_Sodium_Compat\memzero(), et null.

Documentation des champs

◆ ROUNDS

const ROUNDS = 20
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Salsa20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_SecretStream_State

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés
Référence de la classe ParagonIE_Sodium_Core32_SecretStream_State

Fonctions membres publiques

__construct ($key, $nonce=null)
counterReset ()
getKey ()
getCounter ()
getNonce ()
getCombinedNonce ()
incrementCounter ()
needsRekey ()
rekey ($newKeyAndNonce)
xorNonce ($str)
toString ()

Fonctions membres publiques statiques

static fromString ($string)

Attributs protégés

$key
$counter
$nonce
$_pad

Description détaillée

Class ParagonIE_Sodium_Core32_SecretStream_State

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $key,
 |  | $nonce = null
 | ) |

ParagonIE_Sodium_Core32_SecretStream_State constructor.

Paramètres
string | $key
string | null | $nonce

Références $key, et $nonce.

Documentation des fonctions membres

◆ counterReset()

counterReset ( )
Renvoie
self

◆ fromString()

static fromString ( $string )
static
Paramètres
string $string
Renvoie
self

Références $state, et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_rekey().

◆ getCombinedNonce()

getCombinedNonce ( )
Renvoie
string

Références getCounter(), getNonce(), et ParagonIE_Sodium_Core_Util\substr().

◆ getCounter()

getCounter ( )
Renvoie
string

Référencé par getCombinedNonce(), et toString().

◆ getKey()

getKey ( )
Renvoie
string

Références $key.

◆ getNonce()

getNonce ( )
Renvoie
string

Références $nonce, et ParagonIE_Sodium_Core_Util\strlen().

Référencé par getCombinedNonce(), et xorNonce().

◆ incrementCounter()

incrementCounter ( )
Renvoie
self

Références $counter.

◆ needsRekey()

needsRekey ( )
Renvoie
bool

◆ rekey()

rekey ( $newKeyAndNonce )
Paramètres
string $newKeyAndNonce
Renvoie
self

Références ParagonIE_Sodium_Core_Util\substr().

◆ toString()

toString ( )
Renvoie
string

Références $_pad, et getCounter().

◆ xorNonce()

xorNonce ( $str )
Paramètres
string $str
Renvoie
self

Références getNonce(), ParagonIE_Sodium_Core_Util\substr(), et ParagonIE_Sodium_Core_Util\xorStrings().

Documentation des champs

◆ $_pad

$_pad
protected

Référencé par toString().

◆ $counter

$counter
protected

Référencé par incrementCounter().

◆ $key

$key
protected

Référencé par __construct(), et getKey().

◆ $nonce

$nonce
protected

Référencé par __construct(), et getNonce().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/SecretStream/State.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_SipHash

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core32_SipHash
+ Graphe d'héritage de ParagonIE_Sodium_Core32_SipHash:
ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util

Fonctions membres publiques statiques

static | sipRound (array $v)
static | sipHash24 ($in, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_SodiumCompat_Core32_SipHash

Only uses 32-bit arithmetic, while the original SipHash used 64-bit integers

Documentation des fonctions membres

◆ sipHash24()

static sipHash24 | ( | $in,
 |  | $key
 | ) |
static

Références $b, $key, ParagonIE_Sodium_Core32_Int64\fromInts(), et ParagonIE_Sodium_Core32_Int64\fromReverseString().

Référencé par ParagonIE_Sodium_Compat\crypto_shorthash().

◆ sipRound()

static sipRound ( array $v )
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/SipHash.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_Util

Référence de la classe ParagonIE_Sodium_Core32_Util
+ Graphe d'héritage de ParagonIE_Sodium_Core32_Util:
ParagonIE_Sodium_Core_Util ParagonIE_Sodium_Core32_ChaCha20 ParagonIE_Sodium_Core32_ChaCha20_Ctx ParagonIE_Sodium_Core32_Curve25519_H ParagonIE_Sodium_Core32_Poly1305 ParagonIE_Sodium_Core32_Poly1305_State ParagonIE_Sodium_Core32_Salsa20 ParagonIE_Sodium_Core32_SipHash ParagonIE_Sodium_Core32_HChaCha20 ParagonIE_Sodium_Core32_ChaCha20_IetfCtx ParagonIE_Sodium_Core32_Curve25519 ParagonIE_Sodium_Core32_HSalsa20 ParagonIE_Sodium_Core32_XChaCha20 ParagonIE_Sodium_Core32_Ed25519 ParagonIE_Sodium_Core32_X25519 ParagonIE_Sodium_Core32_XSalsa20

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_Util

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/Util.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_X25519

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core32_X25519
+ Graphe d'héritage de ParagonIE_Sodium_Core32_X25519:
ParagonIE_Sodium_Core32_Curve25519 ParagonIE_Sodium_Core32_Curve25519_H ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util

Fonctions membres publiques statiques

static | edwards_to_montgomery (ParagonIE_Sodium_Core32_Curve25519_Fe $edwardsY, ParagonIE_Sodium_Core32_Curve25519_Fe $edwardsZ)
static | crypto_scalarmult_curve25519_ref10_base ($n)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core32_Curve25519
static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core32_Curve25519_Fe $f)
static | fe_isnegative (ParagonIE_Sodium_Core32_Curve25519_Fe $f)
static | fe_neg (ParagonIE_Sodium_Core32_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core32_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core32_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core32_Curve25519_Fe $f, ParagonIE_Sodium_Core32_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core32_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | cmov (ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp $u, $b)
static | ge_select ($pos=0, $b=0)
static | ge_sub (ParagonIE_Sodium_Core32_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core32_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core32_Curve25519_Ge_P2 $h)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core32_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1

Description détaillée

Class ParagonIE_Sodium_Core32_X25519

Documentation des fonctions membres

◆ crypto_scalarmult_curve25519_ref10_base()

static crypto_scalarmult_curve25519_ref10_base ( $n )
static

Références $n.

Référencé par ParagonIE_Sodium_Crypto32\scalarmult_base().

◆ edwards_to_montgomery()

static edwards_to_montgomery | ( | ParagonIE_Sodium_Core32_Curve25519_Fe | $edwardsY,
 |  | ParagonIE_Sodium_Core32_Curve25519_Fe | $edwardsZ
 | ) |  |
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/X25519.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_XChaCha20

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core32_XChaCha20
+ Graphe d'héritage de ParagonIE_Sodium_Core32_XChaCha20:
ParagonIE_Sodium_Core32_HChaCha20 ParagonIE_Sodium_Core32_ChaCha20 ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util

Fonctions membres publiques statiques

static | stream ($len=64, $nonce='', $key='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core32_HChaCha20
static | hChaCha20 ($in='', $key='', $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core32_ChaCha20
static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len, $nonce='', $key='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core32_XChaCha20

Documentation des fonctions membres

◆ ietfStreamXorIc()

static ietfStreamXorIc | ( | $message,
 |  | $nonce = '',
 |  | $key = '',
 |  | $ic = ''
 | ) |
static

Références $key, et $message.

◆ stream()

static stream | ( | $len = 64,
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Références $key.

Référencé par ParagonIE_Sodium_Compat\crypto_stream_xchacha20().

◆ streamXorIc()

static streamXorIc | ( | $message,
 |  | $nonce = '',
 |  | $key = '',
 |  | $ic = ''
 | ) |
static

Références $key, et $message.

Référencé par ParagonIE_Sodium_Compat\crypto_stream_xchacha20_xor().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core32/XChaCha20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core32_XSalsa20

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core32_XSalsa20
+ Graphe d'héritage de ParagonIE_Sodium_Core32_XSalsa20:
ParagonIE_Sodium_Core32_HSalsa20 ParagonIE_Sodium_Core32_Salsa20 ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_Util

Fonctions membres publiques statiques

static | xsalsa20 ($len, $nonce, $key)
static | xsalsa20_xor ($message, $nonce, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core32_Salsa20
static | salsa20 ($len, $nonce, $key)
static | salsa20_xor_ic ($m, $n, $ic, $k)
static | salsa20_xor ($message, $nonce, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Champs de données hérités de ParagonIE_Sodium_Core32_Salsa20
const | ROUNDS = 20
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core32_XSalsa20

Documentation des fonctions membres

◆ xsalsa20()

static xsalsa20 | ( | $len,
 |  | $nonce,
 |  | $key
 | ) |
static

Expand a key and nonce into an xsalsa20 keystream.

Références $key.

Référencé par ParagonIE_Sodium_Compat\crypto_stream().

◆ xsalsa20_xor()

static xsalsa20_xor | ( | $message,
 |  | $nonce,
 |  | $key
 | ) |
static

Encrypt a string with XSalsa20. Doesn't provide integrity.

Références $key, et $message.

Référencé par ParagonIE_Sodium_Compat\crypto_stream_xor().

La documentation de cette classe a été générée à partir du fichier suivant :
  • 2/XSalsa20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Base64_Common

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Core_Base64_Common

Fonctions membres publiques statiques

static | encode ($src)
static | encodeUnpadded ($src)

Fonctions membres protégées statiques

static | decode6Bits ($src)
static | encode6Bits ($src)

Description détaillée

Class ParagonIE_Sodium_Core_Base64

Copyright (c) 2016 - 2018 Paragon Initiative Enterprises. Copyright (c) 2014 Steve "Sc00bz" Thomas (steve at tobtu dot com)

We have to copy/paste the contents into the variant files because PHP 5.2 doesn't support late static binding, and we have no better workaround available that won't break PHP 7+. Therefore, we're forced to duplicate code.

Documentation des fonctions membres

◆ decode6Bits()

static decode6Bits ( $src )
staticabstractprotected

Uses bitwise operators instead of table-lookups to turn 6-bit integers into 8-bit integers.

Base64 character set: [A-Z] [a-z] [0-9] + / 0x41-0x5a, 0x61-0x7a, 0x30-0x39, 0x2b, 0x2f

Paramètres
int $src
Renvoie
int

◆ encode()

static encode ( $src )
static

Encode into Base64

Base64 character set "[A-Z][a-z][0-9]+/"

Paramètres
string $src
Renvoie
string
Exceptions
TypeError

◆ encode6Bits()

static encode6Bits ( $src )
staticabstractprotected

Uses bitwise operators instead of table-lookups to turn 8-bit integers into 6-bit integers.

Paramètres
int $src
Renvoie
string

◆ encodeUnpadded()

static encodeUnpadded ( $src )
static

Encode into Base64, no = padding

Base64 character set "[A-Z][a-z][0-9]+/"

Paramètres
string $src
Renvoie
string
Exceptions
TypeError
La documentation de cette classe a été générée à partir du fichier suivant :
  • Common.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Base64_Original

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Core_Base64_Original

Fonctions membres publiques statiques

static | encode ($src)
static | encodeUnpadded ($src)

Fonctions membres protégées statiques

static | decode6Bits ($src)
static | encode6Bits ($src)

Description détaillée

Class ParagonIE_Sodium_Core_Base64

Copyright (c) 2016 - 2018 Paragon Initiative Enterprises. Copyright (c) 2014 Steve "Sc00bz" Thomas (steve at tobtu dot com)

Documentation des fonctions membres

◆ decode6Bits()

static decode6Bits ( $src )
staticprotected

Uses bitwise operators instead of table-lookups to turn 6-bit integers into 8-bit integers.

Base64 character set: [A-Z] [a-z] [0-9] + / 0x41-0x5a, 0x61-0x7a, 0x30-0x39, 0x2b, 0x2f

Paramètres
int $src
Renvoie
int

◆ encode()

static encode ( $src )
static

Encode into Base64

Base64 character set "[A-Z][a-z][0-9]+/"

Paramètres
string $src
Renvoie
string
Exceptions
TypeError

◆ encode6Bits()

static encode6Bits ( $src )
staticprotected

Uses bitwise operators instead of table-lookups to turn 8-bit integers into 6-bit integers.

Paramètres
int $src
Renvoie
string

◆ encodeUnpadded()

static encodeUnpadded ( $src )
static

Encode into Base64, no = padding

Base64 character set "[A-Z][a-z][0-9]+/"

Paramètres
string $src
Renvoie
string
Exceptions
TypeError
La documentation de cette classe a été générée à partir du fichier suivant :
  • Original.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Base64_UrlSafe

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Core_Base64_UrlSafe

Fonctions membres publiques statiques

static | encode ($src)
static | encodeUnpadded ($src)

Fonctions membres protégées statiques

static | decode6Bits ($src)
static | encode6Bits ($src)

Description détaillée

Class ParagonIE_Sodium_Core_Base64UrlSafe

Copyright (c) 2016 - 2018 Paragon Initiative Enterprises. Copyright (c) 2014 Steve "Sc00bz" Thomas (steve at tobtu dot com)

Documentation des fonctions membres

◆ decode6Bits()

static decode6Bits ( $src )
staticprotected

Uses bitwise operators instead of table-lookups to turn 6-bit integers into 8-bit integers.

Base64 character set: [A-Z] [a-z] [0-9] + / 0x41-0x5a, 0x61-0x7a, 0x30-0x39, 0x2b, 0x2f

Paramètres
int $src
Renvoie
int

◆ encode()

static encode ( $src )
static

Encode into Base64

Base64 character set "[A-Z][a-z][0-9]+/"

Paramètres
string $src
Renvoie
string
Exceptions
TypeError

◆ encode6Bits()

static encode6Bits ( $src )
staticprotected

Uses bitwise operators instead of table-lookups to turn 8-bit integers into 6-bit integers.

Paramètres
int $src
Renvoie
string

◆ encodeUnpadded()

static encodeUnpadded ( $src )
static

Encode into Base64, no = padding

Base64 character set "[A-Z][a-z][0-9]+/"

Paramètres
string $src
Renvoie
string
Exceptions
TypeError
La documentation de cette classe a été générée à partir du fichier suivant :
  • UrlSafe.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_BLAKE2b

Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe ParagonIE_Sodium_Core_BLAKE2b
+ Graphe d'héritage de ParagonIE_Sodium_Core_BLAKE2b:
ParagonIE_Sodium_Core_Util BLAKE2b

Fonctions membres publiques statiques

static | new64 ($high, $low)
static | pseudoConstructor ()
static | G ($r, $i, $a, $b, $c, $d, SplFixedArray $v, SplFixedArray $m)
static | increment_counter ($ctx, $inc)
static | update (SplFixedArray $ctx, SplFixedArray $p, $plen)
static | finish (SplFixedArray $ctx, SplFixedArray $out)
static | init ( $key=null, $outlen=64, $salt=null, $personal=null)
static | stringToSplFixedArray ($str='')
static | stringToContext ($string)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Champs de données

const | BLOCKBYTES = 128
const | OUTBYTES = 64
const | KEYBYTES = 64

Fonctions membres protégées statiques

static | to64 ($num)
static | add64 ($x, $y)
static | add364 ($x, $y, $z)
static | xor64 (SplFixedArray $x, SplFixedArray $y)
static | flatten64 ($x)
static | context ()
static | compress (SplFixedArray $ctx, SplFixedArray $buf)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Attributs protégés statiques

static | $iv
static | $sigma

Description détaillée

Class ParagonIE_Sodium_Core_BLAKE2b

Based on the work of Devi Mandiri in devi/salt.

Documentation des fonctions membres

◆ add364()

static add364 | ( | $x,
 |  | $y,
 |  | $z
 | ) |
staticprotected

◆ add64()

static add64 | ( | $x,
 |  | $y
 | ) |
staticprotected

Adds two 64-bit integers together, returning their sum as a SplFixedArray containing two 32-bit integers (representing a 64-bit integer).

◆ compress()

static compress | ( | SplFixedArray | $ctx,
 |  | SplFixedArray | $buf
 | ) |  |
staticprotected

Références $i, et $r.

◆ context()

static context ( )
staticprotected

Returns a fresh BLAKE2 context.

Références $i.

◆ finish()

static finish | ( | SplFixedArray | $ctx,
 |  | SplFixedArray | $out
 | ) |  |
static

Références $i, et SplFixedArray\getSize().

◆ flatten64()

static flatten64 ( $x )
staticprotected

◆ G()

static G | ( |  | $r,
 |  |  | $i,
 |  |  | $a,
 |  |  | $b,
 |  |  | $c,
 |  |  | $d,
 |  | SplFixedArray | $v,
 |  | SplFixedArray | $m
 | ) |  |
static

Références $b, $i, et $r.

◆ increment_counter()

static increment_counter | ( | $ctx,
 |  | $inc
 | ) |
static

◆ init()

static init | ( | $key = null,
 |  | $outlen = 64,
 |  | $salt = null,
 |  | $personal = null
 | ) |
static

Références $i, $key, et null.

◆ new64()

static new64 | ( | $high,
 |  | $low
 | ) |
static

Turn two 32-bit integers into a fixed array representing a 64-bit integer.

◆ pseudoConstructor()

static pseudoConstructor ( )
static

This just sets the $iv static variable.

◆ stringToContext()

static stringToContext ( $string )
static

Creates an SplFixedArray containing other SplFixedArray elements, from a string (compatible with {init, update, final})

Références $i, et SplFixedArray\fromArray().

◆ stringToSplFixedArray()

static stringToSplFixedArray ( $str = '' )
static

Convert a string into an SplFixedArray of integers

Références SplFixedArray\fromArray().

◆ to64()

static to64 ( $num )
staticprotected

Convert an arbitrary number into an SplFixedArray of two 32-bit integers that represents a 64-bit integer.

◆ update()

static update | ( | SplFixedArray | $ctx,
 |  | SplFixedArray | $p,
 |  |  | $plen
 | ) |  |
static

Références $i, et $offset.

◆ xor64()

static xor64 | ( | SplFixedArray | $x,
 |  | SplFixedArray | $y
 | ) |  |
staticprotected

Documentation des champs

◆ $iv

$iv
staticprotected

◆ $sigma

$sigma
staticprotected
Valeur initiale :
= array(
array( 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15),
array( 14, 10, 4, 8, 9, 15, 13, 6, 1, 12, 0, 2, 11, 7, 5, 3),
array( 11, 8, 12, 0, 5, 2, 15, 13, 10, 14, 3, 6, 7, 1, 9, 4),
array( 7, 9, 3, 1, 13, 12, 11, 14, 2, 6, 5, 10, 4, 0, 15, 8),
array( 9, 0, 5, 7, 2, 4, 10, 15, 14, 1, 11, 12, 6, 8, 3, 13),
array( 2, 12, 6, 10, 0, 11, 8, 3, 4, 13, 7, 5, 15, 14, 1, 9),
array( 12, 5, 1, 15, 14, 13, 4, 10, 0, 7, 6, 3, 9, 2, 8, 11),
array( 13, 11, 7, 14, 12, 1, 3, 9, 5, 0, 15, 4, 8, 6, 2, 10),
array( 6, 15, 14, 9, 11, 3, 0, 8, 12, 2, 13, 7, 1, 4, 10, 5),
array( 10, 2, 8, 4, 7, 6, 1, 5, 15, 11, 9, 14, 3, 12, 13 , 0),
array( 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15),
array( 14, 10, 4, 8, 9, 15, 13, 6, 1, 12, 0, 2, 11, 7, 5, 3)
)

◆ BLOCKBYTES

const BLOCKBYTES = 128

◆ KEYBYTES

const KEYBYTES = 64

◆ OUTBYTES

const OUTBYTES = 64
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/BLAKE2b.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_ChaCha20

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core_ChaCha20
+ Graphe d'héritage de ParagonIE_Sodium_Core_ChaCha20:
ParagonIE_Sodium_Core_Util ChaCha20 ParagonIE_Sodium_Core_HChaCha20 HChaCha20 ParagonIE_Sodium_Core_XChaCha20 XChaCha20

Fonctions membres publiques statiques

static | rotate ($v, $n)
static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len, $nonce='', $key='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_ChaCha20

Documentation des fonctions membres

◆ ietfStream()

static ietfStream | ( | $len,
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Références $key.

◆ ietfStreamXorIc()

static ietfStreamXorIc | ( | $message,
 |  | $nonce = '',
 |  | $key = '',
 |  | $ic = ''
 | ) |
static

Références $key, et $message.

Référencé par ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_rekey().

◆ rotate()

static rotate | ( | $v,
 |  | $n
 | ) |
static

Bitwise left rotation

Références $n.

◆ stream()

static stream | ( | $len = 64,
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Références $key.

◆ streamXorIc()

static streamXorIc | ( | $message,
 |  | $nonce = '',
 |  | $key = '',
 |  | $ic = ''
 | ) |
static

Références $key, et $message.

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/ChaCha20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_ChaCha20_Ctx

Fonctions membres publiques | Attributs protégés
Référence de la classe ParagonIE_Sodium_Core_ChaCha20_Ctx
+ Graphe d'héritage de ParagonIE_Sodium_Core_ChaCha20_Ctx:
ParagonIE_Sodium_Core_Util Ctx ParagonIE_Sodium_Core_ChaCha20_IetfCtx IetfCtx

Fonctions membres publiques

__construct ($key='', $iv='', $counter='')
offsetSet ($offset, $value)
offsetExists ($offset)
offsetUnset ($offset)
offsetGet ($offset)

Attributs protégés

$container

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_ChaCha20_Ctx

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $key = '',
 |  | $iv = '',
 |  | $counter = ''
 | ) |

ParagonIE_Sodium_Core_ChaCha20_Ctx constructor.

Références $counter, et $key.

Documentation des fonctions membres

◆ offsetExists()

offsetExists ( $offset )

Références $offset.

◆ offsetGet()

offsetGet ( $offset )

Références $offset, et null.

◆ offsetSet()

offsetSet | ( | $offset,
 |  | $value
 | ) |

Références $offset, et $value.

◆ offsetUnset()

offsetUnset ( $offset )

Références $offset.

Documentation des champs

◆ $container

$container
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/ChaCha20/Ctx.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_ChaCha20_IetfCtx

Fonctions membres publiques
Référence de la classe ParagonIE_Sodium_Core_ChaCha20_IetfCtx
+ Graphe d'héritage de ParagonIE_Sodium_Core_ChaCha20_IetfCtx:
ParagonIE_Sodium_Core_ChaCha20_Ctx ParagonIE_Sodium_Core_Util IetfCtx

Fonctions membres publiques

__construct ($key='', $iv='', $counter='')
- Fonctions membres publiques hérités de ParagonIE_Sodium_Core_ChaCha20_Ctx
__construct ($key='', $iv='', $counter='')
offsetSet ($offset, $value)
offsetExists ($offset)
offsetUnset ($offset)
offsetGet ($offset)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés hérités de ParagonIE_Sodium_Core_ChaCha20_Ctx
$container

Description détaillée

Class ParagonIE_Sodium_Core_ChaCha20_IetfCtx

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $key = '',
 |  | $iv = '',
 |  | $counter = ''
 | ) |

ParagonIE_Sodium_Core_ChaCha20_IetfCtx constructor.

Références $counter, et $key.

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/ChaCha20/IetfCtx.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Curve25519

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core_Curve25519
+ Graphe d'héritage de ParagonIE_Sodium_Core_Curve25519:
ParagonIE_Sodium_Core_Curve25519_H ParagonIE_Sodium_Core_Util Curve25519 ParagonIE_Sodium_Core_Ed25519 ParagonIE_Sodium_Core_X25519 Ed25519 ParagonIE_Sodium_Core_Ristretto255 X25519

Fonctions membres publiques statiques

static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_frombytes ($s)
static | fe_isnegative (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_mul (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | fe_neg (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq2 (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | negative ($char)
static | cmov (ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $u, $b)
static | ge_cmov_cached (ParagonIE_Sodium_Core_Curve25519_Ge_Cached $t, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $u, $b)
static | ge_cmov8_cached (array $cached, $b)
static | ge_sub (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $h)
static | sc25519_mul ($a, $b)
static | sc25519_sq ($s)
static | sc25519_sqmul ($s, $n, $a)
static | sc25519_invert ($s)
static | clamp ($s)
static | fe_normalize (ParagonIE_Sodium_Core_Curve25519_Fe $f)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_H
const | L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1
static | $invsqrtamd
static | $sqrtadm1
static | $onemsqd
static | $sqdmone

Description détaillée

Class ParagonIE_Sodium_Core_Curve25519

Implements Curve25519 core functions

Based on the ref10 curve25519 code provided by libsodium

https://github.com/jedisct1/libsodium/blob/master/src/libsodium/crypto_core/curve25519/ref10/curve25519_ref10.c

Documentation des fonctions membres

◆ clamp()

static clamp ( $s )
static
Paramètres
string $s
Renvoie
string

◆ cmov()

static cmov | ( | ParagonIE_Sodium_Core_Curve25519_Ge_Precomp | $t,
 |  | ParagonIE_Sodium_Core_Curve25519_Ge_Precomp | $u,
 |  |  | $b
 | ) |  |
static

Conditional move

Références $b.

◆ equal()

static equal | ( | $b,
 |  | $c
 | ) |
static

Références $b.

◆ fe_0()

static fe_0 ( )
static

Get a field element of size 10 with a value of 0

◆ fe_1()

static fe_1 ( )
static

Get a field element of size 10 with a value of 1

◆ fe_copy()

static fe_copy ( ParagonIE_Sodium_Core_Curve25519_Fe $f )
static

Create a copy of a field element.

◆ fe_frombytes()

static fe_frombytes ( $s )
static

Give: 32-byte string. Receive: A field element object to use for internal calculations.

◆ fe_invert()

static fe_invert ( ParagonIE_Sodium_Core_Curve25519_Fe $Z )
static

Références $i.

◆ fe_isnegative()

static fe_isnegative ( ParagonIE_Sodium_Core_Curve25519_Fe $f )
static

Is a field element negative? (1 = yes, 0 = no. Used in calculations.)

◆ fe_mul()

static fe_mul | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $f,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $g
 | ) |  |
static

Multiply two field elements

h = f * g

Références $g.

◆ fe_neg()

static fe_neg ( ParagonIE_Sodium_Core_Curve25519_Fe $f )
static

Get the negative values for each piece of the field element.

h = -f

Références $i.

◆ fe_normalize()

static fe_normalize ( ParagonIE_Sodium_Core_Curve25519_Fe $f )
static

Ensure limbs are less than 28 bits long to prevent float promotion.

This uses a constant-time conditional swap under the hood.

Paramètres
ParagonIE_Sodium_Core_Curve25519_Fe $f
Renvoie
ParagonIE_Sodium_Core_Curve25519_Fe

Références $b, $g, et $i.

◆ fe_pow22523()

static fe_pow22523 ( ParagonIE_Sodium_Core_Curve25519_Fe $z )
static

Références $i.

◆ fe_sq()

static fe_sq ( ParagonIE_Sodium_Core_Curve25519_Fe $f )
static

Square a field element

h = f * f

◆ fe_sq2()

static fe_sq2 ( ParagonIE_Sodium_Core_Curve25519_Fe $f )
static

Square and double a field element

h = 2 * f * f

◆ fe_sub()

static fe_sub | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $f,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $g
 | ) |  |
static

Subtract two field elements.

h = f - g

Preconditions: |f| bounded by 1.1*2^25,1.1*2^24,1.1*2^25,1.1*2^24,etc. |g| bounded by 1.1*2^25,1.1*2^24,1.1*2^25,1.1*2^24,etc.

Postconditions: |h| bounded by 1.1*2^26,1.1*2^25,1.1*2^26,1.1*2^25,etc.

Références $g.

◆ ge_add()

static ge_add | ( | ParagonIE_Sodium_Core_Curve25519_Ge_P3 | $p,
 |  | ParagonIE_Sodium_Core_Curve25519_Ge_Cached | $q
 | ) |  |
static

Add two group elements.

r = p + q

Références $r.

◆ ge_cmov8_cached()

static ge_cmov8_cached | ( | array | $cached,
 |  |  | $b
 | ) |  |
static
Paramètres
ParagonIE_Sodium_Core_Curve25519_Ge_Cached[] | $cached
int | $b
Renvoie
ParagonIE_Sodium_Core_Curve25519_Ge_Cached
Exceptions
SodiumException

Références $b.

◆ ge_cmov_cached()

static ge_cmov_cached | ( | ParagonIE_Sodium_Core_Curve25519_Ge_Cached | $t,
 |  | ParagonIE_Sodium_Core_Curve25519_Ge_Cached | $u,
 |  |  | $b
 | ) |  |
static
Paramètres
ParagonIE_Sodium_Core_Curve25519_Ge_Cached | $t
ParagonIE_Sodium_Core_Curve25519_Ge_Cached | $u
int | $b
Renvoie
ParagonIE_Sodium_Core_Curve25519_Ge_Cached

Références $b.

◆ ge_madd()

static ge_madd | ( | ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 | $R,
 |  | ParagonIE_Sodium_Core_Curve25519_Ge_P3 | $p,
 |  | ParagonIE_Sodium_Core_Curve25519_Ge_Precomp | $q
 | ) |  |
static

Références $r.

◆ ge_msub()

static ge_msub | ( | ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 | $R,
 |  | ParagonIE_Sodium_Core_Curve25519_Ge_P3 | $p,
 |  | ParagonIE_Sodium_Core_Curve25519_Ge_Precomp | $q
 | ) |  |
static

Références $r.

◆ ge_p1p1_to_p2()

static ge_p1p1_to_p2 ( ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p )
static

Références $r.

◆ ge_p1p1_to_p3()

static ge_p1p1_to_p3 ( ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p )
static

Références $r.

◆ ge_p2_0()

static ge_p2_0 ( )
static

◆ ge_p2_dbl()

static ge_p2_dbl ( ParagonIE_Sodium_Core_Curve25519_Ge_P2 $p )
static

Références $r.

◆ ge_p3_0()

static ge_p3_0 ( )
static

◆ ge_p3_dbl()

static ge_p3_dbl ( ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p )
static

◆ ge_p3_to_p2()

static ge_p3_to_p2 ( ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p )
static

◆ ge_p3_tobytes()

static ge_p3_tobytes ( ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h )
static

◆ ge_precomp_0()

static ge_precomp_0 ( )
static
Renvoie
ParagonIE_Sodium_Core_Curve25519_Ge_Precomp

◆ ge_sub()

static ge_sub | ( | ParagonIE_Sodium_Core_Curve25519_Ge_P3 | $p,
 |  | ParagonIE_Sodium_Core_Curve25519_Ge_Cached | $q
 | ) |  |
static

Subtract two group elements.

r = p - q

Références $r.

◆ ge_tobytes()

static ge_tobytes ( ParagonIE_Sodium_Core_Curve25519_Ge_P2 $h )
static

Convert a group element to a byte string.

Paramètres
ParagonIE_Sodium_Core_Curve25519_Ge_P2 $h
Renvoie
string
Exceptions
SodiumException
TypeError

◆ negative()

static negative ( $char )
static

◆ sc25519_invert()

static sc25519_invert ( $s )
static
Paramètres
string $s
Renvoie
string

◆ sc25519_mul()

static sc25519_mul | ( | $a,
 |  | $b
 | ) |
static
Paramètres
string | $a
string | $b
Renvoie
string

Références $b.

◆ sc25519_sq()

static sc25519_sq ( $s )
static
Paramètres
string $s
Renvoie
string

◆ sc25519_sqmul()

static sc25519_sqmul | ( | $s,
 |  | $n,
 |  | $a
 | ) |
static
Paramètres
string | $s
int | $n
string | $a
Renvoie
string

Références $i, et $n.

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Curve25519.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Curve25519_Fe

Fonctions membres publiques | Attributs protégés
Référence de la classe ParagonIE_Sodium_Core_Curve25519_Fe
+ Graphe d'héritage de ParagonIE_Sodium_Core_Curve25519_Fe:
Fe

Fonctions membres publiques

offsetSet ($offset, $value)
offsetExists ($offset)
offsetUnset ($offset)
offsetGet ($offset)
__debugInfo ()

Attributs protégés

$container = array()
$size = 10

Description détaillée

Class ParagonIE_Sodium_Core_Curve25519_Fe

This represents a Field Element

Documentation des fonctions membres

◆ __debugInfo()

__debugInfo ( )

◆ offsetExists()

offsetExists ( $offset )

Références $offset.

◆ offsetGet()

offsetGet ( $offset )

Références $offset.

◆ offsetSet()

offsetSet | ( | $offset,
 |  | $value
 | ) |

Références $offset, et $value.

◆ offsetUnset()

offsetUnset ( $offset )

Références $offset.

Documentation des champs

◆ $container

$container = array()
protected

◆ $size

$size = 10
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Curve25519/Fe.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_Cached

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_Cached
+ Graphe d'héritage de ParagonIE_Sodium_Core_Curve25519_Ge_Cached:
Cached

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core_Curve25519_Fe $YplusX=null, ParagonIE_Sodium_Core_Curve25519_Fe $YminusX=null, ParagonIE_Sodium_Core_Curve25519_Fe $Z=null, ParagonIE_Sodium_Core_Curve25519_Fe $T2d=null)

Champs de données

$YplusX
$YminusX
$Z
$T2d

Description détaillée

Class ParagonIE_Sodium_Core_Curve25519_Ge_Cached

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $YplusX = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $YminusX = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $Z = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $T2d = null
 | ) |  |

ParagonIE_Sodium_Core_Curve25519_Ge_Cached constructor.

Références $T2d, $YminusX, $YplusX, $Z, et null.

Documentation des champs

◆ $T2d

$T2d

Référencé par __construct().

◆ $YminusX

$YminusX

Référencé par __construct().

◆ $YplusX

$YplusX

Référencé par __construct().

◆ $Z

$Z

Référencé par __construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Curve25519/Ge/Cached.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_P1p1

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_P1p1
+ Graphe d'héritage de ParagonIE_Sodium_Core_Curve25519_Ge_P1p1:
P1p1

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core_Curve25519_Fe $x=null, ParagonIE_Sodium_Core_Curve25519_Fe $y=null, ParagonIE_Sodium_Core_Curve25519_Fe $z=null, ParagonIE_Sodium_Core_Curve25519_Fe $t=null)

Champs de données

$X
$Y
$Z
$T

Description détaillée

Class ParagonIE_Sodium_Core_Curve25519_Ge_P1p1

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $x = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $y = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $z = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $t = null
 | ) |  |

ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 constructor.

Références null.

Documentation des champs

◆ $T

$T

◆ $X

$X

◆ $Y

$Y

◆ $Z

$Z
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Curve25519/Ge/P1p1.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_P2

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_P2
+ Graphe d'héritage de ParagonIE_Sodium_Core_Curve25519_Ge_P2:
P2

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core_Curve25519_Fe $x=null, ParagonIE_Sodium_Core_Curve25519_Fe $y=null, ParagonIE_Sodium_Core_Curve25519_Fe $z=null)

Champs de données

$X
$Y
$Z

Description détaillée

Class ParagonIE_Sodium_Core_Curve25519_Ge_P2

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $x = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $y = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $z = null
 | ) |  |

ParagonIE_Sodium_Core_Curve25519_Ge_P2 constructor.

Références null.

Documentation des champs

◆ $X

$X

◆ $Y

$Y

◆ $Z

$Z
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Curve25519/Ge/P2.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_P3

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_P3
+ Graphe d'héritage de ParagonIE_Sodium_Core_Curve25519_Ge_P3:
P3

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core_Curve25519_Fe $x=null, ParagonIE_Sodium_Core_Curve25519_Fe $y=null, ParagonIE_Sodium_Core_Curve25519_Fe $z=null, ParagonIE_Sodium_Core_Curve25519_Fe $t=null)

Champs de données

$X
$Y
$Z
$T

Description détaillée

Class ParagonIE_Sodium_Core_Curve25519_Ge_P3

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $x = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $y = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $z = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $t = null
 | ) |  |

ParagonIE_Sodium_Core_Curve25519_Ge_P3 constructor.

Références null.

Documentation des champs

◆ $T

$T

◆ $X

$X

◆ $Y

$Y

◆ $Z

$Z
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Curve25519/Ge/P3.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_Precomp

Fonctions membres publiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
+ Graphe d'héritage de ParagonIE_Sodium_Core_Curve25519_Ge_Precomp:
Precomp

Fonctions membres publiques

__construct (ParagonIE_Sodium_Core_Curve25519_Fe $yplusx=null, ParagonIE_Sodium_Core_Curve25519_Fe $yminusx=null, ParagonIE_Sodium_Core_Curve25519_Fe $xy2d=null)

Champs de données

$yplusx
$yminusx
$xy2d

Description détaillée

Class ParagonIE_Sodium_Core_Curve25519_Ge_Precomp

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $yplusx = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $yminusx = null,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $xy2d = null
 | ) |  |

ParagonIE_Sodium_Core_Curve25519_Ge_Precomp constructor.

Références $xy2d, $yminusx, $yplusx, et null.

Documentation des champs

◆ $xy2d

$xy2d

Référencé par __construct().

◆ $yminusx

$yminusx

Référencé par __construct().

◆ $yplusx

$yplusx

Référencé par __construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Curve25519/Ge/Precomp.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Curve25519_H

Champs de données | Attributs protégés statiques
Référence de la classe ParagonIE_Sodium_Core_Curve25519_H
+ Graphe d'héritage de ParagonIE_Sodium_Core_Curve25519_H:
ParagonIE_Sodium_Core_Util H ParagonIE_Sodium_Core_Curve25519 Curve25519 ParagonIE_Sodium_Core_Ed25519 ParagonIE_Sodium_Core_X25519 Ed25519 ParagonIE_Sodium_Core_Ristretto255 X25519

Champs de données

const L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"

Attributs protégés statiques

static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1
static | $invsqrtamd
static | $sqrtadm1
static | $onemsqd
static | $sqdmone

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_Curve25519_H

This just contains the constants in the ref10/base.h file

Documentation des champs

◆ $base

$base
staticprotected

◆ $base2

$base2
staticprotected

◆ $d

$d
staticprotected
Valeur initiale :
= array(
-10913610,
13857413,
-15372611,
6949391,
114729,
-8787816,
-6275908,
-3247719,
-18696448,
-12055116
)

Référencé par ParagonIE_Sodium_Core_Ristretto255\ristretto255_elligator(), et ParagonIE_Sodium_Core_Ristretto255\ristretto255_point_is_canonical().

◆ $d2

$d2
staticprotected
Valeur initiale :
= array(
-21827239,
-5839606,
-30745221,
13898782,
229458,
15978800,
-12551817,
-6495438,
29715968,
9444199
)

◆ $invsqrtamd

$invsqrtamd
staticprotected
Valeur initiale :
= array(
6111485,
4156064,
-27798727,
12243468,
-25904040,
120897,
20826367,
-7060776,
6093568,
-1986012
)

Référencé par ParagonIE_Sodium_Core_Ristretto255\ristretto255_p3_tobytes().

◆ $onemsqd

$onemsqd
staticprotected
Valeur initiale :
= array(
6275446,
-16617371,
-22938544,
-3773710,
11667077,
7397348,
-27922721,
1766195,
-24433858,
672203
)

Référencé par ParagonIE_Sodium_Core_Ristretto255\ristretto255_elligator().

◆ $sqdmone

$sqdmone
staticprotected
Valeur initiale :
= array(
15551795,
-11097455,
-13425098,
-10125071,
-11896535,
10178284,
-26634327,
4729244,
-5282110,
-10116402
)

Référencé par ParagonIE_Sodium_Core_Ristretto255\ristretto255_elligator().

◆ $sqrtadm1

$sqrtadm1
staticprotected
Valeur initiale :
= array(
24849947,
-153582,
-23613485,
6347715,
-21072328,
-667138,
-25271143,
-15367704,
-870347,
14525639
)

Référencé par ParagonIE_Sodium_Core_Ristretto255\ristretto255_elligator().

◆ $sqrtm1

$sqrtm1
staticprotected
Valeur initiale :
= array(
-32595792,
-7943725,
9377950,
3500415,
12389472,
-272473,
-25146209,
-2005654,
326686,
11406482
)

Référencé par ParagonIE_Sodium_Core_Ristretto255\ristretto255_elligator(), ParagonIE_Sodium_Core_Ristretto255\ristretto255_p3_tobytes(), et ParagonIE_Sodium_Core_Ristretto255\ristretto255_sqrt_ratio_m1().

◆ L

const L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Curve25519/H.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Ed25519

Fonctions membres publiques statiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core_Ed25519
+ Graphe d'héritage de ParagonIE_Sodium_Core_Ed25519:
ParagonIE_Sodium_Core_Curve25519 ParagonIE_Sodium_Core_Curve25519_H ParagonIE_Sodium_Core_Util Ed25519 ParagonIE_Sodium_Core_Ristretto255

Fonctions membres publiques statiques

static | keypair ()
static | secretkey ($keypair)
static | publickey ($keypair)
static | pk_to_curve25519 ($pk)
static | sk_to_pk ($sk)
static | sign_detached ($message, $sk)
static | scalar_complement ($s)
static | scalar_random ()
static | scalar_negate ($s)
static | scalar_add ($a, $b)
static | scalar_sub ($x, $y)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Curve25519
static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_frombytes ($s)
static | fe_isnegative (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_mul (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | fe_neg (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq2 (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | negative ($char)
static | cmov (ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $u, $b)
static | ge_cmov_cached (ParagonIE_Sodium_Core_Curve25519_Ge_Cached $t, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $u, $b)
static | ge_cmov8_cached (array $cached, $b)
static | ge_sub (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $h)
static | sc25519_mul ($a, $b)
static | sc25519_sq ($s)
static | sc25519_sqmul ($s, $n, $a)
static | sc25519_invert ($s)
static | clamp ($s)
static | fe_normalize (ParagonIE_Sodium_Core_Curve25519_Fe $f)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Champs de données

const | KEYPAIR_BYTES = 96
const | SEED_BYTES = 32
const | SCALAR_BYTES = 32
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_H
const | L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1
static | $invsqrtamd
static | $sqrtadm1
static | $onemsqd
static | $sqdmone

Description détaillée

Class ParagonIE_Sodium_Core_Ed25519

Documentation des fonctions membres

◆ keypair()

static keypair ( )
static

Référencé par ParagonIE_Sodium_Compat\crypto_sign_keypair().

◆ pk_to_curve25519()

static pk_to_curve25519 ( $pk )
static
Paramètres
string $pk
Renvoie
string
Exceptions
SodiumException
TypeError

Référencé par ParagonIE_Sodium_Compat\crypto_sign_ed25519_pk_to_curve25519().

◆ publickey()

static publickey ( $keypair )
static

Référencé par ParagonIE_Sodium_Compat\crypto_sign_publickey().

◆ scalar_add()

static scalar_add | ( | $a,
 |  | $b
 | ) |
static
Paramètres
string | $a
string | $b
Renvoie
string
Exceptions
SodiumException

Références $b, et ParagonIE_Sodium_Compat\add().

◆ scalar_complement()

static scalar_complement ( $s )
static
Paramètres
string $s
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Compat\sub().

◆ scalar_negate()

static scalar_negate ( $s )
static
Paramètres
string $s
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Compat\sub().

◆ scalar_random()

static scalar_random ( )
static
Renvoie
string
Exceptions
SodiumException

Références $r, et ParagonIE_Sodium_Compat\is_zero().

◆ scalar_sub()

static scalar_sub | ( | $x,
 |  | $y
 | ) |
static
Paramètres
string | $x
string | $y
Renvoie
string
Exceptions
SodiumException

◆ secretkey()

static secretkey ( $keypair )
static

Référencé par ParagonIE_Sodium_Compat\crypto_sign_secretkey().

◆ sign_detached()

static sign_detached | ( | $message,
 |  | $sk
 | ) |
static

Références $message, ParagonIE_Sodium_Core_Util\hash_update(), ParagonIE_Sodium_Compat\memzero(), et null.

Référencé par ParagonIE_Sodium_Crypto\sign_detached().

◆ sk_to_pk()

static sk_to_pk ( $sk )
static

Documentation des champs

◆ KEYPAIR_BYTES

const KEYPAIR_BYTES = 96

◆ SCALAR_BYTES

const SCALAR_BYTES = 32

◆ SEED_BYTES

const SEED_BYTES = 32
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Ed25519.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_HChaCha20

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Core_HChaCha20
+ Graphe d'héritage de ParagonIE_Sodium_Core_HChaCha20:
ParagonIE_Sodium_Core_ChaCha20 ParagonIE_Sodium_Core_Util HChaCha20 ParagonIE_Sodium_Core_XChaCha20 XChaCha20

Fonctions membres publiques statiques

static | hChaCha20 ($in='', $key='', $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_ChaCha20
static | rotate ($v, $n)
static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len, $nonce='', $key='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Fonctions membres protégées statiques

static | hChaCha20Bytes (array $ctx)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_HChaCha20

Documentation des fonctions membres

◆ hChaCha20()

static hChaCha20 | ( | $in = '',
 |  | $key = '',
 |  | $c = null
 | ) |
static
Paramètres
string | $in
string | $key
string | null | $c
Renvoie
string
Exceptions
TypeError

Références $key, et null.

Référencé par ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_pull(), et ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_push().

◆ hChaCha20Bytes()

static hChaCha20Bytes ( array $ctx )
staticprotected
Paramètres
array $ctx
Renvoie
string
Exceptions
TypeError

Références $i.

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/HChaCha20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_HSalsa20

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core_HSalsa20
+ Graphe d'héritage de ParagonIE_Sodium_Core_HSalsa20:
ParagonIE_Sodium_Core_Salsa20 ParagonIE_Sodium_Core_Util HSalsa20 ParagonIE_Sodium_Core_XSalsa20 Xsalsa20

Fonctions membres publiques statiques

static | hsalsa20 ($in, $k, $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Salsa20
static | core_salsa20 ($in, $k, $c=null)
static | salsa20 ($len, $nonce, $key)
static | salsa20_xor_ic ($m, $n, $ic, $k)
static | salsa20_xor ($message, $nonce, $key)
static | rotate ($u, $c)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Champs de données hérités de ParagonIE_Sodium_Core_Salsa20
const | ROUNDS = 20
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_HSalsa20

Documentation des fonctions membres

◆ hsalsa20()

static hsalsa20 | ( | $in,
 |  | $k,
 |  | $c = null
 | ) |
static

Calculate an hsalsa20 hash of a single block

HSalsa20 doesn't have a counter and will never be used for more than one block (used to derive a subkey for xsalsa20).

Références $i, et null.

Référencé par ParagonIE_Sodium_Crypto\box_beforenm().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/HSalsa20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Poly1305

Fonctions membres publiques statiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core_Poly1305
+ Graphe d'héritage de ParagonIE_Sodium_Core_Poly1305:
ParagonIE_Sodium_Core_Util Poly1305

Fonctions membres publiques statiques

static | onetimeauth ($m, $key)
static | onetimeauth_verify ($mac, $m, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Champs de données

const BLOCK_SIZE = 16

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_Poly1305

Documentation des fonctions membres

◆ onetimeauth()

static onetimeauth | ( | $m,
 |  | $key
 | ) |
static

Références $key, et $state.

◆ onetimeauth_verify()

static onetimeauth_verify | ( | $mac,
 |  | $m,
 |  | $key
 | ) |
static

Références $key, et $state.

Documentation des champs

◆ BLOCK_SIZE

const BLOCK_SIZE = 16
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Poly1305.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Poly1305_State

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe ParagonIE_Sodium_Core_Poly1305_State
+ Graphe d'héritage de ParagonIE_Sodium_Core_Poly1305_State:
ParagonIE_Sodium_Core_Util State

Fonctions membres publiques

__construct ($key='')
__destruct ()

Champs de données

$h
$r
$pad

Attributs protégés

$buffer = array()
$final = false
$leftover = 0

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_Poly1305_State

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $key = '' )

ParagonIE_Sodium_Core_Poly1305_State constructor.

Références $key.

◆ __destruct()

__destruct ( )

Zero internal buffer upon destruction

Documentation des champs

◆ $buffer

$buffer = array()
protected

◆ $final

$final = false
protected

◆ $h

$h

◆ $leftover

$leftover = 0
protected

◆ $pad

$pad

◆ $r

$r
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Poly1305/State.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Ristretto255

Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Core_Ristretto255
+ Graphe d'héritage de ParagonIE_Sodium_Core_Ristretto255:
ParagonIE_Sodium_Core_Ed25519 ParagonIE_Sodium_Core_Curve25519 ParagonIE_Sodium_Core_Curve25519_H ParagonIE_Sodium_Core_Util

Fonctions membres publiques statiques

static | fe_cneg (ParagonIE_Sodium_Core_Curve25519_Fe $f, $b)
static | fe_abs (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | ristretto255_sqrt_ratio_m1 (ParagonIE_Sodium_Core_Curve25519_Fe $u, ParagonIE_Sodium_Core_Curve25519_Fe $v)
static | ristretto255_point_is_canonical ($s)
static | ristretto255_frombytes ($s, $skipCanonicalCheck=false)
static | ristretto255_p3_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h)
static | ristretto255_elligator (ParagonIE_Sodium_Core_Curve25519_Fe $t)
static | ristretto255_from_hash ($h)
static | is_valid_point ($p)
static | ristretto255_add ($p, $q)
static | ristretto255_sub ($p, $q)
static | h2c_string_to_hash ($hLen, $ctx, $msg, $hash_alg)
static | ristretto255_random ()
static | ristretto255_scalar_random ()
static | ristretto255_scalar_complement ($s)
static | ristretto255_scalar_invert ($s)
static | ristretto255_scalar_negate ($s)
static | ristretto255_scalar_add ($x, $y)
static | ristretto255_scalar_sub ($x, $y)
static | ristretto255_scalar_mul ($x, $y)
static | ristretto255_scalar_from_string ($ctx, $msg, $hash_alg)
static | ristretto255_scalar_reduce ($s)
static | scalarmult_ristretto255 ($n, $p)
static | scalarmult_ristretto255_base ($n)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Ed25519
static | keypair ()
static | secretkey ($keypair)
static | publickey ($keypair)
static | pk_to_curve25519 ($pk)
static | sk_to_pk ($sk)
static | sign_detached ($message, $sk)
static | scalar_complement ($s)
static | scalar_random ()
static | scalar_negate ($s)
static | scalar_add ($a, $b)
static | scalar_sub ($x, $y)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Curve25519
static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_frombytes ($s)
static | fe_isnegative (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_mul (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | fe_neg (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq2 (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | negative ($char)
static | cmov (ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $u, $b)
static | ge_cmov_cached (ParagonIE_Sodium_Core_Curve25519_Ge_Cached $t, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $u, $b)
static | ge_cmov8_cached (array $cached, $b)
static | ge_sub (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $h)
static | sc25519_mul ($a, $b)
static | sc25519_sq ($s)
static | sc25519_sqmul ($s, $n, $a)
static | sc25519_invert ($s)
static | clamp ($s)
static | fe_normalize (ParagonIE_Sodium_Core_Curve25519_Fe $f)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Champs de données

const | crypto_core_ristretto255_HASHBYTES = 64
const | HASH_SC_L = 48
const | CORE_H2C_SHA256 = 1
const | CORE_H2C_SHA512 = 2
- Champs de données hérités de ParagonIE_Sodium_Core_Ed25519
const | KEYPAIR_BYTES = 96
const | SEED_BYTES = 32
const | SCALAR_BYTES = 32
- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_H
const | L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"

Fonctions membres protégées statiques

static | h2c_string_to_hash_sha256 ($hLen, $ctx, $msg)
static | h2c_string_to_hash_sha512 ($hLen, $ctx, $msg)
static | _string_to_element ($ctx, $msg, $hash_alg)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Membres hérités additionnels

- Attributs protégés statiques hérités de ParagonIE_Sodium_Core_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1
static | $invsqrtamd
static | $sqrtadm1
static | $onemsqd
static | $sqdmone

Description détaillée

Class ParagonIE_Sodium_Core_Ristretto255

Documentation des fonctions membres

◆ _string_to_element()

static _string_to_element | ( | $ctx,
 |  | $msg,
 |  | $hash_alg
 | ) |
staticprotected
Paramètres
?string | $ctx
string | $msg
int | $hash_alg
Renvoie
string
Exceptions
SodiumException

◆ fe_abs()

static fe_abs ( ParagonIE_Sodium_Core_Curve25519_Fe $f )
static
Paramètres
ParagonIE_Sodium_Core_Curve25519_Fe $f
Renvoie
ParagonIE_Sodium_Core_Curve25519_Fe
Exceptions
SodiumException

◆ fe_cneg()

static fe_cneg | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $f,
 |  |  | $b
 | ) |  |
static
Paramètres
ParagonIE_Sodium_Core_Curve25519_Fe | $f
int | $b
Renvoie
ParagonIE_Sodium_Core_Curve25519_Fe

Références $b.

◆ h2c_string_to_hash()

static h2c_string_to_hash | ( | $hLen,
 |  | $ctx,
 |  | $msg,
 |  | $hash_alg
 | ) |
static
Paramètres
int | $hLen
?string | $ctx
string | $msg
int | $hash_alg
Renvoie
string
Exceptions
SodiumException

◆ h2c_string_to_hash_sha256()

static h2c_string_to_hash_sha256 | ( | $hLen,
 |  | $ctx,
 |  | $msg
 | ) |
staticprotected
Paramètres
int | $hLen
?string | $ctx
string | $msg
Renvoie
string
Exceptions
SodiumException -suppress PossiblyInvalidArgument hash API

Références $i.

◆ h2c_string_to_hash_sha512()

static h2c_string_to_hash_sha512 | ( | $hLen,
 |  | $ctx,
 |  | $msg
 | ) |
staticprotected
Paramètres
int | $hLen
?string | $ctx
string | $msg
Renvoie
string
Exceptions
SodiumException -suppress PossiblyInvalidArgument hash API

Références $i.

◆ is_valid_point()

static is_valid_point ( $p )
static
Paramètres
string $p
Renvoie
int
Exceptions
SodiumException

◆ ristretto255_add()

static ristretto255_add | ( | $p,
 |  | $q
 | ) |
static
Paramètres
string | $p
string | $q
Renvoie
string
Exceptions
SodiumException

Référencé par ParagonIE_Sodium_Compat\ristretto255_add().

◆ ristretto255_elligator()

static ristretto255_elligator ( ParagonIE_Sodium_Core_Curve25519_Fe $t )
static
Paramètres
ParagonIE_Sodium_Core_Curve25519_Fe $t
Renvoie
ParagonIE_Sodium_Core_Curve25519_Ge_P3
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Curve25519_H\$d, $n, ParagonIE_Sodium_Core_Curve25519_H\$onemsqd, $r, ParagonIE_Sodium_Core_Curve25519_H\$sqdmone, ParagonIE_Sodium_Core_Curve25519_H\$sqrtadm1, et ParagonIE_Sodium_Core_Curve25519_H\$sqrtm1.

◆ ristretto255_from_hash()

static ristretto255_from_hash ( $h )
static
Paramètres
string $h
Renvoie
string
Exceptions
SodiumException

Référencé par ParagonIE_Sodium_Compat\ristretto255_from_hash().

◆ ristretto255_frombytes()

static ristretto255_frombytes | ( | $s,
 |  | $skipCanonicalCheck = false
 | ) |
static
Paramètres
string | $s
bool | $skipCanonicalCheck
Renvoie
array{h: ParagonIE_Sodium_Core_Curve25519_Ge_P3, res: int}
Exceptions
SodiumException

Référencé par ParagonIE_Sodium_Compat\ristretto255_is_valid_point().

◆ ristretto255_p3_tobytes()

static ristretto255_p3_tobytes ( ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h )
static
Paramètres
ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h
Renvoie
string
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Curve25519_H\$invsqrtamd, et ParagonIE_Sodium_Core_Curve25519_H\$sqrtm1.

◆ ristretto255_point_is_canonical()

static ristretto255_point_is_canonical ( $s )
static
Paramètres
string $s
Renvoie
int
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Curve25519_H\$d, et $i.

Référencé par ParagonIE_Sodium_Compat\ristretto255_is_valid_point().

◆ ristretto255_random()

static ristretto255_random ( )
static
Renvoie
string
Exceptions
SodiumException
Exception

Référencé par ParagonIE_Sodium_Compat\ristretto255_random().

◆ ristretto255_scalar_add()

static ristretto255_scalar_add | ( | $x,
 |  | $y
 | ) |
static
Paramètres
string | $x
string | $y
Renvoie
string

Référencé par ParagonIE_Sodium_Compat\ristretto255_scalar_add().

◆ ristretto255_scalar_complement()

static ristretto255_scalar_complement ( $s )
static
Paramètres
string $s
Renvoie
string
Exceptions
SodiumException

Référencé par ParagonIE_Sodium_Compat\ristretto255_scalar_complement().

◆ ristretto255_scalar_from_string()

static ristretto255_scalar_from_string | ( | $ctx,
 |  | $msg,
 |  | $hash_alg
 | ) |
static
Paramètres
string | $ctx
string | $msg
int | $hash_alg
Renvoie
string
Exceptions
SodiumException

Références $i.

◆ ristretto255_scalar_invert()

static ristretto255_scalar_invert ( $s )
static
Paramètres
string $s
Renvoie
string

Référencé par ParagonIE_Sodium_Compat\ristretto255_scalar_invert().

◆ ristretto255_scalar_mul()

static ristretto255_scalar_mul | ( | $x,
 |  | $y
 | ) |
static
Paramètres
string | $x
string | $y
Renvoie
string

Référencé par ParagonIE_Sodium_Compat\ristretto255_scalar_mul().

◆ ristretto255_scalar_negate()

static ristretto255_scalar_negate ( $s )
static
Paramètres
string $s
Renvoie
string
Exceptions
SodiumException

Référencé par ParagonIE_Sodium_Compat\ristretto255_scalar_negate().

◆ ristretto255_scalar_random()

static ristretto255_scalar_random ( )
static
Renvoie
string
Exceptions
SodiumException

Référencé par ParagonIE_Sodium_Compat\ristretto255_scalar_random().

◆ ristretto255_scalar_reduce()

static ristretto255_scalar_reduce ( $s )
static
Paramètres
string $s
Renvoie
string

◆ ristretto255_scalar_sub()

static ristretto255_scalar_sub | ( | $x,
 |  | $y
 | ) |
static
Paramètres
string | $x
string | $y
Renvoie
string

Référencé par ParagonIE_Sodium_Compat\ristretto255_scalar_sub().

◆ ristretto255_sqrt_ratio_m1()

static ristretto255_sqrt_ratio_m1 | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $u,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $v
 | ) |  |
static
Paramètres
ParagonIE_Sodium_Core_Curve25519_Fe | $u
ParagonIE_Sodium_Core_Curve25519_Fe | $v
Renvoie
array{x: ParagonIE_Sodium_Core_Curve25519_Fe, nonsquare: int}
Exceptions
SodiumException

Références ParagonIE_Sodium_Core_Curve25519_H\$sqrtm1.

◆ ristretto255_sub()

static ristretto255_sub | ( | $p,
 |  | $q
 | ) |
static
Paramètres
string | $p
string | $q
Renvoie
string
Exceptions
SodiumException

Référencé par ParagonIE_Sodium_Compat\ristretto255_sub().

◆ scalarmult_ristretto255()

static scalarmult_ristretto255 | ( | $n,
 |  | $p
 | ) |
static
Paramètres
string | $n
string | $p
Renvoie
string
Exceptions
SodiumException

Références $n, et ParagonIE_Sodium_Compat\is_zero().

Référencé par ParagonIE_Sodium_Compat\scalarmult_ristretto255().

◆ scalarmult_ristretto255_base()

static scalarmult_ristretto255_base ( $n )
static
Paramètres
string $n
Renvoie
string
Exceptions
SodiumException

Références $n, et ParagonIE_Sodium_Compat\is_zero().

Référencé par ParagonIE_Sodium_Compat\scalarmult_ristretto255_base().

Documentation des champs

◆ CORE_H2C_SHA256

const CORE_H2C_SHA256 = 1

◆ CORE_H2C_SHA512

const CORE_H2C_SHA512 = 2

◆ crypto_core_ristretto255_HASHBYTES

const crypto_core_ristretto255_HASHBYTES = 64

◆ HASH_SC_L

const HASH_SC_L = 48
La documentation de cette classe a été générée à partir du fichier suivant :
  • Ristretto255.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Salsa20

Fonctions membres publiques statiques | Champs de données
Référence de la classe ParagonIE_Sodium_Core_Salsa20
+ Graphe d'héritage de ParagonIE_Sodium_Core_Salsa20:
ParagonIE_Sodium_Core_Util Salsa20 ParagonIE_Sodium_Core_HSalsa20 HSalsa20 ParagonIE_Sodium_Core_XSalsa20 Xsalsa20

Fonctions membres publiques statiques

static | core_salsa20 ($in, $k, $c=null)
static | salsa20 ($len, $nonce, $key)
static | salsa20_xor_ic ($m, $n, $ic, $k)
static | salsa20_xor ($message, $nonce, $key)
static | rotate ($u, $c)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Champs de données

const ROUNDS = 20

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_Salsa20

Documentation des fonctions membres

◆ core_salsa20()

static core_salsa20 | ( | $in,
 |  | $k,
 |  | $c = null
 | ) |
static

Calculate an salsa20 hash of a single block

Références $i, et null.

◆ rotate()

static rotate | ( | $u,
 |  | $c
 | ) |
static

◆ salsa20()

static salsa20 | ( | $len,
 |  | $nonce,
 |  | $key
 | ) |
static

Références $i, $key, ParagonIE_Sodium_Compat\memzero(), et null.

◆ salsa20_xor()

static salsa20_xor | ( | $message,
 |  | $nonce,
 |  | $key
 | ) |
static

Références $key, et $message.

◆ salsa20_xor_ic()

static salsa20_xor_ic | ( | $m,
 |  | $n,
 |  | $ic,
 |  | $k
 | ) |
static

Références $i, $n, ParagonIE_Sodium_Compat\memzero(), et null.

Documentation des champs

◆ ROUNDS

const ROUNDS = 20
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Salsa20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_SecretStream_State

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés
Référence de la classe ParagonIE_Sodium_Core_SecretStream_State

Fonctions membres publiques

__construct ($key, $nonce=null)
counterReset ()
getKey ()
getCounter ()
getNonce ()
getCombinedNonce ()
incrementCounter ()
needsRekey ()
rekey ($newKeyAndNonce)
xorNonce ($str)
toString ()

Fonctions membres publiques statiques

static fromString ($string)

Attributs protégés

$key
$counter
$nonce
$_pad

Description détaillée

Class ParagonIE_Sodium_Core_SecretStream_State

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $key,
 |  | $nonce = null
 | ) |

ParagonIE_Sodium_Core_SecretStream_State constructor.

Paramètres
string | $key
string | null | $nonce

Références $key, et $nonce.

Documentation des fonctions membres

◆ counterReset()

counterReset ( )
Renvoie
self

◆ fromString()

static fromString ( $string )
static
Paramètres
string $string
Renvoie
self

Références $state, et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_rekey().

◆ getCombinedNonce()

getCombinedNonce ( )
Renvoie
string

Références getCounter(), getNonce(), et ParagonIE_Sodium_Core_Util\substr().

◆ getCounter()

getCounter ( )
Renvoie
string

Référencé par getCombinedNonce(), et toString().

◆ getKey()

getKey ( )
Renvoie
string

Références $key.

◆ getNonce()

getNonce ( )
Renvoie
string

Références $nonce, et ParagonIE_Sodium_Core_Util\strlen().

Référencé par getCombinedNonce(), et xorNonce().

◆ incrementCounter()

incrementCounter ( )
Renvoie
self

Références $counter.

◆ needsRekey()

needsRekey ( )
Renvoie
bool

◆ rekey()

rekey ( $newKeyAndNonce )
Paramètres
string $newKeyAndNonce
Renvoie
self

Références ParagonIE_Sodium_Core_Util\substr().

◆ toString()

toString ( )
Renvoie
string

Références $_pad, et getCounter().

◆ xorNonce()

xorNonce ( $str )
Paramètres
string $str
Renvoie
self

Références getNonce(), ParagonIE_Sodium_Core_Util\substr(), et ParagonIE_Sodium_Core_Util\xorStrings().

Documentation des champs

◆ $_pad

$_pad
protected

Référencé par toString().

◆ $counter

$counter
protected

Référencé par incrementCounter().

◆ $key

$key
protected

Référencé par __construct(), et getKey().

◆ $nonce

$nonce
protected

Référencé par __construct(), et getNonce().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/SecretStream/State.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_SipHash

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core_SipHash
+ Graphe d'héritage de ParagonIE_Sodium_Core_SipHash:
ParagonIE_Sodium_Core_Util SipHash

Fonctions membres publiques statiques

static | sipRound (array $v)
static | rotl_64 ($int0, $int1, $c)
static | sipHash24 ($in, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_SodiumCompat_Core_SipHash

Only uses 32-bit arithmetic, while the original SipHash used 64-bit integers

Documentation des fonctions membres

◆ rotl_64()

static rotl_64 | ( | $int0,
 |  | $int1,
 |  | $c
 | ) |
static

Références $tmp.

◆ sipHash24()

static sipHash24 | ( | $in,
 |  | $key
 | ) |
static

Implements Siphash-2-4 using only 32-bit numbers.

When we split an int into two, the higher bits go to the lower index. e.g. 0xDEADBEEFAB10C92D becomes [ 0 => 0xDEADBEEF, 1 => 0xAB10C92D ].

Références $b, et $key.

Référencé par ParagonIE_Sodium_Compat\crypto_shorthash().

◆ sipRound()

static sipRound ( array $v )
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/SipHash.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_Util

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Core_Util
+ Graphe d'héritage de ParagonIE_Sodium_Core_Util:
Util ParagonIE_Sodium_Core32_BLAKE2b ParagonIE_Sodium_Core32_Util ParagonIE_Sodium_Core_BLAKE2b ParagonIE_Sodium_Core_ChaCha20 ParagonIE_Sodium_Core_ChaCha20_Ctx ParagonIE_Sodium_Core_Curve25519_H ParagonIE_Sodium_Core_Poly1305 ParagonIE_Sodium_Core_Poly1305_State ParagonIE_Sodium_Core_Salsa20 ParagonIE_Sodium_Core_SipHash ParagonIE_Sodium_File

Fonctions membres publiques statiques

static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Fonctions membres protégées statiques

static hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_Util

Documentation des fonctions membres

◆ compare()

static compare | ( | $left,
 |  | $right,
 |  | $len = null
 | ) |
static

Compares two strings.

Références $i, et null.

Référencé par ParagonIE_Sodium_Compat\compare().

◆ declareScalarType()

static declareScalarType | ( | & | $mixedVar = null,
 |  |  | $type = 'void',
 |  |  | $argumentIndex = 0
 | ) |  |
static

If a variable does not match a given type, throw a TypeError.

Paramètres
mixed | $mixedVar
string | $type
int | $argumentIndex
Exceptions
TypeError
SodiumException
Renvoie
void

Références $type, et null.

Référencé par ParagonIE_Sodium_Compat\bin2hex(), ParagonIE_Sodium_Compat\compare(), ParagonIE_Sodium_Compat\crypto_aead_aes256gcm_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Compat\crypto_auth(), ParagonIE_Sodium_Compat\crypto_auth_verify(), ParagonIE_Sodium_Compat\crypto_box(), ParagonIE_Sodium_Compat\crypto_box_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Compat\crypto_box_open(), ParagonIE_Sodium_Compat\crypto_box_publickey(), ParagonIE_Sodium_Compat\crypto_box_publickey_from_secretkey(), ParagonIE_Sodium_Compat\crypto_box_seal(), ParagonIE_Sodium_Compat\crypto_box_seal_open(), ParagonIE_Sodium_Compat\crypto_box_secretkey(), ParagonIE_Sodium_Compat\crypto_box_seed_keypair(), ParagonIE_Sodium_Compat\crypto_generichash(), ParagonIE_Sodium_Compat\crypto_generichash_final(), ParagonIE_Sodium_Compat\crypto_generichash_init(), ParagonIE_Sodium_Compat\crypto_generichash_init_salt_personal(), ParagonIE_Sodium_Compat\crypto_generichash_update(), ParagonIE_Sodium_Compat\crypto_kdf_derive_from_key(), ParagonIE_Sodium_Compat\crypto_kx(), ParagonIE_Sodium_Compat\crypto_kx_client_session_keys(), ParagonIE_Sodium_Compat\crypto_kx_seed_keypair(), ParagonIE_Sodium_Compat\crypto_kx_server_session_keys(), ParagonIE_Sodium_Compat\crypto_pwhash(), ParagonIE_Sodium_Compat\crypto_pwhash_scryptsalsa208sha256(), ParagonIE_Sodium_Compat\crypto_pwhash_scryptsalsa208sha256_str(), ParagonIE_Sodium_Compat\crypto_pwhash_scryptsalsa208sha256_str_verify(), ParagonIE_Sodium_Compat\crypto_pwhash_str(), ParagonIE_Sodium_Compat\crypto_pwhash_str_verify(), ParagonIE_Sodium_Compat\crypto_scalarmult(), ParagonIE_Sodium_Compat\crypto_scalarmult_base(), ParagonIE_Sodium_Compat\crypto_secretbox(), ParagonIE_Sodium_Compat\crypto_secretbox_open(), ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305(), ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305_open(), ParagonIE_Sodium_Compat\crypto_shorthash(), ParagonIE_Sodium_Compat\crypto_sign(), ParagonIE_Sodium_Compat\crypto_sign_detached(), ParagonIE_Sodium_Compat\crypto_sign_ed25519_pk_to_curve25519(), ParagonIE_Sodium_Compat\crypto_sign_ed25519_sk_to_curve25519(), ParagonIE_Sodium_Compat\crypto_sign_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Compat\crypto_sign_open(), ParagonIE_Sodium_Compat\crypto_sign_publickey(), ParagonIE_Sodium_Compat\crypto_sign_publickey_from_secretkey(), ParagonIE_Sodium_Compat\crypto_sign_secretkey(), ParagonIE_Sodium_Compat\crypto_sign_seed_keypair(), ParagonIE_Sodium_Compat\crypto_sign_verify_detached(), ParagonIE_Sodium_Compat\crypto_stream(), ParagonIE_Sodium_Compat\crypto_stream_xchacha20(), ParagonIE_Sodium_Compat\crypto_stream_xchacha20_xor(), ParagonIE_Sodium_Compat\crypto_stream_xor(), ParagonIE_Sodium_Core32_Int64\fromInt(), ParagonIE_Sodium_Core32_Int64\fromInts(), ParagonIE_Sodium_Core32_Int32\fromReverseString(), ParagonIE_Sodium_Core32_Int64\fromReverseString(), ParagonIE_Sodium_Core32_Int32\fromString(), ParagonIE_Sodium_Core32_Int64\fromString(), ParagonIE_Sodium_Compat\hex2bin(), ParagonIE_Sodium_Compat\increment(), ParagonIE_Sodium_Compat\memzero(), ParagonIE_Sodium_Core32_Curve25519_Fe\offsetSet(), et ParagonIE_Sodium_Compat\unpad().

◆ hash_update()

static hash_update | ( | & | $hs,
 |  |  | $data
 | ) |  |
staticprotected

Catch hash_update() failures and throw instead of silently proceeding

Paramètres
HashContext | resource | &$hs
string | $data
Renvoie
void
Exceptions
SodiumException -suppress PossiblyInvalidArgument

Références $data.

Référencé par ParagonIE_Sodium_Core_Ed25519\sign_detached().

◆ intToChr()

static intToChr ( $int )
static

Cache-timing-safe variant of ord()

Référencé par ParagonIE_Sodium_Compat\crypto_sign_ed25519_sk_to_curve25519(), ParagonIE_Sodium_Compat\increment(), ParagonIE_Sodium_Core32_Int32\toReverseString(), ParagonIE_Sodium_Core32_Int64\toReverseString(), ParagonIE_Sodium_Core32_Int32\toString(), et ParagonIE_Sodium_Core32_Int64\toString().

◆ memcmp()

static memcmp | ( | $left,
 |  | $right
 | ) |
static

◆ strlen()

static strlen ( $str )
static

Safe string length

Référencé par ParagonIE_Sodium_Compat\add(), ParagonIE_Sodium_Crypto32\box_publickey(), ParagonIE_Sodium_Crypto\box_publickey(), ParagonIE_Sodium_Crypto32\box_publickey_from_secretkey(), ParagonIE_Sodium_Crypto\box_publickey_from_secretkey(), ParagonIE_Sodium_Crypto32\box_secretkey(), ParagonIE_Sodium_Crypto\box_secretkey(), ParagonIE_Sodium_Compat\crypto_aead_aes256gcm_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Compat\crypto_auth(), ParagonIE_Sodium_Compat\crypto_auth_verify(), ParagonIE_Sodium_Compat\crypto_box(), ParagonIE_Sodium_Compat\crypto_box_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Compat\crypto_box_open(), ParagonIE_Sodium_Compat\crypto_box_publickey(), ParagonIE_Sodium_Compat\crypto_box_publickey_from_secretkey(), ParagonIE_Sodium_Compat\crypto_box_seal(), ParagonIE_Sodium_Compat\crypto_box_seal_open(), ParagonIE_Sodium_Compat\crypto_box_secretkey(), ParagonIE_Sodium_Compat\crypto_generichash(), ParagonIE_Sodium_Compat\crypto_generichash_init(), ParagonIE_Sodium_Compat\crypto_generichash_init_salt_personal(), ParagonIE_Sodium_Compat\crypto_kdf_derive_from_key(), ParagonIE_Sodium_Compat\crypto_kx(), ParagonIE_Sodium_Compat\crypto_kx_client_session_keys(), ParagonIE_Sodium_Compat\crypto_kx_seed_keypair(), ParagonIE_Sodium_Compat\crypto_kx_server_session_keys(), ParagonIE_Sodium_Compat\crypto_scalarmult(), ParagonIE_Sodium_Compat\crypto_scalarmult_base(), ParagonIE_Sodium_Compat\crypto_secretbox(), ParagonIE_Sodium_Compat\crypto_secretbox_open(), ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305(), ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305_open(), ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_init_pull(), ParagonIE_Sodium_Compat\crypto_shorthash(), ParagonIE_Sodium_Compat\crypto_sign(), ParagonIE_Sodium_Compat\crypto_sign_detached(), ParagonIE_Sodium_Compat\crypto_sign_ed25519_pk_to_curve25519(), ParagonIE_Sodium_Compat\crypto_sign_ed25519_sk_to_curve25519(), ParagonIE_Sodium_Compat\crypto_sign_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Compat\crypto_sign_open(), ParagonIE_Sodium_Compat\crypto_sign_publickey(), ParagonIE_Sodium_Compat\crypto_sign_publickey_from_secretkey(), ParagonIE_Sodium_Compat\crypto_sign_secretkey(), ParagonIE_Sodium_Compat\crypto_sign_verify_detached(), ParagonIE_Sodium_Compat\crypto_stream(), ParagonIE_Sodium_Compat\crypto_stream_xchacha20(), ParagonIE_Sodium_Compat\crypto_stream_xchacha20_xor(), ParagonIE_Sodium_Compat\crypto_stream_xor(), ParagonIE_Sodium_Core32_Int32\fromReverseString(), ParagonIE_Sodium_Core32_Int64\fromReverseString(), ParagonIE_Sodium_Core32_Int32\fromString(), ParagonIE_Sodium_Core32_Int64\fromString(), ParagonIE_Sodium_Core_SecretStream_State\getNonce(), ParagonIE_Sodium_Core32_SecretStream_State\getNonce(), ParagonIE_Sodium_Compat\increment(), ParagonIE_Sodium_Compat\sub(), et ParagonIE_Sodium_Compat\unpad().

◆ substr()

static substr | ( | $str,
 |  | $start = 0,
 |  | $length = null
 | ) |
static

Safe substring

Références $start, elseif, et null.

Référencé par ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Crypto32\auth(), ParagonIE_Sodium_Crypto\auth(), ParagonIE_Sodium_Crypto32\box_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Crypto\box_keypair_from_secretkey_and_publickey(), ParagonIE_Sodium_Crypto32\box_publickey(), ParagonIE_Sodium_Crypto\box_publickey(), ParagonIE_Sodium_Crypto32\box_secretkey(), ParagonIE_Sodium_Crypto\box_secretkey(), ParagonIE_Sodium_Crypto32\box_seed_keypair(), ParagonIE_Sodium_Crypto\box_seed_keypair(), ParagonIE_Sodium_Compat\crypto_kx_client_session_keys(), ParagonIE_Sodium_Compat\crypto_kx_publickey(), ParagonIE_Sodium_Compat\crypto_kx_secretkey(), ParagonIE_Sodium_Compat\crypto_kx_server_session_keys(), ParagonIE_Sodium_Compat\crypto_sign_ed25519_sk_to_curve25519(), ParagonIE_Sodium_Core32_SecretStream_State\fromString(), ParagonIE_Sodium_Core_SecretStream_State\fromString(), ParagonIE_Sodium_Core_SecretStream_State\getCombinedNonce(), ParagonIE_Sodium_Core32_SecretStream_State\getCombinedNonce(), ParagonIE_Sodium_Compat\increment(), ParagonIE_Sodium_Core32_SecretStream_State\rekey(), ParagonIE_Sodium_Core_SecretStream_State\rekey(), ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_pull(), ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_pull(), ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_push(), ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_push(), ParagonIE_Sodium_Compat\unpad(), ParagonIE_Sodium_Core32_SecretStream_State\xorNonce(), et ParagonIE_Sodium_Core_SecretStream_State\xorNonce().

◆ verify_16()

static verify_16 | ( | $a,
 |  | $b
 | ) |
static

Compare a 16-character byte string in constant time.

Références $b.

◆ verify_32()

static verify_32 | ( | $a,
 |  | $b
 | ) |
static

Compare a 32-character byte string in constant time.

Références $b.

◆ xorStrings()

static xorStrings | ( | $a,
 |  | $b
 | ) |
static

Calculate $a ^ $b for two strings.

Références $b.

Référencé par ParagonIE_Sodium_Core_SecretStream_State\xorNonce(), et ParagonIE_Sodium_Core32_SecretStream_State\xorNonce().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/Util.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_X25519

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core_X25519
+ Graphe d'héritage de ParagonIE_Sodium_Core_X25519:
ParagonIE_Sodium_Core_Curve25519 ParagonIE_Sodium_Core_Curve25519_H ParagonIE_Sodium_Core_Util X25519

Fonctions membres publiques statiques

static | fe_cswap (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g, $b=0)
static | edwards_to_montgomery (ParagonIE_Sodium_Core_Curve25519_Fe $edwardsY, ParagonIE_Sodium_Core_Curve25519_Fe $edwardsZ)
static | crypto_scalarmult_curve25519_ref10_base ($n)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Curve25519
static | fe_0 ()
static | fe_1 ()
static | fe_copy (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_frombytes ($s)
static | fe_isnegative (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_mul (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | fe_neg (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_sq2 (ParagonIE_Sodium_Core_Curve25519_Fe $f)
static | fe_invert (ParagonIE_Sodium_Core_Curve25519_Fe $Z)
static | fe_pow22523 (ParagonIE_Sodium_Core_Curve25519_Fe $z)
static | fe_sub (ParagonIE_Sodium_Core_Curve25519_Fe $f, ParagonIE_Sodium_Core_Curve25519_Fe $g)
static | ge_add (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_madd (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_msub (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $R, ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $q)
static | ge_p1p1_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p1p1_to_p3 (ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 $p)
static | ge_p2_0 ()
static | ge_p2_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $p)
static | ge_p3_0 ()
static | ge_p3_to_p2 (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_p3_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $h)
static | ge_p3_dbl (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p)
static | ge_precomp_0 ()
static | equal ($b, $c)
static | negative ($char)
static | cmov (ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $t, ParagonIE_Sodium_Core_Curve25519_Ge_Precomp $u, $b)
static | ge_cmov_cached (ParagonIE_Sodium_Core_Curve25519_Ge_Cached $t, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $u, $b)
static | ge_cmov8_cached (array $cached, $b)
static | ge_sub (ParagonIE_Sodium_Core_Curve25519_Ge_P3 $p, ParagonIE_Sodium_Core_Curve25519_Ge_Cached $q)
static | ge_tobytes (ParagonIE_Sodium_Core_Curve25519_Ge_P2 $h)
static | sc25519_mul ($a, $b)
static | sc25519_sq ($s)
static | sc25519_sqmul ($s, $n, $a)
static | sc25519_invert ($s)
static | clamp ($s)
static | fe_normalize (ParagonIE_Sodium_Core_Curve25519_Fe $f)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Champs de données hérités de ParagonIE_Sodium_Core_Curve25519_H
const | L = "\xed\xd3\xf5\x5c\x1a\x63\x12\x58\xd6\x9c\xf7\xa2\xde\xf9\xde\x14\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10"
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)
- Attributs protégés statiques hérités de ParagonIE_Sodium_Core_Curve25519_H
static | $base
static | $base2
static | $d
static | $d2
static | $sqrtm1
static | $invsqrtamd
static | $sqrtadm1
static | $onemsqd
static | $sqdmone

Description détaillée

Class ParagonIE_Sodium_Core_X25519

Documentation des fonctions membres

◆ crypto_scalarmult_curve25519_ref10_base()

static crypto_scalarmult_curve25519_ref10_base ( $n )
static

Références $n.

Référencé par ParagonIE_Sodium_Crypto\scalarmult_base().

◆ edwards_to_montgomery()

static edwards_to_montgomery | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $edwardsY,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $edwardsZ
 | ) |  |
static

◆ fe_cswap()

static fe_cswap | ( | ParagonIE_Sodium_Core_Curve25519_Fe | $f,
 |  | ParagonIE_Sodium_Core_Curve25519_Fe | $g,
 |  |  | $b = 0
 | ) |  |
static

Alters the objects passed to this method in place.

Références $b, et $g.

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/X25519.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_XChaCha20

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core_XChaCha20
+ Graphe d'héritage de ParagonIE_Sodium_Core_XChaCha20:
ParagonIE_Sodium_Core_HChaCha20 ParagonIE_Sodium_Core_ChaCha20 ParagonIE_Sodium_Core_Util XChaCha20

Fonctions membres publiques statiques

static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len=64, $nonce='', $key='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_HChaCha20
static | hChaCha20 ($in='', $key='', $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_ChaCha20
static | rotate ($v, $n)
static | stream ($len=64, $nonce='', $key='')
static | ietfStream ($len, $nonce='', $key='')
static | ietfStreamXorIc ($message, $nonce='', $key='', $ic='')
static | streamXorIc ($message, $nonce='', $key='', $ic='')
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_HChaCha20
static | hChaCha20Bytes (array $ctx)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_XChaCha20

Documentation des fonctions membres

◆ ietfStream()

static ietfStream | ( | $len = 64,
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Références $key.

◆ ietfStreamXorIc()

static ietfStreamXorIc | ( | $message,
 |  | $nonce = '',
 |  | $key = '',
 |  | $ic = ''
 | ) |
static

Références $key, et $message.

◆ stream()

static stream | ( | $len = 64,
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

Références $key.

Référencé par ParagonIE_Sodium_Compat\crypto_stream_xchacha20().

◆ streamXorIc()

static streamXorIc | ( | $message,
 |  | $nonce = '',
 |  | $key = '',
 |  | $ic = ''
 | ) |
static

Références $key, et $message.

Référencé par ParagonIE_Sodium_Compat\crypto_stream_xchacha20_xor().

La documentation de cette classe a été générée à partir du fichier suivant :
  • src/Core/XChaCha20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Core_XSalsa20

Fonctions membres publiques statiques
Référence de la classe ParagonIE_Sodium_Core_XSalsa20
+ Graphe d'héritage de ParagonIE_Sodium_Core_XSalsa20:
ParagonIE_Sodium_Core_HSalsa20 ParagonIE_Sodium_Core_Salsa20 ParagonIE_Sodium_Core_Util Xsalsa20

Fonctions membres publiques statiques

static | xsalsa20 ($len, $nonce, $key)
static | xsalsa20_xor ($message, $nonce, $key)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_HSalsa20
static | hsalsa20 ($in, $k, $c=null)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Salsa20
static | core_salsa20 ($in, $k, $c=null)
static | salsa20 ($len, $nonce, $key)
static | salsa20_xor_ic ($m, $n, $ic, $k)
static | salsa20_xor ($message, $nonce, $key)
static | rotate ($u, $c)
- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Membres hérités additionnels

- Champs de données hérités de ParagonIE_Sodium_Core_Salsa20
const | ROUNDS = 20
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Description détaillée

Class ParagonIE_Sodium_Core_XSalsa20

Documentation des fonctions membres

◆ xsalsa20()

static xsalsa20 | ( | $len,
 |  | $nonce,
 |  | $key
 | ) |
static

Expand a key and nonce into an xsalsa20 keystream.

Références $key.

Référencé par ParagonIE_Sodium_Compat\crypto_stream().

◆ xsalsa20_xor()

static xsalsa20_xor | ( | $message,
 |  | $nonce,
 |  | $key
 | ) |
static

Encrypt a string with XSalsa20. Doesn't provide integrity.

Références $key, et $message.

Référencé par ParagonIE_Sodium_Compat\crypto_stream_xor().

La documentation de cette classe a été générée à partir du fichier suivant :
  • XSalsa20.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Crypto

Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Crypto
+ Graphe d'héritage de ParagonIE_Sodium_Crypto:
Crypto

Fonctions membres publiques statiques

static | aead_xchacha20poly1305_ietf_decrypt ( $message='', $ad='', $nonce='', $key='')
static | aead_xchacha20poly1305_ietf_encrypt ( $message='', $ad='', $nonce='', $key='')
static | auth ($message, $key)
static | auth_verify ($mac, $message, $key)
static | box ($plaintext, $nonce, $keypair)
static | box_beforenm ($sk, $pk)
static | box_keypair ()
static | box_seed_keypair ($seed)
static | box_keypair_from_secretkey_and_publickey ($sKey, $pKey)
static | box_secretkey ($keypair)
static | box_publickey ($keypair)
static | box_publickey_from_secretkey ($sKey)
static | box_open ($ciphertext, $nonce, $keypair)
static | keyExchange ($my_sk, $their_pk, $client_pk, $server_pk)
static | scalarmult ($sKey, $pKey)
static | scalarmult_base ($secret)
static | secretstream_xchacha20poly1305_init_push ($key)
static | secretstream_xchacha20poly1305_init_pull ($key, $header)
static | secretstream_xchacha20poly1305_rekey (&$state)
static | sign_detached ($message, $sk)
static | sign ($message, $sk)
static | sign_open ($signedMessage, $pk)
static | sign_verify_detached ($signature, $message, $pk)

Champs de données

const | aead_chacha20poly1305_KEYBYTES = 32
const | aead_chacha20poly1305_NSECBYTES = 0
const | aead_chacha20poly1305_NPUBBYTES = 8
const | aead_chacha20poly1305_ABYTES = 16
const | aead_chacha20poly1305_IETF_KEYBYTES = 32
const | aead_chacha20poly1305_IETF_NSECBYTES = 0
const | aead_chacha20poly1305_IETF_NPUBBYTES = 12
const | aead_chacha20poly1305_IETF_ABYTES = 16
const | aead_xchacha20poly1305_IETF_KEYBYTES = 32
const | aead_xchacha20poly1305_IETF_NSECBYTES = 0
const | aead_xchacha20poly1305_IETF_NPUBBYTES = 24
const | aead_xchacha20poly1305_IETF_ABYTES = 16
const | box_curve25519xsalsa20poly1305_SEEDBYTES = 32
const | box_curve25519xsalsa20poly1305_PUBLICKEYBYTES = 32
const | box_curve25519xsalsa20poly1305_SECRETKEYBYTES = 32
const | box_curve25519xsalsa20poly1305_BEFORENMBYTES = 32
const | box_curve25519xsalsa20poly1305_NONCEBYTES = 24
const | box_curve25519xsalsa20poly1305_MACBYTES = 16
const | box_curve25519xsalsa20poly1305_BOXZEROBYTES = 16
const | box_curve25519xsalsa20poly1305_ZEROBYTES = 32
const | onetimeauth_poly1305_BYTES = 16
const | onetimeauth_poly1305_KEYBYTES = 32
const | secretbox_xsalsa20poly1305_KEYBYTES = 32
const | secretbox_xsalsa20poly1305_NONCEBYTES = 24
const | secretbox_xsalsa20poly1305_MACBYTES = 16
const | secretbox_xsalsa20poly1305_BOXZEROBYTES = 16
const | secretbox_xsalsa20poly1305_ZEROBYTES = 32
const | secretbox_xchacha20poly1305_KEYBYTES = 32
const | secretbox_xchacha20poly1305_NONCEBYTES = 24
const | secretbox_xchacha20poly1305_MACBYTES = 16
const | secretbox_xchacha20poly1305_BOXZEROBYTES = 16
const | secretbox_xchacha20poly1305_ZEROBYTES = 32
const | stream_salsa20_KEYBYTES = 32

Fonctions membres protégées statiques

static scalarmult_throw_if_zero ($q)

Description détaillée

Class ParagonIE_Sodium_Crypto

ATTENTION!

If you are using this library, you should be using ParagonIE_Sodium_Compat in your code, not this class.

Documentation des fonctions membres

◆ aead_xchacha20poly1305_ietf_decrypt()

static aead_xchacha20poly1305_ietf_decrypt | ( | $message = '',
 |  | $ad = '',
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

AEAD Decryption with ChaCha20-Poly1305, IETF mode (96-bit nonce)

Références $key, $message, ParagonIE_Sodium_Core_HChaCha20\hChaCha20(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_decrypt().

◆ aead_xchacha20poly1305_ietf_encrypt()

static aead_xchacha20poly1305_ietf_encrypt | ( | $message = '',
 |  | $ad = '',
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

AEAD Encryption with ChaCha20-Poly1305, IETF mode (96-bit nonce)

Références $key, $message, ParagonIE_Sodium_Core_HChaCha20\hChaCha20(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_encrypt().

◆ auth()

static auth | ( | $message,
 |  | $key
 | ) |
static

HMAC-SHA-512-256 (a.k.a. the leftmost 256 bits of HMAC-SHA-512)

Références $key, $message, et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_auth().

◆ auth_verify()

static auth_verify | ( | $mac,
 |  | $message,
 |  | $key
 | ) |
static

HMAC-SHA-512-256 validation. Constant-time via hash_equals().

Références $key, et $message.

Référencé par ParagonIE_Sodium_Compat\crypto_auth_verify().

◆ box()

static box | ( | $plaintext,
 |  | $nonce,
 |  | $keypair
 | ) |
static

X25519 key exchange followed by XSalsa20Poly1305 symmetric encryption

Référencé par ParagonIE_Sodium_Compat\crypto_box().

◆ box_beforenm()

static box_beforenm | ( | $sk,
 |  | $pk
 | ) |
static

Used by crypto_box() to get the crypto_secretbox() key.

Références ParagonIE_Sodium_Core_HSalsa20\hsalsa20().

Référencé par ParagonIE_Sodium_File\box_decrypt(), et ParagonIE_Sodium_File\box_encrypt().

◆ box_keypair()

static box_keypair ( )
static

Référencé par ParagonIE_Sodium_Compat\crypto_box_keypair().

◆ box_keypair_from_secretkey_and_publickey()

static box_keypair_from_secretkey_and_publickey | ( | $sKey,
 |  | $pKey
 | ) |
static

Références ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_box_keypair_from_secretkey_and_publickey().

◆ box_open()

static box_open | ( | $ciphertext,
 |  | $nonce,
 |  | $keypair
 | ) |
static

Decrypt a message encrypted with box().

Référencé par ParagonIE_Sodium_Compat\crypto_box_open().

◆ box_publickey()

static box_publickey ( $keypair )
static

Références ParagonIE_Sodium_Compat\CRYPTO_BOX_KEYPAIRBYTES, ParagonIE_Sodium_Core_Util\strlen(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_File\box_decrypt(), ParagonIE_Sodium_File\box_encrypt(), et ParagonIE_Sodium_Compat\crypto_box_publickey().

◆ box_publickey_from_secretkey()

static box_publickey_from_secretkey ( $sKey )
static

Références ParagonIE_Sodium_Compat\CRYPTO_BOX_SECRETKEYBYTES, et ParagonIE_Sodium_Core_Util\strlen().

Référencé par ParagonIE_Sodium_Compat\crypto_box_publickey_from_secretkey().

◆ box_secretkey()

static box_secretkey ( $keypair )
static

Références ParagonIE_Sodium_Core_Util\strlen(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_File\box_decrypt(), ParagonIE_Sodium_File\box_encrypt(), et ParagonIE_Sodium_Compat\crypto_box_secretkey().

◆ box_seed_keypair()

static box_seed_keypair ( $seed )
static
Paramètres
string $seed
Renvoie
string
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_box_seed_keypair().

◆ keyExchange()

static keyExchange | ( | $my_sk,
 |  | $their_pk,
 |  | $client_pk,
 |  | $server_pk
 | ) |
static

Libsodium's crypto_kx().

Références ParagonIE_Sodium_Compat\crypto_generichash(), et ParagonIE_Sodium_Compat\crypto_scalarmult().

Référencé par ParagonIE_Sodium_Compat\crypto_kx().

◆ scalarmult()

static scalarmult | ( | $sKey,
 |  | $pKey
 | ) |
static

ECDH over Curve25519

Référencé par ParagonIE_Sodium_Compat\crypto_scalarmult().

◆ scalarmult_base()

static scalarmult_base ( $secret )
static

ECDH over Curve25519, using the basepoint. Used to get a secret key from a public key.

Paramètres
string $secret
Renvoie
string
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Core_X25519\crypto_scalarmult_curve25519_ref10_base().

Référencé par ParagonIE_Sodium_Compat\crypto_scalarmult_base().

◆ scalarmult_throw_if_zero()

static scalarmult_throw_if_zero ( $q )
staticprotected

This throws an Error if a zero public key was passed to the function.

Paramètres
string $q
Renvoie
void
Exceptions
SodiumException
TypeError

Références $i.

◆ secretstream_xchacha20poly1305_init_pull()

static secretstream_xchacha20poly1305_init_pull | ( | $key,
 |  | $header
 | ) |
static
Paramètres
string | $key
string | $header
Renvoie
string Returns a state.
Exceptions
Exception

Références $key, $state, ParagonIE_Sodium_Core_HChaCha20\hChaCha20(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_init_pull().

◆ secretstream_xchacha20poly1305_init_push()

static secretstream_xchacha20poly1305_init_push ( $key )
static
Paramètres
string $key
Renvoie
array<int, string> Returns a state and a header.
Exceptions
Exception
SodiumException

Références $key, $state, ParagonIE_Sodium_Core_HChaCha20\hChaCha20(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_init_push().

◆ secretstream_xchacha20poly1305_rekey()

static secretstream_xchacha20poly1305_rekey ( & $state )
static
Paramètres
string $state
Renvoie
void
Exceptions
SodiumException

Références $state, ParagonIE_Sodium_Core_SecretStream_State\fromString(), et ParagonIE_Sodium_Core_ChaCha20\ietfStreamXorIc().

Référencé par ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_rekey().

◆ sign()

static sign | ( | $message,
 |  | $sk
 | ) |
static

Attached Ed25519 signature. (Returns a signed message.)

Références $message.

Référencé par ParagonIE_Sodium_Compat\crypto_sign().

◆ sign_detached()

static sign_detached | ( | $message,
 |  | $sk
 | ) |
static

Detached Ed25519 signature.

Références $message, et ParagonIE_Sodium_Core_Ed25519\sign_detached().

Référencé par ParagonIE_Sodium_Compat\crypto_sign_detached().

◆ sign_open()

static sign_open | ( | $signedMessage,
 |  | $pk
 | ) |
static

Opens a signed message. If valid, returns the message.

Référencé par ParagonIE_Sodium_Compat\crypto_sign_open().

◆ sign_verify_detached()

static sign_verify_detached | ( | $signature,
 |  | $message,
 |  | $pk
 | ) |
static

Verify a detached signature of a given message and public key.

Références $message.

Référencé par ParagonIE_Sodium_Compat\crypto_sign_verify_detached().

Documentation des champs

◆ aead_chacha20poly1305_ABYTES

const aead_chacha20poly1305_ABYTES = 16

◆ aead_chacha20poly1305_IETF_ABYTES

const aead_chacha20poly1305_IETF_ABYTES = 16

◆ aead_chacha20poly1305_IETF_KEYBYTES

const aead_chacha20poly1305_IETF_KEYBYTES = 32

◆ aead_chacha20poly1305_IETF_NPUBBYTES

const aead_chacha20poly1305_IETF_NPUBBYTES = 12

◆ aead_chacha20poly1305_IETF_NSECBYTES

const aead_chacha20poly1305_IETF_NSECBYTES = 0

◆ aead_chacha20poly1305_KEYBYTES

const aead_chacha20poly1305_KEYBYTES = 32

◆ aead_chacha20poly1305_NPUBBYTES

const aead_chacha20poly1305_NPUBBYTES = 8

◆ aead_chacha20poly1305_NSECBYTES

const aead_chacha20poly1305_NSECBYTES = 0

◆ aead_xchacha20poly1305_IETF_ABYTES

const aead_xchacha20poly1305_IETF_ABYTES = 16

◆ aead_xchacha20poly1305_IETF_KEYBYTES

const aead_xchacha20poly1305_IETF_KEYBYTES = 32

◆ aead_xchacha20poly1305_IETF_NPUBBYTES

const aead_xchacha20poly1305_IETF_NPUBBYTES = 24

◆ aead_xchacha20poly1305_IETF_NSECBYTES

const aead_xchacha20poly1305_IETF_NSECBYTES = 0

◆ box_curve25519xsalsa20poly1305_BEFORENMBYTES

const box_curve25519xsalsa20poly1305_BEFORENMBYTES = 32

◆ box_curve25519xsalsa20poly1305_BOXZEROBYTES

const box_curve25519xsalsa20poly1305_BOXZEROBYTES = 16

◆ box_curve25519xsalsa20poly1305_MACBYTES

const box_curve25519xsalsa20poly1305_MACBYTES = 16

◆ box_curve25519xsalsa20poly1305_NONCEBYTES

const box_curve25519xsalsa20poly1305_NONCEBYTES = 24

◆ box_curve25519xsalsa20poly1305_PUBLICKEYBYTES

const box_curve25519xsalsa20poly1305_PUBLICKEYBYTES = 32

◆ box_curve25519xsalsa20poly1305_SECRETKEYBYTES

const box_curve25519xsalsa20poly1305_SECRETKEYBYTES = 32

◆ box_curve25519xsalsa20poly1305_SEEDBYTES

const box_curve25519xsalsa20poly1305_SEEDBYTES = 32

◆ box_curve25519xsalsa20poly1305_ZEROBYTES

const box_curve25519xsalsa20poly1305_ZEROBYTES = 32

◆ onetimeauth_poly1305_BYTES

const onetimeauth_poly1305_BYTES = 16

◆ onetimeauth_poly1305_KEYBYTES

const onetimeauth_poly1305_KEYBYTES = 32

◆ secretbox_xchacha20poly1305_BOXZEROBYTES

const secretbox_xchacha20poly1305_BOXZEROBYTES = 16

◆ secretbox_xchacha20poly1305_KEYBYTES

const secretbox_xchacha20poly1305_KEYBYTES = 32

◆ secretbox_xchacha20poly1305_MACBYTES

const secretbox_xchacha20poly1305_MACBYTES = 16

◆ secretbox_xchacha20poly1305_NONCEBYTES

const secretbox_xchacha20poly1305_NONCEBYTES = 24

◆ secretbox_xchacha20poly1305_ZEROBYTES

const secretbox_xchacha20poly1305_ZEROBYTES = 32

◆ secretbox_xsalsa20poly1305_BOXZEROBYTES

const secretbox_xsalsa20poly1305_BOXZEROBYTES = 16

◆ secretbox_xsalsa20poly1305_KEYBYTES

const secretbox_xsalsa20poly1305_KEYBYTES = 32

◆ secretbox_xsalsa20poly1305_MACBYTES

const secretbox_xsalsa20poly1305_MACBYTES = 16

◆ secretbox_xsalsa20poly1305_NONCEBYTES

const secretbox_xsalsa20poly1305_NONCEBYTES = 24

◆ secretbox_xsalsa20poly1305_ZEROBYTES

const secretbox_xsalsa20poly1305_ZEROBYTES = 32

◆ stream_salsa20_KEYBYTES

const stream_salsa20_KEYBYTES = 32
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/paragonie/sodium_compat/src/Crypto.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_Crypto32

Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées statiques
Référence de la classe ParagonIE_Sodium_Crypto32

Fonctions membres publiques statiques

static | aead_xchacha20poly1305_ietf_decrypt ( $message='', $ad='', $nonce='', $key='')
static | aead_xchacha20poly1305_ietf_encrypt ( $message='', $ad='', $nonce='', $key='')
static | auth ($message, $key)
static | auth_verify ($mac, $message, $key)
static | box ($plaintext, $nonce, $keypair)
static | box_beforenm ($sk, $pk)
static | box_keypair ()
static | box_seed_keypair ($seed)
static | box_keypair_from_secretkey_and_publickey ($sKey, $pKey)
static | box_secretkey ($keypair)
static | box_publickey ($keypair)
static | box_publickey_from_secretkey ($sKey)
static | box_open ($ciphertext, $nonce, $keypair)
static | keyExchange ($my_sk, $their_pk, $client_pk, $server_pk)
static | scalarmult ($sKey, $pKey)
static | scalarmult_base ($secret)
static | secretstream_xchacha20poly1305_init_push ($key)
static | secretstream_xchacha20poly1305_init_pull ($key, $header)
static | secretstream_xchacha20poly1305_rekey (&$state)
static | sign_detached ($message, $sk)
static | sign ($message, $sk)
static | sign_open ($signedMessage, $pk)
static | sign_verify_detached ($signature, $message, $pk)

Champs de données

const | aead_chacha20poly1305_KEYBYTES = 32
const | aead_chacha20poly1305_NSECBYTES = 0
const | aead_chacha20poly1305_NPUBBYTES = 8
const | aead_chacha20poly1305_ABYTES = 16
const | aead_chacha20poly1305_IETF_KEYBYTES = 32
const | aead_chacha20poly1305_IETF_NSECBYTES = 0
const | aead_chacha20poly1305_IETF_NPUBBYTES = 12
const | aead_chacha20poly1305_IETF_ABYTES = 16
const | aead_xchacha20poly1305_IETF_KEYBYTES = 32
const | aead_xchacha20poly1305_IETF_NSECBYTES = 0
const | aead_xchacha20poly1305_IETF_NPUBBYTES = 24
const | aead_xchacha20poly1305_IETF_ABYTES = 16
const | box_curve25519xsalsa20poly1305_SEEDBYTES = 32
const | box_curve25519xsalsa20poly1305_PUBLICKEYBYTES = 32
const | box_curve25519xsalsa20poly1305_SECRETKEYBYTES = 32
const | box_curve25519xsalsa20poly1305_BEFORENMBYTES = 32
const | box_curve25519xsalsa20poly1305_NONCEBYTES = 24
const | box_curve25519xsalsa20poly1305_MACBYTES = 16
const | box_curve25519xsalsa20poly1305_BOXZEROBYTES = 16
const | box_curve25519xsalsa20poly1305_ZEROBYTES = 32
const | onetimeauth_poly1305_BYTES = 16
const | onetimeauth_poly1305_KEYBYTES = 32
const | secretbox_xsalsa20poly1305_KEYBYTES = 32
const | secretbox_xsalsa20poly1305_NONCEBYTES = 24
const | secretbox_xsalsa20poly1305_MACBYTES = 16
const | secretbox_xsalsa20poly1305_BOXZEROBYTES = 16
const | secretbox_xsalsa20poly1305_ZEROBYTES = 32
const | secretbox_xchacha20poly1305_KEYBYTES = 32
const | secretbox_xchacha20poly1305_NONCEBYTES = 24
const | secretbox_xchacha20poly1305_MACBYTES = 16
const | secretbox_xchacha20poly1305_BOXZEROBYTES = 16
const | secretbox_xchacha20poly1305_ZEROBYTES = 32
const | stream_salsa20_KEYBYTES = 32

Fonctions membres protégées statiques

static scalarmult_throw_if_zero ($q)

Description détaillée

Class ParagonIE_Sodium_Crypto

ATTENTION!

If you are using this library, you should be using ParagonIE_Sodium_Compat in your code, not this class.

Documentation des fonctions membres

◆ aead_xchacha20poly1305_ietf_decrypt()

static aead_xchacha20poly1305_ietf_decrypt | ( | $message = '',
 |  | $ad = '',
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

AEAD Decryption with ChaCha20-Poly1305, IETF mode (96-bit nonce)

Références $key, $message, ParagonIE_Sodium_Core32_HChaCha20\hChaCha20(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_decrypt().

◆ aead_xchacha20poly1305_ietf_encrypt()

static aead_xchacha20poly1305_ietf_encrypt | ( | $message = '',
 |  | $ad = '',
 |  | $nonce = '',
 |  | $key = ''
 | ) |
static

AEAD Encryption with ChaCha20-Poly1305, IETF mode (96-bit nonce)

Références $key, $message, ParagonIE_Sodium_Core32_HChaCha20\hChaCha20(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_encrypt().

◆ auth()

static auth | ( | $message,
 |  | $key
 | ) |
static

HMAC-SHA-512-256 (a.k.a. the leftmost 256 bits of HMAC-SHA-512)

Références $key, $message, et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_auth().

◆ auth_verify()

static auth_verify | ( | $mac,
 |  | $message,
 |  | $key
 | ) |
static

HMAC-SHA-512-256 validation. Constant-time via hash_equals().

Références $key, et $message.

Référencé par ParagonIE_Sodium_Compat\crypto_auth_verify().

◆ box()

static box | ( | $plaintext,
 |  | $nonce,
 |  | $keypair
 | ) |
static

X25519 key exchange followed by XSalsa20Poly1305 symmetric encryption

Référencé par ParagonIE_Sodium_Compat\crypto_box().

◆ box_beforenm()

static box_beforenm | ( | $sk,
 |  | $pk
 | ) |
static

Used by crypto_box() to get the crypto_secretbox() key.

Référencé par ParagonIE_Sodium_File\box_decrypt(), et ParagonIE_Sodium_File\box_encrypt().

◆ box_keypair()

static box_keypair ( )
static

Référencé par ParagonIE_Sodium_Compat\crypto_box_keypair().

◆ box_keypair_from_secretkey_and_publickey()

static box_keypair_from_secretkey_and_publickey | ( | $sKey,
 |  | $pKey
 | ) |
static

Références ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_box_keypair_from_secretkey_and_publickey().

◆ box_open()

static box_open | ( | $ciphertext,
 |  | $nonce,
 |  | $keypair
 | ) |
static

Decrypt a message encrypted with box().

Référencé par ParagonIE_Sodium_Compat\crypto_box_open().

◆ box_publickey()

static box_publickey ( $keypair )
static

Références ParagonIE_Sodium_Compat\CRYPTO_BOX_KEYPAIRBYTES, ParagonIE_Sodium_Core_Util\strlen(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_File\box_decrypt(), ParagonIE_Sodium_File\box_encrypt(), et ParagonIE_Sodium_Compat\crypto_box_publickey().

◆ box_publickey_from_secretkey()

static box_publickey_from_secretkey ( $sKey )
static

Références ParagonIE_Sodium_Compat\CRYPTO_BOX_SECRETKEYBYTES, et ParagonIE_Sodium_Core_Util\strlen().

Référencé par ParagonIE_Sodium_Compat\crypto_box_publickey_from_secretkey().

◆ box_secretkey()

static box_secretkey ( $keypair )
static

Références ParagonIE_Sodium_Core_Util\strlen(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_File\box_decrypt(), ParagonIE_Sodium_File\box_encrypt(), et ParagonIE_Sodium_Compat\crypto_box_secretkey().

◆ box_seed_keypair()

static box_seed_keypair ( $seed )
static
Paramètres
string $seed
Renvoie
string
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_box_seed_keypair().

◆ keyExchange()

static keyExchange | ( | $my_sk,
 |  | $their_pk,
 |  | $client_pk,
 |  | $server_pk
 | ) |
static

Libsodium's crypto_kx().

Référencé par ParagonIE_Sodium_Compat\crypto_kx().

◆ scalarmult()

static scalarmult | ( | $sKey,
 |  | $pKey
 | ) |
static

ECDH over Curve25519

Référencé par ParagonIE_Sodium_Compat\crypto_scalarmult().

◆ scalarmult_base()

static scalarmult_base ( $secret )
static

ECDH over Curve25519, using the basepoint. Used to get a secret key from a public key.

Paramètres
string $secret
Renvoie
string
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Core32_X25519\crypto_scalarmult_curve25519_ref10_base().

Référencé par ParagonIE_Sodium_Compat\crypto_scalarmult_base().

◆ scalarmult_throw_if_zero()

static scalarmult_throw_if_zero ( $q )
staticprotected

This throws an Error if a zero public key was passed to the function.

Paramètres
string $q
Renvoie
void
Exceptions
SodiumException
TypeError

Références $i.

◆ secretstream_xchacha20poly1305_init_pull()

static secretstream_xchacha20poly1305_init_pull | ( | $key,
 |  | $header
 | ) |
static
Paramètres
string | $key
string | $header
Renvoie
string Returns a state.
Exceptions
Exception

Références $key, $state, ParagonIE_Sodium_Core32_HChaCha20\hChaCha20(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_init_pull().

◆ secretstream_xchacha20poly1305_init_push()

static secretstream_xchacha20poly1305_init_push ( $key )
static
Paramètres
string $key
Renvoie
array<int, string> Returns a state and a header.
Exceptions
Exception
SodiumException

Références $key, $state, ParagonIE_Sodium_Core32_HChaCha20\hChaCha20(), et ParagonIE_Sodium_Core_Util\substr().

Référencé par ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_init_push().

◆ secretstream_xchacha20poly1305_rekey()

static secretstream_xchacha20poly1305_rekey ( & $state )
static
Paramètres
string $state
Renvoie
void
Exceptions
SodiumException

Références $state, ParagonIE_Sodium_Core32_SecretStream_State\fromString(), et ParagonIE_Sodium_Core32_ChaCha20\ietfStreamXorIc().

Référencé par ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_rekey().

◆ sign()

static sign | ( | $message,
 |  | $sk
 | ) |
static

Attached Ed25519 signature. (Returns a signed message.)

Références $message.

Référencé par ParagonIE_Sodium_Compat\crypto_sign().

◆ sign_detached()

static sign_detached | ( | $message,
 |  | $sk
 | ) |
static

Detached Ed25519 signature.

Références $message, et ParagonIE_Sodium_Core32_Ed25519\sign_detached().

Référencé par ParagonIE_Sodium_Compat\crypto_sign_detached().

◆ sign_open()

static sign_open | ( | $signedMessage,
 |  | $pk
 | ) |
static

Opens a signed message. If valid, returns the message.

Référencé par ParagonIE_Sodium_Compat\crypto_sign_open().

◆ sign_verify_detached()

static sign_verify_detached | ( | $signature,
 |  | $message,
 |  | $pk
 | ) |
static

Verify a detached signature of a given message and public key.

Références $message.

Référencé par ParagonIE_Sodium_Compat\crypto_sign_verify_detached().

Documentation des champs

◆ aead_chacha20poly1305_ABYTES

const aead_chacha20poly1305_ABYTES = 16

◆ aead_chacha20poly1305_IETF_ABYTES

const aead_chacha20poly1305_IETF_ABYTES = 16

◆ aead_chacha20poly1305_IETF_KEYBYTES

const aead_chacha20poly1305_IETF_KEYBYTES = 32

◆ aead_chacha20poly1305_IETF_NPUBBYTES

const aead_chacha20poly1305_IETF_NPUBBYTES = 12

◆ aead_chacha20poly1305_IETF_NSECBYTES

const aead_chacha20poly1305_IETF_NSECBYTES = 0

◆ aead_chacha20poly1305_KEYBYTES

const aead_chacha20poly1305_KEYBYTES = 32

◆ aead_chacha20poly1305_NPUBBYTES

const aead_chacha20poly1305_NPUBBYTES = 8

◆ aead_chacha20poly1305_NSECBYTES

const aead_chacha20poly1305_NSECBYTES = 0

◆ aead_xchacha20poly1305_IETF_ABYTES

const aead_xchacha20poly1305_IETF_ABYTES = 16

◆ aead_xchacha20poly1305_IETF_KEYBYTES

const aead_xchacha20poly1305_IETF_KEYBYTES = 32

◆ aead_xchacha20poly1305_IETF_NPUBBYTES

const aead_xchacha20poly1305_IETF_NPUBBYTES = 24

◆ aead_xchacha20poly1305_IETF_NSECBYTES

const aead_xchacha20poly1305_IETF_NSECBYTES = 0

◆ box_curve25519xsalsa20poly1305_BEFORENMBYTES

const box_curve25519xsalsa20poly1305_BEFORENMBYTES = 32

◆ box_curve25519xsalsa20poly1305_BOXZEROBYTES

const box_curve25519xsalsa20poly1305_BOXZEROBYTES = 16

◆ box_curve25519xsalsa20poly1305_MACBYTES

const box_curve25519xsalsa20poly1305_MACBYTES = 16

◆ box_curve25519xsalsa20poly1305_NONCEBYTES

const box_curve25519xsalsa20poly1305_NONCEBYTES = 24

◆ box_curve25519xsalsa20poly1305_PUBLICKEYBYTES

const box_curve25519xsalsa20poly1305_PUBLICKEYBYTES = 32

◆ box_curve25519xsalsa20poly1305_SECRETKEYBYTES

const box_curve25519xsalsa20poly1305_SECRETKEYBYTES = 32

◆ box_curve25519xsalsa20poly1305_SEEDBYTES

const box_curve25519xsalsa20poly1305_SEEDBYTES = 32

◆ box_curve25519xsalsa20poly1305_ZEROBYTES

const box_curve25519xsalsa20poly1305_ZEROBYTES = 32

◆ onetimeauth_poly1305_BYTES

const onetimeauth_poly1305_BYTES = 16

◆ onetimeauth_poly1305_KEYBYTES

const onetimeauth_poly1305_KEYBYTES = 32

◆ secretbox_xchacha20poly1305_BOXZEROBYTES

const secretbox_xchacha20poly1305_BOXZEROBYTES = 16

◆ secretbox_xchacha20poly1305_KEYBYTES

const secretbox_xchacha20poly1305_KEYBYTES = 32

◆ secretbox_xchacha20poly1305_MACBYTES

const secretbox_xchacha20poly1305_MACBYTES = 16

◆ secretbox_xchacha20poly1305_NONCEBYTES

const secretbox_xchacha20poly1305_NONCEBYTES = 24

◆ secretbox_xchacha20poly1305_ZEROBYTES

const secretbox_xchacha20poly1305_ZEROBYTES = 32

◆ secretbox_xsalsa20poly1305_BOXZEROBYTES

const secretbox_xsalsa20poly1305_BOXZEROBYTES = 16

◆ secretbox_xsalsa20poly1305_KEYBYTES

const secretbox_xsalsa20poly1305_KEYBYTES = 32

◆ secretbox_xsalsa20poly1305_MACBYTES

const secretbox_xsalsa20poly1305_MACBYTES = 16

◆ secretbox_xsalsa20poly1305_NONCEBYTES

const secretbox_xsalsa20poly1305_NONCEBYTES = 24

◆ secretbox_xsalsa20poly1305_ZEROBYTES

const secretbox_xsalsa20poly1305_ZEROBYTES = 32

◆ stream_salsa20_KEYBYTES

const stream_salsa20_KEYBYTES = 32
La documentation de cette classe a été générée à partir du fichier suivant :
  • Crypto32.php


Joomla CMS: Référence de la classe ParagonIE_Sodium_File

Champs de données | Fonctions membres protégées statiques | Fonctions membres privées statiques
Référence de la classe ParagonIE_Sodium_File
+ Graphe d'héritage de ParagonIE_Sodium_File:
ParagonIE_Sodium_Core_Util File

Champs de données

const BUFFER_SIZE = 8192

Fonctions membres protégées statiques

static | box_encrypt ($ifp, $ofp, $mlen, $nonce, $boxKeypair)
static | box_decrypt ($ifp, $ofp, $mlen, $nonce, $boxKeypair)
- Fonctions membres protégées statiques hérités de ParagonIE_Sodium_Core_Util
static | hash_update (&$hs, $data)

Fonctions membres privées statiques

static ftell ($resource)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de ParagonIE_Sodium_Core_Util
static | compare ($left, $right, $len=null)
static | declareScalarType (&$mixedVar=null, $type='void', $argumentIndex=0)
static | intToChr ($int)
static | memcmp ($left, $right)
static | strlen ($str)
static | substr ($str, $start=0, $length=null)
static | verify_16 ($a, $b)
static | verify_32 ($a, $b)
static | xorStrings ($a, $b)

Description détaillée

Class ParagonIE_Sodium_File

Documentation des fonctions membres

◆ box_decrypt()

static box_decrypt | ( | $ifp,
 |  | $ofp,
 |  | $mlen,
 |  | $nonce,
 |  | $boxKeypair
 | ) |
staticprotected
Paramètres
resource | $ifp
resource | $ofp
int | $mlen
string | $nonce
string | $boxKeypair
Renvoie
bool
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Crypto32\box_beforenm(), ParagonIE_Sodium_Crypto\box_beforenm(), ParagonIE_Sodium_Crypto32\box_publickey(), ParagonIE_Sodium_Crypto\box_publickey(), ParagonIE_Sodium_Crypto32\box_secretkey(), et ParagonIE_Sodium_Crypto\box_secretkey().

◆ box_encrypt()

static box_encrypt | ( | $ifp,
 |  | $ofp,
 |  | $mlen,
 |  | $nonce,
 |  | $boxKeypair
 | ) |
staticprotected
Paramètres
resource | $ifp
resource | $ofp
int | $mlen
string | $nonce
string | $boxKeypair
Renvoie
bool
Exceptions
SodiumException
TypeError

Références ParagonIE_Sodium_Crypto32\box_beforenm(), ParagonIE_Sodium_Crypto\box_beforenm(), ParagonIE_Sodium_Crypto32\box_publickey(), ParagonIE_Sodium_Crypto\box_publickey(), ParagonIE_Sodium_Crypto32\box_secretkey(), et ParagonIE_Sodium_Crypto\box_secretkey().

◆ ftell()

static ftell ( $resource )
staticprivate
Paramètres
resource $resource
Renvoie
int
Exceptions
SodiumException

Références $return.

Documentation des champs

◆ BUFFER_SIZE

const BUFFER_SIZE = 8192
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/paragonie/sodium_compat/src/File.php


Joomla CMS: Référence de la classe PasswordHash

Fonctions membres publiques | Champs de données
Référence de la classe PasswordHash

Fonctions membres publiques

__construct ($iteration_count_log2, $portable_hashes)
PasswordHash ($iteration_count_log2, $portable_hashes)
get_random_bytes ($count)
encode64 ($input, $count)
gensalt_private ($input)
crypt_private ($password, $setting)
gensalt_blowfish ($input)
HashPassword ($password)
CheckPassword ($password, $stored_hash)

Champs de données

$itoa64
$iteration_count_log2
$portable_hashes
$random_state

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $iteration_count_log2,
 |  | $portable_hashes
 | ) |

Références $iteration_count_log2, et $portable_hashes.

Documentation des fonctions membres

◆ CheckPassword()

CheckPassword | ( | $password,
 |  | $stored_hash
 | ) |

Références $hash, $password, et crypt_private().

◆ crypt_private()

crypt_private | ( | $password,
 |  | $setting
 | ) |

Références $count, $hash, $id, $output, $password, et encode64().

Référencé par CheckPassword(), et HashPassword().

◆ encode64()

encode64 | ( | $input,
 |  | $count
 | ) |

Références $count, $i, $input, $output, et $value.

Référencé par crypt_private(), et gensalt_private().

◆ gensalt_blowfish()

gensalt_blowfish ( $input )

Références $i, $input, $itoa64, et $output.

Référencé par HashPassword().

◆ gensalt_private()

gensalt_private ( $input )

Références $input, $output, et encode64().

Référencé par HashPassword().

◆ get_random_bytes()

get_random_bytes ( $count )

Références $count, $i, et $output.

Référencé par HashPassword().

◆ HashPassword()

HashPassword ( $password )

Références $hash, $password, crypt_private(), gensalt_blowfish(), gensalt_private(), et get_random_bytes().

◆ PasswordHash()

PasswordHash | ( | $iteration_count_log2,
 |  | $portable_hashes
 | ) |

Références $iteration_count_log2, et $portable_hashes.

Documentation des champs

◆ $iteration_count_log2

$iteration_count_log2

Référencé par __construct(), et PasswordHash().

◆ $itoa64

$itoa64

Référencé par gensalt_blowfish().

◆ $portable_hashes

$portable_hashes

Référencé par __construct(), et PasswordHash().

◆ $random_state

$random_state
La documentation de cette classe a été générée à partir du fichier suivant :
  • PasswordHash.php


Joomla CMS: Référence de la classe PHPMailer

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Attributs publics statiques | Fonctions membres protégées | Fonctions membres protégées statiques | Attributs protégés | Fonctions membres privées
Référence de la classe PHPMailer
+ Graphe d'héritage de PHPMailer:
Mail PHPMailerOAuth

Fonctions membres publiques

__construct ($exceptions=null)
__destruct ()
isHTML ($isHtml=true)
isSMTP ()
isMail ()
isSendmail ()
isQmail ()
addAddress ($address, $name='')
addCC ($address, $name='')
addBCC ($address, $name='')
addReplyTo ($address, $name='')
parseAddresses ($addrstr, $useimap=true)
setFrom ($address, $name='', $auto=true)
getLastMessageID ()
idnSupported ()
punyencodeAddress ($address)
send ()
preSend ()
postSend ()
getSMTPInstance ()
smtpConnect ($options=null)
smtpClose ()
setLanguage ($langcode='en', $lang_path='')
getTranslations ()
addrAppend ($type, $addr)
addrFormat ($addr)
wrapText ($message, $length, $qp_mode=false)
utf8CharBoundary ($encodedText, $maxLength)
setWordWrap ()
createHeader ()
getMailMIME ()
getSentMIMEMessage ()
createBody ()
headerLine ($name, $value)
textLine ($value)
addAttachment ($path, $name='', $encoding='base64', $type='', $disposition='attachment')
getAttachments ()
encodeString ($str, $encoding='base64')
encodeHeader ($str, $position='text')
hasMultiBytes ($str)
has8bitChars ($text)
base64EncodeWrapMB ($str, $linebreak=null)
encodeQP ($string, $line_max=76)
encodeQPphp ( $string, $line_max=76, $space_conv=false)
encodeQ ($str, $position='text')
addStringAttachment ( $string, $filename, $encoding='base64', $type='', $disposition='attachment')
addEmbeddedImage ($path, $cid, $name='', $encoding='base64', $type='', $disposition='inline')
addStringEmbeddedImage ( $string, $cid, $name='', $encoding='base64', $type='', $disposition='inline')
inlineImageExists ()
attachmentExists ()
alternativeExists ()
clearQueuedAddresses ($kind)
clearAddresses ()
clearCCs ()
clearBCCs ()
clearReplyTos ()
clearAllRecipients ()
clearAttachments ()
clearCustomHeaders ()
isError ()
fixEOL ($str)
addCustomHeader ($name, $value=null)
getCustomHeaders ()
msgHTML ($message, $basedir='', $advanced=false)
html2text ($html, $advanced=false)
set ($name, $value='')
secureHeader ($str)
sign ($cert_filename, $key_filename, $key_pass, $extracerts_filename='')
DKIM_QP ($txt)
DKIM_Sign ($signHeader)
DKIM_HeaderC ($signHeader)
DKIM_BodyC ($body)
DKIM_Add ($headers_line, $subject, $body)
quotedString ($str)
getToAddresses ()
getCcAddresses ()
getBccAddresses ()
getReplyToAddresses ()
getAllRecipientAddresses ()

Fonctions membres publiques statiques

static | validateAddress ($address, $patternselect=null)
static | rfcDate ()
static | _mime_types ($ext='')
static | filenameToType ($filename)
static | mb_pathinfo ($path, $options=null)
static | normalizeBreaks ($text, $breaktype="\")
static | hasLineLongerThanMax ($str)

Champs de données

$Version = '5.2.28+joomla2'
$Priority = null
$CharSet = 'iso-8859-1'
$ContentType = 'text/plain'
$Encoding = '8bit'
$ErrorInfo = ''
$From = 'root@localhost'
$FromName = 'Root User'
$Sender = ''
$ReturnPath = ''
$Subject = ''
$Body = ''
$AltBody = ''
$Ical = ''
$WordWrap = 0
$Mailer = 'mail'
$Sendmail = '/usr/sbin/sendmail'
$UseSendmailOptions = true
$PluginDir = ''
$ConfirmReadingTo = ''
$Hostname = ''
$MessageID = ''
$MessageDate = ''
$Host = 'localhost'
$Port = 25
$Helo = ''
$SMTPSecure = ''
$SMTPAutoTLS = true
$SMTPAuth = false
$SMTPOptions = array()
$Username = ''
$Password = ''
$AuthType = ''
$Realm = ''
$Workstation = ''
$Timeout = 300
$SMTPDebug = 0
$Debugoutput = 'echo'
$SMTPKeepAlive = false
$SingleTo = false
$SingleToArray = array()
$do_verp = false
$AllowEmpty = false
$LE = "\n"
$DKIM_selector = ''
$DKIM_identity = ''
$DKIM_passphrase = ''
$DKIM_domain = ''
$DKIM_private = ''
$DKIM_private_string = ''
$action_function = ''
$XMailer = ''
const | STOP_MESSAGE = 0
const | STOP_CONTINUE = 1
const | STOP_CRITICAL = 2
const | CRLF = "\r\n"
const | MAX_LINE_LENGTH = 998

Attributs publics statiques

static $validator = 'auto'

Fonctions membres protégées

edebug ($str)
addOrEnqueueAnAddress ($kind, $address, $name)
addAnAddress ($kind, $address, $name='')
sendmailSend ($header, $body)
mailSend ($header, $body)
smtpSend ($header, $body)
generateId ()
getBoundary ($boundary, $charSet, $contentType, $encoding)
endBoundary ($boundary)
setMessageType ()
attachAll ($disposition_type, $boundary)
encodeFile ($path, $encoding='base64')
setError ($msg)
serverHostname ()
lang ($key)
doCallback ($isSent, $to, $cc, $bcc, $subject, $body, $from)

Fonctions membres protégées statiques

static | isShellSafe ($string)
static | isPermittedPath ($path)

Attributs protégés

$MIMEBody = ''
$MIMEHeader = ''
$mailHeader = ''
$smtp = null
$to = array()
$cc = array()
$bcc = array()
$ReplyTo = array()
$all_recipients = array()
$RecipientsQueue = array()
$ReplyToQueue = array()
$attachment = array()
$CustomHeader = array()
$lastMessageID = ''
$message_type = ''
$boundary = array()
$language = array()
$error_count = 0
$sign_cert_file = ''
$sign_key_file = ''
$sign_extracerts_file = ''
$sign_key_pass = ''
$exceptions = false
$uniqueid = ''

Fonctions membres privées

mailPassthru ($to, $subject, $body, $header, $params)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $exceptions = null )

Constructor.

Paramètres
boolean $exceptions Should we throw external exceptions?

Références $exceptions, et null.

◆ __destruct()

__destruct ( )

Destructor.

Références smtpClose().

Documentation des fonctions membres

◆ _mime_types()

static _mime_types ( $ext = '' )
static

Get the MIME type for a file extension.

Paramètres
string $ext File extension public
Renvoie
string MIME type of file.

◆ addAddress()

addAddress | ( | $address,
 |  | $name = ''
 | ) |

Add a "To" address.

Paramètres
string | $address | The email address to send to
string | $name
Renvoie
boolean true on success, false if address already used or invalid in some way

Références $name, et addOrEnqueueAnAddress().

◆ addAnAddress()

addAnAddress | ( | $kind,
 |  | $address,
 |  | $name = ''
 | ) |
protected

Add an address to one of the recipient arrays or to the ReplyTo array. Addresses that have been added already return false, but do not throw exceptions.

Paramètres
string | $kind | One of 'to', 'cc', 'bcc', or 'ReplyTo'
string | $address | The email address to send, resp. to reply to
string | $name
Exceptions
phpmailerException
Renvoie
boolean true on success, false if address already used or invalid in some way protected

Références $name, edebug(), lang(), setError(), et validateAddress().

◆ addAttachment()

addAttachment | ( | $path,
 |  | $name = '',
 |  | $encoding = 'base64',
 |  | $type = '',
 |  | $disposition = 'attachment'
 | ) |

Add an attachment from a path on the filesystem. Never use a user-supplied path to a file! Returns false if the file could not be found or read. Explicitly does not support passing URLs; PHPMailer is not an HTTP client. If you need to do that, fetch the resource yourself and pass it in via a local file or string.

Paramètres
string | $path | Path to the attachment.
string | $name | Overrides the attachment name.
string | $encoding | File encoding (see $Encoding).
string | $type | File extension (MIME) type.
string | $disposition | Disposition to use
Exceptions
phpmailerException
Renvoie
boolean

Références $name, $path, $type, edebug(), lang(), et setError().

◆ addBCC()

addBCC | ( | $address,
 |  | $name = ''
 | ) |

Add a "BCC" address.

Note
: This function works with the SMTP mailer on win32, not with the "mail" mailer.
Paramètres
string | $address | The email address to send to
string | $name
Renvoie
boolean true on success, false if address already used or invalid in some way

Références $name, et addOrEnqueueAnAddress().

◆ addCC()

addCC | ( | $address,
 |  | $name = ''
 | ) |

Add a "CC" address.

Note
: This function works with the SMTP mailer on win32, not with the "mail" mailer.
Paramètres
string | $address | The email address to send to
string | $name
Renvoie
boolean true on success, false if address already used or invalid in some way

Références $name, et addOrEnqueueAnAddress().

◆ addCustomHeader()

addCustomHeader | ( | $name,
 |  | $value = null
 | ) |

Add a custom header. $name value can be overloaded to contain both header name and value (name:value) public

Paramètres
string | $name | Custom header name
string | $value | Header value
Renvoie
void

Références $name, $value, et null.

◆ addEmbeddedImage()

addEmbeddedImage | ( | $path,
 |  | $cid,
 |  | $name = '',
 |  | $encoding = 'base64',
 |  | $type = '',
 |  | $disposition = 'inline'
 | ) |

Add an embedded (inline) attachment from a file. This can include images, sounds, and just about any other document type. These differ from 'regular' attachments in that they are intended to be displayed inline with the message, not just attached for download. This is used in HTML messages that embed the images the HTML refers to using the $cid value. Never use a user-supplied path to a file!

Paramètres
string | $path | Path to the attachment.
string | $cid | Content ID of the attachment; Use this to reference the content when using an embedded image in HTML.
string | $name | Overrides the attachment name.
string | $encoding | File encoding (see $Encoding).
string | $type | File MIME type.
string | $disposition | Disposition to use
Renvoie
boolean True on successfully adding an attachment

Références $name, $path, $type, lang(), et setError().

Référencé par msgHTML().

◆ addOrEnqueueAnAddress()

addOrEnqueueAnAddress | ( | $kind,
 |  | $address,
 |  | $name
 | ) |
protected

Add an address to one of the recipient arrays or to the ReplyTo array. Because PHPMailer can't validate addresses with an IDN without knowing the PHPMailer::$CharSet (that can still be modified after calling this function), addition of such addresses is delayed until send(). Addresses that have been added already return false, but do not throw exceptions.

Paramètres
string | $kind | One of 'to', 'cc', 'bcc', or 'ReplyTo'
string | $address | The email address to send, resp. to reply to
string | $name
Exceptions
phpmailerException
Renvoie
boolean true on success, false if address already used or invalid in some way protected

Références $name, $params, edebug(), has8bitChars(), idnSupported(), lang(), et setError().

Référencé par addAddress(), addBCC(), addCC(), et addReplyTo().

◆ addrAppend()

addrAppend | ( | $type,
 |  | $addr
 | ) |

Create recipient headers. public

Paramètres
string | $type
array | $addr | An array of recipient, where each recipient is a 2-element indexed array with element 0 containing an address and element 1 containing a name, like: array(array('joe@e.nosp@m.xamp.nosp@m.le.co.nosp@m.m', 'Joe User'), array('zoe@e.nosp@m.xamp.nosp@m.le.co.nosp@m.m', 'Zoe User'))
Renvoie
string

Références $LE, $type, et addrFormat().

Référencé par createHeader(), et preSend().

◆ addReplyTo()

addReplyTo | ( | $address,
 |  | $name = ''
 | ) |

Add a "Reply-To" address.

Paramètres
string | $address | The email address to reply to
string | $name
Renvoie
boolean true on success, false if address already used or invalid in some way

Références $name, et addOrEnqueueAnAddress().

◆ addrFormat()

addrFormat ( $addr )

Format an address for use in a message header. public

Paramètres
array $addr A 2-element indexed array, element 0 containing an address, element 1 containing a name like array('joe@e.nosp@m.xamp.nosp@m.le.co.nosp@m.m', 'Joe User')
Renvoie
string

Références encodeHeader(), et secureHeader().

Référencé par addrAppend(), createHeader(), et mailSend().

◆ addStringAttachment()

addStringAttachment | ( | $string,
 |  | $filename,
 |  | $encoding = 'base64',
 |  | $type = '',
 |  | $disposition = 'attachment'
 | ) |

Add a string or binary attachment (non-filesystem). This method can be used to attach ascii or binary data, such as a BLOB record from a database.

Paramètres
string | $string | String attachment data.
string | $filename | Name of the attachment.
string | $encoding | File encoding (see $Encoding).
string | $type | File extension (MIME) type.
string | $disposition | Disposition to use
Renvoie
void

Références $type.

◆ addStringEmbeddedImage()

addStringEmbeddedImage | ( | $string,
 |  | $cid,
 |  | $name = '',
 |  | $encoding = 'base64',
 |  | $type = '',
 |  | $disposition = 'inline'
 | ) |

Add an embedded stringified attachment. This can include images, sounds, and just about any other document type. Be sure to set the $type to an image type for images: JPEG images use 'image/jpeg', GIF uses 'image/gif', PNG uses 'image/png'.

Paramètres
string | $string | The attachment binary data.
string | $cid | Content ID of the attachment; Use this to reference the content when using an embedded image in HTML.
string | $name
string | $encoding | File encoding (see $Encoding).
string | $type | MIME type.
string | $disposition | Disposition to use
Renvoie
boolean True on successfully adding an attachment

Références $name, et $type.

Référencé par msgHTML().

◆ alternativeExists()

alternativeExists ( )

Check if this message has an alternative body set.

Renvoie
boolean

Référencé par msgHTML(), preSend(), et setMessageType().

◆ attachAll()

attachAll | ( | $disposition_type,
 |  | $boundary
 | ) |
protected

Attach all file, string, and binary attachments to the message. Returns an empty string on failure. protected

Paramètres
string | $disposition_type
string | $boundary
Renvoie
string

Références $attachment, $boundary, $LE, $mime, $name, $path, $type, encodeFile(), encodeHeader(), encodeString(), isError(), quotedString(), et secureHeader().

Référencé par createBody().

◆ attachmentExists()

attachmentExists ( )

Check if an attachment (non-inline) is present.

Renvoie
boolean

Références $attachment.

Référencé par setMessageType().

◆ base64EncodeWrapMB()

base64EncodeWrapMB | ( | $str,
 |  | $linebreak = null
 | ) |

Encode and wrap long multibyte strings for mail headers without breaking lines within a character. Adapted from a function by paravoid public string $str multi-byte text to wrap encode string $linebreak string to use as linefeed/end-of-line string

Références $i, $LE, $offset, $start, et null.

Référencé par encodeHeader().

◆ clearAddresses()

clearAddresses ( )

Clear all To recipients.

Renvoie
void

Références $to, et clearQueuedAddresses().

◆ clearAllRecipients()

clearAllRecipients ( )

Clear all recipient types.

Renvoie
void

◆ clearAttachments()

clearAttachments ( )

Clear all filesystem, string, and binary attachments.

Renvoie
void

◆ clearBCCs()

clearBCCs ( )

Clear all BCC recipients.

Renvoie
void

Références $bcc, et clearQueuedAddresses().

◆ clearCCs()

clearCCs ( )

Clear all CC recipients.

Renvoie
void

Références $cc, et clearQueuedAddresses().

◆ clearCustomHeaders()

clearCustomHeaders ( )

Clear all custom headers.

Renvoie
void

◆ clearQueuedAddresses()

clearQueuedAddresses ( $kind )

Clear queued addresses of given kind. protected

Paramètres
string $kind 'to', 'cc', or 'bcc'
Renvoie
void

Références $params, et $RecipientsQueue.

Référencé par clearAddresses(), clearBCCs(), et clearCCs().

◆ clearReplyTos()

clearReplyTos ( )

Clear all ReplyTo recipients.

Renvoie
void

◆ createBody()

createBody ( )

Assemble the message body. Returns an empty string on failure. public

Exceptions
phpmailerException
Renvoie
string The assembled message body

Références $CharSet, $Encoding, $file, $LE, $parts, $uniqueid, attachAll(), elseif, encodeString(), endBoundary(), generateId(), getBoundary(), getMailMIME(), has8bitChars(), headerLine(), isError(), lang(), null, setWordWrap(), et textLine().

Référencé par preSend().

◆ createHeader()

createHeader ( )

Assemble message headers. public

Renvoie
string The assembled headers

Références $MessageID, addrAppend(), addrFormat(), elseif, encodeHeader(), getMailMIME(), headerLine(), secureHeader(), et serverHostname().

Référencé par preSend().

◆ DKIM_Add()

DKIM_Add | ( | $headers_line,
 |  | $subject,
 |  | $body
 | ) |

Create the DKIM header and body in a new message header. public

Paramètres
string | $headers_line | Header lines
string | $subject | Subject
string | $body | Body
Renvoie
string

Références $current, $date, $subject, $to, DKIM_BodyC(), DKIM_HeaderC(), DKIM_QP(), DKIM_Sign(), et elseif.

Référencé par preSend().

◆ DKIM_BodyC()

DKIM_BodyC ( $body )

Generate a DKIM canonicalization body. public

Paramètres
string $body Message Body
Renvoie
string

Référencé par DKIM_Add().

◆ DKIM_HeaderC()

DKIM_HeaderC ( $signHeader )

Generate a DKIM canonicalization header. public

Paramètres
string $signHeader Header
Renvoie
string

Références $key, et $value.

Référencé par DKIM_Add().

◆ DKIM_QP()

DKIM_QP ( $txt )

Quoted-Printable-encode a DKIM header. public

Paramètres
string $txt
Renvoie
string

Références $i.

Référencé par DKIM_Add().

◆ DKIM_Sign()

DKIM_Sign ( $signHeader )

Generate a DKIM signature. public

Paramètres
string $signHeader
Exceptions
phpmailerException
Renvoie
string The DKIM signature value

Références $hash, et lang().

Référencé par DKIM_Add().

◆ doCallback()

doCallback | ( | $isSent,
 |  | $to,
 |  | $cc,
 |  | $bcc,
 |  | $subject,
 |  | $body,
 |  | $from
 | ) |
protected

Perform a callback.

Paramètres
boolean | $isSent
array | $to
array | $cc
array | $bcc
string | $subject
string | $body
string | $from

Références $bcc, $cc, $params, $subject, et $to.

Référencé par mailSend(), sendmailSend(), et smtpSend().

◆ edebug()

edebug ( $str )
protected

Output debugging info via user-defined method. Only generates output if SMTP debug output is enabled (

Voir également
SMTP::$do_debug).
PHPMailer::$Debugoutput
PHPMailer::$SMTPDebug
Paramètres
string $str

Références ENT_QUOTES.

Référencé par addAnAddress(), addAttachment(), addOrEnqueueAnAddress(), postSend(), preSend(), setFrom(), PHPMailerOAuth\smtpConnect(), et smtpConnect().

◆ encodeFile()

encodeFile | ( | $path,
 |  | $encoding = 'base64'
 | ) |
protected

Encode a file attachment in requested format. Returns an empty string on failure.

Paramètres
string | $path | The full path to the file
string | $encoding | The encoding to use; one of 'base64', '7bit', '8bit', 'binary', 'quoted-printable'
Exceptions
phpmailerException protected
Renvoie
string

Références $path, encodeString(), lang(), et setError().

Référencé par attachAll().

◆ encodeHeader()

encodeHeader | ( | $str,
 |  | $position = 'text'
 | ) |

Encode a header string optimally. Picks shortest of Q, B, quoted-printable or none. public

Paramètres
string | $str
string | $position
Renvoie
string

PhpMissingBreakStatementInspection

Références $position, base64EncodeWrapMB(), encodeQ(), hasMultiBytes(), et wrapText().

Référencé par addrFormat(), attachAll(), createHeader(), mailPassthru(), et preSend().

◆ encodeQ()

encodeQ | ( | $str,
 |  | $position = 'text'
 | ) |

Encode a string using Q encoding. string $str the text to encode string $position Where the text is going to be used, see the RFC for what that means public string

PhpMissingBreakStatementInspection

Références $position.

Référencé par encodeHeader().

◆ encodeQP()

encodeQP | ( | $string,
 |  | $line_max = 76
 | ) |

Encode a string in quoted-printable format. According to RFC2045 section 6.7. public

Paramètres
string | $string | The text to encode
integer | $line_max | Number of chars allowed on a line before wrapping
Renvoie
string Adapted from this comment

Référencé par encodeQPphp(), et encodeString().

◆ encodeQPphp()

encodeQPphp | ( | $string,
 |  | $line_max = 76,
 |  | $space_conv = false
 | ) |

Backward compatibility wrapper for an old QP encoding function that was removed.

Voir également
PHPMailer::encodeQP() public
Paramètres
string | $string
integer | $line_max
boolean | $space_conv
Renvoie
string
Obsolète:
Use encodeQP instead.
Paramètres
$space_conv PhpUnusedParameterInspection

Références encodeQP().

◆ encodeString()

encodeString | ( | $str,
 |  | $encoding = 'base64'
 | ) |

Encode a string in requested format. Returns an empty string on failure.

Paramètres
string | $str | The text to encode
string | $encoding | The encoding to use; one of 'base64', '7bit', '8bit', 'binary', 'quoted-printable' public
Renvoie
string

Références $LE, encodeQP(), fixEOL(), lang(), et setError().

Référencé par attachAll(), createBody(), et encodeFile().

◆ endBoundary()

endBoundary ( $boundary )
protected

Return the end of a message boundary. protected

Paramètres
string $boundary
Renvoie
string

Références $boundary, et $LE.

Référencé par createBody().

◆ filenameToType()

static filenameToType ( $filename )
static

Map a file name to a MIME type. Defaults to 'application/octet-stream', i.e.. arbitrary binary data.

Paramètres
string $filename A file name or full path, does not need to exist as a file
Renvoie
string

◆ fixEOL()

fixEOL ( $str )

Ensure consistent line endings in a string. Changes every end of line from CRLF, CR or LF to $this->LE. public

Paramètres
string $str String to fixEOL
Renvoie
string

Référencé par encodeString(), et wrapText().

◆ generateId()

generateId ( )
protected

Create unique ID

Renvoie
string

Référencé par createBody().

◆ getAllRecipientAddresses()

getAllRecipientAddresses ( )

Allows for public read access to 'all_recipients' property.

Note
: Before the send() call, queued addresses (i.e. with IDN) are not yet included. public
Renvoie
array

Références $all_recipients.

◆ getAttachments()

getAttachments ( )

Return the array of attachments.

Renvoie
array

Références $attachment.

◆ getBccAddresses()

getBccAddresses ( )

Allows for public read access to 'bcc' property.

Note
: Before the send() call, queued addresses (i.e. with IDN) are not yet included. public
Renvoie
array

Références $bcc.

◆ getBoundary()

getBoundary | ( | $boundary,
 |  | $charSet,
 |  | $contentType,
 |  | $encoding
 | ) |
protected

Return the start of a message boundary. protected

Paramètres
string | $boundary
string | $charSet
string | $contentType
string | $encoding
Renvoie
string

Références $boundary, $CharSet, $ContentType, $Encoding, $LE, headerLine(), et textLine().

Référencé par createBody().

◆ getCcAddresses()

getCcAddresses ( )

Allows for public read access to 'cc' property.

Note
: Before the send() call, queued addresses (i.e. with IDN) are not yet included. public
Renvoie
array

Références $cc.

◆ getCustomHeaders()

getCustomHeaders ( )

Returns all custom headers.

Renvoie
array

Références $CustomHeader.

◆ getLastMessageID()

getLastMessageID ( )

Return the Message-ID header of the last email. Technically this is the value from the last time the headers were created, but it's also the message ID of the last sent message except in pathological cases.

Renvoie
string

Références $lastMessageID.

◆ getMailMIME()

getMailMIME ( )

Get the message MIME type headers. public

Renvoie
string

Références $LE, headerLine(), et textLine().

Référencé par createBody(), et createHeader().

◆ getReplyToAddresses()

getReplyToAddresses ( )

Allows for public read access to 'ReplyTo' property.

Note
: Before the send() call, queued addresses (i.e. with IDN) are not yet included. public
Renvoie
array

Références $ReplyTo.

◆ getSentMIMEMessage()

getSentMIMEMessage ( )

Returns the whole MIME message. Includes complete headers and body. Only valid post preSend().

Voir également
PHPMailer::preSend() public
Renvoie
string

Références $MIMEBody.

◆ getSMTPInstance()

getSMTPInstance ( )

Get an instance to use for SMTP operations. Override this function to load your own SMTP implementation

Renvoie
SMTP

Références $smtp.

Référencé par PHPMailerOAuth\smtpConnect(), et smtpConnect().

◆ getToAddresses()

getToAddresses ( )

Allows for public read access to 'to' property.

Note
: Before the send() call, queued addresses (i.e. with IDN) are not yet included. public
Renvoie
array

Références $to.

◆ getTranslations()

getTranslations ( )

Get the array of strings for the current language.

Renvoie
array

Références $language.

◆ has8bitChars()

has8bitChars ( $text )

Does a string contain any 8-bit chars (in any charset)?

Paramètres
string $text
Renvoie
boolean

Références $text.

Référencé par addOrEnqueueAnAddress(), createBody(), punyencodeAddress(), et setFrom().

◆ hasLineLongerThanMax()

static hasLineLongerThanMax ( $str )
static

Detect if a string contains a line longer than the maximum line length allowed.

Paramètres
string $str
Renvoie
boolean

◆ hasMultiBytes()

hasMultiBytes ( $str )

Check if a string contains multi-byte characters. public

Paramètres
string $str multi-byte text to wrap encode
Renvoie
boolean

Référencé par encodeHeader().

◆ headerLine()

headerLine | ( | $name,
 |  | $value
 | ) |

Format a header line. public

Paramètres
string | $name
string | $value
Renvoie
string

Références $LE, $name, et $value.

Référencé par createBody(), createHeader(), getBoundary(), getMailMIME(), et preSend().

◆ html2text()

html2text | ( | $html,
 |  | $advanced = false
 | ) |

Convert an HTML string into plain text. This is used by msgHTML(). Note - older versions of this function used a bundled advanced converter which was been removed for license reasons in #232. Example usage: // Use default conversion $plain = $mail->html2text($html); // Use your own custom converter $plain = $mail->html2text($html, function($html) { $converter = new MyHtml2text($html); return $converter->get_text(); });

Paramètres
string | $html | The HTML text to convert
boolean | callable | $advanced | Any boolean value to use the internal converter, or provide your own callable for custom conversion.
Renvoie
string

Références $html, et ENT_QUOTES.

Référencé par msgHTML().

◆ idnSupported()

idnSupported ( )

Tells whether IDNs (Internationalized Domain Names) are supported or not. This requires the "intl" and "mbstring" PHP extensions.

Renvoie
bool "true" if required functions for IDN support are present

Référencé par addOrEnqueueAnAddress(), punyencodeAddress(), et setFrom().

◆ inlineImageExists()

inlineImageExists ( )

Check if an inline attachment is present. public

Renvoie
boolean

Références $attachment.

Référencé par setMessageType().

◆ isError()

isError ( )

Check if an error occurred. public

Renvoie
boolean True if an error did occur.

Référencé par attachAll(), et createBody().

◆ isHTML()

isHTML ( $isHtml = true )

Sets message type to HTML or plain.

Paramètres
boolean $isHtml True for HTML mode.
Renvoie
void

Référencé par msgHTML().

◆ isMail()

isMail ( )

Send messages using PHP's mail() function.

Renvoie
void

Référencé par Mail\useSendmail(), et Mail\useSmtp().

◆ isPermittedPath()

static isPermittedPath ( $path )
staticprotected

Check whether a file path is of a permitted type. Used to reject URLs and phar files from functions that access local file paths, such as addAttachment.

Paramètres
string $path A relative or absolute path to a file.
Renvoie
bool

Références $path.

◆ isQmail()

isQmail ( )

Send messages using qmail.

Renvoie
void

◆ isSendmail()

isSendmail ( )

Send messages using $Sendmail.

Renvoie
void

◆ isShellSafe()

static isShellSafe ( $string )
staticprotected

Fix CVE-2016-10033 and CVE-2016-10045 by disallowing potentially unsafe shell characters.

Note that escapeshellarg and escapeshellcmd are inadequate for our purposes, especially on Windows.

Paramètres
string $string The string to be validated
Voir également
https://github.com/PHPMailer/PHPMailer/issues/924 CVE-2016-10045 bug report protected
Renvoie
boolean

Références $i.

◆ isSMTP()

isSMTP ( )

Send messages using SMTP.

Renvoie
void

Référencé par Mail\useSmtp().

◆ lang()

lang ( $key )
protected

Get an error message in the current language. protected

Paramètres
string $key
Renvoie
string

Références $key, language, et setLanguage().

Référencé par addAnAddress(), addAttachment(), addEmbeddedImage(), addOrEnqueueAnAddress(), createBody(), DKIM_Sign(), encodeFile(), encodeString(), mailSend(), preSend(), sendmailSend(), set(), setError(), setFrom(), PHPMailerOAuth\smtpConnect(), smtpConnect(), et smtpSend().

◆ mailPassthru()

mailPassthru | ( | $to,
 |  | $subject,
 |  | $body,
 |  | $header,
 |  | $params
 | ) |
private

Call mail() in a safe_mode-aware fashion. Also, unless sendmail_path points to sendmail (or something that claims to be sendmail), don't pass params (not a perfect fix, but it will do)

Paramètres
string | $to | To
string | $subject | Subject
string | $body | Message Body
string | $header | Additional Header(s)
string | $params | Params private
Renvoie
boolean

Références $params, $subject, $to, encodeHeader(), et secureHeader().

Référencé par mailSend().

◆ mailSend()

mailSend | ( | $header,
 |  | $body
 | ) |
protected

Send mail using the PHP mail() function.

Paramètres
string | $header | The message headers
string | $body | The message body phpmailerException protected boolean

Références $params, $to, addrFormat(), doCallback(), lang(), mailPassthru(), null, et validateAddress().

Référencé par postSend().

◆ mb_pathinfo()

static mb_pathinfo | ( | $path,
 |  | $options = null
 | ) |
static

Multi-byte-safe pathinfo replacement. Drop-in replacement for pathinfo(), but multibyte-safe, cross-platform-safe, old-version-safe. Works similarly to the one in PHP >= 5.2.0 string $path A filename or path, does not need to exist as a file integer|string $options Either a PATHINFO_* constant, or a string name to return only the specified piece, allows 'filename' to work on PHP < 5.2 string|array

Références $options, et $path.

◆ msgHTML()

msgHTML | ( | $message,
 |  | $basedir = '',
 |  | $advanced = false
 | ) |

Create a message body from an HTML string. Automatically inlines images and creates a plain-text version by converting the HTML, overwriting any existing values in Body and AltBody. Do not source $message content from user input! $basedir is prepended when handling relative URLs, e.g.

and must not be empty will look for an image file in $basedir/images/a.png and convert it to inline. If you don't provide a $basedir, relative paths will be left untouched (and thus probably break in email) If you don't want to apply these transformations to your HTML, just set Body and AltBody directly. public

Paramètres
string | $message | HTML message string
string | $basedir | Absolute path to a base directory to prepend to relative paths to images
boolean | callable | $advanced | Whether to use the internal HTML to text converter or your own custom converter
Voir également
PHPMailer::html2text()
Renvoie
string $message The transformed message Body

Références $Body, $data, $images, $message, $url, addEmbeddedImage(), addStringEmbeddedImage(), alternativeExists(), html2text(), isHTML(), et normalizeBreaks().

◆ normalizeBreaks()

static normalizeBreaks | ( | $text,
 |  | $breaktype = "\r\n"
 | ) |
static

Normalize line breaks in a string. Converts UNIX LF, Mac CR and Windows CRLF line breaks into a single line break format. Defaults to CRLF (for message bodies) and preserves consecutive breaks.

Paramètres
string | $text
string | $breaktype | What kind of line break to use, defaults to CRLF
Renvoie
string public

Références $text.

Référencé par msgHTML().

◆ parseAddresses()

parseAddresses | ( | $addrstr,
 |  | $useimap = true
 | ) |

Parse and validate a string containing one or more RFC822-style comma-separated email addresses of the form "display name <address>" into an array of name/address pairs. Uses the imap_rfc822_parse_adrlist function if the IMAP extension is available. Note that quotes in the name part are removed.

Paramètres
string | $addrstr | The address list string
bool | $useimap | Whether to use the IMAP extension to parse the list
Renvoie
array A more careful implementation

Références $list, $name, et validateAddress().

◆ postSend()

postSend ( )

Actually send a message. Send the email via the selected mechanism

Exceptions
phpmailerException
Renvoie
boolean

Références edebug(), mailSend(), sendmailSend(), setError(), et smtpSend().

Référencé par send().

◆ preSend()

preSend ( )

Prepare a message for sending.

Exceptions
phpmailerException
Renvoie
boolean

Références $MIMEHeader, $params, addrAppend(), alternativeExists(), createBody(), createHeader(), DKIM_Add(), edebug(), encodeHeader(), headerLine(), lang(), punyencodeAddress(), secureHeader(), setError(), setMessageType(), et validateAddress().

Référencé par send().

◆ punyencodeAddress()

punyencodeAddress ( $address )

Converts IDN in given email address to its ASCII form, also known as punycode, if possible. Important: Address must be passed in same encoding as currently set in PHPMailer::$CharSet. This function silently returns unmodified address if:

  • No conversion is necessary (i.e. domain name is not an IDN, or is already in ASCII form)
  • Conversion to punycode is impossible (e.g. required PHP functions are not available) or fails for any reason (e.g. domain has characters not allowed in an IDN)
    Voir également
    PHPMailer::$CharSet
    Paramètres
    string $address The email address to convert
    Renvoie
    string The encoded address in ASCII form

Références has8bitChars(), et idnSupported().

Référencé par preSend().

◆ quotedString()

quotedString ( $str )

If a string contains any "special" characters, double-quote the name, and escape any double quotes with a backslash.

Paramètres
string $str
Renvoie
string
Voir également
RFC822 3.4.1

Référencé par attachAll().

◆ rfcDate()

static rfcDate ( )
static

Return an RFC 822 formatted date. public

Renvoie
string

◆ secureHeader()

secureHeader ( $str )

Strip newlines to prevent header injection. public

Paramètres
string $str
Renvoie
string

Référencé par addrFormat(), attachAll(), createHeader(), mailPassthru(), et preSend().

◆ send()

send ( )

Create a message and send it. Uses the sending method specified by $Mailer.

Exceptions
phpmailerException
Renvoie
boolean false on error - See the ErrorInfo property for details of the error.

Références postSend(), preSend(), et setError().

◆ sendmailSend()

sendmailSend | ( | $header,
 |  | $body
 | ) |
protected

Send mail using the $Sendmail program.

Paramètres
string | $header | The message headers
string | $body | The message body
Voir également
PHPMailer::$Sendmail
Exceptions
phpmailerException protected
Renvoie
boolean

Références doCallback(), et lang().

Référencé par postSend().

◆ serverHostname()

serverHostname ( )
protected

Get the server hostname. Returns 'localhost.localdomain' if unknown. protected

Renvoie
string

Références $Hostname, et elseif.

Référencé par createHeader(), PHPMailerOAuth\smtpConnect(), et smtpConnect().

◆ set()

set | ( | $name,
 |  | $value = ''
 | ) |

Set or reset instance properties. You should avoid this function - it's more verbose, less efficient, more error-prone and harder to debug than setting properties directly. Usage Example: ‘$mail->set('SMTPSecure’, 'tls');` is the same as: ‘$mail->SMTPSecure = 'tls’;` public

Paramètres
string | $name | The property name to set
mixed | $value | The value to set the property to
Renvoie
boolean Should this not be using the __set() magic function?

Références $name, $value, lang(), et setError().

◆ setError()

setError ( $msg )
protected

Add an error message to the error container. protected

Paramètres
string $msg
Renvoie
void

Références lang().

Référencé par addAnAddress(), addAttachment(), addEmbeddedImage(), addOrEnqueueAnAddress(), encodeFile(), encodeString(), postSend(), preSend(), InstallerModelManage\publish(), UsersModelMail\send(), send(), set(), setFrom(), et smtpSend().

◆ setFrom()

setFrom | ( | $address,
 |  | $name = '',
 |  | $auto = true
 | ) |

Set the From and FromName properties.

Paramètres
string | $address
string | $name
boolean | $auto | Whether to also set the Sender address, defaults to true
Exceptions
phpmailerException
Renvoie
boolean

Références $name, edebug(), has8bitChars(), idnSupported(), lang(), setError(), et validateAddress().

◆ setLanguage()

setLanguage | ( | $langcode = 'en',
 |  | $lang_path = ''
 | ) |

Set the language for error messages. Returns false if it cannot load the language file. The default language is English.

Paramètres
string | $langcode | ISO 639-1 2-character language code (e.g. French is "fr")
string | $lang_path | Path to the language file directory, with trailing separator (slash)
Renvoie
boolean public

Références $PHPMAILER_LANG, DIRECTORY_SEPARATOR, et language.

Référencé par lang().

◆ setMessageType()

setMessageType ( )
protected

Set the message type. PHPMailer only supports some preset message types, not arbitrary MIME structures. protected

Renvoie
void

Références $type, alternativeExists(), attachmentExists(), et inlineImageExists().

Référencé par preSend().

◆ setWordWrap()

setWordWrap ( )

Apply word wrapping to the message body. Wraps the message body to the number of chars set in the WordWrap property. You should only do this to plain-text bodies as wrapping HTML tags may break them. This is called automatically by createBody(), so you don't need to call it yourself. public

Renvoie
void

Références wrapText().

Référencé par createBody().

◆ sign()

sign | ( | $cert_filename,
 |  | $key_filename,
 |  | $key_pass,
 |  | $extracerts_filename = ''
 | ) |

Set the public and private key files and password for S/MIME signing. public

Paramètres
string | $cert_filename
string | $key_filename
string | $key_pass | Password for private key
string | $extracerts_filename | Optional path to chain certificate

◆ smtpClose()

smtpClose ( )

Close the active SMTP session if one exists.

Renvoie
void

Référencé par __destruct().

◆ smtpConnect()

smtpConnect ( $options = null )

Initiate a connection to an SMTP server. Returns false if the operation failed.

Paramètres
array $options An array of options compatible with stream_context_create() SMTP public
Exceptions
phpmailerException
Renvoie
boolean

Références $Helo, $options, $Port, $prefix, $SMTPOptions, $SMTPSecure, edebug(), elseif, getSMTPInstance(), lang(), null, et serverHostname().

Référencé par smtpSend().

◆ smtpSend()

smtpSend | ( | $header,
 |  | $body
 | ) |
protected

Send mail via SMTP. Returns false if there is a bad MAIL FROM, RCPT, or DATA input. Uses the PHPMailerSMTP class by default.

Voir également
PHPMailer::getSMTPInstance() to use a different class.
Paramètres
string | $header | The message headers
string | $body | The message body
Exceptions
phpmailerException SMTP protected
Renvoie
boolean

Références $From, $Sender, $to, doCallback(), lang(), setError(), smtpConnect(), et validateAddress().

Référencé par postSend().

◆ textLine()

textLine ( $value )

Return a formatted mail line. public

Paramètres
string $value
Renvoie
string

Références $LE, et $value.

Référencé par createBody(), getBoundary(), et getMailMIME().

◆ utf8CharBoundary()

utf8CharBoundary | ( | $encodedText,
 |  | $maxLength
 | ) |

Find the last character boundary prior to $maxLength in a utf-8 quoted-printable encoded string. Original written by Colin Brown. public

Paramètres
string | $encodedText | utf-8 QP text
integer | $maxLength | Find the last character boundary prior to this length
Renvoie
integer

Références elseif.

Référencé par wrapText().

◆ validateAddress()

static validateAddress | ( | $address,
 |  | $patternselect = null
 | ) |
static

Check that a string looks like an email address.

Paramètres
string $address The email address to check
string | callable $patternselect A selector for the validation pattern to use :
  • auto Pick best pattern automatically;
  • pcre8 Use the squiloople.com pattern, requires PCRE > 8.0, PHP >= 5.3.2, 5.2.14;
  • pcre Use old PCRE implementation;
  • php Use PHP built-in FILTER_VALIDATE_EMAIL;
  • html5 Use the pattern given by the HTML5 spec for 'email' type form input elements.
  • noregex Don't use a regex: super fast, really dumb. Alternatively you may pass in a callable to inject your own validator, for example: PHPMailer::validateAddress('user@.nosp@m.exam.nosp@m.ple.c.nosp@m.om', function($address) { return (strpos($address, '@') !== false); }); You can also set the PHPMailer::$validator static to a callable, allowing built-in methods to use your validator.
Renvoie
boolean

public

Uses the same RFC5322 regex on which FILTER_VALIDATE_EMAIL is based, but allows dotless domains. 2009-2010 Michael Rushton Feel free to use and redistribute this code. But please keep this copyright notice. This is the pattern used in the HTML5 spec for validation of 'email' type form input elements. http://www.whatwg.org/specs/web-apps/current-work/#e-mail-state-(type=email)

Références elseif.

Référencé par addAnAddress(), mailSend(), parseAddresses(), preSend(), setFrom(), et smtpSend().

◆ wrapText()

wrapText | ( | $message,
 |  | $length,
 |  | $qp_mode = false
 | ) |

Word-wrap message. For use with mailers that do not automatically perform wrapping and for quoted-printable encoded messages. Original written by philippe.

Paramètres
string | $message | The message to wrap
integer | $length | The line length to wrap to
boolean | $qp_mode | Whether to run in Quoted-Printable mode public
Renvoie
string

Références $LE, $message, elseif, fixEOL(), et utf8CharBoundary().

Référencé par encodeHeader(), et setWordWrap().

Documentation des champs

◆ $action_function

$action_function = ''

◆ $all_recipients

$all_recipients = array()
protected

Référencé par getAllRecipientAddresses().

◆ $AllowEmpty

$AllowEmpty = false

◆ $AltBody

$AltBody = ''

◆ $attachment

$attachment = array()
protected

Référencé par attachAll(), attachmentExists(), getAttachments(), inlineImageExists(), et Mail\sendMail().

◆ $AuthType

$AuthType = ''

◆ $bcc

$bcc = array()
protected

Référencé par Mail\addBcc(), clearBCCs(), doCallback(), getBccAddresses(), UsersModelMail\send(), et Mail\sendMail().

◆ $Body

$Body = ''

Référencé par msgHTML().

◆ $boundary

$boundary = array()
protected

Référencé par attachAll(), endBoundary(), et getBoundary().

◆ $cc

$cc = array()
protected

Référencé par Mail\addCc(), clearCCs(), doCallback(), getCcAddresses(), et Mail\sendMail().

◆ $CharSet

$CharSet = 'iso-8859-1'

Référencé par createBody(), et getBoundary().

◆ $ConfirmReadingTo

$ConfirmReadingTo = ''

◆ $ContentType

$ContentType = 'text/plain'

Référencé par getBoundary().

◆ $CustomHeader

$CustomHeader = array()
protected

Référencé par getCustomHeaders().

◆ $Debugoutput

$Debugoutput = 'echo'

◆ $DKIM_domain

$DKIM_domain = ''

◆ $DKIM_identity

$DKIM_identity = ''

◆ $DKIM_passphrase

$DKIM_passphrase = ''

◆ $DKIM_private

$DKIM_private = ''

◆ $DKIM_private_string

$DKIM_private_string = ''

◆ $DKIM_selector

$DKIM_selector = ''

◆ $do_verp

$do_verp = false

◆ $Encoding

$Encoding = '8bit'

Référencé par createBody(), et getBoundary().

◆ $error_count

$error_count = 0
protected

◆ $ErrorInfo

$ErrorInfo = ''

◆ $exceptions

$exceptions = false
protected

Référencé par __construct(), et Mail\getInstance().

◆ $From

$From = 'root@localhost'

Référencé par smtpSend().

◆ $FromName

$FromName = 'Root User'

◆ $Helo

$Helo = ''

Référencé par PHPMailerOAuth\smtpConnect(), et smtpConnect().

◆ $Host

$Host = 'localhost'

◆ $Hostname

$Hostname = ''

Référencé par serverHostname().

◆ $Ical

$Ical = ''

◆ $language

$language = array()
protected

Référencé par getTranslations().

◆ $lastMessageID

$lastMessageID = ''
protected

Référencé par getLastMessageID().

◆ $LE

$LE = "\n"

Référencé par addrAppend(), attachAll(), base64EncodeWrapMB(), createBody(), encodeString(), endBoundary(), getBoundary(), getMailMIME(), headerLine(), textLine(), et wrapText().

◆ $Mailer

$Mailer = 'mail'

◆ $mailHeader

$mailHeader = ''
protected

◆ $message_type

$message_type = ''
protected

◆ $MessageDate

$MessageDate = ''

◆ $MessageID

$MessageID = ''

Référencé par createHeader().

◆ $MIMEBody

$MIMEBody = ''
protected

Référencé par getSentMIMEMessage().

◆ $MIMEHeader

$MIMEHeader = ''
protected

Référencé par preSend().

◆ $Password

$Password = ''

◆ $PluginDir

$PluginDir = ''

◆ $Port

$Port = 25

Référencé par PHPMailerOAuth\smtpConnect(), et smtpConnect().

◆ $Priority

$Priority = null

◆ $Realm

$Realm = ''

◆ $RecipientsQueue

$RecipientsQueue = array()
protected

Référencé par clearQueuedAddresses().

◆ $ReplyTo

$ReplyTo = array()
protected

Référencé par getReplyToAddresses().

◆ $ReplyToQueue

$ReplyToQueue = array()
protected

◆ $ReturnPath

$ReturnPath = ''

◆ $Sender

$Sender = ''

Référencé par smtpSend().

◆ $Sendmail

$Sendmail = '/usr/sbin/sendmail'

◆ $sign_cert_file

$sign_cert_file = ''
protected

◆ $sign_extracerts_file

$sign_extracerts_file = ''
protected

◆ $sign_key_file

$sign_key_file = ''
protected

◆ $sign_key_pass

$sign_key_pass = ''
protected

◆ $SingleTo

$SingleTo = false

◆ $SingleToArray

$SingleToArray = array()

◆ $smtp

$smtp = null
protected

Référencé par getSMTPInstance().

◆ $SMTPAuth

$SMTPAuth = false

◆ $SMTPAutoTLS

$SMTPAutoTLS = true

◆ $SMTPDebug

$SMTPDebug = 0

◆ $SMTPKeepAlive

$SMTPKeepAlive = false

◆ $SMTPOptions

$SMTPOptions = array()

Référencé par smtpConnect().

◆ $SMTPSecure

$SMTPSecure = ''

Référencé par PHPMailerOAuth\smtpConnect(), et smtpConnect().

◆ $Subject

$Subject = ''

◆ $Timeout

$Timeout = 300

◆ $to

$to = array()
protected

Référencé par Mail\add(), clearAddresses(), DKIM_Add(), doCallback(), getToAddresses(), mailPassthru(), mailSend(), UsersModelMail\send(), et smtpSend().

◆ $uniqueid

$uniqueid = ''
protected

Référencé par createBody().

◆ $Username

$Username = ''

◆ $UseSendmailOptions

$UseSendmailOptions = true

◆ $validator

$validator = 'auto'
static

◆ $Version

$Version = '5.2.28+joomla2'

◆ $WordWrap

$WordWrap = 0

◆ $Workstation

$Workstation = ''

◆ $XMailer

$XMailer = ''

◆ CRLF

const CRLF = "\r\n"

SMTP RFC standard line ending.

◆ MAX_LINE_LENGTH

const MAX_LINE_LENGTH = 998

◆ STOP_CONTINUE

const STOP_CONTINUE = 1

Error severity: message, likely ok to continue processing.

◆ STOP_CRITICAL

const STOP_CRITICAL = 2

Error severity: message, plus full stop, critical error reached.

◆ STOP_MESSAGE

const STOP_MESSAGE = 0

Error severity: message only, continue processing.

La documentation de cette classe a été générée à partir du fichier suivant :
  • class.phpmailer.php


Joomla CMS: Référence de la classe phpmailerException

Fonctions membres publiques
Référence de la classe phpmailerException
+ Graphe d'héritage de phpmailerException:

Fonctions membres publiques

errorMessage ()

Documentation des fonctions membres

◆ errorMessage()

errorMessage ( )

Prettify error message output

Renvoie
string

Références htmlspecialchars.

La documentation de cette classe a été générée à partir du fichier suivant :
  • class.phpmailer.php


Joomla CMS: Référence de la classe PHPMailerOAuth

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe PHPMailerOAuth
+ Graphe d'héritage de PHPMailerOAuth:
PHPMailer

Fonctions membres publiques

getOAUTHInstance ()
smtpConnect ($options=array())
- Fonctions membres publiques hérités de PHPMailer
__construct ($exceptions=null)
__destruct ()
isHTML ($isHtml=true)
isSMTP ()
isMail ()
isSendmail ()
isQmail ()
addAddress ($address, $name='')
addCC ($address, $name='')
addBCC ($address, $name='')
addReplyTo ($address, $name='')
parseAddresses ($addrstr, $useimap=true)
setFrom ($address, $name='', $auto=true)
getLastMessageID ()
idnSupported ()
punyencodeAddress ($address)
send ()
preSend ()
postSend ()
getSMTPInstance ()
smtpConnect ($options=null)
smtpClose ()
setLanguage ($langcode='en', $lang_path='')
getTranslations ()
addrAppend ($type, $addr)
addrFormat ($addr)
wrapText ($message, $length, $qp_mode=false)
utf8CharBoundary ($encodedText, $maxLength)
setWordWrap ()
createHeader ()
getMailMIME ()
getSentMIMEMessage ()
createBody ()
headerLine ($name, $value)
textLine ($value)
addAttachment ($path, $name='', $encoding='base64', $type='', $disposition='attachment')
getAttachments ()
encodeString ($str, $encoding='base64')
encodeHeader ($str, $position='text')
hasMultiBytes ($str)
has8bitChars ($text)
base64EncodeWrapMB ($str, $linebreak=null)
encodeQP ($string, $line_max=76)
encodeQPphp ( $string, $line_max=76, $space_conv=false)
encodeQ ($str, $position='text')
addStringAttachment ( $string, $filename, $encoding='base64', $type='', $disposition='attachment')
addEmbeddedImage ($path, $cid, $name='', $encoding='base64', $type='', $disposition='inline')
addStringEmbeddedImage ( $string, $cid, $name='', $encoding='base64', $type='', $disposition='inline')
inlineImageExists ()
attachmentExists ()
alternativeExists ()
clearQueuedAddresses ($kind)
clearAddresses ()
clearCCs ()
clearBCCs ()
clearReplyTos ()
clearAllRecipients ()
clearAttachments ()
clearCustomHeaders ()
isError ()
fixEOL ($str)
addCustomHeader ($name, $value=null)
getCustomHeaders ()
msgHTML ($message, $basedir='', $advanced=false)
html2text ($html, $advanced=false)
set ($name, $value='')
secureHeader ($str)
sign ($cert_filename, $key_filename, $key_pass, $extracerts_filename='')
DKIM_QP ($txt)
DKIM_Sign ($signHeader)
DKIM_HeaderC ($signHeader)
DKIM_BodyC ($body)
DKIM_Add ($headers_line, $subject, $body)
quotedString ($str)
getToAddresses ()
getCcAddresses ()
getBccAddresses ()
getReplyToAddresses ()
getAllRecipientAddresses ()

Champs de données

$oauthUserEmail = ''
$oauthRefreshToken = ''
$oauthClientId = ''
$oauthClientSecret = ''
- Champs de données hérités de PHPMailer
$Version = '5.2.28+joomla2'
$Priority = null
$CharSet = 'iso-8859-1'
$ContentType = 'text/plain'
$Encoding = '8bit'
$ErrorInfo = ''
$From = 'root@localhost'
$FromName = 'Root User'
$Sender = ''
$ReturnPath = ''
$Subject = ''
$Body = ''
$AltBody = ''
$Ical = ''
$WordWrap = 0
$Mailer = 'mail'
$Sendmail = '/usr/sbin/sendmail'
$UseSendmailOptions = true
$PluginDir = ''
$ConfirmReadingTo = ''
$Hostname = ''
$MessageID = ''
$MessageDate = ''
$Host = 'localhost'
$Port = 25
$Helo = ''
$SMTPSecure = ''
$SMTPAutoTLS = true
$SMTPAuth = false
$SMTPOptions = array()
$Username = ''
$Password = ''
$AuthType = ''
$Realm = ''
$Workstation = ''
$Timeout = 300
$SMTPDebug = 0
$Debugoutput = 'echo'
$SMTPKeepAlive = false
$SingleTo = false
$SingleToArray = array()
$do_verp = false
$AllowEmpty = false
$LE = "\n"
$DKIM_selector = ''
$DKIM_identity = ''
$DKIM_passphrase = ''
$DKIM_domain = ''
$DKIM_private = ''
$DKIM_private_string = ''
$action_function = ''
$XMailer = ''
const | STOP_MESSAGE = 0
const | STOP_CONTINUE = 1
const | STOP_CRITICAL = 2
const | CRLF = "\r\n"
const | MAX_LINE_LENGTH = 998

Attributs protégés

$oauth = null
- Attributs protégés hérités de PHPMailer
$MIMEBody = ''
$MIMEHeader = ''
$mailHeader = ''
$smtp = null
$to = array()
$cc = array()
$bcc = array()
$ReplyTo = array()
$all_recipients = array()
$RecipientsQueue = array()
$ReplyToQueue = array()
$attachment = array()
$CustomHeader = array()
$lastMessageID = ''
$message_type = ''
$boundary = array()
$language = array()
$error_count = 0
$sign_cert_file = ''
$sign_key_file = ''
$sign_extracerts_file = ''
$sign_key_pass = ''
$exceptions = false
$uniqueid = ''

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de PHPMailer
static | validateAddress ($address, $patternselect=null)
static | rfcDate ()
static | _mime_types ($ext='')
static | filenameToType ($filename)
static | mb_pathinfo ($path, $options=null)
static | normalizeBreaks ($text, $breaktype="\")
static | hasLineLongerThanMax ($str)
- Attributs publics statiques hérités de PHPMailer
static | $validator = 'auto'
- Fonctions membres protégées hérités de PHPMailer
edebug ($str)
addOrEnqueueAnAddress ($kind, $address, $name)
addAnAddress ($kind, $address, $name='')
sendmailSend ($header, $body)
mailSend ($header, $body)
smtpSend ($header, $body)
generateId ()
getBoundary ($boundary, $charSet, $contentType, $encoding)
endBoundary ($boundary)
setMessageType ()
attachAll ($disposition_type, $boundary)
encodeFile ($path, $encoding='base64')
setError ($msg)
serverHostname ()
lang ($key)
doCallback ($isSent, $to, $cc, $bcc, $subject, $body, $from)
- Fonctions membres protégées statiques hérités de PHPMailer
static | isShellSafe ($string)
static | isPermittedPath ($path)

Documentation des fonctions membres

◆ getOAUTHInstance()

getOAUTHInstance ( )

Get a PHPMailerOAuthGoogle instance to use.

Renvoie
PHPMailerOAuthGoogle

Références $oauth.

Référencé par smtpConnect().

◆ smtpConnect()

smtpConnect ( $options = array() )

Initiate a connection to an SMTP server. Overrides the original smtpConnect method to add support for OAuth.

Paramètres
array $options An array of options compatible with stream_context_create() SMTP public
Renvoie
bool
Exceptions
phpmailerException

Références PHPMailer\$Helo, $options, PHPMailer\$Port, $prefix, PHPMailer\$SMTPSecure, PHPMailer\edebug(), elseif, getOAUTHInstance(), PHPMailer\getSMTPInstance(), PHPMailer\lang(), null, et PHPMailer\serverHostname().

Documentation des champs

◆ $oauth

$oauth = null
protected

Référencé par getOAUTHInstance().

◆ $oauthClientId

$oauthClientId = ''

◆ $oauthClientSecret

$oauthClientSecret = ''

◆ $oauthRefreshToken

$oauthRefreshToken = ''

◆ $oauthUserEmail

$oauthUserEmail = ''
La documentation de cette classe a été générée à partir du fichier suivant :
  • class.phpmaileroauth.php


Joomla CMS: Référence de la classe PHPMailerOAuthGoogle

Fonctions membres publiques | Fonctions membres privées | Attributs privés
Référence de la classe PHPMailerOAuthGoogle

Fonctions membres publiques

__construct ( $UserEmail, $ClientSecret, $ClientId, $RefreshToken)
getOauth64 ()

Fonctions membres privées

getProvider ()
getGrant ()
getToken ()

Attributs privés

$oauthUserEmail = ''
$oauthRefreshToken = ''
$oauthClientId = ''
$oauthClientSecret = ''

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $UserEmail,
 |  | $ClientSecret,
 |  | $ClientId,
 |  | $RefreshToken
 | ) |
Paramètres
string | $UserEmail
string | $ClientSecret
string | $ClientId
string | $RefreshToken

Documentation des fonctions membres

◆ getGrant()

getGrant ( )
private

Référencé par getToken().

◆ getOauth64()

getOauth64 ( )

Références getToken().

◆ getProvider()

getProvider ( )
private

Référencé par getToken().

◆ getToken()

getToken ( )
private

Références getGrant(), et getProvider().

Référencé par getOauth64().

Documentation des champs

◆ $oauthClientId

$oauthClientId = ''
private

◆ $oauthClientSecret

$oauthClientSecret = ''
private

◆ $oauthRefreshToken

$oauthRefreshToken = ''
private

◆ $oauthUserEmail

$oauthUserEmail = ''
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • class.phpmaileroauthgoogle.php


Joomla CMS: Référence de la classe PlgActionlogJoomla

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgActionlogJoomla
+ Graphe d'héritage de PlgActionlogJoomla:
ActionLogPlugin

Fonctions membres publiques

__construct (&$subject, $config)
onContentAfterSave ($context, $article, $isNew)
onContentAfterDelete ($context, $article)
onContentChangeState ($context, $pks, $value)
onApplicationAfterSave ($config)
onExtensionAfterInstall ($installer, $eid)
onExtensionAfterUninstall ($installer, $eid, $result)
onExtensionAfterUpdate ($installer, $eid)
onExtensionAfterSave ($context, $table, $isNew)
onExtensionAfterDelete ($context, $table)
onUserAfterSave ($user, $isnew, $success, $msg)
onUserAfterDelete ($user, $success, $msg)
onUserAfterSaveGroup ($context, $table, $isNew)
onUserAfterDeleteGroup ($group, $success, $msg)
onUserAfterLogin ($options)
onUserLoginFailure ($response)
onUserLogout ($user, $options=array())
onUserAfterRemind ($user)
onAfterCheckin ($table)
onAfterLogPurge ($group='')
onAfterLogExport ($group='')
onAfterPurge ($group='all')
onJoomlaAfterUpdate ($oldVersion=null)

Fonctions membres protégées

checkLoggable ($extension)

Attributs protégés

$loggableExtensions = array()
$contextAliases = array('com_content.form' => 'com_content.article')
- Attributs protégés hérités de ActionLogPlugin
$app
$db
$autoloadLanguage = true

Description détaillée

Joomla! Users Actions Logging Plugin.

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor.

Paramètres
object | &$subject | The object to observe.
array | $config | An optional associative array of configuration settings.
Depuis
3.9.0

Références $config, $params, et $subject.

Documentation des fonctions membres

◆ checkLoggable()

checkLoggable ( $extension )
protected

Function to check if a component is loggable or not

Paramètres
string $extension The extension that triggered the event
Renvoie
boolean
Depuis
3.9.0

Références $extension.

◆ onAfterCheckin()

onAfterCheckin ( $table )

On after Check-in request

Method is called after user request to check-in items.

Paramètres
array $table Holds the table name.
Renvoie
void
Depuis
3.9.3

Références $context, $message, $user, et Factory\getUser().

◆ onAfterLogExport()

onAfterLogExport ( $group = '' )

On after log export

Method is called after user request to export action log items.

Paramètres
array $group Holds the group name.
Renvoie
void
Depuis
3.9.4

Références $context, $message, $user, et Factory\getUser().

◆ onAfterLogPurge()

onAfterLogPurge ( $group = '' )

On after log action purge

Method is called after user request to clean action log items.

Paramètres
array $group Holds the group name.
Renvoie
void
Depuis
3.9.4

Références $context, $message, $user, et Factory\getUser().

◆ onAfterPurge()

onAfterPurge ( $group = 'all' )

On after Cache purge

Method is called after user request to clean cached items.

Paramètres
string $group Holds the group name.
Renvoie
void
Depuis
3.9.4

Références $context, $message, et $user.

◆ onApplicationAfterSave()

onApplicationAfterSave ( $config )

On Saving application configuration logging method Method is called when the application config is being saved

Paramètres
JRegistry $config JRegistry object with the new config
Renvoie
void
Depuis
3.9.0

Références $action, $message, et $option.

◆ onContentAfterDelete()

onContentAfterDelete | ( | $context,
 |  | $article
 | ) |

After delete content logging method This method adds a record to #__action_logs contains (message, date, context, user) Method is called right after the content is deleted

Paramètres
string | $context | The context of the content passed to the plugin
object | $article | A JTableContent object
Renvoie
void
Depuis
3.9.0

Références $article, $context, $id, $message, $option, $params, ActionlogsHelper\getLogContentTypeParams(), et null.

◆ onContentAfterSave()

onContentAfterSave | ( | $context,
 |  | $article,
 |  | $isNew
 | ) |

After save content logging method This method adds a record to #__action_logs contains (message, date, context, user) Method is called right after the content is saved

Paramètres
string | $context | The context of the content passed to the plugin
object | $article | A JTableContent object
boolean | $isNew | If the content is just about to be created
Renvoie
void
Depuis
3.9.0

Références $article, $context, $id, $message, $option, $params, ActionlogsHelper\getContentTypeLink(), ActionlogsHelper\getLogContentTypeParams(), et null.

◆ onContentChangeState()

onContentChangeState | ( | $context,
 |  | $pks,
 |  | $value
 | ) |

On content change status logging method This method adds a record to #__action_logs contains (message, date, context, user) Method is called when the status of the article is changed

Paramètres
string | $context | The context of the content passed to the plugin
array | $pks | An array of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
3.9.0

Références $action, $context, $db, $items, $message, $messages, $option, $params, $query, $value, ActionlogsHelper\getContentTypeLink(), ActionlogsHelper\getLogContentTypeParams(), et null.

◆ onExtensionAfterDelete()

onExtensionAfterDelete | ( | $context,
 |  | $table
 | ) |

On Deleting extensions logging method Method is called when an extension is being deleted

Paramètres
string | $context | The extension
JTable | $table | DataBase Table object
Renvoie
void
Depuis
3.9.0

Références $context, $message, $params, ActionlogsHelper\getLogContentTypeParams(), et null.

◆ onExtensionAfterInstall()

onExtensionAfterInstall | ( | $installer,
 |  | $eid
 | ) |

On installing extensions logging method This method adds a record to #__action_logs contains (message, date, context, user) Method is called when an extension is installed

Paramètres
JInstaller | $installer | Installer object
integer | $eid | Extension Identifier
Renvoie
void
Depuis
3.9.0

Références $context, $manifest, $message, et null.

◆ onExtensionAfterSave()

onExtensionAfterSave | ( | $context,
 |  | $table,
 |  | $isNew
 | ) |

On Saving extensions logging method Method is called when an extension is being saved

Paramètres
string | $context | The extension
JTable | $table | DataBase Table object
boolean | $isNew | If the extension is new or not
Renvoie
void
Depuis
3.9.0

Références $context, $message, $option, $params, ActionlogsHelper\getContentTypeLink(), ActionlogsHelper\getLogContentTypeParams(), et null.

◆ onExtensionAfterUninstall()

onExtensionAfterUninstall | ( | $installer,
 |  | $eid,
 |  | $result
 | ) |

On uninstalling extensions logging method This method adds a record to #__action_logs contains (message, date, context, user) Method is called when an extension is uninstalled

Paramètres
JInstaller | $installer | Installer instance
integer | $eid | Extension id
integer | $result | Installation result
Renvoie
void
Depuis
3.9.0

Références $context, $manifest, $message, et null.

◆ onExtensionAfterUpdate()

onExtensionAfterUpdate | ( | $installer,
 |  | $eid
 | ) |

On updating extensions logging method This method adds a record to #__action_logs contains (message, date, context, user) Method is called when an extension is updated

Paramètres
JInstaller | $installer | Installer instance
integer | $eid | Extension id
Renvoie
void
Depuis
3.9.0

Références $context, $manifest, $message, et null.

◆ onJoomlaAfterUpdate()

onJoomlaAfterUpdate ( $oldVersion = null )

On after CMS Update

Method is called after user update the CMS.

Paramètres
string $oldVersion The Joomla version before the update
Renvoie
void
Depuis
3.9.21

Références $context, $message, et $user.

◆ onUserAfterDelete()

onUserAfterDelete | ( | $user,
 |  | $success,
 |  | $msg
 | ) |

On deleting user data logging method

Method is called after user data is deleted from the database

Paramètres
array | $user | Holds the user data
boolean | $success | True if user was successfully stored in the database
string | $msg | Message
Renvoie
void
Depuis
3.9.0

Références $context, $message, et $user.

◆ onUserAfterDeleteGroup()

onUserAfterDeleteGroup | ( | $group,
 |  | $success,
 |  | $msg
 | ) |

On deleting user group data logging method

Method is called after user group is deleted from the database

Paramètres
array | $group | Holds the group data
boolean | $success | True if user was successfully stored in the database
string | $msg | Message
Renvoie
void
Depuis
3.9.0

Références $context, et $message.

◆ onUserAfterLogin()

onUserAfterLogin ( $options )

Method to log user login success action

Paramètres
array $options Array holding options (user, responseType)
Renvoie
void
Depuis
3.9.0

Références $context, $message, et $options.

◆ onUserAfterRemind()

onUserAfterRemind ( $user )

On after Remind username request

Method is called after user request to remind their username.

Paramètres
array $user Holds the user data.
Renvoie
void
Depuis
3.9.0

Références $context, $message, et $user.

◆ onUserAfterSave()

onUserAfterSave | ( | $user,
 |  | $isnew,
 |  | $success,
 |  | $msg
 | ) |

On saving user data logging method

Method is called after user data is stored in the database. This method logs who created/edited any user's data

Paramètres
array | $user | Holds the new user data.
boolean | $isnew | True if a new user is stored.
boolean | $success | True if user was successfully stored in the database.
string | $msg | Message.
Renvoie
void
Depuis
3.9.0

Références $action, $context, $message, $task, $user, $userId, elseif, et Factory\getUser().

◆ onUserAfterSaveGroup()

onUserAfterSaveGroup | ( | $context,
 |  | $table,
 |  | $isNew
 | ) |

On after save user group data logging method

Method is called after user group is stored into the database

Paramètres
string | $context | The context
JTable | $table | DataBase Table object
boolean | $isNew | Is new or not
Renvoie
void
Depuis
3.9.0

Références $action, $context, et $message.

◆ onUserLoginFailure()

onUserLoginFailure ( $response )

Method to log user login failed action

Paramètres
array $response Array of response data.
Renvoie
void
Depuis
3.9.0

Références $context, $message, et $query.

◆ onUserLogout()

onUserLogout | ( | $user,
 |  | $options = array()
 | ) |

Method to log user's logout action

Paramètres
array | $user | Holds the user data
array | $options | Array holding options (remember, autoregister, group)
Renvoie
void
Depuis
3.9.0

Références $context, $message, $user, et User\getInstance().

Documentation des champs

◆ $contextAliases

$contextAliases = array('com_content.form' => 'com_content.article')
protected

◆ $loggableExtensions

$loggableExtensions = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/actionlog/joomla/joomla.php


Joomla CMS: Référence de la classe PlgAuthenticationCookie

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgAuthenticationCookie
+ Graphe d'héritage de PlgAuthenticationCookie:

Fonctions membres publiques

onPrivacyCollectAdminCapabilities ()
onUserAuthenticate ($credentials, $options, &$response)
onUserAfterLogin ($options)
onUserAfterLogout ($options)

Attributs protégés

$app
$db

Description détaillée

Joomla Authentication plugin

Depuis
3.2
Note
Code based on http://jaspan.com/improved_persistent_login_cookie_best_practice and http://fishbowl.pastiche.org/2004/01/19/persistent_login_cookie_best_practice/

Documentation des fonctions membres

◆ onPrivacyCollectAdminCapabilities()

onPrivacyCollectAdminCapabilities ( )

Reports the privacy related capabilities for this plugin to site administrators.

Renvoie
array
Depuis
3.9.0

◆ onUserAfterLogin()

onUserAfterLogin ( $options )

We set the authentication cookie only after login is successfully finished. We set a new cookie either for a user with no cookies or one where the user used a cookie to authenticate.

Paramètres
array $options Array holding options
Renvoie
boolean True on success
Depuis
3.2

Références $filter, $options, $query, $results, elseif, null, et true.

◆ onUserAfterLogout()

onUserAfterLogout ( $options )

This is where we delete any authentication cookie when a user logs out

Paramètres
array $options Array holding options (length, timeToExpiration)
Renvoie
boolean True on success
Depuis
3.2

Références $filter, et $query.

◆ onUserAuthenticate()

onUserAuthenticate | ( |  | $credentials,
 |  |  | $options,
 |  | & | $response
 | ) |  |

This method should handle any authentication and report back to the subject

Paramètres
array | $credentials | Array holding the user credentials
array | $options | Array of extra options
object | &$response | Authentication response object
Renvoie
boolean
Depuis
3.2

Références $filter, $query, $results, et $user.

Documentation des champs

◆ $app

$app
protected

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/authentication/cookie/cookie.php


Joomla CMS: Référence de la classe PlgAuthenticationGMail

Fonctions membres publiques
Référence de la classe PlgAuthenticationGMail
+ Graphe d'héritage de PlgAuthenticationGMail:

Fonctions membres publiques

onUserAuthenticate ($credentials, $options, &$response)

Description détaillée

GMail Authentication Plugin

Depuis
1.5

Documentation des fonctions membres

◆ onUserAuthenticate()

onUserAuthenticate | ( |  | $credentials,
 |  |  | $options,
 |  | & | $response
 | ) |  |

This method should handle any authentication and report back to the subject

Paramètres
array | $credentials | Array holding the user credentials
array | $options | Array of extra options
AuthenticationResponse | &$response | Authentication response object
Renvoie
void
Depuis
1.5

Références $db, $message, $offset, $query, $suffix, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • gmail.php


Joomla CMS: Référence de la classe PlgAuthenticationJoomla

Référence de la classe PlgAuthenticationJoomla
+ Graphe d'héritage de PlgAuthenticationJoomla:

Description détaillée

Joomla Authentication plugin

Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/authentication/joomla/joomla.php


Joomla CMS: Référence de la classe PlgAuthenticationLdap

Fonctions membres publiques | Fonctions membres privées statiques
Référence de la classe PlgAuthenticationLdap
+ Graphe d'héritage de PlgAuthenticationLdap:

Fonctions membres publiques

onUserAuthenticate ($credentials, $options, &$response)

Fonctions membres privées statiques

static searchByString ($search, LdapClient $ldap)

Description détaillée

LDAP Authentication Plugin

Depuis
1.5

Documentation des fonctions membres

◆ onUserAuthenticate()

onUserAuthenticate | ( |  | $credentials,
 |  |  | $options,
 |  | & | $response
 | ) |  |

This method should handle any authentication and report back to the subject

Paramètres
array | $credentials | Array holding the user credentials
array | $options | Array of extra options
object | &$response | Authentication response object
Renvoie
boolean
Depuis
1.5

Références null.

◆ searchByString()

static searchByString | ( |  | $search,
 |  | LdapClient | $ldap
 | ) |  |
staticprivate

Shortcut method to build a LDAP search based on a semicolon separated string

Note that this method requires that semicolons which should be part of the search term to be escaped to correctly split the search string into separate lookups

Paramètres
string | $search | search string of search values
LdapClient | $ldap | The LDAP client
Renvoie
array Search results
Depuis
3.8.2

Références $key, $results, et LdapClient\search().

La documentation de cette classe a été générée à partir du fichier suivant :
  • ldap.php


Joomla CMS: Référence de la classe PlgButtonArticle

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgButtonArticle
+ Graphe d'héritage de PlgButtonArticle:

Fonctions membres publiques

onDisplay ($name)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Editor Article button

Depuis
1.5

Documentation des fonctions membres

◆ onDisplay()

onDisplay ( $name )

Display the button

Paramètres
string $name The name of the button to add
Renvoie
JObject The button options as JObject
Depuis
1.5

Références $button, $input, $link, $name, et $user.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors-xtd/article/article.php


Joomla CMS: Référence de la classe PlgButtonContact

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgButtonContact
+ Graphe d'héritage de PlgButtonContact:

Fonctions membres publiques

onDisplay ($name)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Editor Contact button

Depuis
3.7.0

Documentation des fonctions membres

◆ onDisplay()

onDisplay ( $name )

Display the button

Paramètres
string $name The name of the button to add
Renvoie
JObject The button options as JObject
Depuis
3.7.0

Références $button, $link, $name, et $user.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors-xtd/contact/contact.php


Joomla CMS: Référence de la classe PlgButtonFields

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgButtonFields
+ Graphe d'héritage de PlgButtonFields:

Fonctions membres publiques

onDisplay ($name)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Editor Fields button

Depuis
3.7.0

Documentation des fonctions membres

◆ onDisplay()

onDisplay ( $name )

Display the button

Paramètres
string $name The name of the button to add
Renvoie
JObject The button options as JObject
Depuis
3.7.0

Références $button, $context, $jinput, $link, $name, FieldsHelper\extract(), FieldsHelper\getFields(), JPATH_ADMINISTRATOR, et JLoader\register().

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors-xtd/fields/fields.php


Joomla CMS: Référence de la classe PlgButtonImage

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgButtonImage
+ Graphe d'héritage de PlgButtonImage:

Fonctions membres publiques

onDisplay ($name, $asset, $author)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Editor Image buton

Depuis
1.5

Documentation des fonctions membres

◆ onDisplay()

onDisplay | ( | $name,
 |  | $asset,
 |  | $author
 | ) |

Display the button.

Paramètres
string | $name | The name of the button to display.
string | $asset | The name of the asset being edited.
integer | $author | The id of the author owning the asset being edited.
Renvoie
JObject The button options as JObject or false if not allowed
Depuis
1.5

Références $app, $asset, $author, $button, $extension, $link, $name, $parts, et $user.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors-xtd/image/image.php


Joomla CMS: Référence de la classe PlgButtonMenu

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgButtonMenu
+ Graphe d'héritage de PlgButtonMenu:

Fonctions membres publiques

onDisplay ($name)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Editor menu button

Depuis
3.7.0

Documentation des fonctions membres

◆ onDisplay()

onDisplay ( $name )

Display the button

Paramètres
string $name The name of the button to add
Depuis
3.7.0
Renvoie
array

Références $button, $link, $name, et $user.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors-xtd/menu/menu.php


Joomla CMS: Référence de la classe PlgButtonModule

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgButtonModule
+ Graphe d'héritage de PlgButtonModule:

Fonctions membres publiques

onDisplay ($name)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Editor Module button

Depuis
3.5

Documentation des fonctions membres

◆ onDisplay()

onDisplay ( $name )

Display the button

Paramètres
string $name The name of the button to add
Renvoie
JObject The button options as JObject
Depuis
3.5

Références $button, $link, $name, et $user.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors-xtd/module/module.php


Joomla CMS: Référence de la classe PlgButtonPagebreak

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgButtonPagebreak
+ Graphe d'héritage de PlgButtonPagebreak:

Fonctions membres publiques

onDisplay ($name)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Editor Pagebreak button

Depuis
1.5

Documentation des fonctions membres

◆ onDisplay()

onDisplay ( $name )

Display the button

Paramètres
string $name The name of the button to add
Renvoie
JObject The button options as JObject
Depuis
1.5

Références $button, $input, $link, $name, $user, et getDocument.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors-xtd/pagebreak/pagebreak.php


Joomla CMS: Référence de la classe PlgButtonReadmore

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgButtonReadmore
+ Graphe d'héritage de PlgButtonReadmore:

Fonctions membres publiques

onDisplay ($name)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Editor Readmore button

Depuis
1.5

Documentation des fonctions membres

◆ onDisplay()

onDisplay ( $name )

Readmore button

Paramètres
string $name The name of the button to add
Renvoie
JObject The button options as JObject
Depuis
1.5

Références $button, $name, et getDocument.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors-xtd/readmore/readmore.php


Joomla CMS: Référence de la classe PlgCaptchaRecaptcha

Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe PlgCaptchaRecaptcha
+ Graphe d'héritage de PlgCaptchaRecaptcha:

Fonctions membres publiques

onPrivacyCollectAdminCapabilities ()
onInit ($id='dynamic_recaptcha_1')
onDisplay ($name=null, $id='dynamic_recaptcha_1', $class='')
onCheckAnswer ($code=null)

Attributs protégés

$autoloadLanguage = true

Fonctions membres privées

getResponse ($privatekey, $remoteip, $response, $challenge=null)
_recaptcha_qsencode ($data)
_recaptcha_http_post ($host, $path, $data, $port=80)
_getLanguage ()

Description détaillée

Recaptcha Plugin Based on the official recaptcha library( https://packagist.org/packages/google/recaptcha )

Depuis
2.5

Documentation des fonctions membres

◆ _getLanguage()

_getLanguage ( )
private

Get the language tag or a custom translation

Renvoie
string
Depuis
2.5

Références $language.

◆ _recaptcha_http_post()

_recaptcha_http_post | ( | $host,
 |  | $path,
 |  | $data,
 |  | $port = 80
 | ) |
private

Submits an HTTP POST to a reCAPTCHA server.

Paramètres
string | $host | Host name to POST to.
string | $path | Path on host to POST to.
array | $data | Data to be POSTed.
int | $port | Optional port number on host.
Renvoie
array Response
Depuis
2.5

Références $data.

◆ _recaptcha_qsencode()

_recaptcha_qsencode ( $data )
private

Encodes the given data into a query string format.

Paramètres
array $data Array of string elements to be encoded
Renvoie
string Encoded request
Depuis
2.5

Références $data, $key, et $value.

◆ getResponse()

getResponse | ( | $privatekey,
 |  | $remoteip,
 |  | $response,
 |  | $challenge = null
 | ) |
private

Get the reCaptcha response.

Paramètres
string | $privatekey | The private key for authentication.
string | $remoteip | The remote IP of the visitor.
string | $response | The response received from Google.
string | $challenge | The challenge field from the reCaptcha. Only for 1.0
Renvoie
bool True if response is good | False if response is bad.
Depuis
3.4
Exceptions

Références $version.

◆ onCheckAnswer()

onCheckAnswer ( $code = null )

Calls an HTTP POST function to verify if the user's guess was correct

Paramètres
string $code Answer provided by user. Not needed for the Recaptcha implementation
Renvoie
True if the answer is correct, false otherwise
Depuis
2.5
Exceptions

Références $input, $version, et null.

◆ onDisplay()

onDisplay | ( | $name = null,
 |  | $id = 'dynamic_recaptcha_1',
 |  | $class = ''
 | ) |

Gets the challenge HTML

Paramètres
string | $name | The name of the field. Not Used.
string | $id | The id of the field.
string | $class | The class of the field.
Renvoie
string The HTML to be embedded in the form.
Depuis
2.5

Références $class, et $id.

◆ onInit()

onInit ( $id = 'dynamic_recaptcha_1' )

Initialise the captcha

Paramètres
string $id The id of the field.
Renvoie
Boolean True on success, false otherwise
Depuis
2.5
Exceptions

Références $file, $id, et getDocument.

◆ onPrivacyCollectAdminCapabilities()

onPrivacyCollectAdminCapabilities ( )

Reports the privacy related capabilities for this plugin to site administrators.

Renvoie
array
Depuis
3.9.0

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • recaptcha.php


Joomla CMS: Référence de la classe PlgCaptchaRecaptcha_Invisible

Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe PlgCaptchaRecaptcha_Invisible
+ Graphe d'héritage de PlgCaptchaRecaptcha_Invisible:

Fonctions membres publiques

onPrivacyCollectAdminCapabilities ()
onInit ($id='dynamic_recaptcha_invisible_1')
onDisplay ($name=null, $id='dynamic_recaptcha_invisible_1', $class='')
onCheckAnswer ($code=null)
onSetupField (\Joomla\CMS\Form\Field\CaptchaField $field, \SimpleXMLElement $element)

Attributs protégés

$autoloadLanguage = true

Fonctions membres privées

getResponse ($privatekey, $remoteip, $response)

Description détaillée

Invisible reCAPTCHA Plugin.

Depuis
3.9.0

Documentation des fonctions membres

◆ getResponse()

getResponse | ( | $privatekey,
 |  | $remoteip,
 |  | $response
 | ) |
private

Get the reCaptcha response.

Paramètres
string | $privatekey | The private key for authentication.
string | $remoteip | The remote IP of the visitor.
string | $response | The response received from Google.
Renvoie
boolean True if response is good | False if response is bad.
Depuis
3.9.0
Exceptions

◆ onCheckAnswer()

onCheckAnswer ( $code = null )

Calls an HTTP POST function to verify if the user's guess was correct

Paramètres
string $code Answer provided by user. Not needed for the Recaptcha implementation
Renvoie
boolean True if the answer is correct, false otherwise
Depuis
3.9.0
Exceptions

Références $input.

◆ onDisplay()

onDisplay | ( | $name = null,
 |  | $id = 'dynamic_recaptcha_invisible_1',
 |  | $class = ''
 | ) |

Gets the challenge HTML

Paramètres
string | $name | The name of the field. Not Used.
string | $id | The id of the field.
string | $class | The class of the field.
Renvoie
string The HTML to be embedded in the form.
Depuis
3.9.0

Références $class, et $id.

◆ onInit()

onInit ( $id = 'dynamic_recaptcha_invisible_1' )

Initialise the captcha

Paramètres
string $id The id of the field.
Renvoie
boolean True on success, false otherwise
Depuis
3.9.0
Exceptions

Références $file.

◆ onPrivacyCollectAdminCapabilities()

onPrivacyCollectAdminCapabilities ( )

Reports the privacy related capabilities for this plugin to site administrators.

Renvoie
array
Depuis
3.9.0

◆ onSetupField()

onSetupField | ( | \Joomla\CMS\Form\Field\CaptchaField | $field,
 |  | \SimpleXMLElement | $element
 | ) |  |

Method to react on the setup of a captcha field. Gives the possibility to change the field and/or the XML element for the field.

Paramètres
\Joomla\CMS\Form\Field\CaptchaField | $field | Captcha field instance
\SimpleXMLElement | $element | XML form definition
Renvoie
void
Depuis
3.9.0

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • recaptcha_invisible.php


Joomla CMS: Référence de la classe PlgContentConfirmConsent

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgContentConfirmConsent
+ Graphe d'héritage de PlgContentConfirmConsent:
CMSPlugin JEvent

Fonctions membres publiques

onContentPrepareForm (JForm $form, $data)
- Fonctions membres publiques hérités de CMSPlugin
__construct (&$subject, $config=array())
loadLanguage ($extension='', $basePath=JPATH_ADMINISTRATOR)
- Fonctions membres publiques hérités de JEvent
__construct (&$subject)
update (&$args)

Attributs protégés

$app
$autoloadLanguage = true
$supportedContext
- Attributs protégés hérités de CMSPlugin
$_name = null
$_type = null
$autoloadLanguage = false
- Attributs protégés hérités de JEvent
$_subject = null

Membres hérités additionnels

- Champs de données hérités de CMSPlugin
$params = null

Description détaillée

The Joomla Core confirm consent plugin

Depuis
3.9.0

Documentation des fonctions membres

◆ onContentPrepareForm()

onContentPrepareForm | ( | JForm | $form,
 |  |  | $data
 | ) |  |

Add additional fields to the supported forms

Paramètres
JForm | $form | The form to be altered.
mixed | $data | The associated data for the form.
Renvoie
boolean
Depuis
3.9.0

Références $form, Text\_(), ENT_COMPAT, et htmlspecialchars.

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $supportedContext

$supportedContext
protected
Valeur initiale :
= array(
'com_contact.contact',
'com_mailto.mailto',
'com_privacy.request',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • confirmconsent.php


Joomla CMS: Référence de la classe PlgContentContact

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgContentContact
+ Graphe d'héritage de PlgContentContact:

Fonctions membres publiques

onContentPrepare ($context, &$row, $params, $page=0)

Fonctions membres protégées

getContactData ($userId)

Attributs protégés

$db

Description détaillée

Contact Plugin

Depuis
3.2

Documentation des fonctions membres

◆ getContactData()

getContactData ( $userId )
protected

Retrieve Contact

Paramètres
int $userId Id of the user who created the article
Renvoie
mixed|null|integer

Références $query, et $userId.

◆ onContentPrepare()

onContentPrepare | ( |  | $context,
 |  | & | $row,
 |  |  | $params,
 |  |  | $page = 0
 | ) |  |

Plugin that retrieves contact information for contact

Paramètres
string | $context | The context of the content being passed to the plugin.
mixed | &$row | An object with a "text" property
mixed | $params | Additional parameters. See {
Voir également
PlgContentContent()}.
Paramètres
integer $page Optional page number. Unused. Defaults to zero.
Renvoie
boolean True on success.

Références $context, $params, $row, $url, elseif, ContactHelperRoute\getContactRoute(), JPATH_SITE, et JLoader\register().

Documentation des champs

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/content/contact/contact.php


Joomla CMS: Référence de la classe PlgContentEmailcloak

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PlgContentEmailcloak
+ Graphe d'héritage de PlgContentEmailcloak:

Fonctions membres publiques

onContentPrepare ($context, &$row, &$params, $page=0)

Fonctions membres protégées

_getPattern ($link, $text)
_addAttributesToEmail ($jsEmail, $before, $after)
_cloak (&$text, &$params)

Description détaillée

Email cloack plugin class.

Depuis
1.5

Documentation des fonctions membres

◆ _addAttributesToEmail()

_addAttributesToEmail | ( | $jsEmail,
 |  | $before,
 |  | $after
 | ) |
protected

Adds an attributes to the js cloaked email.

Paramètres
string | $jsEmail | Js cloaked email.
string | $before | Attributes before email.
string | $after | Attributes after email.
Renvoie
string Js cloaked email with attributes.

◆ _cloak()

_cloak | ( | & | $text,
 |  | & | $params
 | ) |  |
protected

Cloak all emails in text from spambots via Javascript.

Paramètres
string | &$text | The string to be cloaked.
mixed | &$params | Additional parameters. Parameter "mode" (integer, default 1) replaces addresses with "mailto:" links if nonzero.
Renvoie
boolean True on success.

Références $mode, et $text.

◆ _getPattern()

_getPattern | ( | $link,
 |  | $text
 | ) |
protected

Generate a search pattern based on link and text.

Paramètres
string | $link | The target of an email link.
string | $text | The text enclosed by the link.
Renvoie
string A regular expression that matches a link containing the parameters.

Références $link, et $text.

◆ onContentPrepare()

onContentPrepare | ( |  | $context,
 |  | & | $row,
 |  | & | $params,
 |  |  | $page = 0
 | ) |  |

Plugin that cloaks all emails in content from spambots via Javascript.

Paramètres
string | $context | The context of the content being passed to the plugin.
mixed | &$row | An object with a "text" property or the string to be cloaked.
mixed | &$params | Additional parameters. See {
Voir également
PlgContentEmailcloak()}.
Paramètres
integer $page Optional page number. Unused. Defaults to zero.
Renvoie
boolean True on success.

Références $context, $params, et $row.

La documentation de cette classe a été générée à partir du fichier suivant :
  • emailcloak.php


Joomla CMS: Référence de la classe PlgContentFields

Fonctions membres publiques | Fonctions membres privées
Référence de la classe PlgContentFields
+ Graphe d'héritage de PlgContentFields:

Fonctions membres publiques

onContentPrepare ($context, &$item, &$params, $page=0)

Fonctions membres privées

prepare ($string, $context, $item)

Description détaillée

Plug-in to show a custom field in eg an article This uses the {fields ID} syntax

Depuis
3.7.0

Documentation des fonctions membres

◆ onContentPrepare()

onContentPrepare | ( |  | $context,
 |  | & | $item,
 |  | & | $params,
 |  |  | $page = 0
 | ) |  |

Plugin that shows a custom field

Paramètres
string | $context | The context of the content being passed to the plugin.
object | &$item | The item object. Note $article->text is also available
object | &$params | The article params
int | $page | The 'page' number
Renvoie
void
Depuis
3.7.0

Références $context, $item, elseif, JPATH_ADMINISTRATOR, et JLoader\register().

◆ prepare()

prepare | ( | $string,
 |  | $context,
 |  | $item
 | ) |
private

Prepares the given string by parsing {field} and {fieldgroup} groups and replacing them.

Paramètres
string | $string | The text to prepare
string | $context | The context of the content
object | $item | The item object
Renvoie
string
Depuis
3.8.1

Références $context, $field, $fields, $groups, $i, $id, $item, $layout, $output, $parts, FieldsHelper\extract(), FieldsHelper\getFields(), et FieldsHelper\render().

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/content/fields/fields.php


Joomla CMS: Référence de la classe PlgContentFinder

Fonctions membres publiques
Référence de la classe PlgContentFinder
+ Graphe d'héritage de PlgContentFinder:

Fonctions membres publiques

onContentAfterSave ($context, $article, $isNew)
onContentBeforeSave ($context, $article, $isNew)
onContentAfterDelete ($context, $article)
onContentChangeState ($context, $pks, $value)
onCategoryChangeState ($extension, $pks, $value)

Description détaillée

Smart Search Content Plugin

Depuis
2.5

Documentation des fonctions membres

◆ onCategoryChangeState()

onCategoryChangeState | ( | $extension,
 |  | $pks,
 |  | $value
 | ) |

Smart Search change category state content method. Method is called when the state of the category to which the content item belongs is changed.

Paramètres
string | $extension | The extension whose category has been updated.
array | $pks | A list of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $dispatcher, $extension, $value, et JEventDispatcher\getInstance().

◆ onContentAfterDelete()

onContentAfterDelete | ( | $context,
 |  | $article
 | ) |

Smart Search after delete content method. Content is passed by reference, but after the deletion.

Paramètres
string | $context | The context of the content passed to the plugin (added in 1.6).
object | $article | A JTableContent object.
Renvoie
void
Depuis
2.5

Références $article, $context, $dispatcher, et JEventDispatcher\getInstance().

◆ onContentAfterSave()

onContentAfterSave | ( | $context,
 |  | $article,
 |  | $isNew
 | ) |

Smart Search after save content method. Content is passed by reference, but after the save, so no changes will be saved. Method is called right after the content is saved.

Paramètres
string | $context | The context of the content passed to the plugin (added in 1.6)
object | $article | A JTableContent object
bool | $isNew | If the content has just been created
Renvoie
void
Depuis
2.5

Références $article, $context, $dispatcher, et JEventDispatcher\getInstance().

◆ onContentBeforeSave()

onContentBeforeSave | ( | $context,
 |  | $article,
 |  | $isNew
 | ) |

Smart Search before save content method. Content is passed by reference. Method is called before the content is saved.

Paramètres
string | $context | The context of the content passed to the plugin (added in 1.6).
object | $article | A JTableContent object.
bool | $isNew | If the content is just about to be created.
Renvoie
void
Depuis
2.5

Références $article, $context, $dispatcher, et JEventDispatcher\getInstance().

◆ onContentChangeState()

onContentChangeState | ( | $context,
 |  | $pks,
 |  | $value
 | ) |

Smart Search content state change method. Method to update the link information for items that have been changed from outside the edit screen. This is fired when the item is published, unpublished, archived, or unarchived from the list view.

Paramètres
string | $context | The context for the content passed to the plugin.
array | $pks | A list of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $context, $dispatcher, $value, et JEventDispatcher\getInstance().

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/content/finder/finder.php


Joomla CMS: Référence de la classe PlgContentJoomla

Fonctions membres publiques | Fonctions membres privées
Référence de la classe PlgContentJoomla
+ Graphe d'héritage de PlgContentJoomla:

Fonctions membres publiques

onContentAfterSave ($context, $article, $isNew)
onContentBeforeDelete ($context, $data)
onContentChangeState ($context, $pks, $value)
onContentBeforeSave ($context, $table, $isNew)

Fonctions membres privées

_countItemsInCategory ($table, $catid)
_countItemsInChildren ($table, $catid, $data)

Description détaillée

Example Content Plugin

Depuis
1.6

Documentation des fonctions membres

◆ _countItemsInCategory()

_countItemsInCategory | ( | $table,
 |  | $catid
 | ) |
private

Get count of items in a category

Paramètres
string | $table | table name of component table (column is catid)
integer | $catid | id of the category to check
Renvoie
mixed count of items found or false if db error
Depuis
1.6

Références $count, $db, $query, et JError\raiseWarning().

◆ _countItemsInChildren()

_countItemsInChildren | ( | $table,
 |  | $catid,
 |  | $data
 | ) |
private

Get count of items in a category's child categories

Paramètres
string | $table | table name of component table (column is catid)
integer | $catid | id of the category to check
object | $data | The data relating to the content that was deleted.
Renvoie
mixed count of items found or false if db error
Depuis
1.6

Références $count, $data, $db, $query, et JError\raiseWarning().

◆ onContentAfterSave()

onContentAfterSave | ( | $context,
 |  | $article,
 |  | $isNew
 | ) |

Example after save content method Article is passed by reference, but after the save, so no changes will be saved. Method is called right after the content is saved

Paramètres
string | $context | The context of the content passed to the plugin (added in 1.6)
object | $article | A JTableContent object
boolean | $isNew | If the content is just about to be created
Renvoie
boolean true if function not enabled, is in frontend or is new. Else true or false depending on success of save function.
Depuis
1.6

Références $article, $context, $db, $lang, $message, $query, $user, $users, et JPATH_ADMINISTRATOR.

◆ onContentBeforeDelete()

onContentBeforeDelete | ( | $context,
 |  | $data
 | ) |

Don't allow categories to be deleted if they contain items or subcategories with items

Paramètres
string | $context | The context for the content passed to the plugin.
object | $data | The data relating to the content that was deleted.
Renvoie
boolean
Depuis
1.6

Références $context, $count, $data, $extension, elseif, et JError\raiseWarning().

◆ onContentBeforeSave()

onContentBeforeSave | ( | $context,
 |  | $table,
 |  | $isNew
 | ) |

The save event.

Paramètres
string | $context | The context
object | $table | The item
boolean | $isNew | Is new item
Renvoie
void
Depuis
3.9.12

Références $context, et $params.

◆ onContentChangeState()

onContentChangeState | ( | $context,
 |  | $pks,
 |  | $value
 | ) |

Change the state in core_content if the state in a table is changed

Paramètres
string | $context | The context for the content passed to the plugin.
array | $pks | A list of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
boolean
Depuis
3.1

Références $context, $db, $query, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/content/joomla/joomla.php


Joomla CMS: Référence de la classe PlgContentLoadmodule

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés statiques
Référence de la classe PlgContentLoadmodule
+ Graphe d'héritage de PlgContentLoadmodule:

Fonctions membres publiques

onContentPrepare ($context, &$article, &$params, $page=0)

Fonctions membres protégées

_load ($position, $style='none')
_loadmod ($module, $title, $style='none')
_loadid ($id)

Attributs protégés statiques

static | $modules = array()
static | $mods = array()

Description détaillée

Plugin to enable loading modules into content (e.g. articles) This uses the {loadmodule} syntax

Depuis
1.5

Documentation des fonctions membres

◆ _load()

_load | ( | $position,
 |  | $style = 'none'
 | ) |
protected

Loads and renders the module

Paramètres
string | $position | The position assigned to the module
string | $style | The style assigned to the module
Renvoie
mixed
Depuis
1.6

Références $document, $module, $modules, $params, $position, $renderer, $style, et getDocument.

◆ _loadid()

_loadid ( $id )
protected

Loads and renders the module

Paramètres
string $id The id of the module
Renvoie
mixed
Depuis
3.9.0

Références $document, $id, $modules, $params, $renderer, et getDocument.

◆ _loadmod()

_loadmod | ( | $module,
 |  | $title,
 |  | $style = 'none'
 | ) |
protected

This is always going to get the first instance of the module type unless there is a title.

Paramètres
string | $module | The module title
string | $title | The title of the module
string | $style | The style of the module
Renvoie
mixed
Depuis
1.6

Références $document, $mod, $module, $name, $params, $renderer, $style, $title, et getDocument.

◆ onContentPrepare()

onContentPrepare | ( |  | $context,
 |  | & | $article,
 |  | & | $params,
 |  |  | $page = 0
 | ) |  |

Plugin that loads module positions within content

Paramètres
string | $context | The context of the content being passed to the plugin.
object | &$article | The article object. Note $article->text is also available
mixed | &$params | The article params
integer | $page | The 'page' number
Renvoie
mixed true if there is an error. Void otherwise.
Depuis
1.6

Références $article, $context, $id, $module, $name, $output, $position, $start, $style, et null.

Documentation des champs

◆ $mods

$mods = array()
staticprotected

◆ $modules

$modules = array()
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • loadmodule.php


Joomla CMS: Référence de la classe PlgContentPagebreak

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgContentPagebreak
+ Graphe d'héritage de PlgContentPagebreak:

Fonctions membres publiques

onContentPrepare ($context, &$row, &$params, $page=0)

Fonctions membres protégées

_createToc (&$row, &$matches, &$page)
_createNavigation (&$row, $page, $n)

Attributs protégés

$list = array()

Description détaillée

Page break plugin

Usage:

or

or

or

Depuis
1.6

Documentation des fonctions membres

◆ _createNavigation()

_createNavigation | ( | & | $row,
 |  |  | $page,
 |  |  | $n
 | ) |  |
protected

Creates the navigation for the item

Paramètres
object | &$row | The article object. Note $article->text is also available
int | $page | The page number
int | $n | The total number of pages
Renvoie
void
Depuis
1.6

Références $n, $path, $row, et ContentHelperRoute\getArticleRoute().

◆ _createToc()

_createToc | ( | & | $row,
 |  | & | $matches,
 |  | & | $page
 | ) |  |
protected

Creates a Table of Contents for the pagebreak

Paramètres
object | &$row | The article object. Note $article->text is also available
array | &$matches | Array of matches of a regex in onContentPrepare
integer | &$page | The 'page' number
Renvoie
void
Depuis
1.6

Références $i, $input, $list, $path, $row, $title, elseif, ENT_QUOTES, ContentHelperRoute\getArticleRoute(), et htmlspecialchars.

◆ onContentPrepare()

onContentPrepare | ( |  | $context,
 |  | & | $row,
 |  | & | $params,
 |  |  | $page = 0
 | ) |  |

Plugin that adds a pagebreak into the text and truncates text at that point

Paramètres
string | $context | The context of the content being passed to the plugin.
object | &$row | The article object. Note $article->text is also available
mixed | &$params | The article params
integer | $page | The 'page' number
Renvoie
mixed Always returns void or true
Depuis
1.6

Références $context, $input, $key, $n, $params, $row, $style, $text, $title, $view, et elseif.

Documentation des champs

◆ $list

$list = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/content/pagebreak/pagebreak.php


Joomla CMS: Référence de la classe PlgContentPagenavigation

Fonctions membres publiques | Fonctions membres privées statiques
Référence de la classe PlgContentPagenavigation
+ Graphe d'héritage de PlgContentPagenavigation:

Fonctions membres publiques

onContentBeforeDisplay ($context, &$row, &$params, $page=0)

Fonctions membres privées statiques

static getQueryDate ($orderDate)

Description détaillée

Pagenavigation plugin class.

Depuis
1.5

Documentation des fonctions membres

◆ getQueryDate()

static getQueryDate ( $orderDate )
staticprivate

Translate an order code to a field for primary ordering.

Paramètres
string $orderDate The ordering code.
Renvoie
string The SQL field(s) to order by.
Depuis
3.3

Références $db.

◆ onContentBeforeDisplay()

onContentBeforeDisplay | ( |  | $context,
 |  | & | $row,
 |  | & | $params,
 |  |  | $page = 0
 | ) |  |

If in the article view and the parameter is enabled shows the page navigation

Paramètres
string | $context | The context of the content being passed to the plugin
object | &$row | The article object
mixed | &$params | The article params
integer | $page | The 'page' number
Renvoie
mixed void or true
Depuis
1.6

The following is needed as different menu items types utilise a different param to control ordering. For Blogs the orderby_sec param is the order controlling param. For Table and List views it is the orderby param.

Références $app, $context, $date, $db, $lang, $list, $location, $now, $option, $params, $path, $query, $row, $rows, $user, $view, ContentHelperRoute\getArticleRoute(), et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • pagenavigation.php


Joomla CMS: Référence de la classe PlgContentVote

Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe PlgContentVote
+ Graphe d'héritage de PlgContentVote:

Fonctions membres publiques

__construct (&$subject, $config)
onContentBeforeDisplay ($context, &$row, &$params, $page=0)
onContentAfterDisplay ($context, &$row, &$params, $page=0)

Attributs protégés

$app
$votingPosition

Fonctions membres privées

displayVotingData ($context, &$row, &$params, $page)

Description détaillée

Vote plugin.

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor.

Paramètres
object | &$subject | The object to observe
array | $config | An optional associative array of configuration settings.
Depuis
3.7.0

Références $config, et $subject.

Documentation des fonctions membres

◆ displayVotingData()

displayVotingData | ( |  | $context,
 |  | & | $row,
 |  | & | $params,
 |  |  | $page
 | ) |  |
private

Displays the voting area

Paramètres
string | $context | The context of the content being passed to the plugin
object | &$row | The article object
object | &$params | The article params
integer | $page | The 'page' number
Renvoie
string|boolean HTML string containing code for the votes if in com_content else boolean false
Depuis
3.7.0

Références $context, $html, $params, $parts, $path, $row, et null.

◆ onContentAfterDisplay()

onContentAfterDisplay | ( |  | $context,
 |  | & | $row,
 |  | & | $params,
 |  |  | $page = 0
 | ) |  |

Displays the voting area when viewing an article and the voting section is displayed after the article

Paramètres
string | $context | The context of the content being passed to the plugin
object | &$row | The article object
object | &$params | The article params
integer | $page | The 'page' number
Renvoie
string|boolean HTML string containing code for the votes if in com_content else boolean false
Depuis
3.7.0

Références $context, $params, et $row.

◆ onContentBeforeDisplay()

onContentBeforeDisplay | ( |  | $context,
 |  | & | $row,
 |  | & | $params,
 |  |  | $page = 0
 | ) |  |

Displays the voting area when viewing an article and the voting section is displayed before the article

Paramètres
string | $context | The context of the content being passed to the plugin
object | &$row | The article object
object | &$params | The article params
integer | $page | The 'page' number
Renvoie
string|boolean HTML string containing code for the votes if in com_content else boolean false
Depuis
1.6

Références $context, $params, et $row.

Documentation des champs

◆ $app

$app
protected

◆ $votingPosition

$votingPosition
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • vote.php


Joomla CMS: Référence de la classe PlgEditorCodemirror

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgEditorCodemirror
+ Graphe d'héritage de PlgEditorCodemirror:

Fonctions membres publiques

onInit ()
onSave ($id)
onGetContent ($id)
onSetContent ($id, $content)
onGetInsertMethod ()
onDisplay ( $name, $content, $width, $height, $col, $row, $buttons=true, $id=null, $asset=null, $author=null, $params=array())

Fonctions membres protégées

displayButtons ($name, $buttons, $asset, $author)
getFontInfo ($font)
loadKeyMap ($keyMap)

Attributs protégés

$autoloadLanguage = true
$modeAlias = array()

Description détaillée

CodeMirror Editor Plugin.

Depuis
1.6

Documentation des fonctions membres

◆ displayButtons()

displayButtons | ( | $name,
 |  | $buttons,
 |  | $asset,
 |  | $author
 | ) |
protected

Displays the editor buttons.

Paramètres
string | $name | Button name.
mixed | $buttons | [array with button objects | boolean true to display buttons]
mixed | $asset | Unused.
mixed | $author | Unused.
Renvoie
string HTML

Références $asset, $author, $buttons, $name, $results, et $return.

◆ getFontInfo()

getFontInfo ( $font )
protected

Gets font info from the json data file

Paramètres
string $font A key from the $fonts array.
Renvoie
object

Références null.

◆ loadKeyMap()

loadKeyMap ( $keyMap )
protected

Loads a keyMap file

Paramètres
string $keyMap The name of a keyMap file to load.
Renvoie
void

Références $basePath, et JDEBUG.

◆ onDisplay()

onDisplay | ( | $name,
 |  | $content,
 |  | $width,
 |  | $height,
 |  | $col,
 |  | $row,
 |  | $buttons = true,
 |  | $id = null,
 |  | $asset = null,
 |  | $author = null,
 |  | $params = array()
 | ) |

Display the editor area.

Paramètres
string | $name | The control name.
string | $content | The contents of the text area.
string | $width | The width of the text area (px or %).
string | $height | The height of the text area (px or %).
int | $col | The number of columns for the textarea.
int | $row | The number of rows for the textarea.
boolean | $buttons | True and the editor buttons will be displayed.
string | $id | An optional ID for the textarea (note: since 1.6). If not supplied the name is used.
string | $asset | Not used.
object | $author | Not used.
array | $params | Associative array of editor parameters.
Renvoie
string HTML

Références $asset, $author, $buttons, $content, $dispatcher, $displayData, $height, $id, $name, $options, $params, $results, $row, $width, JEventDispatcher\getInstance(), et JDEBUG.

◆ onGetContent()

onGetContent ( $id )

Get the editor content.

Paramètres
string $id The id of the editor field.
Renvoie
string Javascript
Obsolète:
4.0 Use directly the returned code

Références $id, et json_encode.

◆ onGetInsertMethod()

onGetInsertMethod ( )

Adds the editor specific insert method.

Renvoie
void
Obsolète:
4.0 Code is loaded in the init script

Références getDocument.

◆ onInit()

onInit ( )

Initialises the Editor.

Renvoie
void

Références $dispatcher, $displayData, $doc, getDocument, et JEventDispatcher\getInstance().

◆ onSave()

onSave ( $id )

Copy editor content to form field.

Paramètres
string $id The id of the editor field.
Renvoie
string Javascript
Obsolète:
4.0 Code executes directly on submit

Références $id, et json_encode.

◆ onSetContent()

onSetContent | ( | $id,
 |  | $content
 | ) |

Set the editor content.

Paramètres
string | $id | The id of the editor field.
string | $content | The content to set.
Renvoie
string Javascript
Obsolète:
4.0 Use directly the returned code

Références $content, $id, et json_encode.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $modeAlias

$modeAlias = array()
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • codemirror.php


Joomla CMS: Référence de la classe PlgEditorNone

Fonctions membres publiques
Référence de la classe PlgEditorNone
+ Graphe d'héritage de PlgEditorNone:

Fonctions membres publiques

onInit ()
onSave ($editor)
onGetContent ($id)
onSetContent ($id, $html)
onGetInsertMethod ($id)
onDisplay ($name, $content, $width, $height, $col, $row, $buttons=true, $id=null, $asset=null, $author=null, $params=array())
_displayButtons ($name, $buttons, $asset, $author)

Description détaillée

Plain Textarea Editor Plugin

Depuis
1.5

Documentation des fonctions membres

◆ _displayButtons()

_displayButtons | ( | $name,
 |  | $buttons,
 |  | $asset,
 |  | $author
 | ) |

Displays the editor buttons.

Paramètres
string | $name | The control name.
mixed | $buttons | [array with button objects | boolean true to display buttons]
string | $asset | The object asset
object | $author | The author.
Renvoie
void|string HTML

Références $asset, $author, $buttons, et $name.

◆ onDisplay()

onDisplay | ( | $name,
 |  | $content,
 |  | $width,
 |  | $height,
 |  | $col,
 |  | $row,
 |  | $buttons = true,
 |  | $id = null,
 |  | $asset = null,
 |  | $author = null,
 |  | $params = array()
 | ) |

Display the editor area.

Paramètres
string | $name | The control name.
string | $content | The contents of the text area.
string | $width | The width of the text area (px or %).
string | $height | The height of the text area (px or %).
integer | $col | The number of columns for the textarea.
integer | $row | The number of rows for the textarea.
boolean | $buttons | True and the editor buttons will be displayed.
string | $id | An optional ID for the textarea (note: since 1.6). If not supplied the name is used.
string | $asset | The object asset
object | $author | The author.
array | $params | Associative array of editor parameters.
Renvoie
string

Références $asset, $author, $buttons, $content, $editor, $height, $id, $name, $params, $readonly, $row, et $width.

◆ onGetContent()

onGetContent ( $id )

Get the editor content.

Paramètres
string $id The id of the editor field.
Renvoie
string
Obsolète:
4.0 Use directly the returned code

Références $id, et json_encode.

◆ onGetInsertMethod()

onGetInsertMethod ( $id )

Inserts html code into the editor

Paramètres
string $id The id of the editor field
Renvoie
void
Obsolète:
4.0

◆ onInit()

onInit ( )

Method to handle the onInitEditor event.

  • Initialises the Editor
Renvoie
void
Depuis
1.5

◆ onSave()

onSave ( $editor )

Copy editor content to form field.

Not applicable in this editor.

Paramètres
string $editor the editor id
Renvoie
void
Obsolète:
4.0 Use directly the returned code

◆ onSetContent()

onSetContent | ( | $id,
 |  | $html
 | ) |

Set the editor content.

Paramètres
string | $id | The id of the editor field.
string | $html | The content to set.
Renvoie
string
Obsolète:
4.0 Use directly the returned code

Références $html, $id, et json_encode.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/editors/none/none.php


Joomla CMS: Référence de la classe PlgEditorTinymce

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés | Fonctions membres privées
Référence de la classe PlgEditorTinymce
+ Graphe d'héritage de PlgEditorTinymce:

Fonctions membres publiques

onInit ()
onGetContent ($id)
onSetContent ($id, $html)
onSave ($id)
onGetInsertMethod ($name)
onDisplay ( $name, $content, $width, $height, $col, $row, $buttons=true, $id=null, $asset=null, $author=null, $params=array())

Fonctions membres publiques statiques

static | getKnownButtons ()
static | getToolbarPreset ()

Fonctions membres protégées statiques

static getGlobalFilters ()

Attributs protégés

$_basePath = 'media/editors/tinymce'
$autoloadLanguage = true
$app = null

Fonctions membres privées

_toogleButton ($name)
tinyButtons ($name, $excluded)
getPluginId ()
onDisplayLegacy ( $name, $content, $width, $height, $col, $row, $buttons=true, $id=null, $asset=null, $author=null, $params=array())

Description détaillée

TinyMCE Editor Plugin

Depuis
1.5

Documentation des fonctions membres

◆ _toogleButton()

_toogleButton ( $name )
private

Get the toggle editor button

Paramètres
string $name Editor name
Renvoie
string

Références $name.

◆ getGlobalFilters()

static getGlobalFilters ( )
staticprotected

Get the global text filters to arbitrary text as per settings for current user groups

Renvoie
JFilterInput
Depuis
3.6

Références $attributes, $config, $filter, $filters, $user, et elseif.

◆ getKnownButtons()

static getKnownButtons ( )
static

Return list of known TinyMCE buttons

Renvoie
array
Depuis
3.7.0

Références $buttons.

Référencé par JFormFieldTinymceBuilder\getLayoutData().

◆ getPluginId()

getPluginId ( )
private

Gets the plugin extension id.

Renvoie
int The plugin id.
Depuis
3.7.0

Références $db, et $query.

◆ getToolbarPreset()

static getToolbarPreset ( )
static

Return toolbar presets

Renvoie
array
Depuis
3.7.0

Référencé par JFormFieldTinymceBuilder\getLayoutData().

◆ onDisplay()

onDisplay | ( | $name,
 |  | $content,
 |  | $width,
 |  | $height,
 |  | $col,
 |  | $row,
 |  | $buttons = true,
 |  | $id = null,
 |  | $asset = null,
 |  | $author = null,
 |  | $params = array()
 | ) |

Display the editor area.

Paramètres
string | $name | The name of the editor area.
string | $content | The content of the field.
string | $width | The width of the editor area.
string | $height | The height of the editor area.
int | $col | The number of columns for the editor area.
int | $row | The number of rows for the editor area.
boolean | $buttons | True and the editor buttons will be displayed.
string | $id | An optional ID for the textarea. If not supplied the name is used.
string | $asset | The object asset
object | $author | The author.
array | $params | Associative array of editor parameters.
Renvoie
string

Shrink the buttons if not on a mobile or if mobile view is off. If mobile view is on force into simple mode and enlarge the buttons

Références $app, $asset, $author, $buttons, $content, $db, $description, $doc, $editor, $filter, $height, $id, $lang, $language, $link, $name, $options, $params, $query, $row, $separator, $template, $title, $user, $width, HTMLHelper\_(), elseif, getDocument, JPATH_ROOT, JPATH_SITE, et null.

◆ onDisplayLegacy()

onDisplayLegacy | ( | $name,
 |  | $content,
 |  | $width,
 |  | $height,
 |  | $col,
 |  | $row,
 |  | $buttons = true,
 |  | $id = null,
 |  | $asset = null,
 |  | $author = null,
 |  | $params = array()
 | ) |
private

Display the editor area.

Paramètres
string | $name | The name of the editor area.
string | $content | The content of the field.
string | $width | The width of the editor area.
string | $height | The height of the editor area.
int | $col | The number of columns for the editor area.
int | $row | The number of rows for the editor area.
boolean | $buttons | True and the editor buttons will be displayed.
string | $id | An optional ID for the textarea. If not supplied the name is used.
string | $asset | The object asset
object | $author | The author.
array | $params | Associative array of editor parameters.
Renvoie
string
Depuis
3.7.0
Obsolète:
4.0

Shrink the buttons if not on a mobile or if mobile view is off. If mobile view is on force into simple mode and enlarge the buttons

Références $app, $buttons, $content, $db, $description, $doc, $editor, $filter, $height, $id, $lang, $language, $link, $mode, $name, $options, $params, $query, $row, $template, $title, $user, $width, HTMLHelper\_(), elseif, getDocument, JPATH_ROOT, JPATH_SITE, json_encode, et null.

◆ onGetContent()

onGetContent ( $id )

TinyMCE WYSIWYG Editor - get the editor content

Paramètres
string $id The name of the editor
Depuis
1.5
Renvoie
string
Obsolète:
4.0 Use directly the returned code

Références $id, et json_encode.

◆ onGetInsertMethod()

onGetInsertMethod ( $name )

Inserts html code into the editor

Paramètres
string $name The name of the editor
Depuis
1.5
Renvoie
string
Obsolète:
3.5 tinyMCE (API v4) will get the content automatically from the text area

◆ onInit()

onInit ( )

Initialises the Editor.

Renvoie
void
Depuis
1.5

◆ onSave()

onSave ( $id )

TinyMCE WYSIWYG Editor - copy editor content to form field

Paramètres
string $id The name of the editor
Depuis
1.5
Renvoie
void
Obsolète:
4.0 Use directly the returned code

◆ onSetContent()

onSetContent | ( | $id,
 |  | $html
 | ) |

TinyMCE WYSIWYG Editor - set the editor content

Paramètres
string | $id | The name of the editor
string | $html | The html to place in the editor
Depuis
1.5
Renvoie
string
Obsolète:
4.0 Use directly the returned code

Références $html, $id, et json_encode.

◆ tinyButtons()

tinyButtons | ( | $name,
 |  | $excluded
 | ) |
private

Get the XTD buttons and render them inside tinyMCE

Paramètres
string | $name | the id of the editor field
string | $excluded | the buttons that should be hidden
Renvoie
array

Références $button, $buttons, $href, $i, $icon, $name, $onclick, $options, $title, et null.

Documentation des champs

◆ $_basePath

$_basePath = 'media/editors/tinymce'
protected

Base path for editor files

Depuis
3.5

◆ $app

$app = null
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • tinymce.php


Joomla CMS: Référence de la classe PlgExtensionJoomla

Fonctions membres publiques | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe PlgExtensionJoomla
+ Graphe d'héritage de PlgExtensionJoomla:

Fonctions membres publiques

onExtensionAfterInstall ($installer, $eid)
onExtensionAfterUninstall ($installer, $eid, $result)
onExtensionAfterUpdate ($installer, $eid)

Attributs protégés

$autoloadLanguage = true

Fonctions membres privées

addUpdateSite ($name, $type, $location, $enabled, $extraQuery='')
processUpdateSites ()

Attributs privés

$eid = 0
$installer = null

Description détaillée

Joomla! master extension plugin.

Depuis
1.6

Documentation des fonctions membres

◆ addUpdateSite()

addUpdateSite | ( | $name,
 |  | $type,
 |  | $location,
 |  | $enabled,
 |  | $extraQuery = ''
 | ) |
private

Adds an update site to the table if it doesn't exist.

Paramètres
string | $name | The friendly name of the site
string | $type | The type of site (e.g. collection or extension)
string | $location | The URI for the site
boolean | $enabled | If this site is enabled
string | $extraQuery | Any additional request query to use when updating
Renvoie
void
Depuis
1.6

Références $db, $enabled, $location, $name, $query, et $type.

◆ onExtensionAfterInstall()

onExtensionAfterInstall | ( | $installer,
 |  | $eid
 | ) |

Handle post extension install update sites

Paramètres
JInstaller | $installer | Installer object
integer | $eid | Extension Identifier
Renvoie
void
Depuis
1.6

◆ onExtensionAfterUninstall()

onExtensionAfterUninstall | ( | $installer,
 |  | $eid,
 |  | $result
 | ) |

Handle extension uninstall

Paramètres
JInstaller | $installer | Installer instance
integer | $eid | Extension id
boolean | $result | Installation result
Renvoie
void
Depuis
1.6

Références $db, $query, et $results.

◆ onExtensionAfterUpdate()

onExtensionAfterUpdate | ( | $installer,
 |  | $eid
 | ) |

After update of an extension

Paramètres
JInstaller | $installer | Installer object
integer | $eid | Extension identifier
Renvoie
void
Depuis
1.6

◆ processUpdateSites()

processUpdateSites ( )
private

Processes the list of update sites for an extension.

Renvoie
void
Depuis
1.6

Références $data, et $manifest.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $eid

$eid = 0
private

◆ $installer

$installer = null
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/extension/joomla/joomla.php


Joomla CMS: Référence de la classe PlgFieldsCalendar

Fonctions membres publiques
Référence de la classe PlgFieldsCalendar
+ Graphe d'héritage de PlgFieldsCalendar:
FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Calendar Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, et $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/calendar/calendar.php


Joomla CMS: Référence de la classe PlgFieldsCheckboxes

Référence de la classe PlgFieldsCheckboxes
+ Graphe d'héritage de PlgFieldsCheckboxes:
FieldsListPlugin FieldsPlugin

Membres hérités additionnels

- Fonctions membres publiques hérités de FieldsListPlugin
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
getOptionsFromField ($field)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)
- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Checkboxes Plugin

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/checkboxes/checkboxes.php


Joomla CMS: Référence de la classe PlgFieldsColor

Fonctions membres publiques
Référence de la classe PlgFieldsColor
+ Graphe d'héritage de PlgFieldsColor:
FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Color Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, et $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/color/color.php


Joomla CMS: Référence de la classe PlgFieldsEditor

Fonctions membres publiques
Référence de la classe PlgFieldsEditor
+ Graphe d'héritage de PlgFieldsEditor:
FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Editor Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, et $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/editor/editor.php


Joomla CMS: Référence de la classe PlgFieldsImagelist

Fonctions membres publiques
Référence de la classe PlgFieldsImagelist
+ Graphe d'héritage de PlgFieldsImagelist:
FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Imagelist Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, et $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/imagelist/imagelist.php


Joomla CMS: Référence de la classe PlgFieldsInteger

Référence de la classe PlgFieldsInteger
+ Graphe d'héritage de PlgFieldsInteger:
FieldsPlugin

Membres hérités additionnels

- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)
- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Integer Plugin

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/integer/integer.php


Joomla CMS: Référence de la classe PlgFieldsList

Fonctions membres publiques
Référence de la classe PlgFieldsList
+ Graphe d'héritage de PlgFieldsList:
FieldsListPlugin FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareField ($context, $item, $field)
- Fonctions membres publiques hérités de FieldsListPlugin
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
getOptionsFromField ($field)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields list Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ onCustomFieldsPrepareField()

onCustomFieldsPrepareField | ( | $context,
 |  | $item,
 |  | $field
 | ) |

Prepares the field

Paramètres
string | $context | The context.
stdclass | $item | The item.
stdclass | $field | The field.
Renvoie
object
Depuis
3.9.2

Références $context, $field, et $item.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/list/list.php


Joomla CMS: Référence de la classe PlgFieldsMedia

Fonctions membres publiques
Référence de la classe PlgFieldsMedia
+ Graphe d'héritage de PlgFieldsMedia:
FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Media Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, et $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/media/media.php


Joomla CMS: Référence de la classe PlgFieldsRadio

Référence de la classe PlgFieldsRadio
+ Graphe d'héritage de PlgFieldsRadio:
FieldsListPlugin FieldsPlugin

Membres hérités additionnels

- Fonctions membres publiques hérités de FieldsListPlugin
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
getOptionsFromField ($field)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)
- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Radio Plugin

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/radio/radio.php


Joomla CMS: Référence de la classe PlgFieldsRepeatable

Fonctions membres publiques
Référence de la classe PlgFieldsRepeatable
+ Graphe d'héritage de PlgFieldsRepeatable:
FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Repeatable plugin.

Depuis
3.9.0

Documentation des fonctions membres

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.9.0

Références $field, $fields, $form, $readonly, et FieldsHelper\canEditFieldValue().

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/repeatable/repeatable.php


Joomla CMS: Référence de la classe PlgFieldsSql

Fonctions membres publiques
Référence de la classe PlgFieldsSql
+ Graphe d'héritage de PlgFieldsSql:
FieldsListPlugin FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentBeforeSave ($context, $item, $isNew, $data=array())
- Fonctions membres publiques hérités de FieldsListPlugin
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
getOptionsFromField ($field)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Sql Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ onContentBeforeSave()

onContentBeforeSave | ( | $context,
 |  | $item,
 |  | $isNew,
 |  | $data = array()
 | ) |

The save event.

Paramètres
string | $context | The context
JTable | $item | The table
boolean | $isNew | Is new item
array | $data | The validated data
Renvoie
boolean
Depuis
3.7.0

Références $context, et $item.

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, et $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/sql/sql.php


Joomla CMS: Référence de la classe PlgFieldsText

Référence de la classe PlgFieldsText
+ Graphe d'héritage de PlgFieldsText:
FieldsPlugin

Membres hérités additionnels

- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)
- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Text Plugin

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/text/text.php


Joomla CMS: Référence de la classe PlgFieldsTextarea

Référence de la classe PlgFieldsTextarea
+ Graphe d'héritage de PlgFieldsTextarea:
FieldsPlugin

Membres hérités additionnels

- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)
- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Textarea Plugin

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/textarea/textarea.php


Joomla CMS: Référence de la classe PlgFieldsUrl

Fonctions membres publiques
Référence de la classe PlgFieldsUrl
+ Graphe d'héritage de PlgFieldsUrl:
FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields URL Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, et $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/url/url.php


Joomla CMS: Référence de la classe PlgFieldsUser

Fonctions membres publiques
Référence de la classe PlgFieldsUser
+ Graphe d'héritage de PlgFieldsUser:
FieldsPlugin

Fonctions membres publiques

onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)

Membres hérités additionnels

- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields User Plugin

Depuis
3.7.0

Documentation des fonctions membres

◆ onCustomFieldsPrepareDom()

onCustomFieldsPrepareDom | ( |  | $field,
 |  | DOMElement | $parent,
 |  | JForm | $form
 | ) |  |

Transforms the field into a DOM XML element and appends it as a child on the given parent.

Paramètres
stdClass | $field | The field.
DOMElement | $parent | The field node parent.
JForm | $form | The form.
Renvoie
DOMElement
Depuis
3.7.0

Références $field, et $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/fields/user/user.php


Joomla CMS: Référence de la classe PlgFieldsUsergrouplist

Référence de la classe PlgFieldsUsergrouplist
+ Graphe d'héritage de PlgFieldsUsergrouplist:
FieldsPlugin

Membres hérités additionnels

- Fonctions membres publiques hérités de FieldsPlugin
onCustomFieldsGetTypes ()
onCustomFieldsPrepareField ($context, $item, $field)
onCustomFieldsPrepareDom ($field, DOMElement $parent, JForm $form)
onContentPrepareForm (JForm $form, $data)
- Fonctions membres protégées hérités de FieldsPlugin
isTypeSupported ($type)
- Attributs protégés hérités de FieldsPlugin
$autoloadLanguage = true

Description détaillée

Fields Usergrouplist Plugin

Depuis
3.7.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • usergrouplist.php


Joomla CMS: Référence de la classe PlgFinderCategories

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgFinderCategories
+ Graphe d'héritage de PlgFinderCategories:
FinderIndexerAdapter

Fonctions membres publiques

onFinderDelete ($context, $table)
onFinderAfterSave ($context, $row, $isNew)
onFinderBeforeSave ($context, $row, $isNew)
onFinderChangeState ($context, $pks, $value)
- Fonctions membres publiques hérités de FinderIndexerAdapter
__construct (&$subject, $config)
onStartIndex ()
onBeforeIndex ()
onBuildIndex ()

Fonctions membres protégées

index (FinderIndexerResult $item, $format='html')
setup ()
getListQuery ($query=null)
getStateQuery ()
- Fonctions membres protégées hérités de FinderIndexerAdapter
change ($id, $property, $value)
index (FinderIndexerResult $item)
reindex ($id)
remove ($id)
setup ()
categoryAccessChange ($row)
categoryStateChange ($pks, $value)
checkCategoryAccess ($row)
checkItemAccess ($row)
getContentCount ()
getItem ($id)
getItems ($offset, $limit, $query=null)
getListQuery ($query=null)
getPluginType ($id)
getStateQuery ()
getUpdateQueryByTime ($time)
getUpdateQueryByIds ($ids)
getTypeId ()
getUrl ($id, $extension, $view)
getItemMenuTitle ($url)
itemAccessChange ($row)
itemStateChange ($pks, $value)
pluginDisable ($pks)
translateState ($item, $category=null)

Attributs protégés

$context = 'Categories'
$extension = 'com_categories'
$layout = 'category'
$type_title = 'Category'
$table = '#__categories'
$state_field = 'published'
$autoloadLanguage = true
- Attributs protégés hérités de FinderIndexerAdapter
$context
$extension
$layout
$mime
$old_access
$old_cataccess
$type_title
$type_id
$db
$table
$indexer
$state_field = 'state'

Description détaillée

Smart Search adapter for Joomla Categories.

Depuis
2.5

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( $query = null )
protected

Method to get the SQL query used to retrieve the list of content items.

Paramètres
mixed $query A JDatabaseQuery object or null.
Renvoie
JDatabaseQuery A database object.
Depuis
2.5

Références $db, et $query.

◆ getStateQuery()

getStateQuery ( )
protected

Method to get a SQL query to load the published and access states for a category and its parents.

Renvoie
JDatabaseQuery A database object.
Depuis
2.5

Références $query.

◆ index()

index | ( | FinderIndexerResult | $item,
 |  |  | $format = 'html'
 | ) |  |
protected

Method to index an item. The item must be a FinderIndexerResult object.

Paramètres
FinderIndexerResult | $item | The item to index as a FinderIndexerResult object.
string | $format | The item format. Not used.
Renvoie
void
Depuis
2.5
Exceptions
Exception on database error.

Références $class, $extension, $item, $title, extension, ContentHelperRoute\getCategoryRoute(), FinderIndexerHelper\getContentExtras(), FinderIndexerHelper\getContentPath(), JPATH_SITE, FinderIndexer\META_CONTEXT, FinderIndexerHelper\prepareContent(), et JLoader\register().

◆ onFinderAfterSave()

onFinderAfterSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Smart Search after save content method. Reindexes the link information for a category that has been saved. It also makes adjustments if the access level of the category has changed.

Paramètres
string | $context | The context of the category passed to the plugin.
JTable | $row | A JTable object.
boolean | $isNew | True if the category has just been created.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderBeforeSave()

onFinderBeforeSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Smart Search before content save method. This event is fired before the data is actually saved.

Paramètres
string | $context | The context of the category passed to the plugin.
JTable | $row | A JTable object.
boolean | $isNew | True if the category is just about to be created.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderChangeState()

onFinderChangeState | ( | $context,
 |  | $pks,
 |  | $value
 | ) |

Method to update the link information for items that have been changed from outside the edit screen. This is fired when the item is published, unpublished, archived, or unarchived from the list view.

Paramètres
string | $context | The context for the category passed to the plugin.
array | $pks | An array of primary key ids of the category that has changed state.
integer | $value | The value of the state that the category has been changed to.
Renvoie
void
Depuis
2.5

Références $context, $item, $query, $state, $value, et null.

◆ onFinderDelete()

onFinderDelete | ( | $context,
 |  | $table
 | ) |

Method to remove the link information for items that have been deleted.

Paramètres
string | $context | The context of the action being performed.
JTable | $table | A JTable object containing the record to be deleted
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, $id, et elseif.

◆ setup()

setup ( )
protected

Method to setup the indexer to be run.

Renvoie
boolean True on success.
Depuis
2.5

Références JPATH_SITE, et JLoader\register().

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $context

$context = 'Categories'
protected

◆ $extension

$extension = 'com_categories'
protected

◆ $layout

$layout = 'category'
protected

◆ $state_field

$state_field = 'published'
protected

◆ $table

$table = '#__categories'
protected

◆ $type_title

$type_title = 'Category'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/finder/categories/categories.php


Joomla CMS: Référence de la classe PlgFinderContacts

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgFinderContacts
+ Graphe d'héritage de PlgFinderContacts:
FinderIndexerAdapter

Fonctions membres publiques

onFinderCategoryChangeState ($extension, $pks, $value)
onFinderAfterDelete ($context, $table)
onFinderAfterSave ($context, $row, $isNew)
onFinderBeforeSave ($context, $row, $isNew)
onFinderChangeState ($context, $pks, $value)
- Fonctions membres publiques hérités de FinderIndexerAdapter
__construct (&$subject, $config)
onStartIndex ()
onBeforeIndex ()
onBuildIndex ()

Fonctions membres protégées

index (FinderIndexerResult $item, $format='html')
setup ()
getListQuery ($query=null)
- Fonctions membres protégées hérités de FinderIndexerAdapter
change ($id, $property, $value)
index (FinderIndexerResult $item)
reindex ($id)
remove ($id)
setup ()
categoryAccessChange ($row)
categoryStateChange ($pks, $value)
checkCategoryAccess ($row)
checkItemAccess ($row)
getContentCount ()
getItem ($id)
getItems ($offset, $limit, $query=null)
getListQuery ($query=null)
getPluginType ($id)
getStateQuery ()
getUpdateQueryByTime ($time)
getUpdateQueryByIds ($ids)
getTypeId ()
getUrl ($id, $extension, $view)
getItemMenuTitle ($url)
itemAccessChange ($row)
itemStateChange ($pks, $value)
pluginDisable ($pks)
translateState ($item, $category=null)

Attributs protégés

$context = 'Contacts'
$extension = 'com_contact'
$layout = 'contact'
$type_title = 'Contact'
$table = '#__contact_details'
$state_field = 'published'
$autoloadLanguage = true
- Attributs protégés hérités de FinderIndexerAdapter
$context
$extension
$layout
$mime
$old_access
$old_cataccess
$type_title
$type_id
$db
$table
$indexer
$state_field = 'state'

Description détaillée

Finder adapter for Joomla Contacts.

Depuis
2.5

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( $query = null )
protected

Method to get the SQL query used to retrieve the list of content items.

Paramètres
mixed $query A JDatabaseQuery object or null.
Renvoie
JDatabaseQuery A database object.
Depuis
2.5

Références $db, et $query.

◆ index()

index | ( | FinderIndexerResult | $item,
 |  |  | $format = 'html'
 | ) |  |
protected

Method to index an item. The item must be a FinderIndexerResult object.

Paramètres
FinderIndexerResult | $item | The item to index as a FinderIndexerResult object.
string | $format | The item format
Renvoie
void
Depuis
2.5
Exceptions
Exception on database error.

Références $item, $title, extension, ContactHelperRoute\getContactRoute(), FinderIndexerHelper\getContentExtras(), FinderIndexerHelper\getContentPath(), FinderIndexer\META_CONTEXT, et FinderIndexerResult\setLanguage().

◆ onFinderAfterDelete()

onFinderAfterDelete | ( | $context,
 |  | $table
 | ) |

Method to remove the link information for items that have been deleted.

This event will fire when contacts are deleted and when an indexed item is deleted.

Paramètres
string | $context | The context of the action being performed.
JTable | $table | A JTable object containing the record to be deleted
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, $id, et elseif.

◆ onFinderAfterSave()

onFinderAfterSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Method to determine if the access level of an item changed.

Paramètres
string | $context | The context of the content passed to the plugin.
JTable | $row | A JTable object
boolean | $isNew | If the content has just been created
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderBeforeSave()

onFinderBeforeSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Method to reindex the link information for an item that has been saved. This event is fired before the data is actually saved so we are going to queue the item to be indexed later.

Paramètres
string | $context | The context of the content passed to the plugin.
JTable | $row | A JTable object
boolean | $isNew | If the content is just about to be created
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderCategoryChangeState()

onFinderCategoryChangeState | ( | $extension,
 |  | $pks,
 |  | $value
 | ) |

Method to update the item link information when the item category is changed. This is fired when the item category is published or unpublished from the list view.

Paramètres
string | $extension | The extension whose category has been updated.
array | $pks | A list of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $extension, et $value.

◆ onFinderChangeState()

onFinderChangeState | ( | $context,
 |  | $pks,
 |  | $value
 | ) |

Method to update the link information for items that have been changed from outside the edit screen. This is fired when the item is published, unpublished, archived, or unarchived from the list view.

Paramètres
string | $context | The context for the content passed to the plugin.
array | $pks | A list of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $context, et $value.

◆ setup()

setup ( )
protected

Method to setup the indexer to be run.

Renvoie
boolean True on success.
Depuis
2.5

Références FinderIndexerHelper\getContentPath(), JPATH_SITE, et JLoader\register().

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $context

$context = 'Contacts'
protected

◆ $extension

$extension = 'com_contact'
protected

◆ $layout

$layout = 'contact'
protected

◆ $state_field

$state_field = 'published'
protected

◆ $table

$table = '#__contact_details'
protected

◆ $type_title

$type_title = 'Contact'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/finder/contacts/contacts.php


Joomla CMS: Référence de la classe PlgFinderContent

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgFinderContent
+ Graphe d'héritage de PlgFinderContent:
FinderIndexerAdapter

Fonctions membres publiques

onFinderCategoryChangeState ($extension, $pks, $value)
onFinderAfterDelete ($context, $table)
onFinderAfterSave ($context, $row, $isNew)
onFinderBeforeSave ($context, $row, $isNew)
onFinderChangeState ($context, $pks, $value)
- Fonctions membres publiques hérités de FinderIndexerAdapter
__construct (&$subject, $config)
onStartIndex ()
onBeforeIndex ()
onBuildIndex ()

Fonctions membres protégées

index (FinderIndexerResult $item, $format='html')
setup ()
getListQuery ($query=null)
- Fonctions membres protégées hérités de FinderIndexerAdapter
change ($id, $property, $value)
index (FinderIndexerResult $item)
reindex ($id)
remove ($id)
setup ()
categoryAccessChange ($row)
categoryStateChange ($pks, $value)
checkCategoryAccess ($row)
checkItemAccess ($row)
getContentCount ()
getItem ($id)
getItems ($offset, $limit, $query=null)
getListQuery ($query=null)
getPluginType ($id)
getStateQuery ()
getUpdateQueryByTime ($time)
getUpdateQueryByIds ($ids)
getTypeId ()
getUrl ($id, $extension, $view)
getItemMenuTitle ($url)
itemAccessChange ($row)
itemStateChange ($pks, $value)
pluginDisable ($pks)
translateState ($item, $category=null)

Attributs protégés

$context = 'Content'
$extension = 'com_content'
$layout = 'article'
$type_title = 'Article'
$table = '#__content'
$autoloadLanguage = true
- Attributs protégés hérités de FinderIndexerAdapter
$context
$extension
$layout
$mime
$old_access
$old_cataccess
$type_title
$type_id
$db
$table
$indexer
$state_field = 'state'

Description détaillée

Smart Search adapter for com_content.

Depuis
2.5

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( $query = null )
protected

Method to get the SQL query used to retrieve the list of content items.

Paramètres
mixed $query A JDatabaseQuery object or null.
Renvoie
JDatabaseQuery A database object.
Depuis
2.5

Références $db, et $query.

◆ index()

index | ( | FinderIndexerResult | $item,
 |  |  | $format = 'html'
 | ) |  |
protected

Method to index an item. The item must be a FinderIndexerResult object.

Paramètres
FinderIndexerResult | $item | The item to index as a FinderIndexerResult object.
string | $format | The item format. Not used.
Renvoie
void
Depuis
2.5
Exceptions
Exception on database error.

Références $item, $title, extension, ContentHelperRoute\getArticleRoute(), FinderIndexerHelper\getContentExtras(), FinderIndexerHelper\getContentPath(), FinderIndexer\META_CONTEXT, et FinderIndexerHelper\prepareContent().

◆ onFinderAfterDelete()

onFinderAfterDelete | ( | $context,
 |  | $table
 | ) |

Method to remove the link information for items that have been deleted.

Paramètres
string | $context | The context of the action being performed.
JTable | $table | A JTable object containing the record to be deleted
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, $id, et elseif.

◆ onFinderAfterSave()

onFinderAfterSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Smart Search after save content method. Reindexes the link information for an article that has been saved. It also makes adjustments if the access level of an item or the category to which it belongs has changed.

Paramètres
string | $context | The context of the content passed to the plugin.
JTable | $row | A JTable object.
boolean | $isNew | True if the content has just been created.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderBeforeSave()

onFinderBeforeSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Smart Search before content save method. This event is fired before the data is actually saved.

Paramètres
string | $context | The context of the content passed to the plugin.
JTable | $row | A JTable object.
boolean | $isNew | If the content is just about to be created.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderCategoryChangeState()

onFinderCategoryChangeState | ( | $extension,
 |  | $pks,
 |  | $value
 | ) |

Method to update the item link information when the item category is changed. This is fired when the item category is published or unpublished from the list view.

Paramètres
string | $extension | The extension whose category has been updated.
array | $pks | A list of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $extension, et $value.

◆ onFinderChangeState()

onFinderChangeState | ( | $context,
 |  | $pks,
 |  | $value
 | ) |

Method to update the link information for items that have been changed from outside the edit screen. This is fired when the item is published, unpublished, archived, or unarchived from the list view.

Paramètres
string | $context | The context for the content passed to the plugin.
array | $pks | An array of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $context, et $value.

◆ setup()

setup ( )
protected

Method to setup the indexer to be run.

Renvoie
boolean True on success.
Depuis
2.5

Références JPATH_SITE, et JLoader\register().

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $context

$context = 'Content'
protected

◆ $extension

$extension = 'com_content'
protected

◆ $layout

$layout = 'article'
protected

◆ $table

$table = '#__content'
protected

◆ $type_title

$type_title = 'Article'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/finder/content/content.php


Joomla CMS: Référence de la classe PlgFinderNewsfeeds

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgFinderNewsfeeds
+ Graphe d'héritage de PlgFinderNewsfeeds:
FinderIndexerAdapter

Fonctions membres publiques

onFinderCategoryChangeState ($extension, $pks, $value)
onFinderAfterDelete ($context, $table)
onFinderAfterSave ($context, $row, $isNew)
onFinderBeforeSave ($context, $row, $isNew)
onFinderChangeState ($context, $pks, $value)
- Fonctions membres publiques hérités de FinderIndexerAdapter
__construct (&$subject, $config)
onStartIndex ()
onBeforeIndex ()
onBuildIndex ()

Fonctions membres protégées

index (FinderIndexerResult $item, $format='html')
setup ()
getListQuery ($query=null)
- Fonctions membres protégées hérités de FinderIndexerAdapter
change ($id, $property, $value)
index (FinderIndexerResult $item)
reindex ($id)
remove ($id)
setup ()
categoryAccessChange ($row)
categoryStateChange ($pks, $value)
checkCategoryAccess ($row)
checkItemAccess ($row)
getContentCount ()
getItem ($id)
getItems ($offset, $limit, $query=null)
getListQuery ($query=null)
getPluginType ($id)
getStateQuery ()
getUpdateQueryByTime ($time)
getUpdateQueryByIds ($ids)
getTypeId ()
getUrl ($id, $extension, $view)
getItemMenuTitle ($url)
itemAccessChange ($row)
itemStateChange ($pks, $value)
pluginDisable ($pks)
translateState ($item, $category=null)

Attributs protégés

$context = 'Newsfeeds'
$extension = 'com_newsfeeds'
$layout = 'newsfeed'
$type_title = 'News Feed'
$table = '#__newsfeeds'
$state_field = 'published'
$autoloadLanguage = true
- Attributs protégés hérités de FinderIndexerAdapter
$context
$extension
$layout
$mime
$old_access
$old_cataccess
$type_title
$type_id
$db
$table
$indexer
$state_field = 'state'

Description détaillée

Smart Search adapter for Joomla Newsfeeds.

Depuis
2.5

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( $query = null )
protected

Method to get the SQL query used to retrieve the list of content items.

Paramètres
mixed $query A JDatabaseQuery object or null.
Renvoie
JDatabaseQuery A database object.
Depuis
2.5

Références $db, et $query.

◆ index()

index | ( | FinderIndexerResult | $item,
 |  |  | $format = 'html'
 | ) |  |
protected

Method to index an item. The item must be a FinderIndexerResult object.

Paramètres
FinderIndexerResult | $item | The item to index as a FinderIndexerResult object.
string | $format | The item format. Not used.
Renvoie
void
Depuis
2.5
Exceptions
Exception on database error.

Références $item, extension, FinderIndexerHelper\getContentExtras(), FinderIndexerHelper\getContentPath(), NewsfeedsHelperRoute\getNewsfeedRoute(), FinderIndexer\META_CONTEXT, et FinderIndexerResult\setLanguage().

◆ onFinderAfterDelete()

onFinderAfterDelete | ( | $context,
 |  | $table
 | ) |

Method to remove the link information for items that have been deleted.

Paramètres
string | $context | The context of the action being performed.
JTable | $table | A JTable object containing the record to be deleted.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, $id, et elseif.

◆ onFinderAfterSave()

onFinderAfterSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Smart Search after save content method. Reindexes the link information for a newsfeed that has been saved. It also makes adjustments if the access level of a newsfeed item or the category to which it belongs has been changed.

Paramètres
string | $context | The context of the content passed to the plugin.
JTable | $row | A JTable object.
boolean | $isNew | True if the content has just been created.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderBeforeSave()

onFinderBeforeSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Smart Search before content save method. This event is fired before the data is actually saved.

Paramètres
string | $context | The context of the content passed to the plugin.
JTable | $row | A JTable object.
boolean | $isNew | True if the content is just about to be created.
Renvoie
boolean True on success.
Depuis
2.5
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderCategoryChangeState()

onFinderCategoryChangeState | ( | $extension,
 |  | $pks,
 |  | $value
 | ) |

Method to update the item link information when the item category is changed. This is fired when the item category is published or unpublished from the list view.

Paramètres
string | $extension | The extension whose category has been updated.
array | $pks | An array of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $extension, et $value.

◆ onFinderChangeState()

onFinderChangeState | ( | $context,
 |  | $pks,
 |  | $value
 | ) |

Method to update the link information for items that have been changed from outside the edit screen. This is fired when the item is published, unpublished, archived, or unarchived from the list view.

Paramètres
string | $context | The context for the content passed to the plugin.
array | $pks | An array of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
2.5

Références $context, et $value.

◆ setup()

setup ( )
protected

Method to setup the indexer to be run.

Renvoie
boolean True on success.
Depuis
2.5

Références JPATH_SITE, et JLoader\register().

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $context

$context = 'Newsfeeds'
protected

◆ $extension

$extension = 'com_newsfeeds'
protected

◆ $layout

$layout = 'newsfeed'
protected

◆ $state_field

$state_field = 'published'
protected

◆ $table

$table = '#__newsfeeds'
protected

◆ $type_title

$type_title = 'News Feed'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/finder/newsfeeds/newsfeeds.php


Joomla CMS: Référence de la classe PlgFinderTags

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgFinderTags
+ Graphe d'héritage de PlgFinderTags:
FinderIndexerAdapter

Fonctions membres publiques

onFinderAfterDelete ($context, $table)
onFinderAfterSave ($context, $row, $isNew)
onFinderBeforeSave ($context, $row, $isNew)
onFinderChangeState ($context, $pks, $value)
- Fonctions membres publiques hérités de FinderIndexerAdapter
__construct (&$subject, $config)
onStartIndex ()
onBeforeIndex ()
onBuildIndex ()

Fonctions membres protégées

index (FinderIndexerResult $item, $format='html')
setup ()
getListQuery ($query=null)
getStateQuery ()
getUpdateQueryByTime ($time)
- Fonctions membres protégées hérités de FinderIndexerAdapter
change ($id, $property, $value)
index (FinderIndexerResult $item)
reindex ($id)
remove ($id)
setup ()
categoryAccessChange ($row)
categoryStateChange ($pks, $value)
checkCategoryAccess ($row)
checkItemAccess ($row)
getContentCount ()
getItem ($id)
getItems ($offset, $limit, $query=null)
getListQuery ($query=null)
getPluginType ($id)
getStateQuery ()
getUpdateQueryByTime ($time)
getUpdateQueryByIds ($ids)
getTypeId ()
getUrl ($id, $extension, $view)
getItemMenuTitle ($url)
itemAccessChange ($row)
itemStateChange ($pks, $value)
pluginDisable ($pks)
translateState ($item, $category=null)

Attributs protégés

$context = 'Tags'
$extension = 'com_tags'
$layout = 'tag'
$type_title = 'Tag'
$table = '#__tags'
$autoloadLanguage = true
$state_field = 'published'
- Attributs protégés hérités de FinderIndexerAdapter
$context
$extension
$layout
$mime
$old_access
$old_cataccess
$type_title
$type_id
$db
$table
$indexer
$state_field = 'state'

Description détaillée

Finder adapter for Joomla Tag.

Depuis
3.1

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( $query = null )
protected

Method to get the SQL query used to retrieve the list of content items.

Paramètres
mixed $query A JDatabaseQuery object or null.
Renvoie
JDatabaseQuery A database object.
Depuis
3.1

Références $db, et $query.

◆ getStateQuery()

getStateQuery ( )
protected

Method to get a SQL query to load the published and access states for the given tag.

Renvoie
JDatabaseQuery A database object.
Depuis
3.1

Références $query.

◆ getUpdateQueryByTime()

getUpdateQueryByTime ( $time )
protected

Method to get the query clause for getting items to update by time.

Paramètres
string $time The modified timestamp.
Renvoie
JDatabaseQuery A database object.
Depuis
3.1

Références $query.

◆ index()

index | ( | FinderIndexerResult | $item,
 |  |  | $format = 'html'
 | ) |  |
protected

Method to index an item. The item must be a FinderIndexerResult object.

Paramètres
FinderIndexerResult | $item | The item to index as a FinderIndexerResult object.
string | $format | The item format
Renvoie
void
Depuis
3.1
Exceptions
Exception on database error.

Références $item, $title, extension, FinderIndexerHelper\getContentExtras(), FinderIndexerHelper\getContentPath(), TagsHelperRoute\getTagRoute(), FinderIndexer\META_CONTEXT, et FinderIndexerResult\setLanguage().

◆ onFinderAfterDelete()

onFinderAfterDelete | ( | $context,
 |  | $table
 | ) |

Method to remove the link information for items that have been deleted.

Paramètres
string | $context | The context of the action being performed.
JTable | $table | A JTable object containing the record to be deleted
Renvoie
boolean True on success.
Depuis
3.1
Exceptions
Exception on database error.

Références $context, $id, et elseif.

◆ onFinderAfterSave()

onFinderAfterSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Method to determine if the access level of an item changed.

Paramètres
string | $context | The context of the content passed to the plugin.
JTable | $row | A JTable object
boolean | $isNew | If the content has just been created
Renvoie
boolean True on success.
Depuis
3.1
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderBeforeSave()

onFinderBeforeSave | ( | $context,
 |  | $row,
 |  | $isNew
 | ) |

Method to reindex the link information for an item that has been saved. This event is fired before the data is actually saved so we are going to queue the item to be indexed later.

Paramètres
string | $context | The context of the content passed to the plugin.
JTable | $row | A JTable object
boolean | $isNew | If the content is just about to be created
Renvoie
boolean True on success.
Depuis
3.1
Exceptions
Exception on database error.

Références $context, et $row.

◆ onFinderChangeState()

onFinderChangeState | ( | $context,
 |  | $pks,
 |  | $value
 | ) |

Method to update the link information for items that have been changed from outside the edit screen. This is fired when the item is published, unpublished, archived, or unarchived from the list view.

Paramètres
string | $context | The context for the content passed to the plugin.
array | $pks | A list of primary key ids of the content that has changed state.
integer | $value | The value of the state that the content has been changed to.
Renvoie
void
Depuis
3.1

Références $context, et $value.

◆ setup()

setup ( )
protected

Method to setup the indexer to be run.

Renvoie
boolean True on success.
Depuis
3.1

Références JPATH_SITE, et JLoader\register().

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $context

$context = 'Tags'
protected

◆ $extension

$extension = 'com_tags'
protected

◆ $layout

$layout = 'tag'
protected

◆ $state_field

$state_field = 'published'
protected

◆ $table

$table = '#__tags'
protected

◆ $type_title

$type_title = 'Tag'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/finder/tags/tags.php


Joomla CMS: Référence de la classe PlgInstallerFolderInstaller

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgInstallerFolderInstaller
+ Graphe d'héritage de PlgInstallerFolderInstaller:

Fonctions membres publiques

onInstallerAddInstallationTab ()

Attributs protégés

$autoloadLanguage = true

Description détaillée

FolderInstaller Plugin.

Depuis
3.6.0

Documentation des fonctions membres

◆ onInstallerAddInstallationTab()

onInstallerAddInstallationTab ( )

Textfield or Form of the Plugin.

Renvoie
array Returns an array with the tab information
Depuis
3.6.0

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • folderinstaller.php


Joomla CMS: Référence de la classe PlgInstallerPackageInstaller

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgInstallerPackageInstaller
+ Graphe d'héritage de PlgInstallerPackageInstaller:

Fonctions membres publiques

onInstallerAddInstallationTab ()

Attributs protégés

$autoloadLanguage = true

Description détaillée

PackageInstaller Plugin.

Depuis
3.6.0

Documentation des fonctions membres

◆ onInstallerAddInstallationTab()

onInstallerAddInstallationTab ( )

Textfield or Form of the Plugin.

Renvoie
array Returns an array with the tab information
Depuis
3.6.0

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • packageinstaller.php


Joomla CMS: Référence de la classe PlgInstallerUrlInstaller

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgInstallerUrlInstaller
+ Graphe d'héritage de PlgInstallerUrlInstaller:

Fonctions membres publiques

onInstallerAddInstallationTab ()

Attributs protégés

$autoloadLanguage = true

Description détaillée

UrlFolderInstaller Plugin.

Depuis
3.6.0

Documentation des fonctions membres

◆ onInstallerAddInstallationTab()

onInstallerAddInstallationTab ( )

Textfield or Form of the Plugin.

Renvoie
array Returns an array with the tab information
Depuis
3.6.0

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • urlinstaller.php


Joomla CMS: Référence de la classe PlgPrivacyActionlogs

Fonctions membres publiques
Référence de la classe PlgPrivacyActionlogs
+ Graphe d'héritage de PlgPrivacyActionlogs:
PrivacyPlugin

Fonctions membres publiques

onPrivacyExportRequest (PrivacyTableRequest $request, JUser $user=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de PrivacyPlugin
createDomain ($name, $description='')
createItemFromArray (array $data, $itemId=null)
createItemForTable ($table)
createCustomFieldsDomain ($context, $items=array())
- Attributs protégés hérités de PrivacyPlugin
$db
$autoloadLanguage = true

Description détaillée

Privacy plugin managing Joomla actionlogs data

Depuis
3.9.0

Documentation des fonctions membres

◆ onPrivacyExportRequest()

onPrivacyExportRequest | ( | PrivacyTableRequest | $request,
 |  | JUser | $user = null
 | ) |  |

Processes an export request for Joomla core actionlog data

Paramètres
PrivacyTableRequest | $request | The request record being processed
JUser | $user | The user account associated with this request if available
Renvoie
PrivacyExportDomain[]
Depuis
3.9.0

Références $data, $item, $query, $user, et ActionlogsHelper\getCsvData().

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/privacy/actionlogs/actionlogs.php


Joomla CMS: Référence de la classe PlgPrivacyConsents

Fonctions membres publiques
Référence de la classe PlgPrivacyConsents
+ Graphe d'héritage de PlgPrivacyConsents:
PrivacyPlugin

Fonctions membres publiques

onPrivacyExportRequest (PrivacyTableRequest $request, JUser $user=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de PrivacyPlugin
createDomain ($name, $description='')
createItemFromArray (array $data, $itemId=null)
createItemForTable ($table)
createCustomFieldsDomain ($context, $items=array())
- Attributs protégés hérités de PrivacyPlugin
$db
$autoloadLanguage = true

Description détaillée

Privacy plugin managing Joomla user consent data

Depuis
3.9.0

Documentation des fonctions membres

◆ onPrivacyExportRequest()

onPrivacyExportRequest | ( | PrivacyTableRequest | $request,
 |  | JUser | $user = null
 | ) |  |

Processes an export request for Joomla core user consent data

This event will collect data for the core #__privacy_consents table

Paramètres
PrivacyTableRequest | $request | The request record being processed
JUser | $user | The user account associated with this request if available
Renvoie
PrivacyExportDomain[]
Depuis
3.9.0

Références $item, $items, $query, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/privacy/consents/consents.php


Joomla CMS: Référence de la classe PlgPrivacyContact

Fonctions membres publiques
Référence de la classe PlgPrivacyContact
+ Graphe d'héritage de PlgPrivacyContact:
PrivacyPlugin

Fonctions membres publiques

onPrivacyExportRequest (PrivacyTableRequest $request, JUser $user=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de PrivacyPlugin
createDomain ($name, $description='')
createItemFromArray (array $data, $itemId=null)
createItemForTable ($table)
createCustomFieldsDomain ($context, $items=array())
- Attributs protégés hérités de PrivacyPlugin
$db
$autoloadLanguage = true

Description détaillée

Privacy plugin managing Joomla user contact data

Depuis
3.9.0

Documentation des fonctions membres

◆ onPrivacyExportRequest()

onPrivacyExportRequest | ( | PrivacyTableRequest | $request,
 |  | JUser | $user = null
 | ) |  |

Processes an export request for Joomla core user contact data

This event will collect data for the contact core tables:

  • Contact custom fields
Paramètres
PrivacyTableRequest | $request | The request record being processed
JUser | $user | The user account associated with this request if available
Renvoie
PrivacyExportDomain[]
Depuis
3.9.0

Références $item, $items, $query, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/privacy/contact/contact.php


Joomla CMS: Référence de la classe PlgPrivacyContent

Fonctions membres publiques
Référence de la classe PlgPrivacyContent
+ Graphe d'héritage de PlgPrivacyContent:
PrivacyPlugin

Fonctions membres publiques

onPrivacyExportRequest (PrivacyTableRequest $request, JUser $user=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de PrivacyPlugin
createDomain ($name, $description='')
createItemFromArray (array $data, $itemId=null)
createItemForTable ($table)
createCustomFieldsDomain ($context, $items=array())
- Attributs protégés hérités de PrivacyPlugin
$db
$autoloadLanguage = true

Description détaillée

Privacy plugin managing Joomla user content data

Depuis
3.9.0

Documentation des fonctions membres

◆ onPrivacyExportRequest()

onPrivacyExportRequest | ( | PrivacyTableRequest | $request,
 |  | JUser | $user = null
 | ) |  |

Processes an export request for Joomla core user content data

This event will collect data for the content core table

  • Content custom fields
Paramètres
PrivacyTableRequest | $request | The request record being processed
JUser | $user | The user account associated with this request if available
Renvoie
PrivacyExportDomain[]
Depuis
3.9.0

Références $item, $items, $query, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/privacy/content/content.php


Joomla CMS: Référence de la classe PlgPrivacyMessage

Fonctions membres publiques
Référence de la classe PlgPrivacyMessage
+ Graphe d'héritage de PlgPrivacyMessage:
PrivacyPlugin

Fonctions membres publiques

onPrivacyExportRequest (PrivacyTableRequest $request, JUser $user=null)

Membres hérités additionnels

- Fonctions membres protégées hérités de PrivacyPlugin
createDomain ($name, $description='')
createItemFromArray (array $data, $itemId=null)
createItemForTable ($table)
createCustomFieldsDomain ($context, $items=array())
- Attributs protégés hérités de PrivacyPlugin
$db
$autoloadLanguage = true

Description détaillée

Privacy plugin managing Joomla user messages

Depuis
3.9.0

Documentation des fonctions membres

◆ onPrivacyExportRequest()

onPrivacyExportRequest | ( | PrivacyTableRequest | $request,
 |  | JUser | $user = null
 | ) |  |

Processes an export request for Joomla core user message

This event will collect data for the message table

Paramètres
PrivacyTableRequest | $request | The request record being processed
JUser | $user | The user account associated with this request if available
Renvoie
PrivacyExportDomain[]
Depuis
3.9.0

Références $item, $items, $query, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/privacy/message/message.php


Joomla CMS: Référence de la classe PlgPrivacyUser

Fonctions membres publiques | Fonctions membres privées
Référence de la classe PlgPrivacyUser
+ Graphe d'héritage de PlgPrivacyUser:
PrivacyPlugin

Fonctions membres publiques

onPrivacyCanRemoveData (PrivacyTableRequest $request, JUser $user=null)
onPrivacyRemoveData (PrivacyTableRequest $request, JUser $user=null)

Fonctions membres privées

createNotesDomain (JTableUser $user)
createProfileDomain (JTableUser $user)
createUserDomain (JTableUser $user)
createItemForUserTable (JTableUser $user)

Membres hérités additionnels

- Fonctions membres protégées hérités de PrivacyPlugin
createDomain ($name, $description='')
createItemFromArray (array $data, $itemId=null)
createItemForTable ($table)
createCustomFieldsDomain ($context, $items=array())
- Attributs protégés hérités de PrivacyPlugin
$db
$autoloadLanguage = true

Description détaillée

Privacy plugin managing Joomla user data

Depuis
3.9.0

Documentation des fonctions membres

◆ createItemForUserTable()

createItemForUserTable ( JTableUser $user )
private

Create an item object for a JTableUser object

Paramètres
JTableUser $user The JTableUser object to convert
Renvoie
PrivacyExportItem
Depuis
3.9.0

Références $data, et $user.

◆ createNotesDomain()

createNotesDomain ( JTableUser $user )
private

Create the domain for the user notes data

Paramètres
JTableUser $user The JTableUser object to process
Renvoie
PrivacyExportDomain
Depuis
3.9.0

Références $item, $items, $query, $user, et ArrayHelper\dropColumn().

◆ createProfileDomain()

createProfileDomain ( JTableUser $user )
private

Create the domain for the user profile data

Paramètres
JTableUser $user The JTableUser object to process
Renvoie
PrivacyExportDomain
Depuis
3.9.0

Références $item, $items, $query, et $user.

◆ createUserDomain()

createUserDomain ( JTableUser $user )
private

Create the domain for the user record

Paramètres
JTableUser $user The JTableUser object to process
Renvoie
PrivacyExportDomain
Depuis
3.9.0

Références $user.

◆ onPrivacyCanRemoveData()

onPrivacyCanRemoveData | ( | PrivacyTableRequest | $request,
 |  | JUser | $user = null
 | ) |  |

Performs validation to determine if the data associated with a remove information request can be processed

This event will not allow a super user account to be removed

Paramètres
PrivacyTableRequest | $request | The request record being processed
JUser | $user | The user account associated with this request if available
Renvoie
PrivacyRemovalStatus
Depuis
3.9.0

Références $user.

◆ onPrivacyRemoveData()

onPrivacyRemoveData | ( | PrivacyTableRequest | $request,
 |  | JUser | $user = null
 | ) |  |

Removes the data associated with a remove information request

This event will pseudoanonymise the user account

Paramètres
PrivacyTableRequest | $request | The request record being processed
JUser | $user | The user account associated with this request if available
Renvoie
void
Depuis
3.9.0

Références $user, et UserHelper\destroyUserSessions().

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/privacy/user/user.php


Joomla CMS: Référence de la classe PlgQuickiconEos310

Fonctions membres publiques | Champs de données | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe PlgQuickiconEos310
+ Graphe d'héritage de PlgQuickiconEos310:
CMSPlugin JEvent

Fonctions membres publiques

__construct (&$subject, $config)
onGetIcons ($context)
onAjaxSnoozeEOS ()
- Fonctions membres publiques hérités de CMSPlugin
__construct (&$subject, $config=array())
loadLanguage ($extension='', $basePath=JPATH_ADMINISTRATOR)
- Fonctions membres publiques hérités de JEvent
__construct (&$subject)
update (&$args)

Champs de données

const EOS_DATE = '2023-08-17'
- Champs de données hérités de CMSPlugin
$params = null

Attributs protégés

$app
$db
$autoloadLanguage = true
- Attributs protégés hérités de CMSPlugin
$_name = null
$_type = null
$autoloadLanguage = false
- Attributs protégés hérités de JEvent
$_subject = null

Fonctions membres privées

getMessageInfo ($monthsUntilEOS, $inverted)
shouldDisplayMessage ()
isAjaxRequest ()
isAllowedUser ()
saveParams ()
clearCacheGroups (array $clearGroups, array $cacheClients=array(0, 1))

Attributs privés

$currentMessage = false

Description détaillée

Joomla! end of support notification plugin

Depuis
3.10.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor.

Paramètres
object | &$subject | The object to observe.
array | $config | An optional associative array of configuration settings.
Depuis
3.10.0

Références $config, et $subject.

Documentation des fonctions membres

◆ clearCacheGroups()

clearCacheGroups | ( | array | $clearGroups,
 |  | array | $cacheClients = array(0, 1)
 | ) |  |
private

Clears cache groups. We use it to clear the plugins cache after we update the last run timestamp.

Paramètres
array | $clearGroups | The cache groups to clean
array | $cacheClients | The cache clients (site, admin) to clean
Renvoie
void
Depuis
3.10.0

Références $options, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getMessageInfo()

getMessageInfo | ( | $monthsUntilEOS,
 |  | $inverted
 | ) |
private

Return the texts to be displayed based on the time until we reach EOS

Paramètres
integer | $monthsUntilEOS | The months until we reach EOS
integer | $inverted | Have we surpassed the EOS date
Renvoie
array|bool An array with the message to be displayed or false
Depuis
3.10.0

◆ isAjaxRequest()

isAjaxRequest ( )
private

Check valid AJAX request

Renvoie
boolean
Depuis
3.10.0

◆ isAllowedUser()

isAllowedUser ( )
private

Check if current user is allowed to send the data

Renvoie
boolean
Depuis
3.10.0

◆ onAjaxSnoozeEOS()

onAjaxSnoozeEOS ( )

User hit the snooze button

Renvoie
void
Depuis
3.10.0
Exceptions
JAccessExceptionNotallowed If user is not allowed.

◆ onGetIcons()

onGetIcons ( $context )

Check and show the the alert and quickicon message

Paramètres
string $context The calling context
Renvoie
array|void A list of icon definition associative arrays, consisting of the keys link, image, text and access, or void.
Depuis
3.10.0

◆ saveParams()

saveParams ( )
private

Save the plugin parameters

Renvoie
boolean
Depuis
3.10.0

Références $query.

◆ shouldDisplayMessage()

shouldDisplayMessage ( )
private

Determines if the message and quickicon should be displayed

Renvoie
boolean
Depuis
3.10.0

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $currentMessage

$currentMessage = false
private

◆ $db

$db
protected

◆ EOS_DATE

const EOS_DATE = '2023-08-17'
La documentation de cette classe a été générée à partir du fichier suivant :
  • eos310.php


Joomla CMS: Référence de la classe PlgQuickiconExtensionupdate

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgQuickiconExtensionupdate
+ Graphe d'héritage de PlgQuickiconExtensionupdate:

Fonctions membres publiques

onGetIcons ($context)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Joomla! update notification plugin

Depuis
2.5

Documentation des fonctions membres

◆ onGetIcons()

onGetIcons ( $context )

Returns an icon definition for an icon which looks for extensions updates via AJAX and displays a notification when such updates are found.

Paramètres
string $context The calling context
Renvoie
array A list of icon definition associative arrays, consisting of the keys link, image, text and access.
Depuis
2.5

Références $context, $script, $url, extension, option, task, text, et view.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • extensionupdate.php


Joomla CMS: Référence de la classe PlgQuickiconJoomlaupdate

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgQuickiconJoomlaupdate
+ Graphe d'héritage de PlgQuickiconJoomlaupdate:

Fonctions membres publiques

onGetIcons ($context)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Joomla! update notification plugin

Depuis
2.5

Documentation des fonctions membres

◆ onGetIcons()

onGetIcons ( $context )

This method is called when the Quick Icons module is constructing its set of icons. You can return an array which defines a single icon and it will be rendered right after the stock Quick Icons.

Paramètres
string $context The calling context
Renvoie
array A list of icon definition associative arrays, consisting of the keys link, image, text and access.
Depuis
2.5

Références $ajaxUrl, $context, $script, $url, et getDocument.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/quickicon/joomlaupdate/joomlaupdate.php


Joomla CMS: Référence de la classe PlgQuickiconPhpVersionCheck

Fonctions membres publiques | Champs de données | Attributs protégés | Fonctions membres privées
Référence de la classe PlgQuickiconPhpVersionCheck
+ Graphe d'héritage de PlgQuickiconPhpVersionCheck:

Fonctions membres publiques

onGetIcons ($context)

Champs de données

const | PHP_SUPPORTED = 0
const | PHP_SECURITY_ONLY = 1
const | PHP_UNSUPPORTED = 2

Attributs protégés

$app
$autoloadLanguage = true

Fonctions membres privées

getPhpSupport ()
shouldDisplayMessage ()

Description détaillée

Plugin to check the PHP version and display a warning about its support status

Depuis
3.7.0

Documentation des fonctions membres

◆ getPhpSupport()

getPhpSupport ( )
private

Gets PHP support status.

Renvoie
array Array of PHP support data
Depuis
3.7.0
Note
The dates used in this method should correspond to the dates given on PHP.net https://www.php.net/eol.php

Références $version, et null.

◆ onGetIcons()

onGetIcons ( $context )

Check the PHP version after the admin component has been dispatched.

Paramètres
string $context The calling context
Renvoie
void
Depuis
3.7.0

◆ shouldDisplayMessage()

shouldDisplayMessage ( )
private

Determines if the message should be displayed

Renvoie
boolean
Depuis
3.7.0

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ PHP_SECURITY_ONLY

const PHP_SECURITY_ONLY = 1

◆ PHP_SUPPORTED

const PHP_SUPPORTED = 0

◆ PHP_UNSUPPORTED

const PHP_UNSUPPORTED = 2
La documentation de cette classe a été générée à partir du fichier suivant :
  • phpversioncheck.php


Joomla CMS: Référence de la classe PlgQuickiconPrivacyCheck

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgQuickiconPrivacyCheck
+ Graphe d'héritage de PlgQuickiconPrivacyCheck:

Fonctions membres publiques

onGetIcons ($context)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Plugin to check privacy requests older than 14 days

Depuis
3.9.0

Documentation des fonctions membres

◆ onGetIcons()

onGetIcons ( $context )

Check privacy requests older than 14 days.

Paramètres
string $context The calling context
Renvoie
array A list of icon definition associative arrays
Depuis
3.9.0

Références $context, $options, et getDocument.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • privacycheck.php


Joomla CMS: Référence de la classe PlgSampledataBlog

Fonctions membres publiques | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe PlgSampledataBlog
+ Graphe d'héritage de PlgSampledataBlog:

Fonctions membres publiques

onSampledataGetOverview ()
onAjaxSampledataApplyStep1 ()
onAjaxSampledataApplyStep2 ()
onAjaxSampledataApplyStep3 ()

Attributs protégés

$db
$app
$autoloadLanguage = true

Fonctions membres privées

addMenuItems (array $menuItems, $level)

Attributs privés

$menuItemModel

Description détaillée

Sampledata - Blog Plugin

Depuis
3.8.0

Documentation des fonctions membres

◆ addMenuItems()

addMenuItems | ( | array | $menuItems,
 |  |  | $level
 | ) |  |
private

Adds menuitems.

Paramètres
array | $menuItems | Array holding the menuitems arrays.
integer | $level | Level in the category tree.
Renvoie
array IDs of the inserted menuitems.
Depuis
3.8.0
Exceptions
Exception

Références $language, et $user.

◆ onAjaxSampledataApplyStep1()

onAjaxSampledataApplyStep1 ( )

First step to enter the sampledata. Content.

Renvoie
array or void Will be converted into the JSON response to the module.
Depuis
3.8.0

Références $article, $category, $i, $language, $title, $user, et JPATH_ADMINISTRATOR.

◆ onAjaxSampledataApplyStep2()

onAjaxSampledataApplyStep2 ( )

Second step to enter the sampledata. Menus.

Renvoie
array or void Will be converted into the JSON response to the module.
Depuis
3.8.0

Références $i, $language, $menu, $menuTypes, $type, JPATH_ADMINISTRATOR, et JLoader\register().

◆ onAjaxSampledataApplyStep3()

onAjaxSampledataApplyStep3 ( )

Third step to enter the sampledata. Modules.

Renvoie
array or void Will be converted into the JSON response to the module.
Depuis
3.8.0

Références $language, $menuTypes, $module, $modules, et JPATH_ADMINISTRATOR.

◆ onSampledataGetOverview()

onSampledataGetOverview ( )

Get an overview of the proposed sampledata.

Renvoie
boolean True on success.
Depuis
3.8.0

Références $data.

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $db

$db
protected

◆ $menuItemModel

$menuItemModel
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/sampledata/blog/blog.php


Joomla CMS: Référence de la classe PlgSearchCategories

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgSearchCategories
+ Graphe d'héritage de PlgSearchCategories:

Fonctions membres publiques

onContentSearchAreas ()
onContentSearch ($text, $phrase='', $ordering='', $areas=null)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Categories search plugin.

Depuis
1.6

Documentation des fonctions membres

◆ onContentSearch()

onContentSearch | ( | $text,
 |  | $phrase = '',
 |  | $ordering = '',
 |  | $areas = null
 | ) |

Search content (categories).

The SQL must return the following fields that are used in a common display routine: href, title, section, created, text, browsernav.

Paramètres
string | $text | Target search string.
string | $phrase | Matching option (possible values: exact|any|all). Default is "any".
string | $ordering | Ordering option (possible values: newest|oldest|popular|alpha|category). Default is "newest".
mixed | $areas | An array if the search is to be restricted to areas or null to search all areas.
Renvoie
array Search results.
Depuis
1.6

Références $app, $db, $groups, $i, $limit, $ordering, $query, $return, $row, $rows, $state, $text, $user, et ContentHelperRoute\getCategoryRoute().

◆ onContentSearchAreas()

onContentSearchAreas ( )

Determine areas searchable by this plugin.

Renvoie
array An array of search areas.
Depuis
1.6

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/search/categories/categories.php


Joomla CMS: Référence de la classe PlgSearchContacts

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgSearchContacts
+ Graphe d'héritage de PlgSearchContacts:

Fonctions membres publiques

onContentSearchAreas ()
onContentSearch ($text, $phrase='', $ordering='', $areas=null)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Contacts search plugin.

Depuis
1.6

Documentation des fonctions membres

◆ onContentSearch()

onContentSearch | ( | $text,
 |  | $phrase = '',
 |  | $ordering = '',
 |  | $areas = null
 | ) |

Search content (contacts).

The SQL must return the following fields that are used in a common display routine: href, title, section, created, text, browsernav.

Paramètres
string | $text | Target search string.
string | $phrase | Matching option (possible values: exact|any|all). Default is "any".
string | $ordering | Ordering option (possible values: newest|oldest|popular|alpha|category). Default is "newest".
string | $areas | An array if the search is to be restricted to areas or null to search all areas.
Renvoie
array Search results.
Depuis
1.6

Références $app, $db, $groups, $key, $limit, $ordering, $query, $row, $rows, $section, $state, $text, $user, ContactHelperRoute\getContactRoute(), JPATH_SITE, et JLoader\register().

◆ onContentSearchAreas()

onContentSearchAreas ( )

Determine areas searchable by this plugin.

Renvoie
array An array of search areas.
Depuis
1.6

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/search/contacts/contacts.php


Joomla CMS: Référence de la classe PlgSearchContent

Fonctions membres publiques
Référence de la classe PlgSearchContent
+ Graphe d'héritage de PlgSearchContent:

Fonctions membres publiques

onContentSearchAreas ()
onContentSearch ($text, $phrase='', $ordering='', $areas=null)

Description détaillée

Content search plugin.

Depuis
1.6

Documentation des fonctions membres

◆ onContentSearch()

onContentSearch | ( | $text,
 |  | $phrase = '',
 |  | $ordering = '',
 |  | $areas = null
 | ) |

Search content (articles). The SQL must return the following fields that are used in a common display routine: href, title, section, created, text, browsernav.

Paramètres
string | $text | Target search string.
string | $phrase | Matching option (possible values: exact|any|all). Default is "any".
string | $ordering | Ordering option (possible values: newest|oldest|popular|alpha|category). Default is "newest".
mixed | $areas | An array if the search it to be restricted to areas or null to search all areas.
Renvoie
array Search results.
Depuis
1.6

Références $app, $article, $date, $db, $groups, $item, $key, $limit, $list, $now, $ordering, $query, $results, $row, $rows, $text, $user, SearchHelper\checkNoHtml(), ContentHelperRoute\getArticleRoute(), JPATH_ADMINISTRATOR, JPATH_SITE, et JLoader\register().

◆ onContentSearchAreas()

onContentSearchAreas ( )

Determine areas searchable by this plugin.

Renvoie
array An array of search areas.
Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/search/content/content.php


Joomla CMS: Référence de la classe PlgSearchNewsfeeds

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgSearchNewsfeeds
+ Graphe d'héritage de PlgSearchNewsfeeds:

Fonctions membres publiques

onContentSearchAreas ()
onContentSearch ($text, $phrase='', $ordering='', $areas=null)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Newsfeeds search plugin.

Depuis
1.6

Documentation des fonctions membres

◆ onContentSearch()

onContentSearch | ( | $text,
 |  | $phrase = '',
 |  | $ordering = '',
 |  | $areas = null
 | ) |

Search content (newsfeeds).

The SQL must return the following fields that are used in a common display routine: href, title, section, created, text, browsernav.

Paramètres
string | $text | Target search string.
string | $phrase | Matching option (possible values: exact|any|all). Default is "any".
string | $ordering | Ordering option (possible values: newest|oldest|popular|alpha|category). Default is "newest".
mixed | $areas | An array if the search it to be restricted to areas or null to search all areas.
Renvoie
array Search results.
Depuis
1.6

Références $app, $db, $groups, $key, $limit, $ordering, $query, $row, $rows, $state, $text, et $user.

◆ onContentSearchAreas()

onContentSearchAreas ( )

Determine areas searchable by this plugin.

Renvoie
array An array of search areas.
Depuis
1.6

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/search/newsfeeds/newsfeeds.php


Joomla CMS: Référence de la classe PlgSearchTags

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgSearchTags
+ Graphe d'héritage de PlgSearchTags:

Fonctions membres publiques

onContentSearchAreas ()
onContentSearch ($text, $phrase='', $ordering='', $areas=null)

Attributs protégés

$autoloadLanguage = true

Description détaillée

Tags search plugin.

Depuis
3.3

Documentation des fonctions membres

◆ onContentSearch()

onContentSearch | ( | $text,
 |  | $phrase = '',
 |  | $ordering = '',
 |  | $areas = null
 | ) |

Search content (tags).

The SQL must return the following fields that are used in a common display routine: href, title, section, created, text, browsernav.

Paramètres
string | $text | Target search string.
string | $phrase | Matching option (possible values: exact|any|all). Default is "any".
string | $ordering | Ordering option (possible values: newest|oldest|popular|alpha|category). Default is "newest".
string | $areas | An array if the search is to be restricted to areas or null to search all areas.
Renvoie
array Search results.
Depuis
3.3

Références $app, $db, $groups, $item, $key, $lang, $limit, $ordering, $parts, $query, $row, $rows, $section, $text, $type, $user, TagsHelperRoute\getTagRoute(), JPATH_SITE, null, et JLoader\register().

◆ onContentSearchAreas()

onContentSearchAreas ( )

Determine areas searchable by this plugin.

Renvoie
array An array of search areas.
Depuis
3.3

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/search/tags/tags.php


Joomla CMS: Référence de la classe PlgSystemActionLogs

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Fonctions membres privées
Référence de la classe PlgSystemActionLogs
+ Graphe d'héritage de PlgSystemActionLogs:

Fonctions membres publiques

__construct (&$subject, $config)
onContentPrepareForm ($form, $data)
onContentPrepareData ($context, $data)
onAfterRespond ()
onUserAfterSave ($user, $isNew, $success, $msg)
onUserAfterDelete ($user, $success, $msg)

Fonctions membres publiques statiques

static | renderActionlogsNotify ($value)
static | renderActionlogsExtensions ($extensions)

Attributs protégés

$app
$db
$autoloadLanguage = true

Fonctions membres privées

clearCacheGroups (array $clearGroups, array $cacheClients=array(0, 1))

Description détaillée

Joomla! Users Actions Logging Plugin.

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor.

Paramètres
object | &$subject | The object to observe.
array | $config | An optional associative array of configuration settings.
Depuis
3.9.0

Références $config, et $subject.

Documentation des fonctions membres

◆ clearCacheGroups()

clearCacheGroups | ( | array | $clearGroups,
 |  | array | $cacheClients = array(0, 1)
 | ) |  |
private

Clears cache groups. We use it to clear the plugins cache after we update the last run timestamp.

Paramètres
array | $clearGroups | The cache groups to clean
array | $cacheClients | The cache clients (site, admin) to clean
Renvoie
void
Depuis
3.9.0

Références $clientId, $options, Factory\getConfig(), Cache\getInstance(), JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ onAfterRespond()

onAfterRespond ( )

Runs after the HTTP response has been sent to the client and delete log records older than certain days

Renvoie
void
Depuis
3.9.0

Références $db, $now, $query, et Factory\getDate().

◆ onContentPrepareData()

onContentPrepareData | ( | $context,
 |  | $data
 | ) |

Runs on content preparation

Paramètres
string | $context | The context for the data
object | $data | An object containing the data for the form.
Renvoie
boolean
Depuis
3.9.0

Références $context, $data, $query, et User\getInstance().

◆ onContentPrepareForm()

onContentPrepareForm | ( | $form,
 |  | $data
 | ) |

Adds additional fields to the user editing form for logs e-mail notifications

Paramètres
JForm | $form | The form to be altered.
mixed | $data | The associated data for the form.
Renvoie
boolean
Depuis
3.9.0

We only allow users who has Super User permission change this setting for himself or for other users who has same Super User permission

Références $data, $form, $user, Factory\getApplication(), User\getInstance(), et Factory\getUser().

◆ onUserAfterDelete()

onUserAfterDelete | ( | $user,
 |  | $success,
 |  | $msg
 | ) |

Removes user preferences

Method is called after user data is deleted from the database

Paramètres
array | $user | Holds the user data
boolean | $success | True if user was successfully stored in the database
string | $msg | Message
Renvoie
boolean
Depuis
3.9.0

Références $query, et $user.

◆ onUserAfterSave()

onUserAfterSave | ( | $user,
 |  | $isNew,
 |  | $success,
 |  | $msg
 | ) |

Utility method to act on a user after it has been saved.

Paramètres
array | $user | Holds the new user data.
boolean | $isNew | True if a new user is stored.
boolean | $success | True if user was successfully stored in the database.
string | $msg | Message.
Renvoie
boolean
Depuis
3.9.0

Références $authorised, $columns, $query, $user, elseif, et json_encode.

◆ renderActionlogsExtensions()

static renderActionlogsExtensions ( $extensions )
static

Method to render a list of extensions.

Paramètres
array | string $extensions Array of extensions or an empty string if none selected.
Renvoie
string The rendered value.
Depuis
3.9.16

Références $extension, JPATH_ADMINISTRATOR, ActionlogsHelper\loadTranslationFiles(), et JLoader\register().

◆ renderActionlogsNotify()

static renderActionlogsNotify ( $value )
static

Method to render a value.

Paramètres
integer | string $value The value (0 or 1).
Renvoie
string The rendered value.
Depuis
3.9.16

Références $value.

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/system/actionlogs/actionlogs.php


Joomla CMS: Référence de la classe PlgSystemCache

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgSystemCache
+ Graphe d'héritage de PlgSystemCache:

Fonctions membres publiques

__construct (& $subject, $config)
onAfterInitialise ()
onAfterRender ()
onAfterRespond ()

Champs de données

$_cache
$_cache_key

Fonctions membres protégées

getCacheKey ()
isExcluded ()

Attributs protégés

$app

Description détaillée

Joomla! Page Cache Plugin.

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor.

Paramètres
object | &$subject | The object to observe.
array | $config | An optional associative array of configuration settings.
Depuis
1.5

Références $config, $options, et $subject.

Documentation des fonctions membres

◆ getCacheKey()

getCacheKey ( )
protected

Get a cache key for the current page based on the url and possible other factors.

Renvoie
string
Depuis
3.7

Références $key, $parts, et JEventDispatcher\getInstance().

◆ isExcluded()

isExcluded ( )
protected

Check if the page is excluded from the cache or not.

Renvoie
boolean True if the page is excluded else false
Depuis
3.5

Références $active, $results, et JEventDispatcher\getInstance().

◆ onAfterInitialise()

onAfterInitialise ( )

After Initialise Event. Checks if URL exists in cache, if so dumps it directly and closes.

Renvoie
void
Depuis
1.5

Références $data, $results, JEventDispatcher\getInstance(), et JDEBUG.

◆ onAfterRender()

onAfterRender ( )

After Render Event. Verify if current page is not excluded from cache.

Renvoie
void
Depuis
3.9.12

◆ onAfterRespond()

onAfterRespond ( )

After Respond Event. Stores page in cache.

Renvoie
void
Depuis
1.5

Documentation des champs

◆ $_cache

$_cache

◆ $_cache_key

$_cache_key

◆ $app

$app
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/system/cache/cache.php


Joomla CMS: Référence de la classe PlgSystemDebug

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées | Attributs privés | Attributs privés statiques
Référence de la classe PlgSystemDebug
+ Graphe d'héritage de PlgSystemDebug:

Fonctions membres publiques

__construct (&$subject, $config)
onAfterDispatch ()
onAfterRespond ()
mysqlDisconnectHandler (&$db)
logger (JLogEntry $entry)

Fonctions membres publiques statiques

static | addDisplayCallback ($name, $callable)
static | removeDisplayCallback ($name)

Fonctions membres protégées

display ($item, array $errors=array())
displayCallback ($name, $callable)
displaySession ($key='', $session=null, $id=0)
displayErrors ()
displayProfileInformation ()
displayMemoryUsage ()
displayQueries ()
renderBars (&$bars, $class='', $id=null)
tableToHtml ($table, &$hasWarnings)
displayLanguageFilesInError ()
displayLanguageFilesLoaded ()
displayUntranslatedStrings ()
highlightQuery ($query)
renderBacktrace ($error)
formatLink ($file, $line='')
displayLogs ()
renderCallStack (array $callStack=array())
prettyPrintJSON ($json='')
writeToFile ()

Attributs protégés

$linkFormat = ''
$app
$db

Fonctions membres privées

isAuthorisedDisplayDebug ()

Attributs privés

$debugLang = false
$logEntries = array()
$sqlShowProfiles = array()
$sqlShowProfileEach = array()
$explains = array()
$totalQueries = 0

Attributs privés statiques

static $displayCallbacks = array()

Description détaillée

Joomla! Debug plugin.

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor.

Paramètres
object | &$subject | The object to observe.
array | $config | An optional associative array of configuration settings.
Depuis
1.5

Références $config, $db, $mode, $subject, JLoader\getDeprecatedAliases(), et JDEBUG.

Documentation des fonctions membres

◆ addDisplayCallback()

static addDisplayCallback | ( | $name,
 |  | $callable
 | ) |
static

Add a display callback to be rendered with the debug console.

Paramètres
string | $name | The name of the callable, this is used to generate the section title.
callable | $callable | The callback function to be added.
Renvoie
boolean
Depuis
3.7.0
Exceptions
InvalidArgumentException

Références $name.

◆ display()

display | ( |  | $item,
 |  | array | $errors = array()
 | ) |  |
protected

General display method.

Paramètres
string | $item | The item to display.
array | $errors | Errors occurred during execution.
Renvoie
string
Depuis
2.5

Références $class, $html, $item, $js, $style, et $title.

◆ displayCallback()

displayCallback | ( | $name,
 |  | $callable
 | ) |
protected

Display method for callback functions.

Paramètres
string | $name | The name of the callable.
callable | $callable | The callable function.
Renvoie
string
Depuis
3.7.0

Références $class, $html, $js, $name, $style, et $title.

◆ displayErrors()

displayErrors ( )
protected

Display errors.

Renvoie
string
Depuis
2.5

Références $html, $info, et JError\getError().

◆ displayLanguageFilesInError()

displayLanguageFilesInError ( )
protected

Displays errors in language files.

Renvoie
string
Depuis
2.5

Références $file, et $html.

◆ displayLanguageFilesLoaded()

displayLanguageFilesLoaded ( )
protected

Display loaded language files.

Renvoie
string
Depuis
2.5

Références $file, $files, et $html.

◆ displayLogs()

displayLogs ( )
protected

Display log messages.

Renvoie
string
Depuis
3.1

Références $count.

◆ displayMemoryUsage()

displayMemoryUsage ( )
protected

Display memory usage.

Renvoie
string
Depuis
2.5

◆ displayProfileInformation()

displayProfileInformation ( )
protected

Display profile information.

Renvoie
string
Depuis
2.5

Références $db, $html, $labelClass, elseif, et null.

◆ displayQueries()

displayQueries ( )
protected

Display logged queries.

Renvoie
string
Depuis
2.5

Références $db, $html, $id, $info, $labelClass, $list, $query, $startTime, $text, $title, elseif, ENT_COMPAT, htmlspecialchars, null, et width.

◆ displaySession()

displaySession | ( | $key = '',
 |  | $session = null,
 |  | $id = 0
 | ) |
protected

Display session information.

Called recursively.

Paramètres
string | $key | A session key.
mixed | $session | The session array, initially null.
integer | $id | Used to identify the DIV for the JavaScript toggling code.
Renvoie
string
Depuis
2.5

Références $display, $html, $id, $js, $key, et $style.

◆ displayUntranslatedStrings()

displayUntranslatedStrings ( )
protected

Display untranslated language strings.

Renvoie
string
Depuis
2.5

Références $file, $html, $info, $key, et $parts.

◆ formatLink()

formatLink | ( | $file,
 |  | $line = ''
 | ) |
protected

Replaces the Joomla! root with "JROOT" to improve readability. Formats a link with a special value xdebug.file_link_format from the php.ini file.

Paramètres
string | $file | The full path to the file.
string | $line | The line number.
Renvoie
string
Depuis
2.5

Références $file.

◆ highlightQuery()

highlightQuery ( $query )
protected

Simple highlight for SQL queries.

Paramètres
string $query The query to highlight.
Renvoie
string
Depuis
2.5

Références $query, ENT_QUOTES, et htmlspecialchars.

◆ isAuthorisedDisplayDebug()

isAuthorisedDisplayDebug ( )
private

Method to check if the current user is allowed to see the debug information or not.

Renvoie
boolean True if access is allowed.
Depuis
3.0

Références null.

◆ logger()

logger ( JLogEntry $entry )

Store log messages so they can be displayed later. This function is passed log entries by JLogLoggerCallback.

Paramètres
JLogEntry $entry A log entry.
Renvoie
void
Depuis
3.1

◆ mysqlDisconnectHandler()

mysqlDisconnectHandler ( & $db )

Disconnect handler for database to collect profiling and explain information.

Paramètres
JDatabaseDriver &$db Database object.
Renvoie
void
Depuis
3.1.2

Références $db, et $query.

◆ onAfterDispatch()

onAfterDispatch ( )

Add the CSS for debug. We can't do this in the constructor because stuff breaks.

Renvoie
void
Depuis
2.5

Références JDEBUG, et null.

◆ onAfterRespond()

onAfterRespond ( )

Show the debug info.

Renvoie
void
Depuis
1.6

Références $html, $name, getDocument, JError\getErrors(), et JDEBUG.

◆ prettyPrintJSON()

prettyPrintJSON ( $json = '' )
protected

Pretty print JSON with colors.

Paramètres
string $json The json raw string.
Renvoie
string The json string pretty printed.
Depuis
3.5

Références json_encode.

◆ removeDisplayCallback()

static removeDisplayCallback ( $name )
static

Remove a registered display callback

Paramètres
string $name The name of the callable.
Renvoie
boolean
Depuis
3.7.0

Références $name.

◆ renderBacktrace()

renderBacktrace ( $error )
protected

Render the backtrace.

Stolen from JError to prevent it's removal.

Paramètres
Exception $error The Exception object to be rendered.
Renvoie
string Rendered backtrace.
Depuis
2.5

◆ renderBars()

renderBars | ( | & | $bars,
 |  |  | $class = '',
 |  |  | $id = null
 | ) |  |
protected

Render the bars.

Paramètres
array | &$bars | Array of bar data
string | $class | Optional class for items
integer | $id | Id if the bar to highlight
Renvoie
string
Depuis
3.1.2

Références $class, $html, $i, $id, ENT_COMPAT, htmlspecialchars, et null.

◆ renderCallStack()

renderCallStack ( array $callStack = array() )
protected

Renders call stack and back trace in HTML.

Paramètres
array $callStack The call stack and back trace array.
Renvoie
string The call stack and back trace in HMTL format.
Depuis
3.5

Références $count, htmlspecialchars, et null.

◆ tableToHtml()

tableToHtml | ( |  | $table,
 |  | & | $hasWarnings
 | ) |  |
protected

Render an HTML table based on a multi-dimensional array.

Paramètres
array | $table | An array of tabular data.
boolean | &$hasWarnings | Changes value to true if warnings are displayed, otherwise untouched
Renvoie
string
Depuis
3.1.2

Références $html, elseif, ENT_COMPAT, htmlspecialchars, et null.

◆ writeToFile()

writeToFile ( )
protected

Write query to the log file

Renvoie
void
Depuis
3.5

Références $app, $current, $db, $file, $id, $input, $query, et JPlatform\getLongVersion().

Documentation des champs

◆ $app

$app
protected

◆ $db

$db
protected

◆ $debugLang

$debugLang = false
private

◆ $displayCallbacks

$displayCallbacks = array()
staticprivate

◆ $explains

$explains = array()
private

◆ $linkFormat

$linkFormat = ''
protected

◆ $logEntries

$logEntries = array()
private

◆ $sqlShowProfileEach

$sqlShowProfileEach = array()
private

◆ $sqlShowProfiles

$sqlShowProfiles = array()
private

◆ $totalQueries

$totalQueries = 0
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/system/debug/debug.php


Joomla CMS: Référence de la classe PlgSystemFields

Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe PlgSystemFields
+ Graphe d'héritage de PlgSystemFields:

Fonctions membres publiques

onContentNormaliseRequestData ($context, $data, Form $form)
onContentAfterSave ($context, $item, $isNew, $data=array())
onUserAfterSave ($userData, $isNew, $success, $msg)
onContentAfterDelete ($context, $item)
onUserAfterDelete ($user, $succes, $msg)
onContentPrepareForm (JForm $form, $data)
onContentAfterTitle ($context, $item, $params, $limitstart=0)
onContentBeforeDisplay ($context, $item, $params, $limitstart=0)
onContentAfterDisplay ($context, $item, $params, $limitstart=0)
onContentPrepare ($context, $item)
onPrepareFinderContent ($item)

Attributs protégés

$autoloadLanguage = true

Fonctions membres privées

display ($context, $item, $params, $displayType)
prepareTagItem ($item)

Description détaillée

Fields Plugin

Depuis
3.7

Documentation des fonctions membres

◆ display()

display | ( | $context,
 |  | $item,
 |  | $params,
 |  | $displayType
 | ) |
private

Performs the display event.

Paramètres
string | $context | The context
stdClass | $item | The item
Registry | $params | The params
integer | $displayType | The type
Renvoie
string
Depuis
3.7.0

Références $app, $context, $field, $fields, $item, $key, $lang, $params, $parts, FieldsHelper\extract(), Factory\getApplication(), FieldsHelper\getFields(), et FieldsHelper\render().

◆ onContentAfterDelete()

onContentAfterDelete | ( | $context,
 |  | $item
 | ) |

The delete event.

Paramètres
string | $context | The context
stdClass | $item | The item
Renvoie
boolean
Depuis
3.7.0

Références $context, $item, $parts, FieldsHelper\extract(), et JPATH_ADMINISTRATOR.

◆ onContentAfterDisplay()

onContentAfterDisplay | ( | $context,
 |  | $item,
 |  | $params,
 |  | $limitstart = 0
 | ) |

The display event.

Paramètres
string | $context | The context
stdClass | $item | The item
Registry | $params | The params
integer | $limitstart | The start
Renvoie
string
Depuis
3.7.0

Références $context, $item, et $params.

◆ onContentAfterSave()

onContentAfterSave | ( | $context,
 |  | $item,
 |  | $isNew,
 |  | $data = array()
 | ) |

The save event.

Paramètres
string | $context | The context
JTable | $item | The table
boolean | $isNew | Is new item
array | $data | The validated data
Renvoie
boolean
Depuis
3.7.0

Références $context, $data, $field, $fields, $item, $parts, $value, FieldsHelper\extract(), FieldsHelper\getFields(), json_encode, et null.

◆ onContentAfterTitle()

onContentAfterTitle | ( | $context,
 |  | $item,
 |  | $params,
 |  | $limitstart = 0
 | ) |

The display event.

Paramètres
string | $context | The context
stdClass | $item | The item
Registry | $params | The params
integer | $limitstart | The start
Renvoie
string
Depuis
3.7.0

Références $context, $item, et $params.

◆ onContentBeforeDisplay()

onContentBeforeDisplay | ( | $context,
 |  | $item,
 |  | $params,
 |  | $limitstart = 0
 | ) |

The display event.

Paramètres
string | $context | The context
stdClass | $item | The item
Registry | $params | The params
integer | $limitstart | The start
Renvoie
string
Depuis
3.7.0

Références $context, $item, et $params.

◆ onContentNormaliseRequestData()

onContentNormaliseRequestData | ( |  | $context,
 |  |  | $data,
 |  | Form | $form
 | ) |  |

Normalizes the request data.

Paramètres
string | $context | The context
object | $data | The object
Form | $form | The form
Renvoie
void
Depuis
3.8.7

Disabled fields should NEVER be added to the request as they should NEVER be added by the browser anyway so nothing to check against as "disabled" means no interaction at all.

Références $context, $data, $field, $form, et FieldsHelper\extract().

◆ onContentPrepare()

onContentPrepare | ( | $context,
 |  | $item
 | ) |

Performs the display event.

Paramètres
string | $context | The context
stdClass | $item | The item
Renvoie
void
Depuis
3.7.0

Références $context, $field, $fields, $item, $key, $parts, FieldsHelper\extract(), et FieldsHelper\getFields().

◆ onContentPrepareForm()

onContentPrepareForm | ( | JForm | $form,
 |  |  | $data
 | ) |  |

The form event.

Paramètres
JForm | $form | The form
stdClass | $data | The data
Renvoie
boolean
Depuis
3.7.0

Références $context, $data, $form, $input, $parts, et FieldsHelper\extract().

◆ onPrepareFinderContent()

onPrepareFinderContent ( $item )

The finder event.

Paramètres
stdClass $item The item
Renvoie
boolean
Depuis
3.7.0

Références $component, $context, $field, $fields, $item, $section, $tmp, $value, FieldsHelper\getFields(), et FinderIndexer\TEXT_CONTEXT.

◆ onUserAfterDelete()

onUserAfterDelete | ( | $user,
 |  | $succes,
 |  | $msg
 | ) |

The user delete event.

Paramètres
stdClass | $user | The context
boolean | $succes | Is success
string | $msg | The message
Renvoie
boolean
Depuis
3.7.0

Références $item, et $user.

◆ onUserAfterSave()

onUserAfterSave | ( | $userData,
 |  | $isNew,
 |  | $success,
 |  | $msg
 | ) |

The save event.

Paramètres
array | $userData | The date
boolean | $isNew | Is new
boolean | $success | Is success
string | $msg | The message
Renvoie
boolean
Depuis
3.7.0

Références $task, et $user.

◆ prepareTagItem()

prepareTagItem ( $item )
private

Prepares a tag item to be ready for com_fields.

Paramètres
stdClass $item The item
Renvoie
object
Depuis
3.8.4

Références $item.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/system/fields/fields.php


Joomla CMS: Référence de la classe PlgSystemHighlight

Fonctions membres publiques
Référence de la classe PlgSystemHighlight
+ Graphe d'héritage de PlgSystemHighlight:

Fonctions membres publiques

onAfterDispatch ()

Description détaillée

System plugin to highlight terms.

Depuis
2.5

Documentation des fonctions membres

◆ onAfterDispatch()

onAfterDispatch ( )

Method to catch the onAfterDispatch event.

This is where we setup the click-through content highlighting for. The highlighting is done with JavaScript so we just need to check a few parameters and the JHtml behavior will do the rest.

Renvoie
boolean True on success
Depuis
2.5

Références $doc, $extension, $filter, $input, getDocument, htmlspecialchars, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • highlight.php


Joomla CMS: Référence de la classe PlgSystemLanguagecode

Fonctions membres publiques
Référence de la classe PlgSystemLanguagecode
+ Graphe d'héritage de PlgSystemLanguagecode:

Fonctions membres publiques

onAfterRender ()
onContentPrepareForm (JForm $form, $data)

Description détaillée

Language Code plugin class.

Depuis
2.5

Documentation des fonctions membres

◆ onAfterRender()

onAfterRender ( )

Plugin that changes the language code used in the <html> tag.

Renvoie
void
Depuis
2.5

Références $app, et getDocument.

◆ onContentPrepareForm()

onContentPrepareForm | ( | JForm | $form,
 |  |  | $data
 | ) |  |

Prepare form.

Paramètres
JForm | $form | The form to be altered.
mixed | $data | The associated data for the form.
Renvoie
boolean
Depuis
2.5

Références $form, $language, ENT_COMPAT, htmlspecialchars, et JPATH_SITE.

La documentation de cette classe a été générée à partir du fichier suivant :
  • languagecode.php


Joomla CMS: Référence de la classe PlgSystemLanguageFilter

Fonctions membres publiques | Attributs protégés | Fonctions membres privées | Attributs privés
Référence de la classe PlgSystemLanguageFilter
+ Graphe d'héritage de PlgSystemLanguageFilter:

Fonctions membres publiques

__construct (&$subject, $config)
onAfterInitialise ()
onAfterRoute ()
preprocessBuildRule (&$router, &$uri)
buildRule (&$router, &$uri)
postprocessSEFBuildRule (&$router, &$uri)
postprocessNonSEFBuildRule (&$router, &$uri)
parseRule (&$router, &$uri)
onPrivacyCollectAdminCapabilities ()
onUserBeforeSave ($user, $isnew, $new)
onUserAfterSave ($user, $isnew, $success, $msg)
onUserLogin ($user, $options=array())
onAfterDispatch ()

Attributs protégés

$mode_sef
$sefs
$lang_codes
$current_lang
$default_lang
$app

Fonctions membres privées

setLanguageCookie ($languageCode)
getLanguageCookie ()

Attributs privés

$user_lang_code

Description détaillée

Joomla! Language Filter Plugin.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor.

Paramètres
object | &$subject | The object to observe
array | $config | An optional associative array of configuration settings.
Depuis
1.6

Références $config, $language, et $subject.

Documentation des fonctions membres

◆ buildRule()

buildRule | ( | & | $router,
 |  | & | $uri
 | ) |  |

Add build rule to router.

Paramètres
JRouter | &$router | JRouter object.
JUri | &$uri | JUri object.
Renvoie
void
Depuis
1.6

Références $lang, et $uri.

◆ getLanguageCookie()

getLanguageCookie ( )
private

Get the language cookie

Renvoie
string
Depuis
3.4.2

Références null.

◆ onAfterDispatch()

onAfterDispatch ( )

Method to add alternative meta tags for associated menu items.

Renvoie
void
Depuis
1.7

Références $active, $doc, $i, $item, $language, $menu, $option, MenusHelper\getAssociations(), getDocument, JPATH_SITE, et JLoader\register().

◆ onAfterInitialise()

onAfterInitialise ( )

After initialise.

Renvoie
void
Depuis
1.6

◆ onAfterRoute()

onAfterRoute ( )

After route.

Renvoie
void
Depuis
3.4

◆ onPrivacyCollectAdminCapabilities()

onPrivacyCollectAdminCapabilities ( )

Reports the privacy related capabilities for this plugin to site administrators.

Renvoie
array
Depuis
3.9.0

◆ onUserAfterSave()

onUserAfterSave | ( | $user,
 |  | $isnew,
 |  | $success,
 |  | $msg
 | ) |

After store user method.

Method is called after user data is stored in the database.

Paramètres
array | $user | Holds the new user data.
boolean | $isnew | True if a new user is stored.
boolean | $success | True if user was succesfully stored in the database.
string | $msg | Message.
Renvoie
void
Depuis
1.6

Références $user, et null.

◆ onUserBeforeSave()

onUserBeforeSave | ( | $user,
 |  | $isnew,
 |  | $new
 | ) |

Before store user method.

Method is called before user data is stored in the database.

Paramètres
array | $user | Holds the old user data.
boolean | $isnew | True if a new user is stored.
array | $new | Holds the new user data.
Renvoie
void
Depuis
1.6

Références $user.

◆ onUserLogin()

onUserLogin | ( | $user,
 |  | $options = array()
 | ) |

Method to handle any login logic and report back to the subject.

Paramètres
array | $user | Holds the user data.
array | $options | Array holding options (remember, autoregister, group).
Renvoie
boolean True on success.
Depuis
1.5

Looking for associations. If the login menu item form contains an internal URL redirection, This will override the automatic change to the user preferred site language. In that case we use the redirect as defined in the menu item. Otherwise we redirect, when available, to the user preferred site language.

The login form does not contain a menu item redirection. The active menu item has associations. We redirect to the user preferred site language associated page.

Références $active, $assoc, $item, $menu, $uri, $user, elseif, MenusHelper\getAssociations(), jimport(), et JPATH_SITE.

◆ parseRule()

parseRule | ( | & | $router,
 |  | & | $uri
 | ) |  |

Add parse rule to router.

Paramètres
JRouter | &$router | JRouter object.
JUri | &$uri | JUri object.
Renvoie
void
Depuis
1.6

Références $extension, $files, $lang, $language, $parts, $path, $redirectUri, $uri, JPATH_ADMINISTRATOR, et JPATH_PLUGINS.

◆ postprocessNonSEFBuildRule()

postprocessNonSEFBuildRule | ( | & | $router,
 |  | & | $uri
 | ) |  |

postprocess build rule for non-SEF URLs

Paramètres
JRouter | &$router | JRouter object.
JUri | &$uri | JUri object.
Renvoie
void
Depuis
3.4

Références $lang, et $uri.

◆ postprocessSEFBuildRule()

postprocessSEFBuildRule | ( | & | $router,
 |  | & | $uri
 | ) |  |

postprocess build rule for SEF URLs

Paramètres
JRouter | &$router | JRouter object.
JUri | &$uri | JUri object.
Renvoie
void
Depuis
3.4

Références $uri.

◆ preprocessBuildRule()

preprocessBuildRule | ( | & | $router,
 |  | & | $uri
 | ) |  |

Add build preprocess rule to router.

Paramètres
JRouter | &$router | JRouter object.
JUri | &$uri | JUri object.
Renvoie
void
Depuis
3.4

Références $lang, et $uri.

◆ setLanguageCookie()

setLanguageCookie ( $languageCode )
private

Set the language cookie

Paramètres
string $languageCode The language code for which we want to set the cookie
Renvoie
void
Depuis
3.4.2

Références true.

Documentation des champs

◆ $app

$app
protected

◆ $current_lang

$current_lang
protected

◆ $default_lang

$default_lang
protected

◆ $lang_codes

$lang_codes
protected

◆ $mode_sef

$mode_sef
protected

◆ $sefs

$sefs
protected

◆ $user_lang_code

$user_lang_code
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • languagefilter.php


Joomla CMS: Référence de la classe PlgSystemLog

Fonctions membres publiques
Référence de la classe PlgSystemLog
+ Graphe d'héritage de PlgSystemLog:

Fonctions membres publiques

onUserLoginFailure ($response)

Description détaillée

Joomla! System Logging Plugin.

Depuis
1.5

Documentation des fonctions membres

◆ onUserLoginFailure()

onUserLoginFailure ( $response )

Called if user fails to be logged in.

Paramètres
array $response Array of response data.
Renvoie
void
Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • log.php


Joomla CMS: Référence de la classe PlgSystemLogout

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés
Référence de la classe PlgSystemLogout
+ Graphe d'héritage de PlgSystemLogout:

Fonctions membres publiques

__construct (&$subject, $config)
onUserLogout ($user, $options=array())

Fonctions membres publiques statiques

static handleError (&$error)

Attributs protégés

$app
$autoloadLanguage = true

Description détaillée

Plugin class for logout redirect handling.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor.

Paramètres
object | &$subject | The object to observe – event dispatcher.
object | $config | An optional associative array of configuration settings.
Depuis
1.6

Références $config, $hash, $subject, et JError\setErrorHandling().

Documentation des fonctions membres

◆ handleError()

static handleError ( & $error )
static

Method to handle an error condition.

Paramètres
Exception &$error The Exception object to be handled.
Renvoie
void
Depuis
1.6

Références $app, et JError\customErrorPage().

◆ onUserLogout()

onUserLogout | ( | $user,
 |  | $options = array()
 | ) |

Method to handle any logout logic and report back to the subject.

Paramètres
array | $user | Holds the user data.
array | $options | Array holding options (client, ...).
Renvoie
boolean Always returns true.
Depuis
1.6

Références true.

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • logout.php


Joomla CMS: Référence de la classe PlgSystemLogrotation

Attributs protégés | Fonctions membres privées
Référence de la classe PlgSystemLogrotation
+ Graphe d'héritage de PlgSystemLogrotation:

Attributs protégés

$autoloadLanguage = true
$app
$db

Fonctions membres privées

getLogFiles ($path)
rotate ($path, $filename, $currentVersion)
clearCacheGroups (array $clearGroups, array $cacheClients=array(0, 1))

Description détaillée

Joomla! Log Rotation plugin

Rotate the log files created by Joomla core

Depuis
3.9.0

Documentation des fonctions membres

◆ clearCacheGroups()

clearCacheGroups | ( | array | $clearGroups,
 |  | array | $cacheClients = array(0, 1)
 | ) |  |
private

Clears cache groups. We use it to clear the plugins cache after we update the last run timestamp.

Paramètres
array | $clearGroups | The cache groups to clean
array | $cacheClients | The cache clients (site, admin) to clean
Renvoie
void
Depuis
3.9.0

Références $options, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getLogFiles()

getLogFiles ( $path )
private

Get log files from log folder

Paramètres
string $path The folder to get log files
Renvoie
array The log files in the given path grouped by version number (not rotated files has number 0)
Depuis
3.9.0

Références $file, $files, $parts, $path, et $version.

◆ rotate()

rotate | ( | $path,
 |  | $filename,
 |  | $currentVersion
 | ) |
private

Method to rotate (increase version) of a log file

Paramètres
string | $path | Path to file to rotate
string | $filename | Name of file to rotate
int | $currentVersion | The current version number
Renvoie
void
Depuis
3.9.0

Références $parts, et $path.

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • logrotation.php


Joomla CMS: Référence de la classe PlgSystemP3p

Fonctions membres publiques
Référence de la classe PlgSystemP3p
+ Graphe d'héritage de PlgSystemP3p:

Fonctions membres publiques

onAfterInitialise ()

Description détaillée

Joomla! P3P Header Plugin.

Depuis
1.6 4.0 Obsolete

Documentation des fonctions membres

◆ onAfterInitialise()

onAfterInitialise ( )

After initialise.

Renvoie
void
Depuis
1.6 4.0 Obsolete
La documentation de cette classe a été générée à partir du fichier suivant :
  • p3p.php


Joomla CMS: Référence de la classe PlgSystemPrivacyconsent

Fonctions membres publiques | Attributs protégés | Fonctions membres privées
Référence de la classe PlgSystemPrivacyconsent
+ Graphe d'héritage de PlgSystemPrivacyconsent:

Fonctions membres publiques

__construct (&$subject, $config)
onContentPrepareForm ($form, $data)
onUserBeforeSave ($user, $isNew, $data)
onUserAfterSave ($data, $isNew, $result, $error)
onUserAfterDelete ($user, $success, $msg)
onAfterRoute ()
onPrivacyCheckPrivacyPolicyPublished (&$policy)
onAfterRender ()

Attributs protégés

$autoloadLanguage = true
$app
$db

Fonctions membres privées

getRedirectMessage ()
isUserConsented ($userId)
getPrivacyArticleId ()
remindExpiringConsents ()
clearCacheGroups (array $clearGroups, array $cacheClients=array(0, 1))

Description détaillée

An example custom privacyconsent plugin.

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor

Paramètres
object | &$subject | The object to observe
array | $config | An array that holds the plugin configuration
Depuis
3.9.0

Références $config, et $subject.

Documentation des fonctions membres

◆ clearCacheGroups()

clearCacheGroups | ( | array | $clearGroups,
 |  | array | $cacheClients = array(0, 1)
 | ) |  |
private

Clears cache groups. We use it to clear the plugins cache after we update the last run timestamp.

Paramètres
array | $clearGroups | The cache groups to clean
array | $cacheClients | The cache clients (site, admin) to clean
Renvoie
void
Depuis
3.9.0

Références $options, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getPrivacyArticleId()

getPrivacyArticleId ( )
private

Get privacy article ID. If the site is a multilingual website and there is associated article for the current language, ID of the associated article will be returned

Renvoie
integer
Depuis
3.9.0

◆ getRedirectMessage()

getRedirectMessage ( )
private

Returns the configured redirect message and falls back to the default version.

Renvoie
string redirect message
Depuis
3.9.0

◆ isUserConsented()

isUserConsented ( $userId )
private

Method to check if the given user has consented yet

Paramètres
integer $userId ID of uer to check
Renvoie
boolean
Depuis
3.9.0

Références $query, et $userId.

◆ onAfterRender()

onAfterRender ( )

The privacy consent expiration check code is triggered after the page has fully rendered.

Renvoie
void
Depuis
3.9.0

Références $db, $now, et $query.

◆ onAfterRoute()

onAfterRoute ( )

If logged in users haven't agreed to privacy consent, redirect them to profile edit page, ask them to agree to privacy consent before allowing access to any other pages

Renvoie
void
Depuis
3.9.0

Références $id, $layout, $link, $option, $task, $userId, et $view.

◆ onContentPrepareForm()

onContentPrepareForm | ( | $form,
 |  | $data
 | ) |

Adds additional fields to the user editing form

Paramètres
JForm | $form | The form to be altered.
mixed | $data | The associated data for the form.
Renvoie
boolean
Depuis
3.9.0

Références $data, $form, $name, et $userId.

◆ onPrivacyCheckPrivacyPolicyPublished()

onPrivacyCheckPrivacyPolicyPublished ( & $policy )

Event to specify whether a privacy policy has been published.

Paramètres
array &$policy The privacy policy status data, passed by reference, with keys "published", "editLink" and "articlePublished".
Renvoie
void
Depuis
3.9.0

Références $article, $articleId, et $query.

◆ onUserAfterDelete()

onUserAfterDelete | ( | $user,
 |  | $success,
 |  | $msg
 | ) |

Remove all user privacy consent information for the given user ID

Method is called after user data is deleted from the database

Paramètres
array | $user | Holds the user data
boolean | $success | True if user was successfully stored in the database
string | $msg | Message
Renvoie
boolean
Depuis
3.9.0

Références $query, $user, et $userId.

◆ onUserAfterSave()

onUserAfterSave | ( | $data,
 |  | $isNew,
 |  | $result,
 |  | $error
 | ) |

Saves user privacy confirmation

Paramètres
array | $data | entered user data
boolean | $isNew | true if this is a new user
boolean | $result | true if saving the user worked
string | $error | error message
Renvoie
boolean
Depuis
3.9.0

Références $data, $form, $message, $option, $task, $userId, et JPATH_ADMINISTRATOR.

◆ onUserBeforeSave()

onUserBeforeSave | ( | $user,
 |  | $isNew,
 |  | $data
 | ) |

Method is called before user data is stored in the database

Paramètres
array | $user | Holds the old user data.
boolean | $isNew | True if a new user is stored.
array | $data | Holds the new user data.
Renvoie
boolean
Depuis
3.9.0
Exceptions
InvalidArgumentException on missing required data.

Références $form, $option, $task, $user, et $userId.

◆ remindExpiringConsents()

remindExpiringConsents ( )
private

Method to send the remind for privacy consents renew

Renvoie
integer
Depuis
3.9.0

Références $app, $db, $now, $query, $user, $users, et elseif.

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • privacyconsent.php


Joomla CMS: Référence de la classe PlgSystemRedirect

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Fonctions membres privées statiques | Attributs privés statiques
Référence de la classe PlgSystemRedirect
+ Graphe d'héritage de PlgSystemRedirect:

Fonctions membres publiques

__construct (&$subject, $config)

Fonctions membres publiques statiques

static | handleError (JException $error)
static | handleException ($exception)

Attributs protégés

$autoloadLanguage = false

Fonctions membres privées statiques

static doErrorHandling ($error)

Attributs privés statiques

static $previousExceptionHandler

Description détaillée

Plugin class for redirect handling.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor.

Paramètres
object | &$subject | The object to observe
array | $config | An optional associative array of configuration settings.
Depuis
1.6

Références $config, $subject, et JError\setErrorHandling().

Documentation des fonctions membres

◆ doErrorHandling()

static doErrorHandling ( $error )
staticprivate

Internal processor for all error handlers

Paramètres
Exception | Throwable $error The Exception or Throwable object to be handled.
Renvoie
void
Depuis
3.5

Références $app, $data, $db, $params, $query, $uri, $url, elseif, et null.

◆ handleError()

static handleError ( JException $error )
static

Method to handle an error condition from JError.

Paramètres
JException $error The JException object to be handled.
Renvoie
void
Depuis
1.6

◆ handleException()

static handleException ( $exception )
static

Method to handle an uncaught exception.

Paramètres
Exception | Throwable $exception The Exception or Throwable object to be handled.
Renvoie
void
Depuis
3.5
Exceptions
InvalidArgumentException

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = false
protected

◆ $previousExceptionHandler

$previousExceptionHandler
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/system/redirect/redirect.php


Joomla CMS: Référence de la classe PlgSystemRemember

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgSystemRemember
+ Graphe d'héritage de PlgSystemRemember:

Fonctions membres publiques

onAfterInitialise ()
onUserLogout ($user, $options)
onUserBeforeSave ($user, $isnew, $data)

Attributs protégés

$app

Description détaillée

Joomla! System Remember Me Plugin

Depuis
1.5

Documentation des fonctions membres

◆ onAfterInitialise()

onAfterInitialise ( )

Remember me method to run onAfterInitialise Only purpose is to initialise the login authentication process if a cookie is present

Renvoie
void
Depuis
1.5
Exceptions
InvalidArgumentException

◆ onUserBeforeSave()

onUserBeforeSave | ( | $user,
 |  | $isnew,
 |  | $data
 | ) |

Method is called before user data is stored in the database Invalidate all existing remember-me cookies after a password change

Paramètres
array | $user | Holds the old user data.
boolean | $isnew | True if a new user is stored.
array | $data | Holds the new user data.
Renvoie
boolean
Depuis
3.8.6

Références $data, $db, $query, et $user.

◆ onUserLogout()

onUserLogout | ( | $user,
 |  | $options
 | ) |

Imports the authentication plugin on user logout to make sure that the cookie is destroyed.

Paramètres
array | $user | Holds the user data.
array | $options | Array holding options (remember, autoregister, group).
Renvoie
boolean

Documentation des champs

◆ $app

$app
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • remember.php


Joomla CMS: Référence de la classe PlgSystemSef

Fonctions membres publiques | Fonctions membres protégées statiques | Attributs protégés | Fonctions membres privées
Référence de la classe PlgSystemSef
+ Graphe d'héritage de PlgSystemSef:

Fonctions membres publiques

onAfterDispatch ()
onAfterRender ()

Fonctions membres protégées statiques

static route (&$matches)

Attributs protégés

$app

Fonctions membres privées

checkBuffer ($buffer)

Description détaillée

Joomla! SEF Plugin.

Depuis
1.5

Documentation des fonctions membres

◆ checkBuffer()

checkBuffer ( $buffer )
private

Check the buffer.

Paramètres
string $buffer Buffer to be checked.
Renvoie
void

Références $buffer, $message, et null.

◆ onAfterDispatch()

onAfterDispatch ( )

Add the canonical uri to the head.

Renvoie
void
Depuis
3.5

Références $doc, $link, $linkUrl, et htmlspecialchars.

◆ onAfterRender()

onAfterRender ( )

Convert the site URL to fit to the HTTP request.

Renvoie
void

Références $attributes, $base, $buffer, et $prefix.

◆ route()

static route ( & $matches )
staticprotected

Replace the matched tags.

Paramètres
array &$matches An array of matches (see preg_match_all).
Renvoie
string
Obsolète:
4.0 No replacement.

Références $route, et $url.

Documentation des champs

◆ $app

$app
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • sef.php


Joomla CMS: Référence de la classe PlgSystemSessionGc

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgSystemSessionGc
+ Graphe d'héritage de PlgSystemSessionGc:
CMSPlugin JEvent

Fonctions membres publiques

onAfterRespond ()
- Fonctions membres publiques hérités de CMSPlugin
__construct (&$subject, $config=array())
loadLanguage ($extension='', $basePath=JPATH_ADMINISTRATOR)
- Fonctions membres publiques hérités de JEvent
__construct (&$subject)
update (&$args)

Attributs protégés

$app
$db
- Attributs protégés hérités de CMSPlugin
$_name = null
$_type = null
$autoloadLanguage = false
- Attributs protégés hérités de JEvent
$_subject = null

Membres hérités additionnels

- Champs de données hérités de CMSPlugin
$params = null

Description détaillée

Garbage collection handler for session related data

Depuis
3.8.6

Documentation des fonctions membres

◆ onAfterRespond()

onAfterRespond ( )

Runs after the HTTP response has been sent to the client and performs garbage collection tasks

Renvoie
void
Depuis
3.8.6

Documentation des champs

◆ $app

$app
protected

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • sessiongc.php


Joomla CMS: Référence de la classe PlgSystemStats

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe PlgSystemStats
+ Graphe d'héritage de PlgSystemStats:

Fonctions membres publiques

onAfterInitialise ()
onAjaxSendAlways ()
onAjaxSendNever ()
onAjaxSendOnce ()
onAjaxSendStats ()
onGetStatsData ($context)
debug ($layoutId, $data=array())
render ($layoutId, $data=array())

Champs de données

const | MODE_ALLOW_ALWAYS = 1
const | MODE_ALLOW_ONCE = 2
const | MODE_ALLOW_NEVER = 3

Fonctions membres protégées

getLayoutData ()
getLayoutPaths ()
getRenderer ($layoutId='default')

Attributs protégés

$app
$db
$serverUrl = 'https://developer.joomla.org/stats/submit'
$uniqueId

Fonctions membres privées

getStatsData ()
getUniqueId ()
isAllowedUser ()
isDebugEnabled ()
isUpdateRequired ()
isAjaxRequest ()
saveParams ()
sendStats ()
clearCacheGroups (array $clearGroups, array $cacheClients=array(0, 1))

Description détaillée

Statistics system plugin. This sends anonymous data back to the Joomla! Project about the PHP, SQL, Joomla and OS versions

Depuis
3.5

Documentation des fonctions membres

◆ clearCacheGroups()

clearCacheGroups | ( | array | $clearGroups,
 |  | array | $cacheClients = array(0, 1)
 | ) |  |
private

Clears cache groups. We use it to clear the plugins cache after we update the last run timestamp.

Paramètres
array | $clearGroups | The cache groups to clean
array | $cacheClients | The cache clients (site, admin) to clean
Renvoie
void
Depuis
3.5

Références $options, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ debug()

debug | ( | $layoutId,
 |  | $data = array()
 | ) |

Debug a layout of this plugin

Paramètres
string | $layoutId | Layout identifier
array | $data | Optional data for the layout
Renvoie
string
Depuis
3.5

Références $data.

◆ getLayoutData()

getLayoutData ( )
protected

Get the data for the layout

Renvoie
array
Depuis
3.5

◆ getLayoutPaths()

getLayoutPaths ( )
protected

Get the layout paths

Renvoie
array
Depuis
3.5

Références $template, et JPATH_ADMINISTRATOR.

◆ getRenderer()

getRenderer ( $layoutId = 'default' )
protected

Get the plugin renderer

Paramètres
string $layoutId Layout identifier
Renvoie
JLayout
Depuis
3.5

Références $renderer.

◆ getStatsData()

getStatsData ( )
private

Get the data that will be sent to the stats server.

Renvoie
array
Depuis
3.5

Références $data.

◆ getUniqueId()

getUniqueId ( )
private

Get the unique id. Generates one if none is set.

Renvoie
integer
Depuis
3.5

Références null.

◆ isAjaxRequest()

isAjaxRequest ( )
private

Check valid AJAX request

Renvoie
boolean
Depuis
3.5

◆ isAllowedUser()

isAllowedUser ( )
private

Check if current user is allowed to send the data

Renvoie
boolean
Depuis
3.5

◆ isDebugEnabled()

isDebugEnabled ( )
private

Check if the debug is enabled

Renvoie
boolean
Depuis
3.5

◆ isUpdateRequired()

isUpdateRequired ( )
private

Check if last_run + interval > now

Renvoie
boolean
Depuis
3.5

Références $mode.

◆ onAfterInitialise()

onAfterInitialise ( )

Listener for the onAfterInitialise event

Renvoie
void
Depuis
3.5

◆ onAjaxSendAlways()

onAjaxSendAlways ( )

User selected to always send data

Renvoie
void
Depuis
3.5
Exceptions
Exception | If user is not allowed.
RuntimeException | If there is an error saving the params or sending the data.

Références json_encode.

◆ onAjaxSendNever()

onAjaxSendNever ( )

User selected to never send data.

Renvoie
void
Depuis
3.5
Exceptions
Exception | If user is not allowed.
RuntimeException | If there is an error saving the params.

Références json_encode.

◆ onAjaxSendOnce()

onAjaxSendOnce ( )

User selected to send data once.

Renvoie
void
Depuis
3.5
Exceptions
Exception | If user is not allowed.
RuntimeException | If there is an error saving the params or sending the data.

Références json_encode.

◆ onAjaxSendStats()

onAjaxSendStats ( )

Send the stats to the server. On first load | on demand mode it will show a message asking users to select mode.

Renvoie
void
Depuis
3.5
Exceptions
Exception | If user is not allowed.
RuntimeException | If there is an error saving the params or sending the data.

Références $data, et json_encode.

◆ onGetStatsData()

onGetStatsData ( $context )

Get the data through events

Paramètres
string $context Context where this will be called from
Renvoie
array
Depuis
3.5

◆ render()

render | ( | $layoutId,
 |  | $data = array()
 | ) |

Render a layout of this plugin

Paramètres
string | $layoutId | Layout identifier
array | $data | Optional data for the layout
Renvoie
string
Depuis
3.5

Références $data.

◆ saveParams()

saveParams ( )
private

Save the plugin parameters

Renvoie
boolean
Depuis
3.5

Références $query.

◆ sendStats()

sendStats ( )
private

Send the stats to the stats server

Renvoie
boolean
Depuis
3.5
Exceptions
RuntimeException If there is an error sending the data.

Références $data, et null.

Documentation des champs

◆ $app

$app
protected

◆ $db

$db
protected

◆ $serverUrl

$serverUrl = 'https://developer.joomla.org/stats/submit'
protected

◆ $uniqueId

$uniqueId
protected

◆ MODE_ALLOW_ALWAYS

const MODE_ALLOW_ALWAYS = 1

◆ MODE_ALLOW_NEVER

const MODE_ALLOW_NEVER = 3

◆ MODE_ALLOW_ONCE

const MODE_ALLOW_ONCE = 2
La documentation de cette classe a été générée à partir du fichier suivant :
  • stats.php


Joomla CMS: Référence de la classe PlgSystemStatsFormFieldBase

Fonctions membres protégées
Référence de la classe PlgSystemStatsFormFieldBase
+ Graphe d'héritage de PlgSystemStatsFormFieldBase:
PlgSystemStatsFormFieldData PlgSystemStatsFormFieldUniqueid

Fonctions membres protégées

getLayoutPaths ()

Description détaillée

Base field for the Stats Plugin.

Depuis
3.5

Documentation des fonctions membres

◆ getLayoutPaths()

getLayoutPaths ( )
protected

Get the layouts paths

Renvoie
array
Depuis
3.5

Références $template, JPATH_ADMINISTRATOR, et JPATH_SITE.

La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/system/stats/field/base.php


Joomla CMS: Référence de la classe PlgSystemStatsFormFieldData

Fonctions membres protégées | Attributs protégés
Référence de la classe PlgSystemStatsFormFieldData
+ Graphe d'héritage de PlgSystemStatsFormFieldData:
PlgSystemStatsFormFieldBase

Fonctions membres protégées

getLayoutData ()
- Fonctions membres protégées hérités de PlgSystemStatsFormFieldBase
getLayoutPaths ()

Attributs protégés

$type = 'Data'
$layout = 'field.data'

Description détaillée

Unique ID Field class for the Stats Plugin.

Depuis
3.5

Documentation des fonctions membres

◆ getLayoutData()

getLayoutData ( )
protected

Method to get the data to be passed to the layout for rendering.

Renvoie
array
Depuis
3.5

Références $data, $dispatcher, et JEventDispatcher\getInstance().

Documentation des champs

◆ $layout

$layout = 'field.data'
protected

◆ $type

$type = 'Data'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/system/stats/field/data.php


Joomla CMS: Référence de la classe PlgSystemStatsFormFieldUniqueid

Attributs protégés
Référence de la classe PlgSystemStatsFormFieldUniqueid
+ Graphe d'héritage de PlgSystemStatsFormFieldUniqueid:
PlgSystemStatsFormFieldBase

Attributs protégés

$type = 'Uniqueid'
$layout = 'field.uniqueid'

Membres hérités additionnels

- Fonctions membres protégées hérités de PlgSystemStatsFormFieldBase
getLayoutPaths ()

Description détaillée

Unique ID Field class for the Stats Plugin.

Depuis
3.5

Documentation des champs

◆ $layout

$layout = 'field.uniqueid'
protected

◆ $type

$type = 'Uniqueid'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • field/uniqueid.php


Joomla CMS: Référence de la classe PlgSystemUpdatenotification

Attributs protégés | Fonctions membres privées
Référence de la classe PlgSystemUpdatenotification
+ Graphe d'héritage de PlgSystemUpdatenotification:

Attributs protégés

$autoloadLanguage = true

Fonctions membres privées

getSuperUsers ($email=null)
clearCacheGroups (array $clearGroups, array $cacheClients=array(0, 1))

Description détaillée

Joomla! Update Notification plugin

Sends out an email to all Super Users or a predefined email address when a new Joomla! version is available.

This plugin is a direct adaptation of the corresponding plugin in Akeeba Ltd's Admin Tools. The author has consented to relicensing their plugin's code under GPLv2 or later (the original version was licensed under GPLv3 or later) to allow its inclusion in the Joomla! CMS.

Depuis
3.5

Documentation des fonctions membres

◆ clearCacheGroups()

clearCacheGroups | ( | array | $clearGroups,
 |  | array | $cacheClients = array(0, 1)
 | ) |  |
private

Clears cache groups. We use it to clear the plugins cache after we update the last run timestamp.

Paramètres
array | $clearGroups | The cache groups to clean
array | $cacheClients | The cache clients (site, admin) to clean
Renvoie
void
Depuis
3.5

Références $options, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getSuperUsers()

getSuperUsers ( $email = null )
private

Returns the Super Users email information. If you provide a comma separated $email list we will check that these emails do belong to Super Users and that they have not blocked system emails.

Paramètres
null | string $email A list of Super Users to email
Renvoie
array The list of Super User emails
Depuis
3.5

Références $db, $enabled, $g, $groups, $id, et $query.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • updatenotification.php


Joomla CMS: Référence de la classe PlgTwofactorauthTotp

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgTwofactorauthTotp
+ Graphe d'héritage de PlgTwofactorauthTotp:

Fonctions membres publiques

onUserTwofactorIdentify ()
onUserTwofactorShowConfiguration ($otpConfig, $userId=null)
onUserTwofactorApplyConfiguration ($method)
onUserTwofactorAuthenticate ($credentials, $options)

Attributs protégés

$autoloadLanguage = true
$methodName = 'totp'

Description détaillée

Joomla! Two Factor Authentication using Google Authenticator TOTP Plugin

Depuis
3.2

Documentation des fonctions membres

◆ onUserTwofactorApplyConfiguration()

onUserTwofactorApplyConfiguration ( $method )

The save handler of the two factor configuration method's configuration page.

Paramètres
string $method The two factor auth method for which we'll show the config page
Renvoie
boolean|stdClass False if the method doesn't match or we have an error, OTP config object if it succeeds
Voir également
UsersModelUser::setOtpConfig
Depuis
3.2

Références $app, $check, $data, et $input.

◆ onUserTwofactorAuthenticate()

onUserTwofactorAuthenticate | ( | $credentials,
 |  | $options
 | ) |

This method should handle any two factor authentication and report back to the subject.

Paramètres
array | $credentials | Array holding the user credentials
array | $options | Array of extra options
Renvoie
boolean True if the user is authorised with this two-factor authentication method
Depuis
3.2

Références $check, et $options.

◆ onUserTwofactorIdentify()

onUserTwofactorIdentify ( )

This method returns the identification object for this two factor authentication plugin.

Renvoie
stdClass An object with public properties method and title
Depuis
3.2

Références $app, $section, et elseif.

◆ onUserTwofactorShowConfiguration()

onUserTwofactorShowConfiguration | ( | $otpConfig,
 |  | $userId = null
 | ) |

Shows the configuration page for this two factor authentication method.

Paramètres
object | $otpConfig | The two factor auth configuration object
integer | $userId | The numeric user ID of the user whose form we'll display
Renvoie
boolean|string False if the method is not ours, the HTML of the configuration page otherwise
Voir également
UsersModelUser::getOtpConfig
Depuis
3.2

Références $html, $path, $url, $userId, FOFPlatform\getInstance(), et JLoader\import().

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $methodName

$methodName = 'totp'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/twofactorauth/totp/totp.php


Joomla CMS: Référence de la classe PlgTwofactorauthYubikey

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgTwofactorauthYubikey
+ Graphe d'héritage de PlgTwofactorauthYubikey:

Fonctions membres publiques

onUserTwofactorIdentify ()
onUserTwofactorShowConfiguration ($otpConfig, $userId=null)
onUserTwofactorApplyConfiguration ($method)
onUserTwofactorAuthenticate ($credentials, $options)
validateYubikeyOtp ($otp)

Attributs protégés

$autoloadLanguage = true
$methodName = 'yubikey'

Description détaillée

Joomla! Two Factor Authentication using Yubikey Plugin

Depuis
3.2

Documentation des fonctions membres

◆ onUserTwofactorApplyConfiguration()

onUserTwofactorApplyConfiguration ( $method )

The save handler of the two factor configuration method's configuration page.

Paramètres
string $method The two factor auth method for which we'll show the config page
Renvoie
boolean|stdClass False if the method doesn't match or we have an error, OTP config object if it succeeds
Voir également
UsersModelUser::setOtpConfig
Depuis
3.2

Références $check, $data, et $input.

◆ onUserTwofactorAuthenticate()

onUserTwofactorAuthenticate | ( | $credentials,
 |  | $options
 | ) |

This method should handle any two factor authentication and report back to the subject.

Paramètres
array | $credentials | Array holding the user credentials
array | $options | Array of extra options
Renvoie
boolean True if the user is authorised with this two-factor authentication method
Depuis
3.2

Références $check, et $options.

◆ onUserTwofactorIdentify()

onUserTwofactorIdentify ( )

This method returns the identification object for this two factor authentication plugin.

Renvoie
stdClass An object with public properties method and title
Depuis
3.2

Références $app, $section, et elseif.

◆ onUserTwofactorShowConfiguration()

onUserTwofactorShowConfiguration | ( | $otpConfig,
 |  | $userId = null
 | ) |

Shows the configuration page for this two factor authentication method.

Paramètres
object | $otpConfig | The two factor auth configuration object
integer | $userId | The numeric user ID of the user whose form we'll display
Renvoie
boolean|string False if the method is not ours, the HTML of the configuration page otherwise
Voir également
UsersModelUser::getOtpConfig
Depuis
3.2

Références $html, $path, FOFPlatform\getInstance(), et JLoader\import().

◆ validateYubikeyOtp()

validateYubikeyOtp ( $otp )

Validates a Yubikey OTP against the Yubikey servers

Paramètres
string $otp The OTP generated by your Yubikey
Renvoie
boolean True if it's a valid OTP
Depuis
3.2

Références $check, $data, $parts, $uri, et null.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $methodName

$methodName = 'yubikey'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • yubikey.php


Joomla CMS: Référence de la classe PlgUserContactCreator

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgUserContactCreator
+ Graphe d'héritage de PlgUserContactCreator:

Fonctions membres publiques

onUserAfterSave ($user, $isnew, $success, $msg)

Fonctions membres protégées

generateAliasAndName ($alias, $name, $categoryId)
getContactTable ()

Attributs protégés

$autoloadLanguage = true

Description détaillée

Class for Contact Creator

A tool to automatically create and synchronise contacts with a user

Depuis
1.6

Documentation des fonctions membres

◆ generateAliasAndName()

generateAliasAndName | ( | $alias,
 |  | $name,
 |  | $categoryId
 | ) |
protected

Method to change the name & alias if alias is already in use

Paramètres
string | $alias | The alias.
string | $name | The name.
integer | $categoryId | Category identifier
Renvoie
array Contains the modified title and alias.
Depuis
3.2.3

Références $name.

◆ getContactTable()

getContactTable ( )
protected

Get an instance of the contact table

Renvoie
ContactTableContact
Depuis
3.2.3

Références JPATH_ADMINISTRATOR.

◆ onUserAfterSave()

onUserAfterSave | ( | $user,
 |  | $isnew,
 |  | $success,
 |  | $msg
 | ) |

Utility method to act on a user after it has been saved.

This method creates a contact for the saved user

Paramètres
array | $user | Holds the new user data.
boolean | $isnew | True if a new user is stored.
boolean | $success | True if user was successfully stored in the database.
string | $msg | Message.
Renvoie
boolean
Depuis
1.6

Try to pre-load a contact for this user. Apparently only possible if other plugin creates it Note: $user_id is cleaned above

Références $name, $user, et JError\raiseWarning().

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • contactcreator.php


Joomla CMS: Référence de la classe PlgUserJoomla

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PlgUserJoomla
+ Graphe d'héritage de PlgUserJoomla:

Fonctions membres publiques

onContentPrepareForm ($form, $data)
onUserAfterDelete ($user, $success, $msg)
onUserAfterSave ($user, $isnew, $success, $msg)
onUserLogin ($user, $options=array())
onUserLogout ($user, $options=array())

Fonctions membres protégées

_getUser ($user, $options=array())

Attributs protégés

$app
$db

Description détaillée

Joomla User plugin

Depuis
1.5

Documentation des fonctions membres

◆ _getUser()

_getUser | ( | $user,
 |  | $options = array()
 | ) |
protected

This method will return a user object

If options['autoregister'] is true, if the user doesn't exist yet they will be created

Paramètres
array | $user | Holds the user data.
array | $options | Array holding options (remember, autoregister, group).
Renvoie
User
Depuis
1.5

Références $id, $options, $params, $user, et User\getInstance().

◆ onContentPrepareForm()

onContentPrepareForm | ( | $form,
 |  | $data
 | ) |

Set as required the passwords fields when mail to user is set to No

Paramètres
JForm | $form | The form to be altered.
mixed | $data | The associated data for the form.
Renvoie
boolean
Depuis
3.9.2

Références $data, $form, et $name.

◆ onUserAfterDelete()

onUserAfterDelete | ( | $user,
 |  | $success,
 |  | $msg
 | ) |

Remove all sessions for the user name

Method is called after user data is deleted from the database

Paramètres
array | $user | Holds the user data
boolean | $success | True if user was successfully stored in the database
string | $msg | Message
Renvoie
boolean
Depuis
1.6

Références $query, et $user.

◆ onUserAfterSave()

onUserAfterSave | ( | $user,
 |  | $isnew,
 |  | $success,
 |  | $msg
 | ) |

Utility method to act on a user after it has been saved.

This method sends a registration email to new users created in the backend.

Paramètres
array | $user | Holds the new user data.
boolean | $isnew | True if a new user is stored.
boolean | $success | True if user was successfully stored in the database.
string | $msg | Message.
Renvoie
void
Depuis
1.6

Look for user language. Priority:

  1. User frontend language
  2. User backend language

Références $lang, $user, Factory\getLanguage(), Factory\getMailer(), JPATH_ADMINISTRATOR, et Uri\root().

◆ onUserLogin()

onUserLogin | ( | $user,
 |  | $options = array()
 | ) |

This method should handle any login logic and report back to the subject

Paramètres
array | $user | Holds the user data
array | $options | Array holding options (remember, autoregister, group)
Renvoie
boolean True on success
Depuis
1.5

Références $options, $query, $user, Factory\getSession(), et true.

◆ onUserLogout()

onUserLogout | ( | $user,
 |  | $options = array()
 | ) |

This method should handle any logout logic and report back to the subject

Paramètres
array | $user | Holds the user data.
array | $options | Array holding options (client, ...).
Renvoie
boolean True on success
Depuis
1.5

Références $clientId, $options, $user, Factory\getSession(), Factory\getUser(), et null.

Documentation des champs

◆ $app

$app
protected

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/user/joomla/joomla.php


Joomla CMS: Référence de la classe PlgUserProfile

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés | Attributs privés
Référence de la classe PlgUserProfile
+ Graphe d'héritage de PlgUserProfile:

Fonctions membres publiques

__construct (& $subject, $config)
onContentPrepareData ($context, $data)
onContentPrepareForm (Form $form, $data)
onUserBeforeSave ($user, $isnew, $data)
onUserAfterSave ($data, $isNew, $result, $error)
onUserAfterDelete ($user, $success, $msg)

Fonctions membres publiques statiques

static | url ($value)
static | calendar ($value)
static | dob ($value)
static | tos ($value)

Attributs protégés

$autoloadLanguage = true

Attributs privés

$date = ''

Description détaillée

An example custom profile plugin.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor

Paramètres
object | &$subject | The object to observe
array | $config | An array that holds the plugin configuration
Depuis
1.5

Références $config, et $subject.

Documentation des fonctions membres

◆ calendar()

static calendar ( $value )
static

Returns html markup showing a date picker

Paramètres
string $value valid date string
Renvoie
mixed

Références $value, et null.

◆ dob()

static dob ( $value )
static

Returns the date of birth formatted and calculated using server timezone.

Paramètres
string $value valid date string
Renvoie
mixed

Références $value.

◆ onContentPrepareData()

onContentPrepareData | ( | $context,
 |  | $data
 | ) |

Runs on content preparation

Paramètres
string | $context | The context for the data
object | $data | An object containing the data for the form.
Renvoie
boolean
Depuis
1.6

Références $context, $data, $db, $results, $userId, et null.

◆ onContentPrepareForm()

onContentPrepareForm | ( | Form | $form,
 |  |  | $data
 | ) |  |

Adds additional fields to the user editing form

Paramètres
Form | $form | The form to be altered.
mixed | $data | The associated data for the form.
Renvoie
boolean
Depuis
1.6

Références $app, $field, $fields, $form, $name, et elseif.

◆ onUserAfterDelete()

onUserAfterDelete | ( | $user,
 |  | $success,
 |  | $msg
 | ) |

Remove all user profile information for the given user ID

Method is called after user data is deleted from the database

Paramètres
array | $user | Holds the user data
boolean | $success | True if user was successfully stored in the database
string | $msg | Message
Renvoie
boolean

Références $db, $user, et $userId.

◆ onUserAfterSave()

onUserAfterSave | ( | $data,
 |  | $isNew,
 |  | $result,
 |  | $error
 | ) |

Saves user profile data

Paramètres
array | $data | entered user data
boolean | $isNew | true if this is a new user
boolean | $result | true if saving the user worked
string | $error | error message
Renvoie
boolean

Références $data, $date, $db, $key, $query, $userId, et json_encode.

◆ onUserBeforeSave()

onUserBeforeSave | ( | $user,
 |  | $isnew,
 |  | $data
 | ) |

Method is called before user data is stored in the database

Paramètres
array | $user | Holds the old user data.
boolean | $isnew | True if a new user is stored.
array | $data | Holds the new user data.
Renvoie
boolean
Depuis
3.1
Exceptions
InvalidArgumentException on invalid date.

Références $data, $date, $option, et $task.

◆ tos()

static tos ( $value )
static

Return the translated strings yes or no depending on the value

Paramètres
boolean $value input value
Renvoie
string

Références $value.

◆ url()

static url ( $value )
static

Returns an anchor tag generated from a given value

Paramètres
string $value URL to use
Renvoie
mixed|string

Références $value, et htmlspecialchars.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $date

$date = ''
private
La documentation de cette classe a été générée à partir du fichier suivant :
  • plugins/user/profile/profile.php


Joomla CMS: Référence de la classe PlgUserTerms

Fonctions membres publiques | Attributs protégés
Référence de la classe PlgUserTerms
+ Graphe d'héritage de PlgUserTerms:
CMSPlugin JEvent

Fonctions membres publiques

__construct (&$subject, $config)
onContentPrepareForm ($form, $data)
onUserBeforeSave ($user, $isNew, $data)
onUserAfterSave ($data, $isNew, $result, $error)
- Fonctions membres publiques hérités de CMSPlugin
__construct (&$subject, $config=array())
loadLanguage ($extension='', $basePath=JPATH_ADMINISTRATOR)
- Fonctions membres publiques hérités de JEvent
__construct (&$subject)
update (&$args)

Attributs protégés

$autoloadLanguage = true
$app
$db
- Attributs protégés hérités de CMSPlugin
$_name = null
$_type = null
$autoloadLanguage = false
- Attributs protégés hérités de JEvent
$_subject = null

Membres hérités additionnels

- Champs de données hérités de CMSPlugin
$params = null

Description détaillée

An example custom terms and conditions plugin.

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | & | $subject,
 |  |  | $config
 | ) |  |

Constructor

Paramètres
object | &$subject | The object to observe
array | $config | An array that holds the plugin configuration
Depuis
3.9.0

Références $config, $subject, et FormHelper\addFieldPath().

Documentation des fonctions membres

◆ onContentPrepareForm()

onContentPrepareForm | ( | $form,
 |  | $data
 | ) |

Adds additional fields to the user registration form

Paramètres
JForm | $form | The form to be altered.
mixed | $data | The associated data for the form.
Renvoie
boolean
Depuis
3.9.0

Références $form, $name, et Form\addFormPath().

◆ onUserAfterSave()

onUserAfterSave | ( | $data,
 |  | $isNew,
 |  | $result,
 |  | $error
 | ) |

Saves user profile data

Paramètres
array | $data | entered user data
boolean | $isNew | true if this is a new user
boolean | $result | true if saving the user worked
string | $error | error message
Renvoie
boolean
Depuis
3.9.0

Références $data, $message, $userId, ArrayHelper\getValue(), JPATH_ADMINISTRATOR, et JLoader\register().

◆ onUserBeforeSave()

onUserBeforeSave | ( | $user,
 |  | $isNew,
 |  | $data
 | ) |

Method is called before user data is stored in the database

Paramètres
array | $user | Holds the old user data.
boolean | $isNew | True if a new user is stored.
array | $data | Holds the new user data.
Renvoie
boolean
Depuis
3.9.0
Exceptions
InvalidArgumentException on missing required data.

Références $form, $option, $task, $user, $userId, et ArrayHelper\getValue().

Documentation des champs

◆ $app

$app
protected

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • terms.php


Joomla CMS: Référence de la classe PluginsController

Fonctions membres publiques
Référence de la classe PluginsController
+ Graphe d'héritage de PluginsController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)

Description détaillée

Plugins master display controller.

Depuis
1.5

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $id, $layout, $view, PluginsHelper\addSubmenu(), JPATH_ADMINISTRATOR, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_plugins/controller.php


Joomla CMS: Référence de la classe PluginsControllerPlugin

Référence de la classe PluginsControllerPlugin
+ Graphe d'héritage de PluginsControllerPlugin:

Description détaillée

Plugin controller class.

Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_plugins/controllers/plugin.php


Joomla CMS: Référence de la classe PluginsControllerPlugins

Fonctions membres publiques
Référence de la classe PluginsControllerPlugins
+ Graphe d'héritage de PluginsControllerPlugins:

Fonctions membres publiques

getModel ($name='Plugin', $prefix='PluginsModel', $config=array('ignore_request'=> true))

Description détaillée

Plugins list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Plugin',
 |  | $prefix = 'PluginsModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $config, $name, et $prefix.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_plugins/controllers/plugins.php


Joomla CMS: Référence de la classe PluginsHelper

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe PluginsHelper

Fonctions membres publiques

parseXMLTemplateFile ($templateBaseDir, $templateDir)

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getActions ()
static | publishedOptions ()
static | folderOptions ()
static | elementOptions ()

Attributs publics statiques

static $extension = 'com_plugins'

Description détaillée

Plugins component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void

Référencé par PluginsController\display().

◆ elementOptions()

static elementOptions ( )
static

Returns a list of elements filter options.

Renvoie
string The HTML code for the select tag

Références $db, $options, $query, et JError\raiseWarning().

Référencé par JFormFieldPluginElement\getOptions().

◆ folderOptions()

static folderOptions ( )
static

Returns a list of folders filter options.

Renvoie
string The HTML code for the select tag

Références $db, $options, $query, et JError\raiseWarning().

Référencé par JFormFieldPluginType\getOptions().

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject
Obsolète:
3.2 Use JHelperContent::getActions() instead

◆ parseXMLTemplateFile()

parseXMLTemplateFile | ( | $templateBaseDir,
 |  | $templateDir
 | ) |

Parse the template file.

Paramètres
string | $templateBaseDir | Base path to the template directory.
string | $templateDir | Template directory.
Renvoie
JObject

Références $data, $key, et $value.

◆ publishedOptions()

static publishedOptions ( )
static

Returns an array of standard published state filter options.

Renvoie
array The HTML code for the select tag

Références $options.

Documentation des champs

◆ $extension

$extension = 'com_plugins'
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_plugins/helpers/plugins.php


Joomla CMS: Référence de la classe PluginsModelPlugin

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PluginsModelPlugin
+ Graphe d'héritage de PluginsModelPlugin:

Fonctions membres publiques

__construct ($config=array())
getForm ($data=array(), $loadData=true)
getItem ($pk=null)
getTable ($type='Extension', $prefix='JTable', $config=array())
save ($data)
getHelp ()

Fonctions membres protégées

loadFormData ()
populateState ()
preprocessForm (JForm $form, $data, $group='content')
getReorderConditions ($table)
cleanCache ($group=null, $clientId=0)

Attributs protégés

$helpKey = 'JHELP_EXTENSIONS_PLUGIN_MANAGER_EDIT'
$helpURL
$_cache

Description détaillée

Plugin model.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.

Références $config.

Documentation des fonctions membres

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Custom clean cache method, plugins are cached in 2 places for different clients.

Paramètres
string | $group | Cache group name.
integer | $clientId | Application client id.
Renvoie
void
Depuis
1.6

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure.
Depuis
1.6

Références $data, $folder, $form, $item, et JPATH_PLUGINS.

◆ getHelp()

getHelp ( )

Get the necessary data to load an item help screen.

Renvoie
object An object with key, url, and local properties for loading the item help screen.
Depuis
1.6

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.

Références $path, $return, JPATH_PLUGINS, et null.

◆ getReorderConditions()

getReorderConditions ( $table )
protected

A protected method to get a set of ordering conditions.

Paramètres
object $table A record object.
Renvoie
array An array of conditions to add to add to ordering queries.
Depuis
1.6

Références $condition.

◆ getTable()

getTable | ( | $type = 'Extension',
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |

Returns a reference to the Table object, always creating it.

Paramètres
string | $type | The table type to instantiate.
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object

Références $config, $prefix, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ populateState()

populateState ( )
protected

Auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Preprocess the form.

Paramètres
JForm | $form | A form object.
mixed | $data | The data expected for the form.
string | $group | Cache group name.
Renvoie
mixed True if successful.
Exceptions
Exception if there is an error in the form event.
Depuis
1.6

Références $app, $data, $db, $folder, $form, $lang, $query, jimport(), JPATH_ADMINISTRATOR, JPATH_PLUGINS, et null.

◆ save()

save ( $data )

Override method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $data.

Documentation des champs

◆ $_cache

$_cache
protected

◆ $helpKey

$helpKey = 'JHELP_EXTENSIONS_PLUGIN_MANAGER_EDIT'
protected

◆ $helpURL

$helpURL
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_plugins/models/plugin.php


Joomla CMS: Référence de la classe PluginsModelPlugins

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PluginsModelPlugins
+ Graphe d'héritage de PluginsModelPlugins:

Fonctions membres publiques

__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='folder', $direction='asc')
getStoreId ($id='')
_getList ($query, $limitstart=0, $limit=0)
translate (&$items)
getListQuery ()
loadFormData ()

Description détaillée

Methods supporting a list of plugin records.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ _getList()

_getList | ( | $query,
 |  | $limitstart = 0,
 |  | $limit = 0
 | ) |
protected

Returns an object list.

Paramètres
JDatabaseQuery | $query | A database query object.
integer | $limitstart | Offset.
integer | $limit | The number of records.
Renvoie
array

Références $direction, $i, $item, $limit, $ordering, $query, $total, et null.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery

Références $db, $folder, $published, $query, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
3.5

Références $data.

◆ populateState()

populateState | ( | $ordering = 'folder',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, $folder, $ordering, $params, et $state.

◆ translate()

translate ( & $items )
protected

Translate a list of objects.

Paramètres
array &$items The array of objects.
Renvoie
array The array of translated objects.

Références $extension, $item, $items, $lang, JPATH_ADMINISTRATOR, JPATH_PLUGINS, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_plugins/models/plugins.php


Joomla CMS: Référence de la classe PluginsViewPlugin

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PluginsViewPlugin
+ Graphe d'héritage de PluginsViewPlugin:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$item
$form
$state

Description détaillée

View to edit a plugin.

Depuis
1.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $lang, $url, item, null, et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_plugins/views/plugin/view.html.php


Joomla CMS: Référence de la classe PluginsViewPlugins

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PluginsViewPlugins
+ Graphe d'héritage de PluginsViewPlugins:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of plugins.

Depuis
1.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références items.

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by.

Renvoie
array Array containing the field name to sort by as the key and display text as value.
Depuis
3.0

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_plugins/views/plugins/view.html.php


Joomla CMS: Référence de la classe POP3

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe POP3

Fonctions membres publiques

authorise ($host, $port=false, $timeout=false, $username='', $password='', $debug_level=0)
connect ($host, $port=false, $tval=30)
login ($username='', $password='')
disconnect ()
getErrors ()

Fonctions membres publiques statiques

static popBeforeSmtp ( $host, $port=false, $timeout=false, $username='', $password='', $debug_level=0)

Champs de données

$Version = '5.2.28'
$POP3_PORT = 110
$POP3_TIMEOUT = 30
$CRLF = "\r\n"
$do_debug = 0
$host
$port
$tval
$username
$password
const CRLF = "\r\n"

Fonctions membres protégées

getResponse ($size=128)
sendString ($string)
checkResponse ($string)
setError ($error)
catchWarning ($errno, $errstr, $errfile, $errline)

Attributs protégés

$pop_conn
$connected = false
$errors = array()

Documentation des fonctions membres

◆ authorise()

authorise | ( | $host,
 |  | $port = false,
 |  | $timeout = false,
 |  | $username = '',
 |  | $password = '',
 |  | $debug_level = 0
 | ) |

Authenticate with a POP3 server. A connect, login, disconnect sequence appropriate for POP-before SMTP authorisation. public

Paramètres
string | $host | The hostname to connect to
integer | boolean | $port | The port number to connect to
integer | boolean | $timeout | The timeout value
string | $username
string | $password
integer | $debug_level
Renvoie
boolean

Références $host, $password, $POP3_PORT, $POP3_TIMEOUT, $port, $username, connect(), disconnect(), et login().

Référencé par popBeforeSmtp().

◆ catchWarning()

catchWarning | ( | $errno,
 |  | $errstr,
 |  | $errfile,
 |  | $errline
 | ) |
protected

POP3 connection error handler.

Paramètres
integer | $errno
string | $errstr
string | $errfile
integer | $errline | protected

Références setError().

◆ checkResponse()

checkResponse ( $string )
protected

Checks the POP3 server response. Looks for for +OK or -ERR.

Paramètres
string $string
Renvoie
boolean protected

Références setError().

Référencé par connect(), et login().

◆ connect()

connect | ( | $host,
 |  | $port = false,
 |  | $tval = 30
 | ) |

Connect to a POP3 server. public

Paramètres
string | $host
integer | boolean | $port
integer | $tval
Renvoie
boolean

Références $host, $POP3_PORT, $port, $tval, checkResponse(), getResponse(), et setError().

Référencé par authorise().

◆ disconnect()

disconnect ( )

Disconnect from the POP3 server. public

Références sendString().

Référencé par authorise().

◆ getErrors()

getErrors ( )

Get an array of error messages, if any.

Renvoie
array

Références $errors.

◆ getResponse()

getResponse ( $size = 128 )
protected

Get a response from the POP3 server. $size is the maximum number of bytes to retrieve

Paramètres
integer $size
Renvoie
string protected

Référencé par connect(), et login().

◆ login()

login | ( | $username = '',
 |  | $password = ''
 | ) |

Log in to the POP3 server. Does not support APOP (RFC 2828, 4949). public

Paramètres
string | $username
string | $password
Renvoie
boolean

Références $password, $username, checkResponse(), getResponse(), sendString(), et setError().

Référencé par authorise().

◆ popBeforeSmtp()

static popBeforeSmtp | ( | $host,
 |  | $port = false,
 |  | $timeout = false,
 |  | $username = '',
 |  | $password = '',
 |  | $debug_level = 0
 | ) |
static

Simple static wrapper for all-in-one POP before SMTP

Paramètres
$host
integer | boolean | $port | The port number to connect to
integer | boolean | $timeout | The timeout value
string | $username
string | $password
integer | $debug_level
Renvoie
boolean

Références $host, $password, $port, $username, et authorise().

◆ sendString()

sendString ( $string )
protected

Send raw data to the POP3 server.

Paramètres
string $string
Renvoie
integer protected

Référencé par disconnect(), et login().

◆ setError()

setError ( $error )
protected

Add an error to the internal error store. Also display debug output if it's enabled.

Paramètres
$error protected

Référencé par catchWarning(), checkResponse(), connect(), et login().

Documentation des champs

◆ $connected

$connected = false
protected

◆ $CRLF

$CRLF = "\r\n"

◆ $do_debug

$do_debug = 0

◆ $errors

$errors = array()
protected

Référencé par getErrors().

◆ $host

$host

Référencé par authorise(), connect(), et popBeforeSmtp().

◆ $password

$password

Référencé par authorise(), login(), et popBeforeSmtp().

◆ $POP3_PORT

$POP3_PORT = 110

Référencé par authorise(), et connect().

◆ $POP3_TIMEOUT

$POP3_TIMEOUT = 30

Référencé par authorise().

◆ $pop_conn

$pop_conn
protected

◆ $port

$port

Référencé par authorise(), connect(), et popBeforeSmtp().

◆ $tval

$tval

Référencé par connect().

◆ $username

$username

Référencé par authorise(), login(), et popBeforeSmtp().

◆ $Version

$Version = '5.2.28'

◆ CRLF

const CRLF = "\r\n"

Line break constant

La documentation de cette classe a été générée à partir du fichier suivant :
  • class.pop3.php


Joomla CMS: Référence de la classe PostinstallControllerMessage

Fonctions membres publiques
Référence de la classe PostinstallControllerMessage
+ Graphe d'héritage de PostinstallControllerMessage:
FOFController FOFUtilsObject

Fonctions membres publiques

action ()
- Fonctions membres publiques hérités de FOFController
__construct ($config=array())
addViewPath ($path)
authorise ($task)
execute ($task)
display ($cachable=false, $urlparams=false, $tpl=null)
browse ()
read ()
add ()
edit ()
apply ()
copy ()
save ()
savenew ()
cancel ()
loadhistory ()
accesspublic ()
accessregistered ()
accessspecial ()
publish ()
unpublish ()
archive ()
trash ()
saveorder ()
orderdown ()
orderup ()
remove ()
redirect ()
hasRedirect ()
registerDefaultTask ($method)
registerTask ($task, $method)
unregisterTask ($task)
setMessage ($text, $type='message')
setRedirect ($url, $msg=null, $type=null)
getThisModel ($config=array())
getModel ($name='', $prefix='', $config=array())
getThisView ($config=array())
getName ()
getTask ()
getTasks ()
getView ($name='', $type='', $prefix='', $config=array())
setThisViewName ($viewName)
setThisModelName ($modelName)
getItemidURLSuffix ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFController
static & | getAnInstance ($option=null, $view=null, $config=array())
static & | getTmpInstance ($option=null, $view=null, $config=array())
static | addModelPath ($path, $prefix='')
- Fonctions membres protégées hérités de FOFController
addPath ($type, $path)
setPath ($type, $path)
setstate ($state=0)
setaccess ($level=0)
createModel ($name, $prefix='', $config=array())
& _createModel ($name, $prefix='', $config=array())
createView ($name, $prefix='', $type='', $config=array())
& _createView ($name, $prefix='', $type='', $config=array())
checkACL ($area)
onBeforeGenericTask ($task)
onBeforeApplySave (&$data)
onAfterApplySave ()
onBeforeAccesspublic ()
onBeforeAccessregistered ()
onBeforeAccessspecial ()
onBeforeAdd ()
onBeforeApply ()
onBeforeBrowse ()
onBeforeCancel ()
onBeforeEdit ()
onBeforeOrderdown ()
onBeforeOrderup ()
onBeforePublish ()
onBeforeRemove ()
onBeforeSave ()
onBeforeSavenew ()
onBeforeSaveorder ()
onBeforeUnpublish ()
_csrfProtection ()
- Fonctions membres protégées statiques hérités de FOFController
static | createFileName ($type, $parts=array())
- Attributs protégés hérités de FOFController
$autoRouting = 0
$bareComponent = 'foobar'
$basePath
$cacheableTasks = array('browse', 'read')
$component = 'com_foobar'
$config = array()
$configProvider = null
$csrfProtection = 2
$default_view
$doTask
$input = array()
$message
$messageType
$layout = null
$methods
$model_prefix
$modelName = null
$paths
$redirect
$task
$taskMap
$name
$view = ''
$viewName = null
$viewsCache = array()
$hasForm = false
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Description détaillée

Postinstall message controller.

Depuis
3.2

Documentation des fonctions membres

◆ action()

action ( )

Executes the action associated with an item.

Renvoie
void
Depuis
3.2

Références $file, $item, jimport(), et FOFTemplateUtils\parsePath().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_postinstall/controllers/message.php


Joomla CMS: Référence de la classe PostinstallModelMessages

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PostinstallModelMessages
+ Graphe d'héritage de PostinstallModelMessages:
FOFModel FOFUtilsObject

Fonctions membres publiques

buildQuery ($overrideLimits=false)
getExtensionName ($eid)
resetMessages ($eid)
hideMessages ($eid)
getComponentOptions ()
addPostInstallationMessage (array $options)
- Fonctions membres publiques hérités de FOFModel
addBehavior ($name, $config=array())
__construct ($config=array())
setIDsFromRequest ()
setId ($id=0)
getId ()
setIds ($idlist)
getIds ()
reset ()
clearState ()
clearInput ()
setInput ($input)
resetSavedState ()
loadhistory ($version_id, FOFTable &$table, $alias)
& getItem ($id=null)
& getList ($overrideLimits=false, $group='')
& getItemList ($overrideLimits=false, $group='')
& getIterator ($overrideLimits=false, $tableClass=null)
& getFirstItem ($overrideLimits=false)
save ($data)
copy ()
getSavedTable ()
delete ()
publish ($publish=1, $user=null)
checkout ()
checkin ()
isCheckedOut ()
hit ()
move ($dirn)
reorder ()
getPagination ()
getTotal ()
getState ($key=null, $default=null, $filter_type='raw')
getHash ()
getTable ($name='', $prefix=null, $options=array())
getReorderWhere ()
buildQuery ($overrideLimits=false)
getTableFields ()
getTableAlias ()
buildCountQuery ()
& getClone ()
__get ($name)
__set ($name, $value)
__call ($name, $arguments)
& savestate ($newState)
populateSavestate ($defaultSaveState=-999)
applyAccessFiltering ($userID=null)
getForm ($data=array(), $loadData=true, $source=null)
findFormFilename ($source, $paths=array())
validateForm ($form, $data, $group=null)
onBeforeLoadForm (&$name, &$source, &$options)
onAfterLoadForm (FOFForm &$form, &$name, &$source, &$options)
onBeforePreprocessForm (FOFForm &$form, &$data)
onAfterPreprocessForm (FOFForm &$form, &$data)
getDbo ()
getName ()
setDbo ($db)
setState ($property, $value=null)
setBehaviorParam ($name, $value)
getBehaviorParam ($name, $default=null)
blacklistFilters ($list=null, $reset=false)
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)

Fonctions membres protégées

onProcessList (&$resultArray)
- Fonctions membres protégées hérités de FOFModel
_getListCount ($query)
_real_getState ($property=null, $default=null)
getUserStateFromRequest ($key, $request, $default=null, $type='none', $setUserState=true)
& _getList ($query, $limitstart=0, $limit=0, $group='')
& _createTable ($name, $prefix='Table', $config=array())
populateState ()
loadForm ($name, $source, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessForm (FOFForm &$form, &$data, $group='content')
onProcessList (&$resultArray)
onAfterGetItem (&$record)
onBeforeSave (&$data, &$table)
onAfterSave (&$table)
onBeforeDelete (&$id, &$table)
onAfterDelete ($id)
onBeforeCopy (&$table)
onAfterCopy (&$table)
onBeforePublish (&$table)
onAfterPublish (&$table)
onBeforeHit (&$table)
onAfterHit (&$table)
onBeforeMove (&$table)
onAfterMove (&$table)
onBeforeReorder (&$table)
onAfterReorder (&$table)
cleanCache ($group=null, $client_id=0)

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFModel
static & | getAnInstance ($type, $prefix='', $config=array())
static & | getTmpInstance ($type, $prefix='', $config=array())
static | addIncludePath ($path='', $prefix='')
static | addTablePath ($path)
- Fonctions membres protégées statiques hérités de FOFModel
static | _createFileName ($type, $parts=array())
- Attributs protégés hérités de FOFModel
$__state_set = null
$_db
$event_after_delete = 'onContentAfterDelete'
$event_after_save = 'onContentAfterSave'
$event_before_delete = 'onContentBeforeDelete'
$event_before_save = 'onContentBeforeSave'
$event_change_state = 'onContentChangeState'
$event_clean_cache = null
$id_list = array()
$id = null
$input = array()
$list = null
$name
$option = null
$otable = null
$pagination = null
$record = null
$state
$table = null
$total = null
$_savestate = null
$_forms = array()
$_formData = array()
$configProvider = null
$modelDispatcher = null
$default_behaviors = array('filters')
$_behaviorParams = array()
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Description détaillée

Model class to manage postinstall messages

Depuis
3.2

Documentation des fonctions membres

◆ addPostInstallationMessage()

addPostInstallationMessage ( array $options )

Adds or updates a post-installation message (PIM) definition. You can use this in your post-installation script using this code:

require_once JPATH_LIBRARIES . '/fof/include.php'; FOFModel::getTmpInstance('Messages', 'PostinstallModel')->addPostInstallationMessage($options);

The $options array contains the following mandatory keys:

extension_id The numeric ID of the extension this message is for (see the #__extensions table)

type One of message, link or action. Their meaning is: message Informative message. The user can dismiss it. link The action button links to a URL. The URL is defined in the action parameter. action A PHP action takes place when the action button is clicked. You need to specify the action_file (RAD path to the PHP file) and action (PHP function name) keys. See below for more information.

title_key The JText language key for the title of this PIM. Example: COM_FOOBAR_POSTINSTALL_MESSAGEONE_TITLE

description_key The JText language key for the main body (description) of this PIM Example: COM_FOOBAR_POSTINSTALL_MESSAGEONE_DESCRIPTION

action_key The JText language key for the action button. Ignored and not required when type=message Example: COM_FOOBAR_POSTINSTALL_MESSAGEONE_ACTION

language_extension The extension name which holds the language keys used above. For example, com_foobar, mod_something, plg_system_whatever, tpl_mytemplate

language_client_id Should we load the frontend (0) or backend (1) language keys?

version_introduced Which was the version of your extension where this message appeared for the first time? Example: 3.2.1

enabled Must be 1 for this message to be enabled. If you omit it, it defaults to 1.

condition_file The RAD path to a PHP file containing a PHP function which determines whether this message should be shown to the user.

Voir également
FOFTemplateUtils::parsePath() for RAD path format. Joomla! will include this file before calling the condition_method. Example: admin://components/com_foobar/helpers/postinstall.php

condition_method The name of a PHP function which will be used to determine whether to show this message to the user. This must be a simple PHP user function (not a class method, static method etc) which returns true to show the message and false to hide it. This function is defined in the condition_file. Example: com_foobar_postinstall_messageone_condition

When type=message no additional keys are required.

When type=link the following additional keys are required:

action The URL which will open when the user clicks on the PIM's action button Example: index.php?option=com_foobar&view=tools&task=installSampleData

When type=action the following additional keys are required:

action_file The RAD path to a PHP file containing a PHP function which performs the action of this PIM.

Voir également
FOFTemplateUtils::parsePath() for RAD path format. Joomla! will include this file before calling the function defined in the action key below. Example: admin://components/com_foobar/helpers/postinstall.php

action The name of a PHP function which will be used to run the action of this PIM. This must be a simple PHP user function (not a class method, static method etc) which returns no result. Example: com_foobar_postinstall_messageone_action

Paramètres
array $options See description
Renvoie
$this
Exceptions
Exception

Références $db, $key, $options, $query, et FOFTemplateUtils\parsePath().

◆ buildQuery()

buildQuery ( $overrideLimits = false )

Builds the SELECT query

Paramètres
boolean $overrideLimits Are we requested to override the set limits?
Renvoie
JDatabaseQuery
Depuis
3.2

Références $db, $published, et $query.

◆ getComponentOptions()

getComponentOptions ( )

Get the dropdown options for the list of component with post-installation messages

Depuis
3.4
Renvoie
array Compatible with JHtmlSelect::genericList

Références $db, $options, $query, JPATH_SITE, et null.

◆ getExtensionName()

getExtensionName ( $eid )

Returns the name of an extension, as registered in the #__extensions table

Paramètres
integer $eid The extension ID
Renvoie
string The extension name
Depuis
3.2

Références $basePath, $db, $extension, $lang, $query, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ hideMessages()

hideMessages ( $eid )

Hides all messages for an extension

Paramètres
integer $eid The extension ID whose messages we'll hide
Renvoie
mixed False if we fail, a db cursor otherwise
Depuis
3.8.7

Références $db, et $query.

◆ onProcessList()

onProcessList ( & $resultArray )
protected

List post-processing. This is used to run the programmatic display conditions against each list item and decide if we have to show it or not.

Do note that this a core method of the RAD Layer which operates directly on the list it's being fed. A little touch of modern magic.

Paramètres
array &$resultArray A list of items to process
Renvoie
void
Depuis
3.2

Références $file, $hash, $item, $key, jimport(), JPATH_ADMINISTRATOR, JPATH_SITE, et FOFTemplateUtils\parsePath().

◆ resetMessages()

resetMessages ( $eid )

Resets all messages for an extension

Paramètres
integer $eid The extension ID whose messages we'll reset
Renvoie
mixed False if we fail, a db cursor otherwise
Depuis
3.2

Références $db, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_postinstall/models/messages.php


Joomla CMS: Référence de la classe PostinstallToolbar

Fonctions membres publiques
Référence de la classe PostinstallToolbar
+ Graphe d'héritage de PostinstallToolbar:
FOFToolbar

Fonctions membres publiques

onMessages ()
- Fonctions membres publiques hérités de FOFToolbar
__construct ($config=array())
renderToolbar ($view=null, $task=null, $input=null)
onCpanelsBrowse ()
onBrowse ()
onRead ()
onAdd ()
onEdit ()
clearLinks ()
& getLinks ()
appendLink ($name, $link=null, $active=false, $icon=null, $parent='')
prefixLink ($name, $link=null, $active=false, $icon=null)
renderSubmenu ()
getRenderFrontendButtons ()
getRenderFrontendSubmenu ()

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de FOFToolbar
static & getAnInstance ($option=null, $config=array())
- Champs de données hérités de FOFToolbar
$perms = array()
- Fonctions membres protégées hérités de FOFToolbar
getMyViews ()
- Attributs protégés hérités de FOFToolbar
$config = array()
$input = array()
$linkbar = array()
$renderFrontendSubmenu = false
$renderFrontendButtons = false

Description détaillée

The Toolbar class renders the component title area and the toolbar.

Depuis
3.2

Documentation des fonctions membres

◆ onMessages()

onMessages ( )

Setup the toolbar and title

Renvoie
void
Depuis
3.2
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_postinstall/toolbar.php


Joomla CMS: Référence de la classe PostinstallViewMessages

Fonctions membres protégées
Référence de la classe PostinstallViewMessages
+ Graphe d'héritage de PostinstallViewMessages:
FOFViewHtml FOFViewRaw FOFView FOFUtilsObject

Fonctions membres protégées

onDisplay ($tpl=null)
- Fonctions membres protégées hérités de FOFViewHtml
preRender ()
postRender ()
- Fonctions membres protégées hérités de FOFViewRaw
preRender ()
postRender ()
onBrowse ($tpl=null)
onDisplay ($tpl=null)
onAdd ($tpl=null)
onEdit ($tpl=null)
onRead ($tpl=null)
- Fonctions membres protégées hérités de FOFView
findRenderer ()
_setPath ($type, $path)
_addPath ($type, $path)
_createFileName ($type, $parts=array())

Membres hérités additionnels

- Fonctions membres publiques hérités de FOFViewHtml
__construct ($config=array())
setPageTitle ()
- Fonctions membres publiques hérités de FOFViewRaw
__construct ($config=array())
display ($tpl=null)
hasAjaxOrderingSupport ()
getLists ()
getPerms ()
- Fonctions membres publiques hérités de FOFView
__construct ($config=array())
loadAnyTemplate ($path='', $forceParams=array())
display ($tpl=null)
assign ()
assignRef ($key, &$val)
escape ($var)
get ($property, $default=null)
getModel ($name=null)
getLayout ()
getLayoutTemplate ()
getName ()
setModel ($model, $default=false, $name=null)
setLayout ($layout)
setLayoutExt ($value)
setEscape ($spec)
addTemplatePath ($path)
addHelperPath ($path)
loadTemplate ($tpl=null, $strict=false)
& getRenderer ()
setRenderer (FOFRenderAbstract &$renderer)
setPreRender ($value)
setPostRender ($value)
loadHelper ($hlp=null)
getViewOptionAndName ()
- Fonctions membres publiques hérités de FOFUtilsObject
__construct ($properties=null)
__toString ()
def ($property, $default=null)
get ($property, $default=null)
getProperties ($public=true)
getError ($i=null, $toString=true)
getErrors ()
set ($property, $value=null)
setProperties ($properties)
setError ($error)
- Fonctions membres publiques statiques hérités de FOFView
static | registerRenderer (FOFRenderAbstract &$renderer)
- Champs de données hérités de FOFViewHtml
$setFrontendPageTitle = false
$defaultPageTitle = null
- Attributs publics statiques hérités de FOFView
static | $renderers = array()
- Attributs protégés hérités de FOFViewRaw
$lists = null
$perms = null
- Attributs protégés hérités de FOFView
$_name = null
$_models = array()
$_basePath = null
$_defaultModel = null
$_layout = 'default'
$_layoutExt = 'php'
$_layoutTemplate = '_'
$_path = array('template' => array(), 'helper' => array())
$_template = null
$_output = null
$_escape = 'htmlspecialchars'
$_charset = 'UTF-8'
$config = array()
$input = null
$rendererObject = null
$doPreRender = true
$doPostRender = true
- Attributs protégés hérités de FOFUtilsObject
$_errors = array()

Description détaillée

Model class to display postinstall messages

Depuis
3.2

Documentation des fonctions membres

◆ onDisplay()

onDisplay ( $tpl = null )
protected

Executes on display of the page

Paramètres
string $tpl Subtemplate to use
Renvoie
boolean Return true to allow rendering of the page
Depuis
3.8.7

Références $return, et items.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_postinstall/views/messages/view.html.php


Joomla CMS: Référence de la classe PrivacyController

Fonctions membres publiques | Attributs protégés
Référence de la classe PrivacyController
+ Graphe d'héritage de PrivacyController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())
display ($cachable=false, $urlparams=array())

Attributs protégés

$default_view = 'dashboard'

Description détaillée

Privacy Controller

Depuis
3.9.0

Documentation des fonctions membres

◆ display() [1/2]

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
$this
Depuis
3.9.0

Références $view.

◆ display() [2/2]

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
$this
Depuis
3.9.0

Références $document, $view, PrivacyHelper\addSubmenu(), getDocument, JPATH_ADMINISTRATOR, et JLoader\register().

Documentation des champs

◆ $default_view

$default_view = 'dashboard'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/controller.php


Joomla CMS: Référence de la classe PrivacyControllerConsents

Référence de la classe PrivacyControllerConsents
+ Graphe d'héritage de PrivacyControllerConsents:

Description détaillée

Consents management controller class.

Depuis
3.9.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/controllers/consents.php


Joomla CMS: Référence de la classe PrivacyControllerRequest

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées
Référence de la classe PrivacyControllerRequest
+ Graphe d'héritage de PrivacyControllerRequest:

Fonctions membres publiques

export ()

Fonctions membres protégées

postSaveHook (\JModelLegacy $model, $validData=array())

Fonctions membres privées

canTransition ($item, $newStatus)

Description détaillée

Request management controller class.

Depuis
3.9.0

Request action controller class.

Depuis
3.9.0

Documentation des fonctions membres

◆ canTransition()

canTransition | ( | $item,
 |  | $newStatus
 | ) |
private

Method to determine if an item can transition to the specified status.

Paramètres
object | $item | The item being updated.
string | $newStatus | The new status of the item.
Renvoie
boolean
Depuis
3.9.0

Références $item.

◆ export()

export ( )

Method to export the data for a request.

Renvoie
$this
Depuis
3.9.0

◆ postSaveHook()

postSaveHook | ( | \JModelLegacy | $model,
 |  |  | $validData = array()
 | ) |  |
protected

Function that allows child controller access to model data after the data has been saved.

Paramètres
\JModelLegacy | $model | The data model object.
array | $validData | The validated data.
Renvoie
void
Depuis
3.9.0
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_privacy/controllers/request.php
  • request.xml.php


Joomla CMS: Référence de la classe PrivacyControllerRequests

Fonctions membres publiques
Référence de la classe PrivacyControllerRequests
+ Graphe d'héritage de PrivacyControllerRequests:

Fonctions membres publiques

getModel ($name='Request', $prefix='PrivacyModel', $config=array('ignore_request'=> true))

Description détaillée

Requests management controller class.

Depuis
3.9.0

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Request',
 |  | $prefix = 'PrivacyModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy|boolean Model object on success; otherwise false on failure.
Depuis
3.9.0

Références $config, $name, et $prefix.

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/requests.php


Joomla CMS: Référence de la classe PrivacyExportDomain

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe PrivacyExportDomain

Fonctions membres publiques

addItem (PrivacyExportItem $item)
getItems ()

Champs de données

$name
$description

Attributs protégés

$items = array()

Description détaillée

Data object representing all data contained in a domain.

A domain is typically a single database table and the items within the domain are separate rows from the table.

Depuis
3.9.0

Documentation des fonctions membres

◆ addItem()

addItem ( PrivacyExportItem $item )

Add an item to the domain

Paramètres
PrivacyExportItem $item The item to add
Renvoie
void
Depuis
3.9.0

Références $item, et items.

◆ getItems()

getItems ( )

Get the domain's items

Renvoie
PrivacyExportItem[]
Depuis
3.9.0

Références $items.

Documentation des champs

◆ $description

$description

◆ $items

$items = array()
protected

◆ $name

$name
La documentation de cette classe a été générée à partir du fichier suivant :
  • domain.php


Joomla CMS: Référence de la classe PrivacyExportField

Champs de données
Référence de la classe PrivacyExportField

Champs de données

$name
$value

Description détaillée

Data object representing a field within an item.

Depuis
3.9.0

Documentation des champs

◆ $name

$name

◆ $value

$value
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/helpers/export/field.php


Joomla CMS: Référence de la classe PrivacyExportItem

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe PrivacyExportItem

Fonctions membres publiques

addField (PrivacyExportField $field)
getFields ()

Champs de données

$id

Attributs protégés

$fields = array()

Description détaillée

Data object representing a single item within a domain.

An item is typically a single row from a database table.

Depuis
3.9.0

Documentation des fonctions membres

◆ addField()

addField ( PrivacyExportField $field )

Add a field to the item

Paramètres
PrivacyExportField $field The field to add
Renvoie
void
Depuis
3.9.0

Références $field, et fields.

◆ getFields()

getFields ( )

Get the item's fields

Renvoie
PrivacyExportField[]
Depuis
3.9.0

Références $fields.

Documentation des champs

◆ $fields

$fields = array()
protected

◆ $id

$id
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/helpers/export/item.php


Joomla CMS: Référence de la classe PrivacyFormFieldRequeststatus

Champs de données | Attributs protégés
Référence de la classe PrivacyFormFieldRequeststatus
+ Graphe d'héritage de PrivacyFormFieldRequeststatus:
JFormFieldPredefinedList JFormFieldList

Champs de données

$type = 'RequestStatus'

Attributs protégés

$predefinedOptions
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Form Field to load a list of request statuses

Depuis
3.9.0

Documentation des champs

◆ $predefinedOptions

$predefinedOptions
protected
Valeur initiale :
= array(
'-1' => 'COM_PRIVACY_STATUS_INVALID',
'0' => 'COM_PRIVACY_STATUS_PENDING',
'1' => 'COM_PRIVACY_STATUS_CONFIRMED',
'2' => 'COM_PRIVACY_STATUS_COMPLETED',
)

◆ $type

$type = 'RequestStatus'
La documentation de cette classe a été générée à partir du fichier suivant :
  • requeststatus.php


Joomla CMS: Référence de la classe PrivacyFormFieldRequesttype

Champs de données | Attributs protégés
Référence de la classe PrivacyFormFieldRequesttype
+ Graphe d'héritage de PrivacyFormFieldRequesttype:
JFormFieldPredefinedList JFormFieldList

Champs de données

$type = 'RequestType'

Attributs protégés

$predefinedOptions
- Attributs protégés hérités de JFormFieldPredefinedList
$type = 'PredefinedList'
$predefinedOptions = array()
$translate = true
- Attributs protégés hérités de JFormFieldList
$type = 'List'

Membres hérités additionnels

- Fonctions membres publiques hérités de JFormFieldList
addOption ($text, $attributes=array())
__get ($name)
- Fonctions membres protégées hérités de JFormFieldPredefinedList
getOptions ()
- Fonctions membres protégées hérités de JFormFieldList
getInput ()
getOptions ()
- Attributs protégés statiques hérités de JFormFieldPredefinedList
static $options = array()

Description détaillée

Form Field to load a list of request types

Depuis
3.9.0

Documentation des champs

◆ $predefinedOptions

$predefinedOptions
protected
Valeur initiale :
= array(
'export' => 'COM_PRIVACY_HEADING_REQUEST_TYPE_TYPE_EXPORT',
'remove' => 'COM_PRIVACY_HEADING_REQUEST_TYPE_TYPE_REMOVE',
)

◆ $type

$type = 'RequestType'
La documentation de cette classe a été générée à partir du fichier suivant :
  • requesttype.php


Joomla CMS: Référence de la classe PrivacyHelper

Fonctions membres publiques statiques
Référence de la classe PrivacyHelper
+ Graphe d'héritage de PrivacyHelper:

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | renderDataAsXml (array $exportData)
static | getPrivacyConsentPluginId ()

Description détaillée

Privacy component helper.

Depuis
3.9.0

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
3.9.0

Références JHtmlSidebar\addEntry().

Référencé par PrivacyController\display().

◆ getPrivacyConsentPluginId()

static getPrivacyConsentPluginId ( )
static

Gets the privacyconsent system plugin extension id.

Renvoie
integer The privacyconsent system plugin extension id.
Depuis
3.9.2

Références $db, $query, et JError\raiseWarning().

◆ renderDataAsXml()

static renderDataAsXml ( array $exportData )
static

Render the data request as a XML document.

Paramètres
PrivacyExportDomain[] $exportData The data to be exported.
Renvoie
string
Depuis
3.9.0

Références $field, et $item.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/helpers/privacy.php


Joomla CMS: Référence de la classe PrivacyHtmlHelper

Fonctions membres publiques statiques
Référence de la classe PrivacyHtmlHelper

Fonctions membres publiques statiques

static statusLabel ($status)

Description détaillée

Privacy component HTML helper.

Depuis
3.9.0

Documentation des fonctions membres

◆ statusLabel()

static statusLabel ( $status )
static

Render a status label

Paramètres
integer $status The item status
Renvoie
string
Depuis
3.9.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/helpers/html/helper.php


Joomla CMS: Référence de la classe PrivacyModelCapabilities

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PrivacyModelCapabilities
+ Graphe d'héritage de PrivacyModelCapabilities:

Fonctions membres publiques

getCapabilities ()

Fonctions membres protégées

populateState ()

Description détaillée

Capabilities model class.

Depuis
3.9.0

Documentation des fonctions membres

◆ getCapabilities()

getCapabilities ( )

Retrieve the extension capabilities.

Renvoie
array
Depuis
3.9.0

Références $app, et JPATH_ADMINISTRATOR.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Renvoie
void
Depuis
3.9.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • capabilities.php


Joomla CMS: Référence de la classe PrivacyModelConfirm

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PrivacyModelConfirm
+ Graphe d'héritage de PrivacyModelConfirm:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getTable ($name='Request', $prefix='PrivacyTable', $options=array())

Fonctions membres protégées

populateState ()

Description détaillée

Request confirmation model class.

Depuis
3.9.0

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method for getting the form from the model.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
3.9.0

Références $form, et $input.

◆ getTable()

getTable | ( | $name = 'Request',
 |  | $prefix = 'PrivacyTable',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.9.0
Exceptions

Références $name, $options, et $prefix.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
3.9.0

Références $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_privacy/models/confirm.php


Joomla CMS: Référence de la classe PrivacyModelConsents

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PrivacyModelConsents
+ Graphe d'héritage de PrivacyModelConsents:

Fonctions membres publiques

__construct ($config=array())
invalidate ($pks)
invalidateAll ($subject)

Fonctions membres protégées

getListQuery ()
getStoreId ($id='')
populateState ($ordering='a.id', $direction='desc')

Description détaillée

Consents management model class.

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
3.9.0

Références $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Method to get a JDatabaseQuery object for retrieving the data set from a database.

Renvoie
JDatabaseQuery
Depuis
3.9.0

Références $db, $direction, $ordering, $query, $state, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string
Depuis
3.9.0

Références $id.

◆ invalidate()

invalidate ( $pks )

Method to invalidate specific consents.

Paramètres
array $pks The ids of the consents to invalidate.
Renvoie
boolean True on success.

Références $db, et $query.

◆ invalidateAll()

invalidateAll ( $subject )

Method to invalidate a group of specific consents.

Paramètres
array $subject The subject of the consents to invalidate.
Renvoie
boolean True on success.

Références $db, $query, et $subject.

◆ populateState()

populateState | ( | $ordering = 'a.id',
 |  | $direction = 'desc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.9.0

Références $direction, et $ordering.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/models/consents.php


Joomla CMS: Référence de la classe PrivacyModelDashboard

Fonctions membres publiques
Référence de la classe PrivacyModelDashboard
+ Graphe d'héritage de PrivacyModelDashboard:

Fonctions membres publiques

getPrivacyPolicyInfo ()
getRequestCounts ()
getRequestFormPublished ()

Description détaillée

Dashboard model class.

Depuis
3.9.0

Documentation des fonctions membres

◆ getPrivacyPolicyInfo()

getPrivacyPolicyInfo ( )

Get the information about the published privacy policy

Renvoie
array Array containing a status of whether a privacy policy is set and a link to the policy document for editing
Depuis
3.9.0

◆ getRequestCounts()

getRequestCounts ( )

Get a count of the active information requests grouped by type and status

Renvoie
array Array containing site privacy requests
Depuis
3.9.0

Références $db, et $query.

◆ getRequestFormPublished()

getRequestFormPublished ( )

Check whether there is a menu item for the request form

Renvoie
array Array containing a status of whether a menu is published for the request form and its current link
Depuis
3.9.0

Références $db, $itemId, $lang, $params, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • dashboard.php


Joomla CMS: Référence de la classe PrivacyModelExport

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PrivacyModelExport
+ Graphe d'héritage de PrivacyModelExport:

Fonctions membres publiques

getTable ($name='Request', $prefix='PrivacyTable', $options=array())

Fonctions membres protégées

populateState ()

Description détaillée

Export model class.

Depuis
3.9.0

Documentation des fonctions membres

◆ getTable()

getTable | ( | $name = 'Request',
 |  | $prefix = 'PrivacyTable',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.9.0
Exceptions

Références $name, $options, et $prefix.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Renvoie
void
Depuis
3.9.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • export.php


Joomla CMS: Référence de la classe PrivacyModelRemind

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PrivacyModelRemind
+ Graphe d'héritage de PrivacyModelRemind:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getTable ($name='Consent', $prefix='PrivacyTable', $options=array())

Fonctions membres protégées

populateState ()

Description détaillée

Remind confirmation model class.

Depuis
3.9.0

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method for getting the form from the model.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
3.9.0

Références $form, et $input.

◆ getTable()

getTable | ( | $name = 'Consent',
 |  | $prefix = 'PrivacyTable',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.9.0
Exceptions

Références $name, $options, et $prefix.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
3.9.0

Références $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_privacy/models/remind.php


Joomla CMS: Référence de la classe PrivacyModelRemove

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PrivacyModelRemove
+ Graphe d'héritage de PrivacyModelRemove:

Fonctions membres publiques

getTable ($name='Request', $prefix='PrivacyTable', $options=array())

Fonctions membres protégées

populateState ()

Description détaillée

Remove model class.

Depuis
3.9.0

Documentation des fonctions membres

◆ getTable()

getTable | ( | $name = 'Request',
 |  | $prefix = 'PrivacyTable',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.9.0
Exceptions

Références $name, $options, et $prefix.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Renvoie
void
Depuis
3.9.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • remove.php


Joomla CMS: Référence de la classe PrivacyModelRequest

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PrivacyModelRequest
+ Graphe d'héritage de PrivacyModelRequest:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getTable ($name='Request', $prefix='PrivacyTable', $options=array())
save ($data)
validate ($form, $data, $group=null)
getForm ($data=array(), $loadData=true)
getTable ($name='Request', $prefix='PrivacyTable', $options=array())

Fonctions membres protégées

cleanCache ($group='com_privacy', $clientId=1)
loadFormData ()
populateState ()

Description détaillée

Request item model class.

Depuis
3.9.0

Request model class.

Depuis
3.9.0

Documentation des fonctions membres

◆ cleanCache()

cleanCache | ( | $group = 'com_privacy',
 |  | $clientId = 1
 | ) |
protected

Clean the cache

Paramètres
string | $group | The cache group
integer | $clientId | The ID of the client
Renvoie
void
Depuis
3.9.0

◆ getForm() [1/2]

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method for getting the form from the model.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
3.9.0

Références $form.

◆ getForm() [2/2]

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method for getting the form from the model.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm|boolean A JForm object on success, false on failure
Depuis
3.9.0

◆ getTable() [1/2]

getTable | ( | $name = 'Request',
 |  | $prefix = 'PrivacyTable',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.9.0
Exceptions

Références $name, $options, et $prefix.

◆ getTable() [2/2]

getTable | ( | $name = 'Request',
 |  | $prefix = 'PrivacyTable',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.9.0
Exceptions

Références $name, $options, et $prefix.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
array The default data is an empty array.
Depuis
3.9.0

Références $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
3.9.0

Références $params.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success, False on error.
Depuis
3.9.0

Références $data, et $key.

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
JFormRule
JFilterInput
Depuis
3.9.0

Références $data, $db, $form, $query, et validate().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/models/request.php


Joomla CMS: Référence de la classe PrivacyModelRequests

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe PrivacyModelRequests
+ Graphe d'héritage de PrivacyModelRequests:

Fonctions membres publiques

__construct ($config=array())
getNumberUrgentRequests ()

Fonctions membres protégées

getListQuery ()
getStoreId ($id='')
populateState ($ordering='a.id', $direction='desc')

Description détaillée

Requests management model class.

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
3.9.0

Références $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Method to get a JDatabaseQuery object for retrieving the data set from a database.

Renvoie
JDatabaseQuery
Depuis
3.9.0

Références $db, $direction, $ordering, et $query.

◆ getNumberUrgentRequests()

getNumberUrgentRequests ( )

Method to return number privacy requests older than X days.

Renvoie
integer
Depuis
3.9.0

Références $db, $now, $params, et $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string
Depuis
3.9.0

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.id',
 |  | $direction = 'desc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.9.0

Références $direction, et $ordering.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/requests.php


Joomla CMS: Référence de la classe PrivacyPlugin

Fonctions membres protégées | Attributs protégés
Référence de la classe PrivacyPlugin
+ Graphe d'héritage de PrivacyPlugin:
PlgPrivacyActionlogs PlgPrivacyConsents PlgPrivacyContact PlgPrivacyContent PlgPrivacyMessage PlgPrivacyUser

Fonctions membres protégées

createDomain ($name, $description='')
createItemFromArray (array $data, $itemId=null)
createItemForTable ($table)
createCustomFieldsDomain ($context, $items=array())

Attributs protégés

$db
$autoloadLanguage = true

Description détaillée

Base class for privacy plugins

Depuis
3.9.0

Documentation des fonctions membres

◆ createCustomFieldsDomain()

createCustomFieldsDomain | ( | $context,
 |  | $items = array()
 | ) |
protected

Helper function to create the domain for the items custom fields.

Paramètres
string | $context | The context
array | $items | The items
Renvoie
PrivacyExportDomain
Depuis
3.9.0

Références $context, $data, $field, $fields, $fieldValue, $item, $items, $parts, $type, FieldsHelper\extract(), et FieldsHelper\getFields().

◆ createDomain()

createDomain | ( | $name,
 |  | $description = ''
 | ) |
protected

Create a new domain object

Paramètres
string | $name | The domain's name
string | $description | The domain's description
Renvoie
PrivacyExportDomain
Depuis
3.9.0

Références $description, et $name.

◆ createItemForTable()

createItemForTable ( $table )
protected

Create an item object for a JTable object

Paramètres
JTable $table The JTable object to convert
Renvoie
PrivacyExportItem
Depuis
3.9.0

Références $data.

◆ createItemFromArray()

createItemFromArray | ( | array | $data,
 |  |  | $itemId = null
 | ) |  |
protected

Create an item object for an array

Paramètres
array | $data | The array data to convert
integer | null | $itemId | The ID of this item
Renvoie
PrivacyExportItem
Depuis
3.9.0

Références $data, $field, $item, $itemId, $key, et $value.

Documentation des champs

◆ $autoloadLanguage

$autoloadLanguage = true
protected

◆ $db

$db
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_privacy/helpers/plugin.php


Joomla CMS: Référence de la classe PrivacyRemovalStatus

Champs de données
Référence de la classe PrivacyRemovalStatus

Champs de données

$canRemove = true
$reason

Description détaillée

Data object communicating the status of whether the data for an information request can be removed.

Typically, this object will only be used to communicate data will be removed.

Depuis
3.9.0

Documentation des champs

◆ $canRemove

$canRemove = true

◆ $reason

$reason
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/helpers/removal/status.php


Joomla CMS: Référence de la classe PrivacyRouter

Fonctions membres publiques
Référence de la classe PrivacyRouter
+ Graphe d'héritage de PrivacyRouter:

Fonctions membres publiques

__construct ($app=null, $menu=null)

Description détaillée

Routing class from com_privacy

Depuis
3.9.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $app = null,
 |  | $menu = null
 | ) |

Privacy Component router constructor

Paramètres
JApplicationCms | $app | The application object
JMenu | $menu | The menu object to work with
Depuis
3.9.0

Références $app, et $menu.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_privacy/router.php


Joomla CMS: Référence de la classe PrivacyTableConsent

Fonctions membres publiques
Référence de la classe PrivacyTableConsent
+ Graphe d'héritage de PrivacyTableConsent:

Fonctions membres publiques

__construct (JDatabaseDriver $db)
store ($updateNulls=false)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( JDatabaseDriver $db )

The class constructor.

Paramètres
JDatabaseDriver $db JDatabaseDriver connector object.
Depuis
3.9.0

Références $db.

Documentation des fonctions membres

◆ store()

store ( $updateNulls = false )

Method to store a row in the database from the Table instance properties.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
3.9.0

Références $date.

La documentation de cette classe a été générée à partir du fichier suivant :
  • consent.php


Joomla CMS: Référence de la classe PrivacyTableRequest

Fonctions membres publiques
Référence de la classe PrivacyTableRequest
+ Graphe d'héritage de PrivacyTableRequest:

Fonctions membres publiques

__construct (JDatabaseDriver $db)
store ($updateNulls=false)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( JDatabaseDriver $db )

The class constructor.

Paramètres
JDatabaseDriver $db JDatabaseDriver connector object.
Depuis
3.9.0

Références $db.

Documentation des fonctions membres

◆ store()

store ( $updateNulls = false )

Method to store a row in the database from the Table instance properties.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
3.9.0

Références $date, et status.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/tables/request.php


Joomla CMS: Référence de la classe PrivacyViewCapabilities

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PrivacyViewCapabilities
+ Graphe d'héritage de PrivacyViewCapabilities:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$capabilities
$sidebar
$state

Description détaillée

Capabilities view class

Depuis
3.9.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.9.0

Références title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.9.0
Exceptions
Exception

Références JHtmlSidebar\render().

Documentation des champs

◆ $capabilities

$capabilities
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/views/capabilities/view.html.php


Joomla CMS: Référence de la classe PrivacyViewConfirm

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PrivacyViewConfirm
+ Graphe d'héritage de PrivacyViewConfirm:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

prepareDocument ()

Attributs protégés

$form
$pageclass_sfx
$params
$state

Description détaillée

Request confirmation view class

Depuis
3.9.0

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.9.0
Exceptions
Exception

Références ENT_COMPAT, htmlspecialchars, et pageclass_sfx.

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document.

Renvoie
void
Depuis
3.9.0

Références $app, $menu, $title, elseif, et null.

Documentation des champs

◆ $form

$form
protected

◆ $pageclass_sfx

$pageclass_sfx
protected

◆ $params

$params
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_privacy/views/confirm/view.html.php


Joomla CMS: Référence de la classe PrivacyViewConsents

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe PrivacyViewConsents
+ Graphe d'héritage de PrivacyViewConsents:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$activeFilters
$filterForm

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$sidebar
$state

Description détaillée

Consents view class

Depuis
3.9.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.9.0

Références title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.9.0
Exceptions
Exception

Références items, et JHtmlSidebar\render().

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $filterForm

$filterForm

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/views/consents/view.html.php


Joomla CMS: Référence de la classe PrivacyViewDashboard

Fonctions membres protégées | Attributs protégés
Référence de la classe PrivacyViewDashboard
+ Graphe d'héritage de PrivacyViewDashboard:

Fonctions membres protégées

addToolbar ()

Attributs protégés

$numberOfUrgentRequests
$privacyPolicyInfo
$requestCounts
$requestFormPublished
$sendMailEnabled
$sidebar
$privacyConsentPluginId

Description détaillée

Dashboard view class

Depuis
3.9.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.9.0

Références title.

Documentation des champs

◆ $numberOfUrgentRequests

$numberOfUrgentRequests
protected

◆ $privacyConsentPluginId

$privacyConsentPluginId
protected

◆ $privacyPolicyInfo

$privacyPolicyInfo
protected

◆ $requestCounts

$requestCounts
protected

◆ $requestFormPublished

$requestFormPublished
protected

◆ $sendMailEnabled

$sendMailEnabled
protected

◆ $sidebar

$sidebar
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/views/dashboard/view.html.php


Joomla CMS: Référence de la classe PrivacyViewExport

Référence de la classe PrivacyViewExport
+ Graphe d'héritage de PrivacyViewExport:
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_privacy/views/export/view.xml.php


Joomla CMS: Référence de la classe PrivacyViewRemind

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PrivacyViewRemind
+ Graphe d'héritage de PrivacyViewRemind:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

prepareDocument ()

Attributs protégés

$form
$pageclass_sfx
$params
$state

Description détaillée

Remind confirmation view class

Depuis
3.9.0

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.9.0
Exceptions
Exception

Références ENT_COMPAT, htmlspecialchars, et pageclass_sfx.

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document.

Renvoie
void
Depuis
3.9.0

Références $app, $menu, $title, elseif, et null.

Documentation des champs

◆ $form

$form
protected

◆ $pageclass_sfx

$pageclass_sfx
protected

◆ $params

$params
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_privacy/views/remind/view.html.php


Joomla CMS: Référence de la classe PrivacyViewRequest

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe PrivacyViewRequest
+ Graphe d'héritage de PrivacyViewRequest:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
prepareDocument ()

Attributs protégés

$actionlogs
$form
$item
$state
$pageclass_sfx
$params
$sendMailEnabled

Description détaillée

Request view class

Depuis
3.9.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.9.0

Références $return, item, et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.9.0
Exceptions
Exception

Références ENT_COMPAT, htmlspecialchars, et pageclass_sfx.

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document.

Renvoie
void
Depuis
3.9.0

Références $app, $menu, $title, elseif, et null.

Documentation des champs

◆ $actionlogs

$actionlogs
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $pageclass_sfx

$pageclass_sfx
protected

◆ $params

$params
protected

◆ $sendMailEnabled

$sendMailEnabled
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/views/request/view.html.php


Joomla CMS: Référence de la classe PrivacyViewRequests

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe PrivacyViewRequests
+ Graphe d'héritage de PrivacyViewRequests:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$activeFilters
$filterForm

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$sendMailEnabled
$sidebar
$state
$urgentRequestAge

Description détaillée

Requests view class

Depuis
3.9.0

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.9.0

Références title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Voir également
JViewLegacy::loadTemplate()
Depuis
3.9.0
Exceptions
Exception

Références items, et JHtmlSidebar\render().

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $filterForm

$filterForm

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $sendMailEnabled

$sendMailEnabled
protected

◆ $sidebar

$sidebar
protected

◆ $state

$state
protected

◆ $urgentRequestAge

$urgentRequestAge
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_privacy/views/requests/view.html.php


Joomla CMS: Référence de la classe RedirectController

Fonctions membres publiques | Attributs protégés
Référence de la classe RedirectController
+ Graphe d'héritage de RedirectController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)

Attributs protégés

$default_view = 'links'

Description détaillée

Redirect master display controller.

Depuis
1.6

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached.
mixed | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $id, $layout, $view, RedirectHelper\addSubmenu(), JPATH_ADMINISTRATOR, et JLoader\register().

Documentation des champs

◆ $default_view

$default_view = 'links'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/controller.php


Joomla CMS: Référence de la classe RedirectControllerLink

Référence de la classe RedirectControllerLink
+ Graphe d'héritage de RedirectControllerLink:

Description détaillée

Redirect link controller class.

Depuis
1.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/controllers/link.php


Joomla CMS: Référence de la classe RedirectControllerLinks

Fonctions membres publiques
Référence de la classe RedirectControllerLinks
+ Graphe d'héritage de RedirectControllerLinks:

Fonctions membres publiques

activate ()
duplicateUrls ()
getModel ($name='Link', $prefix='RedirectModel', $config=array('ignore_request'=> true))
batch ()
purge ()

Description détaillée

Redirect link list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ activate()

activate ( )

Method to update a record.

Renvoie
void
Depuis
1.6

Références JError\raiseWarning().

◆ batch()

batch ( )

Executes the batch process to add URLs to the database

Renvoie
void

Références $params, et $separator.

◆ duplicateUrls()

duplicateUrls ( )

Method to duplicate URLs in records.

Renvoie
void
Depuis
3.6.0

Références JError\raiseWarning().

◆ getModel()

getModel | ( | $name = 'Link',
 |  | $prefix = 'RedirectModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel.

Paramètres
string | $name | The name of the model.
string | $prefix | The prefix of the model.
array | $config | An array of settings.
Renvoie
JModel instance
Depuis
1.6

Références $config, $name, et $prefix.

◆ purge()

purge ( )

Clean out the unpublished links.

Renvoie
void
Depuis
3.5

Références $message.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/controllers/links.php


Joomla CMS: Référence de la classe RedirectHelper

Fonctions membres publiques statiques | Attributs publics statiques
Référence de la classe RedirectHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getActions ()
static | publishedOptions ()
static | getRedirectPluginId ()
static | collectUrlsEnabled ()

Attributs publics statiques

static $extension = 'com_redirect'

Description détaillée

Redirect component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Référencé par RedirectController\display().

◆ collectUrlsEnabled()

static collectUrlsEnabled ( )
static

Checks whether the option "Collect URLs" is enabled for the output message

Renvoie
boolean
Depuis
3.4

Références $params.

Référencé par RedirectViewLinks\display().

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject
Obsolète:
3.2 Use JHelperContent::getActions() instead

◆ getRedirectPluginId()

static getRedirectPluginId ( )
static

Gets the redirect system plugin extension id.

Renvoie
integer The redirect system plugin extension id.
Depuis
3.6.0

Références $db, $query, et JError\raiseWarning().

Référencé par RedirectViewLinks\display().

◆ publishedOptions()

static publishedOptions ( )
static

Returns an array of standard published state filter options.

Renvoie
array An array containing the options
Depuis
1.6

Références $options.

Documentation des champs

◆ $extension

$extension = 'com_redirect'
static
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/helpers/redirect.php


Joomla CMS: Référence de la classe RedirectModelLink

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe RedirectModelLink
+ Graphe d'héritage de RedirectModelLink:

Fonctions membres publiques

getTable ($type='Link', $prefix='RedirectTable', $config=array())
getForm ($data=array(), $loadData=true)
activate (&$pks, $url, $comment=null)
duplicateUrls (&$pks, $url, $comment=null)

Fonctions membres protégées

canDelete ($record)
loadFormData ()

Attributs protégés

$text_prefix = 'COM_REDIRECT'

Description détaillée

Redirect link model.

Depuis
1.6

Documentation des fonctions membres

◆ activate()

activate | ( | & | $pks,
 |  |  | $url,
 |  |  | $comment = null
 | ) |  |

Method to activate links.

Paramètres
array | &$pks | An array of link ids.
string | $url | The new URL to set for the redirect.
string | $comment | A comment for the redirect links.
Renvoie
boolean Returns true on success, false on failure.
Depuis
1.6

Références $db, $query, $url, $user, et ArrayHelper\toInteger().

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

◆ duplicateUrls()

duplicateUrls | ( | & | $pks,
 |  |  | $url,
 |  |  | $comment = null
 | ) |  |

Method to batch update URLs to have new redirect urls and comments. Note will publish any unpublished URLs.

Paramètres
array | &$pks | An array of link ids.
string | $url | The new URL to set for the redirect.
string | $comment | A comment for the redirect links.
Renvoie
boolean Returns true on success, false on failure.
Depuis
3.6.0

Références $date, $db, $query, $url, $user, et ArrayHelper\toInteger().

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $data, et $form.

◆ getTable()

getTable | ( | $type = 'Link',
 |  | $prefix = 'RedirectTable',
 |  | $config = array()
 | ) |

Returns a reference to the a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_REDIRECT'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/models/link.php


Joomla CMS: Référence de la classe RedirectModelLinks

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe RedirectModelLinks
+ Graphe d'héritage de RedirectModelLinks:

Fonctions membres publiques

__construct ($config=array())
purge ()
batchProcess ($batchUrls)

Fonctions membres protégées

populateState ($ordering='a.old_url', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of redirect links.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ batchProcess()

batchProcess ( $batchUrls )

Add the entered URLs into the database

Paramètres
array $batchUrls Array of URLs to enter into the database
Renvoie
boolean

Références $columns, $db, $params, $query, et $state.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $db, $query, $state, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.old_url',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, $ordering, et $params.

◆ purge()

purge ( )

Removes all of the unpublished redirects from the table.

Renvoie
boolean result of operation
Depuis
3.5

Références $db, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/models/links.php


Joomla CMS: Référence de la classe RedirectTableLink

Fonctions membres publiques
Référence de la classe RedirectTableLink
+ Graphe d'héritage de RedirectTableLink:

Fonctions membres publiques

__construct ($db)
check ()
store ($updateNulls=false)

Description détaillée

Link Table for Redirect.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
JDatabaseDriver $db Database object.
Depuis
1.6

Références $db.

Documentation des fonctions membres

◆ check()

check ( )

Overloaded check function

Renvoie
boolean
Depuis
1.6

Références $db, $query, $url, $urls, et elseif.

◆ store()

store ( $updateNulls = false )

Overriden store method to set dates.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
1.6

Références $date.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/tables/link.php


Joomla CMS: Référence de la classe RedirectViewLink

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe RedirectViewLink
+ Graphe d'héritage de RedirectViewLink:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$item
$form
$state

Description détaillée

View to edit a redirect link.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

This component does not support Save as Copy due to uniqueness checks. While it can be done, it causes too much confusion if the user does not change the Old URL.

Références item, et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed False if unsuccessful, otherwise void.
Depuis
1.6

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/views/link/view.html.php


Joomla CMS: Référence de la classe RedirectViewLinks

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe RedirectViewLinks
+ Graphe d'héritage de RedirectViewLinks:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$filterForm
$activeFilters

Fonctions membres protégées

addToolbar ()

Attributs protégés

$enabled
$collect_urls_enabled
$redirectPluginId = 0
$items
$pagination
$state

Description détaillée

View class for a list of redirection links.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $state, $title, elseif, et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed False if unsuccessful, otherwise void.
Depuis
1.6
Exceptions
Exception

Références $app, $link, RedirectHelper\collectUrlsEnabled(), RedirectHelper\getRedirectPluginId(), et items.

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $collect_urls_enabled

$collect_urls_enabled
protected

◆ $enabled

$enabled
protected

◆ $filterForm

$filterForm

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $redirectPluginId

$redirectPluginId = 0
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_redirect/views/links/view.html.php


Joomla CMS: Référence de la classe SearchController

Fonctions membres publiques | Attributs protégés
Référence de la classe SearchController
+ Graphe d'héritage de SearchController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
display ($cachable=false, $urlparams=false)
search ()

Attributs protégés

$default_view = 'searches'

Description détaillée

Search master display controller.

Depuis
1.6

Search Component Controller

Depuis
1.5

Documentation des fonctions membres

◆ display() [1/2]

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
bool | $cachable | If true, the view output will be cached
bool | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JControllerLegacy This object to support chaining.
Depuis
1.5

◆ display() [2/2]

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
SearchController This object to support chaining.
Depuis
1.5

Références SearchHelper\addSubmenu(), JPATH_ADMINISTRATOR, et JLoader\register().

◆ search()

search ( )

Search

Renvoie
void
Exceptions
Exception

Références $app, $item, $menu, $uri, et null.

Documentation des champs

◆ $default_view

$default_view = 'searches'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_search/controller.php


Joomla CMS: Référence de la classe SearchControllerSearches

Fonctions membres publiques
Référence de la classe SearchControllerSearches
+ Graphe d'héritage de SearchControllerSearches:

Fonctions membres publiques

reset ()
toggleResults ()

Description détaillée

Methods supporting a list of search terms.

Depuis
1.6

Documentation des fonctions membres

◆ reset()

reset ( )

Method to reset the search log table.

Renvoie
boolean

Références JError\raiseWarning().

◆ toggleResults()

toggleResults ( )

Method to toggle the view of results.

Renvoie
boolean
La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/searches.php


Joomla CMS: Référence de la classe SearchHelper

Fonctions membres publiques statiques
Référence de la classe SearchHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getActions ()
static | santiseSearchWord (&$searchword, $searchphrase)
static | limitSearchWord (&$searchword)
static | logSearch ($searchTerm)
static | prepareSearchContent ($text, $searchword)
static | checkNoHtml ($object, $searchTerm, $fields)
static | remove_accents ($str)
static | _smartSubstr ($text, $searchword)

Description détaillée

Search component helper.

Depuis
1.5

Documentation des fonctions membres

◆ _smartSubstr()

static _smartSubstr | ( | $text,
 |  | $searchword
 | ) |
static

Returns substring of characters around a searchword.

Paramètres
string | $text | The source string.
integer | $searchword | Number of chars to return.
Renvoie
string
Depuis
1.5

Références $lang, et $text.

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Référencé par SearchController\display().

◆ checkNoHtml()

static checkNoHtml | ( | $object,
 |  | $searchTerm,
 |  | $fields
 | ) |
static

Checks an object for search terms (after stripping fields of HTML).

Paramètres
object | $object | The object to check.
string | $searchTerm | Search words to check for.
array | $fields | List of object variables to check against.
Renvoie
boolean True if searchTerm is in object, false otherwise.

Références $field, $fields, et $text.

Référencé par PlgSearchContent\onContentSearch().

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject
Obsolète:
3.2 Use JHelperContent::getActions() instead.

◆ limitSearchWord()

static limitSearchWord ( & $searchword )
static

Does search word need to be limited?

Paramètres
string &$searchword Search word to be checked.
Renvoie
boolean True if search word should be limited; false otherwise.
Depuis
1.5

Références $lang, et $upper_limit.

Référencé par SearchViewSearch\display().

◆ logSearch()

static logSearch ( $searchTerm )
static

Logs a search term.

Paramètres
string $searchTerm The term being searched.
Renvoie
void
Depuis
1.5
Obsolète:
4.0 Use ::logSearch() instead.

Références logSearch().

Référencé par FinderViewSearch\display().

◆ prepareSearchContent()

static prepareSearchContent | ( | $text,
 |  | $searchword
 | ) |
static

Prepares results from search for display.

Paramètres
string | $text | The source string.
string | $searchword | The searchword to select around.
Renvoie
string
Depuis
1.5

Références $text.

Référencé par SearchViewSearch\highLight().

◆ remove_accents()

static remove_accents ( $str )
static

Transliterates given text to ASCII.

Paramètres
string $str String to remove accents from.
Renvoie
string
Depuis
3.2

Référencé par SearchViewSearch\highLight().

◆ santiseSearchWord()

static santiseSearchWord | ( | & | $searchword,
 |  |  | $searchphrase
 | ) |  |
static

Sanitise search word.

Paramètres
string | &$searchword | Search word to be sanitised.
string | $searchphrase | Either 'all', 'any' or 'exact'.
Renvoie
boolean True if search word needs to be sanitised.

Références $lang.

Référencé par SearchViewSearch\display().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_search/helpers/search.php


Joomla CMS: Référence de la classe SearchModelSearch

Fonctions membres publiques | Attributs protégés
Référence de la classe SearchModelSearch
+ Graphe d'héritage de SearchModelSearch:

Fonctions membres publiques

__construct ()
setSearch ($keyword, $match='all', $ordering='newest')
getData ()
getTotal ()
setAreas ($active=array(), $search=array())
getPagination ()
getAreas ()

Attributs protégés

$_data = null
$_total = null
$_areas = null
$_pagination = null

Description détaillée

Search Component Search Model

Depuis
1.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Depuis
1.5

Références $app, $config, $ordering, $params, elseif, et null.

Documentation des fonctions membres

◆ getAreas()

getAreas ( )

Method to get the search areas

Renvoie
integer
Depuis
1.5

Références $dispatcher, et JEventDispatcher\getInstance().

◆ getData()

getData ( )

Method to get weblink item data for the category

public

Renvoie
array

Références $dispatcher, $results, $rows, et JEventDispatcher\getInstance().

◆ getPagination()

getPagination ( )

Method to get a pagination object of the weblink items for the category

public

Renvoie
integer

◆ getTotal()

getTotal ( )

Method to get the total number of weblink items for the category

public

Renvoie
integer

◆ setAreas()

setAreas | ( | $active = array(),
 |  | $search = array()
 | ) |

Method to set the search areas

Paramètres
array | $active | areas
array | $search | areas
Renvoie
void

public

Références $active.

◆ setSearch()

setSearch | ( | $keyword,
 |  | $match = 'all',
 |  | $ordering = 'newest'
 | ) |

Method to set the search parameters

Paramètres
string | $keyword | string search string
string | $match | matching option, exact|any|all
string | $ordering | option, newest|oldest|popular|alpha|category

public

Renvoie
void

Références $ordering.

Documentation des champs

◆ $_areas

$_areas = null
protected

◆ $_data

$_data = null
protected

◆ $_pagination

$_pagination = null
protected

◆ $_total

$_total = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_search/models/search.php


Joomla CMS: Référence de la classe SearchModelSearches

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe SearchModelSearches
+ Graphe d'héritage de SearchModelSearches:

Fonctions membres publiques

__construct ($config=array())
getItems ()
reset ()

Fonctions membres protégées

populateState ($ordering='a.hits', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of search terms.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getItems()

getItems ( )

Override the parent getItems to inject optional data.

Renvoie
mixed An array of objects on success, false on failure.
Depuis
1.6

Références $app, $item, $items, $results, JPATH_ADMINISTRATOR, et JLoader\register().

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $db, et $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.hits',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, $ordering, et $params.

◆ reset()

reset ( )

Method to reset the search log table.

Renvoie
boolean
Depuis
1.6

Références $db, et $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/searches.php


Joomla CMS: Référence de la classe SearchRouter

Fonctions membres publiques
Référence de la classe SearchRouter
+ Graphe d'héritage de SearchRouter:

Fonctions membres publiques

build (&$query)
parse (&$segments)

Description détaillée

Routing class from com_search

Depuis
3.3

Documentation des fonctions membres

◆ build()

build ( & $query )

Build the route for the com_search component

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Références $query.

Référencé par searchBuildRoute().

◆ parse()

parse ( & $segments )

Parse the segments of a URL.

Paramètres
array &$segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Depuis
3.3

Références $i, et $total.

Référencé par searchParseRoute().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_search/router.php


Joomla CMS: Référence de la classe SearchViewSearch

Fonctions membres publiques
Référence de la classe SearchViewSearch
+ Graphe d'héritage de SearchViewSearch:

Fonctions membres publiques

display ($tpl=null)
highLight ($string, $needle, $searchWords)
display ($tpl=null)

Description détaillée

HTML View class for the search component

Depuis
1.0

OpenSearch View class for the Search component

Depuis
1.7

Documentation des fonctions membres

◆ display() [1/2]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl name of the template
Exceptions
Exception
Renvoie
mixed A string if successful, otherwise an Error object.

Références $app, $doc, $items, $menu, $params, et getDocument.

◆ display() [2/2]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.0

Références $active, $app, $count, $i, $lang, $params, $results, $state, $title, $total, $upper_limit, $uri, elseif, htmlspecialchars, JPATH_COMPONENT_ADMINISTRATOR, JPATH_SITE, SearchHelper\limitSearchWord(), SearchHelper\logSearch(), null, pageclass_sfx, JLoader\register(), SearchHelper\santiseSearchWord(), et searchareas.

◆ highLight()

highLight | ( | $string,
 |  | $needle,
 |  | $searchWords
 | ) |

Method to control the highlighting of keywords

Paramètres
string | $string | text to be searched
string | $needle | text to search for
string | $searchWords | words to be searched
Renvoie
mixed A string.
Depuis
3.8.4

Références $row, elseif, SearchHelper\prepareSearchContent(), et SearchHelper\remove_accents().

La documentation de cette classe a été générée à partir des fichiers suivants :
  • components/com_search/views/search/view.html.php
  • com_search/views/search/view.opensearch.php


Joomla CMS: Référence de la classe SearchViewSearches

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe SearchViewSearches
+ Graphe d'héritage de SearchViewSearches:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$enabled
$items
$pagination
$state

Description détaillée

View class for a list of search terms.

Depuis
1.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références null, et title.

◆ display()

display ( $tpl = null )

Display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $app, et items.

Documentation des champs

◆ $enabled

$enabled
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_search/views/searches/view.html.php


Joomla CMS: Référence de la classe SessionGc

Fonctions membres publiques
Référence de la classe SessionGc
+ Graphe d'héritage de SessionGc:

Fonctions membres publiques

doExecute ()

Description détaillée

Cron job to trash expired session data.

Depuis
3.8.6

Documentation des fonctions membres

◆ doExecute()

doExecute ( )

Entry point for the script

Renvoie
void
Depuis
3.8.6
La documentation de cette classe a été générée à partir du fichier suivant :
  • sessionGc.php


Joomla CMS: Référence de la classe SessionMetadataGc

Fonctions membres publiques
Référence de la classe SessionMetadataGc
+ Graphe d'héritage de SessionMetadataGc:

Fonctions membres publiques

doExecute ()

Description détaillée

Cron job to trash expired session metadata.

Depuis
3.8.6

Documentation des fonctions membres

◆ doExecute()

doExecute ( )

Entry point for the script

Renvoie
void
Depuis
3.8.6

Références Factory\getSession().

La documentation de cette classe a été générée à partir du fichier suivant :
  • sessionMetadataGc.php


Joomla CMS: Référence de la classe SimplePie

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données | Fonctions membres protégées
Référence de la classe SimplePie
+ Graphe d'héritage de SimplePie:
SimplePie_Core

Fonctions membres publiques

__construct ()
__toString ()
__destruct ()
force_feed ($enable=false)
set_feed_url ($url)
set_file (&$file)
set_raw_data ($data)
set_timeout ($timeout=10)
force_fsockopen ($enable=false)
enable_cache ($enable=true)
set_cache_duration ($seconds=3600)
set_autodiscovery_cache_duration ($seconds=604800)
set_cache_location ($location='./cache')
enable_order_by_date ($enable=true)
set_input_encoding ($encoding=false)
set_autodiscovery_level ($level=SIMPLEPIE_LOCATOR_ALL)
& get_registry ()
set_cache_class ($class='SimplePie_Cache')
set_locator_class ($class='SimplePie_Locator')
set_parser_class ($class='SimplePie_Parser')
set_file_class ($class='SimplePie_File')
set_sanitize_class ($class='SimplePie_Sanitize')
set_item_class ($class='SimplePie_Item')
set_author_class ($class='SimplePie_Author')
set_category_class ($class='SimplePie_Category')
set_enclosure_class ($class='SimplePie_Enclosure')
set_caption_class ($class='SimplePie_Caption')
set_copyright_class ($class='SimplePie_Copyright')
set_credit_class ($class='SimplePie_Credit')
set_rating_class ($class='SimplePie_Rating')
set_restriction_class ($class='SimplePie_Restriction')
set_content_type_sniffer_class ($class='SimplePie_Content_Type_Sniffer')
set_source_class ($class='SimplePie_Source')
set_useragent ($ua=SIMPLEPIE_USERAGENT)
set_cache_name_function ($function='md5')
set_stupidly_fast ($set=false)
set_max_checked_feeds ($max=10)
remove_div ($enable=true)
strip_htmltags ($tags='', $encode=null)
encode_instead_of_strip ($enable=true)
strip_attributes ($attribs='')
set_output_encoding ($encoding='UTF-8')
strip_comments ($strip=false)
set_url_replacements ($element_attribute=null)
set_image_handler ($page=false, $qs='i')
set_item_limit ($limit=0)
init ()
error ()
get_raw_data ()
get_encoding ()
handle_content_type ($mime='text/html')
get_type ()
subscribe_url ()
get_feed_tags ($namespace, $tag)
get_channel_tags ($namespace, $tag)
get_image_tags ($namespace, $tag)
get_base ($element=array())
sanitize ($data, $type, $base='')
get_title ()
get_category ($key=0)
get_categories ()
get_author ($key=0)
get_authors ()
get_contributor ($key=0)
get_contributors ()
get_link ($key=0, $rel='alternate')
get_permalink ()
get_links ($rel='alternate')
get_all_discovered_feeds ()
get_description ()
get_copyright ()
get_language ()
get_latitude ()
get_longitude ()
get_image_title ()
get_image_url ()
get_image_link ()
get_image_width ()
get_image_height ()
get_item_quantity ($max=0)
get_item ($key=0)
get_items ($start=0, $end=0)
set_favicon_handler ($page=false, $qs='i')
get_favicon ()
__call ($method, $args)

Fonctions membres publiques statiques

static | sort_items ($a, $b)
static | merge_items ($urls, $start=0, $end=0, $limit=0)

Champs de données

$data = array()
$error
$sanitize
$useragent = SIMPLEPIE_USERAGENT
$feed_url
$file
$raw_data
$timeout = 10
$force_fsockopen = false
$force_feed = false
$cache = true
$cache_duration = 3600
$autodiscovery_cache_duration = 604800
$cache_location = './cache'
$cache_name_function = 'md5'
$order_by_date = true
$input_encoding = false
$autodiscovery = SIMPLEPIE_LOCATOR_ALL
$registry
$max_checked_feeds = 10
$all_discovered_feeds = array()
$image_handler = ''
$multifeed_url = array()
$multifeed_objects = array()
$config_settings = null
$item_limit = 0
$strip_attributes = array('bgsound', 'class', 'expr', 'id', 'style', 'onclick', 'onerror', 'onfinish', 'onmouseover', 'onmouseout', 'onfocus', 'onblur', 'lowsrc', 'dynsrc')
$strip_htmltags = array('base', 'blink', 'body', 'doctype', 'embed', 'font', 'form', 'frame', 'frameset', 'html', 'iframe', 'input', 'marquee', 'meta', 'noscript', 'object', 'param', 'script', 'style')

Fonctions membres protégées

fetch_data (&$cache)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

The SimplePie class contains feed level data and options

To use SimplePie, create the SimplePie object with no parameters. You can then set configuration options using the provided methods. After setting them, you must initialise the feed using $feed->init(). At that point the object's methods and properties will be available to you.

Previously, it was possible to pass in the feed URL along with cache options directly into the constructor. This has been removed as of 1.3 as it caused a lot of confusion.

Depuis
1.0 Preview Release

Références init(), sanitize(), set_cache_duration(), set_cache_location(), et set_feed_url().

◆ __destruct()

__destruct ( )

Remove items that link back to this before destroying this object

Références $item.

Documentation des fonctions membres

◆ __call()

__call | ( | $method,
 |  | $args
 | ) |

Magic method handler

Paramètres
string | $method | Method name
array | $args | Arguments to the method
Renvoie
mixed

Références $class, et $file.

◆ __toString()

__toString ( )

Used for converting object to a string

◆ enable_cache()

enable_cache ( $enable = true )

Enable/disable caching in SimplePie.

This option allows you to disable caching all-together in SimplePie. However, disabling the cache can lead to longer load times.

Depuis
1.0 Preview Release
Paramètres
bool $enable Enable caching

◆ enable_order_by_date()

enable_order_by_date ( $enable = true )

Set whether feed items should be sorted into reverse chronological order

Paramètres
bool $enable Sort as reverse chronological order.

Référencé par set_stupidly_fast().

◆ encode_instead_of_strip()

encode_instead_of_strip ( $enable = true )

Références sanitize().

◆ error()

error ( )

Get the error message for the occured error

Renvoie
string|array Error message, or array of messages for multifeeds

Références $error.

Référencé par fetch_data(), et init().

◆ fetch_data()

fetch_data ( & $cache )
protected

Fetch the data via SimplePie_File

If the data is already cached, attempt to fetch it from there instead

Paramètres
SimplePie_Cache | false $cache Cache handler, or false to not load from the cache
Renvoie
array|true Returns true if the data was loaded from the cache, or an array of HTTP headers and sniffed type

Références $cache, $file, elseif, error(), force_feed(), force_fsockopen(), init(), null, set_feed_url(), SIMPLEPIE_BUILD, SIMPLEPIE_FILE_SOURCE_REMOTE, et SIMPLEPIE_NAME.

Référencé par init().

◆ force_feed()

force_feed ( $enable = false )

Force the given data/URL to be treated as a feed

This tells SimplePie to ignore the content-type provided by the server. Be careful when using this option, as it will also disable autodiscovery.

Depuis
1.1
Paramètres
bool $enable Force the given data/URL to be treated as a feed

Référencé par fetch_data().

◆ force_fsockopen()

force_fsockopen ( $enable = false )

Force SimplePie to use fsockopen() instead of cURL

Depuis
1.0 Beta 3
Paramètres
bool $enable Force fsockopen() to be used

Référencé par fetch_data().

◆ get_all_discovered_feeds()

get_all_discovered_feeds ( )

Références $all_discovered_feeds.

◆ get_author()

get_author ( $key = 0 )

Get an author for the feed

Depuis
1.1
Paramètres
int $key The author that you want to return. Remember that arrays begin with 0, not 1
Renvoie
SimplePie_Author|null

Références $key, get_authors(), et null.

◆ get_authors()

get_authors ( )

Get all authors for the feed

Uses <atom:author>, <author>, <dc:creator> or <itunes:author>

Depuis
1.1
Renvoie
array|null List of {
Voir également
SimplePie_Author} objects

Références $author, $name, $uri, $url, get_base(), get_channel_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, et SIMPLEPIE_NAMESPACE_ITUNES.

Référencé par get_author().

◆ get_base()

get_base ( $element = array() )

Get the base URL value from the feed

Uses <xml:base> if available, otherwise uses the first link in the feed, or failing that, the URL of the feed itself.

Voir également
get_link
subscribe_url
Paramètres
array $element
Renvoie
string

Références elseif, get_link(), get_type(), null, SIMPLEPIE_TYPE_RSS_SYNDICATION, et subscribe_url().

Référencé par get_authors(), get_contributors(), get_copyright(), get_description(), get_image_link(), get_image_url(), get_links(), et get_title().

◆ get_categories()

get_categories ( )

Get all categories for the feed

Uses <atom:category>, <category> or <dc:subject>

Depuis
Unknown
Renvoie
array|null List of {
Voir également
SimplePie_Category} objects

Références $category, $label, get_channel_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_category().

◆ get_category()

get_category ( $key = 0 )

Get a category for the feed

Depuis
Unknown
Paramètres
int $key The category that you want to return. Remember that arrays begin with 0, not 1
Renvoie
SimplePie_Category|null

Références $key, get_categories(), et null.

◆ get_channel_tags()

get_channel_tags | ( | $namespace,
 |  | $tag
 | ) |

Get data for an channel-level element

This method allows you to get access to ANY element/attribute in the channel/header section of the feed.

See {

Voir également
SimplePie::get_feed_tags()} for a description of the return value
Depuis
1.0
Voir également
http://simplepie.org/wiki/faq/supported_xml_namespaces
Paramètres
string | $namespace | The URL of the XML namespace of the elements you're trying to access
string | $tag | Tag name
Renvoie
array

Références $return, $type, get_feed_tags(), get_type(), null, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, SIMPLEPIE_NAMESPACE_RSS_20, SIMPLEPIE_TYPE_ATOM_ALL, SIMPLEPIE_TYPE_RSS_090, SIMPLEPIE_TYPE_RSS_10, et SIMPLEPIE_TYPE_RSS_SYNDICATION.

Référencé par get_authors(), get_categories(), get_contributors(), get_copyright(), get_description(), get_image_tags(), get_image_url(), get_items(), get_language(), get_latitude(), get_links(), get_longitude(), et get_title().

◆ get_contributor()

get_contributor ( $key = 0 )

Get a contributor for the feed

Depuis
1.1
Paramètres
int $key The contrbutor that you want to return. Remember that arrays begin with 0, not 1
Renvoie
SimplePie_Author|null

Références $key, get_contributors(), et null.

◆ get_contributors()

get_contributors ( )

Get all contributors for the feed

Uses <atom:contributor>

Depuis
1.1
Renvoie
array|null List of {
Voir également
SimplePie_Author} objects

Références $name, $uri, $url, get_base(), get_channel_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, et SIMPLEPIE_NAMESPACE_ATOM_10.

Référencé par get_contributor().

◆ get_copyright()

get_copyright ( )

Get the copyright info for the feed

Uses <atom:rights>, <atom:copyright> or <dc:rights>

Depuis
1.0 (previously called get_feed_copyright() since 0.8)
Renvoie
string|null

Références $return, elseif, get_base(), get_channel_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_description()

get_description ( )

Get the content for the item

Uses <atom:subtitle>, <atom:tagline>, <description>, <dc:description>, <itunes:summary> or <itunes:subtitle>

Depuis
1.0 (previously called get_feed_description() since 0.8)
Renvoie
string|null

Références $return, elseif, get_base(), get_channel_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_HTML, SIMPLEPIE_CONSTRUCT_MAYBE_HTML, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_ITUNES, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_encoding()

get_encoding ( )

Get the character encoding used for output

Depuis
Preview Release
Renvoie
string

Références sanitize().

Référencé par handle_content_type().

◆ get_favicon()

get_favicon ( )

Get the favicon for the current feed

Obsolète:
Use your own favicon handling instead

Références $url, get_link(), et null.

◆ get_feed_tags()

get_feed_tags | ( | $namespace,
 |  | $tag
 | ) |

Get data for an feed-level element

This method allows you to get access to ANY element/attribute that is a sub-element of the opening feed tag.

The return value is an indexed array of elements matching the given namespace and tag name. Each element has attribs, data and child subkeys. For attribs and child, these contain namespace subkeys. attribs then has one level of associative name => value data (where value is a string) after the namespace. child has tag-indexed keys after the namespace, each member of which is an indexed array matching this same format.

For example:

// This is probably a bad example because we already support
// <media:content> natively, but it shows you how to parse through
// the nodes.
$group = $item->get_item_tags(SIMPLEPIE_NAMESPACE_MEDIARSS, 'group');
$content = $group[0]['child'][SIMPLEPIE_NAMESPACE_MEDIARSS]['content'];
$file = $content[0]['attribs']['']['url'];
echo $file;
Depuis
1.0
Voir également
http://simplepie.org/wiki/faq/supported_xml_namespaces
Paramètres
string | $namespace | The URL of the XML namespace of the elements you're trying to access
string | $tag | Tag name
Renvoie
array

Références $type, get_type(), null, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_RDF, SIMPLEPIE_NAMESPACE_RSS_20, SIMPLEPIE_TYPE_ATOM_03, SIMPLEPIE_TYPE_ATOM_10, SIMPLEPIE_TYPE_RSS_RDF, et SIMPLEPIE_TYPE_RSS_SYNDICATION.

Référencé par get_channel_tags(), get_image_tags(), et get_items().

◆ get_image_height()

get_image_height ( )

Get the feed logo's height

RSS 2.0 feeds are allowed to have a "feed logo" height.

Uses <image><height> or defaults to 31.0 if no height is specified and the feed is an RSS 2.0 feed.

Renvoie
int|float|null

Références $return, elseif, get_image_tags(), get_type(), null, SIMPLEPIE_NAMESPACE_RSS_20, et SIMPLEPIE_TYPE_RSS_SYNDICATION.

◆ get_image_link()

get_image_link ( )

Get the feed logo's link

RSS 0.9.0, 1.0 and 2.0 feeds are allowed to have a "feed logo" link. This points to a human-readable page that the image should link to.

Uses <itunes:image>, <atom:logo>, <atom:icon>, <image><title> or <image><dc:title>

Renvoie
string|null

Références $return, elseif, get_base(), get_image_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_image_tags()

get_image_tags | ( | $namespace,
 |  | $tag
 | ) |

Get data for an channel-level element

This method allows you to get access to ANY element/attribute in the image/logo section of the feed.

See {

Voir également
SimplePie::get_feed_tags()} for a description of the return value
Depuis
1.0
Voir également
http://simplepie.org/wiki/faq/supported_xml_namespaces
Paramètres
string | $namespace | The URL of the XML namespace of the elements you're trying to access
string | $tag | Tag name
Renvoie
array

Références $image, $type, get_channel_tags(), get_feed_tags(), get_type(), null, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, SIMPLEPIE_NAMESPACE_RSS_20, SIMPLEPIE_TYPE_RSS_090, SIMPLEPIE_TYPE_RSS_10, et SIMPLEPIE_TYPE_RSS_SYNDICATION.

Référencé par get_image_height(), get_image_link(), get_image_title(), get_image_url(), et get_image_width().

◆ get_image_title()

get_image_title ( )

Get the feed logo's title

RSS 0.9.0, 1.0 and 2.0 feeds are allowed to have a "feed logo" title.

Uses <image><title> or <image><dc:title>

Renvoie
string|null

Références $return, elseif, get_image_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_image_url()

get_image_url ( )

Get the feed logo's URL

RSS 0.9.0, 2.0, Atom 1.0, and feeds with iTunes RSS tags are allowed to have a "feed logo" URL. This points directly to the image itself.

Uses <itunes:image>, <atom:logo>, <atom:icon>, <image><title> or <image><dc:title>

Renvoie
string|null

Références $return, elseif, get_base(), get_channel_tags(), get_image_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_ITUNES, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_image_width()

get_image_width ( )

Get the feed logo's link

RSS 2.0 feeds are allowed to have a "feed logo" width.

Uses <image><width> or defaults to 88.0 if no width is specified and the feed is an RSS 2.0 feed.

Renvoie
int|float|null

Références $return, elseif, get_image_tags(), get_type(), null, SIMPLEPIE_NAMESPACE_RSS_20, et SIMPLEPIE_TYPE_RSS_SYNDICATION.

◆ get_item()

get_item ( $key = 0 )

Get a single item from the feed

This is better suited for for() loops, whereas {

Voir également
get_items()} is better suited for foreach() loops.
get_item_quantity()
Depuis
Beta 2
Paramètres
int $key The item that you want to return. Remember that arrays begin with 0, not 1
Renvoie
SimplePie_Item|null

Références $items, $key, get_items(), et null.

◆ get_item_quantity()

get_item_quantity ( $max = 0 )

Get the number of items in the feed

This is well-suited for for() loops with {

Voir également
get_item()}
Paramètres
int $max Maximum value to return. 0 for no limit
Renvoie
int Number of items in the feed

Références get_items().

◆ get_items()

get_items | ( | $start = 0,
 |  | $end = 0
 | ) |

Get all items from the feed

This is better suited for for() loops, whereas {

Voir également
get_items()} is better suited for foreach() loops.
get_item_quantity
Depuis
Beta 2
Paramètres
int | $start | Index to start at
int | $end | Number of items to return. 0 for all items after $start
Renvoie
array|null List of {
Voir également
SimplePie_Item} objects

Références $item, $items, $key, $start, get_channel_tags(), get_feed_tags(), merge_items(), null, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_item(), et get_item_quantity().

◆ get_language()

get_language ( )

Get the language for the feed

Uses <language>, <dc:language>, or

Depuis
1.0 (previously called get_feed_language() since 0.8)
Renvoie
string|null

Références $return, elseif, get_channel_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_RDF, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_latitude()

get_latitude ( )

Get the latitude coordinates for the item

Compatible with the W3C WGS84 Basic Geo and GeoRSS specifications

Uses <geo:lat> or <georss:point>

Depuis
1.0 W3C WGS84 Basic Geo http://www.georss.org/ GeoRSS string|null

Références $return, elseif, get_channel_tags(), null, SIMPLEPIE_NAMESPACE_GEORSS, et SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO.

◆ get_link()

get_link | ( | $key = 0,
 |  | $rel = 'alternate'
 | ) |

Get a single link for the feed

Depuis
1.0 (previously called get_feed_link since Preview Release, get_feed_permalink() since 0.8)
Paramètres
int | $key | The link that you want to return. Remember that arrays begin with 0, not 1
string | $rel | The relationship of the link to return
Renvoie
string|null Link URL

Références $key, $rel, get_links(), et null.

Référencé par get_base(), get_favicon(), et get_permalink().

◆ get_links()

get_links ( $rel = 'alternate' )

Get all links for the feed

Uses <atom:link> or <link>

Depuis
Beta 2
Paramètres
string $rel The relationship of links to return
Renvoie
array|null Links found for the feed (strings)

Références $key, $link, $rel, elseif, get_base(), get_channel_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_IANA_LINK_RELATIONS_REGISTRY, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_link().

◆ get_longitude()

get_longitude ( )

Get the longitude coordinates for the feed

Compatible with the W3C WGS84 Basic Geo and GeoRSS specifications

Uses <geo:long>, <geo:lon> or <georss:point>

Depuis
1.0 W3C WGS84 Basic Geo http://www.georss.org/ GeoRSS string|null

Références $return, elseif, get_channel_tags(), null, SIMPLEPIE_NAMESPACE_GEORSS, et SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO.

◆ get_permalink()

get_permalink ( )

Get the permalink for the item

Returns the first link available with a relationship of "alternate". Identical to {

Voir également
get_link()} with key 0
get_link
Depuis
1.0 (previously called get_feed_link since Preview Release, get_feed_permalink() since 0.8)

Références get_link().

◆ get_raw_data()

get_raw_data ( )

Get the raw XML

This is the same as the old $feed->enable_xml_dump(true), but returns the data instead of printing it.

Renvoie
string|boolean Raw XML data, false if the cache is used

Références $raw_data.

◆ get_registry()

& get_registry ( )

Get the class registry

Use this to override SimplePie's default classes

Voir également
SimplePie_Registry
Renvoie
SimplePie_Registry

Références $registry.

◆ get_title()

get_title ( )

Get the title of the feed

Uses <atom:title>, <title> or <dc:title>

Depuis
1.0 (previously called get_feed_title since 0.8)
Renvoie
string|null

Références $return, elseif, get_base(), get_channel_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_MAYBE_HTML, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_type()

get_type ( )

Get the type of the feed

This returns a SIMPLEPIE_TYPE_* constant, which can be tested against using bitwise operators

Depuis
0.8 (usage changed to using constants in 1.0)
Voir également
SIMPLEPIE_TYPE_NONE Unknown.
SIMPLEPIE_TYPE_RSS_090 RSS 0.90.
SIMPLEPIE_TYPE_RSS_091_NETSCAPE RSS 0.91 (Netscape).
SIMPLEPIE_TYPE_RSS_091_USERLAND RSS 0.91 (Userland).
SIMPLEPIE_TYPE_RSS_091 RSS 0.91.
SIMPLEPIE_TYPE_RSS_092 RSS 0.92.
SIMPLEPIE_TYPE_RSS_093 RSS 0.93.
SIMPLEPIE_TYPE_RSS_094 RSS 0.94.
SIMPLEPIE_TYPE_RSS_10 RSS 1.0.
SIMPLEPIE_TYPE_RSS_20 RSS 2.0.x.
SIMPLEPIE_TYPE_RSS_RDF RDF-based RSS.
SIMPLEPIE_TYPE_RSS_SYNDICATION Non-RDF-based RSS (truly intended as syndication format).
SIMPLEPIE_TYPE_RSS_ALL Any version of RSS.
SIMPLEPIE_TYPE_ATOM_03 Atom 0.3.
SIMPLEPIE_TYPE_ATOM_10 Atom 1.0.
SIMPLEPIE_TYPE_ATOM_ALL Any version of Atom.
SIMPLEPIE_TYPE_ALL Any known/supported feed type.
Renvoie
int SIMPLEPIE_TYPE_* constant

Références elseif, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_RDF, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, SIMPLEPIE_NAMESPACE_RSS_20, SIMPLEPIE_TYPE_ALL, SIMPLEPIE_TYPE_ATOM_03, SIMPLEPIE_TYPE_ATOM_10, SIMPLEPIE_TYPE_NONE, SIMPLEPIE_TYPE_RSS_090, SIMPLEPIE_TYPE_RSS_091, SIMPLEPIE_TYPE_RSS_091_NETSCAPE, SIMPLEPIE_TYPE_RSS_091_USERLAND, SIMPLEPIE_TYPE_RSS_092, SIMPLEPIE_TYPE_RSS_093, SIMPLEPIE_TYPE_RSS_094, SIMPLEPIE_TYPE_RSS_10, SIMPLEPIE_TYPE_RSS_20, et SIMPLEPIE_TYPE_RSS_ALL.

Référencé par get_base(), get_channel_tags(), get_feed_tags(), get_image_height(), get_image_tags(), get_image_width(), et init().

◆ handle_content_type()

handle_content_type ( $mime = 'text/html' )

Send the content-type header with correct encoding

This method ensures that the SimplePie-enabled page is being served with the correct mime-type and character encoding HTTP headers (character encoding determined by the {

Voir également
set_output_encoding} config option).

This won't work properly if any content or whitespace has already been sent to the browser, because it relies on PHP's header() function, and these are the circumstances under which the function works.

Because it's setting these settings for the entire page (as is the nature of HTTP headers), this should only be used once per page (again, at the top).

Paramètres
string $mime MIME type to serve the page as

Références get_encoding().

◆ init()

init ( )

Initialize the feed object

This is what makes everything happen. Period. This is where all of the configuration options get processed, feeds are fetched, cached, and parsed, and all of that other good stuff.

Renvoie
boolean True if successful, false otherwise

Références $cache, $force_fsockopen, $i, $input_encoding, $timeout, $url, $useragent, elseif, error(), fetch_data(), get_type(), null, sanitize(), SIMPLEPIE_BUILD, et SIMPLEPIE_TYPE_NONE.

Référencé par __construct(), et fetch_data().

◆ merge_items()

static merge_items | ( | $urls,
 |  | $start = 0,
 |  | $end = 0,
 |  | $limit = 0
 | ) |
static

Merge items from several feeds into one

If you're merging multiple feeds together, they need to all have dates for the items or else SimplePie will refuse to sort them.

array $urls List of SimplePie feed objects to merge int $start Starting item int $end Number of items to return int $limit Maximum number of items per feed array

Références $item, $items, $limit, $start, $urls, et null.

Référencé par get_items().

◆ remove_div()

remove_div ( $enable = true )

Références sanitize().

Référencé par set_stupidly_fast().

◆ sanitize()

sanitize | ( | $data,
 |  | $type,
 |  | $base = ''
 | ) |

Sanitize feed data

private

Voir également
SimplePie_Sanitize::sanitize()
Paramètres
string | $data | Data to sanitize
int | $type | One of the SIMPLEPIE_CONSTRUCT_* constants
string | $base | Base URL to resolve URLs against
Renvoie
string Sanitized data

Références $base, $data, et $type.

Référencé par __construct(), encode_instead_of_strip(), get_authors(), get_categories(), get_contributors(), get_copyright(), get_description(), get_encoding(), get_image_link(), get_image_title(), get_image_url(), get_language(), get_links(), get_title(), init(), remove_div(), set_image_handler(), set_output_encoding(), set_url_replacements(), strip_attributes(), strip_comments(), strip_htmltags(), et subscribe_url().

◆ set_author_class()

set_author_class ( $class = 'SimplePie_Author' )

Set which class SimplePie uses for handling author data

Références $class.

◆ set_autodiscovery_cache_duration()

set_autodiscovery_cache_duration ( $seconds = 604800 )

Set the length of time (in seconds) that the autodiscovered feed URL will be cached

Paramètres
int $seconds The autodiscovered feed URL cache duration.

◆ set_autodiscovery_level()

set_autodiscovery_level ( $level = SIMPLEPIE_LOCATOR_ALL )

Set how much feed autodiscovery to do

Voir également
SIMPLEPIE_LOCATOR_NONE
SIMPLEPIE_LOCATOR_AUTODISCOVERY
SIMPLEPIE_LOCATOR_LOCAL_EXTENSION
SIMPLEPIE_LOCATOR_LOCAL_BODY
SIMPLEPIE_LOCATOR_REMOTE_EXTENSION
SIMPLEPIE_LOCATOR_REMOTE_BODY
SIMPLEPIE_LOCATOR_ALL
Paramètres
int $level Feed Autodiscovery Level (level can be a combination of the above constants, see bitwise OR operator)

◆ set_cache_class()

set_cache_class ( $class = 'SimplePie_Cache' )

#+ Useful when you are overloading or extending SimplePie's default classes.

Obsolète:
Use {
Voir également
get_registry()} instead PHP5 extends documentation string $class Name of custom class boolean True on success, false otherwise Set which class SimplePie uses for caching

Références $class.

◆ set_cache_duration()

set_cache_duration ( $seconds = 3600 )

Set the length of time (in seconds) that the contents of a feed will be cached

Paramètres
int $seconds The feed content cache duration

Référencé par __construct().

◆ set_cache_location()

set_cache_location ( $location = './cache' )

Set the file system location where the cached files should be stored

Paramètres
string $location The file system location.

Références $location.

Référencé par __construct().

◆ set_cache_name_function()

set_cache_name_function ( $function = 'md5' )

Set callback function to create cache filename with

Paramètres
mixed $function Callback function

Références $function.

◆ set_caption_class()

set_caption_class ( $class = 'SimplePie_Caption' )

Set which class SimplePie uses for <media:text> captions

Références $class.

◆ set_category_class()

set_category_class ( $class = 'SimplePie_Category' )

Set which class SimplePie uses for handling category data

Références $class.

◆ set_content_type_sniffer_class()

set_content_type_sniffer_class ( $class = 'SimplePie_Content_Type_Sniffer' )

Set which class SimplePie uses for content-type sniffing

Références $class.

◆ set_copyright_class()

set_copyright_class ( $class = 'SimplePie_Copyright' )

Set which class SimplePie uses for <media:copyright>

Références $class.

◆ set_credit_class()

set_credit_class ( $class = 'SimplePie_Credit' )

Set which class SimplePie uses for <media:credit>

Références $class.

◆ set_enclosure_class()

set_enclosure_class ( $class = 'SimplePie_Enclosure' )

Set which class SimplePie uses for feed enclosures

Références $class.

◆ set_favicon_handler()

set_favicon_handler | ( | $page = false,
 |  | $qs = 'i'
 | ) |

Set the favicon handler

Obsolète:
Use your own favicon handling instead

◆ set_feed_url()

set_feed_url ( $url )

Set the URL of the feed you want to parse

This allows you to enter the URL of the feed you want to parse, or the website you want to try to use auto-discovery on. This takes priority over any set raw data.

You can set multiple feeds to mash together by passing an array instead of a string for the $url. Remember that with each additional feed comes additional processing and resources.

Depuis
1.0 Preview Release
Voir également
set_raw_data()
Paramètres
string | array $url This is the URL (or array of URLs) that you want to parse.

Références $url, et $value.

Référencé par __construct(), et fetch_data().

◆ set_file()

set_file ( & $file )

Set an instance of {

Voir également
SimplePie_File} to use as a feed
Paramètres
SimplePie_File &$file
Renvoie
bool True on success, false on failure

Références $file.

◆ set_file_class()

set_file_class ( $class = 'SimplePie_File' )

Set which class SimplePie uses for remote file fetching

Références $class.

◆ set_image_handler()

set_image_handler | ( | $page = false,
 |  | $qs = 'i'
 | ) |

Set the handler to enable the display of cached images.

Paramètres
str | $page | Web-accessible path to the handler_image.php file.
str | $qs | The query string that the value should be passed to.

Références sanitize().

Référencé par set_stupidly_fast().

◆ set_input_encoding()

set_input_encoding ( $encoding = false )

Set the character encoding used to parse the feed

This overrides the encoding reported by the feed, however it will fall back to the normal encoding detection if the override fails

Paramètres
string $encoding Character encoding

◆ set_item_class()

set_item_class ( $class = 'SimplePie_Item' )

Set which class SimplePie uses for handling feed items

Références $class.

◆ set_item_limit()

set_item_limit ( $limit = 0 )

Set the limit for items returned per-feed with multifeeds

Paramètres
integer $limit The maximum number of items to return.

Références $limit.

◆ set_locator_class()

set_locator_class ( $class = 'SimplePie_Locator' )

Set which class SimplePie uses for auto-discovery

Références $class.

◆ set_max_checked_feeds()

set_max_checked_feeds ( $max = 10 )

Set maximum number of feeds to check with autodiscovery

Paramètres
int $max Maximum number of feeds to check

◆ set_output_encoding()

set_output_encoding ( $encoding = 'UTF-8' )

Set the output encoding

Allows you to override SimplePie's output to match that of your webpage. This is useful for times when your webpages are not being served as UTF-8. This setting will be obeyed by {

Voir également
handle_content_type()}, and is similar to {
set_input_encoding()}.

It should be noted, however, that not all character encodings can support all characters. If your page is being served as ISO-8859-1 and you try to display a Japanese feed, you'll likely see garbled characters. Because of this, it is highly recommended to ensure that your webpages are served as UTF-8.

The number of supported character encodings depends on whether your web host supports mbstring, iconv, or both. See http://simplepie.org/wiki/faq/Supported_Character_Encodings for more information.

Paramètres
string $encoding

Références sanitize().

◆ set_parser_class()

set_parser_class ( $class = 'SimplePie_Parser' )

Set which class SimplePie uses for XML parsing

Références $class.

◆ set_rating_class()

set_rating_class ( $class = 'SimplePie_Rating' )

Set which class SimplePie uses for <media:rating>

Références $class.

◆ set_raw_data()

set_raw_data ( $data )

Set the raw XML data to parse

Allows you to use a string of RSS/Atom data instead of a remote feed.

If you have a feed available as a string in PHP, you can tell SimplePie to parse that data string instead of a remote feed. Any set feed URL takes precedence.

Depuis
1.0 Beta 3
Paramètres
string $data RSS or Atom data as a string.
Voir également
set_feed_url()

Références $data.

◆ set_restriction_class()

set_restriction_class ( $class = 'SimplePie_Restriction' )

Set which class SimplePie uses for <media:restriction>

Références $class.

◆ set_sanitize_class()

set_sanitize_class ( $class = 'SimplePie_Sanitize' )

Set which class SimplePie uses for data sanitization

Références $class.

◆ set_source_class()

set_source_class ( $class = 'SimplePie_Source' )

Set which class SimplePie uses item sources

Références $class.

◆ set_stupidly_fast()

set_stupidly_fast ( $set = false )

Set options to make SP as fast as possible

Forgoes a substantial amount of data sanitization in favor of speed. This turns SimplePie into a dumb parser of feeds.

Paramètres
bool $set Whether to set them or not

Références enable_order_by_date(), remove_div(), set_image_handler(), strip_attributes(), strip_comments(), et strip_htmltags().

◆ set_timeout()

set_timeout ( $timeout = 10 )

Set the the default timeout for fetching remote feeds

This allows you to change the maximum time the feed's server to respond and send the feed back.

Depuis
1.0 Beta 3
Paramètres
int $timeout The maximum number of seconds to spend waiting to retrieve a feed.

Références $timeout.

◆ set_url_replacements()

set_url_replacements ( $element_attribute = null )

Set element/attribute key/value pairs of HTML attributes containing URLs that need to be resolved relative to the feed

Defaults to |a|, |area|, |blockquote|

Références sanitize().

◆ set_useragent()

set_useragent ( $ua = SIMPLEPIE_USERAGENT )

#- Set the user agent string

Paramètres
string $ua New user agent string.

◆ sort_items()

static sort_items | ( | $a,
 |  | $b
 | ) |
static

Sorting callback for items

private

Paramètres
SimplePie | $a
SimplePie | $b
Renvoie
boolean

Références $b.

◆ strip_attributes()

array Stores the default attributes to be stripped by strip_attributes ( $attribs = '' )
Voir également
SimplePie::strip_attributes() private

Références $attribs, $strip_attributes, et sanitize().

Référencé par set_stupidly_fast().

◆ strip_comments()

strip_comments ( $strip = false )

Références sanitize().

Référencé par set_stupidly_fast().

◆ strip_htmltags()

array Stores the default tags to be stripped by strip_htmltags | ( | $tags = '',
 |  | $encode = null
 | ) |
Voir également
SimplePie::strip_htmltags() private

Références $strip_htmltags, null, et sanitize().

Référencé par set_stupidly_fast().

◆ subscribe_url()

subscribe_url ( )

Get the URL for the feed

May or may not be different from the URL passed to {

Voir également
set_feed_url()}, depending on whether auto-discovery was used.
Depuis
Preview Release (previously called get_feed_url() since SimplePie 0.8.)
Renvoie
string|null

Références null, sanitize(), et SIMPLEPIE_CONSTRUCT_IRI.

Référencé par get_base().

Documentation des champs

◆ $all_discovered_feeds

$all_discovered_feeds = array()

Référencé par get_all_discovered_feeds().

◆ $autodiscovery

$autodiscovery = SIMPLEPIE_LOCATOR_ALL

◆ $autodiscovery_cache_duration

$autodiscovery_cache_duration = 604800

◆ $cache

$cache = true

Référencé par fetch_data(), et init().

◆ $cache_duration

$cache_duration = 3600

◆ $cache_location

$cache_location = './cache'

◆ $cache_name_function

$cache_name_function = 'md5'

◆ $config_settings

$config_settings = null

◆ $data

$data = array()

Référencé par sanitize(), et set_raw_data().

◆ $error

$error

Référencé par error().

◆ $feed_url

$feed_url

◆ $file

$file

Référencé par __call(), fetch_data(), et set_file().

◆ $force_feed

$force_feed = false

◆ $force_fsockopen

$force_fsockopen = false

Référencé par init().

◆ $image_handler

$image_handler = ''

◆ $input_encoding

$input_encoding = false

Référencé par init().

◆ $item_limit

$item_limit = 0

◆ $max_checked_feeds

$max_checked_feeds = 10

◆ $multifeed_objects

$multifeed_objects = array()

◆ $multifeed_url

$multifeed_url = array()

◆ $order_by_date

$order_by_date = true

◆ $raw_data

$raw_data

Référencé par get_raw_data().

◆ $registry

$registry

Référencé par get_registry().

◆ $sanitize

$sanitize

◆ $strip_attributes

$strip_attributes = array('bgsound', 'class', 'expr', 'id', 'style', 'onclick', 'onerror', 'onfinish', 'onmouseover', 'onmouseout', 'onfocus', 'onblur', 'lowsrc', 'dynsrc')

Référencé par strip_attributes().

◆ $strip_htmltags

$strip_htmltags = array('base', 'blink', 'body', 'doctype', 'embed', 'font', 'form', 'frame', 'frameset', 'html', 'iframe', 'input', 'marquee', 'meta', 'noscript', 'object', 'param', 'script', 'style')

Référencé par strip_htmltags().

◆ $timeout

$timeout = 10

Référencé par init(), et set_timeout().

◆ $useragent

$useragent = SIMPLEPIE_USERAGENT

Référencé par init().

La documentation de cette classe a été générée à partir du fichier suivant :
  • SimplePie.php


Joomla CMS: Référence de la classe SimplePie_Author

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Author

Fonctions membres publiques

__construct ($name=null, $link=null, $email=null)
__toString ()
get_name ()
get_link ()
get_email ()

Champs de données

$name
$link
$email

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $name = null,
 |  | $link = null,
 |  | $email = null
 | ) |

Constructor, used to input the data

Paramètres
string | $name
string | $link
string | $email

Références $email, $link, $name, et name.

Documentation des fonctions membres

◆ __toString()

__toString ( )

String-ified version

Renvoie
string

◆ get_email()

get_email ( )

Author's email address

Renvoie
string|null

Références $email, et null.

◆ get_link()

get_link ( )

Author's link

Renvoie
string|null

Références $link, et null.

◆ get_name()

get_name ( )

Author's name

Renvoie
string|null

Références $name, name, et null.

Documentation des champs

◆ $email

$email

Référencé par __construct(), et get_email().

◆ $link

$link

Référencé par __construct(), et get_link().

◆ $name

$name

Référencé par __construct(), et get_name().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Author.php


Joomla CMS: Référence de la classe SimplePie_Autoloader

Fonctions membres publiques
Référence de la classe SimplePie_Autoloader

Fonctions membres publiques

__construct ()
autoload ($class)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

Références DIRECTORY_SEPARATOR.

Documentation des fonctions membres

◆ autoload()

autoload ( $class )

Autoloader

Paramètres
string $class The name of the class to attempt to load.

Références $class, et DIRECTORY_SEPARATOR.

La documentation de cette classe a été générée à partir du fichier suivant :
  • autoloader.php


Joomla CMS: Référence de la classe SimplePie_Cache

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs protégés statiques | Fonctions membres privées
Référence de la classe SimplePie_Cache

Fonctions membres publiques

create ($location, $filename, $extension)

Fonctions membres publiques statiques

static | get_handler ($location, $filename, $extension)
static | register ($type, $class)
static | parse_URL ($url)

Attributs protégés statiques

static $handlers

Fonctions membres privées

__construct ()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )
private

Don't call the constructor. Please.

Documentation des fonctions membres

◆ create()

create | ( | $location,
 |  | $filename,
 |  | $extension
 | ) |

Create a new SimplePie_Cache object

Obsolète:
Use {
Voir également
get_handler} instead

Références $extension, et $location.

◆ get_handler()

static get_handler | ( | $location,
 |  | $filename,
 |  | $extension
 | ) |
static

Create a new SimplePie_Cache object

Paramètres
string | $location | URL location (scheme is used to determine handler)
string | $filename | Unique identifier for cache object
string | $extension | 'spi' or 'spc'
Renvoie
SimplePie_Cache_Base Type of object depends on scheme of $location

Références $class, $extension, $location, et $type.

◆ parse_URL()

static parse_URL ( $url )
static

Parse a URL into an array

Paramètres
string $url
Renvoie
array

Références $params, et $url.

Référencé par SimplePie_Cache_MySQL\__construct(), et SimplePie_Cache_Memcache\__construct().

◆ register()

static register | ( | $type,
 |  | $class
 | ) |
static

Register a handler

Paramètres
string | $type | DSN type to register for
string | $class | Name of handler class. Must implement SimplePie_Cache_Base

Références $class, et $type.

Documentation des champs

◆ $handlers

$handlers
staticprotected
Valeur initiale :
= array(
'mysql' => 'SimplePie_Cache_MySQL',
'memcache' => 'SimplePie_Cache_Memcache',
)
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/simplepie/simplepie/library/SimplePie/Cache.php


Joomla CMS: Référence de l'interface SimplePie_Cache_Base

Fonctions membres publiques | Champs de données
Référence de l'interface SimplePie_Cache_Base
+ Graphe d'héritage de SimplePie_Cache_Base:
SimplePie_Cache_DB SimplePie_Cache_File SimplePie_Cache_Memcache SimplePie_Cache_MySQL

Fonctions membres publiques

__construct ($location, $name, $type)
save ($data)
load ()
mtime ()
touch ()
unlink ()

Champs de données

const | TYPE_FEED = 'spc'
const | TYPE_IMAGE = 'spi'

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $location,
 |  | $name,
 |  | $type
 | ) |

Create a new cache object

Paramètres
string | $location | Location string (from SimplePie::$cache_location)
string | $name | Unique ID for the cache
string | $type | Either TYPE_FEED for SimplePie data, or TYPE_IMAGE for image data

Implémenté dans SimplePie_Cache_File, SimplePie_Cache_Memcache, et SimplePie_Cache_MySQL.

Documentation des fonctions membres

◆ load()

load ( )

Retrieve the data saved to the cache

Renvoie
array Data for SimplePie::$data

Implémenté dans SimplePie_Cache_MySQL, SimplePie_Cache_Memcache, et SimplePie_Cache_File.

◆ mtime()

mtime ( )

Retrieve the last modified time for the cache

Renvoie
int Timestamp

Implémenté dans SimplePie_Cache_MySQL, SimplePie_Cache_Memcache, et SimplePie_Cache_File.

◆ save()

save ( $data )

Save data to the cache

Paramètres
array | SimplePie $data Data to store in the cache. If passed a SimplePie object, only cache the $data property
Renvoie
bool Successfulness

Implémenté dans SimplePie_Cache_MySQL, SimplePie_Cache_Memcache, et SimplePie_Cache_File.

◆ touch()

touch ( )

Set the last modified time to the current time

Renvoie
bool Success status

Implémenté dans SimplePie_Cache_MySQL, SimplePie_Cache_Memcache, et SimplePie_Cache_File.

◆ unlink()

unlink ( )

Remove the cache

Renvoie
bool Success status

Implémenté dans SimplePie_Cache_MySQL, SimplePie_Cache_Memcache, et SimplePie_Cache_File.

Documentation des champs

◆ TYPE_FEED

const TYPE_FEED = 'spc'

◆ TYPE_IMAGE

const TYPE_IMAGE = 'spi'
La documentation de cette interface a été générée à partir du fichier suivant :
  • Base.php


Joomla CMS: Référence de la classe SimplePie_Cache_DB

Fonctions membres protégées statiques
Référence de la classe SimplePie_Cache_DB
+ Graphe d'héritage de SimplePie_Cache_DB:
SimplePie_Cache_Base SimplePie_Cache_MySQL

Fonctions membres protégées statiques

static prepare_simplepie_object_for_cache ($data)

Membres hérités additionnels

- Fonctions membres publiques hérités de SimplePie_Cache_Base
__construct ($location, $name, $type)
save ($data)
load ()
mtime ()
touch ()
unlink ()
- Champs de données hérités de SimplePie_Cache_Base
const | TYPE_FEED = 'spc'
const | TYPE_IMAGE = 'spi'

Documentation des fonctions membres

◆ prepare_simplepie_object_for_cache()

static prepare_simplepie_object_for_cache ( $data )
staticprotected

Helper for database conversion

Converts a given {

Voir également
SimplePie} object into data to be stored
Paramètres
SimplePie $data
Renvoie
array First item is the serialized data for storage, second item is the unique ID for this item

Références $data, $item, $items, elseif, null, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_RDF, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

La documentation de cette classe a été générée à partir du fichier suivant :
  • DB.php


Joomla CMS: Référence de la classe SimplePie_Cache_File

Fonctions membres publiques | Attributs protégés
Référence de la classe SimplePie_Cache_File
+ Graphe d'héritage de SimplePie_Cache_File:
SimplePie_Cache_Base

Fonctions membres publiques

__construct ($location, $name, $type)
save ($data)
load ()
mtime ()
touch ()
unlink ()

Attributs protégés

$location
$filename
$extension
$name

Membres hérités additionnels

- Champs de données hérités de SimplePie_Cache_Base
const | TYPE_FEED = 'spc'
const | TYPE_IMAGE = 'spi'

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $location,
 |  | $name,
 |  | $type
 | ) |

Create a new cache object

Paramètres
string | $location | Location string (from SimplePie::$cache_location)
string | $name | Unique ID for the cache
string | $type | Either TYPE_FEED for SimplePie data, or TYPE_IMAGE for image data

Implémente SimplePie_Cache_Base.

Références $location, $name, $type, extension, location, et name.

Documentation des fonctions membres

◆ load()

load ( )

Retrieve the data saved to the cache

Renvoie
array Data for SimplePie::$data

Implémente SimplePie_Cache_Base.

Références name.

◆ mtime()

mtime ( )

Retrieve the last modified time for the cache

Renvoie
int Timestamp

Implémente SimplePie_Cache_Base.

Références name.

◆ save()

save ( $data )

Save data to the cache

Paramètres
array | SimplePie $data Data to store in the cache. If passed a SimplePie object, only cache the $data property
Renvoie
bool Successfulness

Implémente SimplePie_Cache_Base.

Références $data, location, et name.

◆ touch()

touch ( )

Set the last modified time to the current time

Renvoie
bool Success status

Implémente SimplePie_Cache_Base.

Références name.

◆ unlink()

unlink ( )

Remove the cache

Renvoie
bool Success status

Implémente SimplePie_Cache_Base.

Références name.

Documentation des champs

◆ $extension

$extension
protected

◆ $filename

$filename
protected

◆ $location

$location
protected

Référencé par __construct().

◆ $name

$name
protected

Référencé par __construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/simplepie/simplepie/library/SimplePie/Cache/File.php


Joomla CMS: Référence de la classe SimplePie_Cache_Memcache

Fonctions membres publiques | Attributs protégés
Référence de la classe SimplePie_Cache_Memcache
+ Graphe d'héritage de SimplePie_Cache_Memcache:
SimplePie_Cache_Base

Fonctions membres publiques

__construct ($location, $name, $type)
save ($data)
load ()
mtime ()
touch ()
unlink ()

Attributs protégés

$cache
$options
$name

Membres hérités additionnels

- Champs de données hérités de SimplePie_Cache_Base
const | TYPE_FEED = 'spc'
const | TYPE_IMAGE = 'spi'

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $location,
 |  | $name,
 |  | $type
 | ) |

Create a new cache object

Paramètres
string | $location | Location string (from SimplePie::$cache_location)
string | $name | Unique ID for the cache
string | $type | Either TYPE_FEED for SimplePie data, or TYPE_IMAGE for image data

Implémente SimplePie_Cache_Base.

Références $location, name, et SimplePie_Cache\parse_URL().

Documentation des fonctions membres

◆ load()

load ( )

Retrieve the data saved to the cache

Renvoie
array Data for SimplePie::$data

Implémente SimplePie_Cache_Base.

Références $data, et name.

◆ mtime()

mtime ( )

Retrieve the last modified time for the cache

Renvoie
int Timestamp

Implémente SimplePie_Cache_Base.

Références $data, et name.

◆ save()

save ( $data )

Save data to the cache

Paramètres
array | SimplePie $data Data to store in the cache. If passed a SimplePie object, only cache the $data property
Renvoie
bool Successfulness

Implémente SimplePie_Cache_Base.

Références $data, et name.

◆ touch()

touch ( )

Set the last modified time to the current time

Renvoie
bool Success status

Implémente SimplePie_Cache_Base.

Références $data, et name.

◆ unlink()

unlink ( )

Remove the cache

Renvoie
bool Success status

Implémente SimplePie_Cache_Base.

Références name.

Documentation des champs

◆ $cache

$cache
protected

◆ $name

$name
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • simplepie/simplepie/library/SimplePie/Cache/Memcache.php


Joomla CMS: Référence de la classe SimplePie_Cache_MySQL

Fonctions membres publiques | Attributs protégés
Référence de la classe SimplePie_Cache_MySQL
+ Graphe d'héritage de SimplePie_Cache_MySQL:
SimplePie_Cache_DB SimplePie_Cache_Base

Fonctions membres publiques

__construct ($location, $name, $type)
save ($data)
load ()
mtime ()
touch ()
unlink ()

Attributs protégés

$mysql
$options
$id

Membres hérités additionnels

- Champs de données hérités de SimplePie_Cache_Base
const | TYPE_FEED = 'spc'
const | TYPE_IMAGE = 'spi'
- Fonctions membres protégées statiques hérités de SimplePie_Cache_DB
static | prepare_simplepie_object_for_cache ($data)

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $location,
 |  | $name,
 |  | $type
 | ) |

Create a new cache object

Paramètres
string | $location | Location string (from SimplePie::$cache_location)
string | $name | Unique ID for the cache
string | $type | Either TYPE_FEED for SimplePie data, or TYPE_IMAGE for image data

Implémente SimplePie_Cache_Base.

Références $db, $location, $name, $query, $row, $type, null, et SimplePie_Cache\parse_URL().

Documentation des fonctions membres

◆ load()

load ( )

Retrieve the data saved to the cache

Renvoie
array Data for SimplePie::$data

Implémente SimplePie_Cache_Base.

Références $data, $feed, $items, $query, $row, elseif, null, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_RDF, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ mtime()

mtime ( )

Retrieve the last modified time for the cache

Renvoie
int Timestamp

Implémente SimplePie_Cache_Base.

Références $query, et null.

◆ save()

save ( $data )

Save data to the cache

Paramètres
array | SimplePie $data Data to store in the cache. If passed a SimplePie object, only cache the $data property
Renvoie
bool Successfulness

Implémente SimplePie_Cache_Base.

Références $data, $date, $id, $items, $query, $row, et null.

◆ touch()

touch ( )

Set the last modified time to the current time

Renvoie
bool Success status

Implémente SimplePie_Cache_Base.

Références $query, et null.

◆ unlink()

unlink ( )

Remove the cache

Renvoie
bool Success status

Implémente SimplePie_Cache_Base.

Références $query, et null.

Documentation des champs

◆ $id

$id
protected

Référencé par save().

◆ $mysql

$mysql
protected

◆ $options

$options
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • MySQL.php


Joomla CMS: Référence de la classe SimplePie_Caption

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Caption

Fonctions membres publiques

__construct ($type=null, $lang=null, $startTime=null, $endTime=null, $text=null)
__toString ()
get_endtime ()
get_language ()
get_starttime ()
get_text ()
get_type ()

Champs de données

$type
$lang
$startTime
$endTime
$text

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $type = null,
 |  | $lang = null,
 |  | $startTime = null,
 |  | $endTime = null,
 |  | $text = null
 | ) |

Constructor, used to input the data

For documentation on all the parameters, see the corresponding properties and their accessors

Références $endTime, $lang, $startTime, $text, $type, et text.

Documentation des fonctions membres

◆ __toString()

__toString ( )

String-ified version

Renvoie
string

◆ get_endtime()

get_endtime ( )

Get the end time

Renvoie
string|null Time in the format 'hh:mm:ss.SSS'

Références $endTime, et null.

◆ get_language()

get_language ( )

Get the language

string|null Language code as per RFC 3066

Références $lang, et null.

◆ get_starttime()

get_starttime ( )

Get the start time

Renvoie
string|null Time in the format 'hh:mm:ss.SSS'

Références $startTime, et null.

◆ get_text()

get_text ( )

Get the text of the caption

Renvoie
string|null

Références $text, null, et text.

◆ get_type()

get_type ( )

Get the content type (not MIME type)

Renvoie
string|null Either 'text' or 'html'

Références $type, et null.

Documentation des champs

◆ $endTime

$endTime

Référencé par __construct(), et get_endtime().

◆ $lang

$lang

Référencé par __construct(), et get_language().

◆ $startTime

$startTime

Référencé par __construct(), et get_starttime().

◆ $text

$text

Référencé par __construct(), et get_text().

◆ $type

$type

Référencé par __construct(), et get_type().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Caption.php


Joomla CMS: Référence de la classe SimplePie_Category

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Category

Fonctions membres publiques

__construct ($term=null, $scheme=null, $label=null)
__toString ()
get_term ()
get_scheme ()
get_label ()

Champs de données

$term
$scheme
$label

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $term = null,
 |  | $scheme = null,
 |  | $label = null
 | ) |

Constructor, used to input the data

Paramètres
string | $term
string | $scheme
string | $label

Références $label, $scheme, et $term.

Documentation des fonctions membres

◆ __toString()

__toString ( )

String-ified version

Renvoie
string

◆ get_label()

get_label ( )

Get the human readable label

Renvoie
string|null

Références $label, get_term(), et null.

◆ get_scheme()

get_scheme ( )

Get the categorization scheme identifier

Renvoie
string|null

Références $scheme, et null.

◆ get_term()

get_term ( )

Get the category identifier

Renvoie
string|null

Références $term, et null.

Référencé par get_label().

Documentation des champs

◆ $label

$label

Référencé par __construct(), et get_label().

◆ $scheme

$scheme

Référencé par __construct(), et get_scheme().

◆ $term

$term

Référencé par __construct(), et get_term().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/simplepie/simplepie/library/SimplePie/Category.php


Joomla CMS: Référence de la classe SimplePie_Content_Type_Sniffer

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Content_Type_Sniffer

Fonctions membres publiques

__construct ($file)
get_type ()
text_or_binary ()
unknown ()
image ()
feed_or_html ()

Champs de données

$file

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $file )

Create an instance of the class with the input file

Paramètres
SimplePie_Content_Type_Sniffer $file Input file

Références $file.

Documentation des fonctions membres

◆ feed_or_html()

feed_or_html ( )

Sniff HTML

Renvoie
string Actual Content-Type

Références elseif.

Référencé par get_type().

◆ get_type()

get_type ( )

Get the Content-Type of the specified file

Renvoie
string Actual Content-Type

Références $return, elseif, feed_or_html(), image(), text_or_binary(), et unknown().

◆ image()

image ( )

Sniff images

Renvoie
string Actual Content-Type

Références elseif.

Référencé par get_type().

◆ text_or_binary()

text_or_binary ( )

Sniff text or binary

Renvoie
string Actual Content-Type

Références elseif.

Référencé par get_type(), et unknown().

◆ unknown()

unknown ( )

Sniff unknown

Renvoie
string Actual Content-Type

Références elseif, et text_or_binary().

Référencé par get_type().

Documentation des champs

◆ $file

$file

Référencé par __construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Sniffer.php


Joomla CMS: Référence de la classe SimplePie_Copyright

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Copyright

Fonctions membres publiques

__construct ($url=null, $label=null)
__toString ()
get_url ()
get_attribution ()

Champs de données

$url
$label

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $url = null,
 |  | $label = null
 | ) |

Constructor, used to input the data

For documentation on all the parameters, see the corresponding properties and their accessors

Références $label, $url, et url.

Documentation des fonctions membres

◆ __toString()

__toString ( )

String-ified version

Renvoie
string

◆ get_attribution()

get_attribution ( )

Get the attribution text

Renvoie
string|null

Références $label, et null.

◆ get_url()

get_url ( )

Get the copyright URL

Renvoie
string|null URL to copyright information

Références $url, null, et url.

Documentation des champs

◆ $label

$label

Référencé par __construct(), et get_attribution().

◆ $url

$url

Référencé par __construct(), et get_url().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Copyright.php


Joomla CMS: Référence de la classe SimplePie_Core

Référence de la classe SimplePie_Core
+ Graphe d'héritage de SimplePie_Core:
SimplePie

Membres hérités additionnels

- Fonctions membres publiques hérités de SimplePie
__construct ()
__toString ()
__destruct ()
force_feed ($enable=false)
set_feed_url ($url)
set_file (&$file)
set_raw_data ($data)
set_timeout ($timeout=10)
force_fsockopen ($enable=false)
enable_cache ($enable=true)
set_cache_duration ($seconds=3600)
set_autodiscovery_cache_duration ($seconds=604800)
set_cache_location ($location='./cache')
enable_order_by_date ($enable=true)
set_input_encoding ($encoding=false)
set_autodiscovery_level ($level=SIMPLEPIE_LOCATOR_ALL)
& get_registry ()
set_cache_class ($class='SimplePie_Cache')
set_locator_class ($class='SimplePie_Locator')
set_parser_class ($class='SimplePie_Parser')
set_file_class ($class='SimplePie_File')
set_sanitize_class ($class='SimplePie_Sanitize')
set_item_class ($class='SimplePie_Item')
set_author_class ($class='SimplePie_Author')
set_category_class ($class='SimplePie_Category')
set_enclosure_class ($class='SimplePie_Enclosure')
set_caption_class ($class='SimplePie_Caption')
set_copyright_class ($class='SimplePie_Copyright')
set_credit_class ($class='SimplePie_Credit')
set_rating_class ($class='SimplePie_Rating')
set_restriction_class ($class='SimplePie_Restriction')
set_content_type_sniffer_class ($class='SimplePie_Content_Type_Sniffer')
set_source_class ($class='SimplePie_Source')
set_useragent ($ua=SIMPLEPIE_USERAGENT)
set_cache_name_function ($function='md5')
set_stupidly_fast ($set=false)
set_max_checked_feeds ($max=10)
remove_div ($enable=true)
strip_htmltags ($tags='', $encode=null)
encode_instead_of_strip ($enable=true)
strip_attributes ($attribs='')
set_output_encoding ($encoding='UTF-8')
strip_comments ($strip=false)
set_url_replacements ($element_attribute=null)
set_image_handler ($page=false, $qs='i')
set_item_limit ($limit=0)
init ()
error ()
get_raw_data ()
get_encoding ()
handle_content_type ($mime='text/html')
get_type ()
subscribe_url ()
get_feed_tags ($namespace, $tag)
get_channel_tags ($namespace, $tag)
get_image_tags ($namespace, $tag)
get_base ($element=array())
sanitize ($data, $type, $base='')
get_title ()
get_category ($key=0)
get_categories ()
get_author ($key=0)
get_authors ()
get_contributor ($key=0)
get_contributors ()
get_link ($key=0, $rel='alternate')
get_permalink ()
get_links ($rel='alternate')
get_all_discovered_feeds ()
get_description ()
get_copyright ()
get_language ()
get_latitude ()
get_longitude ()
get_image_title ()
get_image_url ()
get_image_link ()
get_image_width ()
get_image_height ()
get_item_quantity ($max=0)
get_item ($key=0)
get_items ($start=0, $end=0)
set_favicon_handler ($page=false, $qs='i')
get_favicon ()
__call ($method, $args)
- Fonctions membres publiques statiques hérités de SimplePie
static | sort_items ($a, $b)
static | merge_items ($urls, $start=0, $end=0, $limit=0)
- Champs de données hérités de SimplePie
$data = array()
$error
$sanitize
$useragent = SIMPLEPIE_USERAGENT
$feed_url
$file
$raw_data
$timeout = 10
$force_fsockopen = false
$force_feed = false
$cache = true
$cache_duration = 3600
$autodiscovery_cache_duration = 604800
$cache_location = './cache'
$cache_name_function = 'md5'
$order_by_date = true
$input_encoding = false
$autodiscovery = SIMPLEPIE_LOCATOR_ALL
$registry
$max_checked_feeds = 10
$all_discovered_feeds = array()
$image_handler = ''
$multifeed_url = array()
$multifeed_objects = array()
$config_settings = null
$item_limit = 0
$strip_attributes = array('bgsound', 'class', 'expr', 'id', 'style', 'onclick', 'onerror', 'onfinish', 'onmouseover', 'onmouseout', 'onfocus', 'onblur', 'lowsrc', 'dynsrc')
$strip_htmltags = array('base', 'blink', 'body', 'doctype', 'embed', 'font', 'form', 'frame', 'frameset', 'html', 'iframe', 'input', 'marquee', 'meta', 'noscript', 'object', 'param', 'script', 'style')
- Fonctions membres protégées hérités de SimplePie
fetch_data (&$cache)
La documentation de cette classe a été générée à partir du fichier suivant :
  • Core.php


Joomla CMS: Référence de la classe SimplePie_Credit

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Credit

Fonctions membres publiques

__construct ($role=null, $scheme=null, $name=null)
__toString ()
get_role ()
get_scheme ()
get_name ()

Champs de données

$role
$scheme
$name

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $role = null,
 |  | $scheme = null,
 |  | $name = null
 | ) |

Constructor, used to input the data

For documentation on all the parameters, see the corresponding properties and their accessors

Références $name, $role, $scheme, et name.

Documentation des fonctions membres

◆ __toString()

__toString ( )

String-ified version

Renvoie
string

◆ get_name()

get_name ( )

Get the credited person/entity's name

Renvoie
string|null

Références $name, name, et null.

◆ get_role()

get_role ( )

Get the role of the person receiving credit

Renvoie
string|null

Références $role, et null.

◆ get_scheme()

get_scheme ( )

Get the organizational scheme

Renvoie
string|null

Références $scheme, et null.

Documentation des champs

◆ $name

$name

Référencé par __construct(), et get_name().

◆ $role

$role

Référencé par __construct(), et get_role().

◆ $scheme

$scheme

Référencé par __construct(), et get_scheme().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Credit.php


Joomla CMS: Référence de la classe SimplePie_Decode_HTML_Entities

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Decode_HTML_Entities

Fonctions membres publiques

__construct ($data)
parse ()
consume ()
consume_range ($chars)
unconsume ()
entity ()

Champs de données

$data = ''
$consumed = ''
$position = 0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $data )

Create an instance of the class with the input data

public

Paramètres
string $data Input data

Références $data.

Documentation des fonctions membres

◆ consume()

consume ( )

Consume the next byte

private

Renvoie
mixed The next byte, or false, if there is no more data

Références $position.

Référencé par entity(), et parse().

◆ consume_range()

consume_range ( $chars )

Consume a range of characters

private

Paramètres
string $chars Characters to consume
Renvoie
mixed A series of characters that match the range, or false

Références $data.

Référencé par entity().

◆ entity()

entity ( )

Decode an entity

private

Références $consumed, $i, $range, SimplePie_Misc\codepoint_to_utf8(), consume(), consume_range(), null, et unconsume().

Référencé par parse().

◆ parse()

parse ( )

Parse the input data

public

Renvoie
string Output data

Références $data, consume(), et entity().

◆ unconsume()

unconsume ( )

Unconsume one byte

private

Référencé par entity().

Documentation des champs

◆ $consumed

$consumed = ''

Référencé par entity().

◆ $data

$data = ''

Référencé par __construct(), consume_range(), et parse().

◆ $position

$position = 0

Référencé par consume().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Entities.php


Joomla CMS: Référence de la classe SimplePie_Enclosure

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Enclosure

Fonctions membres publiques

__construct ($link=null, $type=null, $length=null, $javascript=null, $bitrate=null, $captions=null, $categories=null, $channels=null, $copyright=null, $credits=null, $description=null, $duration=null, $expression=null, $framerate=null, $hashes=null, $height=null, $keywords=null, $lang=null, $medium=null, $player=null, $ratings=null, $restrictions=null, $samplingrate=null, $thumbnails=null, $title=null, $width=null)
__toString ()
get_bitrate ()
get_caption ($key=0)
get_captions ()
get_category ($key=0)
get_categories ()
get_channels ()
get_copyright ()
get_credit ($key=0)
get_credits ()
get_description ()
get_duration ($convert=false)
get_expression ()
get_extension ()
get_framerate ()
get_handler ()
get_hash ($key=0)
get_hashes ()
get_height ()
get_language ()
get_keyword ($key=0)
get_keywords ()
get_length ()
get_link ()
get_medium ()
get_player ()
get_rating ($key=0)
get_ratings ()
get_restriction ($key=0)
get_restrictions ()
get_sampling_rate ()
get_size ()
get_thumbnail ($key=0)
get_thumbnails ()
get_title ()
get_type ()
get_width ()
native_embed ($options='')
embed ($options='', $native=false)
get_real_type ($find_handler=false)

Champs de données

$bitrate
$captions
$categories
$channels
$copyright
$credits
$description
$duration
$expression
$framerate
$handler
$hashes
$height
$javascript
$keywords
$lang
$length
$link
$medium
$player
$ratings
$restrictions
$samplingrate
$thumbnails
$title
$type
$width

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $link = null,
 |  | $type = null,
 |  | $length = null,
 |  | $javascript = null,
 |  | $bitrate = null,
 |  | $captions = null,
 |  | $categories = null,
 |  | $channels = null,
 |  | $copyright = null,
 |  | $credits = null,
 |  | $description = null,
 |  | $duration = null,
 |  | $expression = null,
 |  | $framerate = null,
 |  | $hashes = null,
 |  | $height = null,
 |  | $keywords = null,
 |  | $lang = null,
 |  | $medium = null,
 |  | $player = null,
 |  | $ratings = null,
 |  | $restrictions = null,
 |  | $samplingrate = null,
 |  | $thumbnails = null,
 |  | $title = null,
 |  | $width = null
 | ) |

Constructor, used to input the data

For documentation on all the parameters, see the corresponding properties and their accessors

idna_convert If available, this will convert an IDN

Références $bitrate, $captions, $categories, $channels, $copyright, $credits, $description, $duration, $expression, $framerate, $hashes, $height, $keywords, $lang, $length, $link, $medium, $player, $ratings, $restrictions, $samplingrate, $thumbnails, $title, $type, $width, SimplePie_Misc\compress_parse_url(), description, get_handler(), height, SimplePie_Misc\parse_url(), title, et width.

Documentation des fonctions membres

◆ __toString()

__toString ( )

String-ified version

Renvoie
string

◆ embed()

embed | ( | $options = '',
 |  | $native = false
 | ) |

Embed the enclosure using Javascript

$options is an array or comma-separated key:value string, with the following properties:

  • alt (string): Alternate content for when an end-user does not have the appropriate handler installed or when a file type is unsupported. Can be any text or HTML. Defaults to blank.
  • altclass (string): If a file type is unsupported, the end-user will see the alt text (above) linked directly to the content. That link will have this value as its class name. Defaults to blank.
  • audio (string): This is an image that should be used as a placeholder for audio files before they're loaded (QuickTime-only). Can be any relative or absolute URL. Defaults to blank.
  • bgcolor (string): The background color for the media, if not already transparent. Defaults to #ffffff.
  • height (integer): The height of the embedded media. Accepts any numeric pixel value (such as 360) or auto. Defaults to auto, and it is recommended that you use this default.
  • loop (boolean): Do you want the media to loop when its done? Defaults to false.
  • mediaplayer (string): The location of the included mediaplayer.swf file. This allows for the playback of Flash Video (.flv) files, and is the default handler for non-Odeo MP3's. Defaults to blank.
  • video (string): This is an image that should be used as a placeholder for video files before they're loaded (QuickTime-only). Can be any relative or absolute URL. Defaults to blank.
  • width (integer): The width of the embedded media. Accepts any numeric pixel value (such as 480) or auto. Defaults to auto, and it is recommended that you use this default.
  • widescreen (boolean): Is the enclosure widescreen or standard? This applies only to video enclosures, and will automatically resize the content appropriately. Defaults to false, implying 4:3 mode.

Note: Non-widescreen (4:3) mode with width and height set to auto will default to 480x360 video resolution. Widescreen (16:9) mode with width and height set to auto will default to 480x270 video resolution.

Paramètres
array | string | $options | Comma-separated key:value list, or array
bool | $native | Use <embed>
Renvoie
string HTML string to output

Références $alt, $handler, $height, $loop, $mime, $option, $options, $type, $width, elseif, get_extension(), get_handler(), get_link(), et get_real_type().

Référencé par native_embed().

◆ get_bitrate()

get_bitrate ( )

Get the bitrate

Renvoie
string|null

Références $bitrate, et null.

◆ get_caption()

get_caption ( $key = 0 )

Get a single caption

Paramètres
int $key
Renvoie
SimplePie_Caption|null

Références $captions, $key, get_captions(), et null.

◆ get_captions()

get_captions ( )

Get all captions

Renvoie
array|null Array of {
Voir également
SimplePie_Caption} objects

Références $captions, et null.

Référencé par get_caption().

◆ get_categories()

get_categories ( )

Get all categories

Renvoie
array|null Array of {
Voir également
SimplePie_Category} objects

Références $categories, et null.

Référencé par get_category().

◆ get_category()

get_category ( $key = 0 )

Get a single category

Paramètres
int $key
Renvoie
SimplePie_Category|null

Références $categories, $key, get_categories(), et null.

◆ get_channels()

get_channels ( )

Get the number of audio channels

Renvoie
int|null

Références $channels, et null.

◆ get_copyright()

get_copyright ( )

Get the copyright information

Renvoie
SimplePie_Copyright|null

Références $copyright, et null.

◆ get_credit()

get_credit ( $key = 0 )

Get a single credit

Paramètres
int $key
Renvoie
SimplePie_Credit|null

Références $credits, $key, get_credits(), et null.

◆ get_credits()

get_credits ( )

Get all credits

Renvoie
array|null Array of {
Voir également
SimplePie_Credit} objects

Références $credits, et null.

Référencé par get_credit().

◆ get_description()

get_description ( )

Get the description of the enclosure

Renvoie
string|null

Références $description, description, et null.

◆ get_duration()

get_duration ( $convert = false )

Get the duration of the enclosure

Paramètres
string $convert Convert seconds into hh:mm:ss
Renvoie
string|int|null 'hh:mm:ss' string if $convert was specified, otherwise integer (or null if none found)

Références $duration, null, et SimplePie_Misc\time_hms().

◆ get_expression()

get_expression ( )

Get the expression

Renvoie
string Probably one of 'sample', 'full', 'nonstop', 'clip'. Defaults to 'full'

Références $expression, et null.

◆ get_extension()

get_extension ( )

Get the file extension

Renvoie
string|null

Références $url, null, et SimplePie_Misc\parse_url().

Référencé par embed(), et get_real_type().

◆ get_framerate()

get_framerate ( )

Get the framerate (in frames-per-second)

Renvoie
string|null

Références $framerate, et null.

◆ get_handler()

get_handler ( )

Get the preferred handler

Renvoie
string|null One of 'flash', 'fmedia', 'quicktime', 'wmedia', 'mp3'

Références get_real_type().

Référencé par __construct(), et embed().

◆ get_hash()

get_hash ( $key = 0 )

Get a single hash

int $key string|null Hash as per media:hash, prefixed with "$algo:"

Références $hashes, $key, get_hashes(), et null.

◆ get_hashes()

get_hashes ( )

Get all credits

Renvoie
array|null Array of strings, see {
Voir également
get_hash()}

Références $hashes, et null.

Référencé par get_hash().

◆ get_height()

get_height ( )

Get the height

Renvoie
string|null

Références $height, height, et null.

◆ get_keyword()

get_keyword ( $key = 0 )

Get a single keyword

Paramètres
int $key
Renvoie
string|null

Références $key, $keywords, get_keywords(), et null.

◆ get_keywords()

get_keywords ( )

Get all keywords

Renvoie
array|null Array of strings

Références $keywords, et null.

Référencé par get_keyword().

◆ get_language()

get_language ( )

Get the language

string|null Language code as per RFC 3066

Références $lang, et null.

◆ get_length()

get_length ( )

Get length

Renvoie
float Length in bytes

Références $length, et null.

Référencé par get_size().

◆ get_link()

get_link ( )

Get the URL

Renvoie
string|null

Références null.

Référencé par embed().

◆ get_medium()

get_medium ( )

Get the medium

string|null Should be one of 'image', 'audio', 'video', 'document', 'executable'

Références $medium, et null.

◆ get_player()

get_player ( )

Get the player URL

Typically the same as {

Voir également
get_permalink()}
Renvoie
string|null Player URL

Références $player, et null.

◆ get_rating()

get_rating ( $key = 0 )

Get a single rating

Paramètres
int $key
Renvoie
SimplePie_Rating|null

Références $key, $ratings, get_ratings(), et null.

◆ get_ratings()

get_ratings ( )

Get all ratings

Renvoie
array|null Array of {
Voir également
SimplePie_Rating} objects

Références $ratings, et null.

Référencé par get_rating().

◆ get_real_type()

get_real_type ( $find_handler = false )

Get the real media type

Often, feeds lie to us, necessitating a bit of deeper inspection. This converts types to their canonical representations based on the file extension

Voir également
get_type()
Paramètres
bool $find_handler Internal use only, use {
Voir également
get_handler()} instead
Renvoie
string MIME type

Références $type, elseif, get_extension(), get_type(), et null.

Référencé par embed(), et get_handler().

◆ get_restriction()

get_restriction ( $key = 0 )

Get a single restriction

Paramètres
int $key
Renvoie
SimplePie_Restriction|null

Références $key, $restrictions, get_restrictions(), et null.

◆ get_restrictions()

get_restrictions ( )

Get all restrictions

Renvoie
array|null Array of {
Voir également
SimplePie_Restriction} objects

Références $restrictions, et null.

Référencé par get_restriction().

◆ get_sampling_rate()

get_sampling_rate ( )

Get the sampling rate (in kHz)

Renvoie
string|null

Références $samplingrate, et null.

◆ get_size()

get_size ( )

Get the file size (in MiB)

Renvoie
float|null File size in mebibytes (1048 bytes)

Références $length, get_length(), et null.

◆ get_thumbnail()

get_thumbnail ( $key = 0 )

Get a single thumbnail

Paramètres
int $key
Renvoie
string|null Thumbnail URL

Références $key, $thumbnails, get_thumbnails(), et null.

◆ get_thumbnails()

get_thumbnails ( )

Get all thumbnails

Renvoie
array|null Array of thumbnail URLs

Références $thumbnails, et null.

Référencé par get_thumbnail().

◆ get_title()

get_title ( )

Get the title

Renvoie
string|null

Références $title, null, et title.

◆ get_type()

get_type ( )

Get mimetype of the enclosure

Voir également
get_real_type()
Renvoie
string|null MIME type

Références $type, et null.

Référencé par get_real_type().

◆ get_width()

get_width ( )

Get the width

Renvoie
string|null

Références $width, null, et width.

◆ native_embed()

native_embed ( $options = '' )

Embed the enclosure using <embed>

Obsolète:
Use the second parameter to {
Voir également
embed} instead
Paramètres
array | string $options See first paramter to {
Voir également
embed}
Renvoie
string HTML string to output

Références $options, et embed().

Documentation des champs

◆ $bitrate

$bitrate

Référencé par __construct(), et get_bitrate().

◆ $captions

$captions

Référencé par __construct(), get_caption(), et get_captions().

◆ $categories

$categories

Référencé par __construct(), get_categories(), et get_category().

◆ $channels

$channels

Référencé par __construct(), et get_channels().

◆ $copyright

$copyright

Référencé par __construct(), et get_copyright().

◆ $credits

$credits

Référencé par __construct(), get_credit(), et get_credits().

◆ $description

$description

Référencé par __construct(), et get_description().

◆ $duration

$duration

Référencé par __construct(), et get_duration().

◆ $expression

$expression

Référencé par __construct(), et get_expression().

◆ $framerate

$framerate

Référencé par __construct(), et get_framerate().

◆ $handler

$handler

Référencé par embed().

◆ $hashes

$hashes

Référencé par __construct(), get_hash(), et get_hashes().

◆ $height

$height

Référencé par __construct(), embed(), et get_height().

◆ $javascript

$javascript

◆ $keywords

$keywords

Référencé par __construct(), get_keyword(), et get_keywords().

◆ $lang

$lang

Référencé par __construct(), et get_language().

◆ $length

$length

Référencé par __construct(), get_length(), et get_size().

◆ $link

$link

Référencé par __construct().

◆ $medium

$medium

Référencé par __construct(), et get_medium().

◆ $player

$player

Référencé par __construct(), et get_player().

◆ $ratings

$ratings

Référencé par __construct(), get_rating(), et get_ratings().

◆ $restrictions

$restrictions

Référencé par __construct(), get_restriction(), et get_restrictions().

◆ $samplingrate

$samplingrate

Référencé par __construct(), et get_sampling_rate().

◆ $thumbnails

$thumbnails

Référencé par __construct(), get_thumbnail(), et get_thumbnails().

◆ $title

$title

Référencé par __construct(), et get_title().

◆ $type

$type

Référencé par __construct(), embed(), get_real_type(), et get_type().

◆ $width

$width

Référencé par __construct(), embed(), et get_width().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Enclosure.php


Joomla CMS: Référence de la classe SimplePie_Exception

Référence de la classe SimplePie_Exception
+ Graphe d'héritage de SimplePie_Exception:
La documentation de cette classe a été générée à partir du fichier suivant :
  • simplepie/simplepie/library/SimplePie/Exception.php


Joomla CMS: Référence de la classe SimplePie_File

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_File

Fonctions membres publiques

__construct ($url, $timeout=10, $redirects=5, $headers=null, $useragent=null, $force_fsockopen=false)

Champs de données

$url
$useragent
$success = true
$headers = array()
$body
$status_code
$redirects = 0
$error
$method = SIMPLEPIE_FILE_SOURCE_NONE

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $url,
 |  | $timeout = 10,
 |  | $redirects = 5,
 |  | $headers = null,
 |  | $useragent = null,
 |  | $force_fsockopen = false
 | ) |

Références $headers, $info, $key, $location, $redirects, $url, $useragent, $value, SimplePie_Misc\absolutize_url(), SimplePie_Misc\compress_parse_url(), SimplePie_Misc\get_curl_version(), method, null, SimplePie_Misc\parse_url(), SIMPLEPIE_FILE_SOURCE_CURL, SIMPLEPIE_FILE_SOURCE_FILE_GET_CONTENTS, SIMPLEPIE_FILE_SOURCE_FSOCKOPEN, SIMPLEPIE_FILE_SOURCE_LOCAL, SIMPLEPIE_FILE_SOURCE_REMOTE, et url.

Documentation des champs

◆ $body

$body

◆ $error

$error

◆ $headers

$headers = array()

Référencé par __construct().

◆ $method

$method = SIMPLEPIE_FILE_SOURCE_NONE

◆ $redirects

$redirects = 0

Référencé par __construct().

◆ $status_code

$status_code

◆ $success

$success = true

◆ $url

$url

Référencé par __construct().

◆ $useragent

$useragent

Référencé par __construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/simplepie/simplepie/library/SimplePie/File.php


Joomla CMS: Référence de la classe SimplePie_gzdecode

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_gzdecode

Fonctions membres publiques

__set ($name, $value)
__construct ($data)
parse ()

Champs de données

$compressed_data
$compressed_size
$min_compressed_size = 18
$position = 0
$flags
$data
$MTIME
$XFL
$OS
$SI1
$SI2
$extra_field
$filename
$comment

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $data )

Set the compressed string and related properties

Paramètres
string $data

Références $data.

Documentation des fonctions membres

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Don't allow anything to be set

Paramètres
string | $name
mixed | $value

◆ parse()

parse ( )

Decode the GZIP stream

Renvoie
bool Successfulness

Documentation des champs

◆ $comment

$comment

◆ $compressed_data

$compressed_data

◆ $compressed_size

$compressed_size

◆ $data

$data

Référencé par __construct().

◆ $extra_field

$extra_field

◆ $filename

$filename

◆ $flags

$flags

◆ $min_compressed_size

$min_compressed_size = 18

◆ $MTIME

$MTIME

◆ $OS

$OS

◆ $position

$position = 0

◆ $SI1

$SI1

◆ $SI2

$SI2

◆ $XFL

$XFL
La documentation de cette classe a été générée à partir du fichier suivant :
  • gzdecode.php


Joomla CMS: Référence de la classe SimplePie_HTTP_Parser

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe SimplePie_HTTP_Parser

Fonctions membres publiques

__construct ($data)
parse ()

Champs de données

$http_version = 0.0
$status_code = 0
$reason = ''
$headers = array()
$body = ''

Fonctions membres protégées

has_data ()
is_linear_whitespace ()
http_version ()
status ()
reason ()
new_line ()
name ()
linear_whitespace ()
value ()
value_char ()
quote ()
quote_char ()
quote_escaped ()
body ()
chunked ()

Attributs protégés

$state = 'http_version'
$data = ''
$data_length = 0
$position = 0
$name = ''
$value = ''

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $data )

Create an instance of the class with the input data

Paramètres
string $data Input data

Références $data.

Documentation des fonctions membres

◆ body()

body ( )
protected

Parse the body

Référencé par chunked(), et parse().

◆ chunked()

chunked ( )
protected

Parsed a "Transfer-Encoding: chunked" body

Références $body, et body().

◆ has_data()

has_data ( )
protected

Check whether there is data beyond the pointer

Renvoie
bool true if there is further data, false if not

Références $data_length.

Référencé par linear_whitespace(), et parse().

◆ http_version()

http_version ( )
protected

Parse the HTTP version

Référencé par parse().

◆ is_linear_whitespace()

is_linear_whitespace ( )
protected

See if the next character is LWS

Renvoie
bool true if the next character is LWS, false if not

Références $position.

Référencé par linear_whitespace(), quote(), et value().

◆ linear_whitespace()

linear_whitespace ( )
protected

Parse LWS, replacing consecutive LWS characters with a single space

Références elseif, has_data(), is_linear_whitespace(), et value().

Référencé par quote(), et value().

◆ name()

name ( )
protected

Parse a header name

Référencé par new_line(), et value().

◆ new_line()

new_line ( )
protected

Deal with a new line, shifting data around as needed

Références $name, $value, elseif, name(), et value().

◆ parse()

parse ( )

Parse the input data

Renvoie
bool true on success, false on failure

Références $state, body(), has_data(), http_version(), et reason().

◆ quote()

quote ( )
protected

See what state to move to while within quoted header values

Références is_linear_whitespace(), et linear_whitespace().

◆ quote_char()

quote_char ( )
protected

Parse a header value while within quotes

Références value().

◆ quote_escaped()

quote_escaped ( )
protected

Parse an escaped character within quotes

Références $position, et value().

◆ reason()

reason ( )
protected

Parse the reason phrase

Référencé par parse().

◆ status()

status ( )
protected

Parse the status code

◆ value()

value ( )
protected

See what state to move to while within non-quoted header values

Références is_linear_whitespace(), linear_whitespace(), et name().

Référencé par linear_whitespace(), new_line(), quote_char(), quote_escaped(), et value_char().

◆ value_char()

value_char ( )
protected

Parse a header value while outside quotes

Références value().

Documentation des champs

◆ $body

$body = ''

Référencé par chunked().

◆ $data

$data = ''
protected

Référencé par __construct().

◆ $data_length

$data_length = 0
protected

Référencé par has_data().

◆ $headers

$headers = array()

◆ $http_version

$http_version = 0.0

◆ $name

$name = ''
protected

Référencé par new_line().

◆ $position

$position = 0
protected

Référencé par is_linear_whitespace(), et quote_escaped().

◆ $reason

$reason = ''

◆ $state

$state = 'http_version'
protected

Référencé par parse().

◆ $status_code

$status_code = 0

◆ $value

$value = ''
protected

Référencé par new_line().

La documentation de cette classe a été générée à partir du fichier suivant :
  • simplepie/simplepie/library/SimplePie/HTTP/Parser.php


Joomla CMS: Référence de la classe SimplePie_IRI

Fonctions membres publiques | Fonctions membres publiques statiques | Fonctions membres protégées | Attributs protégés
Référence de la classe SimplePie_IRI

Fonctions membres publiques

__toString ()
__set ($name, $value)
__get ($name)
__isset ($name)
__unset ($name)
__construct ($iri=null)
is_valid ()
set_iri ($iri)
set_scheme ($scheme)
set_authority ($authority)
set_userinfo ($iuserinfo)
set_host ($ihost)
set_port ($port)
set_path ($ipath)
set_query ($iquery)
set_fragment ($ifragment)
to_uri ($string)
get_iri ()
get_uri ()

Fonctions membres publiques statiques

static absolutize ($base, $relative)

Fonctions membres protégées

parse_iri ($iri)
remove_dot_segments ($input)
replace_invalid_with_pct_encoding ($string, $extra_chars, $iprivate=false)
remove_iunreserved_percent_encoded ($match)
scheme_normalization ()
get_iauthority ()
get_authority ()

Attributs protégés

$scheme = null
$iuserinfo = null
$ihost = null
$port = null
$ipath = ''
$iquery = null
$ifragment = null
$normalization

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $iri = null )

Create a new IRI object, from a specified string

Paramètres
string $iri

Références set_iri().

Documentation des fonctions membres

◆ __get()

__get ( $name )

Overload __get() to provide access via properties

Paramètres
string $name Property name
Renvoie
mixed

Références $name, $return, $scheme, elseif, et null.

◆ __isset()

__isset ( $name )

Overload __isset() to provide access via properties

Paramètres
string $name Property name
Renvoie
bool

Références $name.

◆ __set()

__set | ( | $name,
 |  | $value
 | ) |

Overload __set() to provide access via properties

Paramètres
string | $name | Property name
mixed | $value | Property value

Références $name, $value, et elseif.

◆ __toString()

__toString ( )

Return the entire IRI when you try and read the object as a string

Renvoie
string

Références get_iri().

◆ __unset()

__unset ( $name )

Overload __unset() to provide access via properties

Paramètres
string $name Property name

Références $name.

◆ absolutize()

static absolutize | ( | $base,
 |  | $relative
 | ) |
static

Create a new IRI object by resolving a relative IRI

Returns false if $base is not absolute, otherwise an IRI.

Paramètres
IRI | string | $base | (Absolute) Base IRI
IRI | string | $relative | Relative IRI
Renvoie
IRI|false

Références $base, $target, elseif, et null.

Référencé par SimplePie_Misc\absolutize_url().

◆ get_authority()

get_authority ( )
protected

Get the complete authority

Renvoie
string

Références get_iauthority(), et to_uri().

◆ get_iauthority()

get_iauthority ( )
protected

Get the complete iauthority

Renvoie
string

Références $ihost, $port, et null.

Référencé par get_authority(), et get_iri().

◆ get_iri()

get_iri ( )

Get the complete IRI

Renvoie
string

Références $ifragment, $ipath, $iquery, $scheme, elseif, get_iauthority(), is_valid(), et null.

Référencé par __toString(), et get_uri().

◆ get_uri()

get_uri ( )

Get the complete URI

Renvoie
string

Références get_iri(), et to_uri().

◆ is_valid()

is_valid ( )

Check if the object represents a valid IRI. This needs to be done on each call as some things change depending on another part of the IRI.

Renvoie
bool

Références null.

Référencé par get_iri().

◆ parse_iri()

parse_iri ( $iri )
protected

Parse an IRI into scheme/authority/path/query/fragment segments

Paramètres
string $iri
Renvoie
array

Références null.

Référencé par set_iri().

◆ remove_dot_segments()

remove_dot_segments ( $input )
protected

Remove dot segments from a path

Paramètres
string $input
Renvoie
string

Références $input, $output, et elseif.

Référencé par set_path().

◆ remove_iunreserved_percent_encoded()

remove_iunreserved_percent_encoded ( $match )
protected

Callback function for preg_replace_callback.

Removes sequences of percent encoded bytes that represent UTF-8 encoded characters in iunreserved

Paramètres
array $match PCRE match
Renvoie
string Replacement

Références $i, $start, $value, et elseif.

◆ replace_invalid_with_pct_encoding()

replace_invalid_with_pct_encoding | ( | $string,
 |  | $extra_chars,
 |  | $iprivate = false
 | ) |
protected

Replace invalid character with percent encoding

Paramètres
string | $string | Input string
string | $extra_chars | Valid characters not in iunreserved or iprivate (this is ASCII-only)
bool | $iprivate | Allow iprivate
Renvoie
string

Références $position, $start, $value, et elseif.

Référencé par set_fragment(), set_host(), set_path(), set_query(), et set_userinfo().

◆ scheme_normalization()

scheme_normalization ( )
protected

Références null.

Référencé par set_fragment(), set_host(), set_path(), set_port(), set_query(), et set_userinfo().

◆ set_authority()

set_authority ( $authority )

Set the authority. Returns true on success, false on failure (if there are any invalid characters).

Paramètres
string $authority
Renvoie
bool

Références $iuserinfo, $port, $return, elseif, null, set_host(), set_port(), et set_userinfo().

Référencé par set_iri().

◆ set_fragment()

set_fragment ( $ifragment )

Set the ifragment.

Paramètres
string $ifragment
Renvoie
bool

Références $ifragment, null, replace_invalid_with_pct_encoding(), et scheme_normalization().

Référencé par set_iri().

◆ set_host()

set_host ( $ihost )

Set the ihost. Returns true on success, false on failure (if there are any invalid characters).

Paramètres
string $ihost
Renvoie
bool

Références $ihost, $position, SimplePie_Net_IPv6\check_ipv6(), SimplePie_Net_IPv6\compress(), elseif, null, replace_invalid_with_pct_encoding(), et scheme_normalization().

Référencé par set_authority().

◆ set_iri()

set_iri ( $iri )

Set the entire IRI. Returns true on success, false on failure (if there are any invalid characters).

Paramètres
string $iri
Renvoie
bool

Références $return, elseif, null, parse_iri(), set_authority(), set_fragment(), set_path(), set_query(), et set_scheme().

Référencé par __construct().

◆ set_path()

set_path ( $ipath )

Set the ipath.

Paramètres
string $ipath
Renvoie
bool

Références $ipath, null, remove_dot_segments(), replace_invalid_with_pct_encoding(), et scheme_normalization().

Référencé par set_iri().

◆ set_port()

set_port ( $port )

Set the port. Returns true on success, false on failure (if there are any invalid characters).

Paramètres
string $port
Renvoie
bool

Références $port, elseif, null, et scheme_normalization().

Référencé par set_authority().

◆ set_query()

set_query ( $iquery )

Set the iquery.

Paramètres
string $iquery
Renvoie
bool

Références $iquery, null, replace_invalid_with_pct_encoding(), et scheme_normalization().

Référencé par set_iri().

◆ set_scheme()

set_scheme ( $scheme )

Set the scheme. Returns true on success, false on failure (if there are any invalid characters).

Paramètres
string $scheme
Renvoie
bool

Références $scheme, elseif, et null.

Référencé par set_iri().

◆ set_userinfo()

set_userinfo ( $iuserinfo )

Set the iuserinfo.

Paramètres
string $iuserinfo
Renvoie
bool

Références $iuserinfo, null, replace_invalid_with_pct_encoding(), et scheme_normalization().

Référencé par set_authority().

◆ to_uri()

to_uri ( $string )

Convert an IRI to a URI (or parts thereof)

Renvoie
string

Références $position.

Référencé par get_authority(), et get_uri().

Documentation des champs

◆ $ifragment

$ifragment = null
protected

Référencé par get_iri(), et set_fragment().

◆ $ihost

$ihost = null
protected

Référencé par get_iauthority(), et set_host().

◆ $ipath

$ipath = ''
protected

Référencé par get_iri(), et set_path().

◆ $iquery

$iquery = null
protected

Référencé par get_iri(), et set_query().

◆ $iuserinfo

$iuserinfo = null
protected

Référencé par set_authority(), et set_userinfo().

◆ $normalization

$normalization
protected
Valeur initiale :
= array(
'acap' => array(
'port' => 674
),
'dict' => array(
'port' => 2628
),
'file' => array(
'ihost' => 'localhost'
),
'http' => array(
'port' => 80,
'ipath' => '/'
),
'https' => array(
'port' => 443,
'ipath' => '/'
),
)

Normalization database

Each key is the scheme, each value is an array with each key as the IRI part and value as the default value for that part.

◆ $port

$port = null
protected

Référencé par get_iauthority(), set_authority(), et set_port().

◆ $scheme

$scheme = null
protected

Référencé par __get(), get_iri(), et set_scheme().

La documentation de cette classe a été générée à partir du fichier suivant :
  • IRI.php


Joomla CMS: Référence de la classe SimplePie_Item

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe SimplePie_Item

Fonctions membres publiques

__construct ($feed, $data)
set_registry (SimplePie_Registry $registry)
__toString ()
__destruct ()
get_item_tags ($namespace, $tag)
get_base ($element=array())
sanitize ($data, $type, $base='')
get_feed ()
get_id ($hash=false)
get_title ()
get_description ($description_only=false)
get_content ($content_only=false)
get_category ($key=0)
get_categories ()
get_author ($key=0)
get_contributor ($key=0)
get_contributors ()
get_authors ()
get_copyright ()
get_date ($date_format='j F Y, g:i a')
get_updated_date ($date_format='j F Y, g:i a')
get_local_date ($date_format='%c')
get_gmdate ($date_format='j F Y, g:i a')
get_updated_gmdate ($date_format='j F Y, g:i a')
get_permalink ()
get_link ($key=0, $rel='alternate')
get_links ($rel='alternate')
get_enclosure ($key=0, $prefer=null)
get_enclosures ()
get_latitude ()
get_longitude ()
get_source ()

Champs de données

$feed
$data = array()

Attributs protégés

$registry

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $feed,
 |  | $data
 | ) |

Create a new item object

This is usually used by {

Voir également
SimplePie::get_items} and {
SimplePie::get_item}. Avoid creating this manually.
Paramètres
SimplePie | $feed | Parent feed
array | $data | Raw data

Références $data, et $feed.

◆ __destruct()

__destruct ( )

Remove items that link back to this before destroying this object

Documentation des fonctions membres

◆ __toString()

__toString ( )

Get a string representation of the item

Renvoie
string

◆ get_author()

get_author ( $key = 0 )

Get an author for the item

Depuis
Beta 2
Paramètres
int $key The author that you want to return. Remember that arrays begin with 0, not 1
Renvoie
SimplePie_Author|null

Références $key, get_authors(), et null.

◆ get_authors()

get_authors ( )

Get all authors for the item

Uses <atom:author>, <author>, <dc:creator> or <itunes:author>

Depuis
Beta 2
Renvoie
array|null List of {
Voir également
SimplePie_Author} objects

Références $author, $name, $uri, $url, elseif, get_base(), get_item_tags(), get_source(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_ITUNES, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_author().

◆ get_base()

get_base ( $element = array() )

Get the base URL value from the parent feed

Uses <xml:base>

Paramètres
array $element
Renvoie
string

Référencé par get_authors(), get_content(), get_contributors(), get_copyright(), get_description(), get_enclosures(), get_links(), et get_title().

◆ get_categories()

get_categories ( )

Get all categories for the item

Uses <atom:category>, <category> or <dc:subject>

Depuis
Beta 3
Renvoie
array|null List of {
Voir également
SimplePie_Category} objects

Références $category, $label, get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_category().

◆ get_category()

get_category ( $key = 0 )

Get a category for the item

Depuis
Beta 3 (previously called get_categories() since Beta 2)
Paramètres
int $key The category that you want to return. Remember that arrays begin with 0, not 1
Renvoie
SimplePie_Category|null

Références $key, get_categories(), et null.

◆ get_content()

get_content ( $content_only = false )

Get the content for the item

Prefers full content over summaries, but will return a summary if full content does not exist.

To prefer summaries instead, use {

Voir également
get_description}

Uses <atom:content> or <content:encoded> (RSS 1.0 Content Module)

Depuis
1.0
Paramètres
boolean $content_only Should we avoid falling back to the description?
Renvoie
string|null

Références $return, elseif, get_base(), get_description(), get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_HTML, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, et SIMPLEPIE_NAMESPACE_RSS_10_MODULES_CONTENT.

Référencé par get_description().

◆ get_contributor()

get_contributor ( $key = 0 )

Get a contributor for the item

Depuis
1.1
Paramètres
int $key The contrbutor that you want to return. Remember that arrays begin with 0, not 1
Renvoie
SimplePie_Author|null

Références $key, get_contributors(), et null.

◆ get_contributors()

get_contributors ( )

Get all contributors for the item

Uses <atom:contributor>

Depuis
1.1
Renvoie
array|null List of {
Voir également
SimplePie_Author} objects

Références $name, $uri, $url, get_base(), get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, et SIMPLEPIE_NAMESPACE_ATOM_10.

Référencé par get_contributor().

◆ get_copyright()

get_copyright ( )

Get the copyright info for the item

Uses <atom:rights> or <dc:rights>

Depuis
1.1
Renvoie
string

Références $return, elseif, get_base(), get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, et SIMPLEPIE_NAMESPACE_DC_11.

◆ get_date()

get_date | ( |  | $date_format = 'j F Y,
 |  | g:i a' |
 | ) |  |

Get the posting date/time for the item

Uses <atom:published>, <atom:updated>, <atom:issued>, <atom:modified>, <pubDate> or <dc:date>

Note: obeys PHP's timezone setting. To get a UTC date/time, use {

Voir également
get_gmdate}
Depuis
Beta 2 (previously called get_item_date since 0.8)
Paramètres
string $date_format Supports any PHP date format from {
Voir également
http://php.net/date} (empty for the raw data)
Renvoie
int|string|null

Références $return, elseif, get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_gmdate(), et get_local_date().

◆ get_description()

get_description ( $description_only = false )

Get the content for the item

Prefers summaries over full content , but will return full content if a summary does not exist.

To prefer full content instead, use {

Voir également
get_content}

Uses <atom:summary>, <description>, <dc:description> or <itunes:subtitle>

Depuis
0.8
Paramètres
boolean $description_only Should we avoid falling back to the content?
Renvoie
string|null

Références $return, elseif, get_base(), get_content(), get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_HTML, SIMPLEPIE_CONSTRUCT_MAYBE_HTML, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_ITUNES, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_content().

◆ get_enclosure()

get_enclosure | ( | $key = 0,
 |  | $prefer = null
 | ) |

Get an enclosure from the item

Supports the <enclosure> RSS tag, as well as Media RSS and iTunes RSS.

Depuis
Beta 2
Paramètres
int $key The enclosure that you want to return. Remember that arrays begin with 0, not 1
Renvoie
SimplePie_Enclosure|null

Références $key, get_enclosures(), et null.

Référencé par get_permalink().

◆ get_enclosures()

get_enclosures ( )

Get all available enclosures (podcasts, etc.)

Supports the <enclosure> RSS tag, as well as Media RSS and iTunes RSS.

At this point, we're pretty much assuming that all enclosures for an item are the same content. Anything else is too complicated to properly support.

Depuis
Beta 2
Renvoie
array|null List of SimplePie_Enclosure items

Références $category, $content, $description, $hash, $height, $keywords, $label, $lang, $link, $rating, $title, $type, $url, $value, $width, elseif, get_base(), get_feed(), get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_ITUNES, SIMPLEPIE_NAMESPACE_MEDIARSS, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_enclosure().

◆ get_feed()

get_feed ( )

Get the parent feed

Note: this may not work as you think for multifeeds!

1.0 SimplePie

Références $feed.

Référencé par get_enclosures().

◆ get_gmdate()

get_gmdate | ( |  | $date_format = 'j F Y,
 |  | g:i a' |
 | ) |  |

Get the posting date/time for the item (UTC time)

Voir également
get_date
Paramètres
string $date_format Supports any PHP date format from {
Voir également
http://php.net/date}
Renvoie
int|string|null

Références $date, get_date(), et null.

◆ get_id()

get_id ( $hash = false )

Get the unique identifier for the item

This is usually used when writing code to check for new items in a feed.

Uses <atom:id>, <guid>, <dc:identifier> or the about attribute for RDF. If none of these are supplied (or $hash is true), creates an MD5 hash based on the permalink and title. If either of those are not supplied, creates a hash based on the full feed data.

Depuis
Beta 2
Paramètres
boolean $hash Should we force using a hash instead of the supplied ID?
Renvoie
string

Références $hash, $return, elseif, get_item_tags(), get_permalink(), get_title(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_RDF, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_item_tags()

get_item_tags | ( | $namespace,
 |  | $tag
 | ) |

Get data for an item-level element

This method allows you to get access to ANY element/attribute that is a sub-element of the item/entry tag.

See {

Voir également
SimplePie::get_feed_tags()} for a description of the return value
Depuis
1.0
Voir également
http://simplepie.org/wiki/faq/supported_xml_namespaces
Paramètres
string | $namespace | The URL of the XML namespace of the elements you're trying to access
string | $tag | Tag name
Renvoie
array

Références null.

Référencé par get_authors(), get_categories(), get_content(), get_contributors(), get_copyright(), get_date(), get_description(), get_enclosures(), get_id(), get_latitude(), get_links(), get_longitude(), get_source(), get_title(), et get_updated_date().

◆ get_latitude()

get_latitude ( )

Get the latitude coordinates for the item

Compatible with the W3C WGS84 Basic Geo and GeoRSS specifications

Uses <geo:lat> or <georss:point>

Depuis
1.0 W3C WGS84 Basic Geo http://www.georss.org/ GeoRSS string|null

Références $return, elseif, get_item_tags(), null, SIMPLEPIE_NAMESPACE_GEORSS, et SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO.

◆ get_link()

get_link | ( | $key = 0,
 |  | $rel = 'alternate'
 | ) |

Get a single link for the item

Depuis
Beta 3
Paramètres
int | $key | The link that you want to return. Remember that arrays begin with 0, not 1
string | $rel | The relationship of the link to return
Renvoie
string|null Link URL

Références $key, $rel, get_links(), et null.

Référencé par get_permalink().

◆ get_links()

get_links ( $rel = 'alternate' )

Get all links for the item

Uses <atom:link>, <link> or <guid>

Depuis
Beta 2
Paramètres
string $rel The relationship of links to return
Renvoie
array|null Links found for the item (strings)

Références $key, $link, $rel, elseif, get_base(), get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_IANA_LINK_RELATIONS_REGISTRY, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_link().

◆ get_local_date()

get_local_date ( $date_format = '%c' )

Get the localized posting date/time for the item

Returns the date formatted in the localized language. To display in languages other than the server's default, you need to change the locale with setlocale(). The available localizations depend on which ones are installed on your web server.

Depuis
1.0
Paramètres
string $date_format Supports any PHP date format from {
Voir également
http://php.net/strftime} (empty for the raw data)
Renvoie
int|string|null

Références $date, elseif, get_date(), null, sanitize(), et SIMPLEPIE_CONSTRUCT_TEXT.

◆ get_longitude()

get_longitude ( )

Get the longitude coordinates for the item

Compatible with the W3C WGS84 Basic Geo and GeoRSS specifications

Uses <geo:long>, <geo:lon> or <georss:point>

Depuis
1.0 W3C WGS84 Basic Geo http://www.georss.org/ GeoRSS string|null

Références $return, elseif, get_item_tags(), null, SIMPLEPIE_NAMESPACE_GEORSS, et SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO.

◆ get_permalink()

get_permalink ( )

Get the permalink for the item

Returns the first link available with a relationship of "alternate". Identical to {

Voir également
get_link()} with key 0
get_link
Depuis
0.8
Renvoie
string|null Permalink URL

Références $link, elseif, get_enclosure(), get_link(), et null.

Référencé par get_id().

◆ get_source()

get_source ( )

Get the <atom:source> for the item

Depuis
1.1
Renvoie
SimplePie_Source|null

Références $return, get_item_tags(), null, et SIMPLEPIE_NAMESPACE_ATOM_10.

Référencé par get_authors().

◆ get_title()

get_title ( )

Get the title of the item

Uses <atom:title>, <title> or <dc:title>

Depuis
Beta 2 (previously called get_item_title since 0.8)
Renvoie
string|null

Références $return, elseif, get_base(), get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_MAYBE_HTML, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_id().

◆ get_updated_date()

get_updated_date | ( |  | $date_format = 'j F Y,
 |  | g:i a' |
 | ) |  |

Get the update date/time for the item

Uses <atom:updated>

Note: obeys PHP's timezone setting. To get a UTC date/time, use {

Voir également
get_gmdate}
Paramètres
string $date_format Supports any PHP date format from {
Voir également
http://php.net/date} (empty for the raw data)
Renvoie
int|string|null

Références $return, get_item_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, et SIMPLEPIE_NAMESPACE_ATOM_10.

Référencé par get_updated_gmdate().

◆ get_updated_gmdate()

get_updated_gmdate | ( |  | $date_format = 'j F Y,
 |  | g:i a' |
 | ) |  |

Get the update date/time for the item (UTC time)

Voir également
get_updated_date
Paramètres
string $date_format Supports any PHP date format from {
Voir également
http://php.net/date}
Renvoie
int|string|null

Références $date, get_updated_date(), et null.

◆ sanitize()

sanitize | ( | $data,
 |  | $type,
 |  | $base = ''
 | ) |

Sanitize feed data

private

Voir également
SimplePie::sanitize()
Paramètres
string | $data | Data to sanitize
int | $type | One of the SIMPLEPIE_CONSTRUCT_* constants
string | $base | Base URL to resolve URLs against
Renvoie
string Sanitized data

Références $base, $data, et $type.

Référencé par get_authors(), get_categories(), get_content(), get_contributors(), get_copyright(), get_date(), get_description(), get_enclosures(), get_id(), get_links(), get_local_date(), get_title(), et get_updated_date().

◆ set_registry()

set_registry ( SimplePie_Registry $registry )

Set the registry handler

This is usually used by {

Voir également
SimplePie_Registry::create}
Depuis
1.3
Paramètres
SimplePie_Registry $registry

Références $registry.

Documentation des champs

◆ $data

$data = array()

Référencé par __construct(), et sanitize().

◆ $feed

$feed

Référencé par __construct(), et get_feed().

◆ $registry

$registry
protected

Référencé par set_registry().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Item.php


Joomla CMS: Référence de la classe SimplePie_Locator

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe SimplePie_Locator

Fonctions membres publiques

__construct (SimplePie_File $file, $timeout=10, $useragent=null, $max_checked_feeds=10)
set_registry (SimplePie_Registry $registry)
find ($type=SIMPLEPIE_LOCATOR_ALL, &$working)
is_feed ($file)
get_base ()
autodiscovery ()
get_links ()
extension (&$array)
body (&$array)

Champs de données

$useragent
$timeout
$file
$local = array()
$elsewhere = array()
$cached_entities = array()
$http_base
$base
$base_location = 0
$checked_feeds = 0
$max_checked_feeds = 10

Fonctions membres protégées

search_elements_by_tag ($name, &$done, $feeds)

Attributs protégés

$registry

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | SimplePie_File | $file,
 |  |  | $timeout = 10,
 |  |  | $useragent = null,
 |  |  | $max_checked_feeds = 10
 | ) |  |

Références $file, $max_checked_feeds, $timeout, $useragent, et null.

Documentation des fonctions membres

◆ autodiscovery()

autodiscovery ( )

Références null, et search_elements_by_tag().

Référencé par find().

◆ body()

body ( & $array )

Références $feed, $key, $value, null, et SIMPLEPIE_FILE_SOURCE_REMOTE.

Référencé par find().

◆ extension()

extension ( & $array )

Références $feed, $key, $value, null, et SIMPLEPIE_FILE_SOURCE_REMOTE.

Référencé par find().

◆ find()

find | ( |  | $type = SIMPLEPIE_LOCATOR_ALL,
 |  | & | $working
 | ) |  |

Références $file, $type, autodiscovery(), body(), extension(), get_base(), get_links(), is_feed(), null, SIMPLEPIE_FILE_SOURCE_REMOTE, SIMPLEPIE_LOCATOR_AUTODISCOVERY, SIMPLEPIE_LOCATOR_LOCAL_BODY, SIMPLEPIE_LOCATOR_LOCAL_EXTENSION, SIMPLEPIE_LOCATOR_NONE, SIMPLEPIE_LOCATOR_REMOTE_BODY, et SIMPLEPIE_LOCATOR_REMOTE_EXTENSION.

◆ get_base()

get_base ( )

Références $base, $http_base, et null.

Référencé par find().

◆ get_links()

get_links ( )

Références $current, $href, $link, et null.

Référencé par find().

◆ is_feed()

is_feed ( $file )

Références $file, elseif, SIMPLEPIE_FILE_SOURCE_LOCAL, et SIMPLEPIE_FILE_SOURCE_REMOTE.

Référencé par find().

◆ search_elements_by_tag()

search_elements_by_tag | ( |  | $name,
 |  | & | $done,
 |  |  | $feeds
 | ) |  |
protected

Références $feed, $href, $link, $name, $rel, null, et SIMPLEPIE_FILE_SOURCE_REMOTE.

Référencé par autodiscovery().

◆ set_registry()

set_registry ( SimplePie_Registry $registry )

Références $registry.

Documentation des champs

◆ $base

$base

Référencé par get_base().

◆ $base_location

$base_location = 0

◆ $cached_entities

$cached_entities = array()

◆ $checked_feeds

$checked_feeds = 0

◆ $elsewhere

$elsewhere = array()

◆ $file

$file

Référencé par __construct(), find(), et is_feed().

◆ $http_base

$http_base

Référencé par get_base().

◆ $local

$local = array()

◆ $max_checked_feeds

$max_checked_feeds = 10

Référencé par __construct().

◆ $registry

$registry
protected

Référencé par set_registry().

◆ $timeout

$timeout

Référencé par __construct().

◆ $useragent

$useragent

Référencé par __construct().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Locator.php


Joomla CMS: Référence de la classe SimplePie_Misc

Fonctions membres publiques statiques | Fonctions membres protégées statiques
Référence de la classe SimplePie_Misc

Fonctions membres publiques statiques

static | time_hms ($seconds)
static | absolutize_url ($relative, $base)
static | get_element ($realname, $string)
static | element_implode ($element)
static | error ($message, $level, $file, $line)
static | fix_protocol ($url, $http=1)
static | parse_url ($url)
static | compress_parse_url ($scheme='', $authority='', $path='', $query='', $fragment='')
static | normalize_url ($url)
static | percent_encoding_normalization ($match)
static | windows_1252_to_utf8 ($string)
static | change_encoding ($data, $input, $output)
static | encoding ($charset)
static | get_curl_version ()
static | strip_comments ($data)
static | parse_date ($dt)
static | entities_decode ($data)
static | uncomment_rfc822 ($string)
static | parse_mime ($mime)
static | atom_03_construct_type ($attribs)
static | atom_10_construct_type ($attribs)
static | atom_10_content_construct_type ($attribs)
static | is_isegment_nz_nc ($string)
static | space_seperated_tokens ($string)
static | codepoint_to_utf8 ($codepoint)
static | parse_str ($str)
static | xml_encoding ($data, $registry)
static | output_javascript ()
static | get_build ()
static | debug (&$sp)
static | silence_errors ($num, $str)

Fonctions membres protégées statiques

static | change_encoding_mbstring ($data, $input, $output)
static | change_encoding_iconv ($data, $input, $output)

Documentation des fonctions membres

◆ absolutize_url()

static absolutize_url | ( | $relative,
 |  | $base
 | ) |
static

Références $base, et SimplePie_IRI\absolutize().

Référencé par SimplePie_File\__construct().

◆ atom_03_construct_type()

static atom_03_construct_type ( $attribs )
static

Références $attribs, $mode, SIMPLEPIE_CONSTRUCT_BASE64, SIMPLEPIE_CONSTRUCT_HTML, SIMPLEPIE_CONSTRUCT_NONE, SIMPLEPIE_CONSTRUCT_TEXT, et SIMPLEPIE_CONSTRUCT_XHTML.

◆ atom_10_construct_type()

static atom_10_construct_type ( $attribs )
static

Références $attribs, SIMPLEPIE_CONSTRUCT_HTML, SIMPLEPIE_CONSTRUCT_NONE, SIMPLEPIE_CONSTRUCT_TEXT, et SIMPLEPIE_CONSTRUCT_XHTML.

◆ atom_10_content_construct_type()

static atom_10_content_construct_type ( $attribs )
static

Références $attribs, $type, SIMPLEPIE_CONSTRUCT_BASE64, SIMPLEPIE_CONSTRUCT_HTML, SIMPLEPIE_CONSTRUCT_NONE, SIMPLEPIE_CONSTRUCT_TEXT, et SIMPLEPIE_CONSTRUCT_XHTML.

◆ change_encoding()

static change_encoding | ( | $data,
 |  | $input,
 |  | $output
 | ) |
static

Change a string from one encoding to another

Paramètres
string | $data | Raw data in $input encoding
string | $input | Encoding of $data
string | $output | Encoding you want
Renvoie
string|boolean False if we can't convert it

Références $data, $i, $input, $output, $return, change_encoding_iconv(), change_encoding_mbstring(), elseif, encoding(), et windows_1252_to_utf8().

Référencé par xml_encoding().

◆ change_encoding_iconv()

static change_encoding_iconv | ( | $data,
 |  | $input,
 |  | $output
 | ) |
staticprotected

Références $data, $input, et $output.

Référencé par change_encoding().

◆ change_encoding_mbstring()

static change_encoding_mbstring | ( | $data,
 |  | $input,
 |  | $output
 | ) |
staticprotected

Références $data, $input, $output, et $return.

Référencé par change_encoding().

◆ codepoint_to_utf8()

static codepoint_to_utf8 ( $codepoint )
static

Converts a unicode codepoint to a UTF-8 character

Paramètres
int $codepoint Unicode codepoint
Renvoie
string UTF-8 character

Référencé par SimplePie_Decode_HTML_Entities\entity().

◆ compress_parse_url()

static compress_parse_url | ( | $scheme = '',
 |  | $authority = '',
 |  | $path = '',
 |  | $query = '',
 |  | $fragment = ''
 | ) |
static

Références $path, et $query.

Référencé par SimplePie_File\__construct(), SimplePie_Enclosure\__construct(), et fix_protocol().

◆ debug()

static debug ( & $sp )
static

Format debugging information

Références $info, $version, null, SIMPLEPIE_BUILD, et SIMPLEPIE_VERSION.

◆ element_implode()

static element_implode ( $element )
static

Références $key, $value, et htmlspecialchars.

◆ encoding()

static encoding ( $charset )
static

Normalize an encoding name

This is automatically generated by create.php

To generate it, run php create.php on the command line, and copy the output to replace this function.

Paramètres
string $charset Character set to standardise
Renvoie
string Standardised name

Référencé par change_encoding().

◆ entities_decode()

static entities_decode ( $data )
static

Decode HTML entities

Obsolète:
Use DOMDocument instead
Paramètres
string $data Input data
Renvoie
string Output data

Références $data.

Référencé par get_element().

◆ error()

static error | ( | $message,
 |  | $level,
 |  | $file,
 |  | $line
 | ) |
static

Références $message.

◆ fix_protocol()

static fix_protocol | ( | $url,
 |  | $http = 1
 | ) |
static

Références $url, compress_parse_url(), elseif, normalize_url(), et parse_url().

◆ get_build()

static get_build ( )
static

Get the SimplePie build timestamp

Uses the git index if it exists, otherwise uses the modification time of the newest file.

Références $file, $root, et elseif.

◆ get_curl_version()

static get_curl_version ( )
static

Références elseif.

Référencé par SimplePie_File\__construct().

◆ get_element()

static get_element | ( | $realname,
 |  | $string
 | ) |
static

Get a HTML/XML element from a HTML string

Obsolète:
Use DOMDocument instead (parsing HTML with regex is bad!)
Paramètres
string | $realname | Element name (including namespace prefix if applicable)
string | $string | HTML document
Renvoie
array

Références $attribs, $i, $name, $return, entities_decode(), et SIMPLEPIE_PCRE_HTML_ATTRIBUTE.

◆ is_isegment_nz_nc()

static is_isegment_nz_nc ( $string )
static

◆ normalize_url()

static normalize_url ( $url )
static

Références $url.

Référencé par fix_protocol().

◆ output_javascript()

static output_javascript ( )
static

Références height, et width.

◆ parse_date()

static parse_date ( $dt )
static

Références SimplePie_Parse_Date\get().

◆ parse_mime()

static parse_mime ( $mime )
static

Références $mime.

◆ parse_str()

static parse_str ( $str )
static

Similar to parse_str()

Returns an associative array of name/value pairs, where the value is an array of values that have used the same name

Paramètres
string $str The input string.
Renvoie
array

Références $name, $return, $section, $value, et null.

◆ parse_url()

static parse_url ( $url )
static

Références $url.

Référencé par SimplePie_File\__construct(), SimplePie_Enclosure\__construct(), fix_protocol(), et SimplePie_Enclosure\get_extension().

◆ percent_encoding_normalization()

static percent_encoding_normalization ( $match )
static

◆ silence_errors()

static silence_errors | ( | $num,
 |  | $str
 | ) |
static

◆ space_seperated_tokens()

static space_seperated_tokens ( $string )
static

Références $position.

◆ strip_comments()

static strip_comments ( $data )
static

Strip HTML comments

Paramètres
string $data Data to strip comments from
Renvoie
string Comment stripped string

Références $data, $output, et $start.

◆ time_hms()

static time_hms ( $seconds )
static

Référencé par SimplePie_Enclosure\get_duration().

◆ uncomment_rfc822()

static uncomment_rfc822 ( $string )
static

Remove RFC822 comments

Paramètres
string $data Data to strip comments from
Renvoie
string Comment stripped string

Références $output, $position, et elseif.

◆ windows_1252_to_utf8()

static windows_1252_to_utf8 ( $string )
static

Converts a Windows-1252 encoded string to a UTF-8 encoded string

Paramètres
string $string Windows-1252 encoded string
Renvoie
string UTF-8 encoded string

Référencé par change_encoding().

◆ xml_encoding()

static xml_encoding | ( | $data,
 |  | $registry
 | ) |
static

Detect XML encoding, as per XML 1.0 Appendix F.1

Paramètres
string | $data | XML data
SimplePie_Registry | $registry | Class registry
Renvoie
array Possible encodings

Références $data, change_encoding(), et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • Misc.php


Joomla CMS: Référence de la classe SimplePie_Net_IPv6

Fonctions membres publiques statiques | Fonctions membres privées statiques
Référence de la classe SimplePie_Net_IPv6

Fonctions membres publiques statiques

static | uncompress ($ip)
static | compress ($ip)
static | check_ipv6 ($ip)
static | checkIPv6 ($ip)

Fonctions membres privées statiques

static split_v6_v4 ($ip)

Documentation des fonctions membres

◆ check_ipv6()

static check_ipv6 ( $ip )
static

Checks an IPv6 address

Checks if the given IP is a valid IPv6 address

Paramètres
string $ip An IPv6 address
Renvoie
bool true if $ip is a valid IPv6 address

Références $value.

Référencé par SimplePie_IRI\set_host().

◆ checkIPv6()

static checkIPv6 ( $ip )
static

Checks if the given IP is a valid IPv6 address

Obsolète:
Use {
Voir également
SimplePie_Net_IPv6::check_ipv6()} instead
check_ipv6
Paramètres
string $ip An IPv6 address
Renvoie
bool true if $ip is a valid IPv6 address

◆ compress()

static compress ( $ip )
static

Compresses an IPv6 address

RFC 4291 allows you to compress concecutive zero pieces in an address to '::'. This method expects a valid IPv6 address and compresses consecutive zero pieces to '::'.

Example: FF01:0:0:0:0:0:0:101 -> FF01::101 0:0:0:0:0:0:0:1 -> ::1

Voir également
uncompress()
Paramètres
string $ip An IPv6 address
Renvoie
string The compressed IPv6 address

Références null.

Référencé par SimplePie_IRI\set_host().

◆ split_v6_v4()

static split_v6_v4 ( $ip )
staticprivate

Splits an IPv6 address into the IPv6 and IPv4 representation parts

RFC 4291 allows you to represent the last two parts of an IPv6 address using the standard IPv4 representation

Example: 0:0:0:0:0:0:13.1.68.3 0:0:0:0:0:FFFF:129.144.52.38

Paramètres
string $ip An IPv6 address
Renvoie
array [0] contains the IPv6 represented part, and [1] the IPv4 represented part

◆ uncompress()

static uncompress ( $ip )
static

Uncompresses an IPv6 address

RFC 4291 allows you to compress concecutive zero pieces in an address to '::'. This method expects a valid IPv6 address and expands the '::' to the required number of zero pieces.

Example: FF01::101 -> FF01:0:0:0:0:0:0:101 ::1 -> 0:0:0:0:0:0:0:1

Auteur
Alexander Merz alexa.nosp@m.nder.nosp@m..merz.nosp@m.@web.nosp@m..de
elfrink at introweb dot nl
Josh Peck <jmp at="" joshpeck="" dot="" org>="">
Copyright
2003-2005 The PHP Group http://www.opensource.org/licenses/bsd-license.php
Paramètres
string $ip An IPv6 address
Renvoie
string The uncompressed IPv6 address
La documentation de cette classe a été générée à partir du fichier suivant :
  • IPv6.php


Joomla CMS: Référence de la classe SimplePie_Parse_Date

Fonctions membres publiques | Fonctions membres publiques statiques | Champs de données
Référence de la classe SimplePie_Parse_Date

Fonctions membres publiques

__construct ()
parse ($date)
add_callback ($callback)
date_w3cdtf ($date)
remove_rfc2822_comments ($string)
date_rfc2822 ($date)
date_rfc850 ($date)
date_asctime ($date)
date_strtotime ($date)

Fonctions membres publiques statiques

static get ()

Champs de données

$date
$day
$month
$timezone
$day_pcre
$month_pcre
$built_in = array()
$user = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Create new SimplePie_Parse_Date object, and set self::day_pcre, self::month_pcre, and self::built_in

private

Documentation des fonctions membres

◆ add_callback()

add_callback ( $callback )

Add a callback method to parse a date

public

Paramètres
callback $callback

◆ date_asctime()

date_asctime ( $date )

Parse C99's asctime()'s date format

protected

Renvoie
int Timestamp

Références $date, $day, $day_pcre, $month, et $month_pcre.

◆ date_rfc2822()

date_rfc2822 ( $date )

Parse RFC2822's date format

protected

Renvoie
int Timestamp

Références $day, $day_pcre, $month, $month_pcre, $timezone, elseif, et remove_rfc2822_comments().

◆ date_rfc850()

date_rfc850 ( $date )

Parse RFC850's date format

protected

Renvoie
int Timestamp

Références $date, $day, $day_pcre, $month, $month_pcre, et $timezone.

◆ date_strtotime()

date_strtotime ( $date )

Parse dates using strtotime()

protected

Renvoie
int Timestamp

Références $date.

◆ date_w3cdtf()

date_w3cdtf ( $date )

Parse a superset of W3C-DTF (allows hyphens and colons to be omitted, as well as allowing any of upper or lower case "T", horizontal tabs, or spaces to be used as the time seperator (including more than one))

protected

Renvoie
int Timestamp

Références $date, $day, $i, $month, et $timezone.

◆ get()

static get ( )
static

Get the object

public

Référencé par SimplePie_Misc\parse_date().

◆ parse()

parse ( $date )

Parse a date

public

Paramètres
string $date Date to parse
Renvoie
int Timestamp corresponding to date string, or false on failure

Références $date.

◆ remove_rfc2822_comments()

remove_rfc2822_comments ( $string )

Remove RFC822 comments

protected

Paramètres
string $data Data to strip comments from
Renvoie
string Comment stripped string

Références $output, $position, et elseif.

Référencé par date_rfc2822().

Documentation des champs

◆ $built_in

$built_in = array()

◆ $date

$date

Référencé par date_asctime(), date_rfc850(), date_strtotime(), date_w3cdtf(), et parse().

◆ $day

$day

Référencé par date_asctime(), date_rfc2822(), date_rfc850(), et date_w3cdtf().

◆ $day_pcre

$day_pcre

Référencé par date_asctime(), date_rfc2822(), et date_rfc850().

◆ $month

$month

Référencé par date_asctime(), date_rfc2822(), date_rfc850(), et date_w3cdtf().

◆ $month_pcre

$month_pcre

Référencé par date_asctime(), date_rfc2822(), et date_rfc850().

◆ $timezone

$timezone

Référencé par date_rfc2822(), date_rfc850(), et date_w3cdtf().

◆ $user

$user = array()
La documentation de cette classe a été générée à partir du fichier suivant :
  • vendor/simplepie/simplepie/library/SimplePie/Parse/Date.php


Joomla CMS: Référence de la classe SimplePie_Parser

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe SimplePie_Parser

Fonctions membres publiques

set_registry (SimplePie_Registry $registry)
parse (&$data, $encoding)
get_error_code ()
get_error_string ()
get_current_line ()
get_current_column ()
get_current_byte ()
get_data ()
tag_open ($parser, $tag, $attributes)
cdata ($parser, $cdata)
tag_close ($parser, $tag)
split_ns ($string)

Champs de données

$error_code
$error_string
$current_line
$current_column
$current_byte
$separator = ' '
$namespace = array('')
$element = array('')
$xml_base = array('')
$xml_base_explicit = array(false)
$xml_lang = array('')
$data = array()
$datas = array(array())
$current_xhtml_construct = -1
$encoding

Attributs protégés

$registry

Documentation des fonctions membres

◆ cdata()

cdata | ( | $parser,
 |  | $cdata
 | ) |

Références ENT_QUOTES, et htmlspecialchars.

Référencé par parse().

◆ get_current_byte()

get_current_byte ( )

Références $current_byte.

◆ get_current_column()

get_current_column ( )

Références $current_column.

◆ get_current_line()

get_current_line ( )

Références $current_line.

◆ get_data()

get_data ( )

Références $data.

◆ get_error_code()

get_error_code ( )

Références $error_code.

◆ get_error_string()

get_error_string ( )

Références $error_string.

◆ parse()

parse | ( | & | $data,
 |  |  | $encoding
 | ) |  |

Références $attributes, $data, $encoding, $return, cdata(), elseif, null, tag_close(), et tag_open().

◆ set_registry()

set_registry ( SimplePie_Registry $registry )

Références $registry.

◆ split_ns()

split_ns ( $string )

Références $namespace, SIMPLEPIE_NAMESPACE_ITUNES, SIMPLEPIE_NAMESPACE_MEDIARSS, SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG, SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG2, SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG3, SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG4, et SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG5.

Référencé par tag_open().

◆ tag_close()

tag_close | ( | $parser,
 |  | $tag
 | ) |

Références SIMPLEPIE_NAMESPACE_XHTML.

Référencé par parse().

◆ tag_open()

tag_open | ( | $parser,
 |  | $tag,
 |  | $attributes
 | ) |

Références $attribs, $attributes, $base, $data, $name, $value, ENT_COMPAT, htmlspecialchars, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, SIMPLEPIE_NAMESPACE_RSS_20, SIMPLEPIE_NAMESPACE_XHTML, SIMPLEPIE_NAMESPACE_XML, et split_ns().

Référencé par parse().

Documentation des champs

◆ $current_byte

$current_byte

Référencé par get_current_byte().

◆ $current_column

$current_column

Référencé par get_current_column().

◆ $current_line

$current_line

Référencé par get_current_line().

◆ $current_xhtml_construct

$current_xhtml_construct = -1

◆ $data

$data = array()

Référencé par get_data(), parse(), et tag_open().

◆ $datas

$datas = array(array())

◆ $element

$element = array('')

◆ $encoding

$encoding

Référencé par parse().

◆ $error_code

$error_code

Référencé par get_error_code().

◆ $error_string

$error_string

Référencé par get_error_string().

◆ $namespace

$namespace = array('')

Référencé par split_ns().

◆ $registry

$registry
protected

Référencé par set_registry().

◆ $separator

$separator = ' '

◆ $xml_base

$xml_base = array('')

◆ $xml_base_explicit

$xml_base_explicit = array(false)

◆ $xml_lang

$xml_lang = array('')
La documentation de cette classe a été générée à partir du fichier suivant :
  • simplepie/simplepie/library/SimplePie/Parser.php


Joomla CMS: Référence de la classe SimplePie_Rating

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Rating

Fonctions membres publiques

__construct ($scheme=null, $value=null)
__toString ()
get_scheme ()
get_value ()

Champs de données

$scheme
$value

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $scheme = null,
 |  | $value = null
 | ) |

Constructor, used to input the data

For documentation on all the parameters, see the corresponding properties and their accessors

Références $scheme, $value, et value.

Documentation des fonctions membres

◆ __toString()

__toString ( )

String-ified version

Renvoie
string

◆ get_scheme()

get_scheme ( )

Get the organizational scheme for the rating

Renvoie
string|null

Références $scheme, et null.

◆ get_value()

get_value ( )

Get the value of the rating

Renvoie
string|null

Références $value, null, et value.

Documentation des champs

◆ $scheme

$scheme

Référencé par __construct(), et get_scheme().

◆ $value

$value

Référencé par __construct(), et get_value().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Rating.php


Joomla CMS: Référence de la classe SimplePie_Registry

Fonctions membres publiques | Attributs protégés
Référence de la classe SimplePie_Registry

Fonctions membres publiques

__construct ()
register ($type, $class, $legacy=false)
get_class ($type)
& create ($type, $parameters=array())
& call ($type, $method, $parameters=array())

Attributs protégés

$default
$classes = array()
$legacy = array()

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Constructor

No-op

Documentation des fonctions membres

◆ call()

& call | ( | $type,
 |  | $method,
 |  | $parameters = array()
 | ) |

Call a static method for a type

Paramètres
string | $type
string | $method
array | $parameters
Renvoie
mixed

Références $class, $parameters, $type, et get_class().

◆ create()

& create | ( | $type,
 |  | $parameters = array()
 | ) |

Create a new instance of a given type

Paramètres
string | $type
array | $parameters | Parameters to pass to the constructor
Renvoie
object Instance of class

Références $class, $parameters, $type, et get_class().

◆ get_class()

get_class ( $type )

Get the class registered for a type

Where possible, use {

Voir également
create()} or {
call()} instead
Paramètres
string $type
Renvoie
string|null

Références $type, et null.

Référencé par call(), et create().

◆ register()

register | ( | $type,
 |  | $class,
 |  | $legacy = false
 | ) |

Register a class

Paramètres
string $type See {
Voir également
$default} for names
Paramètres
string | $class | Class name, must subclass the corresponding default
bool | $legacy | Whether to enable legacy support for this class
Renvoie
bool Successfulness

Références $class, $legacy, et $type.

Documentation des champs

◆ $classes

$classes = array()
protected

◆ $default

$default
protected
Valeur initiale :
= array(
'Cache' => 'SimplePie_Cache',
'Locator' => 'SimplePie_Locator',
'Parser' => 'SimplePie_Parser',
'File' => 'SimplePie_File',
'Sanitize' => 'SimplePie_Sanitize',
'Item' => 'SimplePie_Item',
'Author' => 'SimplePie_Author',
'Category' => 'SimplePie_Category',
'Enclosure' => 'SimplePie_Enclosure',
'Caption' => 'SimplePie_Caption',
'Copyright' => 'SimplePie_Copyright',
'Credit' => 'SimplePie_Credit',
'Rating' => 'SimplePie_Rating',
'Restriction' => 'SimplePie_Restriction',
'Content_Type_Sniffer' => 'SimplePie_Content_Type_Sniffer',
'Source' => 'SimplePie_Source',
'Misc' => 'SimplePie_Misc',
'XML_Declaration_Parser' => 'SimplePie_XML_Declaration_Parser',
'Parse_Date' => 'SimplePie_Parse_Date',
)

◆ $legacy

$legacy = array()
protected

Référencé par register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • simplepie/simplepie/library/SimplePie/Registry.php


Joomla CMS: Référence de la classe SimplePie_Restriction

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_Restriction

Fonctions membres publiques

__construct ($relationship=null, $type=null, $value=null)
__toString ()
get_relationship ()
get_type ()
get_value ()

Champs de données

$relationship
$type
$value

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $relationship = null,
 |  | $type = null,
 |  | $value = null
 | ) |

Constructor, used to input the data

For documentation on all the parameters, see the corresponding properties and their accessors

Références $relationship, $type, $value, et value.

Documentation des fonctions membres

◆ __toString()

__toString ( )

String-ified version

Renvoie
string

◆ get_relationship()

get_relationship ( )

Get the relationship

Renvoie
string|null Either 'allow' or 'deny'

Références $relationship, et null.

◆ get_type()

get_type ( )

Get the type

Renvoie
string|null

Références $type, et null.

◆ get_value()

get_value ( )

Get the list of restricted things

Renvoie
string|null

Références $value, null, et value.

Documentation des champs

◆ $relationship

$relationship

Référencé par __construct(), et get_relationship().

◆ $type

$type

Référencé par __construct(), et get_type().

◆ $value

$value

Référencé par __construct(), et get_value().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Restriction.php


Joomla CMS: Référence de la classe SimplePie_Sanitize

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe SimplePie_Sanitize

Fonctions membres publiques

__construct ()
remove_div ($enable=true)
set_image_handler ($page=false)
set_registry (SimplePie_Registry $registry)
pass_cache_data ($enable_cache=true, $cache_location='./cache', $cache_name_function='md5', $cache_class='SimplePie_Cache')
pass_file_data ($file_class='SimplePie_File', $timeout=10, $useragent='', $force_fsockopen=false)
strip_htmltags ($tags=array('base', 'blink', 'body', 'doctype', 'embed', 'font', 'form', 'frame', 'frameset', 'html', 'iframe', 'input', 'marquee', 'meta', 'noscript', 'object', 'param', 'script', 'style'))
encode_instead_of_strip ($encode=false)
strip_attributes ($attribs=array('bgsound', 'class', 'expr', 'id', 'style', 'onclick', 'onerror', 'onfinish', 'onmouseover', 'onmouseout', 'onfocus', 'onblur', 'lowsrc', 'dynsrc'))
strip_comments ($strip=false)
set_output_encoding ($encoding='UTF-8')
set_url_replacements ($element_attribute=null)
sanitize ($data, $type, $base='')
replace_urls ($document, $tag, $attributes)
do_strip_htmltags ($match)

Champs de données

$base
$remove_div = true
$image_handler = ''
$strip_htmltags = array('base', 'blink', 'body', 'doctype', 'embed', 'font', 'form', 'frame', 'frameset', 'html', 'iframe', 'input', 'marquee', 'meta', 'noscript', 'object', 'param', 'script', 'style')
$encode_instead_of_strip = false
$strip_attributes = array('bgsound', 'class', 'expr', 'id', 'style', 'onclick', 'onerror', 'onfinish', 'onmouseover', 'onmouseout', 'onfocus', 'onblur', 'lowsrc', 'dynsrc')
$strip_comments = false
$output_encoding = 'UTF-8'
$enable_cache = true
$cache_location = './cache'
$cache_name_function = 'md5'
$timeout = 10
$useragent = ''
$force_fsockopen = false
$replace_url_attributes = null

Fonctions membres protégées

preprocess ($html, $type)
strip_tag ($tag, $document, $type)
strip_attr ($attrib, $document)

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( )

Références null, et set_url_replacements().

Documentation des fonctions membres

◆ do_strip_htmltags()

do_strip_htmltags ( $match )

Références elseif, encode_instead_of_strip(), ENT_COMPAT, et htmlspecialchars.

◆ encode_instead_of_strip()

encode_instead_of_strip ( $encode = false )

Référencé par do_strip_htmltags(), et strip_tag().

◆ pass_cache_data()

pass_cache_data | ( | $enable_cache = true,
 |  | $cache_location = './cache',
 |  | $cache_name_function = 'md5',
 |  | $cache_class = 'SimplePie_Cache'
 | ) |

Références $cache_location, $cache_name_function, et $enable_cache.

◆ pass_file_data()

pass_file_data | ( | $file_class = 'SimplePie_File',
 |  | $timeout = 10,
 |  | $useragent = '',
 |  | $force_fsockopen = false
 | ) |

Références $force_fsockopen, $timeout, et $useragent.

◆ preprocess()

preprocess | ( | $html,
 |  | $type
 | ) |
protected

Références $html, $type, et SIMPLEPIE_CONSTRUCT_XHTML.

Référencé par sanitize().

◆ remove_div()

remove_div ( $enable = true )

Référencé par sanitize().

◆ replace_urls()

replace_urls | ( | $document,
 |  | $tag,
 |  | $attributes
 | ) |

Références $attributes, $base, $document, $value, et strip_htmltags().

Référencé par sanitize().

◆ sanitize()

sanitize | ( | $data,
 |  | $type,
 |  | $base = ''
 | ) |

Références $attributes, $base, $data, $document, $file, $images, $img, $type, ENT_COMPAT, htmlspecialchars, preprocess(), remove_div(), replace_urls(), SIMPLEPIE_CONSTRUCT_BASE64, SIMPLEPIE_CONSTRUCT_HTML, SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_CONSTRUCT_MAYBE_HTML, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_CONSTRUCT_XHTML, SIMPLEPIE_FILE_SOURCE_REMOTE, SIMPLEPIE_PCRE_HTML_ATTRIBUTE, SIMPLEPIE_PCRE_XML_ATTRIBUTE, strip_attr(), strip_attributes(), strip_comments(), strip_htmltags(), et strip_tag().

◆ set_image_handler()

set_image_handler ( $page = false )

◆ set_output_encoding()

set_output_encoding ( $encoding = 'UTF-8' )

◆ set_registry()

set_registry ( SimplePie_Registry $registry )

◆ set_url_replacements()

set_url_replacements ( $element_attribute = null )

Set element/attribute key/value pairs of HTML attributes containing URLs that need to be resolved relative to the feed

Defaults to |a|, |area|, |blockquote|

Références null.

Référencé par __construct().

◆ strip_attr()

strip_attr | ( | $attrib,
 |  | $document
 | ) |
protected

Références $document.

Référencé par sanitize().

◆ strip_attributes()

strip_attributes ( $attribs = array('bgsound', 'class', 'expr', 'id', 'style', 'onclick', 'onerror', 'onfinish', 'onmouseover', 'onmouseout', 'onfocus', 'onblur', 'lowsrc', 'dynsrc') )

Références $attribs.

Référencé par sanitize().

◆ strip_comments()

strip_comments ( $strip = false )

Référencé par sanitize().

◆ strip_htmltags()

strip_htmltags ( $tags = array('base', 'blink', 'body', 'doctype', 'embed', 'font', 'form', 'frame', 'frameset', 'html', 'iframe', 'input', 'marquee', 'meta', 'noscript', 'object', 'param', 'script', 'style') )

Référencé par replace_urls(), et sanitize().

◆ strip_tag()

strip_tag | ( | $tag,
 |  | $document,
 |  | $type
 | ) |
protected

Références $attr, $document, $i, $name, $text, $type, $value, elseif, encode_instead_of_strip(), SIMPLEPIE_CONSTRUCT_HTML, et SIMPLEPIE_CONSTRUCT_XHTML.

Référencé par sanitize().

Documentation des champs

◆ $base

$base

Référencé par replace_urls(), et sanitize().

◆ $cache_location

$cache_location = './cache'

Référencé par pass_cache_data().

◆ $cache_name_function

$cache_name_function = 'md5'

Référencé par pass_cache_data().

◆ $enable_cache

$enable_cache = true

Référencé par pass_cache_data().

◆ $encode_instead_of_strip

$encode_instead_of_strip = false

◆ $force_fsockopen

$force_fsockopen = false

Référencé par pass_file_data().

◆ $image_handler

$image_handler = ''

◆ $output_encoding

$output_encoding = 'UTF-8'

◆ $remove_div

$remove_div = true

◆ $replace_url_attributes

$replace_url_attributes = null

◆ $strip_attributes

$strip_attributes = array('bgsound', 'class', 'expr', 'id', 'style', 'onclick', 'onerror', 'onfinish', 'onmouseover', 'onmouseout', 'onfocus', 'onblur', 'lowsrc', 'dynsrc')

◆ $strip_comments

$strip_comments = false

◆ $strip_htmltags

$strip_htmltags = array('base', 'blink', 'body', 'doctype', 'embed', 'font', 'form', 'frame', 'frameset', 'html', 'iframe', 'input', 'marquee', 'meta', 'noscript', 'object', 'param', 'script', 'style')

◆ $timeout

$timeout = 10

Référencé par pass_file_data().

◆ $useragent

$useragent = ''

Référencé par pass_file_data().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Sanitize.php


Joomla CMS: Référence de la classe SimplePie_Source

Fonctions membres publiques | Champs de données | Attributs protégés
Référence de la classe SimplePie_Source

Fonctions membres publiques

__construct ($item, $data)
set_registry (SimplePie_Registry $registry)
__toString ()
get_source_tags ($namespace, $tag)
get_base ($element=array())
sanitize ($data, $type, $base='')
get_item ()
get_title ()
get_category ($key=0)
get_categories ()
get_author ($key=0)
get_authors ()
get_contributor ($key=0)
get_contributors ()
get_link ($key=0, $rel='alternate')
get_permalink ()
get_links ($rel='alternate')
get_description ()
get_copyright ()
get_language ()
get_latitude ()
get_longitude ()
get_image_url ()

Champs de données

$item
$data = array()

Attributs protégés

$registry

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $item,
 |  | $data
 | ) |

Références $data, $item, et item.

Documentation des fonctions membres

◆ __toString()

__toString ( )

◆ get_author()

get_author ( $key = 0 )

Références $key, get_authors(), et null.

◆ get_authors()

get_authors ( )

Références $author, $name, $uri, $url, get_base(), get_source_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, et SIMPLEPIE_NAMESPACE_ITUNES.

Référencé par get_author().

◆ get_base()

get_base ( $element = array() )

Références item.

Référencé par get_authors(), get_contributors(), get_copyright(), get_description(), get_image_url(), get_links(), et get_title().

◆ get_categories()

get_categories ( )

Références $category, $label, get_source_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_category().

◆ get_category()

get_category ( $key = 0 )

Références $key, get_categories(), et null.

◆ get_contributor()

get_contributor ( $key = 0 )

Références $key, get_contributors(), et null.

◆ get_contributors()

get_contributors ( )

Références $name, $uri, $url, get_base(), get_source_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, et SIMPLEPIE_NAMESPACE_ATOM_10.

Référencé par get_contributor().

◆ get_copyright()

get_copyright ( )

Références $return, elseif, get_base(), get_source_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_description()

get_description ( )

Références $return, elseif, get_base(), get_source_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_HTML, SIMPLEPIE_CONSTRUCT_MAYBE_HTML, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_ITUNES, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_image_url()

get_image_url ( )

Références $return, elseif, get_base(), get_source_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_NAMESPACE_ATOM_10, et SIMPLEPIE_NAMESPACE_ITUNES.

◆ get_item()

get_item ( )

Références $item.

◆ get_language()

get_language ( )

Références $return, elseif, get_source_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ get_latitude()

get_latitude ( )

Références $return, elseif, get_source_tags(), null, SIMPLEPIE_NAMESPACE_GEORSS, et SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO.

◆ get_link()

get_link | ( | $key = 0,
 |  | $rel = 'alternate'
 | ) |

Références $key, $rel, get_links(), et null.

Référencé par get_permalink().

◆ get_links()

get_links ( $rel = 'alternate' )

Références $key, $link, $rel, elseif, get_base(), get_source_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_IRI, SIMPLEPIE_IANA_LINK_RELATIONS_REGISTRY, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

Référencé par get_link().

◆ get_longitude()

get_longitude ( )

Références $return, elseif, get_source_tags(), null, SIMPLEPIE_NAMESPACE_GEORSS, et SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO.

◆ get_permalink()

get_permalink ( )

Added for parity between the parent-level and the item/entry-level.

Références get_link().

◆ get_source_tags()

get_source_tags | ( | $namespace,
 |  | $tag
 | ) |

Références null.

Référencé par get_authors(), get_categories(), get_contributors(), get_copyright(), get_description(), get_image_url(), get_language(), get_latitude(), get_links(), get_longitude(), et get_title().

◆ get_title()

get_title ( )

Références $return, elseif, get_base(), get_source_tags(), null, sanitize(), SIMPLEPIE_CONSTRUCT_MAYBE_HTML, SIMPLEPIE_CONSTRUCT_TEXT, SIMPLEPIE_NAMESPACE_ATOM_03, SIMPLEPIE_NAMESPACE_ATOM_10, SIMPLEPIE_NAMESPACE_DC_10, SIMPLEPIE_NAMESPACE_DC_11, SIMPLEPIE_NAMESPACE_RSS_090, SIMPLEPIE_NAMESPACE_RSS_10, et SIMPLEPIE_NAMESPACE_RSS_20.

◆ sanitize()

sanitize | ( | $data,
 |  | $type,
 |  | $base = ''
 | ) |

Références $base, $type, et item.

Référencé par get_authors(), get_categories(), get_contributors(), get_copyright(), get_description(), get_image_url(), get_language(), get_links(), et get_title().

◆ set_registry()

set_registry ( SimplePie_Registry $registry )

Références $registry.

Documentation des champs

◆ $data

$data = array()

Référencé par __construct().

◆ $item

$item

Référencé par __construct(), et get_item().

◆ $registry

$registry
protected

Référencé par set_registry().

La documentation de cette classe a été générée à partir du fichier suivant :
  • Source.php


Joomla CMS: Référence de la classe SimplePie_XML_Declaration_Parser

Fonctions membres publiques | Champs de données
Référence de la classe SimplePie_XML_Declaration_Parser

Fonctions membres publiques

__construct ($data)
parse ()
has_data ()
skip_whitespace ()
get_value ()
before_version_name ()
version_name ()
version_equals ()
version_value ()
encoding_name ()
encoding_equals ()
encoding_value ()
standalone_name ()
standalone_equals ()
standalone_value ()

Champs de données

$version = '1.0'
$encoding = 'UTF-8'
$standalone = false
$state = 'before_version_name'
$data = ''
$data_length = 0
$position = 0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $data )

Create an instance of the class with the input data

public

Paramètres
string $data Input data

Références $data.

Documentation des fonctions membres

◆ before_version_name()

before_version_name ( )

Références skip_whitespace().

◆ encoding_equals()

encoding_equals ( )

Références skip_whitespace().

◆ encoding_name()

encoding_name ( )

Références skip_whitespace().

◆ encoding_value()

encoding_value ( )

Références get_value(), has_data(), et skip_whitespace().

◆ get_value()

get_value ( )

Read value

Références $value, et has_data().

Référencé par encoding_value(), standalone_value(), et version_value().

◆ has_data()

has_data ( )

Check whether there is data beyond the pointer

private

Renvoie
bool true if there is further data, false if not

Références $data_length.

Référencé par encoding_value(), get_value(), parse(), standalone_value(), et version_value().

◆ parse()

parse ( )

Parse the input data

public

Renvoie
bool true on success, false on failure

Références $state, et has_data().

◆ skip_whitespace()

skip_whitespace ( )

Advance past any whitespace

Renvoie
int Number of whitespace characters passed

Référencé par before_version_name(), encoding_equals(), encoding_name(), encoding_value(), standalone_equals(), standalone_name(), standalone_value(), version_equals(), version_name(), et version_value().

◆ standalone_equals()

standalone_equals ( )

Références skip_whitespace().

◆ standalone_name()

standalone_name ( )

Références skip_whitespace().

◆ standalone_value()

standalone_value ( )

Références $standalone, get_value(), has_data(), et skip_whitespace().

◆ version_equals()

version_equals ( )

Références skip_whitespace().

◆ version_name()

version_name ( )

Références skip_whitespace().

◆ version_value()

version_value ( )

Références get_value(), has_data(), et skip_whitespace().

Documentation des champs

◆ $data

$data = ''

Référencé par __construct().

◆ $data_length

$data_length = 0

Référencé par has_data().

◆ $encoding

$encoding = 'UTF-8'

◆ $position

$position = 0

◆ $standalone

$standalone = false

Référencé par standalone_value().

◆ $state

$state = 'before_version_name'

Référencé par parse().

◆ $version

$version = '1.0'
La documentation de cette classe a été générée à partir du fichier suivant :
  • simplepie/simplepie/library/SimplePie/XML/Declaration/Parser.php


Joomla CMS: Référence de la classe SMTP

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe SMTP

Fonctions membres publiques

connect ($host, $port=null, $timeout=30, $options=array())
startTLS ()
authenticate ( $username, $password, $authtype=null, $realm='', $workstation='', $OAuth=null)
connected ()
close ()
data ($msg_data)
hello ($host='')
mail ($from)
quit ($close_on_error=true)
recipient ($address)
reset ()
sendAndMail ($from)
verify ($name)
noop ()
turn ()
client_send ($data)
getError ()
getServerExtList ()
getServerExt ($name)
getLastReply ()
setVerp ($enabled=false)
getVerp ()
setDebugOutput ($method='echo')
getDebugOutput ()
setDebugLevel ($level=0)
getDebugLevel ()
setTimeout ($timeout=0)
getTimeout ()
getLastTransactionID ()

Champs de données

const | VERSION = '5.2.28'
const | CRLF = "\r\n"
const | DEFAULT_SMTP_PORT = 25
const | MAX_LINE_LENGTH = 998
const | DEBUG_OFF = 0
const | DEBUG_CLIENT = 1
const | DEBUG_SERVER = 2
const | DEBUG_CONNECTION = 3
const | DEBUG_LOWLEVEL = 4
$Version = '5.2.28'
$SMTP_PORT = 25
$CRLF = "\r\n"
$do_debug = self::DEBUG_OFF
$Debugoutput = 'echo'
$do_verp = false
$Timeout = 300
$Timelimit = 300

Fonctions membres protégées

edebug ($str, $level=0)
hmac ($data, $key)
sendHello ($hello, $host)
parseHelloFields ($type)
sendCommand ($command, $commandstring, $expect)
get_lines ()
setError ($message, $detail='', $smtp_code='', $smtp_code_ex='')
errorHandler ($errno, $errmsg, $errfile='', $errline=0)
recordLastTransactionID ()

Attributs protégés

$smtp_transaction_id_patterns
$last_smtp_transaction_id
$smtp_conn
$error
$helo_rply = null
$server_caps = null
$last_reply = ''

Documentation des fonctions membres

◆ authenticate()

authenticate | ( | $username,
 |  | $password,
 |  | $authtype = null,
 |  | $realm = '',
 |  | $workstation = '',
 |  | $OAuth = null
 | ) |

Perform SMTP authentication. Must be run after hello().

Voir également
hello()
Paramètres
string | $username | The user name
string | $password | The password
string | $authtype | The auth type (PLAIN, LOGIN, NTLM, CRAM-MD5, XOAUTH2)
string | $realm | The auth realm for NTLM
string | $workstation | The auth workstation for NTLM
null | OAuth | $OAuth | An optional OAuth instance (
Voir également
PHPMailerOAuth)
Renvoie
bool True if successfully authenticated.* public

Références $msg1, $password, edebug(), elseif, hmac(), sendCommand(), et setError().

◆ client_send()

client_send ( $data )

Send raw data to the server.

Paramètres
string $data The data to send public
Renvoie
integer|boolean The number of bytes sent to the server or false on error

Références $data, et edebug().

Référencé par data(), et sendCommand().

◆ close()

close ( )

Close the socket and clean up the state of the class. Don't use this function without first trying to use QUIT.

Voir également
quit() public
Renvoie
void

Références edebug(), null, et setError().

Référencé par connected(), et quit().

◆ connect()

connect | ( | $host,
 |  | $port = null,
 |  | $timeout = 30,
 |  | $options = array()
 | ) |

Connect to an SMTP server.

Paramètres
string | $host | SMTP server IP or host name
integer | $port | The port number to connect to
integer | $timeout | How long to wait for the connection to open
array | $options | An array of options for stream_context_create() public
Renvoie
boolean

Références $options, connected(), edebug(), get_lines(), et setError().

◆ connected()

connected ( )

Check connection state. public

Renvoie
boolean True if connected.

Références close(), et edebug().

Référencé par connect(), et sendCommand().

◆ data()

data ( $msg_data )

Send an SMTP DATA command. Issues a data command and sends the msg_data to the server, finializing the mail transaction. $msg_data is the message that is to be send with the headers. Each header needs to be on a single line followed by a <CRLF> with the message headers and the message body being separated by and additional <CRLF>. Implements rfc 821: DATA <CRLF>

Paramètres
string $msg_data Message data to send public
Renvoie
boolean

Références $field, $Timelimit, client_send(), recordLastTransactionID(), et sendCommand().

◆ edebug()

edebug | ( | $str,
 |  | $level = 0
 | ) |
protected

Output debugging info via a user-selected method.

Voir également
SMTP::$Debugoutput
SMTP::$do_debug
Paramètres
string | $str | Debug string to output
integer | $level | The debug level of this message; see DEBUG_* constants
Renvoie
void

Références ENT_QUOTES.

Référencé par authenticate(), client_send(), close(), connect(), connected(), errorHandler(), get_lines(), sendCommand(), et turn().

◆ errorHandler()

errorHandler | ( | $errno,
 |  | $errmsg,
 |  | $errfile = '',
 |  | $errline = 0
 | ) |
protected

Reports an error number and string.

Paramètres
integer | $errno | The error number returned by PHP.
string | $errmsg | The error message returned by PHP.
string | $errfile | The file the error occurred in
integer | $errline | The line number the error occurred on

Références edebug(), et setError().

◆ get_lines()

get_lines ( )
protected

Read the SMTP server's response. Either before eof or socket timeout occurs on the operation. With SMTP we can tell if we have more lines to read if the 4th character is '-' symbol. If it is a space then we don't need to read anything else. protected

Renvoie
string

Références $data, $info, $Timelimit, et edebug().

Référencé par connect(), et sendCommand().

◆ getDebugLevel()

getDebugLevel ( )

Get debug output level.

Renvoie
integer

Références $do_debug.

◆ getDebugOutput()

getDebugOutput ( )

Get debug output method.

Renvoie
string

Références $Debugoutput.

◆ getError()

getError ( )

Get the latest error. public

Renvoie
array

Références $error.

◆ getLastReply()

getLastReply ( )

Get the last reply from the server. public

Renvoie
string

Références $last_reply.

Référencé par recordLastTransactionID().

◆ getLastTransactionID()

getLastTransactionID ( )

Get the queue/transaction ID of the last SMTP transaction If no reply has been received yet, it will return null. If no pattern was matched, it will return false.

Renvoie
bool|null|string
Voir également
recordLastTransactionID()

Références $last_smtp_transaction_id.

◆ getServerExt()

getServerExt ( $name )

A multipurpose method The method works in three ways, dependent on argument value and current state

  1. HELO/EHLO was not sent - returns null and set up $this->error
  2. HELO was sent $name = 'HELO': returns server name $name = 'EHLO': returns boolean false $name = any string: returns null and set up $this->error
  3. EHLO was sent $name = 'HELO'|'EHLO': returns server name $name = any string: if extension $name exists, returns boolean True or its options. Otherwise returns boolean False In other words, one can use this method to detect 3 conditions:

null returned: handshake was not or we don't know about ext (refer to $this->error)

  • false returned: the requested feature exactly not exists
  • positive value returned: the requested feature exists
    Paramètres
    string $name Name of SMTP extension or 'HELO'|'EHLO'
    Renvoie
    mixed

Références $name, null, et setError().

◆ getServerExtList()

getServerExtList ( )

Get SMTP extensions available on the server public

Renvoie
array|null

Références $server_caps.

◆ getTimeout()

getTimeout ( )

Get SMTP timeout.

Renvoie
integer

Références $Timeout.

◆ getVerp()

getVerp ( )

Get VERP address generation mode.

Renvoie
boolean

Références $do_verp.

◆ hello()

hello ( $host = '' )

Send an SMTP HELO or EHLO command. Used to identify the sending server to the receiving server. This makes sure that client and server are in a known state. Implements RFC 821: HELO <SP> <domain> <CRLF> and RFC 2821 EHLO.

Paramètres
string $host The host name or IP to connect to public
Renvoie
boolean

Références sendHello().

◆ hmac()

hmac | ( | $data,
 |  | $key
 | ) |
protected

Calculate an MD5 HMAC hash. Works like hash_hmac('md5', $data, $key) in case that function is not available

Paramètres
string | $data | The data to hash
string | $key | The key to hash with protected
Renvoie
string

Références $data, et $key.

Référencé par authenticate().

◆ mail()

mail ( $from )

Send an SMTP MAIL command. Starts a mail transaction from the email address specified in $from. Returns true if successful or false otherwise. If True the mail transaction is started and then one or more recipient commands may be called followed by a data command. Implements rfc 821: MAIL <SP> FROM:<reverse-path> <CRLF>

Paramètres
string $from Source address of this message public
Renvoie
boolean

Références sendCommand().

◆ noop()

noop ( )

Send an SMTP NOOP command. Used to keep keep-alives alive, doesn't actually do anything public

Renvoie
boolean

Références sendCommand().

◆ parseHelloFields()

parseHelloFields ( $type )
protected

Parse a reply to HELO/EHLO command to discover server extensions. In case of HELO, the only parameter that can be discovered is a server name. protected

Paramètres
string $type - 'HELO' or 'EHLO'

Références $fields, $n, $name, et $type.

Référencé par sendHello().

◆ quit()

quit ( $close_on_error = true )

Send an SMTP QUIT command. Closes the socket if there is no error or the $close_on_error argument is true. Implements from rfc 821: QUIT <CRLF>

Paramètres
boolean $close_on_error Should the connection close if an error occurs? public
Renvoie
boolean

Références $error, close(), et sendCommand().

◆ recipient()

recipient ( $address )

Send an SMTP RCPT command. Sets the TO argument to $toaddr. Returns true if the recipient was accepted false if it was rejected. Implements from rfc 821: RCPT <SP> TO:<forward-path> <CRLF>

Paramètres
string $address The address the message is being sent to public
Renvoie
boolean

Références sendCommand().

◆ recordLastTransactionID()

recordLastTransactionID ( )
protected

Extract and return the ID of the last SMTP transaction based on a list of patterns provided in SMTP::$smtp_transaction_id_patterns. Relies on the host providing the ID in response to a DATA command. If no reply has been received yet, it will return null. If no pattern was matched, it will return false.

Renvoie
bool|null|string

Références $last_smtp_transaction_id, getLastReply(), et null.

Référencé par data().

◆ reset()

reset ( )

Send an SMTP RSET command. Abort any transaction that is currently in progress. Implements rfc 821: RSET <CRLF> public

Renvoie
boolean True on success.

Références sendCommand().

◆ sendAndMail()

sendAndMail ( $from )

Send an SMTP SAML command. Starts a mail transaction from the email address specified in $from. Returns true if successful or false otherwise. If True the mail transaction is started and then one or more recipient commands may be called followed by a data command. This command will send the message to the users terminal if they are logged in and send them an email. Implements rfc 821: SAML <SP> FROM:<reverse-path> <CRLF>

Paramètres
string $from The address the message is from public
Renvoie
boolean

Références sendCommand().

◆ sendCommand()

sendCommand | ( | $command,
 |  | $commandstring,
 |  | $expect
 | ) |
protected

Send a command to an SMTP server and check its return code.

Paramètres
string | $command | The command name - not sent to the server
string | $commandstring | The actual command to send
integer | array | $expect | One or more expected integer success codes protected
Renvoie
boolean True on success.

Références client_send(), connected(), edebug(), get_lines(), null, et setError().

Référencé par authenticate(), data(), mail(), noop(), quit(), recipient(), reset(), sendAndMail(), sendHello(), startTLS(), et verify().

◆ sendHello()

sendHello | ( | $hello,
 |  | $host
 | ) |
protected

Send an SMTP HELO or EHLO command. Low-level implementation used by hello()

Voir également
hello()
Paramètres
string | $hello | The HELO string
string | $host | The hostname to say we are protected
Renvoie
boolean

Références $last_reply, null, parseHelloFields(), et sendCommand().

Référencé par hello().

◆ setDebugLevel()

setDebugLevel ( $level = 0 )

Set debug output level.

Paramètres
integer $level

◆ setDebugOutput()

setDebugOutput ( $method = 'echo' )

Set debug output method.

Paramètres
string | callable $method The name of the mechanism to use for debugging output, or a callable to handle it.

◆ setError()

setError | ( | $message,
 |  | $detail = '',
 |  | $smtp_code = '',
 |  | $smtp_code_ex = ''
 | ) |
protected

Set error messages and codes.

Paramètres
string | $message | The error message
string | $detail | Further detail on the error
string | $smtp_code | An associated SMTP error code
string | $smtp_code_ex | Extended SMTP code

Références $message.

Référencé par authenticate(), close(), connect(), errorHandler(), getServerExt(), sendCommand(), et turn().

◆ setTimeout()

setTimeout ( $timeout = 0 )

Set SMTP timeout.

Paramètres
integer $timeout

◆ setVerp()

setVerp ( $enabled = false )

Enable or disable VERP address generation.

Paramètres
boolean $enabled

Références $enabled.

◆ startTLS()

startTLS ( )

Initiate a TLS (encrypted) session. public

Renvoie
boolean

Références sendCommand().

◆ turn()

turn ( )

Send an SMTP TURN command. This is an optional command for SMTP that this class does not support. This method is here to make the RFC821 Definition complete for this class and may be implemented in future Implements from rfc 821: TURN <CRLF> public

Renvoie
boolean

Références edebug(), et setError().

◆ verify()

verify ( $name )

Send an SMTP VRFY command.

Paramètres
string $name The name to verify public
Renvoie
boolean

Références sendCommand().

Documentation des champs

◆ $CRLF

$CRLF = "\r\n"

◆ $Debugoutput

$Debugoutput = 'echo'

Référencé par getDebugOutput().

◆ $do_debug

$do_debug = self::DEBUG_OFF

Référencé par getDebugLevel().

◆ $do_verp

$do_verp = false

Référencé par getVerp().

◆ $error

$error
protected
Valeur initiale :
= array(
'error' => '',
'detail' => '',
'smtp_code' => '',
'smtp_code_ex' => ''
)

Référencé par getError(), et quit().

◆ $helo_rply

$helo_rply = null
protected

◆ $last_reply

$last_reply = ''
protected

Référencé par getLastReply(), et sendHello().

◆ $last_smtp_transaction_id

$last_smtp_transaction_id
protected

Référencé par getLastTransactionID(), et recordLastTransactionID().

◆ $server_caps

$server_caps = null
protected

Référencé par getServerExtList().

◆ $smtp_conn

$smtp_conn
protected

◆ $SMTP_PORT

$SMTP_PORT = 25

◆ $smtp_transaction_id_patterns

$smtp_transaction_id_patterns
protected
Valeur initiale :
= array(
'exim' => '/[0-9]{3} OK id=(.*)/',
'sendmail' => '/[0-9]{3} 2.0.0 (.*) Message/',
'postfix' => '/[0-9]{3} 2.0.0 Ok: queued as (.*)/'
)

◆ $Timelimit

$Timelimit = 300

Référencé par data(), et get_lines().

◆ $Timeout

$Timeout = 300

Référencé par getTimeout().

◆ $Version

$Version = '5.2.28'

◆ CRLF

const CRLF = "\r\n"

◆ DEBUG_CLIENT

const DEBUG_CLIENT = 1

Debug level to show client -> server messages

◆ DEBUG_CONNECTION

const DEBUG_CONNECTION = 3

Debug level to show connection status, client -> server and server -> client messages

◆ DEBUG_LOWLEVEL

const DEBUG_LOWLEVEL = 4

Debug level to show all messages

◆ DEBUG_OFF

const DEBUG_OFF = 0

Debug level for no output

◆ DEBUG_SERVER

const DEBUG_SERVER = 2

Debug level to show client -> server and server -> client messages

◆ DEFAULT_SMTP_PORT

const DEFAULT_SMTP_PORT = 25

◆ MAX_LINE_LENGTH

const MAX_LINE_LENGTH = 998

◆ VERSION

const VERSION = '5.2.28'
La documentation de cette classe a été générée à partir du fichier suivant :
  • class.smtp.php


Joomla CMS: Référence de la classe SplFixedArray

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés
Référence de la classe SplFixedArray
+ Graphe d'héritage de SplFixedArray:

Fonctions membres publiques

__construct ($size=0)
count ()
toArray ()
getSize ()
setSize ($size)
offsetExists ($index)
offsetGet ($index)
offsetSet ($index, $newval)
offsetUnset ($index)
rewind ()
current ()
key ()
next ()
valid ()
__wakeup ()

Fonctions membres publiques statiques

static fromArray (array $array, $save_indexes=true)

Attributs privés

$internalArray = array()
$size = 0

Description détaillée

The SplFixedArray class provides the main functionalities of array. The main differences between a SplFixedArray and a normal PHP array is that the SplFixedArray is of fixed length and allows only integers within the range as indexes. The advantage is that it allows a faster array implementation.

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $size = 0 )

SplFixedArray constructor.

Paramètres
int $size

Références $size, et size.

Documentation des fonctions membres

◆ __wakeup()

__wakeup ( )

Do nothing.

◆ count()

count ( )
Renvoie
int

Référencé par fromArray().

◆ current()

current ( )

Return current array entry mixed The current element value. 5.3.0

-suppress MixedReturnStatement

◆ fromArray()

static fromArray | ( | array | $array,
 |  |  | $save_indexes = true
 | ) |  |
static
Paramètres
array | $array
bool | $save_indexes
Renvoie
SplFixedArray -suppress MixedAssignment

Références $i, $key, $self, $value, et count().

Référencé par ParagonIE_Sodium_Core_BLAKE2b\stringToContext(), ParagonIE_Sodium_Core32_BLAKE2b\stringToSplFixedArray(), et ParagonIE_Sodium_Core_BLAKE2b\stringToSplFixedArray().

◆ getSize()

getSize ( )
Renvoie
int

Références $size.

Référencé par ParagonIE_Sodium_Core_BLAKE2b\finish(), et ParagonIE_Sodium_Core32_BLAKE2b\store64().

◆ key()

key ( )

Return current array index

Renvoie
int The current array index.

◆ next()

next ( )
Renvoie
void

Référencé par valid().

◆ offsetExists()

offsetExists ( $index )
Paramètres
string | int $index
Renvoie
bool

◆ offsetGet()

offsetGet ( $index )
Paramètres
string | int $index
Renvoie
mixed

-suppress MixedReturnStatement

◆ offsetSet()

offsetSet | ( | $index,
 |  | $newval
 | ) |
Paramètres
string | int | $index
mixed | $newval | -suppress MixedAssignment

◆ offsetUnset()

offsetUnset ( $index )
Paramètres
string | int $index

◆ rewind()

rewind ( )

Rewind iterator back to the start void 5.3.0

◆ setSize()

setSize ( $size )
Paramètres
int $size
Renvoie
bool

Références $size, et size.

◆ toArray()

toArray ( )
Renvoie
array

Références $internalArray.

◆ valid()

valid ( )

Check whether the array contains more elements bool true if the array contains any more elements, false otherwise.

Références next().

Documentation des champs

◆ $internalArray

$internalArray = array()
private

Référencé par toArray().

◆ $size

$size = 0
private

Référencé par __construct(), getSize(), et setSize().

La documentation de cette classe a été générée à partir du fichier suivant :
  • SplFixedArray.php


Joomla CMS: Référence de la classe tagparse

Fonctions membres publiques | Fonctions membres publiques statiques | Attributs privés statiques
Référence de la classe tagparse
+ Graphe d'héritage de tagparse:
easyparse

Fonctions membres publiques

parse ()
string (&$out)
tag (&$out)
ident (&$out)
value (&$out)
combinator (&$op)
- Fonctions membres publiques hérités de easyparse
__construct ($str)
seek ($where=null)
preg_quote ($what)
match ($regex, &$out, $eatWhitespace=true)
literal ($what, $eatWhitespace=true)

Fonctions membres publiques statiques

static | compileString ($string)
static | compilePaths ($paths)
static | compilePath ($path)
static | compileTag ($tag)

Attributs privés statiques

static | $combinators = null
static | $match_opts = null

Membres hérités additionnels

- Champs de données hérités de easyparse
$buffer
$count

Documentation des fonctions membres

◆ combinator()

combinator ( & $op )

Références easyparse\match().

Référencé par tag().

◆ compilePath()

static compilePath ( $path )
static

Références $path.

◆ compilePaths()

static compilePaths ( $paths )
static

Référencé par nodecounter\compile().

◆ compileString()

static compileString ( $string )
static

Référencé par value().

◆ compileTag()

static compileTag ( $tag )
static

Référencé par nodecounter\findNode(), et lessify\parse().

◆ ident()

ident ( & $out )

Références easyparse\match().

Référencé par tag(), et value().

◆ parse()

parse ( )

Références tag().

◆ string()

string ( & $out )

Références $i, elseif, easyparse\literal(), et easyparse\seek().

◆ tag()

tag ( & $out )

Références $i, combinator(), elseif, ident(), easyparse\literal(), easyparse\match(), easyparse\seek(), et value().

Référencé par parse().

◆ value()

value ( & $out )

Références $id, compileString(), elseif, et ident().

Référencé par tag().

Documentation des champs

◆ $combinators

$combinators = null
staticprivate

◆ $match_opts

$match_opts = null
staticprivate
La documentation de cette classe a été générée à partir du fichier suivant :
  • lessify.inc.php


Joomla CMS: Référence de la classe TagsController

Fonctions membres publiques
Référence de la classe TagsController
+ Graphe d'héritage de TagsController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
display ($cachable=false, $urlparams=false)

Description détaillée

Tags view class for the Tags package.

Depuis
3.1

Tags Component Controller

Depuis
3.1

Documentation des fonctions membres

◆ display() [1/2]

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JControllerLegacy This object to support chaining.
Depuis
3.1

Références $id, $layout, et $view.

◆ display() [2/2]

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
mixed | boolean | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JControllerLegacy This object to support chaining.
Depuis
3.1

Références $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_tags/controller.php


Joomla CMS: Référence de la classe TagsControllerTag

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe TagsControllerTag
+ Graphe d'héritage de TagsControllerTag:

Fonctions membres publiques

batch ($model=null)

Fonctions membres protégées

allowAdd ($data=array())
allowEdit ($data=array(), $key='id')

Description détaillée

The Tag Controller

Depuis
3.1

Documentation des fonctions membres

◆ allowAdd()

allowAdd ( $data = array() )
protected

Method to check if you can add a new record.

Paramètres
array $data An array of input data.
Renvoie
boolean
Depuis
3.1

Références $user.

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Method to check if you can edit a record.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
3.1

Références $data, et $key.

◆ batch()

batch ( $model = null )

Method to run batch operations.

Paramètres
object $model The model.
Renvoie
boolean True if successful, false otherwise and internal error is set.
Depuis
3.1
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_tags/controllers/tag.php


Joomla CMS: Référence de la classe TagsControllerTags

Fonctions membres publiques
Référence de la classe TagsControllerTags
+ Graphe d'héritage de TagsControllerTags:

Fonctions membres publiques

getModel ($name='Tag', $prefix='TagsModel', $config=array('ignore_request'=> true))
rebuild ()
searchAjax ()

Description détaillée

The Tags List Controller

Depuis
3.1

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Tag',
 |  | $prefix = 'TagsModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | An optional associative array of configuration settings.
Renvoie
JModelLegacy The model.
Depuis
3.1

Références $config, $name, et $prefix.

◆ rebuild()

rebuild ( )

Rebuild the nested set tree.

Renvoie
boolean False on failure or error, true on success.
Depuis
3.1

◆ searchAjax()

searchAjax ( )

Method to search tags with AJAX

Renvoie
void

Références $app, $filters, $results, $user, json_encode, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_tags/controllers/tags.php


Joomla CMS: Référence de la classe TagsHelper

Fonctions membres publiques statiques
Référence de la classe TagsHelper
+ Graphe d'héritage de TagsHelper:

Fonctions membres publiques statiques

static addSubmenu ($extension)

Description détaillée

Tags helper.

Depuis
3.1
Obsolète:
4.0

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $extension )
static

Configure the Submenu links.

Paramètres
string $extension The extension.
Renvoie
void
Depuis
3.1
Obsolète:
4.0

Références $component, $extension, $file, $lang, $parts, JPATH_ADMINISTRATOR, JPATH_BASE, null, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_tags/helpers/tags.php


Joomla CMS: Référence de la classe TagsHelperRoute

Fonctions membres publiques statiques | Fonctions membres protégées statiques | Attributs protégés statiques
Référence de la classe TagsHelperRoute
+ Graphe d'héritage de TagsHelperRoute:

Fonctions membres publiques statiques

static | getItemRoute ($contentItemId, $contentItemAlias, $contentCatId, $language, $typeAlias, $routerName)
static | getTagRoute ($id)
static | getTagsRoute ()

Fonctions membres protégées statiques

static _findItem ($needles=null)

Attributs protégés statiques

static $lookup

Description détaillée

Tags Component Route Helper.

Depuis
3.1

Documentation des fonctions membres

◆ _findItem()

static _findItem ( $needles = null )
staticprotected

Find Item static function

Paramètres
array $needles Array used to get the language value
Renvoie
null
Exceptions
Exception

Références $active, $app, $component, $id, $item, $items, $lang, $language, $position, $view, elseif, et null.

◆ getItemRoute()

static getItemRoute | ( | $contentItemId,
 |  | $contentItemAlias,
 |  | $contentCatId,
 |  | $language,
 |  | $typeAlias,
 |  | $routerName
 | ) |
static

Tries to load the router for the component and calls it. Otherwise uses getTagRoute.

Paramètres
integer | $contentItemId | Component item id
string | $contentItemAlias | Component item alias
integer | $contentCatId | Component item category id
string | $language | Component item language
string | $typeAlias | Component type alias
string | $routerName | Component router
Renvoie
string URL link to pass to JRoute
Depuis
3.1

Références $language, $link, JPATH_BASE, et JLoader\register().

Référencé par TagsModelTag\getItems(), et ModTagssimilarHelper\getList().

◆ getTagRoute()

static getTagRoute ( $id )
static

Tries to load the router for the component and calls it. Otherwise calls getRoute.

Paramètres
integer $id The ID of the tag
Renvoie
string URL link to pass to JRoute
Depuis
3.1

Références $id, $item, et $link.

Référencé par PlgFinderTags\index(), et PlgSearchTags\onContentSearch().

◆ getTagsRoute()

static getTagsRoute ( )
static

Tries to load the router for the tags view.

Renvoie
string URL link to pass to JRoute
Depuis
3.7

Références $item, et $link.

Documentation des champs

◆ $lookup

$lookup
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_tags/helpers/route.php


Joomla CMS: Référence de la classe TagsModelTag

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe TagsModelTag
+ Graphe d'héritage de TagsModelTag:

Fonctions membres publiques

getTable ($type='Tag', $prefix='TagsTable', $config=array())
getItem ($pk=null)
getForm ($data=array(), $loadData=true)
save ($data)
rebuild ()
saveorder ($idArray=null, $lftArray=null)
__construct ($config=array())
getItems ()
getItem ($pk=null)
hit ($pk=0)

Champs de données

$typeAlias = 'com_tags.tag'

Fonctions membres protégées

canDelete ($record)
populateState ()
loadFormData ()
generateNewTitle ($parentId, $alias, $title)
getListQuery ()
populateState ($ordering='c.core_title', $direction='ASC')

Attributs protégés

$text_prefix = 'COM_TAGS'
$batch_commands
$tag = null
$items = null

Description détaillée

Tags Component Tag Model

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
3.1

Références $config.

Documentation des fonctions membres

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
3.1

◆ generateNewTitle()

generateNewTitle | ( | $parentId,
 |  | $alias,
 |  | $title
 | ) |
protected

Method to change the title & alias.

Paramètres
integer | $parentId | The id of the parent.
string | $alias | The alias.
string | $title | The title.
Renvoie
array Contains the modified title and alias.
Depuis
3.1

Références $title.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the row form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
3.1

Références $form, $jinput, et $user.

◆ getItem() [1/2]

getItem ( $pk = null )

Method to get a tag.

Paramètres
integer $pk An optional id of the object to get, otherwise the id from the model state is used.
Renvoie
mixed Tag data object on success, false on failure.
Depuis
3.1

Références $date, et null.

◆ getItem() [2/2]

getItem ( $pk = null )

Method to get tag data for the current tag or tags

Paramètres
integer $pk An optional ID
Renvoie
object
Depuis
3.1

Références $id, $item, $published, item, JError\raiseError(), et ArrayHelper\toObject().

◆ getItems()

getItems ( )

Method to get a list of items for a list of tags.

Renvoie
mixed An array of objects on success, false on failure.
Depuis
3.1

Références $item, $items, et TagsHelperRoute\getItemRoute().

◆ getListQuery()

getListQuery ( )
protected

Method to build an SQL query to load the list data of all items with a given tag.

Renvoie
string An SQL query
Depuis
3.1

Références $language, et $query.

◆ getTable()

getTable | ( | $type = 'Tag',
 |  | $prefix = 'TagsTable',
 |  | $config = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $type | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.1

Références $config, $prefix, et $type.

◆ hit()

hit ( $pk = 0 )

Increment the hit counter.

Paramètres
integer $pk Optional primary key of the article to increment.
Renvoie
boolean True if successful; false otherwise and internal error set.
Depuis
3.2

Références $input, et JError\raiseError().

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
3.1

Références $data.

◆ populateState() [1/2]

populateState ( )
protected

Auto-populate the model state.

Note
Calling getState in this method will result in recursion.
Renvoie
void
Depuis
3.1

Références $app, et $params.

◆ populateState() [2/2]

populateState | ( | $ordering = 'c.core_title',
 |  | $direction = 'ASC'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.1

Références $app, $format, $itemid, $language, $limit, $listOrder, $offset, $params, et ArrayHelper\toInteger().

◆ rebuild()

rebuild ( )

Method rebuild the entire nested set tree.

Renvoie
boolean False on failure or error, true otherwise.
Depuis
3.1

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
3.1

Références $context, $data, $dispatcher, $input, $name, $title, elseif, JEventDispatcher\getInstance(), et option.

◆ saveorder()

saveorder | ( | $idArray = null,
 |  | $lftArray = null
 | ) |

Method to save the reordered nested set tree. First we save the new order values in the lft values of the changed ids. Then we invoke the table rebuild to implement the new ordering.

Paramètres
array | $idArray | An array of primary key ids.
integer | $lftArray | The lft value
Renvoie
boolean False on failure or error, True otherwise
Depuis
3.1

Documentation des champs

◆ $batch_commands

$batch_commands
protected
Valeur initiale :
= array(
'assetgroup_id' => 'batchAccess',
'language_id' => 'batchLanguage',
)

◆ $items

$items = null
protected

◆ $tag

$tag = null
protected

◆ $text_prefix

$text_prefix = 'COM_TAGS'
protected

◆ $typeAlias

$typeAlias = 'com_tags.tag'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_tags/models/tag.php


Joomla CMS: Référence de la classe TagsModelTags

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe TagsModelTags
+ Graphe d'héritage de TagsModelTags:

Fonctions membres publiques

__construct ($config=array())
checkin ($pks=array())
getTable ($type='Tag', $prefix='TagsTable', $config=array())
getItems ()
countItems (&$items, $extension)

Champs de données

$_context = 'com_tags.tags'

Fonctions membres protégées

populateState ($ordering='a.lft', $direction='asc')
getStoreId ($id='')
getListQuery ()
populateState ($ordering=null, $direction=null)
getListQuery ()

Description détaillée

Tags Component Tags Model

Depuis
3.1

This models supports retrieving a list of tags.

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
3.0.3

Références $config.

Documentation des fonctions membres

◆ checkin()

checkin ( $pks = array() )

Method override to check-in a record or an array of record

Paramètres
mixed $pks The ID of the primary key or an array of IDs
Renvoie
mixed Boolean false if there is an error, otherwise the count of records checked in.
Depuis
3.0.1

Références $count, et $user.

◆ countItems()

countItems | ( | & | $items,
 |  |  | $extension
 | ) |  |

Method to load the countItems method from the extensions

Paramètres
stdClass[] | &$items The category items
string | $extension | The category extension
Renvoie
void
Depuis
3.5

Références $component, $extension, $file, $items, $parts, $prefix, $section, JPATH_ADMINISTRATOR, null, et JLoader\register().

◆ getItems()

getItems ( )

Method to get an array of data items.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
3.0.1

Références $extension, et $items.

◆ getListQuery() [1/2]

getListQuery ( )
protected

Method to build an SQL query to load the list data.

Renvoie
string An SQL query
Depuis
1.6

Références $app, $db, $format, $groups, $language, $limit, $offset, $published, $query, et $user.

◆ getListQuery() [2/2]

getListQuery ( )
protected

Method to create a query for a list of items.

Renvoie
string
Depuis
3.1

Références $db, $groups, $language, $listDirn, $published, $query, $user, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
3.1

Références $id.

◆ getTable()

getTable | ( | $type = 'Tag',
 |  | $prefix = 'TagsTable',
 |  | $config = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $type | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A JTable object
Depuis
3.1

Références $config, $prefix, et $type.

◆ populateState() [1/2]

populateState | ( | $ordering = null,
 |  | $direction = null
 | ) |
protected

Method to auto-populate the model state.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Note
Calling getState in this method will result in recursion.
Depuis
3.1

Références $app, $itemid, $language, $offset, $params, et $user.

◆ populateState() [2/2]

populateState | ( | $ordering = 'a.lft',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
3.1

Références $direction, $extension, $language, $ordering, $params, $parts, $published, et null.

Documentation des champs

◆ $_context

$_context = 'com_tags.tags'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_tags/models/tags.php


Joomla CMS: Référence de la classe TagsRouter

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe TagsRouter
+ Graphe d'héritage de TagsRouter:

Fonctions membres publiques

build (&$query)
parse (&$segments)

Fonctions membres protégées

fixSegment ($segment)

Description détaillée

Routing class from com_tags

Depuis
3.3

Documentation des fonctions membres

◆ build()

build ( & $query )

Build the route for the com_tags component

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Références $i, $id, $params, $position, $query, $total, $view, et null.

Référencé par tagsBuildRoute().

◆ fixSegment()

fixSegment ( $segment )
protected

Try to add missing id to segment

Paramètres
string $segment One piece of segment of the URL to parse
Renvoie
string The segment with founded id
Depuis
3.7

Références $db, $id, et $query.

◆ parse()

parse ( & $segments )

Parse the segments of a URL.

Paramètres
array &$segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Depuis
3.3

Références $count, $i, $item, et $total.

Référencé par tagsParseRoute().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_tags/router.php


Joomla CMS: Référence de la classe TagsTableTag

Fonctions membres publiques
Référence de la classe TagsTableTag
+ Graphe d'héritage de TagsTableTag:

Fonctions membres publiques

__construct ($db)
bind ($array, $ignore='')
check ()
store ($updateNulls=false)
delete ($pk=null, $children=false)

Description détaillée

Tags table

Depuis
3.1

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $db )

Constructor

Paramètres
JDatabaseDriver $db A database connector object

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Overloaded bind function

Paramètres
array | $array | Named array
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
mixed Null if operation was satisfactory, otherwise returns an error string
Voir également
JTable::bind
Depuis
3.1

◆ check()

check ( )

Overloaded check method to ensure data integrity.

Renvoie
boolean True on success.
Depuis
3.1
Exceptions
UnexpectedValueException

Références $date, $key, $title, language, et title.

◆ delete()

delete | ( | $pk = null,
 |  | $children = false
 | ) |

Method to delete a node and, optionally, its child nodes from the table.

Paramètres
integer | $pk | The primary key of the node to delete.
boolean | $children | True to delete child nodes, false to move them up a level.
Renvoie
boolean True on success.
Depuis
3.1

Références $return.

◆ store()

store ( $updateNulls = false )

Overriden JTable::store to set modified data and user id.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
3.1

Références $date, et $user.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_tags/tables/tag.php


Joomla CMS: Référence de la classe TagsViewTag

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe TagsViewTag
+ Graphe d'héritage de TagsViewTag:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
_prepareDocument ()
getTagsTitle ()

Attributs protégés

$form
$item
$state
$assoc
$items
$children
$pagination
$params
$tags_title

Description détaillée

HTML View class for the Tags component

Depuis
3.1

Documentation des fonctions membres

◆ _prepareDocument()

_prepareDocument ( )
protected

Prepares the document.

Renvoie
void

Références $app, $attribs, $link, $menu, $title, elseif, et item.

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Depuis
3.1
Renvoie
void

Prepare the toolbar. If it is new we get: tag tag-add add else we get tag tag-edit edit

Références $lang, $title, $user, $userId, item, JPATH_ADMINISTRATOR, JPATH_BASE, null, et title.

◆ display() [1/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $app, $author, $date, $description, $document, $i, $id, $item, $items, $title, elseif, ENT_COMPAT, et getDocument.

◆ display() [2/3]

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $input, et item.

◆ display() [3/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
3.1

Références $active, $app, $dispatcher, $groups, $item, $items, $layout, $params, $results, $state, $user, children, JEventDispatcher\getInstance(), htmlspecialchars, item, items, json_encode, null, pageclass_sfx, et parent.

◆ getTagsTitle()

getTagsTitle ( )
protected

Creates the tags title for the output

Renvoie
boolean

Références $groups, $item, $user, et item.

Documentation des champs

◆ $assoc

$assoc
protected

◆ $children

$children
protected

◆ $form

$form
protected

◆ $item

$item
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $params

$params
protected

◆ $state

$state
protected

◆ $tags_title

$tags_title
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_tags/views/tag/view.html.php
  • com_tags/views/tag/view.feed.php


Joomla CMS: Référence de la classe TagsViewTags

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe TagsViewTags
+ Graphe d'héritage de TagsViewTags:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()
_prepareDocument ()

Attributs protégés

$items
$pagination
$state
$item
$params

Description détaillée

Tags view class for the Tags package.

Depuis
3.1

HTML View class for the Tags component all tags view

Depuis
3.1

HTML View class for the Tags component

Depuis
3.1

Documentation des fonctions membres

◆ _prepareDocument()

_prepareDocument ( )
protected

Prepares the document

Renvoie
void

Références $app, $attribs, $i, $link, $menu, $title, elseif, item, et null.

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
3.1

Références $layout, $state, $title, $user, elseif, et title.

◆ display() [1/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $app, $author, $date, $description, $document, $item, $items, $title, ENT_COMPAT, getDocument, et if.

◆ display() [2/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $item, $options, et items.

◆ display() [3/3]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $active, $groups, $layout, $params, htmlspecialchars, items, et pageclass_sfx.

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $item

$item
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $params

$params
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_tags/views/tags/view.html.php
  • com_tags/views/tags/view.feed.php


Joomla CMS: Référence de la classe TemplateHelper

Fonctions membres publiques statiques
Référence de la classe TemplateHelper

Fonctions membres publiques statiques

static | getTypeIcon ($fileName)
static | canUpload ($file, $err='')

Description détaillée

Template Helper class.

Depuis
3.2

Documentation des fonctions membres

◆ canUpload()

static canUpload | ( | $file,
 |  | $err = ''
 | ) |
static

Checks if the file can be uploaded

Paramètres
array | $file | File information
string | $err | An error message to be returned
Renvoie
boolean
Depuis
3.2

Références $app, $explodeArray, $file, $format, $i, $maxSize, $params, DIRECTORY_SEPARATOR, jimport(), et null.

Référencé par TemplatesModelTemplate\uploadFile().

◆ getTypeIcon()

static getTypeIcon ( $fileName )
static

Checks if the file is an image

Paramètres
string $fileName The filename
Renvoie
boolean
Depuis
3.2
La documentation de cette classe a été générée à partir du fichier suivant :
  • helpers/template.php


Joomla CMS: Référence de la classe TemplatesController

Fonctions membres publiques | Attributs protégés
Référence de la classe TemplatesController
+ Graphe d'héritage de TemplatesController:

Fonctions membres publiques

display ($cachable=false, $urlparams=false)

Attributs protégés

$default_view = 'styles'

Description détaillée

Templates manager master display controller.

Depuis
1.6

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
boolean | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
TemplatesController This object to support chaining.
Depuis
1.5

Références $document, $id, $layout, $view, getDocument, et JPATH_ADMINISTRATOR.

Documentation des champs

◆ $default_view

$default_view = 'styles'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_templates/controller.php


Joomla CMS: Référence de la classe TemplatesControllerStyle

Fonctions membres publiques | Attributs protégés
Référence de la classe TemplatesControllerStyle
+ Graphe d'héritage de TemplatesControllerStyle:

Fonctions membres publiques

save ($key=null, $urlVar=null)

Attributs protégés

$text_prefix = 'COM_TEMPLATES_STYLE'

Description détaillée

Template style controller class.

Depuis
1.6

Documentation des fonctions membres

◆ save()

save | ( | $key = null,
 |  | $urlVar = null
 | ) |

Method to save a template style.

Paramètres
string | $key | The name of the primary key of the URL variable.
string | $urlVar | The name of the URL variable if different from the primary key (sometimes required to avoid router collisions).
Renvoie
boolean True if successful, false otherwise.
Depuis
1.6

Références $app, $context, $data, $document, $form, $i, $item, $key, $lang, $n, $task, getDocument, JPATH_ADMINISTRATOR, null, et option.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_TEMPLATES_STYLE'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/style.php


Joomla CMS: Référence de la classe TemplatesControllerStyles

Fonctions membres publiques
Référence de la classe TemplatesControllerStyles
+ Graphe d'héritage de TemplatesControllerStyles:

Fonctions membres publiques

duplicate ()
getModel ($name='Style', $prefix='TemplatesModel', $config=array())
setDefault ()
unsetDefault ()

Description détaillée

Template styles list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ duplicate()

duplicate ( )

Method to clone and existing template style.

Renvoie
void

Références JError\raiseWarning().

◆ getModel()

getModel | ( | $name = 'Style',
 |  | $prefix = 'TemplatesModel',
 |  | $config = array()
 | ) |

Proxy for getModel.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JModelLegacy
Depuis
1.6

Références $name, et $prefix.

◆ setDefault()

setDefault ( )

Method to set the home template for a client.

Renvoie
void
Depuis
1.6

Références $id, et JError\raiseWarning().

◆ unsetDefault()

unsetDefault ( )

Method to unset the default template for a client and for a language

Renvoie
void
Depuis
1.6

Références $id, et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_templates/controllers/styles.php


Joomla CMS: Référence de la classe TemplatesControllerTemplate

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe TemplatesControllerTemplate
+ Graphe d'héritage de TemplatesControllerTemplate:

Fonctions membres publiques

__construct ($config=array())
cancel ()
close ()
copy ()
getModel ($name='Template', $prefix='TemplatesModel', $config=array())
save ()
overrides ()
less ()
delete ()
createFile ()
uploadFile ()
createFolder ()
deleteFolder ()
renameFile ()
cropImage ()
resizeImage ()
copyFile ()
extractArchive ()

Fonctions membres protégées

allowEdit ()

Description détaillée

Template style controller class.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
3.2

Références $config.

Documentation des fonctions membres

◆ allowEdit()

allowEdit ( )
protected

Method to check if the user can modify template files

Renvoie
boolean
Depuis
3.2

◆ cancel()

cancel ( )

Method for closing the template.

Renvoie
void
Depuis
3.2

◆ close()

close ( )

Method for closing a file.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, et $url.

◆ copy()

copy ( )

Method for copying the template.

Renvoie
boolean true on success, false otherwise
Depuis
3.2

Références $app, $file, et null.

◆ copyFile()

copyFile ( )

Method for copying a file.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, $location, $url, et elseif.

◆ createFile()

createFile ( )

Method for creating a new file.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, $location, $name, $type, $url, et elseif.

◆ createFolder()

createFolder ( )

Method for creating a new folder.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, $location, $name, $url, et elseif.

◆ cropImage()

cropImage ( )

Method for cropping an image.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, $url, et elseif.

◆ delete()

delete ( )

Method for deleting a file.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, $url, et elseif.

◆ deleteFolder()

deleteFolder ( )

Method for deleting a folder.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, $location, $url, et elseif.

◆ extractArchive()

extractArchive ( )

Method for extracting an archive file.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, et $url.

◆ getModel()

getModel | ( | $name = 'Template',
 |  | $prefix = 'TemplatesModel',
 |  | $config = array()
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional (note, the empty array is atypical compared to other models).
Renvoie
JModelLegacy The model.
Depuis
3.2

Références $config, $name, et $prefix.

◆ less()

less ( )

Method for compiling LESS.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, et $url.

◆ overrides()

overrides ( )

Method for creating override.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, et $url.

◆ renameFile()

renameFile ( )

Method for renaming a file.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, $url, et elseif.

◆ resizeImage()

resizeImage ( )

Method for resizing an image.

Renvoie
void
Depuis
3.2

Références $app, $file, $height, $id, $url, et $width.

◆ save()

save ( )

Saves a template source file.

Renvoie
void
Depuis
3.2

Références $app, $data, $explodeArray, $file, $form, $i, $id, $n, $task, $url, et elseif.

◆ uploadFile()

uploadFile ( )

Method for uploading a file.

Renvoie
void
Depuis
3.2

Références $app, $file, $id, $location, $return, et $url.

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/template.php


Joomla CMS: Référence de la classe TemplatesHelper

Fonctions membres publiques statiques
Référence de la classe TemplatesHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getActions ()
static | getClientOptions ()
static | getTemplateOptions ($clientId=' *')
static | parseXMLTemplateFile ($templateBaseDir, $templateDir)
static | getPositions ($clientId, $templateDir)

Description détaillée

Templates component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void

Références JHtmlSidebar\addEntry().

Référencé par TemplatesViewStyles\display(), et TemplatesViewTemplates\display().

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject
Obsolète:
3.2 Use JHelperContent::getActions() instead

◆ getClientOptions()

static getClientOptions ( )
static

Get a list of filter options for the application clients.

Renvoie
array An array of JHtmlOption elements.

Références $options.

Référencé par JFormFieldTemplateLocation\getOptions().

◆ getPositions()

static getPositions | ( | $clientId,
 |  | $templateDir
 | ) |
static

TODO

Paramètres
integer | $clientId | TODO
string | $templateDir | TODO
Renvoie
boolean|array
Depuis
3.0

Références $clientId, $positions, if, JPATH_ADMINISTRATOR, et JPATH_SITE.

Référencé par JHtmlModules\positions().

◆ getTemplateOptions()

static getTemplateOptions ( $clientId = '*' )
static

Get a list of filter options for the templates with styles.

Paramètres
mixed $clientId The CMS client id (0:site | 1:administrator) or '*' for all.
Renvoie
array An array of JHtmlOption elements.

Références $clientId, $db, $options, et $query.

Référencé par JFormFieldTemplateName\getOptions().

◆ parseXMLTemplateFile()

static parseXMLTemplateFile | ( | $templateBaseDir,
 |  | $templateDir
 | ) |
static

TODO

Paramètres
string | $templateBaseDir | TODO
string | $templateDir | TODO
Renvoie
boolean|JObject

Références $data, $key, et $value.

Référencé par TemplatesModelTemplates\getItems().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_templates/helpers/templates.php


Joomla CMS: Référence de la classe TemplatesModelStyle

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Attributs privés
Référence de la classe TemplatesModelStyle
+ Graphe d'héritage de TemplatesModelStyle:

Fonctions membres publiques

__construct ($config=array())
delete (&$pks)
duplicate (&$pks)
getForm ($data=array(), $loadData=true)
getItem ($pk=null)
getTable ($type='Style', $prefix='TemplatesTable', $config=array())
save ($data)
setHome ($id=0)
unsetHome ($id=0)
getHelp ()

Fonctions membres protégées

populateState ()
generateNewTitle ($categoryId, $alias, $title)
loadFormData ()
preprocessForm (JForm $form, $data, $group='content')
cleanCache ($group=null, $clientId=0)

Attributs protégés

$helpKey = 'JHELP_EXTENSIONS_TEMPLATE_MANAGER_STYLES_EDIT'
$helpURL

Attributs privés

$_cache = array()

Description détaillée

Template style model.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.

Références $config.

Documentation des fonctions membres

◆ cleanCache()

cleanCache | ( | $group = null,
 |  | $clientId = 0
 | ) |
protected

Custom clean cache method

Paramètres
string | $group | The cache group
integer | $clientId | The ID of the client
Renvoie
void
Depuis
1.6

◆ delete()

delete ( & $pks )

Method to delete rows.

Paramètres
array &$pks An array of item ids.
Renvoie
boolean Returns true on success, false on failure.
Depuis
1.6
Exceptions
Exception

Références $context, $dispatcher, $name, $user, JEventDispatcher\getInstance(), option, et JError\raiseWarning().

◆ duplicate()

duplicate ( & $pks )

Method to duplicate styles.

Paramètres
array &$pks An array of primary key IDs.
Renvoie
boolean True if successful.
Exceptions
Exception

Références $context, $dispatcher, $name, $user, JEventDispatcher\getInstance(), null, et option.

◆ generateNewTitle()

generateNewTitle | ( | $categoryId,
 |  | $alias,
 |  | $title
 | ) |
protected

Method to change the title.

Paramètres
integer | $categoryId | The id of the category.
string | $alias | The alias.
string | $title | The title.
Renvoie
string New title.
Depuis
1.7.1

Références $title.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $clientId, $data, $form, $item, $template, JPATH_ADMINISTRATOR, et JPATH_SITE.

◆ getHelp()

getHelp ( )

Get the necessary data to load an item help screen.

Renvoie
object An object with key, url, and local properties for loading the item help screen.
Depuis
1.6

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.

Références $client, $path, $return, et null.

◆ getTable()

getTable | ( | $type = 'Style',
 |  | $prefix = 'TemplatesTable',
 |  | $config = array()
 | ) |

Returns a reference to the a Table object, always creating it.

Paramètres
type | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object

Références $config, $prefix, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note
Calling getState in this method will result in recursion.
Renvoie
void
Depuis
1.6

Références $app, et $params.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'content'
 | ) |  |
protected

Method to allow derived classes to preprocess the form.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
1.6
Exceptions
Exception if there is an error in the form event.

Références $client, $clientId, $data, $form, $lang, $template, jimport(), et null.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.

Références $app, $data, $db, $dispatcher, $extension, $n, $query, $user, JEventDispatcher\getInstance(), et null.

◆ setHome()

setHome ( $id = 0 )

Method to set a template style as home.

Paramètres
integer $id The primary key ID for the style.
Renvoie
boolean True if successful.
Exceptions
Exception

Références $db, $extension, $id, $query, $style, et $user.

◆ unsetHome()

unsetHome ( $id = 0 )

Method to unset a template style as default for a language.

Paramètres
integer $id The primary key ID for the style.
Renvoie
boolean True if successful.
Exceptions
Exception

Références $db, $id, $query, $style, $user, et elseif.

Documentation des champs

◆ $_cache

$_cache = array()
private

◆ $helpKey

$helpKey = 'JHELP_EXTENSIONS_TEMPLATE_MANAGER_STYLES_EDIT'
protected

◆ $helpURL

$helpURL
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/style.php


Joomla CMS: Référence de la classe TemplatesModelStyles

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe TemplatesModelStyles
+ Graphe d'héritage de TemplatesModelStyles:

Fonctions membres publiques

__construct ($config=array())

Fonctions membres protégées

populateState ($ordering='a.template', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of template style records.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery

Références $clientId, $db, $query, et $template.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.template',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $clientId, $direction, $ordering, et $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_templates/models/styles.php


Joomla CMS: Référence de la classe TemplatesModelTemplate

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe TemplatesModelTemplate
+ Graphe d'héritage de TemplatesModelTemplate:

Fonctions membres publiques

getFiles ()
getDirectoryTree ($dir)
& getTemplate ()
checkNewName ()
getFromName ()
copy ()
cleanup ()
getForm ($data=array(), $loadData=true)
& getSource ()
save ($data)
getOverridesFolder ($name, $path)
getOverridesList ()
createOverride ($override)
createTemplateOverride ($overridePath, $htmlPath)
compileLess ($input)
deleteFile ($file)
createFile ($name, $type, $location)
uploadFile ($file, $location)
createFolder ($name, $location)
deleteFolder ($location)
renameFile ($file, $name)
getImage ()
cropImage ($file, $w, $h, $x, $y)
resizeImage ($file, $width, $height)
getPreview ()
getFont ()
copyFile ($newName, $location, $file)
getArchive ()
extractArchive ($file)

Fonctions membres protégées

getFile ($path, $name)
populateState ()
fixTemplateName ()
loadFormData ()
checkFormat ($ext)

Attributs protégés

$template = null
$element = null

Description détaillée

Template model class.

Depuis
1.6

Documentation des fonctions membres

◆ checkFormat()

checkFormat ( $ext )
protected

Check if the extension is allowed and will be shown in the template manager

Paramètres
string $ext The extension to check if it is allowed
Renvoie
boolean true if the extension is allowed false otherwise
Depuis
3.6.0

Références $params.

◆ checkNewName()

checkNewName ( )

Method to check if new template name already exists

Renvoie
boolean true if name is not used, false otherwise
Depuis
2.5

Références $db, et $query.

◆ cleanup()

cleanup ( )

Method to delete tmp folder

Renvoie
boolean true if delete successful, false otherwise
Depuis
2.5

Références $app.

◆ compileLess()

compileLess ( $input )

Compile less using the less compiler under /build.

Paramètres
string $input The relative location of the less file.
Renvoie
boolean true if compilation is successful, false otherwise
Depuis
3.2

Références $app, $client, $explodeArray, $input, $path, $template, et lessc\setFormatter().

◆ copy()

copy ( )

Method to check if new template name already exists

Renvoie
boolean true if name is not used, false otherwise
Depuis
2.5

Références $app, $client, $template, et jimport().

◆ copyFile()

copyFile | ( | $newName,
 |  | $location,
 |  | $file
 | ) |

Copy a file.

Paramètres
string | $newName | The name of the copied file
string | $location | The final location where the file is to be copied
string | $file | The name and location of the file
Renvoie
boolean true if image resize successful, false otherwise.
Depuis
3.2

Références $app, $client, $explodeArray, $file, $location, $path, et $template.

◆ createFile()

createFile | ( | $name,
 |  | $type,
 |  | $location
 | ) |

Create new file.

Paramètres
string | $name | The name of file.
string | $type | The extension of the file.
string | $location | Location for the new file.
Renvoie
boolean true if file created successfully, false otherwise
Depuis
3.2

Références $app, $check, $client, $location, $name, $path, $template, et $type.

◆ createFolder()

createFolder | ( | $name,
 |  | $location
 | ) |

Create new folder.

Paramètres
string | $name | The name of the new folder.
string | $location | Location for the new folder.
Renvoie
boolean True if override folder is created successfully, false otherwise
Depuis
3.2

Références $app, $client, $location, $name, $path, $template, et jimport().

◆ createOverride()

createOverride ( $override )

Create overrides.

Paramètres
string $override The override location.
Renvoie
boolean true if override creation is successful, false otherwise
Depuis
3.2

Références $app, $client, $explodeArray, $name, $return, $template, $url, DIRECTORY_SEPARATOR, elseif, jimport(), et JPATH_ROOT.

◆ createTemplateOverride()

createTemplateOverride | ( | $overridePath,
 |  | $htmlPath
 | ) |

Create override folder & file

Paramètres
string | $overridePath | The override location
string | $htmlPath | The html location
Renvoie
boolean True on success. False otherwise.

Références $file, $files, $folder, $return, et null.

◆ cropImage()

cropImage | ( | $file,
 |  | $w,
 |  | $h,
 |  | $x,
 |  | $y
 | ) |

Crop an image.

Paramètres
string | $file | The name and location of the file
string | $w | width.
string | $h | height.
string | $x | x-coordinate.
string | $y | y-coordinate.
Renvoie
boolean true if image cropped successfully, false otherwise.
Depuis
3.2

Références $app, $client, $file, $image, $path, et $template.

◆ deleteFile()

deleteFile ( $file )

Delete a particular file.

Paramètres
string $file The relative location of the file.
Renvoie
boolean True if file deletion is successful, false otherwise
Depuis
3.2

Références $app, $client, $file, $path, $return, et $template.

◆ deleteFolder()

deleteFolder ( $location )

Delete a folder.

Paramètres
string $location The name and location of the folder.
Renvoie
boolean True if override folder is deleted successfully, false otherwise
Depuis
3.2

Références $app, $client, $location, $path, $return, $template, et jimport().

◆ extractArchive()

extractArchive ( $file )

Extract contents of an archive file.

Paramètres
string $file The name and location of the file
Renvoie
boolean true if image extraction is successful, false otherwise.
Depuis
3.2

Références $app, $client, $explodeArray, $file, $i, $path, et $template.

◆ fixTemplateName()

fixTemplateName ( )
protected

Method to rename the template in the XML files and rename the language files

Renvoie
boolean true if successful, false otherwise
Depuis
2.5

Références $file, $files, $manifest, $template, et jimport().

◆ getArchive()

getArchive ( )

Get the compressed files.

Renvoie
array if file exists, false otherwise
Depuis
3.2

Références $app, $client, $files, $i, $path, et $template.

◆ getDirectoryTree()

getDirectoryTree ( $dir )

Get the directory tree.

Paramètres
string $dir The path of the directory to scan
Renvoie
array
Depuis
3.2

Références $info, $key, et $value.

◆ getFile()

getFile | ( | $path,
 |  | $name
 | ) |
protected

Internal method to get file properties.

Paramètres
string | $path | The base path.
string | $name | The file name.
Renvoie
object
Depuis
1.6

Références $name, $path, et $template.

◆ getFiles()

getFiles ( )

Method to get a list of all the files to edit in a template.

Renvoie
array A nested array of relevant files.
Depuis
1.6

Références $app, $client, $lang, $path, $template, jimport(), et null.

◆ getFont()

getFont ( )

Rename a file.

Renvoie
mixed array on success, false on failure
Depuis
3.2

Références $app, $client, $explodeArray, $folder, $path, $template, et $uri.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $app, $db, $form, $query, et $state.

◆ getFromName()

getFromName ( )

Method to check if new template name already exists

Renvoie
string name of current template
Depuis
2.5

◆ getImage()

getImage ( )

Get an image address, height and width.

Renvoie
array an associative array containing image address, height and width.
Depuis
3.2

Références $app, $client, $folder, $image, $path, $template, et $uri.

◆ getOverridesFolder()

getOverridesFolder | ( | $name,
 |  | $path
 | ) |

Get overrides folder.

Paramètres
string | $name | The name of override.
string | $path | Location of override.
Renvoie
object containing override name and path.
Depuis
3.2

Références $folder, $name, et $path.

◆ getOverridesList()

getOverridesList ( )

Get a list of overrides.

Renvoie
array containing overrides.
Depuis
3.2

Références $client, $component, $layout, $module, $modules, $template, $view, elseif, et JPATH_ROOT.

◆ getPreview()

getPreview ( )

Template preview.

Renvoie
object object containing the id of the template.
Depuis
3.2

Références $app, $db, et $query.

◆ getSource()

& getSource ( )

Method to get a single record.

Renvoie
mixed Object on success, false on failure.
Depuis
1.6

Références $app, $client, $input, et $item.

◆ getTemplate()

& getTemplate ( )

Method to get the template information.

Renvoie
mixed Object if successful, false if not and internal error is set.
Depuis
1.6

Références $app, $db, $query, et $template.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, $params, et jimport().

◆ renameFile()

renameFile | ( | $file,
 |  | $name
 | ) |

Rename a file.

Paramètres
string | $file | The name and location of the old file
string | $name | The new name of the file.
Renvoie
string Encoded string containing the new file location.
Depuis
3.2

Références $app, $client, $explodeArray, $file, $name, $path, $template, et $type.

◆ resizeImage()

resizeImage | ( | $file,
 |  | $width,
 |  | $height
 | ) |

Resize an image.

Paramètres
string | $file | The name and location of the file
string | $width | The new width of the image.
string | $height | The new height of the image.
Renvoie
boolean true if image resize successful, false otherwise.
Depuis
3.2

Références $app, $client, $file, $height, $image, $path, $template, et $width.

◆ save()

save ( $data )

Method to store the source file contents.

Paramètres
array $data The source data to save.
Renvoie
boolean True on success, false otherwise and internal error set.
Depuis
1.6

Références $app, $client, $data, $explodeArray, $return, $template, $user, et jimport().

◆ uploadFile()

uploadFile | ( | $file,
 |  | $location
 | ) |

Upload new file.

Paramètres
string | $file | The name of the file.
string | $location | Location for the new file.
Renvoie
boolean True if file uploaded successfully, false otherwise
Depuis
3.2

Références $app, $client, $file, $location, $path, $template, $url, TemplateHelper\canUpload(), jimport(), JPATH_ADMINISTRATOR, null, et JLoader\register().

Documentation des champs

◆ $element

$element = null
protected

◆ $template

$template = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/template.php


Joomla CMS: Référence de la classe TemplatesModelTemplates

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe TemplatesModelTemplates
+ Graphe d'héritage de TemplatesModelTemplates:

Fonctions membres publiques

__construct ($config=array())
getItems ()

Fonctions membres protégées

getListQuery ()
getStoreId ($id='')
populateState ($ordering='a.element', $direction='asc')

Description détaillée

Methods supporting a list of template extension records.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JControllerLegacy
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getItems()

getItems ( )

Override parent getItems to add extra XML metadata.

Renvoie
array
Depuis
1.6

Références $client, $item, $items, et TemplatesHelper\parseXMLTemplateFile().

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $db, et $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.element',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $clientId, $direction, $ordering, et $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_templates/models/templates.php


Joomla CMS: Référence de la classe TemplatesTableStyle

Fonctions membres publiques
Référence de la classe TemplatesTableStyle
+ Graphe d'héritage de TemplatesTableStyle:

Fonctions membres publiques

__construct (&$db)
bind ($array, $ignore='')
check ()
store ($updateNulls=false)
delete ($pk=null)

Description détaillée

Template style table class.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver &$db A database connector object
Depuis
1.6

Références $db.

Documentation des fonctions membres

◆ bind()

bind | ( | $array,
 |  | $ignore = ''
 | ) |

Overloaded bind function to pre-process the params.

Paramètres
array | $array | Named array
mixed | $ignore | An optional array or space separated list of properties to ignore while binding.
Renvoie
null|string null if operation was satisfactory, otherwise returns an error
Depuis
1.6

◆ check()

check ( )

Overloaded check method to ensure data integrity.

Renvoie
boolean True on success.
Depuis
1.6

Références title.

◆ delete()

delete ( $pk = null )

Overloaded store method to unsure existence of a default style for a template.

Paramètres
mixed $pk An optional primary key value to delete. If not set the instance property value is used.
Renvoie
boolean True on success.
Depuis
1.6

Références $query, et $results.

◆ store()

store ( $updateNulls = false )

Overloaded store method to ensure unicity of default style.

Paramètres
boolean $updateNulls True to update fields even if they are null.
Renvoie
boolean True on success.
Depuis
1.6

Références $query.

La documentation de cette classe a été générée à partir du fichier suivant :
  • tables/style.php


Joomla CMS: Référence de la classe TemplatesViewStyle

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe TemplatesViewStyle
+ Graphe d'héritage de TemplatesViewStyle:

Fonctions membres publiques

display ($tpl=null)
display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$item
$form
$state

Description détaillée

View to edit a template style.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $lang, $url, item, null, et title.

◆ display() [1/2]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références $app, item, et json_encode.

◆ display() [2/2]

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir des fichiers suivants :
  • administrator/components/com_templates/views/style/view.html.php
  • com_templates/views/style/view.json.php


Joomla CMS: Référence de la classe TemplatesViewStyles

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe TemplatesViewStyles
+ Graphe d'héritage de TemplatesViewStyles:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of template styles.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références JHtmlSidebar\setAction(), et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références TemplatesHelper\addSubmenu(), items, et JHtmlSidebar\render().

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_templates/views/styles/view.html.php


Joomla CMS: Référence de la classe TemplatesViewTemplate

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe TemplatesViewTemplate
+ Graphe d'héritage de TemplatesViewTemplate:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
directoryTree ($array)
folderTree ($array)

Attributs protégés

$state
$template
$form
$source
$id
$file
$overridesList
$fileName
$type
$image
$preview
$font
$files
$archive

Description détaillée

View to edit a template style.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Depuis
1.6
Renvoie
void

Références $app, $explodeArray, $user, elseif, modal, et title.

◆ directoryTree()

directoryTree ( $array )
protected

Method for creating the collapsible tree.

Paramètres
array $array The value of the present node for recursion
Renvoie
string
Note
Uses recursion
Depuis
3.2

Références $files.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.

Références $app, $explodeArray, $params, et elseif.

◆ folderTree()

folderTree ( $array )
protected

Method for listing the folder tree in modals.

Paramètres
array $array The value of the present node for recursion
Renvoie
string
Note
Uses recursion
Depuis
3.2

Références $files.

Documentation des champs

◆ $archive

$archive
protected

An array containing a list of compressed files

◆ $file

$file
protected

Encrypted file path

◆ $fileName

$fileName
protected

Name of the present file

◆ $files

$files
protected

A nested array containing lst of files and folders

◆ $font

$font
protected

For loading font information

◆ $form

$form
protected

For loading the source form

◆ $id

$id
protected

Extension id

◆ $image

$image
protected

For loading image information

◆ $overridesList

$overridesList
protected

List of available overrides

◆ $preview

$preview
protected

Template id for showing preview button

◆ $source

$source
protected

For loading source file contents

◆ $state

$state
protected

For loading extension state

◆ $template

$template
protected

For loading template details

◆ $type

$type
protected

Type of the file - image, source, font

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_templates/views/template/view.html.php


Joomla CMS: Référence de la classe TemplatesViewTemplates

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe TemplatesViewTemplates
+ Graphe d'héritage de TemplatesViewTemplates:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$items
$pagination
$state
$file

Description détaillée

View class for a list of template styles.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références JHtmlSidebar\render(), JHtmlSidebar\setAction(), et title.

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références TemplatesHelper\addSubmenu(), et items.

Documentation des champs

◆ $file

$file
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_templates/views/templates/view.html.php


Joomla CMS: Référence de la classe uctc

Fonctions membres publiques statiques | Fonctions membres privées statiques | Attributs privés statiques
Référence de la classe uctc

Fonctions membres publiques statiques

static convert ($data, $from, $to, $safe_mode=false, $safe_char=0xFFFC)

Fonctions membres privées statiques

static | utf8_ucs4array ($input)
static | ucs4array_utf8 ($input)
static | utf7imap_ucs4array ($input)
static | utf7_ucs4array ($input, $sc='+')
static | ucs4array_utf7imap ($input)
static | ucs4array_utf7 ($input, $sc='+')
static | ucs4array_ucs4 ($input)
static | ucs4_ucs4array ($input)

Attributs privés statiques

static | $mechs = array('ucs4', 'ucs4array', 'utf8', 'utf7', 'utf7imap')
static | $allow_overlong = false
static | $safe_mode
static | $safe_char

Documentation des fonctions membres

◆ convert()

static convert | ( | $data,
 |  | $from,
 |  | $to,
 |  | $safe_mode = false,
 |  | $safe_char = 0xFFFC
 | ) |
static

The actual conversion routine

Paramètres
mixed | $data | The data to convert, usually a string, array when converting from UCS-4 array
string | $from | Original encoding of the data
string | $to | Target encoding of the data
bool | $safe_mode | SafeMode tries to correct invalid codepoints
Renvoie
mixed False on failure, String or array on success, depending on target encoding public
Depuis
0.0.1

Références $data, $safe_char, et $safe_mode.

◆ ucs4_ucs4array()

static ucs4_ucs4array ( $input )
staticprivate

Convert UCS-4 string (LE in the moment) into UCS-4 garray private

Références $i, $input, et $output.

◆ ucs4array_ucs4()

static ucs4array_ucs4 ( $input )
staticprivate

Convert UCS-4 array into UCS-4 string (Little Endian at the moment) private

Références $input, et $output.

◆ ucs4array_utf7()

static ucs4array_utf7 | ( | $input,
 |  | $sc = '+'
 | ) |
staticprivate

Références $input, $mode, $output, et elseif.

◆ ucs4array_utf7imap()

static ucs4array_utf7imap ( $input )
staticprivate

Références $input.

◆ ucs4array_utf8()

static ucs4array_utf8 ( $input )
staticprivate

Convert UCS-4 string into UTF-8 string See utf8_ucs4array() for details private

Références $input, $output, et elseif.

◆ utf7_ucs4array()

static utf7_ucs4array | ( | $input,
 |  | $sc = '+'
 | ) |
staticprivate

Références $i, $input, $mode, $output, et $tmp.

◆ utf7imap_ucs4array()

static utf7imap_ucs4array ( $input )
staticprivate

Références $input.

◆ utf8_ucs4array()

static utf8_ucs4array ( $input )
staticprivate

This converts an UTF-8 encoded string to its UCS-4 representation

Paramètres
string $input The UTF-8 string to convert
Renvoie
array Array of 32bit values representing each codepoint private

Références $input, $mode, $output, et elseif.

Documentation des champs

◆ $allow_overlong

$allow_overlong = false
staticprivate

◆ $mechs

$mechs = array('ucs4', 'ucs4array', 'utf8', 'utf7', 'utf7imap')
staticprivate

◆ $safe_char

$safe_char
staticprivate

Référencé par convert().

◆ $safe_mode

$safe_mode
staticprivate

Référencé par convert().

La documentation de cette classe a été générée à partir du fichier suivant :
  • uctc.php


Joomla CMS: Référence de la classe Updatecron

Fonctions membres publiques
Référence de la classe Updatecron
+ Graphe d'héritage de Updatecron:

Fonctions membres publiques

doExecute ()

Description détaillée

This script will fetch the update information for all extensions and store them in the database, speeding up your administrator.

Depuis
2.5

Documentation des fonctions membres

◆ doExecute()

doExecute ( )

Entry point for the script

Renvoie
void
Depuis
2.5

Références $component, et $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • update_cron.php


Joomla CMS: Référence de la classe UsersController

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersController
+ Graphe d'héritage de UsersController:
UsersControllerProfile UsersControllerRegistration UsersControllerRemind UsersControllerReset UsersControllerUser

Fonctions membres publiques

display ($cachable=false, $urlparams=false)
display ($cachable=false, $urlparams=false)

Fonctions membres protégées

canView ($view)

Description détaillée

Users master display controller.

Depuis
1.6

Base controller class for Users.

Depuis
1.5

Documentation des fonctions membres

◆ canView()

canView ( $view )
protected

Checks whether a user can see this view.

Paramètres
string $view The view name.
Renvoie
boolean
Depuis
1.6

Références $view.

◆ display() [1/2]

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $document, $user, $view, et getDocument.

◆ display() [2/2]

display | ( | $cachable = false,
 |  | $urlparams = false
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JController This object to support chaining.
Depuis
1.5

Références $id, $layout, $view, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/controller.php


Joomla CMS: Référence de la classe UsersControllerGroup

Fonctions membres protégées | Attributs protégés
Référence de la classe UsersControllerGroup
+ Graphe d'héritage de UsersControllerGroup:

Fonctions membres protégées

allowSave ($data, $key='id')
allowEdit ($data=array(), $key='id')

Attributs protégés

$text_prefix = 'COM_USERS_GROUP'

Description détaillée

User view level controller class.

Depuis
1.6

Documentation des fonctions membres

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Overrides JControllerForm::allowEdit

Checks that non-Super Admins are not editing Super Admins.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, et $key.

◆ allowSave()

allowSave | ( | $data,
 |  | $key = 'id'
 | ) |
protected

Method to check if you can save a new or existing record.

Overrides JControllerForm::allowSave to check the core.admin permission.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, $key, et option.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_USERS_GROUP'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/controllers/group.php


Joomla CMS: Référence de la classe UsersControllerGroups

Fonctions membres publiques | Attributs protégés
Référence de la classe UsersControllerGroups
+ Graphe d'héritage de UsersControllerGroups:

Fonctions membres publiques

getModel ($name='Group', $prefix='UsersModel', $config=array())
delete ()
publish ()
reorder ()
saveorder ()
checkin ()

Attributs protégés

$text_prefix = 'COM_USERS_GROUPS'

Description détaillée

User groups list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ checkin()

checkin ( )

Check in of one or more records.

Overrides JControllerAdmin::checkin to check the core.admin permission.

Renvoie
boolean True on success
Depuis
1.6

Références option, et JError\raiseError().

◆ delete()

delete ( )

Removes an item.

Overrides JControllerAdmin::delete to check the core.admin permission.

Renvoie
boolean Returns true on success, false on failure.
Depuis
1.6

Références option, et JError\raiseError().

◆ getModel()

getModel | ( | $name = 'Group',
 |  | $prefix = 'UsersModel',
 |  | $config = array()
 | ) |

Proxy for getModel.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $name, et $prefix.

◆ publish()

publish ( )

Method to publish a list of records.

Overrides JControllerAdmin::publish to check the core.admin permission.

Renvoie
void
Depuis
1.6

Références option, et JError\raiseError().

◆ reorder()

reorder ( )

Changes the order of one or more records.

Overrides JControllerAdmin::reorder to check the core.admin permission.

Renvoie
boolean True on success
Depuis
1.6

Références option, et JError\raiseError().

◆ saveorder()

saveorder ( )

Method to save the submitted ordering values for records.

Overrides JControllerAdmin::saveorder to check the core.admin permission.

Renvoie
boolean True on success
Depuis
1.6

Références option, et JError\raiseError().

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_USERS_GROUPS'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/controllers/groups.php


Joomla CMS: Référence de la classe UsersControllerLevel

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersControllerLevel
+ Graphe d'héritage de UsersControllerLevel:

Fonctions membres publiques

delete ()

Fonctions membres protégées

allowSave ($data, $key='id')
allowEdit ($data=array(), $key='id')

Attributs protégés

$text_prefix = 'COM_USERS_LEVEL'

Description détaillée

User view level controller class.

Depuis
1.6

Documentation des fonctions membres

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Overrides JControllerForm::allowEdit

Checks that non-Super Admins are not editing Super Admins.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
3.8.8

Références $data, $db, $groups, $key, $query, et $user.

◆ allowSave()

allowSave | ( | $data,
 |  | $key = 'id'
 | ) |
protected

Method to check if you can save a new or existing record.

Overrides JControllerForm::allowSave to check the core.admin permission.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean
Depuis
1.6

Références $data, $key, et option.

◆ delete()

delete ( )

Removes an item.

Overrides JControllerAdmin::delete to check the core.admin permission.

Renvoie
boolean Returns true on success, false on failure.
Depuis
1.6

Références elseif, option, JError\raiseError(), et JError\raiseWarning().

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_USERS_LEVEL'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/level.php


Joomla CMS: Référence de la classe UsersControllerLevels

Fonctions membres publiques | Attributs protégés
Référence de la classe UsersControllerLevels
+ Graphe d'héritage de UsersControllerLevels:

Fonctions membres publiques

getModel ($name='Level', $prefix='UsersModel', $config=array())

Attributs protégés

$text_prefix = 'COM_USERS_LEVELS'

Description détaillée

User view levels list controller class.

Depuis
1.6

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Level',
 |  | $prefix = 'UsersModel',
 |  | $config = array()
 | ) |

Proxy for getModel.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $name, et $prefix.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_USERS_LEVELS'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/levels.php


Joomla CMS: Référence de la classe UsersControllerMail

Fonctions membres publiques
Référence de la classe UsersControllerMail
+ Graphe d'héritage de UsersControllerMail:

Fonctions membres publiques

send ()
cancel ()

Description détaillée

Users mail controller.

Depuis
1.6

Documentation des fonctions membres

◆ cancel()

cancel ( )

Cancel the mail

Renvoie
void
Depuis
1.6

Références null.

◆ send()

send ( )

Send the mail

Renvoie
void
Depuis
1.6

Références $type.

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/mail.php


Joomla CMS: Référence de la classe UsersControllerNote

Fonctions membres protégées | Attributs protégés
Référence de la classe UsersControllerNote
+ Graphe d'héritage de UsersControllerNote:

Fonctions membres protégées

getRedirectToItemAppend ($recordId=null, $key='id')

Attributs protégés

$text_prefix = 'COM_USERS_NOTE'

Description détaillée

User note controller class.

Depuis
2.5

Documentation des fonctions membres

◆ getRedirectToItemAppend()

getRedirectToItemAppend | ( | $recordId = null,
 |  | $key = 'id'
 | ) |
protected

Gets the URL arguments to append to an item redirect.

Paramètres
integer | $recordId | The primary key id for the item.
string | $key | The name of the primary key variable.
Renvoie
string The arguments to append to the redirect URL.
Depuis
2.5

Références $key, et $userId.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_USERS_NOTE'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/controllers/note.php


Joomla CMS: Référence de la classe UsersControllerNotes

Fonctions membres publiques | Attributs protégés
Référence de la classe UsersControllerNotes
+ Graphe d'héritage de UsersControllerNotes:

Fonctions membres publiques

getModel ($name='Note', $prefix='UsersModel', $config=array('ignore_request'=> true))

Attributs protégés

$text_prefix = 'COM_USERS_NOTES'

Description détaillée

User notes controller class.

Depuis
2.5

Documentation des fonctions membres

◆ getModel()

getModel | ( | $name = 'Note',
 |  | $prefix = 'UsersModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Method to get a model object, loading it if required.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
2.5

Références $config, $name, et $prefix.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_USERS_NOTES'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/notes.php


Joomla CMS: Référence de la classe UsersControllerProfile

Fonctions membres publiques
Référence de la classe UsersControllerProfile
+ Graphe d'héritage de UsersControllerProfile:
UsersController

Fonctions membres publiques

edit ()
save ()
- Fonctions membres publiques hérités de UsersController
display ($cachable=false, $urlparams=false)
display ($cachable=false, $urlparams=false)

Membres hérités additionnels

- Fonctions membres protégées hérités de UsersController
canView ($view)

Description détaillée

Profile controller class for Users.

Depuis
1.6

Documentation des fonctions membres

◆ edit()

edit ( )

Method to check out a user for editing and redirect to the edit form.

Renvoie
boolean
Depuis
1.6

Références $app, $cookieLogin, $user, et $userId.

◆ save()

save ( )

Method to save a user's profile data.

Renvoie
void
Depuis
1.6

Références $app, $data, $form, $i, $n, $return, $user, $userId, null, et JError\raiseError().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/controllers/profile.php


Joomla CMS: Référence de la classe UsersControllerRegistration

Fonctions membres publiques
Référence de la classe UsersControllerRegistration
+ Graphe d'héritage de UsersControllerRegistration:
UsersController

Fonctions membres publiques

activate ()
register ()
- Fonctions membres publiques hérités de UsersController
display ($cachable=false, $urlparams=false)
display ($cachable=false, $urlparams=false)

Membres hérités additionnels

- Fonctions membres protégées hérités de UsersController
canView ($view)

Description détaillée

Registration controller class for Users.

Depuis
1.6

Documentation des fonctions membres

◆ activate()

activate ( )

Method to activate a user.

Renvoie
boolean True on success, false on failure.
Depuis
1.6

Références $input, $message, $return, $user, elseif, null, et JError\raiseError().

◆ register()

register ( )

Method to register a user.

Renvoie
boolean True on success, false on failure.
Depuis
1.6

Références $app, $data, $form, $i, $n, $return, elseif, null, et JError\raiseError().

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/registration.php


Joomla CMS: Référence de la classe UsersControllerRemind

Fonctions membres publiques
Référence de la classe UsersControllerRemind
+ Graphe d'héritage de UsersControllerRemind:
UsersController

Fonctions membres publiques

remind ()
- Fonctions membres publiques hérités de UsersController
display ($cachable=false, $urlparams=false)
display ($cachable=false, $urlparams=false)

Membres hérités additionnels

- Fonctions membres protégées hérités de UsersController
canView ($view)

Description détaillée

Reset controller class for Users.

Depuis
1.6

Documentation des fonctions membres

◆ remind()

remind ( )

Method to request a username reminder.

Renvoie
boolean
Depuis
1.6

Références $data, $message, $return, et JDEBUG.

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_users/controllers/remind.php


Joomla CMS: Référence de la classe UsersControllerReset

Fonctions membres publiques
Référence de la classe UsersControllerReset
+ Graphe d'héritage de UsersControllerReset:
UsersController

Fonctions membres publiques

request ()
confirm ()
complete ()
- Fonctions membres publiques hérités de UsersController
display ($cachable=false, $urlparams=false)
display ($cachable=false, $urlparams=false)

Membres hérités additionnels

- Fonctions membres protégées hérités de UsersController
canView ($view)

Description détaillée

Reset controller class for Users.

Depuis
1.6

Documentation des fonctions membres

◆ complete()

complete ( )

Method to complete the password reset process.

Renvoie
boolean
Depuis
1.6

Références $app, $data, $message, $return, et elseif.

◆ confirm()

confirm ( )

Method to confirm the password request.

Renvoie
boolean

public

Depuis
1.6

Références $app, $data, $message, $return, et elseif.

◆ request()

request ( )

Method to request a password reset.

Renvoie
boolean
Depuis
1.6

Références $app, $data, $message, $return, elseif, et JDEBUG.

La documentation de cette classe a été générée à partir du fichier suivant :
  • controllers/reset.php


Joomla CMS: Référence de la classe UsersControllerUser

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersControllerUser
+ Graphe d'héritage de UsersControllerUser:
UsersController

Fonctions membres publiques

batch ($model=null)
login ()
logout ()
menulogout ()
remind ()
resend ()
- Fonctions membres publiques hérités de UsersController
display ($cachable=false, $urlparams=false)
display ($cachable=false, $urlparams=false)

Fonctions membres protégées

allowEdit ($data=array(), $key='id')
postSaveHook (JModelLegacy $model, $validData=array())
- Fonctions membres protégées hérités de UsersController
canView ($view)

Attributs protégés

$text_prefix = 'COM_USERS_USER'

Description détaillée

User controller class.

Depuis
1.6

Registration controller class for Users.

Depuis
1.6

Documentation des fonctions membres

◆ allowEdit()

allowEdit | ( | $data = array(),
 |  | $key = 'id'
 | ) |
protected

Overrides JControllerForm::allowEdit

Checks that non-Super Admins are not editing Super Admins.

Paramètres
array | $data | An array of input data.
string | $key | The name of the key for the primary key.
Renvoie
boolean True if allowed, false otherwise.
Depuis
1.6

Références $data, $key, et User\authorise().

◆ batch()

batch ( $model = null )

Method to run batch operations.

Paramètres
object $model The model.
Renvoie
boolean True on success, false on failure
Depuis
2.5

◆ login()

login ( )

Method to log in a user.

Renvoie
void
Depuis
1.6

Références $app, $data, $db, $input, $lang, $language, $options, et $query.

◆ logout()

logout ( )

Method to log out a user.

Renvoie
void
Depuis
1.6

Références $app, $db, $input, $lang, $language, $options, $query, $return, et null.

◆ menulogout()

menulogout ( )

Method to logout directly and redirect to page.

Renvoie
void
Depuis
3.5

Références $active, $app, $db, $item, $itemid, $lang, $language, $query, et $url.

◆ postSaveHook()

postSaveHook | ( | JModelLegacy | $model,
 |  |  | $validData = array()
 | ) |  |
protected

Function that allows child controller access to model data after the data has been saved.

Paramètres
JModelLegacy | $model | The data model object.
array | $validData | The validated data.
Renvoie
void
Depuis
3.1

◆ remind()

remind ( )

Method to request a username reminder.

Renvoie
boolean
Depuis
1.6

Références $app, $data, $itemid, $message, $return, $route, UsersHelperRoute\getLoginRoute(), UsersHelperRoute\getRemindRoute(), et null.

◆ resend()

resend ( )

Method to resend a user.

Renvoie
void
Depuis
1.6

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_USERS_USER'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/controllers/user.php


Joomla CMS: Référence de la classe UsersControllerUsers

Fonctions membres publiques | Attributs protégés
Référence de la classe UsersControllerUsers
+ Graphe d'héritage de UsersControllerUsers:

Fonctions membres publiques

__construct ($config=array())
getModel ($name='User', $prefix='UsersModel', $config=array('ignore_request'=> true))
changeBlock ()
activate ()

Attributs protégés

$text_prefix = 'COM_USERS_USERS'

Description détaillée

Users list controller class.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
1.6
Voir également
JController

Références $config.

Documentation des fonctions membres

◆ activate()

activate ( )

Method to activate a record.

Renvoie
void
Depuis
1.6

Références JError\raiseWarning().

◆ changeBlock()

changeBlock ( )

Method to change the block status on a record.

Renvoie
void
Depuis
1.6

Références $task, $value, elseif, ArrayHelper\getValue(), et JError\raiseWarning().

◆ getModel()

getModel | ( | $name = 'User',
 |  | $prefix = 'UsersModel',
 |  | $config = array('ignore_request' => true)
 | ) |

Proxy for getModel.

Paramètres
string | $name | The model name. Optional.
string | $prefix | The class prefix. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
object The model.
Depuis
1.6

Références $config, $name, et $prefix.

Documentation des champs

◆ $text_prefix

$text_prefix = 'COM_USERS_USERS'
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/controllers/users.php


Joomla CMS: Référence de la classe UsersHelper

Fonctions membres publiques statiques | Attributs protégés statiques
Référence de la classe UsersHelper

Fonctions membres publiques statiques

static | addSubmenu ($vName)
static | getActions ()
static | getStateOptions ()
static | getActiveOptions ()
static | getGroups ()
static | getRangeOptions ()
static | getTwoFactorMethods ()
static | getVisibleByGroups ($rules)
static | validateSection ($section)
static | getContexts ()

Attributs protégés statiques

static $actions

Description détaillée

Users component helper.

Depuis
1.6

Documentation des fonctions membres

◆ addSubmenu()

static addSubmenu ( $vName )
static

Configure the Linkbar.

Paramètres
string $vName The name of the active view.
Renvoie
void
Depuis
1.6

Références JHtmlSidebar\addEntry().

Référencé par UsersViewGroups\display(), UsersViewLevels\display(), UsersViewNotes\display(), et UsersViewUsers\display().

◆ getActions()

static getActions ( )
static

Gets a list of the actions that can be performed.

Renvoie
JObject
Obsolète:
3.2 Use JHelperContent::getActions() instead

◆ getActiveOptions()

static getActiveOptions ( )
static

Get a list of filter options for the activated state of a user.

Renvoie
array An array of JHtmlOption elements.
Depuis
1.6

Références $options.

◆ getContexts()

static getContexts ( )
static

Returns valid contexts

Renvoie
array
Depuis
3.7.0

Références JPATH_ADMINISTRATOR.

◆ getGroups()

static getGroups ( )
static

Get a list of the user groups for filtering.

Renvoie
array An array of JHtmlOption elements.
Depuis
1.6

Références $option, et $options.

◆ getRangeOptions()

static getRangeOptions ( )
static

Creates a list of range options used in filter select list used in com_users on users view

Renvoie
array
Depuis
2.5

Références $options.

◆ getStateOptions()

static getStateOptions ( )
static

Get a list of filter options for the blocked state of a user.

Renvoie
array An array of JHtmlOption elements.
Depuis
1.6

Références $options.

◆ getTwoFactorMethods()

static getTwoFactorMethods ( )
static

Creates a list of two factor authentication methods used in com_users on user view

Renvoie
array
Depuis
3.2.0

Références $options, et FOFPlatform\getInstance().

Référencé par UsersViewProfile\display(), et AdminViewProfile\display().

◆ getVisibleByGroups()

static getVisibleByGroups ( $rules )
static

Get a list of the User Groups for Viewing Access Levels

Paramètres
string $rules User Groups in JSON format
Renvoie
string $groups Comma separated list of User Groups
Depuis
3.6

Références $db, $groups, et $query.

◆ validateSection()

static validateSection ( $section )
static

Returns a valid section for users. If it is not valid then null is returned.

Paramètres
string $section The section to get the mapping for
Renvoie
string|null The new section
Depuis
3.7.0

Références $section, et null.

Documentation des champs

◆ $actions

$actions
staticprotected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/helpers/users.php


Joomla CMS: Référence de la classe UsersHelperDebug

Fonctions membres publiques statiques
Référence de la classe UsersHelperDebug

Fonctions membres publiques statiques

static | getComponents ()
static | getDebugActions ($component=null)
static | getLevelsOptions ()

Description détaillée

Users component debugging helper.

Depuis
1.6

Documentation des fonctions membres

◆ getComponents()

static getComponents ( )
static

Get a list of the components.

Renvoie
array
Depuis
1.6

Références $db, $extension, $item, $items, $lang, $query, JPATH_ADMINISTRATOR, et null.

Référencé par UsersViewDebuggroup\display(), et UsersViewDebuguser\display().

◆ getDebugActions()

static getDebugActions ( $component = null )
static

Get a list of the actions for the component or code actions.

Paramètres
string $component The name of the component.
Renvoie
array
Depuis
1.6

Références $action, $component, $extension, $field, $lang, JPATH_ADMINISTRATOR, et null.

Référencé par UsersModelDebuggroup\getDebugActions(), et UsersModelDebugUser\getDebugActions().

◆ getLevelsOptions()

static getLevelsOptions ( )
static

Get a list of filter options for the levels.

Renvoie
array An array of JHtmlOption elements.

Références $options.

Référencé par UsersViewDebuggroup\display(), UsersViewDebuguser\display(), et JFormFieldLevels\getOptions().

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/helpers/debug.php


Joomla CMS: Référence de la classe UsersHelperRoute

Fonctions membres publiques statiques
Référence de la classe UsersHelperRoute

Fonctions membres publiques statiques

static & | getItems ()
static | getLoginRoute ()
static | getProfileRoute ()
static | getRegistrationRoute ()
static | getRemindRoute ()
static | getResendRoute ()
static | getResetRoute ()

Description détaillée

Users Route Helper

Depuis
1.6
Obsolète:
4.0

Documentation des fonctions membres

◆ getItems()

static& getItems ( )
static

Method to get the menu items for the component.

Renvoie
array An array of menu items.
Depuis
1.6
Obsolète:
4.0

Références $component, et $items.

◆ getLoginRoute()

static getLoginRoute ( )
static

Method to get a route configuration for the login view.

Renvoie
mixed Integer menu id on success, null on failure.
Depuis
1.6
Obsolète:
4.0

Références $item, $items, et null.

Référencé par UsersControllerUser\remind().

◆ getProfileRoute()

static getProfileRoute ( )
static

Method to get a route configuration for the profile view.

Renvoie
mixed Integer menu id on success, null on failure.
Depuis
1.6
Obsolète:
4.0

Références $item, $items, et null.

◆ getRegistrationRoute()

static getRegistrationRoute ( )
static

Method to get a route configuration for the registration view.

Renvoie
mixed Integer menu id on success, null on failure.
Depuis
1.6
Obsolète:
4.0

Références $item, $items, et null.

◆ getRemindRoute()

static getRemindRoute ( )
static

Method to get a route configuration for the remind view.

Renvoie
mixed Integer menu id on success, null on failure.
Depuis
1.6
Obsolète:
4.0

Références $item, $items, et null.

Référencé par UsersControllerUser\remind().

◆ getResendRoute()

static getResendRoute ( )
static

Method to get a route configuration for the resend view.

Renvoie
mixed Integer menu id on success, null on failure.
Depuis
1.6
Obsolète:
4.0

Références $item, $items, et null.

◆ getResetRoute()

static getResetRoute ( )
static

Method to get a route configuration for the reset view.

Renvoie
mixed Integer menu id on success, null on failure.
Depuis
1.6
Obsolète:
4.0

Références $item, $items, et null.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/helpers/route.php


Joomla CMS: Référence de la classe UsersModelDebuggroup

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersModelDebuggroup
+ Graphe d'héritage de UsersModelDebuggroup:

Fonctions membres publiques

__construct ($config=array())
getDebugActions ()
getItems ()
getGroup ()

Fonctions membres protégées

populateState ($ordering='a.lft', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of User ACL permissions

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
3.6.0

Références $config.

Documentation des fonctions membres

◆ getDebugActions()

getDebugActions ( )

Get a list of the actions.

Renvoie
array
Depuis
1.6

Références $component, et UsersHelperDebug\getDebugActions().

◆ getGroup()

getGroup ( )

Get the group being debugged.

Renvoie
JObject
Depuis
1.6

Références $db, et $query.

◆ getItems()

getItems ( )

Override getItems method.

Renvoie
array
Depuis
1.6

Références $action, $asset, et $name.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $component, $db, et $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.lft',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $layout, $ordering, $params, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • debuggroup.php


Joomla CMS: Référence de la classe UsersModelDebugUser

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersModelDebugUser
+ Graphe d'héritage de UsersModelDebugUser:

Fonctions membres publiques

__construct ($config=array())
getDebugActions ()
getItems ()
getUser ()

Fonctions membres protégées

populateState ($ordering='a.lft', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of User ACL permissions

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
3.6.0

Références $config.

Documentation des fonctions membres

◆ getDebugActions()

getDebugActions ( )

Get a list of the actions.

Renvoie
array
Depuis
1.6

Références $component, et UsersHelperDebug\getDebugActions().

◆ getItems()

getItems ( )

Override getItems method.

Renvoie
array
Depuis
1.6

Références $action, $asset, $name, $user, et $userId.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $component, $db, et $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ getUser()

getUser ( )

Get the user being debugged.

Renvoie
JUser
Depuis
1.6

Références $userId.

◆ populateState()

populateState | ( | $ordering = 'a.lft',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $layout, $ordering, $params, et $value.

La documentation de cette classe a été générée à partir du fichier suivant :
  • debuguser.php


Joomla CMS: Référence de la classe UsersModelGroup

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersModelGroup
+ Graphe d'héritage de UsersModelGroup:

Fonctions membres publiques

__construct ($config=array())
getTable ($type='Usergroup', $prefix='JTable', $config=array())
getForm ($data=array(), $loadData=true)
save ($data)
delete (&$pks)

Fonctions membres protégées

loadFormData ()
preprocessForm (JForm $form, $data, $group='')
generateGroupTitle ($parentId, $title)

Description détaillée

User group model.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor

Paramètres
array $config An optional associative array of configuration settings.

Références $config.

Documentation des fonctions membres

◆ delete()

delete ( & $pks )

Method to delete rows.

Paramètres
array &$pks An array of item ids.
Renvoie
boolean Returns true on success, false on failure.
Depuis
1.6
Exceptions
Exception

Références $dispatcher, $groups, $i, $user, elseif, JEventDispatcher\getInstance(), et JError\raiseWarning().

◆ generateGroupTitle()

generateGroupTitle | ( | $parentId,
 |  | $title
 | ) |
protected

Method to generate the title of group on Save as Copy action

Paramètres
integer | $parentId | The id of the parent.
string | $title | The title of group
Renvoie
string Contains the modified title.
Depuis
3.3.7

Références $title.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getTable()

getTable | ( | $type = 'Usergroup',
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |

Returns a reference to the a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, $return, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = ''
 | ) |  |
protected

Override preprocessForm to load the user plugin group instead of content.

Paramètres
JForm | $form | A form object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
1.6
Exceptions
Exception if there is an error loading the form.

Références $data, et $form.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Check the super admin permissions for group We get the parent group permissions and then check the group permissions manually We have to calculate the group permissions manually because we haven't saved the group yet

Check for super-admin changing self to be non-super-admin First, are we a super admin

If we would not otherwise have super admin permissions and the current group does not have super admin permissions, throw an exception

Références $data, et elseif.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/models/group.php


Joomla CMS: Référence de la classe UsersModelGroups

Fonctions membres publiques | Fonctions membres protégées | Fonctions membres privées
Référence de la classe UsersModelGroups
+ Graphe d'héritage de UsersModelGroups:

Fonctions membres publiques

__construct ($config=array())
getItems ()

Fonctions membres protégées

populateState ($ordering='a.lft', $direction='asc')
getStoreId ($id='')
getListQuery ()

Fonctions membres privées

populateExtraData (array $items)

Description détaillée

Methods supporting a list of user group records.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getItems()

getItems ( )

Gets the list of groups and adds expensive joins to the result set.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
1.6

Références $items.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery

Références $db, et $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateExtraData()

populateExtraData ( array $items )
private

Populate level & path for items.

Paramètres
array $items Array of stdClass objects
Renvoie
array
Depuis
3.6.3

Références $db, $groups, $item, $items, et $query.

◆ populateState()

populateState | ( | $ordering = 'a.lft',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, $ordering, et $params.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/models/groups.php


Joomla CMS: Référence de la classe UsersModelLevel

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersModelLevel
+ Graphe d'héritage de UsersModelLevel:
AdminModel FormModel BaseDatabaseModel

Fonctions membres publiques

getTable ($type='Viewlevel', $prefix='JTable', $config=array())
getItem ($pk=null)
getForm ($data=array(), $loadData=true)
save ($data)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de AdminModel
__construct ($config=array(), MVCFactoryInterface $factory=null)
batch ($commands, $pks, $contexts)
checkin ($pks=array())
checkout ($pk=null)
delete (&$pks)
getItem ($pk=null)
publish (&$pks, $value=1)
reorder ($pks, $delta=0)
save ($data)
saveorder ($pks=array(), $order=null)
createTagsHelper ($tagsObserver, $type, $pk, $typeAlias, $table)
generateTitle ($categoryId, $table)
initBatch ()
editAssociations ($data)
- Fonctions membres publiques hérités de FormModel
__construct ($config=array(), MVCFactoryInterface $factory=null)
checkin ($pk=null)
checkout ($pk=null)
getForm ($data=array(), $loadData=true)
validate ($form, $data, $group=null)
- Fonctions membres publiques hérités de BaseDatabaseModel
__construct ($config=array(), MVCFactoryInterface $factory=null)
getDbo ()
getName ()
getState ($property=null, $default=null)
getTable ($name='', $prefix='Table', $options=array())
loadHistory ($versionId, \JTable &$table)
setDbo ($db)
setState ($property, $value=null)

Fonctions membres protégées

canDelete ($record)
loadFormData ()
preprocessForm (JForm $form, $data, $group='')
- Fonctions membres protégées hérités de AdminModel
batchAccess ($value, $pks, $contexts)
batchCopy ($value, $pks, $contexts)
cleanupPostBatchCopy (\JTableInterface $table, $newId, $oldId)
batchLanguage ($value, $pks, $contexts)
batchMove ($value, $pks, $contexts)
batchTag ($value, $pks, $contexts)
canDelete ($record)
canEditState ($record)
generateNewTitle ($categoryId, $alias, $title)
getReorderConditions ($table)
populateState ()
prepareTable ($table)
checkCategoryId ($categoryId)
redirectToAssociations ($data)
- Fonctions membres protégées hérités de FormModel
loadForm ($name, $source=null, $options=array(), $clear=false, $xpath=false)
loadFormData ()
preprocessData ($context, &$data, $group='content')
preprocessForm (\JForm $form, $data, $group='content')
- Fonctions membres protégées hérités de BaseDatabaseModel
_getList ($query, $limitstart=0, $limit=0)
_getListCount ($query)
_createTable ($name, $prefix='Table', $config=array())
populateState ()

Attributs protégés

$levelsInUse = null
- Attributs protégés hérités de AdminModel
$text_prefix = null
$event_after_delete = null
$event_after_save = null
$event_before_delete = null
$event_before_save = null
$event_change_state = null
$batch_copymove = 'category_id'
$batch_commands
$associationsContext = null
$batchSet = null
$user = null
$table = null
$tableClassName = null
$contentType = null
$type = null
$tagsObserver = null
- Attributs protégés hérités de FormModel
$_forms = array()
$events_map = null
- Attributs protégés hérités de BaseDatabaseModel
$__state_set = null
$_db
$name
$option = null
$state
$event_clean_cache = null
$factory

Membres hérités additionnels

- Fonctions membres publiques statiques hérités de BaseDatabaseModel
static | addIncludePath ($path='', $prefix='')
static | addTablePath ($path)
static | getInstance ($type, $prefix='', $config=array())
- Champs de données hérités de AdminModel
$typeAlias
- Fonctions membres protégées statiques hérités de BaseDatabaseModel
static | _createFileName ($type, $parts=array())

Description détaillée

User view level model.

Depuis
1.6

Documentation des fonctions membres

◆ canDelete()

canDelete ( $record )
protected

Method to test whether a record can be deleted.

Paramètres
object $record A record object.
Renvoie
boolean True if allowed to delete the record. Defaults to the permission set in the component.
Depuis
1.6

We are looking for the access field. If custom tables are using something other than the 'access' field they are on their own unfortunately. Also make sure the table prefix matches the live db prefix (eg, it is not a "bak_" table)

Références $db, $fields, $groups, $prefix, $query, et null.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
1.6

◆ getTable()

getTable | ( | $type = 'Viewlevel',
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |

Returns a reference to the a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, $return, et $type.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = ''
 | ) |  |
protected

Method to preprocess the form

Paramètres
JForm | $form | A form object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
1.6
Exceptions
Exception if there is an error loading the form.

Références $data, et $form.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $data.

◆ validate()

validate | ( | $form,
 |  | $data,
 |  | $group = null
 | ) |

Method to validate the form data.

Paramètres
\JForm | $form | The form to validate against.
array | $data | The data to validate.
string | $group | The name of the field group to validate.
Renvoie
array|boolean Array of filtered data if valid, false otherwise.
Voir également
Depuis
3.8.8

Références $data, $form, $groups, $i, $n, elseif, et validate().

Documentation des champs

◆ $levelsInUse

$levelsInUse = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/level.php


Joomla CMS: Référence de la classe UsersModelLevels

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersModelLevels
+ Graphe d'héritage de UsersModelLevels:

Fonctions membres publiques

__construct ($config=array())
reorder ($pk, $direction=0)
saveorder ($pks, $order)

Fonctions membres protégées

populateState ($ordering='a.ordering', $direction='asc')
getStoreId ($id='')
getListQuery ()

Description détaillée

Methods supporting a list of user access level records.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery

Références $db, et $query.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.ordering',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, $ordering, et $params.

◆ reorder()

reorder | ( | $pk,
 |  | $direction = 0
 | ) |

Method to adjust the ordering of a row.

Paramètres
integer | $pk | The ID of the primary key to move.
integer | $direction | Increment, usually +1 or -1
Renvoie
boolean False on failure or error, true otherwise.

Références $user.

◆ saveorder()

saveorder | ( | $pks,
 |  | $order
 | ) |

Saves the manually set order of records.

Paramètres
array | $pks | An array of primary key ids.
integer | $order | Order position
Renvoie
boolean|JException Boolean true on success, boolean false or JException instance on error

Références $i, $user, elseif, et JError\raiseWarning().

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/levels.php


Joomla CMS: Référence de la classe UsersModelLogin

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersModelLogin
+ Graphe d'héritage de UsersModelLogin:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)

Fonctions membres protégées

loadFormData ()
populateState ()
preprocessForm (JForm $form, $data, $group='user')

Description détaillée

Rest model class for Users.

Depuis
1.6

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the login form.

The base form is loaded from XML and then an event is fired for users plugins to extend the form with extra fields.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
array The default data is an empty array.
Depuis
1.6

Références $app, $data, $input, et $return.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $params.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'user'
 | ) |  |
protected

Override JModelAdmin::preprocessForm to ensure the correct plugin group is loaded.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
1.6
Exceptions
Exception if there is an error in the form event.

Références $data, et $form.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/models/login.php


Joomla CMS: Référence de la classe UsersModelMail

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersModelMail
+ Graphe d'héritage de UsersModelMail:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
send ()

Fonctions membres protégées

loadFormData ()
preprocessForm (JForm $form, $data, $group='user')

Description détaillée

Users mail model.

Depuis
1.6

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the row form.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'user'
 | ) |  |
protected

Method to preprocess the form

Paramètres
JForm | $form | A form object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
1.6
Exceptions
Exception if there is an error loading the form.

Références $data, et $form.

◆ send()

send ( )

Send the email

Renvoie
boolean

Fill the data (specially for the 'mode', 'group' and 'bcc': they could not exist in the array when the box is not checked and in this case, the default value would be used instead of the '0' one)

Références $app, PHPMailer\$bcc, $data, $db, $disabled, $mode, $params, $query, $rows, $subject, PHPMailer\$to, $user, elseif, et PHPMailer\setError().

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/mail.php


Joomla CMS: Référence de la classe UsersModelNote

Fonctions membres publiques | Champs de données | Fonctions membres protégées
Référence de la classe UsersModelNote
+ Graphe d'héritage de UsersModelNote:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getItem ($pk=null)
getTable ($name='Note', $prefix='UsersTable', $options=array())

Champs de données

$typeAlias = 'com_users.note'

Fonctions membres protégées

loadFormData ()
populateState ()

Description détaillée

User note model.

Depuis
2.5

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
2.5

Références $form.

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
2.5

Références $dispatcher, et JEventDispatcher\getInstance().

◆ getTable()

getTable | ( | $name = 'Note',
 |  | $prefix = 'UsersTable',
 |  | $options = array()
 | ) |

Method to get a table object, load it if necessary.

Paramètres
string | $name | The table name. Optional.
string | $prefix | The class prefix. Optional.
array | $options | Configuration array for model. Optional.
Renvoie
JTable The table object
Depuis
2.5

Références $name, $options, et $prefix.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $app, $data, et $userId.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
2.5

Références $userId.

Documentation des champs

◆ $typeAlias

$typeAlias = 'com_users.note'
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/models/note.php


Joomla CMS: Référence de la classe UsersModelNotes

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersModelNotes
+ Graphe d'héritage de UsersModelNotes:

Fonctions membres publiques

__construct ($config=array())
getUser ()

Fonctions membres protégées

getListQuery ()
getStoreId ($id='')
populateState ($ordering='a.review_time', $direction='desc')

Description détaillée

User notes model class.

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Class constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
2.5

Références $config.

Documentation des fonctions membres

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery A JDatabaseQuery object to retrieve the data set.
Depuis
2.5

Références $db, $published, $query, $userId, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
2.5

Références $id.

◆ getUser()

getUser ( )

Gets a user object if the user filter is set.

Renvoie
JUser The JUser object
Depuis
2.5

Références $user.

◆ populateState()

populateState | ( | $ordering = 'a.review_time',
 |  | $direction = 'desc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $direction, $layout, et $ordering.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/notes.php


Joomla CMS: Référence de la classe UsersModelProfile

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersModelProfile
+ Graphe d'héritage de UsersModelProfile:

Fonctions membres publiques

__construct ($config=array())
checkin ($userId=null)
checkout ($userId=null)
getData ()
getForm ($data=array(), $loadData=true)
save ($data)
getTwofactorform ($userId=null)
getOtpConfig ($userId=null)

Fonctions membres protégées

loadFormData ()
preprocessForm (JForm $form, $data, $group='user')
populateState ()

Attributs protégés

$data

Description détaillée

Profile model class for Users.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor

Paramètres
array $config An array of configuration options (name, state, dbo, table_path, ignore_request).
Depuis
3.2
Exceptions
Exception

Références $config, JPATH_ADMINISTRATOR, et JLoader\register().

Documentation des fonctions membres

◆ checkin()

checkin ( $userId = null )

Method to check in a user.

Paramètres
integer $userId The id of the row to check out.
Renvoie
boolean True on success, false on failure.
Depuis
1.6

Références $userId.

◆ checkout()

checkout ( $userId = null )

Method to check out a user for editing.

Paramètres
integer $userId The id of the row to check out.
Renvoie
boolean True on success, false on failure.
Depuis
1.6

Références $user, et $userId.

◆ getData()

getData ( )

Method to get the profile form data.

The base form data is loaded and then an event is fired for users plugins to extend the data.

Renvoie
mixed Data object on success, false on failure.
Depuis
1.6

Références $data, $userId, et null.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the profile form.

The base form is loaded from XML and then an event is fired for users plugins to extend the form with extra fields.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getOtpConfig()

getOtpConfig ( $userId = null )

Returns the one time password (OTP) – a.k.a. two factor authentication – configuration for a particular user.

Paramètres
integer $userId The numeric ID of the user
Renvoie
stdClass An object holding the OTP configuration for this user
Depuis
3.2

Références $userId, et UsersModelUser\getOtpConfig().

◆ getTwofactorform()

getTwofactorform ( $userId = null )

Gets the configuration forms for all two-factor authentication methods in an array.

Paramètres
integer $userId The user ID to load the forms for (optional)
Renvoie
array
Depuis
3.2

Références $userId, FOFPlatform\getInstance(), et UsersModelUser\getOtpConfig().

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $params, et $userId.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'user'
 | ) |  |
protected

Override preprocessForm to load the user plugin group instead of content.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Exceptions
Exception if there is an error in the form event.
Depuis
1.6

Références $data, et $form.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
mixed The user id on success, false on failure.
Depuis
1.6

Références $data, $user, $userId, et FOFPlatform\getInstance().

Documentation des champs

◆ $data

$data
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/models/profile.php


Joomla CMS: Référence de la classe UsersModelRegistration

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersModelRegistration
+ Graphe d'héritage de UsersModelRegistration:

Fonctions membres publiques

__construct ($config=array())
getUserIdFromToken ($token)
activate ($token)
getData ()
getForm ($data=array(), $loadData=true)
register ($temp)

Fonctions membres protégées

loadFormData ()
preprocessForm (JForm $form, $data, $group='user')
populateState ()

Attributs protégés

$data

Description détaillée

Registration model class for Users.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor

Paramètres
array $config An array of configuration options (name, state, dbo, table_path, ignore_request).
Depuis
3.6
Exceptions
Exception

Références $config.

Documentation des fonctions membres

◆ activate()

activate ( $token )

Method to activate a user account.

Paramètres
string $token The activation token.
Renvoie
mixed False on failure, user object on success.
Depuis
1.6

Références $config, $data, $db, $query, $return, $row, $rows, $user, $userId, et elseif.

◆ getData()

getData ( )

Method to get the registration form data.

The base form data is loaded and then an event is fired for users plugins to extend the data.

Renvoie
mixed Data object on success, false on failure.
Depuis
1.6

Références $app, $data, $dispatcher, $form, $key, $params, $results, elseif, JEventDispatcher\getInstance(), et null.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the registration form.

The base form is loaded from XML and then an event is fired for users plugins to extend the form with extra fields.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getUserIdFromToken()

getUserIdFromToken ( $token )

Method to get the user ID from the given token

Paramètres
string $token The activation token.
Renvoie
mixed False on failure, id of the user on success
Depuis
3.8.13

Références $db, et $query.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, et $params.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'user'
 | ) |  |
protected

Override preprocessForm to load the user plugin group instead of content.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
1.6
Exceptions
Exception if there is an error in the form event.

Références $data, et $form.

◆ register()

register ( $temp )

Method to save the form data.

Paramètres
array $temp The form data.
Renvoie
mixed The user id on success, false on failure.
Depuis
1.6

Références $config, $data, $db, $params, $query, $return, $row, $rows, $user, et elseif.

Documentation des champs

◆ $data

$data
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • models/registration.php


Joomla CMS: Référence de la classe UsersModelRemind

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersModelRemind
+ Graphe d'héritage de UsersModelRemind:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
processRemindRequest ($data)

Fonctions membres protégées

preprocessForm (JForm $form, $data, $group='user')
populateState ()

Description détaillée

Remind model class for Users.

Depuis
1.5

Documentation des fonctions membres

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the username remind request form.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JFor A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $app, et $params.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'user'
 | ) |  |
protected

Override preprocessForm to load the user plugin group instead of content.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Exceptions
Exception if there is an error in the form event.
Depuis
1.6

Références $data, et $form.

◆ processRemindRequest()

processRemindRequest ( $data )

Send the remind username email

Paramètres
array $data Array with the data received from the form
Renvoie
boolean
Depuis
1.6

Références $config, $data, $db, $dispatcher, $form, $link, $mode, $query, $return, $subject, $user, JEventDispatcher\getInstance(), et validate().

La documentation de cette classe a été générée à partir du fichier suivant :
  • com_users/models/remind.php


Joomla CMS: Référence de la classe UsersModelReset

Fonctions membres publiques | Fonctions membres protégées
Référence de la classe UsersModelReset
+ Graphe d'héritage de UsersModelReset:

Fonctions membres publiques

getForm ($data=array(), $loadData=true)
getResetCompleteForm ($data=array(), $loadData=true)
getResetConfirmForm ($data=array(), $loadData=true)
processResetComplete ($data)
processResetConfirm ($data)
processResetRequest ($data)
checkResetLimit ($user)

Fonctions membres protégées

preprocessForm (JForm $form, $data, $group='user')
populateState ()

Description détaillée

Rest model class for Users.

Depuis
1.5

Documentation des fonctions membres

◆ checkResetLimit()

checkResetLimit ( $user )

Method to check if user reset limit has been exceeded within the allowed time period.

Paramètres
JUser $user User doing the password reset
Renvoie
boolean true if user can do the reset, false if limit exceeded
Depuis
2.5

Références $params, $user, et elseif.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the password reset request form.

The base form is loaded from XML and then an event is fired for users plugins to extend the form with extra fields.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form.

◆ getResetCompleteForm()

getResetCompleteForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the password reset complete form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form, et $options.

◆ getResetConfirmForm()

getResetConfirmForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the password reset confirm form.

Paramètres
array | $data | Data for the form.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
JForm A JForm object on success, false on failure
Depuis
1.6

Références $form, et $options.

◆ populateState()

populateState ( )
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Renvoie
void
Depuis
1.6

Références $params.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'user'
 | ) |  |
protected

Override preprocessForm to load the user plugin group instead of content.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Exceptions
Exception if there is an error in the form event.
Depuis
1.6

Références $data, et $form.

◆ processResetComplete()

processResetComplete ( $data )

Save the new password after reset is done

Paramètres
array $data The data expected for the form.
Renvoie
mixed Exception | JException | boolean
Depuis
1.6

Références $app, $data, $form, $return, $user, $userId, et null.

◆ processResetConfirm()

processResetConfirm ( $data )

Receive the reset password request

Paramètres
array $data The data expected for the form.
Renvoie
mixed Exception | JException | boolean
Depuis
1.6

Références $app, $data, $db, $form, $query, $return, et $user.

◆ processResetRequest()

processResetRequest ( $data )

Method to start the password reset process.

Paramètres
array $data The data expected for the form.
Renvoie
mixed Exception | JException | boolean
Depuis
1.6

Références $config, $data, $db, $form, $link, $mode, $query, $return, $subject, $user, et $userId.

La documentation de cette classe a été générée à partir du fichier suivant :
  • models/reset.php


Joomla CMS: Référence de la classe UsersModelUser

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersModelUser
+ Graphe d'héritage de UsersModelUser:
AdminModelProfile

Fonctions membres publiques

__construct ($config=array())
getTable ($type='User', $prefix='JTable', $config=array())
getItem ($pk=null)
getForm ($data=array(), $loadData=true)
save ($data)
delete (&$pks)
block (&$pks, $value=1)
activate (&$pks)
batch ($commands, $pks, $contexts)
batchReset ($userIds, $action)
batchUser ($groupId, $userIds, $action)
getGroups ()
getAssignedGroups ($userId=null)
getOtpConfig ($userId=null)
setOtpConfig ($userId, $otpConfig)
getOtpConfigEncryptionKey ()
getTwofactorform ($userId=null)
generateOteps ($userId, $count=10)
isValidSecretKey ($userId, $secretKey, $options=array())
isValidOtep ($userId, $otep, $otpConfig=null)

Fonctions membres protégées

loadFormData ()
preprocessForm (JForm $form, $data, $group='user')

Attributs protégés

$_item = null

Description détaillée

User model.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Depuis
3.2

Références $config.

Documentation des fonctions membres

◆ activate()

activate ( & $pks )

Method to activate user records.

Paramètres
array &$pks The ids of the items to activate.
Renvoie
boolean True on success.
Depuis
1.6

Références $dispatcher, $i, $user, elseif, JEventDispatcher\getInstance(), User\getTable(), null, et JError\raiseWarning().

◆ batch()

batch | ( | $commands,
 |  | $pks,
 |  | $contexts
 | ) |

Method to perform batch operations on an item or a set of items.

Paramètres
array | $commands | An array of commands to perform.
array | $pks | An array of item ids.
array | $contexts | An array of item contexts.
Renvoie
boolean Returns true on success, false on failure.
Depuis
2.5

Références ArrayHelper\getValue(), et ArrayHelper\toInteger().

◆ batchReset()

batchReset | ( | $userIds,
 |  | $action
 | ) |

Batch flag users as being required to reset their passwords

Paramètres
array | $userIds | An array of user IDs on which to operate
string | $action | The action to perform
Renvoie
boolean True on success, false on failure
Depuis
3.2

Références $action, $db, $query, $value, et ArrayHelper\toInteger().

◆ batchUser()

batchUser | ( | $groupId,
 |  | $userIds,
 |  | $action
 | ) |

Perform batch operations

Paramètres
integer | $groupId | The group ID which assignments are being edited
array | $userIds | An array of user IDs on which to operate
string | $action | The action to perform
Renvoie
boolean True on success, false on failure
Depuis
1.6

Références $action, $db, $groups, $id, $query, $users, et ArrayHelper\toInteger().

◆ block()

block | ( | & | $pks,
 |  |  | $value = 1
 | ) |  |

Method to block user records.

Paramètres
array | &$pks | The ids of the items to publish.
integer | $value | The value of the published state
Renvoie
boolean True on success.
Depuis
1.6

Références $app, $dispatcher, $i, $options, $user, $value, UserHelper\destroyUserSessions(), elseif, JEventDispatcher\getInstance(), User\getTable(), null, et JError\raiseWarning().

◆ delete()

delete ( & $pks )

Method to delete rows.

Paramètres
array &$pks An array of item ids.
Renvoie
boolean Returns true on success, false on failure.
Depuis
1.6

Références $dispatcher, $i, $user, JEventDispatcher\getInstance(), User\getTable(), et JError\raiseWarning().

◆ generateOteps()

generateOteps | ( | $userId,
 |  | $count = 10
 | ) |

Generates a new set of One Time Emergency Passwords (OTEPs) for a given user.

Paramètres
integer | $userId | The user ID
integer | $count | How many OTEPs to generate? Default: 10
Renvoie
array The generated OTEPs
Depuis
3.2

Références $base, $count, $i, et $userId.

Référencé par AdminModelProfile\generateOteps().

◆ getAssignedGroups()

getAssignedGroups ( $userId = null )

Gets the groups this object is assigned to

Paramètres
integer $userId The user ID to retrieve the groups for
Renvoie
array An array of assigned groups
Depuis
1.6

Références $form, $params, et $userId.

◆ getForm()

getForm | ( | $data = array(),
 |  | $loadData = true
 | ) |

Method to get the record form.

Paramètres
array | $data | An optional array of data for the form to interrogate.
boolean | $loadData | True if the form is to load its own data (default case), false if not.
Renvoie
mixed A JForm object on success, false on failure
Depuis
1.6

Références $form, et $userId.

◆ getGroups()

getGroups ( )

Gets the available groups.

Renvoie
array An array of groups
Depuis
1.6

Références $user, et null.

◆ getItem()

getItem ( $pk = null )

Method to get a single record.

Paramètres
integer $pk The id of the primary key.
Renvoie
mixed Object on success, false on failure.
Depuis
1.6

Références null.

◆ getOtpConfig()

getOtpConfig ( $userId = null )

Returns the one time password (OTP) – a.k.a. two factor authentication – configuration for a particular user.

Paramètres
integer $userId The numeric ID of the user
Renvoie
stdClass An object holding the OTP configuration for this user
Depuis
3.2

Get the raw data, without going through JUser (required in order to be able to modify the user record before logging in the user).

Références $config, $db, $item, $key, $query, $userId, et null.

Référencé par AdminModelProfile\getOtpConfig(), UsersModelProfile\getOtpConfig(), et UsersModelProfile\getTwofactorform().

◆ getOtpConfigEncryptionKey()

getOtpConfigEncryptionKey ( )

Gets the symmetric encryption key for the OTP configuration data. It currently returns the site's secret.

Renvoie
string The encryption key
Depuis
3.2

◆ getTable()

getTable | ( | $type = 'User',
 |  | $prefix = 'JTable',
 |  | $config = array()
 | ) |

Returns a reference to the a Table object, always creating it.

Paramètres
string | $type | The table type to instantiate
string | $prefix | A prefix for the table class name. Optional.
array | $config | Configuration array for model. Optional.
Renvoie
JTable A database object
Depuis
1.6

Références $config, $prefix, et $type.

◆ getTwofactorform()

getTwofactorform ( $userId = null )

Gets the configuration forms for all two-factor authentication methods in an array.

Paramètres
integer $userId The user ID to load the forms for (optional)
Renvoie
array
Depuis
3.2

Références $userId, et FOFPlatform\getInstance().

Référencé par AdminModelProfile\getTwofactorform().

◆ isValidOtep()

isValidOtep | ( | $userId,
 |  | $otep,
 |  | $otpConfig = null
 | ) |

Checks if the supplied string is a valid one time emergency password (OTEP) for this user. If it is it will be automatically removed from the user's list of OTEPs.

Paramètres
integer | $userId | The user ID against which you are checking
string | $otep | The string you want to test for validity
object | $otpConfig | Optional; the two factor authentication configuration (automatically fetched if not set)
Renvoie
boolean True if it's a valid OTEP or if two factor auth is not enabled in this user's account.
Depuis
3.2

Two factor authentication enabled and no OTEPs defined. The user has used them all up. Therefore anything they enter is an invalid OTEP.

Références $check, et $userId.

◆ isValidSecretKey()

isValidSecretKey | ( | $userId,
 |  | $secretKey,
 |  | $options = array()
 | ) |

Checks if the provided secret key is a valid two factor authentication secret key. If not, it will check it against the list of one time emergency passwords (OTEPs). If it's a valid OTEP it will also remove it from the user's list of OTEPs.

This method will return true in the following conditions:

  • The two factor authentication is not enabled
  • You have provided a valid secret key for
  • You have provided a valid OTEP

You can define the following options in the $options array: otp_config The OTP (one time password, a.k.a. two factor auth) configuration object. If not set we'll load it automatically. warn_if_not_req Issue a warning if you are checking a secret key against a user account which doesn't have any two factor authentication method enabled. warn_irq_msg The string to use for the warn_if_not_req warning

Paramètres
integer | $userId | The user's numeric ID
string | $secretKey | The secret key you want to check
array | $options | Options; see above
Renvoie
boolean True if it's a valid secret key for this user.
Depuis
3.2

Références $app, $check, $extension, $lang, $options, $userId, FOFPlatform\getInstance(), JPATH_ADMINISTRATOR, et null.

◆ loadFormData()

loadFormData ( )
protected

Method to get the data that should be injected in the form.

Renvoie
mixed The data for the form.
Depuis
1.6

Références $data.

◆ preprocessForm()

preprocessForm | ( | JForm | $form,
 |  |  | $data,
 |  |  | $group = 'user'
 | ) |  |
protected

Override JModelAdmin::preprocessForm to ensure the correct plugin group is loaded.

Paramètres
JForm | $form | A JForm object.
mixed | $data | The data expected for the form.
string | $group | The name of the plugin group to import (defaults to "content").
Renvoie
void
Depuis
1.6
Exceptions
Exception if there is an error in the form event.

Références $data, et $form.

◆ save()

save ( $data )

Method to save the form data.

Paramètres
array $data The form data.
Renvoie
boolean True on success.
Depuis
1.6

Références $data, $user, UserHelper\destroyUserSessions(), FOFPlatform\getInstance(), et null.

◆ setOtpConfig()

setOtpConfig | ( | $userId,
 |  | $otpConfig
 | ) |

Sets the one time password (OTP) – a.k.a. two factor authentication – configuration for a particular user. The $otpConfig object is the same as the one returned by the getOtpConfig method.

Paramètres
integer | $userId | The numeric ID of the user
stdClass | $otpConfig | The OTP configuration object
Renvoie
boolean True on success
Depuis
3.2

Références $db, $key, $userId, et json_encode.

Référencé par AdminModelProfile\setOtpConfig().

Documentation des champs

◆ $_item

$_item = null
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/models/user.php


Joomla CMS: Référence de la classe UsersModelUsers

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés | Fonctions membres privées
Référence de la classe UsersModelUsers
+ Graphe d'héritage de UsersModelUsers:

Fonctions membres publiques

__construct ($config=array())
getItems ()

Fonctions membres protégées

populateState ($ordering='a.name', $direction='asc')
getStoreId ($id='')
getListQuery ()
_getUserDisplayedGroups ($userId)

Attributs protégés

$filterBlacklist = array('groups', 'excluded')

Fonctions membres privées

buildDateRange ($range)

Description détaillée

Methods supporting a list of user records.

Depuis
1.6

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $config = array() )

Constructor.

Paramètres
array $config An optional associative array of configuration settings.
Voir également
JController
Depuis
1.6

Références $config.

Documentation des fonctions membres

◆ _getUserDisplayedGroups()

_getUserDisplayedGroups ( $userId )
protected

SQL server change

Paramètres
integer $userId User identifier
Renvoie
string Groups titles imploded :$

Références $db, $query, et $userId.

◆ buildDateRange()

buildDateRange ( $range )
private

Construct the date range to filter on.

Paramètres
string $range The textual range to construct the filter for.
Renvoie
string The date range to filter on.
Depuis
3.6.0

Références $app, $offset, et $range.

◆ getItems()

getItems ( )

Gets the list of users and adds expensive joins to the result set.

Renvoie
mixed An array of data items on success, false on failure.
Depuis
1.6

Références $db, $groups, $item, $items, et $query.

◆ getListQuery()

getListQuery ( )
protected

Build an SQL query to load the list data.

Renvoie
JDatabaseQuery
Depuis
1.6

Références $active, $db, $groups, $query, $range, $state, et elseif.

◆ getStoreId()

getStoreId ( $id = '' )
protected

Method to get a store id based on model configuration state.

This is necessary because the model is used by the component and different modules that might need different sets of data or different ordering requirements.

Paramètres
string $id A prefix for the store id.
Renvoie
string A store id.
Depuis
1.6

Références $id.

◆ populateState()

populateState | ( | $ordering = 'a.name',
 |  | $direction = 'asc'
 | ) |
protected

Method to auto-populate the model state.

Note. Calling getState in this method will result in recursion.

Paramètres
string | $ordering | An optional ordering field.
string | $direction | An optional direction (asc|desc).
Renvoie
void
Depuis
1.6

Références $app, $direction, $groups, $layout, $ordering, $params, null, et ArrayHelper\toInteger().

Documentation des champs

◆ $filterBlacklist

$filterBlacklist = array('groups', 'excluded')
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/models/users.php


Joomla CMS: Référence de la classe UsersRouter

Fonctions membres publiques
Référence de la classe UsersRouter
+ Graphe d'héritage de UsersRouter:

Fonctions membres publiques

__construct ($app=null, $menu=null)

Description détaillée

Routing class from com_users

Depuis
3.2

Documentation des constructeurs et destructeur

◆ __construct()

__construct | ( | $app = null,
 |  | $menu = null
 | ) |

Users Component router constructor

Paramètres
JApplicationCms | $app | The application object
JMenu | $menu | The menu object to work with

Références $app, $menu, $params, et JLoader\register().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/router.php


Joomla CMS: Référence de la classe UsersRouterRulesLegacy

Fonctions membres publiques
Référence de la classe UsersRouterRulesLegacy
+ Graphe d'héritage de UsersRouterRulesLegacy:

Fonctions membres publiques

__construct ($router)
preprocess (&$query)
build (&$query, &$segments)
parse (&$segments, &$vars)

Description détaillée

Legacy routing rules class from com_users

Depuis
3.6
Obsolète:
4.0

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( $router )

Constructor for this legacy router

Paramètres
JComponentRouterAdvanced $router The router this rule belongs to
Depuis
3.6
Obsolète:
4.0

Documentation des fonctions membres

◆ build()

build | ( | & | $query,
 |  | & | $segments
 | ) |  |

Build the route for the com_users component

Paramètres
array | &$query | An array of URL arguments
array | &$segments | The URL arguments to use to assemble the subsequent URL.
Renvoie
void
Depuis
3.6
Obsolète:
4.0

Références $default, $i, $item, $items, $query, $total, $user, et elseif.

◆ parse()

parse | ( | & | $segments,
 |  | & | $vars
 | ) |  |

Parse the segments of a URL.

Paramètres
array | &$segments | The segments of the URL to parse.
array | &$vars | The URL attributes to be used by the application.
Renvoie
void
Depuis
3.6
Obsolète:
4.0

Références $db, $i, $query, $total, $userId, et JError\raiseError().

◆ preprocess()

preprocess ( & $query )

Preprocess the route for the com_users component

Paramètres
array &$query An array of URL arguments
Renvoie
void
Depuis
3.6
Obsolète:
4.0
La documentation de cette classe a été générée à partir du fichier suivant :
  • com_users/helpers/legacyrouter.php


Joomla CMS: Référence de la classe UsersTableNote

Fonctions membres publiques
Référence de la classe UsersTableNote
+ Graphe d'héritage de UsersTableNote:

Fonctions membres publiques

__construct (&$db)
store ($updateNulls=false)
publish ($pks=null, $state=1, $userId=0)

Description détaillée

User notes table class

Depuis
2.5

Documentation des constructeurs et destructeur

◆ __construct()

__construct ( & $db )

Constructor

Paramètres
JDatabaseDriver &$db Database object
Depuis
2.5

Références $db.

Documentation des fonctions membres

◆ publish()

publish | ( | $pks = null,
 |  | $state = 1,
 |  | $userId = 0
 | ) |

Method to set the publishing state for a row or list of rows in the database table. The method respects checked out rows by other users and will attempt to check-in rows that it can after adjustments are made.

Paramètres
mixed | $pks | An optional array of primary key values to update. If not set the instance property value is used.
integer | $state | The publishing state. eg. [0 = unpublished, 1 = published]
integer | $userId | The user id of the user performing the operation.
Renvoie
boolean True on success.
Depuis
2.5

Références $query, $state, $userId, et ArrayHelper\toInteger().

◆ store()

store ( $updateNulls = false )

Overloaded store method for the notes table.

Paramètres
boolean $updateNulls Toggle whether null values should be updated.
Renvoie
boolean True on success, false on failure.
Depuis
2.5

Références $date, et $userId.

La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/tables/note.php


Joomla CMS: Référence de la classe UsersViewDebuggroup

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewDebuggroup
+ Graphe d'héritage de UsersViewDebuggroup:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$actions
$items
$pagination
$state

Description détaillée

View class for a list of User Group ACL permissions.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références actions, UsersHelperDebug\getComponents(), UsersHelperDebug\getLevelsOptions(), et items.

Documentation des champs

◆ $actions

$actions
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/debuggroup/view.html.php


Joomla CMS: Référence de la classe UsersViewDebuguser

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewDebuguser
+ Graphe d'héritage de UsersViewDebuguser:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$actions
$items
$pagination
$state

Description détaillée

View class for a list of User ACL permissions.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références actions, UsersHelperDebug\getComponents(), UsersHelperDebug\getLevelsOptions(), et items.

Documentation des champs

◆ $actions

$actions
protected

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/debuguser/view.html.php


Joomla CMS: Référence de la classe UsersViewGroup

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewGroup
+ Graphe d'héritage de UsersViewGroup:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state

Description détaillée

View to edit a user group.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références item, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/group/view.html.php


Joomla CMS: Référence de la classe UsersViewGroups

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewGroups
+ Graphe d'héritage de UsersViewGroups:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of user groups.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références UsersHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/groups/view.html.php


Joomla CMS: Référence de la classe UsersViewLevel

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewLevel
+ Graphe d'héritage de UsersViewLevel:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state

Description détaillée

View to edit a user view level.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références item, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/level/view.html.php


Joomla CMS: Référence de la classe UsersViewLevels

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewLevels
+ Graphe d'héritage de UsersViewLevels:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state

Description détaillée

View class for a list of view levels.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références UsersHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/levels/view.html.php


Joomla CMS: Référence de la classe UsersViewLogin

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewLogin
+ Graphe d'héritage de UsersViewLogin:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

prepareDocument ()

Attributs protégés

$form
$params
$state
$user

Description détaillée

Login view class for Users.

Depuis
1.5

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.5

Références $active, ENT_COMPAT, htmlspecialchars, pageclass_sfx, et JError\raiseError().

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document

Renvoie
void
Depuis
1.6

Références $app, $menu, $title, $user, elseif, null, et true.

Documentation des champs

◆ $form

$form
protected

◆ $params

$params
protected

◆ $state

$state
protected

◆ $user

$user
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/views/login/view.html.php


Joomla CMS: Référence de la classe UsersViewMail

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewMail
+ Graphe d'héritage de UsersViewMail:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form

Description détaillée

Users mail view.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Documentation des champs

◆ $form

$form
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/mail/view.html.php


Joomla CMS: Référence de la classe UsersViewNote

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewNote
+ Graphe d'héritage de UsersViewNote:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$state

Description détaillée

User note edit view

Depuis
2.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Display the toolbar.

Renvoie
void
Depuis
2.5

Références $input, $user, item, et title.

◆ display()

display ( $tpl = null )

Override the display method for the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise a JError object.
Depuis
2.5

Références item.

Documentation des champs

◆ $form

$form
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/note/view.html.php


Joomla CMS: Référence de la classe UsersViewNotes

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewNotes
+ Graphe d'héritage de UsersViewNotes:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state
$user

Description détaillée

User notes list view

Depuis
2.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Display the toolbar.

Renvoie
void
Depuis
2.5

Références elseif, JHtmlSidebar\setAction(), et title.

◆ display()

display ( $tpl = null )

Override the display method for the view.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise a JError object.
Depuis
2.5

Références $item, UsersHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected

◆ $user

$user
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/notes/view.html.php


Joomla CMS: Référence de la classe UsersViewProfile

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewProfile
+ Graphe d'héritage de UsersViewProfile:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

prepareDocument ()

Attributs protégés

$data
$form
$params
$state
$db

Description détaillée

Profile view class for Users.

Depuis
1.6

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.6

Références $active, $app, $cookieLogin, $user, JEventDispatcher\getInstance(), UsersHelper\getTwoFactorMethods(), htmlspecialchars, pageclass_sfx, et JError\raiseError().

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document

Renvoie
void
Depuis
1.6

Références $app, $menu, $title, $user, elseif, et null.

Documentation des champs

◆ $data

$data
protected

◆ $db

$db
protected

◆ $form

$form
protected

◆ $params

$params
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/views/profile/view.html.php


Joomla CMS: Référence de la classe UsersViewRegistration

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewRegistration
+ Graphe d'héritage de UsersViewRegistration:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$document

Fonctions membres protégées

prepareDocument ()

Attributs protégés

$data
$form
$params
$state

Description détaillée

Registration view class for Users.

Depuis
1.6

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl The template file to include
Renvoie
mixed
Depuis
1.6

Références $active, ENT_COMPAT, htmlspecialchars, pageclass_sfx, et JError\raiseError().

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document.

Renvoie
void
Depuis
1.6

Références $app, $menu, $title, elseif, et null.

Documentation des champs

◆ $data

$data
protected

◆ $document

$document

◆ $form

$form
protected

◆ $params

$params
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/views/registration/view.html.php


Joomla CMS: Référence de la classe UsersViewRemind

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewRemind
+ Graphe d'héritage de UsersViewRemind:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

prepareDocument ()

Attributs protégés

$form
$params
$state

Description détaillée

Registration view class for Users.

Depuis
1.5

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl The template file to include
Renvoie
mixed
Depuis
1.5

Références $active, ENT_COMPAT, htmlspecialchars, pageclass_sfx, et JError\raiseError().

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document.

Renvoie
void
Depuis
1.6

Références $app, $menu, $title, elseif, et null.

Documentation des champs

◆ $form

$form
protected

◆ $params

$params
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/views/remind/view.html.php


Joomla CMS: Référence de la classe UsersViewReset

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewReset
+ Graphe d'héritage de UsersViewReset:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

prepareDocument ()

Attributs protégés

$form
$params
$state

Description détaillée

Reset view class for Users.

Depuis
1.5

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Method to display the view.

Paramètres
string $tpl The template file to include
Renvoie
mixed
Depuis
1.5

Références $name, ENT_COMPAT, htmlspecialchars, pageclass_sfx, et JError\raiseError().

◆ prepareDocument()

prepareDocument ( )
protected

Prepares the document.

Renvoie
void
Depuis
1.6

Références $app, $menu, $title, elseif, et null.

Documentation des champs

◆ $form

$form
protected

◆ $params

$params
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_users/views/reset/view.html.php


Joomla CMS: Référence de la classe UsersViewUser

Fonctions membres publiques | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewUser
+ Graphe d'héritage de UsersViewUser:

Fonctions membres publiques

display ($tpl=null)

Fonctions membres protégées

addToolbar ()

Attributs protégés

$form
$item
$grouplist
$groups
$state

Description détaillée

User view class.

Depuis
1.5

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $user, item, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void
Depuis
1.5

Références $user, item, et null.

Documentation des champs

◆ $form

$form
protected

◆ $grouplist

$grouplist
protected

◆ $groups

$groups
protected

◆ $item

$item
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/user/view.html.php


Joomla CMS: Référence de la classe UsersViewUsers

Fonctions membres publiques | Champs de données | Fonctions membres protégées | Attributs protégés
Référence de la classe UsersViewUsers
+ Graphe d'héritage de UsersViewUsers:

Fonctions membres publiques

display ($tpl=null)

Champs de données

$filterForm
$activeFilters

Fonctions membres protégées

addToolbar ()
getSortFields ()

Attributs protégés

$items
$pagination
$state
$canDo
$db

Description détaillée

View class for a list of users.

Depuis
1.6

Documentation des fonctions membres

◆ addToolbar()

addToolbar ( )
protected

Add the page title and toolbar.

Renvoie
void
Depuis
1.6

Références $layout, $title, $user, et title.

◆ display()

display ( $tpl = null )

Display the view

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
void

Références UsersHelper\addSubmenu(), items, et JHtmlSidebar\render().

◆ getSortFields()

getSortFields ( )
protected

Returns an array of fields the table can be sorted by

Renvoie
array Array containing the field name to sort by as the key and display text as value
Depuis
3.0

Documentation des champs

◆ $activeFilters

$activeFilters

◆ $canDo

$canDo
protected

◆ $db

$db
protected

◆ $filterForm

$filterForm

◆ $items

$items
protected

◆ $pagination

$pagination
protected

◆ $state

$state
protected
La documentation de cette classe a été générée à partir du fichier suivant :
  • administrator/components/com_users/views/users/view.html.php


Joomla CMS: Référence de la classe WrapperController

Fonctions membres publiques
Référence de la classe WrapperController
+ Graphe d'héritage de WrapperController:

Fonctions membres publiques

display ($cachable=false, $urlparams=array())

Description détaillée

Content Component Controller

Depuis
1.5

Documentation des fonctions membres

◆ display()

display | ( | $cachable = false,
 |  | $urlparams = array()
 | ) |

Method to display a view.

Paramètres
boolean | $cachable | If true, the view output will be cached
array | $urlparams | An array of safe URL parameters and their variable types, for valid values see JFilterInput::clean().
Renvoie
JControllerLegacy This object to support chaining.
Depuis
1.5
La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_wrapper/controller.php


Joomla CMS: Référence de la classe WrapperRouter

Fonctions membres publiques
Référence de la classe WrapperRouter
+ Graphe d'héritage de WrapperRouter:

Fonctions membres publiques

build (&$query)
parse (&$segments)

Description détaillée

Routing class from com_wrapper

Depuis
3.3

Documentation des fonctions membres

◆ build()

build ( & $query )

Build the route for the com_wrapper component

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3

Références $query.

Référencé par wrapperBuildRoute().

◆ parse()

parse ( & $segments )

Parse the segments of a URL.

Paramètres
array &$segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Depuis
3.3

Référencé par wrapperParseRoute().

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_wrapper/router.php


Joomla CMS: Référence de la classe WrapperViewWrapper

Fonctions membres publiques
Référence de la classe WrapperViewWrapper
+ Graphe d'héritage de WrapperViewWrapper:

Fonctions membres publiques

display ($tpl=null)

Description détaillée

Wrapper view class.

Depuis
1.5

Documentation des fonctions membres

◆ display()

display ( $tpl = null )

Execute and display a template script.

Paramètres
string $tpl The name of the template file to parse; automatically searches through the template paths.
Renvoie
mixed A string if successful, otherwise an Error object.
Depuis
1.5

Références $app, $params, $title, $url, elseif, htmlspecialchars, et pageclass_sfx.

La documentation de cette classe a été générée à partir du fichier suivant :
  • components/com_wrapper/views/wrapper/view.html.php


Joomla CMS: Index des structures de données

Index des structures de données
a | b | c | d | e | f | g | h | i | j | k | l | m | n | o | p | r | s | t | u | v | w | x | y | z
a
FOFDatabaseQueryLimitable JGithubPackageActivity ParagonIE_Sodium_Core_BLAKE2b
FOFDatabaseQueryMysql JGithubPackageActivityEvents ParagonIE_Sodium_Core_ChaCha20
AbstractApplication (Joomla\Application) FOFDatabaseQueryMysqli JGithubPackageActivityNotifications ParagonIE_Sodium_Core_ChaCha20_Ctx
AbstractCliApplication (Joomla\Application) FOFDatabaseQueryOracle JGithubPackageActivityStarring ParagonIE_Sodium_Core_ChaCha20_IetfCtx
AbstractDaemonApplication (Joomla\Application) FOFDatabaseQueryPdo JGithubPackageActivityWatching ParagonIE_Sodium_Core_Curve25519
AbstractEvent (Joomla\Event) FOFDatabaseQueryPdomysql JGithubPackageAuthorization ParagonIE_Sodium_Core_Curve25519_Fe
AbstractLogger (Psr\Log) FOFDatabaseQueryPostgresql JGithubPackageData ParagonIE_Sodium_Core_Curve25519_Ge_Cached
AbstractMenu (Joomla\CMS\Menu) FOFDatabaseQueryPreparable JGithubPackageDataBlobs ParagonIE_Sodium_Core_Curve25519_Ge_P1p1
AbstractObserver (Joomla\CMS\Table\Observer) FOFDatabaseQuerySqlazure JGithubPackageDataCommits ParagonIE_Sodium_Core_Curve25519_Ge_P2
AbstractRegistryFormat (Joomla\Registry) FOFDatabaseQuerySqlite JGithubPackageDataRefs ParagonIE_Sodium_Core_Curve25519_Ge_P3
AbstractUri (Joomla\Uri) FOFDatabaseQuerySqlsrv JGithubPackageDataTags ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
AbstractWebApplication (Joomla\Application) FOFDispatcher JGithubPackageDataTrees ParagonIE_Sodium_Core_Curve25519_H
Access (Joomla\CMS\Access) FOFDownload JGithubPackageGists ParagonIE_Sodium_Core_Ed25519
Access (Joomla\CMS\Access\Wrapper) FOFDownloadAdapterAbstract JGithubPackageGistsComments ParagonIE_Sodium_Core_HChaCha20
ActionLogPlugin FOFDownloadAdapterCurl JGithubPackageGitignore ParagonIE_Sodium_Core_HSalsa20
ActionlogsController FOFDownloadAdapterFopen JGithubPackageIssues ParagonIE_Sodium_Core_Poly1305
ActionlogsControllerActionlogs FOFDownloadInterface JGithubPackageIssuesAssignees ParagonIE_Sodium_Core_Poly1305_State
ActionlogsHelper FOFEncryptAes JGithubPackageIssuesComments ParagonIE_Sodium_Core_Ristretto255
ActionlogsHelperPhp55 FOFEncryptAesAbstract JGithubPackageIssuesEvents ParagonIE_Sodium_Core_Salsa20
ActionlogsModelActionlog FOFEncryptAesInterface JGithubPackageIssuesLabels ParagonIE_Sodium_Core_SecretStream_State
ActionlogsModelActionlogs FOFEncryptAesMcrypt JGithubPackageIssuesMilestones ParagonIE_Sodium_Core_SipHash
ActionlogsViewActionlogs FOFEncryptAesOpenssl JGithubPackageMarkdown ParagonIE_Sodium_Core_Util
Adapter (Joomla\CMS\Adapter) FOFEncryptBase32 JGithubPackageOrgs ParagonIE_Sodium_Core_X25519
AdapterInstance (Joomla\CMS\Adapter) FOFEncryptRandval JGithubPackageOrgsMembers ParagonIE_Sodium_Core_XChaCha20
AdminController (Joomla\CMS\MVC\Controller) FOFEncryptRandvalinterface JGithubPackageOrgsTeams ParagonIE_Sodium_Core_XSalsa20
AdminController FOFEncryptTotp JGithubPackagePulls ParagonIE_Sodium_Crypto
AdminControllerProfile FOFForm JGithubPackagePullsComments ParagonIE_Sodium_Crypto32
AdministratorApplication (Joomla\CMS\Application) FOFFormField JGithubPackageRepositories ParagonIE_Sodium_File
AdministratorMenu (Joomla\CMS\Menu) FOFFormFieldAccesslevel JGithubPackageRepositoriesCollaborators ParseException (Symfony\Component\Yaml\Exception)
AdministratorRouter (Joomla\CMS\Router) FOFFormFieldActions JGithubPackageRepositoriesComments Parser (Symfony\Component\Yaml)
AdminModel (Joomla\CMS\MVC\Model) FOFFormFieldButton JGithubPackageRepositoriesCommits PasswordHash
AdminModelHelp FOFFormFieldCachehandler JGithubPackageRepositoriesContents PasswordRule (Joomla\CMS\Form\Rule)
AdminModelProfile FOFFormFieldCalendar JGithubPackageRepositoriesDownloads Patcher (Joomla\CMS\Filesystem)
AdminModelSysInfo FOFFormFieldCaptcha JGithubPackageRepositoriesForks Patcher (Joomla\Filesystem)
AdminViewHelp FOFFormFieldCheckbox JGithubPackageRepositoriesHooks Path (Joomla\CMS\Filesystem)
AdminViewProfile FOFFormFieldCheckboxes JGithubPackageRepositoriesKeys Path (Joomla\Filesystem)
AdminViewSysinfo FOFFormFieldComponents JGithubPackageRepositoriesMerging Pathway (Joomla\CMS\Pathway)
AKAbstractObject FOFFormFieldEditor JGithubPackageRepositoriesStatistics PathWrapper (Joomla\CMS\Filesystem\Wrapper)
AKAbstractPart FOFFormFieldEmail JGithubPackageRepositoriesStatuses PharExtensionInterceptor (TYPO3\PharStreamWrapper\Interceptor)
AKAbstractPartObserver FOFFormFieldGroupedbutton JGithubPackageSearch PharInvocation (TYPO3\PharStreamWrapper\Resolver)
AKAbstractPostproc FOFFormFieldGroupedlist JGithubPackageUsers PharInvocationCollection (TYPO3\PharStreamWrapper\Resolver)
AKAbstractUnarchiver FOFFormFieldHidden JGithubPackageUsersEmails PharInvocationResolver (TYPO3\PharStreamWrapper\Resolver)
AKCoreTimer FOFFormFieldImage JGithubPackageUsersFollowers PharMetaDataInterceptor (TYPO3\PharStreamWrapper\Interceptor)
AKEncryptionAES FOFFormFieldImagelist JGithubPackageUsersKeys PharStreamWrapper (TYPO3\PharStreamWrapper)
AKEncryptionAESAdapterAbstract FOFFormFieldInteger JGithubRefs Php (Joomla\Registry\Format)
AKEncryptionAESAdapterInterface FOFFormFieldLanguage JGithubStatuses Php55 (Symfony\Polyfill\Php55)
AKFactory FOFFormFieldList JGoogle Php55ArrayColumn (Symfony\Polyfill\Php55)
AKPostprocDirect FOFFormFieldMedia JGoogleAuth Php56 (Symfony\Polyfill\Php56)
AKText FOFFormFieldModel JGoogleAuthOauth2 Php71 (Symfony\Polyfill\Php71)
AKUnarchiverJPA FOFFormFieldOrdering JGoogleData Php73 (Symfony\Polyfill\Php73)
AKUnarchiverZIP FOFFormFieldPassword JGoogleDataAdsense PHPMailer
AKUtilsLister FOFFormFieldPlugins JGoogleDataCalendar phpmailerException
Storage\Apc (Joomla\Session) FOFFormFieldPublished JGoogleDataPicasa PHPMailerOAuth
ApcStorage (Joomla\CMS\Cache\Storage) FOFFormFieldRadio JGoogleDataPicasaAlbum PHPMailerOAuthGoogle
Storage\Apcu (Joomla\Session) FOFFormFieldRelation JGoogleDataPicasaPhoto PlgActionlogJoomla
ApcuStorage (Joomla\CMS\Cache\Storage) FOFFormFieldRules JGoogleDataPlus PlgAuthenticationCookie
ApplicationHelper (Joomla\CMS\Application) FOFFormFieldSelectrow JGoogleDataPlusActivities PlgAuthenticationGMail
Archive (Joomla\Archive) FOFFormFieldSessionhandler JGoogleDataPlusComments PlgAuthenticationJoomla
ArrayHelper (Joomla\Utilities) FOFFormFieldSpacer JGoogleDataPlusPeople PlgAuthenticationLdap
Assertable (TYPO3\PharStreamWrapper) FOFFormFieldSql JGoogleEmbed PlgButtonArticle
Asset (Joomla\CMS\Table) FOFFormFieldTag JGoogleEmbedAnalytics PlgButtonContact
AssociationExtensionHelper (Joomla\CMS\Association) FOFFormFieldTel JGoogleEmbedMaps PlgButtonFields
AssociationExtensionInterface (Joomla\CMS\Association) FOFFormFieldText JGrid PlgButtonImage
Associations (Joomla\CMS\Language) FOFFormFieldTextarea JHtmlAccess PlgButtonMenu
AssociationsController FOFFormFieldTimezone JHtmlActionsDropdown PlgButtonModule
AssociationsControllerAssociation FOFFormFieldTitle JHtmlAdminLanguage PlgButtonPagebreak
AssociationsControllerAssociations FOFFormFieldUrl JHtmlBanner PlgButtonReadmore
AssociationsHelper FOFFormFieldUser JHtmlBatch PlgCaptchaRecaptcha
AssociationsModelAssociation FOFFormFieldUsergroup JHtmlBehavior PlgCaptchaRecaptcha_Invisible
AssociationsModelAssociations FOFFormHeader JHtmlBootstrap PlgContentConfirmConsent
AssociationsViewAssociation FOFFormHeaderAccesslevel JHtmlCategoriesAdministrator PlgContentContact
AssociationsViewAssociations FOFFormHeaderField JHtmlCategory PlgContentEmailcloak
AtomParser (Joomla\CMS\Feed\Parser) FOFFormHeaderFielddate JHtmlContact PlgContentFields
AtomRenderer (Joomla\CMS\Document\Renderer\Feed) FOFFormHeaderFieldfilterable JHtmlContent PlgContentFinder
Authentication (Joomla\CMS\Authentication) FOFFormHeaderFieldsearchable JHtmlContentAdministrator PlgContentJoomla
AuthenticationHelper (Joomla\CMS\Helper) FOFFormHeaderFieldselectable JHtmlContentLanguage PlgContentLoadmodule
AuthenticationResponse (Joomla\CMS\Authentication) FOFFormHeaderFieldsql JHtmlDate PlgContentPagebreak
AuthorField (Joomla\CMS\Form\Field) FOFFormHeaderFilterdate JHtmlDebug PlgContentPagenavigation
b
FOFFormHeaderFilterfilterable JHtmlDirectory PlgContentVote
FOFFormHeaderFiltersearchable JHtmlDropdown PlgEditorCodemirror
Backgroundfill (Joomla\Image\Filter) FOFFormHeaderFilterselectable JHtmlEmail PlgEditorNone
BannerHelper FOFFormHeaderFiltersql JHtmlFilter PlgEditorTinymce
BannersCategories FOFFormHeaderLanguage JHtmlFinder PlgExtensionJoomla
BannersController FOFFormHeaderModel JHtmlForm PlgFieldsCalendar
BannersControllerBanner FOFFormHeaderOrdering JHtmlFormbehavior PlgFieldsCheckboxes
BannersControllerBanners FOFFormHeaderPublished JHtmlGrid PlgFieldsColor
BannersControllerClient FOFFormHeaderRowselect JHtmlIcon PlgFieldsEditor
BannersControllerClients FOFFormHelper JHtmlIcons PlgFieldsImagelist
BannersControllerTracks FOFHalDocument JHtmlJGrid PlgFieldsInteger
BannersHelper FOFHalLink JHtmlJquery PlgFieldsList
BannersModelBanner FOFHalLinks JHtmlLanguages PlgFieldsMedia
BannersModelBanners FOFHalRenderInterface JHtmlLinks PlgFieldsRadio
BannersModelClient FOFHalRenderJson JHtmlList PlgFieldsRepeatable
BannersModelClients FOFInflector JHtmlMenu PlgFieldsSql
BannersModelDownload FOFInput JHtmlMessages PlgFieldsText
BannersModelTracks FOFIntegrationJoomlaFilesystem JHtmlModules PlgFieldsTextarea
BannersRouter FOFIntegrationJoomlaPlatform JHtmlNewsfeed PlgFieldsUrl
BannersTableBanner FOFLayoutFile JHtmlNumber PlgFieldsUser
BannersTableClient FOFLayoutHelper JHtmlPhpSetting PlgFieldsUsergrouplist
BannersViewBanner FOFLess JHtmlQuery PlgFinderCategories
BannersViewBanners FOFLessFormatterClassic JHtmlRedirect PlgFinderContacts
BannersViewClient FOFLessFormatterCompressed JHtmlRules PlgFinderContent
BannersViewClients FOFLessFormatterJoomla JHtmlSearchtools PlgFinderNewsfeeds
BannersViewDownload FOFLessFormatterLessjs JHtmlSelect PlgFinderTags
BannersViewTracks FOFLessParser JHtmlSidebar PlgInstallerFolderInstaller
BaseApplication (Joomla\CMS\Application) FOFModel JHtmlSliders PlgInstallerPackageInstaller
BaseController (Joomla\CMS\MVC\Controller) FOFModelBehavior JHtmlSortablelist PlgInstallerUrlInstaller
BaseDatabaseModel (Joomla\CMS\MVC\Model) FOFModelBehaviorAccess JHtmlString PlgPrivacyActionlogs
BaseLayout (Joomla\CMS\Layout) FOFModelBehaviorEmptynonzero JHtmlSystem PlgPrivacyConsents
Behavior (TYPO3\PharStreamWrapper) FOFModelBehaviorEnabled JHtmlTabs PlgPrivacyContact
BinaryNoFuncOverload (Symfony\Polyfill\Util) FOFModelBehaviorFilters JHtmlTag PlgPrivacyContent
BinaryOnFuncOverload (Symfony\Polyfill\Util) FOFModelBehaviorLanguage JHtmlTel PlgPrivacyMessage
BLAKE2b (ParagonIE\Sodium\Core) FOFModelBehaviorPrivate JHtmlTemplates PlgPrivacyUser
BlowfishCipher (Joomla\CMS\Crypt\Cipher) FOFModelDispatcherBehavior JHtmlTextdiff PlgQuickiconEos310
BooleanRule (Joomla\CMS\Form\Rule) FOFModelField JHtmlUser PlgQuickiconExtensionupdate
Brightness (Joomla\Image\Filter) FOFModelFieldBoolean JHtmlUsers PlgQuickiconJoomlaupdate
Browser (Joomla\CMS\Environment) FOFModelFieldDate JInput PlgQuickiconPhpVersionCheck
Buffer (Joomla\Filesystem) FOFModelFieldNumber JInputCli PlgQuickiconPrivacyCheck
BufferStreamHandler (Joomla\CMS\Utility) FOFModelFieldText JInputCookie PlgSampledataBlog
Bzip2 (Joomla\Archive) FOFPlatform JInputFiles PlgSearchCategories
c
FOFPlatformFilesystem JInputJSON PlgSearchContacts
FOFPlatformFilesystemInterface JJsonResponse PlgSearchContent
Cache (Joomla\CMS\Cache) FOFPlatformInterface JKeychain PlgSearchNewsfeeds
CacheConnectingException (Joomla\CMS\Cache\Exception) FOFQueryAbstract JLess PlgSearchTags
CacheController (Joomla\CMS\Cache) FOFRenderAbstract JLessFormatterJoomla PlgSystemActionLogs
CacheController FOFRenderJoomla JLinkedin PlgSystemCache
Cached (ParagonIE\Sodium\Core\Curve25519\Ge) FOFRenderJoomla3 JLinkedinCommunications PlgSystemDebug
CacheExceptionInterface (Joomla\CMS\Cache\Exception) FOFRenderStrapper JLinkedinCompanies PlgSystemFields
CacheHelper FOFStringUtils JLinkedinGroups PlgSystemHighlight
CacheliteStorage (Joomla\CMS\Cache\Storage) FOFTable JLinkedinJobs PlgSystemLanguagecode
CacheModelCache FOFTableBehavior JLinkedinOauth PlgSystemLanguageFilter
CacheStorage (Joomla\CMS\Cache) FOFTableBehaviorAssets JLinkedinObject PlgSystemLog
CacheStorageHelper (Joomla\CMS\Cache\Storage) FOFTableBehaviorContenthistory JLinkedinPeople PlgSystemLogout
CacheViewCache FOFTableBehaviorTags JLinkedinStream PlgSystemLogrotation
CacheViewPurge FOFTableDispatcherBehavior JLoader PlgSystemP3p
CalendarRule (Joomla\CMS\Form\Rule) FOFTableNested JMediawiki PlgSystemPrivacyconsent
CallbackController (Joomla\CMS\Cache\Controller) FOFTableRelations JMediawikiCategories PlgSystemRedirect
CallbackFilterIterator FOFTemplateUtils JMediawikiHttp PlgSystemRemember
Logger\CallbackLogger (Joomla\CMS\Log) FOFToolbar JMediawikiImages PlgSystemSef
CannotPerformOperationException FOFUtilsArray JMediawikiLinks PlgSystemSessionGc
Captcha (Joomla\CMS\Captcha) FOFUtilsCacheCleaner JMediawikiObject PlgSystemStats
CaptchaField (Joomla\CMS\Form\Field) FOFUtilsConfigHelper JMediawikiPages PlgSystemStatsFormFieldBase
CaptchaRule (Joomla\CMS\Form\Rule) FOFUtilsFilescheck JMediawikiSearch PlgSystemStatsFormFieldData
Categories (Joomla\CMS\Categories) FOFUtilsIniParser JMediawikiSites PlgSystemStatsFormFieldUniqueid
CategoriesController FOFUtilsInstallscript JMediawikiUsers PlgSystemUpdatenotification
CategoriesControllerAjax FOFUtilsIp JModel PlgTwofactorauthTotp
CategoriesControllerCategories FOFUtilsObject JModelBase PlgTwofactorauthYubikey
CategoriesControllerCategory FOFUtilsObservableDispatcher JModelDatabase PlgUserContactCreator
CategoriesHelper FOFUtilsObservableEvent JNode PlgUserJoomla
CategoriesModelCategories FOFUtilsPhpfunc JOAuth1Client PlgUserProfile
CategoriesModelCategory FOFUtilsTimer JOAuth2Client PlgUserTerms
CategoriesTableCategory FOFUtilsUpdate JObservable PluginAdapter (Joomla\CMS\Installer\Adapter)
CategoriesView (Joomla\CMS\MVC\View) FOFUtilsUpdateCollection JObservableInterface PluginHelper (Joomla\CMS\Plugin)
CategoriesViewCategories FOFUtilsUpdateExtension JObserver PluginsController
CategoriesViewCategory FOFUtilsUpdateJoomla JObserverInterface PluginsControllerPlugin
Category (Joomla\CMS\Table) FOFView JObserverMapper PluginsControllerPlugins
CategoryFactory (Joomla\CMS\Categories) FOFViewCsv JObserverUpdater PluginsHelper
CategoryFactoryInterface (Joomla\CMS\Categories) FOFViewForm JObserverUpdaterInterface PluginsModelPlugin
CategoryFeedView (Joomla\CMS\MVC\View) FOFViewHtml JObserverWrapperMapper PluginsModelPlugins
CategoryHelperAssociation FOFViewJson JoomlaInstallerScript PluginstatusField (Joomla\CMS\Form\Field)
CategoryInterface (Joomla\CMS\Categories) FOFViewRaw JoomlaupdateController PluginsViewPlugin
CategoryNode (Joomla\CMS\Categories) Folder (Joomla\CMS\Filesystem) JoomlaupdateControllerUpdate PluginsViewPlugins
CategoryView (Joomla\CMS\MVC\View) Folder (Joomla\Filesystem) JoomlaupdateHelper Poly1305 (ParagonIE\Sodium\Core)
ChaCha20 (ParagonIE\Sodium\Core) FolderWrapper (Joomla\CMS\Filesystem\Wrapper) JoomlaupdateHelperSelect POP3
ChangeItem (Joomla\CMS\Schema) Form (Joomla\CMS\Form) JoomlaupdateModelDefault PopupButton (Joomla\CMS\Toolbar\Button)
ChangeSet (Joomla\CMS\Schema) FormatInterface (Joomla\Registry) JoomlaupdateViewDefault Porteren (Joomla\CMS\Language\Stemmer)
CheckinController Logger\FormattedtextLogger (Joomla\CMS\Log) JoomlaupdateViewUpdate RequestMethod\Post (ReCaptcha)
CheckinModelCheckin FormController (Joomla\CMS\MVC\Controller) JoomlaupdateViewUpload ChangeItem\PostgresqlChangeItem (Joomla\CMS\Schema)
CheckinViewCheckin FormField (Joomla\CMS\Form) JOpenstreetmap PostinstallControllerMessage
ChromestyleField (Joomla\CMS\Form\Field) FormHelper (Joomla\CMS\Form) JOpenstreetmapChangesets PostinstallModelMessages
CipherInterface (Joomla\CMS\Crypt) FormModel (Joomla\CMS\MVC\Model) JOpenstreetmapElements PostinstallToolbar
ClassLoader (Composer\Autoload) FormRule (Joomla\CMS\Form) JOpenstreetmapGps PostinstallViewMessages
Cli (Joomla\CMS\Input) FormWrapper (Joomla\CMS\Form) JOpenstreetmapInfo Precomp (ParagonIE\Sodium\Core\Curve25519\Ge)
Cli (Joomla\Input) Fr_FRLocalise JOpenstreetmapOauth Priority (Joomla\Event)
CliApplication (Joomla\CMS\Application) FrontendlanguageField (Joomla\CMS\Form\Field) JOpenstreetmapObject PrivacyController
ClientHelper (Joomla\CMS\Client) FtpClient (Joomla\CMS\Client) JOpenstreetmapUser PrivacyControllerConsents
ClientWrapper (Joomla\CMS\Client) FtpClient (Joomla\Filesystem\Clients) JPlatform PrivacyControllerRequest
CliInput (Joomla\Application\Cli)
g
JRequest PrivacyControllerRequests
CliOutput (Joomla\Application\Cli) JResponse PrivacyExportDomain
CMSApplication (Joomla\CMS\Application) GarbageCron JRouterInstallation PrivacyExportField
CMSHelper (Joomla\CMS\Helper) Grayscale (Joomla\Image\Filter) JRouteWrapperRoute PrivacyExportItem
CMSObject (Joomla\CMS\Object) Gzip (Joomla\Archive) JSessionHandlerInterface PrivacyFormFieldRequeststatus
CMSPlugin (Joomla\CMS\Plugin)
h
JSessionHandlerJoomla PrivacyFormFieldRequesttype
Collectable (TYPO3\PharStreamWrapper) JSessionHandlerNative PrivacyHelper
CollectionAdapter (Joomla\CMS\Updater\Adapter) Curve25519\H (ParagonIE\Sodium\Core) JSessionStorage PrivacyHtmlHelper
ColorProcessor (Joomla\Application\Cli) HChaCha20 (ParagonIE\Sodium\Core) JSessionStorageApc PrivacyModelCapabilities
ColorProcessor (Joomla\Application\Cli\Output\Processor) HeadertagField (Joomla\CMS\Form\Field) JSessionStorageApcu PrivacyModelConfirm
ColorRule (Joomla\CMS\Form\Rule) Node\Heading (Joomla\CMS\Menu) JSessionStorageDatabase PrivacyModelConsents
ColorStyle (Joomla\Application\Cli) HeadRenderer (Joomla\CMS\Document\Renderer\Html) JSessionStorageMemcache PrivacyModelDashboard
Compat (ParagonIE\Sodium) Help (Joomla\CMS\Help) JSessionStorageMemcached PrivacyModelExport
Node\Component (Joomla\CMS\Menu) HelpButton (Joomla\CMS\Toolbar\Button) JSessionStorageNone PrivacyModelRemind
ComponentAdapter (Joomla\CMS\Installer\Adapter) Helper (Joomla\Filesystem) JSessionStorageRedis PrivacyModelRemove
ComponentHelper (Joomla\CMS\Component) Helper (TYPO3\PharStreamWrapper) JSessionStorageWincache PrivacyModelRequest
ComponentRecord (Joomla\CMS\Component) HelpsiteField (Joomla\CMS\Form\Field) JSessionStorageXcache PrivacyModelRequests
ComponentRenderer (Joomla\CMS\Document\Renderer\Html) HSalsa20 (ParagonIE\Sodium\Core) JSimplecrypt PrivacyPlugin
ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd HtmlDocument (Joomla\CMS\Document) JSimplepieFactory PrivacyRemovalStatus
ComposerStaticInitc14bde14f8c86840049f5c1809c453dd (Composer\Autoload) HTMLHelper (Joomla\CMS\HTML) JSite PrivacyRouter
ConfigController HtmlView (Joomla\CMS\MVC\View) Json (Joomla\Input) PrivacyTableConsent
ConfigControllerApplication Http (Joomla\CMS\Http) Json (Joomla\Registry\Format) PrivacyTableRequest
ConfigControllerApplicationCancel HttpBridgePostRequestMethod (Joomla\CMS\Captcha\Google) Json (Joomla\CMS\Input) PrivacyViewCapabilities
ConfigControllerApplicationDisplay HttpFactory (Joomla\CMS\Http) JsonDocument (Joomla\CMS\Document) PrivacyViewConfirm
ConfigControllerApplicationRemoveroot
i
JsonException PrivacyViewConsents
ConfigControllerApplicationSave JsonResponse (Joomla\CMS\Response) PrivacyViewDashboard
ConfigControllerApplicationSendtestmail idna_convert JsonSerializable PrivacyViewExport
ConfigControllerApplicationStore ChaCha20\IetfCtx (ParagonIE\Sodium\Core) JString PrivacyViewRemind
ConfigControllerCancel Image (Joomla\CMS\Image) JStringWrapperNormalise PrivacyViewRequest
ConfigControllerCanceladmin Image (Joomla\Image) JStringWrapperPunycode PrivacyViewRequests
ConfigControllerCmsbase ImageDocument (Joomla\CMS\Document) JSubMenuHelper ProcessorInterface (Joomla\Application\Cli\Output\Processor)
ConfigControllerComponent ImageFilter (Joomla\CMS\Image) JTableSession Profiler (Joomla\CMS\Profiler)
ConfigControllerComponentCancel ImageFilter (Joomla\Image) JTextWrapper (Joomla\CMS\Language\Wrapper) ProtectedKeyException (Joomla\DI\Exception)
ConfigControllerComponentDisplay Inflector (Joomla\String) JTree ProviderAwareAuthenticationPluginInterface (Joomla\CMS\Authentication)
ConfigControllerComponentSave Ini (Joomla\Registry\Format) JTwitter PunycodeHelper (Joomla\CMS\String)
ConfigControllerConfigDisplay Inline (Symfony\Component\Yaml) JTwitterBlock
r
ConfigControllerConfigSave Input (Joomla\CMS\Input) JTwitterDirectmessages
ConfigControllerDisplay Input (Joomla\Input) JTwitterFavorites RawDocument (Joomla\CMS\Document)
ConfigControllerHelper InputFilter (Joomla\CMS\Filter) JTwitterFriends Reader (TYPO3\PharStreamWrapper\Phar)
ConfigControllerModulesCancel InputFilter (Joomla\Filter) JTwitterHelp ReaderException (TYPO3\PharStreamWrapper\Phar)
ConfigControllerModulesDisplay InstallationApplicationWeb JTwitterLists ReCaptcha (ReCaptcha)
ConfigControllerModulesSave InstallationControllerDatabase JTwitterOAuth RedirectController
ConfigControllerTemplatesDisplay InstallationControllerDefault JTwitterObject RedirectControllerLink
ConfigControllerTemplatesSave InstallationControllerDetectftproot JTwitterPlaces RedirectControllerLinks
ConfigHelperConfig InstallationControllerFtp JTwitterProfile RedirectHelper
ConfigModelApplication InstallationControllerInstallConfig JTwittersearch RedirectModelLink
ConfigModelCms InstallationControllerInstallDatabase JTwitterStatuses RedirectModelLinks
ConfigModelComponent InstallationControllerInstallDatabase_backup JTwitterTrends RedirectStatusField (Joomla\CMS\Form\Field)
ConfigModelConfig InstallationControllerInstallDatabase_remove JTwitterUsers RedirectTableLink
ConfigModelForm InstallationControllerInstallEmail JView RedirectViewLink
ConfigModelModules InstallationControllerInstallLanguages JViewBase RedirectViewLinks
ConfigModelTemplates InstallationControllerInstallSample JViewHtml RedisStorage (Joomla\CMS\Cache\Storage)
ConfigViewApplicationHtml InstallationControllerPreinstall JXMLElement RegistrationdaterangeField (Joomla\CMS\Form\Field)
ConfigViewApplicationJson InstallationControllerRemovefolder
k
Registry (Joomla\Registry)
ConfigViewCmsHtml InstallationControllerSetdefaultlanguage RequestMethod (ReCaptcha)
ConfigViewCmsJson InstallationControllerSetlanguage Key (Joomla\CMS\Crypt) RequestParameters (ReCaptcha)
ConfigViewComponentHtml InstallationControllerSite KeychainManager Resolvable (TYPO3\PharStreamWrapper)
ConfigViewConfigHtml InstallationControllerSummary KeyNotFoundException (Joomla\DI\Exception) Response (ReCaptcha)
ConfigViewModulesHtml InstallationControllerVerifyftpsettings
l
Response (Joomla\CMS\Http)
ConfigViewTemplatesHtml InstallationFormFieldLanguage Rijndael256Cipher (Joomla\CMS\Crypt\Cipher)
ConfirmButton (Joomla\CMS\Toolbar\Button) InstallationFormFieldPrefix Language (Joomla\CMS\Language) Route (Joomla\CMS\Router)
ConjunctionInterceptor (TYPO3\PharStreamWrapper\Interceptor) InstallationFormFieldSample Language (Joomla\CMS\Table) RouteHelper (Joomla\CMS\Helper)
ContactAssociationsHelper InstallationFormRulePrefix LanguageAdapter (Joomla\CMS\Installer\Adapter) RouteNotFoundException (Joomla\CMS\Router\Exception)
ContactCategories InstallationFormRuleUsername LanguageHelper (Joomla\CMS\Language) Router (Joomla\CMS\Router)
ContactController InstallationHelperDatabase LanguageHelperWrapper (Joomla\CMS\Language\Wrapper) RouterBase (Joomla\CMS\Component\Router)
ContactControllerAjax InstallationHtmlHelper LanguagesController RouterInterface (Joomla\CMS\Component\Router)
ContactControllerContact InstallationModelConfiguration LanguagesControllerInstalled RouterLegacy (Joomla\CMS\Component\Router)
ContactControllerContacts InstallationModelDatabase LanguagesControllerLanguage RouterView (Joomla\CMS\Component\Router)
ContactHelper InstallationModelFtp LanguagesControllerLanguages RouterViewConfiguration (Joomla\CMS\Component\Router)
ContactHelperAssociation InstallationModelLanguages LanguagesControllerOverride RssParser (Joomla\CMS\Feed\Parser)
ContactHelperRoute InstallationModelSetup LanguagesControllerOverrides RssRenderer (Joomla\CMS\Document\Renderer\Feed)
ContactModelCategories InstallationResponseJson LanguagesControllerStrings Rule (Joomla\CMS\Access)
ContactModelCategory InstallationViewCompleteHtml LanguagesHelper Rules (Joomla\CMS\Access)
ContactModelContact InstallationViewDefault LanguagesModelInstalled RulesInterface (Joomla\CMS\Component\Router\Rules)
ContactModelContacts InstallationViewDefaultlanguageHtml LanguagesModelLanguage RulesRule (Joomla\CMS\Form\Rule)
ContactModelFeatured InstallationViewInstallHtml LanguagesModelLanguages RuntimeException (Symfony\Component\Yaml\Exception)
ContactRouter InstallationViewLanguagesHtml LanguagesModelOverride
s
ContactRouterRulesLegacy InstallationViewPreinstallHtml LanguagesModelOverrides
ContactTableContact InstallationViewRemoveHtml LanguagesModelStrings Salsa20 (ParagonIE\Sodium\Core)
ContactViewCategories InstallationViewSummaryHtml LanguageStemmer (Joomla\CMS\Language) SearchController
ContactViewCategory InstalledVersions (Composer) LanguagesViewInstalled SearchControllerSearches
ContactViewContact Installer (Joomla\CMS\Installer) LanguagesViewLanguage SearchHelper
ContactViewContacts InstallerAdapter (Joomla\CMS\Installer) LanguagesViewLanguages SearchHelper (Joomla\CMS\Helper)
ContactViewFeatured InstallerController LanguagesViewMultilangstatus SearchModelSearch
Node\Container (Joomla\CMS\Menu) InstallerControllerDatabase LanguagesViewOverride SearchModelSearches
Container (Joomla\DI) InstallerControllerDiscover LanguagesViewOverrides SearchRouter
Container (TYPO3\PharStreamWrapper\Phar) InstallerControllerInstall LastvisitdaterangeField (Joomla\CMS\Form\Field) SearchViewSearch
ContainerAwareInterface (Joomla\DI) InstallerControllerManage LayoutHelper (Joomla\CMS\Layout) SearchViewSearches
ContainerExceptionInterface (Psr\Container) InstallerControllerUpdate LayoutInterface (Joomla\CMS\Layout) SectionNotFoundException (Joomla\CMS\Categories)
ContainerInterface (Psr\Container) InstallerControllerUpdatesites LdapClient (Joomla\Ldap) Node\Separator (Joomla\CMS\Menu)
Content (Joomla\CMS\Table) InstallerExtension (Joomla\CMS\Installer) LegacyFactory (Joomla\CMS\MVC\Factory) SeparatorButton (Joomla\CMS\Toolbar\Button)
ContentAssociationsHelper InstallerHelper (Joomla\CMS\Installer) lessc ServiceProviderInterface (Joomla\DI)
ContentCategories InstallerHelper lessc_formatter_classic Session (Joomla\CMS\Session)
ContentController InstallerHtmlManage lessc_formatter_compressed Session (Joomla\Session)
ContentControllerAjax InstallerHtmlUpdatesites lessc_formatter_lessjs SessionGc
ContentControllerArticle InstallerModel lessc_parser SessionMetadataGc
ContentControllerArticles InstallerModelDatabase lessify SimpleCipher (Joomla\CMS\Crypt\Cipher)
ContentControllerFeatured InstallerModelDiscover LibraryAdapter (Joomla\CMS\Installer\Adapter) SimpleCryptPassword (Joomla\CMS\Crypt\Password)
ContentHelper (Joomla\CMS\Helper) InstallerModelInstall LibraryHelper (Joomla\CMS\Helper) SimplePie
ContentHelper InstallerModelLanguages Manifest\LibraryManifest (Joomla\CMS\Installer) SimplePie_Author
ContentHelperAssociation InstallerModelManage LimitboxField (Joomla\CMS\Form\Field) SimplePie_Autoloader
ContentHelperQuery InstallerModelUpdate LinkButton (Joomla\CMS\Toolbar\Button) SimplePie_Cache
ContentHelperRoute InstallerModelUpdatesites ListenersPriorityQueue (Joomla\Event) SimplePie_Cache_Base
ContentHistory (Joomla\CMS\Table) InstallerModelWarnings ListModel (Joomla\CMS\MVC\Model) SimplePie_Cache_DB
ContentHistory (Joomla\CMS\Table\Observer) InstallerScript (Joomla\CMS\Installer) Log (Joomla\CMS\Log) SimplePie_Cache_File
ContenthistoryController InstallerViewDatabase LogEntry (Joomla\CMS\Log) SimplePie_Cache_Memcache
ContenthistoryControllerHistory InstallerViewDefault LogException SimplePie_Cache_MySQL
ContenthistoryControllerPreview InstallerViewDiscover Logger (Joomla\CMS\Log) SimplePie_Caption
ContenthistoryField (Joomla\CMS\Form\Field) InstallerViewInstall LoggerAwareInterface (Psr\Log) SimplePie_Category
ContenthistoryHelper InstallerViewLanguages LoggerInterface (Psr\Log) SimplePie_Content_Type_Sniffer
ContentHistoryHelper (Joomla\CMS\Helper) InstallerViewManage LoginController SimplePie_Copyright
ContenthistoryModelCompare InstallerViewUpdate LoginModelLogin SimplePie_Core
ContenthistoryModelHistory InstallerViewUpdatesites LoginViewLogin SimplePie_Credit
ContenthistoryModelPreview InstallerViewWarnings LogLevel (Psr\Log) SimplePie_Decode_HTML_Entities
ContenthistoryViewCompare InvalidArgumentException (Psr\Log)
m
SimplePie_Enclosure
ContenthistoryViewHistory InvalidCiphertextException SimplePie_Exception
ContenthistoryViewPreview IpHelper (Joomla\Utilities) Mail (Joomla\CMS\Mail) SimplePie_File
ContentlanguageField (Joomla\CMS\Form\Field) ItemModel (Joomla\CMS\MVC\Model) MailHelper (Joomla\CMS\Mail) SimplePie_gzdecode
ContentModelArchive ItunesRssParser (Joomla\CMS\Feed\Parser\Rss) MailtoController SimplePie_HTTP_Parser
ContentModelArticle
j
MailtoHelper SimplePie_IRI
ContentModelArticles MailtoModelMailto SimplePie_Item
ContentModelCategories JAdminCssMenu MailtoViewMailto SimplePie_Locator
ContentModelCategory JAdministratorHelper MailtoViewSent SimplePie_Misc
ContentModelFeature JApplication MailWrapper (Joomla\CMS\Mail) SimplePie_Net_IPv6
ContentModelFeatured JApplicationWebRouter Manager (TYPO3\PharStreamWrapper) SimplePie_Parse_Date
ContentModelForm JApplicationWebRouterBase Manifest (Joomla\CMS\Installer) SimplePie_Parser
ContentRouter JApplicationWebRouterRest Manifest (TYPO3\PharStreamWrapper\Phar) SimplePie_Rating
ContentRouterRulesLegacy JArchive Mcrypt SimplePie_Registry
ContentTableFeatured JArchiveBzip2 McryptCipher (Joomla\CMS\Crypt\Cipher) SimplePie_Restriction
ContentType (Joomla\CMS\Table) JArchiveExtractable MediaController SimplePie_Sanitize
ContenttypeField (Joomla\CMS\Form\Field) JArchiveGzip MediaControllerFile SimplePie_Source
ContentViewArchive JArchiveTar MediaControllerFolder SimplePie_XML_Declaration_Parser
ContentViewArticle JArchiveWrapperArchive MediaField (Joomla\CMS\Form\Field) SipHash (ParagonIE\Sodium\Core)
ContentViewArticles JArchiveZip MediaHelper SiteApplication (Joomla\CMS\Application)
ContentViewCategories JArrayHelper MediaHelper (Joomla\CMS\Helper) SiteMenu (Joomla\CMS\Menu)
ContentViewCategory JClassLoader MediaModelList SitePathway (Joomla\CMS\Pathway)
ContentViewFeatured JController MediaModelManager SiteRouter (Joomla\CMS\Router)
ContentViewForm JControllerBase MediaRssParser (Joomla\CMS\Feed\Parser\Rss) Sketchy (Joomla\Image\Filter)
Contrast (Joomla\Image\Filter) JDatabase MediaViewImages SliderButton (Joomla\CMS\Toolbar\Button)
Cookie (Joomla\CMS\Input) JDatabaseDriver MediaViewImagesList Smooth (Joomla\Image\Filter)
Cookie (Joomla\Input) JDatabaseDriverMysql MediaViewMedia SMTP
CoreContent (Joomla\CMS\Table) JDatabaseDriverMysqli MediaViewMediaList RequestMethod\Socket (ReCaptcha)
CpanelController JDatabaseDriverOracle Storage\Memcache (Joomla\Session) RequestMethod\SocketPost (ReCaptcha)
CpanelViewCpanel JDatabaseDriverPdo Storage\Memcached (Joomla\Session) SocketTransport (Joomla\CMS\Http\Transport)
Crypt (Joomla\CMS\Crypt) JDatabaseDriverPdomysql MemcachedStorage (Joomla\CMS\Cache\Storage) SodiumCipher (Joomla\CMS\Crypt\Cipher)
Crypto JDatabaseDriverPgsql MemcacheStorage (Joomla\CMS\Cache\Storage) SplFixedArray
Crypto (ParagonIE\Sodium) JDatabaseDriverPostgresql Menu (Joomla\CMS\Table) ChangeItem\SqlsrvChangeItem (Joomla\CMS\Schema)
CryptoCipher (Joomla\CMS\Crypt\Cipher) JDatabaseDriverSqlazure MenuField (Joomla\CMS\Form\Field) StandardButton (Joomla\CMS\Toolbar\Button)
CryptoExceptionHandler JDatabaseDriverSqlite MenuHelper (Joomla\CMS\Menu) StandardRules (Joomla\CMS\Component\Router\Rules)
CryptoTestFailedException JDatabaseException MenuItem (Joomla\CMS\Menu) Poly1305\State (ParagonIE\Sodium\Core)
CryptPassword (Joomla\CMS\Crypt) JDatabaseExceptionConnecting MenuitemField (Joomla\CMS\Form\Field) StatusField (Joomla\CMS\Form\Field)
CssIdentifierSubstringRule (Joomla\CMS\Form\Rule) JDatabaseExceptionExecuting MenuRules (Joomla\CMS\Component\Router\Rules) Stdout (Joomla\Application\Cli\Output)
ChaCha20\Ctx (ParagonIE\Sodium\Core) JDatabaseExceptionUnsupported MenusAssociationsHelper Storage (Joomla\Session)
Ctype (Symfony\Polyfill\Ctype) JDatabaseExporter MenusController Stream (Joomla\Filesystem)
RequestMethod\Curl (ReCaptcha) JDatabaseExporterMysql MenusControllerAjax Stream (Joomla\CMS\Filesystem)
RequestMethod\CurlPost (ReCaptcha) JDatabaseExporterMysqli MenusControllerItem StreamString (Joomla\CMS\Filesystem\Streams)
CurlTransport (Joomla\CMS\Http\Transport) JDatabaseExporterPdomysql MenusControllerItems StreamTransport (Joomla\CMS\Http\Transport)
Curve25519 (ParagonIE\Sodium\Core) JDatabaseExporterPgsql MenusControllerMenu Stream\String (Joomla\Filesystem)
CustomButton (Joomla\CMS\Toolbar\Button) JDatabaseExporterPostgresql MenusControllerMenus String (Joomla\String)
d
JDatabaseFactory MenusHelper StringController (Joomla\CMS\Filesystem\Support)
JDatabaseImporter MenusHtmlMenus StringController (Joomla\Filesystem\Support)
DaemonApplication (Joomla\CMS\Application) JDatabaseImporterMysql MenusModelItem Stream\StringWrapper (Joomla\Filesystem)
Storage\Database (Joomla\Session) JDatabaseImporterMysqli MenusModelItems Stub (TYPO3\PharStreamWrapper\Phar)
Logger\DatabaseLogger (Joomla\CMS\Log) JDatabaseImporterPdomysql MenusModelMenu SubformRule (Joomla\CMS\Form\Rule)
DataObject (Joomla\Data) JDatabaseImporterPgsql MenusModelMenus Logger\SyslogLogger (Joomla\CMS\Log)
DataSet (Joomla\Data) JDatabaseImporterPostgresql MenusModelMenutypes
t
Date (Joomla\CMS\Date) JDatabaseInterface MenusTableMenu
DelegatingDispatcher (Joomla\Event) JDatabaseIterator MenusViewItem Table (Joomla\CMS\Table)
DelegatingPsrLogger (Joomla\CMS\Log) JDatabaseIteratorMysql MenusViewItems TableInterface (Joomla\CMS\Table)
DeletefilesCli JDatabaseIteratorMysqli MenusViewMenu TagField (Joomla\CMS\Form\Field)
DependencyResolutionException (Joomla\DI\Exception) JDatabaseIteratorOracle MenusViewMenus TaggableTableInterface (Joomla\CMS\Tag)
DeserializationException (TYPO3\PharStreamWrapper\Phar) JDatabaseIteratorPdo MenusViewMenutypes tagparse
DisallowedClassesSubstitutor (Brumann\Polyfill) JDatabaseIteratorPdomysql MenuType (Joomla\CMS\Table) Tags (Joomla\CMS\Table\Observer)
Dispatcher (Joomla\Event) JDatabaseIteratorPgsql Logger\MessagequeueLogger (Joomla\CMS\Log) TagsController
DispatcherAwareInterface (Joomla\Event) JDatabaseIteratorPostgresql MessageRenderer (Joomla\CMS\Document\Renderer\Html) TagsControllerTag
DispatcherInterface (Joomla\Event) JDatabaseIteratorSqlazure MessagesController TagsControllerTags
Document (Joomla\CMS\Document) JDatabaseIteratorSqlite MessagesControllerConfig TagsHelper (Joomla\CMS\Helper)
DocumentRenderer (Joomla\CMS\Document) JDatabaseIteratorSqlsrv MessagesControllerMessage TagsHelper
DownloadSource (Joomla\CMS\Updater) JDatabaseMysql MessagesControllerMessages TagsHelperRoute
DumpableInterface (Joomla\Data) JDatabaseMysqli MessagesHelper TagsModelTag
Dumper (Symfony\Component\Yaml) JDatabaseQuery MessagesModelConfig TagsModelTags
DumpException (Symfony\Component\Yaml\Exception) JDatabaseQueryElement MessagesModelMessage TagsRouter
e
JDatabaseQueryLimitable MessagesModelMessages TagsTableTag
JDatabaseQueryMysql MessagesTableMessage TagsViewTag
easyparse JDatabaseQueryMysqli MessagesViewConfig TagsViewTags
EasyPeasyICS JDatabaseQueryOracle MessagesViewMessage Tar (Joomla\Archive)
Logger\EchoLogger (Joomla\CMS\Log) JDatabaseQueryPdo MessagesViewMessages TelRule (Joomla\CMS\Form\Rule)
Ed25519 (ParagonIE\Sodium\Core) JDatabaseQueryPdomysql MetadataManager (Joomla\CMS\Session) TemplateAdapter (Joomla\CMS\Installer\Adapter)
Edgedetect (Joomla\Image\Filter) JDatabaseQueryPgsql Microdata (Joomla\CMS\Microdata) TemplateHelper
Editor (Joomla\CMS\Editor) JDatabaseQueryPostgresql MissingComponentException (Joomla\CMS\Component\Exception) TemplatesController
EditorField (Joomla\CMS\Form\Field) JDatabaseQueryPreparable ModArchiveHelper TemplatesControllerStyle
EmailRule (Joomla\CMS\Form\Rule) JDatabaseQuerySqlazure ModArticlesCategoriesHelper TemplatesControllerStyles
Emboss (Joomla\Image\Filter) JDatabaseQuerySqlite ModArticlesCategoryHelper TemplatesControllerTemplate
En_GBLocalise JDatabaseQuerySqlsrv ModArticlesLatestHelper TemplatesHelper
EqualsRule (Joomla\CMS\Form\Rule) JDatabaseSqlazure ModArticlesNewsHelper TemplatesModelStyle
ErrorDocument (Joomla\CMS\Document) JDatabaseSqlsrv ModArticlesPopularHelper TemplatesModelStyles
Escaper (Symfony\Component\Yaml) JDispatcher ModBannersHelper TemplatesModelTemplate
Event (Joomla\Event) JError ModBreadCrumbsHelper TemplatesModelTemplates
EventImmutable (Joomla\Event) JEvent ModFeedHelper TemplatesTableStyle
EventInterface (Joomla\Event) JEventDispatcher ModFinderHelper TemplatestyleField (Joomla\CMS\Form\Field)
Exception (TYPO3\PharStreamWrapper) JException ModLanguagesHelper TemplatesViewStyle
ExceptionHandler (Joomla\CMS\Exception) JFacebook ModLatestActionsHelper TemplatesViewStyles
ExceptionInterface (Symfony\Component\Yaml\Exception) JFacebookAlbum ModLatestHelper TemplatesViewTemplate
ExistsRule (Joomla\CMS\Form\Rule) JFacebookCheckin ModLoggedHelper TemplatesViewTemplates
Extension (Joomla\CMS\Table) JFacebookComment ModLoginHelper Text (Joomla\CMS\Language)
ExtensionAdapter (Joomla\CMS\Updater\Adapter) JFacebookEvent ModMenuHelper Toolbar (Joomla\CMS\Toolbar)
ExtensionHelper (Joomla\CMS\Extension) JFacebookGroup ModPopularHelper ToolbarButton (Joomla\CMS\Toolbar)
ExtractableInterface (Joomla\Archive) JFacebookLink ModPrivacyDashboardHelper ToolbarHelper (Joomla\CMS\Toolbar)
f
JFacebookNote ModQuickIconHelper Transliterate (Joomla\CMS\Language)
JFacebookOAuth ModRandomImageHelper TransliterateWrapper (Joomla\CMS\Language\Wrapper)
Factory (Joomla\CMS) JFacebookObject ModRelatedItemsHelper TransportInterface (Joomla\CMS\Http)
Factory (Joomla\Registry) JFacebookPhoto ModSampledataHelper Tree (Joomla\CMS\Menu)
FactoryWrapper (Joomla\CMS\Http\Wrapper) JFacebookPost ModSearchHelper TripleDesCipher (Joomla\CMS\Crypt\Cipher)
Curve25519\Fe (ParagonIE\Sodium\Core) JFacebookStatus ModStatsHelper
u
Feed (Joomla\CMS\Feed) JFacebookUser ModSyndicateHelper
FeedDocument (Joomla\CMS\Document) JFacebookVideo ModTagsPopularHelper UCM (Joomla\CMS\UCM)
FeedEnclosure (Joomla\CMS\Document\Feed) JFormFieldAccessLevel ModTagssimilarHelper Ucm (Joomla\CMS\Table)
FeedEntry (Joomla\CMS\Feed) JFormFieldAliastag Module (Joomla\CMS\Table) UCMBase (Joomla\CMS\UCM)
FeedFactory (Joomla\CMS\Feed) JFormFieldBannerClient ModuleAdapter (Joomla\CMS\Installer\Adapter) UCMContent (Joomla\CMS\UCM)
FeedImage (Joomla\CMS\Document\Feed) JFormFieldBranches ModuleHelper (Joomla\CMS\Helper) UCMType (Joomla\CMS\UCM)
FeedItem (Joomla\CMS\Document\Feed) JFormFieldCacheHandler ModuleLayoutRule (Joomla\CMS\Form\Rule) uctc
FeedLink (Joomla\CMS\Feed) JFormFieldCalendar ModuleorderField (Joomla\CMS\Form\Field) Unescaper (Symfony\Component\Yaml)
FeedParser (Joomla\CMS\Feed) JFormFieldCategory ModulepositionField (Joomla\CMS\Form\Field) UnknownArchiveException (Joomla\Archive\Exception)
FeedPerson (Joomla\CMS\Feed) JFormFieldCategoryEdit ModuleRenderer (Joomla\CMS\Document\Renderer\Html) Unserialize (Brumann\Polyfill)
FieldsController JFormFieldCategoryParent ModulesController UnsupportedArchiveException (Joomla\Archive\Exception)
FieldsControllerField JFormFieldCheckbox ModulesControllerModule UnsupportedCacheException (Joomla\CMS\Cache\Exception)
FieldsControllerFields JFormFieldCheckboxes ModulesControllerModules UnsupportedStorageException (Joomla\CMS\Session\Exception)
FieldsControllerGroup JFormFieldClicks ModulesHelper Update (Joomla\CMS\Table)
FieldsControllerGroups JFormFieldColor ModulesHelperXML Update (Joomla\CMS\Updater)
FieldsHelper JFormFieldCombo ModulesModelModule UpdateAdapter (Joomla\CMS\Updater)
FieldsListPlugin JFormFieldComponentlayout ModulesModelModules Updatecron
FieldsModelField JFormFieldComponents ModulesModelPositions Updater (Joomla\CMS\Updater)
FieldsModelFields JFormFieldComponentsCategory ModulesModelSelect UpdateSite (Joomla\CMS\Table)
FieldsModelGroup JFormFieldConfigComponents ModulesRenderer (Joomla\CMS\Document\Renderer\Html) Uri (Joomla\CMS\Uri)
FieldsModelGroups JFormFieldConsentBox ModulesViewModule Uri (Joomla\Uri)
FieldsPlugin JFormFieldContentMap ModulesViewModules UriHelper (Joomla\Uri)
FieldsTableField JFormFieldContentTypes ModulesViewPositions UriImmutable (Joomla\Uri)
FieldsTableGroup JFormFieldDatabaseConnection ModulesViewPreview UriInterface (Joomla\Uri)
FieldsViewField JFormFieldDirectories ModulesViewSelect Node\Url (Joomla\CMS\Menu)
FieldsViewFields JFormFieldDob ModuletagField (Joomla\CMS\Form\Field) UrlRule (Joomla\CMS\Form\Rule)
FieldsViewGroup JFormFieldEMail ModUsersLatestHelper User (Joomla\CMS\Table)
FieldsViewGroups JFormFieldExtension ModVersionHelper User (Joomla\CMS\User)
File (Joomla\CMS\Filesystem) JFormFieldExtensionStatus ModWhosonlineHelper UseractiveField (Joomla\CMS\Form\Field)
File (Joomla\Filesystem) JFormFieldFieldcontexts ModWrapperHelper UserField (Joomla\CMS\Form\Field)
File (ParagonIE\Sodium) JFormFieldFieldgroups MultilangstatusHelper Usergroup (Joomla\CMS\Table)
FileAdapter (Joomla\CMS\Installer\Adapter) JFormFieldFieldlayout Multilanguage (Joomla\CMS\Language) UsergrouplistField (Joomla\CMS\Form\Field)
FileLayout (Joomla\CMS\Layout) JFormFieldFile MVCFactory (Joomla\CMS\MVC\Factory) UserGroupsHelper (Joomla\CMS\Helper)
FilePathRule (Joomla\CMS\Form\Rule) JFormFieldFileList MVCFactoryInterface (Joomla\CMS\MVC\Factory) UserHelper (Joomla\CMS\User)
Files (Joomla\CMS\Input) JFormFieldFilters ChangeItem\MysqlChangeItem (Joomla\CMS\Schema) UsernameRule (Joomla\CMS\Form\Rule)
Files (Joomla\Input) JFormFieldFolder
n
UsersController
FileStorage (Joomla\CMS\Cache\Storage) JFormFieldFolderList UsersControllerGroup
FilesystemException (Joomla\Filesystem\Exception) JFormFieldFonts NamespaceParserInterface (Joomla\CMS\Feed\Parser) UsersControllerGroups
FilesystemHelper (Joomla\CMS\Filesystem) JFormFieldGroupedList Negate (Joomla\Image\Filter) UsersControllerLevel
FileWrapper (Joomla\CMS\Filesystem\Wrapper) JFormFieldGroupParent Nested (Joomla\CMS\Table) UsersControllerLevels
FinderCli JFormFieldHidden Net_IDNA_php4 UsersControllerMail
FinderController JFormFieldImageList NewsfeedsAssociationsHelper UsersControllerNote
FinderControllerFilter JFormFieldImpMade NewsfeedsCategories UsersControllerNotes
FinderControllerFilters JFormFieldImpTotal NewsfeedsController UsersControllerProfile
FinderControllerIndex JFormFieldInteger NewsfeedsControllerAjax UsersControllerRegistration
FinderControllerIndexer JFormFieldItemLanguage NewsfeedsControllerNewsfeed UsersControllerRemind
FinderControllerMaps JFormFieldItemType NewsfeedsControllerNewsfeeds UsersControllerReset
FinderControllerSuggestions JFormFieldLanguage NewsfeedsHelper UsersControllerUser
FinderHelper JFormFieldLanguageclient NewsfeedsHelperAssociation UsersControllerUsers
FinderHelperLanguage JFormFieldLevels NewsfeedsHelperRoute UsersHelper
FinderHelperRoute JFormFieldList NewsfeedsModelCategories UsersHelperDebug
FinderIndexer JFormFieldLocation NewsfeedsModelCategory UsersHelperRoute
FinderIndexerAdapter JFormFieldLogCreator NewsfeedsModelNewsfeed UsersModelDebuggroup
FinderIndexerDriverMysql JFormFieldLogsDateRange NewsfeedsModelNewsfeeds UsersModelDebugUser
FinderIndexerDriverPostgresql JFormFieldLogType NewsfeedsRouter UsersModelGroup
FinderIndexerDriverSqlsrv JFormFieldMenuitemByType NewsfeedsRouterRulesLegacy UsersModelGroups
FinderIndexerHelper JFormFieldMenuOrdering NewsfeedsTableNewsfeed UsersModelLevel
FinderIndexerParser JFormFieldMenuParent NewsfeedsViewCategories UsersModelLevels
FinderIndexerParserHtml JFormFieldMenuPreset NewsfeedsViewCategory UsersModelLogin
FinderIndexerParserRtf JFormFieldMenutype NewsfeedsViewNewsfeed UsersModelMail
FinderIndexerParserTxt JFormFieldMessageStates NewsfeedsViewNewsfeeds UsersModelNote
FinderIndexerQuery JFormFieldMeter Node (Joomla\CMS\Menu) UsersModelNotes
FinderIndexerResponse JFormFieldModal_Article nodecounter UsersModelProfile
FinderIndexerResult JFormFieldModal_Category NomenuRules (Joomla\CMS\Component\Router\Rules) UsersModelRegistration
FinderIndexerStemmer JFormFieldModal_Contact Storage\None (Joomla\Session) UsersModelRemind
FinderIndexerStemmerFr JFormFieldModal_Menu Normalise (Joomla\String) UsersModelReset
FinderIndexerStemmerPorter_En JFormFieldModal_Newsfeed NotAllowed (Joomla\CMS\Access\Exception) UsersModelUser
FinderIndexerStemmerSnowball JFormFieldModalAssociation NotequalsRule (Joomla\CMS\Form\Rule) UsersModelUsers
FinderIndexerTaxonomy JFormFieldModulelayout NotFoundExceptionInterface (Psr\Container) UsersRouter
FinderIndexerToken JFormFieldModulesModule ntlm_sasl_client_class UsersRouterRulesLegacy
FinderModelFilter JFormFieldModulesPosition NullLogger (Psr\Log) UsersTableNote
FinderModelFilters JFormFieldNewsfeeds NumberRule (Joomla\CMS\Form\Rule) UserstateField (Joomla\CMS\Form\Field)
FinderModelIndex JFormFieldNote
o
UsersViewDebuggroup
FinderModelIndexer JFormFieldNumber UsersViewDebuguser
FinderModelMaps JFormFieldPassword OpensearchDocument (Joomla\CMS\Document) UsersViewGroup
FinderModelSearch JFormFieldPluginElement OpensearchImage (Joomla\CMS\Document\Opensearch) UsersViewGroups
FinderModelStatistics JFormFieldPluginInfo OpensearchUrl (Joomla\CMS\Document\Opensearch) UsersViewLevel
FinderModelSuggestions JFormFieldPluginordering OpenSSL UsersViewLevels
FinderRouter JFormFieldPlugins OptionsRule (Joomla\CMS\Form\Rule) UsersViewLogin
FinderTableFilter JFormFieldPluginType OrderingField (Joomla\CMS\Form\Field) UsersViewMail
FinderTableLink JFormFieldPredefinedList OutputController (Joomla\CMS\Cache\Controller) UsersViewNote
FinderTableMap JFormFieldprivacy OutputFilter (Joomla\Filter) UsersViewNotes
FinderViewFilter JFormFieldRadio OutputFilter (Joomla\CMS\Filter) UsersViewProfile
FinderViewFilters JFormFieldRange OutputFilterWrapper (Joomla\CMS\Filter\Wrapper) UsersViewRegistration
FinderViewIndex JFormFieldRedirect
p
UsersViewRemind
FinderViewIndexer JFormFieldRepeatable UsersViewReset
FinderViewMaps JFormFieldRules P1p1 (ParagonIE\Sodium\Core\Curve25519\Ge) UsersViewUser
FinderViewSearch JFormFieldSearchFilter P2 (ParagonIE\Sodium\Core\Curve25519\Ge) UsersViewUsers
FinderViewStatistics JFormFieldSection P3 (ParagonIE\Sodium\Core\Curve25519\Ge) UserWrapper (Joomla\CMS\User)
FOFAutoloaderComponent JFormFieldSessionHandler PackageAdapter (Joomla\CMS\Installer\Adapter) Util (ParagonIE\Sodium\Core)
FOFAutoloaderFof JFormFieldSkins Manifest\PackageManifest (Joomla\CMS\Installer) Utility (Joomla\CMS\Utility)
FOFConfigDomainDispatcher JFormFieldSpacer PageController (Joomla\CMS\Cache\Controller)
v
FOFConfigDomainInterface JFormFieldSQL Pagination (Joomla\CMS\Pagination)
FOFConfigDomainTables JFormFieldSubform PaginationObject (Joomla\CMS\Pagination) Version (Joomla\CMS)
FOFConfigDomainViews JFormFieldTel ParagonIE_Sodium_Compat VersionableTableInterface (Joomla\CMS\Versioning)
FOFConfigProvider JFormFieldTemplateLocation ParagonIE_Sodium_Core32_BLAKE2b ViewController (Joomla\CMS\Cache\Controller)
FOFController JFormFieldTemplateName ParagonIE_Sodium_Core32_ChaCha20 ViewLevel (Joomla\CMS\Table)
FOFDatabase JFormFieldterms ParagonIE_Sodium_Core32_ChaCha20_Ctx
w
FOFDatabaseDriver JFormFieldText ParagonIE_Sodium_Core32_ChaCha20_IetfCtx
FOFDatabaseDriverJoomla JFormFieldTextarea ParagonIE_Sodium_Core32_Curve25519 Logger\W3cLogger (Joomla\CMS\Log)
FOFDatabaseDriverMysql JFormFieldTimezone ParagonIE_Sodium_Core32_Curve25519_Fe WebApplication (Joomla\CMS\Application)
FOFDatabaseDriverMysqli JFormFieldTinymceBuilder ParagonIE_Sodium_Core32_Curve25519_Ge_Cached WebClient (Joomla\Application\Web)
FOFDatabaseDriverOracle JFormFieldTos ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 Storage\Wincache (Joomla\Session)
FOFDatabaseDriverPdo JFormFieldType ParagonIE_Sodium_Core32_Curve25519_Ge_P2 WincacheStorage (Joomla\CMS\Cache\Storage)
FOFDatabaseDriverPdomysql JFormFieldUploaddirs ParagonIE_Sodium_Core32_Curve25519_Ge_P3 WrapperController
FOFDatabaseDriverPostgresql JFormFieldUrl ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp WrapperRouter
FOFDatabaseDriverSqlazure JFormFieldUsergroup ParagonIE_Sodium_Core32_Curve25519_H WrapperViewWrapper
FOFDatabaseDriverSqlite JFormFieldUserMessages ParagonIE_Sodium_Core32_Ed25519
x
FOFDatabaseDriverSqlsrv JFormFieldVoteradio ParagonIE_Sodium_Core32_HChaCha20
FOFDatabaseFactory JFormRuleContactEmail ParagonIE_Sodium_Core32_HSalsa20 X25519 (ParagonIE\Sodium\Core)
FOFDatabaseInstaller JFormRuleContactEmailMessage ParagonIE_Sodium_Core32_Int32 Storage\Xcache (Joomla\Session)
FOFDatabaseInterface JFormRuleContactEmailSubject ParagonIE_Sodium_Core32_Int64 XcacheStorage (Joomla\CMS\Cache\Storage)
FOFDatabaseIterator JFormRuleLoginUniqueField ParagonIE_Sodium_Core32_Poly1305 XChaCha20 (ParagonIE\Sodium\Core)
FOFDatabaseIteratorAzure JFormRuleLogoutUniqueField ParagonIE_Sodium_Core32_Poly1305_State Xml (Joomla\Application\Cli\Output)
FOFDatabaseIteratorMysql JGithub ParagonIE_Sodium_Core32_Salsa20 Xml (Joomla\Registry\Format)
FOFDatabaseIteratorMysqli JGithubAccount ParagonIE_Sodium_Core32_SecretStream_State XmlDocument (Joomla\CMS\Document)
FOFDatabaseIteratorOracle JGithubCommits ParagonIE_Sodium_Core32_SipHash Xsalsa20 (ParagonIE\Sodium\Core)
FOFDatabaseIteratorPdo JGithubForks ParagonIE_Sodium_Core32_Util
y
FOFDatabaseIteratorPdomysql JGithubHooks ParagonIE_Sodium_Core32_X25519
FOFDatabaseIteratorPostgresql JGithubHttp ParagonIE_Sodium_Core32_XChaCha20 Yaml (Symfony\Component\Yaml)
FOFDatabaseIteratorSqlite JGithubMeta ParagonIE_Sodium_Core32_XSalsa20 Yaml (Joomla\Registry\Format)
FOFDatabaseIteratorSqlsrv JGithubMilestones ParagonIE_Sodium_Core_Base64_Common
z
FOFDatabaseQuery JGithubObject ParagonIE_Sodium_Core_Base64_Original
FOFDatabaseQueryElement JGithubPackage ParagonIE_Sodium_Core_Base64_UrlSafe Zip (Joomla\Archive)
a | b | c | d | e | f | g | h | i | j | k | l | m | n | o | p | r | s | t | u | v | w | x | y | z


Joomla CMS: Hiérarchie des classes

Hiérarchie des classes
Cette liste d'héritage est classée approximativement par ordre alphabétique :
[Niveau de détails 123456]
▶C AbstractMenu
C AdministratorMenu
C SiteMenu
C Access
C Access
C ActionlogsHelper
C ActionlogsHelperPhp55
▶C AKAbstractObject
▶C AKAbstractPart
▶C AKAbstractUnarchiver
▶C AKUnarchiverJPA
C AKUnarchiverZIP
▶C AKAbstractPostproc
C AKPostprocDirect
C AKCoreTimer
C AKText
C AKUtilsLister
C AKAbstractPartObserver
C AKEncryptionAES
▶C AKEncryptionAESAdapterAbstract
C Mcrypt
C OpenSSL
▶C AKEncryptionAESAdapterInterface
C Mcrypt
C OpenSSL
C AKFactory
C ApplicationHelper
C Archive
C ArrayHelper
▶C Assertable
C Behavior
C ConjunctionInterceptor
C PharExtensionInterceptor
C PharMetaDataInterceptor
▶C AssociationExtensionInterface
▶C AssociationExtensionHelper
C ContactAssociationsHelper
C ContentAssociationsHelper
C MenusAssociationsHelper
C NewsfeedsAssociationsHelper
C Associations
C AuthenticationHelper
C AuthenticationResponse
C BannerHelper
C BinaryNoFuncOverload
C BinaryOnFuncOverload
C Browser
C Buffer
C BufferStreamHandler
C Cache
▶C CacheController
C CallbackController
C OutputController
C PageController
C ViewController
▶C CacheExceptionInterface
C CacheConnectingException
C UnsupportedCacheException
C CacheHelper
▶C CacheStorage
C ApcStorage
C ApcuStorage
C CacheliteStorage
C FileStorage
C MemcachedStorage
C MemcacheStorage
C RedisStorage
C WincacheStorage
C XcacheStorage
C CacheStorageHelper
C CategoriesHelper
▶C CategoryFactoryInterface
C CategoryFactory
▶C CategoryHelperAssociation
C ContactHelperAssociation
C ContentHelperAssociation
C NewsfeedsHelperAssociation
▶C CategoryInterface
C Categories
▶C ChangeItem
C MysqlChangeItem
C PostgresqlChangeItem
C SqlsrvChangeItem
C ChangeSet
▶C CipherInterface
C CryptoCipher
▶C McryptCipher
C BlowfishCipher
C Rijndael256Cipher
C TripleDesCipher
C SimpleCipher
C SodiumCipher
C ClassLoader
C ClientHelper
C ClientWrapper
C CliInput
▶C CliOutput
C Stdout
C Xml
▶C CMSHelper
C ContentHistoryHelper
C TagsHelper
▶C CMSObject
C Adapter
C AdapterInstance
C Stream
▶C Collectable
C PharInvocationCollection
C ColorStyle
C ComponentHelper
C ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd
C ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
C ConfigControllerHelper
C ContactHelperRoute
C Container
C ContainerAwareInterface
▶C ContainerExceptionInterface
C DependencyResolutionException
C ProtectedKeyException
▶C NotFoundExceptionInterface
C KeyNotFoundException
▶C ContainerInterface
C Container
C ContentHelper
C ContentHelperQuery
C ContentHelperRoute
C ContenthistoryHelper
C Crypt
C Crypto
C CryptoExceptionHandler
▶C CryptPassword
C SimpleCryptPassword
C Ctype
C Curl
▶C DateTime
C Date
C DisallowedClassesSubstitutor
C DispatcherAwareInterface
▶C DispatcherInterface
C DelegatingDispatcher
C Dispatcher
▶C Document
C ErrorDocument
C FeedDocument
C HtmlDocument
C ImageDocument
C JsonDocument
C OpensearchDocument
C RawDocument
C XmlDocument
▶C DocumentRenderer
C AtomRenderer
C RssRenderer
C ComponentRenderer
C HeadRenderer
C MessageRenderer
C ModuleRenderer
C ModulesRenderer
C DownloadSource
▶C DumpableInterface
C DataObject
C DataSet
C Dumper
▶C easyparse
C tagparse
C EasyPeasyICS
C En_GBLocalise
C Escaper
▶C EventInterface
▶C AbstractEvent
C Event
C EventImmutable
▶C Exception
C CannotPerformOperationException
C CryptoTestFailedException
C InvalidCiphertextException
C JException
C JsonException
C phpmailerException
C SimplePie_Exception
C ExceptionHandler
▶C ExceptionInterface
▶C RuntimeException
C DumpException
C ParseException
C ExtensionHelper
▶C ExtractableInterface
C Bzip2
C Gzip
C Tar
C Zip
C Factory
C Factory
C FactoryWrapper
C FeedEnclosure
C FeedEntry
C FeedFactory
C FeedImage
C FeedItem
C FeedLink
▶C FeedParser
C AtomParser
C RssParser
C FeedPerson
C FieldsHelper
C File
C File
C FilesystemHelper
C FileWrapper
▶C FilterIterator
C CallbackFilterIterator
C FinderHelper
C FinderHelperLanguage
C FinderHelperRoute
▶C FinderIndexer
C FinderIndexerDriverMysql
C FinderIndexerDriverPostgresql
C FinderIndexerDriverSqlsrv
C FinderIndexerHelper
▶C FinderIndexerParser
C FinderIndexerParserHtml
C FinderIndexerParserRtf
C FinderIndexerParserTxt
C FinderIndexerQuery
C FinderIndexerResponse
C FinderIndexerResult
▶C FinderIndexerStemmer
C FinderIndexerStemmerFr
C FinderIndexerStemmerPorter_En
C FinderIndexerStemmerSnowball
C FinderIndexerTaxonomy
C FinderIndexerToken
C FOFAutoloaderComponent
C FOFAutoloaderFof
▶C FOFConfigDomainInterface
C FOFConfigDomainDispatcher
C FOFConfigDomainTables
C FOFConfigDomainViews
C FOFConfigProvider
▶C FOFDatabase
▶C FOFDatabaseDriver
▶C FOFDatabaseDriverMysqli
C FOFDatabaseDriverMysql
▶C FOFDatabaseDriverPdo
C FOFDatabaseDriverOracle
C FOFDatabaseDriverPdomysql
C FOFDatabaseDriverSqlite
C FOFDatabaseDriverPostgresql
▶C FOFDatabaseDriverSqlsrv
C FOFDatabaseDriverSqlazure
C FOFDatabaseDriverJoomla
C FOFDatabaseFactory
C FOFDatabaseInstaller
▶C FOFDatabaseQuery
▶C FOFDatabaseQueryMysqli
C FOFDatabaseQueryMysql
C FOFDatabaseQueryPdomysql
▶C FOFDatabaseQueryPdo
C FOFDatabaseQueryOracle
C FOFDatabaseQuerySqlite
C FOFDatabaseQueryPostgresql
▶C FOFDatabaseQuerySqlsrv
C FOFDatabaseQuerySqlazure
C FOFDatabaseQueryElement
C FOFDownload
▶C FOFDownloadInterface
▶C FOFDownloadAdapterAbstract
C FOFDownloadAdapterCurl
C FOFDownloadAdapterFopen
C FOFDownloadAdapterCurl
C FOFDownloadAdapterFopen
C FOFEncryptAes
▶C FOFEncryptAesAbstract
C FOFEncryptAesMcrypt
C FOFEncryptAesOpenssl
▶C FOFEncryptAesInterface
C FOFEncryptAesMcrypt
C FOFEncryptAesOpenssl
C FOFEncryptBase32
▶C FOFEncryptRandvalinterface
C FOFEncryptRandval
C FOFEncryptTotp
▶C FOFFormField
C FOFFormFieldAccesslevel
C FOFFormFieldActions
C FOFFormFieldButton
C FOFFormFieldCachehandler
C FOFFormFieldCalendar
C FOFFormFieldCaptcha
C FOFFormFieldCheckbox
C FOFFormFieldCheckboxes
C FOFFormFieldComponents
C FOFFormFieldEditor
C FOFFormFieldEmail
C FOFFormFieldGroupedbutton
C FOFFormFieldGroupedlist
C FOFFormFieldHidden
C FOFFormFieldImagelist
C FOFFormFieldInteger
C FOFFormFieldLanguage
▶C FOFFormFieldList
C FOFFormFieldModel
C FOFFormFieldRelation
▶C FOFFormFieldMedia
C FOFFormFieldImage
C FOFFormFieldModel
C FOFFormFieldOrdering
C FOFFormFieldPassword
C FOFFormFieldPlugins
C FOFFormFieldPublished
C FOFFormFieldRadio
C FOFFormFieldRules
C FOFFormFieldSelectrow
C FOFFormFieldSessionhandler
C FOFFormFieldSpacer
C FOFFormFieldSql
C FOFFormFieldTag
C FOFFormFieldTel
▶C FOFFormFieldText
C FOFFormFieldButton
C FOFFormFieldTitle
C FOFFormFieldTextarea
C FOFFormFieldTimezone
C FOFFormFieldTitle
C FOFFormFieldUrl
C FOFFormFieldUser
C FOFFormFieldUsergroup
▶C FOFFormHeader
▶C FOFFormHeaderField
▶C FOFFormHeaderFielddate
C FOFFormHeaderFilterdate
▶C FOFFormHeaderFieldsearchable
▶C FOFFormHeaderFieldfilterable
C FOFFormHeaderFilterfilterable
C FOFFormHeaderFiltersearchable
▶C FOFFormHeaderFieldselectable
C FOFFormHeaderAccesslevel
▶C FOFFormHeaderFieldsql
C FOFFormHeaderFiltersql
C FOFFormHeaderFilterselectable
C FOFFormHeaderLanguage
C FOFFormHeaderModel
C FOFFormHeaderPublished
C FOFFormHeaderOrdering
C FOFFormHeaderRowselect
C FOFHalDocument
C FOFHalLink
C FOFHalLinks
▶C FOFHalRenderInterface
C FOFHalRenderJson
C FOFInflector
C FOFLess
▶C FOFLessFormatterClassic
C FOFLessFormatterCompressed
C FOFLessFormatterJoomla
C FOFLessFormatterLessjs
C FOFLessParser
▶C FOFModelField
▶C FOFModelFieldNumber
C FOFModelFieldBoolean
▶C FOFModelFieldText
C FOFModelFieldDate
▶C FOFPlatformFilesystemInterface
C FOFIntegrationJoomlaFilesystem
▶C FOFPlatformFilesystem
C FOFIntegrationJoomlaFilesystem
▶C FOFPlatformInterface
C FOFIntegrationJoomlaPlatform
▶C FOFPlatform
C FOFIntegrationJoomlaPlatform
C FOFQueryAbstract
▶C FOFRenderAbstract
C FOFRenderJoomla
▶C FOFRenderStrapper
C FOFRenderJoomla3
C FOFStringUtils
C FOFTableRelations
C FOFTemplateUtils
▶C FOFToolbar
C PostinstallToolbar
C FOFUtilsArray
C FOFUtilsCacheCleaner
C FOFUtilsConfigHelper
C FOFUtilsFilescheck
C FOFUtilsIniParser
C FOFUtilsInstallscript
C FOFUtilsIp
▶C FOFUtilsObject
▶C FOFController
C PostinstallControllerMessage
C FOFDispatcher
▶C FOFModel
C FOFUtilsUpdate
C PostinstallModelMessages
▶C FOFTable
C FOFTableNested
▶C FOFUtilsObservableDispatcher
C FOFModelDispatcherBehavior
C FOFTableDispatcherBehavior
▶C FOFUtilsObservableEvent
▶C FOFModelBehavior
C FOFModelBehaviorAccess
C FOFModelBehaviorEmptynonzero
C FOFModelBehaviorEnabled
C FOFModelBehaviorFilters
C FOFModelBehaviorLanguage
C FOFModelBehaviorPrivate
▶C FOFTableBehavior
C FOFTableBehaviorAssets
C FOFTableBehaviorContenthistory
C FOFTableBehaviorTags
▶C FOFView
▶C FOFViewRaw
▶C FOFViewHtml
C FOFViewCsv
C FOFViewForm
C FOFViewJson
C PostinstallViewMessages
C FOFUtilsPhpfunc
C FOFUtilsTimer
C FOFUtilsUpdateCollection
▶C FOFUtilsUpdateExtension
C FOFUtilsUpdateJoomla
C Folder
C Folder
C FolderWrapper
C Form
▶C FormatInterface
▶C AbstractRegistryFormat
C Ini
C Json
C Php
C Xml
C Yaml
▶C FormField
C CaptchaField
C ContenthistoryField
C MediaField
C ModuleorderField
C OrderingField
C UserField
C FormHelper
▶C FormRule
C BooleanRule
C CalendarRule
C CaptchaRule
C ColorRule
C CssIdentifierSubstringRule
C EmailRule
C EqualsRule
C ExistsRule
C FilePathRule
C ModuleLayoutRule
C NotequalsRule
C NumberRule
C OptionsRule
C PasswordRule
C RulesRule
C SubformRule
C TelRule
C UrlRule
C UsernameRule
C FormWrapper
C Fr_FRLocalise
C FtpClient
C FtpClient
C Help
C Helper
C Helper
C HTMLHelper
C Http
C HttpFactory
▶C idna_convert
C Net_IDNA_php4
C Inflector
C Inline
▶C InputFilter
C InputFilter
C InstallationHelperDatabase
C InstallationHtmlHelper
C InstallationResponseJson
C InstalledVersions
C InstallerHelper
C InstallerHelper
C InstallerHtmlManage
C InstallerHtmlUpdatesites
C InstallerScript
C IpHelper
▶C Iterator
▶C FOFDatabaseIterator
C FOFDatabaseIteratorMysql
C FOFDatabaseIteratorMysqli
▶C FOFDatabaseIteratorPdo
C FOFDatabaseIteratorOracle
C FOFDatabaseIteratorPdomysql
C FOFDatabaseIteratorSqlite
C FOFDatabaseIteratorPostgresql
▶C FOFDatabaseIteratorSqlsrv
C FOFDatabaseIteratorAzure
▶C JDatabaseIterator
C JDatabaseIteratorMysql
C JDatabaseIteratorMysqli
▶C JDatabaseIteratorPdo
C JDatabaseIteratorOracle
C JDatabaseIteratorPdomysql
C JDatabaseIteratorPgsql
C JDatabaseIteratorSqlite
C JDatabaseIteratorPostgresql
▶C JDatabaseIteratorSqlsrv
C JDatabaseIteratorSqlazure
C DataSet
C SplFixedArray
▶C JAdapter
C Installer
C Updater
▶C JAdapterInstance
▶C InstallerAdapter
C ComponentAdapter
C FileAdapter
C LanguageAdapter
C LibraryAdapter
C ModuleAdapter
C PackageAdapter
C PluginAdapter
C TemplateAdapter
▶C UpdateAdapter
C CollectionAdapter
C ExtensionAdapter
C JAdminCssMenu
C JAdministratorHelper
▶C JApplicationCli
C DeletefilesCli
C FinderCli
C GarbageCron
C KeychainManager
C SessionGc
C SessionMetadataGc
C Updatecron
▶C JApplicationCms
C InstallationApplicationWeb
▶C JApplicationWebRouter
▶C JApplicationWebRouterBase
C JApplicationWebRouterRest
C JArchive
▶C JArchiveExtractable
C JArchiveBzip2
C JArchiveGzip
C JArchiveTar
C JArchiveZip
C JArchiveWrapperArchive
C JArrayHelper
▶C JCategories
C BannersCategories
C ContactCategories
C ContentCategories
C NewsfeedsCategories
C JClassLoader
▶C JComponentRouterBase
C BannersRouter
C FinderRouter
C SearchRouter
C TagsRouter
C WrapperRouter
▶C JComponentRouterRulesInterface
C ContactRouterRulesLegacy
C ContentRouterRulesLegacy
C NewsfeedsRouterRulesLegacy
C UsersRouterRulesLegacy
▶C JComponentRouterView
C ContactRouter
C ContentRouter
C NewsfeedsRouter
C PrivacyRouter
C UsersRouter
▶C JControllerAdmin
C ActionlogsControllerActionlogs
C AssociationsControllerAssociations
C BannersControllerBanners
C BannersControllerClients
C CategoriesControllerCategories
C ContactControllerContacts
▶C ContentControllerArticles
C ContentControllerFeatured
C ContenthistoryControllerHistory
C FieldsControllerFields
C FieldsControllerGroups
C FinderControllerFilters
C FinderControllerIndex
C FinderControllerMaps
C LanguagesControllerLanguages
C LanguagesControllerOverrides
C LanguagesControllerStrings
C MenusControllerItems
C MessagesControllerMessages
C ModulesControllerModules
C NewsfeedsControllerNewsfeeds
C PluginsControllerPlugins
C PrivacyControllerRequests
C RedirectControllerLinks
C TagsControllerTags
C TemplatesControllerStyles
C UsersControllerGroups
C UsersControllerLevels
C UsersControllerNotes
C UsersControllerUsers
▶C JControllerForm
C AdminControllerProfile
C AssociationsControllerAssociation
C BannersControllerBanner
C BannersControllerClient
C CategoriesControllerCategory
C ContactControllerContact
C ContactControllerContact
C ContentControllerArticle
C ContentControllerArticle
C FieldsControllerField
C FieldsControllerGroup
C FinderControllerFilter
C LanguagesControllerLanguage
C LanguagesControllerOverride
C MenusControllerItem
C MenusControllerMenu
C MessagesControllerMessage
C ModulesControllerModule
C NewsfeedsControllerNewsfeed
C PluginsControllerPlugin
C PrivacyControllerConsents
C PrivacyControllerRequest
C RedirectControllerLink
C TagsControllerTag
C TemplatesControllerStyle
C UsersControllerGroup
C UsersControllerLevel
C UsersControllerNote
C UsersControllerUser
▶C JControllerLegacy
C ActionlogsController
C AdminController
C AssociationsController
C BannersController
C BannersController
C BannersControllerTracks
C BannersControllerTracks
C CacheController
C CategoriesController
C CategoriesControllerAjax
C CheckinController
C ConfigController
C ConfigControllerApplication
C ConfigControllerComponent
C ContactController
C ContactController
C ContactControllerAjax
C ContentController
C ContentController
C ContentControllerAjax
C ContenthistoryController
C ContenthistoryControllerPreview
C CpanelController
C FieldsController
C FieldsController
C FinderController
C FinderController
C FinderControllerIndexer
C FinderControllerSuggestions
C InstallerController
C InstallerControllerDatabase
C InstallerControllerDiscover
C InstallerControllerInstall
C InstallerControllerManage
C InstallerControllerUpdate
C InstallerControllerUpdatesites
C JoomlaupdateController
C JoomlaupdateControllerUpdate
C LanguagesController
C LanguagesControllerInstalled
C LoginController
C MailtoController
C MediaController
C MediaControllerFile
C MediaControllerFile
C MediaControllerFolder
C MenusController
C MenusController
C MenusControllerAjax
C MenusControllerMenus
C MessagesController
C MessagesControllerConfig
C ModulesController
C ModulesController
C NewsfeedsController
C NewsfeedsController
C NewsfeedsControllerAjax
C PluginsController
C PrivacyController
C PrivacyController
C PrivacyControllerRequest
C PrivacyControllerRequest
C RedirectController
C SearchController
C SearchController
C SearchControllerSearches
C TagsController
C TagsController
C TagsControllerTags
C TemplatesController
C TemplatesControllerTemplate
▶C UsersController
C UsersControllerProfile
C UsersControllerRegistration
C UsersControllerRemind
C UsersControllerReset
C UsersControllerUser
C UsersController
C UsersControllerMail
C WrapperController
▶C JDatabase
▶C JDatabaseDriver
▶C JDatabaseDriverMysqli
▶C JDatabaseDriverMysql
C JDatabaseMysql
C JDatabaseMysqli
▶C JDatabaseDriverPdo
C JDatabaseDriverOracle
C JDatabaseDriverPdomysql
C JDatabaseDriverPgsql
C JDatabaseDriverSqlite
C JDatabaseDriverPostgresql
▶C JDatabaseDriverSqlsrv
▶C JDatabaseDriverSqlazure
C JDatabaseSqlazure
C JDatabaseSqlsrv
▶C JDatabaseExporter
▶C JDatabaseExporterMysqli
C JDatabaseExporterMysql
C JDatabaseExporterPdomysql
▶C JDatabaseExporterPostgresql
C JDatabaseExporterPgsql
C JDatabaseFactory
▶C JDatabaseImporter
▶C JDatabaseImporterMysqli
C JDatabaseImporterMysql
C JDatabaseImporterPdomysql
▶C JDatabaseImporterPostgresql
C JDatabaseImporterPgsql
▶C JDatabaseInterface
▶C FOFDatabaseInterface
C FOFDatabaseDriver
C FOFDatabaseDriverJoomla
C JDatabaseDriver
▶C JDatabaseQuery
▶C JDatabaseQueryMysqli
C JDatabaseQueryMysql
C JDatabaseQueryPdomysql
▶C JDatabaseQueryPdo
C JDatabaseQueryOracle
C JDatabaseQuerySqlite
▶C JDatabaseQueryPostgresql
C JDatabaseQueryPgsql
▶C JDatabaseQuerySqlsrv
C JDatabaseQuerySqlazure
C JDatabaseQueryElement
▶C JDatabaseQueryLimitable
▶C FOFDatabaseQueryLimitable
C FOFDatabaseQueryMysqli
C FOFDatabaseQueryOracle
C FOFDatabaseQueryPostgresql
C FOFDatabaseQuerySqlite
C FOFDatabaseQuerySqlsrv
C JDatabaseQueryMysqli
C JDatabaseQueryOracle
C JDatabaseQueryPostgresql
C JDatabaseQuerySqlite
C JDatabaseQuerySqlsrv
▶C JDatabaseQueryPreparable
▶C FOFDatabaseQueryPreparable
C FOFDatabaseQueryOracle
C FOFDatabaseQuerySqlite
C JDatabaseQueryOracle
C JDatabaseQueryPgsql
C JDatabaseQuerySqlite
C JError
C JFacebook
▶C JFacebookObject
C JFacebookAlbum
C JFacebookCheckin
C JFacebookComment
C JFacebookEvent
C JFacebookGroup
C JFacebookLink
C JFacebookNote
C JFacebookPhoto
C JFacebookPost
C JFacebookStatus
C JFacebookUser
C JFacebookVideo
▶C JForm
C FOFForm
▶C JFormField
C FOFFormFieldOrdering
C FOFFormFieldSelectrow
C InstallationFormFieldPrefix
▶C JFormFieldCalendar
C FOFFormFieldCalendar
C JFormFieldDob
▶C JFormFieldCheckbox
C FOFFormFieldCheckbox
C JFormFieldClicks
C JFormFieldColor
C JFormFieldComponentlayout
C JFormFieldFieldlayout
C JFormFieldFile
C JFormFieldFilters
▶C JFormFieldGroupedList
C FOFFormFieldGroupedlist
C JFormFieldContentMap
C JFormFieldItemType
C JFormFieldMenuitemByType
▶C JFormFieldTimezone
C FOFFormFieldTimezone
C ChromestyleField
C MenuField
C MenuitemField
C TemplatestyleField
▶C JFormFieldHidden
C FOFFormFieldHidden
C JFormFieldImpMade
C JFormFieldImpTotal
▶C JFormFieldList
C FOFFormFieldActions
C FOFFormFieldComponents
C FOFFormFieldList
C FOFFormFieldPublished
C InstallationFormFieldLanguage
▶C JFormFieldAccessLevel
C FOFFormFieldAccesslevel
C JFormFieldAliastag
C JFormFieldBannerClient
C JFormFieldBranches
▶C JFormFieldCacheHandler
C FOFFormFieldCachehandler
C JFormFieldCategory
C JFormFieldCategoryEdit
C JFormFieldCategoryParent
▶C JFormFieldCheckboxes
C FOFFormFieldCheckboxes
C JFormFieldConsentBox
C JFormFieldLogType
C JFormFieldCombo
C JFormFieldComponents
C JFormFieldComponentsCategory
C JFormFieldConfigComponents
C JFormFieldContentTypes
C JFormFieldDatabaseConnection
C JFormFieldDirectories
C JFormFieldExtension
C JFormFieldExtensionStatus
C JFormFieldFieldcontexts
C JFormFieldFieldgroups
▶C JFormFieldFileList
▶C JFormFieldImageList
C FOFFormFieldImagelist
C JFormFieldFolder
▶C JFormFieldFolderList
C JFormFieldUploaddirs
C JFormFieldFonts
C JFormFieldGroupParent
▶C JFormFieldInteger
C FOFFormFieldInteger
C JFormFieldItemLanguage
▶C JFormFieldLanguage
C FOFFormFieldLanguage
C JFormFieldLanguageclient
C JFormFieldLevels
C JFormFieldLocation
C JFormFieldLogCreator
C JFormFieldMenuOrdering
C JFormFieldMenuParent
C JFormFieldMenuPreset
C JFormFieldMenutype
C JFormFieldMessageStates
C JFormFieldModulesModule
C JFormFieldModulesPosition
C JFormFieldNewsfeeds
C JFormFieldPluginElement
▶C JFormFieldPlugins
C FOFFormFieldPlugins
C JFormFieldPluginType
▶C JFormFieldPredefinedList
C JFormFieldLogsDateRange
C LastvisitdaterangeField
C PluginstatusField
C RedirectStatusField
C RegistrationdaterangeField
C StatusField
C UseractiveField
C UserstateField
C PrivacyFormFieldRequeststatus
C PrivacyFormFieldRequesttype
▶C JFormFieldRadio
C FOFFormFieldRadio
C InstallationFormFieldSample
C JFormFieldprivacy
C JFormFieldterms
C JFormFieldTos
C JFormFieldVoteradio
C JFormFieldRedirect
C JFormFieldSearchFilter
C JFormFieldSection
▶C JFormFieldSessionHandler
C FOFFormFieldSessionhandler
C JFormFieldSkins
C JFormFieldSQL
C JFormFieldTemplateLocation
C JFormFieldTemplateName
C JFormFieldType
C JFormFieldType
C AuthorField
C ContentlanguageField
C ContenttypeField
C FrontendlanguageField
C HeadertagField
C HelpsiteField
C LimitboxField
C ModuletagField
C TagField
C UsergrouplistField
C JFormFieldModal_Article
C JFormFieldModal_Category
C JFormFieldModal_Contact
C JFormFieldModal_Menu
C JFormFieldModal_Newsfeed
C JFormFieldModalAssociation
C JFormFieldModulelayout
C JFormFieldNote
▶C JFormFieldNumber
C JFormFieldMeter
C JFormFieldRange
▶C JFormFieldPassword
C FOFFormFieldPassword
C JFormFieldPluginInfo
C JFormFieldRepeatable
▶C JFormFieldRules
C FOFFormFieldRules
▶C JFormFieldSpacer
C FOFFormFieldSpacer
C JFormFieldSubform
▶C JFormFieldText
C FOFFormFieldGroupedbutton
C FOFFormFieldText
▶C JFormFieldEMail
C FOFFormFieldEmail
▶C JFormFieldTel
C FOFFormFieldTel
▶C JFormFieldUrl
C FOFFormFieldUrl
C ModulepositionField
▶C JFormFieldTextarea
C FOFFormFieldTextarea
C EditorField
C JFormFieldTinymceBuilder
▶C JFormFieldUsergroup
C FOFFormFieldUsergroup
▶C PlgSystemStatsFormFieldBase
C PlgSystemStatsFormFieldData
C PlgSystemStatsFormFieldUniqueid
▶C JFormFieldCaptcha
C FOFFormFieldCaptcha
▶C JFormFieldEditor
C FOFFormFieldEditor
▶C JFormFieldMedia
C FOFFormFieldMedia
▶C JFormFieldOrdering
C JFormFieldPluginordering
▶C JFormFieldSql
C FOFFormFieldSql
▶C JFormFieldTag
C FOFFormFieldTag
▶C JFormFieldUser
C FOFFormFieldUser
C JFormFieldUserMessages
▶C JFormHelper
C FOFFormHelper
▶C JFormRule
C InstallationFormRulePrefix
C InstallationFormRuleUsername
C JFormRuleContactEmailMessage
C JFormRuleContactEmailSubject
C JFormRuleLoginUniqueField
C JFormRuleLogoutUniqueField
▶C JFormRuleEmail
C JFormRuleContactEmail
C JGithub
▶C JGithubObject
C JGithubAccount
C JGithubCommits
C JGithubForks
C JGithubHooks
C JGithubMeta
C JGithubMilestones
▶C JGithubPackage
C JGithubPackageActivity
C JGithubPackageActivityEvents
C JGithubPackageActivityNotifications
C JGithubPackageActivityStarring
C JGithubPackageActivityWatching
C JGithubPackageAuthorization
C JGithubPackageData
C JGithubPackageDataBlobs
C JGithubPackageDataCommits
C JGithubPackageDataRefs
C JGithubPackageDataTags
C JGithubPackageDataTrees
C JGithubPackageGists
C JGithubPackageGistsComments
C JGithubPackageGitignore
C JGithubPackageIssues
C JGithubPackageIssuesAssignees
C JGithubPackageIssuesComments
C JGithubPackageIssuesEvents
C JGithubPackageIssuesLabels
C JGithubPackageIssuesMilestones
C JGithubPackageMarkdown
C JGithubPackageOrgs
C JGithubPackageOrgsMembers
C JGithubPackageOrgsTeams
C JGithubPackagePulls
C JGithubPackagePullsComments
C JGithubPackageRepositories
C JGithubPackageRepositoriesCollaborators
C JGithubPackageRepositoriesComments
C JGithubPackageRepositoriesCommits
C JGithubPackageRepositoriesContents
C JGithubPackageRepositoriesDownloads
C JGithubPackageRepositoriesForks
C JGithubPackageRepositoriesHooks
C JGithubPackageRepositoriesKeys
C JGithubPackageRepositoriesMerging
C JGithubPackageRepositoriesStatistics
C JGithubPackageRepositoriesStatuses
C JGithubPackageSearch
C JGithubPackageUsers
C JGithubPackageUsersEmails
C JGithubPackageUsersFollowers
C JGithubPackageUsersKeys
C JGithubRefs
C JGithubStatuses
C JGoogle
▶C JGoogleAuth
C JGoogleAuthOauth2
▶C JGoogleData
C JGoogleDataAdsense
C JGoogleDataCalendar
C JGoogleDataPicasa
C JGoogleDataPicasaAlbum
C JGoogleDataPicasaPhoto
C JGoogleDataPlus
C JGoogleDataPlusActivities
C JGoogleDataPlusComments
C JGoogleDataPlusPeople
▶C JGoogleEmbed
C JGoogleEmbedAnalytics
C JGoogleEmbedMaps
C JGrid
▶C JHelperContent
C AssociationsHelper
C BannersHelper
C ConfigHelperConfig
C ContactHelper
C ContentHelper
C NewsfeedsHelper
C PrivacyHelper
C TagsHelper
▶C JHelperRoute
C TagsHelperRoute
C JHtmlAccess
C JHtmlActionsDropdown
C JHtmlAdminLanguage
C JHtmlBanner
C JHtmlBatch
C JHtmlBehavior
C JHtmlBootstrap
C JHtmlCategoriesAdministrator
C JHtmlCategory
C JHtmlContact
C JHtmlContent
C JHtmlContentAdministrator
C JHtmlContentLanguage
C JHtmlDate
C JHtmlDebug
C JHtmlDirectory
C JHtmlDropdown
C JHtmlEmail
C JHtmlFilter
C JHtmlFinder
C JHtmlForm
C JHtmlFormbehavior
C JHtmlGrid
C JHtmlIcon
C JHtmlIcons
C JHtmlJGrid
C JHtmlJquery
C JHtmlLanguages
C JHtmlLinks
C JHtmlList
C JHtmlMenu
C JHtmlMessages
C JHtmlModules
C JHtmlNewsfeed
C JHtmlNumber
C JHtmlPhpSetting
C JHtmlQuery
C JHtmlRedirect
C JHtmlRules
C JHtmlSearchtools
C JHtmlSelect
C JHtmlSidebar
C JHtmlSliders
C JHtmlSortablelist
C JHtmlString
C JHtmlSystem
C JHtmlTabs
C JHtmlTag
C JHtmlTel
C JHtmlTemplates
C JHtmlTextdiff
C JHtmlUser
C JHtmlUsers
▶C JHttp
C JGithubHttp
C JMediawikiHttp
C JJsonResponse
▶C JLayoutFile
C FOFLayoutFile
▶C JLayoutHelper
C FOFLayoutHelper
C JLinkedin
▶C JLinkedinObject
C JLinkedinCommunications
C JLinkedinCompanies
C JLinkedinGroups
C JLinkedinJobs
C JLinkedinPeople
C JLinkedinStream
C JLoader
C JMediawiki
▶C JMediawikiObject
C JMediawikiCategories
C JMediawikiImages
C JMediawikiLinks
C JMediawikiPages
C JMediawikiSearch
C JMediawikiSites
C JMediawikiUsers
▶C JModel
▶C JModelBase
C InstallationModelConfiguration
C InstallationModelDatabase
C InstallationModelFtp
C InstallationModelLanguages
C InstallationModelSetup
▶C JModelDatabase
▶C ConfigModelCms
▶C ConfigModelForm
C ConfigModelApplication
C ConfigModelComponent
C ConfigModelConfig
C ConfigModelModules
C ConfigModelTemplates
▶C JModelAdmin
C BannersModelBanner
C BannersModelClient
C CategoriesModelCategory
C ContactModelContact
▶C ContentModelArticle
C ContentModelFeature
C ContentModelForm
C FieldsModelField
C FieldsModelGroup
C FinderModelFilter
C LanguagesModelLanguage
C LanguagesModelOverride
C MenusModelItem
C MessagesModelMessage
C ModulesModelModule
C NewsfeedsModelNewsfeed
C PluginsModelPlugin
C PrivacyModelConfirm
C PrivacyModelRemind
C PrivacyModelRequest
C PrivacyModelRequest
C RedirectModelLink
C TagsModelTag
C TemplatesModelStyle
C UsersModelGroup
C UsersModelMail
C UsersModelNote
▶C UsersModelUser
C AdminModelProfile
▶C JModelForm
C BannersModelDownload
C ContactModelContact
C MailtoModelMailto
C MenusModelMenu
C MessagesModelConfig
C TemplatesModelTemplate
C UsersModelLogin
C UsersModelProfile
C UsersModelRegistration
C UsersModelRemind
C UsersModelReset
▶C JModelItem
C ContenthistoryModelCompare
C ContenthistoryModelPreview
C ContentModelArticle
C NewsfeedsModelNewsfeed
▶C JModelLegacy
C ActionlogsModelActionlog
C AdminModelHelp
C AdminModelSysInfo
C BannersModelBanner
C FinderModelIndexer
C FinderModelStatistics
C InstallerModelInstall
C JoomlaupdateModelDefault
C LanguagesModelStrings
C LoginModelLogin
C MediaModelList
C MediaModelManager
C MenusModelMenutypes
C PrivacyModelCapabilities
C PrivacyModelDashboard
C PrivacyModelExport
C PrivacyModelRemove
C SearchModelSearch
▶C JModelList
C ActionlogsModelActionlogs
C AssociationsModelAssociation
C AssociationsModelAssociations
C BannersModelBanners
C BannersModelBanners
C BannersModelClients
C BannersModelTracks
C CacheModelCache
C CategoriesModelCategories
C CheckinModelCheckin
C ContactModelCategories
C ContactModelCategory
C ContactModelContacts
C ContactModelFeatured
C ContenthistoryModelHistory
▶C ContentModelArticles
C ContentModelArchive
C ContentModelFeatured
C ContentModelFeatured
C ContentModelArticles
C ContentModelCategories
C ContentModelCategory
C FieldsModelFields
C FieldsModelGroups
C FinderModelFilters
C FinderModelIndex
C FinderModelMaps
C FinderModelSearch
C FinderModelSuggestions
▶C InstallerModel
C InstallerModelDatabase
C InstallerModelDiscover
C InstallerModelManage
C InstallerModelUpdatesites
C InstallerModelLanguages
C InstallerModelUpdate
C InstallerModelWarnings
C LanguagesModelInstalled
C LanguagesModelLanguages
C LanguagesModelOverrides
C MenusModelItems
C MenusModelMenus
C MessagesModelMessages
C ModulesModelModules
C ModulesModelPositions
C ModulesModelSelect
C NewsfeedsModelCategories
C NewsfeedsModelCategory
C NewsfeedsModelNewsfeeds
C PluginsModelPlugins
C PrivacyModelConsents
C PrivacyModelRequests
C RedirectModelLinks
C SearchModelSearches
C TagsModelTag
C TagsModelTags
C TagsModelTags
C TemplatesModelStyles
C TemplatesModelTemplates
C UsersModelDebuggroup
C UsersModelDebugUser
C UsersModelGroups
C UsersModelLevels
C UsersModelNotes
C UsersModelUsers
▶C JOAuth1Client
C JLinkedinOauth
C JOpenstreetmapOauth
C JTwitterOAuth
▶C JOAuth2Client
C JFacebookOAuth
▶C JObject
▶C JEvent
▶C CMSPlugin
C PlgContentConfirmConsent
C PlgQuickiconEos310
C PlgSystemSessionGc
C PlgUserTerms
▶C JEventDispatcher
C JDispatcher
C JNode
C JObservable
C JObserver
C Authentication
C Captcha
C CategoryNode
C ComponentRecord
C Editor
C InstallerExtension
▶C BaseController
C AdminController
C FormController
▶C BaseDatabaseModel
▶C FormModel
▶C AdminModel
C UsersModelLevel
C ItemModel
C ListModel
▶C HtmlView
C CategoriesView
C CategoryFeedView
C CategoryView
▶C Table
C Content
C ContentHistory
C ContentType
C CoreContent
C Extension
C Language
C MenuType
C Module
▶C Nested
C Asset
C Category
C Menu
C Ucm
C Update
C UpdateSite
C User
C Usergroup
C ViewLevel
C Update
C User
C JSite
C JTree
▶C JObservableInterface
C Table
▶C JObserverInterface
▶C AbstractObserver
C ContentHistory
C Tags
C JObserverMapper
▶C JObserverUpdaterInterface
C JObserverUpdater
C JObserverWrapperMapper
C JoomlaInstallerScript
C JoomlaupdateHelper
C JoomlaupdateHelperSelect
C JOpenstreetmap
▶C JOpenstreetmapObject
C JOpenstreetmapChangesets
C JOpenstreetmapElements
C JOpenstreetmapGps
C JOpenstreetmapInfo
C JOpenstreetmapUser
C JPlatform
▶C JPlugin
▶C ActionLogPlugin
C PlgActionlogJoomla
▶C FieldsPlugin
▶C FieldsListPlugin
C PlgFieldsCheckboxes
C PlgFieldsList
C PlgFieldsRadio
C PlgFieldsSql
C PlgFieldsCalendar
C PlgFieldsColor
C PlgFieldsEditor
C PlgFieldsImagelist
C PlgFieldsInteger
C PlgFieldsMedia
C PlgFieldsRepeatable
C PlgFieldsText
C PlgFieldsTextarea
C PlgFieldsUrl
C PlgFieldsUser
C PlgFieldsUsergrouplist
▶C FinderIndexerAdapter
C PlgFinderCategories
C PlgFinderContacts
C PlgFinderContent
C PlgFinderNewsfeeds
C PlgFinderTags
C PlgAuthenticationCookie
C PlgAuthenticationGMail
C PlgAuthenticationJoomla
C PlgAuthenticationLdap
C PlgButtonArticle
C PlgButtonContact
C PlgButtonFields
C PlgButtonImage
C PlgButtonMenu
C PlgButtonModule
C PlgButtonPagebreak
C PlgButtonReadmore
C PlgCaptchaRecaptcha
C PlgCaptchaRecaptcha_Invisible
C PlgContentContact
C PlgContentEmailcloak
C PlgContentFields
C PlgContentFinder
C PlgContentJoomla
C PlgContentLoadmodule
C PlgContentPagebreak
C PlgContentPagenavigation
C PlgContentVote
C PlgEditorCodemirror
C PlgEditorNone
C PlgEditorTinymce
C PlgExtensionJoomla
C PlgInstallerFolderInstaller
C PlgInstallerPackageInstaller
C PlgInstallerUrlInstaller
C PlgQuickiconExtensionupdate
C PlgQuickiconJoomlaupdate
C PlgQuickiconPhpVersionCheck
C PlgQuickiconPrivacyCheck
C PlgSampledataBlog
C PlgSearchCategories
C PlgSearchContacts
C PlgSearchContent
C PlgSearchNewsfeeds
C PlgSearchTags
C PlgSystemActionLogs
C PlgSystemCache
C PlgSystemDebug
C PlgSystemFields
C PlgSystemHighlight
C PlgSystemLanguagecode
C PlgSystemLanguageFilter
C PlgSystemLog
C PlgSystemLogout
C PlgSystemLogrotation
C PlgSystemP3p
C PlgSystemPrivacyconsent
C PlgSystemRedirect
C PlgSystemRemember
C PlgSystemSef
C PlgSystemStats
C PlgSystemUpdatenotification
C PlgTwofactorauthTotp
C PlgTwofactorauthYubikey
C PlgUserContactCreator
C PlgUserJoomla
C PlgUserProfile
▶C PrivacyPlugin
C PlgPrivacyActionlogs
C PlgPrivacyConsents
C PlgPrivacyContact
C PlgPrivacyContent
C PlgPrivacyMessage
C PlgPrivacyUser
C JRequest
C JResponse
▶C JRouter
C JRouterInstallation
C JRouteWrapperRoute
▶C JSessionHandlerInterface
▶C JSessionHandlerNative
C JSessionHandlerJoomla
▶C JSessionStorage
C JSessionStorageApc
C JSessionStorageApcu
C JSessionStorageDatabase
C JSessionStorageMemcache
C JSessionStorageMemcached
C JSessionStorageNone
C JSessionStorageRedis
C JSessionStorageWincache
C JSessionStorageXcache
C JSimplecrypt
C JSimplepieFactory
C JsonResponse
▶C JsonSerializable
C DataObject
▶C Registry
C JKeychain
C JStringWrapperNormalise
C JStringWrapperPunycode
C JSubMenuHelper
▶C JTable
C BannersTableBanner
C BannersTableClient
C ContactTableContact
C ContentTableFeatured
C FieldsTableField
C FieldsTableGroup
C FinderTableFilter
C FinderTableLink
C FinderTableMap
C JTableSession
C MessagesTableMessage
C NewsfeedsTableNewsfeed
C PrivacyTableConsent
C PrivacyTableRequest
C RedirectTableLink
C TemplatesTableStyle
C UsersTableNote
▶C JTableCategory
C CategoriesTableCategory
▶C JTableInterface
C FOFTable
C Table
▶C JTableMenu
C MenusTableMenu
▶C JTableNested
C TagsTableTag
C JTextWrapper
C JTwitter
▶C JTwitterObject
C JTwitterBlock
C JTwitterDirectmessages
C JTwitterFavorites
C JTwitterFriends
C JTwitterHelp
C JTwitterLists
C JTwitterPlaces
C JTwitterProfile
C JTwittersearch
C JTwitterStatuses
C JTwitterTrends
C JTwitterUsers
▶C JView
▶C JViewBase
▶C JViewHtml
▶C ConfigViewCmsHtml
C ConfigViewApplicationHtml
▶C ConfigViewCmsJson
C ConfigViewApplicationJson
C ConfigViewComponentHtml
C ConfigViewConfigHtml
C ConfigViewModulesHtml
C ConfigViewTemplatesHtml
C InstallationViewCompleteHtml
▶C InstallationViewDefault
C InstallationViewPreinstallHtml
C InstallationViewSummaryHtml
C InstallationViewDefaultlanguageHtml
C InstallationViewInstallHtml
C InstallationViewLanguagesHtml
C InstallationViewRemoveHtml
▶C JViewCategories
C ContactViewCategories
C ContentViewCategories
C NewsfeedsViewCategories
▶C JViewCategory
C ContactViewCategory
C ContentViewCategory
C NewsfeedsViewCategory
▶C JViewCategoryfeed
C ContactViewCategory
C ContentViewCategory
▶C JViewLegacy
C ActionlogsViewActionlogs
C AdminViewHelp
C AdminViewProfile
C AdminViewSysinfo
C AdminViewSysinfo
C AdminViewSysinfo
C AssociationsViewAssociation
C AssociationsViewAssociations
C BannersViewBanner
C BannersViewBanners
C BannersViewClient
C BannersViewClients
C BannersViewDownload
C BannersViewTracks
C BannersViewTracks
C CacheViewCache
C CacheViewPurge
C CategoriesViewCategories
C CategoriesViewCategory
C CheckinViewCheckin
C ContactViewContact
C ContactViewContact
C ContactViewContact
C ContactViewContacts
C ContactViewFeatured
C ContenthistoryViewCompare
C ContenthistoryViewHistory
C ContenthistoryViewPreview
C ContentViewArchive
C ContentViewArticle
C ContentViewArticle
C ContentViewArticles
C ContentViewFeatured
C ContentViewFeatured
C ContentViewFeatured
C ContentViewForm
C CpanelViewCpanel
C FieldsViewField
C FieldsViewFields
C FieldsViewGroup
C FieldsViewGroups
C FinderViewFilter
C FinderViewFilters
C FinderViewIndex
C FinderViewIndexer
C FinderViewMaps
C FinderViewSearch
C FinderViewSearch
C FinderViewSearch
C FinderViewStatistics
▶C InstallerViewDefault
C InstallerViewDatabase
C InstallerViewDiscover
C InstallerViewInstall
C InstallerViewLanguages
C InstallerViewManage
C InstallerViewUpdate
C InstallerViewUpdatesites
C InstallerViewWarnings
C JoomlaupdateViewDefault
C JoomlaupdateViewUpdate
C JoomlaupdateViewUpload
C LanguagesViewInstalled
C LanguagesViewLanguage
C LanguagesViewLanguages
C LanguagesViewMultilangstatus
C LanguagesViewOverride
C LanguagesViewOverrides
C LoginViewLogin
C MailtoViewMailto
C MailtoViewSent
C MediaViewImages
C MediaViewImagesList
C MediaViewMedia
C MediaViewMediaList
C MenusViewItem
C MenusViewItems
C MenusViewMenu
C MenusViewMenu
C MenusViewMenus
C MenusViewMenutypes
C MessagesViewConfig
C MessagesViewMessage
C MessagesViewMessages
C ModulesViewModule
C ModulesViewModule
C ModulesViewModules
C ModulesViewPositions
C ModulesViewPreview
C ModulesViewSelect
C NewsfeedsViewNewsfeed
C NewsfeedsViewNewsfeed
C NewsfeedsViewNewsfeeds
C PluginsViewPlugin
C PluginsViewPlugins
C PrivacyViewCapabilities
C PrivacyViewConfirm
C PrivacyViewConsents
C PrivacyViewDashboard
C PrivacyViewExport
C PrivacyViewRemind
C PrivacyViewRequest
C PrivacyViewRequest
C PrivacyViewRequests
C RedirectViewLink
C RedirectViewLinks
C SearchViewSearch
C SearchViewSearch
C SearchViewSearches
C TagsViewTag
C TagsViewTag
C TagsViewTag
C TagsViewTags
C TagsViewTags
C TagsViewTags
C TemplatesViewStyle
C TemplatesViewStyle
C TemplatesViewStyles
C TemplatesViewTemplate
C TemplatesViewTemplates
C UsersViewDebuggroup
C UsersViewDebuguser
C UsersViewGroup
C UsersViewGroups
C UsersViewLevel
C UsersViewLevels
C UsersViewLogin
C UsersViewMail
C UsersViewNote
C UsersViewNotes
C UsersViewProfile
C UsersViewRegistration
C UsersViewRemind
C UsersViewReset
C UsersViewUser
C UsersViewUsers
C WrapperViewWrapper
C Key
C Language
C LanguageHelper
C LanguageHelperWrapper
C LanguagesHelper
▶C LanguageStemmer
C Porteren
C LayoutHelper
▶C LayoutInterface
▶C BaseLayout
C FileLayout
C LdapClient
▶C lessc
C JLess
C lessify
▶C lessc_formatter_classic
C JLessFormatterJoomla
C lessc_formatter_compressed
C lessc_formatter_lessjs
C lessc_parser
C LibraryHelper
C Log
C LogEntry
▶C Logger
C CallbackLogger
C DatabaseLogger
C EchoLogger
▶C FormattedtextLogger
C W3cLogger
C MessagequeueLogger
C SyslogLogger
▶C LoggerAwareInterface
▶C AbstractApplication
▶C AbstractCliApplication
C AbstractDaemonApplication
C AbstractWebApplication
▶C BaseApplication
C JApplication
▶C CliApplication
C DaemonApplication
▶C WebApplication
▶C CMSApplication
C AdministratorApplication
C SiteApplication
C AbstractDaemonApplication
▶C Image
C Image
▶C ImageFilter
C ImageFilter
C Backgroundfill
C Brightness
C Contrast
C Edgedetect
C Emboss
C Grayscale
C Negate
C Sketchy
C Smooth
▶C LoggerInterface
▶C AbstractLogger
C DelegatingPsrLogger
C NullLogger
C LogLevel
C MailHelper
C MailtoHelper
C MailWrapper
C Manager
▶C Manifest
C LibraryManifest
C PackageManifest
C Manifest
C MediaHelper
C MediaHelper
C MenuHelper
C MenusHelper
C MenusHtmlMenus
C MessagesHelper
C MetadataManager
C Microdata
C ModArchiveHelper
C ModArticlesCategoriesHelper
C ModArticlesCategoryHelper
C ModArticlesLatestHelper
C ModArticlesNewsHelper
C ModArticlesPopularHelper
C ModBannersHelper
C ModBreadCrumbsHelper
C ModFeedHelper
C ModFinderHelper
C ModLanguagesHelper
C ModLatestActionsHelper
C ModLatestHelper
C ModLoggedHelper
C ModLoginHelper
C ModMenuHelper
C ModPopularHelper
C ModPrivacyDashboardHelper
C ModQuickIconHelper
C ModRandomImageHelper
C ModRelatedItemsHelper
C ModSampledataHelper
C ModSearchHelper
C ModStatsHelper
C ModSyndicateHelper
C ModTagsPopularHelper
C ModTagssimilarHelper
C ModuleHelper
C ModulesHelper
C ModulesHelperXML
C ModUsersLatestHelper
C ModVersionHelper
C ModWhosonlineHelper
C ModWrapperHelper
C MultilangstatusHelper
C Multilanguage
▶C MVCFactoryInterface
C LegacyFactory
C MVCFactory
▶C NamespaceParserInterface
C ItunesRssParser
C MediaRssParser
C NewsfeedsHelperRoute
▶C Node
C Component
▶C Heading
C Container
C Separator
C Url
C nodecounter
C Normalise
C ntlm_sasl_client_class
C OpensearchImage
C OpensearchUrl
▶C OutOfBoundsException
C ProtectedKeyException
▶C OutputFilter
C OutputFilter
C OutputFilterWrapper
C Pagination
C PaginationObject
▶C ParagonIE_Sodium_Compat
C Compat
C ParagonIE_Sodium_Core32_Curve25519_Ge_Cached
C ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1
C ParagonIE_Sodium_Core32_Curve25519_Ge_P2
C ParagonIE_Sodium_Core32_Curve25519_Ge_P3
C ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp
C ParagonIE_Sodium_Core32_Int32
C ParagonIE_Sodium_Core32_Int64
C ParagonIE_Sodium_Core32_SecretStream_State
C ParagonIE_Sodium_Core_Base64_Common
C ParagonIE_Sodium_Core_Base64_Original
C ParagonIE_Sodium_Core_Base64_UrlSafe
▶C ParagonIE_Sodium_Core_Curve25519_Ge_Cached
C Cached
▶C ParagonIE_Sodium_Core_Curve25519_Ge_P1p1
C P1p1
▶C ParagonIE_Sodium_Core_Curve25519_Ge_P2
C P2
▶C ParagonIE_Sodium_Core_Curve25519_Ge_P3
C P3
▶C ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
C Precomp
C ParagonIE_Sodium_Core_SecretStream_State
▶C ParagonIE_Sodium_Core_Util
C Util
C ParagonIE_Sodium_Core32_BLAKE2b
▶C ParagonIE_Sodium_Core32_Util
▶C ParagonIE_Sodium_Core32_ChaCha20
▶C ParagonIE_Sodium_Core32_HChaCha20
C ParagonIE_Sodium_Core32_XChaCha20
▶C ParagonIE_Sodium_Core32_ChaCha20_Ctx
C ParagonIE_Sodium_Core32_ChaCha20_IetfCtx
▶C ParagonIE_Sodium_Core32_Curve25519_H
▶C ParagonIE_Sodium_Core32_Curve25519
C ParagonIE_Sodium_Core32_Ed25519
C ParagonIE_Sodium_Core32_X25519
C ParagonIE_Sodium_Core32_Poly1305
C ParagonIE_Sodium_Core32_Poly1305_State
▶C ParagonIE_Sodium_Core32_Salsa20
▶C ParagonIE_Sodium_Core32_HSalsa20
C ParagonIE_Sodium_Core32_XSalsa20
C ParagonIE_Sodium_Core32_SipHash
▶C ParagonIE_Sodium_Core_BLAKE2b
C BLAKE2b
▶C ParagonIE_Sodium_Core_ChaCha20
C ChaCha20
▶C ParagonIE_Sodium_Core_HChaCha20
C HChaCha20
▶C ParagonIE_Sodium_Core_XChaCha20
C XChaCha20
▶C ParagonIE_Sodium_Core_ChaCha20_Ctx
C Ctx
▶C ParagonIE_Sodium_Core_ChaCha20_IetfCtx
C IetfCtx
▶C ParagonIE_Sodium_Core_Curve25519_H
C H
▶C ParagonIE_Sodium_Core_Curve25519
C Curve25519
▶C ParagonIE_Sodium_Core_Ed25519
C Ed25519
C ParagonIE_Sodium_Core_Ristretto255
▶C ParagonIE_Sodium_Core_X25519
C X25519
▶C ParagonIE_Sodium_Core_Poly1305
C Poly1305
▶C ParagonIE_Sodium_Core_Poly1305_State
C State
▶C ParagonIE_Sodium_Core_Salsa20
C Salsa20
▶C ParagonIE_Sodium_Core_HSalsa20
C HSalsa20
▶C ParagonIE_Sodium_Core_XSalsa20
C Xsalsa20
▶C ParagonIE_Sodium_Core_SipHash
C SipHash
▶C ParagonIE_Sodium_File
C File
▶C ParagonIE_Sodium_Crypto
C Crypto
C ParagonIE_Sodium_Crypto32
C Parser
C PasswordHash
C Patcher
C Patcher
C Path
C Path
▶C Pathway
C SitePathway
C PathWrapper
C PharInvocation
C PharStreamWrapper
C Php55
C Php55ArrayColumn
C Php56
C Php71
C Php73
▶C PHPMailer
C Mail
C PHPMailerOAuth
C PHPMailerOAuthGoogle
C PluginHelper
C PluginsHelper
C POP3
C Priority
C PrivacyExportDomain
C PrivacyExportField
C PrivacyExportItem
C PrivacyHtmlHelper
C PrivacyRemovalStatus
▶C ProcessorInterface
▶C ColorProcessor
C ColorProcessor
C Profiler
C ProviderAwareAuthenticationPluginInterface
C PunycodeHelper
C Reader
C ReCaptcha
C RedirectHelper
▶C RequestMethod
C HttpBridgePostRequestMethod
C CurlPost
C Post
C SocketPost
C RequestParameters
▶C Resolvable
C PharInvocationResolver
C Response
C Response
C Route
C RouteHelper
▶C Router
C AdministratorRouter
C SiteRouter
▶C RouterInterface
▶C RouterBase
C RouterView
C RouterLegacy
C RouterViewConfiguration
C Rule
C Rules
▶C RulesInterface
C MenuRules
C NomenuRules
C StandardRules
▶C RuntimeException
C JDatabaseException
C JDatabaseExceptionConnecting
C JDatabaseExceptionExecuting
C JDatabaseExceptionUnsupported
C NotAllowed
C CacheConnectingException
C UnsupportedCacheException
C SectionNotFoundException
C UnsupportedStorageException
C DependencyResolutionException
C FilesystemException
C LogException
C RuntimeException
▶C Exception
C DeserializationException
C ReaderException
C SearchHelper
C SearchHelper
C ServiceProviderInterface
▶C SimplePie
C SimplePie_Core
C SimplePie_Author
C SimplePie_Autoloader
C SimplePie_Cache
▶C SimplePie_Cache_Base
▶C SimplePie_Cache_DB
C SimplePie_Cache_MySQL
C SimplePie_Cache_File
C SimplePie_Cache_Memcache
C SimplePie_Caption
C SimplePie_Category
C SimplePie_Content_Type_Sniffer
C SimplePie_Copyright
C SimplePie_Credit
C SimplePie_Decode_HTML_Entities
C SimplePie_Enclosure
C SimplePie_File
C SimplePie_gzdecode
C SimplePie_HTTP_Parser
C SimplePie_IRI
C SimplePie_Item
C SimplePie_Locator
C SimplePie_Misc
C SimplePie_Net_IPv6
C SimplePie_Parse_Date
C SimplePie_Parser
C SimplePie_Rating
C SimplePie_Registry
C SimplePie_Restriction
C SimplePie_Sanitize
C SimplePie_Source
C SimplePie_XML_Declaration_Parser
C SMTP
C Socket
▶C Storage
C Apc
C Apcu
C Database
C Memcache
C Memcached
C None
C Wincache
C Xcache
C Stream
C StreamString
C StringController
C StringController
▶C StringWrapper
C String
C Stub
▶C TableInterface
C TaggableTableInterface
C VersionableTableInterface
C TemplateHelper
C TemplatesHelper
C Text
C Toolbar
▶C ToolbarButton
C ConfirmButton
C CustomButton
C HelpButton
C LinkButton
C PopupButton
C SeparatorButton
C SliderButton
C StandardButton
C ToolbarHelper
C Transliterate
C TransliterateWrapper
▶C TransportInterface
C CurlTransport
C SocketTransport
C StreamTransport
C Tree
▶C UCM
▶C UCMBase
C UCMContent
C UCMType
C uctc
C Unescaper
C Unserialize
C UriHelper
▶C UriInterface
▶C AbstractUri
▶C Uri
C Uri
C UriImmutable
C UserGroupsHelper
C UserHelper
C UsersHelper
C UsersHelperDebug
C UsersHelperRoute
C UserWrapper
C Utility
C Version
C WebClient
C Yaml
▶C ArrayAccess
C Feed
C DataSet
C AbstractEvent
C Registry
C ParagonIE_Sodium_Core32_ChaCha20_Ctx
C ParagonIE_Sodium_Core32_Curve25519_Fe
C ParagonIE_Sodium_Core_ChaCha20_Ctx
▶C ParagonIE_Sodium_Core_Curve25519_Fe
C Fe
C SplFixedArray
▶C Countable
C JDatabaseIterator
▶C JInput
C FOFInput
C JInputCli
C JInputCookie
C JInputFiles
C JInputJSON
C Feed
C DataObject
C DataSet
C AbstractEvent
C ListenersPriorityQueue
▶C Input
▶C Input
C Cli
C Cookie
C Files
C Json
C Cli
C Cookie
C Files
C Json
C Registry
C SplFixedArray
▶C InvalidArgumentException
C UnknownArchiveException
C UnsupportedArchiveException
▶C RouteNotFoundException
C MissingComponentException
C KeyNotFoundException
C InvalidArgumentException
▶C IteratorAggregate
C Session
C DataObject
C ListenersPriorityQueue
C Registry
C Session
▶C Serializable
▶C JController
▶C JControllerBase
C ConfigControllerApplicationRemoveroot
C ConfigControllerApplicationSave
C ConfigControllerApplicationSendtestmail
C ConfigControllerApplicationStore
▶C ConfigControllerCancel
▶C ConfigControllerCanceladmin
C ConfigControllerApplicationCancel
C ConfigControllerComponentCancel
C ConfigControllerModulesCancel
C ConfigControllerCmsbase
C ConfigControllerComponentSave
C ConfigControllerConfigSave
▶C ConfigControllerDisplay
C ConfigControllerApplicationDisplay
C ConfigControllerComponentDisplay
C ConfigControllerConfigDisplay
C ConfigControllerModulesDisplay
C ConfigControllerTemplatesDisplay
C ConfigControllerModulesSave
C ConfigControllerTemplatesSave
C InstallationControllerDatabase
C InstallationControllerDefault
C InstallationControllerDetectftproot
C InstallationControllerFtp
C InstallationControllerInstallConfig
C InstallationControllerInstallDatabase
▶C InstallationControllerInstallDatabase_backup
C InstallationControllerInstallDatabase_remove
C InstallationControllerInstallEmail
C InstallationControllerInstallLanguages
C InstallationControllerInstallSample
C InstallationControllerPreinstall
C InstallationControllerRemovefolder
C InstallationControllerSetdefaultlanguage
C InstallationControllerSetlanguage
C InstallationControllerSite
C InstallationControllerSummary
C InstallationControllerVerifyftpsettings
C JInput
C AbstractEvent
C Input
▶C SimpleXMLElement
C JXMLElement
▶C stdClass
C MenuItem
▶C StringHelper
C String
C JString


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- $ -

  • $__state_set : ConfigModelCms , FOFModel , BaseDatabaseModel
  • $_active : AbstractMenu
  • $_adapterfolder : Adapter
  • $_adapters : Adapter
  • $_allChildrenloaded : CategoryNode
  • $_allow_overlong : idna_convert
  • $_api_encoding : idna_convert
  • $_application : CacheStorage
  • $_areas : SearchModelSearch
  • $_articles : ContactModelCategory , ContactModelFeatured , ContentModelCategory , NewsfeedsModelCategory
  • $_assetKey : FOFTable
  • $_authActions : User
  • $_authGroups : User
  • $_authLevels : User
  • $_autoAscii : FtpClient
  • $_autoChecks : FOFTable
  • $_autoincrement : Table
  • $_bar : Toolbar
  • $_base : idna_convert
  • $_base32 : FOFEncryptTotp
  • $_basePath : FOFView
  • $_basepath : Adapter
  • $_basePath : HtmlView , PlgEditorTinymce
  • $_behaviorParams : FOFModel
  • $_buffer : Document
  • $_buttonPath : Toolbar
  • $_buttons : Toolbar
  • $_cache : FOFInflector , FOFIntegrationJoomlaPlatform , Nested , PlgSystemCache , PluginsModelPlugin , TemplatesModelStyle
  • $_cache_key : PlgSystemCache
  • $_caching : HtmlDocument
  • $_captcha : Captcha , CaptchaField
  • $_categories : ContactModelCategory , ContactModelFeatured , ContentModelCategory , NewsfeedsModelCategory
  • $_category : ContactModelCategory , ContactModelFeatured , ContentModelCategory , NewsfeedsModelCategory
  • $_charset : FOFView , Document , HtmlView
  • $_checkedCategories : Categories
  • $_children : ContactModelCategory , ContactModelFeatured , ContentModelCategory , JNode , CategoryNode , NewsfeedsModelCategory
  • $_cipher : Crypt
  • $_classprefix : Adapter
  • $_clientId : JApplication , CMSApplication
  • $_clients : ApplicationHelper
  • $_column : FOFDatabaseIterator , JDatabaseIterator
  • $_columnAlias : FOFTable , Table
  • $_compress : MemcachedStorage , MemcacheStorage
  • $_configProviderKey : FOFTable
  • $_conn : FtpClient
  • $_constructor : CategoryNode
  • $_context : BannersModelDownload , ContactModelCategories , ContactModelContact , ContentModelArchive , ContentModelArticle , ContentModelCategories , ContentModelCategory , ContentModelFeatured , InstallerModelDatabase , InstallerModelInstall , ItemModel , MenusModelMenu , NewsfeedsModelCategories , NewsfeedsModelNewsfeed , TagsModelTags
  • $_count : Pathway
  • $_crypt : JSimplecrypt
  • $_ctrlDirEnd : JArchiveZip
  • $_ctrlDirHeader : JArchiveZip
  • $_current : FOFDatabaseIterator , JDatabaseIterator , JTree
  • $_currentTable : FOFDatabaseIterator
  • $_custom : HtmlDocument
  • $_damp : idna_convert
  • $_data : CacheModelCache , FOFHalDocument , JArchiveBzip2 , JArchiveGzip , JArchiveTar , JArchiveZip , SearchModelSearch
  • $_database : FOFDatabaseDriver , JDatabaseDriver
  • $_dataconn : FtpClient
  • $_dataKey : FOFHalDocument , FOFHalRenderJson
  • $_db : FOFModel , FOFModelField , FOFTable , Adapter , MemcachedStorage , MemcacheStorage , BaseDatabaseModel , Table
  • $_debug : Nested
  • $_default : AbstractMenu
  • $_defaultModel : FOFView , HtmlView
  • $_detect_browser : SiteApplication
  • $_dispatcher : Session
  • $_doc : DocumentRenderer
  • $_document : FOFHalRenderJson
  • $_editor : Editor
  • $_embedded : FOFHalDocument
  • $_engine : Document
  • $_error : idna_convert , ErrorDocument
  • $_errorMsg : User
  • $_errors : AKAbstractObject , FOFUtilsObject , JException , CMSObject
  • $_errors_queue_size : AKAbstractObject
  • $_escape : FOFView , HtmlView
  • $_expire : Session
  • $_extension : ContactModelCategories , ContentModelCategories , Categories , NewsfeedsModelCategories
  • $_fetched : FOFDatabaseIterator , JDatabaseIterator
  • $_field : Categories
  • $_file : ErrorDocument , HtmlDocument
  • $_fileHeader : JArchiveZip
  • $_filter : MenusHelper
  • $_flags : JArchiveGzip
  • $_fofAuth_CryptoKey : FOFDispatcher
  • $_fofAuth_isLoggedIn : FOFDispatcher
  • $_formData : FOFModel
  • $_forms : FOFModel , FormModel
  • $_generator : Document
  • $_group : OutputController , PageController
  • $_handler : Cache , Session
  • $_has_tags : FOFTable
  • $_hash : CacheStorage
  • $_href : FOFHalLink
  • $_hreflang : FOFHalLink
  • $_html5 : HtmlDocument
  • $_id : OutputController , PageController
  • $_idn_version : idna_convert
  • $_images : OpensearchDocument
  • $_includePaths : FOFTable , Table
  • $_initial_bias : idna_convert
  • $_initial_n : idna_convert
  • $_input : Session
  • $_instance : FOFDatabaseFactory , JDatabaseFactory
  • $_instances : Captcha
  • $_invalid_ucs : idna_convert
  • $_item : BannersModelBanner , ContactModelCategory , ContactModelContact , ContactModelFeatured , ContentModelCategory , ItemModel , NewsfeedsModelCategory , UsersModelUser
  • $_items : ContactModelCategories , AbstractMenu , NewsfeedsModelCategories
  • $_jsonEncode : ContactTableContact , Table , NewsfeedsTableNewsfeed
  • $_key : FOFDatabaseIterator , JDatabaseIterator , Categories , Crypt
  • $_language : CacheStorage
  • $_language_filter : SiteApplication
  • $_layout : FOFView , HtmlView
  • $_layoutExt : ConfigViewCmsHtml , FOFView , HtmlView
  • $_layoutTemplate : FOFView , HtmlView
  • $_lbase : idna_convert
  • $_lcount : idna_convert
  • $_leftSibling : CategoryNode
  • $_lifetime : CacheStorage
  • $_lineEnd : Document
  • $_lineEndings : FtpClient
  • $_links : FOFHalDocument , FOFHalLinks , HtmlDocument
  • $_location : Nested
  • $_location_id : Nested
  • $_locked : FOFTable , Table
  • $_locked_files : FileStorage
  • $_locking : CacheStorage
  • $_locktest : OutputController , PageController
  • $_max_ucs : idna_convert
  • $_mb_string_overload : idna_convert
  • $_mdate : Document
  • $_messageQueue : JApplication , CMSApplication
  • $_metadata : JArchiveTar , JArchiveZip
  • $_metaTags : Document
  • $_methods : FOFUtilsObservableDispatcher , JArchiveZip , JEventDispatcher , JObservable , Captcha , Editor
  • $_mime : Document , DocumentRenderer , AtomRenderer , RssRenderer
  • $_mode : Router
  • $_modelObject : FOFController
  • $_models : FOFView , HtmlView
  • $_myTableForPregreplaceOnly : ContentHistory , Tags
  • $_name : FOFHalLink , FOFView , JApplication , CMSApplication , Captcha , JsonDocument , Editor , HtmlView , CMSPlugin , ConfirmButton , CustomButton , HelpButton , LinkButton , PopupButton , SeparatorButton , SliderButton , StandardButton , Toolbar , ToolbarButton
  • $_namespace : Document
  • $_ncount : idna_convert
  • $_nodes : Categories
  • $_now : CacheStorage
  • $_observers : FOFUtilsObservableDispatcher , JEventDispatcher , JObservable , Captcha , Editor , Table
  • $_options : Cache , Categories
  • $_output : ConfigViewCmsHtml , FOFView , HtmlView
  • $_pad : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • $_pagination : CacheModelCache , SearchModelSearch
  • $_parametersArray : AKAbstractPart
  • $_params : User
  • $_parent : ContactModelCategories , ContactModelCategory , ContactModelFeatured , ContentModelCategories , ContentModelCategory , JNode , CategoryNode , ToolbarButton , NewsfeedsModelCategories , NewsfeedsModelCategory
  • $_passCodeLength : FOFEncryptTotp
  • $_pasv : FtpClient
  • $_path : ConfigViewCmsHtml , FOFView , CategoryNode , HtmlView
  • $_pathway : Pathway
  • $_persistent : RedisStorage
  • $_pinModulo : FOFEncryptTotp
  • $_profile : Document
  • $_punycode_prefix : idna_convert
  • $_queryJoin : FOFTable
  • $_raw : JInputJSON , Json
  • $_redis : RedisStorage
  • $_regex_consonant : Porteren
  • $_regex_vowel : Porteren
  • $_relations : FOFTable
  • $_response : FtpClient
  • $_rightSibling : CategoryNode
  • $_root : CacheliteStorage , FileStorage , JTree
  • $_router : Route
  • $_rules : FOFInflector , FOFTable , Router , Table
  • $_savestate : FOFModel
  • $_sbase : idna_convert
  • $_scount : idna_convert
  • $_script : Document
  • $_scripts : Document
  • $_secretLength : FOFEncryptTotp
  • $_security : Session
  • $_servers : Memcache , Memcached , JSessionStorageMemcache , JSessionStorageMemcached
  • $_shortName : OpensearchDocument
  • $_siblings : ContactModelCategory , ContactModelFeatured , ContentModelCategory , NewsfeedsModelCategory
  • $_skew : idna_convert
  • $_skipChecks : FOFTable
  • $_state : FOFUtilsObservableDispatcher , JEventDispatcher , JObservable , Captcha , Editor , Session
  • $_statefield : Categories
  • $_store : Session
  • $_strict_mode : idna_convert
  • $_style : Document
  • $_styleSheets : Document
  • $_subject : FOFUtilsObservableEvent , JEvent , JObserver
  • $_supportNullValue : Table
  • $_tab : Document
  • $_table : InstallerModelInstall , Categories
  • $_tableAlias : FOFTable
  • $_tableExists : FOFTable
  • $_tableObject : FOFDatabaseIterator
  • $_tablePrefix : FOFTable
  • $_tbase : idna_convert
  • $_tbl : FOFTable , Table
  • $_tbl_key : FOFTable , Table
  • $_tbl_keys : Table
  • $_tcount : idna_convert
  • $_template : ConfigViewCmsHtml , FOFView , HtmlDocument , HtmlView
  • $_template_tags : HtmlDocument
  • $_templated : FOFHalLink
  • $_timeout : FtpClient
  • $_timeStep : FOFEncryptTotp
  • $_title : FOFHalLink
  • $_tmax : idna_convert
  • $_tmin : idna_convert
  • $_total : CacheModelCache , SearchModelSearch
  • $_trackAssets : FOFTable , Table
  • $_trigger_events : FOFTable
  • $_type : FtpClient , Document , CMSPlugin
  • $_types : JArchiveTar
  • $_url : InstallerModelInstall , UpdateAdapter
  • $_urls : OpensearchDocument
  • $_validLocations : Nested
  • $_vars : Router
  • $_vbase : idna_convert
  • $_vcount : idna_convert
  • $_viewObject : FOFController
  • $_warnings : AKAbstractObject
  • $_warnings_queue_size : AKAbstractObject
  • $accept : JFormFieldFile , Browser
  • $acceptEncoding : WebClient
  • $acceptLanguage : WebClient
  • $acceptParsed : Browser
  • $access : FinderIndexerResult , CategoryNode , MenuItem
  • $acl : Factory
  • $action : JHtmlSidebar , JSubMenuHelper
  • $action_function : PHPMailer
  • $actionlogs : PrivacyViewRequest
  • $actions : UsersHelper , UsersViewDebuggroup , UsersViewDebuguser
  • $activation : User
  • $active : JFormFieldMeter , Node , PaginationObject
  • $active_domain : AKAbstractPart
  • $active_step : AKAbstractPart
  • $active_substep : AKAbstractPart
  • $activeFilters : ActionlogsViewActionlogs , CategoriesViewCategories , ContactViewContacts , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , PrivacyViewConsents , PrivacyViewRequests , RedirectViewLinks , UsersViewUsers
  • $activeRow : JGrid
  • $activities : JGoogleDataPlus
  • $adapter : FOFDownload , FOFEncryptAes
  • $adapterOptions : FOFDownload
  • $adapters : JArchive , Archive
  • $additionalUrlParams : Pagination
  • $addPath : AKAbstractUnarchiver
  • $addTokensToDbQueryTemplate : FinderIndexer
  • $adminId : InstallationModelLanguages
  • $agent : Browser
  • $album : JFacebook
  • $alias : CategoryNode , MenuItem , Nested , UCMBase , UCMType , Manifest , PharInvocation
  • $aliases : JObserverUpdater , Container
  • $aliasLength : Manifest
  • $all_discovered_feeds : SimplePie
  • $all_recipients : PHPMailer
  • $allow_overlong : uctc
  • $allowAdd : JFormFieldCategoryEdit
  • $allowClear : JFormFieldModal_Menu
  • $allowDowngrades : InstallerScript
  • $allowedClasses : DisallowedClassesSubstitutor
  • $allowedGlobals : Input
  • $allowEdit : JFormFieldModal_Menu
  • $AllowEmpty : PHPMailer
  • $allowIpOverrides : FOFUtilsIp , IpHelper
  • $allowNew : JFormFieldModal_Menu
  • $allowPropagate : JFormFieldModal_Menu
  • $allowSelect : JFormFieldModal_Menu
  • $allParsedFiles : lessc
  • $allTables : FOFDatabaseInstaller
  • $AltBody : PHPMailer
  • $amountOfFiles : Manifest
  • $animated : JFormFieldMeter
  • $apcuPrefix : ClassLoader
  • $apiVersion : Manifest
  • $app : ActionLogPlugin , ConfigControllerApplicationRemoveroot , ConfigControllerApplicationSave , ConfigControllerCancel , ConfigControllerComponentSave , ConfigControllerConfigSave , ConfigControllerDisplay , JApplicationWebRouter , JControllerBase , RouterBase , SiteMenu , Pagination , SiteRouter , MetadataManager , PlgAuthenticationCookie , PlgContentConfirmConsent , PlgContentVote , PlgEditorTinymce , PlgQuickiconEos310 , PlgQuickiconPhpVersionCheck , PlgSampledataBlog , PlgSystemActionLogs , PlgSystemCache , PlgSystemDebug , PlgSystemLanguageFilter , PlgSystemLogout , PlgSystemLogrotation , PlgSystemPrivacyconsent , PlgSystemRemember , PlgSystemSef , PlgSystemSessionGc , PlgSystemStats , PlgUserJoomla , PlgUserTerms
  • $appendExtension : UpdateAdapter
  • $application : JOAuth1Client , JOAuth2Client , Factory , MVCFactory
  • $archive : TemplatesViewTemplate
  • $archiveHeaderData : AKUnarchiverJPA
  • $archiveList : AKAbstractUnarchiver
  • $args : JException , JInputCli , Cli
  • $arguments : AbstractEvent
  • $articleid : JFormFieldConsentBox
  • $asFormat : JDatabaseExporter , JDatabaseImporter
  • $assertions : Behavior , ConjunctionInterceptor
  • $asset : Editor , EditorField , MediaField
  • $asset_groups : JHtmlAccess
  • $asset_id : CategoryNode
  • $assetField : JFormFieldRules , EditorField
  • $assetPermissionsById : Access
  • $assetPermissionsByName : Access
  • $assetPermissionsParentIdMapping : Access
  • $assetRules : Access
  • $assetRulesIdentities : Access
  • $assets : CategoryNode
  • $assignSeparator : FOFLessFormatterClassic , FOFLessFormatterCompressed , FOFLessFormatterJoomla , FOFLessFormatterLessjs , JLessFormatterJoomla , lessc_formatter_classic , lessc_formatter_compressed , lessc_formatter_lessjs
  • $assoc : CategoriesViewCategories , CategoriesViewCategory , TagsViewTag
  • $associationsContext : CategoriesModelCategory , ContactModelContact , ContentModelArticle , AdminModel , MenusModelItem , NewsfeedsModelNewsfeed
  • $associationsSupport : ContactAssociationsHelper , ContentAssociationsHelper , AssociationExtensionHelper , MenusAssociationsHelper , NewsfeedsAssociationsHelper
  • $attachment : PHPMailer
  • $attrArray : InputFilter
  • $attrBlacklist : InputFilter
  • $attrMethod : InputFilter
  • $auth : JGoogle , JGoogleData
  • $auth_method : LdapClient
  • $author : FeedItem , Editor , LibraryManifest
  • $authorEmail : FeedItem
  • $authoremail : LibraryManifest
  • $authorField : EditorField , MediaField
  • $authors : ContentViewArticles , ContentViewFeatured
  • $authorurl : LibraryManifest
  • $AuthType : PHPMailer
  • $autoAscii : FtpClient
  • $autocomplete : FormField
  • $autodiscovery : SimplePie
  • $autodiscovery_cache_duration : SimplePie
  • $autofocus : FormField
  • $autoIncrementField : FOFDatabaseQuery , JDatabaseQuery
  • $autoloader : FOFAutoloaderComponent , FOFAutoloaderFof
  • $autoloadLanguage : ActionLogPlugin , FieldsPlugin , CMSPlugin , PlgButtonArticle , PlgButtonContact , PlgButtonFields , PlgButtonImage , PlgButtonMenu , PlgButtonModule , PlgButtonPagebreak , PlgButtonReadmore , PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , PlgContentConfirmConsent , PlgEditorCodemirror , PlgEditorTinymce , PlgExtensionJoomla , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PlgInstallerFolderInstaller , PlgInstallerPackageInstaller , PlgInstallerUrlInstaller , PlgQuickiconEos310 , PlgQuickiconExtensionupdate , PlgQuickiconJoomlaupdate , PlgQuickiconPhpVersionCheck , PlgQuickiconPrivacyCheck , PlgSampledataBlog , PlgSearchCategories , PlgSearchContacts , PlgSearchNewsfeeds , PlgSearchTags , PlgSystemActionLogs , PlgSystemFields , PlgSystemLogout , PlgSystemLogrotation , PlgSystemPrivacyconsent , PlgSystemRedirect , PlgSystemUpdatenotification , PlgTwofactorauthTotp , PlgTwofactorauthYubikey , PlgUserContactCreator , PlgUserProfile , PlgUserTerms , PrivacyPlugin
  • $autoRouting : FOFController
  • $availableCommands : Behavior
  • $backtrace : JException
  • $bareComponent : FOFController
  • $base : Document , PaginationObject , CollectionAdapter , Uri , ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H , SimplePie_Locator , SimplePie_Sanitize
  • $base2 : ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H
  • $base_dn : LdapClient
  • $base_location : SimplePie_Locator
  • $basename : BannersModelTracks
  • $baseName : PharInvocation
  • $baseNames : PharInvocationResolver
  • $basePath : FOFController , FileLayout , BaseController
  • $baseurl : ErrorDocument , HtmlDocument
  • $batch_commands : BannersModelBanner , ContactModelContact , FieldsModelField , FieldsModelGroup , AdminModel , MenusModelItem , ModulesModelModule , TagsModelTag
  • $batch_copymove : BannersModelBanner , ContactModelContact , FieldsModelField , AdminModel , MenusModelItem , ModulesModelModule
  • $batchSet : AdminModel
  • $bcc : PHPMailer
  • $behavior : Manager
  • $bgBase : ColorStyle
  • $bgColor : ColorStyle
  • $birthdate : AuthenticationResponse
  • $bitrate : SimplePie_Enclosure
  • $block : User , JTwitter
  • $blockChildUninstall : PackageManifest
  • $blockDirectives : FOFLessParser , lessc_parser
  • $blockedChars : InputFilter
  • $body : Response , JResponse
  • $Body : PHPMailer
  • $body : SimplePie_File , SimplePie_HTTP_Parser
  • $boundary : PHPMailer
  • $bounded : FOFDatabaseQueryOracle , FOFDatabaseQuerySqlite , JDatabaseQueryOracle , JDatabaseQueryPgsql , JDatabaseQuerySqlite
  • $branches : FinderIndexerTaxonomy
  • $break : FOFLessFormatterClassic , FOFLessFormatterCompressed , lessc_formatter_classic , lessc_formatter_compressed
  • $breakSelectors : FOFLessFormatterClassic , FOFLessFormatterJoomla , FOFLessFormatterLessjs , JLessFormatterJoomla , lessc_formatter_classic , lessc_formatter_lessjs
  • $browser : WebClient , Browser
  • $browserNav : MenuItem
  • $browserVersion : WebClient
  • $buffer : easyparse , Profiler , ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $buffers : BufferStreamHandler , Buffer
  • $built_in : SimplePie_Parse_Date
  • $buttons : FOFFormHeader , JFormFieldSubform , EditorField , ModQuickIconHelper
  • $cachable : JResponse
  • $cache : FinderIndexerStemmer , JDatabaseExporter , JDatabaseImporter , JFormFieldLanguageclient , CacheController , Factory , LanguageStemmer , FileLayout , ListModel , Router , Ini , Inflector , SimplePie , SimplePie_Cache_Memcache
  • $cache_duration : SimplePie
  • $cache_location : SimplePie , SimplePie_Sanitize
  • $cache_name_function : SimplePie , SimplePie_Sanitize
  • $cacheableTasks : FOFController
  • $cached_entities : SimplePie_Locator
  • $CacheLiteInstance : CacheliteStorage
  • $calendarName : EasyPeasyICS
  • $call : FOFDatabaseQuery , JDatabaseQuery
  • $callback : CallbackFilterIterator , CallbackLogger
  • $callStack : LogEntry
  • $callStacks : FOFDatabaseDriver , JDatabaseDriver
  • $canDo : BannersViewClient , CategoriesViewCategory , ContentViewArticle , FieldsViewGroup , MenusViewItem , MenusViewMenu , UsersViewUsers
  • $canGetVendors : InstalledVersions
  • $canRemove : PrivacyRemovalStatus
  • $capabilities : PrivacyViewCapabilities
  • $captchaEnabled : ContactViewContact , ContentViewForm
  • $captions : SimplePie_Enclosure
  • $categories : BannersViewBanners , ContactViewFeatured , JMediawiki , CategoryView , SimplePie_Enclosure
  • $category : ContactViewFeatured , FeedItem , FeedDocument , LogEntry , CategoryView , Update
  • $category_association : CategoryHelperAssociation
  • $cc : PHPMailer
  • $changeItems : ChangeSet
  • $changesets : JOpenstreetmap
  • $channels : SimplePie_Enclosure
  • $characters : ActionlogsHelper , ActionlogsHelperPhp55
  • $charset : FOFDatabaseDriverOracle , JDatabaseDriverOracle
  • $charSet : AbstractWebApplication , WebApplication
  • $CharSet : Mail , PHPMailer
  • $checked : JFormFieldCheckbox
  • $checked_feeds : SimplePie_Locator
  • $checked_out : CategoryNode
  • $checked_out_time : CategoryNode
  • $checkedOptions : JFormFieldCheckboxes
  • $checkin : JFacebook
  • $checkQuery : ChangeItem
  • $checkQueryExpected : ChangeItem
  • $checkStatus : ChangeItem
  • $child_blocks : nodecounter
  • $child_keys : RouterViewConfiguration
  • $children : RouterViewConfiguration , Node , CategoryView , nodecounter , TagsViewTag
  • $childrennumitems : CategoryNode
  • $chunkSize : AKAbstractUnarchiver
  • $chunksize : Stream
  • $cipherMode : FOFEncryptAesMcrypt , Mcrypt
  • $cipherType : FOFEncryptAesMcrypt , Mcrypt
  • $class : FOFDatabaseIterator , JDatabaseIterator , JException , FormField , Node
  • $classAliases : JLoader
  • $classAliasesInverse : JLoader
  • $classes : JLoader , SimplePie_Registry
  • $classMap : ClassLoader , ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • $classMapAuthoritative : ClassLoader
  • $client : CacheViewCache , InstallationModelLanguages , JApplication , JFacebook , JFacebookObject , JGithub , JGithubObject , JGoogleAuthOauth2 , JLinkedin , JLinkedinObject , JMediawiki , JMediawikiObject , JOAuth1Client , AbstractWebApplication , WebApplication , InstallerExtension , Update , JOpenstreetmap , JOpenstreetmapObject , JTwitter , JTwitterObject , LanguagesModelInstalled , LanguagesViewInstalled
  • $client_ids : FOFFormFieldComponents
  • $clientId : JFormFieldMenuitemByType , ChromestyleField , MenuitemField , ModulepositionField , ModuleAdapter , TemplateAdapter
  • $clientName : TemplatestyleField
  • $cliInput : AbstractCliApplication
  • $cliScriptFiles : FOFUtilsInstallscript , InstallerScript
  • $cliSourcePath : FOFUtilsInstallscript
  • $close : FOFLessFormatterClassic , lessc_formatter_classic
  • $closed : JSessionHandlerNative
  • $closeSingle : FOFLessFormatterClassic , lessc_formatter_classic
  • $code : Response
  • $collect_urls_enabled : RedirectViewLinks
  • $collection : Manager
  • $color : JFormFieldMeter
  • $colors : JFormFieldColor
  • $columns : ContentViewCategory , ContentViewFeatured , FOFDatabaseQuery , JDatabaseQuery , JFormFieldTextarea , JGrid
  • $combinators : tagparse
  • $comment : JFacebook , SimplePie_gzdecode
  • $commentMulti : FOFLessParser , lessc_parser
  • $commentMultiLeft : FOFLessParser , lessc_parser
  • $commentMultiRight : FOFLessParser , lessc_parser
  • $comments : JGoogleDataPlus , FeedItem
  • $commentSingle : FOFLessParser , lessc_parser
  • $common : FinderIndexerToken
  • $commonKey : FOFUtilsUpdate
  • $commonTable : FOFUtilsUpdate
  • $communications : JLinkedin
  • $companies : JLinkedin
  • $comParams : TagField
  • $compatibleVersions : Update
  • $component : ConfigViewComponentHtml , FieldsControllerField , FieldsControllerGroup , FOFController , FOFUtilsUpdate , JFormFieldRules , RouterLegacy , MenuItem
  • $component_id : MenuItem
  • $componentDescription : FOFUtilsUpdate
  • $componentName : FOFTableRelations , FOFUtilsInstallscript
  • $componentParams : FOFUtilsConfigHelper
  • $componentRouters : SiteRouter
  • $components : ComponentHelper
  • $componentTitle : FOFUtilsInstallscript
  • $compressColors : FOFLessFormatterClassic , FOFLessFormatterCompressed , lessc_formatter_classic , lessc_formatter_compressed
  • $compressed_data : SimplePie_gzdecode
  • $compressed_size : SimplePie_gzdecode
  • $concat_operator : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • $config : AdminModelSysInfo , AdminViewSysinfo , FOFController , FOFDispatcher , FOFTable , FOFToolbar , FOFView , InstallationViewCompleteHtml , AbstractApplication , Factory
  • $config_settings : SimplePie
  • $configProvider : FOFController , FOFModel , FOFTable
  • $configurations : FOFConfigProvider , Log
  • $confirmed : PharInvocation
  • $ConfirmReadingTo : PHPMailer
  • $conn : FtpClient
  • $connected : POP3
  • $connection : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverPdo
  • $connections : SocketTransport
  • $constructed : EventImmutable , UriImmutable
  • $consumed : SimplePie_Decode_HTML_Entities
  • $container : ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe
  • $content : Microdata , Stub
  • $contenthistoryHelper : ContentHistory
  • $contentType : FOFTable , OrderingField , AdminModel
  • $ContentType : PHPMailer
  • $context : BannersControllerTracks , ConfigControllerCanceladmin , FieldsModelGroups , FinderIndexerAdapter , FinderModelFilter , FinderModelSearch , FinderModelSuggestions , Stream , LogEntry , FormController , ListModel , Stream , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PharStreamWrapper
  • $contextAliases : PlgActionlogJoomla
  • $contextOptions : Stream
  • $control : JFormFieldColor
  • $controllerPrefix : JApplicationWebRouter
  • $convertToInt : ContentHistory
  • $cookie_domain : Session
  • $cookie_httponly : Session
  • $cookie_path : Session
  • $cookie_samesite : Session
  • $copyright : FeedDocument , LibraryManifest , SimplePie_Enclosure
  • $core : LanguageAdapter
  • $coreExtensions : ExtensionHelper
  • $cost : SimpleCryptPassword
  • $count : easyparse , FOFDatabaseDriver , JDatabaseDriver , CacheStorageHelper , FormField , nodecounter
  • $counter : Language , ListenersPriorityQueue , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • $country : AuthenticationResponse
  • $created_time : CategoryNode
  • $created_user_id : CategoryNode
  • $creationDate : LibraryManifest
  • $credentials : ntlm_sasl_client_class
  • $credits : SimplePie_Enclosure
  • $CRLF : POP3 , SMTP
  • $csrfProtection : FOFController
  • $css : Tree
  • $cssColors : FOFLess , lessc
  • $csvFields : FOFViewCsv
  • $csvFilename : FOFViewCsv
  • $csvHeader : FOFViewCsv
  • $ctrlDirEnd : Zip
  • $ctrlDirHeader : Zip
  • $curl : CurlPost
  • $current : Tree , Uri , DataSet
  • $current_byte : SimplePie_Parser
  • $current_column : SimplePie_Parser
  • $current_lang : PlgSystemLanguageFilter
  • $current_line : SimplePie_Parser
  • $current_xhtml_construct : SimplePie_Parser
  • $currentExtensionId : InstallerAdapter
  • $currentLine : Parser
  • $currentLineNb : Parser
  • $currentMessage : PlgQuickiconEos310
  • $currentPartNumber : AKAbstractUnarchiver
  • $currentPartOffset : AKAbstractUnarchiver
  • $currentString : StreamString , StringWrapper
  • $currentUpdate : Update
  • $cursor : FOFDatabaseDriver , FOFDatabaseIterator , JDatabaseDriver , JDatabaseIterator
  • $CustomHeader : PHPMailer
  • $customPrefix : JFormFieldCategoryEdit
  • $d : ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H
  • $d2 : ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H
  • $data : CacheViewCache , ConfigViewApplicationHtml , ConfigViewApplicationJson , ConfigViewCmsJson , ConfigViewConfigHtml , FinderViewStatistics , InstallationModelLanguages , JGoogle , JInput , JJsonResponse , Bzip2 , Gzip , Tar , Zip , Rule , Rules , OpensearchImage , Form , BaseLayout , Pagination , JsonResponse , Session , Input , Registry , LanguagesModelInstalled , SimplePie , SimplePie_Decode_HTML_Entities , SimplePie_gzdecode , SimplePie_HTTP_Parser , SimplePie_Item , SimplePie_Parser , SimplePie_Source , SimplePie_XML_Declaration_Parser , UsersModelProfile , UsersModelRegistration , UsersViewProfile , UsersViewRegistration
  • $data_length : SimplePie_HTTP_Parser , SimplePie_XML_Declaration_Parser
  • $database : Factory , DatabaseLogger
  • $databaseRoot : AKAbstractPart
  • $dataconn : FtpClient
  • $dataReadLength : AKAbstractUnarchiver
  • $datas : SimplePie_Parser
  • $dataStore : Container
  • $date : FOFUtilsFilescheck , FeedItem , LogEntry , PlgUserProfile , SimplePie_Parse_Date
  • $date1 : FinderIndexerQuery
  • $date2 : FinderIndexerQuery
  • $dateformat : FOFDatabaseDriverOracle , JDatabaseDriverOracle
  • $dates : Factory
  • $day : SimplePie_Parse_Date
  • $day_pcre : SimplePie_Parse_Date
  • $db : ActionLogPlugin , ContentViewFeatured , FinderIndexer , FinderIndexerAdapter , FOFDatabaseInstaller , FOFDatabaseQuery , JDatabaseExporter , JDatabaseImporter , JDatabaseQuery , JModelDatabase , AdapterInstance , DatabaseLogger , SiteMenu , ChangeItem , ChangeSet , MetadataManager , UCMType , Database , PlgAuthenticationCookie , PlgContentContact , PlgQuickiconEos310 , PlgSampledataBlog , PlgSystemActionLogs , PlgSystemDebug , PlgSystemLogrotation , PlgSystemPrivacyconsent , PlgSystemSessionGc , PlgSystemStats , PlgUserJoomla , PlgUserTerms , PrivacyPlugin , UsersViewProfile , UsersViewUsers
  • $dbMinimum : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • $dbo : FOFDatabaseDriverJoomla
  • $debug : FOFDatabaseDriver , JDatabaseDriver , ErrorDocument , Language
  • $debugLang : PlgSystemDebug
  • $debugMessages : BaseLayout
  • $Debugoutput : PHPMailer , SMTP
  • $decodedData : JInputFiles , Files
  • $default : JApplicationWebRouter , FormField , Language , SimplePie_Registry
  • $default_behaviors : FOFModel , FOFTable
  • $default_lang : PlgSystemLanguageFilter
  • $default_translation : AKText
  • $default_view : AssociationsController , ConfigController , ContactController , ContentController , FieldsController , FinderController , FOFController , BaseController , LanguagesController , PrivacyController , RedirectController , SearchController , TemplatesController
  • $defaultBasePath : LayoutHelper
  • $defaultLanguage : FinderIndexerResult
  • $defaultLimits : LimitboxField
  • $defaultPageTitle : ContactViewCategory , ContentViewCategory , FOFViewHtml , CategoryView , NewsfeedsViewCategory
  • $defaultRelation : FOFTableRelations
  • $defaultType : SimpleCryptPassword
  • $defaultValue : FOFLess
  • $defaultView : FOFDispatcher
  • $defer : FormattedtextLogger
  • $deferredEntries : FormattedtextLogger
  • $delete : FOFDatabaseQuery , JDatabaseQuery
  • $deleteFiles : InstallerScript
  • $deleteFolders : InstallerScript
  • $deprecatedAliases : JLoader
  • $derived : FinderIndexerToken
  • $description : FinderIndexerResult , FOFFormHeader , CategoryNode , Document , FeedImage , FeedItem , FormField , Manifest , Update , PrivacyExportDomain , SimplePie_Enclosure
  • $destinations : Patcher
  • $detection : WebClient
  • $direction : Document
  • $directMessages : JTwitter
  • $directories : AdminModelSysInfo
  • $directory : AdminViewSysinfo , JFormFieldFileList , JFormFieldFolderList , MediaField
  • $dirList : FOFUtilsFilescheck
  • $dirmode : Stream
  • $dirname : JFormFieldText
  • $disable : JFormFieldMenuitemByType , MenuitemField
  • $disabled : FormField
  • $disableFallbackForUnitTests : ParagonIE_Sodium_Compat
  • $disableSingle : FOFLessFormatterClassic , FOFLessFormatterCompressed , FOFLessFormatterJoomla , FOFLessFormatterLessjs , JLessFormatterJoomla , lessc_formatter_classic , lessc_formatter_compressed , lessc_formatter_lessjs
  • $disconnectHandlers : FOFDatabaseDriver , JDatabaseDriver
  • $dispatcher : BaseApplication , DelegatingDispatcher , Session
  • $displayCallbacks : PlgSystemDebug
  • $divisor : FinderCli
  • $DKIM_domain : PHPMailer
  • $DKIM_identity : PHPMailer
  • $DKIM_passphrase : PHPMailer
  • $DKIM_private : PHPMailer
  • $DKIM_private_string : PHPMailer
  • $DKIM_selector : PHPMailer
  • $dn : LdapClient
  • $do_debug : POP3 , SMTP
  • $do_verp : PHPMailer , SMTP
  • $doCallObservers : JObserverUpdater
  • $docOptions : CMSApplication
  • $docs : FeedDocument
  • $document : WebApplication , Factory , HtmlView , UsersViewRegistration
  • $doPostRender : FOFView
  • $doPreRender : FOFView
  • $doTask : FOFController , BaseController
  • $downloads : Update
  • $downloadSources : Update
  • $driver : DatabaseLogger
  • $dropDownList : JHtmlActionsDropdown , JHtmlDropdown
  • $dumper : Yaml
  • $duration : SimplePie_Enclosure
  • $editor : AdminModelSysInfo , FeedDocument , EditorField
  • $editorEmail : FeedDocument
  • $editorType : EditorField
  • $eid : PlgExtensionJoomla
  • $element : FOFDatabaseQuery , FOFFormHeader , JDatabaseQuery , FormField , InstallerAdapter , Component , Update , SimplePie_Parser , TemplatesModelTemplate
  • $elements : FinderIndexerResult , FOFDatabaseQueryElement , JDatabaseQueryElement , JOpenstreetmap
  • $elsewhere : SimplePie_Locator
  • $email : AuthenticationResponse , FeedPerson , User , SimplePie_Author
  • $embed : JGoogle
  • $enable_cache : SimplePie_Sanitize
  • $enabled : FOFRenderAbstract , JAdminCssMenu , ComponentRecord , Microdata , RedirectViewLinks , SearchViewSearches
  • $enclosure : FeedItem
  • $encode_instead_of_strip : SimplePie_Sanitize
  • $Encoding : PHPMailer
  • $encoding : SimplePie_Parser , SimplePie_XML_Declaration_Parser
  • $encodings : WebClient
  • $end_date : FinderIndexerResult
  • $endTime : SimplePie_Caption
  • $engine : WebClient
  • $entities : FormHelper
  • $entries : JHtmlSidebar , Feed , JSubMenuHelper
  • $entryElementName : FeedParser , RssParser
  • $error : JJsonResponse , ErrorDocument , SimplePie , SimplePie_File , SMTP
  • $error_code : SimplePie_Parser
  • $error_count : PHPMailer
  • $error_message : AuthenticationResponse
  • $error_string : SimplePie_Parser
  • $errorCodes : Response
  • $errorfiles : Language
  • $ErrorInfo : PHPMailer
  • $errorMsg : FOFDatabaseDriver , JDatabaseDriver
  • $errorNum : FOFDatabaseDriver , JDatabaseDriver
  • $errors : Form , POP3
  • $escaped : Escaper
  • $escapees : Escaper
  • $event : JFacebook
  • $event_after_delete : FinderModelIndex , FOFModel , AdminModel
  • $event_after_save : FOFModel , AdminModel
  • $event_before_delete : FinderModelIndex , FOFModel , AdminModel
  • $event_before_save : FOFModel , AdminModel
  • $event_change_state : FOFModel , AdminModel
  • $event_clean_cache : FOFModel , BaseDatabaseModel
  • $eventRegistered : PackageAdapter
  • $events : EasyPeasyICS , JGithubHooks , JGithubPackageRepositoriesHooks , Dispatcher
  • $events_map : FormModel
  • $exceptionOnInvalidType : Inline
  • $exceptions : PHPMailer
  • $exclude : JFormFieldFileList , JFormFieldFolderList
  • $excluded : FinderIndexerQuery , UserField
  • $excludedTerms : FinderModelSearch
  • $exec : FOFDatabaseQuery , JDatabaseQuery
  • $executable : JInputCli , Cli
  • $executed : FOFDatabaseDriverPdo , JDatabaseDriverPdo
  • $exiting : AbstractDaemonApplication , DaemonApplication
  • $expectDataDescriptor : AKUnarchiverZIP
  • $expire : Session
  • $explains : PlgSystemDebug
  • $expression : SimplePie_Enclosure
  • $extension : CategoriesController , CategoriesControllerCategory , ContactAssociationsHelper , ContactViewCategories , ContactViewCategory , ContentAssociationsHelper , ContentHelper , ContentViewCategories , ContentViewCategory , FinderHelper , FinderIndexerAdapter , AssociationExtensionHelper , CategoryNode , RouteHelper , Installer , InstallerAdapter , InstallerScript , CategoryView , MenusAssociationsHelper , NewsfeedsAssociationsHelper , NewsfeedsHelper , NewsfeedsViewCategories , NewsfeedsViewCategory , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PluginsHelper , RedirectHelper , SimplePie_Cache_File
  • $extension_id : FOFUtilsUpdate
  • $extension_message : Installer
  • $extensionMessage : InstallerAdapter
  • $extensionsSupport : AssociationsHelper
  • $extra_field : SimplePie_gzdecode
  • $extra_query : Update
  • $extraQuery : FOFUtilsUpdate , Installer
  • $f_levels : MenusViewItems
  • $factory : BaseController , BaseDatabaseModel
  • $fallbackDirsPsr0 : ClassLoader
  • $fallbackDirsPsr4 : ClassLoader
  • $fallbackProperty : Microdata
  • $fallbackType : Microdata
  • $FALSE : FOFLess , lessc
  • $fastMult : ParagonIE_Sodium_Compat
  • $favorites : JTwitter
  • $feed : SimplePie_Item
  • $feed_url : SimplePie
  • $fgBase : ColorStyle
  • $fgColor : ColorStyle
  • $fh : Stream
  • $fieldCache : FieldsHelper
  • $fieldname : FOFFormHeader , FormField
  • $fields : FormattedtextLogger , PrivacyExportItem
  • $fieldsCache : FieldsHelper
  • $file : ChangeItem , SimplePie , SimplePie_Content_Type_Sniffer , SimplePie_Locator , TemplatesViewTemplate , TemplatesViewTemplates
  • $fileHeader : AKAbstractUnarchiver , Zip
  • $fileList : FOFUtilsFilescheck
  • $filelist : Manifest
  • $filemode : Stream
  • $filename : AKAbstractPostproc , AKAbstractUnarchiver , Stream , InstallerExtension , Stream , SimplePie_Cache_File , SimplePie_gzdecode
  • $fileName : TemplatesViewTemplate , Reader
  • $files : ComposerStaticInitc14bde14f8c86840049f5c1809c453dd , TemplatesViewTemplate
  • $filesize : Stream
  • $fileType : Reader
  • $filter : FinderIndexerQuery , FinderViewFilter , FOFFormHeader , JFormFieldCalendar , JFormFieldFileList , JFormFieldFolderList , JInput , Input
  • $filter_fields : ListModel
  • $filterBlacklist : ListModel , UsersModelUsers
  • $filterForm : CategoriesViewCategories , ContactViewContacts , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , PrivacyViewConsents , PrivacyViewRequests , RedirectViewLinks , UsersViewUsers
  • $filterFormName : ListModel
  • $filters : FinderCli , FinderIndexerQuery , JHtmlSidebar , Stream , JSubMenuHelper
  • $filterSource : FOFFormHeader
  • $final : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $flagRestorePermissions : AKAbstractUnarchiver
  • $flags : Gzip , SimplePie_gzdecode , Manifest
  • $fofAuth_AuthMethods : FOFDispatcher
  • $fofAuth_Formats : FOFDispatcher
  • $fofAuth_Key : FOFDispatcher
  • $fofAuth_LogoutOnReturn : FOFDispatcher
  • $fofAuth_timeStep : FOFDispatcher
  • $fofComponents : FOFAutoloaderComponent
  • $fofPath : FOFAutoloaderComponent , FOFAutoloaderFof
  • $fofSourcePath : FOFUtilsInstallscript
  • $folder : JFormFieldPlugins , ChangeSet , MediaControllerFile
  • $font : TemplatesViewTemplate
  • $force_feed : SimplePie
  • $force_fsockopen : SimplePie , SimplePie_Sanitize
  • $force_ssl : Session , JSessionHandlerJoomla
  • $forceMultiple : JFormFieldCheckboxes , JFormFieldConsentBox
  • $form : AdminViewProfile , BannersViewBanner , BannersViewClient , BannersViewDownload , CategoriesViewCategory , ConfigViewApplicationHtml , ConfigViewComponentHtml , ConfigViewConfigHtml , ConfigViewModulesHtml , ConfigViewTemplatesHtml , ContactViewContact , ContentViewArticle , ContentViewForm , FieldsViewField , FieldsViewGroup , FinderViewFilter , FOFFormHeader , FOFViewForm , InstallationViewDefault , InstallerViewManage , InstallerViewUpdatesites , FormField , LanguagesViewLanguage , LanguagesViewOverride , MenusViewItem , MenusViewMenu , MessagesViewConfig , MessagesViewMessage , ModulesViewModule , NewsfeedsViewNewsfeed , PluginsViewPlugin , PrivacyViewConfirm , PrivacyViewRemind , PrivacyViewRequest , RedirectViewLink , TagsViewTag , TemplatesViewStyle , TemplatesViewTemplate , UsersViewGroup , UsersViewLevel , UsersViewLogin , UsersViewMail , UsersViewNote , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset , UsersViewUser
  • $format : JFormFieldCalendar , JFormFieldColor , Date , FormattedtextLogger , W3cLogger , DownloadSource
  • $formatInstances : Factory
  • $formatOptions : HTMLHelper
  • $formats : Image
  • $formControl : FormField
  • $forms : ConfigModelForm , Form
  • $formsource : JFormFieldSubform
  • $forShare : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • $forUpdate : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • $fp : AKAbstractUnarchiver
  • $fragment : AbstractUri
  • $framerate : SimplePie_Enclosure
  • $friends : JTwitter
  • $from : FOFDatabaseQuery , JDatabaseExporter , JDatabaseImporter , JDatabaseQuery
  • $From : PHPMailer
  • $FromName : PHPMailer
  • $fromVersion : JoomlaInstallerScript
  • $ftp : LanguagesModelInstalled , LanguagesViewInstalled
  • $fullname : AuthenticationResponse
  • $fullPath : FileLayout
  • $function : JException
  • $gender : AuthenticationResponse
  • $generateBestQuality : Image
  • $generated_fieldname : FormField
  • $glue : FOFDatabaseQueryElement , JDatabaseQueryElement
  • $gmt : Date
  • $gps : JOpenstreetmap
  • $group : FOFDatabaseQuery , FOFFormHeader , JDatabaseQuery , JFacebook , CacheStorageHelper , FormField , InstallerExtension , Update
  • $groupByFieldset : JFormFieldSubform
  • $grouplist : UsersViewUser
  • $groups : JLinkedin , UserField , UserGroupsHelper , User , UsersViewUser
  • $groupsByUser : Access
  • $guest : User
  • $guid : FeedItem
  • $h : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $handle : Image , ImageFilter , Socket
  • $handler : SimplePie_Enclosure
  • $handlers : JError , SimplePie_Cache
  • $hasAssociation : CategoriesModelCategories , CategoriesModelCategory
  • $hasForm : FOFController
  • $hashes : SimplePie_Enclosure
  • $hasRan : AKAbstractPart
  • $having : FOFDatabaseQuery , JDatabaseQuery
  • $header : FOFFormHeader
  • $headers : FOFDownloadAdapterCurl , WebClient , Response , JResponse , SimplePie_File , SimplePie_HTTP_Parser
  • $height : FeedImage , OpensearchImage , EditorField , MediaField , SimplePie_Enclosure
  • $Helo : PHPMailer
  • $helo_rply : SMTP
  • $help : JTwitter
  • $help_search : AdminModelHelp , AdminViewHelp
  • $helpKey : MenusModelItem , ModulesModelModule , PluginsModelPlugin , TemplatesModelStyle
  • $helpLocal : MenusModelItem
  • $helpURL : MenusModelItem , ModulesModelModule , PluginsModelPlugin , TemplatesModelStyle
  • $hidden : FormField
  • $hide : EditorField
  • $hideDefault : JFormFieldFileList , JFormFieldFolderList
  • $hideEmptyLimitstart : Pagination
  • $hideNone : JFormFieldFileList , JFormFieldFolderList
  • $highlight : FinderIndexerQuery
  • $hint : FormField
  • $hits : CategoryNode
  • $home : MenuItem
  • $host : DatabaseLogger , LdapClient , AbstractUri
  • $Host : PHPMailer
  • $host : POP3
  • $Hostname : PHPMailer
  • $htmlFormName : ListModel
  • $http : JGoogleEmbedMaps , JOAuth2Client , HttpBridgePostRequestMethod
  • $http_base : SimplePie_Locator
  • $http_version : SimplePie_HTTP_Parser
  • $httpVersion : AbstractWebApplication
  • $humanReadableName : FOFPlatform
  • $Ical : PHPMailer
  • $icon : Component , Heading , Url
  • $id : FOFModel , CategoryNode , ComponentRecord , FormField , RouteHelper , InstallerExtension , MenuItem , Node , Asset , User , PrivacyExportItem , SimplePie_Cache_MySQL , TemplatesViewTemplate
  • $id_list : FOFModel
  • $identities : Access
  • $identity : BaseApplication
  • $ifragment : SimplePie_IRI
  • $ignore_reqcert_tls : LdapClient
  • $ignoreChanges : ContentHistory
  • $ignored : FinderIndexerQuery
  • $ignoreDirectories : AKAbstractUnarchiver
  • $ignoredSearchWordsCallback : Language
  • $ignoreItems : DisallowedClassesSubstitutor
  • $ihost : SimplePie_IRI
  • $image : FeedDocument , TemplatesViewTemplate
  • $image_handler : SimplePie , SimplePie_Sanitize
  • $images : JMediawiki , Browser
  • $img : MenuItem
  • $importDir : FOFLess , lessc
  • $importDisabled : FOFLess , lessc
  • $imported : JLoader
  • $included : FinderIndexerQuery
  • $includedTerms : FinderModelSearch
  • $includePaths : HTMLHelper , FileLayout
  • $indentation : Dumper
  • $indentChar : FOFLessFormatterClassic , FOFLessFormatterJoomla , JLessFormatterJoomla , lessc_formatter_classic
  • $indexer : FinderIndexerAdapter
  • $info : AdminModelSysInfo , AdminViewSysinfo , JException , JOpenstreetmap
  • $infourl : Update
  • $initialized : Registry
  • $inParens : FOFLessParser , lessc_parser
  • $input : FinderIndexerQuery , FOFController , FOFDatabaseInstaller , FOFDispatcher , FOFModel , FOFTable , FOFToolbar , FOFView , JApplicationWebRouter , JControllerBase , JOAuth1Client , JOAuth2Client , AbstractApplication , FormField , BaseController , Session , JSessionHandlerJoomla
  • $input_encoding : SimplePie
  • $inputFilter : FeedParser
  • $inputmode : JFormFieldText
  • $inputs : JInput , Input
  • $insert : FOFDatabaseQuery , JDatabaseQuery
  • $install_script : ComponentAdapter
  • $installation_queue : FOFUtilsInstallscript
  • $installed : InstalledVersions
  • $installedByVendor : InstalledVersions
  • $installedIds : PackageAdapter
  • $installer : PlgExtensionJoomla
  • $instance : AKFactory , FOFPlatform , FOFUtilsObservableDispatcher , JEventDispatcher , CliApplication , WebApplication , Authentication , Patcher , UserGroupsHelper , Installer , Log , BaseController , ChangeSet , Session , Updater , Patcher , Session , Inflector , Manager
  • $instances : FOFDatabaseDriver , FOFTable , JApplication , JDatabaseDriver , CMSApplication , Categories , FtpClient , Document , Editor , Browser , Installer , LanguageStemmer , Mail , AbstractMenu , Pathway , Profiler , Router , Toolbar , Uri , User , Container , FtpClient , InputFilter , AbstractRegistryFormat , Registry , Storage , JSessionStorage
  • $instructions : FinderIndexerResult
  • $internalArray : SplFixedArray
  • $internalContext : FieldsControllerField
  • $internalResource : PharStreamWrapper
  • $intro_items : ContentViewCategory , ContentViewFeatured
  • $invocation : PharStreamWrapper
  • $invocationFunctionNames : PharInvocationResolver
  • $invocations : PharInvocationCollection
  • $invsqrtamd : ParagonIE_Sodium_Core_Curve25519_H
  • $ip : FOFUtilsIp , IpHelper
  • $ipath : SimplePie_IRI
  • $iquery : SimplePie_IRI
  • $isBound : LdapClient
  • $isDownload : XmlDocument
  • $isEnabled : FOFPlatform
  • $isFinished : AKAbstractPart
  • $isNested : TagField
  • $isPaid : FOFUtilsInstallscript
  • $isPrepared : AKAbstractPart
  • $isRoot : User
  • $isRunning : AKAbstractPart
  • $isSupported : FOFDownloadAdapterAbstract
  • $item : AdminViewProfile , BannersViewBanner , BannersViewClient , CategoriesViewCategory , ConfigViewModulesHtml , ConfigViewTemplatesHtml , ContactViewContact , ContentViewArchive , ContentViewArticle , ContentViewFeatured , ContentViewForm , FieldsViewField , FieldsViewGroup , FinderViewFilter , FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup , LanguagesViewLanguage , LanguagesViewOverride , MenusViewItem , MenusViewMenu , MessagesModelMessage , MessagesViewConfig , MessagesViewMessage , ModulesViewModule , NewsfeedsViewNewsfeed , PluginsViewPlugin , PrivacyViewRequest , RedirectViewLink , SimplePie_Source , TagsViewTag , TagsViewTags , TemplatesViewStyle , UsersViewGroup , UsersViewLevel , UsersViewNote , UsersViewUser
  • $item_limit : SimplePie
  • $items : ActionlogsViewActionlogs , AssociationsViewAssociation , AssociationsViewAssociations , BannersViewBanners , BannersViewClients , BannersViewTracks , CategoriesViewCategories , CheckinViewCheckin , ContactViewContacts , ContactViewFeatured , ContenthistoryViewCompare , ContenthistoryViewHistory , ContenthistoryViewPreview , ContentViewArchive , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , FinderViewFilters , FinderViewIndex , FinderViewMaps , InstallationViewDefaultlanguageHtml , InstallationViewLanguagesHtml , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , JHtmlAdminLanguage , JHtmlCategory , JHtmlContentLanguage , JHtmlMenu , JHtmlTag , FeedDocument , CategoriesView , CategoryView , LanguagesViewLanguages , LanguagesViewOverrides , MenusViewItems , MenusViewMenu , MenusViewMenus , MessagesViewMessages , ModulesViewModules , ModulesViewPositions , ModulesViewSelect , NewsfeedsViewNewsfeeds , PluginsViewPlugins , PrivacyExportDomain , PrivacyViewConsents , PrivacyViewRequests , RedirectViewLinks , SearchViewSearches , TagsModelTag , TagsViewTag , TagsViewTags , TemplatesViewStyles , TemplatesViewTemplates , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroups , UsersViewLevels , UsersViewNotes , UsersViewUsers
  • $itemType : AssociationsViewAssociation , AssociationsViewAssociations
  • $itemTypes : ContactAssociationsHelper , ContentAssociationsHelper , AssociationExtensionHelper , MenusAssociationsHelper , NewsfeedsAssociationsHelper
  • $iteration_count_log2 : PasswordHash
  • $itoa64 : PasswordHash
  • $iuserinfo : SimplePie_IRI
  • $iv : JKeychain , ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • $javascript : SimplePie_Enclosure
  • $jobs : JLinkedin
  • $join : FOFDatabaseQuery , JDatabaseQuery
  • $key : FOFEncryptAes , RouterViewConfiguration , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • $keychain : KeychainManager
  • $keyField : JFormFieldSQL , JFormFieldTimezone
  • $keyType : BlowfishCipher , McryptCipher , Rijndael256Cipher , TripleDesCipher
  • $keywords : JFormFieldColor , SimplePie_Enclosure
  • $knownColors : ColorStyle
  • $knownFields : FOFTable
  • $knownOptions : ColorStyle
  • $label : FOFFormHeader , FormField , SimplePie_Category , SimplePie_Copyright
  • $labelclass : FormField
  • $lang : Language , SimplePie_Caption , SimplePie_Enclosure
  • $lang_codes : PlgSystemLanguageFilter
  • $lang_tag : AdminModelHelp , AdminViewHelp
  • $langlist : InstallationModelLanguages , LanguagesModelInstalled
  • $language : AKText , FinderIndexerQuery , FinderIndexerResult , FinderIndexerToken , JFormFieldMenuitemByType , WebApplication , AuthenticationResponse , CategoryNode , Document , Factory , FeedLink , MenuitemField , MenuItem , SiteMenu , PHPMailer
  • $languageCount : InstallerModelLanguages
  • $languages : WebClient , Language
  • $last_reply : SMTP
  • $last_smtp_transaction_id : SMTP
  • $lastBuildDate : FeedDocument
  • $lastMessageID : PHPMailer
  • $lastQueryStoreId : ListModel
  • $lastResetTime : User
  • $lastvisitDate : User
  • $latest : Update
  • $latest_version_check : AdminModelHelp , AdminViewHelp
  • $layout : FinderIndexerAdapter , FOFController , JFormFieldCalendar , JFormFieldCheckboxes , JFormFieldColor , JFormFieldCombo , JFormFieldEMail , JFormFieldFile , JFormFieldHidden , JFormFieldMeter , JFormFieldNumber , JFormFieldPassword , JFormFieldRadio , JFormFieldRange , JFormFieldSubform , JFormFieldTel , JFormFieldText , JFormFieldTextarea , JFormFieldTinymceBuilder , JFormFieldUrl , ContenthistoryField , MediaField , ModuleorderField , UserField , FormField , JViewHtml , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PlgSystemStatsFormFieldData , PlgSystemStatsFormFieldUniqueid
  • $layoutData : JFormFieldTinymceBuilder
  • $layoutId : FileLayout
  • $layouts : RouterViewConfiguration
  • $ldap_debug : LdapClient
  • $LE : PHPMailer
  • $lead_items : ContentViewCategory , ContentViewFeatured
  • $leftover : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $legacy : JError , SimplePie_Registry
  • $legacyPackages : JGithub
  • $len : StreamString , StringWrapper
  • $length : FinderIndexerToken , FeedEnclosure , FeedLink , SimplePie_Enclosure
  • $level : JException , CategoryNode , MenuItem , Nested
  • $levels : JError
  • $levelsInUse : UsersModelLevel
  • $lft : CategoryNode , Nested
  • $libFunctions : FOFLess , lessc
  • $libraries : LibraryHelper
  • $libraryname : LibraryManifest
  • $license : LibraryManifest
  • $limbs : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • $limit : FOFDatabaseDriver , FOFDatabaseQueryMysqli , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseDriver , JDatabaseQueryMysqli , JDatabaseQueryOracle , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv , Pagination
  • $limitstart : Pagination
  • $line_separator : EchoLogger
  • $lineDirectives : FOFLessParser , lessc_parser
  • $lineEndings : FtpClient
  • $lines : Parser
  • $link : JFacebook , Document , FeedImage , FeedItem , MediaField , MenuItem , Component , Heading , Url , PaginationObject , SimplePie_Author , SimplePie_Enclosure
  • $link_items : ContentViewCategory , ContentViewFeatured
  • $linkbar : FOFToolbar
  • $linkFormat : PlgSystemDebug
  • $links : JMediawiki
  • $list : FOFModel , PlgContentPagebreak
  • $list_price : FinderIndexerResult
  • $listBlacklist : ListModel
  • $listenerFilter : Dispatcher
  • $listeners : Dispatcher
  • $lists : FOFViewRaw , JTwitter
  • $literalCache : FOFLessParser , lessc_parser
  • $loaded : JHtmlBehavior , JHtmlBootstrap , JHtmlDropdown , JHtmlForm , JHtmlFormbehavior , JHtmlJquery , JHtmlSearchtools , JHtmlSortablelist , JHtmlTextdiff , Input
  • $loader : ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd , JClassLoader
  • $local : SimplePie_Locator
  • $locale : Language
  • $locallySkippedLineNumbers : Parser
  • $location : SimplePie_Cache_File
  • $lock : JFormFieldPassword
  • $log : FOFDatabaseDriver , JDatabaseDriver
  • $logEntries : PlgSystemDebug
  • $loggableExtensions : PlgActionlogJoomla
  • $logger : AbstractApplication , DelegatingPsrLogger , Image , ImageFilter
  • $loggers : Log
  • $lookup : MenuRules , RouteHelper , Log , TagsHelperRoute
  • $lowerAgent : Browser
  • $lowerLimitSearchWordCallback : Language
  • $lts_url : FOFUtilsUpdateJoomla
  • $machineContent : Microdata
  • $mailer : Factory
  • $Mailer : PHPMailer
  • $mailHeader : PHPMailer
  • $maintainer : Update
  • $maintainerurl : Update
  • $majorVersion : Browser
  • $manifest : Installer , InstallerAdapter , Container
  • $manifest_cache : InstallerExtension
  • $manifest_file : Manifest
  • $manifest_script : ComponentAdapter , InstallerAdapter
  • $manifestClass : Installer
  • $manifestLength : Manifest
  • $mappedAlias : Stub
  • $maps : JApplicationWebRouterBase
  • $marks : Profiler
  • $match_opts : tagparse
  • $matches : FinderIndexerToken
  • $max : JFormFieldNumber , JFormFieldSubform
  • $max_checked_feeds : SimplePie , SimplePie_Locator
  • $max_exec_time : AKCoreTimer , FOFUtilsTimer
  • $maximumJoomlaVersion : FOFUtilsInstallscript
  • $maxlength : JFormFieldCalendar
  • $maxLength : JFormFieldPassword , JFormFieldText
  • $maxlength : JFormFieldTextarea
  • $maxyear : JFormFieldCalendar
  • $mechs : uctc
  • $mediaVersion : Document
  • $medium : SimplePie_Enclosure
  • $menu : RouterBase , SiteRouter
  • $menuItemModel : PlgSampledataBlog
  • $menus : JHtmlMenu
  • $menuType : JFormFieldMenuitemByType , MenuitemField
  • $menutype : MenuItem
  • $message : FOFController , JJsonResponse , Installer , LogEntry , BaseController , JsonResponse
  • $message_type : PHPMailer
  • $MessageDate : PHPMailer
  • $MessageID : PHPMailer
  • $messages : JJsonResponse , JsonResponse
  • $messageType : FOFController , BaseController
  • $metadata : Tar , Zip , CategoryNode , Language
  • $metaData : Manifest
  • $metaDataLength : Manifest
  • $metadesc : CategoryNode
  • $metakey : CategoryNode
  • $meter : JFormFieldPassword
  • $method : FOFEncryptAesOpenssl , JKeychain , OpenSSL , SimplePie_File
  • $methodInPostRequest : JApplicationWebRouterRest
  • $methodName : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • $methods : FOFController , Zip , Authentication , BaseController
  • $methodSelect : JoomlaupdateViewDefault
  • $methodSelectUpload : JoomlaupdateViewDefault
  • $mime : FinderIndexerAdapter
  • $MIMEBody : PHPMailer
  • $MIMEHeader : PHPMailer
  • $mimeType : AbstractWebApplication , WebApplication
  • $min : JFormFieldNumber , JFormFieldSubform
  • $min_compressed_size : SimplePie_gzdecode
  • $minimum_stability : Update , UpdateAdapter
  • $minimumBatchProcessingTime : FinderCli
  • $minimumJoomla : InstallerScript
  • $minimumJoomlaVersion : FOFUtilsInstallscript
  • $minimumPhp : InstallerScript
  • $minimumPHPVersion : FOFUtilsInstallscript
  • $minorVersion : Browser
  • $minyear : JFormFieldCalendar
  • $missingClasses : ClassLoader
  • $mobile : WebClient , Browser
  • $mode : FinderIndexerQuery , BlowfishCipher , McryptCipher , Rijndael256Cipher , TripleDesCipher , StreamString , UserGroupsHelper , Router , StringWrapper
  • $mode_sef : PlgSystemLanguageFilter
  • $modeAlias : PlgEditorCodemirror
  • $model : FOFForm , InstallationViewCompleteHtml , InstallationViewDefault , InstallationViewDefaultlanguageHtml , InstallationViewInstallHtml , InstallationViewLanguagesHtml , JViewBase
  • $model_prefix : FOFController , BaseController
  • $modelDispatcher : FOFModel
  • $modelName : FOFController
  • $modified_time : CategoryNode
  • $modified_user_id : CategoryNode
  • $modifiedDate : AbstractWebApplication , WebApplication
  • $modifiers : InstallationFormRulePrefix , FormRule , BooleanRule
  • $mods : PlgContentLoadmodule
  • $modules : CpanelViewCpanel , MenusViewItem , MenusViewMenus , PlgContentLoadmodule
  • $modulesSourcePath : FOFUtilsInstallscript
  • $month : SimplePie_Parse_Date
  • $month_pcre : SimplePie_Parse_Date
  • $mPrefix : FOFLess , lessc
  • $msgElements : ChangeItem
  • $MTIME : SimplePie_gzdecode
  • $multifeed_objects : SimplePie
  • $multifeed_url : SimplePie
  • $multiple : FormField
  • $mysql : SimplePie_Cache_MySQL
  • $name : ConfigModelCms , FOFController , FOFDatabaseDriver , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlazure , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDatabaseQueryElement , FOFDownloadAdapterAbstract , FOFFormHeader , FOFModel , FOFModelField , FOFPlatform , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlazure , JDatabaseDriverSqlite , JDatabaseQueryElement , JGithubPackage , JGithubPackageActivity , JGithubPackageData , JGithubPackageGists , JGithubPackageIssues , JGithubPackageOrgs , JGithubPackagePulls , JGithubPackageRepositories , JGithubPackageUsers , RouterView , RouterViewConfiguration , XmlDocument , FeedPerson , Form , FormField , InstallerAdapter , Manifest , BaseController , BaseDatabaseModel , Asset , Update , User , BufferStreamHandler , AbstractEvent , Buffer , nodecounter , PrivacyExportDomain , PrivacyExportField , SimplePie_Author , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Credit , SimplePie_HTTP_Parser
  • $name_quotes : FOFDatabaseQuerySqlazure , FOFDatabaseQuerySqlsrv , JDatabaseQuerySqlazure , JDatabaseQuerySqlsrv
  • $nameQuote : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • $namespace : CategoryFactory , MVCFactory , SimplePie_Parser
  • $namespaces : JLoader , FeedParser
  • $negotiate_tls : LdapClient
  • $nestable : RouterViewConfiguration
  • $newTags : Tags
  • $nextBlockId : FOFLessParser , lessc_parser
  • $nextImportId : FOFLess , lessc
  • $no_referrals : LdapClient
  • $noColors : ColorProcessor
  • $nodes : FinderIndexerTaxonomy
  • $noIDs : ContactRouter , ContentRouter , NewsfeedsRouter
  • $nonce : SodiumCipher , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • $nonCoreExtensions : JoomlaupdateViewDefault
  • $normalization : SimplePie_IRI
  • $note : JFacebook , MenuItem
  • $noWait : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • $NP : idna_convert
  • $null_date : FOFDatabaseQuerySqlsrv , JDatabaseQuerySqlsrv
  • $null_value : FOFModelField
  • $nullDate : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • $numberOfUrgentRequests : PrivacyViewDashboard
  • $numberPrecision : FOFLess , lessc
  • $numeric : FinderIndexerToken
  • $numitems : CategoryNode
  • $oauth : JFacebook , JFacebookObject , JLinkedin , JLinkedinObject , JOpenstreetmap , JOpenstreetmapObject , JTwitter , JTwitterObject , PHPMailerOAuth
  • $oauthClientId : PHPMailerOAuth , PHPMailerOAuthGoogle
  • $oauthClientSecret : PHPMailerOAuth , PHPMailerOAuthGoogle
  • $oauthRefreshToken : PHPMailerOAuth , PHPMailerOAuthGoogle
  • $oauthUserEmail : PHPMailerOAuth , PHPMailerOAuthGoogle
  • $objectCache : FOFPlatform
  • $objectForMap : Inline
  • $objectlist : AKFactory
  • $objects : DataSet
  • $objectSupport : Inline
  • $observations : JObserverMapper
  • $observers : AKAbstractPart , JObserverUpdater , Authentication
  • $offset : FOFDatabaseDriver , FOFDatabaseQueryMysqli , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseDriver , JDatabaseQueryMysqli , JDatabaseQueryOracle , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv , Parser
  • $old_access : FinderIndexerAdapter
  • $old_cataccess : FinderIndexerAdapter
  • $oldAdminFiles : ComponentAdapter
  • $oldFiles : ComponentAdapter , PluginAdapter
  • $onchange : FormField
  • $onclick : FormField
  • $onemsqd : ParagonIE_Sodium_Core_Curve25519_H
  • $open : FOFLessFormatterClassic , FOFLessFormatterCompressed , lessc_formatter_classic , lessc_formatter_compressed
  • $openedPath : StreamString , StringWrapper
  • $openmode : Stream
  • $openSingle : FOFLessFormatterClassic , lessc_formatter_classic
  • $openSSLOptions : FOFEncryptAesOpenssl , OpenSSL
  • $operators : FinderIndexerQuery
  • $operatorString : FOFLessParser , lessc_parser
  • $option : ConfigControllerCanceladmin , ConfigModelCms , FOFModel , FOFUtilsFilescheck , ComponentRecord , AdminController , FormController , BaseDatabaseModel , LanguagesModelInstalled , LanguagesViewInstalled
  • $optionDefaults : JHtmlSelect
  • $options : FOFDatabaseDriver , FOFFormHeader , InstallationViewCompleteHtml , InstallationViewInstallHtml , InstallationViewPreinstallHtml , InstallationViewSummaryHtml , JDatabaseDriver , JDatabaseExporter , JDatabaseImporter , JFacebook , JFacebookOAuth , JFacebookObject , JFormFieldLogCreator , JFormFieldPredefinedList , JGithub , JGithubObject , JGoogle , JGoogleAuth , JGoogleData , JGoogleEmbed , JGrid , JInput , JLinkedin , JLinkedinOauth , JLinkedinObject , JMediawiki , JMediawikiObject , JOAuth1Client , JOAuth2Client , ColorStyle , Archive , Bzip2 , Gzip , Tar , Zip , CacheController , StreamString , AuthorField , LimitboxField , UsergrouplistField , Form , Http , CurlTransport , SocketTransport , StreamTransport , BaseLayout , Logger , StringWrapper , Input , Ini , JOpenstreetmap , JOpenstreetmapOauth , JOpenstreetmapObject , JTwitter , JTwitterOAuth , JTwitterObject , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL
  • $order : FOFDatabaseQuery , JDatabaseQuery
  • $order_by_date : SimplePie
  • $ordering : FOFPlatform
  • $orphans : Language
  • $OS : SimplePie_gzdecode
  • $otable : FOFModel
  • $output : AbstractCliApplication , CliApplication
  • $output_encoding : SimplePie_Sanitize
  • $overflow : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • $override : Language
  • $overridesList : TemplatesViewTemplate
  • $overwrite : Installer
  • $packagename : PackageManifest
  • $packager : Manifest
  • $packagerurl : Manifest
  • $packages : JGithub , JGithubPackage , JGithubPackageActivity , JGithubPackageData , JGithubPackageGists , JGithubPackageIssues , JGithubPackageOrgs , JGithubPackagePulls , JGithubPackageRepositories , JGithubPackageUsers
  • $packageUninstall : Installer
  • $pad : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $page : AdminModelHelp , AdminViewHelp
  • $pageclass_sfx : PrivacyViewConfirm , PrivacyViewRemind , PrivacyViewRequest
  • $pageHeading : ContactViewCategories , ContentViewCategories , CategoriesView , NewsfeedsViewCategories
  • $pages : JMediawiki
  • $pagesCurrent : Pagination
  • $pagesStart : Pagination
  • $pagesStop : Pagination
  • $pagesTotal : Pagination
  • $pagination : ActionlogsViewActionlogs , AssociationsViewAssociation , AssociationsViewAssociations , BannersViewBanners , BannersViewClients , BannersViewTracks , CacheViewCache , CategoriesViewCategories , CheckinViewCheckin , ContactViewContacts , ContactViewFeatured , ContenthistoryViewHistory , ContentViewArchive , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , FinderViewFilters , FinderViewIndex , FinderViewMaps , FinderViewSearch , FOFModel , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , CategoryView , LanguagesViewInstalled , LanguagesViewLanguages , LanguagesViewOverrides , MenusViewItems , MenusViewMenus , MessagesViewMessages , ModulesViewModules , ModulesViewPositions , NewsfeedsViewNewsfeeds , PluginsViewPlugins , PrivacyViewConsents , PrivacyViewRequests , RedirectViewLinks , SearchViewSearches , TagsViewTag , TagsViewTags , TemplatesViewStyles , TemplatesViewTemplates , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroups , UsersViewLevels , UsersViewNotes , UsersViewUsers
  • $params : ContentViewArticle , FinderViewSearch , FOFDownload , JAdminCssMenu , CategoryNode , ComponentRecord , HtmlDocument , InstallerExtension , MenuItem , Node , CMSPlugin , User , PrivacyViewConfirm , PrivacyViewRemind , PrivacyViewRequest , TagsViewTag , TagsViewTags , UsersViewLogin , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset
  • $paramTable : InstallerScript
  • $parent : AdapterInstance , RouterViewConfiguration , Node , CollectionAdapter , Container
  • $parent_id : CategoryNode , MenuItem , Nested
  • $parent_key : RouterViewConfiguration
  • $parentId : AbstractDaemonApplication , DaemonApplication
  • $parentSelector : FOFLess , lessc
  • $parsedFile : ParseException
  • $parsedLine : ParseException
  • $parser : Yaml
  • $parsers : FeedFactory
  • $pass : AbstractUri
  • $password : AuthenticationResponse , DatabaseLogger , User , LdapClient
  • $Password : PHPMailer
  • $password : POP3
  • $password_clear : User
  • $passwords : AKEncryptionAES
  • $pasv : FtpClient
  • $patches : Patcher
  • $path : InstallationModelLanguages , RouterViewConfiguration , StreamString , FormattedtextLogger , StringWrapper , Image , AbstractUri , LanguagesModelInstalled
  • $paths : FOFController , FOFPlatform , FOFPlatformFilesystem , FormHelper , Installer , Language , BaseController , JViewHtml
  • $pattern : FormField
  • $pause : FinderCli
  • $pbkdf2Algorithm : AKEncryptionAES
  • $pbkdf2Iterations : AKEncryptionAES
  • $pbkdf2StaticSalt : AKEncryptionAES
  • $pbkdf2UseStaticSalt : AKEncryptionAES
  • $people : JGoogleDataPlus , JLinkedin
  • $perms : AKAbstractPostproc , FOFToolbar , FOFViewRaw
  • $photo : JFacebook
  • $php_info : AdminModelSysInfo , AdminViewSysinfo
  • $php_settings : AdminModelSysInfo , AdminViewSysinfo
  • $phpInfoArray : AdminModelSysInfo
  • $phpoptions : InstallationViewSummaryHtml
  • $phpOptions : JoomlaupdateViewDefault
  • $phpsettings : InstallationViewSummaryHtml
  • $phpSettings : JoomlaupdateViewDefault
  • $phrase : FinderIndexerToken
  • $places : JTwitter
  • $platform : WebClient , Browser
  • $player : SimplePie_Enclosure
  • $PluginDir : PHPMailer
  • $plugins : PluginHelper
  • $pluginsSourcePath : FOFUtilsInstallscript
  • $pluginState : FinderViewIndex
  • $pluralSuffixesCallback : Language
  • $POP3_PORT : POP3
  • $POP3_TIMEOUT : POP3
  • $pop_conn : POP3
  • $pop_parent : CollectionAdapter
  • $port : LdapClient , AbstractUri
  • $Port : PHPMailer
  • $port : POP3 , SimplePie_IRI
  • $portable_hashes : PasswordHash
  • $pos : StreamString , StringWrapper
  • $position : JFormFieldColor , BufferStreamHandler , Buffer , SimplePie_Decode_HTML_Entities , SimplePie_gzdecode , SimplePie_HTTP_Parser , SimplePie_XML_Declaration_Parser
  • $post : JFacebook
  • $postcode : AuthenticationResponse
  • $postInstallationMessages : FOFUtilsInstallscript
  • $postProcEngine : AKAbstractUnarchiver
  • $precedence : FOFLessParser , lessc_parser
  • $predefinedOptions : JFormFieldLogsDateRange , JFormFieldPredefinedList , PluginstatusField , RedirectStatusField , RegistrationdaterangeField , StatusField , UseractiveField , UserstateField , PrivacyFormFieldRequeststatus , PrivacyFormFieldRequesttype
  • $prefix : ConfigControllerApplicationDisplay , ConfigControllerCmsbase , ConfigControllerComponentDisplay , ConfigControllerDisplay , Pagination , PaginationObject , Profiler
  • $prefixDirsPsr4 : ClassLoader , ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • $prefixes : JLoader , FormHelper
  • $prefixesPsr0 : ClassLoader , ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • $prefixLengthsPsr4 : ClassLoader , ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • $preloadedAssets : Access
  • $preloadedAssetTypes : Access
  • $prepared : FOFDatabaseDriverPdo , JDatabaseDriverPdo
  • $preserveComments : FOFLess , lessc
  • $presets : MenuHelper
  • $preview : MediaField , TemplatesViewTemplate
  • $previewHeight : MediaField
  • $previewWidth : MediaField
  • $previousExceptionHandler : PlgSystemRedirect
  • $previousMem : Profiler
  • $previousTime : Profiler
  • $print : ContentViewArticle , NewsfeedsViewNewsfeed
  • $priorities : LogEntry , Logger , SyslogLogger
  • $priority : FOFDownloadAdapterAbstract , FOFRenderAbstract , LogEntry
  • $Priority : PHPMailer
  • $priorityMap : DelegatingPsrLogger
  • $privacyConsentPluginId : PrivacyViewDashboard
  • $privacyPolicyInfo : PrivacyViewDashboard
  • $private : Key
  • $privateSettings : AdminModelSysInfo
  • $processId : AbstractDaemonApplication , DaemonApplication
  • $processingmethod : Stream
  • $processor : CliOutput
  • $profile : JTwitter
  • $profiler : FinderIndexer , CMSApplication
  • $properties : Feed , FeedEntry , DataObject
  • $property : Microdata
  • $protectedConfigurationFields : ConfigModelApplication
  • $pubDate : FeedDocument
  • $public : Key
  • $publish_end_date : FinderIndexerResult
  • $publish_start_date : FinderIndexerResult
  • $published : FinderIndexerResult , JFormFieldMenuitemByType , CategoryNode , MenuitemField , InstallerExtension
  • $qtime : FinderCli
  • $query : FinderModelSearch , FinderViewSearch , JDatabaseExceptionExecuting , JFormFieldSQL , MenuItem , ListModel , AbstractUri
  • $queryObject : FOFDatabaseDriverPostgresql , JDatabaseDriverPostgresql
  • $queryType : ChangeItem
  • $queue : ListenersPriorityQueue
  • $r : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $random_state : PasswordHash
  • $rating : FeedDocument
  • $ratings : SimplePie_Enclosure
  • $raw : Json
  • $raw_data : SimplePie
  • $rawMessage : ParseException
  • $rawname : CacheStorage
  • $Rcon : AKEncryptionAES
  • $readonly : FormField
  • $readprefix : Stream
  • $Realm : PHPMailer
  • $reason : PrivacyRemovalStatus , SimplePie_HTTP_Parser
  • $RecipientsQueue : PHPMailer
  • $record : FOFModel
  • $recursive : JFormFieldFolderList
  • $redirect : ConfigControllerCanceladmin , FOFController , BaseController
  • $redirect_url : Installer
  • $redirectPluginId : RedirectViewLinks
  • $redirects : SimplePie_File
  • $refs : Parser
  • $regex : InstallationFormRulePrefix , FormRule , BooleanRule , EmailRule , ModuleLayoutRule
  • $regex_consonant : FinderIndexerStemmerPorter_En
  • $regex_vowel : FinderIndexerStemmerPorter_En
  • $registerDate : User
  • $registered : BufferStreamHandler
  • $registeredLoaders : ClassLoader
  • $registeredVars : FOFLess , lessc
  • $registry : HTMLHelper , SimplePie , SimplePie_Item , SimplePie_Locator , SimplePie_Parser , SimplePie_Source
  • $rel : OpensearchUrl
  • $relation : FeedLink
  • $relations : FOFTableRelations
  • $relationship : SimplePie_Restriction
  • $relationships : Update
  • $release : InstallerScript
  • $remoteIp : RequestParameters
  • $removals : Patcher
  • $remove_div : SimplePie_Sanitize
  • $removeFilesAllVersions : FOFUtilsInstallscript
  • $removeFilesFree : FOFUtilsInstallscript
  • $removePath : AKAbstractUnarchiver
  • $renameDirs : AKAbstractUnarchiver
  • $renameFiles : AKAbstractUnarchiver
  • $rendererObject : FOFView
  • $renderers : FOFView
  • $renderFrontendButtons : FOFToolbar
  • $renderFrontendSubmenu : FOFToolbar
  • $renderLabelLayout : FormField
  • $renderLayout : FormField
  • $repeat : Form , FormField
  • $repeatable : FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • $replace_url_attributes : SimplePie_Sanitize
  • $replaceTags : TagsHelper , Tags
  • $ReplyTo : PHPMailer
  • $ReplyToQueue : PHPMailer
  • $requestCounts : PrivacyViewDashboard
  • $requestFormPublished : PrivacyViewDashboard
  • $requestMethod : ReCaptcha
  • $requestTime : JApplication
  • $required : FormField
  • $requiredTerms : FinderModelSearch
  • $requireReset : User
  • $rerunStatus : ChangeItem
  • $resetCount : User
  • $resolver : Manager
  • $resource : LdapClient
  • $response : AbstractWebApplication , WebApplication , FtpClient , RequestParameters
  • $responseCode : FtpClient
  • $responseMap : JFormFieldRedirect , AbstractWebApplication , WebApplication
  • $responseMsg : FtpClient
  • $restrictions : SimplePie_Enclosure
  • $results : FinderViewSearch , PackageAdapter
  • $rethrow : CryptoExceptionHandler
  • $return_page : ContactViewContact , ContentViewForm
  • $returning : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • $ReturnPath : PHPMailer
  • $rgt : CategoryNode , Nested
  • $rlu : MenusModelMenutypes
  • $robot : WebClient
  • $robots : Browser
  • $role : SimplePie_Credit
  • $root : Tree , Uri
  • $root_id : Nested
  • $rootAssetId : Access
  • $route : FinderIndexerResult , InstallerAdapter , MenuItem
  • $router : MenuRules , NomenuRules , StandardRules
  • $rowid : FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • $rows : JFormFieldTextarea , JGrid , LanguagesViewInstalled
  • $rules : RouterView , Router , Asset , Inflector
  • $running : AbstractDaemonApplication , DaemonApplication
  • $runPlugins : ContactViewCategory , CategoryView
  • $runState : AKAbstractUnarchiver
  • $safe_char : uctc
  • $safe_mode : uctc
  • $safeData : AdminModelSysInfo
  • $sale_price : FinderIndexerResult
  • $samplingrate : SimplePie_Enclosure
  • $sanitize : SimplePie
  • $Sbox : AKEncryptionAES
  • $schemaXmlPath : FOFUtilsInstallscript
  • $schemaXmlPathRelative : FOFUtilsInstallscript
  • $scheme : AbstractUri , SimplePie_Category , SimplePie_Credit , SimplePie_IRI , SimplePie_Rating
  • $scope : JApplication , CMSApplication
  • $scriptElement : FileAdapter , ModuleAdapter , PluginAdapter
  • $scriptfile : PackageManifest
  • $scriptOptions : Document
  • $search : FinderIndexerQuery , JMediawiki , JTwitter
  • $search_string : LdapClient
  • $searchDisplayedCharactersNumberCallback : Language
  • $secret : ReCaptcha , RequestParameters
  • $section : JFormFieldRules
  • $security : Session
  • $sefs : PlgSystemLanguageFilter
  • $select : FOFDatabaseQuery , JDatabaseQuery
  • $selectorSeparator : FOFLessFormatterClassic , FOFLessFormatterCompressed , FOFLessFormatterJoomla , FOFLessFormatterLessjs , JLessFormatterJoomla , lessc_formatter_classic , lessc_formatter_compressed , lessc_formatter_lessjs
  • $selectRowNumber : JDatabaseQuery
  • $sendEmail : User
  • $Sender : PHPMailer
  • $Sendmail : PHPMailer
  • $sendMailEnabled : PrivacyViewDashboard , PrivacyViewRequest , PrivacyViewRequests
  • $separator : Registry , SimplePie_Parser
  • $serialized : DisallowedClassesSubstitutor
  • $server_caps : SMTP
  • $serverType : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • $serverUrl : PlgSystemStats
  • $session : AbstractWebApplication , WebApplication , Factory
  • $set : FOFDatabaseQuery , JDatabaseQuery
  • $setFrontendPageTitle : FOFViewHtml
  • $settings : InstallationViewPreinstallHtml
  • $showon : FormField
  • $SI1 : SimplePie_gzdecode
  • $SI2 : SimplePie_gzdecode
  • $sidebar : CheckinViewCheckin , ContactViewContacts , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , FinderViewFilters , FinderViewIndex , FinderViewMaps , PrivacyViewCapabilities , PrivacyViewConsents , PrivacyViewDashboard , PrivacyViewRequests
  • $sigma : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • $sign_cert_file : PHPMailer
  • $sign_extracerts_file : PHPMailer
  • $sign_key_file : PHPMailer
  • $sign_key_pass : PHPMailer
  • $signals : AbstractDaemonApplication , DaemonApplication
  • $SingleTo : PHPMailer
  • $SingleToArray : PHPMailer
  • $singleValueResponseHeaders : WebApplication
  • $sites : JMediawiki
  • $size : CacheStorageHelper , FormField , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • $skipDays : FeedDocument
  • $skipFiles : AKAbstractUnarchiver
  • $skipHours : FeedDocument
  • $skippedLineNumbers : Parser
  • $slug : CategoryNode
  • $smtp : PHPMailer
  • $smtp_conn : SMTP
  • $SMTP_PORT : SMTP
  • $smtp_transaction_id_patterns : SMTP
  • $SMTPAuth : PHPMailer
  • $SMTPAutoTLS : PHPMailer
  • $SMTPDebug : PHPMailer
  • $SMTPKeepAlive : PHPMailer
  • $SMTPOptions : PHPMailer
  • $SMTPSecure : PHPMailer
  • $snippet : ParseException
  • $socket : SocketPost
  • $sortable : FOFFormHeader
  • $sortCase : FOFUtilsArray , JArrayHelper
  • $sortDirection : FOFUtilsArray , JArrayHelper
  • $sortKey : FOFUtilsArray , JArrayHelper
  • $sortLocale : FOFUtilsArray , JArrayHelper
  • $source : FeedItem , TemplatesViewTemplate
  • $sourceLoc : FOFLess , lessc
  • $sourceParser : FOFLess , lessc
  • $sources : Patcher
  • $specialRows : JGrid
  • $spellcheck : FormField
  • $split : JFormFieldColor
  • $sqdmone : ParagonIE_Sodium_Core_Curve25519_H
  • $sql : FOFDatabaseDriver , FOFDatabaseQuery , JDatabaseDriver , JDatabaseQuery
  • $sqlShowProfileEach : PlgSystemDebug
  • $sqlShowProfiles : PlgSystemDebug
  • $sqrtadm1 : ParagonIE_Sodium_Core_Curve25519_H
  • $sqrtm1 : ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H
  • $stack : JError , Update , UpdateAdapter
  • $standalone : SimplePie_XML_Declaration_Parser
  • $start : Profiler
  • $start_date : FinderIndexerResult
  • $start_here : AdminViewHelp
  • $start_time : AKCoreTimer , FOFUtilsTimer
  • $startAt : Php73
  • $started : JSessionHandlerNative
  • $startTime : JApplication , SimplePie_Caption
  • $stat : StreamString , StringWrapper
  • $state : ActionlogsViewActionlogs , AdminViewProfile , AssociationsViewAssociation , AssociationsViewAssociations , BannersViewBanner , BannersViewBanners , BannersViewClient , BannersViewClients , BannersViewTracks , CacheViewCache , CategoriesViewCategories , CategoriesViewCategory , CheckinViewCheckin , ConfigViewApplicationHtml , ConfigViewApplicationJson , ConfigViewCmsJson , ConfigViewComponentHtml , ContactViewContact , ContactViewContacts , ContactViewFeatured , ContenthistoryViewCompare , ContenthistoryViewHistory , ContenthistoryViewPreview , ContentViewArchive , ContentViewArticle , ContentViewArticles , ContentViewFeatured , ContentViewForm , FieldsViewField , FieldsViewFields , FieldsViewGroup , FieldsViewGroups , FinderIndexer , FinderIndexerResult , FinderViewFilter , FinderViewFilters , FinderViewIndex , FinderViewMaps , FinderViewSearch , FOFModel , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , JModelBase , Authentication , BaseDatabaseModel , CategoriesView , CategoryView , Session , LanguagesViewLanguage , LanguagesViewLanguages , LanguagesViewOverride , LanguagesViewOverrides , MenusViewItem , MenusViewItems , MenusViewMenu , MenusViewMenus , MessagesViewConfig , MessagesViewMessage , MessagesViewMessages , ModulesViewModule , ModulesViewModules , ModulesViewPositions , ModulesViewSelect , NewsfeedsViewNewsfeed , NewsfeedsViewNewsfeeds , ntlm_sasl_client_class , PluginsViewPlugin , PluginsViewPlugins , PrivacyViewCapabilities , PrivacyViewConfirm , PrivacyViewConsents , PrivacyViewRemind , PrivacyViewRequest , PrivacyViewRequests , RedirectViewLink , RedirectViewLinks , SearchViewSearches , SimplePie_HTTP_Parser , SimplePie_XML_Declaration_Parser , TagsViewTag , TagsViewTags , TemplatesViewStyle , TemplatesViewStyles , TemplatesViewTemplate , TemplatesViewTemplates , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroup , UsersViewGroups , UsersViewLevel , UsersViewLevels , UsersViewLogin , UsersViewNote , UsersViewNotes , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset , UsersViewUser , UsersViewUsers
  • $state_field : FinderIndexerAdapter , PlgFinderCategories , PlgFinderContacts , PlgFinderNewsfeeds , PlgFinderTags
  • $stateStore : Update
  • $static : FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • $status : JFacebook , AuthenticationResponse
  • $status_code : SimplePie_File , SimplePie_HTTP_Parser
  • $statuses : JTwitter
  • $stem : FinderIndexerToken
  • $stemmer : FinderIndexerHelper
  • $stemmerOK : FinderIndexerHelper
  • $stemRules : FinderIndexerStemmerFr
  • $step : JFormFieldNumber
  • $stepStack : Installer
  • $stopped : AbstractEvent
  • $storage : ListenersPriorityQueue
  • $store : Session
  • $storedUser : AbstractMenu
  • $storeName : Session
  • $strapperSourcePath : FOFUtilsInstallscript
  • $stream : JLinkedin , FeedParser
  • $string : CategoriesViewCategories
  • $strings : AKText , Language , Text , StringController
  • $strip_attributes : SimplePie , SimplePie_Sanitize
  • $strip_comments : SimplePie_Sanitize
  • $strip_htmltags : SimplePie , SimplePie_Sanitize
  • $stripExt : JFormFieldFileList
  • $stripFilter : ColorProcessor
  • $stripUSC : InputFilter
  • $sts_url : FOFUtilsUpdateJoomla
  • $stub : Container
  • $styles : ColorProcessor
  • $stz : Date
  • $Subject : PHPMailer
  • $success : JJsonResponse , JsonResponse , Response , SimplePie_File
  • $suffixMap : JApplicationWebRouterRest
  • $suggestion : FinderIndexerToken
  • $supportedContext : PlgContentConfirmConsent
  • $supportedExtensionsList : AssociationsHelper
  • $supportsChunkDownload : FOFDownloadAdapterAbstract
  • $supportsDiscoverInstall : FileAdapter , PackageAdapter , InstallerAdapter
  • $supportsFileSize : FOFDownloadAdapterAbstract
  • $supressDivisionProps : FOFLessParser , lessc_parser
  • $syndicationURL : FeedDocument
  • $T : ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P3
  • $T2d : ParagonIE_Sodium_Core32_Curve25519_Ge_Cached , ParagonIE_Sodium_Core_Curve25519_Ge_Cached
  • $table : FinderIndexerAdapter , FOFModel , FOFTableRelations , DatabaseLogger , AdminModel , AbstractObserver , UCMContent , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • $table_alias : FOFModelField
  • $tableCache : FOFTable
  • $tableClassName : AdminModel
  • $tableDispatcher : FOFTable
  • $tableFieldCache : FOFTable
  • $tableFields : Table
  • $tablePrefix : FOFDatabaseDriver , JDatabaseDriver
  • $tables : CheckinModelCheckin , CheckinViewCheckin
  • $tableType : FOFTableRelations
  • $tag : TagsModelTag
  • $tagBlacklist : InputFilter
  • $tagFilter : ColorProcessor
  • $tags : Update , Container
  • $tags_title : TagsViewTag
  • $tagsArray : InputFilter
  • $tagsChanged : TagsHelper
  • $tagsHelper : Tags
  • $tagsMethod : InputFilter
  • $tagsObserver : AdminModel
  • $target : Component , Url
  • $targetplatform : Update
  • $task : FOFController , BaseController
  • $taskMap : FOFController , BaseController
  • $tasks : InstallationViewInstallHtml
  • $taxonomy : FinderIndexerResult
  • $tdwidth : FOFFormHeader
  • $tempFilename : AKAbstractPostproc
  • $template : CMSApplication , ErrorDocument , HtmlDocument , OpensearchUrl , TemplatestyleField , TemplatesModelTemplate , TemplatesViewTemplate
  • $template_style_id : MenuItem
  • $term : FinderIndexerToken , SimplePie_Category
  • $terms : FinderIndexerQuery
  • $test_url : FOFUtilsUpdateJoomla
  • $text : PaginationObject , SimplePie_Caption
  • $text_prefix : BannersControllerBanner , BannersControllerBanners , BannersControllerClient , BannersControllerClients , BannersModelBanner , CategoriesModelCategory , ConfigModelCms , ContentModelArticle , FieldsControllerField , FieldsControllerFields , FieldsControllerGroup , FieldsControllerGroups , FieldsModelField , FinderModelFilter , AdminController , FormController , AdminModel , LanguagesControllerOverrides , MenusModelItem , MenusModelMenu , ModulesModelModule , NewsfeedsModelNewsfeed , RedirectModelLink , TagsModelTag , TemplatesControllerStyle , UsersControllerGroup , UsersControllerGroups , UsersControllerLevel , UsersControllerLevels , UsersControllerNote , UsersControllerNotes , UsersControllerUser , UsersControllerUsers
  • $the_block : nodecounter
  • $threshold : JFormFieldPassword
  • $thumbnails : SimplePie_Enclosure
  • $time : FinderCli
  • $Timelimit : SMTP
  • $timeout : FtpClient
  • $Timeout : PHPMailer
  • $timeout : SimplePie , SimplePie_Locator , SimplePie_Sanitize
  • $Timeout : SMTP
  • $timestamp : AKAbstractPostproc
  • $timezone : AuthenticationResponse , SimplePie_Parse_Date
  • $timings : FOFDatabaseDriver , JDatabaseDriver
  • $title : FinderIndexerResult , CategoryNode , Document , FeedImage , FeedItem , FeedLink , MenuItem , Component , Heading , Separator , Url , Asset , SimplePie_Enclosure
  • $to : PHPMailer
  • $toc : AdminModelHelp , AdminViewHelp
  • $token : JOAuth1Client
  • $total : CheckinModelCheckin , FinderViewFilter , FinderViewFilters , FinderViewIndex , FinderViewMaps , FinderViewSearch , FOFModel , UserGroupsHelper , Pagination , LanguagesModelInstalled
  • $totalNumberOfLines : Parser
  • $totalQueries : PlgSystemDebug
  • $totalSize : AKAbstractUnarchiver
  • $transactionDepth : FOFDatabaseDriver , JDatabaseDriver
  • $translate : JFormFieldPredefinedList , JFormFieldSQL
  • $translateDescription : FormField
  • $translateHint : FormField
  • $translateLabel : FormField
  • $transliterator : Language
  • $transport : Http
  • $tree : JAdminCssMenu , MenuItem
  • $treeDepth : FOFTableNested
  • $treeNestedGet : FOFTableNested
  • $treeParent : FOFTableNested
  • $treeRoot : FOFTableNested
  • $trends : JTwitter
  • $TRUE : FOFLess , lessc
  • $ttl : FeedDocument
  • $tval : POP3
  • $type : FOFDatabaseQuery , FOFFormHeader , FOFModelField , InstallationFormFieldLanguage , InstallationFormFieldPrefix , InstallationFormFieldSample , InstallerModelWarnings , JDatabaseQuery , JException , JFormFieldAccessLevel , JFormFieldAliastag , JFormFieldBannerClient , JFormFieldBranches , JFormFieldCacheHandler , JFormFieldCalendar , JFormFieldCategory , JFormFieldCategoryEdit , JFormFieldCategoryParent , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldClicks , JFormFieldColor , JFormFieldCombo , JFormFieldComponentlayout , JFormFieldComponents , JFormFieldComponentsCategory , JFormFieldConfigComponents , JFormFieldConsentBox , JFormFieldContentMap , JFormFieldContentTypes , JFormFieldDatabaseConnection , JFormFieldDirectories , JFormFieldDob , JFormFieldEMail , JFormFieldExtension , JFormFieldExtensionStatus , JFormFieldFieldcontexts , JFormFieldFieldgroups , JFormFieldFieldlayout , JFormFieldFile , JFormFieldFileList , JFormFieldFilters , JFormFieldFolder , JFormFieldFolderList , JFormFieldFonts , JFormFieldGroupedList , JFormFieldGroupParent , JFormFieldHidden , JFormFieldImageList , JFormFieldImpMade , JFormFieldImpTotal , JFormFieldInteger , JFormFieldItemLanguage , JFormFieldItemType , JFormFieldLanguage , JFormFieldLanguageclient , JFormFieldLevels , JFormFieldList , JFormFieldLocation , JFormFieldLogCreator , JFormFieldLogsDateRange , JFormFieldLogType , JFormFieldMenuitemByType , JFormFieldMenuOrdering , JFormFieldMenuParent , JFormFieldMenuPreset , JFormFieldMenutype , JFormFieldMessageStates , JFormFieldMeter , JFormFieldModal_Article , JFormFieldModal_Category , JFormFieldModal_Contact , JFormFieldModal_Menu , JFormFieldModal_Newsfeed , JFormFieldModalAssociation , JFormFieldModulelayout , JFormFieldModulesModule , JFormFieldModulesPosition , JFormFieldNewsfeeds , JFormFieldNote , JFormFieldNumber , JFormFieldPassword , JFormFieldPluginElement , JFormFieldPluginInfo , JFormFieldPluginordering , JFormFieldPlugins , JFormFieldPluginType , JFormFieldPredefinedList , JFormFieldprivacy , JFormFieldRadio , JFormFieldRange , JFormFieldRedirect , JFormFieldRepeatable , JFormFieldRules , JFormFieldSearchFilter , JFormFieldSection , JFormFieldSessionHandler , JFormFieldSkins , JFormFieldSpacer , JFormFieldSQL , JFormFieldSubform , JFormFieldTel , JFormFieldTemplateLocation , JFormFieldTemplateName , JFormFieldterms , JFormFieldText , JFormFieldTextarea , JFormFieldTimezone , JFormFieldTinymceBuilder , JFormFieldTos , JFormFieldType , JFormFieldUploaddirs , JFormFieldUrl , JFormFieldUsergroup , JFormFieldUserMessages , JFormFieldVoteradio , AuthenticationResponse , BlowfishCipher , McryptCipher , Rijndael256Cipher , TripleDesCipher , Key , FeedEnclosure , OpensearchImage , OpensearchUrl , FeedLink , FeedPerson , AuthorField , CaptchaField , ChromestyleField , ContenthistoryField , ContentlanguageField , ContenttypeField , EditorField , FrontendlanguageField , HeadertagField , HelpsiteField , LimitboxField , MediaField , MenuField , MenuitemField , ModuleorderField , ModulepositionField , ModuletagField , OrderingField , PluginstatusField , RedirectStatusField , RegistrationdaterangeField , StatusField , TagField , TemplatestyleField , UseractiveField , UserField , UsergrouplistField , UserstateField , FormField , InstallerAdapter , InstallerExtension , MenuItem , Microdata , AdminModel , UCMBase , UCMType , DownloadSource , Update , FtpClient , PlgSystemStatsFormFieldData , PlgSystemStatsFormFieldUniqueid , PrivacyFormFieldRequeststatus , PrivacyFormFieldRequesttype , SimplePie_Caption , SimplePie_Enclosure , SimplePie_Restriction , TemplatesViewTemplate
  • $type_id : FinderIndexerAdapter , FinderIndexerResult
  • $type_title : FinderIndexerAdapter , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • $typeAlias : BannersModelBanner , BannersModelClient , CategoriesModelCategory , ContactModelContact , ContentModelArticle , ContentModelForm , FieldsModelField , FieldsModelGroup , ContentHistoryHelper , TagsHelper , AdminModel , MenusModelItem , ModulesModelModule , NewsfeedsModelNewsfeed , TagsModelTag , UsersModelNote
  • $typeAliasPattern : ContentHistory , Tags
  • $types : Tar , Microdata , MenusViewMenutypes
  • $tz : Date
  • $ucmData : UCMContent
  • $uninstallation_queue : FOFUtilsInstallscript
  • $union : FOFDatabaseQuery , JDatabaseQuery
  • $unionAll : FOFDatabaseQuery , JDatabaseQuery
  • $uniqueid : PHPMailer
  • $uniqueId : PlgSystemStats
  • $unsignedInt : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • $update : FOFDatabaseQuery , JDatabaseQuery , Manifest
  • $update_sites : CollectionAdapter
  • $updatecols : UpdateAdapter
  • $updated : KeychainManager
  • $updateEmailBody : FOFUtilsUpdate
  • $updateEmailSubject : FOFUtilsUpdate
  • $updateInfo : JoomlaupdateViewDefault
  • $updateInformation : JoomlaupdateModelDefault
  • $updateQuery : ChangeItem
  • $updater : FOFUtilsUpdate
  • $updates : CollectionAdapter
  • $updateSite : FOFUtilsUpdate
  • $updateSiteId : UpdateAdapter
  • $updateSiteName : FOFUtilsUpdate , UpdateAdapter
  • $upgrade : Installer
  • $upperLimitSearchWordCallback : Language
  • $urgentRequestAge : PrivacyViewRequests
  • $uri : JGoogleEmbed , FeedLink , FeedPerson , AbstractUri
  • $url : FinderIndexerResult , FeedEnclosure , FeedImage , PackageManifest , DownloadSource , SimplePie_Copyright , SimplePie_File
  • $urlVar : ContentControllerArticle
  • $use_ldapV3 : LdapClient
  • $used : Language
  • $useHypermedia : FOFViewJson
  • $useIncludePath : ClassLoader
  • $user : ContentViewArticle , FinderViewSearch , JAdminCssMenu , JFacebook , DatabaseLogger , AdminModel , AbstractUri , JOpenstreetmap , LanguagesModelInstalled , LanguagesViewInstalled , SimplePie_Parse_Date , UsersViewLogin , UsersViewNotes
  • $user_lang_code : PlgSystemLanguageFilter
  • $userAgent : WebClient
  • $useragent : SimplePie , SimplePie_File , SimplePie_Locator , SimplePie_Sanitize
  • $userGroupPaths : Access
  • $userGroups : Access
  • $userHelper : User
  • $userId : InstallationModelDatabase
  • $username : AuthenticationResponse , User , LdapClient
  • $Username : PHPMailer
  • $username : POP3
  • $users : JMediawiki , JTwitter
  • $users_dn : LdapClient
  • $UseSendmailOptions : PHPMailer
  • $utf : FOFDatabaseDriver , JDatabaseDriver
  • $utf8mb4 : FOFDatabaseDriver , JDatabaseDriver
  • $validate : FormField
  • $validationtext : FormField
  • $validator : PHPMailer
  • $value : FOFFormHeader , FormField , PrivacyExportField , SimplePie_HTTP_Parser , SimplePie_Rating , SimplePie_Restriction
  • $valueCache : FieldsModelField
  • $valueField : JFormFieldSQL
  • $values : FOFDatabaseQuery , JDatabaseQuery
  • $variables : PharInvocation
  • $varlist : AKFactory
  • $vars : Router , AbstractUri
  • $vendorDir : ClassLoader
  • $VERSION : FOFLess
  • $version : FOFPlatform , FOFUtilsFilescheck , FOFUtilsUpdate , JOAuth1Client , AtomParser , RssParser , Manifest , Update
  • $VERSION : lessc
  • $Version : PHPMailer , POP3
  • $version : RequestParameters , SimplePie_XML_Declaration_Parser
  • $Version : SMTP
  • $video : JFacebook
  • $view : FOFController , FOFForm , RouteHelper
  • $view_item : ContactModelContact , ContentControllerArticle , FormController
  • $view_list : AssociationsControllerAssociations , ContentControllerArticle , AdminController , FormController
  • $viewall : Pagination
  • $viewLevels : Access
  • $viewName : ContactViewCategory , ContentViewCategory , FOFController , CategoryView , NewsfeedsViewCategory
  • $views : RouterView , BaseController
  • $viewsCache : FOFController
  • $votingPosition : PlgContentVote
  • $vPrefix : FOFLess , lessc
  • $warnings_pointer : AKAbstractPart
  • $webmaster : FeedDocument
  • $weight : FinderIndexerToken
  • $when1 : FinderIndexerQuery
  • $when2 : FinderIndexerQuery
  • $where : FOFDatabaseQuery , JDatabaseQuery
  • $whereClauses : FOFTableNested
  • $whitePattern : FOFLessParser , lessc_parser
  • $width : JFormFieldMeter , FeedImage , OpensearchImage , EditorField , MediaField , SimplePie_Enclosure
  • $WordWrap : PHPMailer
  • $Workstation : PHPMailer
  • $writeprefix : Stream
  • $wrongComponentVersion : FOFUtilsFilescheck
  • $wrongFilesVersion : FOFUtilsFilescheck
  • $X : ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P2 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P2 , ParagonIE_Sodium_Core_Curve25519_Ge_P3
  • $xdebugLinkFormat : JHtmlDebug
  • $XFL : SimplePie_gzdecode
  • $XMailer : PHPMailer
  • $xml : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Form
  • $xml_base : SimplePie_Parser
  • $xml_base_explicit : SimplePie_Parser
  • $xml_lang : SimplePie_Parser
  • $xmlDirectory : FOFDatabaseInstaller
  • $xmlFiles : FOFDatabaseInstaller
  • $xmlParser : Update , UpdateAdapter
  • $xssAuto : InputFilter
  • $xy2d : ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp , ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
  • $Y : ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P2 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P2 , ParagonIE_Sodium_Core_Curve25519_Ge_P3
  • $years : ContentViewArchive
  • $YminusX : ParagonIE_Sodium_Core32_Curve25519_Ge_Cached
  • $yminusx : ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp
  • $YminusX : ParagonIE_Sodium_Core_Curve25519_Ge_Cached
  • $yminusx : ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
  • $YplusX : ParagonIE_Sodium_Core32_Curve25519_Ge_Cached
  • $yplusx : ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp
  • $YplusX : ParagonIE_Sodium_Core_Curve25519_Ge_Cached
  • $yplusx : ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
  • $Z : ParagonIE_Sodium_Core32_Curve25519_Ge_Cached , ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P2 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_Cached , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P2 , ParagonIE_Sodium_Core_Curve25519_Ge_P3
  • $zones : JFormFieldTimezone


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- _ -

  • _() : AKText , HTMLHelper , Language , Text , JTextWrapper , Route , JRouteWrapperRoute
  • __call() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseQuery , FOFInput , FOFModel , FOFUtilsPhpfunc , JDatabaseDriver , JDatabaseQuery , JInput , CacheController , DataSet , Input , SimplePie
  • __callStatic() : FOFInput
  • __clone() : FOFDatabaseQuery , FOFDatabaseQueryElement , JDatabaseQuery , JDatabaseQueryElement , Registry
  • __construct() : ActionlogsControllerActionlogs , ActionlogsModelActionlogs , AKCoreTimer , AKFactory , AKText , AssociationsModelAssociations , BannersCategories , BannersControllerBanners , BannersModelBanners , BannersModelClients , BannersModelTracks , BannersTableBanner , BannersTableClient , DisallowedClassesSubstitutor , CacheModelCache , CallbackFilterIterator , CategoriesController , CategoriesControllerCategory , CategoriesModelCategories , CategoriesModelCategory , CheckinModelCheckin , ClassLoader , ConfigControllerApplication , ConfigControllerComponent , ConfigModelCms , ConfigViewCmsHtml , ContactCategories , ContactController , ContactControllerContacts , ContactModelCategory , ContactModelContacts , ContactModelFeatured , ContactRouter , ContactRouterRulesLegacy , ContactTableContact , ContentCategories , ContentController , ContentControllerArticle , ContentControllerArticles , ContenthistoryModelHistory , ContentModelArticles , ContentModelCategory , ContentModelFeatured , ContentRouter , ContentRouterRulesLegacy , ContentTableFeatured , CryptoExceptionHandler , easyparse , EasyPeasyICS , FieldsController , FieldsControllerField , FieldsControllerGroup , FieldsModelField , FieldsModelFields , FieldsModelGroups , FieldsTableField , FieldsTableGroup , FinderIndexer , FinderIndexerAdapter , FinderIndexerQuery , FinderIndexerResponse , FinderIndexerResult , FinderIndexerToken , FinderModelFilters , FinderModelIndex , FinderModelMaps , FinderTableFilter , FinderTableLink , FinderTableMap , FOFAutoloaderComponent , FOFAutoloaderFof , FOFController , FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , FOFDatabaseInstaller , FOFDatabaseIterator , FOFDatabaseQuery , FOFDatabaseQueryElement , FOFDispatcher , FOFDownloadAdapterCurl , FOFDownloadAdapterFopen , FOFEncryptAes , FOFEncryptAesOpenssl , FOFEncryptTotp , FOFFormHeader , FOFHalDocument , FOFHalLink , FOFHalRenderJson , FOFInflector , FOFInput , FOFIntegrationJoomlaFilesystem , FOFIntegrationJoomlaPlatform , FOFLess , FOFLessFormatterClassic , FOFLessParser , FOFModel , FOFModelField , FOFModelFieldText , FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper , FOFTable , FOFTableNested , FOFTableRelations , FOFToolbar , FOFUtilsFilescheck , FOFUtilsObject , FOFUtilsObservableEvent , FOFUtilsTimer , FOFUtilsUpdate , FOFView , FOFViewCsv , FOFViewHtml , FOFViewJson , FOFViewRaw , idna_convert , InstallationApplicationWeb , InstallationControllerInstallEmail , InstallationControllerInstallLanguages , InstallationControllerSetdefaultlanguage , InstallationModelLanguages , InstallationResponseJson , InstallerControllerManage , InstallerControllerUpdatesites , InstallerModel , InstallerModelDiscover , InstallerModelLanguages , InstallerModelManage , InstallerModelUpdate , InstallerModelUpdatesites , InstallerViewDefault , JAdminCssMenu , JApplication , JApplicationWebRouter , JClassLoader , JControllerBase , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseExceptionExecuting , JDatabaseExporter , JDatabaseImporter , JDatabaseIterator , JDatabaseQuery , JDatabaseQueryElement , JDispatcher , JEvent , JException , JFacebook , JFacebookOAuth , JFacebookObject , JFormFieldLogsDateRange , JGithub , JGithubHttp , JGithubObject , JGoogle , JGoogleAuthOauth2 , JGoogleData , JGoogleDataAdsense , JGoogleDataCalendar , JGoogleDataPicasa , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , JGoogleDataPlus , JGoogleDataPlusActivities , JGoogleDataPlusComments , JGoogleDataPlusPeople , JGoogleEmbed , JGoogleEmbedMaps , JGrid , JInput , JInputCli , JInputCookie , JInputFiles , JInputJSON , JJsonResponse , JLess , JLinkedin , JLinkedinOauth , JLinkedinObject , JMediawiki , JMediawikiHttp , JMediawikiObject , JModelBase , JModelDatabase , JNode , JOAuth1Client , JOAuth2Client , JObservable , JObserver , JObserverUpdater , JObserverUpdaterInterface , AbstractApplication , AbstractCliApplication , AbstractDaemonApplication , AbstractWebApplication , CliOutput , ColorStyle , ColorProcessor , WebClient , Archive , Bzip2 , Gzip , Tar , Zip , Rule , Rules , Adapter , AdapterInstance , AdministratorApplication , BaseApplication , CliApplication , CMSApplication , DaemonApplication , SiteApplication , WebApplication , Authentication , Cache , CacheController , CacheStorage , CacheliteStorage , CacheStorageHelper , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , Captcha , HttpBridgePostRequestMethod , Categories , CategoryFactory , CategoryNode , FtpClient , ComponentRecord , MissingComponentException , RouterBase , RouterLegacy , RouterViewConfiguration , MenuRules , NomenuRules , StandardRules , McryptCipher , Crypt , Key , Date , Document , DocumentRenderer , ErrorDocument , FeedDocument , HtmlDocument , ImageDocument , JsonDocument , OpensearchDocument , RawDocument , XmlDocument , Editor , Browser , FeedLink , FeedParser , FeedPerson , Patcher , Stream , InputFilter , LastvisitdaterangeField , RegistrationdaterangeField , TagField , UseractiveField , Form , FormField , ContentHistoryHelper , UserGroupsHelper , Http , CurlTransport , SocketTransport , StreamTransport , TransportInterface , Image , ImageFilter , Cli , Cookie , Files , Input , Json , Installer , InstallerAdapter , InstallerExtension , Manifest , Language , FileLayout , DelegatingPsrLogger , Log , LogEntry , Logger , CallbackLogger , DatabaseLogger , EchoLogger , FormattedtextLogger , SyslogLogger , W3cLogger , AbstractMenu , MenuHelper , MenuItem , Node , Component , Heading , Separator , Url , SiteMenu , Tree , Microdata , AdminController , BaseController , FormController , MVCFactory , AdminModel , BaseDatabaseModel , FormModel , ListModel , HtmlView , CMSObject , Pagination , PaginationObject , Pathway , SitePathway , CMSPlugin , Profiler , JsonResponse , RouteNotFoundException , Router , SiteRouter , ChangeItem , ChangeSet , MetadataManager , Session , Asset , Category , Content , ContentHistory , ContentType , CoreContent , Extension , Language , Menu , MenuType , Module , AbstractObserver , Table , Ucm , Update , UpdateSite , User , Usergroup , ViewLevel , Toolbar , ToolbarButton , UCMBase , UCMContent , UCMType , Updater , User , DataObject , DataSet , Container , AbstractEvent , DelegatingDispatcher , EventImmutable , ListenersPriorityQueue , FtpClient , FilesystemException , Patcher , Stream , InputFilter , Image , ImageFilter , Cli , Cookie , Files , Input , Json , LdapClient , Yaml , Registry , Session , Storage , Apc , Apcu , Database , Memcache , Memcached , Wincache , Xcache , Inflector , AbstractUri , UriImmutable , ArrayHelper , IpHelper , JOpenstreetmap , JOpenstreetmapOauth , JOpenstreetmapObject , JSessionHandlerJoomla , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageMemcache , JSessionStorageMemcached , JSessionStorageRedis , JSessionStorageWincache , JSessionStorageXcache , JSimplecrypt , JTableSession , JTree , JTwitter , JTwitterOAuth , JTwitterObject , JViewBase , JViewHtml , LanguagesModelInstalled , LanguagesModelLanguage , LanguagesModelLanguages , LanguagesModelOverrides , lessc , lessc_formatter_classic , lessc_parser , MenusController , MenusControllerItems , MenusModelItems , MenusModelMenus , MessagesModelMessages , MessagesTableMessage , ModulesController , ModulesModelModule , ModulesModelModules , ModulesModelPositions , NewsfeedsCategories , NewsfeedsModelCategory , NewsfeedsModelNewsfeeds , NewsfeedsRouter , NewsfeedsRouterRulesLegacy , NewsfeedsTableNewsfeed , nodecounter , OpenSSL , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_ChaCha20_IetfCtx , ParagonIE_Sodium_Core32_Curve25519_Ge_Cached , ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P2 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_ChaCha20_IetfCtx , ParagonIE_Sodium_Core_Curve25519_Ge_Cached , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P2 , ParagonIE_Sodium_Core_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_Precomp , ParagonIE_Sodium_Core_Poly1305_State , ParagonIE_Sodium_Core_SecretStream_State , PasswordHash , PHPMailer , PHPMailerOAuthGoogle , PlgActionlogJoomla , PlgContentVote , PlgQuickiconEos310 , PlgSystemActionLogs , PlgSystemCache , PlgSystemDebug , PlgSystemLanguageFilter , PlgSystemLogout , PlgSystemPrivacyconsent , PlgSystemRedirect , PlgUserProfile , PlgUserTerms , PluginsModelPlugin , PluginsModelPlugins , PrivacyModelConsents , PrivacyModelRequests , PrivacyRouter , PrivacyTableConsent , PrivacyTableRequest , ReCaptcha , CurlPost , SocketPost , RequestParameters , Response , RedirectModelLinks , RedirectTableLink , SearchModelSearch , SearchModelSearches , SimplePie , SimplePie_Author , SimplePie_Autoloader , SimplePie_Cache , SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL , SimplePie_Caption , SimplePie_Category , SimplePie_Content_Type_Sniffer , SimplePie_Copyright , SimplePie_Credit , SimplePie_Decode_HTML_Entities , SimplePie_Enclosure , SimplePie_File , SimplePie_gzdecode , SimplePie_HTTP_Parser , SimplePie_IRI , SimplePie_Item , SimplePie_Locator , SimplePie_Parse_Date , SimplePie_Rating , SimplePie_Registry , SimplePie_Restriction , SimplePie_Sanitize , SimplePie_Source , SimplePie_XML_Declaration_Parser , SplFixedArray , ParseException , Parser , TagsModelTag , TagsModelTags , TagsTableTag , TemplatesControllerTemplate , TemplatesModelStyle , TemplatesModelStyles , TemplatesModelTemplates , TemplatesTableStyle , ConjunctionInterceptor , Manager , Container , Manifest , Reader , PharInvocation , UsersControllerUsers , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroup , UsersModelGroups , UsersModelLevels , UsersModelNotes , UsersModelProfile , UsersModelRegistration , UsersModelUser , UsersModelUsers , UsersRouter , UsersRouterRulesLegacy , UsersTableNote
  • __debugInfo() : ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_Curve25519_Fe
  • __destruct() : CryptoExceptionHandler , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDatabaseIterator , JDatabaseDriver , JDatabaseIterator , FtpClient , Stream , FormattedtextLogger , SyslogLogger , FtpClient , Stream , Image , LdapClient , ParagonIE_Sodium_Core_Poly1305_State , PHPMailer , SimplePie , SimplePie_Item
  • __get() : FinderIndexerResult , FOFDatabaseDriverJoomla , FOFDatabaseQuery , FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup , FOFFormHeader , FOFHalLink , FOFModel , JDatabaseQuery , JFacebook , JFormFieldCalendar , JFormFieldCategoryEdit , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldColor , JFormFieldConsentBox , JFormFieldFile , JFormFieldFileList , JFormFieldFolderList , JFormFieldList , JFormFieldMenuitemByType , JFormFieldMeter , JFormFieldModal_Menu , JFormFieldNumber , JFormFieldPassword , JFormFieldPlugins , JFormFieldRules , JFormFieldSQL , JFormFieldSubform , JFormFieldText , JFormFieldTextarea , JFormFieldTimezone , JGithub , JGithubPackage , JGoogleDataPlus , JInput , JLinkedin , JMediawiki , WebClient , ComponentRecord , Key , Date , Feed , FeedEntry , CaptchaField , ChromestyleField , EditorField , MediaField , MenuitemField , ModuleorderField , ModulepositionField , OrderingField , TemplatestyleField , FormField , Input , AbstractMenu , MenuItem , Session , UCMType , Version , DataObject , DataSet , Input , Session , JOpenstreetmap , JTwitter , SimplePie_IRI
  • __isset() : FinderIndexerResult , MenuItem , DataObject , DataSet , SimplePie_IRI
  • __set() : FinderIndexerResult , FOFDatabaseDriverJoomla , FOFHalLink , FOFModel , JFormFieldCalendar , JFormFieldCategoryEdit , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldColor , JFormFieldConsentBox , JFormFieldFile , JFormFieldFileList , JFormFieldFolderList , JFormFieldMenuitemByType , JFormFieldMeter , JFormFieldModal_Menu , JFormFieldNumber , JFormFieldPassword , JFormFieldPlugins , JFormFieldRules , JFormFieldSQL , JFormFieldSubform , JFormFieldText , JFormFieldTextarea , JFormFieldTimezone , ComponentRecord , Feed , FeedEntry , CaptchaField , ChromestyleField , EditorField , MediaField , MenuitemField , ModuleorderField , ModulepositionField , OrderingField , TemplatestyleField , FormField , MenuItem , DataObject , DataSet , UriImmutable , SimplePie_gzdecode , SimplePie_IRI
  • __sleep() : FOFDatabaseDriverPdo , JDatabaseDriverPdo , User
  • __toString() : FOFDatabaseQuery , FOFDatabaseQueryElement , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlsrv , FOFUtilsObject , JApplication , JDatabaseExporter , JDatabaseQuery , JDatabaseQueryElement , JDatabaseQueryMysqli , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv , JException , JGrid , JJsonResponse , ColorStyle , Rule , Rules , Date , CMSObject , JsonResponse , Registry , AbstractUri , UriInterface , JViewHtml , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , SimplePie , SimplePie_Author , SimplePie_Caption , SimplePie_Category , SimplePie_Copyright , SimplePie_Credit , SimplePie_Enclosure , SimplePie_IRI , SimplePie_Item , SimplePie_Rating , SimplePie_Restriction , SimplePie_Source , PharInvocation
  • __unset() : FinderIndexerResult , DataObject , DataSet , SimplePie_IRI
  • __wakeup() : AKAbstractUnarchiver , AKCoreTimer , FOFDatabaseDriverPdo , FOFUtilsTimer , JDatabaseDriverPdo , User , SplFixedArray
  • _adapt() : idna_convert
  • _addAttributesToEmail() : PlgContentEmailcloak
  • _addPath() : FOFView , HtmlView
  • _addToZIPFile() : JArchiveZip
  • _ampReplaceCallback() : OutputFilter , OutputFilterWrapper
  • _apply_cannonical_ordering() : idna_convert
  • _applyCredentials() : JoomlaupdateControllerUpdate
  • _applyPostInstallationMessages() : FOFUtilsInstallscript
  • _authorise() : JOAuth1Client
  • _autoload() : JLoader
  • _baseString() : JOAuth1Client
  • _bin() : UserHelper
  • _buildAdminMenus() : ComponentAdapter
  • _buildContentOrderBy() : ContentModelCategory
  • _buildContext() : Stream
  • _buildDataObject() : Pagination
  • _buildRawRoute() : Router
  • _buildSefRoute() : Router , SiteRouter
  • _characterData() : ExtensionAdapter , Update
  • _checkedOut() : JHtmlGrid
  • _checkExpire() : FileStorage
  • _cleanAttributes() : InputFilter
  • _cleanIntrotext() : ModArticlesCategoryHelper
  • _cleanPath() : FileStorage , Uri
  • _cleanTags() : InputFilter
  • _cleanVar() : FOFInput , JRequest
  • _cloak() : PlgContentEmailcloak
  • _combine() : idna_convert
  • _countItemsInCategory() : PlgContentJoomla
  • _countItemsInChildren() : PlgContentJoomla
  • _createConfiguration() : JApplication
  • _createDecryptionKey() : FOFDispatcher
  • _createDocumentWithHypermedia() : FOFViewJson
  • _createFileName() : ConfigViewCmsHtml , FOFModel , FOFView , BaseDatabaseModel , HtmlView
  • _createHeader() : JOAuth1Client
  • _createModel() : FOFController
  • _createNavigation() : PlgContentPagebreak
  • _createSession() : JApplication
  • _createTable() : FOFModel , BaseDatabaseModel
  • _createToc() : PlgContentPagebreak
  • _createToken() : Session
  • _createUri() : Router
  • _createView() : FOFController
  • _createZIPFile() : JArchiveZip
  • _csrfProtection() : FOFController
  • _cvc() : Porteren
  • _decode() : idna_convert , InputFilter
  • _decode_digit() : idna_convert
  • _decodeSegments() : Router
  • _decryptWithTOTP() : FOFDispatcher
  • _deleteFolder() : FileStorage
  • _displayButtons() : PlgEditorNone
  • _doubleConsonant() : Porteren
  • _encode() : idna_convert
  • _encode_digit() : idna_convert
  • _encodeSegments() : Router
  • _endElement() : CollectionAdapter , ExtensionAdapter , Update
  • _error() : idna_convert
  • _escapeAttributeValues() : InputFilter
  • _fetchFeedParser() : FeedFactory
  • _fetchTemplate() : HtmlDocument
  • _filesInFolder() : FileStorage
  • _finalize() : AKAbstractPart , AKAbstractUnarchiver
  • _findItem() : TagsHelperRoute
  • _findMode() : FtpClient
  • _folders() : FileStorage
  • _followUnfollow() : JLinkedinGroups
  • _fromObject() : FOFUtilsArray , JArrayHelper
  • _generateAccessToken() : JOAuth1Client
  • _generateRequestToken() : JOAuth1Client
  • _get_combining_class() : idna_convert
  • _getActions() : ContentHelper
  • _getArray() : StringController
  • _getAssetName() : FieldsTableField , FieldsTableGroup , Category , Content , Language , MenuType , Module , Table
  • _getAssetParentId() : FieldsTableField , FieldsTableGroup , Category , Content , Language , MenuType , Module
  • _getAssetTitle() : FieldsTableField , FieldsTableGroup , Category , Content , Language , MenuType , Module , Table
  • _getCacheId() : CacheStorage , MemcachedStorage , MemcacheStorage
  • _getCommand() : ConfirmButton , HelpButton , LinkButton , PopupButton , SliderButton , StandardButton
  • _getExtensionId() : PackageAdapter
  • _getFileData() : JArchiveZip
  • _getFilename() : Stream
  • _getFilePath() : FileStorage
  • _getFilePosition() : JArchiveGzip
  • _getImagesArray() : JHtmlRules
  • _getJSObject() : JHtmlBehavior
  • _getLanguage() : PlgCaptchaRecaptcha
  • _getLastTag() : Update , UpdateAdapter
  • _getLineEnd() : Document
  • _getLink() : FOFHalRenderJson
  • _getList() : ContentModelArchive , FieldsModelFields , FieldsModelGroups , FOFModel , InstallerModel , InstallerModelUpdate , BaseDatabaseModel , ModulesModelModules , PluginsModelPlugins
  • _getListCount() : FinderModelMaps , FOFModel , InstallerModelLanguages , BaseDatabaseModel
  • _getListQuery() : ListModel
  • _getNode() : Nested
  • _getPackageFromFolder() : InstallerModelInstall
  • _getPackageFromUpload() : InstallerModelInstall
  • _getPackageFromUrl() : InstallerModelInstall
  • _getParent() : CollectionAdapter
  • _getParentAssetId() : JHtmlRules
  • _getPattern() : PlgContentEmailcloak
  • _getPrototypeURIForPagination() : FOFViewJson
  • _getStackLocation() : CollectionAdapter , Update , UpdateAdapter
  • _getStorage() : Cache
  • _getTab() : Document
  • _getTarInfo() : JArchiveTar
  • _getTreeRepositionData() : Nested
  • _getUser() : PlgUserJoomla
  • _getUserDisplayedGroups() : UsersModelUsers
  • _getUserGroups() : JHtmlRules
  • _hangul_compose() : idna_convert
  • _hangul_decompose() : idna_convert
  • _hexToInt() : SimpleCipher
  • _hexToIntArray() : SimpleCipher
  • _import() : PluginHelper
  • _initialise() : DataSet
  • _install() : LanguageAdapter
  • _intToHex() : SimpleCipher
  • _item_active() : Pagination
  • _item_inactive() : Pagination
  • _items() : Folder
  • _likeUnlike() : JLinkedinGroups , JLinkedinStream
  • _list_footer() : Pagination
  • _list_render() : Pagination
  • _load() : JLoader , Captcha , ComponentHelper , LibraryHelper , ModuleHelper , PluginHelper , PlgContentLoadmodule
  • _loadEditor() : Editor
  • _loadid() : PlgContentLoadmodule
  • _loadmod() : PlgContentLoadmodule
  • _loadTemplate() : ErrorDocument , HtmlDocument
  • _lock() : FOFTable , Table
  • _logtable() : Nested
  • _m() : Porteren
  • _makeId() : CallbackController , PageController , ViewController
  • _makeItem() : Pathway
  • _makeReturnTable() : AKAbstractPart
  • _mapbin() : FOFEncryptBase32
  • _mapcharset() : FOFEncryptBase32
  • _mime_types() : PHPMailer
  • _mode() : FtpClient
  • _nameprep() : idna_convert
  • _noChange() : PageController
  • _parseRawRoute() : Router
  • _parseSefRoute() : Router
  • _parseTemplate() : HtmlDocument
  • _parseTemplatePath() : FOFView
  • _passive() : FtpClient
  • _prepare() : AKAbstractPart , AKAbstractUnarchiver
  • _prepareDocument() : ContactViewContact , ContactViewFeatured , ContentViewArchive , ContentViewArticle , ContentViewFeatured , ContentViewForm , NewsfeedsViewNewsfeed , TagsViewTag , TagsViewTags
  • _prepareSigningKey() : JOAuth1Client
  • _proceedSaveOrderButton() : JHtmlSortablelist
  • _processBuildRules() : Router
  • _processParseRules() : Router
  • _putCmd() : FtpClient
  • _readZipInfo() : JArchiveZip
  • _real_getState() : FOFModel
  • _reallyPublishAdminMenuItems() : FOFUtilsInstallscript
  • _recaptcha_http_post() : PlgCaptchaRecaptcha
  • _recaptcha_qsencode() : PlgCaptchaRecaptcha
  • _relToAbs() : DocumentRenderer
  • _remove() : InputFilter
  • _removeURIBase() : FOFViewJson
  • _renderTemplate() : HtmlDocument
  • _replace() : Porteren
  • _rollback_menu() : ComponentAdapter , ModuleAdapter
  • _rollback_module() : ModuleAdapter
  • _run() : AKAbstractPart , AKAbstractUnarchiver
  • _runQuery() : Nested
  • _sendEmail() : ContactControllerContact
  • _setCookieParams() : Session
  • _setCounter() : Session
  • _setEtag() : PageController
  • _setOptions() : Session
  • _setPath() : FOFView , HtmlView
  • _setPlatform() : Browser
  • _setSubMenu() : AdminViewSysinfo
  • _setTimers() : Session
  • _signRequest() : JOAuth1Client
  • _smartSubstr() : SearchHelper
  • _sortLanguages() : InstallationFormFieldLanguage
  • _sortObjects() : FOFUtilsArray , JArrayHelper
  • _start() : Session
  • _startElement() : CollectionAdapter , ExtensionAdapter , Update
  • _step1ab() : Porteren
  • _step1c() : Porteren
  • _step2() : Porteren
  • _step3() : Porteren
  • _step4() : Porteren
  • _step5() : Porteren
  • _string_to_element() : ParagonIE_Sodium_Core_Ristretto255
  • _stripCSSExpressions() : InputFilter
  • _toAPRMD5() : UserHelper
  • _toogleButton() : PlgEditorTinymce
  • _ucs4_string_to_ucs4() : idna_convert
  • _ucs4_to_ucs4_string() : idna_convert
  • _ucs4_to_utf8() : idna_convert
  • _unix2DOSTime() : JArchiveZip
  • _unlock() : FOFTable , Table
  • _updateMenus() : ComponentAdapter
  • _updateSiteMenus() : ComponentAdapter
  • _utf8_to_ucs4() : idna_convert
  • _validate() : Session
  • _verifyResponse() : FtpClient


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- a -

  • abort() : Installer
  • ABOVE_NORMAL : Priority
  • abridge() : JHtmlString
  • absolutize() : SimplePie_IRI
  • absolutize_url() : SimplePie_Misc
  • accept() : CallbackFilterIterator
  • access() : JHtmlBatch
  • accesspublic() : FOFController
  • accessregistered() : FOFController
  • accessspecial() : FOFController
  • action() : JHtmlJGrid , PostinstallControllerMessage
  • actions() : JHtmlAccess
  • activate() : RedirectControllerLinks , RedirectModelLink , UsersControllerRegistration , UsersControllerUsers , UsersModelRegistration , UsersModelUser
  • activateStates() : JHtmlUsers
  • activateUser() : UserHelper , UserWrapper
  • add() : ClassLoader , ContentControllerArticle , FOFController , JGithubPackageIssuesLabels , JGithubPackageRepositoriesCollaborators , JGithubPackageUsersEmails , Patcher , Log , Mail , FormController , ListenersPriorityQueue , Patcher , LdapClient , MenusControllerItem , ModulesControllerModule , ParagonIE_Sodium_Compat
  • add364() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • add64() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • add_callback() : SimplePie_Parse_Date
  • addAddress() : PHPMailer
  • addAllCategoriesMenuItem() : InstallationModelLanguages
  • addAnAddress() : PHPMailer
  • addArgument() : Event
  • addArticle() : InstallationModelLanguages
  • addAssociations() : InstallationModelLanguages
  • addAttachment() : Mail , PHPMailer
  • addBaseName() : PharInvocationResolver
  • addBcc() : Mail
  • addBCC() : PHPMailer
  • addBehavior() : FOFModel , FOFTable
  • addBespokePivotRelation() : FOFTableRelations
  • addBespokeSimpleRelation() : FOFTableRelations
  • addBlock() : nodecounter
  • addBlogMenuItem() : InstallationModelLanguages
  • addBranch() : FinderIndexerTaxonomy
  • addButtonPath() : Toolbar
  • addCalendar() : JGoogleDataCalendar
  • addCall() : JGoogleEmbedAnalytics
  • addCategory() : InstallationModelLanguages , Feed , FeedEntry
  • addCc() : Mail
  • addCC() : PHPMailer
  • addChild() : JNode , CategoryNode , Node , Tree , JTree
  • addChildRelation() : FOFTableRelations
  • addChildrenRelation() : FOFTableRelations
  • addClassMap() : ClassLoader
  • addClientInfo() : ApplicationHelper
  • addColumn() : JGrid , ArrayHelper
  • addComment() : JLinkedinGroups
  • addContentType() : FinderIndexerHelper
  • addContextEntry() : Stream
  • addContributor() : Feed , FeedEntry
  • addCountableRule() : Inflector
  • addCSS() : FOFTemplateUtils
  • addCustomHeader() : PHPMailer
  • addCustomItem() : JHtmlActionsDropdown , JHtmlDropdown
  • addCustomTag() : HtmlDocument
  • addCustomTypes() : MenusViewMenutypes
  • addCustomVar() : JGoogleEmbedAnalytics
  • addData() : FOFHalDocument
  • addDebugMessage() : BaseLayout
  • addDefaultLanguageStrings() : AKText
  • addDirectory() : AdminModelSysInfo
  • addDisconnectHandler() : FOFDatabaseDriver , JDatabaseDriver
  • addDisplayCallback() : PlgSystemDebug
  • addEmbedded() : FOFHalDocument
  • addEmbeddedImage() : PHPMailer
  • addEntry() : JHtmlSidebar , Feed , Logger , CallbackLogger , DatabaseLogger , EchoLogger , FormattedtextLogger , MessagequeueLogger , SyslogLogger , JSubMenuHelper
  • addEvent() : EasyPeasyICS , JGoogleEmbedAnalytics , Dispatcher
  • addEventHandler() : JGoogleEmbedMaps
  • addFavicon() : HtmlDocument
  • addFeaturedMenuItem() : InstallationModelLanguages
  • addFeed() : CategoryView
  • addField() : PrivacyExportItem
  • addFieldPath() : FOFForm , Form , FormHelper , FormWrapper
  • addFieldPrefix() : FormHelper
  • addFile() : Patcher
  • addFilter() : JHtmlSidebar , JSubMenuHelper
  • addFormPath() : FOFForm , Form , FormHelper , FormWrapper
  • addFormPrefix() : FormHelper
  • addHeaderPath() : FOFForm , FOFFormHelper
  • addHeadLink() : HtmlDocument
  • addHelperPath() : FOFView , HtmlView
  • addImage() : OpensearchDocument
  • addImportDir() : FOFLess , lessc
  • addIncludePath() : FOFModel , FOFTable , Cache , CacheController , CacheStorage , HTMLHelper , FileLayout , BaseDatabaseModel , Table
  • addIncludePaths() : FileLayout
  • addInstruction() : FinderIndexerResult
  • addInt32() : ParagonIE_Sodium_Core32_Int32
  • addInt64() : ParagonIE_Sodium_Core32_Int64
  • addItem() : FeedDocument , Pathway , PrivacyExportDomain
  • addJS() : FOFTemplateUtils
  • addKnownField() : FOFTable
  • addLanguage() : InstallationModelLanguages
  • addLayout() : RouterViewConfiguration
  • addLESS() : FOFTemplateUtils
  • addLink() : FOFHalDocument , FOFHalLinks , FeedEntry , MailtoHelper
  • addLinks() : FOFHalDocument , FOFHalLinks
  • addListener() : Dispatcher
  • addLog() : ActionlogsModelActionlog
  • addLogEntry() : Log
  • addLogger() : Log
  • addLoggerInternal() : Log
  • addMap() : FinderIndexerTaxonomy , JApplicationWebRouterBase
  • addMaps() : JApplicationWebRouterBase
  • addMarker() : JGoogleEmbedMaps
  • addMember() : JGithubPackageOrgsTeams
  • addMembers() : JTwitterLists
  • addMenuGroup() : InstallationModelLanguages
  • addMenuItems() : PlgSampledataBlog
  • addModelPath() : FOFController , BaseController
  • addModuleInModuleMenu() : InstallationModelLanguages
  • addModuleLanguageSwitcher() : InstallationModelLanguages
  • addModuleMenu() : InstallationModelLanguages
  • addMultipleRelation() : FOFTableRelations
  • addNew() : ToolbarHelper
  • addNode() : FinderIndexerTaxonomy , Form
  • addNote() : JHtmlUsers
  • addObserverClassToClass() : JObserverMapper , JObserverWrapperMapper
  • addOption() : JFormFieldList
  • addOrEnqueueAnAddress() : PHPMailer
  • addPanel() : JHtmlBootstrap
  • addParentRelation() : FOFTableRelations
  • addParsedFile() : FOFLess , lessc
  • addPath() : FOFController , FormHelper , BaseController
  • addPluraliseRule() : Inflector
  • addPostInstallationMessage() : FOFUtilsInstallscript , PostinstallModelMessages
  • addPredefinedStyles() : ColorProcessor
  • addPrefix() : FormHelper
  • addPreset() : MenuHelper
  • addPsr4() : ClassLoader
  • addrAppend() : PHPMailer
  • addRecipient() : Mail
  • addReplyTo() : Mail , PHPMailer
  • addRepo() : JGithubPackageOrgsTeams
  • addReverseLookupUrl() : MenusModelMenutypes
  • addrFormat() : PHPMailer
  • AddRoundKey() : AKEncryptionAES
  • addRow() : JGrid
  • addRule() : Inflector
  • addRulePath() : FOFForm , Form , FormHelper , FormWrapper
  • addRulePrefix() : FormHelper
  • addScript() : Document
  • addScriptDeclaration() : Document
  • addScriptOptions() : Document
  • addScriptVersion() : Document
  • addSingulariseRule() : Inflector
  • addSlide() : JHtmlBootstrap
  • addStringAttachment() : PHPMailer
  • addStringEmbeddedImage() : PHPMailer
  • addStyle() : ColorProcessor
  • addStyleDeclaration() : Document
  • addStyleSheet() : Document
  • addStyleSheetVersion() : Document
  • addSubmenu() : BannersHelper , CacheHelper , CategoriesHelper , CheckinController , ContactHelper , ContentHelper , FieldsHelper , FinderHelper , InstallerHelper , ContentHelper , LanguagesHelper , MenusHelper , MessagesHelper , ModulesHelper , NewsfeedsHelper , PluginsHelper , PrivacyHelper , RedirectHelper , SearchHelper , TagsHelper , TemplatesHelper , UsersHelper
  • addTab() : JHtmlBootstrap
  • addTablePath() : FOFModel , BaseDatabaseModel
  • addTagMapping() : TagsHelper
  • addTaxonomy() : FinderIndexerResult
  • addTemplatePath() : FOFView , HtmlView
  • addTokensToDb() : FinderIndexer
  • addToNode() : nodecounter
  • addToolbar() : ActionlogsViewActionlogs , AdminViewHelp , AdminViewProfile , AdminViewSysinfo , AssociationsViewAssociation , AssociationsViewAssociations , BannersViewBanner , BannersViewBanners , BannersViewClient , BannersViewClients , BannersViewTracks , CacheViewCache , CacheViewPurge , CategoriesViewCategories , CategoriesViewCategory , CheckinViewCheckin , ConfigViewApplicationHtml , ConfigViewComponentHtml , ContactViewContact , ContactViewContacts , ContentViewArticle , ContentViewArticles , ContentViewFeatured , FieldsViewField , FieldsViewFields , FieldsViewGroup , FieldsViewGroups , FinderViewFilter , FinderViewFilters , FinderViewIndex , FinderViewMaps , InstallerViewDatabase , InstallerViewDefault , InstallerViewDiscover , InstallerViewInstall , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , InstallerViewWarnings , LanguagesViewInstalled , LanguagesViewLanguage , LanguagesViewLanguages , LanguagesViewOverride , LanguagesViewOverrides , MediaViewMedia , MenusViewItem , MenusViewItems , MenusViewMenu , MenusViewMenus , MenusViewMenutypes , MessagesViewMessage , MessagesViewMessages , ModulesViewModule , ModulesViewModules , ModulesViewSelect , NewsfeedsViewNewsfeed , NewsfeedsViewNewsfeeds , PluginsViewPlugin , PluginsViewPlugins , PrivacyViewCapabilities , PrivacyViewConsents , PrivacyViewDashboard , PrivacyViewRequest , PrivacyViewRequests , RedirectViewLink , RedirectViewLinks , SearchViewSearches , TagsViewTag , TagsViewTags , TemplatesViewStyle , TemplatesViewStyles , TemplatesViewTemplate , TemplatesViewTemplates , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroup , UsersViewGroups , UsersViewLevel , UsersViewLevels , UsersViewMail , UsersViewNote , UsersViewNotes , UsersViewUser , UsersViewUsers
  • addToStack() : JError
  • addToZipFile() : Zip
  • addUpdateSite() : PlgExtensionJoomla
  • addUrl() : OpensearchDocument
  • addUserToGroup() : UserHelper , UserWrapper
  • addViewPath() : FOFController , BaseController
  • addWord() : FOFInflector , Inflector
  • addXmlChild() : MenusViewMenu
  • admin_language() : JHtmlUsers
  • aead_chacha20poly1305_ABYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_IETF_ABYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_IETF_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_IETF_NPUBBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_IETF_NSECBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_NPUBBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_NSECBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_IETF_ABYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_ietf_decrypt() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_ietf_encrypt() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_IETF_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_IETF_NPUBBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_IETF_NSECBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • AESDecryptCBC() : AKEncryptionAES
  • AESDecryptCtr() : AKEncryptionAES
  • AESEncryptCtr() : AKEncryptionAES
  • AESTestVector() : Crypto
  • affix() : JHtmlBootstrap
  • afterSessionStart() : JApplication , WebApplication
  • ajax() : JoomlaupdateControllerUpdate
  • ajax_upload() : InstallerControllerInstall
  • ajaxchosen() : JHtmlFormbehavior
  • ajaxfield() : JHtmlTag
  • alert() : JHtmlBootstrap
  • ALERT : Log
  • alert() : AbstractLogger , LoggerInterface
  • ALERT : LogLevel
  • alias() : Container
  • ALL : Log , UriInterface
  • allow() : Rule , Rules
  • allowAdd() : AssociationsHelper , BannersControllerBanner , CategoriesControllerCategory , ContactControllerContact , ContentControllerArticle , FieldsControllerField , FieldsControllerGroup , FormController , MenusControllerItem , NewsfeedsControllerNewsfeed , TagsControllerTag
  • allowCache() : AbstractWebApplication , WebApplication , JResponse
  • allowCustom() : TagField
  • allowEdit() : AdminControllerProfile , AssociationsHelper , BannersControllerBanner , CategoriesControllerCategory , ContactControllerContact , ContentControllerArticle , FieldsControllerField , FieldsControllerGroup , FormController , MenusControllerItem , ModulesControllerModule , NewsfeedsControllerNewsfeed , TagsControllerTag , TemplatesControllerTemplate , UsersControllerGroup , UsersControllerLevel , UsersControllerUser
  • allowSave() : FormController , MessagesControllerMessage , ModulesControllerModule , UsersControllerGroup , UsersControllerLevel
  • allParsedFiles() : FOFLess , lessc
  • alt() : Text , JTextWrapper
  • alterDbCharacterSet() : FOFDatabaseDriver , JDatabaseDriver
  • alternativeExists() : PHPMailer
  • alterTableCharacterSet() : FOFDatabaseDriver , JDatabaseDriver
  • AMAYA : WebClient
  • ampReplace() : OutputFilterWrapper , OutputFilter
  • ampReplaceCallback() : OutputFilter
  • ANDROID : WebClient
  • ANDROIDTABLET : WebClient
  • andWhere() : JDatabaseQuery
  • anonymous_bind() : LdapClient
  • append() : FOFDatabaseQueryElement , FOFLessParser , JDatabaseQueryElement , FtpClient , File , Registry , lessc_parser
  • appendBody() : AbstractWebApplication , WebApplication , JResponse
  • appendButton() : Toolbar
  • appendFilter() : Stream
  • appendLink() : FOFToolbar
  • appendPrimaryKeys() : Table
  • apply() : FOFController , Patcher , ToolbarHelper , Patcher
  • applyAccessFiltering() : FOFModel
  • applyAliasFor() : JLoader
  • applyContextToStream() : Stream
  • applyHunk() : Patcher
  • applySave() : FOFController
  • applyUpdateSite() : JoomlaupdateModelDefault
  • archive() : FOFController , JHtmlActionsDropdown , JHtmlDropdown
  • archiveList() : ToolbarHelper
  • argumentDef() : FOFLessParser , lessc_parser
  • argumentValues() : FOFLessParser
  • array_column() : Php55ArrayColumn
  • arrayFromObject() : ArrayHelper
  • arraySearch() : ArrayHelper
  • arrayUnique() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • asArray() : Registry
  • ASCIIToUnicode() : ntlm_sasl_client_class
  • asFormattedXml() : JXMLElement
  • asJavascript() : AKText
  • assert() : Assertable , Behavior , ConjunctionInterceptor , PharExtensionInterceptor , PharMetaDataInterceptor , Manager , PharStreamWrapper
  • ASSERT_INTERNAL_INVOCATION : PharInvocationResolver
  • assertArgs() : lessc
  • assertAssertionCompleteness() : Behavior
  • assertAssertions() : ConjunctionInterceptor
  • assertColor() : FOFLess , lessc
  • assertCommand() : Behavior
  • assertCommands() : Behavior
  • assertNumber() : FOFLess , lessc
  • assertUniqueBaseName() : PharInvocationCollection
  • assertUniqueInvocation() : PharInvocationCollection
  • assetFormWidget() : JHtmlRules
  • assetgrouplist() : JHtmlAccess
  • assetgroups() : JHtmlAccess
  • assign() : FOFLessParser , FOFView , HtmlView , ToolbarHelper , lessc_parser
  • assignGroup() : JMediawikiUsers
  • assignRef() : FOFView , HtmlView
  • association() : JHtmlCategoriesAdministrator , JHtmlContact , JHtmlContentAdministrator , JHtmlNewsfeed , MenusHtmlMenus
  • asXml() : JDatabaseExporter , JDatabaseImporter
  • atom_03_construct_type() : SimplePie_Misc
  • atom_10_construct_type() : SimplePie_Misc
  • atom_10_content_construct_type() : SimplePie_Misc
  • attach() : AKAbstractPart , FOFUtilsObservableDispatcher , JEventDispatcher , JObservable , Authentication , Captcha , Editor
  • attachAll() : PHPMailer
  • attachAllObservers() : JObserverWrapperMapper
  • attachBuildRule() : Router
  • attachHandler() : JError
  • attachmentExists() : PHPMailer
  • attachObserver() : JObservableInterface , JObserverUpdater , JObserverUpdaterInterface , Table
  • attachParseRule() : Router
  • attachRule() : RouterView
  • attachRules() : RouterView
  • ATTR_BLACKLIST : InputFilter
  • ATTR_WHITELIST : InputFilter
  • auth() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • auth_verify() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • authenticate() : JGoogleAuth , JGoogleAuthOauth2 , JGoogleData , JOAuth1Client , JOAuth2Client , Authentication , SMTP
  • AUTHENTICATION_BASIC : JGithubHttp
  • AUTHENTICATION_INFO : Crypto
  • AUTHENTICATION_NONE : JGithubHttp
  • AUTHENTICATION_OAUTH : JGithubHttp
  • authorise() : FOFController , FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , SiteApplication , Authentication , AbstractMenu , BaseController , User , POP3
  • authoriseUser() : MediaControllerFile
  • authorizeAdmin() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • autodiscovery() : SimplePie_Locator
  • autoload() : SimplePie_Autoloader
  • autoload_fof_controller() : FOFAutoloaderComponent
  • autoload_fof_core() : FOFAutoloaderFof
  • autoload_fof_field() : FOFAutoloaderComponent
  • autoload_fof_helper() : FOFAutoloaderComponent
  • autoload_fof_model() : FOFAutoloaderComponent
  • autoload_fof_table() : FOFAutoloaderComponent
  • autoload_fof_toolbar() : FOFAutoloaderComponent
  • autoload_fof_view() : FOFAutoloaderComponent


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- b -

  • back() : ToolbarHelper
  • backupDatabase() : InstallationModelDatabase
  • BAD_REQUEST : SocketPost
  • BAD_RESPONSE : SocketPost
  • base() : Uri
  • BASE64_VARIANT_ORIGINAL : ParagonIE_Sodium_Compat
  • BASE64_VARIANT_ORIGINAL_NO_PADDING : ParagonIE_Sodium_Compat
  • BASE64_VARIANT_URLSAFE : ParagonIE_Sodium_Compat
  • BASE64_VARIANT_URLSAFE_NO_PADDING : ParagonIE_Sodium_Compat
  • base64EncodeWrapMB() : PHPMailer
  • baseFileContainsPharExtension() : PharExtensionInterceptor
  • baseFileDoesNotHaveMetaDataIssues() : PharMetaDataInterceptor
  • batch() : BannersControllerBanner , FieldsControllerField , FieldsControllerGroup , FinderControllerIndexer , FormController , AdminModel , MenusControllerItem , ModulesControllerModule , NewsfeedsControllerNewsfeed , RedirectControllerLinks , TagsControllerTag , UsersControllerUser , UsersModelUser
  • batchAccess() : AdminModel
  • batchCopy() : CategoriesModelCategory , FieldsModelField , AdminModel , MenusModelItem , ModulesModelModule
  • batchFlipordering() : CategoriesModelCategory
  • batchLanguage() : AdminModel
  • batchMove() : CategoriesModelCategory , ContentModelArticle , FieldsModelField , AdminModel , MenusModelItem , ModulesModelModule
  • batchOptions() : JHtmlModules
  • batchProcess() : RedirectModelLinks
  • batchReset() : UsersModelUser
  • batchTag() : AdminModel
  • batchUser() : ContactModelContact , UsersModelUser
  • before_version_name() : SimplePie_XML_Declaration_Parser
  • behavior() : JHtmlGrid
  • BELOW_NORMAL : Priority
  • bestLinkForUri() : AtomParser
  • between() : FOFModelField , FOFModelFieldDate , FOFModelFieldNumber , FOFModelFieldText
  • bin2hex() : ParagonIE_Sodium_Compat
  • bin2str() : FOFEncryptBase32
  • bind() : BannersTableBanner , FieldsTableField , FieldsTableGroup , FinderTableFilter , FOFDatabaseQueryOracle , FOFDatabaseQuerySqlite , FOFTable , JDatabaseQueryOracle , JDatabaseQueryPgsql , JDatabaseQueryPreparable , JDatabaseQuerySqlite , Form , Category , Content , CoreContent , Extension , Menu , Module , Table , TableInterface , Update , User , ViewLevel , User , DataObject , LdapClient , TagsTableTag , TemplatesTableStyle
  • bindData() : Registry
  • bindLevel() : Form
  • BLACKBERRY : WebClient
  • blacklistFilters() : FOFModel
  • BLINK : WebClient
  • block() : FOFLessFormatterClassic , JTwitterBlock , lessc_formatter_classic , UsersModelUser
  • BLOCK_SCALAR_HEADER_PATTERN : Parser
  • BLOCK_SIZE : ParagonIE_Sodium_Core32_Poly1305 , ParagonIE_Sodium_Core_Poly1305
  • BLOCKBYTES : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • blockStates() : JHtmlUsers
  • blockUser() : JMediawikiUsers
  • BLOWFISH : CryptPassword
  • body() : SimplePie_HTTP_Parser , SimplePie_Locator
  • bookmark() : JLinkedinJobs
  • boolean() : JHtmlGrid , JHtmlPhpSetting
  • booleanlist() : JHtmlSelect
  • booleanToString() : JLinkedinObject
  • boolval() : Php55
  • box() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_beforenm() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_BEFORENMBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_BOXZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_MACBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_NONCEBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_PUBLICKEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_SECRETKEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_SEEDBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_ZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_decrypt() : ParagonIE_Sodium_File
  • box_encrypt() : ParagonIE_Sodium_File
  • box_keypair() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_keypair_from_secretkey_and_publickey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_open() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_publickey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_publickey_from_secretkey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_secretkey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_seed_keypair() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • branchLanguageTitle() : FinderHelperLanguage
  • branchPlural() : FinderHelperLanguage
  • branchSingular() : FinderHelperLanguage
  • browse() : FOFController
  • BUFFER_SIZE : ParagonIE_Sodium_File
  • bugfixCantBuildAdminMenus() : FOFUtilsInstallscript
  • bugfixDBFunctionReturnedNoError() : FOFUtilsInstallscript
  • build() : BannersRouter , ContactRouterRulesLegacy , ContentRouterRulesLegacy , FinderRouter , RouterInterface , RouterLegacy , RouterView , MenuRules , NomenuRules , RulesInterface , StandardRules , AdministratorRouter , Router , SiteRouter
  • BUILD : Version , JPlatform
  • build() : JRouterInstallation , NewsfeedsRouterRulesLegacy , SearchRouter , TagsRouter , UsersRouterRulesLegacy , WrapperRouter
  • buildCheckQuery() : ChangeItem , MysqlChangeItem , PostgresqlChangeItem , SqlsrvChangeItem
  • buildContactExtendedData() : ContactModelContact
  • buildCountQuery() : FOFModel
  • buildDateRange() : ActionlogsModelActionlogs , UsersModelUsers
  • buildFileData() : JGithubPackageGists
  • buildIgnoreItems() : DisallowedClassesSubstitutor
  • buildLookup() : MenuRules
  • buildObject() : Container
  • buildParameter() : JMediawikiObject
  • buildQuery() : FOFModel , FOFTableNested , Uri , AbstractUri , PostinstallModelMessages
  • buildRawRoute() : Router , SiteRouter
  • buildRule() : PlgSystemLanguageFilter
  • buildSefRoute() : Router , SiteRouter
  • buildSharedObject() : Container
  • buildVotingQuery() : ContentHelperQuery
  • buildXml() : JDatabaseExporter , JDatabaseExporterMysqli , JDatabaseExporterPdomysql , JDatabaseExporterPostgresql
  • buildXmlStructure() : JDatabaseExporter , JDatabaseExporterMysqli , JDatabaseExporterPdomysql , JDatabaseExporterPostgresql
  • button() : JHtmlBootstrap , JHtmlIcons
  • buttons() : JHtmlIcons
  • byteLength() : idna_convert
  • bytes() : JHtmlNumber


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- c -

  • cachedCompile() : FOFLess , lessc
  • calendar() : JHtmlBehavior , Date , HTMLHelper , PlgUserProfile
  • calendartranslation() : JHtmlBehavior
  • call() : FOFDatabaseQuery , JDatabaseQuery , CallbackController , HTMLHelper , SimplePie_Registry
  • camelize() : FOFInflector
  • cancel() : AdminControllerProfile , AssociationsControllerAssociation , CategoriesControllerCategory , ConfigControllerApplication , ConfigControllerComponent , ContentControllerArticle , FOFController , FormController , ToolbarHelper , LanguagesControllerOverride , MenusControllerItem , ModulesControllerModule , TemplatesControllerTemplate , UsersControllerMail
  • canCheckinItem() : AssociationsHelper
  • canChmod() : Path , PathWrapper , Path
  • canCreateCategory() : BannersModelBanner , ContactModelContact , ContentModelArticle , NewsfeedsModelNewsfeed
  • canDelete() : BannersModelBanner , BannersModelClient , CategoriesModelCategory , ConfigModelCms , ContactModelContact , ContenthistoryModelHistory , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelIndex , FinderModelMaps , FOFTable , AdminModel , MenusModelItem , MenusModelMenu , NewsfeedsModelNewsfeed , RedirectModelLink , TagsModelTag , UsersModelLevel
  • canEditFieldValue() : FieldsHelper
  • canEditState() : BannersModelBanner , BannersModelClient , CategoriesModelCategory , ConfigModelCms , ContactModelContact , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelIndex , FinderModelMaps , AdminModel , MenusModelItem , MenusModelMenu , ModulesModelModule , NewsfeedsModelNewsfeed
  • canSave() : MenusModelItem
  • canTransition() : PrivacyControllerRequest
  • canUninstallPackageChild() : InstallerAdapter
  • canUpload() : MediaHelper , TemplateHelper
  • canView() : UsersController
  • caption() : JHtmlBehavior
  • captive() : JoomlaupdateControllerUpdate
  • captiveFileExists() : JoomlaupdateModelDefault
  • captiveLogin() : JoomlaupdateModelDefault
  • carousel() : JHtmlBootstrap
  • castAsChar() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQueryMysqli , JDatabaseQueryPdo , JDatabaseQueryPostgresql , JDatabaseQuerySqlsrv
  • catchWarning() : POP3
  • categories() : JHtmlCategory
  • categoryAccessChange() : FinderIndexerAdapter
  • categoryStateChange() : FinderIndexerAdapter
  • ccompile() : FOFLess , lessc
  • cdata() : SimplePie_Parser
  • cexecute() : FOFLess , lessc
  • change() : FinderIndexerAdapter , KeychainManager
  • change_encoding() : SimplePie_Misc
  • change_encoding_iconv() : SimplePie_Misc
  • change_encoding_mbstring() : SimplePie_Misc
  • changeBlock() : UsersControllerUsers
  • changeIdentity() : AbstractDaemonApplication , DaemonApplication
  • changePreference() : JOpenstreetmapUser
  • changeProtection() : JMediawikiPages
  • changeSettings() : JLinkedinGroups
  • charLength() : FOFDatabaseQuery , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • chdir() : FtpClient
  • check() : BannersTableBanner , ContactTableContact , FieldsTableField , FieldsTableGroup , FinderIndexerStemmerFr , FinderTableFilter , FOFHalLink , FOFTable , FOFTableNested , JAdminCssMenu , JDatabaseExporter , JDatabaseExporterMysql , JDatabaseExporterMysqli , JDatabaseExporterPdomysql , JDatabaseExporterPgsql , JDatabaseExporterPostgresql , JDatabaseImporter , JDatabaseImporterMysql , JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPgsql , JDatabaseImporterPostgresql , JGithubPackageActivityStarring , JGithubPackageActivityWatching , JGithubPackageIssuesAssignees , JGithubPackageOrgsMembers , JGithubPackageUsersFollowers , Access , Path , PathWrapper , ChangeItem , ChangeSet , Asset , Category , Content , ContentType , CoreContent , Extension , Language , Menu , MenuType , Module , Nested , Table , TableInterface , Update , UpdateSite , User , Usergroup , ViewLevel , Path , MessagesTableMessage , NewsfeedsTableNewsfeed , RedirectTableLink , TagsTableTag , TemplatesTableStyle
  • check_ipv6() : SimplePie_Net_IPv6
  • checkACL() : FOFController
  • checkall() : JHtmlGrid
  • checkAnswer() : Captcha
  • checkAttribute() : InputFilter
  • checkBuffer() : PlgSystemSef
  • checkCategoryAccess() : FinderIndexerAdapter
  • checkCategoryId() : AdminModel
  • checkCode() : FOFEncryptTotp
  • checkCompatibility() : JoomlaupdateModelDefault
  • checkConnectionAlive() : AbstractWebApplication , WebApplication
  • checkContentType() : FOFTable
  • checkDefault() : MysqlChangeItem
  • checkDefaultValue() : FieldsModelField
  • checkedCompile() : FOFLess , lessc
  • checkEditId() : BaseController
  • checkedOut() : JHtmlGrid
  • checkedout() : JHtmlJGrid
  • checkExecution() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • checkExistingExtension() : ModuleAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • checkExtensionInFilesystem() : ComponentAdapter , LibraryAdapter , PackageAdapter , InstallerAdapter
  • checkExtensions() : InstallerViewDiscover
  • checkFieldExists() : FOFDatabaseDriverSqlsrv
  • checkForm() : InstallationModelSetup
  • checkFormat() : TemplatesModelTemplate
  • checkForSelfUpdate() : JoomlaupdateViewDefault
  • checkGroup() : Access
  • checkHeadersSent() : AbstractWebApplication , WebApplication
  • checkIfCoreExtension() : ExtensionHelper
  • checkin() : AssociationsControllerAssociations , CategoriesControllerCategories , CheckinModelCheckin , ConfigModelForm , FOFModel , FOFTable , JHtmlDropdown , AdminController , AdminModel , FormModel
  • checkIn() : Table
  • checkin() : ToolbarHelper , MenusControllerItems , TagsModelTags , UsersControllerGroups , UsersModelProfile
  • checkIPv6() : SimplePie_Net_IPv6
  • checkIPv6CIDR() : FOFUtilsIp , IpHelper
  • checkItemAccess() : FinderIndexerAdapter
  • checkLoggable() : PlgActionlogJoomla
  • checkMimeType() : MediaHelper
  • checkNewName() : TemplatesModelTemplate
  • checkNoHtml() : SearchHelper
  • checkNull() : MysqlChangeItem
  • checkout() : ConfigModelForm , FOFModel , FOFTable , AdminModel , FormModel
  • checkOut() : Table
  • checkout() : UsersModelProfile
  • CheckPassword() : PasswordHash
  • checkPublic() : JGithubPackageOrgsMembers
  • checkRateLimit() : JTwitterObject
  • checkRepo() : JGithubPackageOrgsTeams
  • checkResetLimit() : UsersModelReset
  • checkResponse() : POP3
  • checkSession() : JApplication , CMSApplication
  • checkSuperUserInUsers() : UserHelper
  • checkToken() : AbstractWebApplication , BaseController , Session , JRequest
  • checkUserRequireReset() : CMSApplication
  • checkVersion() : FOFPlatform , FOFPlatformInterface
  • checkZipData() : JArchiveZip , Zip
  • chmod() : AKAbstractPostproc , AKPostprocDirect , FtpClient , Stream , FtpClient , Stream
  • chosen() : JHtmlFormbehavior
  • CHROME : WebClient
  • chunked() : SimplePie_HTTP_Parser
  • Cipher() : AKEncryptionAES
  • CIPHER : Crypto
  • CIPHER_MODE : Crypto
  • clamp() : FOFLess , lessc , ParagonIE_Sodium_Core_Curve25519
  • class_alias() : FOFAutoloaderComponent
  • classify() : FOFInflector
  • clean() : AssociationsControllerAssociations , AssociationsModelAssociations , CacheModelCache , Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , Path , PathWrapper , InputFilter , Path , InputFilter
  • cleanAddress() : MailHelper , MailWrapper
  • cleanAlnum() : InputFilter
  • cleanAssetKey() : Access
  • cleanAttributes() : InputFilter
  • cleanBase64() : InputFilter
  • cleanBody() : MailHelper , MailWrapper
  • cleanBool() : InputFilter
  • cleanBoolean() : InputFilter
  • cleanCache() : CategoriesModelCategory , ConfigModelCms , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelFilter , FOFModel , LanguagesModelLanguage , LanguagesModelLanguages , MenusModelItem , MenusModelMenu , ModulesModelModule , PluginsModelPlugin , PrivacyModelRequest , TemplatesModelStyle
  • cleanCmd() : InputFilter
  • cleanDiscoveredExtension() : Installer
  • cleanDouble() : InputFilter
  • cleanFloat() : InputFilter
  • cleanHashes() : MailtoHelper
  • cleanHtml() : InputFilter
  • cleanInt() : InputFilter
  • cleanInteger() : InputFilter
  • cleanJoomlaCache() : JoomlaInstallerScript
  • cleanLine() : MailHelper , MailWrapper
  • cleanlist() : CacheModelCache
  • cleanModuleList() : ModuleHelper
  • cleanOptionsChildrenByFather() : JFormFieldGroupParent
  • cleanPath() : InputFilter , AbstractUri
  • cleanPrivateData() : AdminModelSysInfo
  • cleanSectionPrivateData() : AdminModelSysInfo
  • cleanString() : InputFilter
  • cleanSubject() : MailHelper , MailWrapper
  • cleanTags() : InputFilter
  • cleanText() : OutputFilterWrapper , MailHelper , MailWrapper , OutputFilter
  • cleanTrim() : InputFilter
  • cleanUint() : InputFilter
  • cleanUp() : JoomlaupdateModelDefault
  • cleanup() : Parser , TemplatesModelTemplate
  • cleanupInstall() : InstallerHelper
  • cleanupPostBatchCopy() : ContentModelArticle , AdminModel
  • cleanupValues() : FieldsModelField
  • cleanUsername() : InputFilter
  • cleanWord() : InputFilter
  • clear() : FOFDatabaseQuery , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , JDatabaseQuery , JDatabaseQueryOracle , JDatabaseQueryPgsql , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , Session , DataSet , Session , JSessionHandlerInterface , JSessionHandlerJoomla , JSessionHandlerNative
  • clearAccessRights() : User
  • clearAddresses() : PHPMailer
  • clearAllRecipients() : PHPMailer
  • clearArguments() : Event
  • clearAttachments() : Mail , PHPMailer
  • clearBCCs() : PHPMailer
  • clearCache() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • clearCacheGroups() : FOFUtilsCacheCleaner , PlgQuickiconEos310 , PlgSystemActionLogs , PlgSystemLogrotation , PlgSystemPrivacyconsent , PlgSystemStats , PlgSystemUpdatenotification
  • clearCalendar() : JGoogleDataCalendar
  • clearCCs() : PHPMailer
  • clearCustomHeaders() : PHPMailer
  • clearDebugMessages() : BaseLayout
  • clearEvents() : EasyPeasyICS , Dispatcher
  • clearExpiredTokens() : UserHelper , UserWrapper
  • clearFieldsCache() : FieldsHelper
  • clearFileInOPCache() : AKPostprocDirect
  • clearHeaders() : AbstractWebApplication , WebApplication , JResponse
  • clearIncludePaths() : FileLayout
  • clearInput() : FOFModel
  • clearLinks() : FOFToolbar
  • clearListeners() : Dispatcher
  • clearModulesCache() : FOFUtilsCacheCleaner
  • clearPluginsAndModulesCache() : FOFUtilsCacheCleaner
  • clearPluginsCache() : FOFUtilsCacheCleaner
  • clearQueuedAddresses() : PHPMailer
  • clearRadCache() : JoomlaInstallerScript
  • clearRelations() : FOFTableRelations
  • clearReplyTos() : PHPMailer
  • clearState() : FOFModel
  • clearStatics() : Access
  • clearStatsCache() : JoomlaInstallerScript
  • click() : BannersController , BannersModelBanner
  • clicks() : BannersTableBanner
  • client_send() : SMTP
  • clientEncoding() : JResponse
  • clientlist() : JHtmlBanner
  • clients() : JHtmlBanner , JHtmlLanguages
  • cloak() : JHtmlEmail
  • close() : FOFDatabaseDriverJoomla , AbstractApplication , Stream , Session , Stream , LdapClient , Session , Storage , JSessionStorage , Curl , SMTP , TemplatesControllerTemplate
  • closeChangeset() : JOpenstreetmapChangesets
  • cmov() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • CODE_NAME : JPlatform
  • CODENAME : Version
  • codepoint_to_utf8() : SimplePie_Misc
  • coerceColor() : FOFLess , lessc
  • coerceString() : FOFLess , lessc
  • collect() : Collectable , PharInvocationCollection
  • collectInvocation() : PharStreamWrapper
  • collectUrlsEnabled() : RedirectHelper
  • color() : FOFLessParser , lessc_parser
  • colorArgs() : FOFLess , lessc
  • colorpicker() : JHtmlBehavior
  • columns() : FOFDatabaseQuery , JDatabaseQuery
  • combinator() : tagparse
  • combobox() : JHtmlBehavior
  • COMMAND_DIR_OPENDIR : Behavior
  • COMMAND_MKDIR : Behavior
  • COMMAND_RENAME : Behavior
  • COMMAND_RMDIR : Behavior
  • COMMAND_STEAM_METADATA : Behavior
  • COMMAND_STREAM_OPEN : Behavior
  • COMMAND_UNLINK : Behavior
  • COMMAND_URL_STAT : Behavior
  • commonCategoryDisplay() : CategoryView
  • compare() : JGithubPackageRepositoriesCommits , LdapClient , ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Util
  • compareLanguages() : InstallationModelLanguages , InstallerModelLanguages , LanguagesModelInstalled
  • compile() : FOFLess , JLess , lessc , nodecounter
  • compileBlock() : FOFLess , lessc
  • compileCSSBlock() : FOFLess , lessc
  • compileFile() : FOFLess , lessc
  • compileImportedProps() : FOFLess , lessc
  • compileLess() : TemplatesModelTemplate
  • compileMedia() : FOFLess , lessc
  • compileMediaQuery() : FOFLess , lessc
  • compileNestedBlock() : FOFLess , lessc
  • compilePath() : tagparse
  • compilePaths() : tagparse
  • compileProp() : FOFLess , lessc
  • compileProperties() : nodecounter
  • compileProps() : FOFLess , lessc
  • compileRoot() : FOFLess , lessc
  • compileSelectors() : FOFLess , lessc
  • compileString() : tagparse
  • compileTag() : tagparse
  • compileValue() : FOFLess , lessc
  • complete() : UsersControllerReset
  • compress() : AbstractWebApplication , WebApplication , JResponse , ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b , SimplePie_Net_IPv6
  • compress_parse_url() : SimplePie_Misc
  • compressList() : FOFLess , lessc
  • concatenate() : FOFDatabaseQuery , FOFDatabaseQueryMysqli , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQueryMysqli , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • conceal() : JGithubPackageOrgsMembers
  • conditionMet() : FOFDatabaseInstaller
  • confirm() : PharInvocation , UsersControllerReset
  • connect() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , FtpClient , SocketTransport , DatabaseLogger , FtpClient , LdapClient , POP3 , SMTP
  • connected() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql , SMTP
  • consume() : SimplePie_Decode_HTML_Entities
  • consume_range() : SimplePie_Decode_HTML_Entities
  • contains() : Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage
  • content() : Microdata
  • context() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • convert() : uctc
  • convert_int_to_char_for_ctype() : Ctype
  • convertEncoding() : JHtmlEmail
  • convertPathsToNames() : TagsHelper
  • convertTablesToUtf8mb4() : FOFDatabaseInstaller , JoomlaInstallerScript
  • convertUtf8mb4QueryToUtf8() : FOFDatabaseDriver , FOFDatabaseInstaller , JDatabaseDriver
  • convertUtf8QueryToUtf8mb4() : FOFDatabaseInstaller
  • copy() : FOFController , FOFModel , FOFTable , FOFTableNested , File , Folder , Stream , FileWrapper , FolderWrapper , File , Folder , Stream , TemplatesControllerTemplate , TemplatesModelTemplate
  • copyBaseFiles() : ComponentAdapter , FileAdapter , LanguageAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • copyCliFiles() : FOFUtilsInstallscript
  • copyFile() : TemplatesControllerTemplate , TemplatesModelTemplate
  • copyFiles() : Installer
  • copyManifest() : Installer
  • COPYRIGHT : Version , JPlatform
  • core() : JHtmlBehavior
  • CORE_H2C_SHA256 : ParagonIE_Sodium_Core_Ristretto255
  • CORE_H2C_SHA512 : ParagonIE_Sodium_Core_Ristretto255
  • core_salsa20() : ParagonIE_Sodium_Core_Salsa20
  • count() : FOFDatabaseIteratorMysql , FOFDatabaseIteratorMysqli , FOFDatabaseIteratorPdo , FOFDatabaseIteratorPostgresql , FOFDatabaseIteratorSqlsrv , JDatabaseIteratorMysql , JDatabaseIteratorMysqli , JDatabaseIteratorPdo , JDatabaseIteratorPostgresql , JDatabaseIteratorSqlsrv , JInput , Feed , UserGroupsHelper , DataObject , DataSet , AbstractEvent , ListenersPriorityQueue , Input , Registry , SplFixedArray
  • counterReset() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • countEvents() : Dispatcher
  • countFiles() : MediaHelper
  • countItems() : BannersHelper , CategoriesModelCategories , ContactHelper , ContentHelper , NewsfeedsHelper , TagsModelTags
  • countItemsByMonth() : ContentModelArticles
  • countListeners() : Dispatcher
  • countMenuChildren() : HtmlDocument
  • countModules() : HtmlDocument
  • countRelations() : ContentHelper
  • countTagItems() : ContactHelper , ContentHelper , NewsfeedsHelper
  • create() : FOFTableNested , JArchiveZip , JGithubCommits , JGithubForks , JGithubHooks , JGithubMilestones , JGithubPackageAuthorization , JGithubPackageDataBlobs , JGithubPackageDataCommits , JGithubPackageDataRefs , JGithubPackageDataTags , JGithubPackageDataTrees , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageIssues , JGithubPackageIssuesComments , JGithubPackageIssuesLabels , JGithubPackageIssuesMilestones , JGithubPackageOrgsTeams , JGithubPackagePulls , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesDownloads , JGithubPackageRepositoriesForks , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageRepositoriesStatuses , JGithubPackageUsersKeys , JGithubRefs , JGithubStatuses , JHtmlIcon , Zip , FtpClient , CryptPassword , SimpleCryptPassword , Folder , FolderWrapper , FtpClient , Folder , LdapClient , JTwitterLists , KeychainManager , MediaControllerFolder , SimplePie_Cache , SimplePie_Registry
  • createAlbum() : JFacebookUser , JGoogleDataPicasa
  • createAttending() : JFacebookEvent
  • createAuthorisation() : JGithubAccount
  • createBody() : PHPMailer
  • createCalendar() : JGoogleDataCalendar
  • createCall() : JGoogleEmbedAnalytics
  • createCategory() : CategoriesHelper , CategoryFactory , CategoryFactoryInterface
  • createChangeset() : JOpenstreetmapChangesets
  • createCheckin() : JFacebookUser
  • createChild() : Container
  • createComment() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo , JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls
  • createCommentReply() : JGithubPackagePulls
  • createCommitComment() : JGithubCommits
  • createConfig() : Factory
  • createConfiguration() : InstallationModelConfiguration
  • createConnection() : JFacebookObject
  • createCustomFieldsDomain() : PrivacyPlugin
  • createCustomVar() : JGoogleEmbedAnalytics
  • createDatabase() : FOFDatabaseDriver , InstallationModelDatabase , JDatabaseDriver
  • createDb() : InstallationModelDatabase
  • createDbo() : Factory
  • createDeclined() : JFacebookEvent
  • createDelegatedLogger() : Log
  • createDirectory() : AKUnarchiverJPA
  • createDirRecursive() : AKAbstractPostproc , AKPostprocDirect
  • createDocument() : Factory
  • createDomain() : PrivacyPlugin
  • createEvent() : JFacebookUser , JGoogleDataCalendar , JGoogleEmbedAnalytics
  • createExtensionRoot() : ComponentAdapter , PackageAdapter , PluginAdapter , InstallerAdapter
  • createFavorites() : JTwitterFavorites
  • createFile() : TemplatesControllerTemplate , TemplatesModelTemplate
  • createFileName() : FOFController , BaseController
  • createFolder() : TemplatesControllerTemplate , TemplatesModelTemplate
  • createFromIssue() : JGithubPackagePulls
  • createHeader() : PHPMailer
  • createInvite() : JFacebookEvent
  • createItemForTable() : PrivacyPlugin
  • createItemForUserTable() : PlgPrivacyUser
  • createItemFromArray() : PrivacyPlugin
  • createLabel() : JGithubPackageIssues
  • createLanguage() : Factory
  • createLanguageList() : LanguageHelper , LanguageHelperWrapper
  • createLevels() : MenuHelper
  • createLike() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo
  • createLink() : JFacebookEvent , JFacebookGroup , JFacebookUser
  • createMailer() : Factory
  • createMaybe() : JFacebookEvent
  • createModel() : FOFController , BaseController , LegacyFactory , MVCFactory , MVCFactoryInterface
  • CreateNewRandomKey() : Crypto
  • createNode() : JOpenstreetmapElements
  • createNote() : JFacebookUser
  • createNotesDomain() : PlgPrivacyUser
  • createObjectArray() : ContenthistoryHelper
  • createObserver() : JObserverInterface , ContentHistory , Tags
  • createOption() : ConfigModelModules , ModulesHelper
  • createOptionGroup() : ConfigModelModules , ModulesHelper
  • createOverride() : TemplatesModelTemplate
  • createPassphraseFile() : JKeychain
  • createPhoto() : JFacebookAlbum , JFacebookEvent , JFacebookUser
  • createPlace() : JTwitterPlaces
  • createPost() : JFacebookEvent , JFacebookGroup , JFacebookUser , JLinkedinGroups
  • createProfileDomain() : PlgPrivacyUser
  • createRecordIfNonExisting() : MetadataManager
  • createRef() : StringController
  • createRelation() : JOpenstreetmapElements
  • createReply() : JGithubPackagePullsComments
  • createRestorationFile() : JoomlaupdateModelDefault
  • createRootUser() : InstallationModelConfiguration
  • createSavedSearch() : JTwittersearch
  • createSession() : Factory
  • createSiteList() : Help
  • createStatus() : JFacebookEvent , JFacebookGroup , JFacebookUser
  • createTable() : LegacyFactory , MVCFactory , MVCFactoryInterface
  • createTables() : InstallationModelDatabase
  • createTag() : JFacebookPhoto
  • createTagsFromField() : TagsHelper
  • createTagsFromMetadata() : TagsHelper
  • createTagsHelper() : AdminModel
  • createTemplateOverride() : TemplatesModelTemplate
  • createTheWrongIV() : AKEncryptionAES
  • createThumbs() : Image
  • createToken() : Session
  • createUri() : Router , SiteRouter
  • createUrl() : JOAuth2Client , Help
  • createUserDomain() : PlgPrivacyUser
  • createVideo() : JFacebookEvent , JFacebookUser
  • createView() : FOFController , BaseController , LegacyFactory , MVCFactory , MVCFactoryInterface
  • createWay() : JOpenstreetmapElements
  • createZipFile() : Zip
  • CRITICAL : Log
  • critical() : AbstractLogger , LoggerInterface
  • CRITICAL : LogLevel
  • CRLF : PHPMailer , POP3 , SMTP
  • CROP : Image
  • crop() : Image
  • CROP_RESIZE : Image
  • cropImage() : TemplatesControllerTemplate , TemplatesModelTemplate
  • cropResize() : Image
  • crypt_private() : PasswordHash
  • CRYPTO_AEAD_AES256GCM_ABYTES : ParagonIE_Sodium_Compat
  • crypto_aead_aes256gcm_encrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_aes256gcm_is_available() : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_AES256GCM_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_aead_aes256gcm_keygen() : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_AES256GCM_NPUBBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_AES256GCM_NSECBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_ABYTES : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_decrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_encrypt() : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_ietf_decrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_ietf_encrypt() : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_ietf_keygen() : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_keygen() : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES : ParagonIE_Sodium_Compat
  • crypto_aead_xchacha20poly1305_ietf_decrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_xchacha20poly1305_ietf_encrypt() : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_aead_xchacha20poly1305_ietf_keygen() : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES : ParagonIE_Sodium_Compat
  • crypto_auth() : ParagonIE_Sodium_Compat
  • CRYPTO_AUTH_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AUTH_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_auth_keygen() : ParagonIE_Sodium_Compat
  • crypto_auth_verify() : ParagonIE_Sodium_Compat
  • crypto_box() : ParagonIE_Sodium_Compat
  • crypto_box_keypair() : ParagonIE_Sodium_Compat
  • crypto_box_keypair_from_secretkey_and_publickey() : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_KEYPAIRBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_MACBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_NONCEBYTES : ParagonIE_Sodium_Compat
  • crypto_box_open() : ParagonIE_Sodium_Compat
  • crypto_box_publickey() : ParagonIE_Sodium_Compat
  • crypto_box_publickey_from_secretkey() : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_PUBLICKEYBYTES : ParagonIE_Sodium_Compat
  • crypto_box_seal() : ParagonIE_Sodium_Compat
  • crypto_box_seal_open() : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_SEALBYTES : ParagonIE_Sodium_Compat
  • crypto_box_secretkey() : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_SECRETKEYBYTES : ParagonIE_Sodium_Compat
  • crypto_box_seed_keypair() : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_SEEDBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_CORE_RISTRETTO255_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_CORE_RISTRETTO255_HASHBYTES : ParagonIE_Sodium_Compat
  • crypto_core_ristretto255_HASHBYTES : ParagonIE_Sodium_Core_Ristretto255
  • CRYPTO_CORE_RISTRETTO255_NONREDUCEDSCALARBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_CORE_RISTRETTO255_SCALARBYTES : ParagonIE_Sodium_Compat
  • crypto_generichash() : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_BYTES_MAX : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_BYTES_MIN : ParagonIE_Sodium_Compat
  • crypto_generichash_final() : ParagonIE_Sodium_Compat
  • crypto_generichash_init() : ParagonIE_Sodium_Compat
  • crypto_generichash_init_salt_personal() : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_KEYBYTES_MAX : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_KEYBYTES_MIN : ParagonIE_Sodium_Compat
  • crypto_generichash_keygen() : ParagonIE_Sodium_Compat
  • crypto_generichash_update() : ParagonIE_Sodium_Compat
  • CRYPTO_KDF_BYTES_MAX : ParagonIE_Sodium_Compat
  • CRYPTO_KDF_BYTES_MIN : ParagonIE_Sodium_Compat
  • CRYPTO_KDF_CONTEXTBYTES : ParagonIE_Sodium_Compat
  • crypto_kdf_derive_from_key() : ParagonIE_Sodium_Compat
  • CRYPTO_KDF_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_kdf_keygen() : ParagonIE_Sodium_Compat
  • crypto_kx() : ParagonIE_Sodium_Compat
  • CRYPTO_KX_BYTES : ParagonIE_Sodium_Compat
  • crypto_kx_client_session_keys() : ParagonIE_Sodium_Compat
  • crypto_kx_keypair() : ParagonIE_Sodium_Compat
  • CRYPTO_KX_KEYPAIRBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_KX_PRIMITIVE : ParagonIE_Sodium_Compat
  • crypto_kx_publickey() : ParagonIE_Sodium_Compat
  • CRYPTO_KX_PUBLICKEYBYTES : ParagonIE_Sodium_Compat
  • crypto_kx_secretkey() : ParagonIE_Sodium_Compat
  • CRYPTO_KX_SECRETKEYBYTES : ParagonIE_Sodium_Compat
  • crypto_kx_seed_keypair() : ParagonIE_Sodium_Compat
  • CRYPTO_KX_SEEDBYTES : ParagonIE_Sodium_Compat
  • crypto_kx_server_session_keys() : ParagonIE_Sodium_Compat
  • CRYPTO_KX_SESSIONKEYBYTES : ParagonIE_Sodium_Compat
  • crypto_pwhash() : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_ALG_ARGON2I13 : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_ALG_ARGON2ID13 : ParagonIE_Sodium_Compat
  • crypto_pwhash_is_available() : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_MEMLIMIT_MODERATE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_MEMLIMIT_SENSITIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_OPSLIMIT_MODERATE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_OPSLIMIT_SENSITIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SALTBYTES : ParagonIE_Sodium_Compat
  • crypto_pwhash_scryptsalsa208sha256() : ParagonIE_Sodium_Compat
  • crypto_pwhash_scryptsalsa208sha256_is_available() : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES : ParagonIE_Sodium_Compat
  • crypto_pwhash_scryptsalsa208sha256_str() : ParagonIE_Sodium_Compat
  • crypto_pwhash_scryptsalsa208sha256_str_verify() : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX : ParagonIE_Sodium_Compat
  • crypto_pwhash_str() : ParagonIE_Sodium_Compat
  • crypto_pwhash_str_verify() : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_STRPREFIX : ParagonIE_Sodium_Compat
  • crypto_scalarmult() : ParagonIE_Sodium_Compat
  • crypto_scalarmult_base() : ParagonIE_Sodium_Compat
  • CRYPTO_SCALARMULT_BYTES : ParagonIE_Sodium_Compat
  • crypto_scalarmult_curve25519_ref10_base() : ParagonIE_Sodium_Core32_X25519 , ParagonIE_Sodium_Core_X25519
  • CRYPTO_SCALARMULT_RISTRETTO255_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SCALARMULT_RISTRETTO255_SCALARBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SCALARMULT_SCALARBYTES : ParagonIE_Sodium_Compat
  • crypto_secretbox() : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETBOX_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_secretbox_keygen() : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETBOX_MACBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETBOX_NONCEBYTES : ParagonIE_Sodium_Compat
  • crypto_secretbox_open() : ParagonIE_Sodium_Compat
  • crypto_secretbox_xchacha20poly1305() : ParagonIE_Sodium_Compat
  • crypto_secretbox_xchacha20poly1305_open() : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_init_pull() : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_init_push() : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_keygen() : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_pull() : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_push() : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_rekey() : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY : ParagonIE_Sodium_Compat
  • crypto_shorthash() : ParagonIE_Sodium_Compat
  • CRYPTO_SHORTHASH_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SHORTHASH_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_shorthash_keygen() : ParagonIE_Sodium_Compat
  • crypto_sign() : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_BYTES : ParagonIE_Sodium_Compat
  • crypto_sign_detached() : ParagonIE_Sodium_Compat
  • crypto_sign_ed25519_pk_to_curve25519() : ParagonIE_Sodium_Compat
  • crypto_sign_ed25519_sk_to_curve25519() : ParagonIE_Sodium_Compat
  • crypto_sign_keypair() : ParagonIE_Sodium_Compat
  • crypto_sign_keypair_from_secretkey_and_publickey() : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_KEYPAIRBYTES : ParagonIE_Sodium_Compat
  • crypto_sign_open() : ParagonIE_Sodium_Compat
  • crypto_sign_publickey() : ParagonIE_Sodium_Compat
  • crypto_sign_publickey_from_secretkey() : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_PUBLICKEYBYTES : ParagonIE_Sodium_Compat
  • crypto_sign_secretkey() : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_SECRETKEYBYTES : ParagonIE_Sodium_Compat
  • crypto_sign_seed_keypair() : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_SEEDBYTES : ParagonIE_Sodium_Compat
  • crypto_sign_verify_detached() : ParagonIE_Sodium_Compat
  • crypto_stream() : ParagonIE_Sodium_Compat
  • CRYPTO_STREAM_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_stream_keygen() : ParagonIE_Sodium_Compat
  • CRYPTO_STREAM_NONCEBYTES : ParagonIE_Sodium_Compat
  • crypto_stream_xchacha20() : ParagonIE_Sodium_Compat
  • CRYPTO_STREAM_XCHACHA20_KEYBYTES : ParagonIE_Sodium_Compat
  • crypto_stream_xchacha20_keygen() : ParagonIE_Sodium_Compat
  • CRYPTO_STREAM_XCHACHA20_NONCEBYTES : ParagonIE_Sodium_Compat
  • crypto_stream_xchacha20_xor() : ParagonIE_Sodium_Compat
  • crypto_stream_xor() : ParagonIE_Sodium_Compat
  • CSRFC3548 : FOFEncryptBase32
  • ctype_alnum() : Ctype
  • ctype_alpha() : Ctype
  • ctype_cntrl() : Ctype
  • ctype_digit() : Ctype
  • ctype_graph() : Ctype
  • ctype_lower() : Ctype
  • ctype_print() : Ctype
  • ctype_punct() : Ctype
  • ctype_space() : Ctype
  • ctype_upper() : Ctype
  • ctype_xdigit() : Ctype
  • current() : FOFDatabaseIterator , JDatabaseIterator , Uri , DataSet , SplFixedArray
  • currentTimestamp() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • custom() : ToolbarHelper
  • customErrorHandler() : JError
  • customErrorPage() : JError
  • cvc() : FinderIndexerStemmerPorter_En


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- d -

  • daemonize() : AbstractDaemonApplication , DaemonApplication
  • data() : JGoogle , SMTP
  • date() : HTMLHelper
  • date_asctime() : SimplePie_Parse_Date
  • date_rfc2822() : SimplePie_Parse_Date
  • date_rfc850() : SimplePie_Parse_Date
  • date_strtotime() : SimplePie_Parse_Date
  • date_w3cdtf() : SimplePie_Parse_Date
  • dateAdd() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • dateFormat() : FOFDatabaseQuery , JDatabaseQuery
  • dates() : JHtmlFilter
  • day() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • DAY_ABBR : Date
  • DAY_NAME : Date
  • dayToString() : Date
  • debug() : BaseLayout , LayoutHelper
  • DEBUG : Log
  • debug() : Nested , PlgSystemStats , AbstractLogger , LoggerInterface
  • DEBUG : LogLevel
  • debug() : SimplePie_Misc
  • DEBUG_CLIENT : SMTP
  • DEBUG_CONNECTION : SMTP
  • DEBUG_LOWLEVEL : SMTP
  • DEBUG_OFF : SMTP
  • DEBUG_SERVER : SMTP
  • debugFile() : Language
  • debugLanguage() : InstallationApplicationWeb
  • declareScalarType() : ParagonIE_Sodium_Core_Util
  • decode() : FOFEncryptBase32 , idna_convert , InputFilter
  • decode6Bits() : ParagonIE_Sodium_Core_Base64_Common , ParagonIE_Sodium_Core_Base64_Original , ParagonIE_Sodium_Core_Base64_UrlSafe
  • decodeData() : JInputFiles , Files
  • decodeFields() : ContenthistoryHelper
  • decodeFileData() : InputFilter
  • decodeSegments() : Router
  • decrypt() : AKEncryptionAESAdapterInterface
  • Decrypt() : Crypto
  • decrypt() : FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl , CryptoCipher , McryptCipher , SimpleCipher , SodiumCipher , CipherInterface , Crypt , JSimplecrypt , Mcrypt , OpenSSL
  • decryptString() : FOFEncryptAes
  • deduplicate() : lessc
  • def() : FOFUtilsObject , JInput , CMSObject , Input , Registry
  • DEFAULT_SMTP_PORT : SMTP
  • defParam() : User
  • delete() : ActionlogsModelActionlogs , BannersModelTracks , CacheController , CategoriesTableCategory , ContenthistoryControllerHistory , ContenthistoryModelHistory , ContentModelArticle , FieldsModelField , FinderModelIndex , FinderModelMaps , FOFDatabaseQuery , FOFModel , FOFTable , InstallerControllerUpdatesites , InstallerModelUpdatesites , JDatabaseQuery , JGithubHooks , JGithubMilestones , JGithubPackageAuthorization , JGithubPackageDataRefs , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageIssuesComments , JGithubPackageIssuesLabels , JGithubPackageIssuesMilestones , JGithubPackageOrgsTeams , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesDownloads , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageUsersEmails , JGithubPackageUsersKeys , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , FtpClient , File , Folder , Stream , FileWrapper , FolderWrapper , Http , AdminController , AdminModel , CoreContent , MenuType , Nested , TableInterface , User , Usergroup , UCMContent , User , FtpClient , File , Folder , Stream , LdapClient , JTableSession , JTwitterLists , KeychainManager , LanguagesControllerOverrides , LanguagesModelLanguages , LanguagesModelOverrides , MediaControllerFile , MediaControllerFolder , MenusControllerMenus , MenusModelMenu , MenusTableMenu , MessagesModelMessage , ModulesModelModule , TagsTableTag , TemplatesControllerTemplate , TemplatesModelStyle , TemplatesTableStyle , UsersControllerGroups , UsersControllerLevel , UsersModelGroup , UsersModelUser
  • deleteAll() : CacheController
  • deleteAuthorisation() : JGithubAccount
  • deleteBookmark() : JLinkedinJobs
  • deleteByContentId() : CoreContent
  • deleteCache() : FOFInflector
  • deleteCalendar() : JGoogleDataCalendar
  • deleteCall() : JGoogleEmbedAnalytics
  • deleteColumn() : JGrid
  • deleteComment() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo , JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls , JLinkedinGroups
  • deleteCommitComment() : JGithubCommits
  • deleteConnection() : JFacebookObject
  • deleteContextEntry() : Stream
  • deleteDatabase() : InstallationModelDatabase
  • deleteDirectMessages() : JTwitterDirectmessages
  • deleteElement() : JOpenstreetmapElements
  • deleteEvent() : JFacebookUser , JGoogleDataCalendar
  • deleteEventHandler() : JGoogleEmbedMaps
  • deleteFavorites() : JTwitterFavorites
  • deleteFile() : TemplatesModelTemplate
  • deleteFolder() : TemplatesControllerTemplate , TemplatesModelTemplate
  • deleteHistory() : ContentHistoryHelper
  • deleteInvite() : JFacebookEvent
  • deleteLabel() : JGithubPackageIssues
  • deleteLike() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo
  • deleteLink() : JFacebookEvent , JFacebookGroup , JFacebookUser
  • deleteList() : ToolbarHelper
  • deleteMarker() : JGoogleEmbedMaps
  • deleteMembers() : JTwitterLists
  • deleteOldVersions() : ContentHistory
  • deletePageById() : JMediawikiPages
  • deletePageByName() : JMediawikiPages
  • deletePermission() : JFacebookUser
  • deletePost() : JFacebookEvent , JFacebookGroup , JFacebookPost , JFacebookUser , JLinkedinGroups
  • deletePriorTo() : MetadataManager
  • deleteRow() : JGrid
  • deleteSavedSearch() : JTwittersearch
  • deleteStatus() : JFacebookEvent , JFacebookGroup , JFacebookUser
  • deleteSubscription() : JGithubPackageActivityWatching
  • deleteSuggestion() : JLinkedinGroups
  • deleteThreadSubscription() : JGithubPackageActivityNotifications
  • deleteTweet() : JTwitterStatuses
  • deleteUnexistingFiles() : JoomlaInstallerScript
  • deleteValue() : JKeychain
  • delVar() : Uri
  • deserializeMetaData() : Manifest
  • destroy() : Session , Image , Session , Apc , Apcu , Database , Storage , Xcache , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageDatabase , JSessionStorageXcache , JTableSession , Manager
  • destroyUserSessions() : UserHelper
  • detach() : AKAbstractPart , FOFUtilsObservableDispatcher , JEventDispatcher , JObservable , AbstractDaemonApplication , DaemonApplication , Authentication , Captcha , Editor
  • detachHandler() : JError
  • detachObserver() : JObserverUpdater
  • detachRule() : RouterView
  • detectAndCleanIP() : FOFUtilsIp , IpHelper
  • detectBrowser() : WebClient
  • detectEncoding() : WebClient
  • detectEngine() : WebClient
  • detectFtpRoot() : InstallationModelFtp
  • detectHeaders() : WebClient
  • detectIP() : FOFUtilsIp , IpHelper
  • detectLanguage() : WebClient , LanguageHelper , LanguageHelperWrapper
  • detectPlatform() : WebClient
  • detectRequestUri() : AbstractWebApplication , WebApplication
  • detectRobot() : WebClient
  • detectType() : InstallerHelper
  • determineBaseFile() : Helper
  • determineFileType() : Reader
  • determineFileTypeByHeader() : Reader
  • DEV_LEVEL : Version
  • DEV_STATUS : Version
  • diffUploadChangeset() : JOpenstreetmapChangesets
  • dir_closedir() : PharStreamWrapper
  • dir_opendir() : PharStreamWrapper
  • dir_readdir() : PharStreamWrapper
  • dir_rewinddir() : PharStreamWrapper
  • directoryTree() : TemplatesViewTemplate
  • disableModuleMainMenu() : InstallationModelLanguages
  • disconnect() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , POP3
  • discover() : InstallerModelDiscover , JLoader , ComponentAdapter , LanguageAdapter , LibraryAdapter , ModuleAdapter , PluginAdapter , TemplateAdapter , Installer
  • discover_install() : InstallerModelDiscover , LanguageAdapter , Installer , InstallerAdapter
  • dispatch() : FOFDispatcher , InstallationApplicationWeb , JApplication , AdministratorApplication , SiteApplication
  • display() : ActionlogsViewActionlogs , AdminController , AdminViewHelp , AdminViewProfile , AdminViewSysinfo , AssociationsViewAssociation , AssociationsViewAssociations , BannersController , BannersViewBanner , BannersViewBanners , BannersViewClient , BannersViewClients , BannersViewDownload , BannersViewTracks , CacheController , CacheViewCache , CacheViewPurge , CategoriesController , CategoriesViewCategories , CategoriesViewCategory , CheckinController , CheckinViewCheckin , ConfigController , ContactController , ContactViewCategory , ContactViewContact , ContactViewContacts , ContactViewFeatured , ContentController , ContenthistoryViewCompare , ContenthistoryViewHistory , ContenthistoryViewPreview , ContentViewArchive , ContentViewArticle , ContentViewArticles , ContentViewCategory , ContentViewFeatured , ContentViewForm , CpanelViewCpanel , FieldsController , FieldsViewField , FieldsViewFields , FieldsViewGroup , FieldsViewGroups , FinderController , FinderViewFilter , FinderViewFilters , FinderViewIndex , FinderViewMaps , FinderViewSearch , FinderViewStatistics , FOFController , FOFView , FOFViewForm , FOFViewRaw , InstallerController , InstallerViewDatabase , InstallerViewDefault , InstallerViewDiscover , InstallerViewInstall , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , InstallerViewWarnings , Captcha , Editor , Microdata , CategoriesView , CategoryFeedView , CategoryView , HtmlView , JoomlaupdateViewUpdate , JoomlaupdateViewUpload , LanguagesController , LanguagesViewInstalled , LanguagesViewLanguage , LanguagesViewLanguages , LanguagesViewMultilangstatus , LanguagesViewOverride , LanguagesViewOverrides , LoginController , LoginViewLogin , MailtoViewMailto , MediaController , MediaViewImages , MediaViewImagesList , MediaViewMedia , MediaViewMediaList , MenusController , MenusControllerMenu , MenusControllerMenus , MenusViewItem , MenusViewItems , MenusViewMenu , MenusViewMenus , MenusViewMenutypes , MessagesController , MessagesViewConfig , MessagesViewMessage , MessagesViewMessages , ModulesController , ModulesViewModule , ModulesViewModules , ModulesViewPositions , ModulesViewPreview , ModulesViewSelect , NewsfeedsController , NewsfeedsViewCategory , NewsfeedsViewNewsfeed , NewsfeedsViewNewsfeeds , PlgSystemDebug , PlgSystemFields , PluginsController , PluginsViewPlugin , PluginsViewPlugins , PrivacyController , PrivacyViewCapabilities , PrivacyViewConfirm , PrivacyViewConsents , PrivacyViewRemind , PrivacyViewRequest , PrivacyViewRequests , RedirectController , RedirectViewLink , RedirectViewLinks , SearchController , SearchViewSearch , SearchViewSearches , TagsController , TagsViewTag , TagsViewTags , TemplatesController , TemplatesViewStyle , TemplatesViewStyles , TemplatesViewTemplate , TemplatesViewTemplates , UsersController , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroup , UsersViewGroups , UsersViewLevel , UsersViewLevels , UsersViewLogin , UsersViewMail , UsersViewNote , UsersViewNotes , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset , UsersViewUser , UsersViewUsers , WrapperController , WrapperViewWrapper
  • displayAssociations() : ContentHelperAssociation
  • displayButtons() : PlgEditorCodemirror
  • displayCallback() : PlgSystemDebug
  • displayErrors() : PlgSystemDebug
  • displayFieldOnForm() : FieldsHelper
  • displayHelp() : KeychainManager
  • displayLanguageFilesInError() : PlgSystemDebug
  • displayLanguageFilesLoaded() : PlgSystemDebug
  • displayLogs() : PlgSystemDebug
  • displayMemoryUsage() : PlgSystemDebug
  • displayProfileInformation() : PlgSystemDebug
  • displayQueries() : PlgSystemDebug
  • displayScope() : Microdata
  • displaySession() : PlgSystemDebug
  • displayUntranslatedStrings() : PlgSystemDebug
  • displayVotingData() : PlgContentVote
  • divider() : JHtmlActionsDropdown , JHtmlDropdown , ToolbarHelper
  • DKIM_Add() : PHPMailer
  • DKIM_BodyC() : PHPMailer
  • DKIM_HeaderC() : PHPMailer
  • DKIM_QP() : PHPMailer
  • DKIM_Sign() : PHPMailer
  • do_strip_htmltags() : SimplePie_Sanitize
  • dob() : PlgUserProfile
  • doCallback() : PHPMailer
  • doCallObservers() : JObserverUpdater , JObserverUpdaterInterface
  • doDatabaseTransactions() : InstallerAdapter
  • doErrorHandling() : PlgSystemRedirect
  • doExecute() : DeletefilesCli , FinderCli , GarbageCron , InstallationApplicationWeb , AbstractApplication , AdministratorApplication , BaseApplication , SiteApplication , SessionGc , SessionMetadataGc , Updatecron
  • doLoadLanguage() : InstallerAdapter
  • doParse() : Parser
  • doSendNotificationEmail() : FOFUtilsUpdate
  • doSessionStart() : JSessionHandlerNative
  • doubleConsonant() : FinderIndexerStemmerPorter_En
  • doUpdateComponent() : FOFUtilsUpdate
  • download() : JoomlaupdateModelDefault
  • downloadAndReturn() : FOFDownloadAdapterAbstract , FOFDownloadAdapterCurl , FOFDownloadAdapterFopen , FOFDownloadInterface
  • downloadChangeset() : JOpenstreetmapChangesets
  • downloadPackage() : InstallationModelLanguages , InstallerHelper , JoomlaupdateModelDefault
  • downloadTraceMetadata() : JOpenstreetmapGps
  • downloadTraceMetadetails() : JOpenstreetmapGps
  • downloadUpdate() : FOFUtilsUpdate
  • dropColumn() : ArrayHelper
  • dropdown() : JHtmlBootstrap
  • dropTable() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • DST_FILE : Patcher
  • dump() : FOFDatabaseQuery , JDatabaseQuery , DataObject , DataSet , DumpableInterface , lessify , nodecounter , Dumper , Inline , Yaml
  • dumpArray() : Inline
  • dumpLanguage() : AKText
  • dumpProperty() : DataObject
  • dumpVar() : KeychainManager
  • duplicate() : JHtmlActionsDropdown , ModulesControllerModules , ModulesModelModule , TemplatesControllerStyles , TemplatesModelStyle
  • DUPLICATE_ALIAS_WARNING : PharInvocationCollection
  • duplicateUrls() : RedirectControllerLinks , RedirectModelLink


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- e -

  • echoBody() : JGoogleEmbed
  • echoHeader() : JGoogleEmbed
  • edebug() : PHPMailer , SMTP
  • EDG : WebClient
  • EDGE : WebClient
  • edit() : AssociationsControllerAssociation , ContentControllerArticle , FOFController , JGithubHooks , JGithubMilestones , JGithubPackageAuthorization , JGithubPackageDataRefs , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageIssues , JGithubPackageIssuesComments , JGithubPackageIssuesMilestones , JGithubPackageOrgs , JGithubPackageOrgsTeams , JGithubPackagePulls , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageUsers , JGithubPackageUsersKeys , JGithubRefs , JHtmlDropdown , JHtmlIcon , FormController , LanguagesControllerOverride , MenusControllerItem , UsersControllerProfile
  • editAssociations() : FormController , AdminModel
  • editAuthorisation() : JGithubAccount
  • editCalendar() : JGoogleDataCalendar
  • editCalendarSettings() : JGoogleDataCalendar
  • editComment() : JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls
  • editCommitComment() : JGithubCommits
  • editCss() : ToolbarHelper
  • editEvent() : JFacebookUser , JGoogleDataCalendar
  • editHtml() : ToolbarHelper
  • editLabel() : JGithubPackageIssues
  • editList() : ToolbarHelper
  • editor() : JHtmlUsers
  • editPage() : JMediawikiPages
  • edwards_to_montgomery() : ParagonIE_Sodium_Core32_X25519 , ParagonIE_Sodium_Core_X25519
  • element_implode() : SimplePie_Misc
  • elementOptions() : PluginsHelper
  • email() : JGithubPackageSearch , JHtmlIcon
  • emailTitle() : InstallationControllerInstallEmail
  • emailToPunycode() : InputFilter , PunycodeHelper , JStringWrapperPunycode
  • emailToUTF8() : PunycodeHelper , JStringWrapperPunycode
  • emailUser() : JMediawikiUsers
  • embed() : JGoogle , SimplePie_Enclosure
  • EMERGENCY : Log
  • emergency() : AbstractLogger , LoggerInterface
  • EMERGENCY : LogLevel
  • enable() : Microdata
  • enable_cache() : SimplePie
  • enable_order_by_date() : SimplePie
  • enableModule() : InstallationModelLanguages
  • enablePlugin() : InstallationModelLanguages
  • enableSites() : InstallerModelUpdate
  • encode() : FOFEncryptBase32 , idna_convert , ParagonIE_Sodium_Core_Base64_Common , ParagonIE_Sodium_Core_Base64_Original , ParagonIE_Sodium_Core_Base64_UrlSafe
  • encode64() : PasswordHash
  • encode6Bits() : ParagonIE_Sodium_Core_Base64_Common , ParagonIE_Sodium_Core_Base64_Original , ParagonIE_Sodium_Core_Base64_UrlSafe
  • encode_instead_of_strip() : SimplePie , SimplePie_Sanitize
  • encode_uri() : idna_convert
  • encodeFile() : PHPMailer
  • encodeHeader() : PHPMailer
  • encodeQ() : PHPMailer
  • encodeQP() : PHPMailer
  • encodeQPphp() : PHPMailer
  • encodeSegments() : Router
  • encodeString() : PHPMailer
  • encodeUnpadded() : ParagonIE_Sodium_Core_Base64_Common , ParagonIE_Sodium_Core_Base64_Original , ParagonIE_Sodium_Core_Base64_UrlSafe
  • encoding() : SimplePie_Misc
  • ENCODING : Unescaper
  • encoding_equals() : SimplePie_XML_Declaration_Parser
  • encoding_name() : SimplePie_XML_Declaration_Parser
  • encoding_value() : SimplePie_XML_Declaration_Parser
  • Encrypt() : Crypto
  • encrypt() : FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl , CryptoCipher , McryptCipher , SimpleCipher , SodiumCipher , CipherInterface , Crypt , JSimplecrypt
  • ENCRYPTION_INFO : Crypto
  • encryptString() : FOFEncryptAes
  • end() : FOFLessParser , JHtmlSliders , JHtmlTabs , OutputController , lessc_parser
  • endAccordion() : JHtmlBootstrap
  • endBoundary() : PHPMailer
  • endPane() : JHtmlBootstrap
  • endPanel() : JHtmlBootstrap
  • endSession() : JTwitterOAuth
  • endSlide() : JHtmlBootstrap
  • endTab() : JHtmlBootstrap
  • endTabSet() : JHtmlBootstrap
  • enforce_min_exec_time() : AKCoreTimer
  • enqueueMessage() : JApplication , CMSApplication
  • EnsureFunctionExists() : Crypto
  • entities_decode() : SimplePie_Misc
  • entity() : SimplePie_Decode_HTML_Entities
  • enumerateCategories() : JMediawikiCategories
  • enumerateImages() : JMediawikiImages
  • enumerateLinks() : JMediawikiLinks
  • eof() : Stream
  • EOS_DATE : PlgQuickiconEos310
  • eq() : FOFLess , lessc
  • equal() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • equals() : FOFTableNested , PharInvocation
  • ERROR : Log
  • error() : AbstractLogger , LoggerInterface
  • ERROR : LogLevel
  • error() : SimplePie , SimplePie_Misc
  • errorHandler() : SMTP
  • errorMessage() : phpmailerException
  • escape() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDatabaseQuery , FOFView , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , JDatabaseQuery , BaseLayout , LayoutInterface , HtmlView , LdapClient , JView , JViewBase , JViewHtml
  • escapeAttributeValues() : InputFilter
  • escapeCsvFormula() : ActionlogsHelper , ActionlogsHelperPhp55
  • escapeWithDoubleQuotes() : Escaper
  • escapeWithSingleQuotes() : Escaper
  • evaluate() : FOFLess , lessc
  • evaluateScalar() : Inline
  • exact() : FOFModelField , FOFModelFieldText
  • exec() : FOFDatabaseQuery , JDatabaseQuery , Curl
  • execute() : ConfigControllerApplicationCancel , ConfigControllerApplicationRemoveroot , ConfigControllerApplicationSave , ConfigControllerApplicationSendtestmail , ConfigControllerApplicationStore , ConfigControllerCancel , ConfigControllerCanceladmin , ConfigControllerCmsbase , ConfigControllerComponentCancel , ConfigControllerComponentSave , ConfigControllerConfigDisplay , ConfigControllerConfigSave , ConfigControllerDisplay , ConfigControllerModulesCancel , ConfigControllerModulesDisplay , ConfigControllerModulesSave , ConfigControllerTemplatesDisplay , ConfigControllerTemplatesSave , FOFController , FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , InstallationControllerDatabase , JApplicationWebRouter , JApplicationWebRouterRest , JController , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql , AbstractApplication , AbstractDaemonApplication , AbstractWebApplication , CliApplication , CMSApplication , DaemonApplication , WebApplication , BaseController , Backgroundfill , Brightness , Contrast , Edgedetect , Emboss , Grayscale , Negate , Sketchy , Smooth , ImageFilter , KeychainManager
  • executeComponent() : ComponentHelper
  • existing() : JHtmlAdminLanguage , JHtmlContentLanguage
  • exists() : File , Folder , FileWrapper , FolderWrapper , Language , LanguageHelper , Container , Input , Registry , JTableSession
  • expandBBoxChangeset() : JOpenstreetmapChangesets
  • expandKey() : AKEncryptionAES
  • expandParentSelectors() : FOFLess , lessc
  • expHelper() : FOFLessParser , lessc_parser
  • explained() : JHtmlQuery
  • explode() : FOFInflector
  • export() : PrivacyControllerRequest
  • exportXml() : MenusControllerMenu
  • expression() : FOFLessParser , lessc_parser
  • expressionList() : FOFLessParser , lessc_parser
  • extend() : Container
  • extendWhere() : JDatabaseQuery
  • extension() : SimplePie_Locator
  • extensionExistsInSystem() : FileAdapter
  • EXTRA_VERSION : Version
  • extract() : FieldsHelper , JArchive , JArchiveBzip2 , JArchiveExtractable , JArchiveGzip , JArchiveTar , JArchiveWrapperArchive , JArchiveZip , Archive , Bzip2 , ExtractableInterface , Gzip , Tar , Zip , HTMLHelper , Registry
  • extractArchive() : TemplatesControllerTemplate , TemplatesModelTemplate
  • extractCustom() : JArchiveZip , Zip
  • extractData() : Reader
  • extractNative() : JArchiveZip , Zip
  • extractStream() : JArchiveBzip2 , JArchiveGzip
  • extractTablesToConvert() : FOFDatabaseInstaller


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- f -

  • fallback() : Microdata
  • fastCheck() : FOFUtilsFilescheck
  • fclose() : Socket
  • fe_0() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_1() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_abs() : ParagonIE_Sodium_Core_Ristretto255
  • fe_cneg() : ParagonIE_Sodium_Core_Ristretto255
  • fe_copy() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_cswap() : ParagonIE_Sodium_Core_X25519
  • fe_frombytes() : ParagonIE_Sodium_Core_Curve25519
  • fe_invert() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_isnegative() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_mul() : ParagonIE_Sodium_Core_Curve25519
  • fe_neg() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_normalize() : ParagonIE_Sodium_Core_Curve25519
  • fe_pow22523() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_sq() : ParagonIE_Sodium_Core_Curve25519
  • fe_sq2() : ParagonIE_Sodium_Core_Curve25519
  • fe_sub() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • feature() : JHtmlActionsDropdown
  • featured() : ContactModelContact , ContentModelArticle , JHtmlContact , JHtmlContentAdministrator , JHtmlDropdown
  • feed_or_html() : SimplePie_Content_Type_Sniffer
  • feof() : Socket
  • fetch_data() : SimplePie
  • fetchArray() : FOFDatabaseDriver , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • fetchAssoc() : FOFDatabaseDriver , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • fetchAssociations() : CategoriesControllerAjax , ContactControllerAjax , ContentControllerAjax , MenusControllerAjax , NewsfeedsControllerAjax
  • fetchButton() : ConfirmButton , CustomButton , HelpButton , LinkButton , PopupButton , SeparatorButton , SliderButton , StandardButton , ToolbarButton
  • fetchCompatibility() : JoomlaupdateModelDefault
  • fetchConfigurationData() : InstallationApplicationWeb , CliApplication , WebApplication
  • fetchController() : InstallationApplicationWeb , JApplicationWebRouter
  • fetchControllerSuffix() : JApplicationWebRouterRest
  • fetchHead() : HeadRenderer
  • fetchIconClass() : ToolbarButton
  • fetchId() : ConfirmButton , CustomButton , HelpButton , LinkButton , PopupButton , SliderButton , StandardButton
  • fetchNamespace() : FeedParser
  • fetchObject() : FOFDatabaseDriver , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , FOFDatabaseIterator , FOFDatabaseIteratorMysql , FOFDatabaseIteratorMysqli , FOFDatabaseIteratorPdo , FOFDatabaseIteratorPostgresql , FOFDatabaseIteratorSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseIterator , JDatabaseIteratorMysql , JDatabaseIteratorMysqli , JDatabaseIteratorPdo , JDatabaseIteratorPostgresql , JDatabaseIteratorSqlsrv
  • fetchUrl() : JFacebookObject , JGithubObject , JMediawikiObject , JTwitterObject
  • fgets() : Socket
  • fieldmapExpand() : ContentType , UCMType
  • fileCopy() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • fileDelete() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • fileExists() : FOFIntegrationJoomlaFilesystem , FOFLess , FOFPlatformFilesystemInterface , lessc
  • filenameToType() : PHPMailer
  • files() : Folder , FolderWrapper , Folder
  • filesize() : Stream
  • fileUploadMaxSize() : FilesystemHelper
  • fileWrite() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • filter() : Form , Image
  • filterApplicableUpdates() : FOFUtilsUpdateJoomla
  • filterField() : Form
  • filterKey() : LanguagesHelper
  • filterListByPlatform() : FOFUtilsUpdateCollection
  • filterNotes() : JHtmlUsers
  • filterText() : ContentHelper , ComponentHelper , LanguagesHelper
  • finaliseInstall() : FileAdapter , ModuleAdapter
  • finaliseUpgrade() : JoomlaupdateModelDefault
  • find() : Path , PathWrapper , Extension , Update , Path , SimplePie_Locator
  • findBlocks() : FOFLess , lessc
  • findByAlias() : PharInvocationResolver
  • findByBaseName() : PharInvocationResolver
  • findByCallback() : Collectable , PharInvocationCollection
  • findByPath() : FOFTableNested
  • findClosestSelectors() : FOFLess , lessc
  • findDeletedFiles() : Installer
  • findField() : Form
  • findFieldsByFieldset() : Form
  • findFieldsByGroup() : Form
  • findFile() : ClassLoader
  • findFileWithExtension() : ClassLoader
  • findFormFilename() : FOFModel
  • findGroup() : Form
  • findHeader() : FOFForm , Patcher
  • findHeadersByGroup() : FOFForm
  • findHunk() : Patcher
  • findImport() : FOFLess , lessc
  • findInBaseNames() : PharInvocationResolver
  • findItem() : RouteHelper
  • findLoggers() : Log
  • findManifest() : Installer
  • findNode() : nodecounter
  • findOption() : JAdministratorHelper
  • findRenderer() : FOFView
  • findUpdate() : CollectionAdapter , ExtensionAdapter , UpdateAdapter
  • findUpdates() : FOFUtilsUpdate , InstallerModelUpdate
  • findUpdatesClassic() : FOFUtilsUpdate
  • findUpdatesJoomla() : FOFUtilsUpdate
  • finish() : ParagonIE_Sodium_Core_BLAKE2b
  • FIREFOX : WebClient
  • fix() : InstallerControllerDatabase , InstallerModelDatabase , ChangeItem , ChangeSet
  • fix_protocol() : SimplePie_Misc
  • fixColor() : FOFLess , lessc
  • fixDefaultTextFilters() : InstallerModelDatabase
  • fixEOL() : PHPMailer
  • fixFilenameCasing() : JoomlaInstallerScript
  • fixGroupColumns() : JDatabaseQuerySqlsrv
  • fixInteger() : MysqlChangeItem , PostgresqlChangeItem , SqlsrvChangeItem
  • fixQuote() : MysqlChangeItem , PostgresqlChangeItem , SqlsrvChangeItem
  • fixSchemaVersion() : InstallerModelDatabase
  • fixSegment() : TagsRouter
  • fixSelectAliases() : JDatabaseQuerySqlsrv
  • fixTags() : FOFLessParser , lessc_parser
  • fixTemplateName() : TemplatesModelTemplate
  • fixUpdateVersion() : InstallerModelDatabase
  • fixUtf8mb4TypeChecks() : MysqlChangeItem
  • flagPost() : JLinkedinGroups
  • flatten() : Registry , ArrayHelper
  • flatten64() : ParagonIE_Sodium_Core_BLAKE2b
  • flattenList() : FOFLess , lessc
  • flip() : Image
  • flush() : CacheStorage , MemcachedStorage , MemcacheStorage
  • flushAssets() : WebApplication
  • flushSessions() : JoomlaInstallerScript
  • FOLDED_SCALAR_PATTERN : Parser
  • folderCreate() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • folderExists() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • folderFiles() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • folderFolders() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • folderOptions() : PluginsHelper
  • folders() : Folder , FolderWrapper , Folder
  • folderTree() : TemplatesViewTemplate
  • follow() : JGithubPackageUsersFollowers , JLinkedinCompanies , JTwitterFriends
  • followPost() : JLinkedinGroups
  • force_feed() : SimplePie
  • force_fsockopen() : SimplePie
  • forceInstance() : FOFPlatform , FOFTable
  • fork() : JGithubPackageGists , AbstractDaemonApplication , DaemonApplication , Session
  • form() : JHtmlSearchtools
  • format() : FOFDatabaseQuery , JDatabaseQuery , Date
  • FORMAT_TAR_BZIP : DownloadSource
  • FORMAT_TAR_GZ : DownloadSource
  • FORMAT_ZIP : DownloadSource
  • formatLine() : FormattedtextLogger
  • formatLink() : PlgSystemDebug
  • formvalidation() : JHtmlBehavior
  • formvalidator() : JHtmlBehavior
  • forShare() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • forUpdate() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • FRAGMENT : UriInterface
  • framework() : JHtmlBehavior , JHtmlBootstrap , JHtmlJquery
  • fread() : AKAbstractUnarchiver
  • freeResult() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , FOFDatabaseIterator , FOFDatabaseIteratorMysql , FOFDatabaseIteratorMysqli , FOFDatabaseIteratorPdo , FOFDatabaseIteratorPostgresql , FOFDatabaseIteratorSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseIterator , JDatabaseIteratorMysql , JDatabaseIteratorMysqli , JDatabaseIteratorPdo , JDatabaseIteratorPostgresql , JDatabaseIteratorSqlsrv
  • from() : FOFDatabaseQuery , JDatabaseExporter , JDatabaseImporter , JDatabaseQuery
  • fromArray() : ParagonIE_Sodium_Core32_Curve25519_Fe , SplFixedArray
  • fromBin() : FOFEncryptBase32
  • fromCamelCase() : Normalise , JStringWrapperNormalise
  • fromContent() : Manifest , Stub
  • fromInt() : ParagonIE_Sodium_Core32_Int64
  • fromInts() : ParagonIE_Sodium_Core32_Int64
  • fromJson() : Response
  • fromObject() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • fromPunycode() : PunycodeHelper , JStringWrapperPunycode
  • fromReverseString() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • fromString() : ColorStyle , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • fsockopen() : Socket
  • ftell() : ParagonIE_Sodium_File
  • ftpChmod() : FilesystemHelper , Helper
  • ftpValidate() : MediaController
  • fullElement() : JOpenstreetmapElements
  • func() : FOFLessParser , lessc_parser
  • funcToColor() : FOFLess , lessc
  • fwrite() : Socket


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- g -

  • G() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • gc() : AbstractDaemonApplication , DaemonApplication , Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , WincacheStorage , Session , Database , Storage , JSessionStorage , JSessionStorageDatabase
  • ge_add() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_cmov8_cached() : ParagonIE_Sodium_Core_Curve25519
  • ge_cmov_cached() : ParagonIE_Sodium_Core_Curve25519
  • ge_madd() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_msub() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p1p1_to_p2() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p1p1_to_p3() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p2_0() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p2_dbl() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p3_0() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p3_dbl() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p3_to_p2() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p3_tobytes() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_precomp_0() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_select() : ParagonIE_Sodium_Core32_Curve25519
  • ge_sub() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_tobytes() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • GECKO : WebClient
  • generate() : FOFEncryptRandval , FOFEncryptRandvalinterface
  • generateAlias() : ContactTableContact
  • generateAliasAndName() : PlgUserContactCreator
  • generateFileHeader() : FormattedtextLogger
  • generateGroupTitle() : UsersModelGroup
  • generateId() : PHPMailer
  • generateKey() : CryptoCipher , McryptCipher , SimpleCipher , SodiumCipher , CipherInterface , Crypt
  • generateManifestCache() : Installer
  • generateMediaVersion() : Version
  • generateNewTitle() : CategoriesModelCategory , FieldsModelField , AdminModel , MenusModelItem , ModulesModelModule , TagsModelTag , TemplatesModelStyle
  • generateNonce() : JOAuth1Client
  • generateOteps() : AdminModelProfile , UsersModelUser
  • generatePassword() : LdapClient
  • generateRandUserId() : InstallationModelDatabase
  • generateReport() : JGoogleDataAdsense
  • generateSecret() : FOFEncryptTotp
  • generateThumbs() : Image
  • generateTitle() : BannersModelBanner , AdminModel
  • genericList() : FOFLessParser
  • genericlist() : JHtmlSelect
  • genericList() : lessc_parser
  • genericordering() : JHtmlList
  • genRandomBytes() : FOFEncryptRandval , Crypt
  • genRandomPassword() : UserHelper , UserWrapper
  • gensalt_blowfish() : PasswordHash
  • gensalt_private() : PasswordHash
  • geocodeAddress() : JGoogleEmbedMaps
  • get() : AKFactory , FOFConfigDomainDispatcher , FOFConfigDomainInterface , FOFConfigDomainTables , FOFConfigDomainViews , FOFConfigProvider , FOFInput , FOFLess , FOFTableNested , FOFUtilsObject , FOFView , JException , JFacebookObject , JGithubHooks , JGithubMilestones , JGithubPackageAuthorization , JGithubPackageDataBlobs , JGithubPackageDataCommits , JGithubPackageDataRefs , JGithubPackageDataTags , JGithubPackageDataTrees , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageGitignore , JGithubPackageIssues , JGithubPackageIssuesComments , JGithubPackageIssuesEvents , JGithubPackageIssuesLabels , JGithubPackageIssuesMilestones , JGithubPackageOrgs , JGithubPackageOrgsTeams , JGithubPackagePulls , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesCollaborators , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesCommits , JGithubPackageRepositoriesContents , JGithubPackageRepositoriesDownloads , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageUsers , JGithubPackageUsersKeys , JGithubRefs , JInput , JInputFiles , JMediawikiHttp , AbstractApplication , Cache , CacheController , CacheStorage , CallbackController , OutputController , PageController , ViewController , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , Categories , CategoryInterface , FtpClient , UserGroupsHelper , Http , Files , Language , BaseLayout , MenuItem , Component , Node , Heading , Separator , Url , HtmlView , CMSObject , Pagination , Session , Container , FtpClient , Stream , Cli , Files , Input , Registry , Session , JRequest , lessc , ContainerInterface , SimplePie_Parse_Date
  • get_all_discovered_feeds() : SimplePie
  • get_attribution() : SimplePie_Copyright
  • get_author() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_authority() : SimplePie_IRI
  • get_authors() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_base() : SimplePie , SimplePie_Item , SimplePie_Locator , SimplePie_Source
  • get_bitrate() : SimplePie_Enclosure
  • get_build() : SimplePie_Misc
  • get_caption() : SimplePie_Enclosure
  • get_captions() : SimplePie_Enclosure
  • get_categories() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_category() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_channel_tags() : SimplePie
  • get_channels() : SimplePie_Enclosure
  • get_class() : SimplePie_Registry
  • get_content() : SimplePie_Item
  • get_contributor() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_contributors() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_copyright() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_credit() : SimplePie_Enclosure
  • get_credits() : SimplePie_Enclosure
  • get_curl_version() : SimplePie_Misc
  • get_current_byte() : SimplePie_Parser
  • get_current_column() : SimplePie_Parser
  • get_current_line() : SimplePie_Parser
  • get_data() : SimplePie_Parser
  • get_date() : SimplePie_Item
  • get_description() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_duration() : SimplePie_Enclosure
  • get_element() : SimplePie_Misc
  • get_email() : SimplePie_Author
  • get_enclosure() : SimplePie_Item
  • get_enclosures() : SimplePie_Item
  • get_encoding() : SimplePie
  • get_endtime() : SimplePie_Caption
  • get_error_code() : SimplePie_Parser
  • get_error_string() : SimplePie_Parser
  • get_expression() : SimplePie_Enclosure
  • get_extension() : SimplePie_Enclosure
  • get_favicon() : SimplePie
  • get_feed() : SimplePie_Item
  • get_feed_tags() : SimplePie
  • get_framerate() : SimplePie_Enclosure
  • get_gmdate() : SimplePie_Item
  • get_handler() : SimplePie_Cache , SimplePie_Enclosure
  • get_hash() : SimplePie_Enclosure
  • get_hashes() : SimplePie_Enclosure
  • get_height() : SimplePie_Enclosure
  • get_iauthority() : SimplePie_IRI
  • get_id() : SimplePie_Item
  • get_image_height() : SimplePie
  • get_image_link() : SimplePie
  • get_image_tags() : SimplePie
  • get_image_title() : SimplePie
  • get_image_url() : SimplePie , SimplePie_Source
  • get_image_width() : SimplePie
  • get_iri() : SimplePie_IRI
  • get_item() : SimplePie , SimplePie_Source
  • get_item_quantity() : SimplePie
  • get_item_tags() : SimplePie_Item
  • get_items() : SimplePie
  • get_keyword() : SimplePie_Enclosure
  • get_keywords() : SimplePie_Enclosure
  • get_label() : SimplePie_Category
  • get_language() : SimplePie , SimplePie_Caption , SimplePie_Enclosure , SimplePie_Source
  • get_last_error() : idna_convert
  • get_latitude() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_length() : SimplePie_Enclosure
  • get_lines() : SMTP
  • get_link() : SimplePie , SimplePie_Author , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_links() : SimplePie , SimplePie_Item , SimplePie_Locator , SimplePie_Source
  • get_local_date() : SimplePie_Item
  • get_longitude() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_medium() : SimplePie_Enclosure
  • get_meta_data() : Stream
  • get_name() : SimplePie_Author , SimplePie_Credit
  • get_permalink() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_player() : SimplePie_Enclosure
  • get_random_bytes() : PasswordHash
  • get_rating() : SimplePie_Enclosure
  • get_ratings() : SimplePie_Enclosure
  • get_raw_data() : SimplePie
  • get_real_type() : SimplePie_Enclosure
  • get_registry() : SimplePie
  • get_relationship() : SimplePie_Restriction
  • get_restriction() : SimplePie_Enclosure
  • get_restrictions() : SimplePie_Enclosure
  • get_role() : SimplePie_Credit
  • get_sampling_rate() : SimplePie_Enclosure
  • get_scheme() : SimplePie_Category , SimplePie_Credit , SimplePie_Rating
  • get_size() : SimplePie_Enclosure
  • get_source() : SimplePie_Item
  • get_source_tags() : SimplePie_Source
  • get_starttime() : SimplePie_Caption
  • get_term() : SimplePie_Category
  • get_text() : SimplePie_Caption
  • get_thumbnail() : SimplePie_Enclosure
  • get_thumbnails() : SimplePie_Enclosure
  • get_title() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_type() : SimplePie , SimplePie_Caption , SimplePie_Content_Type_Sniffer , SimplePie_Enclosure , SimplePie_Restriction
  • get_updated_date() : SimplePie_Item
  • get_updated_gmdate() : SimplePie_Item
  • get_uri() : SimplePie_IRI
  • get_url() : SimplePie_Copyright
  • get_value() : SimplePie_Rating , SimplePie_Restriction , SimplePie_XML_Declaration_Parser
  • get_width() : SimplePie_Enclosure
  • getAccess() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • getAccount() : JGoogleDataAdsense
  • getAcl() : FOFConfigDomainViews , Factory
  • getAction() : JHtmlSidebar , JSubMenuHelper
  • getActions() : CategoriesHelper , FinderHelper , InstallerHelper , Access , ContentHelper , JoomlaupdateHelper , LanguagesHelper , MenusHelper , MessagesHelper , ModulesHelper , PluginsHelper , RedirectHelper , SearchHelper , TemplatesHelper , UsersHelper
  • getActionsFromData() : Access
  • getActionsFromFile() : Access
  • getActive() : AbstractMenu , ModMenuHelper
  • getActiveFilters() : ListModel
  • getActiveOptions() : UsersHelper
  • getActivePositions() : ConfigModelModules
  • getActiveRow() : JGrid
  • getActivities() : JFacebookUser
  • getActivity() : JGoogleDataPlusActivities
  • getActivityData() : JGithubPackageRepositoriesStatistics
  • getAdapter() : AKEncryptionAES , JArchive , JArchiveWrapperArchive , Adapter , Installer
  • getAdapterName() : FOFDownload
  • getAdapterOptions() : FOFDownload
  • getAdapters() : Installer
  • getAddColumnSql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getAddIndexSql() : JDatabaseImporterPostgresql
  • getAdditionalJavascript() : JGoogleEmbedMaps
  • getAdditionalMapOptions() : JGoogleEmbedMaps
  • getAdditionalUrlParam() : Pagination
  • getAddKeySql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql
  • getAddSequenceSql() : JDatabaseImporterPostgresql
  • getAdminId() : InstallationModelLanguages
  • getAdvancedModeLayoutData() : JFormFieldColor
  • getAdvancedRoute() : FinderHelperRoute
  • getAffectedRows() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • getAgentString() : Browser
  • getAlbum() : JFacebookAlbum , JGoogleDataPicasa
  • getAlbums() : JFacebookUser
  • getAlias() : Container , Manifest , PharInvocation
  • getAliasLength() : Manifest
  • getAll() : Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , UserGroupsHelper , ListenersPriorityQueue
  • getAllComponents() : ConfigHelperConfig
  • getAllowed() : Rules
  • getAllRawData() : InstalledVersions
  • getAllRecipientAddresses() : PHPMailer
  • getAlterColumnSql() : JDatabaseImporterPostgresql
  • getAlterDbCharacterSet() : FOFDatabaseDriver , FOFDatabaseDriverPostgresql , JDatabaseDriver , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getAlterTableCharacterSet() : FOFDatabaseDriver , JDatabaseDriver , JDatabaseDriverOracle , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getAlterTableSql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getAltPaths() : FOFTemplateUtils
  • getAmountOfFiles() : Manifest
  • getAncestors() : FOFTableNested
  • getAncestorsAndSelf() : FOFTableNested
  • getAncestorsAndSelfWithoutRoot() : FOFTableNested
  • getAncestorsWithoutRoot() : FOFTableNested
  • getAnInstance() : FOFController , FOFDispatcher , FOFModel , FOFTable , FOFToolbar
  • getApcuPrefix() : ClassLoader
  • getApiVersion() : Manifest
  • getApplication() : JController , JControllerBase , Factory
  • getArchive() : TemplatesModelTemplate
  • getArchiveLink() : JGithubPackageRepositoriesContents
  • getAreas() : SearchModelSearch
  • getArgument() : AbstractEvent
  • getArguments() : AbstractEvent
  • getArray() : JInput , Input , StringController , Input
  • getArrayRecursive() : Input
  • getArrayString() : Php
  • getArticleId() : ContentRouter
  • getArticleRoute() : ContentHelperRoute
  • getArticleSegment() : ContentRouter
  • getAsset() : FOFTable
  • getAssetAncestors() : Access
  • getAssetId() : FieldsTableField , Access
  • getAssetKey() : FOFTable
  • getAssetName() : FOFTable , Access
  • getAssetParentId() : FOFTable
  • getAssetRules() : Access
  • getAssetTitle() : FOFTable
  • getAssetType() : Access
  • getAssignedArticleUrl() : JFormFieldConsentBox
  • getAssignedCategoriesTitles() : FieldsHelper
  • getAssignedGroups() : UsersModelUser
  • getAssignmentOptions() : ModulesHelper
  • getAssoc() : CategoriesModelCategories , CategoriesModelCategory
  • getAssociationHtmlList() : AssociationsHelper
  • getAssociationList() : AssociationsHelper , AssociationExtensionHelper
  • getAssociations() : CategoriesHelper , ContactAssociationsHelper , ContactHelperAssociation , ContentAssociationsHelper , ContentHelperAssociation , Associations , MenusAssociationsHelper , MenusHelper , NewsfeedsAssociationsHelper , NewsfeedsHelperAssociation
  • getAsyncCallback() : JGoogleEmbedMaps
  • getAttachments() : PHPMailer
  • getAttending() : JFacebookEvent
  • getAttribute() : FOFForm , Form , FormField
  • getAuthenticatedUser() : JGithubPackageUsers
  • getAuthor() : CategoryNode
  • getAuthorisation() : JGithubAccount
  • getAuthorisations() : JGithubAccount
  • getAuthorisedCategories() : User
  • getAuthorisedGroups() : User
  • getAuthorisedViewLevels() : Access , User
  • getAuthorizationLink() : JGithubPackageAuthorization
  • getAuthors() : ContentModelArticles
  • getAutoload() : JGoogleEmbedMaps
  • getAvailableDriver() : HttpFactory , FactoryWrapper
  • getAvailableTypes() : Microdata
  • getBackLinks() : JMediawikiPages
  • getBase() : Document , ModMenuHelper
  • getBaseExtension() : AKAbstractUnarchiver
  • getBaseName() : BannersModelTracks , PharInvocation
  • getBccAddresses() : PHPMailer
  • getBehaviorParam() : FOFModel
  • getBehaviors() : FOFConfigDomainTables
  • getBlocking() : JTwitterBlock
  • getBlockSize() : AKEncryptionAESAdapterInterface , FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl , Mcrypt , OpenSSL
  • getBody() : JGoogleEmbed , JGoogleEmbedAnalytics , JGoogleEmbedMaps , AbstractWebApplication , WebApplication , JResponse
  • getBookmarked() : JLinkedinJobs
  • getBooks() : JFacebookUser
  • getBool() : JRequest
  • getBoundary() : PHPMailer
  • getBounded() : FOFDatabaseQueryOracle , FOFDatabaseQuerySqlite , JDatabaseQueryOracle , JDatabaseQueryPgsql , JDatabaseQueryPreparable , JDatabaseQuerySqlite
  • getBranch() : JGithubPackageRepositories
  • getBranchTitles() : FinderIndexerTaxonomy
  • getBrowser() : Browser
  • getBrowserLanguage() : AKText
  • getBuffer() : Document , HtmlDocument , Profiler
  • getButtons() : FOFFormHeader , FOFFormHeaderFielddate , FOFFormHeaderFieldsearchable , Editor , ModQuickIconHelper
  • getByUser() : JGithubPackageActivityEvents
  • getByUserPublic() : JGithubPackageActivityEvents
  • getCache() : CacheModelCache , FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , Factory
  • getCachedPlural() : Inflector
  • getCachedSingular() : Inflector
  • getCacheKey() : PlgSystemCache
  • getCacheObject() : FOFIntegrationJoomlaPlatform
  • getCaching() : Cache
  • getCalendar() : FOFFormFieldCalendar , JGoogleDataCalendar , Language
  • getCallerInfo() : Language
  • getCallStacks() : FOFDatabaseDriver , JDatabaseDriver
  • getCanonicalPath() : Helper
  • getCapabilities() : JOpenstreetmapInfo , PrivacyModelCapabilities
  • getCategories() : FOFUtilsUpdateCollection , JMediawikiCategories
  • getCategoriesId() : ContactRouter , ContentRouter , NewsfeedsRouter
  • getCategoriesInfo() : JMediawikiCategories
  • getCategoriesSegment() : ContactRouter , ContentRouter , NewsfeedsRouter
  • getCategoriesUsed() : JMediawikiCategories
  • getCategory() : ContactModelCategory , ContentModelCategory , NewsfeedsModelCategory
  • getCategoryAssociations() : CategoryHelperAssociation
  • getCategoryId() : ContactRouter , ContentRouter , NewsfeedsRouter
  • getCategoryMembers() : JMediawikiCategories
  • getCategoryName() : BannersModelTracks
  • getCategoryOrders() : BannersModelBanners
  • getCategoryRoute() : ContactHelperRoute , ContentHelperRoute , RouteHelper , NewsfeedsHelperRoute
  • getCategorySegment() : ContactRouter , ContentRouter , NewsfeedsRouter
  • getCategoryUpdateSource() : FOFUtilsUpdateCollection
  • getCcAddresses() : PHPMailer
  • getCenter() : JGoogleEmbedMaps
  • getCfg() : JApplication , CMSApplication
  • getChangeColumnSql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getChangeSequenceSql() : JDatabaseImporterPostgresql
  • getChangeTags() : JMediawikiCategories
  • getChannel() : JGoogleDataAdsense
  • getCharset() : Document
  • getCheckin() : JFacebookCheckin
  • getCheckins() : JFacebookUser
  • getChild() : FOFTableRelations
  • getChildren() : ContactModelCategory , ContentModelCategory , FOFTableRelations , JNode , CategoryNode , Node , NewsfeedsModelCategory
  • getClassInstance() : AKFactory
  • getClassList() : JLoader
  • getClassMap() : ClassLoader
  • getClassName() : MVCFactory
  • getClient() : CacheModelCache , InstallationModelLanguages , LanguagesModelInstalled , ModulesModelModule
  • getClientId() : JApplication , CMSApplication
  • getClientInfo() : ApplicationHelper
  • getClientName() : BannersModelTracks
  • getClientOptions() : BannersHelper , CacheHelper , InstallerHelper , ModulesHelper , TemplatesHelper
  • getCliInput() : AbstractCliApplication
  • getClone() : FOFModel , FOFTable
  • getClosest() : JTwitterTrends
  • getCmd() : JRequest
  • getCode() : FOFEncryptTotp , JGoogleEmbedAnalytics
  • getCodeFrequency() : JGithubPackageRepositoriesStatistics
  • getCollation() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getCollection() : Manager
  • getCollectionDetailsUrls() : JoomlaupdateModelDefault
  • getColumn() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • getColumnAlias() : FOFTable , Table
  • getColumnCollation() : FOFDatabaseInstaller
  • getColumns() : JGrid
  • getColumnSql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getCombinedNonce() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • getComment() : JFacebookComment , JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls , JGoogleDataPlusComments , JLinkedinGroups
  • getComments() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo , JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls , JLinkedinStream
  • getCommit() : JGithubCommits
  • getCommitComment() : JGithubCommits
  • getCommitComments() : JGithubCommits
  • getCommits() : JGithubPackagePulls
  • getCommonParameter() : FOFUtilsUpdate
  • getCommonWords() : FinderIndexerHelper
  • getCompanies() : JLinkedinCompanies
  • getComponent() : ConfigModelComponent , ComponentHelper
  • getComponentBaseDirs() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • getComponentConfigurationValue() : FOFUtilsConfigHelper
  • getComponentDescription() : FOFUtilsUpdate
  • getComponentName() : FOFUtilsUpdate , ApplicationHelper
  • getComponentOptions() : PostinstallModelMessages
  • getComponentRouter() : SiteRouter
  • getComponents() : ComponentHelper , UsersHelperDebug
  • getComponentsWithConfig() : ConfigHelperConfig
  • getConfig() : AdminModelSysInfo , FOFConfigDomainViews , FOFFormFieldActions , FOFIntegrationJoomlaPlatform , FOFPlatformInterface , Factory
  • getConfigProvider() : FOFTable
  • getConfigProviderKey() : FOFTable
  • getConfiguration() : JTwitterHelp
  • getConfiguredDatabaseType() : JoomlaupdateModelDefault
  • getConnectedQuery() : FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , JDatabaseDriverOracle , JDatabaseDriverPdo
  • getConnection() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver , JFacebookObject , MemcachedStorage , MemcacheStorage , RedisStorage
  • getConnectionCollation() : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getConnections() : JLinkedinPeople
  • getConnectors() : FOFDatabase , FOFDatabaseDriver , JDatabase , JDatabaseDriver
  • getContactData() : PlgContentContact
  • getContactId() : ContactRouter
  • getContactQuery() : ContactModelContact
  • getContactRoute() : ContactHelperRoute
  • getContacts() : MultilangstatusHelper
  • getContactSegment() : ContactRouter
  • getContactTable() : PlgUserContactCreator
  • getContainer() : ContainerAwareInterface
  • getContent() : BannersModelTracks , Editor , Microdata , Stub
  • getContentCount() : FinderIndexerAdapter
  • getContentExtras() : FinderIndexerHelper
  • getContentlangs() : MultilangstatusHelper
  • getContentLanguages() : AssociationsHelper , LanguageHelper
  • getContentPath() : FinderIndexerHelper
  • getContentTable() : ContentType
  • getContentType() : FOFTable , DocumentRenderer
  • getContentTypeLink() : ActionlogsHelper , MediaHelper
  • getContexts() : ContactHelper , ContentHelper , UsersHelper
  • getContributees() : JTwitterUsers
  • getContributors() : JTwitterUsers
  • getControlGroup() : Form , FormField
  • getControlGroups() : Form
  • getCoreExtensions() : ExtensionHelper
  • getCount() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • getCounter() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • getCreateDatabaseQuery() : FOFDatabaseDriver , JDatabaseDriver , JDatabaseDriverOracle , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getCreateDbQuery() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getCredentials() : ClientHelper , ClientWrapper
  • getCryptedPassword() : UserHelper , UserWrapper
  • getCss() : Tree
  • getCsvAsGenerator() : ActionlogsHelperPhp55
  • getCsvData() : ActionlogsHelper
  • getCSVHeader() : FOFTable
  • getCurrent() : Tree
  • getCurrentLanguage() : CMSHelper , ContentHelper
  • getCurrentLineIndentation() : Parser
  • getCurrentShare() : JLinkedinStream
  • getCurrentUserInfo() : JMediawikiUsers
  • getCustomHeaders() : PHPMailer
  • getData() : CacheModelCache , ConfigModelApplication , ContentModelArchive , FinderModelStatistics , FOFForm , FOFHalDocument , FOFInput , FOFTable , Rule , Rules , MessageRenderer , Form , BaseLayout , Pagination , Session , LanguagesModelInstalled , MailtoModelMailto , SearchModelSearch , UsersModelProfile , UsersModelRegistration
  • getDatabase() : FOFDatabaseDriver , JDatabaseDriver
  • getDatabaseSchemaCheck() : JoomlaupdateModelDefault
  • getDataObject() : CMSHelper
  • getDate() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , Factory
  • getDateFormat() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverOracle , JDatabaseDriver , JDatabaseDriverOracle
  • getDb() : JModelDatabase
  • getDbo() : FOFIntegrationJoomlaPlatform , FOFModel , FOFPlatformInterface , FOFTable , InstallationHelperDatabase , Adapter , Factory , BaseDatabaseModel , Table , TableInterface
  • getDebug() : Language
  • getDebugActions() : UsersHelperDebug , UsersModelDebuggroup , UsersModelDebugUser
  • getDebugLevel() : SMTP
  • getDebugMessages() : BaseLayout
  • getDebugOutput() : SMTP
  • getDeclined() : JFacebookEvent
  • getDefault() : Language , AbstractMenu , SiteMenu , ModMenuHelper
  • getDefaultAssetValues() : Content
  • getDefaultHomeModule() : MultilangstatusHelper
  • getDefaultIncludePaths() : FileLayout
  • getDefaultLanguage() : FinderIndexerHelper
  • getDefaultSchema() : JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getDefaultSearchMethod() : FOFModelField , FOFModelFieldDate , FOFModelFieldText
  • getDefaultTextFilters() : InstallerModelDatabase
  • getDefaultType() : CryptPassword , SimpleCryptPassword
  • getDeprecatedAliases() : JLoader
  • getDescendants() : FOFTableNested
  • getDescendantsAndSelf() : FOFTableNested
  • getDescription() : Document
  • getDestination() : Patcher
  • getDetails() : JOpenstreetmapUser
  • getDetectBrowser() : SiteApplication
  • getDiff() : JGithubCommits
  • getDirection() : Document
  • getDirectMessages() : JTwitterDirectmessages
  • getDirectMessagesById() : JTwitterDirectmessages
  • getDirectory() : AdminModelSysInfo
  • getDirectoryTree() : TemplatesModelTemplate
  • getDisabledUpdateSites() : InstallerModelUpdate
  • getDiscoverInstallSupported() : InstallerAdapter
  • getDiscussions() : JLinkedinGroups
  • getDn() : LdapClient
  • getDocs() : JFacebookGroup
  • getDocument() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , WebApplication , Factory
  • getDocuments() : MediaModelList
  • getDomain() : AKAbstractPart
  • getDomains() : FOFConfigProvider
  • getDriver() : FOFDatabaseFactory , JDatabaseFactory
  • getDropColumnSql() : JDatabaseImporter , JDatabaseImporterPdomysql
  • getDropIndexSql() : JDatabaseImporterPostgresql
  • getDropKeySql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql
  • getDropPrimaryKeySql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getDropSequenceSql() : JDatabaseImporterPostgresql
  • getEditor() : AdminModelSysInfo , Factory , EditorField
  • getElement() : FinderIndexerResult , ComponentAdapter , FileAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , InstallerAdapter
  • getElements() : FinderIndexerResult , FOFDatabaseQueryElement , JDatabaseQueryElement
  • getEmbedded() : FOFHalDocument
  • getEnabledExtensions() : AssociationsHelper
  • getEntries() : JHtmlSidebar , JSubMenuHelper
  • getError() : AKAbstractObject , FOFUtilsObject , JError , JException , CMSObject , SMTP
  • getErrorCodes() : Response
  • getErrorFiles() : Language
  • getErrorHandling() : JError
  • getErrorMessage() : FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • getErrorMsg() : FOFDatabase , FOFDatabaseDriverJoomla , JDatabase , LdapClient
  • getErrorNum() : FOFDatabase , FOFDatabaseDriverJoomla , JDatabase
  • getErrorNumber() : FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • getErrors() : AKAbstractObject , FOFUtilsObject , JError , JException , Form , CMSObject , POP3
  • getEvent() : JFacebookEvent , JGoogleDataCalendar , Dispatcher
  • getEvents() : EasyPeasyICS , JFacebookUser , JMediawikiSites , Dispatcher
  • getExcluded() : JFormFieldUserMessages , UserField
  • getExcludedLinkIds() : FinderModelSearch
  • getExcludedTermIds() : FinderIndexerQuery
  • getExpandedKey() : FOFEncryptAes
  • getExpectedDisplayType() : Microdata
  • getExpectedTypes() : Microdata
  • getExpire() : Session
  • getExporter() : FOFDatabaseDriver , JDatabaseDriver , JDatabaseFactory
  • getExt() : FOFPlatformFilesystem , File , FileWrapper
  • getExtension() : Categories
  • getExtensionGroupes() : InstallerHelper
  • getExtensionHelper() : AssociationsHelper
  • getExtensionHelperClassName() : AssociationsHelper
  • getExtensionId() : FOFUtilsUpdate
  • getExtensionName() : PostinstallModelMessages
  • getExtensionNameFromAsset() : Access
  • getExtensionRealName() : AssociationsHelper
  • getExtensions() : AdminModelSysInfo , FOFUtilsUpdateCollection
  • getExtensionTypes() : InstallerHelper
  • getExtensionUpdateSource() : FOFUtilsUpdateCollection
  • getExtLinks() : JMediawikiLinks
  • getFallbackDirs() : ClassLoader
  • getFallbackDirsPsr4() : ClassLoader
  • getFallbackProperty() : Microdata
  • getFallbackType() : Microdata
  • getFamily() : JFacebookUser
  • getFavorites() : JTwitterFavorites
  • getFeed() : JFacebookEvent , JFacebookGroup , JFacebookUser , FeedFactory , ModFeedHelper
  • getFeedParser() : Factory , JSimplepieFactory
  • getField() : FOFConfigDomainTables , FOFModelField , Form
  • getFieldActions() : RulesRule
  • getFieldAttribute() : Form
  • getFieldName() : FOFFormHeader , FOFModelField , FormField
  • getFields() : FieldsHelper , FinderViewSearch , FOFTable , Table , PrivacyExportItem
  • getFieldset() : Form
  • getFieldsets() : Form
  • getFieldsPluginId() : FieldsHelper
  • getFieldsTemplate() : AssociationExtensionHelper
  • getFieldType() : FOFModelField
  • getFieldTypes() : FieldsHelper
  • getFieldValue() : FieldsModelField
  • getFieldValues() : FieldsModelField
  • getFieldXml() : Form
  • getFile() : TemplatesModelTemplate
  • getFileData() : Zip
  • getFileHandle() : Stream
  • getFilenameFromURL() : FOFUtilsUpdate
  • getFilenameFromUrl() : InstallerHelper
  • getFilePosition() : Gzip
  • getFiles() : AKUtilsLister , FOFDownload , FOFPlatformFilesystem , JGithubPackagePulls , TemplatesModelTemplate
  • getFileSize() : FOFDownloadAdapterAbstract , FOFDownloadAdapterCurl , FOFDownloadInterface
  • getFileType() : BannersModelTracks
  • getFilter() : FinderModelFilter , FOFFormHeader , FOFFormHeaderFielddate , FOFFormHeaderFieldfilterable , FOFFormHeaderFieldsearchable
  • getFilterForm() : ActionlogsModelActionlogs , FieldsModelFields , ListModel
  • getFilterInstance() : Image
  • getFilters() : FinderCli , JHtmlSidebar , FilesystemHelper , Helper , JSubMenuHelper
  • getFilterSource() : FOFFormHeader
  • getFinderPluginId() : FinderHelper
  • getFirstDay() : Language
  • getFirstItem() : FOFModel
  • getFirstRule() : FinderIndexerStemmerFr
  • getFlags() : Manifest
  • getFloat() : JRequest
  • getFolder() : ModRandomImageHelper
  • getFolderLevel() : MediaViewMedia
  • getFolderList() : MediaModelManager
  • getFolders() : AKUtilsLister , LanguagesModelInstalled , MediaModelList
  • getFolderTree() : MediaModelManager
  • getFollowed() : JLinkedinCompanies
  • getFollowerIds() : JTwitterFriends
  • getFont() : TemplatesModelTemplate
  • getFontInfo() : PlgEditorCodemirror
  • getForm() : AdminModelProfile , AssociationsModelAssociation , BannersModelBanner , BannersModelClient , BannersModelDownload , CategoriesModelCategory , ConfigModelApplication , ConfigModelComponent , ConfigModelConfig , ConfigModelForm , ConfigModelModules , ConfigModelTemplates , ContactModelContact , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelFilter , FOFModel , InstallationModelLanguages , InstallationModelSetup , InstallerModelUpdate , FormModel , HtmlView , LanguagesModelLanguage , LanguagesModelOverride , MailtoModelMailto , MenusModelItem , MenusModelMenu , MessagesModelConfig , MessagesModelMessage , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , PrivacyModelConfirm , PrivacyModelRemind , PrivacyModelRequest , RedirectModelLink , TagsModelTag , TemplatesModelStyle , TemplatesModelTemplate , UsersModelGroup , UsersModelLevel , UsersModelLogin , UsersModelMail , UsersModelNote , UsersModelProfile , UsersModelRegistration , UsersModelRemind , UsersModelReset , UsersModelUser
  • getFormat() : Factory
  • getFormControl() : Form
  • getFormFile() : ContenthistoryHelper
  • getFormRoute() : ContentHelperRoute
  • getFormSegment() : ContentRouter
  • getFormToken() : AbstractWebApplication , Session
  • getFormValues() : ContenthistoryHelper
  • getFragment() : AbstractUri , UriInterface
  • getFriendIds() : JTwitterFriends
  • getFriendLists() : JFacebookUser
  • getFriendRequests() : JFacebookUser
  • getFriends() : JFacebookUser
  • getFriendshipDetails() : JTwitterFriends
  • getFriendshipNoRetweetIds() : JTwitterFriends
  • getFriendshipsIncoming() : JTwitterFriends
  • getFriendshipsLookup() : JTwitterFriends
  • getFriendshipsOutgoing() : JTwitterFriends
  • getFromName() : TemplatesModelTemplate
  • getFromURL() : FOFDownload
  • getFtp() : LanguagesModelInstalled
  • getFTPOptions() : JoomlaupdateModelDefault
  • getGenerator() : Document
  • getGenericTableName() : JDatabaseExporter
  • getGeocode() : JTwitterPlaces
  • getGetFields() : ModFinderHelper
  • getGlobalFilters() : PlgEditorTinymce
  • getGrant() : PHPMailerOAuthGoogle
  • getGroup() : JFacebookGroup , JLinkedinGroups , Form , UsersModelDebuggroup
  • getGroupPath() : Access
  • getGroups() : FieldsModelFields , JFacebookUser , JFormFieldContentMap , JFormFieldGroupedList , JFormFieldItemType , JFormFieldMenuitemByType , JFormFieldTimezone , JFormFieldUserMessages , ChromestyleField , MenuField , MenuitemField , TemplatestyleField , UserField , UsersHelper , UsersModelUser
  • getGroupsByUser() : Access
  • getGroupTitle() : Access
  • getHandle() : Image
  • getHash() : FOFModel , JApplication , ApplicationHelper
  • getHashMatch() : ContentHistory
  • getHeadData() : HtmlDocument
  • getHeader() : FOFForm , FOFFormHeader , FOFFormHeaderField , FOFFormHeaderFilterdate , FOFFormHeaderFilterfilterable , FOFFormHeaderFiltersearchable , FOFFormHeaderFilterselectable , FOFFormHeaderFiltersql , FOFFormHeaderOrdering , FOFFormHeaderRowselect , JGoogleEmbed , JGoogleEmbedAnalytics , JGoogleEmbedMaps
  • getHeaders() : AbstractWebApplication , WebApplication , JResponse
  • getHeaderset() : FOFForm
  • getHeight() : JGoogleDataPicasaPhoto , Image
  • getHelp() : MenusModelItem , ModulesModelModule , PluginsModelPlugin , TemplatesModelStyle
  • getHelpSearch() : AdminModelHelp
  • getHelpVersion() : Version
  • getHexRegex() : Inline
  • getHistory() : ContentHistoryHelper
  • getHome() : JFacebookUser
  • getHomepages() : MultilangstatusHelper
  • getHomes() : MultilangstatusHelper
  • getHost() : AbstractUri , UriInterface
  • getHttp() : HttpFactory , FactoryWrapper
  • getHTTPProtocol() : Browser
  • getHttpStatusValue() : AbstractWebApplication , WebApplication
  • getHttpTransports() : HttpFactory , FactoryWrapper
  • getHumanReadableLogMessage() : ActionlogsHelper
  • getIconClass() : Tree
  • getId() : FOFFormHeader , FOFModel , FOFTable , FormField , Session , JSessionHandlerInterface , JSessionHandlerNative
  • getIdentity() : BaseApplication
  • getIds() : FOFModel
  • getIdxLookup() : JDatabaseImporterPostgresql
  • getIgnoredSearchWords() : En_GBLocalise , Fr_FRLocalise , Language
  • getIgnoredSearchWordsCallback() : Language
  • getImage() : TemplatesModelTemplate
  • getImageFileProperties() : Image
  • getImageInfo() : JMediawikiImages
  • getImages() : JMediawikiImages , MediaModelList , ModRandomImageHelper
  • getImagesUsed() : JMediawikiImages
  • getImmediateDescendants() : FOFTableNested
  • getImporter() : FOFDatabaseDriver , JDatabaseDriver , JDatabaseFactory
  • getIncludedTermIds() : FinderIndexerQuery
  • getIncludePaths() : FileLayout
  • getInfo() : AdminModelSysInfo
  • getInformation() : FOFRenderAbstract
  • getIniParserAvailability() : InstallationModelSetup , JoomlaupdateModelDefault
  • getInitializer() : ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • getInput() : FOFFormFieldButton , FOFFormFieldCheckboxes , FOFFormFieldGroupedbutton , FOFFormFieldOrdering , FOFFormFieldRules , FOFFormFieldSelectrow , InstallationFormFieldPrefix , InstallationFormFieldSample , JController , JControllerBase , JFormFieldAccessLevel , JFormFieldCalendar , JFormFieldCategoryEdit , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldClicks , JFormFieldColor , JFormFieldCombo , JFormFieldComponentlayout , JFormFieldConsentBox , JFormFieldEMail , JFormFieldFieldcontexts , JFormFieldFieldlayout , JFormFieldFile , JFormFieldFilters , JFormFieldGroupedList , JFormFieldHidden , JFormFieldImpMade , JFormFieldImpTotal , JFormFieldList , JFormFieldMenuOrdering , JFormFieldMeter , JFormFieldModal_Article , JFormFieldModal_Category , JFormFieldModal_Contact , JFormFieldModal_Menu , JFormFieldModal_Newsfeed , JFormFieldModalAssociation , JFormFieldModulelayout , JFormFieldNote , JFormFieldNumber , JFormFieldPassword , JFormFieldPluginInfo , JFormFieldprivacy , JFormFieldRadio , JFormFieldRange , JFormFieldRepeatable , JFormFieldRules , JFormFieldSection , JFormFieldSkins , JFormFieldSpacer , JFormFieldSubform , JFormFieldTel , JFormFieldterms , JFormFieldText , JFormFieldTextarea , JFormFieldUploaddirs , JFormFieldUrl , JFormFieldUsergroup , CaptchaField , ContenthistoryField , ContenttypeField , EditorField , HelpsiteField , MediaField , ModuleorderField , ModulepositionField , OrderingField , TagField , UserField , Form , FormField
  • getInput25() : FOFFormFieldRules
  • getInput3x() : FOFFormFieldRules
  • getInputForRequestMethod() : Input
  • getInstalled() : InstalledVersions
  • getInstalledlangs() : InstallationModelLanguages
  • getInstalledlangsAdministrator() : InstallationModelLanguages
  • getInstalledlangsFrontend() : InstallationModelLanguages
  • getInstalledLanguages() : LanguageHelper
  • getInstalledPackages() : InstalledVersions
  • getInstalledPackagesByType() : InstalledVersions
  • getInstallPath() : InstalledVersions
  • getInstance() : AKFactory , AKText , FinderIndexer , FinderIndexerParser , FinderIndexerStemmer , FOFDatabase , FOFDatabaseDriver , FOFDatabaseFactory , FOFForm , FOFPlatform , FOFTable , FOFUtilsObservableDispatcher , idna_convert , JApplication , JDatabase , JDatabaseDriver , JDatabaseFactory , JEventDispatcher , CliApplication , CMSApplication , WebApplication , Authentication , Cache , CacheController , Captcha , Categories , FtpClient , Date , Document , Editor , Browser , Patcher , InputFilter , Form , UserGroupsHelper , Installer , Language , LanguageStemmer , Mail , AbstractMenu , BaseController , BaseDatabaseModel , Pathway , Profiler , Router , ChangeItem , ChangeSet , Session , Table , Toolbar , Updater , Uri , User , FtpClient , Patcher , AbstractRegistryFormat , Registry , Session , Storage , Inflector
  • getInstances() : InstallerScript
  • getInstructions() : FinderIndexerResult
  • getInt() : JRequest
  • getIntegrationObject() : FOFPlatform , FOFPlatformInterface
  • getInterests() : JFacebookUser
  • getInterval() : FOFModelFieldDate
  • getInvited() : JFacebookEvent
  • getInvocations() : PharInvocationCollection
  • getIp() : FOFUtilsIp , IpHelper
  • getIssue() : JGithubPackageActivityEvents
  • getItem() : AdminModelProfile , AssociationsHelper , CategoriesModelCategory , ContactAssociationsHelper , ContactModelContact , ContentAssociationsHelper , ContentModelArticle , ContentModelForm , FieldsModelField , FieldsModelGroup , FinderIndexerAdapter , FOFModel , AbstractMenu , AdminModel , LanguagesModelLanguage , LanguagesModelOverride , MenusAssociationsHelper , MenusModelItem , MenusModelMenu , MessagesModelConfig , MessagesModelMessage , ModulesModelModule , NewsfeedsAssociationsHelper , NewsfeedsModelNewsfeed , PluginsModelPlugin , TagsModelTag , TemplatesModelStyle , UsersModelLevel , UsersModelNote , UsersModelUser
  • getItemArray() : InstallerScript
  • getItemFromArray() : AKAbstractObject
  • getItemid() : FinderHelperRoute
  • getItemId() : JFormFieldPluginordering , OrderingField
  • getItemidURLSuffix() : FOFController
  • getItemList() : FOFModel
  • getItemMenuTitle() : FinderIndexerAdapter
  • getItemRoute() : TagsHelperRoute
  • getItems() : BannersModelBanners , BannersModelClients , CategoriesModelCategories , CheckinModelCheckin , ContactModelCategories , ContactModelCategory , ContactModelFeatured , ContentModelArticles , ContentModelCategories , ContentModelCategory , ContentModelFeatured , FinderIndexerAdapter , FinderModelSuggestions , InstallationModelLanguages , InstallerModelDatabase , InstallerModelLanguages , InstallerModelWarnings , AbstractMenu , SiteMenu , ListModel , Toolbar , JSite , MenusModelItems , MenusModelMenus , ModulesModelPositions , ModulesModelSelect , NewsfeedsModelCategories , NewsfeedsModelCategory , PrivacyExportDomain , SearchModelSearches , TagsModelTag , TagsModelTags , TemplatesModelTemplates , UsersHelperRoute , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroups , UsersModelUsers
  • getItemTags() : TagsHelper
  • getItemTypes() : AssociationExtensionHelper
  • getIterator() : FOFDatabaseDriver , FOFDatabaseIterator , FOFModel , JDatabaseDriver , Session , DataObject , ListenersPriorityQueue , Registry , Session
  • getIteratorFromRelation() : FOFTableRelations
  • getIWBackLinks() : JMediawikiPages
  • getIWLinks() : JMediawikiLinks
  • getJob() : JLinkedinJobs
  • getJoomlaUpdateSitesIds() : InstallerModelUpdatesites
  • getJSObject() : HTMLHelper
  • getJStreams() : FilesystemHelper
  • getKey() : JGoogleEmbedMaps , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • getKeyDerivationParameters() : AKEncryptionAES
  • getKeyLookup() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql
  • getKeyName() : FOFTable , Table , TableInterface
  • getKeys() : Container
  • getKeySql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql
  • getKnownButtons() : PlgEditorTinymce
  • getKnownColors() : ColorStyle
  • getKnownFields() : FOFTable
  • getKnownLanguages() : Language , LanguageHelper
  • getKnownOptions() : ColorStyle
  • getLabel() : FOFFormHeader , JFormFieldConsentBox , JFormFieldDob , JFormFieldModal_Article , JFormFieldModal_Category , JFormFieldModal_Contact , JFormFieldModal_Menu , JFormFieldModal_Newsfeed , JFormFieldNote , JFormFieldprivacy , JFormFieldSpacer , JFormFieldterms , JFormFieldTos , JFormFieldVoteradio , JGithubPackageIssues , Form , FormField
  • getLabels() : JGithubPackageIssues
  • getLangLinks() : JMediawikiLinks
  • getLangswitchers() : MultilangstatusHelper
  • getLangTag() : AdminModelHelp
  • getLanguage() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , WebApplication , Document , Factory
  • getLanguageCookie() : PlgSystemLanguageFilter
  • getLanguageFilter() : SiteApplication
  • getLanguagefilterPluginId() : AssociationsHelper
  • getLanguageId() : CMSHelper , ContentHelper
  • getLanguageList() : InstallationModelLanguages , LanguagesModelInstalled , ModLoginHelper
  • getLanguageManifest() : InstallationModelLanguages
  • getLanguagePath() : Language , LanguageHelper
  • getLanguages() : InstallationModelSetup , InstallerModelLanguages , LanguageHelper , LanguageHelperWrapper , JTwitterHelp
  • getLastMessageID() : PHPMailer
  • getLastReply() : SMTP
  • getLastTransactionID() : SMTP
  • getLatestVersionCheck() : AdminModelHelp
  • getLayout() : FOFView , HtmlView , JViewHtml
  • getLayoutData() : AdminViewSysinfo , JFormFieldCalendar , JFormFieldCheckboxes , JFormFieldColor , JFormFieldCombo , JFormFieldConsentBox , JFormFieldEMail , JFormFieldFile , JFormFieldHidden , JFormFieldMeter , JFormFieldNumber , JFormFieldPassword , JFormFieldprivacy , JFormFieldRadio , JFormFieldRange , JFormFieldTel , JFormFieldterms , JFormFieldText , JFormFieldTextarea , JFormFieldTinymceBuilder , JFormFieldUrl , ContenthistoryField , MediaField , ModuleorderField , UserField , FormField , PlgSystemStats , PlgSystemStatsFormFieldData
  • getLayoutFile() : FinderViewSearch
  • getLayoutId() : FileLayout
  • getLayoutPath() : ModuleHelper , PluginHelper
  • getLayoutPaths() : FormField , PlgSystemStats , PlgSystemStatsFormFieldBase
  • getLayoutTemplate() : FOFView , HtmlView
  • getLeaves() : FOFTableNested
  • getLeftSibling() : ContactModelCategory , ContentModelCategory , NewsfeedsModelCategory
  • getLevel() : FOFTableNested , Node
  • getLevelsOptions() : UsersHelperDebug
  • getLibrary() : LibraryHelper
  • getLikes() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookUser , JFacebookVideo , JLinkedinStream
  • getLimitBox() : Pagination
  • getLink() : JFacebookLink , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Document , ModSyndicateHelper
  • getLinkKey() : MenusHelper
  • getLinks() : FOFHalDocument , FOFHalLinks , FOFToolbar , JFacebookUser , JMediawikiLinks
  • getLinksUsed() : JMediawikiLinks
  • getList() : FOFModel , JGithubCommits , JGithubForks , JGithubHooks , JGithubMilestones , JGithubPackageActivityNotifications , JGithubPackageActivityStarring , JGithubPackageActivityWatching , JGithubPackageAuthorization , JGithubPackageDataRefs , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageGitignore , JGithubPackageIssues , JGithubPackageIssuesAssignees , JGithubPackageIssuesComments , JGithubPackageIssuesEvents , JGithubPackageIssuesLabels , JGithubPackageIssuesMilestones , JGithubPackageOrgs , JGithubPackageOrgsMembers , JGithubPackageOrgsTeams , JGithubPackagePulls , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesCollaborators , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesCommits , JGithubPackageRepositoriesDownloads , JGithubPackageRepositoriesForks , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageRepositoriesStatuses , JGithubPackageUsers , JGithubPackageUsersEmails , JGithubPackageUsersFollowers , JGithubPackageUsersKeys , JGithubRefs , JGithubStatuses , MediaModelList , ModArchiveHelper , ModArticlesCategoriesHelper , ModArticlesCategoryHelper , ModArticlesLatestHelper , ModArticlesNewsHelper , ModArticlesPopularHelper , ModBannersHelper , ModBreadCrumbsHelper , ModLanguagesHelper , ModLatestActionsHelper , ModLatestHelper , ModLoggedHelper , ModMenuHelper , ModPopularHelper , ModRelatedItemsHelper , ModSampledataHelper , ModStatsHelper , ModTagsPopularHelper , ModTagssimilarHelper
  • getListBranches() : JGithubPackageRepositories
  • getListById() : JTwitterLists
  • getListByIssue() : JGithubPackageIssuesLabels
  • getListByMilestone() : JGithubPackageIssuesLabels
  • getListByRepository() : JGithubPackageIssues
  • getListByUser() : JGithubPackageGists
  • getListComments() : JGithubCommits
  • getListContributors() : JGithubPackageRepositories , JGithubPackageRepositoriesStatistics
  • getListenerPriority() : Dispatcher
  • getListeners() : Dispatcher
  • getListFollowedBy() : JGithubPackageUsersFollowers
  • getListFooter() : Pagination
  • getListLanguages() : JGithubPackageRepositories
  • getListMembers() : JGithubPackageOrgsTeams
  • getListOrg() : JGithubPackageRepositories
  • getListOwn() : JGithubPackageRepositories
  • getListPublic() : JGithubPackageGists , JGithubPackageOrgsMembers
  • getListQuery() : ActionlogsModelActionlogs , AssociationsModelAssociations , BannersModelBanners , BannersModelClients , BannersModelTracks , CategoriesModelCategories , ContactModelCategory , ContactModelContacts , ContactModelFeatured , ContenthistoryModelHistory , ContentModelArchive , ContentModelArticles , ContentModelFeatured , FieldsModelFields , FieldsModelGroups , FinderIndexerAdapter , FinderModelFilters , FinderModelIndex , FinderModelMaps , FinderModelSearch , FinderModelSuggestions , InstallerModelDiscover , InstallerModelManage , InstallerModelUpdate , InstallerModelUpdatesites , ListModel , LanguagesModelLanguages , MenusModelItems , MenusModelMenus , MessagesModelMessages , ModulesModelModules , ModulesModelSelect , NewsfeedsModelCategory , NewsfeedsModelNewsfeeds , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PluginsModelPlugins , PrivacyModelConsents , PrivacyModelRequests , RedirectModelLinks , SearchModelSearches , TagsModelTag , TagsModelTags , TemplatesModelStyles , TemplatesModelTemplates , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroups , UsersModelLevels , UsersModelNotes , UsersModelUsers
  • getListRepos() : JGithubPackageOrgsTeams
  • getListRepository() : JGithubPackageActivityNotifications , JGithubPackageIssuesEvents , JGithubPackageRepositoriesComments
  • getLists() : FOFViewRaw , JTwitterLists
  • getListStarred() : JGithubPackageGists
  • getListTags() : JGithubPackageRepositories
  • getListTeams() : JGithubPackageRepositories
  • getListUser() : JGithubPackageRepositories , JGithubPackageUsersKeys
  • getLoader() : ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd
  • getLocale() : Language
  • getLocalise() : InstallationApplicationWeb
  • getLocaliseAdmin() : InstallationApplicationWeb
  • getLocation() : JGoogleDataPicasaAlbum
  • getLocations() : JTwitterTrends
  • getLog() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • getLogContentTypeParams() : ActionlogsHelper
  • getLogDataAsIterator() : ActionlogsModelActionlogs
  • getLogDataQuery() : ActionlogsModelActionlogs
  • getLogFiles() : PlgSystemLogrotation
  • getLogger() : AbstractApplication , Image , ImageFilter
  • getLoginModule() : LoginModelLogin
  • getLoginRoute() : UsersHelperRoute
  • getLogsData() : ActionlogsModelActionlogs
  • getLogsForItem() : ActionlogsModelActionlogs
  • getLongVersion() : Version , JPlatform
  • getLookupValue() : ContenthistoryHelper
  • getLowerLimitSearchWord() : En_GBLocalise , Fr_FRLocalise , Language
  • getLowerLimitSearchWordCallback() : Language
  • getMachineContent() : Microdata
  • getMailer() : Factory
  • getMailMIME() : PHPMailer
  • getMajor() : Browser
  • getManifest() : Installer , InstallerAdapter , Container
  • getManifestLength() : Manifest
  • getMapClass() : JGoogleEmbedMaps
  • getMapId() : JGoogleEmbedMaps
  • getMappedAlias() : Stub
  • getMapStyle() : JGoogleEmbedMaps
  • getMapType() : JGoogleEmbedMaps
  • getMarks() : Profiler
  • getMaxUploadSize() : Utility
  • getMaybe() : JFacebookEvent
  • getMd5Version() : HTMLHelper
  • getMediaVersion() : Document , Version
  • getMembers() : JFacebookGroup , JTwitterLists
  • getMemberships() : JLinkedinGroups
  • getMemory() : Profiler
  • getMentions() : JTwitterStatuses
  • getMenu() : JApplication , CMSApplication , SiteApplication , AbstractMenu , JSite , MenusModelItems
  • getMenuItems() : MenusHelper
  • getMenuLinks() : MenusHelper
  • getMenus() : ModMenuHelper
  • getMenuType() : MenusModelItem
  • getMenuTypeId() : MenusControllerItem , MenusModelItem
  • getMenuTypes() : MenusHelper
  • getMessageInfo() : PlgQuickiconEos310
  • getMessageQueue() : JApplication , CMSApplication
  • getMeta() : JGithubMeta
  • getMetadata() : CategoryNode
  • getMetaData() : Document
  • getMetadata() : Language , LanguageHelper
  • getMetaData() : Manifest
  • getMetaDataLength() : Manifest
  • getMethod() : JInput , Input , JRequest
  • getMethodArgs() : Container
  • getMethods() : JoomlaupdateHelperSelect
  • getmicrotime() : Profiler
  • getMime() : JGoogleDataPicasaAlbum
  • getMimeEncoding() : Document
  • getMimeType() : BannersModelTracks , MediaHelper
  • getMinimum() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • getMinor() : Browser
  • getMode() : Router
  • getModel() : ActionlogsControllerActionlogs , AssociationsControllerAssociations , BannersControllerBanners , BannersControllerClients , BannersControllerTracks , CategoriesControllerCategories , ContactControllerContact , ContactControllerContacts , ContentControllerArticle , ContentControllerArticles , ContentControllerFeatured , ContenthistoryControllerHistory , ContenthistoryControllerPreview , FieldsControllerFields , FieldsControllerGroups , FinderControllerFilters , FinderControllerIndex , FinderControllerMaps , FOFController , FOFForm , FOFView , BaseController , FormController , HtmlView , LanguagesControllerLanguages , MenusControllerItems , MenusControllerMenus , MessagesControllerMessages , ModulesControllerModules , NewsfeedsControllerNewsfeeds , PluginsControllerPlugins , PrivacyControllerRequests , RedirectControllerLinks , TagsControllerTags , TemplatesControllerStyles , TemplatesControllerTemplate , UsersControllerGroups , UsersControllerLevels , UsersControllerNotes , UsersControllerUsers
  • getModifiedDate() : Document
  • getModMenuId() : MenusModelMenus
  • getModule() : ModuleHelper , MultilangstatusHelper
  • getModuleById() : ModuleHelper
  • getModules() : ModuleHelper , MenusModelItem , MenusModelMenu , MenusModelMenus , ModulesHelper
  • getMovies() : JFacebookUser
  • getMultiple() : FOFTableRelations
  • getMusic() : JFacebookUser
  • getMutualFriends() : JFacebookUser
  • getMyViews() : FOFToolbar
  • getName() : ConfigModelCms , ConfigViewCmsHtml , EasyPeasyICS , FOFController , FOFDatabaseDriver , FOFDownloadAdapterAbstract , FOFDownloadInterface , FOFFormHeader , FOFModel , FOFView , JApplication , JDatabaseDriver , JFormFieldSubform , CMSApplication , RouterView , JsonDocument , XmlDocument , File , FileWrapper , Form , FormField , InstallerAdapter , Language , BaseController , BaseDatabaseModel , HtmlView , Session , Toolbar , ToolbarButton , AbstractEvent , EventInterface , Session , JSessionHandlerInterface , JSessionHandlerNative , nodecounter
  • getNamespaces() : JLoader
  • getNestedList() : FOFTableNested
  • getNetwork() : JGithubPackageActivityEvents
  • getNetworkStats() : JLinkedinStream
  • getNetworkUpdates() : JLinkedinStream
  • getNew() : FOFQueryAbstract
  • getNewInstance() : Container
  • getNewsfeedId() : NewsfeedsRouter
  • getNewsfeedRoute() : NewsfeedsHelperRoute
  • getNewsfeedSegment() : NewsfeedsRouter
  • getNextEmbedBlock() : Parser
  • getNextOrder() : FOFTable , Table
  • getNode() : nodecounter
  • getNodeByTitle() : FinderIndexerTaxonomy
  • getNonce() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • getNonCoreExtensions() : JoomlaupdateModelDefault
  • getNonCorePlugins() : JoomlaupdateModelDefault
  • getNoreply() : JFacebookEvent
  • getNote() : JFacebookNote
  • getNotes() : JFacebookUser
  • getNotifications() : JFacebookUser
  • getNullDate() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • getNumberUrgentRequests() : PrivacyModelRequests
  • getNumItems() : CategoryNode
  • getNumRows() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • getOAuth() : JFacebookObject
  • getOauth64() : PHPMailerOAuthGoogle
  • getOAUTHInstance() : PHPMailerOAuth
  • getObjectsKeys() : DataSet
  • getObserverOfClass() : JObserverUpdater , Table
  • getOembed() : JTwitterStatuses
  • getOffsetFromGmt() : Date
  • getOnlineCount() : ModWhosonlineHelper
  • getOnlineUserNames() : ModWhosonlineHelper
  • getOption() : FOFDatabaseDriverPdo , JDatabaseDriverPdo , JFacebook , JGithub , JGoogle , JGoogleAuth , JGoogleData , JGoogleEmbed , JLinkedin , JLinkedinObject , JMediawiki , JOAuth1Client , JOAuth2Client , Http , JOpenstreetmap , JOpenstreetmapObject , JTwitter , JTwitterObject , LanguagesModelInstalled
  • getOptionName() : FOFFormFieldGroupedlist , FOFFormFieldList
  • getOptions() : FOFFormFieldActions , FOFFormFieldComponents , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldModel , FOFFormFieldPublished , FOFFormFieldRelation , FOFFormFieldTag , FOFFormHeader , FOFFormHeaderAccesslevel , FOFFormHeaderFieldselectable , FOFFormHeaderFieldsql , FOFFormHeaderLanguage , FOFFormHeaderModel , FOFFormHeaderPublished , InstallationFormFieldLanguage , InstallationFormFieldSample , InstallationModelLanguages , InstallationModelSetup , JFormFieldAliastag , JFormFieldBannerClient , JFormFieldBranches , JFormFieldCacheHandler , JFormFieldCategory , JFormFieldCategoryEdit , JFormFieldCategoryParent , JFormFieldComponents , JFormFieldComponentsCategory , JFormFieldConfigComponents , JFormFieldContentTypes , JFormFieldDatabaseConnection , JFormFieldDirectories , JFormFieldExtension , JFormFieldExtensionStatus , JFormFieldFieldcontexts , JFormFieldFieldgroups , JFormFieldFileList , JFormFieldFolder , JFormFieldFolderList , JFormFieldFonts , JFormFieldGroupParent , JFormFieldImageList , JFormFieldInteger , JFormFieldItemLanguage , JFormFieldLanguage , JFormFieldLanguageclient , JFormFieldLevels , JFormFieldList , JFormFieldLocation , JFormFieldLogCreator , JFormFieldLogType , JFormFieldMenuOrdering , JFormFieldMenuParent , JFormFieldMenuPreset , JFormFieldMessageStates , JFormFieldModulesModule , JFormFieldModulesPosition , JFormFieldNewsfeeds , JFormFieldPluginElement , JFormFieldPlugins , JFormFieldPluginType , JFormFieldPredefinedList , JFormFieldRedirect , JFormFieldSearchFilter , JFormFieldSessionHandler , JFormFieldSkins , JFormFieldSQL , JFormFieldTemplateLocation , JFormFieldTemplateName , JFormFieldText , JFormFieldType , JFormFieldUploaddirs , JFormFieldVoteradio , AuthorField , ContentlanguageField , ContenttypeField , FrontendlanguageField , HeadertagField , HelpsiteField , LimitboxField , ModuletagField , TagField , UsergrouplistField , BaseLayout
  • getOptionsFromField() : FieldsListPlugin
  • getOrdering() : FOFPlatform , FOFPlatformInterface
  • getOrg() : JGithubPackageActivityEvents
  • getOrientation() : Image
  • getOrientationString() : Image
  • getOrphans() : Language
  • getOtpConfig() : AdminModelProfile , UsersModelProfile , UsersModelUser
  • getOtpConfigEncryptionKey() : UsersModelUser
  • getOutput() : AbstractCliApplication , CliApplication
  • getOverrides() : LanguagesModelOverrides
  • getOverridesFolder() : TemplatesModelTemplate
  • getOverridesList() : TemplatesModelTemplate
  • getPackageUrl() : InstallationModelLanguages
  • getPage() : AdminModelHelp
  • getPageInfo() : JMediawikiPages
  • getPageParameters() : SiteApplication
  • getPageProperties() : JMediawikiPages
  • getPagesCounter() : Pagination
  • getPagesLinks() : Pagination
  • getPageTemplates() : JMediawikiPages
  • getPagination() : CacheModelCache , ContentModelCategory , FOFModel , InstallerModelDatabase , ListModel , SearchModelSearch
  • getPaginationLinks() : Pagination
  • getPaginationPages() : Pagination
  • getParam() : FOFDownload , InstallerScript , Node , User
  • getParameters() : User
  • getParams() : FieldsModelField , SiteApplication , CategoryNode , ComponentHelper , ComponentRecord , LibraryHelper , Installer , AbstractMenu , MenuItem , ModWrapperHelper
  • getParent() : ContactModelCategories , ContactModelCategory , ContentModelCategories , ContentModelCategory , FOFTableNested , FOFTableRelations , JNode , AdapterInstance , CategoryNode , Node , Tree , JTree , NewsfeedsModelCategories , NewsfeedsModelCategory
  • getParsedFile() : ParseException
  • getParsedLine() : ParseException
  • getPart() : FOFInflector
  • getParticipation() : JGithubPackageRepositoriesStatistics
  • getPass() : AbstractUri , UriInterface
  • getPassphraseFromFile() : JKeychain
  • getPath() : FOFLayoutFile , InstallationModelLanguages , CategoryNode , RouterView , Installer , FileLayout , Nested , Image , AbstractUri , UriInterface , JViewHtml , LanguagesModelInstalled
  • getPaths() : Language , JViewHtml
  • getPathway() : JApplication , CMSApplication , SiteApplication , Pathway
  • getPathwayNames() : Pathway
  • getPbkdf2Algorithm() : AKEncryptionAES
  • getPbkdf2Iterations() : AKEncryptionAES
  • getPbkdf2StaticSalt() : AKEncryptionAES
  • getPbkdf2UseStaticSalt() : AKEncryptionAES
  • getPeople() : JGoogleDataPlusPeople
  • getPeriod() : FOFEncryptTotp
  • getPermissions() : JFacebookUser , Path , PathWrapper , Path
  • getPerms() : FOFViewRaw
  • getPhoto() : JFacebookPhoto
  • getPhotos() : JFacebookAlbum , JFacebookEvent , JFacebookUser
  • getPHPInfo() : AdminModelSysInfo
  • getPhpInfoArray() : AdminModelSysInfo
  • getPhpOptions() : InstallationModelSetup , JoomlaupdateModelDefault
  • getPhpOptionsSufficient() : InstallationModelSetup
  • getPhpSettings() : AdminModelSysInfo , InstallationModelSetup , JoomlaupdateModelDefault
  • getPhpSupport() : PlgQuickiconPhpVersionCheck
  • getPicture() : JFacebookAlbum , JFacebookEvent , JFacebookGroup , JFacebookPhoto , JFacebookUser , JFacebookVideo
  • getPlace() : JTwitterPlaces
  • getPlatform() : Browser
  • getPlatformBaseDirs() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • getPlatformHumanName() : FOFPlatform , FOFPlatformInterface
  • getPlatformName() : FOFPlatform , FOFPlatformInterface
  • getPlatformPrefix() : Cache
  • getPlatformVersion() : FOFPlatform , FOFPlatformInterface
  • getPlugin() : PluginHelper
  • getPluginId() : PlgEditorTinymce
  • getPluginState() : FinderModelIndex
  • getPluginType() : FinderIndexerAdapter
  • getPluralSuffixes() : En_GBLocalise , Fr_FRLocalise , Language
  • getPluralSuffixesCallback() : Language
  • getPort() : AbstractUri , UriInterface
  • getPositions() : ConfigModelModules , ModulesHelper , TemplatesHelper
  • getPost() : JFacebookPost , JLinkedinGroups
  • getPostComments() : JLinkedinGroups
  • getPostProc() : AKFactory
  • getPosts() : JFacebookUser
  • getPreferences() : JOpenstreetmapUser
  • getPrefix() : FOFDatabaseDriver , JDatabaseDriver
  • getPrefixes() : ClassLoader
  • getPrefixesPsr4() : ClassLoader
  • getPresets() : MenuHelper
  • getPrettyVersion() : InstalledVersions
  • getPreview() : TemplatesModelTemplate
  • getPrimaryKey() : Table , UCMContent
  • getPrimaryLanguage() : FinderIndexerHelper
  • getPriority() : FOFDownloadAdapterAbstract , FOFDownloadInterface , ListenersPriorityQueue
  • getPrivacyArticleId() : PlgSystemPrivacyconsent
  • getPrivacyConsentPluginId() : PrivacyHelper
  • getPrivacyPolicyInfo() : PrivacyModelDashboard
  • getProcessor() : CliOutput
  • getProducts() : JLinkedinCompanies
  • getProfile() : JLinkedinPeople , UserHelper , UserWrapper
  • getProfileRoute() : UsersHelperRoute
  • getProperties() : FOFUtilsObject , JException , CMSObject
  • getProperty() : Microdata , DataObject
  • getProtectedTitles() : JMediawikiSites
  • getProvider() : PHPMailerOAuthGoogle
  • getProviderName() : ProviderAwareAuthenticationPluginInterface
  • getPublic() : JGithubPackageActivityEvents
  • getPublishedField() : FOFFormFieldActions
  • getPunchCard() : JGithubPackageRepositoriesStatistics
  • getQuery() : FinderModelSearch , FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverPostgresql , FOFDatabaseFactory , FOFFormFieldOrdering , JDatabaseDriver , JDatabaseDriverPostgresql , JDatabaseExceptionExecuting , JDatabaseFactory , JFormFieldPluginordering , OrderingField , AbstractUri , UriInterface , ModFinderHelper
  • getQueryDate() : ContentHelperQuery , PlgContentPagenavigation
  • getQueryJoin() : FOFTable
  • getQueryJoinFields() : FOFTable
  • getRandom() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getRandomImage() : ModRandomImageHelper
  • getRangeOptions() : UsersHelper
  • getRateLimit() : JGithubAccount , JGithubPackageAuthorization , JTwitterObject
  • getRaw() : JInputJSON , Json , Container , Json
  • getRawData() : InstalledVersions
  • getReadme() : JGithubPackageRepositoriesContents
  • getRealCurrentLineNb() : Parser
  • getRealTableName() : JDatabaseImporter
  • getRecentChanges() : JMediawikiSites
  • getRecursively() : JGithubPackageDataTrees
  • getRedirectMessage() : PlgSystemPrivacyconsent
  • getRedirectPluginId() : RedirectHelper
  • getRedirectToItemAppend() : CategoriesControllerCategory , ContentControllerArticle , FieldsControllerField , FormController , LanguagesControllerLanguage , MenusControllerItem , UsersControllerNote
  • getRedirectToListAppend() : CategoriesControllerCategory , FieldsControllerField , FormController
  • getRedirectUrl() : Installer
  • getRef() : StringController
  • getReference() : InstalledVersions
  • getRegisteredLoaders() : ClassLoader
  • getRegistrationRoute() : UsersHelperRoute
  • getRelatedItem() : FOFTableRelations
  • getRelatedItems() : FOFTableRelations
  • getRelation() : FOFTableRelations
  • getRelations() : FOFConfigDomainTables , FOFTable
  • getRememberCookieData() : UserHelper , UserWrapper
  • getRemindRoute() : UsersHelperRoute
  • getRenderedForm() : FOFViewForm
  • getRenderer() : FOFView , FormField , PlgSystemStats
  • getRenderFrontendButtons() : FOFToolbar
  • getRenderFrontendSubmenu() : FOFToolbar
  • getReorderConditions() : BannersModelBanner , CategoriesModelCategory , ContactModelContact , ContentModelArticle , ContentModelFeature , FieldsModelField , FieldsModelGroup , AdminModel , MenusModelItem , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin
  • getReorderWhere() : FOFModel
  • getRepeatable() : FOFFormField , FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRelation , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldTitle , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • getReplyToAddresses() : PHPMailer
  • getRepositories() : JGithubPackageActivityStarring , JGithubPackageActivityWatching
  • getRepository() : JGithubPackageActivityEvents
  • getRepositoryList() : JGithubPackageIssuesComments
  • getRequestCounts() : PrivacyModelDashboard
  • getRequestFormPublished() : PrivacyModelDashboard
  • getRequiredTermIds() : FinderIndexerQuery
  • getResendRoute() : UsersHelperRoute
  • getResetCompleteForm() : UsersModelReset
  • getResetConfirmForm() : UsersModelReset
  • getResetRoute() : UsersHelperRoute
  • getResponse() : CurlTransport , SocketTransport , StreamTransport , PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , POP3
  • getResults() : FinderModelSearch
  • getResultsCounter() : Pagination
  • getResultsData() : FinderModelSearch
  • getResultsTotal() : FinderModelSearch
  • getReturnPage() : ContentControllerArticle , ContentModelForm
  • getReturnUri() : ModLoginHelper
  • getReturnUrl() : ModLoginHelper
  • getRetweeters() : JTwitterStatuses
  • getRetweetsById() : JTwitterStatuses
  • getRetweetsOfMe() : JTwitterStatuses
  • getReverseLookup() : MenusModelMenutypes
  • getRevisions() : JMediawikiPages
  • getRightSibling() : ContactModelCategory , ContentModelCategory , NewsfeedsModelCategory
  • getRoot() : FOFTableNested , Tree
  • getRootId() : Nested
  • getRootPackage() : InstalledVersions
  • getRoute() : RouteHelper , InstallerAdapter
  • getRouter() : JApplication , AdministratorApplication , CMSApplication , SiteApplication
  • getRow() : JGrid
  • getRowData() : CMSHelper , ContentHelper
  • getRowOffset() : Pagination
  • getRowOptions() : JGrid
  • getRows() : JGrid
  • getRules() : FOFTable , RouterView , Table
  • getRunningTime() : AKCoreTimer , FOFUtilsTimer
  • gets() : Stream
  • getSafeData() : AdminModelSysInfo
  • getSalt() : SimpleCryptPassword , UserHelper , UserWrapper
  • getSavedSearches() : JTwittersearch
  • getSavedSearchesById() : JTwittersearch
  • getSavedTable() : FOFModel
  • getSchema() : ChangeSet
  • getSchemaVersion() : InstallerModelDatabase
  • getScheme() : AbstractUri , UriInterface
  • getScope() : JFacebookOAuth , JLinkedinOauth
  • getScriptClassName() : PluginAdapter , InstallerAdapter
  • getScriptOptions() : Document
  • getScriptStrings() : Text
  • getSearchDisplayedCharactersNumber() : En_GBLocalise , Fr_FRLocalise , Language
  • getSearchDisplayedCharactersNumberCallback() : Language
  • getSearchImage() : ModSearchHelper
  • getSearchMethods() : FOFModelField
  • getSearchRoute() : FinderHelperRoute
  • getSefString() : InstallationModelLanguages , LanguageAdapter
  • getSentDirectMessages() : JTwitterDirectmessages
  • getSentMIMEMessage() : PHPMailer
  • getSeqLookup() : JDatabaseImporterPostgresql
  • getServerExt() : SMTP
  • getServerExtList() : SMTP
  • getServerType() : FOFDatabaseDriver , JDatabaseDriver
  • getSession() : AbstractWebApplication , WebApplication , Factory
  • getSettings() : JLinkedinGroups , JTwitterProfile
  • getSha1() : ContentHistory
  • getSha1Hash() : ContenthistoryModelHistory
  • getShareStream() : JLinkedinStream
  • getShortHashedUserAgent() : UserHelper , UserWrapper
  • getShortVersion() : Version , JPlatform
  • getSibling() : CategoryNode
  • getSiblings() : FOFTableNested , FOFTableRelations
  • getSiblingsAndSelf() : FOFTableNested
  • getSignature() : FinderIndexer
  • getSimilarPlaces() : JTwitterPlaces
  • getSimpleModeLayoutData() : JFormFieldColor
  • getSiteHomePages() : Multilanguage
  • getSiteInfo() : JMediawikiSites
  • getSiteLangs() : Multilanguage
  • getSitelangs() : MultilangstatusHelper
  • getSitesWithUpdates() : Updater
  • getSize() : JGoogleDataPicasaPhoto , SplFixedArray
  • getSMTPInstance() : PHPMailer
  • getSnippet() : ParseException
  • getSortable() : FOFFormHeader
  • getSortFields() : BannersViewBanners , BannersViewClients , BannersViewTracks , CategoriesViewCategories , ContactViewContacts , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , LanguagesViewLanguages , MenusViewItems , ModulesViewModules , NewsfeedsViewNewsfeeds , PluginsViewPlugins , TagsViewTags , UsersViewGroups , UsersViewLevels , UsersViewNotes , UsersViewUsers
  • getSource() : Patcher , TemplatesModelTemplate
  • getStart() : ContentModelArticles , ListModel
  • getState() : AKAbstractPart , ConfigModelCms , FinderIndexer , FOFModel , FOFUtilsObservableDispatcher , JEventDispatcher , JModel , JModelBase , JObservable , Authentication , Captcha , Editor , BaseDatabaseModel , Session , MediaModelList , MediaModelManager
  • getStateOptions() : InstallerHelper , MessagesHelper , ModulesHelper , UsersHelper
  • getStateQuery() : FinderIndexerAdapter , PlgFinderCategories , PlgFinderTags
  • getStatic() : FOFFormField , FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRelation , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • getStaticSaltExpandedKey() : AKEncryptionAES
  • getStats() : ModStatsHelper
  • getStatsData() : PlgSystemStats
  • getStatus() : JFacebookStatus , ChangeSet , MultilangstatusHelper
  • getStatusArray() : AKAbstractPart
  • getStatuses() : JFacebookUser , JTwitterLists
  • getStem() : FinderIndexerStemmerFr
  • getStemRules() : FinderIndexerStemmerFr
  • getStep() : AKAbstractPart
  • getStoreId() : AssociationsModelAssociations , BannersModelBanners , BannersModelClients , CacheModelCache , CategoriesModelCategories , ContactModelCategories , ContactModelContacts , ContentModelArticles , ContentModelCategories , ContentModelFeatured , FieldsModelFields , FieldsModelGroups , FinderModelFilters , FinderModelIndex , FinderModelMaps , FinderModelSearch , FinderModelSuggestions , InstallerModelLanguages , ItemModel , ListModel , LanguagesModelInstalled , LanguagesModelLanguages , MenusModelItems , MessagesModelMessages , ModulesModelModules , ModulesModelSelect , NewsfeedsModelCategories , NewsfeedsModelNewsfeeds , PluginsModelPlugins , PrivacyModelConsents , PrivacyModelRequests , RedirectModelLinks , SearchModelSearches , TagsModelTags , TemplatesModelStyles , TemplatesModelTemplates , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroups , UsersModelLevels , UsersModelNotes , UsersModelUsers
  • getStores() : Cache , Session
  • getStream() : Factory , Stream
  • getString() : JRequest
  • getStringPositionSql() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getStub() : Container
  • getStyle() : ColorStyle
  • getSubscribedTo() : JFacebookUser
  • getSubscribers() : JFacebookUser , JTwitterLists
  • getSubscription() : JGithubPackageActivityWatching
  • getSubscriptions() : JTwitterLists
  • getSubstep() : AKAbstractPart
  • getSubstitutedSerialized() : DisallowedClassesSubstitutor
  • getSuffixes() : FileLayout
  • getSuggested() : JLinkedinCompanies , JLinkedinGroups , JLinkedinJobs
  • getSuggestions() : FinderControllerSuggestions , JFormFieldText , JTwitterUsers
  • getSuggestionsSlug() : JTwitterUsers
  • getSuggestionsSlugMembers() : JTwitterUsers
  • getSummary() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • getSuperUsers() : PlgSystemUpdatenotification
  • getSupported() : FilesystemHelper , Helper
  • getSupportedExtension() : AssociationsHelper
  • getSupportedExtensions() : AssociationsHelper
  • getSupportTemplate() : AssociationExtensionHelper
  • getSystemTemplate() : ChromestyleField
  • getTab() : InstallationHtmlHelper
  • getTable() : BannersModelBanner , BannersModelBanners , BannersModelClient , CategoriesModelCategory , ContactModelContact , ContenthistoryModelHistory , ContentModelArticle , ContentModelFeature , FieldsModelField , FieldsModelGroup , FinderModelFilter , FinderModelIndex , FinderModelMaps , FOFDatabaseIterator , FOFModel , BaseDatabaseModel , User , LanguagesModelLanguage , MenusModelItem , MenusModelMenu , MessagesModelMessage , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , PrivacyModelConfirm , PrivacyModelExport , PrivacyModelRemind , PrivacyModelRemove , PrivacyModelRequest , RedirectModelLink , TagsModelTag , TagsModelTags , TemplatesModelStyle , UsersModelGroup , UsersModelLevel , UsersModelNote , UsersModelUser
  • getTablealias() : FOFConfigDomainTables
  • getTableAlias() : FOFModel , FOFTable
  • getTableCollation() : FOFDatabaseInstaller
  • getTableColumns() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getTableConstraints() : FOFDatabaseDriverSqlsrv
  • getTableCreate() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getTableFields() : FOFModel , FOFTable
  • getTableFromRelation() : FOFTableRelations
  • getTableKeys() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getTableList() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getTableName() : FOFTable , Table
  • getTableOptions() : JGrid
  • getTableSequences() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getTabNumber() : InstallationHtmlHelper
  • getTag() : Language
  • getTagged() : JFacebookUser , Container
  • getTagIds() : TagsHelper
  • getTagItemsQuery() : TagsHelper
  • getTagNames() : TagsHelper
  • getTagRoute() : TagsHelperRoute
  • getTags() : JFacebookPhoto
  • getTagsRoute() : TagsHelperRoute
  • getTagsTitle() : TagsViewTag
  • getTagTreeArray() : TagsHelper
  • getTargetMinimumPHPVersion() : JoomlaupdateModelDefault
  • getTarInfo() : Tar
  • getTask() : FOFController , FOFDispatcher , BaseController
  • getTaskmap() : FOFConfigDomainViews
  • getTasks() : FOFController , BaseController
  • getTaxonomy() : FinderIndexerResult
  • getTelevision() : JFacebookUser
  • getTemplate() : InstallationApplicationWeb , JApplication , AdministratorApplication , CMSApplication , SiteApplication , TemplatesModelTemplate
  • getTemplateModuleStyles() : ChromestyleField
  • getTemplateOptions() : TemplatesHelper
  • getTemplateOverridePath() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • getTemplates() : ChromestyleField , ModulesHelper
  • getTemplateSuffixes() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • getThisModel() : FOFController
  • getThisView() : FOFController
  • getThreadSubscription() : JGithubPackageActivityNotifications
  • getThumbnails() : JGoogleDataPicasaPhoto
  • getTime() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • getTimeLeft() : AKCoreTimer , FOFUtilsTimer
  • getTimeout() : SMTP
  • getTimer() : AKFactory
  • getTimestampRegex() : Inline
  • getTimezone() : User
  • getTimings() : FOFDatabaseDriver , JDatabaseDriver
  • getTitle() : FOFFormFieldButton , JFormFieldSpacer , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Document , FormField , ModLatestActionsHelper , ModLatestHelper , ModLoggedHelper , ModPopularHelper , ModQuickIconHelper
  • getTmpInstance() : FOFController , FOFDispatcher , FOFModel
  • getToAddresses() : PHPMailer
  • getToc() : AdminModelHelp
  • getToken() : JMediawikiPages , JMediawikiUsers , JOAuth1Client , JOAuth2Client , Session , PHPMailerOAuthGoogle
  • getTokenData() : FinderIndexerQuery
  • getToolbar() : FOFConfigDomainViews
  • getToolbarPreset() : PlgEditorTinymce
  • getTotal() : CacheModelCache , CheckinModelCheckin , FinderModelFilter , FinderModelSearch , FOFModel , ListModel , LanguagesModelInstalled , LanguagesModelOverrides , ModulesModelPositions , SearchModelSearch
  • getTotalIndexed() : FinderModelIndex
  • getTranslatedModulePosition() : ModulesHelper
  • getTranslations() : PHPMailer
  • getTransliterator() : Language
  • getTransports() : FilesystemHelper , Helper
  • getTree() : JAdminCssMenu , Nested
  • getTrends() : JTwitterTrends
  • getTriggerEvents() : FOFTable
  • getTweetById() : JTwitterStatuses
  • getTwofactorform() : AdminModelProfile , UsersModelProfile , UsersModelUser
  • getTwoFactorMethods() : AuthenticationHelper , ModLoginHelper , UsersHelper
  • getType() : ContactAssociationsHelper , ContentAssociationsHelper , AssociationExtensionHelper , Document , Microdata , UCMBase , UCMType , MenusAssociationsHelper , ModLoginHelper , NewsfeedsAssociationsHelper
  • getTypeAlias() : VersionableTableInterface
  • getTypeByAlias() : UCMType
  • getTypeByTable() : UCMType
  • getTypeFieldName() : AssociationsHelper , AssociationExtensionHelper
  • getTypeFields() : AssociationExtensionHelper
  • getTypeIcon() : MediaHelper , TemplateHelper
  • getTypeId() : FinderIndexerAdapter , TagsHelper , ContentType , UCMType
  • getTypeInformation() : AssociationExtensionHelper
  • getTypeJoins() : AssociationExtensionHelper
  • getTypeOptions() : MenusModelMenutypes
  • getTypeOptionsByComponent() : MenusModelMenutypes
  • getTypeOptionsFromLayouts() : MenusModelMenutypes
  • getTypeOptionsFromManifest() : MenusModelMenutypes
  • getTypeOptionsFromMvc() : MenusModelMenutypes
  • getTypeOptionsFromXml() : MenusModelMenutypes
  • getTypes() : TagsHelper , Microdata
  • getTypeSupport() : AssociationExtensionHelper
  • getTypeTables() : AssociationExtensionHelper
  • getTypeTitle() : AssociationExtensionHelper
  • getUcmCoreAlias() : FOFTable
  • getUInt() : JRequest
  • getUnarchiver() : AKFactory
  • getUniqueId() : PlgSystemStats
  • getUnit() : JGoogleDataAdsense
  • getUpdateFiles() : ChangeSet
  • getUpdateInformation() : JoomlaupdateModelDefault
  • getUpdateMethod() : FOFUtilsUpdate
  • getUpdateQueries() : ChangeSet
  • getUpdateQueryByIds() : FinderIndexerAdapter
  • getUpdateQueryByTime() : FinderIndexerAdapter , PlgFinderTags
  • getUpdates() : FOFUtilsUpdate , FOFUtilsUpdateJoomla , JLinkedinCompanies
  • getUpdateSite() : FOFUtilsUpdate , InstallerModelLanguages
  • getUpdateSiteIds() : FOFUtilsUpdate
  • getUpdateSiteName() : FOFUtilsUpdate , UpdateAdapter
  • getUpdateSiteResponse() : UpdateAdapter
  • getUpdateSites() : Updater
  • getUpdateSitesInfo() : JoomlaupdateModelDefault
  • getUpdateSourceFromCollection() : FOFUtilsUpdateJoomla
  • getUpdateVersion() : InstallerModelDatabase
  • getUpperLimitSearchWord() : En_GBLocalise , Fr_FRLocalise , Language
  • getUpperLimitSearchWordCallback() : Language
  • getUri() : Factory , JRequest
  • getUrl() : BannersModelBanner , FinderIndexerAdapter , FOFEncryptTotp , JGoogleDataPicasaPhoto
  • getUsed() : Language
  • getUseIncludePath() : ClassLoader
  • getUser() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , JFacebookUser , JGithubPackageActivityEvents , JGithubPackageUsers , Factory , AbstractMenu , AbstractUri , UriInterface , JTwitterUsers , UsersModelDebugUser , UsersModelNotes
  • getUserAgent() : Version
  • getUserContribs() : JMediawikiUsers
  • getUserGroups() : JFormFieldFilters , JFormFieldRules , UserHelper , UserWrapper
  • getUserId() : InstallationModelDatabase , UserHelper , UserWrapper
  • getUserIdFromToken() : UsersModelRegistration
  • getUserInfo() : JMediawikiUsers
  • getUserOrg() : JGithubPackageActivityEvents
  • getUserPosts() : JLinkedinGroups
  • getUserProfileBanner() : JTwitterUsers
  • getUserPublic() : JGithubPackageActivityEvents
  • getUsers() : JGithubPackageUsers , ModUsersLatestHelper
  • getUsersByGroup() : Access
  • getUsersLookup() : JTwitterUsers
  • getUserState() : JApplication , CMSApplication
  • getUserStateFromRequest() : FOFIntegrationJoomlaPlatform , FOFModel , FOFPlatform , FOFPlatformInterface , JApplication , CMSApplication , ListModel
  • getUserTimeline() : JTwitterStatuses
  • getUTFSupport() : FOFDatabaseDriver , JDatabaseDriver
  • getValue() : FOFFormHeader , FOFUtilsArray , JArrayHelper , Form , ArrayHelper
  • getValueActions() : RulesRule
  • getValueAsIni() : Ini
  • getValueFromNode() : Xml
  • getVar() : Router , AbstractUri , UriInterface , JRequest
  • getVariable() : PharInvocation
  • getVars() : Router
  • getVerp() : SMTP
  • getVersion() : InstalledVersions , FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFUtilsUpdate , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , Browser , ModVersionHelper
  • getVersionProperties() : FOFUtilsUpdateJoomla
  • getVersionRanges() : InstalledVersions
  • getVideo() : JFacebookVideo
  • getVideos() : JFacebookEvent , JFacebookUser , MediaModelList
  • getView() : FOFController , FOFForm , BaseController
  • getViewLevels() : MenusModelItem
  • getViewOptionAndName() : FOFView
  • getViews() : RouterView
  • getViewTemplatePaths() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • getVisibleByGroups() : UsersHelper
  • getWarning() : AKAbstractObject
  • getWarnings() : AKAbstractObject
  • getWeekEnd() : Language
  • getWidth() : JGoogleDataPicasaPhoto , Image
  • getWord() : JRequest
  • getWorkarounds() : Cache
  • getWriteModes() : FilesystemHelper , Helper
  • getXml() : Factory , Form
  • getXmlChildren() : Xml
  • getXmlDirectory() : FOFDatabaseInstaller
  • getYears() : ContentModelArchive
  • getZeroPadding() : AKEncryptionAESAdapterAbstract , FOFEncryptAesAbstract
  • getZoom() : JGoogleEmbedMaps
  • googlize() : JGoogleAuthOauth2
  • group() : FOFDatabaseQuery , JDatabaseQuery
  • groupButtons() : ModQuickIconHelper
  • groupBy() : ModArticlesCategoryHelper
  • groupByDate() : ModArticlesCategoryHelper
  • groupByTags() : ModArticlesCategoryHelper
  • groupedlist() : JHtmlSelect
  • groups() : JHtmlUser
  • guard() : FOFLessParser , lessc_parser
  • guardGroup() : FOFLessParser , lessc_parser
  • guards() : FOFLessParser , lessc_parser


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- h -

  • h2c_string_to_hash() : ParagonIE_Sodium_Core_Ristretto255
  • h2c_string_to_hash_sha256() : ParagonIE_Sodium_Core_Ristretto255
  • h2c_string_to_hash_sha512() : ParagonIE_Sodium_Core_Ristretto255
  • handle_content_type() : SimplePie
  • handleAuthor() : AtomParser
  • handleCallback() : JError
  • handleCategory() : RssParser
  • handleCloud() : RssParser
  • handleContributor() : AtomParser
  • handleCopyright() : RssParser
  • handleDescription() : RssParser
  • handleDie() : JError
  • handleEcho() : JError
  • handleError() : PlgSystemLogout , PlgSystemRedirect
  • handleException() : ExceptionHandler , PlgSystemRedirect
  • handleGenerator() : AtomParser , RssParser
  • handleId() : AtomParser
  • handleIgnore() : JError
  • handleImage() : RssParser
  • handleLanguage() : RssParser
  • handleLastBuildDate() : RssParser
  • handleLink() : AtomParser , RssParser
  • handleLog() : JError
  • handleManagingEditor() : RssParser
  • handleMessage() : JError
  • handleOldDatabase() : InstallationModelDatabase
  • handlePubDate() : RssParser
  • handler() : CryptoExceptionHandler
  • handleRights() : AtomParser
  • handleSkipDays() : RssParser
  • handleSkipHours() : RssParser
  • handleSubtitle() : AtomParser
  • handleTitle() : AtomParser , RssParser
  • handleTtl() : RssParser
  • handleUpdated() : AtomParser
  • handleVerbose() : JError
  • handleWebmaster() : RssParser
  • has() : UserGroupsHelper , Session , Container , ListenersPriorityQueue , Session , ContainerInterface , Collectable , PharInvocationCollection
  • has8bitChars() : PHPMailer
  • has_data() : SimplePie_HTTP_Parser , SimplePie_XML_Declaration_Parser
  • hasAjaxOrderingSupport() : FOFViewRaw
  • hasArgument() : AbstractEvent
  • hasAssociationsSupport() : AssociationExtensionHelper , AssociationExtensionInterface
  • hasChildren() : JNode , CategoryNode , Node
  • hasComponentConfig() : ConfigHelperConfig
  • hasCredentials() : ClientHelper , ClientWrapper
  • hasEvent() : Dispatcher
  • hasField() : FOFTable , Table
  • hasFriend() : JFacebookUser
  • hash_equals() : Php56
  • HASH_FUNCTION : Crypto
  • HASH_NOT_PROVIDED : InstallerHelper
  • HASH_NOT_VALIDATED : InstallerHelper
  • hash_pbkdf2() : Php55
  • HASH_SC_L : ParagonIE_Sodium_Core_Ristretto255
  • hash_update() : ParagonIE_Sodium_Core_Util
  • HASH_VALIDATED : InstallerHelper
  • hashPassword() : UserHelper , UserWrapper
  • HashPassword() : PasswordHash
  • hashToInt() : FOFEncryptTotp
  • hasIndex() : FOFDatabaseInstaller
  • hasKey() : Language
  • hasLineLongerThanMax() : PHPMailer
  • hasListener() : Dispatcher
  • hasMultiBytes() : PHPMailer
  • hasNativeSupport() : JArchiveZip , Zip
  • hasParent() : JNode , CategoryNode , Node
  • hasPharPrefix() : Helper
  • hasPrimaryKey() : Table
  • hasProfiling() : FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdomysql
  • hasQueryCacheEnabled() : JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdomysql
  • hasRedirect() : FOFController
  • hasRelation() : FOFTableRelations
  • hasSensor() : JGoogleEmbedMaps
  • hasStrongPasswordSupport() : Crypt
  • hasSupport() : AssociationsHelper
  • hasTags() : FOFTable
  • hasToken() : Session
  • hasUTF8mb4Support() : FOFDatabaseDriver , JDatabaseDriver
  • hasUTFSupport() : FOFDatabaseDriver , JDatabaseDriver
  • hasVar() : AbstractUri , UriInterface
  • having() : FOFDatabaseQuery , JDatabaseQuery
  • hChaCha20() : ParagonIE_Sodium_Core32_HChaCha20 , ParagonIE_Sodium_Core_HChaCha20
  • hChaCha20Bytes() : ParagonIE_Sodium_Core_HChaCha20
  • head() : Http
  • header() : AbstractWebApplication , WebApplication
  • headerLine() : PHPMailer
  • hello() : SMTP
  • help() : ToolbarHelper
  • helpsite() : JHtmlUsers
  • heuristicFileHeaderLocator() : AKUnarchiverJPA
  • hex2bin() : ParagonIE_Sodium_Compat
  • hexToBytes() : Crypto
  • hideFields() : ContenthistoryHelper
  • hideMessages() : PostinstallModelMessages
  • HIGH : Priority
  • highLight() : SearchViewSearch
  • highlighter() : JHtmlBehavior
  • highlightQuery() : PlgSystemDebug
  • historyOfElement() : JOpenstreetmapElements
  • hit() : ContactModelCategory , ContactModelContact , ContentModelArticle , ContentModelCategory , FOFModel , FOFTable , Table , NewsfeedsModelCategory , NewsfeedsModelNewsfeed , TagsModelTag
  • HKDF() : Crypto
  • HKDFTestVector() : Crypto
  • hmac() : SMTP
  • HMACTestVector() : Crypto
  • holdEditId() : BaseController
  • HOST : UriInterface
  • hour() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • hrtime() : Php73
  • hsalsa20() : ParagonIE_Sodium_Core_HSalsa20
  • html2text() : PHPMailer
  • htmlDiv() : Microdata
  • htmlMeta() : Microdata
  • htmlProperty() : Microdata
  • htmlScope() : Microdata
  • htmlSpan() : Microdata
  • htmlTag() : Microdata
  • http_version() : SimplePie_HTTP_Parser
  • humanize() : FOFInflector
  • HUNK : Patcher


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- i -

  • id() : JHtmlGrid , JHtmlLanguages
  • ident() : tagparse
  • identifyBrowserVersion() : Browser
  • idna_convert() : idna_convert
  • idnSupported() : PHPMailer
  • IE : WebClient
  • ietfStream() : ParagonIE_Sodium_Core32_ChaCha20 , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_XChaCha20
  • ietfStreamXorIc() : ParagonIE_Sodium_Core32_ChaCha20 , ParagonIE_Sodium_Core32_XChaCha20 , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_XChaCha20
  • iframe() : HTMLHelper
  • ignore() : DisallowedClassesSubstitutor
  • image() : JHtmlUsers , HTMLHelper , SimplePie_Content_Type_Sniffer
  • imageResize() : MediaHelper
  • images() : JHtmlList
  • implode() : FOFInflector
  • import() : FOFLessParser , JLoader , PluginHelper , lessc_parser
  • importFromURL() : FOFDownload
  • importPlugin() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , PluginHelper
  • impress() : BannersModelBanners
  • in() : AbstractCliApplication , CliInput , CliApplication
  • includeRelativeFiles() : HTMLHelper
  • increment() : ParagonIE_Sodium_Compat
  • increment_counter() : ParagonIE_Sodium_Core_BLAKE2b
  • incrementCounter() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • indentStr() : FOFLessFormatterClassic , FOFLessFormatterCompressed , lessc_formatter_classic , lessc_formatter_compressed
  • index() : FinderCli , FinderIndexer , FinderIndexerAdapter , FinderIndexerDriverMysql , FinderIndexerDriverPostgresql , FinderIndexerDriverSqlsrv , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • inet_to_bits() : FOFUtilsIp
  • inetToBits() : IpHelper
  • INFO : Log
  • info() : AbstractLogger , LoggerInterface
  • INFO : LogLevel
  • init() : FOFAutoloaderComponent , FOFAutoloaderFof , JHtmlDropdown , ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b , Curl , SimplePie
  • initBatch() : AdminModel
  • initCache() : CacheliteStorage
  • initFile() : FormattedtextLogger
  • initialise() : InstallationModelDatabase , JApplication , AbstractApplication , WebApplication , Captcha , Editor , FeedParser , AtomParser , RssParser , Session
  • initialiseApp() : InstallationApplicationWeb , AdministratorApplication , CMSApplication , SiteApplication
  • initialize() : ntlm_sasl_client_class , Manager
  • initPassphraseFile() : KeychainManager
  • injectVariables() : FOFLess , lessc
  • inlineImageExists() : PHPMailer
  • innerJoin() : FOFDatabaseQuery , JDatabaseQuery
  • inSameScope() : FOFTableNested
  • insert() : FOFDatabaseQuery , JDatabaseQuery , JTableSession
  • insertAsChildOf() : FOFTableNested
  • insertAsFirstChildOf() : FOFTableNested
  • insertAsLastChildOf() : FOFTableNested
  • insertAsRoot() : FOFTableNested
  • insertAsSiblingOf() : FOFTableNested
  • insertid() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • insertLeftOf() : FOFTableNested
  • insertObject() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • insertRightOf() : FOFTableNested
  • insideSubtree() : FOFTableNested
  • install() : InstallationModelLanguages , InstallerControllerDiscover , InstallerModelInstall , InstallerModelUpdate , LanguageAdapter , Installer , InstallerAdapter
  • installCmsData() : InstallationModelDatabase
  • installFOF() : FOFUtilsInstallscript
  • installPreset() : MenusHelper
  • installSampleData() : InstallationModelDatabase
  • installStrapper() : FOFUtilsInstallscript
  • installSubextensions() : FOFUtilsInstallscript
  • instance() : Manager
  • integer() : JHtmlPhpSetting
  • integerlist() : JHtmlSelect
  • interpolation() : FOFLessParser , lessc_parser
  • interval() : FOFModelField , FOFModelFieldDate , FOFModelFieldNumber , FOFModelFieldText
  • intToChr() : ParagonIE_Sodium_Core_Util
  • invalidate() : PrivacyModelConsents
  • invalidateAll() : PrivacyModelConsents
  • invalidateCookie() : UserHelper , UserWrapper
  • invert() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • inviteByEmail() : JLinkedinCommunications
  • inviteById() : JLinkedinCommunications
  • invokeAssertions() : ConjunctionInterceptor
  • invokeInternalStreamWrapper() : PharStreamWrapper
  • IPAD : WebClient
  • IPHONE : WebClient
  • IPinList() : FOFUtilsIp , IpHelper
  • IPOD : WebClient
  • ipToNetAddress() : LdapClient
  • is_feed() : SimplePie_Locator
  • is_isegment_nz_nc() : SimplePie_Misc
  • is_iterable() : Php71
  • is_linear_whitespace() : SimplePie_HTTP_Parser
  • is_valid() : SimplePie_IRI
  • is_valid_point() : ParagonIE_Sodium_Core_Ristretto255
  • is_zero() : ParagonIE_Sodium_Compat
  • isAbsolutePath() : Helper
  • isActive() : AbstractDaemonApplication , DaemonApplication , Session
  • isAdmin() : JApplication , CMSApplication
  • isAdminMultilang() : ModuleHelper
  • isAjaxRequest() : PlgQuickiconEos310 , PlgSystemStats
  • isAllowedUser() : PlgQuickiconEos310 , PlgSystemStats
  • isAncestorOf() : FOFTableNested
  • isAscii() : AbstractWebApplication
  • isAssetsTracked() : FOFTable
  • isAssociative() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • isAsync() : JGoogleEmbedAnalytics , JGoogleEmbedMaps
  • isAttending() : JFacebookEvent
  • isAuthenticated() : JGoogleAuth , JGoogleAuthOauth2 , JGoogleData , JOAuth2Client
  • isAuthorisedDisplayDebug() : PlgSystemDebug
  • isBackend() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • isBelow() : Tar , Zip
  • isBlockScalarHeader() : Parser
  • isBrowser() : Browser
  • isCheckedOut() : FOFModel , FOFTable , Table
  • isCheckoutItem() : AssociationsHelper
  • isChecksumValid() : InstallerHelper , JoomlaupdateModelDefault
  • isChild() : FOFTableNested
  • isClassMapAuthoritative() : ClassLoader
  • isCli() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • isCliAdmin() : FOFDispatcher , FOFIntegrationJoomlaPlatform
  • isClient() : JApplication , CMSApplication
  • isCommon() : FinderIndexerHelper
  • isCompatible() : Version , JPlatform
  • isConfirmed() : PharInvocation
  • isConnected() : RedisStorage , FtpClient , LdapClient
  • isCountable() : Inflector
  • isCurrentLineBlank() : Parser
  • isCurrentLineComment() : Parser
  • isCurrentLineEmpty() : Parser
  • isCurrentLineLastLineInDocument() : Parser
  • isDatabaseTypeSupported() : JoomlaupdateModelDefault
  • isDebugEnabled() : FormField , BaseLayout , PlgSystemStats
  • isDeclined() : JFacebookEvent
  • isdefault() : JHtmlJGrid
  • isDescendantOf() : FOFTableNested
  • isDirective() : FOFLessParser , lessc_parser
  • isDownload() : XmlDocument
  • isEmailAddress() : MailHelper , MailWrapper
  • isEmpty() : FOFLessFormatterClassic , FOFModelField , FOFModelFieldBoolean , lessc_formatter_classic
  • isEnabled() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , ComponentHelper , LibraryHelper , ModuleHelper , Associations , Multilanguage , Microdata , PluginHelper
  • isEOF() : AKAbstractUnarchiver
  • isError() : JError , PHPMailer
  • isException() : ExceptionHandler
  • isExcluded() : PlgSystemCache
  • isFlash() : BannerHelper
  • isFOFComponent() : FOFAutoloaderComponent
  • isFrontend() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • isGlobalFOFCacheEnabled() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • isGreaterThan() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • isHash() : Inline
  • isHtml() : Mail
  • isHTML() : PHPMailer
  • isHtml5() : HtmlDocument
  • isHttpsForced() : CMSApplication
  • isIgnoredDirectory() : AKAbstractUnarchiver
  • isImage() : BannerHelper , MediaHelper
  • isInDevelopmentState() : Version
  • isInstalled() : InstalledVersions , ComponentHelper
  • isInternal() : Uri
  • isInvited() : JFacebookEvent
  • isIPv6() : FOFUtilsIp , IpHelper
  • isJoomlaStream() : FilesystemHelper , Helper
  • isLeaf() : FOFTableNested , Nested
  • isLessThanInt() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • isLoaded() : Image
  • isMail() : PHPMailer
  • isManifest() : Installer
  • isMaybe() : JFacebookEvent
  • isMember() : JGithubPackageOrgsTeams , JTwitterLists
  • isMerged() : JGithubPackagePulls
  • isMethodInPostRequest() : JApplicationWebRouterRest
  • isMinimumVersion() : FOFDatabaseDriver , JDatabaseDriver
  • isMobile() : Browser
  • isNested() : TagField
  • isNew() : Session
  • isNextLineIndented() : Parser
  • isNextLineUnIndentedCollection() : Parser
  • isNonCoreExtension() : JoomlaupdateModelDefault
  • isNoreply() : JFacebookEvent
  • isOverwrite() : Installer
  • isOwner() : Path , PathWrapper , Path
  • isPackageUninstall() : Installer
  • isPermittedPath() : PHPMailer
  • isPhpVersionSupported() : JoomlaupdateModelDefault
  • isPlural() : FOFInflector , Inflector
  • isPrimaryProvider() : ProviderAwareAuthenticationPluginInterface
  • isPropertyInType() : Microdata
  • isQmail() : PHPMailer
  • isQuoted() : FOFTable
  • isRedirectState() : AbstractWebApplication , WebApplication
  • isRegistered() : HTMLHelper
  • isRobot() : Browser
  • isRoot() : FOFTableNested , Node
  • isRtl() : Language
  • isSafeFile() : InputFilter
  • isSecure() : JGoogleEmbed
  • isSelfOrAncestorOf() : FOFTableNested
  • isSelfOrDescendantOf() : FOFTableNested
  • isSendmail() : Mail , PHPMailer
  • isShellSafe() : PHPMailer
  • isSingleton() : UserGroupsHelper
  • isSingular() : FOFInflector , Inflector
  • isSite() : JApplication , CMSApplication
  • isSMTP() : PHPMailer
  • isSsl() : AbstractUri , UriInterface
  • isSSLConnection() : JApplication
  • isSslConnection() : AbstractWebApplication
  • isSSLConnection() : WebApplication , Browser
  • isStarred() : JGithubPackageGists
  • isStarted() : JSessionHandlerInterface , JSessionHandlerNative
  • isStopped() : AbstractEvent , EventInterface
  • isStringUnIndentedCollectionItem() : Parser
  • isSubscriber() : JTwitterLists
  • isSuccess() : Response
  • issues() : JGithubPackageSearch
  • isSupported() : AKEncryptionAESAdapterInterface , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDownloadAdapterAbstract , FOFDownloadInterface , FOFEncryptAes , FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl , JArchiveBzip2 , JArchiveExtractable , JArchiveGzip , JArchiveTar , JArchiveZip , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , JDatabaseInterface , Bzip2 , ExtractableInterface , Gzip , Tar , Zip , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , CurlTransport , SocketTransport , StreamTransport , TransportInterface , Apc , Apcu , Storage , Memcache , Memcached , Wincache , Xcache , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageMemcache , JSessionStorageMemcached , JSessionStorageRedis , JSessionStorageWincache , JSessionStorageXcache , Mcrypt , OpenSSL
  • isTabFieldset() : FOFRenderAbstract
  • isTemplateActive() : JoomlaupdateModelDefault
  • isTranslatedText() : ModulesHelper
  • isTransparent() : Image
  • isTypeAvailable() : Microdata
  • isTypeSupported() : FieldsPlugin
  • isUpdateRequired() : PlgSystemStats
  • isUpgrade() : Installer
  • isUserConsented() : PlgSystemPrivacyconsent
  • isValid() : FOFTableNested
  • isValidHttpStatus() : AbstractWebApplication
  • isValidImage() : Image , ImageFilter
  • isValidOtep() : UsersModelUser
  • isValidSecretKey() : UsersModelUser
  • isViewable() : Browser
  • isWindows() : Helper
  • isWinOs() : JApplication
  • isWrongComponentVersion() : FOFUtilsFilescheck
  • isWrongFilesVersion() : FOFUtilsFilescheck
  • item() : JHtmlBatch
  • itemAccessChange() : FinderIndexerAdapter
  • itemStateChange() : FinderIndexerAdapter


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- j -

  • join() : FOFDatabaseQuery , JDatabaseQuery
  • joinGroup() : JLinkedinGroups
  • JOOMLA : CryptPassword
  • json_last_error_msg() : Php55
  • jsonSerialize() : DataObject , DataSet , Registry , JsonSerializable


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- k -

  • keep() : ContenthistoryControllerHistory , ContenthistoryModelHistory
  • keepalive() : JHtmlBehavior
  • key() : FOFDatabaseIterator , JDatabaseIterator , DataSet , SplFixedArray
  • KEY_BYTE_SIZE : Crypto
  • KEYBYTES : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • keyExchange() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • KeyExpansion() : AKEncryptionAES
  • keypair() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • KEYPAIR_BYTES : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • keys() : DataSet
  • keyword() : FOFLessParser , lessc_parser
  • KHTML : WebClient


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- l -

  • L : ParagonIE_Sodium_Core_Curve25519_H
  • lang() : PHPMailer
  • language() : JHtmlBatch , JHtmlUsers
  • ldap_escape() : Php56
  • LDAP_ESCAPE_DN : Php56
  • LDAP_ESCAPE_FILTER : Php56
  • ldapNetAddr() : LdapClient
  • leaveGroup() : JLinkedinGroups
  • leftJoin() : FOFDatabaseQuery , JDatabaseQuery
  • length() : FOFDatabaseQuery , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQuerySqlsrv
  • less() : TemplatesControllerTemplate
  • level() : JHtmlAccess
  • lib__sprintf() : FOFLess , lessc
  • lib_acos() : lessc
  • lib_alpha() : FOFLess , lessc
  • lib_argb() : FOFLess , lessc
  • lib_asin() : lessc
  • lib_atan() : lessc
  • lib_blue() : FOFLess , lessc
  • lib_ceil() : FOFLess , lessc
  • lib_contrast() : FOFLess , lessc
  • lib_cos() : lessc
  • lib_darken() : FOFLess , lessc
  • lib_data_uri() : lessc
  • lib_desaturate() : FOFLess , lessc
  • lib_e() : FOFLess , lessc
  • lib_extract() : lessc
  • lib_fade() : FOFLess , lessc
  • lib_fadein() : FOFLess , lessc
  • lib_fadeout() : FOFLess , lessc
  • lib_floor() : FOFLess , lessc
  • lib_green() : FOFLess , lessc
  • lib_hue() : FOFLess , lessc
  • lib_iscolor() : FOFLess , lessc
  • lib_isem() : FOFLess , lessc
  • lib_iskeyword() : FOFLess , lessc
  • lib_isnumber() : FOFLess , lessc
  • lib_ispercentage() : FOFLess , lessc
  • lib_ispixel() : FOFLess , lessc
  • lib_isrem() : FOFLess , lessc
  • lib_isstring() : FOFLess , lessc
  • lib_lighten() : FOFLess , lessc
  • lib_lightness() : FOFLess , lessc
  • lib_luma() : lessc
  • lib_mix() : FOFLess , lessc
  • lib_mod() : lessc
  • lib_percentage() : FOFLess , lessc
  • lib_pi() : lessc
  • lib_pow() : lessc
  • lib_red() : FOFLess , lessc
  • lib_rgbahex() : FOFLess , lessc
  • lib_round() : FOFLess , lessc
  • lib_saturate() : FOFLess , lessc
  • lib_saturation() : FOFLess , lessc
  • lib_shade() : lessc
  • lib_sin() : lessc
  • lib_spin() : FOFLess , lessc
  • lib_sqrt() : lessc
  • lib_tan() : lessc
  • lib_tint() : lessc
  • lib_unit() : FOFLess , lessc
  • LIBRARY_MAJOR_VERSION : ParagonIE_Sodium_Compat
  • LIBRARY_MINOR_VERSION : ParagonIE_Sodium_Compat
  • LIBRARY_VERSION_MAJOR : ParagonIE_Sodium_Compat
  • library_version_major() : ParagonIE_Sodium_Compat
  • LIBRARY_VERSION_MINOR : ParagonIE_Sodium_Compat
  • library_version_minor() : ParagonIE_Sodium_Compat
  • like() : JLinkedinStream
  • likePost() : JLinkedinGroups
  • likesPage() : JFacebookUser
  • limit() : FOFDatabaseDriverSqlsrv , FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • limitSearchWord() : SearchHelper
  • linear_whitespace() : SimplePie_HTTP_Parser
  • link() : JHtmlLinks , HTMLHelper , Route , ToolbarHelper
  • LINK_TEXT : JPlatform
  • linkOptions() : JHtmlMenu
  • links() : JHtmlLinks
  • linksgroups() : JHtmlLinks
  • linkXHTMLSafe() : OutputFilter , OutputFilterWrapper
  • linkXhtmlSafe() : OutputFilter
  • LINUX : WebClient
  • listAccounts() : JGoogleDataAdsense
  • listActivities() : JGoogleDataPlusActivities
  • listAlbums() : JGoogleDataPicasa
  • listByActivity() : JGoogleDataPlusPeople
  • listCalendars() : JGoogleDataCalendar
  • listCalls() : JGoogleEmbedAnalytics
  • listChannels() : JGoogleDataAdsense
  • listChannelUnits() : JGoogleDataAdsense
  • listClients() : JGoogleDataAdsense
  • listComments() : JGoogleDataPlusComments
  • listDetails() : FtpClient
  • listEntries() : KeychainManager
  • listEventHandlers() : JGoogleEmbedMaps
  • listEvents() : JGoogleDataCalendar
  • listFolderTree() : Folder , FolderWrapper , Folder
  • listGetData() : JGoogleData
  • listMarkers() : JGoogleEmbedMaps
  • listNames() : FtpClient
  • listPhotos() : JGoogleDataPicasaAlbum
  • listRecurrences() : JGoogleDataCalendar
  • listUnitChannels() : JGoogleDataAdsense
  • listUrlChannels() : JGoogleDataAdsense
  • literal() : easyparse , FOFLessParser , lessc_parser
  • load() : FOFTable , JAdminCssMenu , JLoader , Form , ModuleHelper , UserGroupsHelper , Language , AbstractMenu , Table , TableInterface , User , SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL
  • loadActionLogPluginsLanguage() : ActionlogsHelper
  • loadAdapter() : Installer
  • loadAliasFor() : JLoader
  • loadAll() : UserGroupsHelper
  • loadAllAdapters() : Adapter , Installer
  • loadAllInputs() : JInput , Input
  • loadAnyTemplate() : FOFView
  • loadApplication() : JControllerBase
  • loadArray() : Registry
  • loadAssoc() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadAssocList() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadBehavior() : JHtmlSliders , JHtmlTabs
  • loadButtonClass() : Toolbar
  • loadButtonType() : Toolbar
  • loadByAlias() : JLoader
  • loadByName() : Asset
  • loadByPsr0() : JLoader
  • loadByPsr4() : JLoader
  • loadClass() : ClassLoader , FOFFormHelper , JClassLoader , FormHelper
  • loadClassLoader() : ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd
  • loadColumn() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadComponentConfig() : FOFUtilsConfigHelper
  • loadComponentLanguage() : FinderHelperLanguage
  • loadConfiguration() : AbstractDaemonApplication , CliApplication , DaemonApplication , WebApplication
  • loadCss() : JHtmlBootstrap
  • loadCSSFiles() : FOFForm
  • loadDb() : JModelDatabase
  • loadDispatcher() : BaseApplication
  • loadDocument() : InstallationApplicationWeb , WebApplication
  • loadField() : Form
  • loadFieldClass() : FOFFormHelper , FormHelper , FormWrapper
  • loadFieldType() : FOFForm , FOFFormHelper , Form , FormHelper , FormWrapper
  • loadFile() : Form , Image , Registry
  • loadForm() : ConfigModelForm , FOFModel , FormModel , ListModel
  • loadFormData() : AdminModelProfile , BannersModelBanner , BannersModelClient , BannersModelDownload , CategoriesModelCategory , ConfigModelForm , ContactModelContact , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelFilter , FOFModel , InstallerModelUpdate , FormModel , ListModel , LanguagesModelLanguage , LanguagesModelOverride , MailtoModelMailto , MenusModelItem , MenusModelMenu , MessagesModelMessage , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , PluginsModelPlugins , PrivacyModelRequest , RedirectModelLink , TagsModelTag , TemplatesModelStyle , TemplatesModelTemplate , UsersModelGroup , UsersModelLevel , UsersModelLogin , UsersModelMail , UsersModelNote , UsersModelProfile , UsersModelRegistration , UsersModelUser
  • loadFromXml() : Update
  • loadHeader() : FOFForm
  • loadHeaderClass() : FOFFormHelper
  • loadHeaderType() : FOFForm , FOFFormHelper
  • loadHelper() : FOFView , HtmlView
  • loadhistory() : FOFController , FOFModel , FormController
  • loadHistory() : BaseDatabaseModel
  • loadIdentity() : BaseApplication
  • loadInput() : JControllerBase
  • loadJSFiles() : FOFForm
  • loadKeychain() : JKeychain , KeychainManager
  • loadKeyMap() : PlgEditorCodemirror
  • loadLanguage() : WebApplication , ComponentAdapter , FileAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , Language , CMSPlugin
  • loadLanguageFiles() : ContenthistoryHelper
  • loadLanguageForComponent() : ConfigHelperConfig
  • loadLanguageForComponents() : ConfigHelperConfig
  • loadLanguageSuffixes() : FileLayout
  • loadLibraryLanguage() : CMSApplication , SiteApplication
  • loadManifestFromData() : LibraryManifest , Manifest , PackageManifest
  • loadManifestFromXml() : Manifest
  • loadMD5Sum() : Installer
  • loadNextAssoc() : FOFDatabaseDriverPdo , JDatabaseDriverPdo
  • loadNextObject() : FOFDatabaseDriver , FOFDatabaseDriverPdo , JDatabaseDriver , JDatabaseDriverPdo
  • loadNextRow() : FOFDatabaseDriver , FOFDatabaseDriverPdo , JDatabaseDriver , JDatabaseDriverPdo
  • loadObject() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver , Registry
  • loadObjectList() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadPaths() : JViewHtml
  • loadPluginLanguage() : FinderHelperLanguage
  • loadPosition() : FOFTemplateUtils
  • loadPreset() : MenuHelper
  • loadRenderer() : Document
  • loadResult() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverSqlsrv , JDatabaseDriver
  • loadRow() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadRowList() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadRuleClass() : FormHelper , FormWrapper
  • loadRuleType() : FOFForm , Form , FormHelper , FormWrapper
  • loadSession() : InstallationApplicationWeb , CMSApplication , WebApplication
  • loadState() : JModelBase
  • loadString() : Registry
  • loadSubForm() : JFormFieldSubform
  • loadSubFormData() : JFormFieldSubform
  • loadSystemUris() : AbstractWebApplication , WebApplication
  • loadTemplate() : ConfigViewCmsHtml , FOFView , HtmlView
  • loadTranslation() : AKText
  • loadTranslationFiles() : ActionlogsHelper
  • loadTranslations() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • loadType() : FOFFormHelper , FormHelper
  • loadTypes() : Microdata
  • loadUpdatesClassic() : FOFUtilsUpdate
  • loadValidationScript() : FOFRenderJoomla , FOFRenderStrapper
  • loadVersionSuffixes() : FileLayout
  • loadXml() : MenuHelper
  • lock() : Cache , CacheStorage , ApcStorage , ApcuStorage , FileStorage , MemcachedStorage , MemcacheStorage
  • lockindex() : MemcachedStorage , MemcacheStorage
  • lockTable() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • log() : DelegatingPsrLogger , LoggerInterface , NullLogger
  • logAddLogger() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • logDebug() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • logDeprecated() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • logException() : ExceptionHandler
  • logger() : PlgSystemDebug
  • login() : JApplication , JMediawikiUsers , AdministratorApplication , CMSApplication , SiteApplication , FtpClient , LoginController , POP3 , UsersControllerUser
  • loginUser() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • logout() : JApplication , JMediawikiUsers , CMSApplication , LoginController , UsersControllerUser
  • logoutUser() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • logSearch() : SearchHelper
  • lookupItem() : RouteHelper
  • LOW : Priority


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- m -

  • m() : FinderIndexerStemmerPorter_En
  • MAC : WebClient
  • MAC_BYTE_SIZE : Crypto
  • mail() : SMTP
  • mailPassthru() : PHPMailer
  • mailSend() : PHPMailer
  • mailto() : MailtoController
  • main() : JHtmlSearchtools
  • MAINTENANCE : JPlatform
  • MAJOR_VERSION : Version
  • makeChildOf() : FOFTableNested
  • makeDefault() : ToolbarHelper
  • makeFirstChildOf() : FOFTableNested
  • makeId() : Cache
  • makeItem() : Pathway
  • makeLastChildOf() : FOFTableNested
  • makeNextSiblingOf() : FOFTableNested
  • makeOutputBlock() : FOFLess , lessc
  • makeParser() : FOFLess , lessc
  • makePattern() : Path
  • makePreviousSiblingOf() : FOFTableNested
  • makeRoot() : FOFTableNested
  • makeSafe() : File , Folder , FileWrapper , FolderWrapper , File , Folder
  • makeSiblingOf() : FOFTableNested
  • mapBase() : UCMBase
  • mapData() : UCMContent
  • mapslist() : JHtmlFinder
  • mark() : Profiler
  • markRead() : JGithubPackageActivityNotifications
  • markReadRepository() : JGithubPackageActivityNotifications
  • markReadThread() : JGithubPackageActivityNotifications
  • match() : easyparse , FOFLessParser , Browser , lessc_parser
  • matchRegexRule() : Inflector
  • MAX : Priority
  • MAX_LINE_LENGTH : PHPMailer , SMTP
  • mb_pathinfo() : PHPMailer
  • MD5 : CryptPassword
  • media_manager() : ToolbarHelper
  • mediaExpression() : FOFLessParser , lessc_parser
  • mediaParent() : FOFLess , lessc
  • mediaQuery() : FOFLessParser , lessc_parser
  • mediaQueryList() : FOFLessParser , lessc_parser
  • memcmp() : ParagonIE_Sodium_Core_Util
  • memzero() : ParagonIE_Sodium_Compat
  • menuItemList() : JHtmlMenu
  • menuItems() : JHtmlMenu
  • menulogout() : UsersControllerUser
  • menus() : JHtmlMenu
  • merge() : JGithubPackagePulls , Rules , Registry
  • merge_items() : SimplePie
  • mergeAction() : Rules
  • mergeCollection() : Rules
  • mergeHeadData() : HtmlDocument
  • mergeIdentities() : Rule
  • mergeIdentity() : Rule
  • mergeLabels() : ContenthistoryHelper
  • mergeNode() : Form
  • mergeNodes() : Form
  • mergeStructure() : JDatabaseImporter
  • message() : JHtmlDirectory
  • META_CONTEXT : FinderIndexer
  • microtime_float() : AKCoreTimer , FOFUtilsTimer
  • MIN : Priority
  • MINOR_VERSION : Version
  • minute() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • MISC_CONTEXT : FinderIndexer
  • MixColumns() : AKEncryptionAES
  • mixinTags() : FOFLessParser , lessc_parser
  • mkdir() : FtpClient , PharStreamWrapper
  • modal() : JHtmlBehavior , JHtmlBootstrap , ToolbarHelper
  • MODE_ALLOW_ALWAYS : PlgSystemStats
  • MODE_ALLOW_NEVER : PlgSystemStats
  • MODE_ALLOW_ONCE : PlgSystemStats
  • MODE_INSTANCE : UserGroupsHelper
  • MODE_SINGLETON : UserGroupsHelper
  • modify() : LdapClient
  • modulo() : FOFModelField , FOFModelFieldNumber , FOFModelFieldText
  • month() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • MONTH_ABBR : Date
  • MONTH_NAME : Date
  • months() : JHtmlContent
  • monthToString() : Date
  • move() : FOFModel , FOFTable , FOFTableNested , File , Folder , Stream , FileWrapper , FolderWrapper , Nested , Table , File , Folder , Stream
  • moveByReference() : Nested
  • moveCliFiles() : InstallerScript
  • moveEvent() : JGoogleDataCalendar
  • moveLeft() : FOFTableNested
  • movePageById() : JMediawikiPages
  • movePageByName() : JMediawikiPages
  • moveRight() : FOFTableNested
  • moveToClosingElement() : FeedParser
  • moveToLeftOf() : FOFTableNested
  • moveToNextElement() : FeedParser
  • moveToNextLine() : Parser
  • moveToPreviousLine() : Parser
  • moveToRightOf() : FOFTableNested
  • msgHTML() : PHPMailer
  • mtime() : SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL
  • mulInt32Fast() : ParagonIE_Sodium_Core32_Int32
  • mulInt64Fast() : ParagonIE_Sodium_Core32_Int64
  • mulIntFast() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • multiFetchElements() : JOpenstreetmapElements
  • multiplyMedia() : FOFLess , lessc
  • multiplySelectors() : FOFLess , lessc
  • multiselect() : JHtmlBehavior
  • mysqlDisconnectHandler() : PlgSystemDebug


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- n -

  • name() : JXMLElement , SimplePie_HTTP_Parser
  • native_embed() : SimplePie_Enclosure
  • needsRekey() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • negative() : ParagonIE_Sodium_Core_Curve25519
  • new64() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • new_line() : SimplePie_HTTP_Parser
  • newFormatter() : FOFLess , lessc
  • next() : FOFDatabaseIterator , JDatabaseIterator , DataSet , SplFixedArray
  • nextFile() : AKAbstractUnarchiver
  • noframes() : JHtmlBehavior
  • noop() : SMTP
  • NORMAL : Priority
  • normaliseItemName() : FOFTableRelations
  • normaliseParameters() : FOFTableRelations
  • normalize_url() : SimplePie_Misc
  • normalizeBreaks() : PHPMailer
  • normalizePath() : Helper
  • normalizeSelectFields() : FOFTable
  • normalizeWindowsPath() : Helper
  • noSensor() : JGoogleEmbedMaps
  • notes() : JHtmlUsers
  • notesModal() : JHtmlUsers
  • NOTICE : Log
  • notice() : AbstractLogger , LoggerInterface
  • NOTICE : LogLevel
  • notify() : AKAbstractPart , JObservable
  • noWait() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • NTLMResponse() : ntlm_sasl_client_class
  • nuke() : AKFactory
  • nullDate() : FOFDatabaseQuery , JDatabaseQuery


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- o -

  • oauthRequest() : JOAuth1Client
  • objectHTMLSafe() : OutputFilterWrapper
  • objectHtmlSafe() : OutputFilter
  • objectToString() : Ini , Json , Php , Xml , Yaml , FormatInterface
  • offset() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • offsetExists() : Feed , DataSet , AbstractEvent , Registry , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • offsetGet() : Feed , DataSet , AbstractEvent , Registry , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • offsetSet() : Feed , DataSet , Event , EventImmutable , Registry , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • offsetUnset() : Feed , DataSet , Event , EventImmutable , Registry , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • onAdd() : FOFToolbar , FOFViewForm , FOFViewRaw
  • onAfterApplySave() : FOFController
  • onAfterBind() : FOFTable , FOFTableBehavior , FOFTableBehaviorAssets , FOFTableBehaviorTags
  • onAfterBuildQuery() : FOFModelBehavior , FOFModelBehaviorAccess , FOFModelBehaviorEnabled , FOFModelBehaviorFilters , FOFModelBehaviorLanguage , FOFModelBehaviorPrivate
  • onAfterCheckin() : PlgActionlogJoomla
  • onAfterCopy() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onAfterDelete() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior , FOFTableBehaviorTags , FOFTableNested , AbstractObserver
  • onAfterDispatch() : FOFDispatcher , PlgSystemDebug , PlgSystemHighlight , PlgSystemLanguageFilter , PlgSystemSef
  • onAfterGetItem() : FOFModel , FOFModelBehavior , FOFModelBehaviorAccess , FOFModelBehaviorEnabled , FOFModelBehaviorLanguage , FOFModelBehaviorPrivate
  • onAfterHit() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onAfterInitialise() : PlgSystemCache , PlgSystemLanguageFilter , PlgSystemP3p , PlgSystemRemember , PlgSystemStats
  • onAfterLoad() : FOFTable , FOFTableBehavior , AbstractObserver
  • onAfterLoadForm() : FOFModel
  • onAfterLogExport() : PlgActionlogJoomla
  • onAfterLogPurge() : PlgActionlogJoomla
  • onAfterMove() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onAfterPreprocessForm() : FOFModel
  • onAfterPublish() : FOFModel , FOFModelBehavior
  • onAfterPurge() : PlgActionlogJoomla
  • onAfterRender() : PlgSystemCache , PlgSystemLanguagecode , PlgSystemPrivacyconsent , PlgSystemSef
  • onAfterReorder() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onAfterReset() : FOFTable , FOFTableBehavior
  • onAfterRespond() : PlgSystemActionLogs , PlgSystemCache , PlgSystemDebug , PlgSystemSessionGc
  • onAfterRoute() : PlgSystemLanguageFilter , PlgSystemPrivacyconsent
  • onAfterSave() : FOFModel , FOFModelBehavior
  • onAfterStore() : FOFTable , FOFTableBehavior , FOFTableBehaviorAssets , FOFTableBehaviorContenthistory , AbstractObserver , ContentHistory , Tags
  • onAjaxSampledataApplyStep1() : PlgSampledataBlog
  • onAjaxSampledataApplyStep2() : PlgSampledataBlog
  • onAjaxSampledataApplyStep3() : PlgSampledataBlog
  • onAjaxSendAlways() : PlgSystemStats
  • onAjaxSendNever() : PlgSystemStats
  • onAjaxSendOnce() : PlgSystemStats
  • onAjaxSendStats() : PlgSystemStats
  • onAjaxSnoozeEOS() : PlgQuickiconEos310
  • onApplicationAfterSave() : PlgActionlogJoomla
  • onBeforeAccesspublic() : FOFController
  • onBeforeAccessregistered() : FOFController
  • onBeforeAccessspecial() : FOFController
  • onBeforeAdd() : FOFController
  • onBeforeApply() : FOFController
  • onBeforeApplySave() : FOFController
  • onBeforeBind() : FOFTable , FOFTableBehavior
  • onBeforeBrowse() : FOFController
  • onBeforeBuildQuery() : FOFModelBehavior , FOFModelBehaviorEmptynonzero , FOFModelBehaviorLanguage
  • onBeforeCancel() : FOFController
  • onBeforeCopy() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeDelete() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior , FOFTableBehaviorAssets , FOFTableBehaviorContenthistory , AbstractObserver , ContentHistory , Tags
  • onBeforeDispatch() : FOFDispatcher
  • onBeforeDispatchCLI() : FOFDispatcher
  • onBeforeEdit() : FOFController
  • onBeforeGenericTask() : FOFController
  • onBeforeHit() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeIndex() : FinderIndexerAdapter
  • onBeforeLoad() : AbstractObserver
  • onBeforeLoadForm() : FOFModel
  • onBeforeMove() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeOrderdown() : FOFController
  • onBeforeOrderup() : FOFController
  • onBeforePreprocessForm() : FOFModel
  • onBeforePublish() : FOFController , FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeRemove() : FOFController
  • onBeforeReorder() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeReset() : FOFTable , FOFTableBehavior
  • onBeforeSave() : FOFController , FOFModel , FOFModelBehavior
  • onBeforeSavenew() : FOFController
  • onBeforeSaveorder() : FOFController
  • onBeforeStore() : FOFTable , FOFTableBehavior , FOFTableBehaviorTags , AbstractObserver , Tags
  • onBeforeUnpublish() : FOFController
  • onBrowse() : FOFToolbar , FOFViewRaw
  • onBuildIndex() : FinderIndexerAdapter
  • onCategoryChangeState() : PlgContentFinder
  • onCheckAnswer() : PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible
  • onContentAfterDelete() : PlgActionlogJoomla , PlgContentFinder , PlgSystemFields
  • onContentAfterDisplay() : PlgContentVote , PlgSystemFields
  • onContentAfterSave() : PlgActionlogJoomla , PlgContentFinder , PlgContentJoomla , PlgSystemFields
  • onContentAfterTitle() : PlgSystemFields
  • onContentBeforeDelete() : PlgContentJoomla
  • onContentBeforeDisplay() : PlgContentPagenavigation , PlgContentVote , PlgSystemFields
  • onContentBeforeSave() : PlgContentFinder , PlgContentJoomla , PlgFieldsSql
  • onContentChangeState() : PlgActionlogJoomla , PlgContentFinder , PlgContentJoomla
  • onContentNormaliseRequestData() : PlgSystemFields
  • onContentPrepare() : PlgContentContact , PlgContentEmailcloak , PlgContentFields , PlgContentLoadmodule , PlgContentPagebreak , PlgSystemFields
  • onContentPrepareData() : PlgSystemActionLogs , PlgUserProfile
  • onContentPrepareForm() : FieldsPlugin , PlgContentConfirmConsent , PlgSystemActionLogs , PlgSystemFields , PlgSystemLanguagecode , PlgSystemPrivacyconsent , PlgUserJoomla , PlgUserProfile , PlgUserTerms
  • onContentSearch() : PlgSearchCategories , PlgSearchContacts , PlgSearchContent , PlgSearchNewsfeeds , PlgSearchTags
  • onContentSearchAreas() : PlgSearchCategories , PlgSearchContacts , PlgSearchContent , PlgSearchNewsfeeds , PlgSearchTags
  • onCpanelsBrowse() : FOFToolbar
  • onCustomFieldsGetTypes() : FieldsPlugin
  • onCustomFieldsPrepareDom() : FieldsListPlugin , FieldsPlugin , PlgFieldsCalendar , PlgFieldsColor , PlgFieldsEditor , PlgFieldsImagelist , PlgFieldsMedia , PlgFieldsRepeatable , PlgFieldsSql , PlgFieldsUrl , PlgFieldsUser
  • onCustomFieldsPrepareField() : FieldsPlugin , PlgFieldsList
  • onDisplay() : FOFViewCsv , FOFViewJson , FOFViewRaw , PlgButtonArticle , PlgButtonContact , PlgButtonFields , PlgButtonImage , PlgButtonMenu , PlgButtonModule , PlgButtonPagebreak , PlgButtonReadmore , PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce , PostinstallViewMessages
  • onDisplayLegacy() : PlgEditorTinymce
  • onEdit() : FOFToolbar , FOFViewRaw
  • onetimeauth() : ParagonIE_Sodium_Core32_Poly1305 , ParagonIE_Sodium_Core_Poly1305
  • onetimeauth_poly1305_BYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • onetimeauth_poly1305_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • onetimeauth_verify() : ParagonIE_Sodium_Core32_Poly1305 , ParagonIE_Sodium_Core_Poly1305
  • onExtensionAfterDelete() : PlgActionlogJoomla
  • onExtensionAfterInstall() : PackageAdapter , PlgActionlogJoomla , PlgExtensionJoomla
  • onExtensionAfterSave() : PlgActionlogJoomla
  • onExtensionAfterUninstall() : PlgActionlogJoomla , PlgExtensionJoomla
  • onExtensionAfterUpdate() : PlgActionlogJoomla , PlgExtensionJoomla
  • onFinderAfterDelete() : PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • onFinderAfterSave() : PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • onFinderBeforeSave() : PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • onFinderCategoryChangeState() : PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds
  • onFinderChangeState() : PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • onFinderDelete() : PlgFinderCategories
  • onGetContent() : PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onGetIcons() : PlgQuickiconEos310 , PlgQuickiconExtensionupdate , PlgQuickiconJoomlaupdate , PlgQuickiconPhpVersionCheck , PlgQuickiconPrivacyCheck
  • onGetInsertMethod() : PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onGetStatsData() : PlgSystemStats
  • onInit() : PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onInstallerAddInstallationTab() : PlgInstallerFolderInstaller , PlgInstallerPackageInstaller , PlgInstallerUrlInstaller
  • onJoomlaAfterUpdate() : PlgActionlogJoomla
  • ONLY_ALLOW_DEFINED_ATTRIBUTES : InputFilter
  • ONLY_ALLOW_DEFINED_TAGS : InputFilter
  • ONLY_BLOCK_DEFINED_ATTRIBUTES : InputFilter
  • ONLY_BLOCK_DEFINED_TAGS : InputFilter
  • onMessages() : PostinstallToolbar
  • onPrepareFinderContent() : PlgSystemFields
  • onPrivacyCanRemoveData() : PlgPrivacyUser
  • onPrivacyCheckPrivacyPolicyPublished() : PlgSystemPrivacyconsent
  • onPrivacyCollectAdminCapabilities() : PlgAuthenticationCookie , PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , PlgSystemLanguageFilter
  • onPrivacyExportRequest() : PlgPrivacyActionlogs , PlgPrivacyConsents , PlgPrivacyContact , PlgPrivacyContent , PlgPrivacyMessage
  • onPrivacyRemoveData() : PlgPrivacyUser
  • onProcessList() : FOFModel , PostinstallModelMessages
  • onRead() : FOFToolbar , FOFViewJson , FOFViewRaw
  • onSampledataGetOverview() : PlgSampledataBlog
  • onSave() : PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onSetContent() : PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onSetupField() : PlgCaptchaRecaptcha_Invisible
  • onStartIndex() : FinderIndexerAdapter
  • onUserAfterDelete() : PlgActionlogJoomla , PlgSystemActionLogs , PlgSystemFields , PlgSystemPrivacyconsent , PlgUserJoomla , PlgUserProfile
  • onUserAfterDeleteGroup() : PlgActionlogJoomla
  • onUserAfterLogin() : PlgActionlogJoomla , PlgAuthenticationCookie
  • onUserAfterLogout() : PlgAuthenticationCookie
  • onUserAfterRemind() : PlgActionlogJoomla
  • onUserAfterSave() : PlgActionlogJoomla , PlgSystemActionLogs , PlgSystemFields , PlgSystemLanguageFilter , PlgSystemPrivacyconsent , PlgUserContactCreator , PlgUserJoomla , PlgUserProfile , PlgUserTerms
  • onUserAfterSaveGroup() : PlgActionlogJoomla
  • onUserAuthenticate() : PlgAuthenticationCookie , PlgAuthenticationGMail , PlgAuthenticationLdap
  • onUserBeforeSave() : PlgSystemLanguageFilter , PlgSystemPrivacyconsent , PlgSystemRemember , PlgUserProfile , PlgUserTerms
  • onUserLogin() : PlgSystemLanguageFilter , PlgUserJoomla
  • onUserLoginFailure() : PlgActionlogJoomla , PlgSystemLog
  • onUserLogout() : PlgActionlogJoomla , PlgSystemLogout , PlgSystemRemember , PlgUserJoomla
  • onUserTwofactorApplyConfiguration() : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • onUserTwofactorAuthenticate() : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • onUserTwofactorIdentify() : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • onUserTwofactorShowConfiguration() : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • op_color_color() : FOFLess , lessc
  • op_color_number() : FOFLess , lessc
  • op_number_color() : FOFLess , lessc
  • op_number_number() : FOFLess , lessc
  • open() : FOFDatabaseDriverJoomla , Stream , Storage , JSessionStorage
  • openSearch() : JMediawikiSearch
  • openString() : FOFLessParser , lessc_parser
  • OPERA : WebClient
  • optgroup() : JHtmlSelect
  • optimize() : FinderControllerIndexer , FinderIndexer , FinderIndexerDriverMysql , FinderIndexerDriverPostgresql , FinderIndexerDriverSqlsrv
  • option() : JHtmlSelect
  • options() : JHtmlCategory , JHtmlSelect , JHtmlTag , Http
  • optionsToRegistry() : JHtmlSearchtools
  • order() : FOFDatabaseQuery , JDatabaseQuery , JHtmlGrid
  • orderbyPrimary() : ContentHelperQuery
  • orderbySecondary() : ContentHelperQuery
  • orderdown() : FOFController
  • orderDown() : JHtmlJGrid , Nested
  • orderDownColumns() : ContentHelperQuery
  • orderDownIcon() : Pagination
  • ordering() : JHtmlList , JHtmlMenu
  • orderPosition() : ModulesControllerModule
  • orderup() : FOFController
  • orderUp() : JHtmlJGrid , Nested
  • orderUpIcon() : Pagination
  • ORIENTATION_LANDSCAPE : Image
  • ORIENTATION_PORTRAIT : Image
  • ORIENTATION_SQUARE : Image
  • orInt64() : ParagonIE_Sodium_Core32_Int64
  • orWhere() : JDatabaseQuery
  • our_strlen() : Crypto
  • our_substr() : Crypto
  • out() : AbstractCliApplication , CliOutput , Stdout , Xml , CliApplication
  • OUTBYTES : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • outerJoin() : FOFDatabaseQuery , JDatabaseQuery
  • output_javascript() : SimplePie_Misc
  • outside() : FOFModelField , FOFModelFieldDate , FOFModelFieldNumber , FOFModelFieldText
  • overrides() : TemplatesControllerTemplate


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- p -

  • panel() : JHtmlSliders , JHtmlTabs
  • parenValue() : FOFLessParser , lessc_parser
  • parse() : BannersRouter , ContactRouterRulesLegacy , ContentRouterRulesLegacy , FinderIndexerHelper , FinderIndexerParser , FinderIndexerParserHtml , FinderRouter , FOFLess , FOFLessParser , RouterInterface , RouterLegacy , RouterView , MenuRules , NomenuRules , RulesInterface , StandardRules , Document , HtmlDocument , FeedParser , Language , AdministratorRouter , Router , SiteRouter , Uri , AbstractUri , JRouterInstallation , lessc , lessc_parser , lessify , NewsfeedsRouterRulesLegacy , SearchRouter , SimplePie_Decode_HTML_Entities , SimplePie_gzdecode , SimplePie_HTTP_Parser , SimplePie_Parse_Date , SimplePie_Parser , SimplePie_XML_Declaration_Parser , Inline , Parser , Yaml , tagparse , TagsRouter , UsersRouterRulesLegacy , WrapperRouter
  • parse_date() : SimplePie_Misc
  • parse_ini_file() : AKText , FOFUtilsIniParser
  • parse_ini_file_php() : FOFUtilsIniParser
  • parse_iri() : SimplePie_IRI
  • parse_mime() : SimplePie_Misc
  • parse_str() : SimplePie_Misc
  • parse_url() : UriHelper , JString
  • parse_URL() : SimplePie_Cache
  • parse_url() : SimplePie_Misc
  • parseAddresses() : PHPMailer
  • parseArguments() : JInputCli , Cli
  • parseAttributes() : Utility
  • parseBlock() : Parser
  • parseBlockScalar() : Parser
  • parseChunk() : FOFLessParser , lessc_parser
  • parseComponent() : FOFConfigProvider
  • parseComponentArea() : FOFConfigProvider
  • parseController() : ConfigControllerHelper
  • parseDomain() : FOFConfigDomainDispatcher , FOFConfigDomainInterface , FOFConfigDomainTables , FOFConfigDomainViews
  • parseFields() : FormattedtextLogger
  • parseFieldTags() : FOFFormFieldList , FOFFormFieldModel , FOFFormFieldRelation , FOFFormFieldText
  • parseFile() : LanguagesHelper
  • parseFiles() : Installer
  • parseHelloFields() : SMTP
  • parseLanguageFiles() : Language , LanguageHelper
  • parseLanguages() : Installer
  • parseMapping() : Inline
  • parseMedia() : Installer
  • parseOptionalTags() : ComponentAdapter , FileAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • parsePath() : FOFTemplateUtils
  • parsePhpInfo() : AdminModelSysInfo
  • parseQueries() : TemplateAdapter , Installer , InstallerAdapter
  • parseQuotedScalar() : Inline
  • parseRawRoute() : Router , SiteRouter
  • parseRoute() : JApplicationWebRouter , JApplicationWebRouterBase
  • parseRule() : PlgSystemLanguageFilter
  • parseScalar() : Inline
  • parseSchemaUpdates() : Installer
  • parseSefRoute() : Router , SiteRouter
  • parseSequence() : Inline
  • parseShowOnConditions() : FormHelper
  • parseSize() : FilesystemHelper , MediaHelper
  • parseSizeUnit() : FilesystemHelper
  • parseSQLFiles() : Installer
  • parseTypeAlias() : ContentHistory , Tags
  • parseValue() : Parser
  • parseXMLInstallFile() : ApplicationHelper , Installer
  • parseXMLLangMetaFile() : ApplicationHelper
  • parseXMLLanguageFile() : Language , LanguageHelper
  • parseXMLModuleFile() : ModulesHelperXML
  • parseXmlNode() : MenuHelper
  • parseXMLTemplateFile() : PluginsHelper , TemplatesHelper
  • partial() : FOFModelField , FOFModelFieldNumber , FOFModelFieldText
  • PASS : UriInterface
  • pass_cache_data() : SimplePie_Sanitize
  • pass_file_data() : SimplePie_Sanitize
  • passSprintf() : Text
  • PasswordHash() : PasswordHash
  • patch() : Http
  • PATCH_VERSION : Version
  • PATH : UriInterface
  • PATH_CONTEXT : FinderIndexer
  • pathCheck() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • pathClean() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • pathFind() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • pathMatches() : InputFilter
  • PATTERN_OBJECT : DisallowedClassesSubstitutor
  • PATTERN_STRING : DisallowedClassesSubstitutor
  • patternMatch() : FOFLess , lessc
  • patternMatchAll() : FOFLess , lessc
  • PBKDF : CryptPassword
  • pbkdf2() : AKEncryptionAES , McryptCipher
  • pcntlChildExitStatus() : AbstractDaemonApplication , DaemonApplication
  • pcntlFork() : AbstractDaemonApplication , DaemonApplication
  • pcntlSignal() : AbstractDaemonApplication , DaemonApplication
  • pcntlWait() : AbstractDaemonApplication , DaemonApplication
  • peek() : FOFLessParser , lessc_parser
  • percent_encoding_normalization() : SimplePie_Misc
  • perform() : JGithubPackageRepositoriesMerging
  • PHP_SECURITY_ONLY : PlgQuickiconPhpVersionCheck
  • PHP_SUPPORTED : PlgQuickiconPhpVersionCheck
  • PHP_UNSUPPORTED : PlgQuickiconPhpVersionCheck
  • phpinfoEnabled() : AdminModelSysInfo
  • pinned() : JHtmlBanner
  • pivot() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • pk_to_curve25519() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • PlainDecrypt() : Crypto
  • PlainEncrypt() : Crypto
  • pluginDisable() : FinderIndexerAdapter
  • plural() : Text , JTextWrapper
  • pluralize() : FOFInflector
  • polyfill() : JHtmlBehavior
  • polyfill_is_fast() : ParagonIE_Sodium_Compat
  • pop() : FOFLessParser , lessc_parser
  • popBeforeSmtp() : POP3
  • popEnv() : FOFLess , lessc
  • popover() : JHtmlBootstrap
  • populateDatabase() : InstallationModelDatabase
  • populateExtraData() : UsersModelGroups
  • populateFilesAndFolderList() : FileAdapter
  • populateGroupData() : UserGroupsHelper
  • populateGroupsData() : UserGroupsHelper
  • populateSavestate() : FOFModel
  • populateState() : ActionlogsModelActionlogs , AssociationsModelAssociations , BannersModelBanners , BannersModelClients , BannersModelDownload , BannersModelTracks , CacheModelCache , CategoriesModelCategories , CategoriesModelCategory , CheckinModelCheckin , ConfigModelCms , ConfigModelComponent , ConfigModelModules , ConfigModelTemplates , ContactModelCategories , ContactModelCategory , ContactModelContact , ContactModelContacts , ContactModelFeatured , ContenthistoryModelHistory , ContentModelArchive , ContentModelArticle , ContentModelArticles , ContentModelCategories , ContentModelCategory , ContentModelFeatured , ContentModelForm , FieldsModelField , FieldsModelFields , FieldsModelGroup , FieldsModelGroups , FinderModelFilters , FinderModelIndex , FinderModelMaps , FinderModelSearch , FinderModelSuggestions , FOFModel , InstallerModelDatabase , InstallerModelDiscover , InstallerModelInstall , InstallerModelLanguages , InstallerModelManage , InstallerModelUpdate , InstallerModelUpdatesites , AdminModel , BaseDatabaseModel , ListModel , LanguagesModelInstalled , LanguagesModelLanguage , LanguagesModelLanguages , LanguagesModelOverride , LanguagesModelOverrides , LoginModelLogin , MenusModelItem , MenusModelItems , MenusModelMenu , MenusModelMenus , MenusModelMenutypes , MessagesModelConfig , MessagesModelMessage , MessagesModelMessages , ModulesModelModule , ModulesModelModules , ModulesModelPositions , ModulesModelSelect , NewsfeedsModelCategories , NewsfeedsModelCategory , NewsfeedsModelNewsfeed , NewsfeedsModelNewsfeeds , PluginsModelPlugin , PluginsModelPlugins , PrivacyModelCapabilities , PrivacyModelConfirm , PrivacyModelConsents , PrivacyModelExport , PrivacyModelRemind , PrivacyModelRemove , PrivacyModelRequest , PrivacyModelRequests , RedirectModelLinks , SearchModelSearches , TagsModelTag , TagsModelTags , TemplatesModelStyle , TemplatesModelStyles , TemplatesModelTemplate , TemplatesModelTemplates , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroups , UsersModelLevels , UsersModelLogin , UsersModelNote , UsersModelNotes , UsersModelProfile , UsersModelRegistration , UsersModelRemind , UsersModelReset , UsersModelUsers
  • populateTree() : JAdminCssMenu
  • PORT : UriInterface
  • positionList() : JHtmlModules
  • positions() : JHtmlList , JHtmlModules
  • post() : JMediawikiHttp , Http
  • postComment() : JLinkedinStream
  • postDeleteHook() : AdminController , NewsfeedsControllerNewsfeeds
  • postflight() : FOFUtilsInstallscript , JoomlaInstallerScript
  • postFork() : AbstractDaemonApplication , DaemonApplication
  • postInstallCmsData() : InstallationModelDatabase
  • postInstallSampleData() : InstallationModelDatabase
  • postNetworkUpdate() : JLinkedinStream
  • postprocessNonSEFBuildRule() : PlgSystemLanguageFilter
  • postprocessSEFBuildRule() : PlgSystemLanguageFilter
  • postRender() : FOFRenderAbstract , FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper , FOFViewHtml , FOFViewRaw
  • postSaveHook() : CategoriesControllerCategory , FieldsControllerField , FieldsControllerGroup , FormController , ModulesControllerModule , NewsfeedsControllerNewsfeed , PrivacyControllerRequest , UsersControllerUser
  • postSend() : PHPMailer
  • postStoreProcess() : TagsHelper
  • preferences() : ToolbarHelper
  • prefixLink() : FOFToolbar
  • preflight() : FOFUtilsInstallscript , InstallerScript , JoomlaInstallerScript
  • preg_match() : Parser
  • preg_quote() : easyparse , FOFLess , lessc
  • preload() : Access
  • preloadComponents() : Access
  • preloadPermissions() : Access
  • preloadPermissionsParentIdMapping() : Access
  • prepare() : JHtmlContent , PlgContentFields
  • prepare_simplepie_object_for_cache() : SimplePie_Cache_DB
  • prepareContent() : FinderIndexerHelper
  • prepareData() : ContenthistoryHelper
  • prepareDimensions() : Image
  • prepareDiscoverInstall() : LibraryAdapter , ModuleAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • prepareDocument() : ContactViewCategory , ContentViewCategory , FinderViewSearch , CategoriesView , CategoryView , NewsfeedsViewCategory , PrivacyViewConfirm , PrivacyViewRemind , PrivacyViewRequest , UsersViewLogin , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset
  • prepareOptionsNested() : TagField
  • preparePreUpdate() : InstallerModelUpdate
  • prepareSearchContent() : SearchHelper
  • prepareTable() : BannersModelBanner , BannersModelClient , ContactModelContact , ContentModelArticle , AdminModel , ModulesModelModule , NewsfeedsModelNewsfeed
  • prepareTagItem() : PlgSystemFields
  • prepareUtf8mb4StatusTable() : InstallerModelDatabase
  • prependBody() : AbstractWebApplication , WebApplication , JResponse
  • prependButton() : Toolbar
  • prependFilter() : Stream
  • preprocess() : ContactRouterRulesLegacy , ContentRouterRulesLegacy , JAdminCssMenu , RouterBase , RouterInterface , RouterLegacy , RouterView , MenuRules , NomenuRules , RulesInterface , StandardRules , NewsfeedsRouterRulesLegacy , SimplePie_Sanitize , UsersRouterRulesLegacy
  • preprocessBuildRule() : PlgSystemLanguageFilter
  • preprocessData() : ConfigModelForm , FormModel
  • preprocessForm() : BannersModelBanner , CategoriesModelCategory , ConfigModelForm , ConfigModelModules , ConfigModelTemplates , ContactModelContact , ContentModelArticle , ContentModelForm , FieldsModelField , FieldsModelGroup , FOFModel , FormModel , ListModel , MenusModelItem , MenusModelItems , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , TemplatesModelStyle , UsersModelGroup , UsersModelLevel , UsersModelLogin , UsersModelMail , UsersModelProfile , UsersModelRegistration , UsersModelRemind , UsersModelReset , UsersModelUser
  • preRender() : FOFRenderAbstract , FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper , FOFViewHtml , FOFViewRaw
  • preSend() : PHPMailer
  • PRESTO : WebClient
  • preStoreProcess() : TagsHelper
  • prettyPrintJSON() : PlgSystemDebug
  • preview() : ToolbarHelper
  • print_popup() : JHtmlIcon
  • print_screen() : JHtmlIcon
  • printf() : Text , JTextWrapper
  • process() : AKAbstractPostproc , AKPostprocDirect , FinderIndexerParser , FinderIndexerParserHtml , FinderIndexerParserRtf , FinderIndexerParserTxt , ColorProcessor , ProcessorInterface
  • PROCESS_AFTER : Router
  • PROCESS_BEFORE : Router
  • PROCESS_DURING : Router
  • processBuildRules() : Router , SiteRouter
  • processDates() : FinderIndexerQuery
  • processDynamicTaxonomy() : FinderIndexerQuery
  • processElement() : FeedParser
  • processElementForFeed() : NamespaceParserInterface , ItunesRssParser , MediaRssParser
  • processElementForFeedEntry() : NamespaceParserInterface , ItunesRssParser , MediaRssParser
  • processFeedEntry() : AtomParser , RssParser
  • processFileData() : AKAbstractUnarchiver , AKUnarchiverJPA
  • processFilename() : AKAbstractPostproc , AKPostprocDirect
  • processLimit() : FOFDatabaseQueryMysqli , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQueryLimitable , JDatabaseQueryMysqli , JDatabaseQueryOracle , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • processLookupFields() : ContenthistoryHelper
  • processParseRules() : Router , SiteRouter
  • processPerson() : RssParser
  • processQuery() : JFormFieldSQL
  • processRemindRequest() : UsersModelRemind
  • processResetComplete() : UsersModelReset
  • processResetConfirm() : UsersModelReset
  • processResetRequest() : UsersModelReset
  • processResponse() : JGithubObject , JGithubPackageRepositoriesStatistics
  • processStaticTaxonomy() : FinderIndexerQuery
  • processString() : FinderIndexerQuery
  • processTypeDir() : AKUnarchiverJPA
  • processTypeFileCompressedSimple() : AKUnarchiverJPA
  • processTypeFileUncompressed() : AKUnarchiverJPA
  • processTypeLink() : AKUnarchiverJPA
  • processUpdateSites() : PlgExtensionJoomla
  • PRODUCT : Version , JPlatform
  • propagateFromObject() : AKAbstractObject
  • propagateToObject() : AKAbstractObject
  • property() : FOFLessFormatterClassic , Microdata , lessc_formatter_classic
  • propertyValue() : FOFLessParser , lessc_parser
  • protect() : Container
  • pseudoConstructor() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • publicize() : JGithubPackageOrgsMembers
  • publickey() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • publish() : BannersTableClient , CategoriesModelCategory , ContentControllerFeatured , FinderModelIndex , FinderModelMaps , FinderTableFilter , FinderTableMap , FOFController , FOFModel , FOFTable , InstallerControllerUpdatesites , InstallerModelManage , InstallerModelUpdatesites , JHtmlActionsDropdown , JHtmlDropdown , AdminController , AdminModel , CoreContent , Extension , Nested , Table , ToolbarHelper , LanguagesModelInstalled , MenusControllerItems , MenusModelItem , MessagesModelMessage , MessagesTableMessage , NewsfeedsModelNewsfeed , UsersControllerGroups , UsersTableNote
  • publishContentLanguages() : InstallationModelLanguages
  • published() : JHtmlGrid , JHtmlJGrid , JHtmlLanguages , JHtmlRedirect
  • publishedOptions() : JHtmlJGrid , JHtmlLanguages , PluginsHelper , RedirectHelper
  • publishList() : ToolbarHelper
  • punyencodeAddress() : PHPMailer
  • purge() : ActionlogsControllerActionlogs , ActionlogsModelActionlogs , AssociationsControllerAssociations , AssociationsModelAssociations , CacheController , CacheModelCache , FinderCli , FinderControllerIndex , FinderModelIndex , FinderModelMaps , InstallerControllerDiscover , InstallerControllerUpdate , InstallerModelDiscover , InstallerModelUpdate , JoomlaupdateModelDefault , JTableSession , LanguagesControllerOverrides , LanguagesModelOverrides , RedirectControllerLinks , RedirectModelLinks
  • purgeMessages() : AdministratorApplication
  • pushBlock() : FOFLessParser , lessc_parser
  • pushEnv() : FOFLess , lessc
  • pushSpecialBlock() : FOFLessParser , lessc_parser
  • pushStep() : Installer
  • put() : Http
  • putFilters() : FinderCli
  • pwd() : FtpClient


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- q -

  • query() : FOFDatabase , JDatabase , JGoogleAuth , JGoogleAuthOauth2 , JGoogleData , JOAuth2Client
  • QUERY : UriInterface
  • queryChangeset() : JOpenstreetmapChangesets
  • quit() : FtpClient , SMTP
  • quote() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseQuery , JDatabaseDriver , JDatabaseQuery , SimplePie_HTTP_Parser
  • quote_char() : SimplePie_HTTP_Parser
  • quote_escaped() : SimplePie_HTTP_Parser
  • quoteBinary() : JDatabaseDriver , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • quotedString() : PHPMailer
  • quoteName() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseQuery , JDatabaseDriver , JDatabaseQuery
  • quoteNameStr() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- r -

  • radiolist() : JHtmlSelect
  • raise() : JError
  • raiseError() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , JError
  • raiseNotice() : JError
  • raiseWarning() : JArchiveBzip2 , JArchiveGzip , JArchiveZip , JError
  • Rand() : FOFDatabaseQueryMysqli , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlsrv , JDatabaseQueryMysqli , JDatabaseQueryPostgresql , JDatabaseQuerySqlsrv
  • randombytes_random16() : ParagonIE_Sodium_Compat
  • randombytes_uniform() : ParagonIE_Sodium_Compat
  • range() : FOFModelField , FOFModelFieldDate , FOFModelFieldNumber , FOFModelFieldText
  • read() : FOFController , FtpClient , File , Stream , FileWrapper , FtpClient , Stream , LdapClient , Apc , Apcu , Database , Storage , Xcache , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageDatabase , JSessionStorageXcache , KeychainManager
  • readArchiveHeader() : AKAbstractUnarchiver , AKUnarchiverJPA , AKUnarchiverZIP
  • readChangeset() : JOpenstreetmapChangesets
  • readElement() : JOpenstreetmapElements
  • readFileHeader() : AKAbstractUnarchiver , AKUnarchiverJPA , AKUnarchiverZIP
  • readZipInfo() : Zip
  • realGetColumnCollation() : FOFDatabaseInstaller
  • realGetTableCollation() : FOFDatabaseInstaller
  • reason() : SimplePie_HTTP_Parser
  • rebuild() : CategoriesModelCategory , FOFTableNested , InstallerControllerUpdatesites , InstallerModelUpdatesites , Asset , Nested , Usergroup , MenusControllerItems , MenusControllerMenus , MenusModelItem , TagsControllerTags , TagsModelTag
  • rebuildPath() : Nested
  • RECAPTCHA_HOST : SocketPost
  • recipient() : SMTP
  • reconcileNames() : ContactViewCategory , ContentViewCategory , CategoryFeedView
  • recordLastTransactionID() : SMTP
  • recursiveUpdatePublishedColumn() : Nested
  • redaction() : JOpenstreetmapElements
  • redirect() : FOFController , JApplication , AbstractWebApplication , CMSApplication , WebApplication , BaseController
  • redirectsAllowed() : CurlTransport
  • redirectToAssociations() : AdminModel
  • reduce() : FOFLess , lessc
  • refineSearchStringToRegex() : ListModel
  • refresh() : InstallerControllerDiscover , InstallerModelManage , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , LanguagesControllerStrings , LanguagesModelStrings
  • refreshIncludePaths() : FileLayout
  • refreshManifestCache() : ComponentAdapter , FileAdapter , LanguageAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , Installer
  • refreshMediaVersion() : Version
  • refreshToken() : JOAuth2Client
  • refreshUpdates() : JoomlaupdateModelDefault
  • regenerate() : JSessionHandlerInterface , JSessionHandlerNative
  • REGEX_CHARACTER_TO_ESCAPE : Escaper
  • REGEX_ESCAPED_CHARACTER : Unescaper
  • REGEX_QUOTED_STRING : Inline
  • regexp() : FOFDatabaseQueryMysqli , FOFDatabaseQueryPostgresql , JDatabaseQueryMysqli , JDatabaseQueryPostgresql
  • register() : ClassLoader , FOFUtilsObservableDispatcher , JEventDispatcher , JLoader , HTMLHelper , ServiceProviderInterface , Memcache , Memcached , None , Storage , Wincache , JSessionStorage , JSessionStorageMemcache , JSessionStorageMemcached , JSessionStorageNone , JSessionStorageRedis , JSessionStorageWincache , SimplePie_Cache , SimplePie_Registry , UsersControllerRegistration , UsersModelRegistration
  • registerAlias() : JLoader
  • registerDefaultTask() : FOFController , BaseController
  • registerErrorLevel() : JError
  • registerEvent() : BaseApplication
  • registerFunction() : FOFLess , lessc
  • registerNamespace() : JLoader , FeedParser
  • registerParser() : FeedFactory
  • registerPlatformPath() : FOFPlatform
  • registerPrefix() : JLoader
  • registerRenderer() : FOFView
  • registerServiceProvider() : Container
  • registerStreamWrapper() : PharStreamWrapper
  • registerTablePaths() : ConfigModelCms
  • registerTask() : FOFController , BaseController
  • registerView() : RouterView
  • reindex() : FinderIndexerAdapter
  • reinit() : FtpClient
  • rekey() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • relationsForElement() : JOpenstreetmapElements
  • relative() : JHtmlDate
  • RELDATE : Version
  • RELEASE : Version , JPlatform
  • RELEASE_DATE : JPlatform
  • RELEASE_TIME : JPlatform
  • RELEASE_TIME_ZONE : JPlatform
  • releaseEditId() : BaseController
  • releaseTransactionSavepoint() : FOFDatabaseDriverPostgresql , JDatabaseDriverPostgresql
  • reload() : InstalledVersions , ContentControllerArticle , FormController
  • RELTIME : Version
  • RELTZ : Version
  • remind() : UsersControllerRemind , UsersControllerUser
  • remindExpiringConsents() : PlgSystemPrivacyconsent
  • remotefsize() : FilesystemHelper , Helper
  • remove() : FinderIndexer , FinderIndexerAdapter , FinderIndexerDriverSqlsrv , FOFController , InstallerModelManage , JGithubPackageOrgsMembers , JGithubPackageRepositoriesCollaborators , Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , InputFilter , ListenersPriorityQueue , InputFilter , LdapClient , Registry
  • remove_accents() : SearchHelper
  • remove_div() : SimplePie , SimplePie_Sanitize
  • remove_dot_segments() : SimplePie_IRI
  • remove_iunreserved_percent_encoded() : SimplePie_IRI
  • remove_rfc2822_comments() : SimplePie_Parse_Date
  • removeAllFromIssue() : JGithubPackageIssuesLabels
  • removeArgument() : Event
  • removeAttachment() : Mail
  • removeBlocks() : FinderIndexerParserHtml
  • removeCalendar() : JGoogleDataCalendar
  • removeCategory() : Feed , FeedEntry
  • removeChild() : CategoryNode , Node
  • removeComments() : FOFLessParser , lessc_parser
  • removeContributor() : Feed , FeedEntry
  • removeDisplayCallback() : PlgSystemDebug
  • removeEntry() : Feed
  • removeEvent() : Dispatcher
  • removeField() : Form
  • removeFiles() : Installer , InstallerScript
  • removeFilesAndFolders() : FOFUtilsInstallscript
  • removeFilter() : Stream
  • removeFromIssue() : JGithubPackageIssuesLabels
  • removeGroup() : Form
  • removeHeader() : FOFForm
  • removeIncludePath() : FileLayout
  • removeIncludePaths() : FileLayout
  • removeInstruction() : FinderIndexerResult
  • removeJedUpdateserver() : JoomlaInstallerScript
  • removeKnownField() : FOFTable
  • removeLayout() : RouterViewConfiguration
  • removeLink() : FeedEntry
  • removeListener() : Dispatcher
  • removeMaps() : FinderIndexerTaxonomy
  • removeMember() : JGithubPackageOrgsTeams
  • removeObsoleteUpdateSites() : FOFUtilsUpdate
  • removeOrphanNodes() : FinderIndexerTaxonomy
  • removePackageFiles() : JoomlaupdateModelDefault
  • removePath() : AKAbstractUnarchiver
  • removePharPrefix() : Helper
  • removeRelation() : FOFTableRelations
  • removeRepo() : JGithubPackageOrgsTeams
  • removeroot() : ConfigControllerApplication , ConfigModelApplication
  • removeRoot() : Path
  • removeUserFromGroup() : UserHelper , UserWrapper
  • rename() : AKAbstractPostproc , AKPostprocDirect , FtpClient , LdapClient , PharStreamWrapper
  • renameConstraints() : FOFDatabaseDriverSqlsrv
  • renameFile() : TemplatesControllerTemplate , TemplatesModelTemplate
  • renameTable() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • render() : ConfigViewApplicationHtml , ConfigViewApplicationJson , ConfigViewCmsJson , ConfigViewComponentHtml , ConfigViewConfigHtml , ConfigViewModulesHtml , ConfigViewTemplatesHtml , EasyPeasyICS , FieldsHelper , FOFHalDocument , FOFHalRenderInterface , FOFHalRenderJson , FOFLayoutHelper , InstallationApplicationWeb , InstallationViewCompleteHtml , InstallationViewDefault , InstallationViewDefaultlanguageHtml , InstallationViewInstallHtml , InstallationViewLanguagesHtml , InstallationViewPreinstallHtml , InstallationViewSummaryHtml , JApplication , JGithubPackageMarkdown , JHtmlActionsDropdown , JHtmlDropdown , JHtmlSidebar , AdministratorApplication , CMSApplication , SiteApplication , WebApplication , Document , DocumentRenderer , ErrorDocument , FeedDocument , HtmlDocument , ImageDocument , OpensearchDocument , RawDocument , AtomRenderer , RssRenderer , ComponentRenderer , HeadRenderer , MessageRenderer , ModuleRenderer , ModulesRenderer , XmlDocument , ExceptionHandler , FormField , BaseLayout , FileLayout , LayoutHelper , LayoutInterface , SeparatorButton , Toolbar , ToolbarButton , AbstractUri , JView , JViewHtml , PlgSystemStats
  • renderActionlogsExtensions() : PlgSystemActionLogs
  • renderActionlogsNotify() : PlgSystemActionLogs
  • renderArea() : JGrid
  • renderAttributes() : JGrid
  • renderBacktrace() : JError , ErrorDocument , PlgSystemDebug
  • renderBars() : PlgSystemDebug
  • renderButton() : Toolbar
  • renderButtons() : FOFRenderJoomla , FOFRenderStrapper
  • renderCallStack() : PlgSystemDebug
  • renderCategoryLinkbar() : FOFRenderAbstract
  • renderDataAsXml() : PrivacyHelper
  • renderDebugMessages() : BaseLayout
  • renderDirectories() : AdminViewSysinfo
  • renderField() : JFormFieldSpacer , Form , FormField
  • renderFieldset() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper , Form
  • renderFieldsetLabel() : FOFRenderAbstract , FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper
  • renderForm() : FOFRenderAbstract
  • renderFormBrowse() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper
  • renderFormEdit() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper
  • renderFormRaw() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper
  • renderFormRead() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper
  • renderFromConfig() : FOFToolbar
  • renderLinkbar() : FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper
  • renderLinkbar_classic() : FOFRenderStrapper
  • renderLinkbar_joomla() : FOFRenderStrapper
  • renderLinkbarItems() : FOFRenderJoomla , FOFRenderStrapper
  • renderModal() : JHtmlBootstrap
  • renderModule() : ModuleHelper
  • renderPostInstallation() : FOFUtilsInstallscript
  • renderPostUninstallation() : FOFUtilsInstallscript
  • renderSection() : AdminViewSysinfo
  • renderSubmenu() : FOFToolbar , JAdminCssMenu
  • renderToolbar() : FOFToolbar
  • renderToolbarElement() : FOFToolbar
  • reorder() : FOFModel , FOFTable , FOFTableNested , AdminController , AdminModel , Table , UsersControllerGroups , UsersModelLevels
  • replace() : DisallowedClassesSubstitutor , FinderIndexerStemmerPorter_En , JGithubPackageIssuesLabels , LdapClient
  • replace_invalid_with_pct_encoding() : SimplePie_IRI
  • replace_urls() : SimplePie_Sanitize
  • replaceColors() : ColorProcessor
  • replacePreferences() : JOpenstreetmapUser
  • replacePrefix() : FOFDatabaseDriver , FOFDatabaseDriverOracle , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverOracle , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • reply() : MessagesControllerMessage
  • reponseHeaderCallback() : FOFDownloadAdapterCurl
  • repositories() : JGithubPackageSearch
  • request() : CurlTransport , SocketTransport , StreamTransport , TransportInterface , UsersControllerReset
  • requestToken() : JGithubPackageAuthorization
  • requiresDoubleQuoting() : Escaper
  • requiresSingleQuoting() : Escaper
  • resend() : UsersControllerUser
  • reset() : FOFModel , FOFTable , FOFTableNested , Patcher , Form , Tree , Nested , Table , TableInterface , Uri , Patcher , JTree , SearchControllerSearches , SearchModelSearches , SMTP
  • resetErrors() : AKAbstractObject
  • resetHeadData() : HtmlDocument
  • resetHeadDatum() : HtmlDocument
  • resetMessages() : PostinstallModelMessages
  • resetOpCache() : Helper
  • resetOptions() : BaseLayout
  • resetParams() : Microdata
  • resetRandUserId() : InstallationModelDatabase
  • resetSavedState() : FOFModel
  • resetState() : FinderIndexer
  • resetTime() : AKCoreTimer , FOFUtilsTimer
  • resetTranslation() : AKText
  • resetTreeCache() : FOFTableNested
  • resetWarnings() : AKAbstractObject
  • reshare() : JLinkedinStream
  • resize() : Image
  • resizeImage() : TemplatesControllerTemplate , TemplatesModelTemplate
  • resizeKey() : AKEncryptionAESAdapterAbstract , FOFEncryptAesAbstract
  • resolve() : Path , Manager , Resolvable , PharInvocationResolver
  • RESOLVE_ALIAS : PharInvocationResolver
  • RESOLVE_REALPATH : PharInvocationResolver
  • resolveAlias() : MenuHelper , Container
  • resolveAssertable() : PharStreamWrapper
  • resolveBaseName() : PharInvocationResolver
  • resolveContainer() : Reader
  • resolveFourByteLittleEndian() : Reader
  • resolveManifestLength() : Reader
  • resolvePossibleAlias() : PharInvocationResolver
  • resolveStream() : Reader
  • resolveTwoByteBigEndian() : Reader
  • respond() : AbstractWebApplication , WebApplication
  • restart() : AbstractDaemonApplication , DaemonApplication , FtpClient , Session , FtpClient , Session
  • restoreInternalSteamWrapper() : PharStreamWrapper
  • resync() : MenusControllerMenus
  • retrieve() : FinderModelSearch
  • retrieveGps() : JOpenstreetmapGps
  • retrieveInvocation() : PharInvocationResolver
  • retrieveMapData() : JOpenstreetmapInfo
  • retrievePermissions() : JOpenstreetmapInfo
  • return_bytes() : InstallerModelWarnings
  • returning() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • retweet() : JTwitterStatuses
  • reverseItems() : Feed
  • rewind() : FOFDatabaseIterator , JDatabaseIterator , DataSet , SplFixedArray
  • rfcDate() : PHPMailer
  • rightJoin() : FOFDatabaseQuery , JDatabaseQuery
  • ristretto255_add() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_elligator() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_from_hash() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_frombytes() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_is_valid_point() : ParagonIE_Sodium_Compat
  • ristretto255_p3_tobytes() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_point_is_canonical() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_random() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_add() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_complement() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_from_string() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_invert() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_mul() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_negate() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_random() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_reduce() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_sub() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_sqrt_ratio_m1() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_sub() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • rmdir() : AKAbstractPostproc , AKPostprocDirect , PharStreamWrapper
  • rollback() : JMediawikiPages
  • root() : Uri
  • rotate() : Image , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_Salsa20 , PlgSystemLogrotation
  • rotl_64() : ParagonIE_Sodium_Core_SipHash
  • rotr64() : ParagonIE_Sodium_Core32_BLAKE2b
  • RotWord() : AKEncryptionAES
  • ROUNDS : ParagonIE_Sodium_Core32_Salsa20 , ParagonIE_Sodium_Core_Salsa20
  • route() : FOFTemplateUtils , JApplication , AdministratorApplication , CMSApplication , SiteApplication , PlgSystemSef
  • runPlugins() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • RuntimeTest() : Crypto


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- s -

  • SAFARI : WebClient
  • safeEncode() : JOAuth1Client
  • safeStrlen() : Crypt
  • safeSubstr() : Crypt
  • safeXml() : JGoogleData
  • salsa20() : ParagonIE_Sodium_Core32_Salsa20 , ParagonIE_Sodium_Core_Salsa20
  • salsa20_xor() : ParagonIE_Sodium_Core32_Salsa20 , ParagonIE_Sodium_Core_Salsa20
  • salsa20_xor_ic() : ParagonIE_Sodium_Core32_Salsa20 , ParagonIE_Sodium_Core_Salsa20
  • sanitiseVersion() : FOFUtilsUpdateJoomla
  • sanitize() : SimplePie , SimplePie_Item , SimplePie_Sanitize , SimplePie_Source
  • sanitizeColor() : Backgroundfill
  • sanitizeHeight() : Image
  • sanitizeItem() : DisallowedClassesSubstitutor
  • sanitizeOffset() : Image
  • sanitizeProperty() : Microdata
  • sanitizeType() : Microdata
  • sanitizeWidth() : Image
  • santiseSearchWord() : SearchHelper
  • satisfies() : InstalledVersions
  • save() : AdminControllerProfile , AdminModelProfile , CategoriesControllerCategory , CategoriesModelCategory , ConfigControllerApplication , ConfigControllerComponent , ConfigModelApplication , ConfigModelComponent , ContactModelContact , ContentControllerArticle , ContentModelArticle , ContentModelForm , FieldsModelField , FieldsModelGroup , FinderControllerFilter , FOFController , FOFModel , FOFTable , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Editor , EditorField , FormController , AdminModel , Table , ToolbarHelper , UCMContent , User , JSessionHandlerInterface , JSessionHandlerNative , LanguagesControllerOverride , LanguagesModelLanguage , LanguagesModelOverride , MenusControllerItem , MenusControllerMenu , MenusModelItem , MenusModelMenu , MessagesControllerConfig , MessagesModelConfig , MessagesModelMessage , ModulesControllerModule , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , PrivacyModelRequest , SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL , TagsModelTag , TemplatesControllerStyle , TemplatesControllerTemplate , TemplatesModelStyle , TemplatesModelTemplate , UsersControllerProfile , UsersModelGroup , UsersModelLevel , UsersModelProfile , UsersModelUser
  • save2copy() : ToolbarHelper
  • save2new() : ToolbarHelper
  • saveCache() : FOFIntegrationJoomlaPlatform
  • saveKeychain() : JKeychain , KeychainManager
  • savenew() : FOFController
  • saveorder() : CategoriesControllerCategories , CategoriesModelCategory , FOFController , AdminController , AdminModel , Nested , MenusControllerItems , MenusModelItem , TagsModelTag , UsersControllerGroups , UsersModelLevels
  • saveOrderAjax() : AdminController , LanguagesControllerLanguages
  • saveParams() : LibraryHelper , PlgQuickiconEos310 , PlgSystemStats
  • savestate() : FOFModel
  • saveToIniFile() : LanguageHelper
  • sc25519_invert() : ParagonIE_Sodium_Core_Curve25519
  • sc25519_mul() : ParagonIE_Sodium_Core_Curve25519
  • sc25519_sq() : ParagonIE_Sodium_Core_Curve25519
  • sc25519_sqmul() : ParagonIE_Sodium_Core_Curve25519
  • scalar_add() : ParagonIE_Sodium_Core_Ed25519
  • SCALAR_BYTES : ParagonIE_Sodium_Core_Ed25519
  • scalar_complement() : ParagonIE_Sodium_Core_Ed25519
  • scalar_negate() : ParagonIE_Sodium_Core_Ed25519
  • scalar_random() : ParagonIE_Sodium_Core_Ed25519
  • scalar_sub() : ParagonIE_Sodium_Core_Ed25519
  • scalarmult() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • scalarmult_base() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • scalarmult_ristretto255() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • scalarmult_ristretto255_base() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • scalarmult_throw_if_zero() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • SCALE_FILL : Image
  • SCALE_FIT : Image
  • SCALE_INSIDE : Image
  • SCALE_OUTSIDE : Image
  • scanArchives() : AKAbstractUnarchiver
  • scanDirectory() : FOFDownload , FOFPlatformFilesystem
  • SCHEME : UriInterface
  • scheme_normalization() : SimplePie_IRI
  • scopeAncestors() : FOFTableNested
  • scopeAncestorsAndSelf() : FOFTableNested
  • scopeDescendants() : FOFTableNested
  • scopeDescendantsAndSelf() : FOFTableNested
  • scopeImmediateDescendants() : FOFTableNested
  • scopeLeaves() : FOFTableNested
  • scopeSiblings() : FOFTableNested
  • scopeSiblingsAndSelf() : FOFTableNested
  • scopeWithoutRoot() : FOFTableNested
  • scopeWithoutSelf() : FOFTableNested
  • script() : HTMLHelper , Text , JTextWrapper
  • scrollspy() : JHtmlBootstrap
  • search() : FOFModelField , JGoogleDataPlusActivities , JGoogleDataPlusPeople , JLinkedinCompanies , JLinkedinJobs , JLinkedinPeople , JMediawikiSearch , LdapClient , JTwitterPlaces , JTwittersearch , LanguagesControllerStrings , LanguagesModelStrings , SearchController
  • search_elements_by_tag() : SimplePie_Locator
  • searchAjax() : TagsControllerTags
  • searchByString() : PlgAuthenticationLdap
  • searchTags() : TagsHelper
  • searchUsers() : JTwitterUsers
  • second() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • secretbox_xchacha20poly1305_BOXZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xchacha20poly1305_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xchacha20poly1305_MACBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xchacha20poly1305_NONCEBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xchacha20poly1305_ZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_BOXZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_MACBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_NONCEBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_ZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretkey() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • secretstream_xchacha20poly1305_init_pull() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretstream_xchacha20poly1305_init_push() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretstream_xchacha20poly1305_rekey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secureHeader() : PHPMailer
  • SecureRandom() : Crypto
  • SEED_BYTES : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • seek() : easyparse , FOFLessParser , Stream , lessc_parser
  • seek_cur() : BufferStreamHandler
  • seek_end() : BufferStreamHandler
  • seek_set() : BufferStreamHandler
  • sefSort() : FOFTemplateUtils
  • select() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDatabaseQuery , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , JDatabaseQuery , JHtmlFilter
  • selectRowNumber() : JDatabaseQuery , JDatabaseQueryMysqli , JDatabaseQueryPostgresql , JDatabaseQuerySqlite
  • Send() : Mail
  • send() : MailtoController , PHPMailer , UsersControllerMail , UsersModelMail
  • sendAdminMail() : Mail
  • sendAndMail() : SMTP
  • sendCommand() : SMTP
  • sendDirectMessages() : JTwitterDirectmessages
  • sendHeaders() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , AbstractWebApplication , WebApplication , JResponse
  • sendHello() : SMTP
  • sendJsonResponse() : InstallationApplicationWeb , InstallationControllerRemovefolder
  • sendMail() : Mail
  • sendmailSend() : PHPMailer
  • sendMessage() : JLinkedinCommunications
  • sendNotificationEmail() : FOFUtilsUpdate
  • sendNotificationEmails() : ActionlogsModelActionlog
  • sendRequest() : JFacebookObject , JOpenstreetmapObject , JTwitterObject
  • sendResponse() : FinderControllerIndexer
  • sendStats() : PlgSystemStats
  • sendString() : POP3
  • sendTestMail() : ConfigModelApplication
  • serialize() : AKFactory , JControllerBase , JInput , JInputCli , Cli , AbstractEvent , Cli , Input
  • server() : JHtmlSystem
  • serverClaimsUtf8mb4Support() : FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , JDatabaseDriverMysql , JDatabaseDriverMysqli
  • serverHostname() : PHPMailer
  • set() : AKFactory , ClassLoader , FOFDatabaseQuery , FOFLess , FOFUtilsObject , JDatabaseQuery , JException , JHtmlPhpSetting , JInput , JInputCookie , JInputFiles , AbstractApplication , Cookie , Files , BaseLayout , MenuItem , CMSObject , Pagination , Session , Container , Stream , Cookie , Files , Input , Registry , Session , JRequest , lessc , PHPMailer
  • set_author_class() : SimplePie
  • set_authority() : SimplePie_IRI
  • set_autodiscovery_cache_duration() : SimplePie
  • set_autodiscovery_level() : SimplePie
  • set_cache_class() : SimplePie
  • set_cache_duration() : SimplePie
  • set_cache_location() : SimplePie
  • set_cache_name_function() : SimplePie
  • set_caption_class() : SimplePie
  • set_category_class() : SimplePie
  • set_content_type_sniffer_class() : SimplePie
  • set_copyright_class() : SimplePie
  • set_credit_class() : SimplePie
  • set_enclosure_class() : SimplePie
  • set_favicon_handler() : SimplePie
  • set_feed_url() : SimplePie
  • set_file() : SimplePie
  • set_file_class() : SimplePie
  • set_fragment() : SimplePie_IRI
  • set_host() : SimplePie_IRI
  • set_image_handler() : SimplePie , SimplePie_Sanitize
  • set_input_encoding() : SimplePie
  • set_iri() : SimplePie_IRI
  • set_item_class() : SimplePie
  • set_item_limit() : SimplePie
  • set_locator_class() : SimplePie
  • set_max_checked_feeds() : SimplePie
  • set_output_encoding() : SimplePie , SimplePie_Sanitize
  • set_parameter() : idna_convert
  • set_parser_class() : SimplePie
  • set_path() : SimplePie_IRI
  • set_port() : SimplePie_IRI
  • set_query() : SimplePie_IRI
  • set_rating_class() : SimplePie
  • set_raw_data() : SimplePie
  • set_registry() : SimplePie_Item , SimplePie_Locator , SimplePie_Parser , SimplePie_Sanitize , SimplePie_Source
  • set_restriction_class() : SimplePie
  • set_sanitize_class() : SimplePie
  • set_scheme() : SimplePie_IRI
  • set_source_class() : SimplePie
  • set_stupidly_fast() : SimplePie
  • set_timeout() : SimplePie
  • set_url_replacements() : SimplePie , SimplePie_Sanitize
  • set_useragent() : SimplePie
  • set_userinfo() : SimplePie_IRI
  • setaccess() : FOFController
  • setAccess() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • setAction() : JHtmlSidebar , JSubMenuHelper
  • setActive() : AbstractMenu , Node
  • setActiveRow() : JGrid
  • setAdapter() : FOFDownload , Archive , Adapter
  • setAdapterOptions() : FOFDownload
  • setAdditionalJavascript() : JGoogleEmbedMaps
  • setAdditionalMapOptions() : JGoogleEmbedMaps
  • setAdditionalUrlParam() : Pagination
  • setAllLoaded() : CategoryNode
  • setAllowIpOverrides() : FOFUtilsIp , IpHelper
  • setApcuPrefix() : ClassLoader
  • setAreas() : SearchModelSearch
  • setArgument() : Event
  • setAssetKey() : FOFTable
  • setAssetsTracked() : FOFTable
  • setAsyncCallback() : JGoogleEmbedMaps
  • setAuthor() : Feed , FeedEntry
  • setAutoload() : JGoogleEmbedMaps
  • setBase() : Document
  • setBehaviorParam() : FOFModel
  • setBody() : AbstractWebApplication , WebApplication , Mail , JResponse
  • setBreakFlag() : AKAbstractPart
  • setBrowser() : Browser
  • setBuffer() : Document , HtmlDocument
  • setCache() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , Inflector
  • setCaching() : Cache
  • setCenter() : JGoogleEmbedMaps
  • setCfg() : InstallationApplicationWeb
  • setCharset() : Document
  • setClassMapAuthoritative() : ClassLoader
  • setClient() : FileLayout
  • setCode() : JGoogleEmbedAnalytics
  • setColumnAlias() : FOFTable , Table
  • setColumns() : JGrid
  • setCommonParameter() : FOFUtilsUpdate
  • setComponent() : FileLayout
  • setComponentRouter() : SiteRouter
  • setConfig() : FOFTable
  • setConfiguration() : AbstractApplication
  • setContainer() : ContainerAwareInterface
  • setContent() : Editor
  • setContextOptions() : Stream
  • setControllerPrefix() : JApplicationWebRouter
  • setCookieParams() : JSessionHandlerJoomla
  • setCorrectPermissions() : AKAbstractUnarchiver
  • setCost() : SimpleCryptPassword
  • setCounter() : Session
  • setCredentials() : ClientHelper , ClientWrapper
  • setCredentialsFromRequest() : ClientHelper , ClientWrapper
  • setCurrent() : Tree
  • setData() : BaseLayout
  • setDatabaseCharset() : InstallationModelDatabase
  • setDateFormat() : FOFDatabaseDriverOracle , JDatabaseDriverOracle
  • setDb() : JModelDatabase
  • setDbo() : FOFModel
  • setDBO() : FOFTable
  • setDbo() : JDatabaseExporter , JDatabaseImporter , BaseDatabaseModel , Table
  • setDebug() : FOFDatabaseDriver , JDatabaseDriver , Language , BaseLayout
  • setDebugLevel() : SMTP
  • setDebugOutput() : SMTP
  • setDefault() : InstallationModelLanguages , Language , AbstractMenu , LanguagesControllerInstalled , MenusControllerItems , TemplatesControllerStyles
  • setDefaultController() : JApplicationWebRouter
  • setDefaultType() : CryptPassword , SimpleCryptPassword
  • setDescription() : Document
  • setDetectBrowser() : SiteApplication
  • setDirection() : Document
  • setDispatcher() : DispatcherAwareInterface
  • setDn() : LdapClient
  • setDocumentTitle() : HtmlView
  • setDomain() : AKAbstractPart
  • setDownload() : XmlDocument
  • setElement() : FinderIndexerResult
  • setEnclosure() : FeedItem
  • setEncryptionMode() : FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl
  • setError() : AKAbstractObject , FOFUtilsObject , JException , ErrorDocument , CMSObject , PHPMailer , POP3 , SMTP
  • setErrorHandling() : FOFPlatform , FOFPlatformInterface , JError
  • setErrorsQueueSize() : AKAbstractObject
  • setEscape() : FOFView , HtmlView
  • setEvent() : Dispatcher
  • setExpire() : Session
  • setField() : Form
  • setFieldAttribute() : Form
  • setFields() : Form
  • setFieldValue() : FieldsModelField
  • setFolder() : MediaViewImagesList
  • setForm() : FOFFormHeader , FormField
  • setFormatOptions() : HTMLHelper
  • setFormatter() : FOFLess , lessc
  • setFragment() : Uri
  • setFrom() : Mail , PHPMailer
  • setGenerator() : Document
  • setGroups() : UserGroupsHelper
  • setHandler() : Session
  • setHasTags() : FOFTable
  • setHeadData() : HtmlDocument
  • setHeader() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , AbstractWebApplication , WebApplication , JResponse
  • setHome() : MenusModelItem , TemplatesModelStyle
  • setHost() : Uri
  • setHtml5() : HtmlDocument
  • setHttpMethodSuffix() : JApplicationWebRouterRest
  • setId() : FOFModel , JSessionHandlerInterface , JSessionHandlerNative
  • setIds() : FOFModel
  • setIDsFromRequest() : FOFModel
  • setIgnoredSearchWordsCallback() : Language
  • setImage() : MediaViewImagesList
  • setImportDir() : FOFLess , lessc
  • setIncludePaths() : FileLayout
  • setIndentation() : Dumper
  • setInput() : FOFModel , FOFTable
  • setInstance() : FOFDatabaseFactory , JDatabaseFactory , Log
  • setIntegrationObject() : FOFPlatform , FOFPlatformInterface
  • setIp() : FOFUtilsIp , IpHelper
  • setItemName() : Pathway
  • setKey() : JGoogleEmbedMaps , RouterViewConfiguration , Crypt
  • setKnownFields() : FOFTable
  • setLanguage() : FinderIndexerResult , Document , Language , PHPMailer
  • setLanguageCookie() : PlgSystemLanguageFilter
  • setLanguageFilter() : SiteApplication
  • setLastVisit() : User
  • setLayout() : FOFView , FileLayout , HtmlView , JViewHtml
  • setLayoutExt() : FOFView , HtmlView
  • setLayoutId() : FileLayout
  • setLifeTime() : Cache
  • setLimit() : FOFDatabaseQueryMysqli , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQueryLimitable , JDatabaseQueryMysqli , JDatabaseQueryOracle , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • setLineEnd() : Document
  • setLink() : Document
  • setListenerFilter() : Dispatcher
  • setLocation() : JGoogleDataPicasaAlbum , Nested
  • setLogger() : AbstractApplication , Image , ImageFilter , LoggerAwareInterface
  • setLowerLimitSearchWordCallback() : Language
  • setManifest() : InstallerAdapter
  • setMapClass() : JGoogleEmbedMaps
  • setMapId() : JGoogleEmbedMaps
  • setMapStyle() : JGoogleEmbedMaps
  • setMapType() : JGoogleEmbedMaps
  • setMaxExecTime() : AKCoreTimer
  • setMediaVersion() : Document , Version
  • setMessage() : FOFController , BaseController
  • setMessageType() : PHPMailer
  • setMetaData() : Document
  • setMethodInPostRequest() : JApplicationWebRouterRest
  • setMimeEncoding() : Document
  • setMode() : Router
  • setModel() : FOFForm , FOFView , HtmlView
  • setModifiedDate() : Document
  • setName() : EasyPeasyICS , JDatabaseQueryElement , RouterViewConfiguration , JsonDocument , XmlDocument , JSessionHandlerInterface , JSessionHandlerNative
  • setNestable() : RouterViewConfiguration
  • setNewTags() : Tags
  • setNonce() : SodiumCipher
  • setOAuth() : JFacebookObject
  • setoptArray() : Curl
  • setOption() : FOFDatabaseDriverPdo , JDatabaseDriverPdo , JFacebook , JGithub , JGoogle , JGoogleAuth , JGoogleData , JGoogleEmbed , JLinkedin , JLinkedinObject , JMediawiki , JOAuth1Client , JOAuth2Client , Http , JOpenstreetmap , JOpenstreetmapObject , JTwitter , JTwitterObject
  • setOptions() : FtpClient , BaseLayout , FtpClient , Session , JSessionHandlerJoomla
  • setOtpConfig() : AdminModelProfile , UsersModelUser
  • setOutput() : CliApplication
  • setOverwrite() : Installer
  • setPackageUninstall() : Installer
  • setPageTitle() : FOFViewHtml
  • setParam() : User
  • setParameters() : User
  • setParams() : ComponentRecord , InstallerScript , MenuItem , Node , Net_IDNA_php4
  • setParent() : JNode , CategoryNode , RouterViewConfiguration
  • setParsedFile() : ParseException
  • setParsedLine() : ParseException
  • setPass() : Uri
  • setPassword() : FOFEncryptAes
  • setPath() : FOFController , Installer , BaseController , Uri
  • setPaths() : JViewHtml
  • setPathway() : Pathway
  • setPbkdf2Algorithm() : AKEncryptionAES
  • setPbkdf2Iterations() : AKEncryptionAES
  • setPbkdf2StaticSalt() : AKEncryptionAES
  • setPbkdf2UseStaticSalt() : AKEncryptionAES
  • setPermissions() : Path , PathWrapper , Path
  • setPluralSuffixesCallback() : Language
  • setPort() : Uri
  • setPostRender() : FOFView
  • setPreRender() : FOFView
  • setPreserveComments() : FOFLess , lessc
  • setProcessor() : CliOutput
  • setProperties() : FOFUtilsObject , JException , CMSObject
  • setProperty() : DataObject
  • setPsr4() : ClassLoader
  • setPublished() : LanguagesModelLanguages
  • setQuery() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverPdo , FOFDatabaseQuery , JDatabaseDriver , JDatabaseDriverPdo , JDatabaseQuery , Uri
  • setQueryJoin() : FOFTable
  • setRedirect() : FOFController , BaseController
  • setRedirectUrl() : Installer
  • setRenderer() : FOFView
  • setRoute() : InstallerAdapter
  • setRowCell() : JGrid
  • setRowOptions() : JGrid
  • setRules() : FOFTable , Table
  • setSchemaVersion() : Installer
  • setScheme() : Uri
  • setScope() : JFacebookOAuth , JLinkedinOauth
  • setSearch() : SearchModelSearch
  • setSearchDisplayedCharactersNumberCallback() : Language
  • setSender() : Mail
  • setSeparator() : ModBreadCrumbsHelper
  • setSession() : AbstractWebApplication
  • setShortName() : OpensearchDocument
  • setSibling() : CategoryNode
  • setSize() : SplFixedArray
  • setSkipChecks() : FOFTable
  • setSnippet() : ParseException
  • setStart() : Profiler
  • setState() : AKAbstractPart , FinderIndexer
  • setstate() : FOFController
  • setState() : FOFModel , JModel , JModelBase , BaseDatabaseModel , Session
  • setStep() : AKAbstractPart
  • setSubject() : Mail
  • setSubscription() : JGithubPackageActivityWatching
  • setSubstep() : AKAbstractPart
  • setSuffixes() : FileLayout
  • setSummary() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • setTab() : Document
  • setTableAlias() : FOFTable
  • setTableOptions() : JGrid
  • setTablePrefix() : FOFTable
  • setTemplate() : SiteApplication
  • setThisModelName() : FOFController
  • setThisViewName() : FOFController
  • setThreadSubscription() : JGithubPackageActivityNotifications
  • setThumbnailGenerate() : Image
  • setTime() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • setTimeout() : SMTP
  • setTimers() : Session
  • setTimezone() : Date
  • setTitle() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Document
  • setToken() : JOAuth1Client , JOAuth2Client
  • setTransliterator() : Language
  • setTriggerEvents() : FOFTable
  • setType() : Document , Microdata , MenusControllerItem
  • setUnsignedInt() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • setup() : AKAbstractPart , FinderIndexerAdapter , FOFFormHeader , InstallationModelConfiguration , JFormFieldCalendar , JFormFieldCategoryEdit , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldColor , JFormFieldConsentBox , JFormFieldFile , JFormFieldFileList , JFormFieldFolderList , JFormFieldMenuitemByType , JFormFieldMeter , JFormFieldModal_Menu , JFormFieldNumber , JFormFieldPassword , JFormFieldPlugins , JFormFieldRules , JFormFieldSection , JFormFieldSQL , JFormFieldSubform , JFormFieldText , JFormFieldTextarea , JFormFieldTimezone , JFormFieldType , JFormFieldUploaddirs , JLoader , CaptchaField , ChromestyleField , EditorField , MediaField , MenuitemField , ModuleorderField , ModulepositionField , OrderingField , TemplatestyleField , UserField , UsergrouplistField , FormField , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • setupField() : Captcha
  • setUpgrade() : Installer
  • setupInstall() : Installer
  • setupInstallPaths() : ComponentAdapter , FileAdapter , LanguageAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • setUpperLimitSearchWordCallback() : Language
  • setupScriptfile() : InstallerAdapter
  • setupSignalHandlers() : AbstractDaemonApplication , DaemonApplication
  • setupUpdates() : ComponentAdapter , InstallerAdapter
  • setUseIncludePath() : ClassLoader
  • setUser() : AbstractMenu , Uri
  • setUserGroups() : UserHelper , UserWrapper
  • setUserState() : JApplication , CMSApplication
  • setUtf() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • setValue() : Form , FormField
  • setVar() : FOFInput , Router , Uri , JRequest
  • setVariable() : PharInvocation
  • setVariables() : FOFLess , lessc
  • setVars() : Router
  • setVerp() : SMTP
  • setVersion() : FOFUtilsUpdate
  • setView() : FOFForm
  • setWarning() : AKAbstractObject
  • setWarningsQueueSize() : AKAbstractObject
  • setWordWrap() : PHPMailer
  • setWorkarounds() : Cache
  • setXmlDirectory() : FOFDatabaseInstaller
  • setZoom() : JGoogleEmbedMaps
  • share() : JLinkedinStream , Container
  • shift() : DisallowedClassesSubstitutor
  • ShiftRows() : AKEncryptionAES
  • shouldDisplayMessage() : PlgQuickiconEos310 , PlgQuickiconPhpVersionCheck
  • shouldDisplayPreUpdateCheck() : JoomlaupdateViewDefault
  • showTables() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • shutdown() : AKAbstractUnarchiver , AbstractDaemonApplication , DaemonApplication
  • sign() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto , PHPMailer
  • sign_detached() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519 , ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • sign_open() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • sign_verify_detached() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • signal() : AbstractDaemonApplication , DaemonApplication
  • silence_errors() : SimplePie_Misc
  • simple_search() : LdapClient
  • simplecolorpicker() : JHtmlBehavior
  • singleton() : idna_convert
  • singularize() : FOFInflector
  • sipHash24() : ParagonIE_Sodium_Core32_SipHash , ParagonIE_Sodium_Core_SipHash
  • sipRound() : ParagonIE_Sodium_Core32_SipHash , ParagonIE_Sodium_Core_SipHash
  • SITE_VERIFY_PATH : SocketPost
  • SITE_VERIFY_URL : HttpBridgePostRequestMethod , CurlPost , Post
  • size() : FtpClient
  • sk_to_pk() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • skip_whitespace() : SimplePie_XML_Declaration_Parser
  • slider() : JHtmlFilter
  • slowCheck() : FOFUtilsFilescheck
  • smtpClose() : PHPMailer
  • smtpConnect() : PHPMailer , PHPMailerOAuth
  • smtpSend() : PHPMailer
  • sort() : JHtmlGrid , JHtmlSearchtools
  • sort_items() : SimplePie
  • sortable() : JHtmlSortablelist
  • sortObjects() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • sortProps() : FOFLess , lessc
  • space_seperated_tokens() : SimplePie_Misc
  • spacer() : JHtmlUsers , ToolbarHelper
  • SPLIT : Patcher
  • split_ns() : SimplePie_Parser
  • split_v6_v4() : SimplePie_Net_IPv6
  • splitCamelCase() : JString
  • splitLines() : Patcher
  • splitQueries() : InstallationModelDatabase
  • splitSql() : FOFDatabase , FOFDatabaseDriver , JDatabase , JDatabaseDriver , InstallerHelper
  • splitSqlExpression() : JDatabaseQuerySqlsrv
  • sprintf() : AKText , Text , JTextWrapper
  • sqlValue() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • SRC_FILE : Patcher
  • STABILITY_ALPHA : Updater
  • STABILITY_BETA : Updater
  • STABILITY_DEV : Updater
  • STABILITY_RC : Updater
  • STABILITY_STABLE : Updater
  • stabilityTagToInteger() : ExtensionAdapter , Update
  • standalone_equals() : SimplePie_XML_Declaration_Parser
  • standalone_name() : SimplePie_XML_Declaration_Parser
  • standalone_value() : SimplePie_XML_Declaration_Parser
  • star() : JGithubPackageActivityStarring , JGithubPackageGists
  • start() : FinderControllerIndexer , JHtmlDropdown , JHtmlSliders , JHtmlTabs , OutputController , Session , JSessionHandlerInterface , JSessionHandlerJoomla , JSessionHandlerNative , ntlm_sasl_client_class
  • startAccordion() : JHtmlBootstrap
  • startPane() : JHtmlBootstrap
  • startTabSet() : JHtmlBootstrap
  • startTLS() : SMTP
  • state() : InstallerHtmlManage , InstallerHtmlUpdatesites , JHtmlGrid , JHtmlJGrid , JHtmlMessages , JHtmlModules , MenusHtmlMenus
  • statelist() : JHtmlFinder
  • status() : JHtmlMessages
  • STATUS : JPlatform
  • status() : SimplePie_HTTP_Parser
  • STATUS_CANCEL : Authentication
  • STATUS_DENIED : Authentication
  • STATUS_EXPIRED : Authentication
  • STATUS_FAILURE : Authentication
  • STATUS_SUCCESS : Authentication
  • STATUS_UNKNOWN : Authentication
  • statusLabel() : PrivacyHtmlHelper
  • stderr() : FOFDatabase , FOFDatabaseDriverJoomla , JDatabase
  • stem() : FinderIndexerHelper , FinderIndexerStemmer , FinderIndexerStemmerFr , FinderIndexerStemmerPorter_En , FinderIndexerStemmerSnowball , LanguageStemmer , Porteren
  • step() : ntlm_sasl_client_class
  • step1ab() : FinderIndexerStemmerPorter_En
  • step1c() : FinderIndexerStemmerPorter_En
  • step2() : FinderIndexerStemmerPorter_En
  • step3() : FinderIndexerStemmerPorter_En
  • step4() : FinderIndexerStemmerPorter_En
  • step5() : FinderIndexerStemmerPorter_En
  • stepbar() : InstallationHtmlHelper
  • stepbarlanguages() : InstallationHtmlHelper
  • stop() : AbstractDaemonApplication , DaemonApplication , Event
  • STOP_CONTINUE : PHPMailer
  • STOP_CRITICAL : PHPMailer
  • STOP_MESSAGE : PHPMailer
  • store() : ContactTableContact , FinderModelSearch , FinderTableFilter , FOFTable , Cache , CacheController , CacheStorage , OutputController , PageController , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , FtpClient , ContentHistoryHelper , Category , Content , ContentHistory , ContentType , CoreContent , Language , Menu , MenuType , Module , Nested , TableInterface , User , Usergroup , UCMBase , UCMContent , FtpClient , NewsfeedsTableNewsfeed , PrivacyTableConsent , PrivacyTableRequest , RedirectTableLink , TagsTableTag , TemplatesTableStyle , UsersTableNote
  • store64() : ParagonIE_Sodium_Core32_BLAKE2b
  • storeExtension() : FileAdapter , LanguageAdapter , LibraryAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • storeNode() : FinderIndexerTaxonomy
  • storeOptions() : InstallationModelSetup
  • storePermissions() : ConfigModelApplication
  • storeUcmBase() : CoreContent
  • storeVote() : ContentModelArticle
  • str2bin() : FOFEncryptBase32
  • stream() : ParagonIE_Sodium_Core32_ChaCha20 , ParagonIE_Sodium_Core32_XChaCha20 , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_XChaCha20
  • stream_cast() : PharStreamWrapper
  • stream_close() : PharStreamWrapper
  • stream_eof() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • stream_flush() : StreamString , StringWrapper , PharStreamWrapper
  • stream_lock() : PharStreamWrapper
  • stream_metadata() : PharStreamWrapper
  • stream_open() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • STREAM_OPEN_FOR_INCLUDE : PharStreamWrapper
  • stream_read() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • stream_register() : BufferStreamHandler
  • stream_salsa20_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • stream_seek() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • stream_set_option() : PharStreamWrapper
  • stream_stat() : StreamString , StringWrapper , PharStreamWrapper
  • stream_tell() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • stream_truncate() : PharStreamWrapper
  • stream_write() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • streamXorIc() : ParagonIE_Sodium_Core32_ChaCha20 , ParagonIE_Sodium_Core32_XChaCha20 , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_XChaCha20
  • string() : FOFLessParser , JHtmlPhpSetting , lessc_parser , tagparse
  • stringConcatenate() : FOFLess , lessc
  • stringJSSafe() : OutputFilter
  • stringToContext() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • stringToObject() : Ini , Json , Php , Xml , Yaml , FormatInterface
  • stringToSplFixedArray() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • stringURLSafe() : JApplication , ApplicationHelper , OutputFilter , OutputFilterWrapper
  • stringUrlSafe() : OutputFilter
  • stringURLUnicodeSlug() : OutputFilterWrapper
  • stringUrlUnicodeSlug() : OutputFilter
  • strip_attr() : SimplePie_Sanitize
  • strip_attributes() : SimplePie , SimplePie_Sanitize
  • strip_comments() : SimplePie , SimplePie_Misc , SimplePie_Sanitize
  • strip_htmltags() : SimplePie , SimplePie_Sanitize
  • strip_tag() : SimplePie_Sanitize
  • stripColors() : ColorProcessor
  • stripCssExpressions() : InputFilter
  • stripExt() : FOFPlatformFilesystem , File , FileWrapper , File
  • stripFirstBackslash() : JLoader
  • stripIframes() : OutputFilterWrapper , OutputFilter
  • stripImages() : OutputFilterWrapper , OutputFilter
  • stripos() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • stripUSC() : InputFilter
  • stristr() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strlen() : ParagonIE_Sodium_Core_Util , BinaryNoFuncOverload , BinaryOnFuncOverload
  • strpos() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strrchr() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strripos() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strrpos() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strstr() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • stylesheet() : HTMLHelper
  • sub() : ParagonIE_Sodium_Compat
  • SubBytes() : AKEncryptionAES
  • sublayout() : FileLayout
  • submit() : ContactControllerContact , HttpBridgePostRequestMethod , CurlPost , Post , SocketPost , RequestMethod
  • subscribe() : JTwitterLists
  • subscribe_url() : SimplePie
  • substituteObjects() : DisallowedClassesSubstitutor
  • substr() : ParagonIE_Sodium_Core_Util , BinaryNoFuncOverload , BinaryOnFuncOverload
  • SubWord() : AKEncryptionAES
  • suggested() : JHtmlQuery
  • suggestionlist() : JHtmlSelect
  • supportsAjaxOrdering() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • supportsChunkDownload() : FOFDownloadAdapterAbstract , FOFDownloadInterface
  • supportsFileSize() : FOFDownloadAdapterAbstract , FOFDownloadInterface
  • switchAdminLanguage() : LanguagesControllerInstalled , LanguagesModelInstalled
  • switcher() : JHtmlBehavior
  • syncPaths() : Form
  • syst() : FtpClient


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- t -

  • tableize() : FOFInflector
  • tableToHtml() : PlgSystemDebug
  • tabstate() : JHtmlBehavior
  • tag() : FOFLessParser , JHtmlBatch , Container , lessc_parser , tagparse
  • tag_close() : SimplePie_Parser
  • tag_open() : SimplePie_Parser
  • tagBracket() : FOFLessParser , lessc_parser
  • tagDeleteInstances() : TagsHelper
  • tagExpression() : FOFLessParser
  • tagItem() : TagsHelper
  • tags() : FOFLessParser , JHtmlTag , lessc_parser
  • TAGS_BLACKLIST : InputFilter
  • TAGS_WHITELIST : InputFilter
  • tel() : JHtmlTel
  • tell() : Stream
  • templates() : JHtmlModules
  • templateStates() : JHtmlModules
  • templatestyle() : JHtmlUsers
  • test() : FOFDatabase , FOFDatabaseDriverPostgresql , InstallationFormRuleUsername , JDatabase , JDatabaseDriverPostgresql , JFormRuleContactEmail , JFormRuleContactEmailMessage , JFormRuleContactEmailSubject , JFormRuleLoginUniqueField , JFormRuleLogoutUniqueField , JGithubHooks , JGithubPackageRepositoriesHooks , CacheStorage , FormRule , CalendarRule , CaptchaRule , ColorRule , CssIdentifierSubstringRule , EmailRule , EqualsRule , ExistsRule , FilePathRule , NotequalsRule , NumberRule , OptionsRule , PasswordRule , RulesRule , SubformRule , TelRule , UrlRule , UsernameRule , JSessionStorage
  • TestEncryptDecrypt() : Crypto
  • TEXT_CONTEXT : FinderIndexer
  • text_or_binary() : SimplePie_Content_Type_Sniffer
  • textdiff() : JHtmlTextdiff
  • textLine() : PHPMailer
  • throwError() : FOFLess , FOFLessParser , JError , lessc , lessc_parser
  • thumb() : JHtmlTemplates
  • thumbModal() : JHtmlTemplates
  • tick() : AKAbstractPart
  • time_hms() : SimplePie_Misc
  • timingSafeCompare() : Crypt
  • tinyButtons() : PlgEditorTinymce
  • title() : ToolbarHelper
  • TITLE_CONTEXT : FinderIndexer
  • TLS_DISABLE : Route
  • TLS_FORCE : Route
  • TLS_IGNORE : Route
  • to() : FOFLessParser , lessc_parser
  • to64() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • to_uri() : SimplePie_IRI
  • toArray() : DataSet , Registry , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , RequestParameters , SplFixedArray
  • toASCII() : FOFStringUtils
  • toBin() : FOFEncryptBase32
  • toBool() : FOFLess , FOFStringUtils , lessc
  • toBytes() : MediaHelper
  • toCamelCase() : Normalise , JStringWrapperNormalise
  • toCSV() : FOFTable
  • toDashSeparated() : Normalise , JStringWrapperNormalise
  • toFile() : Image
  • toFlatten() : Registry
  • toggleResults() : SearchControllerSearches
  • toggleTables() : FinderIndexer , FinderIndexerDriverMysql
  • toggleUpdateSite() : UpdateAdapter
  • toHSL() : FOFLess , lessc
  • toInt() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • toInt32() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • toInt64() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • toInteger() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • toISO8601() : Date
  • token() : JHtmlForm , JHtmlJquery
  • tokenize() : FinderIndexerHelper
  • tokenizeToDb() : FinderIndexer
  • tokenizeToDbShort() : FinderIndexer
  • toKey() : Normalise , JStringWrapperNormalise
  • toLuma() : lessc
  • toObject() : FOFUtilsArray , JArrayHelper , Registry , ArrayHelper
  • tooltip() : JHtmlBehavior , JHtmlBootstrap , HTMLHelper
  • tooltipExtended() : JHtmlBootstrap
  • tooltipText() : HTMLHelper
  • toPlural() : Inflector
  • toPunycode() : PunycodeHelper , JStringWrapperPunycode
  • toQueryString() : RequestParameters
  • toReverseString() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • toRFC822() : Date
  • toRGB() : FOFLess , lessc
  • toRGB_helper() : FOFLess , lessc
  • tos() : PlgUserProfile
  • toSingular() : Inflector
  • toSlug() : FOFStringUtils
  • toSpaceSeparated() : Normalise , JStringWrapperNormalise
  • toSql() : Date
  • toString() : FOFUtilsArray , JArrayHelper , JException , JGrid , CMSApplication , Registry , AbstractUri , UriInterface , ArrayHelper , JResponse , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • total() : UserGroupsHelper
  • touch() : SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL
  • toUnderscoreSeparated() : Normalise , JStringWrapperNormalise
  • toUnix() : Date
  • toUri() : FinderIndexerQuery
  • toUrl() : JOAuth1Client
  • toVariable() : Normalise , JStringWrapperNormalise
  • trace() : Http
  • transactionCommit() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • transactionRollback() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • transactionSavepoint() : FOFDatabaseDriverPostgresql , JDatabaseDriverPostgresql
  • transactionStart() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • translate() : FOFFormFieldComponents , InstallerModel , InstallerModelUpdate , ModulesModelModules , PluginsModelPlugins
  • translateErrorLevel() : JError
  • translateExtensionName() : JoomlaupdateModelDefault
  • translateState() : FinderIndexerAdapter
  • transliterate() : Fr_FRLocalise , Language
  • transparentAuthentication() : FOFDispatcher
  • trash() : FOFController , JHtmlActionsDropdown , JHtmlDropdown , ToolbarHelper
  • tree() : JHtmlBehavior
  • treerecurse() : JHtmlMenu
  • TRIDENT : WebClient
  • trigger() : FOFUtilsObservableDispatcher , JEventDispatcher
  • triggerDuplicateAliasWarning() : PharInvocationCollection
  • triggerEvent() : BaseApplication , DelegatingDispatcher , Dispatcher , DispatcherInterface
  • triggerManifestScript() : PackageAdapter , InstallerAdapter
  • truncate() : JHtmlString , ModArticlesCategoryHelper
  • truncateComplex() : JHtmlString
  • truncateTable() : FOFDatabaseDriver , JDatabaseDriver
  • tryImport() : FOFLess , lessc
  • turn() : SMTP
  • tweet() : JTwitterStatuses
  • tweetWithMedia() : JTwitterStatuses
  • TYPE_FEED : SimplePie_Cache_Base
  • TYPE_FULL : DownloadSource
  • TYPE_IMAGE : SimplePie_Cache_Base
  • TYPE_PATCH : DownloadSource
  • TYPE_UPGRADE : DownloadSource
  • typeahead() : JHtmlBootstrap
  • typeMsg1() : ntlm_sasl_client_class
  • typeMsg3() : ntlm_sasl_client_class
  • types() : JHtmlModules
  • typeslist() : JHtmlFinder
  • typeSupportsCheckout() : AssociationsHelper


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- u -

  • ucs4_ucs4array() : uctc
  • ucs4array_ucs4() : uctc
  • ucs4array_utf7() : uctc
  • ucs4array_utf7imap() : uctc
  • ucs4array_utf8() : uctc
  • ui() : JHtmlJquery
  • unarchive() : JHtmlActionsDropdown , JHtmlDropdown
  • unarchiveList() : ToolbarHelper
  • unbind() : LdapClient
  • unblock() : JTwitterBlock
  • unBlockUserById() : JMediawikiUsers
  • unBlockUserByName() : JMediawikiUsers
  • uncomment_rfc822() : SimplePie_Misc
  • uncompress() : SimplePie_Net_IPv6
  • unconsume() : SimplePie_Decode_HTML_Entities
  • undeletePage() : JMediawikiPages
  • underscore() : FOFInflector
  • unescapeCharacter() : Unescaper
  • unescapeDoubleQuotedString() : Unescaper
  • unescapeSingleQuotedString() : Unescaper
  • unfeature() : JHtmlActionsDropdown
  • unfeatured() : JHtmlDropdown
  • unfollow() : JGithubPackageUsersFollowers , JLinkedinCompanies , JTwitterFriends
  • unfollowPost() : JLinkedinGroups
  • uninstall() : FOFUtilsInstallscript , ComponentAdapter , FileAdapter , LanguageAdapter , LibraryAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , Installer
  • uninstallEosPlugin() : JoomlaInstallerScript
  • uninstallObsoleteSubextensions() : FOFUtilsInstallscript
  • uninstallPostInstallationMessages() : FOFUtilsInstallscript
  • uninstallSubextensions() : FOFUtilsInstallscript
  • union() : FOFDatabaseQuery , JDatabaseQuery
  • unionAll() : FOFDatabaseQuery , JDatabaseQuery
  • unionDistinct() : FOFDatabaseQuery , JDatabaseQuery
  • UNIQUE_BASE_NAME : PharInvocationCollection
  • UNIQUE_INVOCATION : PharInvocationCollection
  • unit() : FOFLessParser , lessc_parser
  • unix2DosTime() : Zip
  • unknown() : SimplePie_Content_Type_Sniffer
  • unlike() : JLinkedinStream
  • unlikePost() : JLinkedinGroups
  • unlink() : AKAbstractPostproc , AKPostprocDirect , SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL , PharStreamWrapper
  • unlock() : Cache , CacheStorage , ApcStorage , ApcuStorage , FileStorage , MemcachedStorage , MemcacheStorage
  • unlockindex() : MemcachedStorage , MemcacheStorage
  • unlockTables() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • unpack() : InstallerHelper
  • unpad() : ParagonIE_Sodium_Compat
  • unpublish() : FOFController , JHtmlActionsDropdown , JHtmlDropdown , ToolbarHelper
  • unpublishList() : ToolbarHelper
  • unregister() : ClassLoader , HTMLHelper
  • unregisterFunction() : FOFLess , lessc
  • unregisterPlatformPath() : FOFPlatform
  • unregisterTask() : FOFController , BaseController
  • unserialize() : AKFactory , Unserialize , JControllerBase , JInput , JInputCli , Cli , Input , AbstractEvent , Cli , Input
  • unsetDefault() : TemplatesControllerStyles
  • unsetHome() : TemplatesModelStyle
  • unsetVariable() : FOFLess , lessc
  • unstar() : JGithubPackageActivityStarring , JGithubPackageGists
  • unsubscribe() : JTwitterLists
  • unTagItem() : TagsHelper
  • untrash() : JHtmlActionsDropdown , JHtmlDropdown
  • unwatch() : JGithubPackageActivityWatching
  • update() : AKAbstractPartObserver , FOFDatabaseQuery , FOFUtilsObservableEvent , InstallerModelUpdate , JDatabaseQuery , JEvent , JGithubPackageIssuesLabels , JObserver , JObserverUpdater , JObserverUpdaterInterface , LanguageAdapter , Installer , InstallerAdapter , Updater , JoomlaInstallerScript , JTableSession , JTwitterLists , ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • updateChangeset() : JOpenstreetmapChangesets
  • updateComponent() : FOFUtilsUpdate
  • updateDatabase() : JoomlaInstallerScript
  • updateDatabaseMysql() : JoomlaInstallerScript
  • updateDates() : InstallationModelDatabase
  • updateElement() : JOpenstreetmapElements
  • updateFriendship() : JTwitterFriends
  • updateLastCheckTimestamp() : Updater
  • updateManifestCaches() : JoomlaInstallerScript
  • updateNotification() : JFacebookUser
  • updateObject() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverPostgresql , JDatabaseDriver , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • updateProfile() : JTwitterProfile
  • updateProfileBackgroundImage() : JTwitterProfile
  • updateProfileColors() : JTwitterProfile
  • updateProfileImage() : JTwitterProfile
  • updateRepr() : ParseException
  • updateSettings() : JTwitterProfile
  • updateSize() : CacheStorageHelper
  • updateTag() : JFacebookPhoto
  • updateUser() : JGithubPackageUsers
  • updateUserIds() : InstallationModelDatabase
  • upload() : JGithubPackageRepositoriesDownloads , JGoogleDataPicasaAlbum , File , Stream , FileWrapper , File , Stream , JoomlaupdateModelDefault , MediaControllerFile
  • uploadFile() : TemplatesControllerTemplate , TemplatesModelTemplate
  • uploadTrace() : JOpenstreetmapGps
  • URIbase() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • URIroot() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • URL : Version
  • url() : PlgUserProfile
  • url_stat() : StreamString , StringWrapper , PharStreamWrapper
  • urlToPunycode() : PunycodeHelper , JStringWrapperPunycode
  • urlToUTF8() : PunycodeHelper , JStringWrapperPunycode
  • urs() : AKEncryptionAES
  • use_fallback() : ParagonIE_Sodium_Compat
  • useAsync() : JGoogleEmbedAnalytics , JGoogleEmbedMaps
  • useNewSodiumAPI() : ParagonIE_Sodium_Compat
  • user() : JHtmlBatch
  • USER : UriInterface
  • usergroup() : JHtmlAccess
  • usergroups() : JHtmlAccess
  • userlist() : JHtmlUser
  • users() : JGithubPackageSearch , JHtmlList
  • useSendmail() : Mail
  • useSensor() : JGoogleEmbedMaps
  • useSmtp() : Mail
  • useSync() : JGoogleEmbedAnalytics , JGoogleEmbedMaps
  • utf7_ucs4array() : uctc
  • utf7imap_ucs4array() : uctc
  • utf8_latin_to_ascii() : Transliterate , TransliterateWrapper
  • utf8_ucs4array() : uctc
  • utf8CharBoundary() : PHPMailer
  • utf8chr() : Unescaper


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- v -

  • valid() : FOFDatabaseIterator , JDatabaseIterator , DataSet , SplFixedArray
  • validate() : BannersModelBanner , CategoriesModelCategory , ConfigModelForm , ContactModelContact , ContentModelArticle , FieldsModelField , FieldsModelGroup , InstallationModelSetup , Form , FormModel , Session , MenusModelMenu , ModulesModelModule , NewsfeedsModelNewsfeed , PrivacyModelRequest , UsersModelLevel
  • validateAddress() : PHPMailer
  • validateCategoryId() : CategoriesHelper
  • validateField() : Form
  • validateForm() : FOFModel
  • validateHash() : MailtoHelper
  • validateResponse() : JLinkedinOauth , JMediawikiObject , JOAuth1Client , JOpenstreetmapOauth , JTwitterOAuth
  • validateRowNumber() : JDatabaseQuery
  • validateSection() : ContactHelper , ContentHelper , UsersHelper
  • validateYubikeyOtp() : PlgTwofactorauthYubikey
  • validComponent() : FileLayout
  • value() : FOFLessParser , JHtmlUsers , lessc_parser , SimplePie_HTTP_Parser , tagparse
  • value_char() : SimplePie_HTTP_Parser
  • values() : FOFDatabaseQuery , JDatabaseQuery
  • variable() : FOFLessParser , lessc_parser
  • variablize() : FOFInflector
  • verify() : CryptPassword , SimpleCryptPassword , ReCaptcha , SMTP
  • verify_16() : ParagonIE_Sodium_Core_Util
  • verify_32() : ParagonIE_Sodium_Core_Util
  • verifyCredentials() : JLinkedinOauth , JOAuth1Client , JOpenstreetmapOauth , JTwitterOAuth
  • verifyFtpSettings() : InstallationModelFtp
  • VerifyHMAC() : Crypto
  • verifyPassword() : UserHelper , UserWrapper
  • VERSION : ReCaptcha , SMTP
  • version_equals() : SimplePie_XML_Declaration_Parser
  • version_name() : SimplePie_XML_Declaration_Parser
  • VERSION_STRING : ParagonIE_Sodium_Compat
  • version_string() : ParagonIE_Sodium_Compat
  • version_value() : SimplePie_XML_Declaration_Parser
  • versionOfElement() : JOpenstreetmapElements
  • versions() : ToolbarHelper
  • viewThread() : JGithubPackageActivityNotifications
  • visibility() : MenusHtmlMenus
  • vote() : ContentControllerArticle


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- w -

  • walk() : DataSet
  • WARNING : Log
  • warning() : AbstractLogger , LoggerInterface
  • WARNING : LogLevel
  • watch() : JGithubPackageActivityWatching
  • watermark() : Image
  • waysForNode() : JOpenstreetmapElements
  • WEBKIT : WebClient
  • where() : FOFDatabaseQuery , JDatabaseQuery
  • whereRaw() : FOFTableNested
  • whitespace() : FOFLessParser , lessc_parser
  • WINDOWS : WebClient
  • windows_1252_to_utf8() : SimplePie_Misc
  • WINDOWS_CE : WebClient
  • WINDOWS_PHONE : WebClient
  • withAssertion() : Behavior
  • withoutNode() : FOFTableNested
  • withStructure() : JDatabaseExporter , JDatabaseImporter
  • workaroundIPIssues() : FOFUtilsIp , IpHelper
  • wrapText() : PHPMailer
  • writable() : JHtmlDirectory
  • write() : FtpClient , File , Stream , FileWrapper , FtpClient , File , Stream , Apc , Apcu , Database , Storage , Xcache , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageDatabase , JSessionStorageXcache
  • writeConfigFile() : ConfigModelApplication
  • writeFile() : Stream
  • writeProcessIdFile() : AbstractDaemonApplication , DaemonApplication
  • writeToFile() : PlgSystemDebug


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- x -

  • xdebuglink() : JHtmlDebug
  • xml_encoding() : SimplePie_Misc
  • xmlToCreate() : JDatabaseImporterMysqli
  • xor64() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • xorInt32() : ParagonIE_Sodium_Core32_Int32
  • xorInt64() : ParagonIE_Sodium_Core32_Int64
  • xorNonce() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • xorStrings() : ParagonIE_Sodium_Core_Util
  • xsalsa20() : ParagonIE_Sodium_Core32_XSalsa20 , ParagonIE_Sodium_Core_XSalsa20
  • xsalsa20_xor() : ParagonIE_Sodium_Core32_XSalsa20 , ParagonIE_Sodium_Core_XSalsa20


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- y -

  • year() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql


Joomla CMS: Champs de donnée

Liste de tous les champs de structure et d'union avec des liens vers les structures/unions auxquelles ils appartiennent :

- z -

  • zipSetArgs() : FOFLess , lessc


Joomla CMS: Champs de donnée - Fonctions

- _ -

  • _() : AKText , HTMLHelper , Language , Text , JTextWrapper , Route , JRouteWrapperRoute
  • __call() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseQuery , FOFInput , FOFModel , FOFUtilsPhpfunc , JDatabaseDriver , JDatabaseQuery , JInput , CacheController , DataSet , Input , SimplePie
  • __callStatic() : FOFInput
  • __clone() : FOFDatabaseQuery , FOFDatabaseQueryElement , JDatabaseQuery , JDatabaseQueryElement , Registry
  • __construct() : ActionlogsControllerActionlogs , ActionlogsModelActionlogs , AKCoreTimer , AKFactory , AKText , AssociationsModelAssociations , BannersCategories , BannersControllerBanners , BannersModelBanners , BannersModelClients , BannersModelTracks , BannersTableBanner , BannersTableClient , DisallowedClassesSubstitutor , CacheModelCache , CallbackFilterIterator , CategoriesController , CategoriesControllerCategory , CategoriesModelCategories , CategoriesModelCategory , CheckinModelCheckin , ClassLoader , ConfigControllerApplication , ConfigControllerComponent , ConfigModelCms , ConfigViewCmsHtml , ContactCategories , ContactController , ContactControllerContacts , ContactModelCategory , ContactModelContacts , ContactModelFeatured , ContactRouter , ContactRouterRulesLegacy , ContactTableContact , ContentCategories , ContentController , ContentControllerArticle , ContentControllerArticles , ContenthistoryModelHistory , ContentModelArticles , ContentModelCategory , ContentModelFeatured , ContentRouter , ContentRouterRulesLegacy , ContentTableFeatured , CryptoExceptionHandler , easyparse , EasyPeasyICS , FieldsController , FieldsControllerField , FieldsControllerGroup , FieldsModelField , FieldsModelFields , FieldsModelGroups , FieldsTableField , FieldsTableGroup , FinderIndexer , FinderIndexerAdapter , FinderIndexerQuery , FinderIndexerResponse , FinderIndexerResult , FinderIndexerToken , FinderModelFilters , FinderModelIndex , FinderModelMaps , FinderTableFilter , FinderTableLink , FinderTableMap , FOFAutoloaderComponent , FOFAutoloaderFof , FOFController , FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , FOFDatabaseInstaller , FOFDatabaseIterator , FOFDatabaseQuery , FOFDatabaseQueryElement , FOFDispatcher , FOFDownloadAdapterCurl , FOFDownloadAdapterFopen , FOFEncryptAes , FOFEncryptAesOpenssl , FOFEncryptTotp , FOFFormHeader , FOFHalDocument , FOFHalLink , FOFHalRenderJson , FOFInflector , FOFInput , FOFIntegrationJoomlaFilesystem , FOFIntegrationJoomlaPlatform , FOFLess , FOFLessFormatterClassic , FOFLessParser , FOFModel , FOFModelField , FOFModelFieldText , FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper , FOFTable , FOFTableNested , FOFTableRelations , FOFToolbar , FOFUtilsFilescheck , FOFUtilsObject , FOFUtilsObservableEvent , FOFUtilsTimer , FOFUtilsUpdate , FOFView , FOFViewCsv , FOFViewHtml , FOFViewJson , FOFViewRaw , idna_convert , InstallationApplicationWeb , InstallationControllerInstallEmail , InstallationControllerInstallLanguages , InstallationControllerSetdefaultlanguage , InstallationModelLanguages , InstallationResponseJson , InstallerControllerManage , InstallerControllerUpdatesites , InstallerModel , InstallerModelDiscover , InstallerModelLanguages , InstallerModelManage , InstallerModelUpdate , InstallerModelUpdatesites , InstallerViewDefault , JAdminCssMenu , JApplication , JApplicationWebRouter , JClassLoader , JControllerBase , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseExceptionExecuting , JDatabaseExporter , JDatabaseImporter , JDatabaseIterator , JDatabaseQuery , JDatabaseQueryElement , JDispatcher , JEvent , JException , JFacebook , JFacebookOAuth , JFacebookObject , JFormFieldLogsDateRange , JGithub , JGithubHttp , JGithubObject , JGoogle , JGoogleAuthOauth2 , JGoogleData , JGoogleDataAdsense , JGoogleDataCalendar , JGoogleDataPicasa , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , JGoogleDataPlus , JGoogleDataPlusActivities , JGoogleDataPlusComments , JGoogleDataPlusPeople , JGoogleEmbed , JGoogleEmbedMaps , JGrid , JInput , JInputCli , JInputCookie , JInputFiles , JInputJSON , JJsonResponse , JLess , JLinkedin , JLinkedinOauth , JLinkedinObject , JMediawiki , JMediawikiHttp , JMediawikiObject , JModelBase , JModelDatabase , JNode , JOAuth1Client , JOAuth2Client , JObservable , JObserver , JObserverUpdater , JObserverUpdaterInterface , AbstractApplication , AbstractCliApplication , AbstractDaemonApplication , AbstractWebApplication , CliOutput , ColorStyle , ColorProcessor , WebClient , Archive , Bzip2 , Gzip , Tar , Zip , Rule , Rules , Adapter , AdapterInstance , AdministratorApplication , BaseApplication , CliApplication , CMSApplication , DaemonApplication , SiteApplication , WebApplication , Authentication , Cache , CacheController , CacheStorage , CacheliteStorage , CacheStorageHelper , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , Captcha , HttpBridgePostRequestMethod , Categories , CategoryFactory , CategoryNode , FtpClient , ComponentRecord , MissingComponentException , RouterBase , RouterLegacy , RouterViewConfiguration , MenuRules , NomenuRules , StandardRules , McryptCipher , Crypt , Key , Date , Document , DocumentRenderer , ErrorDocument , FeedDocument , HtmlDocument , ImageDocument , JsonDocument , OpensearchDocument , RawDocument , XmlDocument , Editor , Browser , FeedLink , FeedParser , FeedPerson , Patcher , Stream , InputFilter , LastvisitdaterangeField , RegistrationdaterangeField , TagField , UseractiveField , Form , FormField , ContentHistoryHelper , UserGroupsHelper , Http , CurlTransport , SocketTransport , StreamTransport , TransportInterface , Image , ImageFilter , Cli , Cookie , Files , Input , Json , Installer , InstallerAdapter , InstallerExtension , Manifest , Language , FileLayout , DelegatingPsrLogger , Log , LogEntry , Logger , CallbackLogger , DatabaseLogger , EchoLogger , FormattedtextLogger , SyslogLogger , W3cLogger , AbstractMenu , MenuHelper , MenuItem , Node , Component , Heading , Separator , Url , SiteMenu , Tree , Microdata , AdminController , BaseController , FormController , MVCFactory , AdminModel , BaseDatabaseModel , FormModel , ListModel , HtmlView , CMSObject , Pagination , PaginationObject , Pathway , SitePathway , CMSPlugin , Profiler , JsonResponse , RouteNotFoundException , Router , SiteRouter , ChangeItem , ChangeSet , MetadataManager , Session , Asset , Category , Content , ContentHistory , ContentType , CoreContent , Extension , Language , Menu , MenuType , Module , AbstractObserver , Table , Ucm , Update , UpdateSite , User , Usergroup , ViewLevel , Toolbar , ToolbarButton , UCMBase , UCMContent , UCMType , Updater , User , DataObject , DataSet , Container , AbstractEvent , DelegatingDispatcher , EventImmutable , ListenersPriorityQueue , FtpClient , FilesystemException , Patcher , Stream , InputFilter , Image , ImageFilter , Cli , Cookie , Files , Input , Json , LdapClient , Yaml , Registry , Session , Storage , Apc , Apcu , Database , Memcache , Memcached , Wincache , Xcache , Inflector , AbstractUri , UriImmutable , ArrayHelper , IpHelper , JOpenstreetmap , JOpenstreetmapOauth , JOpenstreetmapObject , JSessionHandlerJoomla , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageMemcache , JSessionStorageMemcached , JSessionStorageRedis , JSessionStorageWincache , JSessionStorageXcache , JSimplecrypt , JTableSession , JTree , JTwitter , JTwitterOAuth , JTwitterObject , JViewBase , JViewHtml , LanguagesModelInstalled , LanguagesModelLanguage , LanguagesModelLanguages , LanguagesModelOverrides , lessc , lessc_formatter_classic , lessc_parser , MenusController , MenusControllerItems , MenusModelItems , MenusModelMenus , MessagesModelMessages , MessagesTableMessage , ModulesController , ModulesModelModule , ModulesModelModules , ModulesModelPositions , NewsfeedsCategories , NewsfeedsModelCategory , NewsfeedsModelNewsfeeds , NewsfeedsRouter , NewsfeedsRouterRulesLegacy , NewsfeedsTableNewsfeed , nodecounter , OpenSSL , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_ChaCha20_IetfCtx , ParagonIE_Sodium_Core32_Curve25519_Ge_Cached , ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P2 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_ChaCha20_IetfCtx , ParagonIE_Sodium_Core_Curve25519_Ge_Cached , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P2 , ParagonIE_Sodium_Core_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_Precomp , ParagonIE_Sodium_Core_Poly1305_State , ParagonIE_Sodium_Core_SecretStream_State , PasswordHash , PHPMailer , PHPMailerOAuthGoogle , PlgActionlogJoomla , PlgContentVote , PlgQuickiconEos310 , PlgSystemActionLogs , PlgSystemCache , PlgSystemDebug , PlgSystemLanguageFilter , PlgSystemLogout , PlgSystemPrivacyconsent , PlgSystemRedirect , PlgUserProfile , PlgUserTerms , PluginsModelPlugin , PluginsModelPlugins , PrivacyModelConsents , PrivacyModelRequests , PrivacyRouter , PrivacyTableConsent , PrivacyTableRequest , ReCaptcha , CurlPost , SocketPost , RequestParameters , Response , RedirectModelLinks , RedirectTableLink , SearchModelSearch , SearchModelSearches , SimplePie , SimplePie_Author , SimplePie_Autoloader , SimplePie_Cache , SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL , SimplePie_Caption , SimplePie_Category , SimplePie_Content_Type_Sniffer , SimplePie_Copyright , SimplePie_Credit , SimplePie_Decode_HTML_Entities , SimplePie_Enclosure , SimplePie_File , SimplePie_gzdecode , SimplePie_HTTP_Parser , SimplePie_IRI , SimplePie_Item , SimplePie_Locator , SimplePie_Parse_Date , SimplePie_Rating , SimplePie_Registry , SimplePie_Restriction , SimplePie_Sanitize , SimplePie_Source , SimplePie_XML_Declaration_Parser , SplFixedArray , ParseException , Parser , TagsModelTag , TagsModelTags , TagsTableTag , TemplatesControllerTemplate , TemplatesModelStyle , TemplatesModelStyles , TemplatesModelTemplates , TemplatesTableStyle , ConjunctionInterceptor , Manager , Container , Manifest , Reader , PharInvocation , UsersControllerUsers , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroup , UsersModelGroups , UsersModelLevels , UsersModelNotes , UsersModelProfile , UsersModelRegistration , UsersModelUser , UsersModelUsers , UsersRouter , UsersRouterRulesLegacy , UsersTableNote
  • __debugInfo() : ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_Curve25519_Fe
  • __destruct() : CryptoExceptionHandler , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDatabaseIterator , JDatabaseDriver , JDatabaseIterator , FtpClient , Stream , FormattedtextLogger , SyslogLogger , FtpClient , Stream , Image , LdapClient , ParagonIE_Sodium_Core_Poly1305_State , PHPMailer , SimplePie , SimplePie_Item
  • __get() : FinderIndexerResult , FOFDatabaseDriverJoomla , FOFDatabaseQuery , FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup , FOFFormHeader , FOFHalLink , FOFModel , JDatabaseQuery , JFacebook , JFormFieldCalendar , JFormFieldCategoryEdit , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldColor , JFormFieldConsentBox , JFormFieldFile , JFormFieldFileList , JFormFieldFolderList , JFormFieldList , JFormFieldMenuitemByType , JFormFieldMeter , JFormFieldModal_Menu , JFormFieldNumber , JFormFieldPassword , JFormFieldPlugins , JFormFieldRules , JFormFieldSQL , JFormFieldSubform , JFormFieldText , JFormFieldTextarea , JFormFieldTimezone , JGithub , JGithubPackage , JGoogleDataPlus , JInput , JLinkedin , JMediawiki , WebClient , ComponentRecord , Key , Date , Feed , FeedEntry , CaptchaField , ChromestyleField , EditorField , MediaField , MenuitemField , ModuleorderField , ModulepositionField , OrderingField , TemplatestyleField , FormField , Input , AbstractMenu , MenuItem , Session , UCMType , Version , DataObject , DataSet , Input , Session , JOpenstreetmap , JTwitter , SimplePie_IRI
  • __isset() : FinderIndexerResult , MenuItem , DataObject , DataSet , SimplePie_IRI
  • __set() : FinderIndexerResult , FOFDatabaseDriverJoomla , FOFHalLink , FOFModel , JFormFieldCalendar , JFormFieldCategoryEdit , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldColor , JFormFieldConsentBox , JFormFieldFile , JFormFieldFileList , JFormFieldFolderList , JFormFieldMenuitemByType , JFormFieldMeter , JFormFieldModal_Menu , JFormFieldNumber , JFormFieldPassword , JFormFieldPlugins , JFormFieldRules , JFormFieldSQL , JFormFieldSubform , JFormFieldText , JFormFieldTextarea , JFormFieldTimezone , ComponentRecord , Feed , FeedEntry , CaptchaField , ChromestyleField , EditorField , MediaField , MenuitemField , ModuleorderField , ModulepositionField , OrderingField , TemplatestyleField , FormField , MenuItem , DataObject , DataSet , UriImmutable , SimplePie_gzdecode , SimplePie_IRI
  • __sleep() : FOFDatabaseDriverPdo , JDatabaseDriverPdo , User
  • __toString() : FOFDatabaseQuery , FOFDatabaseQueryElement , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlsrv , FOFUtilsObject , JApplication , JDatabaseExporter , JDatabaseQuery , JDatabaseQueryElement , JDatabaseQueryMysqli , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv , JException , JGrid , JJsonResponse , ColorStyle , Rule , Rules , Date , CMSObject , JsonResponse , Registry , AbstractUri , UriInterface , JViewHtml , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , SimplePie , SimplePie_Author , SimplePie_Caption , SimplePie_Category , SimplePie_Copyright , SimplePie_Credit , SimplePie_Enclosure , SimplePie_IRI , SimplePie_Item , SimplePie_Rating , SimplePie_Restriction , SimplePie_Source , PharInvocation
  • __unset() : FinderIndexerResult , DataObject , DataSet , SimplePie_IRI
  • __wakeup() : AKAbstractUnarchiver , AKCoreTimer , FOFDatabaseDriverPdo , FOFUtilsTimer , JDatabaseDriverPdo , User , SplFixedArray
  • _adapt() : idna_convert
  • _addAttributesToEmail() : PlgContentEmailcloak
  • _addPath() : FOFView , HtmlView
  • _addToZIPFile() : JArchiveZip
  • _ampReplaceCallback() : OutputFilter , OutputFilterWrapper
  • _apply_cannonical_ordering() : idna_convert
  • _applyCredentials() : JoomlaupdateControllerUpdate
  • _applyPostInstallationMessages() : FOFUtilsInstallscript
  • _authorise() : JOAuth1Client
  • _autoload() : JLoader
  • _baseString() : JOAuth1Client
  • _bin() : UserHelper
  • _buildAdminMenus() : ComponentAdapter
  • _buildContentOrderBy() : ContentModelCategory
  • _buildContext() : Stream
  • _buildDataObject() : Pagination
  • _buildRawRoute() : Router
  • _buildSefRoute() : Router , SiteRouter
  • _characterData() : ExtensionAdapter , Update
  • _checkedOut() : JHtmlGrid
  • _checkExpire() : FileStorage
  • _cleanAttributes() : InputFilter
  • _cleanIntrotext() : ModArticlesCategoryHelper
  • _cleanPath() : FileStorage , Uri
  • _cleanTags() : InputFilter
  • _cleanVar() : FOFInput , JRequest
  • _cloak() : PlgContentEmailcloak
  • _combine() : idna_convert
  • _countItemsInCategory() : PlgContentJoomla
  • _countItemsInChildren() : PlgContentJoomla
  • _createConfiguration() : JApplication
  • _createDecryptionKey() : FOFDispatcher
  • _createDocumentWithHypermedia() : FOFViewJson
  • _createFileName() : ConfigViewCmsHtml , FOFModel , FOFView , BaseDatabaseModel , HtmlView
  • _createHeader() : JOAuth1Client
  • _createModel() : FOFController
  • _createNavigation() : PlgContentPagebreak
  • _createSession() : JApplication
  • _createTable() : FOFModel , BaseDatabaseModel
  • _createToc() : PlgContentPagebreak
  • _createToken() : Session
  • _createUri() : Router
  • _createView() : FOFController
  • _createZIPFile() : JArchiveZip
  • _csrfProtection() : FOFController
  • _cvc() : Porteren
  • _decode() : idna_convert , InputFilter
  • _decode_digit() : idna_convert
  • _decodeSegments() : Router
  • _decryptWithTOTP() : FOFDispatcher
  • _deleteFolder() : FileStorage
  • _displayButtons() : PlgEditorNone
  • _doubleConsonant() : Porteren
  • _encode() : idna_convert
  • _encode_digit() : idna_convert
  • _encodeSegments() : Router
  • _endElement() : CollectionAdapter , ExtensionAdapter , Update
  • _error() : idna_convert
  • _escapeAttributeValues() : InputFilter
  • _fetchFeedParser() : FeedFactory
  • _fetchTemplate() : HtmlDocument
  • _filesInFolder() : FileStorage
  • _finalize() : AKAbstractPart , AKAbstractUnarchiver
  • _findItem() : TagsHelperRoute
  • _findMode() : FtpClient
  • _folders() : FileStorage
  • _followUnfollow() : JLinkedinGroups
  • _fromObject() : FOFUtilsArray , JArrayHelper
  • _generateAccessToken() : JOAuth1Client
  • _generateRequestToken() : JOAuth1Client
  • _get_combining_class() : idna_convert
  • _getActions() : ContentHelper
  • _getArray() : StringController
  • _getAssetName() : FieldsTableField , FieldsTableGroup , Category , Content , Language , MenuType , Module , Table
  • _getAssetParentId() : FieldsTableField , FieldsTableGroup , Category , Content , Language , MenuType , Module
  • _getAssetTitle() : FieldsTableField , FieldsTableGroup , Category , Content , Language , MenuType , Module , Table
  • _getCacheId() : CacheStorage , MemcachedStorage , MemcacheStorage
  • _getCommand() : ConfirmButton , HelpButton , LinkButton , PopupButton , SliderButton , StandardButton
  • _getExtensionId() : PackageAdapter
  • _getFileData() : JArchiveZip
  • _getFilename() : Stream
  • _getFilePath() : FileStorage
  • _getFilePosition() : JArchiveGzip
  • _getImagesArray() : JHtmlRules
  • _getJSObject() : JHtmlBehavior
  • _getLanguage() : PlgCaptchaRecaptcha
  • _getLastTag() : Update , UpdateAdapter
  • _getLineEnd() : Document
  • _getLink() : FOFHalRenderJson
  • _getList() : ContentModelArchive , FieldsModelFields , FieldsModelGroups , FOFModel , InstallerModel , InstallerModelUpdate , BaseDatabaseModel , ModulesModelModules , PluginsModelPlugins
  • _getListCount() : FinderModelMaps , FOFModel , InstallerModelLanguages , BaseDatabaseModel
  • _getListQuery() : ListModel
  • _getNode() : Nested
  • _getPackageFromFolder() : InstallerModelInstall
  • _getPackageFromUpload() : InstallerModelInstall
  • _getPackageFromUrl() : InstallerModelInstall
  • _getParent() : CollectionAdapter
  • _getParentAssetId() : JHtmlRules
  • _getPattern() : PlgContentEmailcloak
  • _getPrototypeURIForPagination() : FOFViewJson
  • _getStackLocation() : CollectionAdapter , Update , UpdateAdapter
  • _getStorage() : Cache
  • _getTab() : Document
  • _getTarInfo() : JArchiveTar
  • _getTreeRepositionData() : Nested
  • _getUser() : PlgUserJoomla
  • _getUserDisplayedGroups() : UsersModelUsers
  • _getUserGroups() : JHtmlRules
  • _hangul_compose() : idna_convert
  • _hangul_decompose() : idna_convert
  • _hexToInt() : SimpleCipher
  • _hexToIntArray() : SimpleCipher
  • _import() : PluginHelper
  • _initialise() : DataSet
  • _install() : LanguageAdapter
  • _intToHex() : SimpleCipher
  • _item_active() : Pagination
  • _item_inactive() : Pagination
  • _items() : Folder
  • _likeUnlike() : JLinkedinGroups , JLinkedinStream
  • _list_footer() : Pagination
  • _list_render() : Pagination
  • _load() : JLoader , Captcha , ComponentHelper , LibraryHelper , ModuleHelper , PluginHelper , PlgContentLoadmodule
  • _loadEditor() : Editor
  • _loadid() : PlgContentLoadmodule
  • _loadmod() : PlgContentLoadmodule
  • _loadTemplate() : ErrorDocument , HtmlDocument
  • _lock() : FOFTable , Table
  • _logtable() : Nested
  • _m() : Porteren
  • _makeId() : CallbackController , PageController , ViewController
  • _makeItem() : Pathway
  • _makeReturnTable() : AKAbstractPart
  • _mapbin() : FOFEncryptBase32
  • _mapcharset() : FOFEncryptBase32
  • _mime_types() : PHPMailer
  • _mode() : FtpClient
  • _nameprep() : idna_convert
  • _noChange() : PageController
  • _parseRawRoute() : Router
  • _parseSefRoute() : Router
  • _parseTemplate() : HtmlDocument
  • _parseTemplatePath() : FOFView
  • _passive() : FtpClient
  • _prepare() : AKAbstractPart , AKAbstractUnarchiver
  • _prepareDocument() : ContactViewContact , ContactViewFeatured , ContentViewArchive , ContentViewArticle , ContentViewFeatured , ContentViewForm , NewsfeedsViewNewsfeed , TagsViewTag , TagsViewTags
  • _prepareSigningKey() : JOAuth1Client
  • _proceedSaveOrderButton() : JHtmlSortablelist
  • _processBuildRules() : Router
  • _processParseRules() : Router
  • _putCmd() : FtpClient
  • _readZipInfo() : JArchiveZip
  • _real_getState() : FOFModel
  • _reallyPublishAdminMenuItems() : FOFUtilsInstallscript
  • _recaptcha_http_post() : PlgCaptchaRecaptcha
  • _recaptcha_qsencode() : PlgCaptchaRecaptcha
  • _relToAbs() : DocumentRenderer
  • _remove() : InputFilter
  • _removeURIBase() : FOFViewJson
  • _renderTemplate() : HtmlDocument
  • _replace() : Porteren
  • _rollback_menu() : ComponentAdapter , ModuleAdapter
  • _rollback_module() : ModuleAdapter
  • _run() : AKAbstractPart , AKAbstractUnarchiver
  • _runQuery() : Nested
  • _sendEmail() : ContactControllerContact
  • _setCookieParams() : Session
  • _setCounter() : Session
  • _setEtag() : PageController
  • _setOptions() : Session
  • _setPath() : FOFView , HtmlView
  • _setPlatform() : Browser
  • _setSubMenu() : AdminViewSysinfo
  • _setTimers() : Session
  • _signRequest() : JOAuth1Client
  • _smartSubstr() : SearchHelper
  • _sortLanguages() : InstallationFormFieldLanguage
  • _sortObjects() : FOFUtilsArray , JArrayHelper
  • _start() : Session
  • _startElement() : CollectionAdapter , ExtensionAdapter , Update
  • _step1ab() : Porteren
  • _step1c() : Porteren
  • _step2() : Porteren
  • _step3() : Porteren
  • _step4() : Porteren
  • _step5() : Porteren
  • _string_to_element() : ParagonIE_Sodium_Core_Ristretto255
  • _stripCSSExpressions() : InputFilter
  • _toAPRMD5() : UserHelper
  • _toogleButton() : PlgEditorTinymce
  • _ucs4_string_to_ucs4() : idna_convert
  • _ucs4_to_ucs4_string() : idna_convert
  • _ucs4_to_utf8() : idna_convert
  • _unix2DOSTime() : JArchiveZip
  • _unlock() : FOFTable , Table
  • _updateMenus() : ComponentAdapter
  • _updateSiteMenus() : ComponentAdapter
  • _utf8_to_ucs4() : idna_convert
  • _validate() : Session
  • _verifyResponse() : FtpClient


Joomla CMS: Champs de donnée - Fonctions

- a -

  • abort() : Installer
  • abridge() : JHtmlString
  • absolutize() : SimplePie_IRI
  • absolutize_url() : SimplePie_Misc
  • accept() : CallbackFilterIterator
  • access() : JHtmlBatch
  • accesspublic() : FOFController
  • accessregistered() : FOFController
  • accessspecial() : FOFController
  • action() : JHtmlJGrid , PostinstallControllerMessage
  • actions() : JHtmlAccess
  • activate() : RedirectControllerLinks , RedirectModelLink , UsersControllerRegistration , UsersControllerUsers , UsersModelRegistration , UsersModelUser
  • activateStates() : JHtmlUsers
  • activateUser() : UserHelper , UserWrapper
  • add() : ClassLoader , ContentControllerArticle , FOFController , JGithubPackageIssuesLabels , JGithubPackageRepositoriesCollaborators , JGithubPackageUsersEmails , Patcher , Log , Mail , FormController , ListenersPriorityQueue , Patcher , LdapClient , MenusControllerItem , ModulesControllerModule , ParagonIE_Sodium_Compat
  • add364() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • add64() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • add_callback() : SimplePie_Parse_Date
  • addAddress() : PHPMailer
  • addAllCategoriesMenuItem() : InstallationModelLanguages
  • addAnAddress() : PHPMailer
  • addArgument() : Event
  • addArticle() : InstallationModelLanguages
  • addAssociations() : InstallationModelLanguages
  • addAttachment() : Mail , PHPMailer
  • addBaseName() : PharInvocationResolver
  • addBcc() : Mail
  • addBCC() : PHPMailer
  • addBehavior() : FOFModel , FOFTable
  • addBespokePivotRelation() : FOFTableRelations
  • addBespokeSimpleRelation() : FOFTableRelations
  • addBlock() : nodecounter
  • addBlogMenuItem() : InstallationModelLanguages
  • addBranch() : FinderIndexerTaxonomy
  • addButtonPath() : Toolbar
  • addCalendar() : JGoogleDataCalendar
  • addCall() : JGoogleEmbedAnalytics
  • addCategory() : InstallationModelLanguages , Feed , FeedEntry
  • addCc() : Mail
  • addCC() : PHPMailer
  • addChild() : JNode , CategoryNode , Node , Tree , JTree
  • addChildRelation() : FOFTableRelations
  • addChildrenRelation() : FOFTableRelations
  • addClassMap() : ClassLoader
  • addClientInfo() : ApplicationHelper
  • addColumn() : JGrid , ArrayHelper
  • addComment() : JLinkedinGroups
  • addContentType() : FinderIndexerHelper
  • addContextEntry() : Stream
  • addContributor() : Feed , FeedEntry
  • addCountableRule() : Inflector
  • addCSS() : FOFTemplateUtils
  • addCustomHeader() : PHPMailer
  • addCustomItem() : JHtmlActionsDropdown , JHtmlDropdown
  • addCustomTag() : HtmlDocument
  • addCustomTypes() : MenusViewMenutypes
  • addCustomVar() : JGoogleEmbedAnalytics
  • addData() : FOFHalDocument
  • addDebugMessage() : BaseLayout
  • addDefaultLanguageStrings() : AKText
  • addDirectory() : AdminModelSysInfo
  • addDisconnectHandler() : FOFDatabaseDriver , JDatabaseDriver
  • addDisplayCallback() : PlgSystemDebug
  • addEmbedded() : FOFHalDocument
  • addEmbeddedImage() : PHPMailer
  • addEntry() : JHtmlSidebar , Feed , Logger , CallbackLogger , DatabaseLogger , EchoLogger , FormattedtextLogger , MessagequeueLogger , SyslogLogger , JSubMenuHelper
  • addEvent() : EasyPeasyICS , JGoogleEmbedAnalytics , Dispatcher
  • addEventHandler() : JGoogleEmbedMaps
  • addFavicon() : HtmlDocument
  • addFeaturedMenuItem() : InstallationModelLanguages
  • addFeed() : CategoryView
  • addField() : PrivacyExportItem
  • addFieldPath() : FOFForm , Form , FormHelper , FormWrapper
  • addFieldPrefix() : FormHelper
  • addFile() : Patcher
  • addFilter() : JHtmlSidebar , JSubMenuHelper
  • addFormPath() : FOFForm , Form , FormHelper , FormWrapper
  • addFormPrefix() : FormHelper
  • addHeaderPath() : FOFForm , FOFFormHelper
  • addHeadLink() : HtmlDocument
  • addHelperPath() : FOFView , HtmlView
  • addImage() : OpensearchDocument
  • addImportDir() : FOFLess , lessc
  • addIncludePath() : FOFModel , FOFTable , Cache , CacheController , CacheStorage , HTMLHelper , FileLayout , BaseDatabaseModel , Table
  • addIncludePaths() : FileLayout
  • addInstruction() : FinderIndexerResult
  • addInt32() : ParagonIE_Sodium_Core32_Int32
  • addInt64() : ParagonIE_Sodium_Core32_Int64
  • addItem() : FeedDocument , Pathway , PrivacyExportDomain
  • addJS() : FOFTemplateUtils
  • addKnownField() : FOFTable
  • addLanguage() : InstallationModelLanguages
  • addLayout() : RouterViewConfiguration
  • addLESS() : FOFTemplateUtils
  • addLink() : FOFHalDocument , FOFHalLinks , FeedEntry , MailtoHelper
  • addLinks() : FOFHalDocument , FOFHalLinks
  • addListener() : Dispatcher
  • addLog() : ActionlogsModelActionlog
  • addLogEntry() : Log
  • addLogger() : Log
  • addLoggerInternal() : Log
  • addMap() : FinderIndexerTaxonomy , JApplicationWebRouterBase
  • addMaps() : JApplicationWebRouterBase
  • addMarker() : JGoogleEmbedMaps
  • addMember() : JGithubPackageOrgsTeams
  • addMembers() : JTwitterLists
  • addMenuGroup() : InstallationModelLanguages
  • addMenuItems() : PlgSampledataBlog
  • addModelPath() : FOFController , BaseController
  • addModuleInModuleMenu() : InstallationModelLanguages
  • addModuleLanguageSwitcher() : InstallationModelLanguages
  • addModuleMenu() : InstallationModelLanguages
  • addMultipleRelation() : FOFTableRelations
  • addNew() : ToolbarHelper
  • addNode() : FinderIndexerTaxonomy , Form
  • addNote() : JHtmlUsers
  • addObserverClassToClass() : JObserverMapper , JObserverWrapperMapper
  • addOption() : JFormFieldList
  • addOrEnqueueAnAddress() : PHPMailer
  • addPanel() : JHtmlBootstrap
  • addParentRelation() : FOFTableRelations
  • addParsedFile() : FOFLess , lessc
  • addPath() : FOFController , FormHelper , BaseController
  • addPluraliseRule() : Inflector
  • addPostInstallationMessage() : FOFUtilsInstallscript , PostinstallModelMessages
  • addPredefinedStyles() : ColorProcessor
  • addPrefix() : FormHelper
  • addPreset() : MenuHelper
  • addPsr4() : ClassLoader
  • addrAppend() : PHPMailer
  • addRecipient() : Mail
  • addReplyTo() : Mail , PHPMailer
  • addRepo() : JGithubPackageOrgsTeams
  • addReverseLookupUrl() : MenusModelMenutypes
  • addrFormat() : PHPMailer
  • AddRoundKey() : AKEncryptionAES
  • addRow() : JGrid
  • addRule() : Inflector
  • addRulePath() : FOFForm , Form , FormHelper , FormWrapper
  • addRulePrefix() : FormHelper
  • addScript() : Document
  • addScriptDeclaration() : Document
  • addScriptOptions() : Document
  • addScriptVersion() : Document
  • addSingulariseRule() : Inflector
  • addSlide() : JHtmlBootstrap
  • addStringAttachment() : PHPMailer
  • addStringEmbeddedImage() : PHPMailer
  • addStyle() : ColorProcessor
  • addStyleDeclaration() : Document
  • addStyleSheet() : Document
  • addStyleSheetVersion() : Document
  • addSubmenu() : BannersHelper , CacheHelper , CategoriesHelper , CheckinController , ContactHelper , ContentHelper , FieldsHelper , FinderHelper , InstallerHelper , ContentHelper , LanguagesHelper , MenusHelper , MessagesHelper , ModulesHelper , NewsfeedsHelper , PluginsHelper , PrivacyHelper , RedirectHelper , SearchHelper , TagsHelper , TemplatesHelper , UsersHelper
  • addTab() : JHtmlBootstrap
  • addTablePath() : FOFModel , BaseDatabaseModel
  • addTagMapping() : TagsHelper
  • addTaxonomy() : FinderIndexerResult
  • addTemplatePath() : FOFView , HtmlView
  • addTokensToDb() : FinderIndexer
  • addToNode() : nodecounter
  • addToolbar() : ActionlogsViewActionlogs , AdminViewHelp , AdminViewProfile , AdminViewSysinfo , AssociationsViewAssociation , AssociationsViewAssociations , BannersViewBanner , BannersViewBanners , BannersViewClient , BannersViewClients , BannersViewTracks , CacheViewCache , CacheViewPurge , CategoriesViewCategories , CategoriesViewCategory , CheckinViewCheckin , ConfigViewApplicationHtml , ConfigViewComponentHtml , ContactViewContact , ContactViewContacts , ContentViewArticle , ContentViewArticles , ContentViewFeatured , FieldsViewField , FieldsViewFields , FieldsViewGroup , FieldsViewGroups , FinderViewFilter , FinderViewFilters , FinderViewIndex , FinderViewMaps , InstallerViewDatabase , InstallerViewDefault , InstallerViewDiscover , InstallerViewInstall , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , InstallerViewWarnings , LanguagesViewInstalled , LanguagesViewLanguage , LanguagesViewLanguages , LanguagesViewOverride , LanguagesViewOverrides , MediaViewMedia , MenusViewItem , MenusViewItems , MenusViewMenu , MenusViewMenus , MenusViewMenutypes , MessagesViewMessage , MessagesViewMessages , ModulesViewModule , ModulesViewModules , ModulesViewSelect , NewsfeedsViewNewsfeed , NewsfeedsViewNewsfeeds , PluginsViewPlugin , PluginsViewPlugins , PrivacyViewCapabilities , PrivacyViewConsents , PrivacyViewDashboard , PrivacyViewRequest , PrivacyViewRequests , RedirectViewLink , RedirectViewLinks , SearchViewSearches , TagsViewTag , TagsViewTags , TemplatesViewStyle , TemplatesViewStyles , TemplatesViewTemplate , TemplatesViewTemplates , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroup , UsersViewGroups , UsersViewLevel , UsersViewLevels , UsersViewMail , UsersViewNote , UsersViewNotes , UsersViewUser , UsersViewUsers
  • addToStack() : JError
  • addToZipFile() : Zip
  • addUpdateSite() : PlgExtensionJoomla
  • addUrl() : OpensearchDocument
  • addUserToGroup() : UserHelper , UserWrapper
  • addViewPath() : FOFController , BaseController
  • addWord() : FOFInflector , Inflector
  • addXmlChild() : MenusViewMenu
  • admin_language() : JHtmlUsers
  • aead_xchacha20poly1305_ietf_decrypt() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_ietf_encrypt() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • AESDecryptCBC() : AKEncryptionAES
  • AESDecryptCtr() : AKEncryptionAES
  • AESEncryptCtr() : AKEncryptionAES
  • AESTestVector() : Crypto
  • affix() : JHtmlBootstrap
  • afterSessionStart() : JApplication , WebApplication
  • ajax() : JoomlaupdateControllerUpdate
  • ajax_upload() : InstallerControllerInstall
  • ajaxchosen() : JHtmlFormbehavior
  • ajaxfield() : JHtmlTag
  • alert() : JHtmlBootstrap , AbstractLogger , LoggerInterface
  • alias() : Container
  • allow() : Rule , Rules
  • allowAdd() : AssociationsHelper , BannersControllerBanner , CategoriesControllerCategory , ContactControllerContact , ContentControllerArticle , FieldsControllerField , FieldsControllerGroup , FormController , MenusControllerItem , NewsfeedsControllerNewsfeed , TagsControllerTag
  • allowCache() : AbstractWebApplication , WebApplication , JResponse
  • allowCustom() : TagField
  • allowEdit() : AdminControllerProfile , AssociationsHelper , BannersControllerBanner , CategoriesControllerCategory , ContactControllerContact , ContentControllerArticle , FieldsControllerField , FieldsControllerGroup , FormController , MenusControllerItem , ModulesControllerModule , NewsfeedsControllerNewsfeed , TagsControllerTag , TemplatesControllerTemplate , UsersControllerGroup , UsersControllerLevel , UsersControllerUser
  • allowSave() : FormController , MessagesControllerMessage , ModulesControllerModule , UsersControllerGroup , UsersControllerLevel
  • allParsedFiles() : FOFLess , lessc
  • alt() : Text , JTextWrapper
  • alterDbCharacterSet() : FOFDatabaseDriver , JDatabaseDriver
  • alternativeExists() : PHPMailer
  • alterTableCharacterSet() : FOFDatabaseDriver , JDatabaseDriver
  • ampReplace() : OutputFilterWrapper , OutputFilter
  • ampReplaceCallback() : OutputFilter
  • andWhere() : JDatabaseQuery
  • anonymous_bind() : LdapClient
  • append() : FOFDatabaseQueryElement , FOFLessParser , JDatabaseQueryElement , FtpClient , File , Registry , lessc_parser
  • appendBody() : AbstractWebApplication , WebApplication , JResponse
  • appendButton() : Toolbar
  • appendFilter() : Stream
  • appendLink() : FOFToolbar
  • appendPrimaryKeys() : Table
  • apply() : FOFController , Patcher , ToolbarHelper , Patcher
  • applyAccessFiltering() : FOFModel
  • applyAliasFor() : JLoader
  • applyContextToStream() : Stream
  • applyHunk() : Patcher
  • applySave() : FOFController
  • applyUpdateSite() : JoomlaupdateModelDefault
  • archive() : FOFController , JHtmlActionsDropdown , JHtmlDropdown
  • archiveList() : ToolbarHelper
  • argumentDef() : FOFLessParser , lessc_parser
  • argumentValues() : FOFLessParser
  • array_column() : Php55ArrayColumn
  • arrayFromObject() : ArrayHelper
  • arraySearch() : ArrayHelper
  • arrayUnique() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • asArray() : Registry
  • ASCIIToUnicode() : ntlm_sasl_client_class
  • asFormattedXml() : JXMLElement
  • asJavascript() : AKText
  • assert() : Assertable , Behavior , ConjunctionInterceptor , PharExtensionInterceptor , PharMetaDataInterceptor , Manager , PharStreamWrapper
  • assertArgs() : lessc
  • assertAssertionCompleteness() : Behavior
  • assertAssertions() : ConjunctionInterceptor
  • assertColor() : FOFLess , lessc
  • assertCommand() : Behavior
  • assertCommands() : Behavior
  • assertNumber() : FOFLess , lessc
  • assertUniqueBaseName() : PharInvocationCollection
  • assertUniqueInvocation() : PharInvocationCollection
  • assetFormWidget() : JHtmlRules
  • assetgrouplist() : JHtmlAccess
  • assetgroups() : JHtmlAccess
  • assign() : FOFLessParser , FOFView , HtmlView , ToolbarHelper , lessc_parser
  • assignGroup() : JMediawikiUsers
  • assignRef() : FOFView , HtmlView
  • association() : JHtmlCategoriesAdministrator , JHtmlContact , JHtmlContentAdministrator , JHtmlNewsfeed , MenusHtmlMenus
  • asXml() : JDatabaseExporter , JDatabaseImporter
  • atom_03_construct_type() : SimplePie_Misc
  • atom_10_construct_type() : SimplePie_Misc
  • atom_10_content_construct_type() : SimplePie_Misc
  • attach() : AKAbstractPart , FOFUtilsObservableDispatcher , JEventDispatcher , JObservable , Authentication , Captcha , Editor
  • attachAll() : PHPMailer
  • attachAllObservers() : JObserverWrapperMapper
  • attachBuildRule() : Router
  • attachHandler() : JError
  • attachmentExists() : PHPMailer
  • attachObserver() : JObservableInterface , JObserverUpdater , JObserverUpdaterInterface , Table
  • attachParseRule() : Router
  • attachRule() : RouterView
  • attachRules() : RouterView
  • auth() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • auth_verify() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • authenticate() : JGoogleAuth , JGoogleAuthOauth2 , JGoogleData , JOAuth1Client , JOAuth2Client , Authentication , SMTP
  • authorise() : FOFController , FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , SiteApplication , Authentication , AbstractMenu , BaseController , User , POP3
  • authoriseUser() : MediaControllerFile
  • authorizeAdmin() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • autodiscovery() : SimplePie_Locator
  • autoload() : SimplePie_Autoloader
  • autoload_fof_controller() : FOFAutoloaderComponent
  • autoload_fof_core() : FOFAutoloaderFof
  • autoload_fof_field() : FOFAutoloaderComponent
  • autoload_fof_helper() : FOFAutoloaderComponent
  • autoload_fof_model() : FOFAutoloaderComponent
  • autoload_fof_table() : FOFAutoloaderComponent
  • autoload_fof_toolbar() : FOFAutoloaderComponent
  • autoload_fof_view() : FOFAutoloaderComponent


Joomla CMS: Champs de donnée - Fonctions

- b -

  • back() : ToolbarHelper
  • backupDatabase() : InstallationModelDatabase
  • base() : Uri
  • base64EncodeWrapMB() : PHPMailer
  • baseFileContainsPharExtension() : PharExtensionInterceptor
  • baseFileDoesNotHaveMetaDataIssues() : PharMetaDataInterceptor
  • batch() : BannersControllerBanner , FieldsControllerField , FieldsControllerGroup , FinderControllerIndexer , FormController , AdminModel , MenusControllerItem , ModulesControllerModule , NewsfeedsControllerNewsfeed , RedirectControllerLinks , TagsControllerTag , UsersControllerUser , UsersModelUser
  • batchAccess() : AdminModel
  • batchCopy() : CategoriesModelCategory , FieldsModelField , AdminModel , MenusModelItem , ModulesModelModule
  • batchFlipordering() : CategoriesModelCategory
  • batchLanguage() : AdminModel
  • batchMove() : CategoriesModelCategory , ContentModelArticle , FieldsModelField , AdminModel , MenusModelItem , ModulesModelModule
  • batchOptions() : JHtmlModules
  • batchProcess() : RedirectModelLinks
  • batchReset() : UsersModelUser
  • batchTag() : AdminModel
  • batchUser() : ContactModelContact , UsersModelUser
  • before_version_name() : SimplePie_XML_Declaration_Parser
  • behavior() : JHtmlGrid
  • bestLinkForUri() : AtomParser
  • between() : FOFModelField , FOFModelFieldDate , FOFModelFieldNumber , FOFModelFieldText
  • bin2hex() : ParagonIE_Sodium_Compat
  • bin2str() : FOFEncryptBase32
  • bind() : BannersTableBanner , FieldsTableField , FieldsTableGroup , FinderTableFilter , FOFDatabaseQueryOracle , FOFDatabaseQuerySqlite , FOFTable , JDatabaseQueryOracle , JDatabaseQueryPgsql , JDatabaseQueryPreparable , JDatabaseQuerySqlite , Form , Category , Content , CoreContent , Extension , Menu , Module , Table , TableInterface , Update , User , ViewLevel , User , DataObject , LdapClient , TagsTableTag , TemplatesTableStyle
  • bindData() : Registry
  • bindLevel() : Form
  • blacklistFilters() : FOFModel
  • block() : FOFLessFormatterClassic , JTwitterBlock , lessc_formatter_classic , UsersModelUser
  • blockStates() : JHtmlUsers
  • blockUser() : JMediawikiUsers
  • body() : SimplePie_HTTP_Parser , SimplePie_Locator
  • bookmark() : JLinkedinJobs
  • boolean() : JHtmlGrid , JHtmlPhpSetting
  • booleanlist() : JHtmlSelect
  • booleanToString() : JLinkedinObject
  • boolval() : Php55
  • box() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_beforenm() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_decrypt() : ParagonIE_Sodium_File
  • box_encrypt() : ParagonIE_Sodium_File
  • box_keypair() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_keypair_from_secretkey_and_publickey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_open() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_publickey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_publickey_from_secretkey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_secretkey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_seed_keypair() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • branchLanguageTitle() : FinderHelperLanguage
  • branchPlural() : FinderHelperLanguage
  • branchSingular() : FinderHelperLanguage
  • browse() : FOFController
  • bugfixCantBuildAdminMenus() : FOFUtilsInstallscript
  • bugfixDBFunctionReturnedNoError() : FOFUtilsInstallscript
  • build() : BannersRouter , ContactRouterRulesLegacy , ContentRouterRulesLegacy , FinderRouter , RouterInterface , RouterLegacy , RouterView , MenuRules , NomenuRules , RulesInterface , StandardRules , AdministratorRouter , Router , SiteRouter , JRouterInstallation , NewsfeedsRouterRulesLegacy , SearchRouter , TagsRouter , UsersRouterRulesLegacy , WrapperRouter
  • buildCheckQuery() : ChangeItem , MysqlChangeItem , PostgresqlChangeItem , SqlsrvChangeItem
  • buildContactExtendedData() : ContactModelContact
  • buildCountQuery() : FOFModel
  • buildDateRange() : ActionlogsModelActionlogs , UsersModelUsers
  • buildFileData() : JGithubPackageGists
  • buildIgnoreItems() : DisallowedClassesSubstitutor
  • buildLookup() : MenuRules
  • buildObject() : Container
  • buildParameter() : JMediawikiObject
  • buildQuery() : FOFModel , FOFTableNested , Uri , AbstractUri , PostinstallModelMessages
  • buildRawRoute() : Router , SiteRouter
  • buildRule() : PlgSystemLanguageFilter
  • buildSefRoute() : Router , SiteRouter
  • buildSharedObject() : Container
  • buildVotingQuery() : ContentHelperQuery
  • buildXml() : JDatabaseExporter , JDatabaseExporterMysqli , JDatabaseExporterPdomysql , JDatabaseExporterPostgresql
  • buildXmlStructure() : JDatabaseExporter , JDatabaseExporterMysqli , JDatabaseExporterPdomysql , JDatabaseExporterPostgresql
  • button() : JHtmlBootstrap , JHtmlIcons
  • buttons() : JHtmlIcons
  • byteLength() : idna_convert
  • bytes() : JHtmlNumber


Joomla CMS: Champs de donnée - Fonctions

- c -

  • cachedCompile() : FOFLess , lessc
  • calendar() : JHtmlBehavior , Date , HTMLHelper , PlgUserProfile
  • calendartranslation() : JHtmlBehavior
  • call() : FOFDatabaseQuery , JDatabaseQuery , CallbackController , HTMLHelper , SimplePie_Registry
  • camelize() : FOFInflector
  • cancel() : AdminControllerProfile , AssociationsControllerAssociation , CategoriesControllerCategory , ConfigControllerApplication , ConfigControllerComponent , ContentControllerArticle , FOFController , FormController , ToolbarHelper , LanguagesControllerOverride , MenusControllerItem , ModulesControllerModule , TemplatesControllerTemplate , UsersControllerMail
  • canCheckinItem() : AssociationsHelper
  • canChmod() : Path , PathWrapper , Path
  • canCreateCategory() : BannersModelBanner , ContactModelContact , ContentModelArticle , NewsfeedsModelNewsfeed
  • canDelete() : BannersModelBanner , BannersModelClient , CategoriesModelCategory , ConfigModelCms , ContactModelContact , ContenthistoryModelHistory , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelIndex , FinderModelMaps , FOFTable , AdminModel , MenusModelItem , MenusModelMenu , NewsfeedsModelNewsfeed , RedirectModelLink , TagsModelTag , UsersModelLevel
  • canEditFieldValue() : FieldsHelper
  • canEditState() : BannersModelBanner , BannersModelClient , CategoriesModelCategory , ConfigModelCms , ContactModelContact , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelIndex , FinderModelMaps , AdminModel , MenusModelItem , MenusModelMenu , ModulesModelModule , NewsfeedsModelNewsfeed
  • canSave() : MenusModelItem
  • canTransition() : PrivacyControllerRequest
  • canUninstallPackageChild() : InstallerAdapter
  • canUpload() : MediaHelper , TemplateHelper
  • canView() : UsersController
  • caption() : JHtmlBehavior
  • captive() : JoomlaupdateControllerUpdate
  • captiveFileExists() : JoomlaupdateModelDefault
  • captiveLogin() : JoomlaupdateModelDefault
  • carousel() : JHtmlBootstrap
  • castAsChar() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQueryMysqli , JDatabaseQueryPdo , JDatabaseQueryPostgresql , JDatabaseQuerySqlsrv
  • catchWarning() : POP3
  • categories() : JHtmlCategory
  • categoryAccessChange() : FinderIndexerAdapter
  • categoryStateChange() : FinderIndexerAdapter
  • ccompile() : FOFLess , lessc
  • cdata() : SimplePie_Parser
  • cexecute() : FOFLess , lessc
  • change() : FinderIndexerAdapter , KeychainManager
  • change_encoding() : SimplePie_Misc
  • change_encoding_iconv() : SimplePie_Misc
  • change_encoding_mbstring() : SimplePie_Misc
  • changeBlock() : UsersControllerUsers
  • changeIdentity() : AbstractDaemonApplication , DaemonApplication
  • changePreference() : JOpenstreetmapUser
  • changeProtection() : JMediawikiPages
  • changeSettings() : JLinkedinGroups
  • charLength() : FOFDatabaseQuery , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • chdir() : FtpClient
  • check() : BannersTableBanner , ContactTableContact , FieldsTableField , FieldsTableGroup , FinderIndexerStemmerFr , FinderTableFilter , FOFHalLink , FOFTable , FOFTableNested , JAdminCssMenu , JDatabaseExporter , JDatabaseExporterMysql , JDatabaseExporterMysqli , JDatabaseExporterPdomysql , JDatabaseExporterPgsql , JDatabaseExporterPostgresql , JDatabaseImporter , JDatabaseImporterMysql , JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPgsql , JDatabaseImporterPostgresql , JGithubPackageActivityStarring , JGithubPackageActivityWatching , JGithubPackageIssuesAssignees , JGithubPackageOrgsMembers , JGithubPackageUsersFollowers , Access , Path , PathWrapper , ChangeItem , ChangeSet , Asset , Category , Content , ContentType , CoreContent , Extension , Language , Menu , MenuType , Module , Nested , Table , TableInterface , Update , UpdateSite , User , Usergroup , ViewLevel , Path , MessagesTableMessage , NewsfeedsTableNewsfeed , RedirectTableLink , TagsTableTag , TemplatesTableStyle
  • check_ipv6() : SimplePie_Net_IPv6
  • checkACL() : FOFController
  • checkall() : JHtmlGrid
  • checkAnswer() : Captcha
  • checkAttribute() : InputFilter
  • checkBuffer() : PlgSystemSef
  • checkCategoryAccess() : FinderIndexerAdapter
  • checkCategoryId() : AdminModel
  • checkCode() : FOFEncryptTotp
  • checkCompatibility() : JoomlaupdateModelDefault
  • checkConnectionAlive() : AbstractWebApplication , WebApplication
  • checkContentType() : FOFTable
  • checkDefault() : MysqlChangeItem
  • checkDefaultValue() : FieldsModelField
  • checkedCompile() : FOFLess , lessc
  • checkEditId() : BaseController
  • checkedOut() : JHtmlGrid
  • checkedout() : JHtmlJGrid
  • checkExecution() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • checkExistingExtension() : ModuleAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • checkExtensionInFilesystem() : ComponentAdapter , LibraryAdapter , PackageAdapter , InstallerAdapter
  • checkExtensions() : InstallerViewDiscover
  • checkFieldExists() : FOFDatabaseDriverSqlsrv
  • checkForm() : InstallationModelSetup
  • checkFormat() : TemplatesModelTemplate
  • checkForSelfUpdate() : JoomlaupdateViewDefault
  • checkGroup() : Access
  • checkHeadersSent() : AbstractWebApplication , WebApplication
  • checkIfCoreExtension() : ExtensionHelper
  • checkin() : AssociationsControllerAssociations , CategoriesControllerCategories , CheckinModelCheckin , ConfigModelForm , FOFModel , FOFTable , JHtmlDropdown , AdminController , AdminModel , FormModel
  • checkIn() : Table
  • checkin() : ToolbarHelper , MenusControllerItems , TagsModelTags , UsersControllerGroups , UsersModelProfile
  • checkIPv6() : SimplePie_Net_IPv6
  • checkIPv6CIDR() : FOFUtilsIp , IpHelper
  • checkItemAccess() : FinderIndexerAdapter
  • checkLoggable() : PlgActionlogJoomla
  • checkMimeType() : MediaHelper
  • checkNewName() : TemplatesModelTemplate
  • checkNoHtml() : SearchHelper
  • checkNull() : MysqlChangeItem
  • checkout() : ConfigModelForm , FOFModel , FOFTable , AdminModel , FormModel
  • checkOut() : Table
  • checkout() : UsersModelProfile
  • CheckPassword() : PasswordHash
  • checkPublic() : JGithubPackageOrgsMembers
  • checkRateLimit() : JTwitterObject
  • checkRepo() : JGithubPackageOrgsTeams
  • checkResetLimit() : UsersModelReset
  • checkResponse() : POP3
  • checkSession() : JApplication , CMSApplication
  • checkSuperUserInUsers() : UserHelper
  • checkToken() : AbstractWebApplication , BaseController , Session , JRequest
  • checkUserRequireReset() : CMSApplication
  • checkVersion() : FOFPlatform , FOFPlatformInterface
  • checkZipData() : JArchiveZip , Zip
  • chmod() : AKAbstractPostproc , AKPostprocDirect , FtpClient , Stream , FtpClient , Stream
  • chosen() : JHtmlFormbehavior
  • chunked() : SimplePie_HTTP_Parser
  • Cipher() : AKEncryptionAES
  • clamp() : FOFLess , lessc , ParagonIE_Sodium_Core_Curve25519
  • class_alias() : FOFAutoloaderComponent
  • classify() : FOFInflector
  • clean() : AssociationsControllerAssociations , AssociationsModelAssociations , CacheModelCache , Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , Path , PathWrapper , InputFilter , Path , InputFilter
  • cleanAddress() : MailHelper , MailWrapper
  • cleanAlnum() : InputFilter
  • cleanAssetKey() : Access
  • cleanAttributes() : InputFilter
  • cleanBase64() : InputFilter
  • cleanBody() : MailHelper , MailWrapper
  • cleanBool() : InputFilter
  • cleanBoolean() : InputFilter
  • cleanCache() : CategoriesModelCategory , ConfigModelCms , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelFilter , FOFModel , LanguagesModelLanguage , LanguagesModelLanguages , MenusModelItem , MenusModelMenu , ModulesModelModule , PluginsModelPlugin , PrivacyModelRequest , TemplatesModelStyle
  • cleanCmd() : InputFilter
  • cleanDiscoveredExtension() : Installer
  • cleanDouble() : InputFilter
  • cleanFloat() : InputFilter
  • cleanHashes() : MailtoHelper
  • cleanHtml() : InputFilter
  • cleanInt() : InputFilter
  • cleanInteger() : InputFilter
  • cleanJoomlaCache() : JoomlaInstallerScript
  • cleanLine() : MailHelper , MailWrapper
  • cleanlist() : CacheModelCache
  • cleanModuleList() : ModuleHelper
  • cleanOptionsChildrenByFather() : JFormFieldGroupParent
  • cleanPath() : InputFilter , AbstractUri
  • cleanPrivateData() : AdminModelSysInfo
  • cleanSectionPrivateData() : AdminModelSysInfo
  • cleanString() : InputFilter
  • cleanSubject() : MailHelper , MailWrapper
  • cleanTags() : InputFilter
  • cleanText() : OutputFilterWrapper , MailHelper , MailWrapper , OutputFilter
  • cleanTrim() : InputFilter
  • cleanUint() : InputFilter
  • cleanUp() : JoomlaupdateModelDefault
  • cleanup() : Parser , TemplatesModelTemplate
  • cleanupInstall() : InstallerHelper
  • cleanupPostBatchCopy() : ContentModelArticle , AdminModel
  • cleanupValues() : FieldsModelField
  • cleanUsername() : InputFilter
  • cleanWord() : InputFilter
  • clear() : FOFDatabaseQuery , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , JDatabaseQuery , JDatabaseQueryOracle , JDatabaseQueryPgsql , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , Session , DataSet , Session , JSessionHandlerInterface , JSessionHandlerJoomla , JSessionHandlerNative
  • clearAccessRights() : User
  • clearAddresses() : PHPMailer
  • clearAllRecipients() : PHPMailer
  • clearArguments() : Event
  • clearAttachments() : Mail , PHPMailer
  • clearBCCs() : PHPMailer
  • clearCache() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • clearCacheGroups() : FOFUtilsCacheCleaner , PlgQuickiconEos310 , PlgSystemActionLogs , PlgSystemLogrotation , PlgSystemPrivacyconsent , PlgSystemStats , PlgSystemUpdatenotification
  • clearCalendar() : JGoogleDataCalendar
  • clearCCs() : PHPMailer
  • clearCustomHeaders() : PHPMailer
  • clearDebugMessages() : BaseLayout
  • clearEvents() : EasyPeasyICS , Dispatcher
  • clearExpiredTokens() : UserHelper , UserWrapper
  • clearFieldsCache() : FieldsHelper
  • clearFileInOPCache() : AKPostprocDirect
  • clearHeaders() : AbstractWebApplication , WebApplication , JResponse
  • clearIncludePaths() : FileLayout
  • clearInput() : FOFModel
  • clearLinks() : FOFToolbar
  • clearListeners() : Dispatcher
  • clearModulesCache() : FOFUtilsCacheCleaner
  • clearPluginsAndModulesCache() : FOFUtilsCacheCleaner
  • clearPluginsCache() : FOFUtilsCacheCleaner
  • clearQueuedAddresses() : PHPMailer
  • clearRadCache() : JoomlaInstallerScript
  • clearRelations() : FOFTableRelations
  • clearReplyTos() : PHPMailer
  • clearState() : FOFModel
  • clearStatics() : Access
  • clearStatsCache() : JoomlaInstallerScript
  • click() : BannersController , BannersModelBanner
  • clicks() : BannersTableBanner
  • client_send() : SMTP
  • clientEncoding() : JResponse
  • clientlist() : JHtmlBanner
  • clients() : JHtmlBanner , JHtmlLanguages
  • cloak() : JHtmlEmail
  • close() : FOFDatabaseDriverJoomla , AbstractApplication , Stream , Session , Stream , LdapClient , Session , Storage , JSessionStorage , Curl , SMTP , TemplatesControllerTemplate
  • closeChangeset() : JOpenstreetmapChangesets
  • cmov() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • codepoint_to_utf8() : SimplePie_Misc
  • coerceColor() : FOFLess , lessc
  • coerceString() : FOFLess , lessc
  • collect() : Collectable , PharInvocationCollection
  • collectInvocation() : PharStreamWrapper
  • collectUrlsEnabled() : RedirectHelper
  • color() : FOFLessParser , lessc_parser
  • colorArgs() : FOFLess , lessc
  • colorpicker() : JHtmlBehavior
  • columns() : FOFDatabaseQuery , JDatabaseQuery
  • combinator() : tagparse
  • combobox() : JHtmlBehavior
  • commonCategoryDisplay() : CategoryView
  • compare() : JGithubPackageRepositoriesCommits , LdapClient , ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Util
  • compareLanguages() : InstallationModelLanguages , InstallerModelLanguages , LanguagesModelInstalled
  • compile() : FOFLess , JLess , lessc , nodecounter
  • compileBlock() : FOFLess , lessc
  • compileCSSBlock() : FOFLess , lessc
  • compileFile() : FOFLess , lessc
  • compileImportedProps() : FOFLess , lessc
  • compileLess() : TemplatesModelTemplate
  • compileMedia() : FOFLess , lessc
  • compileMediaQuery() : FOFLess , lessc
  • compileNestedBlock() : FOFLess , lessc
  • compilePath() : tagparse
  • compilePaths() : tagparse
  • compileProp() : FOFLess , lessc
  • compileProperties() : nodecounter
  • compileProps() : FOFLess , lessc
  • compileRoot() : FOFLess , lessc
  • compileSelectors() : FOFLess , lessc
  • compileString() : tagparse
  • compileTag() : tagparse
  • compileValue() : FOFLess , lessc
  • complete() : UsersControllerReset
  • compress() : AbstractWebApplication , WebApplication , JResponse , ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b , SimplePie_Net_IPv6
  • compress_parse_url() : SimplePie_Misc
  • compressList() : FOFLess , lessc
  • concatenate() : FOFDatabaseQuery , FOFDatabaseQueryMysqli , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQueryMysqli , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • conceal() : JGithubPackageOrgsMembers
  • conditionMet() : FOFDatabaseInstaller
  • confirm() : PharInvocation , UsersControllerReset
  • connect() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , FtpClient , SocketTransport , DatabaseLogger , FtpClient , LdapClient , POP3 , SMTP
  • connected() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql , SMTP
  • consume() : SimplePie_Decode_HTML_Entities
  • consume_range() : SimplePie_Decode_HTML_Entities
  • contains() : Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage
  • content() : Microdata
  • context() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • convert() : uctc
  • convert_int_to_char_for_ctype() : Ctype
  • convertEncoding() : JHtmlEmail
  • convertPathsToNames() : TagsHelper
  • convertTablesToUtf8mb4() : FOFDatabaseInstaller , JoomlaInstallerScript
  • convertUtf8mb4QueryToUtf8() : FOFDatabaseDriver , FOFDatabaseInstaller , JDatabaseDriver
  • convertUtf8QueryToUtf8mb4() : FOFDatabaseInstaller
  • copy() : FOFController , FOFModel , FOFTable , FOFTableNested , File , Folder , Stream , FileWrapper , FolderWrapper , File , Folder , Stream , TemplatesControllerTemplate , TemplatesModelTemplate
  • copyBaseFiles() : ComponentAdapter , FileAdapter , LanguageAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • copyCliFiles() : FOFUtilsInstallscript
  • copyFile() : TemplatesControllerTemplate , TemplatesModelTemplate
  • copyFiles() : Installer
  • copyManifest() : Installer
  • core() : JHtmlBehavior
  • core_salsa20() : ParagonIE_Sodium_Core_Salsa20
  • count() : FOFDatabaseIteratorMysql , FOFDatabaseIteratorMysqli , FOFDatabaseIteratorPdo , FOFDatabaseIteratorPostgresql , FOFDatabaseIteratorSqlsrv , JDatabaseIteratorMysql , JDatabaseIteratorMysqli , JDatabaseIteratorPdo , JDatabaseIteratorPostgresql , JDatabaseIteratorSqlsrv , JInput , Feed , UserGroupsHelper , DataObject , DataSet , AbstractEvent , ListenersPriorityQueue , Input , Registry , SplFixedArray
  • counterReset() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • countEvents() : Dispatcher
  • countFiles() : MediaHelper
  • countItems() : BannersHelper , CategoriesModelCategories , ContactHelper , ContentHelper , NewsfeedsHelper , TagsModelTags
  • countItemsByMonth() : ContentModelArticles
  • countListeners() : Dispatcher
  • countMenuChildren() : HtmlDocument
  • countModules() : HtmlDocument
  • countRelations() : ContentHelper
  • countTagItems() : ContactHelper , ContentHelper , NewsfeedsHelper
  • create() : FOFTableNested , JArchiveZip , JGithubCommits , JGithubForks , JGithubHooks , JGithubMilestones , JGithubPackageAuthorization , JGithubPackageDataBlobs , JGithubPackageDataCommits , JGithubPackageDataRefs , JGithubPackageDataTags , JGithubPackageDataTrees , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageIssues , JGithubPackageIssuesComments , JGithubPackageIssuesLabels , JGithubPackageIssuesMilestones , JGithubPackageOrgsTeams , JGithubPackagePulls , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesDownloads , JGithubPackageRepositoriesForks , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageRepositoriesStatuses , JGithubPackageUsersKeys , JGithubRefs , JGithubStatuses , JHtmlIcon , Zip , FtpClient , CryptPassword , SimpleCryptPassword , Folder , FolderWrapper , FtpClient , Folder , LdapClient , JTwitterLists , KeychainManager , MediaControllerFolder , SimplePie_Cache , SimplePie_Registry
  • createAlbum() : JFacebookUser , JGoogleDataPicasa
  • createAttending() : JFacebookEvent
  • createAuthorisation() : JGithubAccount
  • createBody() : PHPMailer
  • createCalendar() : JGoogleDataCalendar
  • createCall() : JGoogleEmbedAnalytics
  • createCategory() : CategoriesHelper , CategoryFactory , CategoryFactoryInterface
  • createChangeset() : JOpenstreetmapChangesets
  • createCheckin() : JFacebookUser
  • createChild() : Container
  • createComment() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo , JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls
  • createCommentReply() : JGithubPackagePulls
  • createCommitComment() : JGithubCommits
  • createConfig() : Factory
  • createConfiguration() : InstallationModelConfiguration
  • createConnection() : JFacebookObject
  • createCustomFieldsDomain() : PrivacyPlugin
  • createCustomVar() : JGoogleEmbedAnalytics
  • createDatabase() : FOFDatabaseDriver , InstallationModelDatabase , JDatabaseDriver
  • createDb() : InstallationModelDatabase
  • createDbo() : Factory
  • createDeclined() : JFacebookEvent
  • createDelegatedLogger() : Log
  • createDirectory() : AKUnarchiverJPA
  • createDirRecursive() : AKAbstractPostproc , AKPostprocDirect
  • createDocument() : Factory
  • createDomain() : PrivacyPlugin
  • createEvent() : JFacebookUser , JGoogleDataCalendar , JGoogleEmbedAnalytics
  • createExtensionRoot() : ComponentAdapter , PackageAdapter , PluginAdapter , InstallerAdapter
  • createFavorites() : JTwitterFavorites
  • createFile() : TemplatesControllerTemplate , TemplatesModelTemplate
  • createFileName() : FOFController , BaseController
  • createFolder() : TemplatesControllerTemplate , TemplatesModelTemplate
  • createFromIssue() : JGithubPackagePulls
  • createHeader() : PHPMailer
  • createInvite() : JFacebookEvent
  • createItemForTable() : PrivacyPlugin
  • createItemForUserTable() : PlgPrivacyUser
  • createItemFromArray() : PrivacyPlugin
  • createLabel() : JGithubPackageIssues
  • createLanguage() : Factory
  • createLanguageList() : LanguageHelper , LanguageHelperWrapper
  • createLevels() : MenuHelper
  • createLike() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo
  • createLink() : JFacebookEvent , JFacebookGroup , JFacebookUser
  • createMailer() : Factory
  • createMaybe() : JFacebookEvent
  • createModel() : FOFController , BaseController , LegacyFactory , MVCFactory , MVCFactoryInterface
  • CreateNewRandomKey() : Crypto
  • createNode() : JOpenstreetmapElements
  • createNote() : JFacebookUser
  • createNotesDomain() : PlgPrivacyUser
  • createObjectArray() : ContenthistoryHelper
  • createObserver() : JObserverInterface , ContentHistory , Tags
  • createOption() : ConfigModelModules , ModulesHelper
  • createOptionGroup() : ConfigModelModules , ModulesHelper
  • createOverride() : TemplatesModelTemplate
  • createPassphraseFile() : JKeychain
  • createPhoto() : JFacebookAlbum , JFacebookEvent , JFacebookUser
  • createPlace() : JTwitterPlaces
  • createPost() : JFacebookEvent , JFacebookGroup , JFacebookUser , JLinkedinGroups
  • createProfileDomain() : PlgPrivacyUser
  • createRecordIfNonExisting() : MetadataManager
  • createRef() : StringController
  • createRelation() : JOpenstreetmapElements
  • createReply() : JGithubPackagePullsComments
  • createRestorationFile() : JoomlaupdateModelDefault
  • createRootUser() : InstallationModelConfiguration
  • createSavedSearch() : JTwittersearch
  • createSession() : Factory
  • createSiteList() : Help
  • createStatus() : JFacebookEvent , JFacebookGroup , JFacebookUser
  • createTable() : LegacyFactory , MVCFactory , MVCFactoryInterface
  • createTables() : InstallationModelDatabase
  • createTag() : JFacebookPhoto
  • createTagsFromField() : TagsHelper
  • createTagsFromMetadata() : TagsHelper
  • createTagsHelper() : AdminModel
  • createTemplateOverride() : TemplatesModelTemplate
  • createTheWrongIV() : AKEncryptionAES
  • createThumbs() : Image
  • createToken() : Session
  • createUri() : Router , SiteRouter
  • createUrl() : JOAuth2Client , Help
  • createUserDomain() : PlgPrivacyUser
  • createVideo() : JFacebookEvent , JFacebookUser
  • createView() : FOFController , BaseController , LegacyFactory , MVCFactory , MVCFactoryInterface
  • createWay() : JOpenstreetmapElements
  • createZipFile() : Zip
  • critical() : AbstractLogger , LoggerInterface
  • crop() : Image
  • cropImage() : TemplatesControllerTemplate , TemplatesModelTemplate
  • cropResize() : Image
  • crypt_private() : PasswordHash
  • crypto_aead_aes256gcm_encrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_aes256gcm_is_available() : ParagonIE_Sodium_Compat
  • crypto_aead_aes256gcm_keygen() : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_decrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_encrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_ietf_decrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_ietf_encrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_ietf_keygen() : ParagonIE_Sodium_Compat
  • crypto_aead_chacha20poly1305_keygen() : ParagonIE_Sodium_Compat
  • crypto_aead_xchacha20poly1305_ietf_decrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_xchacha20poly1305_ietf_encrypt() : ParagonIE_Sodium_Compat
  • crypto_aead_xchacha20poly1305_ietf_keygen() : ParagonIE_Sodium_Compat
  • crypto_auth() : ParagonIE_Sodium_Compat
  • crypto_auth_keygen() : ParagonIE_Sodium_Compat
  • crypto_auth_verify() : ParagonIE_Sodium_Compat
  • crypto_box() : ParagonIE_Sodium_Compat
  • crypto_box_keypair() : ParagonIE_Sodium_Compat
  • crypto_box_keypair_from_secretkey_and_publickey() : ParagonIE_Sodium_Compat
  • crypto_box_open() : ParagonIE_Sodium_Compat
  • crypto_box_publickey() : ParagonIE_Sodium_Compat
  • crypto_box_publickey_from_secretkey() : ParagonIE_Sodium_Compat
  • crypto_box_seal() : ParagonIE_Sodium_Compat
  • crypto_box_seal_open() : ParagonIE_Sodium_Compat
  • crypto_box_secretkey() : ParagonIE_Sodium_Compat
  • crypto_box_seed_keypair() : ParagonIE_Sodium_Compat
  • crypto_generichash() : ParagonIE_Sodium_Compat
  • crypto_generichash_final() : ParagonIE_Sodium_Compat
  • crypto_generichash_init() : ParagonIE_Sodium_Compat
  • crypto_generichash_init_salt_personal() : ParagonIE_Sodium_Compat
  • crypto_generichash_keygen() : ParagonIE_Sodium_Compat
  • crypto_generichash_update() : ParagonIE_Sodium_Compat
  • crypto_kdf_derive_from_key() : ParagonIE_Sodium_Compat
  • crypto_kdf_keygen() : ParagonIE_Sodium_Compat
  • crypto_kx() : ParagonIE_Sodium_Compat
  • crypto_kx_client_session_keys() : ParagonIE_Sodium_Compat
  • crypto_kx_keypair() : ParagonIE_Sodium_Compat
  • crypto_kx_publickey() : ParagonIE_Sodium_Compat
  • crypto_kx_secretkey() : ParagonIE_Sodium_Compat
  • crypto_kx_seed_keypair() : ParagonIE_Sodium_Compat
  • crypto_kx_server_session_keys() : ParagonIE_Sodium_Compat
  • crypto_pwhash() : ParagonIE_Sodium_Compat
  • crypto_pwhash_is_available() : ParagonIE_Sodium_Compat
  • crypto_pwhash_scryptsalsa208sha256() : ParagonIE_Sodium_Compat
  • crypto_pwhash_scryptsalsa208sha256_is_available() : ParagonIE_Sodium_Compat
  • crypto_pwhash_scryptsalsa208sha256_str() : ParagonIE_Sodium_Compat
  • crypto_pwhash_scryptsalsa208sha256_str_verify() : ParagonIE_Sodium_Compat
  • crypto_pwhash_str() : ParagonIE_Sodium_Compat
  • crypto_pwhash_str_verify() : ParagonIE_Sodium_Compat
  • crypto_scalarmult() : ParagonIE_Sodium_Compat
  • crypto_scalarmult_base() : ParagonIE_Sodium_Compat
  • crypto_scalarmult_curve25519_ref10_base() : ParagonIE_Sodium_Core32_X25519 , ParagonIE_Sodium_Core_X25519
  • crypto_secretbox() : ParagonIE_Sodium_Compat
  • crypto_secretbox_keygen() : ParagonIE_Sodium_Compat
  • crypto_secretbox_open() : ParagonIE_Sodium_Compat
  • crypto_secretbox_xchacha20poly1305() : ParagonIE_Sodium_Compat
  • crypto_secretbox_xchacha20poly1305_open() : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_init_pull() : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_init_push() : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_keygen() : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_pull() : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_push() : ParagonIE_Sodium_Compat
  • crypto_secretstream_xchacha20poly1305_rekey() : ParagonIE_Sodium_Compat
  • crypto_shorthash() : ParagonIE_Sodium_Compat
  • crypto_shorthash_keygen() : ParagonIE_Sodium_Compat
  • crypto_sign() : ParagonIE_Sodium_Compat
  • crypto_sign_detached() : ParagonIE_Sodium_Compat
  • crypto_sign_ed25519_pk_to_curve25519() : ParagonIE_Sodium_Compat
  • crypto_sign_ed25519_sk_to_curve25519() : ParagonIE_Sodium_Compat
  • crypto_sign_keypair() : ParagonIE_Sodium_Compat
  • crypto_sign_keypair_from_secretkey_and_publickey() : ParagonIE_Sodium_Compat
  • crypto_sign_open() : ParagonIE_Sodium_Compat
  • crypto_sign_publickey() : ParagonIE_Sodium_Compat
  • crypto_sign_publickey_from_secretkey() : ParagonIE_Sodium_Compat
  • crypto_sign_secretkey() : ParagonIE_Sodium_Compat
  • crypto_sign_seed_keypair() : ParagonIE_Sodium_Compat
  • crypto_sign_verify_detached() : ParagonIE_Sodium_Compat
  • crypto_stream() : ParagonIE_Sodium_Compat
  • crypto_stream_keygen() : ParagonIE_Sodium_Compat
  • crypto_stream_xchacha20() : ParagonIE_Sodium_Compat
  • crypto_stream_xchacha20_keygen() : ParagonIE_Sodium_Compat
  • crypto_stream_xchacha20_xor() : ParagonIE_Sodium_Compat
  • crypto_stream_xor() : ParagonIE_Sodium_Compat
  • ctype_alnum() : Ctype
  • ctype_alpha() : Ctype
  • ctype_cntrl() : Ctype
  • ctype_digit() : Ctype
  • ctype_graph() : Ctype
  • ctype_lower() : Ctype
  • ctype_print() : Ctype
  • ctype_punct() : Ctype
  • ctype_space() : Ctype
  • ctype_upper() : Ctype
  • ctype_xdigit() : Ctype
  • current() : FOFDatabaseIterator , JDatabaseIterator , Uri , DataSet , SplFixedArray
  • currentTimestamp() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • custom() : ToolbarHelper
  • customErrorHandler() : JError
  • customErrorPage() : JError
  • cvc() : FinderIndexerStemmerPorter_En


Joomla CMS: Champs de donnée - Fonctions

- d -

  • daemonize() : AbstractDaemonApplication , DaemonApplication
  • data() : JGoogle , SMTP
  • date() : HTMLHelper
  • date_asctime() : SimplePie_Parse_Date
  • date_rfc2822() : SimplePie_Parse_Date
  • date_rfc850() : SimplePie_Parse_Date
  • date_strtotime() : SimplePie_Parse_Date
  • date_w3cdtf() : SimplePie_Parse_Date
  • dateAdd() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • dateFormat() : FOFDatabaseQuery , JDatabaseQuery
  • dates() : JHtmlFilter
  • day() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • dayToString() : Date
  • debug() : BaseLayout , LayoutHelper , Nested , PlgSystemStats , AbstractLogger , LoggerInterface , SimplePie_Misc
  • debugFile() : Language
  • debugLanguage() : InstallationApplicationWeb
  • declareScalarType() : ParagonIE_Sodium_Core_Util
  • decode() : FOFEncryptBase32 , idna_convert , InputFilter
  • decode6Bits() : ParagonIE_Sodium_Core_Base64_Common , ParagonIE_Sodium_Core_Base64_Original , ParagonIE_Sodium_Core_Base64_UrlSafe
  • decodeData() : JInputFiles , Files
  • decodeFields() : ContenthistoryHelper
  • decodeFileData() : InputFilter
  • decodeSegments() : Router
  • decrypt() : AKEncryptionAESAdapterInterface
  • Decrypt() : Crypto
  • decrypt() : FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl , CryptoCipher , McryptCipher , SimpleCipher , SodiumCipher , CipherInterface , Crypt , JSimplecrypt , Mcrypt , OpenSSL
  • decryptString() : FOFEncryptAes
  • deduplicate() : lessc
  • def() : FOFUtilsObject , JInput , CMSObject , Input , Registry
  • defParam() : User
  • delete() : ActionlogsModelActionlogs , BannersModelTracks , CacheController , CategoriesTableCategory , ContenthistoryControllerHistory , ContenthistoryModelHistory , ContentModelArticle , FieldsModelField , FinderModelIndex , FinderModelMaps , FOFDatabaseQuery , FOFModel , FOFTable , InstallerControllerUpdatesites , InstallerModelUpdatesites , JDatabaseQuery , JGithubHooks , JGithubMilestones , JGithubPackageAuthorization , JGithubPackageDataRefs , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageIssuesComments , JGithubPackageIssuesLabels , JGithubPackageIssuesMilestones , JGithubPackageOrgsTeams , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesDownloads , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageUsersEmails , JGithubPackageUsersKeys , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , FtpClient , File , Folder , Stream , FileWrapper , FolderWrapper , Http , AdminController , AdminModel , CoreContent , MenuType , Nested , TableInterface , User , Usergroup , UCMContent , User , FtpClient , File , Folder , Stream , LdapClient , JTableSession , JTwitterLists , KeychainManager , LanguagesControllerOverrides , LanguagesModelLanguages , LanguagesModelOverrides , MediaControllerFile , MediaControllerFolder , MenusControllerMenus , MenusModelMenu , MenusTableMenu , MessagesModelMessage , ModulesModelModule , TagsTableTag , TemplatesControllerTemplate , TemplatesModelStyle , TemplatesTableStyle , UsersControllerGroups , UsersControllerLevel , UsersModelGroup , UsersModelUser
  • deleteAll() : CacheController
  • deleteAuthorisation() : JGithubAccount
  • deleteBookmark() : JLinkedinJobs
  • deleteByContentId() : CoreContent
  • deleteCache() : FOFInflector
  • deleteCalendar() : JGoogleDataCalendar
  • deleteCall() : JGoogleEmbedAnalytics
  • deleteColumn() : JGrid
  • deleteComment() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo , JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls , JLinkedinGroups
  • deleteCommitComment() : JGithubCommits
  • deleteConnection() : JFacebookObject
  • deleteContextEntry() : Stream
  • deleteDatabase() : InstallationModelDatabase
  • deleteDirectMessages() : JTwitterDirectmessages
  • deleteElement() : JOpenstreetmapElements
  • deleteEvent() : JFacebookUser , JGoogleDataCalendar
  • deleteEventHandler() : JGoogleEmbedMaps
  • deleteFavorites() : JTwitterFavorites
  • deleteFile() : TemplatesModelTemplate
  • deleteFolder() : TemplatesControllerTemplate , TemplatesModelTemplate
  • deleteHistory() : ContentHistoryHelper
  • deleteInvite() : JFacebookEvent
  • deleteLabel() : JGithubPackageIssues
  • deleteLike() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo
  • deleteLink() : JFacebookEvent , JFacebookGroup , JFacebookUser
  • deleteList() : ToolbarHelper
  • deleteMarker() : JGoogleEmbedMaps
  • deleteMembers() : JTwitterLists
  • deleteOldVersions() : ContentHistory
  • deletePageById() : JMediawikiPages
  • deletePageByName() : JMediawikiPages
  • deletePermission() : JFacebookUser
  • deletePost() : JFacebookEvent , JFacebookGroup , JFacebookPost , JFacebookUser , JLinkedinGroups
  • deletePriorTo() : MetadataManager
  • deleteRow() : JGrid
  • deleteSavedSearch() : JTwittersearch
  • deleteStatus() : JFacebookEvent , JFacebookGroup , JFacebookUser
  • deleteSubscription() : JGithubPackageActivityWatching
  • deleteSuggestion() : JLinkedinGroups
  • deleteThreadSubscription() : JGithubPackageActivityNotifications
  • deleteTweet() : JTwitterStatuses
  • deleteUnexistingFiles() : JoomlaInstallerScript
  • deleteValue() : JKeychain
  • delVar() : Uri
  • deserializeMetaData() : Manifest
  • destroy() : Session , Image , Session , Apc , Apcu , Database , Storage , Xcache , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageDatabase , JSessionStorageXcache , JTableSession , Manager
  • destroyUserSessions() : UserHelper
  • detach() : AKAbstractPart , FOFUtilsObservableDispatcher , JEventDispatcher , JObservable , AbstractDaemonApplication , DaemonApplication , Authentication , Captcha , Editor
  • detachHandler() : JError
  • detachObserver() : JObserverUpdater
  • detachRule() : RouterView
  • detectAndCleanIP() : FOFUtilsIp , IpHelper
  • detectBrowser() : WebClient
  • detectEncoding() : WebClient
  • detectEngine() : WebClient
  • detectFtpRoot() : InstallationModelFtp
  • detectHeaders() : WebClient
  • detectIP() : FOFUtilsIp , IpHelper
  • detectLanguage() : WebClient , LanguageHelper , LanguageHelperWrapper
  • detectPlatform() : WebClient
  • detectRequestUri() : AbstractWebApplication , WebApplication
  • detectRobot() : WebClient
  • detectType() : InstallerHelper
  • determineBaseFile() : Helper
  • determineFileType() : Reader
  • determineFileTypeByHeader() : Reader
  • diffUploadChangeset() : JOpenstreetmapChangesets
  • dir_closedir() : PharStreamWrapper
  • dir_opendir() : PharStreamWrapper
  • dir_readdir() : PharStreamWrapper
  • dir_rewinddir() : PharStreamWrapper
  • directoryTree() : TemplatesViewTemplate
  • disableModuleMainMenu() : InstallationModelLanguages
  • disconnect() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , POP3
  • discover() : InstallerModelDiscover , JLoader , ComponentAdapter , LanguageAdapter , LibraryAdapter , ModuleAdapter , PluginAdapter , TemplateAdapter , Installer
  • discover_install() : InstallerModelDiscover , LanguageAdapter , Installer , InstallerAdapter
  • dispatch() : FOFDispatcher , InstallationApplicationWeb , JApplication , AdministratorApplication , SiteApplication
  • display() : ActionlogsViewActionlogs , AdminController , AdminViewHelp , AdminViewProfile , AdminViewSysinfo , AssociationsViewAssociation , AssociationsViewAssociations , BannersController , BannersViewBanner , BannersViewBanners , BannersViewClient , BannersViewClients , BannersViewDownload , BannersViewTracks , CacheController , CacheViewCache , CacheViewPurge , CategoriesController , CategoriesViewCategories , CategoriesViewCategory , CheckinController , CheckinViewCheckin , ConfigController , ContactController , ContactViewCategory , ContactViewContact , ContactViewContacts , ContactViewFeatured , ContentController , ContenthistoryViewCompare , ContenthistoryViewHistory , ContenthistoryViewPreview , ContentViewArchive , ContentViewArticle , ContentViewArticles , ContentViewCategory , ContentViewFeatured , ContentViewForm , CpanelViewCpanel , FieldsController , FieldsViewField , FieldsViewFields , FieldsViewGroup , FieldsViewGroups , FinderController , FinderViewFilter , FinderViewFilters , FinderViewIndex , FinderViewMaps , FinderViewSearch , FinderViewStatistics , FOFController , FOFView , FOFViewForm , FOFViewRaw , InstallerController , InstallerViewDatabase , InstallerViewDefault , InstallerViewDiscover , InstallerViewInstall , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , InstallerViewWarnings , Captcha , Editor , Microdata , CategoriesView , CategoryFeedView , CategoryView , HtmlView , JoomlaupdateViewUpdate , JoomlaupdateViewUpload , LanguagesController , LanguagesViewInstalled , LanguagesViewLanguage , LanguagesViewLanguages , LanguagesViewMultilangstatus , LanguagesViewOverride , LanguagesViewOverrides , LoginController , LoginViewLogin , MailtoViewMailto , MediaController , MediaViewImages , MediaViewImagesList , MediaViewMedia , MediaViewMediaList , MenusController , MenusControllerMenu , MenusControllerMenus , MenusViewItem , MenusViewItems , MenusViewMenu , MenusViewMenus , MenusViewMenutypes , MessagesController , MessagesViewConfig , MessagesViewMessage , MessagesViewMessages , ModulesController , ModulesViewModule , ModulesViewModules , ModulesViewPositions , ModulesViewPreview , ModulesViewSelect , NewsfeedsController , NewsfeedsViewCategory , NewsfeedsViewNewsfeed , NewsfeedsViewNewsfeeds , PlgSystemDebug , PlgSystemFields , PluginsController , PluginsViewPlugin , PluginsViewPlugins , PrivacyController , PrivacyViewCapabilities , PrivacyViewConfirm , PrivacyViewConsents , PrivacyViewRemind , PrivacyViewRequest , PrivacyViewRequests , RedirectController , RedirectViewLink , RedirectViewLinks , SearchController , SearchViewSearch , SearchViewSearches , TagsController , TagsViewTag , TagsViewTags , TemplatesController , TemplatesViewStyle , TemplatesViewStyles , TemplatesViewTemplate , TemplatesViewTemplates , UsersController , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroup , UsersViewGroups , UsersViewLevel , UsersViewLevels , UsersViewLogin , UsersViewMail , UsersViewNote , UsersViewNotes , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset , UsersViewUser , UsersViewUsers , WrapperController , WrapperViewWrapper
  • displayAssociations() : ContentHelperAssociation
  • displayButtons() : PlgEditorCodemirror
  • displayCallback() : PlgSystemDebug
  • displayErrors() : PlgSystemDebug
  • displayFieldOnForm() : FieldsHelper
  • displayHelp() : KeychainManager
  • displayLanguageFilesInError() : PlgSystemDebug
  • displayLanguageFilesLoaded() : PlgSystemDebug
  • displayLogs() : PlgSystemDebug
  • displayMemoryUsage() : PlgSystemDebug
  • displayProfileInformation() : PlgSystemDebug
  • displayQueries() : PlgSystemDebug
  • displayScope() : Microdata
  • displaySession() : PlgSystemDebug
  • displayUntranslatedStrings() : PlgSystemDebug
  • displayVotingData() : PlgContentVote
  • divider() : JHtmlActionsDropdown , JHtmlDropdown , ToolbarHelper
  • DKIM_Add() : PHPMailer
  • DKIM_BodyC() : PHPMailer
  • DKIM_HeaderC() : PHPMailer
  • DKIM_QP() : PHPMailer
  • DKIM_Sign() : PHPMailer
  • do_strip_htmltags() : SimplePie_Sanitize
  • dob() : PlgUserProfile
  • doCallback() : PHPMailer
  • doCallObservers() : JObserverUpdater , JObserverUpdaterInterface
  • doDatabaseTransactions() : InstallerAdapter
  • doErrorHandling() : PlgSystemRedirect
  • doExecute() : DeletefilesCli , FinderCli , GarbageCron , InstallationApplicationWeb , AbstractApplication , AdministratorApplication , BaseApplication , SiteApplication , SessionGc , SessionMetadataGc , Updatecron
  • doLoadLanguage() : InstallerAdapter
  • doParse() : Parser
  • doSendNotificationEmail() : FOFUtilsUpdate
  • doSessionStart() : JSessionHandlerNative
  • doubleConsonant() : FinderIndexerStemmerPorter_En
  • doUpdateComponent() : FOFUtilsUpdate
  • download() : JoomlaupdateModelDefault
  • downloadAndReturn() : FOFDownloadAdapterAbstract , FOFDownloadAdapterCurl , FOFDownloadAdapterFopen , FOFDownloadInterface
  • downloadChangeset() : JOpenstreetmapChangesets
  • downloadPackage() : InstallationModelLanguages , InstallerHelper , JoomlaupdateModelDefault
  • downloadTraceMetadata() : JOpenstreetmapGps
  • downloadTraceMetadetails() : JOpenstreetmapGps
  • downloadUpdate() : FOFUtilsUpdate
  • dropColumn() : ArrayHelper
  • dropdown() : JHtmlBootstrap
  • dropTable() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • dump() : FOFDatabaseQuery , JDatabaseQuery , DataObject , DataSet , DumpableInterface , lessify , nodecounter , Dumper , Inline , Yaml
  • dumpArray() : Inline
  • dumpLanguage() : AKText
  • dumpProperty() : DataObject
  • dumpVar() : KeychainManager
  • duplicate() : JHtmlActionsDropdown , ModulesControllerModules , ModulesModelModule , TemplatesControllerStyles , TemplatesModelStyle
  • duplicateUrls() : RedirectControllerLinks , RedirectModelLink


Joomla CMS: Champs de donnée - Fonctions

- e -

  • echoBody() : JGoogleEmbed
  • echoHeader() : JGoogleEmbed
  • edebug() : PHPMailer , SMTP
  • edit() : AssociationsControllerAssociation , ContentControllerArticle , FOFController , JGithubHooks , JGithubMilestones , JGithubPackageAuthorization , JGithubPackageDataRefs , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageIssues , JGithubPackageIssuesComments , JGithubPackageIssuesMilestones , JGithubPackageOrgs , JGithubPackageOrgsTeams , JGithubPackagePulls , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageUsers , JGithubPackageUsersKeys , JGithubRefs , JHtmlDropdown , JHtmlIcon , FormController , LanguagesControllerOverride , MenusControllerItem , UsersControllerProfile
  • editAssociations() : FormController , AdminModel
  • editAuthorisation() : JGithubAccount
  • editCalendar() : JGoogleDataCalendar
  • editCalendarSettings() : JGoogleDataCalendar
  • editComment() : JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls
  • editCommitComment() : JGithubCommits
  • editCss() : ToolbarHelper
  • editEvent() : JFacebookUser , JGoogleDataCalendar
  • editHtml() : ToolbarHelper
  • editLabel() : JGithubPackageIssues
  • editList() : ToolbarHelper
  • editor() : JHtmlUsers
  • editPage() : JMediawikiPages
  • edwards_to_montgomery() : ParagonIE_Sodium_Core32_X25519 , ParagonIE_Sodium_Core_X25519
  • element_implode() : SimplePie_Misc
  • elementOptions() : PluginsHelper
  • email() : JGithubPackageSearch , JHtmlIcon
  • emailTitle() : InstallationControllerInstallEmail
  • emailToPunycode() : InputFilter , PunycodeHelper , JStringWrapperPunycode
  • emailToUTF8() : PunycodeHelper , JStringWrapperPunycode
  • emailUser() : JMediawikiUsers
  • embed() : JGoogle , SimplePie_Enclosure
  • emergency() : AbstractLogger , LoggerInterface
  • enable() : Microdata
  • enable_cache() : SimplePie
  • enable_order_by_date() : SimplePie
  • enableModule() : InstallationModelLanguages
  • enablePlugin() : InstallationModelLanguages
  • enableSites() : InstallerModelUpdate
  • encode() : FOFEncryptBase32 , idna_convert , ParagonIE_Sodium_Core_Base64_Common , ParagonIE_Sodium_Core_Base64_Original , ParagonIE_Sodium_Core_Base64_UrlSafe
  • encode64() : PasswordHash
  • encode6Bits() : ParagonIE_Sodium_Core_Base64_Common , ParagonIE_Sodium_Core_Base64_Original , ParagonIE_Sodium_Core_Base64_UrlSafe
  • encode_instead_of_strip() : SimplePie , SimplePie_Sanitize
  • encode_uri() : idna_convert
  • encodeFile() : PHPMailer
  • encodeHeader() : PHPMailer
  • encodeQ() : PHPMailer
  • encodeQP() : PHPMailer
  • encodeQPphp() : PHPMailer
  • encodeSegments() : Router
  • encodeString() : PHPMailer
  • encodeUnpadded() : ParagonIE_Sodium_Core_Base64_Common , ParagonIE_Sodium_Core_Base64_Original , ParagonIE_Sodium_Core_Base64_UrlSafe
  • encoding() : SimplePie_Misc
  • encoding_equals() : SimplePie_XML_Declaration_Parser
  • encoding_name() : SimplePie_XML_Declaration_Parser
  • encoding_value() : SimplePie_XML_Declaration_Parser
  • Encrypt() : Crypto
  • encrypt() : FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl , CryptoCipher , McryptCipher , SimpleCipher , SodiumCipher , CipherInterface , Crypt , JSimplecrypt
  • encryptString() : FOFEncryptAes
  • end() : FOFLessParser , JHtmlSliders , JHtmlTabs , OutputController , lessc_parser
  • endAccordion() : JHtmlBootstrap
  • endBoundary() : PHPMailer
  • endPane() : JHtmlBootstrap
  • endPanel() : JHtmlBootstrap
  • endSession() : JTwitterOAuth
  • endSlide() : JHtmlBootstrap
  • endTab() : JHtmlBootstrap
  • endTabSet() : JHtmlBootstrap
  • enforce_min_exec_time() : AKCoreTimer
  • enqueueMessage() : JApplication , CMSApplication
  • EnsureFunctionExists() : Crypto
  • entities_decode() : SimplePie_Misc
  • entity() : SimplePie_Decode_HTML_Entities
  • enumerateCategories() : JMediawikiCategories
  • enumerateImages() : JMediawikiImages
  • enumerateLinks() : JMediawikiLinks
  • eof() : Stream
  • eq() : FOFLess , lessc
  • equal() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • equals() : FOFTableNested , PharInvocation
  • error() : AbstractLogger , LoggerInterface , SimplePie , SimplePie_Misc
  • errorHandler() : SMTP
  • errorMessage() : phpmailerException
  • escape() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDatabaseQuery , FOFView , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , JDatabaseQuery , BaseLayout , LayoutInterface , HtmlView , LdapClient , JView , JViewBase , JViewHtml
  • escapeAttributeValues() : InputFilter
  • escapeCsvFormula() : ActionlogsHelper , ActionlogsHelperPhp55
  • escapeWithDoubleQuotes() : Escaper
  • escapeWithSingleQuotes() : Escaper
  • evaluate() : FOFLess , lessc
  • evaluateScalar() : Inline
  • exact() : FOFModelField , FOFModelFieldText
  • exec() : FOFDatabaseQuery , JDatabaseQuery , Curl
  • execute() : ConfigControllerApplicationCancel , ConfigControllerApplicationRemoveroot , ConfigControllerApplicationSave , ConfigControllerApplicationSendtestmail , ConfigControllerApplicationStore , ConfigControllerCancel , ConfigControllerCanceladmin , ConfigControllerCmsbase , ConfigControllerComponentCancel , ConfigControllerComponentSave , ConfigControllerConfigDisplay , ConfigControllerConfigSave , ConfigControllerDisplay , ConfigControllerModulesCancel , ConfigControllerModulesDisplay , ConfigControllerModulesSave , ConfigControllerTemplatesDisplay , ConfigControllerTemplatesSave , FOFController , FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , InstallationControllerDatabase , JApplicationWebRouter , JApplicationWebRouterRest , JController , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql , AbstractApplication , AbstractDaemonApplication , AbstractWebApplication , CliApplication , CMSApplication , DaemonApplication , WebApplication , BaseController , Backgroundfill , Brightness , Contrast , Edgedetect , Emboss , Grayscale , Negate , Sketchy , Smooth , ImageFilter , KeychainManager
  • executeComponent() : ComponentHelper
  • existing() : JHtmlAdminLanguage , JHtmlContentLanguage
  • exists() : File , Folder , FileWrapper , FolderWrapper , Language , LanguageHelper , Container , Input , Registry , JTableSession
  • expandBBoxChangeset() : JOpenstreetmapChangesets
  • expandKey() : AKEncryptionAES
  • expandParentSelectors() : FOFLess , lessc
  • expHelper() : FOFLessParser , lessc_parser
  • explained() : JHtmlQuery
  • explode() : FOFInflector
  • export() : PrivacyControllerRequest
  • exportXml() : MenusControllerMenu
  • expression() : FOFLessParser , lessc_parser
  • expressionList() : FOFLessParser , lessc_parser
  • extend() : Container
  • extendWhere() : JDatabaseQuery
  • extension() : SimplePie_Locator
  • extensionExistsInSystem() : FileAdapter
  • extract() : FieldsHelper , JArchive , JArchiveBzip2 , JArchiveExtractable , JArchiveGzip , JArchiveTar , JArchiveWrapperArchive , JArchiveZip , Archive , Bzip2 , ExtractableInterface , Gzip , Tar , Zip , HTMLHelper , Registry
  • extractArchive() : TemplatesControllerTemplate , TemplatesModelTemplate
  • extractCustom() : JArchiveZip , Zip
  • extractData() : Reader
  • extractNative() : JArchiveZip , Zip
  • extractStream() : JArchiveBzip2 , JArchiveGzip
  • extractTablesToConvert() : FOFDatabaseInstaller


Joomla CMS: Champs de donnée - Fonctions

- f -

  • fallback() : Microdata
  • fastCheck() : FOFUtilsFilescheck
  • fclose() : Socket
  • fe_0() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_1() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_abs() : ParagonIE_Sodium_Core_Ristretto255
  • fe_cneg() : ParagonIE_Sodium_Core_Ristretto255
  • fe_copy() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_cswap() : ParagonIE_Sodium_Core_X25519
  • fe_frombytes() : ParagonIE_Sodium_Core_Curve25519
  • fe_invert() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_isnegative() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_mul() : ParagonIE_Sodium_Core_Curve25519
  • fe_neg() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_normalize() : ParagonIE_Sodium_Core_Curve25519
  • fe_pow22523() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • fe_sq() : ParagonIE_Sodium_Core_Curve25519
  • fe_sq2() : ParagonIE_Sodium_Core_Curve25519
  • fe_sub() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • feature() : JHtmlActionsDropdown
  • featured() : ContactModelContact , ContentModelArticle , JHtmlContact , JHtmlContentAdministrator , JHtmlDropdown
  • feed_or_html() : SimplePie_Content_Type_Sniffer
  • feof() : Socket
  • fetch_data() : SimplePie
  • fetchArray() : FOFDatabaseDriver , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • fetchAssoc() : FOFDatabaseDriver , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • fetchAssociations() : CategoriesControllerAjax , ContactControllerAjax , ContentControllerAjax , MenusControllerAjax , NewsfeedsControllerAjax
  • fetchButton() : ConfirmButton , CustomButton , HelpButton , LinkButton , PopupButton , SeparatorButton , SliderButton , StandardButton , ToolbarButton
  • fetchCompatibility() : JoomlaupdateModelDefault
  • fetchConfigurationData() : InstallationApplicationWeb , CliApplication , WebApplication
  • fetchController() : InstallationApplicationWeb , JApplicationWebRouter
  • fetchControllerSuffix() : JApplicationWebRouterRest
  • fetchHead() : HeadRenderer
  • fetchIconClass() : ToolbarButton
  • fetchId() : ConfirmButton , CustomButton , HelpButton , LinkButton , PopupButton , SliderButton , StandardButton
  • fetchNamespace() : FeedParser
  • fetchObject() : FOFDatabaseDriver , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , FOFDatabaseIterator , FOFDatabaseIteratorMysql , FOFDatabaseIteratorMysqli , FOFDatabaseIteratorPdo , FOFDatabaseIteratorPostgresql , FOFDatabaseIteratorSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseIterator , JDatabaseIteratorMysql , JDatabaseIteratorMysqli , JDatabaseIteratorPdo , JDatabaseIteratorPostgresql , JDatabaseIteratorSqlsrv
  • fetchUrl() : JFacebookObject , JGithubObject , JMediawikiObject , JTwitterObject
  • fgets() : Socket
  • fieldmapExpand() : ContentType , UCMType
  • fileCopy() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • fileDelete() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • fileExists() : FOFIntegrationJoomlaFilesystem , FOFLess , FOFPlatformFilesystemInterface , lessc
  • filenameToType() : PHPMailer
  • files() : Folder , FolderWrapper , Folder
  • filesize() : Stream
  • fileUploadMaxSize() : FilesystemHelper
  • fileWrite() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • filter() : Form , Image
  • filterApplicableUpdates() : FOFUtilsUpdateJoomla
  • filterField() : Form
  • filterKey() : LanguagesHelper
  • filterListByPlatform() : FOFUtilsUpdateCollection
  • filterNotes() : JHtmlUsers
  • filterText() : ContentHelper , ComponentHelper , LanguagesHelper
  • finaliseInstall() : FileAdapter , ModuleAdapter
  • finaliseUpgrade() : JoomlaupdateModelDefault
  • find() : Path , PathWrapper , Extension , Update , Path , SimplePie_Locator
  • findBlocks() : FOFLess , lessc
  • findByAlias() : PharInvocationResolver
  • findByBaseName() : PharInvocationResolver
  • findByCallback() : Collectable , PharInvocationCollection
  • findByPath() : FOFTableNested
  • findClosestSelectors() : FOFLess , lessc
  • findDeletedFiles() : Installer
  • findField() : Form
  • findFieldsByFieldset() : Form
  • findFieldsByGroup() : Form
  • findFile() : ClassLoader
  • findFileWithExtension() : ClassLoader
  • findFormFilename() : FOFModel
  • findGroup() : Form
  • findHeader() : FOFForm , Patcher
  • findHeadersByGroup() : FOFForm
  • findHunk() : Patcher
  • findImport() : FOFLess , lessc
  • findInBaseNames() : PharInvocationResolver
  • findItem() : RouteHelper
  • findLoggers() : Log
  • findManifest() : Installer
  • findNode() : nodecounter
  • findOption() : JAdministratorHelper
  • findRenderer() : FOFView
  • findUpdate() : CollectionAdapter , ExtensionAdapter , UpdateAdapter
  • findUpdates() : FOFUtilsUpdate , InstallerModelUpdate
  • findUpdatesClassic() : FOFUtilsUpdate
  • findUpdatesJoomla() : FOFUtilsUpdate
  • finish() : ParagonIE_Sodium_Core_BLAKE2b
  • fix() : InstallerControllerDatabase , InstallerModelDatabase , ChangeItem , ChangeSet
  • fix_protocol() : SimplePie_Misc
  • fixColor() : FOFLess , lessc
  • fixDefaultTextFilters() : InstallerModelDatabase
  • fixEOL() : PHPMailer
  • fixFilenameCasing() : JoomlaInstallerScript
  • fixGroupColumns() : JDatabaseQuerySqlsrv
  • fixInteger() : MysqlChangeItem , PostgresqlChangeItem , SqlsrvChangeItem
  • fixQuote() : MysqlChangeItem , PostgresqlChangeItem , SqlsrvChangeItem
  • fixSchemaVersion() : InstallerModelDatabase
  • fixSegment() : TagsRouter
  • fixSelectAliases() : JDatabaseQuerySqlsrv
  • fixTags() : FOFLessParser , lessc_parser
  • fixTemplateName() : TemplatesModelTemplate
  • fixUpdateVersion() : InstallerModelDatabase
  • fixUtf8mb4TypeChecks() : MysqlChangeItem
  • flagPost() : JLinkedinGroups
  • flatten() : Registry , ArrayHelper
  • flatten64() : ParagonIE_Sodium_Core_BLAKE2b
  • flattenList() : FOFLess , lessc
  • flip() : Image
  • flush() : CacheStorage , MemcachedStorage , MemcacheStorage
  • flushAssets() : WebApplication
  • flushSessions() : JoomlaInstallerScript
  • folderCreate() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • folderExists() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • folderFiles() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • folderFolders() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • folderOptions() : PluginsHelper
  • folders() : Folder , FolderWrapper , Folder
  • folderTree() : TemplatesViewTemplate
  • follow() : JGithubPackageUsersFollowers , JLinkedinCompanies , JTwitterFriends
  • followPost() : JLinkedinGroups
  • force_feed() : SimplePie
  • force_fsockopen() : SimplePie
  • forceInstance() : FOFPlatform , FOFTable
  • fork() : JGithubPackageGists , AbstractDaemonApplication , DaemonApplication , Session
  • form() : JHtmlSearchtools
  • format() : FOFDatabaseQuery , JDatabaseQuery , Date
  • formatLine() : FormattedtextLogger
  • formatLink() : PlgSystemDebug
  • formvalidation() : JHtmlBehavior
  • formvalidator() : JHtmlBehavior
  • forShare() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • forUpdate() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • framework() : JHtmlBehavior , JHtmlBootstrap , JHtmlJquery
  • fread() : AKAbstractUnarchiver
  • freeResult() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , FOFDatabaseIterator , FOFDatabaseIteratorMysql , FOFDatabaseIteratorMysqli , FOFDatabaseIteratorPdo , FOFDatabaseIteratorPostgresql , FOFDatabaseIteratorSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseIterator , JDatabaseIteratorMysql , JDatabaseIteratorMysqli , JDatabaseIteratorPdo , JDatabaseIteratorPostgresql , JDatabaseIteratorSqlsrv
  • from() : FOFDatabaseQuery , JDatabaseExporter , JDatabaseImporter , JDatabaseQuery
  • fromArray() : ParagonIE_Sodium_Core32_Curve25519_Fe , SplFixedArray
  • fromBin() : FOFEncryptBase32
  • fromCamelCase() : Normalise , JStringWrapperNormalise
  • fromContent() : Manifest , Stub
  • fromInt() : ParagonIE_Sodium_Core32_Int64
  • fromInts() : ParagonIE_Sodium_Core32_Int64
  • fromJson() : Response
  • fromObject() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • fromPunycode() : PunycodeHelper , JStringWrapperPunycode
  • fromReverseString() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • fromString() : ColorStyle , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • fsockopen() : Socket
  • ftell() : ParagonIE_Sodium_File
  • ftpChmod() : FilesystemHelper , Helper
  • ftpValidate() : MediaController
  • fullElement() : JOpenstreetmapElements
  • func() : FOFLessParser , lessc_parser
  • funcToColor() : FOFLess , lessc
  • fwrite() : Socket


Joomla CMS: Champs de donnée - Fonctions

- g -

  • G() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • gc() : AbstractDaemonApplication , DaemonApplication , Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , WincacheStorage , Session , Database , Storage , JSessionStorage , JSessionStorageDatabase
  • ge_add() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_cmov8_cached() : ParagonIE_Sodium_Core_Curve25519
  • ge_cmov_cached() : ParagonIE_Sodium_Core_Curve25519
  • ge_madd() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_msub() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p1p1_to_p2() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p1p1_to_p3() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p2_0() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p2_dbl() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p3_0() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p3_dbl() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p3_to_p2() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_p3_tobytes() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_precomp_0() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_select() : ParagonIE_Sodium_Core32_Curve25519
  • ge_sub() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • ge_tobytes() : ParagonIE_Sodium_Core32_Curve25519 , ParagonIE_Sodium_Core_Curve25519
  • generate() : FOFEncryptRandval , FOFEncryptRandvalinterface
  • generateAlias() : ContactTableContact
  • generateAliasAndName() : PlgUserContactCreator
  • generateFileHeader() : FormattedtextLogger
  • generateGroupTitle() : UsersModelGroup
  • generateId() : PHPMailer
  • generateKey() : CryptoCipher , McryptCipher , SimpleCipher , SodiumCipher , CipherInterface , Crypt
  • generateManifestCache() : Installer
  • generateMediaVersion() : Version
  • generateNewTitle() : CategoriesModelCategory , FieldsModelField , AdminModel , MenusModelItem , ModulesModelModule , TagsModelTag , TemplatesModelStyle
  • generateNonce() : JOAuth1Client
  • generateOteps() : AdminModelProfile , UsersModelUser
  • generatePassword() : LdapClient
  • generateRandUserId() : InstallationModelDatabase
  • generateReport() : JGoogleDataAdsense
  • generateSecret() : FOFEncryptTotp
  • generateThumbs() : Image
  • generateTitle() : BannersModelBanner , AdminModel
  • genericList() : FOFLessParser
  • genericlist() : JHtmlSelect
  • genericList() : lessc_parser
  • genericordering() : JHtmlList
  • genRandomBytes() : FOFEncryptRandval , Crypt
  • genRandomPassword() : UserHelper , UserWrapper
  • gensalt_blowfish() : PasswordHash
  • gensalt_private() : PasswordHash
  • geocodeAddress() : JGoogleEmbedMaps
  • get() : AKFactory , FOFConfigDomainDispatcher , FOFConfigDomainInterface , FOFConfigDomainTables , FOFConfigDomainViews , FOFConfigProvider , FOFInput , FOFLess , FOFTableNested , FOFUtilsObject , FOFView , JException , JFacebookObject , JGithubHooks , JGithubMilestones , JGithubPackageAuthorization , JGithubPackageDataBlobs , JGithubPackageDataCommits , JGithubPackageDataRefs , JGithubPackageDataTags , JGithubPackageDataTrees , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageGitignore , JGithubPackageIssues , JGithubPackageIssuesComments , JGithubPackageIssuesEvents , JGithubPackageIssuesLabels , JGithubPackageIssuesMilestones , JGithubPackageOrgs , JGithubPackageOrgsTeams , JGithubPackagePulls , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesCollaborators , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesCommits , JGithubPackageRepositoriesContents , JGithubPackageRepositoriesDownloads , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageUsers , JGithubPackageUsersKeys , JGithubRefs , JInput , JInputFiles , JMediawikiHttp , AbstractApplication , Cache , CacheController , CacheStorage , CallbackController , OutputController , PageController , ViewController , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , Categories , CategoryInterface , FtpClient , UserGroupsHelper , Http , Files , Language , BaseLayout , MenuItem , Component , Node , Heading , Separator , Url , HtmlView , CMSObject , Pagination , Session , Container , FtpClient , Stream , Cli , Files , Input , Registry , Session , JRequest , lessc , ContainerInterface , SimplePie_Parse_Date
  • get_all_discovered_feeds() : SimplePie
  • get_attribution() : SimplePie_Copyright
  • get_author() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_authority() : SimplePie_IRI
  • get_authors() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_base() : SimplePie , SimplePie_Item , SimplePie_Locator , SimplePie_Source
  • get_bitrate() : SimplePie_Enclosure
  • get_build() : SimplePie_Misc
  • get_caption() : SimplePie_Enclosure
  • get_captions() : SimplePie_Enclosure
  • get_categories() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_category() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_channel_tags() : SimplePie
  • get_channels() : SimplePie_Enclosure
  • get_class() : SimplePie_Registry
  • get_content() : SimplePie_Item
  • get_contributor() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_contributors() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_copyright() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_credit() : SimplePie_Enclosure
  • get_credits() : SimplePie_Enclosure
  • get_curl_version() : SimplePie_Misc
  • get_current_byte() : SimplePie_Parser
  • get_current_column() : SimplePie_Parser
  • get_current_line() : SimplePie_Parser
  • get_data() : SimplePie_Parser
  • get_date() : SimplePie_Item
  • get_description() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_duration() : SimplePie_Enclosure
  • get_element() : SimplePie_Misc
  • get_email() : SimplePie_Author
  • get_enclosure() : SimplePie_Item
  • get_enclosures() : SimplePie_Item
  • get_encoding() : SimplePie
  • get_endtime() : SimplePie_Caption
  • get_error_code() : SimplePie_Parser
  • get_error_string() : SimplePie_Parser
  • get_expression() : SimplePie_Enclosure
  • get_extension() : SimplePie_Enclosure
  • get_favicon() : SimplePie
  • get_feed() : SimplePie_Item
  • get_feed_tags() : SimplePie
  • get_framerate() : SimplePie_Enclosure
  • get_gmdate() : SimplePie_Item
  • get_handler() : SimplePie_Cache , SimplePie_Enclosure
  • get_hash() : SimplePie_Enclosure
  • get_hashes() : SimplePie_Enclosure
  • get_height() : SimplePie_Enclosure
  • get_iauthority() : SimplePie_IRI
  • get_id() : SimplePie_Item
  • get_image_height() : SimplePie
  • get_image_link() : SimplePie
  • get_image_tags() : SimplePie
  • get_image_title() : SimplePie
  • get_image_url() : SimplePie , SimplePie_Source
  • get_image_width() : SimplePie
  • get_iri() : SimplePie_IRI
  • get_item() : SimplePie , SimplePie_Source
  • get_item_quantity() : SimplePie
  • get_item_tags() : SimplePie_Item
  • get_items() : SimplePie
  • get_keyword() : SimplePie_Enclosure
  • get_keywords() : SimplePie_Enclosure
  • get_label() : SimplePie_Category
  • get_language() : SimplePie , SimplePie_Caption , SimplePie_Enclosure , SimplePie_Source
  • get_last_error() : idna_convert
  • get_latitude() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_length() : SimplePie_Enclosure
  • get_lines() : SMTP
  • get_link() : SimplePie , SimplePie_Author , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_links() : SimplePie , SimplePie_Item , SimplePie_Locator , SimplePie_Source
  • get_local_date() : SimplePie_Item
  • get_longitude() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_medium() : SimplePie_Enclosure
  • get_meta_data() : Stream
  • get_name() : SimplePie_Author , SimplePie_Credit
  • get_permalink() : SimplePie , SimplePie_Item , SimplePie_Source
  • get_player() : SimplePie_Enclosure
  • get_random_bytes() : PasswordHash
  • get_rating() : SimplePie_Enclosure
  • get_ratings() : SimplePie_Enclosure
  • get_raw_data() : SimplePie
  • get_real_type() : SimplePie_Enclosure
  • get_registry() : SimplePie
  • get_relationship() : SimplePie_Restriction
  • get_restriction() : SimplePie_Enclosure
  • get_restrictions() : SimplePie_Enclosure
  • get_role() : SimplePie_Credit
  • get_sampling_rate() : SimplePie_Enclosure
  • get_scheme() : SimplePie_Category , SimplePie_Credit , SimplePie_Rating
  • get_size() : SimplePie_Enclosure
  • get_source() : SimplePie_Item
  • get_source_tags() : SimplePie_Source
  • get_starttime() : SimplePie_Caption
  • get_term() : SimplePie_Category
  • get_text() : SimplePie_Caption
  • get_thumbnail() : SimplePie_Enclosure
  • get_thumbnails() : SimplePie_Enclosure
  • get_title() : SimplePie , SimplePie_Enclosure , SimplePie_Item , SimplePie_Source
  • get_type() : SimplePie , SimplePie_Caption , SimplePie_Content_Type_Sniffer , SimplePie_Enclosure , SimplePie_Restriction
  • get_updated_date() : SimplePie_Item
  • get_updated_gmdate() : SimplePie_Item
  • get_uri() : SimplePie_IRI
  • get_url() : SimplePie_Copyright
  • get_value() : SimplePie_Rating , SimplePie_Restriction , SimplePie_XML_Declaration_Parser
  • get_width() : SimplePie_Enclosure
  • getAccess() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • getAccount() : JGoogleDataAdsense
  • getAcl() : FOFConfigDomainViews , Factory
  • getAction() : JHtmlSidebar , JSubMenuHelper
  • getActions() : CategoriesHelper , FinderHelper , InstallerHelper , Access , ContentHelper , JoomlaupdateHelper , LanguagesHelper , MenusHelper , MessagesHelper , ModulesHelper , PluginsHelper , RedirectHelper , SearchHelper , TemplatesHelper , UsersHelper
  • getActionsFromData() : Access
  • getActionsFromFile() : Access
  • getActive() : AbstractMenu , ModMenuHelper
  • getActiveFilters() : ListModel
  • getActiveOptions() : UsersHelper
  • getActivePositions() : ConfigModelModules
  • getActiveRow() : JGrid
  • getActivities() : JFacebookUser
  • getActivity() : JGoogleDataPlusActivities
  • getActivityData() : JGithubPackageRepositoriesStatistics
  • getAdapter() : AKEncryptionAES , JArchive , JArchiveWrapperArchive , Adapter , Installer
  • getAdapterName() : FOFDownload
  • getAdapterOptions() : FOFDownload
  • getAdapters() : Installer
  • getAddColumnSql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getAddIndexSql() : JDatabaseImporterPostgresql
  • getAdditionalJavascript() : JGoogleEmbedMaps
  • getAdditionalMapOptions() : JGoogleEmbedMaps
  • getAdditionalUrlParam() : Pagination
  • getAddKeySql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql
  • getAddSequenceSql() : JDatabaseImporterPostgresql
  • getAdminId() : InstallationModelLanguages
  • getAdvancedModeLayoutData() : JFormFieldColor
  • getAdvancedRoute() : FinderHelperRoute
  • getAffectedRows() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • getAgentString() : Browser
  • getAlbum() : JFacebookAlbum , JGoogleDataPicasa
  • getAlbums() : JFacebookUser
  • getAlias() : Container , Manifest , PharInvocation
  • getAliasLength() : Manifest
  • getAll() : Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , UserGroupsHelper , ListenersPriorityQueue
  • getAllComponents() : ConfigHelperConfig
  • getAllowed() : Rules
  • getAllRawData() : InstalledVersions
  • getAllRecipientAddresses() : PHPMailer
  • getAlterColumnSql() : JDatabaseImporterPostgresql
  • getAlterDbCharacterSet() : FOFDatabaseDriver , FOFDatabaseDriverPostgresql , JDatabaseDriver , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getAlterTableCharacterSet() : FOFDatabaseDriver , JDatabaseDriver , JDatabaseDriverOracle , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getAlterTableSql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getAltPaths() : FOFTemplateUtils
  • getAmountOfFiles() : Manifest
  • getAncestors() : FOFTableNested
  • getAncestorsAndSelf() : FOFTableNested
  • getAncestorsAndSelfWithoutRoot() : FOFTableNested
  • getAncestorsWithoutRoot() : FOFTableNested
  • getAnInstance() : FOFController , FOFDispatcher , FOFModel , FOFTable , FOFToolbar
  • getApcuPrefix() : ClassLoader
  • getApiVersion() : Manifest
  • getApplication() : JController , JControllerBase , Factory
  • getArchive() : TemplatesModelTemplate
  • getArchiveLink() : JGithubPackageRepositoriesContents
  • getAreas() : SearchModelSearch
  • getArgument() : AbstractEvent
  • getArguments() : AbstractEvent
  • getArray() : JInput , Input , StringController , Input
  • getArrayRecursive() : Input
  • getArrayString() : Php
  • getArticleId() : ContentRouter
  • getArticleRoute() : ContentHelperRoute
  • getArticleSegment() : ContentRouter
  • getAsset() : FOFTable
  • getAssetAncestors() : Access
  • getAssetId() : FieldsTableField , Access
  • getAssetKey() : FOFTable
  • getAssetName() : FOFTable , Access
  • getAssetParentId() : FOFTable
  • getAssetRules() : Access
  • getAssetTitle() : FOFTable
  • getAssetType() : Access
  • getAssignedArticleUrl() : JFormFieldConsentBox
  • getAssignedCategoriesTitles() : FieldsHelper
  • getAssignedGroups() : UsersModelUser
  • getAssignmentOptions() : ModulesHelper
  • getAssoc() : CategoriesModelCategories , CategoriesModelCategory
  • getAssociationHtmlList() : AssociationsHelper
  • getAssociationList() : AssociationsHelper , AssociationExtensionHelper
  • getAssociations() : CategoriesHelper , ContactAssociationsHelper , ContactHelperAssociation , ContentAssociationsHelper , ContentHelperAssociation , Associations , MenusAssociationsHelper , MenusHelper , NewsfeedsAssociationsHelper , NewsfeedsHelperAssociation
  • getAsyncCallback() : JGoogleEmbedMaps
  • getAttachments() : PHPMailer
  • getAttending() : JFacebookEvent
  • getAttribute() : FOFForm , Form , FormField
  • getAuthenticatedUser() : JGithubPackageUsers
  • getAuthor() : CategoryNode
  • getAuthorisation() : JGithubAccount
  • getAuthorisations() : JGithubAccount
  • getAuthorisedCategories() : User
  • getAuthorisedGroups() : User
  • getAuthorisedViewLevels() : Access , User
  • getAuthorizationLink() : JGithubPackageAuthorization
  • getAuthors() : ContentModelArticles
  • getAutoload() : JGoogleEmbedMaps
  • getAvailableDriver() : HttpFactory , FactoryWrapper
  • getAvailableTypes() : Microdata
  • getBackLinks() : JMediawikiPages
  • getBase() : Document , ModMenuHelper
  • getBaseExtension() : AKAbstractUnarchiver
  • getBaseName() : BannersModelTracks , PharInvocation
  • getBccAddresses() : PHPMailer
  • getBehaviorParam() : FOFModel
  • getBehaviors() : FOFConfigDomainTables
  • getBlocking() : JTwitterBlock
  • getBlockSize() : AKEncryptionAESAdapterInterface , FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl , Mcrypt , OpenSSL
  • getBody() : JGoogleEmbed , JGoogleEmbedAnalytics , JGoogleEmbedMaps , AbstractWebApplication , WebApplication , JResponse
  • getBookmarked() : JLinkedinJobs
  • getBooks() : JFacebookUser
  • getBool() : JRequest
  • getBoundary() : PHPMailer
  • getBounded() : FOFDatabaseQueryOracle , FOFDatabaseQuerySqlite , JDatabaseQueryOracle , JDatabaseQueryPgsql , JDatabaseQueryPreparable , JDatabaseQuerySqlite
  • getBranch() : JGithubPackageRepositories
  • getBranchTitles() : FinderIndexerTaxonomy
  • getBrowser() : Browser
  • getBrowserLanguage() : AKText
  • getBuffer() : Document , HtmlDocument , Profiler
  • getButtons() : FOFFormHeader , FOFFormHeaderFielddate , FOFFormHeaderFieldsearchable , Editor , ModQuickIconHelper
  • getByUser() : JGithubPackageActivityEvents
  • getByUserPublic() : JGithubPackageActivityEvents
  • getCache() : CacheModelCache , FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , Factory
  • getCachedPlural() : Inflector
  • getCachedSingular() : Inflector
  • getCacheKey() : PlgSystemCache
  • getCacheObject() : FOFIntegrationJoomlaPlatform
  • getCaching() : Cache
  • getCalendar() : FOFFormFieldCalendar , JGoogleDataCalendar , Language
  • getCallerInfo() : Language
  • getCallStacks() : FOFDatabaseDriver , JDatabaseDriver
  • getCanonicalPath() : Helper
  • getCapabilities() : JOpenstreetmapInfo , PrivacyModelCapabilities
  • getCategories() : FOFUtilsUpdateCollection , JMediawikiCategories
  • getCategoriesId() : ContactRouter , ContentRouter , NewsfeedsRouter
  • getCategoriesInfo() : JMediawikiCategories
  • getCategoriesSegment() : ContactRouter , ContentRouter , NewsfeedsRouter
  • getCategoriesUsed() : JMediawikiCategories
  • getCategory() : ContactModelCategory , ContentModelCategory , NewsfeedsModelCategory
  • getCategoryAssociations() : CategoryHelperAssociation
  • getCategoryId() : ContactRouter , ContentRouter , NewsfeedsRouter
  • getCategoryMembers() : JMediawikiCategories
  • getCategoryName() : BannersModelTracks
  • getCategoryOrders() : BannersModelBanners
  • getCategoryRoute() : ContactHelperRoute , ContentHelperRoute , RouteHelper , NewsfeedsHelperRoute
  • getCategorySegment() : ContactRouter , ContentRouter , NewsfeedsRouter
  • getCategoryUpdateSource() : FOFUtilsUpdateCollection
  • getCcAddresses() : PHPMailer
  • getCenter() : JGoogleEmbedMaps
  • getCfg() : JApplication , CMSApplication
  • getChangeColumnSql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getChangeSequenceSql() : JDatabaseImporterPostgresql
  • getChangeTags() : JMediawikiCategories
  • getChannel() : JGoogleDataAdsense
  • getCharset() : Document
  • getCheckin() : JFacebookCheckin
  • getCheckins() : JFacebookUser
  • getChild() : FOFTableRelations
  • getChildren() : ContactModelCategory , ContentModelCategory , FOFTableRelations , JNode , CategoryNode , Node , NewsfeedsModelCategory
  • getClassInstance() : AKFactory
  • getClassList() : JLoader
  • getClassMap() : ClassLoader
  • getClassName() : MVCFactory
  • getClient() : CacheModelCache , InstallationModelLanguages , LanguagesModelInstalled , ModulesModelModule
  • getClientId() : JApplication , CMSApplication
  • getClientInfo() : ApplicationHelper
  • getClientName() : BannersModelTracks
  • getClientOptions() : BannersHelper , CacheHelper , InstallerHelper , ModulesHelper , TemplatesHelper
  • getCliInput() : AbstractCliApplication
  • getClone() : FOFModel , FOFTable
  • getClosest() : JTwitterTrends
  • getCmd() : JRequest
  • getCode() : FOFEncryptTotp , JGoogleEmbedAnalytics
  • getCodeFrequency() : JGithubPackageRepositoriesStatistics
  • getCollation() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getCollection() : Manager
  • getCollectionDetailsUrls() : JoomlaupdateModelDefault
  • getColumn() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • getColumnAlias() : FOFTable , Table
  • getColumnCollation() : FOFDatabaseInstaller
  • getColumns() : JGrid
  • getColumnSql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getCombinedNonce() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • getComment() : JFacebookComment , JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls , JGoogleDataPlusComments , JLinkedinGroups
  • getComments() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookVideo , JGithubPackageGists , JGithubPackageIssues , JGithubPackagePulls , JLinkedinStream
  • getCommit() : JGithubCommits
  • getCommitComment() : JGithubCommits
  • getCommitComments() : JGithubCommits
  • getCommits() : JGithubPackagePulls
  • getCommonParameter() : FOFUtilsUpdate
  • getCommonWords() : FinderIndexerHelper
  • getCompanies() : JLinkedinCompanies
  • getComponent() : ConfigModelComponent , ComponentHelper
  • getComponentBaseDirs() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • getComponentConfigurationValue() : FOFUtilsConfigHelper
  • getComponentDescription() : FOFUtilsUpdate
  • getComponentName() : FOFUtilsUpdate , ApplicationHelper
  • getComponentOptions() : PostinstallModelMessages
  • getComponentRouter() : SiteRouter
  • getComponents() : ComponentHelper , UsersHelperDebug
  • getComponentsWithConfig() : ConfigHelperConfig
  • getConfig() : AdminModelSysInfo , FOFConfigDomainViews , FOFFormFieldActions , FOFIntegrationJoomlaPlatform , FOFPlatformInterface , Factory
  • getConfigProvider() : FOFTable
  • getConfigProviderKey() : FOFTable
  • getConfiguration() : JTwitterHelp
  • getConfiguredDatabaseType() : JoomlaupdateModelDefault
  • getConnectedQuery() : FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , JDatabaseDriverOracle , JDatabaseDriverPdo
  • getConnection() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver , JFacebookObject , MemcachedStorage , MemcacheStorage , RedisStorage
  • getConnectionCollation() : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getConnections() : JLinkedinPeople
  • getConnectors() : FOFDatabase , FOFDatabaseDriver , JDatabase , JDatabaseDriver
  • getContactData() : PlgContentContact
  • getContactId() : ContactRouter
  • getContactQuery() : ContactModelContact
  • getContactRoute() : ContactHelperRoute
  • getContacts() : MultilangstatusHelper
  • getContactSegment() : ContactRouter
  • getContactTable() : PlgUserContactCreator
  • getContainer() : ContainerAwareInterface
  • getContent() : BannersModelTracks , Editor , Microdata , Stub
  • getContentCount() : FinderIndexerAdapter
  • getContentExtras() : FinderIndexerHelper
  • getContentlangs() : MultilangstatusHelper
  • getContentLanguages() : AssociationsHelper , LanguageHelper
  • getContentPath() : FinderIndexerHelper
  • getContentTable() : ContentType
  • getContentType() : FOFTable , DocumentRenderer
  • getContentTypeLink() : ActionlogsHelper , MediaHelper
  • getContexts() : ContactHelper , ContentHelper , UsersHelper
  • getContributees() : JTwitterUsers
  • getContributors() : JTwitterUsers
  • getControlGroup() : Form , FormField
  • getControlGroups() : Form
  • getCoreExtensions() : ExtensionHelper
  • getCount() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • getCounter() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • getCreateDatabaseQuery() : FOFDatabaseDriver , JDatabaseDriver , JDatabaseDriverOracle , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getCreateDbQuery() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getCredentials() : ClientHelper , ClientWrapper
  • getCryptedPassword() : UserHelper , UserWrapper
  • getCss() : Tree
  • getCsvAsGenerator() : ActionlogsHelperPhp55
  • getCsvData() : ActionlogsHelper
  • getCSVHeader() : FOFTable
  • getCurrent() : Tree
  • getCurrentLanguage() : CMSHelper , ContentHelper
  • getCurrentLineIndentation() : Parser
  • getCurrentShare() : JLinkedinStream
  • getCurrentUserInfo() : JMediawikiUsers
  • getCustomHeaders() : PHPMailer
  • getData() : CacheModelCache , ConfigModelApplication , ContentModelArchive , FinderModelStatistics , FOFForm , FOFHalDocument , FOFInput , FOFTable , Rule , Rules , MessageRenderer , Form , BaseLayout , Pagination , Session , LanguagesModelInstalled , MailtoModelMailto , SearchModelSearch , UsersModelProfile , UsersModelRegistration
  • getDatabase() : FOFDatabaseDriver , JDatabaseDriver
  • getDatabaseSchemaCheck() : JoomlaupdateModelDefault
  • getDataObject() : CMSHelper
  • getDate() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , Factory
  • getDateFormat() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverOracle , JDatabaseDriver , JDatabaseDriverOracle
  • getDb() : JModelDatabase
  • getDbo() : FOFIntegrationJoomlaPlatform , FOFModel , FOFPlatformInterface , FOFTable , InstallationHelperDatabase , Adapter , Factory , BaseDatabaseModel , Table , TableInterface
  • getDebug() : Language
  • getDebugActions() : UsersHelperDebug , UsersModelDebuggroup , UsersModelDebugUser
  • getDebugLevel() : SMTP
  • getDebugMessages() : BaseLayout
  • getDebugOutput() : SMTP
  • getDeclined() : JFacebookEvent
  • getDefault() : Language , AbstractMenu , SiteMenu , ModMenuHelper
  • getDefaultAssetValues() : Content
  • getDefaultHomeModule() : MultilangstatusHelper
  • getDefaultIncludePaths() : FileLayout
  • getDefaultLanguage() : FinderIndexerHelper
  • getDefaultSchema() : JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getDefaultSearchMethod() : FOFModelField , FOFModelFieldDate , FOFModelFieldText
  • getDefaultTextFilters() : InstallerModelDatabase
  • getDefaultType() : CryptPassword , SimpleCryptPassword
  • getDeprecatedAliases() : JLoader
  • getDescendants() : FOFTableNested
  • getDescendantsAndSelf() : FOFTableNested
  • getDescription() : Document
  • getDestination() : Patcher
  • getDetails() : JOpenstreetmapUser
  • getDetectBrowser() : SiteApplication
  • getDiff() : JGithubCommits
  • getDirection() : Document
  • getDirectMessages() : JTwitterDirectmessages
  • getDirectMessagesById() : JTwitterDirectmessages
  • getDirectory() : AdminModelSysInfo
  • getDirectoryTree() : TemplatesModelTemplate
  • getDisabledUpdateSites() : InstallerModelUpdate
  • getDiscoverInstallSupported() : InstallerAdapter
  • getDiscussions() : JLinkedinGroups
  • getDn() : LdapClient
  • getDocs() : JFacebookGroup
  • getDocument() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , WebApplication , Factory
  • getDocuments() : MediaModelList
  • getDomain() : AKAbstractPart
  • getDomains() : FOFConfigProvider
  • getDriver() : FOFDatabaseFactory , JDatabaseFactory
  • getDropColumnSql() : JDatabaseImporter , JDatabaseImporterPdomysql
  • getDropIndexSql() : JDatabaseImporterPostgresql
  • getDropKeySql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql
  • getDropPrimaryKeySql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql , JDatabaseImporterPostgresql
  • getDropSequenceSql() : JDatabaseImporterPostgresql
  • getEditor() : AdminModelSysInfo , Factory , EditorField
  • getElement() : FinderIndexerResult , ComponentAdapter , FileAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , InstallerAdapter
  • getElements() : FinderIndexerResult , FOFDatabaseQueryElement , JDatabaseQueryElement
  • getEmbedded() : FOFHalDocument
  • getEnabledExtensions() : AssociationsHelper
  • getEntries() : JHtmlSidebar , JSubMenuHelper
  • getError() : AKAbstractObject , FOFUtilsObject , JError , JException , CMSObject , SMTP
  • getErrorCodes() : Response
  • getErrorFiles() : Language
  • getErrorHandling() : JError
  • getErrorMessage() : FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • getErrorMsg() : FOFDatabase , FOFDatabaseDriverJoomla , JDatabase , LdapClient
  • getErrorNum() : FOFDatabase , FOFDatabaseDriverJoomla , JDatabase
  • getErrorNumber() : FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • getErrors() : AKAbstractObject , FOFUtilsObject , JError , JException , Form , CMSObject , POP3
  • getEvent() : JFacebookEvent , JGoogleDataCalendar , Dispatcher
  • getEvents() : EasyPeasyICS , JFacebookUser , JMediawikiSites , Dispatcher
  • getExcluded() : JFormFieldUserMessages , UserField
  • getExcludedLinkIds() : FinderModelSearch
  • getExcludedTermIds() : FinderIndexerQuery
  • getExpandedKey() : FOFEncryptAes
  • getExpectedDisplayType() : Microdata
  • getExpectedTypes() : Microdata
  • getExpire() : Session
  • getExporter() : FOFDatabaseDriver , JDatabaseDriver , JDatabaseFactory
  • getExt() : FOFPlatformFilesystem , File , FileWrapper
  • getExtension() : Categories
  • getExtensionGroupes() : InstallerHelper
  • getExtensionHelper() : AssociationsHelper
  • getExtensionHelperClassName() : AssociationsHelper
  • getExtensionId() : FOFUtilsUpdate
  • getExtensionName() : PostinstallModelMessages
  • getExtensionNameFromAsset() : Access
  • getExtensionRealName() : AssociationsHelper
  • getExtensions() : AdminModelSysInfo , FOFUtilsUpdateCollection
  • getExtensionTypes() : InstallerHelper
  • getExtensionUpdateSource() : FOFUtilsUpdateCollection
  • getExtLinks() : JMediawikiLinks
  • getFallbackDirs() : ClassLoader
  • getFallbackDirsPsr4() : ClassLoader
  • getFallbackProperty() : Microdata
  • getFallbackType() : Microdata
  • getFamily() : JFacebookUser
  • getFavorites() : JTwitterFavorites
  • getFeed() : JFacebookEvent , JFacebookGroup , JFacebookUser , FeedFactory , ModFeedHelper
  • getFeedParser() : Factory , JSimplepieFactory
  • getField() : FOFConfigDomainTables , FOFModelField , Form
  • getFieldActions() : RulesRule
  • getFieldAttribute() : Form
  • getFieldName() : FOFFormHeader , FOFModelField , FormField
  • getFields() : FieldsHelper , FinderViewSearch , FOFTable , Table , PrivacyExportItem
  • getFieldset() : Form
  • getFieldsets() : Form
  • getFieldsPluginId() : FieldsHelper
  • getFieldsTemplate() : AssociationExtensionHelper
  • getFieldType() : FOFModelField
  • getFieldTypes() : FieldsHelper
  • getFieldValue() : FieldsModelField
  • getFieldValues() : FieldsModelField
  • getFieldXml() : Form
  • getFile() : TemplatesModelTemplate
  • getFileData() : Zip
  • getFileHandle() : Stream
  • getFilenameFromURL() : FOFUtilsUpdate
  • getFilenameFromUrl() : InstallerHelper
  • getFilePosition() : Gzip
  • getFiles() : AKUtilsLister , FOFDownload , FOFPlatformFilesystem , JGithubPackagePulls , TemplatesModelTemplate
  • getFileSize() : FOFDownloadAdapterAbstract , FOFDownloadAdapterCurl , FOFDownloadInterface
  • getFileType() : BannersModelTracks
  • getFilter() : FinderModelFilter , FOFFormHeader , FOFFormHeaderFielddate , FOFFormHeaderFieldfilterable , FOFFormHeaderFieldsearchable
  • getFilterForm() : ActionlogsModelActionlogs , FieldsModelFields , ListModel
  • getFilterInstance() : Image
  • getFilters() : FinderCli , JHtmlSidebar , FilesystemHelper , Helper , JSubMenuHelper
  • getFilterSource() : FOFFormHeader
  • getFinderPluginId() : FinderHelper
  • getFirstDay() : Language
  • getFirstItem() : FOFModel
  • getFirstRule() : FinderIndexerStemmerFr
  • getFlags() : Manifest
  • getFloat() : JRequest
  • getFolder() : ModRandomImageHelper
  • getFolderLevel() : MediaViewMedia
  • getFolderList() : MediaModelManager
  • getFolders() : AKUtilsLister , LanguagesModelInstalled , MediaModelList
  • getFolderTree() : MediaModelManager
  • getFollowed() : JLinkedinCompanies
  • getFollowerIds() : JTwitterFriends
  • getFont() : TemplatesModelTemplate
  • getFontInfo() : PlgEditorCodemirror
  • getForm() : AdminModelProfile , AssociationsModelAssociation , BannersModelBanner , BannersModelClient , BannersModelDownload , CategoriesModelCategory , ConfigModelApplication , ConfigModelComponent , ConfigModelConfig , ConfigModelForm , ConfigModelModules , ConfigModelTemplates , ContactModelContact , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelFilter , FOFModel , InstallationModelLanguages , InstallationModelSetup , InstallerModelUpdate , FormModel , HtmlView , LanguagesModelLanguage , LanguagesModelOverride , MailtoModelMailto , MenusModelItem , MenusModelMenu , MessagesModelConfig , MessagesModelMessage , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , PrivacyModelConfirm , PrivacyModelRemind , PrivacyModelRequest , RedirectModelLink , TagsModelTag , TemplatesModelStyle , TemplatesModelTemplate , UsersModelGroup , UsersModelLevel , UsersModelLogin , UsersModelMail , UsersModelNote , UsersModelProfile , UsersModelRegistration , UsersModelRemind , UsersModelReset , UsersModelUser
  • getFormat() : Factory
  • getFormControl() : Form
  • getFormFile() : ContenthistoryHelper
  • getFormRoute() : ContentHelperRoute
  • getFormSegment() : ContentRouter
  • getFormToken() : AbstractWebApplication , Session
  • getFormValues() : ContenthistoryHelper
  • getFragment() : AbstractUri , UriInterface
  • getFriendIds() : JTwitterFriends
  • getFriendLists() : JFacebookUser
  • getFriendRequests() : JFacebookUser
  • getFriends() : JFacebookUser
  • getFriendshipDetails() : JTwitterFriends
  • getFriendshipNoRetweetIds() : JTwitterFriends
  • getFriendshipsIncoming() : JTwitterFriends
  • getFriendshipsLookup() : JTwitterFriends
  • getFriendshipsOutgoing() : JTwitterFriends
  • getFromName() : TemplatesModelTemplate
  • getFromURL() : FOFDownload
  • getFtp() : LanguagesModelInstalled
  • getFTPOptions() : JoomlaupdateModelDefault
  • getGenerator() : Document
  • getGenericTableName() : JDatabaseExporter
  • getGeocode() : JTwitterPlaces
  • getGetFields() : ModFinderHelper
  • getGlobalFilters() : PlgEditorTinymce
  • getGrant() : PHPMailerOAuthGoogle
  • getGroup() : JFacebookGroup , JLinkedinGroups , Form , UsersModelDebuggroup
  • getGroupPath() : Access
  • getGroups() : FieldsModelFields , JFacebookUser , JFormFieldContentMap , JFormFieldGroupedList , JFormFieldItemType , JFormFieldMenuitemByType , JFormFieldTimezone , JFormFieldUserMessages , ChromestyleField , MenuField , MenuitemField , TemplatestyleField , UserField , UsersHelper , UsersModelUser
  • getGroupsByUser() : Access
  • getGroupTitle() : Access
  • getHandle() : Image
  • getHash() : FOFModel , JApplication , ApplicationHelper
  • getHashMatch() : ContentHistory
  • getHeadData() : HtmlDocument
  • getHeader() : FOFForm , FOFFormHeader , FOFFormHeaderField , FOFFormHeaderFilterdate , FOFFormHeaderFilterfilterable , FOFFormHeaderFiltersearchable , FOFFormHeaderFilterselectable , FOFFormHeaderFiltersql , FOFFormHeaderOrdering , FOFFormHeaderRowselect , JGoogleEmbed , JGoogleEmbedAnalytics , JGoogleEmbedMaps
  • getHeaders() : AbstractWebApplication , WebApplication , JResponse
  • getHeaderset() : FOFForm
  • getHeight() : JGoogleDataPicasaPhoto , Image
  • getHelp() : MenusModelItem , ModulesModelModule , PluginsModelPlugin , TemplatesModelStyle
  • getHelpSearch() : AdminModelHelp
  • getHelpVersion() : Version
  • getHexRegex() : Inline
  • getHistory() : ContentHistoryHelper
  • getHome() : JFacebookUser
  • getHomepages() : MultilangstatusHelper
  • getHomes() : MultilangstatusHelper
  • getHost() : AbstractUri , UriInterface
  • getHttp() : HttpFactory , FactoryWrapper
  • getHTTPProtocol() : Browser
  • getHttpStatusValue() : AbstractWebApplication , WebApplication
  • getHttpTransports() : HttpFactory , FactoryWrapper
  • getHumanReadableLogMessage() : ActionlogsHelper
  • getIconClass() : Tree
  • getId() : FOFFormHeader , FOFModel , FOFTable , FormField , Session , JSessionHandlerInterface , JSessionHandlerNative
  • getIdentity() : BaseApplication
  • getIds() : FOFModel
  • getIdxLookup() : JDatabaseImporterPostgresql
  • getIgnoredSearchWords() : En_GBLocalise , Fr_FRLocalise , Language
  • getIgnoredSearchWordsCallback() : Language
  • getImage() : TemplatesModelTemplate
  • getImageFileProperties() : Image
  • getImageInfo() : JMediawikiImages
  • getImages() : JMediawikiImages , MediaModelList , ModRandomImageHelper
  • getImagesUsed() : JMediawikiImages
  • getImmediateDescendants() : FOFTableNested
  • getImporter() : FOFDatabaseDriver , JDatabaseDriver , JDatabaseFactory
  • getIncludedTermIds() : FinderIndexerQuery
  • getIncludePaths() : FileLayout
  • getInfo() : AdminModelSysInfo
  • getInformation() : FOFRenderAbstract
  • getIniParserAvailability() : InstallationModelSetup , JoomlaupdateModelDefault
  • getInitializer() : ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • getInput() : FOFFormFieldButton , FOFFormFieldCheckboxes , FOFFormFieldGroupedbutton , FOFFormFieldOrdering , FOFFormFieldRules , FOFFormFieldSelectrow , InstallationFormFieldPrefix , InstallationFormFieldSample , JController , JControllerBase , JFormFieldAccessLevel , JFormFieldCalendar , JFormFieldCategoryEdit , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldClicks , JFormFieldColor , JFormFieldCombo , JFormFieldComponentlayout , JFormFieldConsentBox , JFormFieldEMail , JFormFieldFieldcontexts , JFormFieldFieldlayout , JFormFieldFile , JFormFieldFilters , JFormFieldGroupedList , JFormFieldHidden , JFormFieldImpMade , JFormFieldImpTotal , JFormFieldList , JFormFieldMenuOrdering , JFormFieldMeter , JFormFieldModal_Article , JFormFieldModal_Category , JFormFieldModal_Contact , JFormFieldModal_Menu , JFormFieldModal_Newsfeed , JFormFieldModalAssociation , JFormFieldModulelayout , JFormFieldNote , JFormFieldNumber , JFormFieldPassword , JFormFieldPluginInfo , JFormFieldprivacy , JFormFieldRadio , JFormFieldRange , JFormFieldRepeatable , JFormFieldRules , JFormFieldSection , JFormFieldSkins , JFormFieldSpacer , JFormFieldSubform , JFormFieldTel , JFormFieldterms , JFormFieldText , JFormFieldTextarea , JFormFieldUploaddirs , JFormFieldUrl , JFormFieldUsergroup , CaptchaField , ContenthistoryField , ContenttypeField , EditorField , HelpsiteField , MediaField , ModuleorderField , ModulepositionField , OrderingField , TagField , UserField , Form , FormField
  • getInput25() : FOFFormFieldRules
  • getInput3x() : FOFFormFieldRules
  • getInputForRequestMethod() : Input
  • getInstalled() : InstalledVersions
  • getInstalledlangs() : InstallationModelLanguages
  • getInstalledlangsAdministrator() : InstallationModelLanguages
  • getInstalledlangsFrontend() : InstallationModelLanguages
  • getInstalledLanguages() : LanguageHelper
  • getInstalledPackages() : InstalledVersions
  • getInstalledPackagesByType() : InstalledVersions
  • getInstallPath() : InstalledVersions
  • getInstance() : AKFactory , AKText , FinderIndexer , FinderIndexerParser , FinderIndexerStemmer , FOFDatabase , FOFDatabaseDriver , FOFDatabaseFactory , FOFForm , FOFPlatform , FOFTable , FOFUtilsObservableDispatcher , idna_convert , JApplication , JDatabase , JDatabaseDriver , JDatabaseFactory , JEventDispatcher , CliApplication , CMSApplication , WebApplication , Authentication , Cache , CacheController , Captcha , Categories , FtpClient , Date , Document , Editor , Browser , Patcher , InputFilter , Form , UserGroupsHelper , Installer , Language , LanguageStemmer , Mail , AbstractMenu , BaseController , BaseDatabaseModel , Pathway , Profiler , Router , ChangeItem , ChangeSet , Session , Table , Toolbar , Updater , Uri , User , FtpClient , Patcher , AbstractRegistryFormat , Registry , Session , Storage , Inflector
  • getInstances() : InstallerScript
  • getInstructions() : FinderIndexerResult
  • getInt() : JRequest
  • getIntegrationObject() : FOFPlatform , FOFPlatformInterface
  • getInterests() : JFacebookUser
  • getInterval() : FOFModelFieldDate
  • getInvited() : JFacebookEvent
  • getInvocations() : PharInvocationCollection
  • getIp() : FOFUtilsIp , IpHelper
  • getIssue() : JGithubPackageActivityEvents
  • getItem() : AdminModelProfile , AssociationsHelper , CategoriesModelCategory , ContactAssociationsHelper , ContactModelContact , ContentAssociationsHelper , ContentModelArticle , ContentModelForm , FieldsModelField , FieldsModelGroup , FinderIndexerAdapter , FOFModel , AbstractMenu , AdminModel , LanguagesModelLanguage , LanguagesModelOverride , MenusAssociationsHelper , MenusModelItem , MenusModelMenu , MessagesModelConfig , MessagesModelMessage , ModulesModelModule , NewsfeedsAssociationsHelper , NewsfeedsModelNewsfeed , PluginsModelPlugin , TagsModelTag , TemplatesModelStyle , UsersModelLevel , UsersModelNote , UsersModelUser
  • getItemArray() : InstallerScript
  • getItemFromArray() : AKAbstractObject
  • getItemid() : FinderHelperRoute
  • getItemId() : JFormFieldPluginordering , OrderingField
  • getItemidURLSuffix() : FOFController
  • getItemList() : FOFModel
  • getItemMenuTitle() : FinderIndexerAdapter
  • getItemRoute() : TagsHelperRoute
  • getItems() : BannersModelBanners , BannersModelClients , CategoriesModelCategories , CheckinModelCheckin , ContactModelCategories , ContactModelCategory , ContactModelFeatured , ContentModelArticles , ContentModelCategories , ContentModelCategory , ContentModelFeatured , FinderIndexerAdapter , FinderModelSuggestions , InstallationModelLanguages , InstallerModelDatabase , InstallerModelLanguages , InstallerModelWarnings , AbstractMenu , SiteMenu , ListModel , Toolbar , JSite , MenusModelItems , MenusModelMenus , ModulesModelPositions , ModulesModelSelect , NewsfeedsModelCategories , NewsfeedsModelCategory , PrivacyExportDomain , SearchModelSearches , TagsModelTag , TagsModelTags , TemplatesModelTemplates , UsersHelperRoute , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroups , UsersModelUsers
  • getItemTags() : TagsHelper
  • getItemTypes() : AssociationExtensionHelper
  • getIterator() : FOFDatabaseDriver , FOFDatabaseIterator , FOFModel , JDatabaseDriver , Session , DataObject , ListenersPriorityQueue , Registry , Session
  • getIteratorFromRelation() : FOFTableRelations
  • getIWBackLinks() : JMediawikiPages
  • getIWLinks() : JMediawikiLinks
  • getJob() : JLinkedinJobs
  • getJoomlaUpdateSitesIds() : InstallerModelUpdatesites
  • getJSObject() : HTMLHelper
  • getJStreams() : FilesystemHelper
  • getKey() : JGoogleEmbedMaps , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • getKeyDerivationParameters() : AKEncryptionAES
  • getKeyLookup() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql
  • getKeyName() : FOFTable , Table , TableInterface
  • getKeys() : Container
  • getKeySql() : JDatabaseImporterMysqli , JDatabaseImporterPdomysql
  • getKnownButtons() : PlgEditorTinymce
  • getKnownColors() : ColorStyle
  • getKnownFields() : FOFTable
  • getKnownLanguages() : Language , LanguageHelper
  • getKnownOptions() : ColorStyle
  • getLabel() : FOFFormHeader , JFormFieldConsentBox , JFormFieldDob , JFormFieldModal_Article , JFormFieldModal_Category , JFormFieldModal_Contact , JFormFieldModal_Menu , JFormFieldModal_Newsfeed , JFormFieldNote , JFormFieldprivacy , JFormFieldSpacer , JFormFieldterms , JFormFieldTos , JFormFieldVoteradio , JGithubPackageIssues , Form , FormField
  • getLabels() : JGithubPackageIssues
  • getLangLinks() : JMediawikiLinks
  • getLangswitchers() : MultilangstatusHelper
  • getLangTag() : AdminModelHelp
  • getLanguage() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , WebApplication , Document , Factory
  • getLanguageCookie() : PlgSystemLanguageFilter
  • getLanguageFilter() : SiteApplication
  • getLanguagefilterPluginId() : AssociationsHelper
  • getLanguageId() : CMSHelper , ContentHelper
  • getLanguageList() : InstallationModelLanguages , LanguagesModelInstalled , ModLoginHelper
  • getLanguageManifest() : InstallationModelLanguages
  • getLanguagePath() : Language , LanguageHelper
  • getLanguages() : InstallationModelSetup , InstallerModelLanguages , LanguageHelper , LanguageHelperWrapper , JTwitterHelp
  • getLastMessageID() : PHPMailer
  • getLastReply() : SMTP
  • getLastTransactionID() : SMTP
  • getLatestVersionCheck() : AdminModelHelp
  • getLayout() : FOFView , HtmlView , JViewHtml
  • getLayoutData() : AdminViewSysinfo , JFormFieldCalendar , JFormFieldCheckboxes , JFormFieldColor , JFormFieldCombo , JFormFieldConsentBox , JFormFieldEMail , JFormFieldFile , JFormFieldHidden , JFormFieldMeter , JFormFieldNumber , JFormFieldPassword , JFormFieldprivacy , JFormFieldRadio , JFormFieldRange , JFormFieldTel , JFormFieldterms , JFormFieldText , JFormFieldTextarea , JFormFieldTinymceBuilder , JFormFieldUrl , ContenthistoryField , MediaField , ModuleorderField , UserField , FormField , PlgSystemStats , PlgSystemStatsFormFieldData
  • getLayoutFile() : FinderViewSearch
  • getLayoutId() : FileLayout
  • getLayoutPath() : ModuleHelper , PluginHelper
  • getLayoutPaths() : FormField , PlgSystemStats , PlgSystemStatsFormFieldBase
  • getLayoutTemplate() : FOFView , HtmlView
  • getLeaves() : FOFTableNested
  • getLeftSibling() : ContactModelCategory , ContentModelCategory , NewsfeedsModelCategory
  • getLevel() : FOFTableNested , Node
  • getLevelsOptions() : UsersHelperDebug
  • getLibrary() : LibraryHelper
  • getLikes() : JFacebookAlbum , JFacebookCheckin , JFacebookComment , JFacebookLink , JFacebookNote , JFacebookPhoto , JFacebookPost , JFacebookStatus , JFacebookUser , JFacebookVideo , JLinkedinStream
  • getLimitBox() : Pagination
  • getLink() : JFacebookLink , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Document , ModSyndicateHelper
  • getLinkKey() : MenusHelper
  • getLinks() : FOFHalDocument , FOFHalLinks , FOFToolbar , JFacebookUser , JMediawikiLinks
  • getLinksUsed() : JMediawikiLinks
  • getList() : FOFModel , JGithubCommits , JGithubForks , JGithubHooks , JGithubMilestones , JGithubPackageActivityNotifications , JGithubPackageActivityStarring , JGithubPackageActivityWatching , JGithubPackageAuthorization , JGithubPackageDataRefs , JGithubPackageGists , JGithubPackageGistsComments , JGithubPackageGitignore , JGithubPackageIssues , JGithubPackageIssuesAssignees , JGithubPackageIssuesComments , JGithubPackageIssuesEvents , JGithubPackageIssuesLabels , JGithubPackageIssuesMilestones , JGithubPackageOrgs , JGithubPackageOrgsMembers , JGithubPackageOrgsTeams , JGithubPackagePulls , JGithubPackagePullsComments , JGithubPackageRepositories , JGithubPackageRepositoriesCollaborators , JGithubPackageRepositoriesComments , JGithubPackageRepositoriesCommits , JGithubPackageRepositoriesDownloads , JGithubPackageRepositoriesForks , JGithubPackageRepositoriesHooks , JGithubPackageRepositoriesKeys , JGithubPackageRepositoriesStatuses , JGithubPackageUsers , JGithubPackageUsersEmails , JGithubPackageUsersFollowers , JGithubPackageUsersKeys , JGithubRefs , JGithubStatuses , MediaModelList , ModArchiveHelper , ModArticlesCategoriesHelper , ModArticlesCategoryHelper , ModArticlesLatestHelper , ModArticlesNewsHelper , ModArticlesPopularHelper , ModBannersHelper , ModBreadCrumbsHelper , ModLanguagesHelper , ModLatestActionsHelper , ModLatestHelper , ModLoggedHelper , ModMenuHelper , ModPopularHelper , ModRelatedItemsHelper , ModSampledataHelper , ModStatsHelper , ModTagsPopularHelper , ModTagssimilarHelper
  • getListBranches() : JGithubPackageRepositories
  • getListById() : JTwitterLists
  • getListByIssue() : JGithubPackageIssuesLabels
  • getListByMilestone() : JGithubPackageIssuesLabels
  • getListByRepository() : JGithubPackageIssues
  • getListByUser() : JGithubPackageGists
  • getListComments() : JGithubCommits
  • getListContributors() : JGithubPackageRepositories , JGithubPackageRepositoriesStatistics
  • getListenerPriority() : Dispatcher
  • getListeners() : Dispatcher
  • getListFollowedBy() : JGithubPackageUsersFollowers
  • getListFooter() : Pagination
  • getListLanguages() : JGithubPackageRepositories
  • getListMembers() : JGithubPackageOrgsTeams
  • getListOrg() : JGithubPackageRepositories
  • getListOwn() : JGithubPackageRepositories
  • getListPublic() : JGithubPackageGists , JGithubPackageOrgsMembers
  • getListQuery() : ActionlogsModelActionlogs , AssociationsModelAssociations , BannersModelBanners , BannersModelClients , BannersModelTracks , CategoriesModelCategories , ContactModelCategory , ContactModelContacts , ContactModelFeatured , ContenthistoryModelHistory , ContentModelArchive , ContentModelArticles , ContentModelFeatured , FieldsModelFields , FieldsModelGroups , FinderIndexerAdapter , FinderModelFilters , FinderModelIndex , FinderModelMaps , FinderModelSearch , FinderModelSuggestions , InstallerModelDiscover , InstallerModelManage , InstallerModelUpdate , InstallerModelUpdatesites , ListModel , LanguagesModelLanguages , MenusModelItems , MenusModelMenus , MessagesModelMessages , ModulesModelModules , ModulesModelSelect , NewsfeedsModelCategory , NewsfeedsModelNewsfeeds , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PluginsModelPlugins , PrivacyModelConsents , PrivacyModelRequests , RedirectModelLinks , SearchModelSearches , TagsModelTag , TagsModelTags , TemplatesModelStyles , TemplatesModelTemplates , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroups , UsersModelLevels , UsersModelNotes , UsersModelUsers
  • getListRepos() : JGithubPackageOrgsTeams
  • getListRepository() : JGithubPackageActivityNotifications , JGithubPackageIssuesEvents , JGithubPackageRepositoriesComments
  • getLists() : FOFViewRaw , JTwitterLists
  • getListStarred() : JGithubPackageGists
  • getListTags() : JGithubPackageRepositories
  • getListTeams() : JGithubPackageRepositories
  • getListUser() : JGithubPackageRepositories , JGithubPackageUsersKeys
  • getLoader() : ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd
  • getLocale() : Language
  • getLocalise() : InstallationApplicationWeb
  • getLocaliseAdmin() : InstallationApplicationWeb
  • getLocation() : JGoogleDataPicasaAlbum
  • getLocations() : JTwitterTrends
  • getLog() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • getLogContentTypeParams() : ActionlogsHelper
  • getLogDataAsIterator() : ActionlogsModelActionlogs
  • getLogDataQuery() : ActionlogsModelActionlogs
  • getLogFiles() : PlgSystemLogrotation
  • getLogger() : AbstractApplication , Image , ImageFilter
  • getLoginModule() : LoginModelLogin
  • getLoginRoute() : UsersHelperRoute
  • getLogsData() : ActionlogsModelActionlogs
  • getLogsForItem() : ActionlogsModelActionlogs
  • getLongVersion() : Version , JPlatform
  • getLookupValue() : ContenthistoryHelper
  • getLowerLimitSearchWord() : En_GBLocalise , Fr_FRLocalise , Language
  • getLowerLimitSearchWordCallback() : Language
  • getMachineContent() : Microdata
  • getMailer() : Factory
  • getMailMIME() : PHPMailer
  • getMajor() : Browser
  • getManifest() : Installer , InstallerAdapter , Container
  • getManifestLength() : Manifest
  • getMapClass() : JGoogleEmbedMaps
  • getMapId() : JGoogleEmbedMaps
  • getMappedAlias() : Stub
  • getMapStyle() : JGoogleEmbedMaps
  • getMapType() : JGoogleEmbedMaps
  • getMarks() : Profiler
  • getMaxUploadSize() : Utility
  • getMaybe() : JFacebookEvent
  • getMd5Version() : HTMLHelper
  • getMediaVersion() : Document , Version
  • getMembers() : JFacebookGroup , JTwitterLists
  • getMemberships() : JLinkedinGroups
  • getMemory() : Profiler
  • getMentions() : JTwitterStatuses
  • getMenu() : JApplication , CMSApplication , SiteApplication , AbstractMenu , JSite , MenusModelItems
  • getMenuItems() : MenusHelper
  • getMenuLinks() : MenusHelper
  • getMenus() : ModMenuHelper
  • getMenuType() : MenusModelItem
  • getMenuTypeId() : MenusControllerItem , MenusModelItem
  • getMenuTypes() : MenusHelper
  • getMessageInfo() : PlgQuickiconEos310
  • getMessageQueue() : JApplication , CMSApplication
  • getMeta() : JGithubMeta
  • getMetadata() : CategoryNode
  • getMetaData() : Document
  • getMetadata() : Language , LanguageHelper
  • getMetaData() : Manifest
  • getMetaDataLength() : Manifest
  • getMethod() : JInput , Input , JRequest
  • getMethodArgs() : Container
  • getMethods() : JoomlaupdateHelperSelect
  • getmicrotime() : Profiler
  • getMime() : JGoogleDataPicasaAlbum
  • getMimeEncoding() : Document
  • getMimeType() : BannersModelTracks , MediaHelper
  • getMinimum() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • getMinor() : Browser
  • getMode() : Router
  • getModel() : ActionlogsControllerActionlogs , AssociationsControllerAssociations , BannersControllerBanners , BannersControllerClients , BannersControllerTracks , CategoriesControllerCategories , ContactControllerContact , ContactControllerContacts , ContentControllerArticle , ContentControllerArticles , ContentControllerFeatured , ContenthistoryControllerHistory , ContenthistoryControllerPreview , FieldsControllerFields , FieldsControllerGroups , FinderControllerFilters , FinderControllerIndex , FinderControllerMaps , FOFController , FOFForm , FOFView , BaseController , FormController , HtmlView , LanguagesControllerLanguages , MenusControllerItems , MenusControllerMenus , MessagesControllerMessages , ModulesControllerModules , NewsfeedsControllerNewsfeeds , PluginsControllerPlugins , PrivacyControllerRequests , RedirectControllerLinks , TagsControllerTags , TemplatesControllerStyles , TemplatesControllerTemplate , UsersControllerGroups , UsersControllerLevels , UsersControllerNotes , UsersControllerUsers
  • getModifiedDate() : Document
  • getModMenuId() : MenusModelMenus
  • getModule() : ModuleHelper , MultilangstatusHelper
  • getModuleById() : ModuleHelper
  • getModules() : ModuleHelper , MenusModelItem , MenusModelMenu , MenusModelMenus , ModulesHelper
  • getMovies() : JFacebookUser
  • getMultiple() : FOFTableRelations
  • getMusic() : JFacebookUser
  • getMutualFriends() : JFacebookUser
  • getMyViews() : FOFToolbar
  • getName() : ConfigModelCms , ConfigViewCmsHtml , EasyPeasyICS , FOFController , FOFDatabaseDriver , FOFDownloadAdapterAbstract , FOFDownloadInterface , FOFFormHeader , FOFModel , FOFView , JApplication , JDatabaseDriver , JFormFieldSubform , CMSApplication , RouterView , JsonDocument , XmlDocument , File , FileWrapper , Form , FormField , InstallerAdapter , Language , BaseController , BaseDatabaseModel , HtmlView , Session , Toolbar , ToolbarButton , AbstractEvent , EventInterface , Session , JSessionHandlerInterface , JSessionHandlerNative , nodecounter
  • getNamespaces() : JLoader
  • getNestedList() : FOFTableNested
  • getNetwork() : JGithubPackageActivityEvents
  • getNetworkStats() : JLinkedinStream
  • getNetworkUpdates() : JLinkedinStream
  • getNew() : FOFQueryAbstract
  • getNewInstance() : Container
  • getNewsfeedId() : NewsfeedsRouter
  • getNewsfeedRoute() : NewsfeedsHelperRoute
  • getNewsfeedSegment() : NewsfeedsRouter
  • getNextEmbedBlock() : Parser
  • getNextOrder() : FOFTable , Table
  • getNode() : nodecounter
  • getNodeByTitle() : FinderIndexerTaxonomy
  • getNonce() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • getNonCoreExtensions() : JoomlaupdateModelDefault
  • getNonCorePlugins() : JoomlaupdateModelDefault
  • getNoreply() : JFacebookEvent
  • getNote() : JFacebookNote
  • getNotes() : JFacebookUser
  • getNotifications() : JFacebookUser
  • getNullDate() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • getNumberUrgentRequests() : PrivacyModelRequests
  • getNumItems() : CategoryNode
  • getNumRows() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • getOAuth() : JFacebookObject
  • getOauth64() : PHPMailerOAuthGoogle
  • getOAUTHInstance() : PHPMailerOAuth
  • getObjectsKeys() : DataSet
  • getObserverOfClass() : JObserverUpdater , Table
  • getOembed() : JTwitterStatuses
  • getOffsetFromGmt() : Date
  • getOnlineCount() : ModWhosonlineHelper
  • getOnlineUserNames() : ModWhosonlineHelper
  • getOption() : FOFDatabaseDriverPdo , JDatabaseDriverPdo , JFacebook , JGithub , JGoogle , JGoogleAuth , JGoogleData , JGoogleEmbed , JLinkedin , JLinkedinObject , JMediawiki , JOAuth1Client , JOAuth2Client , Http , JOpenstreetmap , JOpenstreetmapObject , JTwitter , JTwitterObject , LanguagesModelInstalled
  • getOptionName() : FOFFormFieldGroupedlist , FOFFormFieldList
  • getOptions() : FOFFormFieldActions , FOFFormFieldComponents , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldModel , FOFFormFieldPublished , FOFFormFieldRelation , FOFFormFieldTag , FOFFormHeader , FOFFormHeaderAccesslevel , FOFFormHeaderFieldselectable , FOFFormHeaderFieldsql , FOFFormHeaderLanguage , FOFFormHeaderModel , FOFFormHeaderPublished , InstallationFormFieldLanguage , InstallationFormFieldSample , InstallationModelLanguages , InstallationModelSetup , JFormFieldAliastag , JFormFieldBannerClient , JFormFieldBranches , JFormFieldCacheHandler , JFormFieldCategory , JFormFieldCategoryEdit , JFormFieldCategoryParent , JFormFieldComponents , JFormFieldComponentsCategory , JFormFieldConfigComponents , JFormFieldContentTypes , JFormFieldDatabaseConnection , JFormFieldDirectories , JFormFieldExtension , JFormFieldExtensionStatus , JFormFieldFieldcontexts , JFormFieldFieldgroups , JFormFieldFileList , JFormFieldFolder , JFormFieldFolderList , JFormFieldFonts , JFormFieldGroupParent , JFormFieldImageList , JFormFieldInteger , JFormFieldItemLanguage , JFormFieldLanguage , JFormFieldLanguageclient , JFormFieldLevels , JFormFieldList , JFormFieldLocation , JFormFieldLogCreator , JFormFieldLogType , JFormFieldMenuOrdering , JFormFieldMenuParent , JFormFieldMenuPreset , JFormFieldMessageStates , JFormFieldModulesModule , JFormFieldModulesPosition , JFormFieldNewsfeeds , JFormFieldPluginElement , JFormFieldPlugins , JFormFieldPluginType , JFormFieldPredefinedList , JFormFieldRedirect , JFormFieldSearchFilter , JFormFieldSessionHandler , JFormFieldSkins , JFormFieldSQL , JFormFieldTemplateLocation , JFormFieldTemplateName , JFormFieldText , JFormFieldType , JFormFieldUploaddirs , JFormFieldVoteradio , AuthorField , ContentlanguageField , ContenttypeField , FrontendlanguageField , HeadertagField , HelpsiteField , LimitboxField , ModuletagField , TagField , UsergrouplistField , BaseLayout
  • getOptionsFromField() : FieldsListPlugin
  • getOrdering() : FOFPlatform , FOFPlatformInterface
  • getOrg() : JGithubPackageActivityEvents
  • getOrientation() : Image
  • getOrientationString() : Image
  • getOrphans() : Language
  • getOtpConfig() : AdminModelProfile , UsersModelProfile , UsersModelUser
  • getOtpConfigEncryptionKey() : UsersModelUser
  • getOutput() : AbstractCliApplication , CliApplication
  • getOverrides() : LanguagesModelOverrides
  • getOverridesFolder() : TemplatesModelTemplate
  • getOverridesList() : TemplatesModelTemplate
  • getPackageUrl() : InstallationModelLanguages
  • getPage() : AdminModelHelp
  • getPageInfo() : JMediawikiPages
  • getPageParameters() : SiteApplication
  • getPageProperties() : JMediawikiPages
  • getPagesCounter() : Pagination
  • getPagesLinks() : Pagination
  • getPageTemplates() : JMediawikiPages
  • getPagination() : CacheModelCache , ContentModelCategory , FOFModel , InstallerModelDatabase , ListModel , SearchModelSearch
  • getPaginationLinks() : Pagination
  • getPaginationPages() : Pagination
  • getParam() : FOFDownload , InstallerScript , Node , User
  • getParameters() : User
  • getParams() : FieldsModelField , SiteApplication , CategoryNode , ComponentHelper , ComponentRecord , LibraryHelper , Installer , AbstractMenu , MenuItem , ModWrapperHelper
  • getParent() : ContactModelCategories , ContactModelCategory , ContentModelCategories , ContentModelCategory , FOFTableNested , FOFTableRelations , JNode , AdapterInstance , CategoryNode , Node , Tree , JTree , NewsfeedsModelCategories , NewsfeedsModelCategory
  • getParsedFile() : ParseException
  • getParsedLine() : ParseException
  • getPart() : FOFInflector
  • getParticipation() : JGithubPackageRepositoriesStatistics
  • getPass() : AbstractUri , UriInterface
  • getPassphraseFromFile() : JKeychain
  • getPath() : FOFLayoutFile , InstallationModelLanguages , CategoryNode , RouterView , Installer , FileLayout , Nested , Image , AbstractUri , UriInterface , JViewHtml , LanguagesModelInstalled
  • getPaths() : Language , JViewHtml
  • getPathway() : JApplication , CMSApplication , SiteApplication , Pathway
  • getPathwayNames() : Pathway
  • getPbkdf2Algorithm() : AKEncryptionAES
  • getPbkdf2Iterations() : AKEncryptionAES
  • getPbkdf2StaticSalt() : AKEncryptionAES
  • getPbkdf2UseStaticSalt() : AKEncryptionAES
  • getPeople() : JGoogleDataPlusPeople
  • getPeriod() : FOFEncryptTotp
  • getPermissions() : JFacebookUser , Path , PathWrapper , Path
  • getPerms() : FOFViewRaw
  • getPhoto() : JFacebookPhoto
  • getPhotos() : JFacebookAlbum , JFacebookEvent , JFacebookUser
  • getPHPInfo() : AdminModelSysInfo
  • getPhpInfoArray() : AdminModelSysInfo
  • getPhpOptions() : InstallationModelSetup , JoomlaupdateModelDefault
  • getPhpOptionsSufficient() : InstallationModelSetup
  • getPhpSettings() : AdminModelSysInfo , InstallationModelSetup , JoomlaupdateModelDefault
  • getPhpSupport() : PlgQuickiconPhpVersionCheck
  • getPicture() : JFacebookAlbum , JFacebookEvent , JFacebookGroup , JFacebookPhoto , JFacebookUser , JFacebookVideo
  • getPlace() : JTwitterPlaces
  • getPlatform() : Browser
  • getPlatformBaseDirs() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • getPlatformHumanName() : FOFPlatform , FOFPlatformInterface
  • getPlatformName() : FOFPlatform , FOFPlatformInterface
  • getPlatformPrefix() : Cache
  • getPlatformVersion() : FOFPlatform , FOFPlatformInterface
  • getPlugin() : PluginHelper
  • getPluginId() : PlgEditorTinymce
  • getPluginState() : FinderModelIndex
  • getPluginType() : FinderIndexerAdapter
  • getPluralSuffixes() : En_GBLocalise , Fr_FRLocalise , Language
  • getPluralSuffixesCallback() : Language
  • getPort() : AbstractUri , UriInterface
  • getPositions() : ConfigModelModules , ModulesHelper , TemplatesHelper
  • getPost() : JFacebookPost , JLinkedinGroups
  • getPostComments() : JLinkedinGroups
  • getPostProc() : AKFactory
  • getPosts() : JFacebookUser
  • getPreferences() : JOpenstreetmapUser
  • getPrefix() : FOFDatabaseDriver , JDatabaseDriver
  • getPrefixes() : ClassLoader
  • getPrefixesPsr4() : ClassLoader
  • getPresets() : MenuHelper
  • getPrettyVersion() : InstalledVersions
  • getPreview() : TemplatesModelTemplate
  • getPrimaryKey() : Table , UCMContent
  • getPrimaryLanguage() : FinderIndexerHelper
  • getPriority() : FOFDownloadAdapterAbstract , FOFDownloadInterface , ListenersPriorityQueue
  • getPrivacyArticleId() : PlgSystemPrivacyconsent
  • getPrivacyConsentPluginId() : PrivacyHelper
  • getPrivacyPolicyInfo() : PrivacyModelDashboard
  • getProcessor() : CliOutput
  • getProducts() : JLinkedinCompanies
  • getProfile() : JLinkedinPeople , UserHelper , UserWrapper
  • getProfileRoute() : UsersHelperRoute
  • getProperties() : FOFUtilsObject , JException , CMSObject
  • getProperty() : Microdata , DataObject
  • getProtectedTitles() : JMediawikiSites
  • getProvider() : PHPMailerOAuthGoogle
  • getProviderName() : ProviderAwareAuthenticationPluginInterface
  • getPublic() : JGithubPackageActivityEvents
  • getPublishedField() : FOFFormFieldActions
  • getPunchCard() : JGithubPackageRepositoriesStatistics
  • getQuery() : FinderModelSearch , FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverPostgresql , FOFDatabaseFactory , FOFFormFieldOrdering , JDatabaseDriver , JDatabaseDriverPostgresql , JDatabaseExceptionExecuting , JDatabaseFactory , JFormFieldPluginordering , OrderingField , AbstractUri , UriInterface , ModFinderHelper
  • getQueryDate() : ContentHelperQuery , PlgContentPagenavigation
  • getQueryJoin() : FOFTable
  • getQueryJoinFields() : FOFTable
  • getRandom() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getRandomImage() : ModRandomImageHelper
  • getRangeOptions() : UsersHelper
  • getRateLimit() : JGithubAccount , JGithubPackageAuthorization , JTwitterObject
  • getRaw() : JInputJSON , Json , Container , Json
  • getRawData() : InstalledVersions
  • getReadme() : JGithubPackageRepositoriesContents
  • getRealCurrentLineNb() : Parser
  • getRealTableName() : JDatabaseImporter
  • getRecentChanges() : JMediawikiSites
  • getRecursively() : JGithubPackageDataTrees
  • getRedirectMessage() : PlgSystemPrivacyconsent
  • getRedirectPluginId() : RedirectHelper
  • getRedirectToItemAppend() : CategoriesControllerCategory , ContentControllerArticle , FieldsControllerField , FormController , LanguagesControllerLanguage , MenusControllerItem , UsersControllerNote
  • getRedirectToListAppend() : CategoriesControllerCategory , FieldsControllerField , FormController
  • getRedirectUrl() : Installer
  • getRef() : StringController
  • getReference() : InstalledVersions
  • getRegisteredLoaders() : ClassLoader
  • getRegistrationRoute() : UsersHelperRoute
  • getRelatedItem() : FOFTableRelations
  • getRelatedItems() : FOFTableRelations
  • getRelation() : FOFTableRelations
  • getRelations() : FOFConfigDomainTables , FOFTable
  • getRememberCookieData() : UserHelper , UserWrapper
  • getRemindRoute() : UsersHelperRoute
  • getRenderedForm() : FOFViewForm
  • getRenderer() : FOFView , FormField , PlgSystemStats
  • getRenderFrontendButtons() : FOFToolbar
  • getRenderFrontendSubmenu() : FOFToolbar
  • getReorderConditions() : BannersModelBanner , CategoriesModelCategory , ContactModelContact , ContentModelArticle , ContentModelFeature , FieldsModelField , FieldsModelGroup , AdminModel , MenusModelItem , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin
  • getReorderWhere() : FOFModel
  • getRepeatable() : FOFFormField , FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRelation , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldTitle , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • getReplyToAddresses() : PHPMailer
  • getRepositories() : JGithubPackageActivityStarring , JGithubPackageActivityWatching
  • getRepository() : JGithubPackageActivityEvents
  • getRepositoryList() : JGithubPackageIssuesComments
  • getRequestCounts() : PrivacyModelDashboard
  • getRequestFormPublished() : PrivacyModelDashboard
  • getRequiredTermIds() : FinderIndexerQuery
  • getResendRoute() : UsersHelperRoute
  • getResetCompleteForm() : UsersModelReset
  • getResetConfirmForm() : UsersModelReset
  • getResetRoute() : UsersHelperRoute
  • getResponse() : CurlTransport , SocketTransport , StreamTransport , PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , POP3
  • getResults() : FinderModelSearch
  • getResultsCounter() : Pagination
  • getResultsData() : FinderModelSearch
  • getResultsTotal() : FinderModelSearch
  • getReturnPage() : ContentControllerArticle , ContentModelForm
  • getReturnUri() : ModLoginHelper
  • getReturnUrl() : ModLoginHelper
  • getRetweeters() : JTwitterStatuses
  • getRetweetsById() : JTwitterStatuses
  • getRetweetsOfMe() : JTwitterStatuses
  • getReverseLookup() : MenusModelMenutypes
  • getRevisions() : JMediawikiPages
  • getRightSibling() : ContactModelCategory , ContentModelCategory , NewsfeedsModelCategory
  • getRoot() : FOFTableNested , Tree
  • getRootId() : Nested
  • getRootPackage() : InstalledVersions
  • getRoute() : RouteHelper , InstallerAdapter
  • getRouter() : JApplication , AdministratorApplication , CMSApplication , SiteApplication
  • getRow() : JGrid
  • getRowData() : CMSHelper , ContentHelper
  • getRowOffset() : Pagination
  • getRowOptions() : JGrid
  • getRows() : JGrid
  • getRules() : FOFTable , RouterView , Table
  • getRunningTime() : AKCoreTimer , FOFUtilsTimer
  • gets() : Stream
  • getSafeData() : AdminModelSysInfo
  • getSalt() : SimpleCryptPassword , UserHelper , UserWrapper
  • getSavedSearches() : JTwittersearch
  • getSavedSearchesById() : JTwittersearch
  • getSavedTable() : FOFModel
  • getSchema() : ChangeSet
  • getSchemaVersion() : InstallerModelDatabase
  • getScheme() : AbstractUri , UriInterface
  • getScope() : JFacebookOAuth , JLinkedinOauth
  • getScriptClassName() : PluginAdapter , InstallerAdapter
  • getScriptOptions() : Document
  • getScriptStrings() : Text
  • getSearchDisplayedCharactersNumber() : En_GBLocalise , Fr_FRLocalise , Language
  • getSearchDisplayedCharactersNumberCallback() : Language
  • getSearchImage() : ModSearchHelper
  • getSearchMethods() : FOFModelField
  • getSearchRoute() : FinderHelperRoute
  • getSefString() : InstallationModelLanguages , LanguageAdapter
  • getSentDirectMessages() : JTwitterDirectmessages
  • getSentMIMEMessage() : PHPMailer
  • getSeqLookup() : JDatabaseImporterPostgresql
  • getServerExt() : SMTP
  • getServerExtList() : SMTP
  • getServerType() : FOFDatabaseDriver , JDatabaseDriver
  • getSession() : AbstractWebApplication , WebApplication , Factory
  • getSettings() : JLinkedinGroups , JTwitterProfile
  • getSha1() : ContentHistory
  • getSha1Hash() : ContenthistoryModelHistory
  • getShareStream() : JLinkedinStream
  • getShortHashedUserAgent() : UserHelper , UserWrapper
  • getShortVersion() : Version , JPlatform
  • getSibling() : CategoryNode
  • getSiblings() : FOFTableNested , FOFTableRelations
  • getSiblingsAndSelf() : FOFTableNested
  • getSignature() : FinderIndexer
  • getSimilarPlaces() : JTwitterPlaces
  • getSimpleModeLayoutData() : JFormFieldColor
  • getSiteHomePages() : Multilanguage
  • getSiteInfo() : JMediawikiSites
  • getSiteLangs() : Multilanguage
  • getSitelangs() : MultilangstatusHelper
  • getSitesWithUpdates() : Updater
  • getSize() : JGoogleDataPicasaPhoto , SplFixedArray
  • getSMTPInstance() : PHPMailer
  • getSnippet() : ParseException
  • getSortable() : FOFFormHeader
  • getSortFields() : BannersViewBanners , BannersViewClients , BannersViewTracks , CategoriesViewCategories , ContactViewContacts , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , LanguagesViewLanguages , MenusViewItems , ModulesViewModules , NewsfeedsViewNewsfeeds , PluginsViewPlugins , TagsViewTags , UsersViewGroups , UsersViewLevels , UsersViewNotes , UsersViewUsers
  • getSource() : Patcher , TemplatesModelTemplate
  • getStart() : ContentModelArticles , ListModel
  • getState() : AKAbstractPart , ConfigModelCms , FinderIndexer , FOFModel , FOFUtilsObservableDispatcher , JEventDispatcher , JModel , JModelBase , JObservable , Authentication , Captcha , Editor , BaseDatabaseModel , Session , MediaModelList , MediaModelManager
  • getStateOptions() : InstallerHelper , MessagesHelper , ModulesHelper , UsersHelper
  • getStateQuery() : FinderIndexerAdapter , PlgFinderCategories , PlgFinderTags
  • getStatic() : FOFFormField , FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRelation , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • getStaticSaltExpandedKey() : AKEncryptionAES
  • getStats() : ModStatsHelper
  • getStatsData() : PlgSystemStats
  • getStatus() : JFacebookStatus , ChangeSet , MultilangstatusHelper
  • getStatusArray() : AKAbstractPart
  • getStatuses() : JFacebookUser , JTwitterLists
  • getStem() : FinderIndexerStemmerFr
  • getStemRules() : FinderIndexerStemmerFr
  • getStep() : AKAbstractPart
  • getStoreId() : AssociationsModelAssociations , BannersModelBanners , BannersModelClients , CacheModelCache , CategoriesModelCategories , ContactModelCategories , ContactModelContacts , ContentModelArticles , ContentModelCategories , ContentModelFeatured , FieldsModelFields , FieldsModelGroups , FinderModelFilters , FinderModelIndex , FinderModelMaps , FinderModelSearch , FinderModelSuggestions , InstallerModelLanguages , ItemModel , ListModel , LanguagesModelInstalled , LanguagesModelLanguages , MenusModelItems , MessagesModelMessages , ModulesModelModules , ModulesModelSelect , NewsfeedsModelCategories , NewsfeedsModelNewsfeeds , PluginsModelPlugins , PrivacyModelConsents , PrivacyModelRequests , RedirectModelLinks , SearchModelSearches , TagsModelTags , TemplatesModelStyles , TemplatesModelTemplates , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroups , UsersModelLevels , UsersModelNotes , UsersModelUsers
  • getStores() : Cache , Session
  • getStream() : Factory , Stream
  • getString() : JRequest
  • getStringPositionSql() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getStub() : Container
  • getStyle() : ColorStyle
  • getSubscribedTo() : JFacebookUser
  • getSubscribers() : JFacebookUser , JTwitterLists
  • getSubscription() : JGithubPackageActivityWatching
  • getSubscriptions() : JTwitterLists
  • getSubstep() : AKAbstractPart
  • getSubstitutedSerialized() : DisallowedClassesSubstitutor
  • getSuffixes() : FileLayout
  • getSuggested() : JLinkedinCompanies , JLinkedinGroups , JLinkedinJobs
  • getSuggestions() : FinderControllerSuggestions , JFormFieldText , JTwitterUsers
  • getSuggestionsSlug() : JTwitterUsers
  • getSuggestionsSlugMembers() : JTwitterUsers
  • getSummary() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • getSuperUsers() : PlgSystemUpdatenotification
  • getSupported() : FilesystemHelper , Helper
  • getSupportedExtension() : AssociationsHelper
  • getSupportedExtensions() : AssociationsHelper
  • getSupportTemplate() : AssociationExtensionHelper
  • getSystemTemplate() : ChromestyleField
  • getTab() : InstallationHtmlHelper
  • getTable() : BannersModelBanner , BannersModelBanners , BannersModelClient , CategoriesModelCategory , ContactModelContact , ContenthistoryModelHistory , ContentModelArticle , ContentModelFeature , FieldsModelField , FieldsModelGroup , FinderModelFilter , FinderModelIndex , FinderModelMaps , FOFDatabaseIterator , FOFModel , BaseDatabaseModel , User , LanguagesModelLanguage , MenusModelItem , MenusModelMenu , MessagesModelMessage , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , PrivacyModelConfirm , PrivacyModelExport , PrivacyModelRemind , PrivacyModelRemove , PrivacyModelRequest , RedirectModelLink , TagsModelTag , TagsModelTags , TemplatesModelStyle , UsersModelGroup , UsersModelLevel , UsersModelNote , UsersModelUser
  • getTablealias() : FOFConfigDomainTables
  • getTableAlias() : FOFModel , FOFTable
  • getTableCollation() : FOFDatabaseInstaller
  • getTableColumns() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getTableConstraints() : FOFDatabaseDriverSqlsrv
  • getTableCreate() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getTableFields() : FOFModel , FOFTable
  • getTableFromRelation() : FOFTableRelations
  • getTableKeys() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getTableList() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • getTableName() : FOFTable , Table
  • getTableOptions() : JGrid
  • getTableSequences() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • getTabNumber() : InstallationHtmlHelper
  • getTag() : Language
  • getTagged() : JFacebookUser , Container
  • getTagIds() : TagsHelper
  • getTagItemsQuery() : TagsHelper
  • getTagNames() : TagsHelper
  • getTagRoute() : TagsHelperRoute
  • getTags() : JFacebookPhoto
  • getTagsRoute() : TagsHelperRoute
  • getTagsTitle() : TagsViewTag
  • getTagTreeArray() : TagsHelper
  • getTargetMinimumPHPVersion() : JoomlaupdateModelDefault
  • getTarInfo() : Tar
  • getTask() : FOFController , FOFDispatcher , BaseController
  • getTaskmap() : FOFConfigDomainViews
  • getTasks() : FOFController , BaseController
  • getTaxonomy() : FinderIndexerResult
  • getTelevision() : JFacebookUser
  • getTemplate() : InstallationApplicationWeb , JApplication , AdministratorApplication , CMSApplication , SiteApplication , TemplatesModelTemplate
  • getTemplateModuleStyles() : ChromestyleField
  • getTemplateOptions() : TemplatesHelper
  • getTemplateOverridePath() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • getTemplates() : ChromestyleField , ModulesHelper
  • getTemplateSuffixes() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • getThisModel() : FOFController
  • getThisView() : FOFController
  • getThreadSubscription() : JGithubPackageActivityNotifications
  • getThumbnails() : JGoogleDataPicasaPhoto
  • getTime() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • getTimeLeft() : AKCoreTimer , FOFUtilsTimer
  • getTimeout() : SMTP
  • getTimer() : AKFactory
  • getTimestampRegex() : Inline
  • getTimezone() : User
  • getTimings() : FOFDatabaseDriver , JDatabaseDriver
  • getTitle() : FOFFormFieldButton , JFormFieldSpacer , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Document , FormField , ModLatestActionsHelper , ModLatestHelper , ModLoggedHelper , ModPopularHelper , ModQuickIconHelper
  • getTmpInstance() : FOFController , FOFDispatcher , FOFModel
  • getToAddresses() : PHPMailer
  • getToc() : AdminModelHelp
  • getToken() : JMediawikiPages , JMediawikiUsers , JOAuth1Client , JOAuth2Client , Session , PHPMailerOAuthGoogle
  • getTokenData() : FinderIndexerQuery
  • getToolbar() : FOFConfigDomainViews
  • getToolbarPreset() : PlgEditorTinymce
  • getTotal() : CacheModelCache , CheckinModelCheckin , FinderModelFilter , FinderModelSearch , FOFModel , ListModel , LanguagesModelInstalled , LanguagesModelOverrides , ModulesModelPositions , SearchModelSearch
  • getTotalIndexed() : FinderModelIndex
  • getTranslatedModulePosition() : ModulesHelper
  • getTranslations() : PHPMailer
  • getTransliterator() : Language
  • getTransports() : FilesystemHelper , Helper
  • getTree() : JAdminCssMenu , Nested
  • getTrends() : JTwitterTrends
  • getTriggerEvents() : FOFTable
  • getTweetById() : JTwitterStatuses
  • getTwofactorform() : AdminModelProfile , UsersModelProfile , UsersModelUser
  • getTwoFactorMethods() : AuthenticationHelper , ModLoginHelper , UsersHelper
  • getType() : ContactAssociationsHelper , ContentAssociationsHelper , AssociationExtensionHelper , Document , Microdata , UCMBase , UCMType , MenusAssociationsHelper , ModLoginHelper , NewsfeedsAssociationsHelper
  • getTypeAlias() : VersionableTableInterface
  • getTypeByAlias() : UCMType
  • getTypeByTable() : UCMType
  • getTypeFieldName() : AssociationsHelper , AssociationExtensionHelper
  • getTypeFields() : AssociationExtensionHelper
  • getTypeIcon() : MediaHelper , TemplateHelper
  • getTypeId() : FinderIndexerAdapter , TagsHelper , ContentType , UCMType
  • getTypeInformation() : AssociationExtensionHelper
  • getTypeJoins() : AssociationExtensionHelper
  • getTypeOptions() : MenusModelMenutypes
  • getTypeOptionsByComponent() : MenusModelMenutypes
  • getTypeOptionsFromLayouts() : MenusModelMenutypes
  • getTypeOptionsFromManifest() : MenusModelMenutypes
  • getTypeOptionsFromMvc() : MenusModelMenutypes
  • getTypeOptionsFromXml() : MenusModelMenutypes
  • getTypes() : TagsHelper , Microdata
  • getTypeSupport() : AssociationExtensionHelper
  • getTypeTables() : AssociationExtensionHelper
  • getTypeTitle() : AssociationExtensionHelper
  • getUcmCoreAlias() : FOFTable
  • getUInt() : JRequest
  • getUnarchiver() : AKFactory
  • getUniqueId() : PlgSystemStats
  • getUnit() : JGoogleDataAdsense
  • getUpdateFiles() : ChangeSet
  • getUpdateInformation() : JoomlaupdateModelDefault
  • getUpdateMethod() : FOFUtilsUpdate
  • getUpdateQueries() : ChangeSet
  • getUpdateQueryByIds() : FinderIndexerAdapter
  • getUpdateQueryByTime() : FinderIndexerAdapter , PlgFinderTags
  • getUpdates() : FOFUtilsUpdate , FOFUtilsUpdateJoomla , JLinkedinCompanies
  • getUpdateSite() : FOFUtilsUpdate , InstallerModelLanguages
  • getUpdateSiteIds() : FOFUtilsUpdate
  • getUpdateSiteName() : FOFUtilsUpdate , UpdateAdapter
  • getUpdateSiteResponse() : UpdateAdapter
  • getUpdateSites() : Updater
  • getUpdateSitesInfo() : JoomlaupdateModelDefault
  • getUpdateSourceFromCollection() : FOFUtilsUpdateJoomla
  • getUpdateVersion() : InstallerModelDatabase
  • getUpperLimitSearchWord() : En_GBLocalise , Fr_FRLocalise , Language
  • getUpperLimitSearchWordCallback() : Language
  • getUri() : Factory , JRequest
  • getUrl() : BannersModelBanner , FinderIndexerAdapter , FOFEncryptTotp , JGoogleDataPicasaPhoto
  • getUsed() : Language
  • getUseIncludePath() : ClassLoader
  • getUser() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , JFacebookUser , JGithubPackageActivityEvents , JGithubPackageUsers , Factory , AbstractMenu , AbstractUri , UriInterface , JTwitterUsers , UsersModelDebugUser , UsersModelNotes
  • getUserAgent() : Version
  • getUserContribs() : JMediawikiUsers
  • getUserGroups() : JFormFieldFilters , JFormFieldRules , UserHelper , UserWrapper
  • getUserId() : InstallationModelDatabase , UserHelper , UserWrapper
  • getUserIdFromToken() : UsersModelRegistration
  • getUserInfo() : JMediawikiUsers
  • getUserOrg() : JGithubPackageActivityEvents
  • getUserPosts() : JLinkedinGroups
  • getUserProfileBanner() : JTwitterUsers
  • getUserPublic() : JGithubPackageActivityEvents
  • getUsers() : JGithubPackageUsers , ModUsersLatestHelper
  • getUsersByGroup() : Access
  • getUsersLookup() : JTwitterUsers
  • getUserState() : JApplication , CMSApplication
  • getUserStateFromRequest() : FOFIntegrationJoomlaPlatform , FOFModel , FOFPlatform , FOFPlatformInterface , JApplication , CMSApplication , ListModel
  • getUserTimeline() : JTwitterStatuses
  • getUTFSupport() : FOFDatabaseDriver , JDatabaseDriver
  • getValue() : FOFFormHeader , FOFUtilsArray , JArrayHelper , Form , ArrayHelper
  • getValueActions() : RulesRule
  • getValueAsIni() : Ini
  • getValueFromNode() : Xml
  • getVar() : Router , AbstractUri , UriInterface , JRequest
  • getVariable() : PharInvocation
  • getVars() : Router
  • getVerp() : SMTP
  • getVersion() : InstalledVersions , FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFUtilsUpdate , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , Browser , ModVersionHelper
  • getVersionProperties() : FOFUtilsUpdateJoomla
  • getVersionRanges() : InstalledVersions
  • getVideo() : JFacebookVideo
  • getVideos() : JFacebookEvent , JFacebookUser , MediaModelList
  • getView() : FOFController , FOFForm , BaseController
  • getViewLevels() : MenusModelItem
  • getViewOptionAndName() : FOFView
  • getViews() : RouterView
  • getViewTemplatePaths() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • getVisibleByGroups() : UsersHelper
  • getWarning() : AKAbstractObject
  • getWarnings() : AKAbstractObject
  • getWeekEnd() : Language
  • getWidth() : JGoogleDataPicasaPhoto , Image
  • getWord() : JRequest
  • getWorkarounds() : Cache
  • getWriteModes() : FilesystemHelper , Helper
  • getXml() : Factory , Form
  • getXmlChildren() : Xml
  • getXmlDirectory() : FOFDatabaseInstaller
  • getYears() : ContentModelArchive
  • getZeroPadding() : AKEncryptionAESAdapterAbstract , FOFEncryptAesAbstract
  • getZoom() : JGoogleEmbedMaps
  • googlize() : JGoogleAuthOauth2
  • group() : FOFDatabaseQuery , JDatabaseQuery
  • groupButtons() : ModQuickIconHelper
  • groupBy() : ModArticlesCategoryHelper
  • groupByDate() : ModArticlesCategoryHelper
  • groupByTags() : ModArticlesCategoryHelper
  • groupedlist() : JHtmlSelect
  • groups() : JHtmlUser
  • guard() : FOFLessParser , lessc_parser
  • guardGroup() : FOFLessParser , lessc_parser
  • guards() : FOFLessParser , lessc_parser


Joomla CMS: Champs de donnée - Fonctions

- h -

  • h2c_string_to_hash() : ParagonIE_Sodium_Core_Ristretto255
  • h2c_string_to_hash_sha256() : ParagonIE_Sodium_Core_Ristretto255
  • h2c_string_to_hash_sha512() : ParagonIE_Sodium_Core_Ristretto255
  • handle_content_type() : SimplePie
  • handleAuthor() : AtomParser
  • handleCallback() : JError
  • handleCategory() : RssParser
  • handleCloud() : RssParser
  • handleContributor() : AtomParser
  • handleCopyright() : RssParser
  • handleDescription() : RssParser
  • handleDie() : JError
  • handleEcho() : JError
  • handleError() : PlgSystemLogout , PlgSystemRedirect
  • handleException() : ExceptionHandler , PlgSystemRedirect
  • handleGenerator() : AtomParser , RssParser
  • handleId() : AtomParser
  • handleIgnore() : JError
  • handleImage() : RssParser
  • handleLanguage() : RssParser
  • handleLastBuildDate() : RssParser
  • handleLink() : AtomParser , RssParser
  • handleLog() : JError
  • handleManagingEditor() : RssParser
  • handleMessage() : JError
  • handleOldDatabase() : InstallationModelDatabase
  • handlePubDate() : RssParser
  • handler() : CryptoExceptionHandler
  • handleRights() : AtomParser
  • handleSkipDays() : RssParser
  • handleSkipHours() : RssParser
  • handleSubtitle() : AtomParser
  • handleTitle() : AtomParser , RssParser
  • handleTtl() : RssParser
  • handleUpdated() : AtomParser
  • handleVerbose() : JError
  • handleWebmaster() : RssParser
  • has() : UserGroupsHelper , Session , Container , ListenersPriorityQueue , Session , ContainerInterface , Collectable , PharInvocationCollection
  • has8bitChars() : PHPMailer
  • has_data() : SimplePie_HTTP_Parser , SimplePie_XML_Declaration_Parser
  • hasAjaxOrderingSupport() : FOFViewRaw
  • hasArgument() : AbstractEvent
  • hasAssociationsSupport() : AssociationExtensionHelper , AssociationExtensionInterface
  • hasChildren() : JNode , CategoryNode , Node
  • hasComponentConfig() : ConfigHelperConfig
  • hasCredentials() : ClientHelper , ClientWrapper
  • hasEvent() : Dispatcher
  • hasField() : FOFTable , Table
  • hasFriend() : JFacebookUser
  • hash_equals() : Php56
  • hash_pbkdf2() : Php55
  • hash_update() : ParagonIE_Sodium_Core_Util
  • hashPassword() : UserHelper , UserWrapper
  • HashPassword() : PasswordHash
  • hashToInt() : FOFEncryptTotp
  • hasIndex() : FOFDatabaseInstaller
  • hasKey() : Language
  • hasLineLongerThanMax() : PHPMailer
  • hasListener() : Dispatcher
  • hasMultiBytes() : PHPMailer
  • hasNativeSupport() : JArchiveZip , Zip
  • hasParent() : JNode , CategoryNode , Node
  • hasPharPrefix() : Helper
  • hasPrimaryKey() : Table
  • hasProfiling() : FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdomysql
  • hasQueryCacheEnabled() : JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdomysql
  • hasRedirect() : FOFController
  • hasRelation() : FOFTableRelations
  • hasSensor() : JGoogleEmbedMaps
  • hasStrongPasswordSupport() : Crypt
  • hasSupport() : AssociationsHelper
  • hasTags() : FOFTable
  • hasToken() : Session
  • hasUTF8mb4Support() : FOFDatabaseDriver , JDatabaseDriver
  • hasUTFSupport() : FOFDatabaseDriver , JDatabaseDriver
  • hasVar() : AbstractUri , UriInterface
  • having() : FOFDatabaseQuery , JDatabaseQuery
  • hChaCha20() : ParagonIE_Sodium_Core32_HChaCha20 , ParagonIE_Sodium_Core_HChaCha20
  • hChaCha20Bytes() : ParagonIE_Sodium_Core_HChaCha20
  • head() : Http
  • header() : AbstractWebApplication , WebApplication
  • headerLine() : PHPMailer
  • hello() : SMTP
  • help() : ToolbarHelper
  • helpsite() : JHtmlUsers
  • heuristicFileHeaderLocator() : AKUnarchiverJPA
  • hex2bin() : ParagonIE_Sodium_Compat
  • hexToBytes() : Crypto
  • hideFields() : ContenthistoryHelper
  • hideMessages() : PostinstallModelMessages
  • highLight() : SearchViewSearch
  • highlighter() : JHtmlBehavior
  • highlightQuery() : PlgSystemDebug
  • historyOfElement() : JOpenstreetmapElements
  • hit() : ContactModelCategory , ContactModelContact , ContentModelArticle , ContentModelCategory , FOFModel , FOFTable , Table , NewsfeedsModelCategory , NewsfeedsModelNewsfeed , TagsModelTag
  • HKDF() : Crypto
  • HKDFTestVector() : Crypto
  • hmac() : SMTP
  • HMACTestVector() : Crypto
  • holdEditId() : BaseController
  • hour() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • hrtime() : Php73
  • hsalsa20() : ParagonIE_Sodium_Core_HSalsa20
  • html2text() : PHPMailer
  • htmlDiv() : Microdata
  • htmlMeta() : Microdata
  • htmlProperty() : Microdata
  • htmlScope() : Microdata
  • htmlSpan() : Microdata
  • htmlTag() : Microdata
  • http_version() : SimplePie_HTTP_Parser
  • humanize() : FOFInflector


Joomla CMS: Champs de donnée - Fonctions

- i -

  • id() : JHtmlGrid , JHtmlLanguages
  • ident() : tagparse
  • identifyBrowserVersion() : Browser
  • idna_convert() : idna_convert
  • idnSupported() : PHPMailer
  • ietfStream() : ParagonIE_Sodium_Core32_ChaCha20 , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_XChaCha20
  • ietfStreamXorIc() : ParagonIE_Sodium_Core32_ChaCha20 , ParagonIE_Sodium_Core32_XChaCha20 , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_XChaCha20
  • iframe() : HTMLHelper
  • ignore() : DisallowedClassesSubstitutor
  • image() : JHtmlUsers , HTMLHelper , SimplePie_Content_Type_Sniffer
  • imageResize() : MediaHelper
  • images() : JHtmlList
  • implode() : FOFInflector
  • import() : FOFLessParser , JLoader , PluginHelper , lessc_parser
  • importFromURL() : FOFDownload
  • importPlugin() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , PluginHelper
  • impress() : BannersModelBanners
  • in() : AbstractCliApplication , CliInput , CliApplication
  • includeRelativeFiles() : HTMLHelper
  • increment() : ParagonIE_Sodium_Compat
  • increment_counter() : ParagonIE_Sodium_Core_BLAKE2b
  • incrementCounter() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • indentStr() : FOFLessFormatterClassic , FOFLessFormatterCompressed , lessc_formatter_classic , lessc_formatter_compressed
  • index() : FinderCli , FinderIndexer , FinderIndexerAdapter , FinderIndexerDriverMysql , FinderIndexerDriverPostgresql , FinderIndexerDriverSqlsrv , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • inet_to_bits() : FOFUtilsIp
  • inetToBits() : IpHelper
  • info() : AbstractLogger , LoggerInterface
  • init() : FOFAutoloaderComponent , FOFAutoloaderFof , JHtmlDropdown , ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b , Curl , SimplePie
  • initBatch() : AdminModel
  • initCache() : CacheliteStorage
  • initFile() : FormattedtextLogger
  • initialise() : InstallationModelDatabase , JApplication , AbstractApplication , WebApplication , Captcha , Editor , FeedParser , AtomParser , RssParser , Session
  • initialiseApp() : InstallationApplicationWeb , AdministratorApplication , CMSApplication , SiteApplication
  • initialize() : ntlm_sasl_client_class , Manager
  • initPassphraseFile() : KeychainManager
  • injectVariables() : FOFLess , lessc
  • inlineImageExists() : PHPMailer
  • innerJoin() : FOFDatabaseQuery , JDatabaseQuery
  • inSameScope() : FOFTableNested
  • insert() : FOFDatabaseQuery , JDatabaseQuery , JTableSession
  • insertAsChildOf() : FOFTableNested
  • insertAsFirstChildOf() : FOFTableNested
  • insertAsLastChildOf() : FOFTableNested
  • insertAsRoot() : FOFTableNested
  • insertAsSiblingOf() : FOFTableNested
  • insertid() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPostgresql
  • insertLeftOf() : FOFTableNested
  • insertObject() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • insertRightOf() : FOFTableNested
  • insideSubtree() : FOFTableNested
  • install() : InstallationModelLanguages , InstallerControllerDiscover , InstallerModelInstall , InstallerModelUpdate , LanguageAdapter , Installer , InstallerAdapter
  • installCmsData() : InstallationModelDatabase
  • installFOF() : FOFUtilsInstallscript
  • installPreset() : MenusHelper
  • installSampleData() : InstallationModelDatabase
  • installStrapper() : FOFUtilsInstallscript
  • installSubextensions() : FOFUtilsInstallscript
  • instance() : Manager
  • integer() : JHtmlPhpSetting
  • integerlist() : JHtmlSelect
  • interpolation() : FOFLessParser , lessc_parser
  • interval() : FOFModelField , FOFModelFieldDate , FOFModelFieldNumber , FOFModelFieldText
  • intToChr() : ParagonIE_Sodium_Core_Util
  • invalidate() : PrivacyModelConsents
  • invalidateAll() : PrivacyModelConsents
  • invalidateCookie() : UserHelper , UserWrapper
  • invert() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • inviteByEmail() : JLinkedinCommunications
  • inviteById() : JLinkedinCommunications
  • invokeAssertions() : ConjunctionInterceptor
  • invokeInternalStreamWrapper() : PharStreamWrapper
  • IPinList() : FOFUtilsIp , IpHelper
  • ipToNetAddress() : LdapClient
  • is_feed() : SimplePie_Locator
  • is_isegment_nz_nc() : SimplePie_Misc
  • is_iterable() : Php71
  • is_linear_whitespace() : SimplePie_HTTP_Parser
  • is_valid() : SimplePie_IRI
  • is_valid_point() : ParagonIE_Sodium_Core_Ristretto255
  • is_zero() : ParagonIE_Sodium_Compat
  • isAbsolutePath() : Helper
  • isActive() : AbstractDaemonApplication , DaemonApplication , Session
  • isAdmin() : JApplication , CMSApplication
  • isAdminMultilang() : ModuleHelper
  • isAjaxRequest() : PlgQuickiconEos310 , PlgSystemStats
  • isAllowedUser() : PlgQuickiconEos310 , PlgSystemStats
  • isAncestorOf() : FOFTableNested
  • isAscii() : AbstractWebApplication
  • isAssetsTracked() : FOFTable
  • isAssociative() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • isAsync() : JGoogleEmbedAnalytics , JGoogleEmbedMaps
  • isAttending() : JFacebookEvent
  • isAuthenticated() : JGoogleAuth , JGoogleAuthOauth2 , JGoogleData , JOAuth2Client
  • isAuthorisedDisplayDebug() : PlgSystemDebug
  • isBackend() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • isBelow() : Tar , Zip
  • isBlockScalarHeader() : Parser
  • isBrowser() : Browser
  • isCheckedOut() : FOFModel , FOFTable , Table
  • isCheckoutItem() : AssociationsHelper
  • isChecksumValid() : InstallerHelper , JoomlaupdateModelDefault
  • isChild() : FOFTableNested
  • isClassMapAuthoritative() : ClassLoader
  • isCli() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • isCliAdmin() : FOFDispatcher , FOFIntegrationJoomlaPlatform
  • isClient() : JApplication , CMSApplication
  • isCommon() : FinderIndexerHelper
  • isCompatible() : Version , JPlatform
  • isConfirmed() : PharInvocation
  • isConnected() : RedisStorage , FtpClient , LdapClient
  • isCountable() : Inflector
  • isCurrentLineBlank() : Parser
  • isCurrentLineComment() : Parser
  • isCurrentLineEmpty() : Parser
  • isCurrentLineLastLineInDocument() : Parser
  • isDatabaseTypeSupported() : JoomlaupdateModelDefault
  • isDebugEnabled() : FormField , BaseLayout , PlgSystemStats
  • isDeclined() : JFacebookEvent
  • isdefault() : JHtmlJGrid
  • isDescendantOf() : FOFTableNested
  • isDirective() : FOFLessParser , lessc_parser
  • isDownload() : XmlDocument
  • isEmailAddress() : MailHelper , MailWrapper
  • isEmpty() : FOFLessFormatterClassic , FOFModelField , FOFModelFieldBoolean , lessc_formatter_classic
  • isEnabled() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , ComponentHelper , LibraryHelper , ModuleHelper , Associations , Multilanguage , Microdata , PluginHelper
  • isEOF() : AKAbstractUnarchiver
  • isError() : JError , PHPMailer
  • isException() : ExceptionHandler
  • isExcluded() : PlgSystemCache
  • isFlash() : BannerHelper
  • isFOFComponent() : FOFAutoloaderComponent
  • isFrontend() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • isGlobalFOFCacheEnabled() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • isGreaterThan() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • isHash() : Inline
  • isHtml() : Mail
  • isHTML() : PHPMailer
  • isHtml5() : HtmlDocument
  • isHttpsForced() : CMSApplication
  • isIgnoredDirectory() : AKAbstractUnarchiver
  • isImage() : BannerHelper , MediaHelper
  • isInDevelopmentState() : Version
  • isInstalled() : InstalledVersions , ComponentHelper
  • isInternal() : Uri
  • isInvited() : JFacebookEvent
  • isIPv6() : FOFUtilsIp , IpHelper
  • isJoomlaStream() : FilesystemHelper , Helper
  • isLeaf() : FOFTableNested , Nested
  • isLessThanInt() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • isLoaded() : Image
  • isMail() : PHPMailer
  • isManifest() : Installer
  • isMaybe() : JFacebookEvent
  • isMember() : JGithubPackageOrgsTeams , JTwitterLists
  • isMerged() : JGithubPackagePulls
  • isMethodInPostRequest() : JApplicationWebRouterRest
  • isMinimumVersion() : FOFDatabaseDriver , JDatabaseDriver
  • isMobile() : Browser
  • isNested() : TagField
  • isNew() : Session
  • isNextLineIndented() : Parser
  • isNextLineUnIndentedCollection() : Parser
  • isNonCoreExtension() : JoomlaupdateModelDefault
  • isNoreply() : JFacebookEvent
  • isOverwrite() : Installer
  • isOwner() : Path , PathWrapper , Path
  • isPackageUninstall() : Installer
  • isPermittedPath() : PHPMailer
  • isPhpVersionSupported() : JoomlaupdateModelDefault
  • isPlural() : FOFInflector , Inflector
  • isPrimaryProvider() : ProviderAwareAuthenticationPluginInterface
  • isPropertyInType() : Microdata
  • isQmail() : PHPMailer
  • isQuoted() : FOFTable
  • isRedirectState() : AbstractWebApplication , WebApplication
  • isRegistered() : HTMLHelper
  • isRobot() : Browser
  • isRoot() : FOFTableNested , Node
  • isRtl() : Language
  • isSafeFile() : InputFilter
  • isSecure() : JGoogleEmbed
  • isSelfOrAncestorOf() : FOFTableNested
  • isSelfOrDescendantOf() : FOFTableNested
  • isSendmail() : Mail , PHPMailer
  • isShellSafe() : PHPMailer
  • isSingleton() : UserGroupsHelper
  • isSingular() : FOFInflector , Inflector
  • isSite() : JApplication , CMSApplication
  • isSMTP() : PHPMailer
  • isSsl() : AbstractUri , UriInterface
  • isSSLConnection() : JApplication
  • isSslConnection() : AbstractWebApplication
  • isSSLConnection() : WebApplication , Browser
  • isStarred() : JGithubPackageGists
  • isStarted() : JSessionHandlerInterface , JSessionHandlerNative
  • isStopped() : AbstractEvent , EventInterface
  • isStringUnIndentedCollectionItem() : Parser
  • isSubscriber() : JTwitterLists
  • isSuccess() : Response
  • issues() : JGithubPackageSearch
  • isSupported() : AKEncryptionAESAdapterInterface , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDownloadAdapterAbstract , FOFDownloadInterface , FOFEncryptAes , FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl , JArchiveBzip2 , JArchiveExtractable , JArchiveGzip , JArchiveTar , JArchiveZip , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , JDatabaseInterface , Bzip2 , ExtractableInterface , Gzip , Tar , Zip , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , CurlTransport , SocketTransport , StreamTransport , TransportInterface , Apc , Apcu , Storage , Memcache , Memcached , Wincache , Xcache , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageMemcache , JSessionStorageMemcached , JSessionStorageRedis , JSessionStorageWincache , JSessionStorageXcache , Mcrypt , OpenSSL
  • isTabFieldset() : FOFRenderAbstract
  • isTemplateActive() : JoomlaupdateModelDefault
  • isTranslatedText() : ModulesHelper
  • isTransparent() : Image
  • isTypeAvailable() : Microdata
  • isTypeSupported() : FieldsPlugin
  • isUpdateRequired() : PlgSystemStats
  • isUpgrade() : Installer
  • isUserConsented() : PlgSystemPrivacyconsent
  • isValid() : FOFTableNested
  • isValidHttpStatus() : AbstractWebApplication
  • isValidImage() : Image , ImageFilter
  • isValidOtep() : UsersModelUser
  • isValidSecretKey() : UsersModelUser
  • isViewable() : Browser
  • isWindows() : Helper
  • isWinOs() : JApplication
  • isWrongComponentVersion() : FOFUtilsFilescheck
  • isWrongFilesVersion() : FOFUtilsFilescheck
  • item() : JHtmlBatch
  • itemAccessChange() : FinderIndexerAdapter
  • itemStateChange() : FinderIndexerAdapter


Joomla CMS: Champs de donnée - Fonctions

- j -

  • join() : FOFDatabaseQuery , JDatabaseQuery
  • joinGroup() : JLinkedinGroups
  • json_last_error_msg() : Php55
  • jsonSerialize() : DataObject , DataSet , Registry , JsonSerializable


Joomla CMS: Champs de donnée - Fonctions

- k -

  • keep() : ContenthistoryControllerHistory , ContenthistoryModelHistory
  • keepalive() : JHtmlBehavior
  • key() : FOFDatabaseIterator , JDatabaseIterator , DataSet , SplFixedArray
  • keyExchange() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • KeyExpansion() : AKEncryptionAES
  • keypair() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • keys() : DataSet
  • keyword() : FOFLessParser , lessc_parser


Joomla CMS: Champs de donnée - Fonctions

- l -

  • lang() : PHPMailer
  • language() : JHtmlBatch , JHtmlUsers
  • ldap_escape() : Php56
  • ldapNetAddr() : LdapClient
  • leaveGroup() : JLinkedinGroups
  • leftJoin() : FOFDatabaseQuery , JDatabaseQuery
  • length() : FOFDatabaseQuery , FOFDatabaseQuerySqlsrv , JDatabaseQuery , JDatabaseQuerySqlsrv
  • less() : TemplatesControllerTemplate
  • level() : JHtmlAccess
  • lib__sprintf() : FOFLess , lessc
  • lib_acos() : lessc
  • lib_alpha() : FOFLess , lessc
  • lib_argb() : FOFLess , lessc
  • lib_asin() : lessc
  • lib_atan() : lessc
  • lib_blue() : FOFLess , lessc
  • lib_ceil() : FOFLess , lessc
  • lib_contrast() : FOFLess , lessc
  • lib_cos() : lessc
  • lib_darken() : FOFLess , lessc
  • lib_data_uri() : lessc
  • lib_desaturate() : FOFLess , lessc
  • lib_e() : FOFLess , lessc
  • lib_extract() : lessc
  • lib_fade() : FOFLess , lessc
  • lib_fadein() : FOFLess , lessc
  • lib_fadeout() : FOFLess , lessc
  • lib_floor() : FOFLess , lessc
  • lib_green() : FOFLess , lessc
  • lib_hue() : FOFLess , lessc
  • lib_iscolor() : FOFLess , lessc
  • lib_isem() : FOFLess , lessc
  • lib_iskeyword() : FOFLess , lessc
  • lib_isnumber() : FOFLess , lessc
  • lib_ispercentage() : FOFLess , lessc
  • lib_ispixel() : FOFLess , lessc
  • lib_isrem() : FOFLess , lessc
  • lib_isstring() : FOFLess , lessc
  • lib_lighten() : FOFLess , lessc
  • lib_lightness() : FOFLess , lessc
  • lib_luma() : lessc
  • lib_mix() : FOFLess , lessc
  • lib_mod() : lessc
  • lib_percentage() : FOFLess , lessc
  • lib_pi() : lessc
  • lib_pow() : lessc
  • lib_red() : FOFLess , lessc
  • lib_rgbahex() : FOFLess , lessc
  • lib_round() : FOFLess , lessc
  • lib_saturate() : FOFLess , lessc
  • lib_saturation() : FOFLess , lessc
  • lib_shade() : lessc
  • lib_sin() : lessc
  • lib_spin() : FOFLess , lessc
  • lib_sqrt() : lessc
  • lib_tan() : lessc
  • lib_tint() : lessc
  • lib_unit() : FOFLess , lessc
  • library_version_major() : ParagonIE_Sodium_Compat
  • library_version_minor() : ParagonIE_Sodium_Compat
  • like() : JLinkedinStream
  • likePost() : JLinkedinGroups
  • likesPage() : JFacebookUser
  • limit() : FOFDatabaseDriverSqlsrv , FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • limitSearchWord() : SearchHelper
  • linear_whitespace() : SimplePie_HTTP_Parser
  • link() : JHtmlLinks , HTMLHelper , Route , ToolbarHelper
  • linkOptions() : JHtmlMenu
  • links() : JHtmlLinks
  • linksgroups() : JHtmlLinks
  • linkXHTMLSafe() : OutputFilter , OutputFilterWrapper
  • linkXhtmlSafe() : OutputFilter
  • listAccounts() : JGoogleDataAdsense
  • listActivities() : JGoogleDataPlusActivities
  • listAlbums() : JGoogleDataPicasa
  • listByActivity() : JGoogleDataPlusPeople
  • listCalendars() : JGoogleDataCalendar
  • listCalls() : JGoogleEmbedAnalytics
  • listChannels() : JGoogleDataAdsense
  • listChannelUnits() : JGoogleDataAdsense
  • listClients() : JGoogleDataAdsense
  • listComments() : JGoogleDataPlusComments
  • listDetails() : FtpClient
  • listEntries() : KeychainManager
  • listEventHandlers() : JGoogleEmbedMaps
  • listEvents() : JGoogleDataCalendar
  • listFolderTree() : Folder , FolderWrapper , Folder
  • listGetData() : JGoogleData
  • listMarkers() : JGoogleEmbedMaps
  • listNames() : FtpClient
  • listPhotos() : JGoogleDataPicasaAlbum
  • listRecurrences() : JGoogleDataCalendar
  • listUnitChannels() : JGoogleDataAdsense
  • listUrlChannels() : JGoogleDataAdsense
  • literal() : easyparse , FOFLessParser , lessc_parser
  • load() : FOFTable , JAdminCssMenu , JLoader , Form , ModuleHelper , UserGroupsHelper , Language , AbstractMenu , Table , TableInterface , User , SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL
  • loadActionLogPluginsLanguage() : ActionlogsHelper
  • loadAdapter() : Installer
  • loadAliasFor() : JLoader
  • loadAll() : UserGroupsHelper
  • loadAllAdapters() : Adapter , Installer
  • loadAllInputs() : JInput , Input
  • loadAnyTemplate() : FOFView
  • loadApplication() : JControllerBase
  • loadArray() : Registry
  • loadAssoc() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadAssocList() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadBehavior() : JHtmlSliders , JHtmlTabs
  • loadButtonClass() : Toolbar
  • loadButtonType() : Toolbar
  • loadByAlias() : JLoader
  • loadByName() : Asset
  • loadByPsr0() : JLoader
  • loadByPsr4() : JLoader
  • loadClass() : ClassLoader , FOFFormHelper , JClassLoader , FormHelper
  • loadClassLoader() : ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd
  • loadColumn() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadComponentConfig() : FOFUtilsConfigHelper
  • loadComponentLanguage() : FinderHelperLanguage
  • loadConfiguration() : AbstractDaemonApplication , CliApplication , DaemonApplication , WebApplication
  • loadCss() : JHtmlBootstrap
  • loadCSSFiles() : FOFForm
  • loadDb() : JModelDatabase
  • loadDispatcher() : BaseApplication
  • loadDocument() : InstallationApplicationWeb , WebApplication
  • loadField() : Form
  • loadFieldClass() : FOFFormHelper , FormHelper , FormWrapper
  • loadFieldType() : FOFForm , FOFFormHelper , Form , FormHelper , FormWrapper
  • loadFile() : Form , Image , Registry
  • loadForm() : ConfigModelForm , FOFModel , FormModel , ListModel
  • loadFormData() : AdminModelProfile , BannersModelBanner , BannersModelClient , BannersModelDownload , CategoriesModelCategory , ConfigModelForm , ContactModelContact , ContentModelArticle , FieldsModelField , FieldsModelGroup , FinderModelFilter , FOFModel , InstallerModelUpdate , FormModel , ListModel , LanguagesModelLanguage , LanguagesModelOverride , MailtoModelMailto , MenusModelItem , MenusModelMenu , MessagesModelMessage , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , PluginsModelPlugins , PrivacyModelRequest , RedirectModelLink , TagsModelTag , TemplatesModelStyle , TemplatesModelTemplate , UsersModelGroup , UsersModelLevel , UsersModelLogin , UsersModelMail , UsersModelNote , UsersModelProfile , UsersModelRegistration , UsersModelUser
  • loadFromXml() : Update
  • loadHeader() : FOFForm
  • loadHeaderClass() : FOFFormHelper
  • loadHeaderType() : FOFForm , FOFFormHelper
  • loadHelper() : FOFView , HtmlView
  • loadhistory() : FOFController , FOFModel , FormController
  • loadHistory() : BaseDatabaseModel
  • loadIdentity() : BaseApplication
  • loadInput() : JControllerBase
  • loadJSFiles() : FOFForm
  • loadKeychain() : JKeychain , KeychainManager
  • loadKeyMap() : PlgEditorCodemirror
  • loadLanguage() : WebApplication , ComponentAdapter , FileAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , Language , CMSPlugin
  • loadLanguageFiles() : ContenthistoryHelper
  • loadLanguageForComponent() : ConfigHelperConfig
  • loadLanguageForComponents() : ConfigHelperConfig
  • loadLanguageSuffixes() : FileLayout
  • loadLibraryLanguage() : CMSApplication , SiteApplication
  • loadManifestFromData() : LibraryManifest , Manifest , PackageManifest
  • loadManifestFromXml() : Manifest
  • loadMD5Sum() : Installer
  • loadNextAssoc() : FOFDatabaseDriverPdo , JDatabaseDriverPdo
  • loadNextObject() : FOFDatabaseDriver , FOFDatabaseDriverPdo , JDatabaseDriver , JDatabaseDriverPdo
  • loadNextRow() : FOFDatabaseDriver , FOFDatabaseDriverPdo , JDatabaseDriver , JDatabaseDriverPdo
  • loadObject() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver , Registry
  • loadObjectList() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadPaths() : JViewHtml
  • loadPluginLanguage() : FinderHelperLanguage
  • loadPosition() : FOFTemplateUtils
  • loadPreset() : MenuHelper
  • loadRenderer() : Document
  • loadResult() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverSqlsrv , JDatabaseDriver
  • loadRow() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadRowList() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver
  • loadRuleClass() : FormHelper , FormWrapper
  • loadRuleType() : FOFForm , Form , FormHelper , FormWrapper
  • loadSession() : InstallationApplicationWeb , CMSApplication , WebApplication
  • loadState() : JModelBase
  • loadString() : Registry
  • loadSubForm() : JFormFieldSubform
  • loadSubFormData() : JFormFieldSubform
  • loadSystemUris() : AbstractWebApplication , WebApplication
  • loadTemplate() : ConfigViewCmsHtml , FOFView , HtmlView
  • loadTranslation() : AKText
  • loadTranslationFiles() : ActionlogsHelper
  • loadTranslations() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • loadType() : FOFFormHelper , FormHelper
  • loadTypes() : Microdata
  • loadUpdatesClassic() : FOFUtilsUpdate
  • loadValidationScript() : FOFRenderJoomla , FOFRenderStrapper
  • loadVersionSuffixes() : FileLayout
  • loadXml() : MenuHelper
  • lock() : Cache , CacheStorage , ApcStorage , ApcuStorage , FileStorage , MemcachedStorage , MemcacheStorage
  • lockindex() : MemcachedStorage , MemcacheStorage
  • lockTable() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • log() : DelegatingPsrLogger , LoggerInterface , NullLogger
  • logAddLogger() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • logDebug() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • logDeprecated() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • logException() : ExceptionHandler
  • logger() : PlgSystemDebug
  • login() : JApplication , JMediawikiUsers , AdministratorApplication , CMSApplication , SiteApplication , FtpClient , LoginController , POP3 , UsersControllerUser
  • loginUser() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • logout() : JApplication , JMediawikiUsers , CMSApplication , LoginController , UsersControllerUser
  • logoutUser() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • logSearch() : SearchHelper
  • lookupItem() : RouteHelper


Joomla CMS: Champs de donnée - Fonctions

- m -

  • m() : FinderIndexerStemmerPorter_En
  • mail() : SMTP
  • mailPassthru() : PHPMailer
  • mailSend() : PHPMailer
  • mailto() : MailtoController
  • main() : JHtmlSearchtools
  • makeChildOf() : FOFTableNested
  • makeDefault() : ToolbarHelper
  • makeFirstChildOf() : FOFTableNested
  • makeId() : Cache
  • makeItem() : Pathway
  • makeLastChildOf() : FOFTableNested
  • makeNextSiblingOf() : FOFTableNested
  • makeOutputBlock() : FOFLess , lessc
  • makeParser() : FOFLess , lessc
  • makePattern() : Path
  • makePreviousSiblingOf() : FOFTableNested
  • makeRoot() : FOFTableNested
  • makeSafe() : File , Folder , FileWrapper , FolderWrapper , File , Folder
  • makeSiblingOf() : FOFTableNested
  • mapBase() : UCMBase
  • mapData() : UCMContent
  • mapslist() : JHtmlFinder
  • mark() : Profiler
  • markRead() : JGithubPackageActivityNotifications
  • markReadRepository() : JGithubPackageActivityNotifications
  • markReadThread() : JGithubPackageActivityNotifications
  • match() : easyparse , FOFLessParser , Browser , lessc_parser
  • matchRegexRule() : Inflector
  • mb_pathinfo() : PHPMailer
  • media_manager() : ToolbarHelper
  • mediaExpression() : FOFLessParser , lessc_parser
  • mediaParent() : FOFLess , lessc
  • mediaQuery() : FOFLessParser , lessc_parser
  • mediaQueryList() : FOFLessParser , lessc_parser
  • memcmp() : ParagonIE_Sodium_Core_Util
  • memzero() : ParagonIE_Sodium_Compat
  • menuItemList() : JHtmlMenu
  • menuItems() : JHtmlMenu
  • menulogout() : UsersControllerUser
  • menus() : JHtmlMenu
  • merge() : JGithubPackagePulls , Rules , Registry
  • merge_items() : SimplePie
  • mergeAction() : Rules
  • mergeCollection() : Rules
  • mergeHeadData() : HtmlDocument
  • mergeIdentities() : Rule
  • mergeIdentity() : Rule
  • mergeLabels() : ContenthistoryHelper
  • mergeNode() : Form
  • mergeNodes() : Form
  • mergeStructure() : JDatabaseImporter
  • message() : JHtmlDirectory
  • microtime_float() : AKCoreTimer , FOFUtilsTimer
  • minute() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • MixColumns() : AKEncryptionAES
  • mixinTags() : FOFLessParser , lessc_parser
  • mkdir() : FtpClient , PharStreamWrapper
  • modal() : JHtmlBehavior , JHtmlBootstrap , ToolbarHelper
  • modify() : LdapClient
  • modulo() : FOFModelField , FOFModelFieldNumber , FOFModelFieldText
  • month() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • months() : JHtmlContent
  • monthToString() : Date
  • move() : FOFModel , FOFTable , FOFTableNested , File , Folder , Stream , FileWrapper , FolderWrapper , Nested , Table , File , Folder , Stream
  • moveByReference() : Nested
  • moveCliFiles() : InstallerScript
  • moveEvent() : JGoogleDataCalendar
  • moveLeft() : FOFTableNested
  • movePageById() : JMediawikiPages
  • movePageByName() : JMediawikiPages
  • moveRight() : FOFTableNested
  • moveToClosingElement() : FeedParser
  • moveToLeftOf() : FOFTableNested
  • moveToNextElement() : FeedParser
  • moveToNextLine() : Parser
  • moveToPreviousLine() : Parser
  • moveToRightOf() : FOFTableNested
  • msgHTML() : PHPMailer
  • mtime() : SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL
  • mulInt32Fast() : ParagonIE_Sodium_Core32_Int32
  • mulInt64Fast() : ParagonIE_Sodium_Core32_Int64
  • mulIntFast() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • multiFetchElements() : JOpenstreetmapElements
  • multiplyMedia() : FOFLess , lessc
  • multiplySelectors() : FOFLess , lessc
  • multiselect() : JHtmlBehavior
  • mysqlDisconnectHandler() : PlgSystemDebug


Joomla CMS: Champs de donnée - Fonctions

- n -

  • name() : JXMLElement , SimplePie_HTTP_Parser
  • native_embed() : SimplePie_Enclosure
  • needsRekey() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • negative() : ParagonIE_Sodium_Core_Curve25519
  • new64() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • new_line() : SimplePie_HTTP_Parser
  • newFormatter() : FOFLess , lessc
  • next() : FOFDatabaseIterator , JDatabaseIterator , DataSet , SplFixedArray
  • nextFile() : AKAbstractUnarchiver
  • noframes() : JHtmlBehavior
  • noop() : SMTP
  • normaliseItemName() : FOFTableRelations
  • normaliseParameters() : FOFTableRelations
  • normalize_url() : SimplePie_Misc
  • normalizeBreaks() : PHPMailer
  • normalizePath() : Helper
  • normalizeSelectFields() : FOFTable
  • normalizeWindowsPath() : Helper
  • noSensor() : JGoogleEmbedMaps
  • notes() : JHtmlUsers
  • notesModal() : JHtmlUsers
  • notice() : AbstractLogger , LoggerInterface
  • notify() : AKAbstractPart , JObservable
  • noWait() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • NTLMResponse() : ntlm_sasl_client_class
  • nuke() : AKFactory
  • nullDate() : FOFDatabaseQuery , JDatabaseQuery


Joomla CMS: Champs de donnée - Fonctions

- o -

  • oauthRequest() : JOAuth1Client
  • objectHTMLSafe() : OutputFilterWrapper
  • objectHtmlSafe() : OutputFilter
  • objectToString() : Ini , Json , Php , Xml , Yaml , FormatInterface
  • offset() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • offsetExists() : Feed , DataSet , AbstractEvent , Registry , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • offsetGet() : Feed , DataSet , AbstractEvent , Registry , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • offsetSet() : Feed , DataSet , Event , EventImmutable , Registry , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • offsetUnset() : Feed , DataSet , Event , EventImmutable , Registry , ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • onAdd() : FOFToolbar , FOFViewForm , FOFViewRaw
  • onAfterApplySave() : FOFController
  • onAfterBind() : FOFTable , FOFTableBehavior , FOFTableBehaviorAssets , FOFTableBehaviorTags
  • onAfterBuildQuery() : FOFModelBehavior , FOFModelBehaviorAccess , FOFModelBehaviorEnabled , FOFModelBehaviorFilters , FOFModelBehaviorLanguage , FOFModelBehaviorPrivate
  • onAfterCheckin() : PlgActionlogJoomla
  • onAfterCopy() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onAfterDelete() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior , FOFTableBehaviorTags , FOFTableNested , AbstractObserver
  • onAfterDispatch() : FOFDispatcher , PlgSystemDebug , PlgSystemHighlight , PlgSystemLanguageFilter , PlgSystemSef
  • onAfterGetItem() : FOFModel , FOFModelBehavior , FOFModelBehaviorAccess , FOFModelBehaviorEnabled , FOFModelBehaviorLanguage , FOFModelBehaviorPrivate
  • onAfterHit() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onAfterInitialise() : PlgSystemCache , PlgSystemLanguageFilter , PlgSystemP3p , PlgSystemRemember , PlgSystemStats
  • onAfterLoad() : FOFTable , FOFTableBehavior , AbstractObserver
  • onAfterLoadForm() : FOFModel
  • onAfterLogExport() : PlgActionlogJoomla
  • onAfterLogPurge() : PlgActionlogJoomla
  • onAfterMove() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onAfterPreprocessForm() : FOFModel
  • onAfterPublish() : FOFModel , FOFModelBehavior
  • onAfterPurge() : PlgActionlogJoomla
  • onAfterRender() : PlgSystemCache , PlgSystemLanguagecode , PlgSystemPrivacyconsent , PlgSystemSef
  • onAfterReorder() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onAfterReset() : FOFTable , FOFTableBehavior
  • onAfterRespond() : PlgSystemActionLogs , PlgSystemCache , PlgSystemDebug , PlgSystemSessionGc
  • onAfterRoute() : PlgSystemLanguageFilter , PlgSystemPrivacyconsent
  • onAfterSave() : FOFModel , FOFModelBehavior
  • onAfterStore() : FOFTable , FOFTableBehavior , FOFTableBehaviorAssets , FOFTableBehaviorContenthistory , AbstractObserver , ContentHistory , Tags
  • onAjaxSampledataApplyStep1() : PlgSampledataBlog
  • onAjaxSampledataApplyStep2() : PlgSampledataBlog
  • onAjaxSampledataApplyStep3() : PlgSampledataBlog
  • onAjaxSendAlways() : PlgSystemStats
  • onAjaxSendNever() : PlgSystemStats
  • onAjaxSendOnce() : PlgSystemStats
  • onAjaxSendStats() : PlgSystemStats
  • onAjaxSnoozeEOS() : PlgQuickiconEos310
  • onApplicationAfterSave() : PlgActionlogJoomla
  • onBeforeAccesspublic() : FOFController
  • onBeforeAccessregistered() : FOFController
  • onBeforeAccessspecial() : FOFController
  • onBeforeAdd() : FOFController
  • onBeforeApply() : FOFController
  • onBeforeApplySave() : FOFController
  • onBeforeBind() : FOFTable , FOFTableBehavior
  • onBeforeBrowse() : FOFController
  • onBeforeBuildQuery() : FOFModelBehavior , FOFModelBehaviorEmptynonzero , FOFModelBehaviorLanguage
  • onBeforeCancel() : FOFController
  • onBeforeCopy() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeDelete() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior , FOFTableBehaviorAssets , FOFTableBehaviorContenthistory , AbstractObserver , ContentHistory , Tags
  • onBeforeDispatch() : FOFDispatcher
  • onBeforeDispatchCLI() : FOFDispatcher
  • onBeforeEdit() : FOFController
  • onBeforeGenericTask() : FOFController
  • onBeforeHit() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeIndex() : FinderIndexerAdapter
  • onBeforeLoad() : AbstractObserver
  • onBeforeLoadForm() : FOFModel
  • onBeforeMove() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeOrderdown() : FOFController
  • onBeforeOrderup() : FOFController
  • onBeforePreprocessForm() : FOFModel
  • onBeforePublish() : FOFController , FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeRemove() : FOFController
  • onBeforeReorder() : FOFModel , FOFModelBehavior , FOFTable , FOFTableBehavior
  • onBeforeReset() : FOFTable , FOFTableBehavior
  • onBeforeSave() : FOFController , FOFModel , FOFModelBehavior
  • onBeforeSavenew() : FOFController
  • onBeforeSaveorder() : FOFController
  • onBeforeStore() : FOFTable , FOFTableBehavior , FOFTableBehaviorTags , AbstractObserver , Tags
  • onBeforeUnpublish() : FOFController
  • onBrowse() : FOFToolbar , FOFViewRaw
  • onBuildIndex() : FinderIndexerAdapter
  • onCategoryChangeState() : PlgContentFinder
  • onCheckAnswer() : PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible
  • onContentAfterDelete() : PlgActionlogJoomla , PlgContentFinder , PlgSystemFields
  • onContentAfterDisplay() : PlgContentVote , PlgSystemFields
  • onContentAfterSave() : PlgActionlogJoomla , PlgContentFinder , PlgContentJoomla , PlgSystemFields
  • onContentAfterTitle() : PlgSystemFields
  • onContentBeforeDelete() : PlgContentJoomla
  • onContentBeforeDisplay() : PlgContentPagenavigation , PlgContentVote , PlgSystemFields
  • onContentBeforeSave() : PlgContentFinder , PlgContentJoomla , PlgFieldsSql
  • onContentChangeState() : PlgActionlogJoomla , PlgContentFinder , PlgContentJoomla
  • onContentNormaliseRequestData() : PlgSystemFields
  • onContentPrepare() : PlgContentContact , PlgContentEmailcloak , PlgContentFields , PlgContentLoadmodule , PlgContentPagebreak , PlgSystemFields
  • onContentPrepareData() : PlgSystemActionLogs , PlgUserProfile
  • onContentPrepareForm() : FieldsPlugin , PlgContentConfirmConsent , PlgSystemActionLogs , PlgSystemFields , PlgSystemLanguagecode , PlgSystemPrivacyconsent , PlgUserJoomla , PlgUserProfile , PlgUserTerms
  • onContentSearch() : PlgSearchCategories , PlgSearchContacts , PlgSearchContent , PlgSearchNewsfeeds , PlgSearchTags
  • onContentSearchAreas() : PlgSearchCategories , PlgSearchContacts , PlgSearchContent , PlgSearchNewsfeeds , PlgSearchTags
  • onCpanelsBrowse() : FOFToolbar
  • onCustomFieldsGetTypes() : FieldsPlugin
  • onCustomFieldsPrepareDom() : FieldsListPlugin , FieldsPlugin , PlgFieldsCalendar , PlgFieldsColor , PlgFieldsEditor , PlgFieldsImagelist , PlgFieldsMedia , PlgFieldsRepeatable , PlgFieldsSql , PlgFieldsUrl , PlgFieldsUser
  • onCustomFieldsPrepareField() : FieldsPlugin , PlgFieldsList
  • onDisplay() : FOFViewCsv , FOFViewJson , FOFViewRaw , PlgButtonArticle , PlgButtonContact , PlgButtonFields , PlgButtonImage , PlgButtonMenu , PlgButtonModule , PlgButtonPagebreak , PlgButtonReadmore , PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce , PostinstallViewMessages
  • onDisplayLegacy() : PlgEditorTinymce
  • onEdit() : FOFToolbar , FOFViewRaw
  • onetimeauth() : ParagonIE_Sodium_Core32_Poly1305 , ParagonIE_Sodium_Core_Poly1305
  • onetimeauth_verify() : ParagonIE_Sodium_Core32_Poly1305 , ParagonIE_Sodium_Core_Poly1305
  • onExtensionAfterDelete() : PlgActionlogJoomla
  • onExtensionAfterInstall() : PackageAdapter , PlgActionlogJoomla , PlgExtensionJoomla
  • onExtensionAfterSave() : PlgActionlogJoomla
  • onExtensionAfterUninstall() : PlgActionlogJoomla , PlgExtensionJoomla
  • onExtensionAfterUpdate() : PlgActionlogJoomla , PlgExtensionJoomla
  • onFinderAfterDelete() : PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • onFinderAfterSave() : PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • onFinderBeforeSave() : PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • onFinderCategoryChangeState() : PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds
  • onFinderChangeState() : PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • onFinderDelete() : PlgFinderCategories
  • onGetContent() : PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onGetIcons() : PlgQuickiconEos310 , PlgQuickiconExtensionupdate , PlgQuickiconJoomlaupdate , PlgQuickiconPhpVersionCheck , PlgQuickiconPrivacyCheck
  • onGetInsertMethod() : PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onGetStatsData() : PlgSystemStats
  • onInit() : PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onInstallerAddInstallationTab() : PlgInstallerFolderInstaller , PlgInstallerPackageInstaller , PlgInstallerUrlInstaller
  • onJoomlaAfterUpdate() : PlgActionlogJoomla
  • onMessages() : PostinstallToolbar
  • onPrepareFinderContent() : PlgSystemFields
  • onPrivacyCanRemoveData() : PlgPrivacyUser
  • onPrivacyCheckPrivacyPolicyPublished() : PlgSystemPrivacyconsent
  • onPrivacyCollectAdminCapabilities() : PlgAuthenticationCookie , PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , PlgSystemLanguageFilter
  • onPrivacyExportRequest() : PlgPrivacyActionlogs , PlgPrivacyConsents , PlgPrivacyContact , PlgPrivacyContent , PlgPrivacyMessage
  • onPrivacyRemoveData() : PlgPrivacyUser
  • onProcessList() : FOFModel , PostinstallModelMessages
  • onRead() : FOFToolbar , FOFViewJson , FOFViewRaw
  • onSampledataGetOverview() : PlgSampledataBlog
  • onSave() : PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onSetContent() : PlgEditorCodemirror , PlgEditorNone , PlgEditorTinymce
  • onSetupField() : PlgCaptchaRecaptcha_Invisible
  • onStartIndex() : FinderIndexerAdapter
  • onUserAfterDelete() : PlgActionlogJoomla , PlgSystemActionLogs , PlgSystemFields , PlgSystemPrivacyconsent , PlgUserJoomla , PlgUserProfile
  • onUserAfterDeleteGroup() : PlgActionlogJoomla
  • onUserAfterLogin() : PlgActionlogJoomla , PlgAuthenticationCookie
  • onUserAfterLogout() : PlgAuthenticationCookie
  • onUserAfterRemind() : PlgActionlogJoomla
  • onUserAfterSave() : PlgActionlogJoomla , PlgSystemActionLogs , PlgSystemFields , PlgSystemLanguageFilter , PlgSystemPrivacyconsent , PlgUserContactCreator , PlgUserJoomla , PlgUserProfile , PlgUserTerms
  • onUserAfterSaveGroup() : PlgActionlogJoomla
  • onUserAuthenticate() : PlgAuthenticationCookie , PlgAuthenticationGMail , PlgAuthenticationLdap
  • onUserBeforeSave() : PlgSystemLanguageFilter , PlgSystemPrivacyconsent , PlgSystemRemember , PlgUserProfile , PlgUserTerms
  • onUserLogin() : PlgSystemLanguageFilter , PlgUserJoomla
  • onUserLoginFailure() : PlgActionlogJoomla , PlgSystemLog
  • onUserLogout() : PlgActionlogJoomla , PlgSystemLogout , PlgSystemRemember , PlgUserJoomla
  • onUserTwofactorApplyConfiguration() : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • onUserTwofactorAuthenticate() : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • onUserTwofactorIdentify() : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • onUserTwofactorShowConfiguration() : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • op_color_color() : FOFLess , lessc
  • op_color_number() : FOFLess , lessc
  • op_number_color() : FOFLess , lessc
  • op_number_number() : FOFLess , lessc
  • open() : FOFDatabaseDriverJoomla , Stream , Storage , JSessionStorage
  • openSearch() : JMediawikiSearch
  • openString() : FOFLessParser , lessc_parser
  • optgroup() : JHtmlSelect
  • optimize() : FinderControllerIndexer , FinderIndexer , FinderIndexerDriverMysql , FinderIndexerDriverPostgresql , FinderIndexerDriverSqlsrv
  • option() : JHtmlSelect
  • options() : JHtmlCategory , JHtmlSelect , JHtmlTag , Http
  • optionsToRegistry() : JHtmlSearchtools
  • order() : FOFDatabaseQuery , JDatabaseQuery , JHtmlGrid
  • orderbyPrimary() : ContentHelperQuery
  • orderbySecondary() : ContentHelperQuery
  • orderdown() : FOFController
  • orderDown() : JHtmlJGrid , Nested
  • orderDownColumns() : ContentHelperQuery
  • orderDownIcon() : Pagination
  • ordering() : JHtmlList , JHtmlMenu
  • orderPosition() : ModulesControllerModule
  • orderup() : FOFController
  • orderUp() : JHtmlJGrid , Nested
  • orderUpIcon() : Pagination
  • orInt64() : ParagonIE_Sodium_Core32_Int64
  • orWhere() : JDatabaseQuery
  • our_strlen() : Crypto
  • our_substr() : Crypto
  • out() : AbstractCliApplication , CliOutput , Stdout , Xml , CliApplication
  • outerJoin() : FOFDatabaseQuery , JDatabaseQuery
  • output_javascript() : SimplePie_Misc
  • outside() : FOFModelField , FOFModelFieldDate , FOFModelFieldNumber , FOFModelFieldText
  • overrides() : TemplatesControllerTemplate


Joomla CMS: Champs de donnée - Fonctions

- p -

  • panel() : JHtmlSliders , JHtmlTabs
  • parenValue() : FOFLessParser , lessc_parser
  • parse() : BannersRouter , ContactRouterRulesLegacy , ContentRouterRulesLegacy , FinderIndexerHelper , FinderIndexerParser , FinderIndexerParserHtml , FinderRouter , FOFLess , FOFLessParser , RouterInterface , RouterLegacy , RouterView , MenuRules , NomenuRules , RulesInterface , StandardRules , Document , HtmlDocument , FeedParser , Language , AdministratorRouter , Router , SiteRouter , Uri , AbstractUri , JRouterInstallation , lessc , lessc_parser , lessify , NewsfeedsRouterRulesLegacy , SearchRouter , SimplePie_Decode_HTML_Entities , SimplePie_gzdecode , SimplePie_HTTP_Parser , SimplePie_Parse_Date , SimplePie_Parser , SimplePie_XML_Declaration_Parser , Inline , Parser , Yaml , tagparse , TagsRouter , UsersRouterRulesLegacy , WrapperRouter
  • parse_date() : SimplePie_Misc
  • parse_ini_file() : AKText , FOFUtilsIniParser
  • parse_ini_file_php() : FOFUtilsIniParser
  • parse_iri() : SimplePie_IRI
  • parse_mime() : SimplePie_Misc
  • parse_str() : SimplePie_Misc
  • parse_url() : UriHelper , JString
  • parse_URL() : SimplePie_Cache
  • parse_url() : SimplePie_Misc
  • parseAddresses() : PHPMailer
  • parseArguments() : JInputCli , Cli
  • parseAttributes() : Utility
  • parseBlock() : Parser
  • parseBlockScalar() : Parser
  • parseChunk() : FOFLessParser , lessc_parser
  • parseComponent() : FOFConfigProvider
  • parseComponentArea() : FOFConfigProvider
  • parseController() : ConfigControllerHelper
  • parseDomain() : FOFConfigDomainDispatcher , FOFConfigDomainInterface , FOFConfigDomainTables , FOFConfigDomainViews
  • parseFields() : FormattedtextLogger
  • parseFieldTags() : FOFFormFieldList , FOFFormFieldModel , FOFFormFieldRelation , FOFFormFieldText
  • parseFile() : LanguagesHelper
  • parseFiles() : Installer
  • parseHelloFields() : SMTP
  • parseLanguageFiles() : Language , LanguageHelper
  • parseLanguages() : Installer
  • parseMapping() : Inline
  • parseMedia() : Installer
  • parseOptionalTags() : ComponentAdapter , FileAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • parsePath() : FOFTemplateUtils
  • parsePhpInfo() : AdminModelSysInfo
  • parseQueries() : TemplateAdapter , Installer , InstallerAdapter
  • parseQuotedScalar() : Inline
  • parseRawRoute() : Router , SiteRouter
  • parseRoute() : JApplicationWebRouter , JApplicationWebRouterBase
  • parseRule() : PlgSystemLanguageFilter
  • parseScalar() : Inline
  • parseSchemaUpdates() : Installer
  • parseSefRoute() : Router , SiteRouter
  • parseSequence() : Inline
  • parseShowOnConditions() : FormHelper
  • parseSize() : FilesystemHelper , MediaHelper
  • parseSizeUnit() : FilesystemHelper
  • parseSQLFiles() : Installer
  • parseTypeAlias() : ContentHistory , Tags
  • parseValue() : Parser
  • parseXMLInstallFile() : ApplicationHelper , Installer
  • parseXMLLangMetaFile() : ApplicationHelper
  • parseXMLLanguageFile() : Language , LanguageHelper
  • parseXMLModuleFile() : ModulesHelperXML
  • parseXmlNode() : MenuHelper
  • parseXMLTemplateFile() : PluginsHelper , TemplatesHelper
  • partial() : FOFModelField , FOFModelFieldNumber , FOFModelFieldText
  • pass_cache_data() : SimplePie_Sanitize
  • pass_file_data() : SimplePie_Sanitize
  • passSprintf() : Text
  • PasswordHash() : PasswordHash
  • patch() : Http
  • pathCheck() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • pathClean() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • pathFind() : FOFIntegrationJoomlaFilesystem , FOFPlatformFilesystemInterface
  • pathMatches() : InputFilter
  • patternMatch() : FOFLess , lessc
  • patternMatchAll() : FOFLess , lessc
  • pbkdf2() : AKEncryptionAES , McryptCipher
  • pcntlChildExitStatus() : AbstractDaemonApplication , DaemonApplication
  • pcntlFork() : AbstractDaemonApplication , DaemonApplication
  • pcntlSignal() : AbstractDaemonApplication , DaemonApplication
  • pcntlWait() : AbstractDaemonApplication , DaemonApplication
  • peek() : FOFLessParser , lessc_parser
  • percent_encoding_normalization() : SimplePie_Misc
  • perform() : JGithubPackageRepositoriesMerging
  • phpinfoEnabled() : AdminModelSysInfo
  • pinned() : JHtmlBanner
  • pivot() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • pk_to_curve25519() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • PlainDecrypt() : Crypto
  • PlainEncrypt() : Crypto
  • pluginDisable() : FinderIndexerAdapter
  • plural() : Text , JTextWrapper
  • pluralize() : FOFInflector
  • polyfill() : JHtmlBehavior
  • polyfill_is_fast() : ParagonIE_Sodium_Compat
  • pop() : FOFLessParser , lessc_parser
  • popBeforeSmtp() : POP3
  • popEnv() : FOFLess , lessc
  • popover() : JHtmlBootstrap
  • populateDatabase() : InstallationModelDatabase
  • populateExtraData() : UsersModelGroups
  • populateFilesAndFolderList() : FileAdapter
  • populateGroupData() : UserGroupsHelper
  • populateGroupsData() : UserGroupsHelper
  • populateSavestate() : FOFModel
  • populateState() : ActionlogsModelActionlogs , AssociationsModelAssociations , BannersModelBanners , BannersModelClients , BannersModelDownload , BannersModelTracks , CacheModelCache , CategoriesModelCategories , CategoriesModelCategory , CheckinModelCheckin , ConfigModelCms , ConfigModelComponent , ConfigModelModules , ConfigModelTemplates , ContactModelCategories , ContactModelCategory , ContactModelContact , ContactModelContacts , ContactModelFeatured , ContenthistoryModelHistory , ContentModelArchive , ContentModelArticle , ContentModelArticles , ContentModelCategories , ContentModelCategory , ContentModelFeatured , ContentModelForm , FieldsModelField , FieldsModelFields , FieldsModelGroup , FieldsModelGroups , FinderModelFilters , FinderModelIndex , FinderModelMaps , FinderModelSearch , FinderModelSuggestions , FOFModel , InstallerModelDatabase , InstallerModelDiscover , InstallerModelInstall , InstallerModelLanguages , InstallerModelManage , InstallerModelUpdate , InstallerModelUpdatesites , AdminModel , BaseDatabaseModel , ListModel , LanguagesModelInstalled , LanguagesModelLanguage , LanguagesModelLanguages , LanguagesModelOverride , LanguagesModelOverrides , LoginModelLogin , MenusModelItem , MenusModelItems , MenusModelMenu , MenusModelMenus , MenusModelMenutypes , MessagesModelConfig , MessagesModelMessage , MessagesModelMessages , ModulesModelModule , ModulesModelModules , ModulesModelPositions , ModulesModelSelect , NewsfeedsModelCategories , NewsfeedsModelCategory , NewsfeedsModelNewsfeed , NewsfeedsModelNewsfeeds , PluginsModelPlugin , PluginsModelPlugins , PrivacyModelCapabilities , PrivacyModelConfirm , PrivacyModelConsents , PrivacyModelExport , PrivacyModelRemind , PrivacyModelRemove , PrivacyModelRequest , PrivacyModelRequests , RedirectModelLinks , SearchModelSearches , TagsModelTag , TagsModelTags , TemplatesModelStyle , TemplatesModelStyles , TemplatesModelTemplate , TemplatesModelTemplates , UsersModelDebuggroup , UsersModelDebugUser , UsersModelGroups , UsersModelLevels , UsersModelLogin , UsersModelNote , UsersModelNotes , UsersModelProfile , UsersModelRegistration , UsersModelRemind , UsersModelReset , UsersModelUsers
  • populateTree() : JAdminCssMenu
  • positionList() : JHtmlModules
  • positions() : JHtmlList , JHtmlModules
  • post() : JMediawikiHttp , Http
  • postComment() : JLinkedinStream
  • postDeleteHook() : AdminController , NewsfeedsControllerNewsfeeds
  • postflight() : FOFUtilsInstallscript , JoomlaInstallerScript
  • postFork() : AbstractDaemonApplication , DaemonApplication
  • postInstallCmsData() : InstallationModelDatabase
  • postInstallSampleData() : InstallationModelDatabase
  • postNetworkUpdate() : JLinkedinStream
  • postprocessNonSEFBuildRule() : PlgSystemLanguageFilter
  • postprocessSEFBuildRule() : PlgSystemLanguageFilter
  • postRender() : FOFRenderAbstract , FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper , FOFViewHtml , FOFViewRaw
  • postSaveHook() : CategoriesControllerCategory , FieldsControllerField , FieldsControllerGroup , FormController , ModulesControllerModule , NewsfeedsControllerNewsfeed , PrivacyControllerRequest , UsersControllerUser
  • postSend() : PHPMailer
  • postStoreProcess() : TagsHelper
  • preferences() : ToolbarHelper
  • prefixLink() : FOFToolbar
  • preflight() : FOFUtilsInstallscript , InstallerScript , JoomlaInstallerScript
  • preg_match() : Parser
  • preg_quote() : easyparse , FOFLess , lessc
  • preload() : Access
  • preloadComponents() : Access
  • preloadPermissions() : Access
  • preloadPermissionsParentIdMapping() : Access
  • prepare() : JHtmlContent , PlgContentFields
  • prepare_simplepie_object_for_cache() : SimplePie_Cache_DB
  • prepareContent() : FinderIndexerHelper
  • prepareData() : ContenthistoryHelper
  • prepareDimensions() : Image
  • prepareDiscoverInstall() : LibraryAdapter , ModuleAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • prepareDocument() : ContactViewCategory , ContentViewCategory , FinderViewSearch , CategoriesView , CategoryView , NewsfeedsViewCategory , PrivacyViewConfirm , PrivacyViewRemind , PrivacyViewRequest , UsersViewLogin , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset
  • prepareOptionsNested() : TagField
  • preparePreUpdate() : InstallerModelUpdate
  • prepareSearchContent() : SearchHelper
  • prepareTable() : BannersModelBanner , BannersModelClient , ContactModelContact , ContentModelArticle , AdminModel , ModulesModelModule , NewsfeedsModelNewsfeed
  • prepareTagItem() : PlgSystemFields
  • prepareUtf8mb4StatusTable() : InstallerModelDatabase
  • prependBody() : AbstractWebApplication , WebApplication , JResponse
  • prependButton() : Toolbar
  • prependFilter() : Stream
  • preprocess() : ContactRouterRulesLegacy , ContentRouterRulesLegacy , JAdminCssMenu , RouterBase , RouterInterface , RouterLegacy , RouterView , MenuRules , NomenuRules , RulesInterface , StandardRules , NewsfeedsRouterRulesLegacy , SimplePie_Sanitize , UsersRouterRulesLegacy
  • preprocessBuildRule() : PlgSystemLanguageFilter
  • preprocessData() : ConfigModelForm , FormModel
  • preprocessForm() : BannersModelBanner , CategoriesModelCategory , ConfigModelForm , ConfigModelModules , ConfigModelTemplates , ContactModelContact , ContentModelArticle , ContentModelForm , FieldsModelField , FieldsModelGroup , FOFModel , FormModel , ListModel , MenusModelItem , MenusModelItems , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , TemplatesModelStyle , UsersModelGroup , UsersModelLevel , UsersModelLogin , UsersModelMail , UsersModelProfile , UsersModelRegistration , UsersModelRemind , UsersModelReset , UsersModelUser
  • preRender() : FOFRenderAbstract , FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper , FOFViewHtml , FOFViewRaw
  • preSend() : PHPMailer
  • preStoreProcess() : TagsHelper
  • prettyPrintJSON() : PlgSystemDebug
  • preview() : ToolbarHelper
  • print_popup() : JHtmlIcon
  • print_screen() : JHtmlIcon
  • printf() : Text , JTextWrapper
  • process() : AKAbstractPostproc , AKPostprocDirect , FinderIndexerParser , FinderIndexerParserHtml , FinderIndexerParserRtf , FinderIndexerParserTxt , ColorProcessor , ProcessorInterface
  • processBuildRules() : Router , SiteRouter
  • processDates() : FinderIndexerQuery
  • processDynamicTaxonomy() : FinderIndexerQuery
  • processElement() : FeedParser
  • processElementForFeed() : NamespaceParserInterface , ItunesRssParser , MediaRssParser
  • processElementForFeedEntry() : NamespaceParserInterface , ItunesRssParser , MediaRssParser
  • processFeedEntry() : AtomParser , RssParser
  • processFileData() : AKAbstractUnarchiver , AKUnarchiverJPA
  • processFilename() : AKAbstractPostproc , AKPostprocDirect
  • processLimit() : FOFDatabaseQueryMysqli , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQueryLimitable , JDatabaseQueryMysqli , JDatabaseQueryOracle , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • processLookupFields() : ContenthistoryHelper
  • processParseRules() : Router , SiteRouter
  • processPerson() : RssParser
  • processQuery() : JFormFieldSQL
  • processRemindRequest() : UsersModelRemind
  • processResetComplete() : UsersModelReset
  • processResetConfirm() : UsersModelReset
  • processResetRequest() : UsersModelReset
  • processResponse() : JGithubObject , JGithubPackageRepositoriesStatistics
  • processStaticTaxonomy() : FinderIndexerQuery
  • processString() : FinderIndexerQuery
  • processTypeDir() : AKUnarchiverJPA
  • processTypeFileCompressedSimple() : AKUnarchiverJPA
  • processTypeFileUncompressed() : AKUnarchiverJPA
  • processTypeLink() : AKUnarchiverJPA
  • processUpdateSites() : PlgExtensionJoomla
  • propagateFromObject() : AKAbstractObject
  • propagateToObject() : AKAbstractObject
  • property() : FOFLessFormatterClassic , Microdata , lessc_formatter_classic
  • propertyValue() : FOFLessParser , lessc_parser
  • protect() : Container
  • pseudoConstructor() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • publicize() : JGithubPackageOrgsMembers
  • publickey() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • publish() : BannersTableClient , CategoriesModelCategory , ContentControllerFeatured , FinderModelIndex , FinderModelMaps , FinderTableFilter , FinderTableMap , FOFController , FOFModel , FOFTable , InstallerControllerUpdatesites , InstallerModelManage , InstallerModelUpdatesites , JHtmlActionsDropdown , JHtmlDropdown , AdminController , AdminModel , CoreContent , Extension , Nested , Table , ToolbarHelper , LanguagesModelInstalled , MenusControllerItems , MenusModelItem , MessagesModelMessage , MessagesTableMessage , NewsfeedsModelNewsfeed , UsersControllerGroups , UsersTableNote
  • publishContentLanguages() : InstallationModelLanguages
  • published() : JHtmlGrid , JHtmlJGrid , JHtmlLanguages , JHtmlRedirect
  • publishedOptions() : JHtmlJGrid , JHtmlLanguages , PluginsHelper , RedirectHelper
  • publishList() : ToolbarHelper
  • punyencodeAddress() : PHPMailer
  • purge() : ActionlogsControllerActionlogs , ActionlogsModelActionlogs , AssociationsControllerAssociations , AssociationsModelAssociations , CacheController , CacheModelCache , FinderCli , FinderControllerIndex , FinderModelIndex , FinderModelMaps , InstallerControllerDiscover , InstallerControllerUpdate , InstallerModelDiscover , InstallerModelUpdate , JoomlaupdateModelDefault , JTableSession , LanguagesControllerOverrides , LanguagesModelOverrides , RedirectControllerLinks , RedirectModelLinks
  • purgeMessages() : AdministratorApplication
  • pushBlock() : FOFLessParser , lessc_parser
  • pushEnv() : FOFLess , lessc
  • pushSpecialBlock() : FOFLessParser , lessc_parser
  • pushStep() : Installer
  • put() : Http
  • putFilters() : FinderCli
  • pwd() : FtpClient


Joomla CMS: Champs de donnée - Fonctions

- q -

  • query() : FOFDatabase , JDatabase , JGoogleAuth , JGoogleAuthOauth2 , JGoogleData , JOAuth2Client
  • queryChangeset() : JOpenstreetmapChangesets
  • quit() : FtpClient , SMTP
  • quote() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseQuery , JDatabaseDriver , JDatabaseQuery , SimplePie_HTTP_Parser
  • quote_char() : SimplePie_HTTP_Parser
  • quote_escaped() : SimplePie_HTTP_Parser
  • quoteBinary() : JDatabaseDriver , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • quotedString() : PHPMailer
  • quoteName() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseQuery , JDatabaseDriver , JDatabaseQuery
  • quoteNameStr() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , JDatabaseDriver


Joomla CMS: Champs de donnée - Fonctions

- r -

  • radiolist() : JHtmlSelect
  • raise() : JError
  • raiseError() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , JError
  • raiseNotice() : JError
  • raiseWarning() : JArchiveBzip2 , JArchiveGzip , JArchiveZip , JError
  • Rand() : FOFDatabaseQueryMysqli , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlsrv , JDatabaseQueryMysqli , JDatabaseQueryPostgresql , JDatabaseQuerySqlsrv
  • randombytes_random16() : ParagonIE_Sodium_Compat
  • randombytes_uniform() : ParagonIE_Sodium_Compat
  • range() : FOFModelField , FOFModelFieldDate , FOFModelFieldNumber , FOFModelFieldText
  • read() : FOFController , FtpClient , File , Stream , FileWrapper , FtpClient , Stream , LdapClient , Apc , Apcu , Database , Storage , Xcache , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageDatabase , JSessionStorageXcache , KeychainManager
  • readArchiveHeader() : AKAbstractUnarchiver , AKUnarchiverJPA , AKUnarchiverZIP
  • readChangeset() : JOpenstreetmapChangesets
  • readElement() : JOpenstreetmapElements
  • readFileHeader() : AKAbstractUnarchiver , AKUnarchiverJPA , AKUnarchiverZIP
  • readZipInfo() : Zip
  • realGetColumnCollation() : FOFDatabaseInstaller
  • realGetTableCollation() : FOFDatabaseInstaller
  • reason() : SimplePie_HTTP_Parser
  • rebuild() : CategoriesModelCategory , FOFTableNested , InstallerControllerUpdatesites , InstallerModelUpdatesites , Asset , Nested , Usergroup , MenusControllerItems , MenusControllerMenus , MenusModelItem , TagsControllerTags , TagsModelTag
  • rebuildPath() : Nested
  • recipient() : SMTP
  • reconcileNames() : ContactViewCategory , ContentViewCategory , CategoryFeedView
  • recordLastTransactionID() : SMTP
  • recursiveUpdatePublishedColumn() : Nested
  • redaction() : JOpenstreetmapElements
  • redirect() : FOFController , JApplication , AbstractWebApplication , CMSApplication , WebApplication , BaseController
  • redirectsAllowed() : CurlTransport
  • redirectToAssociations() : AdminModel
  • reduce() : FOFLess , lessc
  • refineSearchStringToRegex() : ListModel
  • refresh() : InstallerControllerDiscover , InstallerModelManage , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , LanguagesControllerStrings , LanguagesModelStrings
  • refreshIncludePaths() : FileLayout
  • refreshManifestCache() : ComponentAdapter , FileAdapter , LanguageAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , Installer
  • refreshMediaVersion() : Version
  • refreshToken() : JOAuth2Client
  • refreshUpdates() : JoomlaupdateModelDefault
  • regenerate() : JSessionHandlerInterface , JSessionHandlerNative
  • regexp() : FOFDatabaseQueryMysqli , FOFDatabaseQueryPostgresql , JDatabaseQueryMysqli , JDatabaseQueryPostgresql
  • register() : ClassLoader , FOFUtilsObservableDispatcher , JEventDispatcher , JLoader , HTMLHelper , ServiceProviderInterface , Memcache , Memcached , None , Storage , Wincache , JSessionStorage , JSessionStorageMemcache , JSessionStorageMemcached , JSessionStorageNone , JSessionStorageRedis , JSessionStorageWincache , SimplePie_Cache , SimplePie_Registry , UsersControllerRegistration , UsersModelRegistration
  • registerAlias() : JLoader
  • registerDefaultTask() : FOFController , BaseController
  • registerErrorLevel() : JError
  • registerEvent() : BaseApplication
  • registerFunction() : FOFLess , lessc
  • registerNamespace() : JLoader , FeedParser
  • registerParser() : FeedFactory
  • registerPlatformPath() : FOFPlatform
  • registerPrefix() : JLoader
  • registerRenderer() : FOFView
  • registerServiceProvider() : Container
  • registerStreamWrapper() : PharStreamWrapper
  • registerTablePaths() : ConfigModelCms
  • registerTask() : FOFController , BaseController
  • registerView() : RouterView
  • reindex() : FinderIndexerAdapter
  • reinit() : FtpClient
  • rekey() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • relationsForElement() : JOpenstreetmapElements
  • relative() : JHtmlDate
  • releaseEditId() : BaseController
  • releaseTransactionSavepoint() : FOFDatabaseDriverPostgresql , JDatabaseDriverPostgresql
  • reload() : InstalledVersions , ContentControllerArticle , FormController
  • remind() : UsersControllerRemind , UsersControllerUser
  • remindExpiringConsents() : PlgSystemPrivacyconsent
  • remotefsize() : FilesystemHelper , Helper
  • remove() : FinderIndexer , FinderIndexerAdapter , FinderIndexerDriverSqlsrv , FOFController , InstallerModelManage , JGithubPackageOrgsMembers , JGithubPackageRepositoriesCollaborators , Cache , CacheStorage , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , InputFilter , ListenersPriorityQueue , InputFilter , LdapClient , Registry
  • remove_accents() : SearchHelper
  • remove_div() : SimplePie , SimplePie_Sanitize
  • remove_dot_segments() : SimplePie_IRI
  • remove_iunreserved_percent_encoded() : SimplePie_IRI
  • remove_rfc2822_comments() : SimplePie_Parse_Date
  • removeAllFromIssue() : JGithubPackageIssuesLabels
  • removeArgument() : Event
  • removeAttachment() : Mail
  • removeBlocks() : FinderIndexerParserHtml
  • removeCalendar() : JGoogleDataCalendar
  • removeCategory() : Feed , FeedEntry
  • removeChild() : CategoryNode , Node
  • removeComments() : FOFLessParser , lessc_parser
  • removeContributor() : Feed , FeedEntry
  • removeDisplayCallback() : PlgSystemDebug
  • removeEntry() : Feed
  • removeEvent() : Dispatcher
  • removeField() : Form
  • removeFiles() : Installer , InstallerScript
  • removeFilesAndFolders() : FOFUtilsInstallscript
  • removeFilter() : Stream
  • removeFromIssue() : JGithubPackageIssuesLabels
  • removeGroup() : Form
  • removeHeader() : FOFForm
  • removeIncludePath() : FileLayout
  • removeIncludePaths() : FileLayout
  • removeInstruction() : FinderIndexerResult
  • removeJedUpdateserver() : JoomlaInstallerScript
  • removeKnownField() : FOFTable
  • removeLayout() : RouterViewConfiguration
  • removeLink() : FeedEntry
  • removeListener() : Dispatcher
  • removeMaps() : FinderIndexerTaxonomy
  • removeMember() : JGithubPackageOrgsTeams
  • removeObsoleteUpdateSites() : FOFUtilsUpdate
  • removeOrphanNodes() : FinderIndexerTaxonomy
  • removePackageFiles() : JoomlaupdateModelDefault
  • removePath() : AKAbstractUnarchiver
  • removePharPrefix() : Helper
  • removeRelation() : FOFTableRelations
  • removeRepo() : JGithubPackageOrgsTeams
  • removeroot() : ConfigControllerApplication , ConfigModelApplication
  • removeRoot() : Path
  • removeUserFromGroup() : UserHelper , UserWrapper
  • rename() : AKAbstractPostproc , AKPostprocDirect , FtpClient , LdapClient , PharStreamWrapper
  • renameConstraints() : FOFDatabaseDriverSqlsrv
  • renameFile() : TemplatesControllerTemplate , TemplatesModelTemplate
  • renameTable() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • render() : ConfigViewApplicationHtml , ConfigViewApplicationJson , ConfigViewCmsJson , ConfigViewComponentHtml , ConfigViewConfigHtml , ConfigViewModulesHtml , ConfigViewTemplatesHtml , EasyPeasyICS , FieldsHelper , FOFHalDocument , FOFHalRenderInterface , FOFHalRenderJson , FOFLayoutHelper , InstallationApplicationWeb , InstallationViewCompleteHtml , InstallationViewDefault , InstallationViewDefaultlanguageHtml , InstallationViewInstallHtml , InstallationViewLanguagesHtml , InstallationViewPreinstallHtml , InstallationViewSummaryHtml , JApplication , JGithubPackageMarkdown , JHtmlActionsDropdown , JHtmlDropdown , JHtmlSidebar , AdministratorApplication , CMSApplication , SiteApplication , WebApplication , Document , DocumentRenderer , ErrorDocument , FeedDocument , HtmlDocument , ImageDocument , OpensearchDocument , RawDocument , AtomRenderer , RssRenderer , ComponentRenderer , HeadRenderer , MessageRenderer , ModuleRenderer , ModulesRenderer , XmlDocument , ExceptionHandler , FormField , BaseLayout , FileLayout , LayoutHelper , LayoutInterface , SeparatorButton , Toolbar , ToolbarButton , AbstractUri , JView , JViewHtml , PlgSystemStats
  • renderActionlogsExtensions() : PlgSystemActionLogs
  • renderActionlogsNotify() : PlgSystemActionLogs
  • renderArea() : JGrid
  • renderAttributes() : JGrid
  • renderBacktrace() : JError , ErrorDocument , PlgSystemDebug
  • renderBars() : PlgSystemDebug
  • renderButton() : Toolbar
  • renderButtons() : FOFRenderJoomla , FOFRenderStrapper
  • renderCallStack() : PlgSystemDebug
  • renderCategoryLinkbar() : FOFRenderAbstract
  • renderDataAsXml() : PrivacyHelper
  • renderDebugMessages() : BaseLayout
  • renderDirectories() : AdminViewSysinfo
  • renderField() : JFormFieldSpacer , Form , FormField
  • renderFieldset() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper , Form
  • renderFieldsetLabel() : FOFRenderAbstract , FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper
  • renderForm() : FOFRenderAbstract
  • renderFormBrowse() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper
  • renderFormEdit() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper
  • renderFormRaw() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper
  • renderFormRead() : FOFRenderAbstract , FOFRenderJoomla , FOFRenderStrapper
  • renderFromConfig() : FOFToolbar
  • renderLinkbar() : FOFRenderJoomla3 , FOFRenderJoomla , FOFRenderStrapper
  • renderLinkbar_classic() : FOFRenderStrapper
  • renderLinkbar_joomla() : FOFRenderStrapper
  • renderLinkbarItems() : FOFRenderJoomla , FOFRenderStrapper
  • renderModal() : JHtmlBootstrap
  • renderModule() : ModuleHelper
  • renderPostInstallation() : FOFUtilsInstallscript
  • renderPostUninstallation() : FOFUtilsInstallscript
  • renderSection() : AdminViewSysinfo
  • renderSubmenu() : FOFToolbar , JAdminCssMenu
  • renderToolbar() : FOFToolbar
  • renderToolbarElement() : FOFToolbar
  • reorder() : FOFModel , FOFTable , FOFTableNested , AdminController , AdminModel , Table , UsersControllerGroups , UsersModelLevels
  • replace() : DisallowedClassesSubstitutor , FinderIndexerStemmerPorter_En , JGithubPackageIssuesLabels , LdapClient
  • replace_invalid_with_pct_encoding() : SimplePie_IRI
  • replace_urls() : SimplePie_Sanitize
  • replaceColors() : ColorProcessor
  • replacePreferences() : JOpenstreetmapUser
  • replacePrefix() : FOFDatabaseDriver , FOFDatabaseDriverOracle , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverOracle , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • reply() : MessagesControllerMessage
  • reponseHeaderCallback() : FOFDownloadAdapterCurl
  • repositories() : JGithubPackageSearch
  • request() : CurlTransport , SocketTransport , StreamTransport , TransportInterface , UsersControllerReset
  • requestToken() : JGithubPackageAuthorization
  • requiresDoubleQuoting() : Escaper
  • requiresSingleQuoting() : Escaper
  • resend() : UsersControllerUser
  • reset() : FOFModel , FOFTable , FOFTableNested , Patcher , Form , Tree , Nested , Table , TableInterface , Uri , Patcher , JTree , SearchControllerSearches , SearchModelSearches , SMTP
  • resetErrors() : AKAbstractObject
  • resetHeadData() : HtmlDocument
  • resetHeadDatum() : HtmlDocument
  • resetMessages() : PostinstallModelMessages
  • resetOpCache() : Helper
  • resetOptions() : BaseLayout
  • resetParams() : Microdata
  • resetRandUserId() : InstallationModelDatabase
  • resetSavedState() : FOFModel
  • resetState() : FinderIndexer
  • resetTime() : AKCoreTimer , FOFUtilsTimer
  • resetTranslation() : AKText
  • resetTreeCache() : FOFTableNested
  • resetWarnings() : AKAbstractObject
  • reshare() : JLinkedinStream
  • resize() : Image
  • resizeImage() : TemplatesControllerTemplate , TemplatesModelTemplate
  • resizeKey() : AKEncryptionAESAdapterAbstract , FOFEncryptAesAbstract
  • resolve() : Path , Manager , Resolvable , PharInvocationResolver
  • resolveAlias() : MenuHelper , Container
  • resolveAssertable() : PharStreamWrapper
  • resolveBaseName() : PharInvocationResolver
  • resolveContainer() : Reader
  • resolveFourByteLittleEndian() : Reader
  • resolveManifestLength() : Reader
  • resolvePossibleAlias() : PharInvocationResolver
  • resolveStream() : Reader
  • resolveTwoByteBigEndian() : Reader
  • respond() : AbstractWebApplication , WebApplication
  • restart() : AbstractDaemonApplication , DaemonApplication , FtpClient , Session , FtpClient , Session
  • restoreInternalSteamWrapper() : PharStreamWrapper
  • resync() : MenusControllerMenus
  • retrieve() : FinderModelSearch
  • retrieveGps() : JOpenstreetmapGps
  • retrieveInvocation() : PharInvocationResolver
  • retrieveMapData() : JOpenstreetmapInfo
  • retrievePermissions() : JOpenstreetmapInfo
  • return_bytes() : InstallerModelWarnings
  • returning() : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • retweet() : JTwitterStatuses
  • reverseItems() : Feed
  • rewind() : FOFDatabaseIterator , JDatabaseIterator , DataSet , SplFixedArray
  • rfcDate() : PHPMailer
  • rightJoin() : FOFDatabaseQuery , JDatabaseQuery
  • ristretto255_add() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_elligator() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_from_hash() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_frombytes() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_is_valid_point() : ParagonIE_Sodium_Compat
  • ristretto255_p3_tobytes() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_point_is_canonical() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_random() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_add() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_complement() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_from_string() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_invert() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_mul() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_negate() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_random() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_reduce() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_scalar_sub() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_sqrt_ratio_m1() : ParagonIE_Sodium_Core_Ristretto255
  • ristretto255_sub() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • rmdir() : AKAbstractPostproc , AKPostprocDirect , PharStreamWrapper
  • rollback() : JMediawikiPages
  • root() : Uri
  • rotate() : Image , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_Salsa20 , PlgSystemLogrotation
  • rotl_64() : ParagonIE_Sodium_Core_SipHash
  • rotr64() : ParagonIE_Sodium_Core32_BLAKE2b
  • RotWord() : AKEncryptionAES
  • route() : FOFTemplateUtils , JApplication , AdministratorApplication , CMSApplication , SiteApplication , PlgSystemSef
  • runPlugins() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • RuntimeTest() : Crypto


Joomla CMS: Champs de donnée - Fonctions

- s -

  • safeEncode() : JOAuth1Client
  • safeStrlen() : Crypt
  • safeSubstr() : Crypt
  • safeXml() : JGoogleData
  • salsa20() : ParagonIE_Sodium_Core32_Salsa20 , ParagonIE_Sodium_Core_Salsa20
  • salsa20_xor() : ParagonIE_Sodium_Core32_Salsa20 , ParagonIE_Sodium_Core_Salsa20
  • salsa20_xor_ic() : ParagonIE_Sodium_Core32_Salsa20 , ParagonIE_Sodium_Core_Salsa20
  • sanitiseVersion() : FOFUtilsUpdateJoomla
  • sanitize() : SimplePie , SimplePie_Item , SimplePie_Sanitize , SimplePie_Source
  • sanitizeColor() : Backgroundfill
  • sanitizeHeight() : Image
  • sanitizeItem() : DisallowedClassesSubstitutor
  • sanitizeOffset() : Image
  • sanitizeProperty() : Microdata
  • sanitizeType() : Microdata
  • sanitizeWidth() : Image
  • santiseSearchWord() : SearchHelper
  • satisfies() : InstalledVersions
  • save() : AdminControllerProfile , AdminModelProfile , CategoriesControllerCategory , CategoriesModelCategory , ConfigControllerApplication , ConfigControllerComponent , ConfigModelApplication , ConfigModelComponent , ContactModelContact , ContentControllerArticle , ContentModelArticle , ContentModelForm , FieldsModelField , FieldsModelGroup , FinderControllerFilter , FOFController , FOFModel , FOFTable , JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Editor , EditorField , FormController , AdminModel , Table , ToolbarHelper , UCMContent , User , JSessionHandlerInterface , JSessionHandlerNative , LanguagesControllerOverride , LanguagesModelLanguage , LanguagesModelOverride , MenusControllerItem , MenusControllerMenu , MenusModelItem , MenusModelMenu , MessagesControllerConfig , MessagesModelConfig , MessagesModelMessage , ModulesControllerModule , ModulesModelModule , NewsfeedsModelNewsfeed , PluginsModelPlugin , PrivacyModelRequest , SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL , TagsModelTag , TemplatesControllerStyle , TemplatesControllerTemplate , TemplatesModelStyle , TemplatesModelTemplate , UsersControllerProfile , UsersModelGroup , UsersModelLevel , UsersModelProfile , UsersModelUser
  • save2copy() : ToolbarHelper
  • save2new() : ToolbarHelper
  • saveCache() : FOFIntegrationJoomlaPlatform
  • saveKeychain() : JKeychain , KeychainManager
  • savenew() : FOFController
  • saveorder() : CategoriesControllerCategories , CategoriesModelCategory , FOFController , AdminController , AdminModel , Nested , MenusControllerItems , MenusModelItem , TagsModelTag , UsersControllerGroups , UsersModelLevels
  • saveOrderAjax() : AdminController , LanguagesControllerLanguages
  • saveParams() : LibraryHelper , PlgQuickiconEos310 , PlgSystemStats
  • savestate() : FOFModel
  • saveToIniFile() : LanguageHelper
  • sc25519_invert() : ParagonIE_Sodium_Core_Curve25519
  • sc25519_mul() : ParagonIE_Sodium_Core_Curve25519
  • sc25519_sq() : ParagonIE_Sodium_Core_Curve25519
  • sc25519_sqmul() : ParagonIE_Sodium_Core_Curve25519
  • scalar_add() : ParagonIE_Sodium_Core_Ed25519
  • scalar_complement() : ParagonIE_Sodium_Core_Ed25519
  • scalar_negate() : ParagonIE_Sodium_Core_Ed25519
  • scalar_random() : ParagonIE_Sodium_Core_Ed25519
  • scalar_sub() : ParagonIE_Sodium_Core_Ed25519
  • scalarmult() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • scalarmult_base() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • scalarmult_ristretto255() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • scalarmult_ristretto255_base() : ParagonIE_Sodium_Compat , ParagonIE_Sodium_Core_Ristretto255
  • scalarmult_throw_if_zero() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • scanArchives() : AKAbstractUnarchiver
  • scanDirectory() : FOFDownload , FOFPlatformFilesystem
  • scheme_normalization() : SimplePie_IRI
  • scopeAncestors() : FOFTableNested
  • scopeAncestorsAndSelf() : FOFTableNested
  • scopeDescendants() : FOFTableNested
  • scopeDescendantsAndSelf() : FOFTableNested
  • scopeImmediateDescendants() : FOFTableNested
  • scopeLeaves() : FOFTableNested
  • scopeSiblings() : FOFTableNested
  • scopeSiblingsAndSelf() : FOFTableNested
  • scopeWithoutRoot() : FOFTableNested
  • scopeWithoutSelf() : FOFTableNested
  • script() : HTMLHelper , Text , JTextWrapper
  • scrollspy() : JHtmlBootstrap
  • search() : FOFModelField , JGoogleDataPlusActivities , JGoogleDataPlusPeople , JLinkedinCompanies , JLinkedinJobs , JLinkedinPeople , JMediawikiSearch , LdapClient , JTwitterPlaces , JTwittersearch , LanguagesControllerStrings , LanguagesModelStrings , SearchController
  • search_elements_by_tag() : SimplePie_Locator
  • searchAjax() : TagsControllerTags
  • searchByString() : PlgAuthenticationLdap
  • searchTags() : TagsHelper
  • searchUsers() : JTwitterUsers
  • second() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql
  • secretkey() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • secretstream_xchacha20poly1305_init_pull() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretstream_xchacha20poly1305_init_push() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretstream_xchacha20poly1305_rekey() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secureHeader() : PHPMailer
  • SecureRandom() : Crypto
  • seek() : easyparse , FOFLessParser , Stream , lessc_parser
  • seek_cur() : BufferStreamHandler
  • seek_end() : BufferStreamHandler
  • seek_set() : BufferStreamHandler
  • sefSort() : FOFTemplateUtils
  • select() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDatabaseQuery , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite , JDatabaseQuery , JHtmlFilter
  • selectRowNumber() : JDatabaseQuery , JDatabaseQueryMysqli , JDatabaseQueryPostgresql , JDatabaseQuerySqlite
  • Send() : Mail
  • send() : MailtoController , PHPMailer , UsersControllerMail , UsersModelMail
  • sendAdminMail() : Mail
  • sendAndMail() : SMTP
  • sendCommand() : SMTP
  • sendDirectMessages() : JTwitterDirectmessages
  • sendHeaders() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , AbstractWebApplication , WebApplication , JResponse
  • sendHello() : SMTP
  • sendJsonResponse() : InstallationApplicationWeb , InstallationControllerRemovefolder
  • sendMail() : Mail
  • sendmailSend() : PHPMailer
  • sendMessage() : JLinkedinCommunications
  • sendNotificationEmail() : FOFUtilsUpdate
  • sendNotificationEmails() : ActionlogsModelActionlog
  • sendRequest() : JFacebookObject , JOpenstreetmapObject , JTwitterObject
  • sendResponse() : FinderControllerIndexer
  • sendStats() : PlgSystemStats
  • sendString() : POP3
  • sendTestMail() : ConfigModelApplication
  • serialize() : AKFactory , JControllerBase , JInput , JInputCli , Cli , AbstractEvent , Cli , Input
  • server() : JHtmlSystem
  • serverClaimsUtf8mb4Support() : FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , JDatabaseDriverMysql , JDatabaseDriverMysqli
  • serverHostname() : PHPMailer
  • set() : AKFactory , ClassLoader , FOFDatabaseQuery , FOFLess , FOFUtilsObject , JDatabaseQuery , JException , JHtmlPhpSetting , JInput , JInputCookie , JInputFiles , AbstractApplication , Cookie , Files , BaseLayout , MenuItem , CMSObject , Pagination , Session , Container , Stream , Cookie , Files , Input , Registry , Session , JRequest , lessc , PHPMailer
  • set_author_class() : SimplePie
  • set_authority() : SimplePie_IRI
  • set_autodiscovery_cache_duration() : SimplePie
  • set_autodiscovery_level() : SimplePie
  • set_cache_class() : SimplePie
  • set_cache_duration() : SimplePie
  • set_cache_location() : SimplePie
  • set_cache_name_function() : SimplePie
  • set_caption_class() : SimplePie
  • set_category_class() : SimplePie
  • set_content_type_sniffer_class() : SimplePie
  • set_copyright_class() : SimplePie
  • set_credit_class() : SimplePie
  • set_enclosure_class() : SimplePie
  • set_favicon_handler() : SimplePie
  • set_feed_url() : SimplePie
  • set_file() : SimplePie
  • set_file_class() : SimplePie
  • set_fragment() : SimplePie_IRI
  • set_host() : SimplePie_IRI
  • set_image_handler() : SimplePie , SimplePie_Sanitize
  • set_input_encoding() : SimplePie
  • set_iri() : SimplePie_IRI
  • set_item_class() : SimplePie
  • set_item_limit() : SimplePie
  • set_locator_class() : SimplePie
  • set_max_checked_feeds() : SimplePie
  • set_output_encoding() : SimplePie , SimplePie_Sanitize
  • set_parameter() : idna_convert
  • set_parser_class() : SimplePie
  • set_path() : SimplePie_IRI
  • set_port() : SimplePie_IRI
  • set_query() : SimplePie_IRI
  • set_rating_class() : SimplePie
  • set_raw_data() : SimplePie
  • set_registry() : SimplePie_Item , SimplePie_Locator , SimplePie_Parser , SimplePie_Sanitize , SimplePie_Source
  • set_restriction_class() : SimplePie
  • set_sanitize_class() : SimplePie
  • set_scheme() : SimplePie_IRI
  • set_source_class() : SimplePie
  • set_stupidly_fast() : SimplePie
  • set_timeout() : SimplePie
  • set_url_replacements() : SimplePie , SimplePie_Sanitize
  • set_useragent() : SimplePie
  • set_userinfo() : SimplePie_IRI
  • setaccess() : FOFController
  • setAccess() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • setAction() : JHtmlSidebar , JSubMenuHelper
  • setActive() : AbstractMenu , Node
  • setActiveRow() : JGrid
  • setAdapter() : FOFDownload , Archive , Adapter
  • setAdapterOptions() : FOFDownload
  • setAdditionalJavascript() : JGoogleEmbedMaps
  • setAdditionalMapOptions() : JGoogleEmbedMaps
  • setAdditionalUrlParam() : Pagination
  • setAllLoaded() : CategoryNode
  • setAllowIpOverrides() : FOFUtilsIp , IpHelper
  • setApcuPrefix() : ClassLoader
  • setAreas() : SearchModelSearch
  • setArgument() : Event
  • setAssetKey() : FOFTable
  • setAssetsTracked() : FOFTable
  • setAsyncCallback() : JGoogleEmbedMaps
  • setAuthor() : Feed , FeedEntry
  • setAutoload() : JGoogleEmbedMaps
  • setBase() : Document
  • setBehaviorParam() : FOFModel
  • setBody() : AbstractWebApplication , WebApplication , Mail , JResponse
  • setBreakFlag() : AKAbstractPart
  • setBrowser() : Browser
  • setBuffer() : Document , HtmlDocument
  • setCache() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface , Inflector
  • setCaching() : Cache
  • setCenter() : JGoogleEmbedMaps
  • setCfg() : InstallationApplicationWeb
  • setCharset() : Document
  • setClassMapAuthoritative() : ClassLoader
  • setClient() : FileLayout
  • setCode() : JGoogleEmbedAnalytics
  • setColumnAlias() : FOFTable , Table
  • setColumns() : JGrid
  • setCommonParameter() : FOFUtilsUpdate
  • setComponent() : FileLayout
  • setComponentRouter() : SiteRouter
  • setConfig() : FOFTable
  • setConfiguration() : AbstractApplication
  • setContainer() : ContainerAwareInterface
  • setContent() : Editor
  • setContextOptions() : Stream
  • setControllerPrefix() : JApplicationWebRouter
  • setCookieParams() : JSessionHandlerJoomla
  • setCorrectPermissions() : AKAbstractUnarchiver
  • setCost() : SimpleCryptPassword
  • setCounter() : Session
  • setCredentials() : ClientHelper , ClientWrapper
  • setCredentialsFromRequest() : ClientHelper , ClientWrapper
  • setCurrent() : Tree
  • setData() : BaseLayout
  • setDatabaseCharset() : InstallationModelDatabase
  • setDateFormat() : FOFDatabaseDriverOracle , JDatabaseDriverOracle
  • setDb() : JModelDatabase
  • setDbo() : FOFModel
  • setDBO() : FOFTable
  • setDbo() : JDatabaseExporter , JDatabaseImporter , BaseDatabaseModel , Table
  • setDebug() : FOFDatabaseDriver , JDatabaseDriver , Language , BaseLayout
  • setDebugLevel() : SMTP
  • setDebugOutput() : SMTP
  • setDefault() : InstallationModelLanguages , Language , AbstractMenu , LanguagesControllerInstalled , MenusControllerItems , TemplatesControllerStyles
  • setDefaultController() : JApplicationWebRouter
  • setDefaultType() : CryptPassword , SimpleCryptPassword
  • setDescription() : Document
  • setDetectBrowser() : SiteApplication
  • setDirection() : Document
  • setDispatcher() : DispatcherAwareInterface
  • setDn() : LdapClient
  • setDocumentTitle() : HtmlView
  • setDomain() : AKAbstractPart
  • setDownload() : XmlDocument
  • setElement() : FinderIndexerResult
  • setEnclosure() : FeedItem
  • setEncryptionMode() : FOFEncryptAesInterface , FOFEncryptAesMcrypt , FOFEncryptAesOpenssl
  • setError() : AKAbstractObject , FOFUtilsObject , JException , ErrorDocument , CMSObject , PHPMailer , POP3 , SMTP
  • setErrorHandling() : FOFPlatform , FOFPlatformInterface , JError
  • setErrorsQueueSize() : AKAbstractObject
  • setEscape() : FOFView , HtmlView
  • setEvent() : Dispatcher
  • setExpire() : Session
  • setField() : Form
  • setFieldAttribute() : Form
  • setFields() : Form
  • setFieldValue() : FieldsModelField
  • setFolder() : MediaViewImagesList
  • setForm() : FOFFormHeader , FormField
  • setFormatOptions() : HTMLHelper
  • setFormatter() : FOFLess , lessc
  • setFragment() : Uri
  • setFrom() : Mail , PHPMailer
  • setGenerator() : Document
  • setGroups() : UserGroupsHelper
  • setHandler() : Session
  • setHasTags() : FOFTable
  • setHeadData() : HtmlDocument
  • setHeader() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface , AbstractWebApplication , WebApplication , JResponse
  • setHome() : MenusModelItem , TemplatesModelStyle
  • setHost() : Uri
  • setHtml5() : HtmlDocument
  • setHttpMethodSuffix() : JApplicationWebRouterRest
  • setId() : FOFModel , JSessionHandlerInterface , JSessionHandlerNative
  • setIds() : FOFModel
  • setIDsFromRequest() : FOFModel
  • setIgnoredSearchWordsCallback() : Language
  • setImage() : MediaViewImagesList
  • setImportDir() : FOFLess , lessc
  • setIncludePaths() : FileLayout
  • setIndentation() : Dumper
  • setInput() : FOFModel , FOFTable
  • setInstance() : FOFDatabaseFactory , JDatabaseFactory , Log
  • setIntegrationObject() : FOFPlatform , FOFPlatformInterface
  • setIp() : FOFUtilsIp , IpHelper
  • setItemName() : Pathway
  • setKey() : JGoogleEmbedMaps , RouterViewConfiguration , Crypt
  • setKnownFields() : FOFTable
  • setLanguage() : FinderIndexerResult , Document , Language , PHPMailer
  • setLanguageCookie() : PlgSystemLanguageFilter
  • setLanguageFilter() : SiteApplication
  • setLastVisit() : User
  • setLayout() : FOFView , FileLayout , HtmlView , JViewHtml
  • setLayoutExt() : FOFView , HtmlView
  • setLayoutId() : FileLayout
  • setLifeTime() : Cache
  • setLimit() : FOFDatabaseQueryMysqli , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseQueryLimitable , JDatabaseQueryMysqli , JDatabaseQueryOracle , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv
  • setLineEnd() : Document
  • setLink() : Document
  • setListenerFilter() : Dispatcher
  • setLocation() : JGoogleDataPicasaAlbum , Nested
  • setLogger() : AbstractApplication , Image , ImageFilter , LoggerAwareInterface
  • setLowerLimitSearchWordCallback() : Language
  • setManifest() : InstallerAdapter
  • setMapClass() : JGoogleEmbedMaps
  • setMapId() : JGoogleEmbedMaps
  • setMapStyle() : JGoogleEmbedMaps
  • setMapType() : JGoogleEmbedMaps
  • setMaxExecTime() : AKCoreTimer
  • setMediaVersion() : Document , Version
  • setMessage() : FOFController , BaseController
  • setMessageType() : PHPMailer
  • setMetaData() : Document
  • setMethodInPostRequest() : JApplicationWebRouterRest
  • setMimeEncoding() : Document
  • setMode() : Router
  • setModel() : FOFForm , FOFView , HtmlView
  • setModifiedDate() : Document
  • setName() : EasyPeasyICS , JDatabaseQueryElement , RouterViewConfiguration , JsonDocument , XmlDocument , JSessionHandlerInterface , JSessionHandlerNative
  • setNestable() : RouterViewConfiguration
  • setNewTags() : Tags
  • setNonce() : SodiumCipher
  • setOAuth() : JFacebookObject
  • setoptArray() : Curl
  • setOption() : FOFDatabaseDriverPdo , JDatabaseDriverPdo , JFacebook , JGithub , JGoogle , JGoogleAuth , JGoogleData , JGoogleEmbed , JLinkedin , JLinkedinObject , JMediawiki , JOAuth1Client , JOAuth2Client , Http , JOpenstreetmap , JOpenstreetmapObject , JTwitter , JTwitterObject
  • setOptions() : FtpClient , BaseLayout , FtpClient , Session , JSessionHandlerJoomla
  • setOtpConfig() : AdminModelProfile , UsersModelUser
  • setOutput() : CliApplication
  • setOverwrite() : Installer
  • setPackageUninstall() : Installer
  • setPageTitle() : FOFViewHtml
  • setParam() : User
  • setParameters() : User
  • setParams() : ComponentRecord , InstallerScript , MenuItem , Node , Net_IDNA_php4
  • setParent() : JNode , CategoryNode , RouterViewConfiguration
  • setParsedFile() : ParseException
  • setParsedLine() : ParseException
  • setPass() : Uri
  • setPassword() : FOFEncryptAes
  • setPath() : FOFController , Installer , BaseController , Uri
  • setPaths() : JViewHtml
  • setPathway() : Pathway
  • setPbkdf2Algorithm() : AKEncryptionAES
  • setPbkdf2Iterations() : AKEncryptionAES
  • setPbkdf2StaticSalt() : AKEncryptionAES
  • setPbkdf2UseStaticSalt() : AKEncryptionAES
  • setPermissions() : Path , PathWrapper , Path
  • setPluralSuffixesCallback() : Language
  • setPort() : Uri
  • setPostRender() : FOFView
  • setPreRender() : FOFView
  • setPreserveComments() : FOFLess , lessc
  • setProcessor() : CliOutput
  • setProperties() : FOFUtilsObject , JException , CMSObject
  • setProperty() : DataObject
  • setPsr4() : ClassLoader
  • setPublished() : LanguagesModelLanguages
  • setQuery() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverPdo , FOFDatabaseQuery , JDatabaseDriver , JDatabaseDriverPdo , JDatabaseQuery , Uri
  • setQueryJoin() : FOFTable
  • setRedirect() : FOFController , BaseController
  • setRedirectUrl() : Installer
  • setRenderer() : FOFView
  • setRoute() : InstallerAdapter
  • setRowCell() : JGrid
  • setRowOptions() : JGrid
  • setRules() : FOFTable , Table
  • setSchemaVersion() : Installer
  • setScheme() : Uri
  • setScope() : JFacebookOAuth , JLinkedinOauth
  • setSearch() : SearchModelSearch
  • setSearchDisplayedCharactersNumberCallback() : Language
  • setSender() : Mail
  • setSeparator() : ModBreadCrumbsHelper
  • setSession() : AbstractWebApplication
  • setShortName() : OpensearchDocument
  • setSibling() : CategoryNode
  • setSize() : SplFixedArray
  • setSkipChecks() : FOFTable
  • setSnippet() : ParseException
  • setStart() : Profiler
  • setState() : AKAbstractPart , FinderIndexer
  • setstate() : FOFController
  • setState() : FOFModel , JModel , JModelBase , BaseDatabaseModel , Session
  • setStep() : AKAbstractPart
  • setSubject() : Mail
  • setSubscription() : JGithubPackageActivityWatching
  • setSubstep() : AKAbstractPart
  • setSuffixes() : FileLayout
  • setSummary() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • setTab() : Document
  • setTableAlias() : FOFTable
  • setTableOptions() : JGrid
  • setTablePrefix() : FOFTable
  • setTemplate() : SiteApplication
  • setThisModelName() : FOFController
  • setThisViewName() : FOFController
  • setThreadSubscription() : JGithubPackageActivityNotifications
  • setThumbnailGenerate() : Image
  • setTime() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto
  • setTimeout() : SMTP
  • setTimers() : Session
  • setTimezone() : Date
  • setTitle() : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Document
  • setToken() : JOAuth1Client , JOAuth2Client
  • setTransliterator() : Language
  • setTriggerEvents() : FOFTable
  • setType() : Document , Microdata , MenusControllerItem
  • setUnsignedInt() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • setup() : AKAbstractPart , FinderIndexerAdapter , FOFFormHeader , InstallationModelConfiguration , JFormFieldCalendar , JFormFieldCategoryEdit , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldColor , JFormFieldConsentBox , JFormFieldFile , JFormFieldFileList , JFormFieldFolderList , JFormFieldMenuitemByType , JFormFieldMeter , JFormFieldModal_Menu , JFormFieldNumber , JFormFieldPassword , JFormFieldPlugins , JFormFieldRules , JFormFieldSection , JFormFieldSQL , JFormFieldSubform , JFormFieldText , JFormFieldTextarea , JFormFieldTimezone , JFormFieldType , JFormFieldUploaddirs , JLoader , CaptchaField , ChromestyleField , EditorField , MediaField , MenuitemField , ModuleorderField , ModulepositionField , OrderingField , TemplatestyleField , UserField , UsergrouplistField , FormField , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • setupField() : Captcha
  • setUpgrade() : Installer
  • setupInstall() : Installer
  • setupInstallPaths() : ComponentAdapter , FileAdapter , LanguageAdapter , LibraryAdapter , ModuleAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • setUpperLimitSearchWordCallback() : Language
  • setupScriptfile() : InstallerAdapter
  • setupSignalHandlers() : AbstractDaemonApplication , DaemonApplication
  • setupUpdates() : ComponentAdapter , InstallerAdapter
  • setUseIncludePath() : ClassLoader
  • setUser() : AbstractMenu , Uri
  • setUserGroups() : UserHelper , UserWrapper
  • setUserState() : JApplication , CMSApplication
  • setUtf() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • setValue() : Form , FormField
  • setVar() : FOFInput , Router , Uri , JRequest
  • setVariable() : PharInvocation
  • setVariables() : FOFLess , lessc
  • setVars() : Router
  • setVerp() : SMTP
  • setVersion() : FOFUtilsUpdate
  • setView() : FOFForm
  • setWarning() : AKAbstractObject
  • setWarningsQueueSize() : AKAbstractObject
  • setWordWrap() : PHPMailer
  • setWorkarounds() : Cache
  • setXmlDirectory() : FOFDatabaseInstaller
  • setZoom() : JGoogleEmbedMaps
  • share() : JLinkedinStream , Container
  • shift() : DisallowedClassesSubstitutor
  • ShiftRows() : AKEncryptionAES
  • shouldDisplayMessage() : PlgQuickiconEos310 , PlgQuickiconPhpVersionCheck
  • shouldDisplayPreUpdateCheck() : JoomlaupdateViewDefault
  • showTables() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • shutdown() : AKAbstractUnarchiver , AbstractDaemonApplication , DaemonApplication
  • sign() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto , PHPMailer
  • sign_detached() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519 , ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • sign_open() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • sign_verify_detached() : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • signal() : AbstractDaemonApplication , DaemonApplication
  • silence_errors() : SimplePie_Misc
  • simple_search() : LdapClient
  • simplecolorpicker() : JHtmlBehavior
  • singleton() : idna_convert
  • singularize() : FOFInflector
  • sipHash24() : ParagonIE_Sodium_Core32_SipHash , ParagonIE_Sodium_Core_SipHash
  • sipRound() : ParagonIE_Sodium_Core32_SipHash , ParagonIE_Sodium_Core_SipHash
  • size() : FtpClient
  • sk_to_pk() : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • skip_whitespace() : SimplePie_XML_Declaration_Parser
  • slider() : JHtmlFilter
  • slowCheck() : FOFUtilsFilescheck
  • smtpClose() : PHPMailer
  • smtpConnect() : PHPMailer , PHPMailerOAuth
  • smtpSend() : PHPMailer
  • sort() : JHtmlGrid , JHtmlSearchtools
  • sort_items() : SimplePie
  • sortable() : JHtmlSortablelist
  • sortObjects() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • sortProps() : FOFLess , lessc
  • space_seperated_tokens() : SimplePie_Misc
  • spacer() : JHtmlUsers , ToolbarHelper
  • split_ns() : SimplePie_Parser
  • split_v6_v4() : SimplePie_Net_IPv6
  • splitCamelCase() : JString
  • splitLines() : Patcher
  • splitQueries() : InstallationModelDatabase
  • splitSql() : FOFDatabase , FOFDatabaseDriver , JDatabase , JDatabaseDriver , InstallerHelper
  • splitSqlExpression() : JDatabaseQuerySqlsrv
  • sprintf() : AKText , Text , JTextWrapper
  • sqlValue() : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • stabilityTagToInteger() : ExtensionAdapter , Update
  • standalone_equals() : SimplePie_XML_Declaration_Parser
  • standalone_name() : SimplePie_XML_Declaration_Parser
  • standalone_value() : SimplePie_XML_Declaration_Parser
  • star() : JGithubPackageActivityStarring , JGithubPackageGists
  • start() : FinderControllerIndexer , JHtmlDropdown , JHtmlSliders , JHtmlTabs , OutputController , Session , JSessionHandlerInterface , JSessionHandlerJoomla , JSessionHandlerNative , ntlm_sasl_client_class
  • startAccordion() : JHtmlBootstrap
  • startPane() : JHtmlBootstrap
  • startTabSet() : JHtmlBootstrap
  • startTLS() : SMTP
  • state() : InstallerHtmlManage , InstallerHtmlUpdatesites , JHtmlGrid , JHtmlJGrid , JHtmlMessages , JHtmlModules , MenusHtmlMenus
  • statelist() : JHtmlFinder
  • status() : JHtmlMessages , SimplePie_HTTP_Parser
  • statusLabel() : PrivacyHtmlHelper
  • stderr() : FOFDatabase , FOFDatabaseDriverJoomla , JDatabase
  • stem() : FinderIndexerHelper , FinderIndexerStemmer , FinderIndexerStemmerFr , FinderIndexerStemmerPorter_En , FinderIndexerStemmerSnowball , LanguageStemmer , Porteren
  • step() : ntlm_sasl_client_class
  • step1ab() : FinderIndexerStemmerPorter_En
  • step1c() : FinderIndexerStemmerPorter_En
  • step2() : FinderIndexerStemmerPorter_En
  • step3() : FinderIndexerStemmerPorter_En
  • step4() : FinderIndexerStemmerPorter_En
  • step5() : FinderIndexerStemmerPorter_En
  • stepbar() : InstallationHtmlHelper
  • stepbarlanguages() : InstallationHtmlHelper
  • stop() : AbstractDaemonApplication , DaemonApplication , Event
  • store() : ContactTableContact , FinderModelSearch , FinderTableFilter , FOFTable , Cache , CacheController , CacheStorage , OutputController , PageController , ApcStorage , ApcuStorage , CacheliteStorage , FileStorage , MemcachedStorage , MemcacheStorage , RedisStorage , WincacheStorage , XcacheStorage , FtpClient , ContentHistoryHelper , Category , Content , ContentHistory , ContentType , CoreContent , Language , Menu , MenuType , Module , Nested , TableInterface , User , Usergroup , UCMBase , UCMContent , FtpClient , NewsfeedsTableNewsfeed , PrivacyTableConsent , PrivacyTableRequest , RedirectTableLink , TagsTableTag , TemplatesTableStyle , UsersTableNote
  • store64() : ParagonIE_Sodium_Core32_BLAKE2b
  • storeExtension() : FileAdapter , LanguageAdapter , LibraryAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , InstallerAdapter
  • storeNode() : FinderIndexerTaxonomy
  • storeOptions() : InstallationModelSetup
  • storePermissions() : ConfigModelApplication
  • storeUcmBase() : CoreContent
  • storeVote() : ContentModelArticle
  • str2bin() : FOFEncryptBase32
  • stream() : ParagonIE_Sodium_Core32_ChaCha20 , ParagonIE_Sodium_Core32_XChaCha20 , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_XChaCha20
  • stream_cast() : PharStreamWrapper
  • stream_close() : PharStreamWrapper
  • stream_eof() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • stream_flush() : StreamString , StringWrapper , PharStreamWrapper
  • stream_lock() : PharStreamWrapper
  • stream_metadata() : PharStreamWrapper
  • stream_open() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • stream_read() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • stream_register() : BufferStreamHandler
  • stream_seek() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • stream_set_option() : PharStreamWrapper
  • stream_stat() : StreamString , StringWrapper , PharStreamWrapper
  • stream_tell() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • stream_truncate() : PharStreamWrapper
  • stream_write() : StreamString , BufferStreamHandler , Buffer , StringWrapper , PharStreamWrapper
  • streamXorIc() : ParagonIE_Sodium_Core32_ChaCha20 , ParagonIE_Sodium_Core32_XChaCha20 , ParagonIE_Sodium_Core_ChaCha20 , ParagonIE_Sodium_Core_XChaCha20
  • string() : FOFLessParser , JHtmlPhpSetting , lessc_parser , tagparse
  • stringConcatenate() : FOFLess , lessc
  • stringJSSafe() : OutputFilter
  • stringToContext() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • stringToObject() : Ini , Json , Php , Xml , Yaml , FormatInterface
  • stringToSplFixedArray() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • stringURLSafe() : JApplication , ApplicationHelper , OutputFilter , OutputFilterWrapper
  • stringUrlSafe() : OutputFilter
  • stringURLUnicodeSlug() : OutputFilterWrapper
  • stringUrlUnicodeSlug() : OutputFilter
  • strip_attr() : SimplePie_Sanitize
  • strip_attributes() : SimplePie , SimplePie_Sanitize
  • strip_comments() : SimplePie , SimplePie_Misc , SimplePie_Sanitize
  • strip_htmltags() : SimplePie , SimplePie_Sanitize
  • strip_tag() : SimplePie_Sanitize
  • stripColors() : ColorProcessor
  • stripCssExpressions() : InputFilter
  • stripExt() : FOFPlatformFilesystem , File , FileWrapper , File
  • stripFirstBackslash() : JLoader
  • stripIframes() : OutputFilterWrapper , OutputFilter
  • stripImages() : OutputFilterWrapper , OutputFilter
  • stripos() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • stripUSC() : InputFilter
  • stristr() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strlen() : ParagonIE_Sodium_Core_Util , BinaryNoFuncOverload , BinaryOnFuncOverload
  • strpos() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strrchr() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strripos() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strrpos() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • strstr() : BinaryNoFuncOverload , BinaryOnFuncOverload
  • stylesheet() : HTMLHelper
  • sub() : ParagonIE_Sodium_Compat
  • SubBytes() : AKEncryptionAES
  • sublayout() : FileLayout
  • submit() : ContactControllerContact , HttpBridgePostRequestMethod , CurlPost , Post , SocketPost , RequestMethod
  • subscribe() : JTwitterLists
  • subscribe_url() : SimplePie
  • substituteObjects() : DisallowedClassesSubstitutor
  • substr() : ParagonIE_Sodium_Core_Util , BinaryNoFuncOverload , BinaryOnFuncOverload
  • SubWord() : AKEncryptionAES
  • suggested() : JHtmlQuery
  • suggestionlist() : JHtmlSelect
  • supportsAjaxOrdering() : FOFIntegrationJoomlaPlatform , FOFPlatform , FOFPlatformInterface
  • supportsChunkDownload() : FOFDownloadAdapterAbstract , FOFDownloadInterface
  • supportsFileSize() : FOFDownloadAdapterAbstract , FOFDownloadInterface
  • switchAdminLanguage() : LanguagesControllerInstalled , LanguagesModelInstalled
  • switcher() : JHtmlBehavior
  • syncPaths() : Form
  • syst() : FtpClient


Joomla CMS: Champs de donnée - Fonctions

- t -

  • tableize() : FOFInflector
  • tableToHtml() : PlgSystemDebug
  • tabstate() : JHtmlBehavior
  • tag() : FOFLessParser , JHtmlBatch , Container , lessc_parser , tagparse
  • tag_close() : SimplePie_Parser
  • tag_open() : SimplePie_Parser
  • tagBracket() : FOFLessParser , lessc_parser
  • tagDeleteInstances() : TagsHelper
  • tagExpression() : FOFLessParser
  • tagItem() : TagsHelper
  • tags() : FOFLessParser , JHtmlTag , lessc_parser
  • tel() : JHtmlTel
  • tell() : Stream
  • templates() : JHtmlModules
  • templateStates() : JHtmlModules
  • templatestyle() : JHtmlUsers
  • test() : FOFDatabase , FOFDatabaseDriverPostgresql , InstallationFormRuleUsername , JDatabase , JDatabaseDriverPostgresql , JFormRuleContactEmail , JFormRuleContactEmailMessage , JFormRuleContactEmailSubject , JFormRuleLoginUniqueField , JFormRuleLogoutUniqueField , JGithubHooks , JGithubPackageRepositoriesHooks , CacheStorage , FormRule , CalendarRule , CaptchaRule , ColorRule , CssIdentifierSubstringRule , EmailRule , EqualsRule , ExistsRule , FilePathRule , NotequalsRule , NumberRule , OptionsRule , PasswordRule , RulesRule , SubformRule , TelRule , UrlRule , UsernameRule , JSessionStorage
  • TestEncryptDecrypt() : Crypto
  • text_or_binary() : SimplePie_Content_Type_Sniffer
  • textdiff() : JHtmlTextdiff
  • textLine() : PHPMailer
  • throwError() : FOFLess , FOFLessParser , JError , lessc , lessc_parser
  • thumb() : JHtmlTemplates
  • thumbModal() : JHtmlTemplates
  • tick() : AKAbstractPart
  • time_hms() : SimplePie_Misc
  • timingSafeCompare() : Crypt
  • tinyButtons() : PlgEditorTinymce
  • title() : ToolbarHelper
  • to() : FOFLessParser , lessc_parser
  • to64() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • to_uri() : SimplePie_IRI
  • toArray() : DataSet , Registry , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , RequestParameters , SplFixedArray
  • toASCII() : FOFStringUtils
  • toBin() : FOFEncryptBase32
  • toBool() : FOFLess , FOFStringUtils , lessc
  • toBytes() : MediaHelper
  • toCamelCase() : Normalise , JStringWrapperNormalise
  • toCSV() : FOFTable
  • toDashSeparated() : Normalise , JStringWrapperNormalise
  • toFile() : Image
  • toFlatten() : Registry
  • toggleResults() : SearchControllerSearches
  • toggleTables() : FinderIndexer , FinderIndexerDriverMysql
  • toggleUpdateSite() : UpdateAdapter
  • toHSL() : FOFLess , lessc
  • toInt() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • toInt32() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • toInt64() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • toInteger() : FOFUtilsArray , JArrayHelper , ArrayHelper
  • toISO8601() : Date
  • token() : JHtmlForm , JHtmlJquery
  • tokenize() : FinderIndexerHelper
  • tokenizeToDb() : FinderIndexer
  • tokenizeToDbShort() : FinderIndexer
  • toKey() : Normalise , JStringWrapperNormalise
  • toLuma() : lessc
  • toObject() : FOFUtilsArray , JArrayHelper , Registry , ArrayHelper
  • tooltip() : JHtmlBehavior , JHtmlBootstrap , HTMLHelper
  • tooltipExtended() : JHtmlBootstrap
  • tooltipText() : HTMLHelper
  • toPlural() : Inflector
  • toPunycode() : PunycodeHelper , JStringWrapperPunycode
  • toQueryString() : RequestParameters
  • toReverseString() : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • toRFC822() : Date
  • toRGB() : FOFLess , lessc
  • toRGB_helper() : FOFLess , lessc
  • tos() : PlgUserProfile
  • toSingular() : Inflector
  • toSlug() : FOFStringUtils
  • toSpaceSeparated() : Normalise , JStringWrapperNormalise
  • toSql() : Date
  • toString() : FOFUtilsArray , JArrayHelper , JException , JGrid , CMSApplication , Registry , AbstractUri , UriInterface , ArrayHelper , JResponse , ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64 , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • total() : UserGroupsHelper
  • touch() : SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL
  • toUnderscoreSeparated() : Normalise , JStringWrapperNormalise
  • toUnix() : Date
  • toUri() : FinderIndexerQuery
  • toUrl() : JOAuth1Client
  • toVariable() : Normalise , JStringWrapperNormalise
  • trace() : Http
  • transactionCommit() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • transactionRollback() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • transactionSavepoint() : FOFDatabaseDriverPostgresql , JDatabaseDriverPostgresql
  • transactionStart() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • translate() : FOFFormFieldComponents , InstallerModel , InstallerModelUpdate , ModulesModelModules , PluginsModelPlugins
  • translateErrorLevel() : JError
  • translateExtensionName() : JoomlaupdateModelDefault
  • translateState() : FinderIndexerAdapter
  • transliterate() : Fr_FRLocalise , Language
  • transparentAuthentication() : FOFDispatcher
  • trash() : FOFController , JHtmlActionsDropdown , JHtmlDropdown , ToolbarHelper
  • tree() : JHtmlBehavior
  • treerecurse() : JHtmlMenu
  • trigger() : FOFUtilsObservableDispatcher , JEventDispatcher
  • triggerDuplicateAliasWarning() : PharInvocationCollection
  • triggerEvent() : BaseApplication , DelegatingDispatcher , Dispatcher , DispatcherInterface
  • triggerManifestScript() : PackageAdapter , InstallerAdapter
  • truncate() : JHtmlString , ModArticlesCategoryHelper
  • truncateComplex() : JHtmlString
  • truncateTable() : FOFDatabaseDriver , JDatabaseDriver
  • tryImport() : FOFLess , lessc
  • turn() : SMTP
  • tweet() : JTwitterStatuses
  • tweetWithMedia() : JTwitterStatuses
  • typeahead() : JHtmlBootstrap
  • typeMsg1() : ntlm_sasl_client_class
  • typeMsg3() : ntlm_sasl_client_class
  • types() : JHtmlModules
  • typeslist() : JHtmlFinder
  • typeSupportsCheckout() : AssociationsHelper


Joomla CMS: Champs de donnée - Fonctions

- u -

  • ucs4_ucs4array() : uctc
  • ucs4array_ucs4() : uctc
  • ucs4array_utf7() : uctc
  • ucs4array_utf7imap() : uctc
  • ucs4array_utf8() : uctc
  • ui() : JHtmlJquery
  • unarchive() : JHtmlActionsDropdown , JHtmlDropdown
  • unarchiveList() : ToolbarHelper
  • unbind() : LdapClient
  • unblock() : JTwitterBlock
  • unBlockUserById() : JMediawikiUsers
  • unBlockUserByName() : JMediawikiUsers
  • uncomment_rfc822() : SimplePie_Misc
  • uncompress() : SimplePie_Net_IPv6
  • unconsume() : SimplePie_Decode_HTML_Entities
  • undeletePage() : JMediawikiPages
  • underscore() : FOFInflector
  • unescapeCharacter() : Unescaper
  • unescapeDoubleQuotedString() : Unescaper
  • unescapeSingleQuotedString() : Unescaper
  • unfeature() : JHtmlActionsDropdown
  • unfeatured() : JHtmlDropdown
  • unfollow() : JGithubPackageUsersFollowers , JLinkedinCompanies , JTwitterFriends
  • unfollowPost() : JLinkedinGroups
  • uninstall() : FOFUtilsInstallscript , ComponentAdapter , FileAdapter , LanguageAdapter , LibraryAdapter , PackageAdapter , PluginAdapter , TemplateAdapter , Installer
  • uninstallEosPlugin() : JoomlaInstallerScript
  • uninstallObsoleteSubextensions() : FOFUtilsInstallscript
  • uninstallPostInstallationMessages() : FOFUtilsInstallscript
  • uninstallSubextensions() : FOFUtilsInstallscript
  • union() : FOFDatabaseQuery , JDatabaseQuery
  • unionAll() : FOFDatabaseQuery , JDatabaseQuery
  • unionDistinct() : FOFDatabaseQuery , JDatabaseQuery
  • unit() : FOFLessParser , lessc_parser
  • unix2DosTime() : Zip
  • unknown() : SimplePie_Content_Type_Sniffer
  • unlike() : JLinkedinStream
  • unlikePost() : JLinkedinGroups
  • unlink() : AKAbstractPostproc , AKPostprocDirect , SimplePie_Cache_Base , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL , PharStreamWrapper
  • unlock() : Cache , CacheStorage , ApcStorage , ApcuStorage , FileStorage , MemcachedStorage , MemcacheStorage
  • unlockindex() : MemcachedStorage , MemcacheStorage
  • unlockTables() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • unpack() : InstallerHelper
  • unpad() : ParagonIE_Sodium_Compat
  • unpublish() : FOFController , JHtmlActionsDropdown , JHtmlDropdown , ToolbarHelper
  • unpublishList() : ToolbarHelper
  • unregister() : ClassLoader , HTMLHelper
  • unregisterFunction() : FOFLess , lessc
  • unregisterPlatformPath() : FOFPlatform
  • unregisterTask() : FOFController , BaseController
  • unserialize() : AKFactory , Unserialize , JControllerBase , JInput , JInputCli , Cli , Input , AbstractEvent , Cli , Input
  • unsetDefault() : TemplatesControllerStyles
  • unsetHome() : TemplatesModelStyle
  • unsetVariable() : FOFLess , lessc
  • unstar() : JGithubPackageActivityStarring , JGithubPackageGists
  • unsubscribe() : JTwitterLists
  • unTagItem() : TagsHelper
  • untrash() : JHtmlActionsDropdown , JHtmlDropdown
  • unwatch() : JGithubPackageActivityWatching
  • update() : AKAbstractPartObserver , FOFDatabaseQuery , FOFUtilsObservableEvent , InstallerModelUpdate , JDatabaseQuery , JEvent , JGithubPackageIssuesLabels , JObserver , JObserverUpdater , JObserverUpdaterInterface , LanguageAdapter , Installer , InstallerAdapter , Updater , JoomlaInstallerScript , JTableSession , JTwitterLists , ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • updateChangeset() : JOpenstreetmapChangesets
  • updateComponent() : FOFUtilsUpdate
  • updateDatabase() : JoomlaInstallerScript
  • updateDatabaseMysql() : JoomlaInstallerScript
  • updateDates() : InstallationModelDatabase
  • updateElement() : JOpenstreetmapElements
  • updateFriendship() : JTwitterFriends
  • updateLastCheckTimestamp() : Updater
  • updateManifestCaches() : JoomlaInstallerScript
  • updateNotification() : JFacebookUser
  • updateObject() : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverPostgresql , JDatabaseDriver , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • updateProfile() : JTwitterProfile
  • updateProfileBackgroundImage() : JTwitterProfile
  • updateProfileColors() : JTwitterProfile
  • updateProfileImage() : JTwitterProfile
  • updateRepr() : ParseException
  • updateSettings() : JTwitterProfile
  • updateSize() : CacheStorageHelper
  • updateTag() : JFacebookPhoto
  • updateUser() : JGithubPackageUsers
  • updateUserIds() : InstallationModelDatabase
  • upload() : JGithubPackageRepositoriesDownloads , JGoogleDataPicasaAlbum , File , Stream , FileWrapper , File , Stream , JoomlaupdateModelDefault , MediaControllerFile
  • uploadFile() : TemplatesControllerTemplate , TemplatesModelTemplate
  • uploadTrace() : JOpenstreetmapGps
  • URIbase() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • URIroot() : FOFIntegrationJoomlaPlatform , FOFPlatformInterface
  • url() : PlgUserProfile
  • url_stat() : StreamString , StringWrapper , PharStreamWrapper
  • urlToPunycode() : PunycodeHelper , JStringWrapperPunycode
  • urlToUTF8() : PunycodeHelper , JStringWrapperPunycode
  • urs() : AKEncryptionAES
  • use_fallback() : ParagonIE_Sodium_Compat
  • useAsync() : JGoogleEmbedAnalytics , JGoogleEmbedMaps
  • useNewSodiumAPI() : ParagonIE_Sodium_Compat
  • user() : JHtmlBatch
  • usergroup() : JHtmlAccess
  • usergroups() : JHtmlAccess
  • userlist() : JHtmlUser
  • users() : JGithubPackageSearch , JHtmlList
  • useSendmail() : Mail
  • useSensor() : JGoogleEmbedMaps
  • useSmtp() : Mail
  • useSync() : JGoogleEmbedAnalytics , JGoogleEmbedMaps
  • utf7_ucs4array() : uctc
  • utf7imap_ucs4array() : uctc
  • utf8_latin_to_ascii() : Transliterate , TransliterateWrapper
  • utf8_ucs4array() : uctc
  • utf8CharBoundary() : PHPMailer
  • utf8chr() : Unescaper


Joomla CMS: Champs de donnée - Fonctions

- v -

  • valid() : FOFDatabaseIterator , JDatabaseIterator , DataSet , SplFixedArray
  • validate() : BannersModelBanner , CategoriesModelCategory , ConfigModelForm , ContactModelContact , ContentModelArticle , FieldsModelField , FieldsModelGroup , InstallationModelSetup , Form , FormModel , Session , MenusModelMenu , ModulesModelModule , NewsfeedsModelNewsfeed , PrivacyModelRequest , UsersModelLevel
  • validateAddress() : PHPMailer
  • validateCategoryId() : CategoriesHelper
  • validateField() : Form
  • validateForm() : FOFModel
  • validateHash() : MailtoHelper
  • validateResponse() : JLinkedinOauth , JMediawikiObject , JOAuth1Client , JOpenstreetmapOauth , JTwitterOAuth
  • validateRowNumber() : JDatabaseQuery
  • validateSection() : ContactHelper , ContentHelper , UsersHelper
  • validateYubikeyOtp() : PlgTwofactorauthYubikey
  • validComponent() : FileLayout
  • value() : FOFLessParser , JHtmlUsers , lessc_parser , SimplePie_HTTP_Parser , tagparse
  • value_char() : SimplePie_HTTP_Parser
  • values() : FOFDatabaseQuery , JDatabaseQuery
  • variable() : FOFLessParser , lessc_parser
  • variablize() : FOFInflector
  • verify() : CryptPassword , SimpleCryptPassword , ReCaptcha , SMTP
  • verify_16() : ParagonIE_Sodium_Core_Util
  • verify_32() : ParagonIE_Sodium_Core_Util
  • verifyCredentials() : JLinkedinOauth , JOAuth1Client , JOpenstreetmapOauth , JTwitterOAuth
  • verifyFtpSettings() : InstallationModelFtp
  • VerifyHMAC() : Crypto
  • verifyPassword() : UserHelper , UserWrapper
  • version_equals() : SimplePie_XML_Declaration_Parser
  • version_name() : SimplePie_XML_Declaration_Parser
  • version_string() : ParagonIE_Sodium_Compat
  • version_value() : SimplePie_XML_Declaration_Parser
  • versionOfElement() : JOpenstreetmapElements
  • versions() : ToolbarHelper
  • viewThread() : JGithubPackageActivityNotifications
  • visibility() : MenusHtmlMenus
  • vote() : ContentControllerArticle


Joomla CMS: Champs de donnée - Fonctions

- w -

  • walk() : DataSet
  • warning() : AbstractLogger , LoggerInterface
  • watch() : JGithubPackageActivityWatching
  • watermark() : Image
  • waysForNode() : JOpenstreetmapElements
  • where() : FOFDatabaseQuery , JDatabaseQuery
  • whereRaw() : FOFTableNested
  • whitespace() : FOFLessParser , lessc_parser
  • windows_1252_to_utf8() : SimplePie_Misc
  • withAssertion() : Behavior
  • withoutNode() : FOFTableNested
  • withStructure() : JDatabaseExporter , JDatabaseImporter
  • workaroundIPIssues() : FOFUtilsIp , IpHelper
  • wrapText() : PHPMailer
  • writable() : JHtmlDirectory
  • write() : FtpClient , File , Stream , FileWrapper , FtpClient , File , Stream , Apc , Apcu , Database , Storage , Xcache , JSessionStorage , JSessionStorageApc , JSessionStorageApcu , JSessionStorageDatabase , JSessionStorageXcache
  • writeConfigFile() : ConfigModelApplication
  • writeFile() : Stream
  • writeProcessIdFile() : AbstractDaemonApplication , DaemonApplication
  • writeToFile() : PlgSystemDebug


Joomla CMS: Champs de donnée - Fonctions

- x -

  • xdebuglink() : JHtmlDebug
  • xml_encoding() : SimplePie_Misc
  • xmlToCreate() : JDatabaseImporterMysqli
  • xor64() : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • xorInt32() : ParagonIE_Sodium_Core32_Int32
  • xorInt64() : ParagonIE_Sodium_Core32_Int64
  • xorNonce() : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • xorStrings() : ParagonIE_Sodium_Core_Util
  • xsalsa20() : ParagonIE_Sodium_Core32_XSalsa20 , ParagonIE_Sodium_Core_XSalsa20
  • xsalsa20_xor() : ParagonIE_Sodium_Core32_XSalsa20 , ParagonIE_Sodium_Core_XSalsa20


Joomla CMS: Champs de donnée - Fonctions

- y -

  • year() : FOFDatabaseQuery , FOFDatabaseQueryPostgresql , JDatabaseQuery , JDatabaseQueryPostgresql


Joomla CMS: Champs de donnée - Fonctions

- z -

  • zipSetArgs() : FOFLess , lessc


Joomla CMS: Champs de donnée - Variables

- $ -

  • $__state_set : ConfigModelCms , FOFModel , BaseDatabaseModel
  • $_active : AbstractMenu
  • $_adapterfolder : Adapter
  • $_adapters : Adapter
  • $_allChildrenloaded : CategoryNode
  • $_allow_overlong : idna_convert
  • $_api_encoding : idna_convert
  • $_application : CacheStorage
  • $_areas : SearchModelSearch
  • $_articles : ContactModelCategory , ContactModelFeatured , ContentModelCategory , NewsfeedsModelCategory
  • $_assetKey : FOFTable
  • $_authActions : User
  • $_authGroups : User
  • $_authLevels : User
  • $_autoAscii : FtpClient
  • $_autoChecks : FOFTable
  • $_autoincrement : Table
  • $_bar : Toolbar
  • $_base : idna_convert
  • $_base32 : FOFEncryptTotp
  • $_basePath : FOFView
  • $_basepath : Adapter
  • $_basePath : HtmlView , PlgEditorTinymce
  • $_behaviorParams : FOFModel
  • $_buffer : Document
  • $_buttonPath : Toolbar
  • $_buttons : Toolbar
  • $_cache : FOFInflector , FOFIntegrationJoomlaPlatform , Nested , PlgSystemCache , PluginsModelPlugin , TemplatesModelStyle
  • $_cache_key : PlgSystemCache
  • $_caching : HtmlDocument
  • $_captcha : Captcha , CaptchaField
  • $_categories : ContactModelCategory , ContactModelFeatured , ContentModelCategory , NewsfeedsModelCategory
  • $_category : ContactModelCategory , ContactModelFeatured , ContentModelCategory , NewsfeedsModelCategory
  • $_charset : FOFView , Document , HtmlView
  • $_checkedCategories : Categories
  • $_children : ContactModelCategory , ContactModelFeatured , ContentModelCategory , JNode , CategoryNode , NewsfeedsModelCategory
  • $_cipher : Crypt
  • $_classprefix : Adapter
  • $_clientId : JApplication , CMSApplication
  • $_clients : ApplicationHelper
  • $_column : FOFDatabaseIterator , JDatabaseIterator
  • $_columnAlias : FOFTable , Table
  • $_compress : MemcachedStorage , MemcacheStorage
  • $_configProviderKey : FOFTable
  • $_conn : FtpClient
  • $_constructor : CategoryNode
  • $_context : BannersModelDownload , ContactModelCategories , ContactModelContact , ContentModelArchive , ContentModelArticle , ContentModelCategories , ContentModelCategory , ContentModelFeatured , InstallerModelDatabase , InstallerModelInstall , ItemModel , MenusModelMenu , NewsfeedsModelCategories , NewsfeedsModelNewsfeed , TagsModelTags
  • $_count : Pathway
  • $_crypt : JSimplecrypt
  • $_ctrlDirEnd : JArchiveZip
  • $_ctrlDirHeader : JArchiveZip
  • $_current : FOFDatabaseIterator , JDatabaseIterator , JTree
  • $_currentTable : FOFDatabaseIterator
  • $_custom : HtmlDocument
  • $_damp : idna_convert
  • $_data : CacheModelCache , FOFHalDocument , JArchiveBzip2 , JArchiveGzip , JArchiveTar , JArchiveZip , SearchModelSearch
  • $_database : FOFDatabaseDriver , JDatabaseDriver
  • $_dataconn : FtpClient
  • $_dataKey : FOFHalDocument , FOFHalRenderJson
  • $_db : FOFModel , FOFModelField , FOFTable , Adapter , MemcachedStorage , MemcacheStorage , BaseDatabaseModel , Table
  • $_debug : Nested
  • $_default : AbstractMenu
  • $_defaultModel : FOFView , HtmlView
  • $_detect_browser : SiteApplication
  • $_dispatcher : Session
  • $_doc : DocumentRenderer
  • $_document : FOFHalRenderJson
  • $_editor : Editor
  • $_embedded : FOFHalDocument
  • $_engine : Document
  • $_error : idna_convert , ErrorDocument
  • $_errorMsg : User
  • $_errors : AKAbstractObject , FOFUtilsObject , JException , CMSObject
  • $_errors_queue_size : AKAbstractObject
  • $_escape : FOFView , HtmlView
  • $_expire : Session
  • $_extension : ContactModelCategories , ContentModelCategories , Categories , NewsfeedsModelCategories
  • $_fetched : FOFDatabaseIterator , JDatabaseIterator
  • $_field : Categories
  • $_file : ErrorDocument , HtmlDocument
  • $_fileHeader : JArchiveZip
  • $_filter : MenusHelper
  • $_flags : JArchiveGzip
  • $_fofAuth_CryptoKey : FOFDispatcher
  • $_fofAuth_isLoggedIn : FOFDispatcher
  • $_formData : FOFModel
  • $_forms : FOFModel , FormModel
  • $_generator : Document
  • $_group : OutputController , PageController
  • $_handler : Cache , Session
  • $_has_tags : FOFTable
  • $_hash : CacheStorage
  • $_href : FOFHalLink
  • $_hreflang : FOFHalLink
  • $_html5 : HtmlDocument
  • $_id : OutputController , PageController
  • $_idn_version : idna_convert
  • $_images : OpensearchDocument
  • $_includePaths : FOFTable , Table
  • $_initial_bias : idna_convert
  • $_initial_n : idna_convert
  • $_input : Session
  • $_instance : FOFDatabaseFactory , JDatabaseFactory
  • $_instances : Captcha
  • $_invalid_ucs : idna_convert
  • $_item : BannersModelBanner , ContactModelCategory , ContactModelContact , ContactModelFeatured , ContentModelCategory , ItemModel , NewsfeedsModelCategory , UsersModelUser
  • $_items : ContactModelCategories , AbstractMenu , NewsfeedsModelCategories
  • $_jsonEncode : ContactTableContact , Table , NewsfeedsTableNewsfeed
  • $_key : FOFDatabaseIterator , JDatabaseIterator , Categories , Crypt
  • $_language : CacheStorage
  • $_language_filter : SiteApplication
  • $_layout : FOFView , HtmlView
  • $_layoutExt : ConfigViewCmsHtml , FOFView , HtmlView
  • $_layoutTemplate : FOFView , HtmlView
  • $_lbase : idna_convert
  • $_lcount : idna_convert
  • $_leftSibling : CategoryNode
  • $_lifetime : CacheStorage
  • $_lineEnd : Document
  • $_lineEndings : FtpClient
  • $_links : FOFHalDocument , FOFHalLinks , HtmlDocument
  • $_location : Nested
  • $_location_id : Nested
  • $_locked : FOFTable , Table
  • $_locked_files : FileStorage
  • $_locking : CacheStorage
  • $_locktest : OutputController , PageController
  • $_max_ucs : idna_convert
  • $_mb_string_overload : idna_convert
  • $_mdate : Document
  • $_messageQueue : JApplication , CMSApplication
  • $_metadata : JArchiveTar , JArchiveZip
  • $_metaTags : Document
  • $_methods : FOFUtilsObservableDispatcher , JArchiveZip , JEventDispatcher , JObservable , Captcha , Editor
  • $_mime : Document , DocumentRenderer , AtomRenderer , RssRenderer
  • $_mode : Router
  • $_modelObject : FOFController
  • $_models : FOFView , HtmlView
  • $_myTableForPregreplaceOnly : ContentHistory , Tags
  • $_name : FOFHalLink , FOFView , JApplication , CMSApplication , Captcha , JsonDocument , Editor , HtmlView , CMSPlugin , ConfirmButton , CustomButton , HelpButton , LinkButton , PopupButton , SeparatorButton , SliderButton , StandardButton , Toolbar , ToolbarButton
  • $_namespace : Document
  • $_ncount : idna_convert
  • $_nodes : Categories
  • $_now : CacheStorage
  • $_observers : FOFUtilsObservableDispatcher , JEventDispatcher , JObservable , Captcha , Editor , Table
  • $_options : Cache , Categories
  • $_output : ConfigViewCmsHtml , FOFView , HtmlView
  • $_pad : ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • $_pagination : CacheModelCache , SearchModelSearch
  • $_parametersArray : AKAbstractPart
  • $_params : User
  • $_parent : ContactModelCategories , ContactModelCategory , ContactModelFeatured , ContentModelCategories , ContentModelCategory , JNode , CategoryNode , ToolbarButton , NewsfeedsModelCategories , NewsfeedsModelCategory
  • $_passCodeLength : FOFEncryptTotp
  • $_pasv : FtpClient
  • $_path : ConfigViewCmsHtml , FOFView , CategoryNode , HtmlView
  • $_pathway : Pathway
  • $_persistent : RedisStorage
  • $_pinModulo : FOFEncryptTotp
  • $_profile : Document
  • $_punycode_prefix : idna_convert
  • $_queryJoin : FOFTable
  • $_raw : JInputJSON , Json
  • $_redis : RedisStorage
  • $_regex_consonant : Porteren
  • $_regex_vowel : Porteren
  • $_relations : FOFTable
  • $_response : FtpClient
  • $_rightSibling : CategoryNode
  • $_root : CacheliteStorage , FileStorage , JTree
  • $_router : Route
  • $_rules : FOFInflector , FOFTable , Router , Table
  • $_savestate : FOFModel
  • $_sbase : idna_convert
  • $_scount : idna_convert
  • $_script : Document
  • $_scripts : Document
  • $_secretLength : FOFEncryptTotp
  • $_security : Session
  • $_servers : Memcache , Memcached , JSessionStorageMemcache , JSessionStorageMemcached
  • $_shortName : OpensearchDocument
  • $_siblings : ContactModelCategory , ContactModelFeatured , ContentModelCategory , NewsfeedsModelCategory
  • $_skew : idna_convert
  • $_skipChecks : FOFTable
  • $_state : FOFUtilsObservableDispatcher , JEventDispatcher , JObservable , Captcha , Editor , Session
  • $_statefield : Categories
  • $_store : Session
  • $_strict_mode : idna_convert
  • $_style : Document
  • $_styleSheets : Document
  • $_subject : FOFUtilsObservableEvent , JEvent , JObserver
  • $_supportNullValue : Table
  • $_tab : Document
  • $_table : InstallerModelInstall , Categories
  • $_tableAlias : FOFTable
  • $_tableExists : FOFTable
  • $_tableObject : FOFDatabaseIterator
  • $_tablePrefix : FOFTable
  • $_tbase : idna_convert
  • $_tbl : FOFTable , Table
  • $_tbl_key : FOFTable , Table
  • $_tbl_keys : Table
  • $_tcount : idna_convert
  • $_template : ConfigViewCmsHtml , FOFView , HtmlDocument , HtmlView
  • $_template_tags : HtmlDocument
  • $_templated : FOFHalLink
  • $_timeout : FtpClient
  • $_timeStep : FOFEncryptTotp
  • $_title : FOFHalLink
  • $_tmax : idna_convert
  • $_tmin : idna_convert
  • $_total : CacheModelCache , SearchModelSearch
  • $_trackAssets : FOFTable , Table
  • $_trigger_events : FOFTable
  • $_type : FtpClient , Document , CMSPlugin
  • $_types : JArchiveTar
  • $_url : InstallerModelInstall , UpdateAdapter
  • $_urls : OpensearchDocument
  • $_validLocations : Nested
  • $_vars : Router
  • $_vbase : idna_convert
  • $_vcount : idna_convert
  • $_viewObject : FOFController
  • $_warnings : AKAbstractObject
  • $_warnings_queue_size : AKAbstractObject
  • $accept : JFormFieldFile , Browser
  • $acceptEncoding : WebClient
  • $acceptLanguage : WebClient
  • $acceptParsed : Browser
  • $access : FinderIndexerResult , CategoryNode , MenuItem
  • $acl : Factory
  • $action : JHtmlSidebar , JSubMenuHelper
  • $action_function : PHPMailer
  • $actionlogs : PrivacyViewRequest
  • $actions : UsersHelper , UsersViewDebuggroup , UsersViewDebuguser
  • $activation : User
  • $active : JFormFieldMeter , Node , PaginationObject
  • $active_domain : AKAbstractPart
  • $active_step : AKAbstractPart
  • $active_substep : AKAbstractPart
  • $activeFilters : ActionlogsViewActionlogs , CategoriesViewCategories , ContactViewContacts , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , PrivacyViewConsents , PrivacyViewRequests , RedirectViewLinks , UsersViewUsers
  • $activeRow : JGrid
  • $activities : JGoogleDataPlus
  • $adapter : FOFDownload , FOFEncryptAes
  • $adapterOptions : FOFDownload
  • $adapters : JArchive , Archive
  • $additionalUrlParams : Pagination
  • $addPath : AKAbstractUnarchiver
  • $addTokensToDbQueryTemplate : FinderIndexer
  • $adminId : InstallationModelLanguages
  • $agent : Browser
  • $album : JFacebook
  • $alias : CategoryNode , MenuItem , Nested , UCMBase , UCMType , Manifest , PharInvocation
  • $aliases : JObserverUpdater , Container
  • $aliasLength : Manifest
  • $all_discovered_feeds : SimplePie
  • $all_recipients : PHPMailer
  • $allow_overlong : uctc
  • $allowAdd : JFormFieldCategoryEdit
  • $allowClear : JFormFieldModal_Menu
  • $allowDowngrades : InstallerScript
  • $allowedClasses : DisallowedClassesSubstitutor
  • $allowedGlobals : Input
  • $allowEdit : JFormFieldModal_Menu
  • $AllowEmpty : PHPMailer
  • $allowIpOverrides : FOFUtilsIp , IpHelper
  • $allowNew : JFormFieldModal_Menu
  • $allowPropagate : JFormFieldModal_Menu
  • $allowSelect : JFormFieldModal_Menu
  • $allParsedFiles : lessc
  • $allTables : FOFDatabaseInstaller
  • $AltBody : PHPMailer
  • $amountOfFiles : Manifest
  • $animated : JFormFieldMeter
  • $apcuPrefix : ClassLoader
  • $apiVersion : Manifest
  • $app : ActionLogPlugin , ConfigControllerApplicationRemoveroot , ConfigControllerApplicationSave , ConfigControllerCancel , ConfigControllerComponentSave , ConfigControllerConfigSave , ConfigControllerDisplay , JApplicationWebRouter , JControllerBase , RouterBase , SiteMenu , Pagination , SiteRouter , MetadataManager , PlgAuthenticationCookie , PlgContentConfirmConsent , PlgContentVote , PlgEditorTinymce , PlgQuickiconEos310 , PlgQuickiconPhpVersionCheck , PlgSampledataBlog , PlgSystemActionLogs , PlgSystemCache , PlgSystemDebug , PlgSystemLanguageFilter , PlgSystemLogout , PlgSystemLogrotation , PlgSystemPrivacyconsent , PlgSystemRemember , PlgSystemSef , PlgSystemSessionGc , PlgSystemStats , PlgUserJoomla , PlgUserTerms
  • $appendExtension : UpdateAdapter
  • $application : JOAuth1Client , JOAuth2Client , Factory , MVCFactory
  • $archive : TemplatesViewTemplate
  • $archiveHeaderData : AKUnarchiverJPA
  • $archiveList : AKAbstractUnarchiver
  • $args : JException , JInputCli , Cli
  • $arguments : AbstractEvent
  • $articleid : JFormFieldConsentBox
  • $asFormat : JDatabaseExporter , JDatabaseImporter
  • $assertions : Behavior , ConjunctionInterceptor
  • $asset : Editor , EditorField , MediaField
  • $asset_groups : JHtmlAccess
  • $asset_id : CategoryNode
  • $assetField : JFormFieldRules , EditorField
  • $assetPermissionsById : Access
  • $assetPermissionsByName : Access
  • $assetPermissionsParentIdMapping : Access
  • $assetRules : Access
  • $assetRulesIdentities : Access
  • $assets : CategoryNode
  • $assignSeparator : FOFLessFormatterClassic , FOFLessFormatterCompressed , FOFLessFormatterJoomla , FOFLessFormatterLessjs , JLessFormatterJoomla , lessc_formatter_classic , lessc_formatter_compressed , lessc_formatter_lessjs
  • $assoc : CategoriesViewCategories , CategoriesViewCategory , TagsViewTag
  • $associationsContext : CategoriesModelCategory , ContactModelContact , ContentModelArticle , AdminModel , MenusModelItem , NewsfeedsModelNewsfeed
  • $associationsSupport : ContactAssociationsHelper , ContentAssociationsHelper , AssociationExtensionHelper , MenusAssociationsHelper , NewsfeedsAssociationsHelper
  • $attachment : PHPMailer
  • $attrArray : InputFilter
  • $attrBlacklist : InputFilter
  • $attrMethod : InputFilter
  • $auth : JGoogle , JGoogleData
  • $auth_method : LdapClient
  • $author : FeedItem , Editor , LibraryManifest
  • $authorEmail : FeedItem
  • $authoremail : LibraryManifest
  • $authorField : EditorField , MediaField
  • $authors : ContentViewArticles , ContentViewFeatured
  • $authorurl : LibraryManifest
  • $AuthType : PHPMailer
  • $autoAscii : FtpClient
  • $autocomplete : FormField
  • $autodiscovery : SimplePie
  • $autodiscovery_cache_duration : SimplePie
  • $autofocus : FormField
  • $autoIncrementField : FOFDatabaseQuery , JDatabaseQuery
  • $autoloader : FOFAutoloaderComponent , FOFAutoloaderFof
  • $autoloadLanguage : ActionLogPlugin , FieldsPlugin , CMSPlugin , PlgButtonArticle , PlgButtonContact , PlgButtonFields , PlgButtonImage , PlgButtonMenu , PlgButtonModule , PlgButtonPagebreak , PlgButtonReadmore , PlgCaptchaRecaptcha , PlgCaptchaRecaptcha_Invisible , PlgContentConfirmConsent , PlgEditorCodemirror , PlgEditorTinymce , PlgExtensionJoomla , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PlgInstallerFolderInstaller , PlgInstallerPackageInstaller , PlgInstallerUrlInstaller , PlgQuickiconEos310 , PlgQuickiconExtensionupdate , PlgQuickiconJoomlaupdate , PlgQuickiconPhpVersionCheck , PlgQuickiconPrivacyCheck , PlgSampledataBlog , PlgSearchCategories , PlgSearchContacts , PlgSearchNewsfeeds , PlgSearchTags , PlgSystemActionLogs , PlgSystemFields , PlgSystemLogout , PlgSystemLogrotation , PlgSystemPrivacyconsent , PlgSystemRedirect , PlgSystemUpdatenotification , PlgTwofactorauthTotp , PlgTwofactorauthYubikey , PlgUserContactCreator , PlgUserProfile , PlgUserTerms , PrivacyPlugin
  • $autoRouting : FOFController
  • $availableCommands : Behavior
  • $backtrace : JException
  • $bareComponent : FOFController
  • $base : Document , PaginationObject , CollectionAdapter , Uri , ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H , SimplePie_Locator , SimplePie_Sanitize
  • $base2 : ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H
  • $base_dn : LdapClient
  • $base_location : SimplePie_Locator
  • $basename : BannersModelTracks
  • $baseName : PharInvocation
  • $baseNames : PharInvocationResolver
  • $basePath : FOFController , FileLayout , BaseController
  • $baseurl : ErrorDocument , HtmlDocument
  • $batch_commands : BannersModelBanner , ContactModelContact , FieldsModelField , FieldsModelGroup , AdminModel , MenusModelItem , ModulesModelModule , TagsModelTag
  • $batch_copymove : BannersModelBanner , ContactModelContact , FieldsModelField , AdminModel , MenusModelItem , ModulesModelModule
  • $batchSet : AdminModel
  • $bcc : PHPMailer
  • $behavior : Manager
  • $bgBase : ColorStyle
  • $bgColor : ColorStyle
  • $birthdate : AuthenticationResponse
  • $bitrate : SimplePie_Enclosure
  • $block : User , JTwitter
  • $blockChildUninstall : PackageManifest
  • $blockDirectives : FOFLessParser , lessc_parser
  • $blockedChars : InputFilter
  • $body : Response , JResponse
  • $Body : PHPMailer
  • $body : SimplePie_File , SimplePie_HTTP_Parser
  • $boundary : PHPMailer
  • $bounded : FOFDatabaseQueryOracle , FOFDatabaseQuerySqlite , JDatabaseQueryOracle , JDatabaseQueryPgsql , JDatabaseQuerySqlite
  • $branches : FinderIndexerTaxonomy
  • $break : FOFLessFormatterClassic , FOFLessFormatterCompressed , lessc_formatter_classic , lessc_formatter_compressed
  • $breakSelectors : FOFLessFormatterClassic , FOFLessFormatterJoomla , FOFLessFormatterLessjs , JLessFormatterJoomla , lessc_formatter_classic , lessc_formatter_lessjs
  • $browser : WebClient , Browser
  • $browserNav : MenuItem
  • $browserVersion : WebClient
  • $buffer : easyparse , Profiler , ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $buffers : BufferStreamHandler , Buffer
  • $built_in : SimplePie_Parse_Date
  • $buttons : FOFFormHeader , JFormFieldSubform , EditorField , ModQuickIconHelper
  • $cachable : JResponse
  • $cache : FinderIndexerStemmer , JDatabaseExporter , JDatabaseImporter , JFormFieldLanguageclient , CacheController , Factory , LanguageStemmer , FileLayout , ListModel , Router , Ini , Inflector , SimplePie , SimplePie_Cache_Memcache
  • $cache_duration : SimplePie
  • $cache_location : SimplePie , SimplePie_Sanitize
  • $cache_name_function : SimplePie , SimplePie_Sanitize
  • $cacheableTasks : FOFController
  • $cached_entities : SimplePie_Locator
  • $CacheLiteInstance : CacheliteStorage
  • $calendarName : EasyPeasyICS
  • $call : FOFDatabaseQuery , JDatabaseQuery
  • $callback : CallbackFilterIterator , CallbackLogger
  • $callStack : LogEntry
  • $callStacks : FOFDatabaseDriver , JDatabaseDriver
  • $canDo : BannersViewClient , CategoriesViewCategory , ContentViewArticle , FieldsViewGroup , MenusViewItem , MenusViewMenu , UsersViewUsers
  • $canGetVendors : InstalledVersions
  • $canRemove : PrivacyRemovalStatus
  • $capabilities : PrivacyViewCapabilities
  • $captchaEnabled : ContactViewContact , ContentViewForm
  • $captions : SimplePie_Enclosure
  • $categories : BannersViewBanners , ContactViewFeatured , JMediawiki , CategoryView , SimplePie_Enclosure
  • $category : ContactViewFeatured , FeedItem , FeedDocument , LogEntry , CategoryView , Update
  • $category_association : CategoryHelperAssociation
  • $cc : PHPMailer
  • $changeItems : ChangeSet
  • $changesets : JOpenstreetmap
  • $channels : SimplePie_Enclosure
  • $characters : ActionlogsHelper , ActionlogsHelperPhp55
  • $charset : FOFDatabaseDriverOracle , JDatabaseDriverOracle
  • $charSet : AbstractWebApplication , WebApplication
  • $CharSet : Mail , PHPMailer
  • $checked : JFormFieldCheckbox
  • $checked_feeds : SimplePie_Locator
  • $checked_out : CategoryNode
  • $checked_out_time : CategoryNode
  • $checkedOptions : JFormFieldCheckboxes
  • $checkin : JFacebook
  • $checkQuery : ChangeItem
  • $checkQueryExpected : ChangeItem
  • $checkStatus : ChangeItem
  • $child_blocks : nodecounter
  • $child_keys : RouterViewConfiguration
  • $children : RouterViewConfiguration , Node , CategoryView , nodecounter , TagsViewTag
  • $childrennumitems : CategoryNode
  • $chunkSize : AKAbstractUnarchiver
  • $chunksize : Stream
  • $cipherMode : FOFEncryptAesMcrypt , Mcrypt
  • $cipherType : FOFEncryptAesMcrypt , Mcrypt
  • $class : FOFDatabaseIterator , JDatabaseIterator , JException , FormField , Node
  • $classAliases : JLoader
  • $classAliasesInverse : JLoader
  • $classes : JLoader , SimplePie_Registry
  • $classMap : ClassLoader , ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • $classMapAuthoritative : ClassLoader
  • $client : CacheViewCache , InstallationModelLanguages , JApplication , JFacebook , JFacebookObject , JGithub , JGithubObject , JGoogleAuthOauth2 , JLinkedin , JLinkedinObject , JMediawiki , JMediawikiObject , JOAuth1Client , AbstractWebApplication , WebApplication , InstallerExtension , Update , JOpenstreetmap , JOpenstreetmapObject , JTwitter , JTwitterObject , LanguagesModelInstalled , LanguagesViewInstalled
  • $client_ids : FOFFormFieldComponents
  • $clientId : JFormFieldMenuitemByType , ChromestyleField , MenuitemField , ModulepositionField , ModuleAdapter , TemplateAdapter
  • $clientName : TemplatestyleField
  • $cliInput : AbstractCliApplication
  • $cliScriptFiles : FOFUtilsInstallscript , InstallerScript
  • $cliSourcePath : FOFUtilsInstallscript
  • $close : FOFLessFormatterClassic , lessc_formatter_classic
  • $closed : JSessionHandlerNative
  • $closeSingle : FOFLessFormatterClassic , lessc_formatter_classic
  • $code : Response
  • $collect_urls_enabled : RedirectViewLinks
  • $collection : Manager
  • $color : JFormFieldMeter
  • $colors : JFormFieldColor
  • $columns : ContentViewCategory , ContentViewFeatured , FOFDatabaseQuery , JDatabaseQuery , JFormFieldTextarea , JGrid
  • $combinators : tagparse
  • $comment : JFacebook , SimplePie_gzdecode
  • $commentMulti : FOFLessParser , lessc_parser
  • $commentMultiLeft : FOFLessParser , lessc_parser
  • $commentMultiRight : FOFLessParser , lessc_parser
  • $comments : JGoogleDataPlus , FeedItem
  • $commentSingle : FOFLessParser , lessc_parser
  • $common : FinderIndexerToken
  • $commonKey : FOFUtilsUpdate
  • $commonTable : FOFUtilsUpdate
  • $communications : JLinkedin
  • $companies : JLinkedin
  • $comParams : TagField
  • $compatibleVersions : Update
  • $component : ConfigViewComponentHtml , FieldsControllerField , FieldsControllerGroup , FOFController , FOFUtilsUpdate , JFormFieldRules , RouterLegacy , MenuItem
  • $component_id : MenuItem
  • $componentDescription : FOFUtilsUpdate
  • $componentName : FOFTableRelations , FOFUtilsInstallscript
  • $componentParams : FOFUtilsConfigHelper
  • $componentRouters : SiteRouter
  • $components : ComponentHelper
  • $componentTitle : FOFUtilsInstallscript
  • $compressColors : FOFLessFormatterClassic , FOFLessFormatterCompressed , lessc_formatter_classic , lessc_formatter_compressed
  • $compressed_data : SimplePie_gzdecode
  • $compressed_size : SimplePie_gzdecode
  • $concat_operator : FOFDatabaseDriverPostgresql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • $config : AdminModelSysInfo , AdminViewSysinfo , FOFController , FOFDispatcher , FOFTable , FOFToolbar , FOFView , InstallationViewCompleteHtml , AbstractApplication , Factory
  • $config_settings : SimplePie
  • $configProvider : FOFController , FOFModel , FOFTable
  • $configurations : FOFConfigProvider , Log
  • $confirmed : PharInvocation
  • $ConfirmReadingTo : PHPMailer
  • $conn : FtpClient
  • $connected : POP3
  • $connection : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverPdo
  • $connections : SocketTransport
  • $constructed : EventImmutable , UriImmutable
  • $consumed : SimplePie_Decode_HTML_Entities
  • $container : ParagonIE_Sodium_Core32_ChaCha20_Ctx , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_ChaCha20_Ctx , ParagonIE_Sodium_Core_Curve25519_Fe
  • $content : Microdata , Stub
  • $contenthistoryHelper : ContentHistory
  • $contentType : FOFTable , OrderingField , AdminModel
  • $ContentType : PHPMailer
  • $context : BannersControllerTracks , ConfigControllerCanceladmin , FieldsModelGroups , FinderIndexerAdapter , FinderModelFilter , FinderModelSearch , FinderModelSuggestions , Stream , LogEntry , FormController , ListModel , Stream , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PharStreamWrapper
  • $contextAliases : PlgActionlogJoomla
  • $contextOptions : Stream
  • $control : JFormFieldColor
  • $controllerPrefix : JApplicationWebRouter
  • $convertToInt : ContentHistory
  • $cookie_domain : Session
  • $cookie_httponly : Session
  • $cookie_path : Session
  • $cookie_samesite : Session
  • $copyright : FeedDocument , LibraryManifest , SimplePie_Enclosure
  • $core : LanguageAdapter
  • $coreExtensions : ExtensionHelper
  • $cost : SimpleCryptPassword
  • $count : easyparse , FOFDatabaseDriver , JDatabaseDriver , CacheStorageHelper , FormField , nodecounter
  • $counter : Language , ListenersPriorityQueue , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • $country : AuthenticationResponse
  • $created_time : CategoryNode
  • $created_user_id : CategoryNode
  • $creationDate : LibraryManifest
  • $credentials : ntlm_sasl_client_class
  • $credits : SimplePie_Enclosure
  • $CRLF : POP3 , SMTP
  • $csrfProtection : FOFController
  • $css : Tree
  • $cssColors : FOFLess , lessc
  • $csvFields : FOFViewCsv
  • $csvFilename : FOFViewCsv
  • $csvHeader : FOFViewCsv
  • $ctrlDirEnd : Zip
  • $ctrlDirHeader : Zip
  • $curl : CurlPost
  • $current : Tree , Uri , DataSet
  • $current_byte : SimplePie_Parser
  • $current_column : SimplePie_Parser
  • $current_lang : PlgSystemLanguageFilter
  • $current_line : SimplePie_Parser
  • $current_xhtml_construct : SimplePie_Parser
  • $currentExtensionId : InstallerAdapter
  • $currentLine : Parser
  • $currentLineNb : Parser
  • $currentMessage : PlgQuickiconEos310
  • $currentPartNumber : AKAbstractUnarchiver
  • $currentPartOffset : AKAbstractUnarchiver
  • $currentString : StreamString , StringWrapper
  • $currentUpdate : Update
  • $cursor : FOFDatabaseDriver , FOFDatabaseIterator , JDatabaseDriver , JDatabaseIterator
  • $CustomHeader : PHPMailer
  • $customPrefix : JFormFieldCategoryEdit
  • $d : ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H
  • $d2 : ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H
  • $data : CacheViewCache , ConfigViewApplicationHtml , ConfigViewApplicationJson , ConfigViewCmsJson , ConfigViewConfigHtml , FinderViewStatistics , InstallationModelLanguages , JGoogle , JInput , JJsonResponse , Bzip2 , Gzip , Tar , Zip , Rule , Rules , OpensearchImage , Form , BaseLayout , Pagination , JsonResponse , Session , Input , Registry , LanguagesModelInstalled , SimplePie , SimplePie_Decode_HTML_Entities , SimplePie_gzdecode , SimplePie_HTTP_Parser , SimplePie_Item , SimplePie_Parser , SimplePie_Source , SimplePie_XML_Declaration_Parser , UsersModelProfile , UsersModelRegistration , UsersViewProfile , UsersViewRegistration
  • $data_length : SimplePie_HTTP_Parser , SimplePie_XML_Declaration_Parser
  • $database : Factory , DatabaseLogger
  • $databaseRoot : AKAbstractPart
  • $dataconn : FtpClient
  • $dataReadLength : AKAbstractUnarchiver
  • $datas : SimplePie_Parser
  • $dataStore : Container
  • $date : FOFUtilsFilescheck , FeedItem , LogEntry , PlgUserProfile , SimplePie_Parse_Date
  • $date1 : FinderIndexerQuery
  • $date2 : FinderIndexerQuery
  • $dateformat : FOFDatabaseDriverOracle , JDatabaseDriverOracle
  • $dates : Factory
  • $day : SimplePie_Parse_Date
  • $day_pcre : SimplePie_Parse_Date
  • $db : ActionLogPlugin , ContentViewFeatured , FinderIndexer , FinderIndexerAdapter , FOFDatabaseInstaller , FOFDatabaseQuery , JDatabaseExporter , JDatabaseImporter , JDatabaseQuery , JModelDatabase , AdapterInstance , DatabaseLogger , SiteMenu , ChangeItem , ChangeSet , MetadataManager , UCMType , Database , PlgAuthenticationCookie , PlgContentContact , PlgQuickiconEos310 , PlgSampledataBlog , PlgSystemActionLogs , PlgSystemDebug , PlgSystemLogrotation , PlgSystemPrivacyconsent , PlgSystemSessionGc , PlgSystemStats , PlgUserJoomla , PlgUserTerms , PrivacyPlugin , UsersViewProfile , UsersViewUsers
  • $dbMinimum : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • $dbo : FOFDatabaseDriverJoomla
  • $debug : FOFDatabaseDriver , JDatabaseDriver , ErrorDocument , Language
  • $debugLang : PlgSystemDebug
  • $debugMessages : BaseLayout
  • $Debugoutput : PHPMailer , SMTP
  • $decodedData : JInputFiles , Files
  • $default : JApplicationWebRouter , FormField , Language , SimplePie_Registry
  • $default_behaviors : FOFModel , FOFTable
  • $default_lang : PlgSystemLanguageFilter
  • $default_translation : AKText
  • $default_view : AssociationsController , ConfigController , ContactController , ContentController , FieldsController , FinderController , FOFController , BaseController , LanguagesController , PrivacyController , RedirectController , SearchController , TemplatesController
  • $defaultBasePath : LayoutHelper
  • $defaultLanguage : FinderIndexerResult
  • $defaultLimits : LimitboxField
  • $defaultPageTitle : ContactViewCategory , ContentViewCategory , FOFViewHtml , CategoryView , NewsfeedsViewCategory
  • $defaultRelation : FOFTableRelations
  • $defaultType : SimpleCryptPassword
  • $defaultValue : FOFLess
  • $defaultView : FOFDispatcher
  • $defer : FormattedtextLogger
  • $deferredEntries : FormattedtextLogger
  • $delete : FOFDatabaseQuery , JDatabaseQuery
  • $deleteFiles : InstallerScript
  • $deleteFolders : InstallerScript
  • $deprecatedAliases : JLoader
  • $derived : FinderIndexerToken
  • $description : FinderIndexerResult , FOFFormHeader , CategoryNode , Document , FeedImage , FeedItem , FormField , Manifest , Update , PrivacyExportDomain , SimplePie_Enclosure
  • $destinations : Patcher
  • $detection : WebClient
  • $direction : Document
  • $directMessages : JTwitter
  • $directories : AdminModelSysInfo
  • $directory : AdminViewSysinfo , JFormFieldFileList , JFormFieldFolderList , MediaField
  • $dirList : FOFUtilsFilescheck
  • $dirmode : Stream
  • $dirname : JFormFieldText
  • $disable : JFormFieldMenuitemByType , MenuitemField
  • $disabled : FormField
  • $disableFallbackForUnitTests : ParagonIE_Sodium_Compat
  • $disableSingle : FOFLessFormatterClassic , FOFLessFormatterCompressed , FOFLessFormatterJoomla , FOFLessFormatterLessjs , JLessFormatterJoomla , lessc_formatter_classic , lessc_formatter_compressed , lessc_formatter_lessjs
  • $disconnectHandlers : FOFDatabaseDriver , JDatabaseDriver
  • $dispatcher : BaseApplication , DelegatingDispatcher , Session
  • $displayCallbacks : PlgSystemDebug
  • $divisor : FinderCli
  • $DKIM_domain : PHPMailer
  • $DKIM_identity : PHPMailer
  • $DKIM_passphrase : PHPMailer
  • $DKIM_private : PHPMailer
  • $DKIM_private_string : PHPMailer
  • $DKIM_selector : PHPMailer
  • $dn : LdapClient
  • $do_debug : POP3 , SMTP
  • $do_verp : PHPMailer , SMTP
  • $doCallObservers : JObserverUpdater
  • $docOptions : CMSApplication
  • $docs : FeedDocument
  • $document : WebApplication , Factory , HtmlView , UsersViewRegistration
  • $doPostRender : FOFView
  • $doPreRender : FOFView
  • $doTask : FOFController , BaseController
  • $downloads : Update
  • $downloadSources : Update
  • $driver : DatabaseLogger
  • $dropDownList : JHtmlActionsDropdown , JHtmlDropdown
  • $dumper : Yaml
  • $duration : SimplePie_Enclosure
  • $editor : AdminModelSysInfo , FeedDocument , EditorField
  • $editorEmail : FeedDocument
  • $editorType : EditorField
  • $eid : PlgExtensionJoomla
  • $element : FOFDatabaseQuery , FOFFormHeader , JDatabaseQuery , FormField , InstallerAdapter , Component , Update , SimplePie_Parser , TemplatesModelTemplate
  • $elements : FinderIndexerResult , FOFDatabaseQueryElement , JDatabaseQueryElement , JOpenstreetmap
  • $elsewhere : SimplePie_Locator
  • $email : AuthenticationResponse , FeedPerson , User , SimplePie_Author
  • $embed : JGoogle
  • $enable_cache : SimplePie_Sanitize
  • $enabled : FOFRenderAbstract , JAdminCssMenu , ComponentRecord , Microdata , RedirectViewLinks , SearchViewSearches
  • $enclosure : FeedItem
  • $encode_instead_of_strip : SimplePie_Sanitize
  • $Encoding : PHPMailer
  • $encoding : SimplePie_Parser , SimplePie_XML_Declaration_Parser
  • $encodings : WebClient
  • $end_date : FinderIndexerResult
  • $endTime : SimplePie_Caption
  • $engine : WebClient
  • $entities : FormHelper
  • $entries : JHtmlSidebar , Feed , JSubMenuHelper
  • $entryElementName : FeedParser , RssParser
  • $error : JJsonResponse , ErrorDocument , SimplePie , SimplePie_File , SMTP
  • $error_code : SimplePie_Parser
  • $error_count : PHPMailer
  • $error_message : AuthenticationResponse
  • $error_string : SimplePie_Parser
  • $errorCodes : Response
  • $errorfiles : Language
  • $ErrorInfo : PHPMailer
  • $errorMsg : FOFDatabaseDriver , JDatabaseDriver
  • $errorNum : FOFDatabaseDriver , JDatabaseDriver
  • $errors : Form , POP3
  • $escaped : Escaper
  • $escapees : Escaper
  • $event : JFacebook
  • $event_after_delete : FinderModelIndex , FOFModel , AdminModel
  • $event_after_save : FOFModel , AdminModel
  • $event_before_delete : FinderModelIndex , FOFModel , AdminModel
  • $event_before_save : FOFModel , AdminModel
  • $event_change_state : FOFModel , AdminModel
  • $event_clean_cache : FOFModel , BaseDatabaseModel
  • $eventRegistered : PackageAdapter
  • $events : EasyPeasyICS , JGithubHooks , JGithubPackageRepositoriesHooks , Dispatcher
  • $events_map : FormModel
  • $exceptionOnInvalidType : Inline
  • $exceptions : PHPMailer
  • $exclude : JFormFieldFileList , JFormFieldFolderList
  • $excluded : FinderIndexerQuery , UserField
  • $excludedTerms : FinderModelSearch
  • $exec : FOFDatabaseQuery , JDatabaseQuery
  • $executable : JInputCli , Cli
  • $executed : FOFDatabaseDriverPdo , JDatabaseDriverPdo
  • $exiting : AbstractDaemonApplication , DaemonApplication
  • $expectDataDescriptor : AKUnarchiverZIP
  • $expire : Session
  • $explains : PlgSystemDebug
  • $expression : SimplePie_Enclosure
  • $extension : CategoriesController , CategoriesControllerCategory , ContactAssociationsHelper , ContactViewCategories , ContactViewCategory , ContentAssociationsHelper , ContentHelper , ContentViewCategories , ContentViewCategory , FinderHelper , FinderIndexerAdapter , AssociationExtensionHelper , CategoryNode , RouteHelper , Installer , InstallerAdapter , InstallerScript , CategoryView , MenusAssociationsHelper , NewsfeedsAssociationsHelper , NewsfeedsHelper , NewsfeedsViewCategories , NewsfeedsViewCategory , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PluginsHelper , RedirectHelper , SimplePie_Cache_File
  • $extension_id : FOFUtilsUpdate
  • $extension_message : Installer
  • $extensionMessage : InstallerAdapter
  • $extensionsSupport : AssociationsHelper
  • $extra_field : SimplePie_gzdecode
  • $extra_query : Update
  • $extraQuery : FOFUtilsUpdate , Installer
  • $f_levels : MenusViewItems
  • $factory : BaseController , BaseDatabaseModel
  • $fallbackDirsPsr0 : ClassLoader
  • $fallbackDirsPsr4 : ClassLoader
  • $fallbackProperty : Microdata
  • $fallbackType : Microdata
  • $FALSE : FOFLess , lessc
  • $fastMult : ParagonIE_Sodium_Compat
  • $favorites : JTwitter
  • $feed : SimplePie_Item
  • $feed_url : SimplePie
  • $fgBase : ColorStyle
  • $fgColor : ColorStyle
  • $fh : Stream
  • $fieldCache : FieldsHelper
  • $fieldname : FOFFormHeader , FormField
  • $fields : FormattedtextLogger , PrivacyExportItem
  • $fieldsCache : FieldsHelper
  • $file : ChangeItem , SimplePie , SimplePie_Content_Type_Sniffer , SimplePie_Locator , TemplatesViewTemplate , TemplatesViewTemplates
  • $fileHeader : AKAbstractUnarchiver , Zip
  • $fileList : FOFUtilsFilescheck
  • $filelist : Manifest
  • $filemode : Stream
  • $filename : AKAbstractPostproc , AKAbstractUnarchiver , Stream , InstallerExtension , Stream , SimplePie_Cache_File , SimplePie_gzdecode
  • $fileName : TemplatesViewTemplate , Reader
  • $files : ComposerStaticInitc14bde14f8c86840049f5c1809c453dd , TemplatesViewTemplate
  • $filesize : Stream
  • $fileType : Reader
  • $filter : FinderIndexerQuery , FinderViewFilter , FOFFormHeader , JFormFieldCalendar , JFormFieldFileList , JFormFieldFolderList , JInput , Input
  • $filter_fields : ListModel
  • $filterBlacklist : ListModel , UsersModelUsers
  • $filterForm : CategoriesViewCategories , ContactViewContacts , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , PrivacyViewConsents , PrivacyViewRequests , RedirectViewLinks , UsersViewUsers
  • $filterFormName : ListModel
  • $filters : FinderCli , FinderIndexerQuery , JHtmlSidebar , Stream , JSubMenuHelper
  • $filterSource : FOFFormHeader
  • $final : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $flagRestorePermissions : AKAbstractUnarchiver
  • $flags : Gzip , SimplePie_gzdecode , Manifest
  • $fofAuth_AuthMethods : FOFDispatcher
  • $fofAuth_Formats : FOFDispatcher
  • $fofAuth_Key : FOFDispatcher
  • $fofAuth_LogoutOnReturn : FOFDispatcher
  • $fofAuth_timeStep : FOFDispatcher
  • $fofComponents : FOFAutoloaderComponent
  • $fofPath : FOFAutoloaderComponent , FOFAutoloaderFof
  • $fofSourcePath : FOFUtilsInstallscript
  • $folder : JFormFieldPlugins , ChangeSet , MediaControllerFile
  • $font : TemplatesViewTemplate
  • $force_feed : SimplePie
  • $force_fsockopen : SimplePie , SimplePie_Sanitize
  • $force_ssl : Session , JSessionHandlerJoomla
  • $forceMultiple : JFormFieldCheckboxes , JFormFieldConsentBox
  • $form : AdminViewProfile , BannersViewBanner , BannersViewClient , BannersViewDownload , CategoriesViewCategory , ConfigViewApplicationHtml , ConfigViewComponentHtml , ConfigViewConfigHtml , ConfigViewModulesHtml , ConfigViewTemplatesHtml , ContactViewContact , ContentViewArticle , ContentViewForm , FieldsViewField , FieldsViewGroup , FinderViewFilter , FOFFormHeader , FOFViewForm , InstallationViewDefault , InstallerViewManage , InstallerViewUpdatesites , FormField , LanguagesViewLanguage , LanguagesViewOverride , MenusViewItem , MenusViewMenu , MessagesViewConfig , MessagesViewMessage , ModulesViewModule , NewsfeedsViewNewsfeed , PluginsViewPlugin , PrivacyViewConfirm , PrivacyViewRemind , PrivacyViewRequest , RedirectViewLink , TagsViewTag , TemplatesViewStyle , TemplatesViewTemplate , UsersViewGroup , UsersViewLevel , UsersViewLogin , UsersViewMail , UsersViewNote , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset , UsersViewUser
  • $format : JFormFieldCalendar , JFormFieldColor , Date , FormattedtextLogger , W3cLogger , DownloadSource
  • $formatInstances : Factory
  • $formatOptions : HTMLHelper
  • $formats : Image
  • $formControl : FormField
  • $forms : ConfigModelForm , Form
  • $formsource : JFormFieldSubform
  • $forShare : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • $forUpdate : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • $fp : AKAbstractUnarchiver
  • $fragment : AbstractUri
  • $framerate : SimplePie_Enclosure
  • $friends : JTwitter
  • $from : FOFDatabaseQuery , JDatabaseExporter , JDatabaseImporter , JDatabaseQuery
  • $From : PHPMailer
  • $FromName : PHPMailer
  • $fromVersion : JoomlaInstallerScript
  • $ftp : LanguagesModelInstalled , LanguagesViewInstalled
  • $fullname : AuthenticationResponse
  • $fullPath : FileLayout
  • $function : JException
  • $gender : AuthenticationResponse
  • $generateBestQuality : Image
  • $generated_fieldname : FormField
  • $glue : FOFDatabaseQueryElement , JDatabaseQueryElement
  • $gmt : Date
  • $gps : JOpenstreetmap
  • $group : FOFDatabaseQuery , FOFFormHeader , JDatabaseQuery , JFacebook , CacheStorageHelper , FormField , InstallerExtension , Update
  • $groupByFieldset : JFormFieldSubform
  • $grouplist : UsersViewUser
  • $groups : JLinkedin , UserField , UserGroupsHelper , User , UsersViewUser
  • $groupsByUser : Access
  • $guest : User
  • $guid : FeedItem
  • $h : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $handle : Image , ImageFilter , Socket
  • $handler : SimplePie_Enclosure
  • $handlers : JError , SimplePie_Cache
  • $hasAssociation : CategoriesModelCategories , CategoriesModelCategory
  • $hasForm : FOFController
  • $hashes : SimplePie_Enclosure
  • $hasRan : AKAbstractPart
  • $having : FOFDatabaseQuery , JDatabaseQuery
  • $header : FOFFormHeader
  • $headers : FOFDownloadAdapterCurl , WebClient , Response , JResponse , SimplePie_File , SimplePie_HTTP_Parser
  • $height : FeedImage , OpensearchImage , EditorField , MediaField , SimplePie_Enclosure
  • $Helo : PHPMailer
  • $helo_rply : SMTP
  • $help : JTwitter
  • $help_search : AdminModelHelp , AdminViewHelp
  • $helpKey : MenusModelItem , ModulesModelModule , PluginsModelPlugin , TemplatesModelStyle
  • $helpLocal : MenusModelItem
  • $helpURL : MenusModelItem , ModulesModelModule , PluginsModelPlugin , TemplatesModelStyle
  • $hidden : FormField
  • $hide : EditorField
  • $hideDefault : JFormFieldFileList , JFormFieldFolderList
  • $hideEmptyLimitstart : Pagination
  • $hideNone : JFormFieldFileList , JFormFieldFolderList
  • $highlight : FinderIndexerQuery
  • $hint : FormField
  • $hits : CategoryNode
  • $home : MenuItem
  • $host : DatabaseLogger , LdapClient , AbstractUri
  • $Host : PHPMailer
  • $host : POP3
  • $Hostname : PHPMailer
  • $htmlFormName : ListModel
  • $http : JGoogleEmbedMaps , JOAuth2Client , HttpBridgePostRequestMethod
  • $http_base : SimplePie_Locator
  • $http_version : SimplePie_HTTP_Parser
  • $httpVersion : AbstractWebApplication
  • $humanReadableName : FOFPlatform
  • $Ical : PHPMailer
  • $icon : Component , Heading , Url
  • $id : FOFModel , CategoryNode , ComponentRecord , FormField , RouteHelper , InstallerExtension , MenuItem , Node , Asset , User , PrivacyExportItem , SimplePie_Cache_MySQL , TemplatesViewTemplate
  • $id_list : FOFModel
  • $identities : Access
  • $identity : BaseApplication
  • $ifragment : SimplePie_IRI
  • $ignore_reqcert_tls : LdapClient
  • $ignoreChanges : ContentHistory
  • $ignored : FinderIndexerQuery
  • $ignoreDirectories : AKAbstractUnarchiver
  • $ignoredSearchWordsCallback : Language
  • $ignoreItems : DisallowedClassesSubstitutor
  • $ihost : SimplePie_IRI
  • $image : FeedDocument , TemplatesViewTemplate
  • $image_handler : SimplePie , SimplePie_Sanitize
  • $images : JMediawiki , Browser
  • $img : MenuItem
  • $importDir : FOFLess , lessc
  • $importDisabled : FOFLess , lessc
  • $imported : JLoader
  • $included : FinderIndexerQuery
  • $includedTerms : FinderModelSearch
  • $includePaths : HTMLHelper , FileLayout
  • $indentation : Dumper
  • $indentChar : FOFLessFormatterClassic , FOFLessFormatterJoomla , JLessFormatterJoomla , lessc_formatter_classic
  • $indexer : FinderIndexerAdapter
  • $info : AdminModelSysInfo , AdminViewSysinfo , JException , JOpenstreetmap
  • $infourl : Update
  • $initialized : Registry
  • $inParens : FOFLessParser , lessc_parser
  • $input : FinderIndexerQuery , FOFController , FOFDatabaseInstaller , FOFDispatcher , FOFModel , FOFTable , FOFToolbar , FOFView , JApplicationWebRouter , JControllerBase , JOAuth1Client , JOAuth2Client , AbstractApplication , FormField , BaseController , Session , JSessionHandlerJoomla
  • $input_encoding : SimplePie
  • $inputFilter : FeedParser
  • $inputmode : JFormFieldText
  • $inputs : JInput , Input
  • $insert : FOFDatabaseQuery , JDatabaseQuery
  • $install_script : ComponentAdapter
  • $installation_queue : FOFUtilsInstallscript
  • $installed : InstalledVersions
  • $installedByVendor : InstalledVersions
  • $installedIds : PackageAdapter
  • $installer : PlgExtensionJoomla
  • $instance : AKFactory , FOFPlatform , FOFUtilsObservableDispatcher , JEventDispatcher , CliApplication , WebApplication , Authentication , Patcher , UserGroupsHelper , Installer , Log , BaseController , ChangeSet , Session , Updater , Patcher , Session , Inflector , Manager
  • $instances : FOFDatabaseDriver , FOFTable , JApplication , JDatabaseDriver , CMSApplication , Categories , FtpClient , Document , Editor , Browser , Installer , LanguageStemmer , Mail , AbstractMenu , Pathway , Profiler , Router , Toolbar , Uri , User , Container , FtpClient , InputFilter , AbstractRegistryFormat , Registry , Storage , JSessionStorage
  • $instructions : FinderIndexerResult
  • $internalArray : SplFixedArray
  • $internalContext : FieldsControllerField
  • $internalResource : PharStreamWrapper
  • $intro_items : ContentViewCategory , ContentViewFeatured
  • $invocation : PharStreamWrapper
  • $invocationFunctionNames : PharInvocationResolver
  • $invocations : PharInvocationCollection
  • $invsqrtamd : ParagonIE_Sodium_Core_Curve25519_H
  • $ip : FOFUtilsIp , IpHelper
  • $ipath : SimplePie_IRI
  • $iquery : SimplePie_IRI
  • $isBound : LdapClient
  • $isDownload : XmlDocument
  • $isEnabled : FOFPlatform
  • $isFinished : AKAbstractPart
  • $isNested : TagField
  • $isPaid : FOFUtilsInstallscript
  • $isPrepared : AKAbstractPart
  • $isRoot : User
  • $isRunning : AKAbstractPart
  • $isSupported : FOFDownloadAdapterAbstract
  • $item : AdminViewProfile , BannersViewBanner , BannersViewClient , CategoriesViewCategory , ConfigViewModulesHtml , ConfigViewTemplatesHtml , ContactViewContact , ContentViewArchive , ContentViewArticle , ContentViewFeatured , ContentViewForm , FieldsViewField , FieldsViewGroup , FinderViewFilter , FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup , LanguagesViewLanguage , LanguagesViewOverride , MenusViewItem , MenusViewMenu , MessagesModelMessage , MessagesViewConfig , MessagesViewMessage , ModulesViewModule , NewsfeedsViewNewsfeed , PluginsViewPlugin , PrivacyViewRequest , RedirectViewLink , SimplePie_Source , TagsViewTag , TagsViewTags , TemplatesViewStyle , UsersViewGroup , UsersViewLevel , UsersViewNote , UsersViewUser
  • $item_limit : SimplePie
  • $items : ActionlogsViewActionlogs , AssociationsViewAssociation , AssociationsViewAssociations , BannersViewBanners , BannersViewClients , BannersViewTracks , CategoriesViewCategories , CheckinViewCheckin , ContactViewContacts , ContactViewFeatured , ContenthistoryViewCompare , ContenthistoryViewHistory , ContenthistoryViewPreview , ContentViewArchive , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , FinderViewFilters , FinderViewIndex , FinderViewMaps , InstallationViewDefaultlanguageHtml , InstallationViewLanguagesHtml , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , JHtmlAdminLanguage , JHtmlCategory , JHtmlContentLanguage , JHtmlMenu , JHtmlTag , FeedDocument , CategoriesView , CategoryView , LanguagesViewLanguages , LanguagesViewOverrides , MenusViewItems , MenusViewMenu , MenusViewMenus , MessagesViewMessages , ModulesViewModules , ModulesViewPositions , ModulesViewSelect , NewsfeedsViewNewsfeeds , PluginsViewPlugins , PrivacyExportDomain , PrivacyViewConsents , PrivacyViewRequests , RedirectViewLinks , SearchViewSearches , TagsModelTag , TagsViewTag , TagsViewTags , TemplatesViewStyles , TemplatesViewTemplates , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroups , UsersViewLevels , UsersViewNotes , UsersViewUsers
  • $itemType : AssociationsViewAssociation , AssociationsViewAssociations
  • $itemTypes : ContactAssociationsHelper , ContentAssociationsHelper , AssociationExtensionHelper , MenusAssociationsHelper , NewsfeedsAssociationsHelper
  • $iteration_count_log2 : PasswordHash
  • $itoa64 : PasswordHash
  • $iuserinfo : SimplePie_IRI
  • $iv : JKeychain , ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • $javascript : SimplePie_Enclosure
  • $jobs : JLinkedin
  • $join : FOFDatabaseQuery , JDatabaseQuery
  • $key : FOFEncryptAes , RouterViewConfiguration , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • $keychain : KeychainManager
  • $keyField : JFormFieldSQL , JFormFieldTimezone
  • $keyType : BlowfishCipher , McryptCipher , Rijndael256Cipher , TripleDesCipher
  • $keywords : JFormFieldColor , SimplePie_Enclosure
  • $knownColors : ColorStyle
  • $knownFields : FOFTable
  • $knownOptions : ColorStyle
  • $label : FOFFormHeader , FormField , SimplePie_Category , SimplePie_Copyright
  • $labelclass : FormField
  • $lang : Language , SimplePie_Caption , SimplePie_Enclosure
  • $lang_codes : PlgSystemLanguageFilter
  • $lang_tag : AdminModelHelp , AdminViewHelp
  • $langlist : InstallationModelLanguages , LanguagesModelInstalled
  • $language : AKText , FinderIndexerQuery , FinderIndexerResult , FinderIndexerToken , JFormFieldMenuitemByType , WebApplication , AuthenticationResponse , CategoryNode , Document , Factory , FeedLink , MenuitemField , MenuItem , SiteMenu , PHPMailer
  • $languageCount : InstallerModelLanguages
  • $languages : WebClient , Language
  • $last_reply : SMTP
  • $last_smtp_transaction_id : SMTP
  • $lastBuildDate : FeedDocument
  • $lastMessageID : PHPMailer
  • $lastQueryStoreId : ListModel
  • $lastResetTime : User
  • $lastvisitDate : User
  • $latest : Update
  • $latest_version_check : AdminModelHelp , AdminViewHelp
  • $layout : FinderIndexerAdapter , FOFController , JFormFieldCalendar , JFormFieldCheckboxes , JFormFieldColor , JFormFieldCombo , JFormFieldEMail , JFormFieldFile , JFormFieldHidden , JFormFieldMeter , JFormFieldNumber , JFormFieldPassword , JFormFieldRadio , JFormFieldRange , JFormFieldSubform , JFormFieldTel , JFormFieldText , JFormFieldTextarea , JFormFieldTinymceBuilder , JFormFieldUrl , ContenthistoryField , MediaField , ModuleorderField , UserField , FormField , JViewHtml , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags , PlgSystemStatsFormFieldData , PlgSystemStatsFormFieldUniqueid
  • $layoutData : JFormFieldTinymceBuilder
  • $layoutId : FileLayout
  • $layouts : RouterViewConfiguration
  • $ldap_debug : LdapClient
  • $LE : PHPMailer
  • $lead_items : ContentViewCategory , ContentViewFeatured
  • $leftover : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $legacy : JError , SimplePie_Registry
  • $legacyPackages : JGithub
  • $len : StreamString , StringWrapper
  • $length : FinderIndexerToken , FeedEnclosure , FeedLink , SimplePie_Enclosure
  • $level : JException , CategoryNode , MenuItem , Nested
  • $levels : JError
  • $levelsInUse : UsersModelLevel
  • $lft : CategoryNode , Nested
  • $libFunctions : FOFLess , lessc
  • $libraries : LibraryHelper
  • $libraryname : LibraryManifest
  • $license : LibraryManifest
  • $limbs : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • $limit : FOFDatabaseDriver , FOFDatabaseQueryMysqli , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseDriver , JDatabaseQueryMysqli , JDatabaseQueryOracle , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv , Pagination
  • $limitstart : Pagination
  • $line_separator : EchoLogger
  • $lineDirectives : FOFLessParser , lessc_parser
  • $lineEndings : FtpClient
  • $lines : Parser
  • $link : JFacebook , Document , FeedImage , FeedItem , MediaField , MenuItem , Component , Heading , Url , PaginationObject , SimplePie_Author , SimplePie_Enclosure
  • $link_items : ContentViewCategory , ContentViewFeatured
  • $linkbar : FOFToolbar
  • $linkFormat : PlgSystemDebug
  • $links : JMediawiki
  • $list : FOFModel , PlgContentPagebreak
  • $list_price : FinderIndexerResult
  • $listBlacklist : ListModel
  • $listenerFilter : Dispatcher
  • $listeners : Dispatcher
  • $lists : FOFViewRaw , JTwitter
  • $literalCache : FOFLessParser , lessc_parser
  • $loaded : JHtmlBehavior , JHtmlBootstrap , JHtmlDropdown , JHtmlForm , JHtmlFormbehavior , JHtmlJquery , JHtmlSearchtools , JHtmlSortablelist , JHtmlTextdiff , Input
  • $loader : ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd , JClassLoader
  • $local : SimplePie_Locator
  • $locale : Language
  • $locallySkippedLineNumbers : Parser
  • $location : SimplePie_Cache_File
  • $lock : JFormFieldPassword
  • $log : FOFDatabaseDriver , JDatabaseDriver
  • $logEntries : PlgSystemDebug
  • $loggableExtensions : PlgActionlogJoomla
  • $logger : AbstractApplication , DelegatingPsrLogger , Image , ImageFilter
  • $loggers : Log
  • $lookup : MenuRules , RouteHelper , Log , TagsHelperRoute
  • $lowerAgent : Browser
  • $lowerLimitSearchWordCallback : Language
  • $lts_url : FOFUtilsUpdateJoomla
  • $machineContent : Microdata
  • $mailer : Factory
  • $Mailer : PHPMailer
  • $mailHeader : PHPMailer
  • $maintainer : Update
  • $maintainerurl : Update
  • $majorVersion : Browser
  • $manifest : Installer , InstallerAdapter , Container
  • $manifest_cache : InstallerExtension
  • $manifest_file : Manifest
  • $manifest_script : ComponentAdapter , InstallerAdapter
  • $manifestClass : Installer
  • $manifestLength : Manifest
  • $mappedAlias : Stub
  • $maps : JApplicationWebRouterBase
  • $marks : Profiler
  • $match_opts : tagparse
  • $matches : FinderIndexerToken
  • $max : JFormFieldNumber , JFormFieldSubform
  • $max_checked_feeds : SimplePie , SimplePie_Locator
  • $max_exec_time : AKCoreTimer , FOFUtilsTimer
  • $maximumJoomlaVersion : FOFUtilsInstallscript
  • $maxlength : JFormFieldCalendar
  • $maxLength : JFormFieldPassword , JFormFieldText
  • $maxlength : JFormFieldTextarea
  • $maxyear : JFormFieldCalendar
  • $mechs : uctc
  • $mediaVersion : Document
  • $medium : SimplePie_Enclosure
  • $menu : RouterBase , SiteRouter
  • $menuItemModel : PlgSampledataBlog
  • $menus : JHtmlMenu
  • $menuType : JFormFieldMenuitemByType , MenuitemField
  • $menutype : MenuItem
  • $message : FOFController , JJsonResponse , Installer , LogEntry , BaseController , JsonResponse
  • $message_type : PHPMailer
  • $MessageDate : PHPMailer
  • $MessageID : PHPMailer
  • $messages : JJsonResponse , JsonResponse
  • $messageType : FOFController , BaseController
  • $metadata : Tar , Zip , CategoryNode , Language
  • $metaData : Manifest
  • $metaDataLength : Manifest
  • $metadesc : CategoryNode
  • $metakey : CategoryNode
  • $meter : JFormFieldPassword
  • $method : FOFEncryptAesOpenssl , JKeychain , OpenSSL , SimplePie_File
  • $methodInPostRequest : JApplicationWebRouterRest
  • $methodName : PlgTwofactorauthTotp , PlgTwofactorauthYubikey
  • $methods : FOFController , Zip , Authentication , BaseController
  • $methodSelect : JoomlaupdateViewDefault
  • $methodSelectUpload : JoomlaupdateViewDefault
  • $mime : FinderIndexerAdapter
  • $MIMEBody : PHPMailer
  • $MIMEHeader : PHPMailer
  • $mimeType : AbstractWebApplication , WebApplication
  • $min : JFormFieldNumber , JFormFieldSubform
  • $min_compressed_size : SimplePie_gzdecode
  • $minimum_stability : Update , UpdateAdapter
  • $minimumBatchProcessingTime : FinderCli
  • $minimumJoomla : InstallerScript
  • $minimumJoomlaVersion : FOFUtilsInstallscript
  • $minimumPhp : InstallerScript
  • $minimumPHPVersion : FOFUtilsInstallscript
  • $minorVersion : Browser
  • $minyear : JFormFieldCalendar
  • $missingClasses : ClassLoader
  • $mobile : WebClient , Browser
  • $mode : FinderIndexerQuery , BlowfishCipher , McryptCipher , Rijndael256Cipher , TripleDesCipher , StreamString , UserGroupsHelper , Router , StringWrapper
  • $mode_sef : PlgSystemLanguageFilter
  • $modeAlias : PlgEditorCodemirror
  • $model : FOFForm , InstallationViewCompleteHtml , InstallationViewDefault , InstallationViewDefaultlanguageHtml , InstallationViewInstallHtml , InstallationViewLanguagesHtml , JViewBase
  • $model_prefix : FOFController , BaseController
  • $modelDispatcher : FOFModel
  • $modelName : FOFController
  • $modified_time : CategoryNode
  • $modified_user_id : CategoryNode
  • $modifiedDate : AbstractWebApplication , WebApplication
  • $modifiers : InstallationFormRulePrefix , FormRule , BooleanRule
  • $mods : PlgContentLoadmodule
  • $modules : CpanelViewCpanel , MenusViewItem , MenusViewMenus , PlgContentLoadmodule
  • $modulesSourcePath : FOFUtilsInstallscript
  • $month : SimplePie_Parse_Date
  • $month_pcre : SimplePie_Parse_Date
  • $mPrefix : FOFLess , lessc
  • $msgElements : ChangeItem
  • $MTIME : SimplePie_gzdecode
  • $multifeed_objects : SimplePie
  • $multifeed_url : SimplePie
  • $multiple : FormField
  • $mysql : SimplePie_Cache_MySQL
  • $name : ConfigModelCms , FOFController , FOFDatabaseDriver , FOFDatabaseDriverMysql , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlazure , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , FOFDatabaseQueryElement , FOFDownloadAdapterAbstract , FOFFormHeader , FOFModel , FOFModelField , FOFPlatform , JDatabaseDriver , JDatabaseDriverMysql , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlazure , JDatabaseDriverSqlite , JDatabaseQueryElement , JGithubPackage , JGithubPackageActivity , JGithubPackageData , JGithubPackageGists , JGithubPackageIssues , JGithubPackageOrgs , JGithubPackagePulls , JGithubPackageRepositories , JGithubPackageUsers , RouterView , RouterViewConfiguration , XmlDocument , FeedPerson , Form , FormField , InstallerAdapter , Manifest , BaseController , BaseDatabaseModel , Asset , Update , User , BufferStreamHandler , AbstractEvent , Buffer , nodecounter , PrivacyExportDomain , PrivacyExportField , SimplePie_Author , SimplePie_Cache_File , SimplePie_Cache_Memcache , SimplePie_Credit , SimplePie_HTTP_Parser
  • $name_quotes : FOFDatabaseQuerySqlazure , FOFDatabaseQuerySqlsrv , JDatabaseQuerySqlazure , JDatabaseQuerySqlsrv
  • $nameQuote : FOFDatabaseDriver , FOFDatabaseDriverJoomla , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • $namespace : CategoryFactory , MVCFactory , SimplePie_Parser
  • $namespaces : JLoader , FeedParser
  • $negotiate_tls : LdapClient
  • $nestable : RouterViewConfiguration
  • $newTags : Tags
  • $nextBlockId : FOFLessParser , lessc_parser
  • $nextImportId : FOFLess , lessc
  • $no_referrals : LdapClient
  • $noColors : ColorProcessor
  • $nodes : FinderIndexerTaxonomy
  • $noIDs : ContactRouter , ContentRouter , NewsfeedsRouter
  • $nonce : SodiumCipher , ParagonIE_Sodium_Core32_SecretStream_State , ParagonIE_Sodium_Core_SecretStream_State
  • $nonCoreExtensions : JoomlaupdateViewDefault
  • $normalization : SimplePie_IRI
  • $note : JFacebook , MenuItem
  • $noWait : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • $NP : idna_convert
  • $null_date : FOFDatabaseQuerySqlsrv , JDatabaseQuerySqlsrv
  • $null_value : FOFModelField
  • $nullDate : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverPdo , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverPdo , JDatabaseDriverPdomysql , JDatabaseDriverPgsql , JDatabaseDriverPostgresql
  • $numberOfUrgentRequests : PrivacyViewDashboard
  • $numberPrecision : FOFLess , lessc
  • $numeric : FinderIndexerToken
  • $numitems : CategoryNode
  • $oauth : JFacebook , JFacebookObject , JLinkedin , JLinkedinObject , JOpenstreetmap , JOpenstreetmapObject , JTwitter , JTwitterObject , PHPMailerOAuth
  • $oauthClientId : PHPMailerOAuth , PHPMailerOAuthGoogle
  • $oauthClientSecret : PHPMailerOAuth , PHPMailerOAuthGoogle
  • $oauthRefreshToken : PHPMailerOAuth , PHPMailerOAuthGoogle
  • $oauthUserEmail : PHPMailerOAuth , PHPMailerOAuthGoogle
  • $objectCache : FOFPlatform
  • $objectForMap : Inline
  • $objectlist : AKFactory
  • $objects : DataSet
  • $objectSupport : Inline
  • $observations : JObserverMapper
  • $observers : AKAbstractPart , JObserverUpdater , Authentication
  • $offset : FOFDatabaseDriver , FOFDatabaseQueryMysqli , FOFDatabaseQueryOracle , FOFDatabaseQueryPostgresql , FOFDatabaseQuerySqlite , FOFDatabaseQuerySqlsrv , JDatabaseDriver , JDatabaseQueryMysqli , JDatabaseQueryOracle , JDatabaseQueryPostgresql , JDatabaseQuerySqlite , JDatabaseQuerySqlsrv , Parser
  • $old_access : FinderIndexerAdapter
  • $old_cataccess : FinderIndexerAdapter
  • $oldAdminFiles : ComponentAdapter
  • $oldFiles : ComponentAdapter , PluginAdapter
  • $onchange : FormField
  • $onclick : FormField
  • $onemsqd : ParagonIE_Sodium_Core_Curve25519_H
  • $open : FOFLessFormatterClassic , FOFLessFormatterCompressed , lessc_formatter_classic , lessc_formatter_compressed
  • $openedPath : StreamString , StringWrapper
  • $openmode : Stream
  • $openSingle : FOFLessFormatterClassic , lessc_formatter_classic
  • $openSSLOptions : FOFEncryptAesOpenssl , OpenSSL
  • $operators : FinderIndexerQuery
  • $operatorString : FOFLessParser , lessc_parser
  • $option : ConfigControllerCanceladmin , ConfigModelCms , FOFModel , FOFUtilsFilescheck , ComponentRecord , AdminController , FormController , BaseDatabaseModel , LanguagesModelInstalled , LanguagesViewInstalled
  • $optionDefaults : JHtmlSelect
  • $options : FOFDatabaseDriver , FOFFormHeader , InstallationViewCompleteHtml , InstallationViewInstallHtml , InstallationViewPreinstallHtml , InstallationViewSummaryHtml , JDatabaseDriver , JDatabaseExporter , JDatabaseImporter , JFacebook , JFacebookOAuth , JFacebookObject , JFormFieldLogCreator , JFormFieldPredefinedList , JGithub , JGithubObject , JGoogle , JGoogleAuth , JGoogleData , JGoogleEmbed , JGrid , JInput , JLinkedin , JLinkedinOauth , JLinkedinObject , JMediawiki , JMediawikiObject , JOAuth1Client , JOAuth2Client , ColorStyle , Archive , Bzip2 , Gzip , Tar , Zip , CacheController , StreamString , AuthorField , LimitboxField , UsergrouplistField , Form , Http , CurlTransport , SocketTransport , StreamTransport , BaseLayout , Logger , StringWrapper , Input , Ini , JOpenstreetmap , JOpenstreetmapOauth , JOpenstreetmapObject , JTwitter , JTwitterOAuth , JTwitterObject , SimplePie_Cache_Memcache , SimplePie_Cache_MySQL
  • $order : FOFDatabaseQuery , JDatabaseQuery
  • $order_by_date : SimplePie
  • $ordering : FOFPlatform
  • $orphans : Language
  • $OS : SimplePie_gzdecode
  • $otable : FOFModel
  • $output : AbstractCliApplication , CliApplication
  • $output_encoding : SimplePie_Sanitize
  • $overflow : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • $override : Language
  • $overridesList : TemplatesViewTemplate
  • $overwrite : Installer
  • $packagename : PackageManifest
  • $packager : Manifest
  • $packagerurl : Manifest
  • $packages : JGithub , JGithubPackage , JGithubPackageActivity , JGithubPackageData , JGithubPackageGists , JGithubPackageIssues , JGithubPackageOrgs , JGithubPackagePulls , JGithubPackageRepositories , JGithubPackageUsers
  • $packageUninstall : Installer
  • $pad : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $page : AdminModelHelp , AdminViewHelp
  • $pageclass_sfx : PrivacyViewConfirm , PrivacyViewRemind , PrivacyViewRequest
  • $pageHeading : ContactViewCategories , ContentViewCategories , CategoriesView , NewsfeedsViewCategories
  • $pages : JMediawiki
  • $pagesCurrent : Pagination
  • $pagesStart : Pagination
  • $pagesStop : Pagination
  • $pagesTotal : Pagination
  • $pagination : ActionlogsViewActionlogs , AssociationsViewAssociation , AssociationsViewAssociations , BannersViewBanners , BannersViewClients , BannersViewTracks , CacheViewCache , CategoriesViewCategories , CheckinViewCheckin , ContactViewContacts , ContactViewFeatured , ContenthistoryViewHistory , ContentViewArchive , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , FinderViewFilters , FinderViewIndex , FinderViewMaps , FinderViewSearch , FOFModel , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , CategoryView , LanguagesViewInstalled , LanguagesViewLanguages , LanguagesViewOverrides , MenusViewItems , MenusViewMenus , MessagesViewMessages , ModulesViewModules , ModulesViewPositions , NewsfeedsViewNewsfeeds , PluginsViewPlugins , PrivacyViewConsents , PrivacyViewRequests , RedirectViewLinks , SearchViewSearches , TagsViewTag , TagsViewTags , TemplatesViewStyles , TemplatesViewTemplates , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroups , UsersViewLevels , UsersViewNotes , UsersViewUsers
  • $params : ContentViewArticle , FinderViewSearch , FOFDownload , JAdminCssMenu , CategoryNode , ComponentRecord , HtmlDocument , InstallerExtension , MenuItem , Node , CMSPlugin , User , PrivacyViewConfirm , PrivacyViewRemind , PrivacyViewRequest , TagsViewTag , TagsViewTags , UsersViewLogin , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset
  • $paramTable : InstallerScript
  • $parent : AdapterInstance , RouterViewConfiguration , Node , CollectionAdapter , Container
  • $parent_id : CategoryNode , MenuItem , Nested
  • $parent_key : RouterViewConfiguration
  • $parentId : AbstractDaemonApplication , DaemonApplication
  • $parentSelector : FOFLess , lessc
  • $parsedFile : ParseException
  • $parsedLine : ParseException
  • $parser : Yaml
  • $parsers : FeedFactory
  • $pass : AbstractUri
  • $password : AuthenticationResponse , DatabaseLogger , User , LdapClient
  • $Password : PHPMailer
  • $password : POP3
  • $password_clear : User
  • $passwords : AKEncryptionAES
  • $pasv : FtpClient
  • $patches : Patcher
  • $path : InstallationModelLanguages , RouterViewConfiguration , StreamString , FormattedtextLogger , StringWrapper , Image , AbstractUri , LanguagesModelInstalled
  • $paths : FOFController , FOFPlatform , FOFPlatformFilesystem , FormHelper , Installer , Language , BaseController , JViewHtml
  • $pattern : FormField
  • $pause : FinderCli
  • $pbkdf2Algorithm : AKEncryptionAES
  • $pbkdf2Iterations : AKEncryptionAES
  • $pbkdf2StaticSalt : AKEncryptionAES
  • $pbkdf2UseStaticSalt : AKEncryptionAES
  • $people : JGoogleDataPlus , JLinkedin
  • $perms : AKAbstractPostproc , FOFToolbar , FOFViewRaw
  • $photo : JFacebook
  • $php_info : AdminModelSysInfo , AdminViewSysinfo
  • $php_settings : AdminModelSysInfo , AdminViewSysinfo
  • $phpInfoArray : AdminModelSysInfo
  • $phpoptions : InstallationViewSummaryHtml
  • $phpOptions : JoomlaupdateViewDefault
  • $phpsettings : InstallationViewSummaryHtml
  • $phpSettings : JoomlaupdateViewDefault
  • $phrase : FinderIndexerToken
  • $places : JTwitter
  • $platform : WebClient , Browser
  • $player : SimplePie_Enclosure
  • $PluginDir : PHPMailer
  • $plugins : PluginHelper
  • $pluginsSourcePath : FOFUtilsInstallscript
  • $pluginState : FinderViewIndex
  • $pluralSuffixesCallback : Language
  • $POP3_PORT : POP3
  • $POP3_TIMEOUT : POP3
  • $pop_conn : POP3
  • $pop_parent : CollectionAdapter
  • $port : LdapClient , AbstractUri
  • $Port : PHPMailer
  • $port : POP3 , SimplePie_IRI
  • $portable_hashes : PasswordHash
  • $pos : StreamString , StringWrapper
  • $position : JFormFieldColor , BufferStreamHandler , Buffer , SimplePie_Decode_HTML_Entities , SimplePie_gzdecode , SimplePie_HTTP_Parser , SimplePie_XML_Declaration_Parser
  • $post : JFacebook
  • $postcode : AuthenticationResponse
  • $postInstallationMessages : FOFUtilsInstallscript
  • $postProcEngine : AKAbstractUnarchiver
  • $precedence : FOFLessParser , lessc_parser
  • $predefinedOptions : JFormFieldLogsDateRange , JFormFieldPredefinedList , PluginstatusField , RedirectStatusField , RegistrationdaterangeField , StatusField , UseractiveField , UserstateField , PrivacyFormFieldRequeststatus , PrivacyFormFieldRequesttype
  • $prefix : ConfigControllerApplicationDisplay , ConfigControllerCmsbase , ConfigControllerComponentDisplay , ConfigControllerDisplay , Pagination , PaginationObject , Profiler
  • $prefixDirsPsr4 : ClassLoader , ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • $prefixes : JLoader , FormHelper
  • $prefixesPsr0 : ClassLoader , ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • $prefixLengthsPsr4 : ClassLoader , ComposerStaticInitc14bde14f8c86840049f5c1809c453dd
  • $preloadedAssets : Access
  • $preloadedAssetTypes : Access
  • $prepared : FOFDatabaseDriverPdo , JDatabaseDriverPdo
  • $preserveComments : FOFLess , lessc
  • $presets : MenuHelper
  • $preview : MediaField , TemplatesViewTemplate
  • $previewHeight : MediaField
  • $previewWidth : MediaField
  • $previousExceptionHandler : PlgSystemRedirect
  • $previousMem : Profiler
  • $previousTime : Profiler
  • $print : ContentViewArticle , NewsfeedsViewNewsfeed
  • $priorities : LogEntry , Logger , SyslogLogger
  • $priority : FOFDownloadAdapterAbstract , FOFRenderAbstract , LogEntry
  • $Priority : PHPMailer
  • $priorityMap : DelegatingPsrLogger
  • $privacyConsentPluginId : PrivacyViewDashboard
  • $privacyPolicyInfo : PrivacyViewDashboard
  • $private : Key
  • $privateSettings : AdminModelSysInfo
  • $processId : AbstractDaemonApplication , DaemonApplication
  • $processingmethod : Stream
  • $processor : CliOutput
  • $profile : JTwitter
  • $profiler : FinderIndexer , CMSApplication
  • $properties : Feed , FeedEntry , DataObject
  • $property : Microdata
  • $protectedConfigurationFields : ConfigModelApplication
  • $pubDate : FeedDocument
  • $public : Key
  • $publish_end_date : FinderIndexerResult
  • $publish_start_date : FinderIndexerResult
  • $published : FinderIndexerResult , JFormFieldMenuitemByType , CategoryNode , MenuitemField , InstallerExtension
  • $qtime : FinderCli
  • $query : FinderModelSearch , FinderViewSearch , JDatabaseExceptionExecuting , JFormFieldSQL , MenuItem , ListModel , AbstractUri
  • $queryObject : FOFDatabaseDriverPostgresql , JDatabaseDriverPostgresql
  • $queryType : ChangeItem
  • $queue : ListenersPriorityQueue
  • $r : ParagonIE_Sodium_Core32_Poly1305_State , ParagonIE_Sodium_Core_Poly1305_State
  • $random_state : PasswordHash
  • $rating : FeedDocument
  • $ratings : SimplePie_Enclosure
  • $raw : Json
  • $raw_data : SimplePie
  • $rawMessage : ParseException
  • $rawname : CacheStorage
  • $Rcon : AKEncryptionAES
  • $readonly : FormField
  • $readprefix : Stream
  • $Realm : PHPMailer
  • $reason : PrivacyRemovalStatus , SimplePie_HTTP_Parser
  • $RecipientsQueue : PHPMailer
  • $record : FOFModel
  • $recursive : JFormFieldFolderList
  • $redirect : ConfigControllerCanceladmin , FOFController , BaseController
  • $redirect_url : Installer
  • $redirectPluginId : RedirectViewLinks
  • $redirects : SimplePie_File
  • $refs : Parser
  • $regex : InstallationFormRulePrefix , FormRule , BooleanRule , EmailRule , ModuleLayoutRule
  • $regex_consonant : FinderIndexerStemmerPorter_En
  • $regex_vowel : FinderIndexerStemmerPorter_En
  • $registerDate : User
  • $registered : BufferStreamHandler
  • $registeredLoaders : ClassLoader
  • $registeredVars : FOFLess , lessc
  • $registry : HTMLHelper , SimplePie , SimplePie_Item , SimplePie_Locator , SimplePie_Parser , SimplePie_Source
  • $rel : OpensearchUrl
  • $relation : FeedLink
  • $relations : FOFTableRelations
  • $relationship : SimplePie_Restriction
  • $relationships : Update
  • $release : InstallerScript
  • $remoteIp : RequestParameters
  • $removals : Patcher
  • $remove_div : SimplePie_Sanitize
  • $removeFilesAllVersions : FOFUtilsInstallscript
  • $removeFilesFree : FOFUtilsInstallscript
  • $removePath : AKAbstractUnarchiver
  • $renameDirs : AKAbstractUnarchiver
  • $renameFiles : AKAbstractUnarchiver
  • $rendererObject : FOFView
  • $renderers : FOFView
  • $renderFrontendButtons : FOFToolbar
  • $renderFrontendSubmenu : FOFToolbar
  • $renderLabelLayout : FormField
  • $renderLayout : FormField
  • $repeat : Form , FormField
  • $repeatable : FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • $replace_url_attributes : SimplePie_Sanitize
  • $replaceTags : TagsHelper , Tags
  • $ReplyTo : PHPMailer
  • $ReplyToQueue : PHPMailer
  • $requestCounts : PrivacyViewDashboard
  • $requestFormPublished : PrivacyViewDashboard
  • $requestMethod : ReCaptcha
  • $requestTime : JApplication
  • $required : FormField
  • $requiredTerms : FinderModelSearch
  • $requireReset : User
  • $rerunStatus : ChangeItem
  • $resetCount : User
  • $resolver : Manager
  • $resource : LdapClient
  • $response : AbstractWebApplication , WebApplication , FtpClient , RequestParameters
  • $responseCode : FtpClient
  • $responseMap : JFormFieldRedirect , AbstractWebApplication , WebApplication
  • $responseMsg : FtpClient
  • $restrictions : SimplePie_Enclosure
  • $results : FinderViewSearch , PackageAdapter
  • $rethrow : CryptoExceptionHandler
  • $return_page : ContactViewContact , ContentViewForm
  • $returning : FOFDatabaseQueryPostgresql , JDatabaseQueryPostgresql
  • $ReturnPath : PHPMailer
  • $rgt : CategoryNode , Nested
  • $rlu : MenusModelMenutypes
  • $robot : WebClient
  • $robots : Browser
  • $role : SimplePie_Credit
  • $root : Tree , Uri
  • $root_id : Nested
  • $rootAssetId : Access
  • $route : FinderIndexerResult , InstallerAdapter , MenuItem
  • $router : MenuRules , NomenuRules , StandardRules
  • $rowid : FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • $rows : JFormFieldTextarea , JGrid , LanguagesViewInstalled
  • $rules : RouterView , Router , Asset , Inflector
  • $running : AbstractDaemonApplication , DaemonApplication
  • $runPlugins : ContactViewCategory , CategoryView
  • $runState : AKAbstractUnarchiver
  • $safe_char : uctc
  • $safe_mode : uctc
  • $safeData : AdminModelSysInfo
  • $sale_price : FinderIndexerResult
  • $samplingrate : SimplePie_Enclosure
  • $sanitize : SimplePie
  • $Sbox : AKEncryptionAES
  • $schemaXmlPath : FOFUtilsInstallscript
  • $schemaXmlPathRelative : FOFUtilsInstallscript
  • $scheme : AbstractUri , SimplePie_Category , SimplePie_Credit , SimplePie_IRI , SimplePie_Rating
  • $scope : JApplication , CMSApplication
  • $scriptElement : FileAdapter , ModuleAdapter , PluginAdapter
  • $scriptfile : PackageManifest
  • $scriptOptions : Document
  • $search : FinderIndexerQuery , JMediawiki , JTwitter
  • $search_string : LdapClient
  • $searchDisplayedCharactersNumberCallback : Language
  • $secret : ReCaptcha , RequestParameters
  • $section : JFormFieldRules
  • $security : Session
  • $sefs : PlgSystemLanguageFilter
  • $select : FOFDatabaseQuery , JDatabaseQuery
  • $selectorSeparator : FOFLessFormatterClassic , FOFLessFormatterCompressed , FOFLessFormatterJoomla , FOFLessFormatterLessjs , JLessFormatterJoomla , lessc_formatter_classic , lessc_formatter_compressed , lessc_formatter_lessjs
  • $selectRowNumber : JDatabaseQuery
  • $sendEmail : User
  • $Sender : PHPMailer
  • $Sendmail : PHPMailer
  • $sendMailEnabled : PrivacyViewDashboard , PrivacyViewRequest , PrivacyViewRequests
  • $separator : Registry , SimplePie_Parser
  • $serialized : DisallowedClassesSubstitutor
  • $server_caps : SMTP
  • $serverType : FOFDatabaseDriver , FOFDatabaseDriverMysqli , FOFDatabaseDriverOracle , FOFDatabaseDriverPdomysql , FOFDatabaseDriverPostgresql , FOFDatabaseDriverSqlite , FOFDatabaseDriverSqlsrv , JDatabaseDriver , JDatabaseDriverMysqli , JDatabaseDriverOracle , JDatabaseDriverPdomysql , JDatabaseDriverPostgresql , JDatabaseDriverSqlite
  • $serverUrl : PlgSystemStats
  • $session : AbstractWebApplication , WebApplication , Factory
  • $set : FOFDatabaseQuery , JDatabaseQuery
  • $setFrontendPageTitle : FOFViewHtml
  • $settings : InstallationViewPreinstallHtml
  • $showon : FormField
  • $SI1 : SimplePie_gzdecode
  • $SI2 : SimplePie_gzdecode
  • $sidebar : CheckinViewCheckin , ContactViewContacts , ContentViewArticles , ContentViewFeatured , FieldsViewFields , FieldsViewGroups , FinderViewFilters , FinderViewIndex , FinderViewMaps , PrivacyViewCapabilities , PrivacyViewConsents , PrivacyViewDashboard , PrivacyViewRequests
  • $sigma : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • $sign_cert_file : PHPMailer
  • $sign_extracerts_file : PHPMailer
  • $sign_key_file : PHPMailer
  • $sign_key_pass : PHPMailer
  • $signals : AbstractDaemonApplication , DaemonApplication
  • $SingleTo : PHPMailer
  • $SingleToArray : PHPMailer
  • $singleValueResponseHeaders : WebApplication
  • $sites : JMediawiki
  • $size : CacheStorageHelper , FormField , ParagonIE_Sodium_Core32_Curve25519_Fe , ParagonIE_Sodium_Core_Curve25519_Fe , SplFixedArray
  • $skipDays : FeedDocument
  • $skipFiles : AKAbstractUnarchiver
  • $skipHours : FeedDocument
  • $skippedLineNumbers : Parser
  • $slug : CategoryNode
  • $smtp : PHPMailer
  • $smtp_conn : SMTP
  • $SMTP_PORT : SMTP
  • $smtp_transaction_id_patterns : SMTP
  • $SMTPAuth : PHPMailer
  • $SMTPAutoTLS : PHPMailer
  • $SMTPDebug : PHPMailer
  • $SMTPKeepAlive : PHPMailer
  • $SMTPOptions : PHPMailer
  • $SMTPSecure : PHPMailer
  • $snippet : ParseException
  • $socket : SocketPost
  • $sortable : FOFFormHeader
  • $sortCase : FOFUtilsArray , JArrayHelper
  • $sortDirection : FOFUtilsArray , JArrayHelper
  • $sortKey : FOFUtilsArray , JArrayHelper
  • $sortLocale : FOFUtilsArray , JArrayHelper
  • $source : FeedItem , TemplatesViewTemplate
  • $sourceLoc : FOFLess , lessc
  • $sourceParser : FOFLess , lessc
  • $sources : Patcher
  • $specialRows : JGrid
  • $spellcheck : FormField
  • $split : JFormFieldColor
  • $sqdmone : ParagonIE_Sodium_Core_Curve25519_H
  • $sql : FOFDatabaseDriver , FOFDatabaseQuery , JDatabaseDriver , JDatabaseQuery
  • $sqlShowProfileEach : PlgSystemDebug
  • $sqlShowProfiles : PlgSystemDebug
  • $sqrtadm1 : ParagonIE_Sodium_Core_Curve25519_H
  • $sqrtm1 : ParagonIE_Sodium_Core32_Curve25519_H , ParagonIE_Sodium_Core_Curve25519_H
  • $stack : JError , Update , UpdateAdapter
  • $standalone : SimplePie_XML_Declaration_Parser
  • $start : Profiler
  • $start_date : FinderIndexerResult
  • $start_here : AdminViewHelp
  • $start_time : AKCoreTimer , FOFUtilsTimer
  • $startAt : Php73
  • $started : JSessionHandlerNative
  • $startTime : JApplication , SimplePie_Caption
  • $stat : StreamString , StringWrapper
  • $state : ActionlogsViewActionlogs , AdminViewProfile , AssociationsViewAssociation , AssociationsViewAssociations , BannersViewBanner , BannersViewBanners , BannersViewClient , BannersViewClients , BannersViewTracks , CacheViewCache , CategoriesViewCategories , CategoriesViewCategory , CheckinViewCheckin , ConfigViewApplicationHtml , ConfigViewApplicationJson , ConfigViewCmsJson , ConfigViewComponentHtml , ContactViewContact , ContactViewContacts , ContactViewFeatured , ContenthistoryViewCompare , ContenthistoryViewHistory , ContenthistoryViewPreview , ContentViewArchive , ContentViewArticle , ContentViewArticles , ContentViewFeatured , ContentViewForm , FieldsViewField , FieldsViewFields , FieldsViewGroup , FieldsViewGroups , FinderIndexer , FinderIndexerResult , FinderViewFilter , FinderViewFilters , FinderViewIndex , FinderViewMaps , FinderViewSearch , FOFModel , InstallerViewLanguages , InstallerViewManage , InstallerViewUpdate , InstallerViewUpdatesites , JModelBase , Authentication , BaseDatabaseModel , CategoriesView , CategoryView , Session , LanguagesViewLanguage , LanguagesViewLanguages , LanguagesViewOverride , LanguagesViewOverrides , MenusViewItem , MenusViewItems , MenusViewMenu , MenusViewMenus , MessagesViewConfig , MessagesViewMessage , MessagesViewMessages , ModulesViewModule , ModulesViewModules , ModulesViewPositions , ModulesViewSelect , NewsfeedsViewNewsfeed , NewsfeedsViewNewsfeeds , ntlm_sasl_client_class , PluginsViewPlugin , PluginsViewPlugins , PrivacyViewCapabilities , PrivacyViewConfirm , PrivacyViewConsents , PrivacyViewRemind , PrivacyViewRequest , PrivacyViewRequests , RedirectViewLink , RedirectViewLinks , SearchViewSearches , SimplePie_HTTP_Parser , SimplePie_XML_Declaration_Parser , TagsViewTag , TagsViewTags , TemplatesViewStyle , TemplatesViewStyles , TemplatesViewTemplate , TemplatesViewTemplates , UsersViewDebuggroup , UsersViewDebuguser , UsersViewGroup , UsersViewGroups , UsersViewLevel , UsersViewLevels , UsersViewLogin , UsersViewNote , UsersViewNotes , UsersViewProfile , UsersViewRegistration , UsersViewRemind , UsersViewReset , UsersViewUser , UsersViewUsers
  • $state_field : FinderIndexerAdapter , PlgFinderCategories , PlgFinderContacts , PlgFinderNewsfeeds , PlgFinderTags
  • $stateStore : Update
  • $static : FOFFormFieldAccesslevel , FOFFormFieldActions , FOFFormFieldButton , FOFFormFieldCachehandler , FOFFormFieldCalendar , FOFFormFieldCaptcha , FOFFormFieldCheckbox , FOFFormFieldCheckboxes , FOFFormFieldComponents , FOFFormFieldEditor , FOFFormFieldEmail , FOFFormFieldGroupedbutton , FOFFormFieldGroupedlist , FOFFormFieldHidden , FOFFormFieldImagelist , FOFFormFieldInteger , FOFFormFieldLanguage , FOFFormFieldList , FOFFormFieldMedia , FOFFormFieldModel , FOFFormFieldOrdering , FOFFormFieldPassword , FOFFormFieldPlugins , FOFFormFieldPublished , FOFFormFieldRadio , FOFFormFieldRules , FOFFormFieldSelectrow , FOFFormFieldSessionhandler , FOFFormFieldSpacer , FOFFormFieldSql , FOFFormFieldTag , FOFFormFieldTel , FOFFormFieldText , FOFFormFieldTextarea , FOFFormFieldTimezone , FOFFormFieldUrl , FOFFormFieldUser , FOFFormFieldUsergroup
  • $status : JFacebook , AuthenticationResponse
  • $status_code : SimplePie_File , SimplePie_HTTP_Parser
  • $statuses : JTwitter
  • $stem : FinderIndexerToken
  • $stemmer : FinderIndexerHelper
  • $stemmerOK : FinderIndexerHelper
  • $stemRules : FinderIndexerStemmerFr
  • $step : JFormFieldNumber
  • $stepStack : Installer
  • $stopped : AbstractEvent
  • $storage : ListenersPriorityQueue
  • $store : Session
  • $storedUser : AbstractMenu
  • $storeName : Session
  • $strapperSourcePath : FOFUtilsInstallscript
  • $stream : JLinkedin , FeedParser
  • $string : CategoriesViewCategories
  • $strings : AKText , Language , Text , StringController
  • $strip_attributes : SimplePie , SimplePie_Sanitize
  • $strip_comments : SimplePie_Sanitize
  • $strip_htmltags : SimplePie , SimplePie_Sanitize
  • $stripExt : JFormFieldFileList
  • $stripFilter : ColorProcessor
  • $stripUSC : InputFilter
  • $sts_url : FOFUtilsUpdateJoomla
  • $stub : Container
  • $styles : ColorProcessor
  • $stz : Date
  • $Subject : PHPMailer
  • $success : JJsonResponse , JsonResponse , Response , SimplePie_File
  • $suffixMap : JApplicationWebRouterRest
  • $suggestion : FinderIndexerToken
  • $supportedContext : PlgContentConfirmConsent
  • $supportedExtensionsList : AssociationsHelper
  • $supportsChunkDownload : FOFDownloadAdapterAbstract
  • $supportsDiscoverInstall : FileAdapter , PackageAdapter , InstallerAdapter
  • $supportsFileSize : FOFDownloadAdapterAbstract
  • $supressDivisionProps : FOFLessParser , lessc_parser
  • $syndicationURL : FeedDocument
  • $T : ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P3
  • $T2d : ParagonIE_Sodium_Core32_Curve25519_Ge_Cached , ParagonIE_Sodium_Core_Curve25519_Ge_Cached
  • $table : FinderIndexerAdapter , FOFModel , FOFTableRelations , DatabaseLogger , AdminModel , AbstractObserver , UCMContent , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • $table_alias : FOFModelField
  • $tableCache : FOFTable
  • $tableClassName : AdminModel
  • $tableDispatcher : FOFTable
  • $tableFieldCache : FOFTable
  • $tableFields : Table
  • $tablePrefix : FOFDatabaseDriver , JDatabaseDriver
  • $tables : CheckinModelCheckin , CheckinViewCheckin
  • $tableType : FOFTableRelations
  • $tag : TagsModelTag
  • $tagBlacklist : InputFilter
  • $tagFilter : ColorProcessor
  • $tags : Update , Container
  • $tags_title : TagsViewTag
  • $tagsArray : InputFilter
  • $tagsChanged : TagsHelper
  • $tagsHelper : Tags
  • $tagsMethod : InputFilter
  • $tagsObserver : AdminModel
  • $target : Component , Url
  • $targetplatform : Update
  • $task : FOFController , BaseController
  • $taskMap : FOFController , BaseController
  • $tasks : InstallationViewInstallHtml
  • $taxonomy : FinderIndexerResult
  • $tdwidth : FOFFormHeader
  • $tempFilename : AKAbstractPostproc
  • $template : CMSApplication , ErrorDocument , HtmlDocument , OpensearchUrl , TemplatestyleField , TemplatesModelTemplate , TemplatesViewTemplate
  • $template_style_id : MenuItem
  • $term : FinderIndexerToken , SimplePie_Category
  • $terms : FinderIndexerQuery
  • $test_url : FOFUtilsUpdateJoomla
  • $text : PaginationObject , SimplePie_Caption
  • $text_prefix : BannersControllerBanner , BannersControllerBanners , BannersControllerClient , BannersControllerClients , BannersModelBanner , CategoriesModelCategory , ConfigModelCms , ContentModelArticle , FieldsControllerField , FieldsControllerFields , FieldsControllerGroup , FieldsControllerGroups , FieldsModelField , FinderModelFilter , AdminController , FormController , AdminModel , LanguagesControllerOverrides , MenusModelItem , MenusModelMenu , ModulesModelModule , NewsfeedsModelNewsfeed , RedirectModelLink , TagsModelTag , TemplatesControllerStyle , UsersControllerGroup , UsersControllerGroups , UsersControllerLevel , UsersControllerLevels , UsersControllerNote , UsersControllerNotes , UsersControllerUser , UsersControllerUsers
  • $the_block : nodecounter
  • $threshold : JFormFieldPassword
  • $thumbnails : SimplePie_Enclosure
  • $time : FinderCli
  • $Timelimit : SMTP
  • $timeout : FtpClient
  • $Timeout : PHPMailer
  • $timeout : SimplePie , SimplePie_Locator , SimplePie_Sanitize
  • $Timeout : SMTP
  • $timestamp : AKAbstractPostproc
  • $timezone : AuthenticationResponse , SimplePie_Parse_Date
  • $timings : FOFDatabaseDriver , JDatabaseDriver
  • $title : FinderIndexerResult , CategoryNode , Document , FeedImage , FeedItem , FeedLink , MenuItem , Component , Heading , Separator , Url , Asset , SimplePie_Enclosure
  • $to : PHPMailer
  • $toc : AdminModelHelp , AdminViewHelp
  • $token : JOAuth1Client
  • $total : CheckinModelCheckin , FinderViewFilter , FinderViewFilters , FinderViewIndex , FinderViewMaps , FinderViewSearch , FOFModel , UserGroupsHelper , Pagination , LanguagesModelInstalled
  • $totalNumberOfLines : Parser
  • $totalQueries : PlgSystemDebug
  • $totalSize : AKAbstractUnarchiver
  • $transactionDepth : FOFDatabaseDriver , JDatabaseDriver
  • $translate : JFormFieldPredefinedList , JFormFieldSQL
  • $translateDescription : FormField
  • $translateHint : FormField
  • $translateLabel : FormField
  • $transliterator : Language
  • $transport : Http
  • $tree : JAdminCssMenu , MenuItem
  • $treeDepth : FOFTableNested
  • $treeNestedGet : FOFTableNested
  • $treeParent : FOFTableNested
  • $treeRoot : FOFTableNested
  • $trends : JTwitter
  • $TRUE : FOFLess , lessc
  • $ttl : FeedDocument
  • $tval : POP3
  • $type : FOFDatabaseQuery , FOFFormHeader , FOFModelField , InstallationFormFieldLanguage , InstallationFormFieldPrefix , InstallationFormFieldSample , InstallerModelWarnings , JDatabaseQuery , JException , JFormFieldAccessLevel , JFormFieldAliastag , JFormFieldBannerClient , JFormFieldBranches , JFormFieldCacheHandler , JFormFieldCalendar , JFormFieldCategory , JFormFieldCategoryEdit , JFormFieldCategoryParent , JFormFieldCheckbox , JFormFieldCheckboxes , JFormFieldClicks , JFormFieldColor , JFormFieldCombo , JFormFieldComponentlayout , JFormFieldComponents , JFormFieldComponentsCategory , JFormFieldConfigComponents , JFormFieldConsentBox , JFormFieldContentMap , JFormFieldContentTypes , JFormFieldDatabaseConnection , JFormFieldDirectories , JFormFieldDob , JFormFieldEMail , JFormFieldExtension , JFormFieldExtensionStatus , JFormFieldFieldcontexts , JFormFieldFieldgroups , JFormFieldFieldlayout , JFormFieldFile , JFormFieldFileList , JFormFieldFilters , JFormFieldFolder , JFormFieldFolderList , JFormFieldFonts , JFormFieldGroupedList , JFormFieldGroupParent , JFormFieldHidden , JFormFieldImageList , JFormFieldImpMade , JFormFieldImpTotal , JFormFieldInteger , JFormFieldItemLanguage , JFormFieldItemType , JFormFieldLanguage , JFormFieldLanguageclient , JFormFieldLevels , JFormFieldList , JFormFieldLocation , JFormFieldLogCreator , JFormFieldLogsDateRange , JFormFieldLogType , JFormFieldMenuitemByType , JFormFieldMenuOrdering , JFormFieldMenuParent , JFormFieldMenuPreset , JFormFieldMenutype , JFormFieldMessageStates , JFormFieldMeter , JFormFieldModal_Article , JFormFieldModal_Category , JFormFieldModal_Contact , JFormFieldModal_Menu , JFormFieldModal_Newsfeed , JFormFieldModalAssociation , JFormFieldModulelayout , JFormFieldModulesModule , JFormFieldModulesPosition , JFormFieldNewsfeeds , JFormFieldNote , JFormFieldNumber , JFormFieldPassword , JFormFieldPluginElement , JFormFieldPluginInfo , JFormFieldPluginordering , JFormFieldPlugins , JFormFieldPluginType , JFormFieldPredefinedList , JFormFieldprivacy , JFormFieldRadio , JFormFieldRange , JFormFieldRedirect , JFormFieldRepeatable , JFormFieldRules , JFormFieldSearchFilter , JFormFieldSection , JFormFieldSessionHandler , JFormFieldSkins , JFormFieldSpacer , JFormFieldSQL , JFormFieldSubform , JFormFieldTel , JFormFieldTemplateLocation , JFormFieldTemplateName , JFormFieldterms , JFormFieldText , JFormFieldTextarea , JFormFieldTimezone , JFormFieldTinymceBuilder , JFormFieldTos , JFormFieldType , JFormFieldUploaddirs , JFormFieldUrl , JFormFieldUsergroup , JFormFieldUserMessages , JFormFieldVoteradio , AuthenticationResponse , BlowfishCipher , McryptCipher , Rijndael256Cipher , TripleDesCipher , Key , FeedEnclosure , OpensearchImage , OpensearchUrl , FeedLink , FeedPerson , AuthorField , CaptchaField , ChromestyleField , ContenthistoryField , ContentlanguageField , ContenttypeField , EditorField , FrontendlanguageField , HeadertagField , HelpsiteField , LimitboxField , MediaField , MenuField , MenuitemField , ModuleorderField , ModulepositionField , ModuletagField , OrderingField , PluginstatusField , RedirectStatusField , RegistrationdaterangeField , StatusField , TagField , TemplatestyleField , UseractiveField , UserField , UsergrouplistField , UserstateField , FormField , InstallerAdapter , InstallerExtension , MenuItem , Microdata , AdminModel , UCMBase , UCMType , DownloadSource , Update , FtpClient , PlgSystemStatsFormFieldData , PlgSystemStatsFormFieldUniqueid , PrivacyFormFieldRequeststatus , PrivacyFormFieldRequesttype , SimplePie_Caption , SimplePie_Enclosure , SimplePie_Restriction , TemplatesViewTemplate
  • $type_id : FinderIndexerAdapter , FinderIndexerResult
  • $type_title : FinderIndexerAdapter , PlgFinderCategories , PlgFinderContacts , PlgFinderContent , PlgFinderNewsfeeds , PlgFinderTags
  • $typeAlias : BannersModelBanner , BannersModelClient , CategoriesModelCategory , ContactModelContact , ContentModelArticle , ContentModelForm , FieldsModelField , FieldsModelGroup , ContentHistoryHelper , TagsHelper , AdminModel , MenusModelItem , ModulesModelModule , NewsfeedsModelNewsfeed , TagsModelTag , UsersModelNote
  • $typeAliasPattern : ContentHistory , Tags
  • $types : Tar , Microdata , MenusViewMenutypes
  • $tz : Date
  • $ucmData : UCMContent
  • $uninstallation_queue : FOFUtilsInstallscript
  • $union : FOFDatabaseQuery , JDatabaseQuery
  • $unionAll : FOFDatabaseQuery , JDatabaseQuery
  • $uniqueid : PHPMailer
  • $uniqueId : PlgSystemStats
  • $unsignedInt : ParagonIE_Sodium_Core32_Int32 , ParagonIE_Sodium_Core32_Int64
  • $update : FOFDatabaseQuery , JDatabaseQuery , Manifest
  • $update_sites : CollectionAdapter
  • $updatecols : UpdateAdapter
  • $updated : KeychainManager
  • $updateEmailBody : FOFUtilsUpdate
  • $updateEmailSubject : FOFUtilsUpdate
  • $updateInfo : JoomlaupdateViewDefault
  • $updateInformation : JoomlaupdateModelDefault
  • $updateQuery : ChangeItem
  • $updater : FOFUtilsUpdate
  • $updates : CollectionAdapter
  • $updateSite : FOFUtilsUpdate
  • $updateSiteId : UpdateAdapter
  • $updateSiteName : FOFUtilsUpdate , UpdateAdapter
  • $upgrade : Installer
  • $upperLimitSearchWordCallback : Language
  • $urgentRequestAge : PrivacyViewRequests
  • $uri : JGoogleEmbed , FeedLink , FeedPerson , AbstractUri
  • $url : FinderIndexerResult , FeedEnclosure , FeedImage , PackageManifest , DownloadSource , SimplePie_Copyright , SimplePie_File
  • $urlVar : ContentControllerArticle
  • $use_ldapV3 : LdapClient
  • $used : Language
  • $useHypermedia : FOFViewJson
  • $useIncludePath : ClassLoader
  • $user : ContentViewArticle , FinderViewSearch , JAdminCssMenu , JFacebook , DatabaseLogger , AdminModel , AbstractUri , JOpenstreetmap , LanguagesModelInstalled , LanguagesViewInstalled , SimplePie_Parse_Date , UsersViewLogin , UsersViewNotes
  • $user_lang_code : PlgSystemLanguageFilter
  • $userAgent : WebClient
  • $useragent : SimplePie , SimplePie_File , SimplePie_Locator , SimplePie_Sanitize
  • $userGroupPaths : Access
  • $userGroups : Access
  • $userHelper : User
  • $userId : InstallationModelDatabase
  • $username : AuthenticationResponse , User , LdapClient
  • $Username : PHPMailer
  • $username : POP3
  • $users : JMediawiki , JTwitter
  • $users_dn : LdapClient
  • $UseSendmailOptions : PHPMailer
  • $utf : FOFDatabaseDriver , JDatabaseDriver
  • $utf8mb4 : FOFDatabaseDriver , JDatabaseDriver
  • $validate : FormField
  • $validationtext : FormField
  • $validator : PHPMailer
  • $value : FOFFormHeader , FormField , PrivacyExportField , SimplePie_HTTP_Parser , SimplePie_Rating , SimplePie_Restriction
  • $valueCache : FieldsModelField
  • $valueField : JFormFieldSQL
  • $values : FOFDatabaseQuery , JDatabaseQuery
  • $variables : PharInvocation
  • $varlist : AKFactory
  • $vars : Router , AbstractUri
  • $vendorDir : ClassLoader
  • $VERSION : FOFLess
  • $version : FOFPlatform , FOFUtilsFilescheck , FOFUtilsUpdate , JOAuth1Client , AtomParser , RssParser , Manifest , Update
  • $VERSION : lessc
  • $Version : PHPMailer , POP3
  • $version : RequestParameters , SimplePie_XML_Declaration_Parser
  • $Version : SMTP
  • $video : JFacebook
  • $view : FOFController , FOFForm , RouteHelper
  • $view_item : ContactModelContact , ContentControllerArticle , FormController
  • $view_list : AssociationsControllerAssociations , ContentControllerArticle , AdminController , FormController
  • $viewall : Pagination
  • $viewLevels : Access
  • $viewName : ContactViewCategory , ContentViewCategory , FOFController , CategoryView , NewsfeedsViewCategory
  • $views : RouterView , BaseController
  • $viewsCache : FOFController
  • $votingPosition : PlgContentVote
  • $vPrefix : FOFLess , lessc
  • $warnings_pointer : AKAbstractPart
  • $webmaster : FeedDocument
  • $weight : FinderIndexerToken
  • $when1 : FinderIndexerQuery
  • $when2 : FinderIndexerQuery
  • $where : FOFDatabaseQuery , JDatabaseQuery
  • $whereClauses : FOFTableNested
  • $whitePattern : FOFLessParser , lessc_parser
  • $width : JFormFieldMeter , FeedImage , OpensearchImage , EditorField , MediaField , SimplePie_Enclosure
  • $WordWrap : PHPMailer
  • $Workstation : PHPMailer
  • $writeprefix : Stream
  • $wrongComponentVersion : FOFUtilsFilescheck
  • $wrongFilesVersion : FOFUtilsFilescheck
  • $X : ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P2 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P2 , ParagonIE_Sodium_Core_Curve25519_Ge_P3
  • $xdebugLinkFormat : JHtmlDebug
  • $XFL : SimplePie_gzdecode
  • $XMailer : PHPMailer
  • $xml : JGoogleDataPicasaAlbum , JGoogleDataPicasaPhoto , Form
  • $xml_base : SimplePie_Parser
  • $xml_base_explicit : SimplePie_Parser
  • $xml_lang : SimplePie_Parser
  • $xmlDirectory : FOFDatabaseInstaller
  • $xmlFiles : FOFDatabaseInstaller
  • $xmlParser : Update , UpdateAdapter
  • $xssAuto : InputFilter
  • $xy2d : ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp , ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
  • $Y : ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P2 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P2 , ParagonIE_Sodium_Core_Curve25519_Ge_P3
  • $years : ContentViewArchive
  • $YminusX : ParagonIE_Sodium_Core32_Curve25519_Ge_Cached
  • $yminusx : ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp
  • $YminusX : ParagonIE_Sodium_Core_Curve25519_Ge_Cached
  • $yminusx : ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
  • $YplusX : ParagonIE_Sodium_Core32_Curve25519_Ge_Cached
  • $yplusx : ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp
  • $YplusX : ParagonIE_Sodium_Core_Curve25519_Ge_Cached
  • $yplusx : ParagonIE_Sodium_Core_Curve25519_Ge_Precomp
  • $Z : ParagonIE_Sodium_Core32_Curve25519_Ge_Cached , ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core32_Curve25519_Ge_P2 , ParagonIE_Sodium_Core32_Curve25519_Ge_P3 , ParagonIE_Sodium_Core_Curve25519_Ge_Cached , ParagonIE_Sodium_Core_Curve25519_Ge_P1p1 , ParagonIE_Sodium_Core_Curve25519_Ge_P2 , ParagonIE_Sodium_Core_Curve25519_Ge_P3
  • $zones : JFormFieldTimezone


Joomla CMS: Champs de donnée - Variables

- a -

  • ABOVE_NORMAL : Priority
  • aead_chacha20poly1305_ABYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_IETF_ABYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_IETF_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_IETF_NPUBBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_IETF_NSECBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_NPUBBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_chacha20poly1305_NSECBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_IETF_ABYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_IETF_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_IETF_NPUBBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • aead_xchacha20poly1305_IETF_NSECBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • ALERT : Log , LogLevel
  • ALL : Log , UriInterface
  • AMAYA : WebClient
  • ANDROID : WebClient
  • ANDROIDTABLET : WebClient
  • ASSERT_INTERNAL_INVOCATION : PharInvocationResolver
  • ATTR_BLACKLIST : InputFilter
  • ATTR_WHITELIST : InputFilter
  • AUTHENTICATION_BASIC : JGithubHttp
  • AUTHENTICATION_INFO : Crypto
  • AUTHENTICATION_NONE : JGithubHttp
  • AUTHENTICATION_OAUTH : JGithubHttp


Joomla CMS: Champs de donnée - Variables

- b -

  • BAD_REQUEST : SocketPost
  • BAD_RESPONSE : SocketPost
  • BASE64_VARIANT_ORIGINAL : ParagonIE_Sodium_Compat
  • BASE64_VARIANT_ORIGINAL_NO_PADDING : ParagonIE_Sodium_Compat
  • BASE64_VARIANT_URLSAFE : ParagonIE_Sodium_Compat
  • BASE64_VARIANT_URLSAFE_NO_PADDING : ParagonIE_Sodium_Compat
  • BELOW_NORMAL : Priority
  • BLACKBERRY : WebClient
  • BLINK : WebClient
  • BLOCK_SCALAR_HEADER_PATTERN : Parser
  • BLOCK_SIZE : ParagonIE_Sodium_Core32_Poly1305 , ParagonIE_Sodium_Core_Poly1305
  • BLOCKBYTES : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • BLOWFISH : CryptPassword
  • box_curve25519xsalsa20poly1305_BEFORENMBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_BOXZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_MACBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_NONCEBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_PUBLICKEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_SECRETKEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_SEEDBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • box_curve25519xsalsa20poly1305_ZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • BUFFER_SIZE : ParagonIE_Sodium_File
  • BUILD : Version , JPlatform


Joomla CMS: Champs de donnée - Variables

- c -

  • CHROME : WebClient
  • CIPHER : Crypto
  • CIPHER_MODE : Crypto
  • CODE_NAME : JPlatform
  • CODENAME : Version
  • COMMAND_DIR_OPENDIR : Behavior
  • COMMAND_MKDIR : Behavior
  • COMMAND_RENAME : Behavior
  • COMMAND_RMDIR : Behavior
  • COMMAND_STEAM_METADATA : Behavior
  • COMMAND_STREAM_OPEN : Behavior
  • COMMAND_UNLINK : Behavior
  • COMMAND_URL_STAT : Behavior
  • COPYRIGHT : Version , JPlatform
  • CORE_H2C_SHA256 : ParagonIE_Sodium_Core_Ristretto255
  • CORE_H2C_SHA512 : ParagonIE_Sodium_Core_Ristretto255
  • CRITICAL : Log , LogLevel
  • CRLF : PHPMailer , POP3 , SMTP
  • CROP : Image
  • CROP_RESIZE : Image
  • CRYPTO_AEAD_AES256GCM_ABYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_AES256GCM_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_AES256GCM_NPUBBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_AES256GCM_NSECBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_ABYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AUTH_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_AUTH_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_KEYPAIRBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_MACBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_NONCEBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_PUBLICKEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_SEALBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_SECRETKEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_BOX_SEEDBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_CORE_RISTRETTO255_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_CORE_RISTRETTO255_HASHBYTES : ParagonIE_Sodium_Compat
  • crypto_core_ristretto255_HASHBYTES : ParagonIE_Sodium_Core_Ristretto255
  • CRYPTO_CORE_RISTRETTO255_NONREDUCEDSCALARBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_CORE_RISTRETTO255_SCALARBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_BYTES_MAX : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_BYTES_MIN : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_KEYBYTES_MAX : ParagonIE_Sodium_Compat
  • CRYPTO_GENERICHASH_KEYBYTES_MIN : ParagonIE_Sodium_Compat
  • CRYPTO_KDF_BYTES_MAX : ParagonIE_Sodium_Compat
  • CRYPTO_KDF_BYTES_MIN : ParagonIE_Sodium_Compat
  • CRYPTO_KDF_CONTEXTBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_KDF_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_KX_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_KX_KEYPAIRBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_KX_PRIMITIVE : ParagonIE_Sodium_Compat
  • CRYPTO_KX_PUBLICKEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_KX_SECRETKEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_KX_SEEDBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_KX_SESSIONKEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_ALG_ARGON2I13 : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_ALG_ARGON2ID13 : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_MEMLIMIT_MODERATE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_MEMLIMIT_SENSITIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_OPSLIMIT_MODERATE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_OPSLIMIT_SENSITIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SALTBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX : ParagonIE_Sodium_Compat
  • CRYPTO_PWHASH_STRPREFIX : ParagonIE_Sodium_Compat
  • CRYPTO_SCALARMULT_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SCALARMULT_RISTRETTO255_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SCALARMULT_RISTRETTO255_SCALARBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SCALARMULT_SCALARBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETBOX_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETBOX_MACBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETBOX_NONCEBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH : ParagonIE_Sodium_Compat
  • CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY : ParagonIE_Sodium_Compat
  • CRYPTO_SHORTHASH_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SHORTHASH_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_BYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_KEYPAIRBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_PUBLICKEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_SECRETKEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_SIGN_SEEDBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_STREAM_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_STREAM_NONCEBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_STREAM_XCHACHA20_KEYBYTES : ParagonIE_Sodium_Compat
  • CRYPTO_STREAM_XCHACHA20_NONCEBYTES : ParagonIE_Sodium_Compat
  • CSRFC3548 : FOFEncryptBase32


Joomla CMS: Champs de donnée - Variables

- d -

  • DAY_ABBR : Date
  • DAY_NAME : Date
  • DEBUG : Log , LogLevel
  • DEBUG_CLIENT : SMTP
  • DEBUG_CONNECTION : SMTP
  • DEBUG_LOWLEVEL : SMTP
  • DEBUG_OFF : SMTP
  • DEBUG_SERVER : SMTP
  • DEFAULT_SMTP_PORT : SMTP
  • DEV_LEVEL : Version
  • DEV_STATUS : Version
  • DST_FILE : Patcher
  • DUPLICATE_ALIAS_WARNING : PharInvocationCollection


Joomla CMS: Champs de donnée - Variables

- e -

  • EDG : WebClient
  • EDGE : WebClient
  • EMERGENCY : Log , LogLevel
  • ENCODING : Unescaper
  • ENCRYPTION_INFO : Crypto
  • EOS_DATE : PlgQuickiconEos310
  • ERROR : Log , LogLevel
  • EXTRA_VERSION : Version


Joomla CMS: Champs de donnée - Variables

- f -

  • FIREFOX : WebClient
  • FOLDED_SCALAR_PATTERN : Parser
  • FORMAT_TAR_BZIP : DownloadSource
  • FORMAT_TAR_GZ : DownloadSource
  • FORMAT_ZIP : DownloadSource
  • FRAGMENT : UriInterface


Joomla CMS: Champs de donnée - Variables

- g -

  • GECKO : WebClient


Joomla CMS: Champs de donnée - Variables

- h -

  • HASH_FUNCTION : Crypto
  • HASH_NOT_PROVIDED : InstallerHelper
  • HASH_NOT_VALIDATED : InstallerHelper
  • HASH_SC_L : ParagonIE_Sodium_Core_Ristretto255
  • HASH_VALIDATED : InstallerHelper
  • HIGH : Priority
  • HOST : UriInterface
  • HUNK : Patcher


Joomla CMS: Champs de donnée - Variables

- i -

  • IE : WebClient
  • INFO : Log , LogLevel
  • IPAD : WebClient
  • IPHONE : WebClient
  • IPOD : WebClient


Joomla CMS: Champs de donnée - Variables

- j -

  • JOOMLA : CryptPassword


Joomla CMS: Champs de donnée - Variables

- k -

  • KEY_BYTE_SIZE : Crypto
  • KEYBYTES : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b
  • KEYPAIR_BYTES : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • KHTML : WebClient


Joomla CMS: Champs de donnée - Variables

- l -

  • L : ParagonIE_Sodium_Core_Curve25519_H
  • LDAP_ESCAPE_DN : Php56
  • LDAP_ESCAPE_FILTER : Php56
  • LIBRARY_MAJOR_VERSION : ParagonIE_Sodium_Compat
  • LIBRARY_MINOR_VERSION : ParagonIE_Sodium_Compat
  • LIBRARY_VERSION_MAJOR : ParagonIE_Sodium_Compat
  • LIBRARY_VERSION_MINOR : ParagonIE_Sodium_Compat
  • LINK_TEXT : JPlatform
  • LINUX : WebClient
  • LOW : Priority


Joomla CMS: Champs de donnée - Variables

- m -

  • MAC : WebClient
  • MAC_BYTE_SIZE : Crypto
  • MAINTENANCE : JPlatform
  • MAJOR_VERSION : Version
  • MAX : Priority
  • MAX_LINE_LENGTH : PHPMailer , SMTP
  • MD5 : CryptPassword
  • META_CONTEXT : FinderIndexer
  • MIN : Priority
  • MINOR_VERSION : Version
  • MISC_CONTEXT : FinderIndexer
  • MODE_ALLOW_ALWAYS : PlgSystemStats
  • MODE_ALLOW_NEVER : PlgSystemStats
  • MODE_ALLOW_ONCE : PlgSystemStats
  • MODE_INSTANCE : UserGroupsHelper
  • MODE_SINGLETON : UserGroupsHelper
  • MONTH_ABBR : Date
  • MONTH_NAME : Date


Joomla CMS: Champs de donnée - Variables

- n -

  • NORMAL : Priority
  • NOTICE : Log , LogLevel


Joomla CMS: Champs de donnée - Variables

- o -

  • onetimeauth_poly1305_BYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • onetimeauth_poly1305_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • ONLY_ALLOW_DEFINED_ATTRIBUTES : InputFilter
  • ONLY_ALLOW_DEFINED_TAGS : InputFilter
  • ONLY_BLOCK_DEFINED_ATTRIBUTES : InputFilter
  • ONLY_BLOCK_DEFINED_TAGS : InputFilter
  • OPERA : WebClient
  • ORIENTATION_LANDSCAPE : Image
  • ORIENTATION_PORTRAIT : Image
  • ORIENTATION_SQUARE : Image
  • OUTBYTES : ParagonIE_Sodium_Core32_BLAKE2b , ParagonIE_Sodium_Core_BLAKE2b


Joomla CMS: Champs de donnée - Variables

- p -

  • PASS : UriInterface
  • PATCH_VERSION : Version
  • PATH : UriInterface
  • PATH_CONTEXT : FinderIndexer
  • PATTERN_OBJECT : DisallowedClassesSubstitutor
  • PATTERN_STRING : DisallowedClassesSubstitutor
  • PBKDF : CryptPassword
  • PHP_SECURITY_ONLY : PlgQuickiconPhpVersionCheck
  • PHP_SUPPORTED : PlgQuickiconPhpVersionCheck
  • PHP_UNSUPPORTED : PlgQuickiconPhpVersionCheck
  • PORT : UriInterface
  • PRESTO : WebClient
  • PROCESS_AFTER : Router
  • PROCESS_BEFORE : Router
  • PROCESS_DURING : Router
  • PRODUCT : Version , JPlatform


Joomla CMS: Champs de donnée - Variables

- q -

  • QUERY : UriInterface


Joomla CMS: Champs de donnée - Variables

- r -

  • RECAPTCHA_HOST : SocketPost
  • REGEX_CHARACTER_TO_ESCAPE : Escaper
  • REGEX_ESCAPED_CHARACTER : Unescaper
  • REGEX_QUOTED_STRING : Inline
  • RELDATE : Version
  • RELEASE : Version , JPlatform
  • RELEASE_DATE : JPlatform
  • RELEASE_TIME : JPlatform
  • RELEASE_TIME_ZONE : JPlatform
  • RELTIME : Version
  • RELTZ : Version
  • RESOLVE_ALIAS : PharInvocationResolver
  • RESOLVE_REALPATH : PharInvocationResolver
  • ROUNDS : ParagonIE_Sodium_Core32_Salsa20 , ParagonIE_Sodium_Core_Salsa20


Joomla CMS: Champs de donnée - Variables

- s -

  • SAFARI : WebClient
  • SCALAR_BYTES : ParagonIE_Sodium_Core_Ed25519
  • SCALE_FILL : Image
  • SCALE_FIT : Image
  • SCALE_INSIDE : Image
  • SCALE_OUTSIDE : Image
  • SCHEME : UriInterface
  • secretbox_xchacha20poly1305_BOXZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xchacha20poly1305_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xchacha20poly1305_MACBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xchacha20poly1305_NONCEBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xchacha20poly1305_ZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_BOXZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_MACBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_NONCEBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • secretbox_xsalsa20poly1305_ZEROBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto
  • SEED_BYTES : ParagonIE_Sodium_Core32_Ed25519 , ParagonIE_Sodium_Core_Ed25519
  • SITE_VERIFY_PATH : SocketPost
  • SITE_VERIFY_URL : HttpBridgePostRequestMethod , CurlPost , Post
  • SPLIT : Patcher
  • SRC_FILE : Patcher
  • STABILITY_ALPHA : Updater
  • STABILITY_BETA : Updater
  • STABILITY_DEV : Updater
  • STABILITY_RC : Updater
  • STABILITY_STABLE : Updater
  • STATUS : JPlatform
  • STATUS_CANCEL : Authentication
  • STATUS_DENIED : Authentication
  • STATUS_EXPIRED : Authentication
  • STATUS_FAILURE : Authentication
  • STATUS_SUCCESS : Authentication
  • STATUS_UNKNOWN : Authentication
  • STOP_CONTINUE : PHPMailer
  • STOP_CRITICAL : PHPMailer
  • STOP_MESSAGE : PHPMailer
  • STREAM_OPEN_FOR_INCLUDE : PharStreamWrapper
  • stream_salsa20_KEYBYTES : ParagonIE_Sodium_Crypto32 , ParagonIE_Sodium_Crypto


Joomla CMS: Champs de donnée - Variables

- t -

  • TAGS_BLACKLIST : InputFilter
  • TAGS_WHITELIST : InputFilter
  • TEXT_CONTEXT : FinderIndexer
  • TITLE_CONTEXT : FinderIndexer
  • TLS_DISABLE : Route
  • TLS_FORCE : Route
  • TLS_IGNORE : Route
  • TRIDENT : WebClient
  • TYPE_FEED : SimplePie_Cache_Base
  • TYPE_FULL : DownloadSource
  • TYPE_IMAGE : SimplePie_Cache_Base
  • TYPE_PATCH : DownloadSource
  • TYPE_UPGRADE : DownloadSource


Joomla CMS: Champs de donnée - Variables

- u -

  • UNIQUE_BASE_NAME : PharInvocationCollection
  • UNIQUE_INVOCATION : PharInvocationCollection
  • URL : Version
  • USER : UriInterface


Joomla CMS: Champs de donnée - Variables

- v -

  • VERSION : ReCaptcha , SMTP
  • VERSION_STRING : ParagonIE_Sodium_Compat


Joomla CMS: Champs de donnée - Variables

- w -

  • WARNING : Log , LogLevel
  • WEBKIT : WebClient
  • WINDOWS : WebClient
  • WINDOWS_CE : WebClient
  • WINDOWS_PHONE : WebClient


Joomla CMS: Liste des fichiers

Liste des fichiers
Liste de tous les fichiers avec une brève description :
_item.php
download/adapter/abstract.php
encrypt/aes/abstract.php
query/abstract.php
render/abstract.php
AbstractApplication.php
AbstractCliApplication.php
AbstractDaemonApplication.php
AbstractEvent.php
AbstractLogger.php
AbstractMenu.php
AbstractObserver.php
AbstractRegistryFormat.php
AbstractUri.php
AbstractWebApplication.php
Access.php
Wrapper/Access.php
layouts/joomla/html/batch/access.php
libraries/cms/html/access.php
libraries/fof/model/behavior/access.php
fof/form/field/accesslevel.php
fof/form/header/accesslevel.php
joomla/form/fields/accesslevel.php
account.php
actionlog.php
actionlogplugin.php
administrator/components/com_actionlogs/actionlogs.php
administrator/components/com_actionlogs/controllers/actionlogs.php
administrator/components/com_actionlogs/helpers/actionlogs.php
administrator/components/com_actionlogs/models/actionlogs.php
plugins/privacy/actionlogs/actionlogs.php
plugins/system/actionlogs/actionlogs.php
actionlogsphp55.php
libraries/fof/form/field/actions.php
plugins/captcha/recaptcha/postinstall/actions.php
plugins/twofactorauth/totp/postinstall/actions.php
actionsdropdown.php
activities.php
activity.php
Adapter.php
adapter.php
AdapterInstance.php
addnosniff.php
addtab.php
addtabscript.php
admin.php
AdminController.php
AdministratorApplication.php
AdministratorMenu.php
AdministratorRouter.php
layouts/joomla/html/batch/adminlanguage.php
libraries/cms/html/adminlanguage.php
AdminModel.php
adsense.php
advanced.php
aes.php
com_categories/controllers/ajax.json.php
com_contact/controllers/ajax.json.php
com_content/controllers/ajax.json.php
com_menus/controllers/ajax.json.php
com_newsfeeds/controllers/ajax.json.php
administrator/components/com_ajax/ajax.php
components/com_ajax/ajax.php
ajaxchosen.php
facebook/album.php
google/data/picasa/album.php
aliastag.php
analytics.php
Apc.php
apc.php
ApcStorage.php
Apcu.php
apcu.php
ApcuStorage.php
administrator/components/com_config/controllers/application.php
administrator/components/com_config/model/application.php
administrator/components/com_config/models/application.php
libraries/legacy/application/application.php
ApplicationHelper.php
Archive.php
components/com_content/models/archive.php
libraries/joomla/archive/archive.php
libraries/joomla/archive/wrapper/archive.php
array.php
ArrayHelper.php
arrayhelper.php
administrator/components/com_content/controllers/article.php
administrator/components/com_content/models/article.php
administrator/components/com_content/models/fields/modal/article.php
components/com_content/controllers/article.php
components/com_content/models/article.php
plugins/editors-xtd/article/article.php
administrator/components/com_content/controllers/articles.php
administrator/components/com_content/models/articles.php
components/com_content/models/articles.php
phputf8/utils/ascii.php
vendor/joomla/string/src/phputf8/utils/ascii.php
Assertable.php
Asset.php
assets.php
assignees.php
administrator/components/com_associations/controllers/association.php
administrator/components/com_associations/models/association.php
administrator/components/com_categories/helpers/association.php
components/com_contact/helpers/association.php
components/com_content/helpers/association.php
components/com_newsfeeds/helpers/association.php
AssociationExtensionHelper.php
AssociationExtensionInterface.php
Associations.php
administrator/components/com_associations/associations.php
administrator/components/com_associations/controllers/associations.php
administrator/components/com_associations/helpers/associations.php
administrator/components/com_associations/models/associations.php
administrator/components/com_contact/helpers/associations.php
administrator/components/com_content/helpers/associations.php
administrator/components/com_menus/helpers/associations.php
administrator/components/com_newsfeeds/helpers/associations.php
layouts/joomla/content/associations.php
layouts/joomla/content/info_block/associations.php
layouts/joomla/edit/associations.php
AtomParser.php
AtomRenderer.php
auth.php
Authentication.php
AuthenticationHelper.php
AuthenticationResponse.php
Author.php
author.php
AuthorField.php
authorization.php
autoload-fast.php
autoload-pedantic.php
autoload-php7.php
autoload-phpunit.php
autoload.php
google/recaptcha/src/autoload.php
paragonie/sodium_compat/autoload.php
autoload_classmap.php
autoload_files.php
autoload_namespaces.php
autoload_psr4.php
autoload_real.php
autoload_static.php
autoloader.php
azure.php
Backgroundfill.php
backtrace.php
phputf8/utils/bad.php
vendor/joomla/string/src/phputf8/utils/bad.php
administrator/components/com_banners/controllers/banner.php
administrator/components/com_banners/helpers/html/banner.php
administrator/components/com_banners/models/banner.php
administrator/components/com_banners/tables/banner.php
components/com_banners/helpers/banner.php
components/com_banners/models/banner.php
bannerclient.php
administrator/components/com_banners/banners.php
administrator/components/com_banners/controllers/banners.php
administrator/components/com_banners/helpers/banners.php
administrator/components/com_banners/models/banners.php
components/com_banners/banners.php
components/com_banners/models/banners.php
administrator/components/com_associations/layouts/joomla/searchtools/default/bar.php
administrator/components/com_languages/layouts/joomla/searchtools/default/bar.php
administrator/components/com_menus/layouts/joomla/searchtools/default/bar.php
layouts/joomla/searchtools/default/bar.php
Base.php
administrator/templates/hathor/html/layouts/joomla/toolbar/base.php
layouts/joomla/toolbar/base.php
libraries/joomla/application/web/router/base.php
libraries/joomla/controller/base.php
libraries/joomla/model/base.php
libraries/joomla/view/base.php
plugins/system/stats/field/base.php
base32.php
BaseApplication.php
BaseController.php
BaseDatabaseModel.php
BaseLayout.php
administrator/components/com_redirect/layouts/toolbar/batch.php
administrator/templates/hathor/html/layouts/joomla/toolbar/batch.php
layouts/joomla/toolbar/batch.php
libraries/cms/html/batch.php
Behavior.php
cms/html/behavior.php
fof/model/behavior.php
fof/model/dispatcher/behavior.php
fof/table/behavior.php
fof/table/dispatcher/behavior.php
behindproxy.php
Binary.php
BinaryNoFuncOverload.php
BinaryOnFuncOverload.php
namespaced/Core/BLAKE2b.php
src/Core/BLAKE2b.php
src/Core32/BLAKE2b.php
blobs.php
layouts/joomla/content/info_block/block.php
libraries/joomla/twitter/block.php
components/com_content/views/category/tmpl/blog.php
plugins/sampledata/blog/blog.php
templates/beez3/html/com_content/category/blog.php
components/com_content/views/category/tmpl/blog_children.php
templates/beez3/html/com_content/category/blog_children.php
components/com_content/views/category/tmpl/blog_item.php
templates/beez3/html/com_content/category/blog_item.php
components/com_content/views/category/tmpl/blog_links.php
templates/beez3/html/com_content/category/blog_links.php
blog_style_default_item_title.php
blog_style_default_links.php
BlowfishCipher.php
installation/template/body.php
layouts/joomla/modal/body.php
boolean.php
BooleanRule.php
installation/application/bootstrap.php
libraries/cms/html/bootstrap.php
libraries/vendor/symfony/polyfill-ctype/bootstrap.php
libraries/vendor/symfony/polyfill-php55/bootstrap.php
libraries/vendor/symfony/polyfill-php56/bootstrap.php
libraries/vendor/symfony/polyfill-php71/bootstrap.php
libraries/vendor/symfony/polyfill-php73/bootstrap.php
branches.php
Brightness.php
Browser.php
Buffer.php
BufferStreamHandler.php
layouts/joomla/editors/buttons/button.php
layouts/joomla/tinymce/buttons/button.php
libraries/fof/form/field/button.php
editors/buttons.php
tinymce/buttons.php
byte_safe_strings.php
Bzip2.php
bzip2.php
src/Cache/Cache.php
vendor/simplepie/simplepie/library/SimplePie/Cache.php
administrator/components/com_cache/cache.php
administrator/components/com_cache/helpers/cache.php
administrator/components/com_cache/models/cache.php
plugins/system/cache/cache.php
CacheConnectingException.php
CacheController.php
namespaced/Core/Curve25519/Ge/Cached.php
src/Core/Curve25519/Ge/Cached.php
src/Core32/Curve25519/Ge/Cached.php
CacheExceptionInterface.php
fof/form/field/cachehandler.php
joomla/form/fields/cachehandler.php
CacheliteStorage.php
CacheStorage.php
CacheStorageHelper.php
layouts/joomla/form/field/calendar.php
libraries/fof/form/field/calendar.php
libraries/joomla/form/fields/calendar.php
libraries/joomla/google/data/calendar.php
plugins/fields/calendar/calendar.php
plugins/fields/calendar/tmpl/calendar.php
CalendarRule.php
CallbackController.php
CallbackFilterIterator.php
CallbackLogger.php
administrator/components/com_config/controller/application/cancel.php
administrator/components/com_config/controller/component/cancel.php
components/com_config/controller/cancel.php
components/com_config/controller/modules/cancel.php
canceladmin.php
components/com_modules/layouts/toolbar/cancelselect.php
templates/hathor/html/layouts/com_modules/toolbar/cancelselect.php
capabilities.php
Captcha.php
captcha.php
CaptchaField.php
CaptchaRule.php
Caption.php
captive.php
cast_to_int.php
Categories.php
administrator/components/com_categories/categories.php
administrator/components/com_categories/controllers/categories.php
administrator/components/com_categories/helpers/categories.php
administrator/components/com_categories/models/categories.php
components/com_contact/models/categories.php
components/com_content/models/categories.php
components/com_newsfeeds/models/categories.php
libraries/joomla/mediawiki/categories.php
plugins/finder/categories/categories.php
plugins/search/categories/categories.php
categories_default.php
categories_default_items.php
categoriesadministrator.php
CategoriesView.php
src/Table/Category.php
vendor/simplepie/simplepie/library/SimplePie/Category.php
administrator/components/com_categories/controllers/category.php
administrator/components/com_categories/models/category.php
administrator/components/com_categories/models/fields/modal/category.php
administrator/components/com_categories/tables/category.php
components/com_banners/helpers/category.php
components/com_contact/helpers/category.php
components/com_contact/models/category.php
components/com_content/helpers/category.php
components/com_content/models/category.php
components/com_newsfeeds/helpers/category.php
components/com_newsfeeds/models/category.php
layouts/joomla/content/info_block/category.php
libraries/cms/html/category.php
libraries/legacy/form/field/category.php
category_default.php
categoryedit.php
CategoryFactory.php
CategoryFactoryInterface.php
CategoryFeedView.php
CategoryInterface.php
CategoryNode.php
categoryparent.php
CategoryView.php
namespaced/Core/ChaCha20.php
src/Core/ChaCha20.php
src/Core32/ChaCha20.php
ChangeItem.php
ChangeSet.php
changesets.php
fof/form/field/checkbox.php
joomla/form/fields/checkbox.php
layouts/joomla/form/field/checkboxes.php
libraries/fof/form/field/checkboxes.php
libraries/joomla/form/fields/checkboxes.php
plugins/fields/checkboxes/checkboxes.php
plugins/fields/checkboxes/tmpl/checkboxes.php
administrator/components/com_checkin/checkin.php
administrator/components/com_checkin/models/checkin.php
libraries/joomla/facebook/checkin.php
chosen.php
ChromestyleField.php
CipherInterface.php
class.phpmailer.php
class.phpmaileroauth.php
class.phpmaileroauthgoogle.php
class.pop3.php
class.smtp.php
classic.php
ClassLoader.php
classmap.php
cleaner.php
src/Input/Cli.php
vendor/joomla/input/src/Cli.php
cli.php
CliApplication.php
clicks.php
administrator/components/com_banners/controllers/client.php
administrator/components/com_banners/models/client.php
administrator/components/com_banners/tables/client.php
libraries/joomla/oauth1/client.php
libraries/joomla/oauth2/client.php
ClientHelper.php
controllers/clients.php
models/clients.php
ClientWrapper.php
CliInput.php
CliOutput.php
cloud.php
components/com_config/model/cms.php
libraries/cms.php
CMSApplication.php
cmsbase.php
CMSHelper.php
CMSObject.php
CMSPlugin.php
codemirror.php
collaborators.php
Collectable.php
collection.php
CollectionAdapter.php
libraries/joomla/form/fields/color.php
plugins/fields/color/color.php
plugins/fields/color/tmpl/color.php
ColorProcessor.php
Output/Processor/ColorProcessor.php
ColorRule.php
ColorStyle.php
layouts/joomla/form/field/combo.php
libraries/joomla/form/fields/combo.php
comment.php
github/package/gists/comments.php
github/package/issues/comments.php
github/package/pulls/comments.php
github/package/repositories/comments.php
google/data/plus/comments.php
commits.php
package/data/commits.php
package/repositories/commits.php
Common.php
communications.php
companies.php
models/compare.php
views/compare/tmpl/compare.php
namespaced/Compat.php
src/Compat.php
administrator/components/com_joomlaupdate/views/default/tmpl/complete.php
components/com_users/views/registration/tmpl/complete.php
components/com_users/views/reset/tmpl/complete.php
Component.php
administrator/components/com_config/controllers/component.php
administrator/components/com_config/model/component.php
administrator/components/com_config/models/component.php
administrator/templates/hathor/component.php
administrator/templates/isis/component.php
administrator/templates/system/component.php
libraries/fof/autoloader/component.php
templates/beez3/component.php
templates/protostar/component.php
templates/system/component.php
ComponentAdapter.php
ComponentHelper.php
componentlayout.php
ComponentRecord.php
ComponentRenderer.php
fof/form/field/components.php
joomla/form/fields/components.php
componentscategory.php
compressed.php
administrator/components/com_config/config.php
administrator/components/com_config/helper/config.php
administrator/components/com_messages/controllers/config.php
administrator/components/com_messages/models/config.php
components/com_config/config.php
components/com_config/model/config.php
installation/controller/install/config.php
configcomponents.php
configuration.php
administrator/templates/hathor/html/layouts/joomla/toolbar/confirm.php
components/com_privacy/models/confirm.php
components/com_users/views/reset/tmpl/confirm.php
layouts/joomla/toolbar/confirm.php
ConfirmButton.php
confirmconsent.php
ConjunctionInterceptor.php
connecting.php
consent.php
consentbox.php
administrator/components/com_privacy/controllers/consents.php
administrator/components/com_privacy/models/consents.php
plugins/privacy/consents/consents.php
constants.php
administrator/components/com_contact/contact.php
administrator/components/com_contact/controllers/contact.php
administrator/components/com_contact/helpers/contact.php
administrator/components/com_contact/helpers/html/contact.php
administrator/components/com_contact/models/contact.php
administrator/components/com_contact/models/fields/modal/contact.php
administrator/components/com_contact/tables/contact.php
components/com_contact/contact.php
components/com_contact/controllers/contact.php
components/com_contact/models/contact.php
plugins/content/contact/contact.php
plugins/editors-xtd/contact/contact.php
plugins/privacy/contact/contact.php
contactcreator.php
contactemail.php
contactemailmessage.php
contactemailsubject.php
administrator/components/com_contact/controllers/contacts.php
administrator/components/com_contact/models/contacts.php
plugins/finder/contacts/contacts.php
plugins/search/contacts/contacts.php
src/Menu/Node/Container.php
vendor/joomla/di/src/Container.php
vendor/typo3/phar-stream-wrapper/src/Phar/Container.php
ContainerAwareInterface.php
ContainerAwareTrait.php
administrator/templates/hathor/html/layouts/joomla/toolbar/containerclose.php
layouts/joomla/toolbar/containerclose.php
ContainerExceptionInterface.php
ContainerInterface.php
administrator/templates/hathor/html/layouts/joomla/toolbar/containeropen.php
layouts/joomla/toolbar/containeropen.php
Content.php
administrator/components/com_content/content.php
administrator/components/com_content/helpers/content.php
components/com_content/content.php
libraries/cms/html/content.php
plugins/finder/content/content.php
plugins/privacy/content/content.php
plugins/search/content/content.php
contentadministrator.php
ContentHelper.php
ContentHistory.php
Observer/ContentHistory.php
administrator/components/com_contenthistory/contenthistory.php
administrator/components/com_contenthistory/helpers/contenthistory.php
components/com_contenthistory/contenthistory.php
layouts/joomla/form/field/contenthistory.php
libraries/fof/table/behavior/contenthistory.php
templates/protostar/html/layouts/joomla/form/field/contenthistory.php
ContenthistoryField.php
ContentHistoryHelper.php
contentlanguage.php
ContentlanguageField.php
contentmap.php
contents.php
ContentType.php
ContenttypeField.php
contenttypes.php
Contrast.php
administrator/components/com_actionlogs/controller.php
administrator/components/com_admin/controller.php
administrator/components/com_associations/controller.php
administrator/components/com_banners/controller.php
administrator/components/com_cache/controller.php
administrator/components/com_categories/controller.php
administrator/components/com_checkin/controller.php
administrator/components/com_config/controller.php
administrator/components/com_contact/controller.php
administrator/components/com_content/controller.php
administrator/components/com_contenthistory/controller.php
administrator/components/com_cpanel/controller.php
administrator/components/com_fields/controller.php
administrator/components/com_finder/controller.php
administrator/components/com_installer/controller.php
administrator/components/com_joomlaupdate/controller.php
administrator/components/com_languages/controller.php
administrator/components/com_login/controller.php
administrator/components/com_media/controller.php
administrator/components/com_menus/controller.php
administrator/components/com_messages/controller.php
administrator/components/com_modules/controller.php
administrator/components/com_newsfeeds/controller.php
administrator/components/com_plugins/controller.php
administrator/components/com_privacy/controller.php
administrator/components/com_redirect/controller.php
administrator/components/com_search/controller.php
administrator/components/com_tags/controller.php
administrator/components/com_templates/controller.php
administrator/components/com_users/controller.php
components/com_banners/controller.php
components/com_contact/controller.php
components/com_content/controller.php
components/com_fields/controller.php
components/com_finder/controller.php
components/com_mailto/controller.php
components/com_menus/controller.php
components/com_modules/controller.php
components/com_newsfeeds/controller.php
components/com_privacy/controller.php
components/com_search/controller.php
components/com_tags/controller.php
components/com_users/controller.php
components/com_wrapper/controller.php
libraries/fof/controller/controller.php
libraries/joomla/controller/controller.php
src/Input/Cookie.php
vendor/joomla/input/src/Cookie.php
libraries/fof/input/jinput/cookie.php
plugins/authentication/cookie/cookie.php
Copyright.php
Core.php
phputf8/mbstring/core.php
phputf8/native/core.php
vendor/joomla/string/src/phputf8/mbstring/core.php
vendor/joomla/string/src/phputf8/native/core.php
CoreContent.php
components/com_cpanel/cpanel.php
templates/hathor/cpanel.php
templates/isis/cpanel.php
create.php
create_date.php
Credit.php
Crypt.php
php-encryption/Crypto.php
vendor/paragonie/sodium_compat/namespaced/Crypto.php
vendor/paragonie/sodium_compat/src/Crypto.php
Crypto32.php
CryptoCipher.php
CryptPassword.php
CssIdentifierSubstringRule.php
csv.php
namespaced/Core/ChaCha20/Ctx.php
src/Core/ChaCha20/Ctx.php
src/Core32/ChaCha20/Ctx.php
Ctype.php
Curl.php
curl.php
CurlPost.php
CurlTransport.php
namespaced/Core/Curve25519.php
src/Core/Curve25519.php
src/Core32/Curve25519.php
CustomButton.php
DaemonApplication.php
dashboard.php
libraries/joomla/github/package/data.php
libraries/joomla/google/data.php
plugins/system/stats/field/data.php
plugins/system/stats/layouts/field/data.php
Database.php
administrator/components/com_installer/controllers/database.php
administrator/components/com_installer/models/database.php
installation/controller/database.php
installation/controller/install/database.php
installation/helper/database.php
installation/model/database.php
libraries/fof/database/database.php
libraries/joomla/database/database.php
libraries/joomla/model/database.php
libraries/joomla/session/storage/database.php
database_backup.php
database_remove.php
databaseconnection.php
DatabaseLogger.php
DataObject.php
DataSet.php
src/Date/Date.php
vendor/simplepie/simplepie/library/SimplePie/Parse/Date.php
cms/html/date.php
fof/model/field/date.php
DB.php
administrator/components/com_users/helpers/debug.php
libraries/cms/html/debug.php
plugins/system/debug/debug.php
debuggroup.php
debuguser.php
administrator/components/com_actionlogs/views/actionlogs/tmpl/default.php
administrator/components/com_admin/views/help/tmpl/default.php
administrator/components/com_admin/views/sysinfo/tmpl/default.php
administrator/components/com_associations/views/associations/tmpl/default.php
administrator/components/com_banners/views/banners/tmpl/default.php
administrator/components/com_banners/views/clients/tmpl/default.php
administrator/components/com_banners/views/download/tmpl/default.php
administrator/components/com_banners/views/tracks/tmpl/default.php
administrator/components/com_cache/views/cache/tmpl/default.php
administrator/components/com_cache/views/purge/tmpl/default.php
administrator/components/com_categories/views/categories/tmpl/default.php
administrator/components/com_checkin/views/checkin/tmpl/default.php
administrator/components/com_config/view/application/tmpl/default.php
administrator/components/com_config/view/component/tmpl/default.php
administrator/components/com_contact/views/contacts/tmpl/default.php
administrator/components/com_content/views/articles/tmpl/default.php
administrator/components/com_content/views/featured/tmpl/default.php
administrator/components/com_cpanel/views/cpanel/tmpl/default.php
administrator/components/com_fields/views/fields/tmpl/default.php
administrator/components/com_fields/views/groups/tmpl/default.php
administrator/components/com_finder/views/filters/tmpl/default.php
administrator/components/com_finder/views/index/tmpl/default.php
administrator/components/com_finder/views/indexer/tmpl/default.php
administrator/components/com_finder/views/maps/tmpl/default.php
administrator/components/com_finder/views/statistics/tmpl/default.php
administrator/components/com_installer/views/database/tmpl/default.php
administrator/components/com_installer/views/discover/tmpl/default.php
administrator/components/com_installer/views/install/tmpl/default.php
administrator/components/com_installer/views/languages/tmpl/default.php
administrator/components/com_installer/views/manage/tmpl/default.php
administrator/components/com_installer/views/update/tmpl/default.php
administrator/components/com_installer/views/updatesites/tmpl/default.php
administrator/components/com_installer/views/warnings/tmpl/default.php
administrator/components/com_joomlaupdate/models/default.php
administrator/components/com_joomlaupdate/views/default/tmpl/default.php
administrator/components/com_joomlaupdate/views/update/tmpl/default.php
administrator/components/com_languages/views/installed/tmpl/default.php
administrator/components/com_languages/views/languages/tmpl/default.php
administrator/components/com_languages/views/multilangstatus/tmpl/default.php
administrator/components/com_languages/views/overrides/tmpl/default.php
administrator/components/com_login/views/login/tmpl/default.php
administrator/components/com_media/views/images/tmpl/default.php
administrator/components/com_media/views/imageslist/tmpl/default.php
administrator/components/com_media/views/media/tmpl/default.php
administrator/components/com_media/views/medialist/tmpl/default.php
administrator/components/com_menus/layouts/joomla/searchtools/default.php
administrator/components/com_menus/views/items/tmpl/default.php
administrator/components/com_menus/views/menus/tmpl/default.php
administrator/components/com_menus/views/menutypes/tmpl/default.php
administrator/components/com_messages/views/config/tmpl/default.php
administrator/components/com_messages/views/message/tmpl/default.php
administrator/components/com_messages/views/messages/tmpl/default.php
administrator/components/com_modules/views/modules/tmpl/default.php
administrator/components/com_modules/views/preview/tmpl/default.php
administrator/components/com_modules/views/select/tmpl/default.php
administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php
administrator/components/com_plugins/views/plugins/tmpl/default.php
administrator/components/com_postinstall/views/messages/tmpl/default.php
administrator/components/com_privacy/views/capabilities/tmpl/default.php
administrator/components/com_privacy/views/consents/tmpl/default.php
administrator/components/com_privacy/views/dashboard/tmpl/default.php
administrator/components/com_privacy/views/request/tmpl/default.php
administrator/components/com_privacy/views/requests/tmpl/default.php
administrator/components/com_redirect/views/links/tmpl/default.php
administrator/components/com_search/views/searches/tmpl/default.php
administrator/components/com_tags/views/tags/tmpl/default.php
administrator/components/com_templates/views/styles/tmpl/default.php
administrator/components/com_templates/views/template/tmpl/default.php
administrator/components/com_templates/views/templates/tmpl/default.php
administrator/components/com_users/views/debuggroup/tmpl/default.php
administrator/components/com_users/views/debuguser/tmpl/default.php
administrator/components/com_users/views/groups/tmpl/default.php
administrator/components/com_users/views/levels/tmpl/default.php
administrator/components/com_users/views/mail/tmpl/default.php
administrator/components/com_users/views/notes/tmpl/default.php
administrator/components/com_users/views/users/tmpl/default.php
administrator/modules/mod_custom/tmpl/default.php
administrator/modules/mod_feed/tmpl/default.php
administrator/modules/mod_latest/tmpl/default.php
administrator/modules/mod_latestactions/tmpl/default.php
administrator/modules/mod_logged/tmpl/default.php
administrator/modules/mod_login/tmpl/default.php
administrator/modules/mod_menu/tmpl/default.php
administrator/modules/mod_multilangstatus/tmpl/default.php
administrator/modules/mod_popular/tmpl/default.php
administrator/modules/mod_privacy_dashboard/tmpl/default.php
administrator/modules/mod_quickicon/tmpl/default.php
administrator/modules/mod_sampledata/tmpl/default.php
administrator/modules/mod_stats_admin/tmpl/default.php
administrator/modules/mod_status/tmpl/default.php
administrator/modules/mod_submenu/tmpl/default.php
administrator/modules/mod_title/tmpl/default.php
administrator/modules/mod_toolbar/tmpl/default.php
administrator/modules/mod_version/tmpl/default.php
administrator/templates/hathor/html/com_admin/help/default.php
administrator/templates/hathor/html/com_admin/sysinfo/default.php
administrator/templates/hathor/html/com_associations/associations/default.php
administrator/templates/hathor/html/com_banners/banners/default.php
administrator/templates/hathor/html/com_banners/clients/default.php
administrator/templates/hathor/html/com_banners/download/default.php
administrator/templates/hathor/html/com_banners/tracks/default.php
administrator/templates/hathor/html/com_cache/cache/default.php
administrator/templates/hathor/html/com_cache/purge/default.php
administrator/templates/hathor/html/com_categories/categories/default.php
administrator/templates/hathor/html/com_checkin/checkin/default.php
administrator/templates/hathor/html/com_config/application/default.php
administrator/templates/hathor/html/com_config/component/default.php
administrator/templates/hathor/html/com_contact/contacts/default.php
administrator/templates/hathor/html/com_content/articles/default.php
administrator/templates/hathor/html/com_content/featured/default.php
administrator/templates/hathor/html/com_cpanel/cpanel/default.php
administrator/templates/hathor/html/com_fields/fields/default.php
administrator/templates/hathor/html/com_fields/groups/default.php
administrator/templates/hathor/html/com_finder/filters/default.php
administrator/templates/hathor/html/com_finder/index/default.php
administrator/templates/hathor/html/com_finder/maps/default.php
administrator/templates/hathor/html/com_installer/database/default.php
administrator/templates/hathor/html/com_installer/discover/default.php
administrator/templates/hathor/html/com_installer/install/default.php
administrator/templates/hathor/html/com_installer/languages/default.php
administrator/templates/hathor/html/com_installer/manage/default.php
administrator/templates/hathor/html/com_installer/update/default.php
administrator/templates/hathor/html/com_installer/warnings/default.php
administrator/templates/hathor/html/com_joomlaupdate/default/default.php
administrator/templates/hathor/html/com_languages/installed/default.php
administrator/templates/hathor/html/com_languages/languages/default.php
administrator/templates/hathor/html/com_languages/overrides/default.php
administrator/templates/hathor/html/com_menus/items/default.php
administrator/templates/hathor/html/com_menus/menus/default.php
administrator/templates/hathor/html/com_menus/menutypes/default.php
administrator/templates/hathor/html/com_messages/messages/default.php
administrator/templates/hathor/html/com_modules/modules/default.php
administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php
administrator/templates/hathor/html/com_plugins/plugins/default.php
administrator/templates/hathor/html/com_postinstall/messages/default.php
administrator/templates/hathor/html/com_redirect/links/default.php
administrator/templates/hathor/html/com_search/searches/default.php
administrator/templates/hathor/html/com_tags/tags/default.php
administrator/templates/hathor/html/com_templates/styles/default.php
administrator/templates/hathor/html/com_templates/template/default.php
administrator/templates/hathor/html/com_templates/templates/default.php
administrator/templates/hathor/html/com_users/debuggroup/default.php
administrator/templates/hathor/html/com_users/debuguser/default.php
administrator/templates/hathor/html/com_users/groups/default.php
administrator/templates/hathor/html/com_users/levels/default.php
administrator/templates/hathor/html/com_users/notes/default.php
administrator/templates/hathor/html/com_users/users/default.php
administrator/templates/hathor/html/com_weblinks/weblinks/default.php
administrator/templates/hathor/html/mod_login/default.php
administrator/templates/hathor/html/mod_quickicon/default.php
administrator/templates/isis/html/mod_version/default.php
components/com_config/view/config/tmpl/default.php
components/com_config/view/modules/tmpl/default.php
components/com_config/view/templates/tmpl/default.php
components/com_contact/views/categories/tmpl/default.php
components/com_contact/views/category/tmpl/default.php
components/com_contact/views/contact/tmpl/default.php
components/com_contact/views/featured/tmpl/default.php
components/com_content/views/archive/tmpl/default.php
components/com_content/views/article/tmpl/default.php
components/com_content/views/categories/tmpl/default.php
components/com_content/views/category/tmpl/default.php
components/com_content/views/featured/tmpl/default.php
components/com_finder/views/search/tmpl/default.php
components/com_mailto/views/mailto/tmpl/default.php
components/com_mailto/views/sent/tmpl/default.php
components/com_newsfeeds/views/categories/tmpl/default.php
components/com_newsfeeds/views/category/tmpl/default.php
components/com_newsfeeds/views/newsfeed/tmpl/default.php
components/com_privacy/views/confirm/tmpl/default.php
components/com_privacy/views/remind/tmpl/default.php
components/com_privacy/views/request/tmpl/default.php
components/com_search/views/search/tmpl/default.php
components/com_tags/views/tag/tmpl/default.php
components/com_tags/views/tags/tmpl/default.php
components/com_users/views/login/tmpl/default.php
components/com_users/views/profile/tmpl/default.php
components/com_users/views/registration/tmpl/default.php
components/com_users/views/remind/tmpl/default.php
components/com_users/views/reset/tmpl/default.php
components/com_wrapper/views/wrapper/tmpl/default.php
installation/controller/default.php
installation/view/complete/tmpl/default.php
installation/view/database/tmpl/default.php
installation/view/default.php
installation/view/defaultlanguage/tmpl/default.php
installation/view/ftp/tmpl/default.php
installation/view/install/tmpl/default.php
installation/view/languages/tmpl/default.php
installation/view/preinstall/tmpl/default.php
installation/view/remove/tmpl/default.php
installation/view/site/tmpl/default.php
installation/view/summary/tmpl/default.php
layouts/joomla/form/field/subform/default.php
layouts/joomla/searchtools/default.php
modules/mod_articles_archive/tmpl/default.php
modules/mod_articles_categories/tmpl/default.php
modules/mod_articles_category/tmpl/default.php
modules/mod_articles_latest/tmpl/default.php
modules/mod_articles_news/tmpl/default.php
modules/mod_articles_popular/tmpl/default.php
modules/mod_banners/tmpl/default.php
modules/mod_breadcrumbs/tmpl/default.php
modules/mod_custom/tmpl/default.php
modules/mod_feed/tmpl/default.php
modules/mod_finder/tmpl/default.php
modules/mod_footer/tmpl/default.php
modules/mod_languages/tmpl/default.php
modules/mod_login/tmpl/default.php
modules/mod_menu/tmpl/default.php
modules/mod_random_image/tmpl/default.php
modules/mod_related_items/tmpl/default.php
modules/mod_search/tmpl/default.php
modules/mod_stats/tmpl/default.php
modules/mod_syndicate/tmpl/default.php
modules/mod_tags_popular/tmpl/default.php
modules/mod_tags_similar/tmpl/default.php
modules/mod_users_latest/tmpl/default.php
modules/mod_whosonline/tmpl/default.php
modules/mod_wrapper/tmpl/default.php
plugins/content/pagenavigation/tmpl/default.php
plugins/installer/folderinstaller/tmpl/default.php
plugins/installer/packageinstaller/tmpl/default.php
plugins/installer/urlinstaller/tmpl/default.php
templates/beez3/html/com_contact/categories/default.php
templates/beez3/html/com_contact/category/default.php
templates/beez3/html/com_contact/contact/default.php
templates/beez3/html/com_content/archive/default.php
templates/beez3/html/com_content/article/default.php
templates/beez3/html/com_content/categories/default.php
templates/beez3/html/com_content/category/default.php
templates/beez3/html/com_content/featured/default.php
templates/beez3/html/com_newsfeeds/categories/default.php
templates/beez3/html/com_newsfeeds/category/default.php
templates/beez3/html/com_weblinks/categories/default.php
templates/beez3/html/com_weblinks/category/default.php
templates/beez3/html/mod_breadcrumbs/default.php
templates/beez3/html/mod_languages/default.php
templates/beez3/html/mod_login/default.php
default_addform.php
components/com_contact/views/contact/tmpl/default_address.php
templates/beez3/html/com_contact/contact/default_address.php
components/com_contact/views/contact/tmpl/default_articles.php
components/com_content/views/category/tmpl/default_articles.php
templates/beez3/html/com_contact/contact/default_articles.php
templates/beez3/html/com_content/category/default_articles.php
default_batch.php
com_banners/views/banners/tmpl/default_batch_body.php
com_categories/views/categories/tmpl/default_batch_body.php
com_contact/views/contacts/tmpl/default_batch_body.php
com_content/views/articles/tmpl/default_batch_body.php
com_fields/views/fields/tmpl/default_batch_body.php
com_fields/views/groups/tmpl/default_batch_body.php
com_menus/views/items/tmpl/default_batch_body.php
com_modules/views/modules/tmpl/default_batch_body.php
com_newsfeeds/views/newsfeeds/tmpl/default_batch_body.php
com_redirect/views/links/tmpl/default_batch_body.php
com_tags/views/tags/tmpl/default_batch_body.php
com_users/views/users/tmpl/default_batch_body.php
com_banners/views/banners/tmpl/default_batch_footer.php
com_categories/views/categories/tmpl/default_batch_footer.php
com_contact/views/contacts/tmpl/default_batch_footer.php
com_content/views/articles/tmpl/default_batch_footer.php
com_fields/views/fields/tmpl/default_batch_footer.php
com_fields/views/groups/tmpl/default_batch_footer.php
com_menus/views/items/tmpl/default_batch_footer.php
com_modules/views/modules/tmpl/default_batch_footer.php
com_newsfeeds/views/newsfeeds/tmpl/default_batch_footer.php
com_redirect/views/links/tmpl/default_batch_footer.php
com_tags/views/tags/tmpl/default_batch_footer.php
com_users/views/users/tmpl/default_batch_footer.php
components/com_config/view/application/tmpl/default_cache.php
templates/hathor/html/com_config/application/default_cache.php
components/com_contact/views/category/tmpl/default_children.php
components/com_content/views/category/tmpl/default_children.php
components/com_newsfeeds/views/category/tmpl/default_children.php
templates/beez3/html/com_contact/category/default_children.php
templates/beez3/html/com_content/category/default_children.php
templates/beez3/html/com_newsfeeds/category/default_children.php
templates/beez3/html/com_weblinks/category/default_children.php
default_component.php
components/com_admin/views/sysinfo/tmpl/default_config.php
templates/hathor/html/com_admin/sysinfo/default_config.php
components/com_config/view/application/tmpl/default_cookie.php
templates/hathor/html/com_config/application/default_cookie.php
default_core.php
default_custom.php
components/com_config/view/application/tmpl/default_database.php
templates/hathor/html/com_config/application/default_database.php
components/com_config/view/application/tmpl/default_debug.php
templates/hathor/html/com_config/application/default_debug.php
components/com_templates/views/template/tmpl/default_description.php
templates/hathor/html/com_templates/template/default_description.php
components/com_admin/views/sysinfo/tmpl/default_directory.php
templates/hathor/html/com_admin/sysinfo/default_directory.php
default_error.php
languages/default_filter.php
manage/default_filter.php
components/com_config/view/application/tmpl/default_filters.php
templates/hathor/html/com_config/application/default_filters.php
administrator/components/com_media/views/imageslist/tmpl/default_folder.php
administrator/templates/isis/html/com_media/imageslist/default_folder.php
templates/protostar/html/com_media/imageslist/default_folder.php
components/com_media/views/media/tmpl/default_folders.php
components/com_templates/views/template/tmpl/default_folders.php
templates/hathor/html/com_templates/template/default_folders.php
administrator/templates/hathor/html/com_installer/install/default_form.php
components/com_contact/views/contact/tmpl/default_form.php
components/com_finder/views/search/tmpl/default_form.php
components/com_search/views/search/tmpl/default_form.php
templates/beez3/html/com_contact/contact/default_form.php
components/com_config/view/application/tmpl/default_ftp.php
components/com_installer/views/default/tmpl/default_ftp.php
templates/hathor/html/com_config/application/default_ftp.php
templates/hathor/html/com_installer/default/default_ftp.php
templates/hathor/html/com_languages/installed/default_ftp.php
components/com_config/view/application/tmpl/default_ftplogin.php
templates/hathor/html/com_config/application/default_ftplogin.php
default_heading.php
administrator/components/com_media/views/imageslist/tmpl/default_image.php
administrator/templates/isis/html/com_media/imageslist/default_image.php
templates/protostar/html/com_media/imageslist/default_image.php
administrator/components/com_installer/views/discover/tmpl/default_item.php
components/com_content/views/featured/tmpl/default_item.php
templates/beez3/html/com_content/featured/default_item.php
components/com_contact/views/categories/tmpl/default_items.php
components/com_contact/views/category/tmpl/default_items.php
components/com_contact/views/featured/tmpl/default_items.php
components/com_content/views/archive/tmpl/default_items.php
components/com_content/views/categories/tmpl/default_items.php
components/com_newsfeeds/views/categories/tmpl/default_items.php
components/com_newsfeeds/views/category/tmpl/default_items.php
components/com_tags/views/tag/tmpl/default_items.php
components/com_tags/views/tags/tmpl/default_items.php
modules/mod_articles_categories/tmpl/default_items.php
templates/beez3/html/com_contact/categories/default_items.php
templates/beez3/html/com_contact/category/default_items.php
templates/beez3/html/com_content/archive/default_items.php
templates/beez3/html/com_content/categories/default_items.php
templates/beez3/html/com_newsfeeds/categories/default_items.php
templates/beez3/html/com_newsfeeds/category/default_items.php
templates/beez3/html/com_weblinks/categories/default_items.php
templates/beez3/html/com_weblinks/category/default_items.php
components/com_contact/views/contact/tmpl/default_links.php
components/com_content/views/article/tmpl/default_links.php
components/com_content/views/featured/tmpl/default_links.php
templates/beez3/html/com_contact/contact/default_links.php
templates/beez3/html/com_content/article/default_links.php
templates/beez3/html/com_content/featured/default_links.php
components/com_config/view/application/tmpl/default_locale.php
templates/hathor/html/com_config/application/default_locale.php
default_login.php
components/com_users/views/login/tmpl/default_logout.php
modules/mod_login/tmpl/default_logout.php
templates/beez3/html/mod_login/default_logout.php
components/com_config/view/application/tmpl/default_mail.php
templates/hathor/html/com_config/application/default_mail.php
default_message.php
administrator/components/com_config/view/application/tmpl/default_metadata.php
administrator/templates/hathor/html/com_config/application/default_metadata.php
components/com_config/view/config/tmpl/default_metadata.php
default_modal_copy_body.php
default_modal_copy_footer.php
default_modal_delete_body.php
default_modal_delete_footer.php
default_modal_file_body.php
default_modal_file_footer.php
default_modal_folder_body.php
default_modal_folder_footer.php
default_modal_rename_body.php
default_modal_rename_footer.php
default_modal_resize_body.php
default_modal_resize_footer.php
components/com_config/view/application/tmpl/default_navigation.php
components/com_config/view/component/tmpl/default_navigation.php
components/com_media/views/media/tmpl/default_navigation.php
templates/hathor/html/com_admin/sysinfo/default_navigation.php
templates/hathor/html/com_config/application/default_navigation.php
default_nodownload.php
default_noupdate.php
modules/tmpl/default_options.php
templates/tmpl/default_options.php
default_params.php
components/com_config/view/application/tmpl/default_permissions.php
templates/hathor/html/com_config/application/default_permissions.php
default_phpinfo.php
components/com_admin/views/sysinfo/tmpl/default_phpsettings.php
templates/hathor/html/com_admin/sysinfo/default_phpsettings.php
default_positions.php
default_preupdatecheck.php
components/com_contact/views/contact/tmpl/default_profile.php
templates/beez3/html/com_contact/contact/default_profile.php
default_proxy.php
default_reinstall.php
default_result.php
com_finder/views/search/tmpl/default_results.php
com_search/views/search/tmpl/default_results.php
administrator/components/com_config/view/application/tmpl/default_seo.php
administrator/templates/hathor/html/com_config/application/default_seo.php
components/com_config/view/config/tmpl/default_seo.php
default_separator.php
components/com_config/view/application/tmpl/default_server.php
templates/hathor/html/com_config/application/default_server.php
components/com_config/view/application/tmpl/default_session.php
templates/hathor/html/com_config/application/default_session.php
administrator/components/com_config/view/application/tmpl/default_site.php
administrator/templates/hathor/html/com_config/application/default_site.php
components/com_config/view/config/tmpl/default_site.php
default_submenu.php
components/com_admin/views/sysinfo/tmpl/default_system.php
components/com_config/view/application/tmpl/default_system.php
templates/hathor/html/com_admin/sysinfo/default_system.php
templates/hathor/html/com_config/application/default_system.php
components/com_templates/views/template/tmpl/default_tree.php
templates/hathor/html/com_templates/template/default_tree.php
default_update.php
default_updatemefirst.php
default_upload.php
default_url.php
components/com_contact/views/contact/tmpl/default_user_custom_fields.php
templates/beez3/html/com_contact/contact/default_user_custom_fields.php
administrator/includes/defines.php
includes/defines.php
installation/application/defines.php
DelegatingDispatcher.php
DelegatingPsrLogger.php
deletefiles.php
components/com_media/layouts/toolbar/deletemedia.php
templates/hathor/html/layouts/com_media/toolbar/deletemedia.php
DependencyResolutionException.php
DeserializationException.php
administrator/components/com_media/views/medialist/tmpl/details.php
administrator/templates/hathor/html/layouts/joomla/edit/details.php
layouts/joomla/edit/details.php
details_doc.php
details_docs.php
details_folder.php
details_folders.php
details_img.php
details_imgs.php
details_up.php
details_video.php
details_videos.php
detectftproot.php
directmessages.php
directories.php
directory.php
DisallowedClassesSubstitutor.php
controllers/discover.php
models/discover.php
Dispatcher.php
fof/config/domain/dispatcher.php
fof/dispatcher/dispatcher.php
fof/utils/observable/dispatcher.php
joomla/event/dispatcher.php
legacy/dispatcher/dispatcher.php
DispatcherAwareInterface.php
DispatcherAwareTrait.php
DispatcherInterface.php
administrator/components/com_config/controller/application/display.php
administrator/components/com_config/controller/component/display.php
components/com_config/controller/config/display.php
components/com_config/controller/display.php
components/com_config/controller/modules/display.php
components/com_config/controller/templates/display.php
administrator/templates/hathor/html/layouts/plugins/user/profile/fields/dob.php
layouts/plugins/user/profile/fields/dob.php
plugins/user/profile/field/dob.php
Document.php
document.php
DocumentRenderer.php
domain.php
administrator/components/com_banners/models/download.php
libraries/fof/download/download.php
downloads.php
DownloadSource.php
fof/database/driver.php
joomla/database/driver.php
dropdown.php
DumpableInterface.php
Dumper.php
DumpException.php
eaccelerator.php
EasyPeasyICS.php
EchoLogger.php
namespaced/Core/Ed25519.php
src/Core/Ed25519.php
src/Core32/Ed25519.php
Edgedetect.php
administrator/components/com_admin/views/profile/tmpl/edit.php
administrator/components/com_associations/views/association/tmpl/edit.php
administrator/components/com_banners/views/banner/tmpl/edit.php
administrator/components/com_banners/views/client/tmpl/edit.php
administrator/components/com_categories/views/category/tmpl/edit.php
administrator/components/com_contact/views/contact/tmpl/edit.php
administrator/components/com_content/views/article/tmpl/edit.php
administrator/components/com_fields/views/field/tmpl/edit.php
administrator/components/com_fields/views/group/tmpl/edit.php
administrator/components/com_finder/views/filter/tmpl/edit.php
administrator/components/com_languages/views/language/tmpl/edit.php
administrator/components/com_languages/views/override/tmpl/edit.php
administrator/components/com_menus/views/item/tmpl/edit.php
administrator/components/com_menus/views/menu/tmpl/edit.php
administrator/components/com_messages/views/message/tmpl/edit.php
administrator/components/com_modules/views/module/tmpl/edit.php
administrator/components/com_newsfeeds/views/newsfeed/tmpl/edit.php
administrator/components/com_plugins/views/plugin/tmpl/edit.php
administrator/components/com_privacy/views/request/tmpl/edit.php
administrator/components/com_redirect/views/link/tmpl/edit.php
administrator/components/com_tags/views/tag/tmpl/edit.php
administrator/components/com_templates/views/style/tmpl/edit.php
administrator/components/com_users/views/group/tmpl/edit.php
administrator/components/com_users/views/level/tmpl/edit.php
administrator/components/com_users/views/note/tmpl/edit.php
administrator/components/com_users/views/user/tmpl/edit.php
administrator/templates/hathor/html/com_admin/profile/edit.php
administrator/templates/hathor/html/com_banners/banner/edit.php
administrator/templates/hathor/html/com_banners/client/edit.php
administrator/templates/hathor/html/com_categories/category/edit.php
administrator/templates/hathor/html/com_contact/contact/edit.php
administrator/templates/hathor/html/com_content/article/edit.php
administrator/templates/hathor/html/com_fields/field/edit.php
administrator/templates/hathor/html/com_fields/group/edit.php
administrator/templates/hathor/html/com_menus/item/edit.php
administrator/templates/hathor/html/com_menus/menu/edit.php
administrator/templates/hathor/html/com_messages/message/edit.php
administrator/templates/hathor/html/com_modules/module/edit.php
administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php
administrator/templates/hathor/html/com_plugins/plugin/edit.php
administrator/templates/hathor/html/com_tags/tag/edit.php
administrator/templates/hathor/html/com_templates/style/edit.php
administrator/templates/hathor/html/com_users/note/edit.php
administrator/templates/hathor/html/com_users/user/edit.php
administrator/templates/hathor/html/com_weblinks/weblink/edit.php
components/com_content/views/form/tmpl/edit.php
components/com_users/views/profile/tmpl/edit.php
layouts/joomla/content/icons/edit.php
templates/beez3/html/com_content/form/edit.php
templates/beez3/html/com_weblinks/form/edit.php
components/com_modules/views/module/tmpl/edit_assignment.php
components/com_templates/views/style/tmpl/edit_assignment.php
templates/hathor/html/com_modules/module/edit_assignment.php
templates/hathor/html/com_templates/style/edit_assignment.php
com_categories/views/category/tmpl/edit_associations.php
com_contact/views/contact/tmpl/edit_associations.php
com_content/views/article/tmpl/edit_associations.php
com_menus/views/item/tmpl/edit_associations.php
com_newsfeeds/views/newsfeed/tmpl/edit_associations.php
edit_container.php
edit_display.php
edit_groups.php
edit_lock.php
components/com_categories/views/category/tmpl/edit_metadata.php
components/com_contact/views/contact/tmpl/edit_metadata.php
components/com_content/views/article/tmpl/edit_metadata.php
components/com_newsfeeds/views/newsfeed/tmpl/edit_metadata.php
components/com_tags/views/tag/tmpl/edit_metadata.php
templates/hathor/html/com_tags/tag/edit_metadata.php
layouts/joomla/menu/edit_modules.php
views/item/tmpl/edit_modules.php
components/com_menus/views/item/tmpl/edit_options.php
components/com_modules/views/module/tmpl/edit_options.php
components/com_plugins/views/plugin/tmpl/edit_options.php
components/com_tags/views/tag/tmpl/edit_options.php
components/com_templates/views/style/tmpl/edit_options.php
templates/hathor/html/com_categories/category/edit_options.php
templates/hathor/html/com_menus/item/edit_options.php
templates/hathor/html/com_modules/module/edit_options.php
templates/hathor/html/com_plugins/plugin/edit_options.php
templates/hathor/html/com_tags/tag/edit_options.php
templates/hathor/html/com_templates/style/edit_options.php
components/com_contact/views/contact/tmpl/edit_params.php
components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php
templates/hathor/html/com_contact/contact/edit_params.php
templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php
templates/hathor/html/com_weblinks/weblink/edit_params.php
edit_positions.php
Editor.php
libraries/fof/form/field/editor.php
plugins/fields/editor/editor.php
plugins/fields/editor/tmpl/editor.php
EditorField.php
libraries/fof/database/query/element.php
libraries/joomla/database/query/element.php
plugins/editors/codemirror/layouts/editors/codemirror/element.php
elements.php
installation/controller/install/email.php
layouts/joomla/content/icons/email.php
layouts/joomla/form/field/email.php
libraries/cms/html/email.php
libraries/fof/form/field/email.php
libraries/joomla/form/fields/email.php
emailcloak.php
EmailRule.php
emails.php
embed.php
Emboss.php
emptynonzero.php
administrator/language/en-GB/en-GB.localise.php
language/en-GB/en-GB.localise.php
enabled.php
Enclosure.php
encyclopedia.php
endtab.php
endtabset.php
Entities.php
eos310.php
EqualsRule.php
administrator/templates/hathor/error.php
administrator/templates/isis/error.php
administrator/templates/system/error.php
libraries/legacy/error/error.php
templates/beez3/error.php
templates/protostar/error.php
templates/system/error.php
error_polyfill.php
ErrorDocument.php
Escaper.php
Event.php
fof/utils/observable/event.php
joomla/event/event.php
joomla/facebook/event.php
EventImmutable.php
EventInterface.php
activity/events.php
issues/events.php
simplepie/simplepie/library/SimplePie/Exception.php
typo3/phar-stream-wrapper/src/Exception.php
database/exception.php
exception/exception.php
ExceptionHandler.php
ExceptionInterface.php
executing.php
ExistsRule.php
export.php
exporter.php
Extension.php
administrator/components/com_actionlogs/models/fields/extension.php
administrator/components/com_installer/models/extension.php
libraries/fof/utils/update/extension.php
ExtensionAdapter.php
ExtensionHelper.php
extensionstatus.php
extensionupdate.php
extractable.php
ExtractableInterface.php
facebook.php
src/Factory.php
vendor/joomla/registry/src/Factory.php
fof/database/factory.php
joomla/database/factory.php
legacy/simplepie/factory.php
FactoryWrapper.php
favorites.php
namespaced/Core/Curve25519/Fe.php
src/Core/Curve25519/Fe.php
src/Core32/Curve25519/Fe.php
feature.php
administrator/components/com_content/controllers/featured.php
administrator/components/com_content/models/featured.php
administrator/components/com_content/tables/featured.php
components/com_contact/models/featured.php
components/com_content/models/featured.php
Feed.php
FeedDocument.php
FeedEnclosure.php
FeedEntry.php
FeedFactory.php
FeedImage.php
FeedItem.php
FeedLink.php
FeedParser.php
FeedPerson.php
administrator/components/com_fields/controllers/field.php
administrator/components/com_fields/models/field.php
administrator/components/com_fields/tables/field.php
administrator/components/com_privacy/helpers/export/field.php
libraries/fof/form/field.php
libraries/fof/form/header/field.php
libraries/fof/model/field.php
fieldcontexts.php
fielddate.php
fieldfilterable.php
fieldgroups.php
fieldlayout.php
administrator/components/com_fields/controllers/fields.php
administrator/components/com_fields/fields.php
administrator/components/com_fields/helpers/fields.php
administrator/components/com_fields/models/fields.php
components/com_fields/fields.php
plugins/content/fields/fields.php
plugins/editors-xtd/fields/fields.php
plugins/system/fields/fields.php
fieldsearchable.php
fieldselectable.php
administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php
layouts/joomla/edit/fieldset.php
fieldslistplugin.php
fieldsplugin.php
fieldsql.php
file.json.php
src/Filesystem/File.php
vendor/joomla/filesystem/src/File.php
vendor/paragonie/sodium_compat/namespaced/File.php
vendor/paragonie/sodium_compat/src/File.php
vendor/simplepie/simplepie/library/SimplePie/Cache/File.php
vendor/simplepie/simplepie/library/SimplePie/File.php
administrator/components/com_media/controllers/file.php
layouts/joomla/form/field/file.php
libraries/fof/layout/file.php
libraries/joomla/form/fields/file.php
FileAdapter.php
FileLayout.php
filelist.php
FilePathRule.php
src/Input/Files.php
vendor/joomla/input/src/Files.php
files.php
filescheck.php
FileStorage.php
integration/joomla/filesystem/filesystem.php
platform/filesystem/filesystem.php
FilesystemException.php
FilesystemHelper.php
FileWrapper.php
administrator/components/com_finder/controllers/filter.php
administrator/components/com_finder/models/filter.php
administrator/components/com_finder/tables/filter.php
components/com_finder/helpers/html/filter.php
filterdate.php
filterfilterable.php
administrator/components/com_config/model/field/filters.php
administrator/components/com_finder/controllers/filters.php
administrator/components/com_finder/models/filters.php
layouts/joomla/searchtools/default/filters.php
libraries/fof/model/behavior/filters.php
filtersearchable.php
filterselectable.php
filtersql.php
finaliseconfirm.php
administrator/components/com_finder/finder.php
administrator/components/com_finder/helpers/finder.php
administrator/components/com_finder/helpers/html/finder.php
components/com_finder/finder.php
plugins/content/finder/finder.php
finder_indexer.php
fof.php
src/Filesystem/Folder.php
vendor/joomla/filesystem/src/Folder.php
com_installer/models/fields/folder.php
com_media/controllers/folder.php
folderinstaller.php
folderlist.php
FolderWrapper.php
followers.php
fonts.php
footer.php
fopen.php
forks.php
package/repositories/forks.php
Form.php
components/com_config/model/form.php
components/com_content/models/form.php
libraries/cms/html/form.php
libraries/fof/form/form.php
libraries/fof/view/form.php
plugins/twofactorauth/totp/tmpl/form.php
plugins/twofactorauth/yubikey/tmpl/form.php
FormatInterface.php
FormattedtextLogger.php
formbehavior.php
FormController.php
FormField.php
FormHelper.php
FormModel.php
FormRule.php
FormWrapper.php
administrator/language/fr-FR/fr-FR.localise.php
language/fr-FR/fr-FR.localise.php
fr.php
administrator/includes/framework.php
includes/framework.php
installation/application/framework.php
friends.php
frontediting_modules.php
FrontendlanguageField.php
controller/ftp.php
model/ftp.php
src/Client/FtpClient.php
vendor/joomla/filesystem/src/Clients/FtpClient.php
full_image.php
garbagecron.php
gists.php
github.php
gitignore.php
administrator/templates/hathor/html/layouts/joomla/edit/global.php
layouts/joomla/edit/global.php
gmail.php
google.php
gps.php
Grayscale.php
cms/html/grid.php
joomla/grid/grid.php
administrator/components/com_fields/controllers/group.php
administrator/components/com_fields/models/group.php
administrator/components/com_fields/tables/group.php
administrator/components/com_users/controllers/group.php
administrator/components/com_users/models/group.php
libraries/joomla/facebook/group.php
groupclose.php
groupedbutton.php
fof/form/field/groupedlist.php
joomla/form/fields/groupedlist.php
groupopen.php
groupparent.php
administrator/components/com_fields/controllers/groups.php
administrator/components/com_fields/models/groups.php
administrator/components/com_users/controllers/groups.php
administrator/components/com_users/models/groups.php
libraries/joomla/linkedin/groups.php
groupsclose.php
groupseparator.php
groupsopen.php
gzdecode.php
Gzip.php
gzip.php
namespaced/Core/Curve25519/H.php
src/Core/Curve25519/H.php
src/Core32/Curve25519/H.php
hathormessage.php
namespaced/Core/HChaCha20.php
src/Core/HChaCha20.php
src/Core32/HChaCha20.php
layouts/joomla/modal/header.php
libraries/fof/form/header.php
HeadertagField.php
Heading.php
HeadRenderer.php
Help.php
administrator/components/com_admin/models/help.php
administrator/templates/hathor/html/layouts/joomla/toolbar/help.php
layouts/joomla/toolbar/help.php
libraries/joomla/twitter/help.php
HelpButton.php
joomla/filesystem/src/Helper.php
typo3/phar-stream-wrapper/src/Helper.php
administrator/components/com_finder/helpers/indexer/helper.php
administrator/components/com_privacy/helpers/html/helper.php
administrator/includes/helper.php
administrator/modules/mod_feed/helper.php
administrator/modules/mod_latest/helper.php
administrator/modules/mod_latestactions/helper.php
administrator/modules/mod_logged/helper.php
administrator/modules/mod_login/helper.php
administrator/modules/mod_menu/helper.php
administrator/modules/mod_popular/helper.php
administrator/modules/mod_privacy_dashboard/helper.php
administrator/modules/mod_quickicon/helper.php
administrator/modules/mod_sampledata/helper.php
administrator/modules/mod_stats_admin/helper.php
administrator/modules/mod_version/helper.php
components/com_config/controller/helper.php
installation/html/helper.php
libraries/fof/form/helper.php
libraries/fof/layout/helper.php
libraries/fof/utils/config/helper.php
modules/mod_articles_archive/helper.php
modules/mod_articles_categories/helper.php
modules/mod_articles_category/helper.php
modules/mod_articles_latest/helper.php
modules/mod_articles_news/helper.php
modules/mod_articles_popular/helper.php
modules/mod_banners/helper.php
modules/mod_breadcrumbs/helper.php
modules/mod_feed/helper.php
modules/mod_finder/helper.php
modules/mod_languages/helper.php
modules/mod_login/helper.php
modules/mod_menu/helper.php
modules/mod_random_image/helper.php
modules/mod_related_items/helper.php
modules/mod_search/helper.php
modules/mod_stats/helper.php
modules/mod_syndicate/helper.php
modules/mod_tags_popular/helper.php
modules/mod_tags_similar/helper.php
modules/mod_users_latest/helper.php
modules/mod_whosonline/helper.php
modules/mod_wrapper/helper.php
HelpsiteField.php
layouts/joomla/form/field/hidden.php
libraries/fof/form/field/hidden.php
libraries/joomla/form/fields/hidden.php
highlight.php
controllers/history.php
models/history.php
hits.php
hooks.php
package/repositories/hooks.php
horizontal.php
namespaced/Core/HSalsa20.php
src/Core/HSalsa20.php
src/Core32/HSalsa20.php
htaccess.php
htaccesssvg.php
administrator/components/com_config/view/application/html.php
administrator/components/com_config/view/component/html.php
administrator/components/com_finder/helpers/indexer/parser/html.php
components/com_config/view/cms/html.php
components/com_config/view/config/html.php
components/com_config/view/modules/html.php
components/com_config/view/templates/html.php
installation/view/complete/html.php
installation/view/defaultlanguage/html.php
installation/view/install/html.php
installation/view/languages/html.php
installation/view/preinstall/html.php
installation/view/remove/html.php
installation/view/summary/html.php
libraries/fof/view/html.php
libraries/joomla/view/html.php
HtmlDocument.php
htmlfilter.php
HTMLHelper.php
HtmlView.php
Http.php
github/http.php
mediawiki/http.php
HttpBridgePostRequestMethod.php
HttpFactory.php
administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php
components/com_content/helpers/icon.php
layouts/joomla/quickicons/icon.php
administrator/templates/hathor/html/layouts/joomla/toolbar/iconclass.php
layouts/joomla/toolbar/iconclass.php
layouts/joomla/content/icons.php
libraries/cms/html/icons.php
idna_convert/idna_convert.class.php
vendor/simplepie/simplepie/idn/idna_convert.class.php
namespaced/Core/ChaCha20/IetfCtx.php
src/Core/ChaCha20/IetfCtx.php
src/Core32/ChaCha20/IetfCtx.php
iframe.php
src/Image/Image.php
vendor/joomla/image/src/Image.php
layouts/joomla/html/image.php
libraries/fof/form/field/image.php
plugins/editors-xtd/image/image.php
ImageDocument.php
src/Image/ImageFilter.php
vendor/joomla/image/src/ImageFilter.php
libraries/fof/form/field/imagelist.php
libraries/joomla/form/fields/imagelist.php
plugins/fields/imagelist/imagelist.php
plugins/fields/imagelist/tmpl/imagelist.php
images.php
impmade.php
import.legacy.php
import.php
importer.php
imptotal.php
include.php
administrator/components/com_finder/controllers/index.php
administrator/components/com_finder/models/index.php
administrator/index.php
administrator/templates/hathor/index.php
administrator/templates/isis/index.php
administrator/templates/system/index.php
index.php
installation/index.php
installation/template/index.php
templates/beez3/index.php
templates/protostar/index.php
templates/system/index.php
indexer.json.php
helpers/indexer/indexer.php
models/indexer.php
Inflector.php
inflector.php
info.php
info_block.php
Ini.php
init.php
Inline.php
src/Input/Input.php
vendor/joomla/input/src/Input.php
input.php
jinput/input.php
src/Filter/InputFilter.php
vendor/joomla/filter/src/InputFilter.php
controllers/install.php
models/install.php
administrator/components/com_languages/controllers/installed.php
administrator/components/com_languages/models/installed.php
libraries/vendor/composer/installed.php
InstalledVersions.php
Installer.php
administrator/components/com_installer/helpers/installer.php
administrator/components/com_installer/installer.php
libraries/fof/database/installer.php
InstallerAdapter.php
InstallerExtension.php
InstallerHelper.php
InstallerScript.php
installscript.php
Int32.php
Int64.php
libraries/fof/form/field/integer.php
libraries/joomla/form/fields/integer.php
plugins/fields/integer/integer.php
plugins/fields/integer/tmpl/integer.php
fof/config/domain/interface.php
fof/database/interface.php
fof/download/interface.php
fof/encrypt/aes/interface.php
fof/hal/render/interface.php
fof/platform/filesystem/interface.php
fof/platform/interface.php
joomla/database/interface.php
joomla/observable/interface.php
joomla/observer/interface.php
joomla/observer/updater/interface.php
joomla/session/handler/interface.php
intro_image.php
InvalidArgumentException.php
ip.php
IpHelper.php
IPv6.php
IRI.php
issues.php
Item.php
administrator/components/com_menus/controllers/item.php
administrator/components/com_menus/models/item.php
administrator/components/com_privacy/helpers/export/item.php
layouts/joomla/html/batch/item.php
item_title.php
itemlanguage.php
ItemModel.php
controllers/items.php
models/items.php
itemtype.php
fof/database/iterator.php
joomla/database/iterator.php
ItunesRssParser.php
jgrid.php
jobs.php
libraries/cms/less/formatter/joomla.php
libraries/fof/database/driver/joomla.php
libraries/fof/less/formatter/joomla.php
libraries/fof/render/joomla.php
libraries/fof/utils/update/joomla.php
libraries/joomla/session/handler/joomla.php
plugins/actionlog/joomla/joomla.php
plugins/authentication/joomla/joomla.php
plugins/content/joomla/joomla.php
plugins/extension/joomla/joomla.php
plugins/user/joomla/joomla.php
joomla3.php
joomla40checks.php
administrator/components/com_joomlaupdate/helpers/joomlaupdate.php
administrator/components/com_joomlaupdate/joomlaupdate.php
plugins/quickicon/joomlaupdate/joomlaupdate.php
jquery.php
src/Input/Json.php
vendor/joomla/input/src/Json.php
vendor/joomla/registry/src/Format/Json.php
administrator/components/com_config/view/application/json.php
components/com_config/view/cms/json.php
installation/response/json.php
libraries/fof/hal/render/json.php
libraries/fof/input/jinput/json.php
libraries/fof/view/json.php
JsonDocument.php
JsonException.php
JsonResponse.php
jsonresponse.php
JsonSerializable.php
jsstrings.php
JTextWrapper.php
Key.php
bin/keychain.php
libraries/joomla/keychain/keychain.php
KeyNotFoundException.php
repositories/keys.php
users/keys.php
system/privacyconsent/label.php
user/terms/label.php
labels.php
langforum.php
Language/Language.php
Table/Language.php
administrator/components/com_finder/helpers/language.php
administrator/components/com_languages/controllers/language.php
administrator/components/com_languages/models/language.php
installation/form/field/language.php
layouts/joomla/content/language.php
layouts/joomla/html/batch/language.php
libraries/fof/form/field/language.php
libraries/fof/form/header/language.php
libraries/fof/model/behavior/language.php
libraries/joomla/form/fields/language.php
languageaccess340.php
LanguageAdapter.php
languageclient.php
languagecode.php
languagefilter.php
LanguageHelper.php
LanguageHelperWrapper.php
administrator/components/com_installer/models/languages.php
administrator/components/com_languages/controllers/languages.php
administrator/components/com_languages/helpers/html/languages.php
administrator/components/com_languages/helpers/languages.php
administrator/components/com_languages/languages.php
administrator/components/com_languages/models/languages.php
installation/controller/install/languages.php
installation/model/languages.php
LanguageStemmer.php
LastvisitdaterangeField.php
LayoutHelper.php
LayoutInterface.php
ldap.php
LdapClient.php
LegacyFactory.php
com_contact/helpers/legacyrouter.php
com_content/helpers/legacyrouter.php
com_newsfeeds/helpers/legacyrouter.php
com_users/helpers/legacyrouter.php
cms/less/less.php
fof/less/less.php
lessc.inc.php
lessify.inc.php
lessjs.php
controllers/level.php
models/level.php
controllers/levels.php
models/fields/levels.php
models/levels.php
LibraryAdapter.php
LibraryHelper.php
LibraryManifest.php
fof/database/query/limitable.php
joomla/database/query/limitable.php
LimitboxField.php
administrator/components/com_finder/tables/link.php
administrator/components/com_redirect/controllers/link.php
administrator/components/com_redirect/models/link.php
administrator/components/com_redirect/tables/link.php
administrator/templates/hathor/html/layouts/joomla/toolbar/link.php
administrator/templates/isis/html/layouts/joomla/pagination/link.php
layouts/joomla/links/link.php
layouts/joomla/pagination/link.php
layouts/joomla/toolbar/link.php
libraries/fof/hal/link.php
libraries/joomla/facebook/link.php
LinkButton.php
linkedin.php
administrator/components/com_redirect/controllers/links.php
administrator/components/com_redirect/models/links.php
administrator/templates/isis/html/layouts/joomla/pagination/links.php
layouts/joomla/pagination/links.php
libraries/cms/html/links.php
libraries/fof/hal/links.php
libraries/joomla/mediawiki/links.php
administrator/components/com_media/models/list.php
components/com_tags/views/tag/tmpl/list.php
layouts/joomla/pagination/list.php
layouts/joomla/searchtools/default/list.php
libraries/cms/html/list.php
libraries/fof/form/field/list.php
libraries/joomla/form/fields/list.php
plugins/fields/list/list.php
plugins/fields/list/tmpl/list.php
list_items.php
ListenersPriorityQueue.php
ListModel.php
lists.php
cms/class/loader.php
loader.php
loadmodule.php
location.php
Locator.php
log.php
Log.php
logcreator.php
LogEntry.php
logexception.php
Logger.php
LoggerAwareInterface.php
LoggerAwareTrait.php
LoggerInterface.php
LoggerTrait.php
administrator/components/com_login/login.php
administrator/components/com_login/models/login.php
administrator/templates/hathor/login.php
administrator/templates/isis/login.php
components/com_users/models/login.php
loginuniquefield.php
LogLevel.php
logout.php
logoutuniquefield.php
logrotation.php
logsdaterange.php
logstable.php
logtype.php
Mail.php
controllers/mail.php
models/mail.php
MailHelper.php
helpers/mailto.php
mailto.php
models/mailto.php
MailWrapper.php
main.php
controllers/manage.php
helpers/html/manage.php
models/manage.php
Manager.php
manager.php
src/Installer/Manifest.php
vendor/typo3/phar-stream-wrapper/src/Phar/Manifest.php
map.php
mapper.php
wrapper/mapper.php
administrator/components/com_finder/controllers/maps.php
administrator/components/com_finder/models/maps.php
libraries/joomla/google/embed/maps.php
markdown.php
mcrypt.php
McryptCipher.php
administrator/components/com_media/helpers/media.php
administrator/components/com_media/media.php
administrator/templates/isis/html/layouts/joomla/form/field/media.php
components/com_media/media.php
layouts/joomla/form/field/media.php
libraries/fof/form/field/media.php
plugins/fields/media/media.php
plugins/fields/media/tmpl/media.php
templates/protostar/html/layouts/joomla/form/field/media.php
MediaField.php
MediaHelper.php
MediaRssParser.php
mediawiki.php
members.php
joomla/session/Joomla/Session/Storage/Memcache.php
simplepie/simplepie/library/SimplePie/Cache/Memcache.php
memcache.php
Memcached.php
memcached.php
MemcachedStorage.php
MemcacheStorage.php
Menu.php
administrator/components/com_menus/controllers/menu.php
administrator/components/com_menus/models/fields/modal/menu.php
administrator/components/com_menus/models/menu.php
administrator/components/com_menus/tables/menu.php
administrator/modules/mod_menu/menu.php
libraries/cms/html/menu.php
plugins/editors-xtd/menu/menu.php
MenuField.php
MenuHelper.php
MenuItem.php
menuitembytype.php
MenuitemField.php
menuordering.php
menuparent.php
menupreset.php
MenuRules.php
administrator/components/com_menus/controllers/menus.php
administrator/components/com_menus/helpers/html/menus.php
administrator/components/com_menus/helpers/menus.php
administrator/components/com_menus/menus.php
administrator/components/com_menus/models/menus.php
components/com_menus/menus.php
MenuType.php
menutype.php
menutypes.php
merging.php
administrator/components/com_messages/controllers/message.php
administrator/components/com_messages/models/message.php
administrator/components/com_messages/tables/message.php
administrator/components/com_postinstall/controllers/message.php
administrator/templates/isis/html/layouts/joomla/system/message.php
layouts/joomla/system/message.php
layouts/plugins/system/privacyconsent/message.php
layouts/plugins/user/terms/message.php
plugins/privacy/message/message.php
plugins/system/stats/layouts/message.php
templates/beez3/html/layouts/joomla/system/message.php
templates/protostar/html/layouts/joomla/system/message.php
MessagequeueLogger.php
MessageRenderer.php
com_messages/controllers/messages.php
com_messages/helpers/html/messages.php
com_messages/helpers/messages.php
com_messages/messages.php
com_messages/models/messages.php
com_postinstall/models/messages.php
messagestates.php
meta.php
administrator/templates/hathor/html/layouts/joomla/edit/metadata.php
layouts/joomla/edit/metadata.php
MetadataManager.php
layouts/joomla/form/field/meter.php
libraries/joomla/form/fields/meter.php
Microdata.php
milestones.php
package/issues/milestones.php
Misc.php
MissingComponentException.php
mod_articles_archive.php
mod_articles_categories.php
mod_articles_category.php
mod_articles_latest.php
mod_articles_news.php
mod_articles_popular.php
mod_banners.php
mod_breadcrumbs.php
administrator/modules/mod_custom/mod_custom.php
modules/mod_custom/mod_custom.php
administrator/modules/mod_feed/mod_feed.php
modules/mod_feed/mod_feed.php
mod_finder.php
mod_footer.php
mod_languages.php
mod_latest.php
mod_latestactions.php
mod_logged.php
administrator/modules/mod_login/mod_login.php
modules/mod_login/mod_login.php
administrator/modules/mod_menu/mod_menu.php
modules/mod_menu/mod_menu.php
mod_multilangstatus.php
mod_popular.php
mod_privacy_dashboard.php
mod_quickicon.php
mod_random_image.php
mod_related_items.php
mod_sampledata.php
mod_search.php
mod_stats.php
mod_stats_admin.php
mod_status.php
mod_submenu.php
mod_syndicate.php
mod_tags_popular.php
mod_tags_similar.php
mod_title.php
mod_toolbar.php
mod_users_latest.php
mod_version.php
mod_whosonline.php
mod_wrapper.php
administrator/components/com_associations/views/associations/tmpl/modal.php
administrator/components/com_categories/views/categories/tmpl/modal.php
administrator/components/com_categories/views/category/tmpl/modal.php
administrator/components/com_contact/views/contact/tmpl/modal.php
administrator/components/com_contact/views/contacts/tmpl/modal.php
administrator/components/com_content/views/article/tmpl/modal.php
administrator/components/com_content/views/articles/tmpl/modal.php
administrator/components/com_contenthistory/views/history/tmpl/modal.php
administrator/components/com_fields/views/fields/tmpl/modal.php
administrator/components/com_menus/views/item/tmpl/modal.php
administrator/components/com_menus/views/items/tmpl/modal.php
administrator/components/com_modules/views/module/tmpl/modal.php
administrator/components/com_modules/views/modules/tmpl/modal.php
administrator/components/com_modules/views/positions/tmpl/modal.php
administrator/components/com_newsfeeds/views/newsfeed/tmpl/modal.php
administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php
administrator/components/com_plugins/views/plugin/tmpl/modal.php
administrator/components/com_users/views/notes/tmpl/modal.php
administrator/components/com_users/views/users/tmpl/modal.php
administrator/templates/hathor/html/com_contact/contacts/modal.php
administrator/templates/hathor/html/com_content/articles/modal.php
administrator/templates/hathor/html/com_contenthistory/history/modal.php
administrator/templates/hathor/html/com_modules/positions/modal.php
administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php
administrator/templates/hathor/html/com_users/users/modal.php
administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php
layouts/joomla/toolbar/modal.php
com_categories/views/category/tmpl/modal_associations.php
com_contact/views/contact/tmpl/modal_associations.php
com_content/views/article/tmpl/modal_associations.php
com_menus/views/item/tmpl/modal_associations.php
com_newsfeeds/views/newsfeed/tmpl/modal_associations.php
modal_display.php
modal_extrafields.php
com_categories/views/category/tmpl/modal_metadata.php
com_contact/views/contact/tmpl/modal_metadata.php
com_content/views/article/tmpl/modal_metadata.php
com_newsfeeds/views/newsfeed/tmpl/modal_metadata.php
com_categories/views/category/tmpl/modal_options.php
com_menus/views/item/tmpl/modal_options.php
com_contact/views/contact/tmpl/modal_params.php
com_newsfeeds/views/newsfeed/tmpl/modal_params.php
modalassociation.php
fof/form/field/model.php
fof/form/header/model.php
fof/model/model.php
joomla/model/model.php
modify_date.php
Module.php
administrator/components/com_modules/controllers/module.php
administrator/components/com_modules/models/module.php
plugins/editors-xtd/module/module.php
ModuleAdapter.php
ModuleHelper.php
modulelayout.php
ModuleLayoutRule.php
moduleorder.php
ModuleorderField.php
ModulepositionField.php
ModuleRenderer.php
administrator/components/com_modules/controllers/modules.php
administrator/components/com_modules/helpers/html/modules.php
administrator/components/com_modules/helpers/modules.php
administrator/components/com_modules/models/modules.php
administrator/components/com_modules/modules.php
administrator/templates/hathor/html/modules.php
administrator/templates/isis/html/modules.php
administrator/templates/system/html/modules.php
components/com_config/model/modules.php
components/com_modules/modules.php
templates/beez3/html/modules.php
templates/protostar/html/modules.php
templates/system/html/modules.php
modulesmodule.php
modulesposition.php
ModulesRenderer.php
ModuletagField.php
multilangstatus.php
Multilanguage.php
MVCFactory.php
MVCFactoryInterface.php
mysettings.php
MySQL.php
administrator/components/com_finder/helpers/indexer/driver/mysql.php
libraries/fof/database/driver/mysql.php
libraries/fof/database/iterator/mysql.php
libraries/fof/database/query/mysql.php
libraries/joomla/database/driver/mysql.php
libraries/joomla/database/exporter/mysql.php
libraries/joomla/database/importer/mysql.php
libraries/joomla/database/iterator/mysql.php
libraries/joomla/database/query/mysql.php
libraries/legacy/database/mysql.php
MysqlChangeItem.php
fof/database/driver/mysqli.php
fof/database/iterator/mysqli.php
fof/database/query/mysqli.php
joomla/database/driver/mysqli.php
joomla/database/exporter/mysqli.php
joomla/database/importer/mysqli.php
joomla/database/iterator/mysqli.php
joomla/database/query/mysqli.php
legacy/database/mysqli.php
namespaced.php
NamespaceParserInterface.php
native.php
navigation.php
Negate.php
Nested.php
nested.php
components/com_media/layouts/toolbar/newfolder.php
templates/hathor/html/layouts/com_media/toolbar/newfolder.php
components/com_modules/layouts/toolbar/newmodule.php
templates/hathor/html/layouts/com_modules/toolbar/newmodule.php
administrator/components/com_newsfeeds/controllers/newsfeed.php
administrator/components/com_newsfeeds/helpers/html/newsfeed.php
administrator/components/com_newsfeeds/models/fields/modal/newsfeed.php
administrator/components/com_newsfeeds/models/newsfeed.php
administrator/components/com_newsfeeds/tables/newsfeed.php
components/com_newsfeeds/models/newsfeed.php
administrator/components/com_newsfeeds/controllers/newsfeeds.php
administrator/components/com_newsfeeds/helpers/newsfeeds.php
administrator/components/com_newsfeeds/models/fields/newsfeeds.php
administrator/components/com_newsfeeds/models/newsfeeds.php
administrator/components/com_newsfeeds/newsfeeds.php
components/com_newsfeeds/newsfeeds.php
plugins/finder/newsfeeds/newsfeeds.php
plugins/search/newsfeeds/newsfeeds.php
Node.php
node.php
noitems.php
NomenuRules.php
None.php
libraries/joomla/session/storage/none.php
plugins/editors/none/none.php
Normalise.php
normalise.php
NotAllowed.php
administrator/components/com_users/controllers/note.php
administrator/components/com_users/models/note.php
administrator/components/com_users/tables/note.php
libraries/joomla/facebook/note.php
libraries/joomla/form/fields/note.php
NotequalsRule.php
controllers/notes.php
models/notes.php
NotFoundExceptionInterface.php
notifications.php
ntlm_sasl_client.php
NullLogger.php
layouts/joomla/form/field/number.php
libraries/cms/html/number.php
libraries/fof/model/field/number.php
libraries/joomla/form/fields/number.php
NumberRule.php
facebook/oauth.php
linkedin/oauth.php
openstreetmap/oauth.php
twitter/oauth.php
oauth2.php
fof/utils/object/object.php
joomla/facebook/object.php
joomla/github/object.php
joomla/linkedin/object.php
joomla/mediawiki/object.php
joomla/openstreetmap/object.php
joomla/twitter/object.php
observable.php
observer.php
protostar/offline.php
system/offline.php
OpensearchDocument.php
OpensearchImage.php
OpensearchUrl.php
openssl.php
openstreetmap.php
options_default.php
OptionsRule.php
fof/database/driver/oracle.php
fof/database/iterator/oracle.php
fof/database/query/oracle.php
joomla/database/driver/oracle.php
joomla/database/iterator/oracle.php
joomla/database/query/oracle.php
phputf8/ord.php
vendor/joomla/string/src/phputf8/ord.php
field/ordering.php
header/ordering.php
OrderingField.php
orgs.php
Original.php
OutputController.php
src/Filter/OutputFilter.php
vendor/joomla/filter/src/OutputFilter.php
OutputFilterWrapper.php
controllers/override.php
models/override.php
controllers/overrides.php
models/overrides.php
namespaced/Core/Curve25519/Ge/P1p1.php
src/Core/Curve25519/Ge/P1p1.php
src/Core32/Curve25519/Ge/P1p1.php
namespaced/Core/Curve25519/Ge/P2.php
src/Core/Curve25519/Ge/P2.php
src/Core32/Curve25519/Ge/P2.php
namespaced/Core/Curve25519/Ge/P3.php
src/Core/Curve25519/Ge/P3.php
src/Core32/Curve25519/Ge/P3.php
p3p.php
package.php
PackageAdapter.php
packageinstaller.php
PackageManifest.php
administrator/components/com_content/views/article/tmpl/pagebreak.php
plugins/content/pagebreak/pagebreak.php
plugins/editors-xtd/pagebreak/pagebreak.php
PageController.php
pagenavigation.php
pages.php
Pagination.php
administrator/templates/hathor/html/pagination.php
administrator/templates/isis/html/pagination.php
templates/protostar/html/pagination.php
PaginationObject.php
administrator/templates/hathor/html/layouts/joomla/edit/params.php
layouts/joomla/edit/params.php
parent_category.php
ParseException.php
simplepie/simplepie/library/SimplePie/HTTP/Parser.php
simplepie/simplepie/library/SimplePie/Parser.php
simplepie/simplepie/library/SimplePie/XML/Declaration/Parser.php
symfony/yaml/Parser.php
administrator/components/com_finder/helpers/indexer/parser.php
libraries/fof/less/parser/parser.php
libraries/fof/utils/ini/parser.php
layouts/joomla/form/field/password.php
libraries/fof/form/field/password.php
libraries/joomla/form/fields/password.php
libraries/vendor/ircmaxell/password-compat/lib/password.php
PasswordHash.php
PasswordRule.php
src/Filesystem/Patcher.php
vendor/joomla/filesystem/src/Patcher.php
src/Filesystem/Path.php
vendor/joomla/filesystem/src/Path.php
Pathway.php
PathWrapper.php
phputf8/utils/patterns.php
vendor/joomla/string/src/phputf8/utils/patterns.php
fof/database/driver/pdo.php
fof/database/iterator/pdo.php
fof/database/query/pdo.php
joomla/database/driver/pdo.php
joomla/database/iterator/pdo.php
joomla/database/query/pdo.php
fof/database/driver/pdomysql.php
fof/database/iterator/pdomysql.php
fof/database/query/pdomysql.php
joomla/database/driver/pdomysql.php
joomla/database/exporter/pdomysql.php
joomla/database/importer/pdomysql.php
joomla/database/iterator/pdomysql.php
joomla/database/query/pdomysql.php
google/data/plus/people.php
linkedin/people.php
driver/pgsql.php
exporter/pgsql.php
importer/pgsql.php
iterator/pgsql.php
query/pgsql.php
PharExtensionInterceptor.php
PharInvocation.php
PharInvocationCollection.php
PharInvocationResolver.php
PharMetaDataInterceptor.php
PharStreamWrapper.php
facebook/photo.php
google/data/picasa/photo.php
Php.php
Php55.php
Php55ArrayColumn.php
Php56.php
Php71.php
php72compat.php
php72compat_const.php
Php73.php
phpfunc.php
phpmailer.lang-en_gb.php
PHPMailerAutoload.php
phpsetting.php
phpversioncheck.php
picasa.php
places.php
fof/integration/joomla/platform.php
fof/platform/platform.php
joomla/platform.php
platform_check.php
com_plugins/controllers/plugin.php
com_plugins/models/plugin.php
com_privacy/helpers/plugin.php
PluginAdapter.php
pluginelement.php
PluginHelper.php
plugininfo.php
pluginordering.php
administrator/components/com_plugins/controllers/plugins.php
administrator/components/com_plugins/helpers/plugins.php
administrator/components/com_plugins/models/plugins.php
administrator/components/com_plugins/plugins.php
libraries/fof/form/field/plugins.php
libraries/joomla/form/fields/plugins.php
PluginstatusField.php
plugintype.php
plus.php
namespaced/Core/Poly1305.php
src/Core/Poly1305.php
src/Core32/Poly1305.php
administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php
layouts/joomla/toolbar/popup.php
PopupButton.php
porter_en.php
Porteren.php
phputf8/utils/position.php
vendor/joomla/string/src/phputf8/utils/position.php
positions.php
Post.php
post.php
administrator/components/com_finder/helpers/indexer/driver/postgresql.php
libraries/fof/database/driver/postgresql.php
libraries/fof/database/iterator/postgresql.php
libraries/fof/database/query/postgresql.php
libraries/joomla/database/driver/postgresql.php
libraries/joomla/database/exporter/postgresql.php
libraries/joomla/database/importer/postgresql.php
libraries/joomla/database/iterator/postgresql.php
libraries/joomla/database/query/postgresql.php
PostgresqlChangeItem.php
postinstall.php
namespaced/Core/Curve25519/Ge/Precomp.php
src/Core/Curve25519/Ge/Precomp.php
src/Core32/Curve25519/Ge/Precomp.php
predefinedlist.php
field/prefix.php
rule/prefix.php
preinstall.php
fof/database/query/preparable.php
joomla/database/query/preparable.php
controllers/preview.php
models/preview.php
views/preview/tmpl/preview.php
print_popup.php
print_screen.php
Priority.php
administrator/components/com_privacy/helpers/privacy.php
administrator/components/com_privacy/privacy.php
components/com_privacy/privacy.php
plugins/system/privacyconsent/field/privacy.php
privacycheck.php
privacyconsent.php
private.php
ProcessorInterface.php
administrator/components/com_admin/controllers/profile.php
administrator/components/com_admin/models/profile.php
components/com_users/controllers/profile.php
components/com_users/models/profile.php
libraries/joomla/twitter/profile.php
plugins/user/profile/profile.php
Profiler.php
ProtectedKeyException.php
provider.php
ProviderAwareAuthenticationPluginInterface.php
publish_date.php
field/published.php
header/published.php
publishingdata.php
pulls.php
punycode.php
PunycodeHelper.php
administrator/components/com_finder/helpers/indexer/query.php
components/com_content/helpers/query.php
components/com_finder/helpers/html/query.php
libraries/fof/database/query.php
libraries/joomla/database/query.php
layouts/joomla/form/field/radio.php
libraries/fof/form/field/radio.php
libraries/joomla/form/fields/radio.php
plugins/fields/radio/radio.php
plugins/fields/radio/tmpl/radio.php
random.php
random_bytes_com_dotnet.php
random_bytes_dev_urandom.php
random_bytes_libsodium.php
random_bytes_libsodium_legacy.php
random_bytes_mcrypt.php
random_bytes_openssl.php
random_int.php
randval.php
randvalinterface.php
layouts/joomla/form/field/range.php
libraries/joomla/form/fields/range.php
rating.php
Rating.php
raw.php
RawDocument.php
Reader.php
ReaderException.php
layouts/joomla/content/readmore.php
plugins/editors-xtd/readmore/readmore.php
readonly.php
recaptcha.php
ReCaptcha.php
recaptcha_invisible.php
administrator/components/com_redirect/helpers/html/redirect.php
administrator/components/com_redirect/helpers/redirect.php
administrator/components/com_redirect/models/fields/redirect.php
administrator/components/com_redirect/redirect.php
plugins/system/redirect/redirect.php
RedirectStatusField.php
redis.php
RedisStorage.php
package/data/refs.php
refs.php
controllers/registration.php
models/registration.php
RegistrationdaterangeField.php
joomla/registry/src/Registry.php
simplepie/simplepie/library/SimplePie/Registry.php
relation.php
relations.php
remember.php
com_privacy/models/remind.php
com_users/controllers/remind.php
com_users/models/remind.php
remove.php
removefolder.php
removeroot.php
com_contact/layouts/field/render.php
com_contact/layouts/fields/render.php
com_fields/layouts/field/render.php
com_fields/layouts/fields/render.php
components/com_contact/layouts/joomla/form/renderfield.php
components/com_users/layouts/joomla/form/renderfield.php
layouts/joomla/form/renderfield.php
renderlabel.php
repeatable-table.php
layouts/joomla/form/field/subform/repeatable.php
libraries/joomla/form/fields/repeatable.php
plugins/fields/repeatable/repeatable.php
plugins/fields/repeatable/tmpl/repeatable.php
repositories.php
administrator/components/com_privacy/controllers/request.php
administrator/components/com_privacy/models/request.php
administrator/components/com_privacy/tables/request.php
components/com_privacy/controllers/request.php
components/com_privacy/models/request.php
libraries/legacy/request/request.php
request.xml.php
RequestMethod.php
RequestParameters.php
controllers/requests.php
models/requests.php
requeststatus.php
requesttype.php
controllers/reset.php
models/reset.php
Resolvable.php
src/Http/Response.php
vendor/google/recaptcha/src/ReCaptcha/Response.php
response.php
rest.php
restore.php
restore_finalisation.php
Restriction.php
result.php
Rijndael256Cipher.php
Ristretto255.php
ristretto255.php
Route.php
components/com_contact/helpers/route.php
components/com_content/helpers/route.php
components/com_finder/helpers/route.php
components/com_newsfeeds/helpers/route.php
components/com_tags/helpers/route.php
components/com_users/helpers/route.php
libraries/joomla/route/wrapper/route.php
RouteHelper.php
RouteNotFoundException.php
Router.php
components/com_banners/router.php
components/com_contact/router.php
components/com_content/router.php
components/com_finder/router.php
components/com_newsfeeds/router.php
components/com_privacy/router.php
components/com_search/router.php
components/com_tags/router.php
components/com_users/router.php
components/com_wrapper/router.php
installation/application/router.php
libraries/joomla/application/web/router.php
RouterBase.php
RouterInterface.php
RouterLegacy.php
RouterView.php
RouterViewConfiguration.php
rowselect.php
RssParser.php
RssRenderer.php
rtf.php
Rule.php
Rules.php
cms/html/rules.php
fof/form/field/rules.php
joomla/form/fields/rules.php
RulesInterface.php
RulesRule.php
RuntimeException.php
namespaced/Core/Salsa20.php
src/Core/Salsa20.php
src/Core32/Salsa20.php
controller/install/sample.php
form/field/sample.php
Sanitize.php
administrator/components/com_config/controller/application/save.php
administrator/components/com_config/controller/component/save.php
components/com_config/controller/config/save.php
components/com_config/controller/modules/save.php
components/com_config/controller/templates/save.php
script.php
administrator/components/com_search/helpers/search.php
administrator/components/com_search/search.php
components/com_finder/models/search.php
components/com_search/models/search.php
components/com_search/search.php
libraries/joomla/github/package/search.php
libraries/joomla/mediawiki/search.php
libraries/joomla/twitter/search.php
controllers/searches.php
models/searches.php
searchfilter.php
SearchHelper.php
searchtools.php
section-byfieldsets.php
table/section-byfieldsets.php
administrator/components/com_fields/models/fields/section.php
layouts/joomla/form/field/subform/repeatable/section.php
layouts/joomla/form/field/subform/repeatable-table/section.php
SectionNotFoundException.php
sef.php
administrator/components/com_joomlaupdate/helpers/select.php
administrator/components/com_modules/models/select.php
libraries/cms/html/select.php
selector.php
selectrow.php
sendtestmail.php
Separator.php
administrator/templates/hathor/html/layouts/joomla/toolbar/separator.php
layouts/joomla/toolbar/separator.php
SeparatorButton.php
ServiceProviderInterface.php
src/Session/Session.php
vendor/joomla/session/Joomla/Session/Session.php
session.php
sessiongc.php
sessionGc.php
fof/form/field/sessionhandler.php
joomla/form/fields/sessionhandler.php
sessionMetadataGc.php
setdefaultlanguage.php
setlanguage.php
setoptions.php
setup.php
sidebar.php
simple.php
SimpleCipher.php
simplecrypt.php
SimpleCryptPassword.php
SimplePie.php
namespaced/Core/SipHash.php
src/Core/SipHash.php
src/Core32/SipHash.php
administrator/components/com_search/helpers/site.php
installation/controller/site.php
SiteApplication.php
SiteMenu.php
SitePathway.php
SiteRouter.php
sites.php
Sketchy.php
skins.php
administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php
layouts/joomla/toolbar/slider.php
SliderButton.php
sliders.php
Smooth.php
Sniffer.php
snowball.php
Socket.php
SocketPost.php
SocketTransport.php
sodium_compat.php
SodiumCipher.php
SodiumException.php
sort.php
layouts/joomla/html/sortablelist.php
libraries/cms/html/sortablelist.php
Source.php
fof/form/field/spacer.php
joomla/form/fields/spacer.php
phputf8/utils/specials.php
vendor/joomla/string/src/phputf8/utils/specials.php
SplFixedArray.php
libraries/fof/form/field/sql.php
libraries/joomla/form/fields/sql.php
plugins/fields/sql/sql.php
plugins/fields/sql/tmpl/sql.php
fof/database/driver/sqlazure.php
fof/database/query/sqlazure.php
joomla/database/driver/sqlazure.php
joomla/database/iterator/sqlazure.php
joomla/database/query/sqlazure.php
legacy/database/sqlazure.php
fof/database/driver/sqlite.php
fof/database/iterator/sqlite.php
fof/database/query/sqlite.php
joomla/database/driver/sqlite.php
joomla/database/iterator/sqlite.php
joomla/database/query/sqlite.php
administrator/components/com_finder/helpers/indexer/driver/sqlsrv.php
libraries/fof/database/driver/sqlsrv.php
libraries/fof/database/iterator/sqlsrv.php
libraries/fof/database/query/sqlsrv.php
libraries/joomla/database/driver/sqlsrv.php
libraries/joomla/database/iterator/sqlsrv.php
libraries/joomla/database/query/sqlsrv.php
libraries/legacy/database/sqlsrv.php
SqlsrvChangeItem.php
administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php
layouts/joomla/toolbar/standard.php
StandardButton.php
StandardRules.php
starring.php
starttabset.php
starttabsetscript.php
namespaced/Core/Poly1305/State.php
src/Core/Poly1305/State.php
src/Core/SecretStream/State.php
src/Core32/Poly1305/State.php
src/Core32/SecretStream/State.php
administrator/components/com_finder/models/statistics.php
libraries/joomla/github/package/repositories/statistics.php
layouts/stats.php
stats.php
statscollection.php
administrator/components/com_privacy/helpers/removal/status.php
libraries/joomla/facebook/status.php
github/package/repositories/statuses.php
github/statuses.php
twitter/statuses.php
StatusField.php
Stdout.php
stemmer.php
Storage.php
storage.php
store.php
phputf8/str_ireplace.php
vendor/joomla/string/src/phputf8/str_ireplace.php
phputf8/str_pad.php
vendor/joomla/string/src/phputf8/str_pad.php
phputf8/str_split.php
vendor/joomla/string/src/phputf8/str_split.php
strapper.php
phputf8/strcasecmp.php
vendor/joomla/string/src/phputf8/strcasecmp.php
phputf8/strcspn.php
vendor/joomla/string/src/phputf8/strcspn.php
stream-xchacha20.php
src/Filesystem/Stream.php
vendor/joomla/filesystem/src/Stream.php
stream.php
StreamString.php
StreamTransport.php
filesystem/src/Stream/String.php
string/src/String.php
cms/html/string.php
joomla/string/string.php
src/Filesystem/Support/StringController.php
vendor/joomla/filesystem/src/Support/StringController.php
StringHelper.php
strings.json.php
strings.php
StringWrapper.php
phputf8/stristr.php
vendor/joomla/string/src/phputf8/stristr.php
phputf8/strrev.php
vendor/joomla/string/src/phputf8/strrev.php
phputf8/strspn.php
vendor/joomla/string/src/phputf8/strspn.php
Stub.php
controllers/style.php
models/style.php
tables/style.php
administrator/components/com_templates/controllers/styles.php
administrator/components/com_templates/models/styles.php
plugins/editors/codemirror/layouts/editors/codemirror/styles.php
subform.php
SubFormRule.php
administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php
layouts/joomla/sidebars/submenu.php
phputf8/substr_replace.php
vendor/joomla/string/src/phputf8/substr_replace.php
subtoolbar.php
suggestions.json.php
suggestions.php
summary.php
switcher.php
sysinfo.php
SyslogLogger.php
system.php
Table.php
table.php
TableInterface.php
tables.php
tabs.php
administrator/components/com_tags/controllers/tag.php
administrator/components/com_tags/models/tag.php
administrator/components/com_tags/tables/tag.php
components/com_tags/models/tag.php
layouts/joomla/html/batch/tag.php
layouts/joomla/html/tag.php
libraries/cms/html/tag.php
libraries/fof/form/field/tag.php
TagField.php
TaggableTableInterface.php
TaggableTableTrait.php
Tags.php
administrator/components/com_tags/controllers/tags.php
administrator/components/com_tags/helpers/tags.php
administrator/components/com_tags/models/tags.php
administrator/components/com_tags/tags.php
components/com_tags/controllers/tags.php
components/com_tags/models/tags.php
components/com_tags/tags.php
layouts/joomla/content/tags.php
libraries/fof/table/behavior/tags.php
libraries/joomla/github/package/data/tags.php
plugins/finder/tags/tags.php
plugins/search/tags/tags.php
TagsHelper.php
Tar.php
tar.php
taxonomy.php
teams.php
layouts/joomla/form/field/tel.php
libraries/cms/html/tel.php
libraries/fof/form/field/tel.php
libraries/joomla/form/fields/tel.php
TelRule.php
controllers/template.php
helpers/template.php
models/template.php
TemplateAdapter.php
templatelocation.php
templatename.php
administrator/components/com_templates/helpers/html/templates.php
administrator/components/com_templates/helpers/templates.php
administrator/components/com_templates/models/templates.php
administrator/components/com_templates/templates.php
components/com_config/model/templates.php
TemplatestyleField.php
field/terms.php
terms.php
Text.php
layouts/joomla/form/field/text.php
libraries/fof/form/field/text.php
libraries/fof/model/field/text.php
libraries/joomla/form/fields/text.php
plugins/fields/text/text.php
plugins/fields/text/tmpl/text.php
text_filters.php
layouts/joomla/form/field/textarea.php
layouts/joomla/tinymce/textarea.php
libraries/fof/form/field/textarea.php
libraries/joomla/form/fields/textarea.php
plugins/fields/textarea/textarea.php
plugins/fields/textarea/tmpl/textarea.php
textdiff.php
textfilter3919.php
thumbs.php
thumbs_docs.php
components/com_media/views/medialist/tmpl/thumbs_folders.php
templates/isis/html/com_media/medialist/thumbs_folders.php
components/com_media/views/medialist/tmpl/thumbs_imgs.php
templates/isis/html/com_media/medialist/thumbs_imgs.php
thumbs_up.php
thumbs_videos.php
timer.php
fof/form/field/timezone.php
joomla/form/fields/timezone.php
tinymce.php
layouts/plugins/editors/tinymce/field/tinymcebuilder.php
plugins/editors/tinymce/field/tinymcebuilder.php
administrator/templates/hathor/html/layouts/joomla/toolbar/title.php
layouts/joomla/toolbar/title.php
libraries/fof/form/field/title.php
title_alias.php
toc.php
toggle.php
togglebutton.php
token.php
Toolbar.php
administrator/components/com_postinstall/toolbar.php
libraries/fof/toolbar/toolbar.php
ToolbarButton.php
ToolbarHelper.php
tos.php
libraries/fof/encrypt/totp.php
plugins/twofactorauth/totp/totp.php
controllers/tracks.php
models/tracks.php
tracks.raw.php
transcode_wrapper.php
Transliterate.php
TransliterateWrapper.php
TransportInterface.php
Tree.php
tree.php
treeprefix.php
trees.php
trends.php
phputf8/trim.php
vendor/joomla/string/src/phputf8/trim.php
TripleDesCipher.php
twitter.php
txt.php
com_fields/models/fields/type.php
com_installer/models/fields/type.php
phputf8/ucfirst.php
vendor/joomla/string/src/phputf8/ucfirst.php
UCM.php
Ucm.php
UCMBase.php
UCMContent.php
UCMType.php
uctc.php
phputf8/ucwords.php
vendor/joomla/string/src/phputf8/ucwords.php
Unescaper.php
phputf8/utils/unicode.php
vendor/joomla/string/src/phputf8/utils/unicode.php
field/uniqueid.php
layouts/field/uniqueid.php
UnknownArchiveException.php
Unserialize.php
unsupported.php
UnsupportedArchiveException.php
UnsupportedCacheException.php
UnsupportedStorageException.php
Table/Update.php
Updater/Update.php
administrator/components/com_installer/controllers/update.php
administrator/components/com_installer/models/update.php
administrator/components/com_joomlaupdate/controllers/update.php
libraries/fof/utils/update/update.php
update_cron.php
UpdateAdapter.php
updatecachetime.php
updatedefaultsettings.php
updatenotification.php
Updater.php
updater.php
UpdateSite.php
controllers/updatesites.php
helpers/html/updatesites.php
models/updatesites.php
uploaddirs.php
components/com_media/layouts/toolbar/uploadmedia.php
templates/hathor/html/layouts/com_media/toolbar/uploadmedia.php
src/Uri/Uri.php
vendor/joomla/uri/src/Uri.php
UriHelper.php
UriImmutable.php
UriInterface.php
Url.php
layouts/joomla/form/field/url.php
libraries/fof/form/field/url.php
libraries/joomla/form/fields/url.php
plugins/fields/url/tmpl/url.php
plugins/fields/url/url.php
urlinstaller.php
UrlRule.php
UrlSafe.php
Table/User.php
User/User.php
administrator/components/com_users/controllers/user.php
administrator/components/com_users/models/user.php
administrator/templates/isis/html/layouts/joomla/form/field/user.php
components/com_users/controllers/user.php
layouts/joomla/form/field/user.php
layouts/joomla/html/batch/user.php
libraries/cms/html/user.php
libraries/fof/form/field/user.php
libraries/joomla/facebook/user.php
libraries/joomla/openstreetmap/user.php
plugins/fields/user/tmpl/user.php
plugins/fields/user/user.php
plugins/privacy/user/user.php
templates/protostar/html/layouts/joomla/form/field/user.php
UseractiveField.php
UserField.php
Usergroup.php
fof/form/field/usergroup.php
joomla/form/fields/usergroup.php
tmpl/usergrouplist.php
usergrouplist.php
UsergrouplistField.php
UserGroupsHelper.php
UserHelper.php
usermessages.php
username.php
UsernameRule.php
administrator/components/com_users/controllers/users.php
administrator/components/com_users/helpers/html/users.php
administrator/components/com_users/helpers/users.php
administrator/components/com_users/models/users.php
administrator/components/com_users/users.php
components/com_users/helpers/html/users.php
components/com_users/users.php
libraries/joomla/github/package/users.php
libraries/joomla/mediawiki/users.php
libraries/joomla/twitter/users.php
UserstateField.php
UserWrapper.php
phputf8/utf8.php
vendor/joomla/string/src/phputf8/utf8.php
namespaced/Core/Util.php
src/Core/Util.php
src/Core32/Util.php
Utility.php
string/utils.php
template/utils.php
phputf8/utils/validation.php
vendor/joomla/string/src/phputf8/utils/validation.php
verifyftpsettings.php
Version.php
VersionableControllerTrait.php
VersionableModelTrait.php
VersionableTableInterface.php
administrator/templates/hathor/html/layouts/joomla/toolbar/versions.php
administrator/templates/isis/html/layouts/joomla/toolbar/versions.php
layouts/joomla/toolbar/versions.php
vertical.php
video.php
com_contact/views/category/view.feed.php
com_content/views/category/view.feed.php
com_content/views/featured/view.feed.php
com_finder/views/search/view.feed.php
com_tags/views/tag/view.feed.php
com_tags/views/tags/view.feed.php
administrator/components/com_actionlogs/views/actionlogs/view.html.php
administrator/components/com_admin/views/help/view.html.php
administrator/components/com_admin/views/profile/view.html.php
administrator/components/com_admin/views/sysinfo/view.html.php
administrator/components/com_associations/views/association/view.html.php
administrator/components/com_associations/views/associations/view.html.php
administrator/components/com_banners/views/banner/view.html.php
administrator/components/com_banners/views/banners/view.html.php
administrator/components/com_banners/views/client/view.html.php
administrator/components/com_banners/views/clients/view.html.php
administrator/components/com_banners/views/download/view.html.php
administrator/components/com_banners/views/tracks/view.html.php
administrator/components/com_cache/views/cache/view.html.php
administrator/components/com_cache/views/purge/view.html.php
administrator/components/com_categories/views/categories/view.html.php
administrator/components/com_categories/views/category/view.html.php
administrator/components/com_checkin/views/checkin/view.html.php
administrator/components/com_contact/views/contact/view.html.php
administrator/components/com_contact/views/contacts/view.html.php
administrator/components/com_content/views/article/view.html.php
administrator/components/com_content/views/articles/view.html.php
administrator/components/com_content/views/featured/view.html.php
administrator/components/com_contenthistory/views/compare/view.html.php
administrator/components/com_contenthistory/views/history/view.html.php
administrator/components/com_contenthistory/views/preview/view.html.php
administrator/components/com_cpanel/views/cpanel/view.html.php
administrator/components/com_fields/views/field/view.html.php
administrator/components/com_fields/views/fields/view.html.php
administrator/components/com_fields/views/group/view.html.php
administrator/components/com_fields/views/groups/view.html.php
administrator/components/com_finder/views/filter/view.html.php
administrator/components/com_finder/views/filters/view.html.php
administrator/components/com_finder/views/index/view.html.php
administrator/components/com_finder/views/indexer/view.html.php
administrator/components/com_finder/views/maps/view.html.php
administrator/components/com_finder/views/statistics/view.html.php
administrator/components/com_installer/views/database/view.html.php
administrator/components/com_installer/views/discover/view.html.php
administrator/components/com_installer/views/install/view.html.php
administrator/components/com_installer/views/languages/view.html.php
administrator/components/com_installer/views/manage/view.html.php
administrator/components/com_installer/views/update/view.html.php
administrator/components/com_installer/views/updatesites/view.html.php
administrator/components/com_installer/views/warnings/view.html.php
administrator/components/com_joomlaupdate/views/default/view.html.php
administrator/components/com_joomlaupdate/views/update/view.html.php
administrator/components/com_joomlaupdate/views/upload/view.html.php
administrator/components/com_languages/views/installed/view.html.php
administrator/components/com_languages/views/language/view.html.php
administrator/components/com_languages/views/languages/view.html.php
administrator/components/com_languages/views/multilangstatus/view.html.php
administrator/components/com_languages/views/override/view.html.php
administrator/components/com_languages/views/overrides/view.html.php
administrator/components/com_login/views/login/view.html.php
administrator/components/com_media/views/images/view.html.php
administrator/components/com_media/views/imageslist/view.html.php
administrator/components/com_media/views/media/view.html.php
administrator/components/com_media/views/medialist/view.html.php
administrator/components/com_menus/views/item/view.html.php
administrator/components/com_menus/views/items/view.html.php
administrator/components/com_menus/views/menu/view.html.php
administrator/components/com_menus/views/menus/view.html.php
administrator/components/com_menus/views/menutypes/view.html.php
administrator/components/com_messages/views/config/view.html.php
administrator/components/com_messages/views/message/view.html.php
administrator/components/com_messages/views/messages/view.html.php
administrator/components/com_modules/views/module/view.html.php
administrator/components/com_modules/views/modules/view.html.php
administrator/components/com_modules/views/positions/view.html.php
administrator/components/com_modules/views/preview/view.html.php
administrator/components/com_modules/views/select/view.html.php
administrator/components/com_newsfeeds/views/newsfeed/view.html.php
administrator/components/com_newsfeeds/views/newsfeeds/view.html.php
administrator/components/com_plugins/views/plugin/view.html.php
administrator/components/com_plugins/views/plugins/view.html.php
administrator/components/com_postinstall/views/messages/view.html.php
administrator/components/com_privacy/views/capabilities/view.html.php
administrator/components/com_privacy/views/consents/view.html.php
administrator/components/com_privacy/views/dashboard/view.html.php
administrator/components/com_privacy/views/request/view.html.php
administrator/components/com_privacy/views/requests/view.html.php
administrator/components/com_redirect/views/link/view.html.php
administrator/components/com_redirect/views/links/view.html.php
administrator/components/com_search/views/searches/view.html.php
administrator/components/com_tags/views/tag/view.html.php
administrator/components/com_tags/views/tags/view.html.php
administrator/components/com_templates/views/style/view.html.php
administrator/components/com_templates/views/styles/view.html.php
administrator/components/com_templates/views/template/view.html.php
administrator/components/com_templates/views/templates/view.html.php
administrator/components/com_users/views/debuggroup/view.html.php
administrator/components/com_users/views/debuguser/view.html.php
administrator/components/com_users/views/group/view.html.php
administrator/components/com_users/views/groups/view.html.php
administrator/components/com_users/views/level/view.html.php
administrator/components/com_users/views/levels/view.html.php
administrator/components/com_users/views/mail/view.html.php
administrator/components/com_users/views/note/view.html.php
administrator/components/com_users/views/notes/view.html.php
administrator/components/com_users/views/user/view.html.php
administrator/components/com_users/views/users/view.html.php
components/com_contact/views/categories/view.html.php
components/com_contact/views/category/view.html.php
components/com_contact/views/contact/view.html.php
components/com_contact/views/featured/view.html.php
components/com_content/views/archive/view.html.php
components/com_content/views/article/view.html.php
components/com_content/views/categories/view.html.php
components/com_content/views/category/view.html.php
components/com_content/views/featured/view.html.php
components/com_content/views/form/view.html.php
components/com_finder/views/search/view.html.php
components/com_mailto/views/mailto/view.html.php
components/com_mailto/views/sent/view.html.php
components/com_newsfeeds/views/categories/view.html.php
components/com_newsfeeds/views/category/view.html.php
components/com_newsfeeds/views/newsfeed/view.html.php
components/com_privacy/views/confirm/view.html.php
components/com_privacy/views/remind/view.html.php
components/com_privacy/views/request/view.html.php
components/com_search/views/search/view.html.php
components/com_tags/views/tag/view.html.php
components/com_tags/views/tags/view.html.php
components/com_users/views/login/view.html.php
components/com_users/views/profile/view.html.php
components/com_users/views/registration/view.html.php
components/com_users/views/remind/view.html.php
components/com_users/views/reset/view.html.php
components/com_wrapper/views/wrapper/view.html.php
com_admin/views/sysinfo/view.json.php
com_modules/views/module/view.json.php
com_templates/views/style/view.json.php
com_finder/views/search/view.opensearch.php
com_search/views/search/view.opensearch.php
administrator/components/com_installer/views/default/view.php
libraries/fof/view/view.php
libraries/joomla/view/view.php
view.raw.php
view.text.php
view.vcf.php
com_menus/views/menu/view.xml.php
com_privacy/views/export/view.xml.php
ViewController.php
ViewLevel.php
views.php
tmpl/vote.php
vote.php
voteradio.php
W3cLogger.php
warnings.php
watching.php
web.php
WebApplication.php
WebClient.php
Wincache.php
wincache.php
WincacheStorage.php
wrapper.php
namespaced/Core/X25519.php
src/Core/X25519.php
src/Core32/X25519.php
Xcache.php
xcache.php
XcacheStorage.php
namespaced/Core/XChaCha20.php
src/Core/XChaCha20.php
src/Core32/XChaCha20.php
application/src/Cli/Output/Xml.php
registry/src/Format/Xml.php
xml.php
XmlDocument.php
xmlelement.php
XSalsa20.php
2/XSalsa20.php
Xsalsa20.php
joomla/registry/src/Format/Yaml.php
symfony/yaml/Yaml.php
yubikey.php
Zip.php
zip.php


Joomla CMS: Référence du fichier _item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_news
  • tmpl
Espaces de nommage | Variables
Référence du fichier _item.php

Espaces de nommage

Joomla\Site

Variables

if ( $item->link !=='' &&$params->get( 'link_titles'))
else __pad0__
endif

Documentation des variables

◆ __pad0__

else __pad0__

◆ endif

if (isset( $item->link) &&$item->readmore !=0 &&$params->get( 'readmore')) endif

◆ if

if($params->get('img_intro_full') !=='none' &&!empty($item->imageSrc)) ( $item->link ! = ='' &&$params->get( 'link_titles') )


Joomla CMS: Référence du fichier abstract.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • download
  • adapter
Structures de données | Espaces de nommage
Référence du fichier download/adapter/abstract.php

Structures de données

class FOFDownloadAdapterAbstract

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier abstract.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
  • aes
Structures de données | Espaces de nommage
Référence du fichier encrypt/aes/abstract.php

Structures de données

class FOFEncryptAesAbstract

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier abstract.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • query
Structures de données | Espaces de nommage
Référence du fichier query/abstract.php

Structures de données

class FOFQueryAbstract

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier abstract.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • render
Structures de données | Espaces de nommage
Référence du fichier render/abstract.php

Structures de données

class FOFRenderAbstract

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier AbstractApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
Structures de données | Espaces de nommage
Référence du fichier AbstractApplication.php

Structures de données

class AbstractApplication

Espaces de nommage

Joomla\Application


Joomla CMS: Référence du fichier AbstractCliApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
Structures de données | Espaces de nommage
Référence du fichier AbstractCliApplication.php

Structures de données

class AbstractCliApplication

Espaces de nommage

Joomla\Application


Joomla CMS: Référence du fichier AbstractDaemonApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
Structures de données | Espaces de nommage
Référence du fichier AbstractDaemonApplication.php

Structures de données

class AbstractDaemonApplication

Espaces de nommage

Joomla\Application


Joomla CMS: Référence du fichier AbstractEvent.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier AbstractEvent.php

Structures de données

class AbstractEvent

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier AbstractLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
  • Log
Structures de données | Espaces de nommage
Référence du fichier AbstractLogger.php

Structures de données

class AbstractLogger

Espaces de nommage

Psr\Log


Joomla CMS: Référence du fichier AbstractMenu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
Structures de données | Espaces de nommage
Référence du fichier AbstractMenu.php

Structures de données

class AbstractMenu

Espaces de nommage

Joomla\CMS\Menu


Joomla CMS: Référence du fichier AbstractObserver.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
  • Observer
Structures de données | Espaces de nommage
Référence du fichier AbstractObserver.php

Structures de données

class AbstractObserver

Espaces de nommage

Joomla\CMS\Table\Observer


Joomla CMS: Référence du fichier AbstractRegistryFormat.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
Structures de données | Espaces de nommage
Référence du fichier AbstractRegistryFormat.php

Structures de données

class AbstractRegistryFormat

Espaces de nommage

Joomla\Registry


Joomla CMS: Référence du fichier AbstractUri.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • uri
  • src
Structures de données | Espaces de nommage
Référence du fichier AbstractUri.php

Structures de données

class AbstractUri

Espaces de nommage

Joomla\Uri


Joomla CMS: Référence du fichier AbstractWebApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
Structures de données | Espaces de nommage
Référence du fichier AbstractWebApplication.php

Structures de données

class AbstractWebApplication

Espaces de nommage

Joomla\Application


Joomla CMS: Référence du fichier Access.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Access
Structures de données | Espaces de nommage
Référence du fichier Access.php

Structures de données

class Access

Espaces de nommage

Joomla\CMS\Access


Joomla CMS: Référence du fichier Access.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Access
  • Wrapper
Structures de données | Espaces de nommage
Référence du fichier Wrapper/Access.php

Structures de données

class Access

Espaces de nommage

Joomla\CMS\Access\Wrapper


Joomla CMS: Référence du fichier access.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • batch
Espaces de nommage
Référence du fichier layouts/joomla/html/batch/access.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier access.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/access.php

Structures de données

class JHtmlAccess

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier access.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • behavior
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/model/behavior/access.php

Structures de données

class FOFModelBehaviorAccess

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier accesslevel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/accesslevel.php

Structures de données

class FOFFormFieldAccesslevel

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier accesslevel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier fof/form/header/accesslevel.php

Structures de données

class FOFFormHeaderAccesslevel

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier accesslevel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/accesslevel.php

Structures de données

class JFormFieldAccessLevel

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier account.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier account.php

Structures de données

class JGithubAccount

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier actionlog.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • models
Structures de données | Espaces de nommage
Référence du fichier actionlog.php

Structures de données

class ActionlogsModelActionlog

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier actionlogplugin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • libraries
Structures de données | Espaces de nommage
Référence du fichier actionlogplugin.php

Structures de données

class ActionLogPlugin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier actionlogs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
Espaces de nommage | Variables
Référence du fichier administrator/components/com_actionlogs/actionlogs.php

Espaces de nommage

Joomla\Administrator

Variables

if(!Factory::getUser() ->authorise('core.admin')) $controller = BaseController::getInstance('Actionlogs')

Documentation des variables

◆ $controller

if (!Factory::getUser() ->authorise( 'core.admin')) $controller = BaseController::getInstance('Actionlogs')

Référencé par JApplicationWebRouterBase\addMap(), JApplicationWebRouterBase\addMaps(), ConfigControllerComponent\cancel(), ConfigControllerApplication\cancel(), InstallationApplicationWeb\dispatch(), FOFDispatcher\dispatch(), ConfigController\display(), JApplicationWebRouterRest\execute(), JApplicationWebRouter\execute(), JApplicationWebRouter\fetchController(), ConfigControllerHelper\parseController(), JApplicationWebRouterBase\parseRoute(), ConfigControllerApplication\removeroot(), ConfigControllerApplication\save(), et ConfigControllerComponent\save().


Joomla CMS: Référence du fichier actionlogs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_actionlogs/controllers/actionlogs.php

Structures de données

class ActionlogsControllerActionlogs

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier actionlogs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_actionlogs/helpers/actionlogs.php

Structures de données

class ActionlogsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier actionlogs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_actionlogs/models/actionlogs.php

Structures de données

class ActionlogsModelActionlogs

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier actionlogs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • actionlogs
Structures de données | Espaces de nommage
Référence du fichier plugins/privacy/actionlogs/actionlogs.php

Structures de données

class PlgPrivacyActionlogs

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier actionlogs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • actionlogs
Structures de données | Espaces de nommage
Référence du fichier plugins/system/actionlogs/actionlogs.php

Structures de données

class PlgSystemActionLogs

Espaces de nommage

Joomla\Plugins


Joomla CMS: Référence du fichier actionlogsphp55.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • helpers
Structures de données | Espaces de nommage
Référence du fichier actionlogsphp55.php

Structures de données

class ActionlogsHelperPhp55

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier actions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/actions.php

Structures de données

class FOFFormFieldActions

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier actions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • captcha
  • recaptcha
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier plugins/captcha/recaptcha/postinstall/actions.php

Espaces de nommage

Joomla\Plugin

Fonctions

recaptcha_postinstall_condition ()
recaptcha_postinstall_action ()

Documentation des fonctions

◆ recaptcha_postinstall_action()

recaptcha_postinstall_action ( )

Open the reCAPTCHA plugin so that they can update the settings to V2 and new keys.

Renvoie
void
Depuis
3.8.6

Références $db, $query, et $url.

◆ recaptcha_postinstall_condition()

recaptcha_postinstall_condition ( )

Checks if the plugin is enabled and reCAPTCHA V1 is being used. If true then the message about reCAPTCHA v1 EOL should be displayed.

Renvoie
boolean
Depuis
3.8.6

Références $db, et $query.


Joomla CMS: Référence du fichier actions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • totp
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier plugins/twofactorauth/totp/postinstall/actions.php

Espaces de nommage

Joomla\Plugin

Fonctions

twofactorauth_postinstall_condition ()
twofactorauth_postinstall_action ()

Documentation des fonctions

◆ twofactorauth_postinstall_action()

twofactorauth_postinstall_action ( )

Enables the two factor authentication plugin and redirects the user to their user profile page so that they can enable two factor authentication on their account.

Renvoie
void
Depuis
3.2

Références $db, $query, et $url.

◆ twofactorauth_postinstall_condition()

twofactorauth_postinstall_condition ( )

Checks if the plugin is enabled. If not it returns true, meaning that the message concerning two factor authentication should be displayed.

Renvoie
integer
Depuis
3.2

Références $db, et $query.


Joomla CMS: Référence du fichier actionsdropdown.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier actionsdropdown.php

Structures de données

class JHtmlActionsDropdown

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier activities.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
  • plus
Structures de données | Espaces de nommage
Référence du fichier activities.php

Structures de données

class JGoogleDataPlusActivities

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier activity.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier activity.php

Structures de données

class JGithubPackageActivity

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Adapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier Adapter.php

Structures de données

class Adapter

Espaces de nommage

Joomla\CMS\Adapter


Joomla CMS: Référence du fichier adapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Structures de données | Espaces de nommage
Référence du fichier adapter.php

Structures de données

class FinderIndexerAdapter

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier AdapterInstance.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier AdapterInstance.php

Structures de données

class AdapterInstance

Espaces de nommage

Joomla\CMS\Adapter


Joomla CMS: Référence du fichier addnosniff.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier addnosniff.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_addnosniff_condition ()

Documentation des fonctions

◆ admin_postinstall_addnosniff_condition()

admin_postinstall_addnosniff_condition ( )

Notifies users of the add the nosniff headers by applying the changes from the default .htaccess or web.config file

This check returns true regardless of condition.

Renvoie
boolean
Depuis
3.4


Joomla CMS: Référence du fichier addtab.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
  • cms
  • html
  • bootstrap
Espaces de nommage | Variables
Référence du fichier addtab.php

Espaces de nommage

Joomla\Site

Variables

$id = empty($displayData['id']) ? '' : $displayData['id']
$active = empty($displayData['active']) ? '' : $displayData['active']

Documentation des variables

◆ $active

$active = empty($displayData['active']) ? '' : $displayData['active']

◆ $id

$id = empty($displayData['id']) ? '' : $displayData['id']


Joomla CMS: Référence du fichier addtabscript.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
  • cms
  • html
  • bootstrap
Espaces de nommage | Variables
Référence du fichier addtabscript.php

Espaces de nommage

Joomla\Site

Variables

$selector = empty($displayData['selector']) ? '' : $displayData['selector']
$id = empty($displayData['id']) ? '' : $displayData['id']
$active = empty($displayData['active']) ? '' : $displayData['active']
$title = empty($displayData['title']) ? '' : $displayData['title']
$li = '<li class="' . $active . '"><a href="#' . $id . '" data-toggle="tab">' . $title . '</a></li>'
json_encode ('#' . $selector . 'Tabs')

Documentation des variables

◆ $active

$active = empty($displayData['active']) ? '' : $displayData['active']

◆ $id

$id = empty($displayData['id']) ? '' : $displayData['id']

◆ $li

$li = '<li class="' . $active . '"><a href="#' . $id . '" data-toggle="tab">' . $title . '</a></li>'

◆ $selector

$selector = empty($displayData['selector']) ? '' : $displayData['selector']

◆ $title

$title = empty($displayData['title']) ? '' : $displayData['title']

◆ json_encode

json_encode($li)

Référencé par JsonResponse\__toString(), JJsonResponse\__toString(), Rule\__toString(), Rules\__toString(), HelpButton\_getCommand(), JGithubPackageUsersEmails\add(), JGithubPackageIssuesLabels\add(), InstallationModelLanguages\addArticle(), InstallationModelLanguages\addAssociations(), JGoogleDataCalendar\addCalendar(), ActionlogsModelActionlog\addLog(), JHtmlBootstrap\affix(), JoomlaupdateControllerUpdate\ajax(), JHtmlBootstrap\alert(), ViewLevel\bind(), Table\bind(), JHtmlBootstrap\button(), JHtmlBehavior\calendartranslation(), JHtmlBootstrap\carousel(), JoomlaInstallerScript\clearStatsCache(), JGithubPackageGistsComments\create(), JGithubRefs\create(), JGithubPackageAuthorization\create(), JGithubForks\create(), JGithubPackageRepositoriesForks\create(), JGithubStatuses\create(), JGithubPackagePullsComments\create(), JGithubCommits\create(), JGithubPackageRepositoriesStatuses\create(), JGithubPackageGists\create(), JGithubPackagePulls\create(), JGithubPackageIssues\create(), JGithubPackageDataBlobs\create(), JGithubPackageDataCommits\create(), JGithubHooks\create(), JGithubPackageRepositoriesHooks\create(), JGithubPackageDataTags\create(), JGithubPackageRepositoriesKeys\create(), JGithubPackageIssuesLabels\create(), JGithubPackageUsersKeys\create(), JGithubPackageDataRefs\create(), JGithubPackageDataTrees\create(), JGithubPackageIssuesMilestones\create(), JGithubMilestones\create(), JGithubPackageRepositoriesComments\create(), JGithubPackageIssuesComments\create(), JGithubPackageRepositories\create(), JGithubAccount\createAuthorisation(), JGoogleDataCalendar\createCalendar(), JGoogleEmbedAnalytics\createCall(), JGithubCommits\createCommitComment(), JGoogleDataCalendar\createEvent(), JGithubPackagePulls\createFromIssue(), JGithubPackagePullsComments\createReply(), InstallationModelDatabase\createTables(), TagsHelper\createTagsFromMetadata(), JGithubPackageUsersEmails\delete(), MenuType\delete(), Manifest\deserializeMetaData(), ModuleAdapter\discover(), LibraryAdapter\discover(), TemplateAdapter\discover(), PluginAdapter\discover(), LanguageAdapter\discover(), ComponentAdapter\discover(), LanguageAdapter\discover_install(), AdminViewSysinfo\display(), ModulesViewModule\display(), TemplatesViewStyle\display(), TagsViewTag\display(), JHtmlBootstrap\dropdown(), JGithubRefs\edit(), JGithubPackageUsers\edit(), JGithubPackageGistsComments\edit(), JGithubPackageIssues\edit(), JGithubPackageAuthorization\edit(), JGithubPackageRepositoriesComments\edit(), JGithubPackageRepositoriesKeys\edit(), JGithubPackageGists\edit(), JGithubPackageUsersKeys\edit(), JGithubPackageRepositoriesHooks\edit(), JGithubHooks\edit(), JGithubPackagePullsComments\edit(), JGithubPackageIssuesComments\edit(), JGithubPackagePulls\edit(), JGithubPackageDataRefs\edit(), JGithubPackageIssuesMilestones\edit(), JGithubMilestones\edit(), JGithubPackageRepositories\edit(), JGithubAccount\editAuthorisation(), JGoogleDataCalendar\editCalendar(), JGoogleDataCalendar\editCalendarSettings(), JGithubCommits\editCommitComment(), JGoogleDataCalendar\editEvent(), HeadRenderer\fetchHead(), Installer\generateManifestCache(), MediaModelManager\getFolderList(), JGoogleEmbedMaps\getHeader(), HTMLHelper\getJSObject(), DataSet\getObjectsKeys(), JFormFieldList\getOptions(), Installer\getParams(), FileLayout\getPath(), ContentHistory\getSha1(), ContenthistoryModelHistory\getSha1Hash(), FOFTable\getTableFields(), FOFUtilsUpdate\loadUpdatesClassic(), JGithubPackageActivityNotifications\markRead(), JGithubPackageActivityNotifications\markReadRepository(), JGithubPackageActivityNotifications\markReadThread(), JGithubPackagePulls\merge(), JHtmlBootstrap\modal(), Json\objectToString(), Yaml\objectToString(), PlgSystemStats\onAjaxSendAlways(), PlgSystemStats\onAjaxSendNever(), PlgSystemStats\onAjaxSendOnce(), PlgSystemStats\onAjaxSendStats(), PlgSystemFields\onContentAfterSave(), FOFViewJson\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgEditorNone\onGetContent(), PlgEditorTinymce\onGetContent(), PlgEditorCodemirror\onGetContent(), FOFViewJson\onRead(), PlgEditorCodemirror\onSave(), PlgEditorNone\onSetContent(), PlgEditorTinymce\onSetContent(), PlgEditorCodemirror\onSetContent(), PlgSystemActionLogs\onUserAfterSave(), PlgUserProfile\onUserAfterSave(), JGithubPackageRepositoriesMerging\perform(), JHtmlBootstrap\popover(), PlgSystemDebug\prettyPrintJSON(), JApplication\redirect(), AbstractWebApplication\redirect(), WebApplication\redirect(), LibraryAdapter\refreshManifestCache(), ModuleAdapter\refreshManifestCache(), TemplateAdapter\refreshManifestCache(), FileAdapter\refreshManifestCache(), PluginAdapter\refreshManifestCache(), PackageAdapter\refreshManifestCache(), LanguageAdapter\refreshManifestCache(), ComponentAdapter\refreshManifestCache(), ConfigViewApplicationJson\render(), ConfigViewCmsJson\render(), JGithubPackageMarkdown\render(), FormField\renderField(), JGithubPackageIssuesLabels\replace(), CategoriesModelCategory\save(), AdminModel\save(), MenusModelItem\save(), JHtmlBootstrap\scrollspy(), TagsControllerTags\searchAjax(), InstallationControllerRemovefolder\sendJsonResponse(), InstallationApplicationWeb\sendJsonResponse(), FinderControllerIndexer\sendResponse(), UsersModelUser\setOtpConfig(), InstallerScript\setParams(), JGithubPackageActivityWatching\setSubscription(), JGithubPackageActivityNotifications\setThreadSubscription(), JHtmlBootstrap\startPane(), MenuType\store(), ContentHistoryHelper\store(), LibraryAdapter\storeExtension(), TemplateAdapter\storeExtension(), PluginAdapter\storeExtension(), ConfigModelApplication\storePermissions(), Yaml\stringToObject(), JGithubPackageRepositoriesHooks\test(), JGithubHooks\test(), JHtmlBootstrap\tooltip(), JHtmlBootstrap\typeahead(), JGithubPackageIssuesLabels\update(), ParseException\updateRepr(), et MediaControllerFile\upload().


Joomla CMS: Référence du fichier admin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
Espaces de nommage | Variables
Référence du fichier admin.php

Espaces de nommage

Joomla\Administrator

Variables

$controller = JControllerLegacy::getInstance('Admin')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Admin')


Joomla CMS: Référence du fichier AdminController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Controller
Structures de données | Espaces de nommage
Référence du fichier AdminController.php

Structures de données

class AdminController

Espaces de nommage

Joomla\CMS\MVC\Controller


Joomla CMS: Référence du fichier AdministratorApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Application
Structures de données | Espaces de nommage
Référence du fichier AdministratorApplication.php

Structures de données

class AdministratorApplication

Espaces de nommage

Joomla\CMS\Application


Joomla CMS: Référence du fichier AdministratorMenu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
Structures de données | Espaces de nommage
Référence du fichier AdministratorMenu.php

Structures de données

class AdministratorMenu

Espaces de nommage

Joomla\CMS\Menu


Joomla CMS: Référence du fichier AdministratorRouter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Router
Structures de données | Espaces de nommage
Référence du fichier AdministratorRouter.php

Structures de données

class AdministratorRouter

Espaces de nommage

Joomla\CMS\Router


Joomla CMS: Référence du fichier adminlanguage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • batch
Espaces de nommage
Référence du fichier layouts/joomla/html/batch/adminlanguage.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier adminlanguage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/adminlanguage.php

Structures de données

class JHtmlAdminLanguage

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier AdminModel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Model
Structures de données | Espaces de nommage
Référence du fichier AdminModel.php

Structures de données

class AdminModel

Espaces de nommage

Joomla\CMS\MVC\Model


Joomla CMS: Référence du fichier adsense.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
Structures de données | Espaces de nommage
Référence du fichier adsense.php

Structures de données

class JGoogleDataAdsense

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier advanced.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • color
Espaces de nommage | Variables
Référence du fichier advanced.php

Espaces de nommage

Joomla\Site

Variables

if($validate !=='color' &&in_array($format, array('rgb', 'rgba'), true)) else
$inputclass = ($keywords && ! in_array($format, array('rgb', 'rgba'), true)) ? ' keywords' : ' ' . $format
$class = ' class="' . trim('minicolors ' . $class) . ($validate === 'color' ? '' : $inputclass) . '"'
$control = $control ? ' data-control="' . $control . '"' : ''
$format = $format ? ' data-format="' . $format . '"' : ''
$keywords = $keywords ? ' data-keywords="' . $keywords . '"' : ''
$validate = $validate ? ' data-validate="' . $validate . '"' : ''
$disabled = $disabled ? ' disabled' : ''
$readonly = $readonly ? ' readonly' : ''
$hint = strlen($hint) ? ' placeholder="' . $this->escape($hint) . '"' : ' placeholder="' . $placeholder . '"'
$autocomplete = ! $autocomplete ? ' autocomplete="off"' : ''
$direction = $lang->isRtl() ? ' dir="ltr" style="text-align:right"' : ''
$position
$required
$onchange
$autofocus

Documentation des variables

◆ $autocomplete

$autocomplete = ! $autocomplete ? ' autocomplete="off"' : ''

Référencé par HTMLHelper\calendar().

◆ $autofocus

$autofocus

Référencé par HTMLHelper\calendar(), et JFormFieldCheckbox\getInput().

◆ $class

$class = ' class="' . trim('minicolors ' . $class) . ($validate === 'color' ? '' : $inputclass) . '"'

◆ $control

$control = $control ? ' data-control="' . $control . '"' : ''

Référencé par JHtmlRules\assetFormWidget(), JFormFieldSubform\getInput(), JFormFieldTinymceBuilder\getLayoutData(), JFormFieldSubform\loadSubForm(), et JFormFieldSubform\loadSubFormData().

◆ $direction

$direction = $lang->isRtl() ? ' dir="ltr" style="text-align:right"' : ''

◆ $disabled

$disabled = $disabled ? ' disabled' : ''

◆ $format

$format = $format ? ' data-format="' . $format . '"' : ''

◆ $hint

$hint = strlen($hint) ? ' placeholder="' . $this->escape($hint) . '"' : ' placeholder="' . $placeholder . '"'

Référencé par HTMLHelper\calendar().

◆ $inputclass

$inputclass = ($keywords && ! in_array($format, array('rgb', 'rgba'), true)) ? ' keywords' : ' ' . $format

◆ $keywords

$keywords = $keywords ? ' data-keywords="' . $keywords . '"' : ''

Référencé par JGoogleDataPicasa\createAlbum(), SimplePie_Item\get_enclosures(), BannersModelBanners\getItems(), ModBannersHelper\getList(), BannersModelBanners\getListQuery(), JLinkedinCompanies\search(), JLinkedinPeople\search(), et JLinkedinJobs\search().

◆ $onchange

$onchange

◆ $position

$position

◆ $readonly

$readonly = $readonly ? ' readonly' : ''

◆ $required

$required

◆ $validate

$validate = $validate ? ' data-validate="' . $validate . '"' : ''

Référencé par FOFRenderJoomla\renderFormEdit(), et FOFRenderStrapper\renderFormEdit().

◆ else

if ( $validate !=='color' &&in_array( $format, array( 'rgb', 'rgba'), true)) else
Valeur initiale :
{
$placeholder = '#rrggbb'


Joomla CMS: Référence du fichier aes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
Structures de données | Espaces de nommage
Référence du fichier aes.php

Structures de données

class FOFEncryptAes

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier ajax.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • controllers
Structures de données | Espaces de nommage
Référence du fichier com_categories/controllers/ajax.json.php

Structures de données

class CategoriesControllerAjax

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ajax.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • controllers
Structures de données | Espaces de nommage
Référence du fichier com_contact/controllers/ajax.json.php

Structures de données

class ContactControllerAjax

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ajax.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • controllers
Structures de données | Espaces de nommage
Référence du fichier com_content/controllers/ajax.json.php

Structures de données

class ContentControllerAjax

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ajax.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • controllers
Structures de données | Espaces de nommage
Référence du fichier com_menus/controllers/ajax.json.php

Structures de données

class MenusControllerAjax

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ajax.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • controllers
Structures de données | Espaces de nommage
Référence du fichier com_newsfeeds/controllers/ajax.json.php

Structures de données

class NewsfeedsControllerAjax

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ajax.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_ajax
Espaces de nommage
Référence du fichier administrator/components/com_ajax/ajax.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ajax.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_ajax
Espaces de nommage | Variables
Référence du fichier components/com_ajax/ajax.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$input = $app->input
$format = strtolower($input->getWord('format'))
$results = null
$parts = null

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $format

$format = strtolower($input->getWord('format'))

Référencé par Date\__toString(), FOFAutoloaderComponent\autoload_fof_view(), SiteRouter\build(), HTMLHelper\calendar(), TemplateHelper\canUpload(), JDatabaseDriverPdo\connect(), FOFDatabaseDriverPdo\connect(), HTMLHelper\date(), FOFDispatcher\dispatch(), AdminController\display(), Form\filterField(), FOFDatabaseQuery\format(), JDatabaseQuery\format(), FormattedtextLogger\formatLine(), FOFFormFieldCalendar\getCalendar(), FOFFormHeaderFielddate\getFilter(), FinderIndexerParser\getInstance(), BaseController\getInstance(), TagsModelTags\getListQuery(), FOFController\getTmpInstance(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), FinderIndexerDriverMysql\index(), JHtmlSelect\integerlist(), Registry\loadFile(), Registry\loadString(), JMediawikiSearch\openSearch(), FinderIndexerHelper\parse(), TagsModelTag\populateState(), ContactModelCategory\populateState(), FOFRenderJoomla3\postRender(), FOFRenderJoomla\postRender(), FOFRenderStrapper\postRender(), FOFRenderJoomla3\preRender(), FOFRenderJoomla\preRender(), FOFRenderStrapper\preRender(), JHtmlDate\relative(), FOFHalDocument\render(), JGithubPackageAuthorization\requestToken(), FinderIndexer\tokenizeToDb(), FinderIndexer\tokenizeToDbShort(), Registry\toString(), et FOFDispatcher\transparentAuthentication().

◆ $input

$input = $app->input

◆ $parts

$parts = null

◆ $results

$results = null

Référencé par Authentication\authorise(), CheckinModelCheckin\checkin(), CategoryView\commonCategoryDisplay(), TemplatesTableStyle\delete(), InstallerModelDiscover\discover(), ModuleAdapter\discover(), LibraryAdapter\discover(), TemplateAdapter\discover(), PluginAdapter\discover(), Installer\discover(), LanguageAdapter\discover(), ComponentAdapter\discover(), FinderViewSearch\display(), SearchViewSearch\display(), ContentViewArchive\display(), ContentViewArticle\display(), ContentViewFeatured\display(), ContactViewContact\display(), ContentViewCategory\display(), TagsViewTag\display(), Editor\display(), PlgEditorCodemirror\displayButtons(), JInputFiles\get(), Files\get(), JInput\getArray(), Input\getArray(), Input\getArrayRecursive(), Editor\getContent(), FinderIndexerHelper\getContentExtras(), SearchModelSearch\getData(), UsersModelRegistration\getData(), FinderIndexerQuery\getExcludedTermIds(), FinderIndexerQuery\getIncludedTermIds(), SearchModelSearches\getItems(), CheckinModelCheckin\getItems(), ModTagsPopularHelper\getList(), ModLoggedHelper\getList(), ModTagssimilarHelper\getList(), ModArticlesNewsHelper\getList(), FinderIndexerQuery\getRequiredTermIds(), FinderModelSearch\getResults(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), FinderIndexerQuery\getTokenData(), PluginHelper\importPlugin(), Editor\initialise(), InstallerModelInstall\install(), PlgSystemCache\isExcluded(), Installer\loadMD5Sum(), MenuHelper\loadXml(), JApplication\login(), CMSApplication\login(), FOFIntegrationJoomlaPlatform\loginUser(), JApplication\logout(), CMSApplication\logout(), PlgSystemCache\onAfterInitialise(), PlgUserProfile\onContentPrepareData(), PlgSearchContent\onContentSearch(), PlgEditorCodemirror\onDisplay(), PlgExtensionJoomla\onExtensionAfterUninstall(), PlgAuthenticationCookie\onUserAfterLogin(), PlgAuthenticationCookie\onUserAuthenticate(), ConfigModelForm\preprocessData(), FormModel\preprocessData(), ConfigModelForm\preprocessForm(), FormModel\preprocessForm(), ListModel\preprocessForm(), FOFModel\preprocessForm(), FinderIndexerQuery\processDynamicTaxonomy(), FinderIndexerQuery\processStaticTaxonomy(), Editor\save(), LanguagesModelStrings\search(), TagsControllerTags\searchAjax(), PlgAuthenticationLdap\searchByString(), TagsHelper\searchTags(), Editor\setContent(), UserHelper\setUserGroups(), LdapClient\simple_search(), ContactControllerContact\submit(), et JoomlaInstallerScript\updateDatabaseMysql().


Joomla CMS: Référence du fichier ajaxchosen.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • formbehavior
Espaces de nommage
Référence du fichier ajaxchosen.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier album.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier facebook/album.php

Structures de données

class JFacebookAlbum

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier album.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
  • picasa
Structures de données | Espaces de nommage
Référence du fichier google/data/picasa/album.php

Structures de données

class JGoogleDataPicasaAlbum

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier aliastag.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier aliastag.php

Structures de données

class JFormFieldAliastag

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier analytics.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • embed
Structures de données | Espaces de nommage
Référence du fichier analytics.php

Structures de données

class JGoogleEmbedAnalytics

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Apc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
  • Storage
Structures de données | Espaces de nommage
Référence du fichier Apc.php

Structures de données

class Apc

Espaces de nommage

Joomla\Session\Storage


Joomla CMS: Référence du fichier apc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Structures de données | Espaces de nommage
Référence du fichier apc.php

Structures de données

class JSessionStorageApc

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier ApcStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier ApcStorage.php

Structures de données

class ApcStorage

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier Apcu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
  • Storage
Structures de données | Espaces de nommage
Référence du fichier Apcu.php

Structures de données

class Apcu

Espaces de nommage

Joomla\Session\Storage


Joomla CMS: Référence du fichier apcu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Structures de données | Espaces de nommage
Référence du fichier apcu.php

Structures de données

class JSessionStorageApcu

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier ApcuStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier ApcuStorage.php

Structures de données

class ApcuStorage

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier application.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/controllers/application.php

Structures de données

class ConfigControllerApplication

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier application.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • model
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/model/application.php

Structures de données

class ConfigModelApplication

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier application.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • models
Espaces de nommage | Variables
Référence du fichier administrator/components/com_config/models/application.php

Espaces de nommage

Joomla\Administrator

Variables

try
catch (RuntimeException $exception)

Documentation des variables

◆ catch

catch(RuntimeException $exception)

◆ try

try
Valeur initiale :
{
JLog::add(
sprintf('ConfigModelApplication has moved from %1$s to %2$s', __FILE__, dirname(__DIR__) . '/model/application.php'),
JLog::WARNING,
'deprecated'
)

Référencé par CaptchaField\setup().


Joomla CMS: Référence du fichier application.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • application
Structures de données | Espaces de nommage
Référence du fichier libraries/legacy/application/application.php

Structures de données

class JApplication

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier ApplicationHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Application
Structures de données | Espaces de nommage
Référence du fichier ApplicationHelper.php

Structures de données

class ApplicationHelper

Espaces de nommage

Joomla\CMS\Application


Joomla CMS: Référence du fichier Archive.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
Structures de données | Espaces de nommage
Référence du fichier Archive.php

Structures de données

class Archive

Espaces de nommage

Joomla\Archive


Joomla CMS: Référence du fichier archive.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_content/models/archive.php

Structures de données

class ContentModelArchive

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier archive.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • archive
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/archive/archive.php

Structures de données

class JArchive

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier archive.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • archive
  • wrapper
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/archive/wrapper/archive.php

Structures de données

class JArchiveWrapperArchive

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier array.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • array
Structures de données | Espaces de nommage
Référence du fichier array.php

Structures de données

class FOFUtilsArray

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier ArrayHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • utilities
  • src
Structures de données | Espaces de nommage
Référence du fichier ArrayHelper.php

Structures de données

class ArrayHelper

Espaces de nommage

Joomla\Utilities


Joomla CMS: Référence du fichier arrayhelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • utilities
Structures de données | Espaces de nommage
Référence du fichier arrayhelper.php

Structures de données

class JArrayHelper

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier article.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/controllers/article.php

Structures de données

class ContentControllerArticle

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier article.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/models/article.php

Structures de données

class ContentModelArticle

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier article.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • models
  • fields
  • modal
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/models/fields/modal/article.php

Structures de données

class JFormFieldModal_Article

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier article.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • controllers
Structures de données | Espaces de nommage
Référence du fichier components/com_content/controllers/article.php

Structures de données

class ContentControllerArticle

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier article.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_content/models/article.php

Structures de données

class ContentModelArticle

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier article.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • article
Structures de données | Espaces de nommage
Référence du fichier plugins/editors-xtd/article/article.php

Structures de données

class PlgButtonArticle

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier articles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/controllers/articles.php

Structures de données

class ContentControllerArticles

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier articles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/models/articles.php

Structures de données

class ContentModelArticles

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier articles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_content/models/articles.php

Structures de données

class ContentModelArticles

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier ascii.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • utils
Variables
Référence du fichier phputf8/utils/ascii.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier ascii.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • utils
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/utils/ascii.php

Espaces de nommage

utf8

Fonctions

utf8_is_ascii ($str)
utf8_is_ascii_ctrl ($str)
utf8_strip_non_ascii ($str)
utf8_strip_ascii_ctrl ($str)
utf8_strip_non_ascii_ctrl ($str)
utf8_accents_to_ascii ( $str, $case=0)

Documentation des fonctions

◆ utf8_accents_to_ascii()

utf8_accents_to_ascii | ( | $str,
 |  | $case = 0
 | ) |

◆ utf8_is_ascii()

utf8_is_ascii ( $str )

Référencé par JApplication\redirect().

◆ utf8_is_ascii_ctrl()

utf8_is_ascii_ctrl ( $str )

◆ utf8_strip_ascii_ctrl()

utf8_strip_ascii_ctrl ( $str )

Strip out device control codes in the ASCII range which are not permitted in XML. Note that this leaves multi-byte characters untouched - it only removes device control codes

Voir également
http://hsivonen.iki.fi/producing-xml/#controlchar
Paramètres
string
Renvoie
string control codes removed

◆ utf8_strip_non_ascii()

utf8_strip_non_ascii ( $str )

◆ utf8_strip_non_ascii_ctrl()

utf8_strip_non_ascii_ctrl ( $str )


Joomla CMS: Référence du fichier Assertable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
Structures de données | Espaces de nommage
Référence du fichier Assertable.php

Structures de données

interface Assertable

Espaces de nommage

TYPO3\PharStreamWrapper


Joomla CMS: Référence du fichier Asset.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Asset.php

Structures de données

class Asset

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier assets.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
  • behavior
Structures de données | Espaces de nommage
Référence du fichier assets.php

Structures de données

class FOFTableBehaviorAssets

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier assignees.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • issues
Structures de données | Espaces de nommage
Référence du fichier assignees.php

Structures de données

class JGithubPackageIssuesAssignees

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier association.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_associations/controllers/association.php

Structures de données

class AssociationsControllerAssociation

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier association.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_associations/models/association.php

Structures de données

class AssociationsModelAssociation

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier association.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/helpers/association.php

Structures de données

class CategoryHelperAssociation

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier association.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/helpers/association.php

Structures de données

class ContactHelperAssociation

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier association.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_content/helpers/association.php

Structures de données

class ContentHelperAssociation

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier association.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/helpers/association.php

Structures de données

class NewsfeedsHelperAssociation

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier AssociationExtensionHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Association
Structures de données | Espaces de nommage
Référence du fichier AssociationExtensionHelper.php

Structures de données

class AssociationExtensionHelper

Espaces de nommage

Joomla\CMS\Association


Joomla CMS: Référence du fichier AssociationExtensionInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Association
Structures de données | Espaces de nommage
Référence du fichier AssociationExtensionInterface.php

Structures de données

interface AssociationExtensionInterface

Espaces de nommage

Joomla\CMS\Association


Joomla CMS: Référence du fichier Associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
Structures de données | Espaces de nommage
Référence du fichier Associations.php

Structures de données

class Associations

Espaces de nommage

Joomla\CMS\Language


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
Espaces de nommage | Variables
Référence du fichier administrator/components/com_associations/associations.php

Espaces de nommage

Joomla\Administrator

Variables

$itemtype = JFactory::getApplication()->input->get('itemtype', '', 'string')
if($itemtype !=='') $controller = JControllerLegacy::getInstance('Associations')

Documentation des variables

◆ $controller

if ( $itemtype !=='') $controller = JControllerLegacy::getInstance('Associations')

◆ $itemtype

$itemtype = JFactory::getApplication()->input->get('itemtype', '', 'string')


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_associations/controllers/associations.php

Structures de données

class AssociationsControllerAssociations

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_associations/helpers/associations.php

Structures de données

class AssociationsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_associations/models/associations.php

Structures de données

class AssociationsModelAssociations

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/helpers/associations.php

Structures de données

class ContactAssociationsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/helpers/associations.php

Structures de données

class ContentAssociationsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/helpers/associations.php

Structures de données

class MenusAssociationsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/helpers/associations.php

Structures de données

class NewsfeedsAssociationsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier layouts/joomla/content/associations.php

Espaces de nommage

Joomla\Site

Variables

$items = $displayData
if(!empty( $items))( $items as $id=> $item)($item) ? $item['link'] endforeach
endif

Documentation des variables

◆ $items

$items = $displayData

◆ endforeach

if(!empty($items)) ($items as $id => $item) ( $item) ? $item[ 'link'] endforeach

◆ endif

endif


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Espaces de nommage | Variables
Référence du fichier layouts/joomla/content/info_block/associations.php

Espaces de nommage

Joomla\Site

Variables

if (!empty( $displayData[ 'item']->associations))
else __pad13__
endif
endforeach

Documentation des variables

◆ __pad13__

else __pad13__

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(!empty($displayData['item']->associations))


Joomla CMS: Référence du fichier associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier layouts/joomla/edit/associations.php

Espaces de nommage

Joomla\Site

Variables

$form = $displayData->getForm()
$options

Documentation des variables

◆ $form

$form = $displayData->getForm()

◆ $options

$options
Valeur initiale :
= array(
'formControl' => $form->getFormControl(),
'hidden' => (int) ($form->getValue('language', null, '*') === '*'),
)
null
else null
Definition: administrator/components/com_banners/views/banners/tmpl/default.php:48
$form
$form
Definition: layouts/joomla/edit/associations.php:12


Joomla CMS: Référence du fichier AtomParser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
  • Parser
Structures de données | Espaces de nommage
Référence du fichier AtomParser.php

Structures de données

class AtomParser

Espaces de nommage

Joomla\CMS\Feed\Parser


Joomla CMS: Référence du fichier AtomRenderer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
  • Feed
Structures de données | Espaces de nommage
Référence du fichier AtomRenderer.php

Structures de données

class AtomRenderer

Espaces de nommage

Joomla\CMS\Document\Renderer\Feed


Joomla CMS: Référence du fichier auth.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
Structures de données | Espaces de nommage
Référence du fichier auth.php

Structures de données

class JGoogleAuth

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Authentication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Authentication
Structures de données | Espaces de nommage
Référence du fichier Authentication.php

Structures de données

class Authentication

Espaces de nommage

Joomla\CMS\Authentication


Joomla CMS: Référence du fichier AuthenticationHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier AuthenticationHelper.php

Structures de données

class AuthenticationHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier AuthenticationResponse.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Authentication
Structures de données | Espaces de nommage
Référence du fichier AuthenticationResponse.php

Structures de données

class AuthenticationResponse

Espaces de nommage

Joomla\CMS\Authentication


Joomla CMS: Référence du fichier Author.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Author.php

Structures de données

class SimplePie_Author

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier author.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Espaces de nommage | Variables
Référence du fichier author.php

Espaces de nommage

Joomla\Site

Variables

$author = ($displayData['item']->created_by_alias ?: $displayData['item']->author)
else __pad14__
endif

Documentation des variables

◆ $author

else $author = ($displayData['item']->created_by_alias ?: $displayData['item']->author)

◆ __pad14__

else __pad14__

◆ endif

endif


Joomla CMS: Référence du fichier AuthorField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier AuthorField.php

Structures de données

class AuthorField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier authorization.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier authorization.php

Structures de données

class JGithubPackageAuthorization

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier autoload-fast.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
Référence du fichier autoload-fast.php


Joomla CMS: Référence du fichier autoload-pedantic.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
Variables
Référence du fichier autoload-pedantic.php

Variables

const DO_PEDANTIC_TEST true

Documentation des variables

◆ DO_PEDANTIC_TEST

const DO_PEDANTIC_TEST true


Joomla CMS: Référence du fichier autoload-php7.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
Référence du fichier autoload-php7.php


Joomla CMS: Référence du fichier autoload-phpunit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
Variables
Référence du fichier autoload-phpunit.php

Variables

if (PHP_VERSION_ID >=50300)

Documentation des variables

◆ if

if(PHP_VERSION_ID >=50300)


Joomla CMS: Référence du fichier autoload.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
Référence du fichier autoload.php


Joomla CMS: Référence du fichier autoload.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
Référence du fichier google/recaptcha/src/autoload.php


Joomla CMS: Référence du fichier autoload.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
Variables
Référence du fichier paragonie/sodium_compat/autoload.php

Variables

if(PHP_VERSION_ID< 70000) | else
if(PHP_VERSION_ID< 70200||!extension_loaded('sodium')) | elseif (!function_exists( 'sodium_crypto_stream_xchacha20_xor'))

Documentation des variables

◆ else

if (!class_exists( 'SodiumException', false)) if (PHP_VERSION_ID >=50300) else
Valeur initiale :
{
require_once dirname(__FILE__) . '/autoload-php7.php'

Sodium_Compat autoloader.

Paramètres
string $class Class name to be autoloaded.
Renvoie
bool Stop autoloading?

◆ elseif

if (PHP_VERSION_ID< 70200||!extension_loaded( 'sodium')) elseif(!function_exists('sodium_crypto_stream_xchacha20_xor'))


Joomla CMS: Référence du fichier autoload_classmap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Variables
Référence du fichier autoload_classmap.php

Variables

$vendorDir = dirname(dirname(__FILE__))
$baseDir = dirname(dirname($vendorDir))

Documentation des variables

◆ $baseDir

$baseDir = dirname(dirname($vendorDir))

Référencé par File\upload().

◆ $vendorDir

$vendorDir = dirname(dirname(__FILE__))

Référencé par InstalledVersions\getInstalled().


Joomla CMS: Référence du fichier autoload_files.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Variables
Référence du fichier autoload_files.php

Variables

$vendorDir = dirname(dirname(__FILE__))
$baseDir = dirname(dirname($vendorDir))

Documentation des variables

◆ $baseDir

$baseDir = dirname(dirname($vendorDir))

◆ $vendorDir

$vendorDir = dirname(dirname(__FILE__))


Joomla CMS: Référence du fichier autoload_namespaces.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Variables
Référence du fichier autoload_namespaces.php

Variables

$vendorDir = dirname(dirname(__FILE__))
$baseDir = dirname(dirname($vendorDir))

Documentation des variables

◆ $baseDir

$baseDir = dirname(dirname($vendorDir))

◆ $vendorDir

$vendorDir = dirname(dirname(__FILE__))


Joomla CMS: Référence du fichier autoload_psr4.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Variables
Référence du fichier autoload_psr4.php

Variables

$vendorDir = dirname(dirname(__FILE__))
$baseDir = dirname(dirname($vendorDir))

Documentation des variables

◆ $baseDir

$baseDir = dirname(dirname($vendorDir))

◆ $vendorDir

$vendorDir = dirname(dirname(__FILE__))


Joomla CMS: Référence du fichier autoload_real.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Structures de données | Fonctions
Référence du fichier autoload_real.php

Structures de données

class ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd

Fonctions

composerRequirec14bde14f8c86840049f5c1809c453dd ($fileIdentifier, $file)

Documentation des fonctions

◆ composerRequirec14bde14f8c86840049f5c1809c453dd()

composerRequirec14bde14f8c86840049f5c1809c453dd | ( | $fileIdentifier,
 |  | $file
 | ) |
Paramètres
string | $fileIdentifier
string | $file
Renvoie
void

Références $file, et $GLOBALS.

Référencé par ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd\getLoader().


Joomla CMS: Référence du fichier autoload_static.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Structures de données | Espaces de nommage
Référence du fichier autoload_static.php

Structures de données

class ComposerStaticInitc14bde14f8c86840049f5c1809c453dd

Espaces de nommage

Composer\Autoload


Joomla CMS: Référence du fichier autoloader.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
Structures de données | Espaces de nommage
Référence du fichier autoloader.php

Structures de données

class SimplePie_Autoloader

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier azure.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier azure.php

Structures de données

class FOFDatabaseIteratorAzure

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier Backgroundfill.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier Backgroundfill.php

Structures de données

class Backgroundfill

Espaces de nommage

Joomla\Image\Filter


Joomla CMS: Référence du fichier backtrace.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • error
Espaces de nommage | Variables
Référence du fichier backtrace.php

Espaces de nommage

Joomla\Site

Variables

$backtraceList = $displayData['backtrace']
if(! $backtraceList) $class = isset($displayData['class']) ? $displayData['class'] : 'table table-striped table-bordered'

Documentation des variables

◆ $backtraceList

$backtraceList = $displayData['backtrace']

◆ $class

if (! $backtraceList) $class = isset($displayData['class']) ? $displayData['class'] : 'table table-striped table-bordered'


Joomla CMS: Référence du fichier bad.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • utils
Variables
Référence du fichier phputf8/utils/bad.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier bad.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • utils
Espaces de nommage | Fonctions | Variables
Référence du fichier vendor/joomla/string/src/phputf8/utils/bad.php

Espaces de nommage

utf8

Fonctions

utf8_bad_find ($str)
utf8_bad_findall ($str)
utf8_bad_strip ($str)
utf8_bad_replace ($str, $replace='?')
utf8_bad_identify ($str, &$i)
utf8_bad_explain ($code)

Variables

const | UTF8_BAD_5OCTET 1
const | UTF8_BAD_6OCTET 2
const | UTF8_BAD_SEQID 3
const | UTF8_BAD_NONSHORT 4
const | UTF8_BAD_SURROGATE 5
const | UTF8_BAD_UNIOUTRANGE 6
const | UTF8_BAD_SEQINCOMPLETE 7

Documentation des fonctions

◆ utf8_bad_explain()

utf8_bad_explain ( $code )

Références UTF8_BAD_5OCTET, UTF8_BAD_6OCTET, UTF8_BAD_NONSHORT, UTF8_BAD_SEQID, UTF8_BAD_SEQINCOMPLETE, UTF8_BAD_SURROGATE, et UTF8_BAD_UNIOUTRANGE.

◆ utf8_bad_find()

utf8_bad_find ( $str )

Références $UTF8_BAD.

◆ utf8_bad_findall()

utf8_bad_findall ( $str )

Références $UTF8_BAD.

◆ utf8_bad_identify()

utf8_bad_identify | ( |  | $str,
 |  | & | $i
 | ) |  |

End of the multi-octet sequence. mUcs4 now contains the final Unicode codepoint to be output

Références $i, $tmp, UTF8_BAD_5OCTET, UTF8_BAD_6OCTET, UTF8_BAD_NONSHORT, UTF8_BAD_SEQID, UTF8_BAD_SEQINCOMPLETE, UTF8_BAD_SURROGATE, et UTF8_BAD_UNIOUTRANGE.

◆ utf8_bad_replace()

utf8_bad_replace | ( | $str,
 |  | $replace = '?'
 | ) |

Références $UTF8_BAD.

◆ utf8_bad_strip()

utf8_bad_strip ( $str )

Références $UTF8_BAD.

Documentation des variables

◆ UTF8_BAD_5OCTET

const UTF8_BAD_5OCTET 1

Référencé par utf8_bad_explain(), et utf8_bad_identify().

◆ UTF8_BAD_6OCTET

const UTF8_BAD_6OCTET 2

Référencé par utf8_bad_explain(), et utf8_bad_identify().

◆ UTF8_BAD_NONSHORT

const UTF8_BAD_NONSHORT 4

Référencé par utf8_bad_explain(), et utf8_bad_identify().

◆ UTF8_BAD_SEQID

const UTF8_BAD_SEQID 3

Référencé par utf8_bad_explain(), et utf8_bad_identify().

◆ UTF8_BAD_SEQINCOMPLETE

const UTF8_BAD_SEQINCOMPLETE 7

Référencé par utf8_bad_explain(), et utf8_bad_identify().

◆ UTF8_BAD_SURROGATE

const UTF8_BAD_SURROGATE 5

Référencé par utf8_bad_explain(), et utf8_bad_identify().

◆ UTF8_BAD_UNIOUTRANGE

const UTF8_BAD_UNIOUTRANGE 6

Référencé par utf8_bad_explain(), et utf8_bad_identify().


Joomla CMS: Référence du fichier banner.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/controllers/banner.php

Structures de données

class BannersControllerBanner

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier banner.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/helpers/html/banner.php

Structures de données

class JHtmlBanner

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier banner.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/models/banner.php

Structures de données

class BannersModelBanner

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier banner.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/tables/banner.php

Structures de données

class BannersTableBanner

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier banner.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_banners/helpers/banner.php

Structures de données

class BannerHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier banner.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_banners/models/banner.php

Structures de données

class BannersModelBanner

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier bannerclient.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier bannerclient.php

Structures de données

class JFormFieldBannerClient

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier banners.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
Espaces de nommage | Variables
Référence du fichier administrator/components/com_banners/banners.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_banners')) $controller = JControllerLegacy::getInstance('Banners')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_banners')) $controller = JControllerLegacy::getInstance('Banners')


Joomla CMS: Référence du fichier banners.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/controllers/banners.php

Structures de données

class BannersControllerBanners

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier banners.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/helpers/banners.php

Structures de données

class BannersHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier banners.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/models/banners.php

Structures de données

class BannersModelBanners

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier banners.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
Espaces de nommage | Variables
Référence du fichier components/com_banners/banners.php

Espaces de nommage

Joomla\Site

Variables

$controller = JControllerLegacy::getInstance('Banners')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Banners')


Joomla CMS: Référence du fichier banners.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_banners/models/banners.php

Structures de données

class BannersModelBanners

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier bar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • layouts
  • joomla
  • searchtools
  • default
Espaces de nommage | Variables
Référence du fichier administrator/components/com_associations/layouts/joomla/searchtools/default/bar.php

Espaces de nommage

Joomla\Administrator

Variables

$data = $displayData
endif

Documentation des variables

◆ $data

$data = $displayData

Référencé par InstallationResponseJson\__construct(), FOFHalDocument\__construct(), ComponentRecord\__construct(), FOFUtilsUpdate\__construct(), MenuItem\__construct(), Rules\__toString(), JArchiveZip\_addToZIPFile(), ComponentAdapter\_buildAdminMenus(), Pagination\_buildDataObject(), ExtensionAdapter\_characterData(), Update\_characterData(), PlgContentJoomla\_countItemsInChildren(), FOFViewJson\_createDocumentWithHypermedia(), JArchiveZip\_createZIPFile(), JArchiveTar\_getTarInfo(), Nested\_getTreeRepositionData(), JArchiveZip\_readZipInfo(), PlgCaptchaRecaptcha\_recaptcha_http_post(), PlgCaptchaRecaptcha\_recaptcha_qsencode(), ContactControllerContact\_sendEmail(), Update\_startElement(), UsersModelRegistration\activate(), InstallationModelLanguages\addArticle(), JGoogleDataCalendar\addCalendar(), InstallationModelLanguages\addCategory(), Inflector\addCountableRule(), FOFHalDocument\addData(), JTwitterLists\addMembers(), Inflector\addPluraliseRule(), Inflector\addRule(), Inflector\addSingulariseRule(), admin_postinstall_eaccelerator_action(), ContactControllerContact\allowAdd(), MenusControllerItem\allowAdd(), NewsfeedsControllerNewsfeed\allowAdd(), BannersControllerBanner\allowAdd(), ContentControllerArticle\allowAdd(), AdminControllerProfile\allowEdit(), UsersControllerUser\allowEdit(), TagsControllerTag\allowEdit(), UsersControllerGroup\allowEdit(), UsersControllerLevel\allowEdit(), MenusControllerItem\allowEdit(), ContactControllerContact\allowEdit(), NewsfeedsControllerNewsfeed\allowEdit(), BannersControllerBanner\allowEdit(), FieldsControllerField\allowEdit(), CategoriesControllerCategory\allowEdit(), ContentControllerArticle\allowEdit(), FieldsControllerGroup\allowEdit(), ModulesControllerModule\allowEdit(), MessagesControllerMessage\allowSave(), UsersControllerGroup\allowSave(), UsersControllerLevel\allowSave(), ModulesControllerModule\allowSave(), FormController\allowSave(), Registry\append(), FOFController\applySave(), Registry\asArray(), JMediawikiUsers\assignGroup(), JOAuth2Client\authenticate(), ModulesModelModule\batchCopy(), behindproxy_postinstall_action(), Form\bind(), Registry\bindData(), Form\bindLevel(), JTwitterBlock\block(), JMediawikiUsers\blockUser(), ContactModelContact\buildContactExtendedData(), JGithubPackageGists\buildFileData(), HTMLHelper\calendar(), SimplePie_Misc\change_encoding(), SimplePie_Misc\change_encoding_iconv(), SimplePie_Misc\change_encoding_mbstring(), JMediawikiPages\changeProtection(), FieldsModelField\checkDefaultValue(), InstallationModelSetup\checkForm(), JArchiveZip\checkZipData(), JGoogleDataCalendar\clearCalendar(), SMTP\client_send(), UsersControllerReset\complete(), JResponse\compress(), AbstractWebApplication\compress(), WebApplication\compress(), UsersControllerReset\confirm(), uctc\convert(), JGithubPackageGistsComments\create(), JGithubRefs\create(), JGithubPackageAuthorization\create(), JGithubForks\create(), JGithubPackageRepositoriesForks\create(), JGithubStatuses\create(), JGithubPackagePullsComments\create(), JGithubCommits\create(), JGithubPackageRepositoriesStatuses\create(), JGithubPackageGists\create(), JGithubPackagePulls\create(), JGithubPackageIssues\create(), JGithubPackageDataBlobs\create(), JGithubPackageDataCommits\create(), JGithubHooks\create(), JGithubPackageRepositoriesHooks\create(), JGithubPackageDataTags\create(), JGithubPackageRepositoriesKeys\create(), JGithubPackageIssuesLabels\create(), JGithubPackageOrgsTeams\create(), JGithubPackageRepositoriesDownloads\create(), JGithubPackageUsersKeys\create(), JGithubPackageDataRefs\create(), JGithubPackageDataTrees\create(), JGithubPackageIssuesMilestones\create(), JGithubMilestones\create(), JGithubPackageRepositoriesComments\create(), MediaControllerFolder\create(), JGithubPackageIssuesComments\create(), JGithubPackageRepositories\create(), FOFTableNested\create(), JTwitterLists\create(), JFacebookUser\createAlbum(), JGithubAccount\createAuthorisation(), JGoogleDataCalendar\createCalendar(), CategoriesHelper\createCategory(), JFacebookUser\createCheckin(), JFacebookStatus\createComment(), JFacebookVideo\createComment(), JFacebookCheckin\createComment(), JFacebookLink\createComment(), JFacebookNote\createComment(), JFacebookPhoto\createComment(), JFacebookPost\createComment(), JFacebookComment\createComment(), JFacebookAlbum\createComment(), JGithubCommits\createCommitComment(), PrivacyPlugin\createCustomFieldsDomain(), JGoogleDataCalendar\createEvent(), JFacebookUser\createEvent(), JTwitterFavorites\createFavorites(), JGithubPackagePulls\createFromIssue(), JFacebookEvent\createInvite(), PrivacyPlugin\createItemForTable(), PlgPrivacyUser\createItemForUserTable(), PrivacyPlugin\createItemFromArray(), JFacebookEvent\createLink(), JFacebookGroup\createLink(), JFacebookUser\createLink(), JFacebookUser\createNote(), JFacebookAlbum\createPhoto(), JFacebookEvent\createPhoto(), JFacebookUser\createPhoto(), JTwitterPlaces\createPlace(), JFacebookEvent\createPost(), JFacebookGroup\createPost(), JFacebookUser\createPost(), JGithubPackagePullsComments\createReply(), JoomlaupdateModelDefault\createRestorationFile(), JTwittersearch\createSavedSearch(), JFacebookEvent\createStatus(), JFacebookGroup\createStatus(), JFacebookUser\createStatus(), JFacebookPhoto\createTag(), JFacebookEvent\createVideo(), JFacebookUser\createVideo(), BaseLayout\debug(), PlgSystemStats\debug(), JInputFiles\decodeData(), InputFilter\decodeFileData(), CryptoCipher\decrypt(), SimpleCipher\decrypt(), SodiumCipher\decrypt(), Crypt\decrypt(), McryptCipher\decrypt(), JTwitterLists\delete(), JGoogleDataCalendar\deleteCalendar(), JTwitterDirectmessages\deleteDirectMessages(), JGoogleDataCalendar\deleteEvent(), JTwitterFavorites\deleteFavorites(), JTwitterLists\deleteMembers(), JMediawikiPages\deletePageById(), JMediawikiPages\deletePageByName(), JTwitterStatuses\deleteTweet(), JKeychain\deleteValue(), AdminViewSysinfo\display(), ContactViewContact\display(), PlgSystemRedirect\doErrorHandling(), Parser\doParse(), FOFUtilsUpdate\downloadUpdate(), ModulesModelModule\duplicate(), JGithubRefs\edit(), JGithubPackageUsers\edit(), JGithubPackageOrgs\edit(), JGithubPackageGistsComments\edit(), JGithubPackageAuthorization\edit(), JGithubPackageIssues\edit(), JGithubPackageRepositoriesComments\edit(), JGithubPackageRepositoriesKeys\edit(), JGithubPackageGists\edit(), JGithubPackageUsersKeys\edit(), JGithubPackageRepositoriesHooks\edit(), JGithubPackageOrgsTeams\edit(), JGithubHooks\edit(), JGithubPackagePullsComments\edit(), JGithubPackageIssuesComments\edit(), JGithubPackagePulls\edit(), JGithubPackageDataRefs\edit(), JGithubPackageIssuesMilestones\edit(), JGithubMilestones\edit(), JGithubPackageRepositories\edit(), FormController\editAssociations(), AdminModel\editAssociations(), JGithubAccount\editAuthorisation(), JGoogleDataCalendar\editCalendar(), JGoogleDataCalendar\editCalendarSettings(), JGithubCommits\editCommitComment(), JFacebookUser\editEvent(), JGoogleDataCalendar\editEvent(), JMediawikiPages\editPage(), JMediawikiUsers\emailUser(), CryptoCipher\encrypt(), SimpleCipher\encrypt(), SodiumCipher\encrypt(), Crypt\encrypt(), McryptCipher\encrypt(), OutputController\end(), SimplePie_Misc\entities_decode(), ConfigControllerTemplatesSave\execute(), ConfigControllerModulesSave\execute(), ConfigControllerApplicationSave\execute(), ConfigControllerComponentSave\execute(), ConfigControllerConfigSave\execute(), Form\filter(), JTwitterFriends\follow(), AKAbstractUnarchiver\fread(), JGoogleDataAdsense\generateReport(), BannersModelBanner\generateTitle(), AdminModel\generateTitle(), JHtmlSelect\genericlist(), JGoogleEmbedMaps\geocodeAddress(), ViewController\get(), PageController\get(), CallbackController\get(), FileStorage\get(), CacheController\get(), OutputController\get(), SMTP\get_lines(), JGoogleDataAdsense\getAccount(), Access\getActionsFromData(), WincacheStorage\getAll(), ApcuStorage\getAll(), ApcStorage\getAll(), XcacheStorage\getAll(), CacheliteStorage\getAll(), FileStorage\getAll(), MemcacheStorage\getAll(), MemcachedStorage\getAll(), RedisStorage\getAll(), JInput\getArray(), JTwitterBlock\getBlocking(), JLinkedinJobs\getBookmarked(), HtmlDocument\getBuffer(), FOFIntegrationJoomlaPlatform\getCacheObject(), JGoogleDataCalendar\getCalendar(), JGoogleDataAdsense\getChannel(), JTwitterTrends\getClosest(), JLinkedinGroups\getComment(), JLinkedinStream\getComments(), JLinkedinCompanies\getCompanies(), JLinkedinPeople\getConnections(), ContactModelContact\getContactQuery(), JTwitterUsers\getContributees(), JTwitterUsers\getContributors(), ActionlogsHelperPhp55\getCsvAsGenerator(), ActionlogsHelper\getCsvData(), JLinkedinStream\getCurrentShare(), FinderModelStatistics\getData(), Rule\getData(), ConfigModelApplication\getData(), Rules\getData(), MailtoModelMailto\getData(), CacheModelCache\getData(), UsersModelProfile\getData(), FOFForm\getData(), BaseLayout\getData(), UsersModelRegistration\getData(), Pagination\getData(), Form\getData(), JTwitterDirectmessages\getDirectMessages(), JTwitterDirectmessages\getDirectMessagesById(), JLinkedinGroups\getDiscussions(), JGoogleDataCalendar\getEvent(), JTwitterFavorites\getFavorites(), FieldsHelper\getFieldTypes(), FieldsModelField\getFieldValues(), FOFDownloadAdapterCurl\getFileSize(), FieldsModelFields\getFilterForm(), ActionlogsModelActionlogs\getFilterForm(), JLinkedinCompanies\getFollowed(), JTwitterFriends\getFollowerIds(), ConfigModelTemplates\getForm(), PluginsModelPlugin\getForm(), RedirectModelLink\getForm(), InstallationModelSetup\getForm(), FieldsModelGroup\getForm(), NewsfeedsModelNewsfeed\getForm(), ContactModelContact\getForm(), BannersModelBanner\getForm(), CategoriesModelCategory\getForm(), TemplatesModelStyle\getForm(), ContentModelArticle\getForm(), FieldsModelField\getForm(), InstallationModelLanguages\getForm(), MenusModelItem\getForm(), ModulesModelModule\getForm(), InstallerModelUpdate\getForm(), FOFModel\getForm(), JTwitterFriends\getFriendIds(), JTwitterFriends\getFriendshipDetails(), JTwitterFriends\getFriendshipNoRetweetIds(), JTwitterFriends\getFriendshipsIncoming(), JTwitterFriends\getFriendshipsLookup(), JTwitterFriends\getFriendshipsOutgoing(), JTwitterPlaces\getGeocode(), JLinkedinGroups\getGroup(), HtmlDocument\getHeadData(), JFormFieldRepeatable\getInput(), JFormFieldSubform\getInput(), InstallationModelLanguages\getInstalledlangs(), FOFForm\getInstance(), Form\getInstance(), NewsfeedsModelNewsfeed\getItem(), ContentModelArticle\getItem(), ContactModelContact\getItem(), FOFModel\getItem(), JLinkedinJobs\getJob(), JFormFieldConsentBox\getLabel(), FormField\getLabel(), ContenthistoryField\getLayoutData(), PlgSystemStatsFormFieldData\getLayoutData(), JFormFieldTinymceBuilder\getLayoutData(), JFormFieldRange\getLayoutData(), JFormFieldEMail\getLayoutData(), JFormFieldUrl\getLayoutData(), JFormFieldTel\getLayoutData(), JFormFieldCombo\getLayoutData(), JFormFieldRadio\getLayoutData(), JFormFieldprivacy\getLayoutData(), JFormFieldterms\getLayoutData(), UserField\getLayoutData(), ModuleorderField\getLayoutData(), JFormFieldFile\getLayoutData(), JFormFieldCheckboxes\getLayoutData(), JFormFieldTextarea\getLayoutData(), JFormFieldPassword\getLayoutData(), JFormFieldMeter\getLayoutData(), JFormFieldNumber\getLayoutData(), JFormFieldConsentBox\getLayoutData(), JFormFieldColor\getLayoutData(), MediaField\getLayoutData(), JFormFieldText\getLayoutData(), JFormFieldCalendar\getLayoutData(), JLinkedinStream\getLikes(), ModSampledataHelper\getList(), JTwitterLists\getListById(), JTwitterLists\getLists(), JTwitterLists\getMembers(), JLinkedinGroups\getMemberships(), JTwitterStatuses\getMentions(), JLinkedinStream\getNetworkStats(), JLinkedinStream\getNetworkUpdates(), Parser\getNextEmbedBlock(), JTwitterStatuses\getOembed(), FOFFormFieldGroupedlist\getOptionName(), FOFFormFieldList\getOptionName(), FieldsListPlugin\getOptionsFromField(), Pagination\getPagesLinks(), Pagination\getPaginationPages(), JLinkedinGroups\getPost(), JLinkedinGroups\getPostComments(), FinderIndexerHelper\getPrimaryLanguage(), JLinkedinCompanies\getProducts(), JLinkedinPeople\getProfile(), UserHelper\getProfile(), JTwitterStatuses\getRetweeters(), JTwitterStatuses\getRetweetsById(), JTwitterStatuses\getRetweetsOfMe(), CMSHelper\getRowData(), ContentHelper\getRowData(), AdminModelSysInfo\getSafeData(), JTwitterDirectmessages\getSentDirectMessages(), JLinkedinGroups\getSettings(), JLinkedinStream\getShareStream(), JTwitterPlaces\getSimilarPlaces(), FinderIndexer\getState(), PlgSystemStats\getStatsData(), JTwitterLists\getStatuses(), JTwitterLists\getSubscribers(), JTwitterLists\getSubscriptions(), JLinkedinJobs\getSuggested(), JLinkedinCompanies\getSuggested(), JLinkedinGroups\getSuggested(), JTwitterUsers\getSuggestions(), JTwitterUsers\getSuggestionsSlug(), FOFTableRelations\getTableFromRelation(), AdminModelHelp\getToc(), JTwitterTrends\getTrends(), JTwitterStatuses\getTweetById(), JGoogleDataAdsense\getUnit(), JLinkedinCompanies\getUpdates(), JTwitterUsers\getUser(), JLinkedinGroups\getUserPosts(), JTwitterUsers\getUserProfileBanner(), JTwitterUsers\getUsersLookup(), JTwitterStatuses\getUserTimeline(), Cache\getWorkarounds(), Factory\getXml(), JHtmlSelect\groupedlist(), ParagonIE_Sodium_Core_Util\hash_update(), SMTP\hmac(), Crypto\HMACTestVector(), InstallationModelDatabase\installSampleData(), JHtmlSelect\integerlist(), JLinkedinCommunications\inviteById(), FinderIndexerHelper\isCommon(), JTwitterLists\isMember(), InputFilter\isSafeFile(), JTwitterLists\isSubscriber(), FtpClient\listDetails(), JGoogleData\listGetData(), FtpClient\listNames(), User\load(), SimplePie_Cache_Memcache\load(), SimplePie_Cache_MySQL\load(), Form\load(), JInput\loadAllInputs(), CliApplication\loadConfiguration(), DaemonApplication\loadConfiguration(), WebApplication\loadConfiguration(), ConfigModelForm\loadForm(), FormModel\loadForm(), ListModel\loadForm(), FOFModel\loadForm(), UsersModelMail\loadFormData(), UsersModelLogin\loadFormData(), MailtoModelMailto\loadFormData(), LanguagesModelOverride\loadFormData(), BannersModelDownload\loadFormData(), PrivacyModelRequest\loadFormData(), AdminModelProfile\loadFormData(), UsersModelGroup\loadFormData(), UsersModelNote\loadFormData(), RedirectModelLink\loadFormData(), BannersModelClient\loadFormData(), PluginsModelPlugin\loadFormData(), FinderModelFilter\loadFormData(), UsersModelUser\loadFormData(), LanguagesModelLanguage\loadFormData(), NewsfeedsModelNewsfeed\loadFormData(), MenusModelMenu\loadFormData(), UsersModelLevel\loadFormData(), TagsModelTag\loadFormData(), UsersModelProfile\loadFormData(), BannersModelBanner\loadFormData(), MessagesModelMessage\loadFormData(), ContactModelContact\loadFormData(), PluginsModelPlugins\loadFormData(), FieldsModelGroup\loadFormData(), CategoriesModelCategory\loadFormData(), TemplatesModelStyle\loadFormData(), UsersModelRegistration\loadFormData(), TemplatesModelTemplate\loadFormData(), ListModel\loadFormData(), ContentModelArticle\loadFormData(), InstallerModelUpdate\loadFormData(), MenusModelItem\loadFormData(), ModulesModelModule\loadFormData(), FieldsModelField\loadFormData(), Installer\loadMD5Sum(), UsersControllerUser\login(), UCMBase\mapBase(), JGithubPackageActivityNotifications\markRead(), JGithubPackageActivityNotifications\markReadRepository(), JGithubPackageActivityNotifications\markReadThread(), Rules\merge(), JGithubPackagePulls\merge(), HtmlDocument\mergeHeadData(), JGoogleDataCalendar\moveEvent(), JMediawikiPages\movePageById(), JMediawikiPages\movePageByName(), PHPMailer\msgHTML(), SimplePie_Cache_Memcache\mtime(), JOAuth1Client\oauthRequest(), PlgSystemCache\onAfterInitialise(), PlgSystemStats\onAjaxSendStats(), FOFModel\onBeforeSave(), PlgSystemFields\onContentAfterSave(), PlgContentJoomla\onContentBeforeDelete(), PlgSystemFields\onContentNormaliseRequestData(), PlgUserProfile\onContentPrepareData(), PlgSystemActionLogs\onContentPrepareData(), PlgUserJoomla\onContentPrepareForm(), PlgSystemPrivacyconsent\onContentPrepareForm(), PlgSystemActionLogs\onContentPrepareForm(), FieldsPlugin\onContentPrepareForm(), PlgSystemFields\onContentPrepareForm(), FieldsPlugin\onCustomFieldsGetTypes(), PlgPrivacyActionlogs\onPrivacyExportRequest(), PlgSampledataBlog\onSampledataGetOverview(), PlgUserTerms\onUserAfterSave(), PlgSystemPrivacyconsent\onUserAfterSave(), PlgUserProfile\onUserAfterSave(), PlgSystemRemember\onUserBeforeSave(), PlgUserProfile\onUserBeforeSave(), PlgTwofactorauthYubikey\onUserTwofactorApplyConfiguration(), PlgTwofactorauthTotp\onUserTwofactorApplyConfiguration(), Parser\parse(), FOFConfigProvider\parseComponentArea(), Installer\parseXMLInstallFile(), ApplicationHelper\parseXMLLangMetaFile(), ModulesHelperXML\parseXMLModuleFile(), TemplatesHelper\parseXMLTemplateFile(), PluginsHelper\parseXMLTemplateFile(), Http\patch(), JGithubPackageRepositoriesMerging\perform(), JMediawikiHttp\post(), Http\post(), JoomlaInstallerScript\postflight(), TagsHelper\postStoreProcess(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), ConfigModelForm\preprocessData(), FormModel\preprocessData(), UsersModelRemind\preprocessForm(), UsersModelMail\preprocessForm(), ConfigModelModules\preprocessForm(), ConfigModelTemplates\preprocessForm(), UsersModelLogin\preprocessForm(), UsersModelReset\preprocessForm(), UsersModelGroup\preprocessForm(), UsersModelUser\preprocessForm(), ContentModelForm\preprocessForm(), FieldsModelGroup\preprocessForm(), UsersModelLevel\preprocessForm(), PluginsModelPlugin\preprocessForm(), UsersModelProfile\preprocessForm(), ConfigModelForm\preprocessForm(), FormModel\preprocessForm(), BannersModelBanner\preprocessForm(), UsersModelRegistration\preprocessForm(), CategoriesModelCategory\preprocessForm(), NewsfeedsModelNewsfeed\preprocessForm(), TemplatesModelStyle\preprocessForm(), ContactModelContact\preprocessForm(), ListModel\preprocessForm(), ContentModelArticle\preprocessForm(), ModulesModelModule\preprocessForm(), FieldsModelField\preprocessForm(), MenusModelItem\preprocessForm(), FOFModel\preprocessForm(), RssParser\processPerson(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetComplete(), UsersModelReset\processResetConfirm(), UsersModelReset\processResetRequest(), AKUnarchiverJPA\processTypeFileUncompressed(), AKUnarchiverJPA\processTypeLink(), PlgExtensionJoomla\processUpdateSites(), AdminController\publish(), MenusControllerItems\publish(), Http\put(), JGoogleAuthOauth2\query(), JGoogleData\query(), JOAuth2Client\query(), JDatabaseDriverPgsql\quoteBinary(), JDatabaseDriverPostgresql\quoteBinary(), JDatabaseDriver\quoteBinary(), JHtmlSelect\radiolist(), File\read(), AdminModel\redirectToAssociations(), JOAuth2Client\refreshToken(), UsersControllerRegistration\register(), UsersModelRegistration\register(), InstalledVersions\reload(), FormController\reload(), UsersControllerRemind\remind(), UsersControllerUser\remind(), Registry\remove(), ConfigViewApplicationHtml\render(), JGithubPackageMarkdown\render(), RssRenderer\render(), FOFHalRenderJson\render(), JHtmlSidebar\render(), AtomRenderer\render(), ExceptionHandler\render(), ErrorDocument\render(), FeedDocument\render(), WebApplication\render(), PlgSystemStats\render(), InstallationApplicationWeb\render(), HtmlDocument\render(), FormField\render(), CMSApplication\render(), AdminViewSysinfo\renderDirectories(), FormField\renderField(), FOFDownloadAdapterCurl\reponseHeaderCallback(), UsersControllerReset\request(), CurlTransport\request(), SocketTransport\request(), StreamTransport\request(), JGithubPackageAuthorization\requestToken(), Reader\resolveContainer(), FinderModelSearch\retrieve(), JTwitterStatuses\retweet(), JMediawikiPages\rollback(), FOFIntegrationJoomlaPlatform\runPlugins(), JOAuth1Client\safeEncode(), JGoogleData\safeXml(), SimplePie_Sanitize\sanitize(), MessagesControllerConfig\save(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), MenusControllerMenu\save(), FieldsModelGroup\save(), LanguagesControllerOverride\save(), FieldsModelField\save(), UsersControllerProfile\save(), SimplePie_Cache_File\save(), SimplePie_Cache_Memcache\save(), ConfigModelApplication\save(), MessagesModelConfig\save(), LanguagesModelOverride\save(), AdminModelProfile\save(), ConfigModelComponent\save(), UsersModelGroup\save(), SimplePie_Cache_MySQL\save(), LanguagesModelLanguage\save(), JSessionHandlerNative\save(), ContentModelForm\save(), UsersModelUser\save(), NewsfeedsModelNewsfeed\save(), ModulesControllerModule\save(), TemplatesControllerTemplate\save(), MenusModelMenu\save(), TagsModelTag\save(), UsersModelLevel\save(), MenusControllerItem\save(), ContactModelContact\save(), UsersModelProfile\save(), MessagesModelMessage\save(), PluginsModelPlugin\save(), PrivacyModelRequest\save(), TemplatesModelStyle\save(), TemplatesModelTemplate\save(), CategoriesModelCategory\save(), ContentModelArticle\save(), FormController\save(), ModulesModelModule\save(), AdminModel\save(), FOFModel\save(), MenusModelItem\save(), JKeychain\saveKeychain(), JTwittersearch\search(), JTwitterPlaces\search(), JLinkedinCompanies\search(), JLinkedinPeople\search(), JLinkedinJobs\search(), JTwitterUsers\searchUsers(), MailtoController\send(), UsersModelMail\send(), JTwitterDirectmessages\sendDirectMessages(), JOpenstreetmapObject\sendRequest(), JTwitterObject\sendRequest(), FinderControllerIndexer\sendResponse(), PlgSystemStats\sendStats(), FOFUtilsUpdate\setCommonParameter(), BaseLayout\setData(), MenusControllerItems\setDefault(), HtmlDocument\setHeadData(), FinderIndexer\setState(), JGithubPackageActivityWatching\setSubscription(), JGithubPackageActivityNotifications\setThreadSubscription(), MenusControllerItem\setType(), Cache\setWorkarounds(), JHtmlSearchtools\sort(), Patcher\splitLines(), OutputController\start(), UCMBase\store(), ContentHistoryHelper\store(), WincacheStorage\store(), ApcuStorage\store(), ApcStorage\store(), XcacheStorage\store(), PageController\store(), CacheliteStorage\store(), UCMContent\store(), FileStorage\store(), CacheController\store(), OutputController\store(), MemcacheStorage\store(), MemcachedStorage\store(), Cache\store(), RedisStorage\store(), FinderModelSearch\store(), ConfigModelApplication\storePermissions(), Buffer\stream_write(), BufferStreamHandler\stream_write(), PharStreamWrapper\stream_write(), Xml\stringToObject(), Json\stringToObject(), Yaml\stringToObject(), Ini\stringToObject(), SimplePie_Misc\strip_comments(), ContactControllerContact\submit(), JTwitterLists\subscribe(), JHtmlSelect\suggestionlist(), Crypto\TestEncryptDecrypt(), Registry\toFlatten(), Registry\toObject(), SimplePie_Cache_Memcache\touch(), InstallerModel\translate(), JTwitterStatuses\tweet(), JTwitterStatuses\tweetWithMedia(), JTwitterBlock\unblock(), JMediawikiUsers\unBlockUserById(), JMediawikiUsers\unBlockUserByName(), JMediawikiPages\undeletePage(), JTwitterFriends\unfollow(), JTwitterLists\unsubscribe(), JGithubPackageIssuesLabels\update(), JTwitterLists\update(), JTwitterFriends\updateFriendship(), JFacebookUser\updateNotification(), JTwitterProfile\updateProfile(), JTwitterProfile\updateProfileBackgroundImage(), JTwitterProfile\updateProfileColors(), JTwitterProfile\updateProfileImage(), JTwitterProfile\updateSettings(), JFacebookPhoto\updateTag(), JGithubPackageRepositoriesDownloads\upload(), JGoogleDataPicasaAlbum\upload(), MenusModelMenu\validate(), UsersModelLevel\validate(), FieldsModelGroup\validate(), ConfigModelForm\validate(), FormModel\validate(), CategoriesModelCategory\validate(), PrivacyModelRequest\validate(), InstallationModelSetup\validate(), NewsfeedsModelNewsfeed\validate(), BannersModelBanner\validate(), ContentModelArticle\validate(), ContactModelContact\validate(), FieldsModelField\validate(), ModulesModelModule\validate(), Form\validate(), CategoriesHelper\validateCategoryId(), FOFModel\validateForm(), PlgTwofactorauthYubikey\validateYubikeyOtp(), JLinkedinOauth\verifyCredentials(), JSessionStorageDatabase\write(), Database\write(), et SimplePie_Misc\xml_encoding().

◆ endif

endif


Joomla CMS: Référence du fichier bar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • layouts
  • joomla
  • searchtools
  • default
Espaces de nommage | Variables
Référence du fichier administrator/components/com_languages/layouts/joomla/searchtools/default/bar.php

Espaces de nommage

Joomla\Administrator

Variables

$data = $displayData
if ( $data[ 'view'] instanceof LanguagesViewOverrides)

Documentation des variables

◆ $data

$data = $displayData

◆ if

if($data['view'] instanceof LanguagesViewOverrides)


Joomla CMS: Référence du fichier bar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • layouts
  • joomla
  • searchtools
  • default
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/layouts/joomla/searchtools/default/bar.php

Espaces de nommage

Joomla\Administrator

Variables

$data = $displayData
if($data['view'] instanceof MenusViewItems) elseif ( $data[ 'view'] instanceof MenusViewMenus)

Documentation des variables

◆ $data

$data = $displayData

◆ elseif

if ( $data[ 'view'] instanceof MenusViewItems) elseif($data['view'] instanceof MenusViewMenus)


Joomla CMS: Référence du fichier bar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
  • default
Espaces de nommage | Variables
Référence du fichier layouts/joomla/searchtools/default/bar.php

Espaces de nommage

Joomla\Site

Variables

$data = $displayData
$data ['options'] = !empty($data['options']) ? $data['options'] : array()
if(is_array($data['options'])) $filterButton = $data['options']->get('filterButton', true)
$searchButton = $data['options']->get('searchButton', true)
$filters = $data['view']->filterForm->getGroup('filter')
else __pad21__
endif

Documentation des variables

◆ $data [1/2]

$data = $displayData

◆ $data [2/2]

$data[ 'options'] = !empty($data['options']) ? $data['options'] : array()

◆ $filterButton

if (is_array( $data[ 'options'])) $filterButton = $data['options']->get('filterButton', true)

◆ $filters

$filters = $data['view']->filterForm->getGroup('filter')

◆ $searchButton

$searchButton = $data['options']->get('searchButton', true)

◆ __pad21__

else __pad21__

◆ endif

endif


Joomla CMS: Référence du fichier Base.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Cache
Structures de données | Espaces de nommage
Référence du fichier Base.php

Structures de données

interface SimplePie_Cache_Base

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier base.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/base.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier base.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier layouts/joomla/toolbar/base.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier base.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • application
  • web
  • router
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/application/web/router/base.php

Structures de données

class JApplicationWebRouterBase

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier base.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • controller
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/controller/base.php

Structures de données

class JControllerBase

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier base.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • model
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/model/base.php

Structures de données

class JModelBase

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier base.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • view
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/view/base.php

Structures de données

class JViewBase

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier base.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • field
Structures de données | Espaces de nommage
Référence du fichier plugins/system/stats/field/base.php

Structures de données

class PlgSystemStatsFormFieldBase

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier base32.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
Structures de données | Espaces de nommage
Référence du fichier base32.php

Structures de données

class FOFEncryptBase32

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier BaseApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Application
Structures de données | Espaces de nommage
Référence du fichier BaseApplication.php

Structures de données

class BaseApplication

Espaces de nommage

Joomla\CMS\Application


Joomla CMS: Référence du fichier BaseController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Controller
Structures de données | Espaces de nommage
Référence du fichier BaseController.php

Structures de données

class BaseController

Espaces de nommage

Joomla\CMS\MVC\Controller


Joomla CMS: Référence du fichier BaseDatabaseModel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Model
Structures de données | Espaces de nommage
Référence du fichier BaseDatabaseModel.php

Structures de données

class BaseDatabaseModel

Espaces de nommage

Joomla\CMS\MVC\Model


Joomla CMS: Référence du fichier BaseLayout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Layout
Structures de données | Espaces de nommage
Référence du fichier BaseLayout.php

Structures de données

class BaseLayout

Espaces de nommage

Joomla\CMS\Layout


Joomla CMS: Référence du fichier batch.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • layouts
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/components/com_redirect/layouts/toolbar/batch.php

Espaces de nommage

Joomla\Administrator

Variables

$title = $displayData['title']

Documentation des variables

◆ $title

$title = $displayData['title']


Joomla CMS: Référence du fichier batch.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/batch.php

Espaces de nommage

Joomla\Administrator

Variables

$title = $displayData['title']

Documentation des variables

◆ $title

$title = $displayData['title']


Joomla CMS: Référence du fichier batch.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier layouts/joomla/toolbar/batch.php

Espaces de nommage

Joomla\Site

Variables

$title = $displayData['title']
$message = "alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST'));"

Documentation des variables

◆ $message

$message = "alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST'));"

◆ $title

$title = $displayData['title']


Joomla CMS: Référence du fichier batch.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/batch.php

Structures de données

class JHtmlBatch

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier Behavior.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
Structures de données | Espaces de nommage
Référence du fichier Behavior.php

Structures de données

class Behavior

Espaces de nommage

TYPO3\PharStreamWrapper


Joomla CMS: Référence du fichier behavior.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier cms/html/behavior.php

Structures de données

class JHtmlBehavior

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier behavior.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
Structures de données | Espaces de nommage
Référence du fichier fof/model/behavior.php

Structures de données

class FOFModelBehavior

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier behavior.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • dispatcher
Structures de données | Espaces de nommage
Référence du fichier fof/model/dispatcher/behavior.php

Structures de données

class FOFModelDispatcherBehavior

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier behavior.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
Structures de données | Espaces de nommage
Référence du fichier fof/table/behavior.php

Structures de données

class FOFTableBehavior

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier behavior.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
  • dispatcher
Structures de données | Espaces de nommage
Référence du fichier fof/table/dispatcher/behavior.php

Structures de données

class FOFTableDispatcherBehavior

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier behindproxy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier behindproxy.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_behindproxy_condition ()
behindproxy_postinstall_action ()

Documentation des fonctions

◆ admin_postinstall_behindproxy_condition()

admin_postinstall_behindproxy_condition ( )

Notifies users of the new Behind Load Balancer option in Global Config, if we detect they might be behind a proxy

Renvoie
boolean
Depuis
3.9.26

Références $app.

◆ behindproxy_postinstall_action()

behindproxy_postinstall_action ( )

Enables the Behind Load Balancer setting in Global Configuration

Renvoie
void
Depuis
3.9.26

Références $config, $data, $file, $prev, jimport(), JPATH_CONFIGURATION, et JError\raiseNotice().


Joomla CMS: Référence du fichier Binary.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-util
Espaces de nommage
Référence du fichier Binary.php

Espaces de nommage

Symfony\Polyfill\Util


Joomla CMS: Référence du fichier BinaryNoFuncOverload.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-util
Structures de données | Espaces de nommage
Référence du fichier BinaryNoFuncOverload.php

Structures de données

class BinaryNoFuncOverload

Espaces de nommage

Symfony\Polyfill\Util


Joomla CMS: Référence du fichier BinaryOnFuncOverload.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-util
Structures de données | Espaces de nommage
Référence du fichier BinaryOnFuncOverload.php

Structures de données

class BinaryOnFuncOverload

Espaces de nommage

Symfony\Polyfill\Util


Joomla CMS: Référence du fichier BLAKE2b.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/BLAKE2b.php

Structures de données

class BLAKE2b

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier BLAKE2b.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/BLAKE2b.php

Structures de données

class ParagonIE_Sodium_Core_BLAKE2b


Joomla CMS: Référence du fichier BLAKE2b.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/BLAKE2b.php

Structures de données

class ParagonIE_Sodium_Core32_BLAKE2b


Joomla CMS: Référence du fichier blobs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • data
Structures de données | Espaces de nommage
Référence du fichier blobs.php

Structures de données

class JGithubPackageDataBlobs

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier block.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Espaces de nommage
Référence du fichier layouts/joomla/content/info_block/block.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier block.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/twitter/block.php

Structures de données

class JTwitterBlock

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier blog.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/category/tmpl/blog.php

Espaces de nommage

Joomla\Site

Variables

$dispatcher = JEventDispatcher::getInstance()
$this category | text = $this->category->description
$this category | description = $this->category->text
$results = $dispatcher->trigger('onContentAfterTitle', array($this->category->extension . '.categories', &$this->category, &$this->params, 0))
$afterDisplayTitle = trim(implode("\n", $results))
$beforeDisplayContent = trim(implode("\n", $results))
$afterDisplayContent = trim(implode("\n", $results))
endif
$leadingcount = 0
if | (!empty($this->lead_items)) ( $this->lead_items as & $item)
$this | item = &$item
endforeach
$introcount = count($this->intro_items)
$counter = 0
if ( $rowcount===1)

Documentation des variables

◆ $afterDisplayContent

$afterDisplayContent = trim(implode("\n", $results))

◆ $afterDisplayTitle

$afterDisplayTitle = trim(implode("\n", $results))

◆ $beforeDisplayContent

$beforeDisplayContent = trim(implode("\n", $results))

◆ $counter

$counter = 0

Référencé par ParagonIE_Sodium_Core_ChaCha20_IetfCtx\__construct(), ParagonIE_Sodium_Core32_ChaCha20_IetfCtx\__construct(), ParagonIE_Sodium_Core_ChaCha20_Ctx\__construct(), ParagonIE_Sodium_Core32_ChaCha20_Ctx\__construct(), Session\_setCounter(), ModStatsHelper\getList(), ModStatsHelper\getStats(), Session\isNew(), FOFUtilsArray\pivot(), ArrayHelper\pivot(), et Session\setCounter().

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $introcount

$introcount = count($this->intro_items)

◆ $leadingcount

$leadingcount = 0

◆ $results

$results = $dispatcher->trigger('onContentAfterTitle', array($this->category->extension . '.categories', &$this->category, &$this->params, 0))

◆ (!empty($this->lead_items))

if (!empty( $this->lead_items))($this->lead_items as &$item)

◆ description

$this category description = $this->category->text

◆ endforeach

if (( $rowcount==$this->columns) or( $counter==$introcount)) endforeach

◆ endif

endif

◆ if

if($rowcount===1)

◆ item

$this item = &$item

◆ text

$this category text = $this->category->description


Joomla CMS: Référence du fichier blog.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • sampledata
  • blog
Structures de données | Espaces de nommage
Référence du fichier plugins/sampledata/blog/blog.php

Structures de données

class PlgSampledataBlog

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier blog.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/category/blog.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$templateparams = $app->getTemplate(true)->params
$cparams = JComponentHelper::getParams('com_media')
endif
$leadingcount = 0
if | (!empty($this->lead_items)) ( $this->lead_items as & $item)
$this | item = &$item
endforeach
$counter = 0
if ( $rowcount===1)

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $counter

$counter = 0

◆ $cparams

$cparams = JComponentHelper::getParams('com_media')

◆ $leadingcount

$leadingcount = 0

◆ $templateparams

$templateparams = $app->getTemplate(true)->params

◆ (!empty($this->lead_items))

if (!empty( $this->lead_items))($this->lead_items as &$item)

◆ endforeach

if ( $rowcount===(int) $this->columns or $counter===$introcount) endforeach

◆ endif

endif

◆ if

if($rowcount===1)

◆ item

$this item = &$item


Joomla CMS: Référence du fichier blog_children.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/category/tmpl/blog_children.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
$lang = JFactory::getLanguage()
$user = JFactory::getUser()
$groups = $user->getAuthorisedViewLevels()
if( $this->maxLevel !=0 &&count( $this->children[ $this->category->id]) > 0)( $this->children[ $this->category->id] as $id=> $child)(in_array( $child->access, $groups))( $this->params->get( 'show_empty_categories')||$child->numitems||count( $child->getChildren()))(!isset($this->children[$this->category->id][$id+1])) | endif
if($this->maxLevel > 1 &&count($child->getChildren()) > 0) | else
if($this->maxLevel > 1 &&count($child->getChildren()) > 0) $this | children [$child->id] = $child->getChildren()
$this | category = $child
$this | maxLevel
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ $groups

$groups = $user->getAuthorisedViewLevels()

◆ $lang

$lang = JFactory::getLanguage()

◆ $user

$user = JFactory::getUser()

◆ category

$this category = $child

◆ children

if ( $this->maxLevel > 1 &&count( $child->getChildren()) > 0) $this children[ $child->id] = $child->getChildren()

Référencé par Node\addChild(), JXMLElement\asFormattedXml(), CategoryView\commonCategoryDisplay(), nodecounter\compile(), ContactViewFeatured\display(), TagsViewTag\display(), nodecounter\dump(), JFormFieldUsergroup\getInput(), nodecounter\getNode(), Node\hasChildren(), StandardRules\parse(), et Node\removeChild().

◆ else

if ( $this->maxLevel > 1 &&count( $child->getChildren()) > 0) else

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevel

$this maxLevel


Joomla CMS: Référence du fichier blog_children.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/category/blog_children.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$templateparams = $app->getTemplate(true)->params
$class = ' class="first"'
$user = JFactory::getUser()
$groups = $user->getAuthorisedViewLevels()
if(count( $this->children[ $this->category->id]) > 0)( $this->children[ $this->category->id] as $id=> $child)(in_array( $child->access, $groups))( $child->numitems||$this->params->get( 'show_empty_categories')||count( $child->getChildren()))(!isset($this->children[$this->category->id][$id+1])) | endif
$this | category = $child
$this | maxLevel
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $class

$class = ' class="first"'

◆ $groups

$groups = $user->getAuthorisedViewLevels()

◆ $templateparams

$templateparams = $app->getTemplate(true)->params

◆ $user

$user = JFactory::getUser()

◆ category

$this category = $child

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevel

$this maxLevel


Joomla CMS: Référence du fichier blog_item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/category/tmpl/blog_item.php

Espaces de nommage

Joomla\Site

Variables

$params = $this->item->params
$canEdit = $this->item->params->get('access-edit')
$info = $params->get('info_block_position', 0)
$assocParam = (JLanguageAssociations::isEnabled() && $params->get('show_associations'))
$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')
$isUnpublished
if ( $isUnpublished)
endif
$useDefList
else __pad0__
$active = $menu->getActive()
$itemId = $active->id
$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

Documentation des variables

◆ $active

$active = $menu->getActive()

◆ $assocParam

$assocParam = (JLanguageAssociations::isEnabled() && $params->get('show_associations'))

◆ $canEdit

$canEdit = $this->item->params->get('access-edit')

◆ $currentDate

$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')

◆ $info

$info = $params->get('info_block_position', 0)

◆ $isUnpublished

$isUnpublished
Valeur initiale :
= ($this->item->state == 0 || $this->item->publish_up > $currentDate)
|| ($this->item->publish_down < $currentDate && $this->item->publish_down !== JFactory::getDbo()->getNullDate())
$currentDate
$currentDate
Definition: components/com_content/views/category/tmpl/blog_item.php:21
item
else $this item
Definition: components/com_content/views/article/tmpl/default.php:76

◆ $itemId

$itemId = $active->id

◆ $link

$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

◆ $params

$params = $this->item->params

◆ $useDefList

$useDefList
Valeur initiale :
= ($params->get('show_modify_date') || $params->get('show_publish_date') || $params->get('show_create_date')
|| $params->get('show_hits') || $params->get('show_category') || $params->get('show_parent_category') || $params->get('show_author') || $assocParam)
$params
$params
Definition: components/com_content/views/category/tmpl/blog_item.php:13
$assocParam
$assocParam
Definition: components/com_content/views/category/tmpl/blog_item.php:19

◆ __pad0__

else __pad0__

◆ endif

endif

◆ if

if($isUnpublished) ( $isUnpublished )


Joomla CMS: Référence du fichier blog_item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/category/blog_item.php

Espaces de nommage

Joomla\Site

Variables

$params = &$this->item->params
$images = json_decode($this->item->images)
$app = JFactory::getApplication()
$canEdit = $this->item->params->get('access-edit')
$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')
$isUnpublished
else __pad10__
endif
$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_id)) . '">' . $title . '</a>'
else __pad11__
else $title
else __pad12__
else __pad13__
else $author
else __pad14__
$active = $menu->getActive()
$itemId = $active->id
$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))
else __pad15__
if ( $isUnpublished)

Documentation des variables

◆ $active

$active = $menu->getActive()

◆ $app

$app = JFactory::getApplication()

◆ $author

else $author

◆ $canEdit

$canEdit = $this->item->params->get('access-edit')

◆ $currentDate

$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')

◆ $images

$images = json_decode($this->item->images)

◆ $isUnpublished

$isUnpublished
Valeur initiale :
= ($this->item->state == 0 || $this->item->publish_up > $currentDate)
|| ($this->item->publish_down < $currentDate && $this->item->publish_down !== JFactory::getDbo()->getNullDate())
item
else $this item
Definition: components/com_content/views/article/tmpl/default.php:76
$currentDate
$currentDate
Definition: templates/beez3/html/com_content/category/blog_item.php:18

◆ $itemId

$itemId = $active->id

◆ $link

$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

◆ $params

$params = &$this->item->params

◆ $title

else $title

◆ $url

$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_id)) . '">' . $title . '</a>'

◆ __pad10__

else __pad10__

◆ __pad11__

else __pad11__

◆ __pad12__

else __pad12__

◆ __pad13__

else __pad13__

◆ __pad14__

else __pad14__

◆ __pad15__

else __pad15__

◆ endif

endif

◆ if

if($isUnpublished)


Joomla CMS: Référence du fichier blog_links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/category/tmpl/blog_links.php

Espaces de nommage

Joomla\Site

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier blog_links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/category/blog_links.php

Espaces de nommage

Joomla\Site

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier blog_style_default_item_title.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier blog_style_default_item_title.php

Espaces de nommage

Joomla\Site

Variables

$params = $displayData->params
$canEdit = $displayData->params->get('access-edit')
$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')
else __pad0__
endif

Documentation des variables

◆ $canEdit

$canEdit = $displayData->params->get('access-edit')

◆ $currentDate

$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')

◆ $params

$params = $displayData->params

◆ __pad0__

else __pad0__

◆ endif

endif


Joomla CMS: Référence du fichier blog_style_default_links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier blog_style_default_links.php

Espaces de nommage

Joomla\Site

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier BlowfishCipher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Cipher
Structures de données | Espaces de nommage
Référence du fichier BlowfishCipher.php

Structures de données

class BlowfishCipher

Espaces de nommage

Joomla\CMS\Crypt\Cipher


Joomla CMS: Référence du fichier body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • template
Espaces de nommage
Référence du fichier installation/template/body.php

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • modal
Espaces de nommage | Variables
Référence du fichier layouts/joomla/modal/body.php

Espaces de nommage

Joomla\Site

Variables

$bodyClass = 'modal-body'
$bodyHeight = isset($params['bodyHeight']) ? round((int) $params['bodyHeight'], -1) : ''
if ( $bodyHeight &&$bodyHeight >=20 &&$bodyHeight< 90)

Documentation des variables

◆ $bodyClass

$bodyClass = 'modal-body'

Layout variables

Paramètres
string | $selector | Unique DOM identifier for the modal. CSS id without #
array $params Modal parameters. Default supported parameters:
  • title string The modal title
  • backdrop mixed A boolean select if a modal-backdrop element should be included (default = true) The string 'static' includes a backdrop which doesn't close the modal on click.
  • keyboard boolean Closes the modal when escape key is pressed (default = true)
  • closeButton boolean Display modal close button (default = true)
  • animation boolean Fade in from the top of the page (default = true)
  • footer string Optional markup for the modal footer
  • url string URL of a resource to be inserted as an <iframe> inside the modal body
  • height string height of the <iframe> containing the remote resource
  • width string width of the <iframe> containing the remote resource
  • bodyHeight int Optional height of the modal body in viewport units (vh)
  • modalWidth int Optional width of the modal in viewport units (vh)
string | $body | Markup for the modal body. Appended after the <iframe> if the URL option is set

◆ $bodyHeight

$bodyHeight = isset($params['bodyHeight']) ? round((int) $params['bodyHeight'], -1) : ''

◆ if

if($bodyHeight && $bodyHeight >=20 && $bodyHeight< 90)


Joomla CMS: Référence du fichier boolean.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • field
Structures de données | Espaces de nommage
Référence du fichier boolean.php

Structures de données

class FOFModelFieldBoolean

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier BooleanRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier BooleanRule.php

Structures de données

class BooleanRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier bootstrap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • application
Espaces de nommage | Variables
Référence du fichier installation/application/bootstrap.php

Espaces de nommage

Joomla\Installation

Variables

const JPATH_BASE dirname(__DIR__)

Documentation des variables

◆ JPATH_BASE

const JPATH_BASE dirname(__DIR__)

Référencé par OpensearchDocument\__construct(), Language\__construct(), HtmlDocument\_fetchTemplate(), HtmlDocument\_loadTemplate(), CategoriesHelper\addSubmenu(), TagsHelper\addSubmenu(), TagsViewTag\addToolbar(), CategoriesViewCategory\addToolbar(), CategoriesViewCategories\addToolbar(), Uri\base(), Help\createUrl(), InstallationApplicationWeb\dispatch(), ConfigControllerDisplay\execute(), JFormFieldConsentBox\getAssignedArticleUrl(), ConfigModelComponent\getComponent(), ModRandomImageHelper\getFolder(), ConfigModelComponent\getForm(), ModRandomImageHelper\getImages(), TagsHelperRoute\getItemRoute(), JFormFieldTos\getLabel(), AdminModelHelp\getLangTag(), LanguageHelper\getLanguages(), JFormFieldprivacy\getLayoutData(), JFormFieldterms\getLayoutData(), ModuleHelper\getLayoutPath(), LanguageHelper\getMetadata(), ConfigModelModules\getPositions(), ModRandomImageHelper\getRandomImage(), AdminModelHelp\getToc(), ConfigHelperConfig\loadLanguageForComponent(), ConfigViewCmsHtml\loadTemplate(), HtmlView\loadTemplate(), ActionlogsHelper\loadTranslationFiles(), ConfigModelModules\preprocessForm(), ConfigModelTemplates\preprocessForm(), FieldsModelGroup\preprocessForm(), CategoriesModelCategory\preprocessForm(), FieldsModelField\preprocessForm(), ErrorDocument\render(), WebApplication\render(), CMSApplication\render(), et ModuleHelper\renderModule().


Joomla CMS: Référence du fichier bootstrap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/bootstrap.php

Structures de données

class JHtmlBootstrap

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier bootstrap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-ctype
Référence du fichier libraries/vendor/symfony/polyfill-ctype/bootstrap.php


Joomla CMS: Référence du fichier bootstrap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php55
Référence du fichier libraries/vendor/symfony/polyfill-php55/bootstrap.php


Joomla CMS: Référence du fichier bootstrap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php56
Référence du fichier libraries/vendor/symfony/polyfill-php56/bootstrap.php


Joomla CMS: Référence du fichier bootstrap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php71
Référence du fichier libraries/vendor/symfony/polyfill-php71/bootstrap.php


Joomla CMS: Référence du fichier bootstrap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php73
Référence du fichier libraries/vendor/symfony/polyfill-php73/bootstrap.php


Joomla CMS: Référence du fichier branches.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier branches.php

Structures de données

class JFormFieldBranches

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Brightness.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier Brightness.php

Structures de données

class Brightness

Espaces de nommage

Joomla\Image\Filter


Joomla CMS: Référence du fichier Browser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Environment
Structures de données | Espaces de nommage
Référence du fichier Browser.php

Structures de données

class Browser

Espaces de nommage

Joomla\CMS\Environment


Joomla CMS: Référence du fichier Buffer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
Structures de données | Espaces de nommage
Référence du fichier Buffer.php

Structures de données

class Buffer

Espaces de nommage

Joomla\Filesystem


Joomla CMS: Référence du fichier BufferStreamHandler.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Utility
Structures de données | Espaces de nommage
Référence du fichier BufferStreamHandler.php

Structures de données

class BufferStreamHandler

Espaces de nommage

Joomla\CMS\Utility


Joomla CMS: Référence du fichier button.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • editors
  • buttons
Espaces de nommage | Variables
Référence du fichier layouts/joomla/editors/buttons/button.php

Espaces de nommage

Joomla\Site

Variables

$button = $displayData
if( $button->get( 'name'))('class') ? $class = $button->get('modal') ? ' modal-button' : null
$href = $button->get('link') ? ' href="' . JUri::base() . $button->get('link') . '"' : null
$onclick = $button->get('onclick') ? ' onclick="' . $button->get('onclick') . '"' : ''
$title = $button->get('title') ?: $button->get('text')
if ( $button->get( 'modal'))
endif

Documentation des variables

◆ $button

$button = $displayData

◆ $class

if ($button->get('name')) ( 'class') ? $class = $button->get('modal') ? ' modal-button' : null

◆ $href

$href = $button->get('link') ? ' href="' . JUri::base() . $button->get('link') . '"' : null

Référencé par FOFHalLink\__construct(), HtmlDocument\addFavicon(), HtmlDocument\addHeadLink(), ToolbarHelper\back(), SimplePie_Locator\get_links(), FOFToolbar\renderToolbarElement(), SimplePie_Locator\search_elements_by_tag(), PlgEditorTinymce\tinyButtons(), HTMLHelper\tooltip(), et JHtmlDebug\xdebuglink().

◆ $onclick

$onclick = $button->get('onclick') ? ' onclick="' . $button->get('onclick') . '"' : ''

◆ $title

$title = $button->get('title') ?: $button->get('text')

◆ endif

endif

◆ if

if($button->get('modal'))


Joomla CMS: Référence du fichier button.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • tinymce
  • buttons
Espaces de nommage
Référence du fichier layouts/joomla/tinymce/buttons/button.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier button.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/button.php

Structures de données

class FOFFormFieldButton

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier buttons.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • editors
Espaces de nommage | Variables
Référence du fichier editors/buttons.php

Espaces de nommage

Joomla\Site

Variables

$buttons = $displayData
endforeach
endif

Documentation des variables

◆ $buttons

$buttons = $displayData

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier buttons.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • tinymce
Espaces de nommage
Référence du fichier tinymce/buttons.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier byte_safe_strings.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier byte_safe_strings.php


Joomla CMS: Référence du fichier Bzip2.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
Structures de données | Espaces de nommage
Référence du fichier Bzip2.php

Structures de données

class Bzip2

Espaces de nommage

Joomla\Archive


Joomla CMS: Référence du fichier bzip2.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • archive
Structures de données | Espaces de nommage
Référence du fichier bzip2.php

Structures de données

class JArchiveBzip2

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Cache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
Structures de données | Espaces de nommage
Référence du fichier src/Cache/Cache.php

Structures de données

class Cache

Espaces de nommage

Joomla\CMS\Cache


Joomla CMS: Référence du fichier Cache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier vendor/simplepie/simplepie/library/SimplePie/Cache.php

Structures de données

class SimplePie_Cache

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier cache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
Espaces de nommage | Variables
Référence du fichier administrator/components/com_cache/cache.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_cache')) $controller = JControllerLegacy::getInstance('Cache')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_cache')) $controller = JControllerLegacy::getInstance('Cache')


Joomla CMS: Référence du fichier cache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_cache/helpers/cache.php

Structures de données

class CacheHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier cache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_cache/models/cache.php

Structures de données

class CacheModelCache

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier cache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • cache
Structures de données | Espaces de nommage
Référence du fichier plugins/system/cache/cache.php

Structures de données

class PlgSystemCache

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier CacheConnectingException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Exception
Structures de données | Espaces de nommage
Référence du fichier CacheConnectingException.php

Structures de données

class CacheConnectingException

Espaces de nommage

Joomla\CMS\Cache\Exception


Joomla CMS: Référence du fichier CacheController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
Structures de données | Espaces de nommage
Référence du fichier CacheController.php

Structures de données

class CacheController

Espaces de nommage

Joomla\CMS\Cache


Joomla CMS: Référence du fichier Cached.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Curve25519
  • Ge
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Curve25519/Ge/Cached.php

Structures de données

class Cached

Espaces de nommage

ParagonIE\Sodium\Core\Curve25519\Ge


Joomla CMS: Référence du fichier Cached.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core/Curve25519/Ge/Cached.php

Structures de données

class ParagonIE_Sodium_Core_Curve25519_Ge_Cached


Joomla CMS: Référence du fichier Cached.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core32/Curve25519/Ge/Cached.php

Structures de données

class ParagonIE_Sodium_Core32_Curve25519_Ge_Cached


Joomla CMS: Référence du fichier CacheExceptionInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Exception
Structures de données | Espaces de nommage
Référence du fichier CacheExceptionInterface.php

Structures de données

interface CacheExceptionInterface

Espaces de nommage

Joomla\CMS\Cache\Exception


Joomla CMS: Référence du fichier cachehandler.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/cachehandler.php

Structures de données

class FOFFormFieldCachehandler

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier cachehandler.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/cachehandler.php

Structures de données

class JFormFieldCacheHandler

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier CacheliteStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier CacheliteStorage.php

Structures de données

class CacheliteStorage

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier CacheStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
Structures de données | Espaces de nommage
Référence du fichier CacheStorage.php

Structures de données

class CacheStorage

Espaces de nommage

Joomla\CMS\Cache


Joomla CMS: Référence du fichier CacheStorageHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier CacheStorageHelper.php

Structures de données

class CacheStorageHelper

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier calendar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/calendar.php

Espaces de nommage

Joomla\Site

Variables

$document = JFactory::getDocument()
$inputvalue = ''
$attributes = array()
empty($size) ? null empty($maxlength) ? null empty($class) ? null ! $readonly | null
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') | $readonly = isset($attributes['readonly']) && $attributes['readonly'] == 'readonly'
$disabled = isset($attributes['disabled']) && $attributes['disabled'] == 'disabled'
if(is_array($attributes)) | $cssFileExt = ($direction === 'rtl') ? '-rtl.css' : '.css'
if (! $readonly &&! $disabled)

Documentation des variables

◆ $attributes

$attributes = array()

Référencé par JFormFieldList\addOption(), FinderControllerIndexer\batch(), MenuRules\buildLookup(), FOFDatabaseInstaller\conditionMet(), Factory\createDocument(), ComponentHelper\filterText(), RouteHelper\findItem(), FormField\getAttribute(), Form\getAttribute(), FOFFormFieldCalendar\getCalendar(), FOFFormHeaderFielddate\getFilter(), PlgEditorTinymce\getGlobalFilters(), Document\getInstance(), SiteMenu\getItems(), AbstractMenu\getItems(), FOFFormFieldActions\getPublishedField(), MenusModelMenutypes\getTypeOptionsFromManifest(), InstallationApplicationWeb\loadDocument(), PlgSystemSef\onAfterRender(), SimplePie_Parser\parse(), ExceptionHandler\render(), JGrid\renderAttributes(), FOFToolbar\renderToolbarElement(), SimplePie_Sanitize\replace_urls(), SimplePie_Sanitize\sanitize(), LdapClient\search(), FormField\setup(), SimplePie_Parser\tag_open(), et JHtmlForm\token().

◆ $cssFileExt

if (is_array( $attributes)) $cssFileExt = ($direction === 'rtl') ? '-rtl.css' : '.css'

◆ $disabled

$disabled = isset($attributes['disabled']) && $attributes['disabled'] == 'disabled'

◆ $document

$document = JFactory::getDocument()

◆ $inputvalue

$inputvalue = ''

Référencé par HTMLHelper\calendar().

◆ $readonly

empty ( $onchange) ? null if ( $required) if (strtoupper( $value)=='NOW') $readonly = isset($attributes['readonly']) && $attributes['readonly'] == 'readonly'

Référencé par HTMLHelper\calendar(), InstallationFormFieldPrefix\getInput(), PlgFieldsRepeatable\onCustomFieldsPrepareDom(), et PlgEditorNone\onDisplay().

◆ if

if(! $readonly &&! $disabled)

◆ null

!$disabled null


Joomla CMS: Référence du fichier calendar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/calendar.php

Structures de données

class FOFFormFieldCalendar

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier calendar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/calendar.php

Structures de données

class JFormFieldCalendar

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier calendar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/google/data/calendar.php

Structures de données

class JGoogleDataCalendar

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier calendar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • calendar
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/calendar/calendar.php

Structures de données

class PlgFieldsCalendar

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier calendar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • calendar
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/calendar/tmpl/calendar.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
if($value=='') if(is_array($value)) $formatString = $field->fieldparams->get('showtime', 0) ? 'DATE_FORMAT_LC5' : 'DATE_FORMAT_LC4'

Documentation des variables

◆ $formatString

if ( $value=='') if (is_array( $value)) $formatString = $field->fieldparams->get('showtime', 0) ? 'DATE_FORMAT_LC5' : 'DATE_FORMAT_LC4'

◆ $value

$value = $field->value


Joomla CMS: Référence du fichier CalendarRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier CalendarRule.php

Structures de données

class CalendarRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier CallbackController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Controller
Structures de données | Espaces de nommage
Référence du fichier CallbackController.php

Structures de données

class CallbackController

Espaces de nommage

Joomla\CMS\Cache\Controller


Joomla CMS: Référence du fichier CallbackFilterIterator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • compat
  • src
Structures de données
Référence du fichier CallbackFilterIterator.php

Structures de données

class CallbackFilterIterator


Joomla CMS: Référence du fichier CallbackLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
  • Logger
Structures de données | Espaces de nommage
Référence du fichier CallbackLogger.php

Structures de données

class CallbackLogger

Espaces de nommage

Joomla\CMS\Log\Logger


Joomla CMS: Référence du fichier cancel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • application
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/controller/application/cancel.php

Structures de données

class ConfigControllerApplicationCancel

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier cancel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • component
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/controller/component/cancel.php

Structures de données

class ConfigControllerComponentCancel

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier cancel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/cancel.php

Structures de données

class ConfigControllerCancel

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier cancel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • modules
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/modules/cancel.php

Structures de données

class ConfigControllerModulesCancel

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier canceladmin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
Structures de données | Espaces de nommage
Référence du fichier canceladmin.php

Structures de données

class ConfigControllerCanceladmin

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier cancelselect.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • layouts
  • toolbar
Espaces de nommage | Variables
Référence du fichier components/com_modules/layouts/toolbar/cancelselect.php

Espaces de nommage

Joomla\Administrator

Variables

$text = JText::_('JTOOLBAR_CANCEL')

Documentation des variables

◆ $text

$text = JText::_('JTOOLBAR_CANCEL')

Référencé par AKText\_(), PaginationObject\__construct(), PlgContentEmailcloak\_cloak(), PlgContentEmailcloak\_getPattern(), DocumentRenderer\_relToAbs(), SearchHelper\_smartSubstr(), JHtmlString\abridge(), JFormFieldList\addOption(), JHtmlBootstrap\addSlide(), OutputFilterWrapper\ampReplace(), OutputFilter\ampReplace(), JHtmlNewsfeed\association(), JHtmlContact\association(), JHtmlContentAdministrator\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), JHtmlBehavior\calendartranslation(), FOFTable\check(), SearchHelper\checkNoHtml(), OutputFilterWrapper\cleanText(), OutputFilter\cleanText(), JHtmlEmail\cloak(), JHtmlEmail\convertEncoding(), JHtmlIcon\create(), ConfigModelModules\createOption(), ModulesHelper\createOption(), Ctype\ctype_alnum(), Ctype\ctype_alpha(), Ctype\ctype_cntrl(), Ctype\ctype_digit(), Ctype\ctype_graph(), Ctype\ctype_lower(), Ctype\ctype_print(), Ctype\ctype_punct(), Ctype\ctype_space(), Ctype\ctype_upper(), Ctype\ctype_xdigit(), PlgSystemDebug\displayQueries(), JHtmlIcon\edit(), JMediawikiPages\editPage(), JHtmlIcon\email(), InputFilter\emailToPunycode(), JMediawikiUsers\emailUser(), FOFDatabaseDriverSqlite\escape(), FOFDatabaseDriverJoomla\escape(), JDatabaseDriverMysql\escape(), JDatabaseDriverSqlite\escape(), FOFDatabaseDriverMysql\escape(), FOFDatabaseDriverPostgresql\escape(), JDatabaseDriverPostgresql\escape(), FOFDatabaseDriverSqlsrv\escape(), JDatabaseDriverMysqli\escape(), FOFDatabaseDriverMysqli\escape(), JDatabaseDriverPdo\escape(), FOFDatabaseDriverPdo\escape(), FOFDatabaseDriverPdomysql\escape(), JDatabaseDriverPdomysql\escape(), FOFDatabaseQuery\escape(), JDatabaseQuery\escape(), LinkButton\fetchButton(), StandardButton\fetchButton(), ConfirmButton\fetchButton(), SliderButton\fetchButton(), PopupButton\fetchButton(), ContentHelper\filterText(), ComponentHelper\filterText(), JHtmlList\genericordering(), AssociationsHelper\getAssociationHtmlList(), MediaModelManager\getFolderList(), JFormFieldContentMap\getGroups(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), FOFFormFieldButton\getInput(), ModulesModelSelect\getItems(), JFormFieldTos\getLabel(), JFormFieldDob\getLabel(), JFormFieldSpacer\getLabel(), FOFFormFieldList\getOptionName(), JFormFieldPredefinedList\getOptions(), JFormFieldList\getOptions(), JFormFieldPlugins\getOptions(), ConfigModelModules\getPositions(), ModulesHelper\getTranslatedModulePosition(), PHPMailer\has8bitChars(), JHtmlUsers\helpsite(), ModulesHelper\isTranslatedText(), ToolbarHelper\link(), HTMLHelper\link(), PHPMailer\normalizeBreaks(), PlgContentPagebreak\onContentPrepare(), PlgSearchContent\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchCategories\onContentSearch(), JHtmlSelect\optgroup(), JHtmlSelect\options(), JHtmlList\ordering(), Stdout\out(), Xml\out(), AbstractCliApplication\out(), CliApplication\out(), JHtmlSliders\panel(), JHtmlTabs\panel(), Parser\parseBlockScalar(), FOFFormFieldRelation\parseFieldTags(), FOFFormFieldText\parseFieldTags(), FOFFormFieldModel\parseFieldTags(), FOFFormFieldList\parseFieldTags(), JHtmlModules\positions(), JHtmlContent\prepare(), FinderIndexerHelper\prepareContent(), SearchHelper\prepareSearchContent(), JHtmlIcon\print_popup(), JHtmlIcon\print_screen(), FOFDatabaseDriverJoomla\quote(), FOFDatabaseQuery\quote(), JDatabaseQuery\quote(), FOFDatabaseDriver\quote(), JDatabaseDriver\quote(), FOFLessParser\removeComments(), lessc_parser\removeComments(), JGithubPackageMarkdown\render(), ColorProcessor\replaceColors(), FOFTemplateUtils\sefSort(), JTwitterDirectmessages\sendDirectMessages(), BaseController\setMessage(), FOFController\setMessage(), AKText\sprintf(), SimplePie_Sanitize\strip_tag(), tln_body2div(), HTMLHelper\tooltip(), FOFFormFieldComponents\translate(), JHtmlString\truncate(), et JTwitterProfile\updateProfileColors().


Joomla CMS: Référence du fichier cancelselect.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_modules
  • toolbar
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/layouts/com_modules/toolbar/cancelselect.php

Espaces de nommage

Joomla\Administrator

Variables

$text = JText::_('JTOOLBAR_CANCEL')

Documentation des variables

◆ $text

$text = JText::_('JTOOLBAR_CANCEL')


Joomla CMS: Référence du fichier capabilities.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier capabilities.php

Structures de données

class PrivacyModelCapabilities

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Captcha.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Captcha
Structures de données | Espaces de nommage
Référence du fichier Captcha.php

Structures de données

class Captcha

Espaces de nommage

Joomla\CMS\Captcha


Joomla CMS: Référence du fichier captcha.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier captcha.php

Structures de données

class FOFFormFieldCaptcha

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier CaptchaField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier CaptchaField.php

Structures de données

class CaptchaField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier CaptchaRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier CaptchaRule.php

Structures de données

class CaptchaRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier Caption.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Caption.php

Structures de données

class SimplePie_Caption

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier captive.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • upload
  • tmpl
Espaces de nommage | Variables
Référence du fichier captive.php

Espaces de nommage

Joomla\Administrator

Variables

$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()
endif

Documentation des variables

◆ $twofactormethods

$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()

◆ endif

endif


Joomla CMS: Référence du fichier cast_to_int.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier cast_to_int.php


Joomla CMS: Référence du fichier Categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Categories
Structures de données | Espaces de nommage
Référence du fichier Categories.php

Structures de données

class Categories

Espaces de nommage

Joomla\CMS\Categories


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
Espaces de nommage | Variables
Référence du fichier administrator/components/com_categories/categories.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$parts = explode('.', $input->get('extension'))
$component = $parts[0]
$controller = JControllerLegacy::getInstance('Categories')

Documentation des variables

◆ $component

$component = $parts[0]

Référencé par RouterLegacy\__construct(), FOFDatabaseInstaller\__construct(), ConfigViewCmsHtml\__construct(), FOFView\__construct(), FOFTable\__construct(), FOFModel\__construct(), TagsHelperRoute\_findItem(), FieldsTableGroup\_getAssetName(), FieldsTableGroup\_getAssetParentId(), FieldsTableField\_getAssetParentId(), HelpButton\_getCommand(), HtmlView\_setPath(), JHtmlAccess\actions(), CategoriesHelper\addSubmenu(), TagsHelper\addSubmenu(), FieldsHelper\addSubmenu(), FieldsViewField\addToolbar(), FieldsViewGroup\addToolbar(), FieldsViewGroups\addToolbar(), CategoriesViewCategory\addToolbar(), FieldsViewFields\addToolbar(), CategoriesViewCategories\addToolbar(), FOFIntegrationJoomlaPlatform\authorizeAdmin(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_toolbar(), FOFAutoloaderComponent\autoload_fof_view(), FieldsModelField\batchCopy(), MenuRules\buildLookup(), SiteRouter\buildRawRoute(), SiteRouter\buildSefRoute(), MediaHelper\canUpload(), MediaHelper\checkMimeType(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), Help\createUrl(), FOFController\createView(), ComponentAdapter\discover(), AdministratorApplication\dispatch(), SiteApplication\dispatch(), JApplication\dispatch(), FieldsViewGroup\display(), Updatecron\doExecute(), ConfigControllerComponentCancel\execute(), ConfigControllerDisplay\execute(), FieldsHelper\extract(), HelpButton\fetchButton(), RouteHelper\findItem(), FOFConfigProvider\get(), ContentHelper\getActions(), Access\getActions(), FOFModel\getAnInstance(), FOFTable\getAnInstance(), CategoriesModelCategories\getAssoc(), CategoriesModelCategory\getAssoc(), ContentHelperAssociation\getAssociations(), User\getAuthorisedCategories(), FOFIntegrationJoomlaPlatform\getComponentBaseDirs(), FOFUtilsConfigHelper\getComponentConfigurationValue(), SiteRouter\getComponentRouter(), ConfigHelperConfig\getComponentsWithConfig(), ActionlogsHelper\getContentTypeLink(), UsersModelDebuggroup\getDebugActions(), UsersModelDebugUser\getDebugActions(), UsersHelperDebug\getDebugActions(), Content\getDefaultAssetValues(), FileLayout\getDefaultIncludePaths(), RulesRule\getFieldActions(), ContenthistoryHelper\getFormFile(), JFormFieldRules\getInput(), JFormFieldNumber\getInput(), JFormFieldText\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), Categories\getInstance(), MenusModelItem\getItem(), UsersHelperRoute\getItems(), UsersModelDebugUser\getListQuery(), UsersModelDebuggroup\getListQuery(), JFormFieldList\getOptions(), FOFFormFieldRelation\getOptions(), FOFFormFieldComponents\getOptions(), TemplatesModelTemplate\getOverridesList(), FOFIntegrationJoomlaPlatform\getTemplateOverridePath(), MenusModelMenutypes\getTypeOptions(), MenusModelMenutypes\getTypeOptionsByComponent(), MenusModelMenutypes\getTypeOptionsFromLayouts(), MenusModelMenutypes\getTypeOptionsFromManifest(), MenusModelMenutypes\getTypeOptionsFromMvc(), MenusModelMenutypes\getTypeOptionsFromXml(), FOFIntegrationJoomlaPlatform\getViewTemplatePaths(), ConfigHelperConfig\hasComponentConfig(), ToolbarHelper\help(), FOFAutoloaderComponent\isFOFComponent(), FOFUtilsConfigHelper\loadComponentConfig(), ContenthistoryHelper\loadLanguageFiles(), ConfigHelperConfig\loadLanguageForComponent(), ConfigHelperConfig\loadLanguageForComponents(), FOFIntegrationJoomlaPlatform\loadTranslations(), SearchHelper\logSearch(), PlgSystemFields\onPrepareFinderContent(), SiteRouter\parse(), FOFConfigProvider\parseComponent(), FOFConfigProvider\parseComponentArea(), ConfigControllerHelper\parseController(), SiteRouter\parseSefRoute(), ConfigModelComponent\populateState(), ToolbarHelper\preferences(), Access\preloadComponents(), FieldsModelGroup\preprocessForm(), CategoriesModelCategory\preprocessForm(), FieldsModelField\preprocessForm(), SiteRouter\processBuildRules(), AdminModel\redirectToAssociations(), ConfigViewComponentHtml\render(), AdministratorApplication\render(), FOFToolbar\renderToolbar(), FOFToolbar\renderToolbarElement(), FileLayout\setComponent(), SiteRouter\setComponentRouter(), MenusControllerItem\setType(), JHtmlJquery\ui(), et FileLayout\validComponent().

◆ $controller

$controller = JControllerLegacy::getInstance('Categories')

◆ $input

$input = JFactory::getApplication()->input

Référencé par FOFInput\__callStatic(), JLinkedinOauth\__construct(), JFacebookOAuth\__construct(), JTwitterOAuth\__construct(), Rules\__construct(), JOpenstreetmapOauth\__construct(), AdministratorApplication\__construct(), JControllerBase\__construct(), UCMBase\__construct(), JApplicationWebRouter\__construct(), BaseApplication\__construct(), CliApplication\__construct(), JOAuth2Client\__construct(), SiteApplication\__construct(), JOAuth1Client\__construct(), CMSApplication\__construct(), DaemonApplication\__construct(), FOFView\__construct(), WebApplication\__construct(), FOFController\__construct(), FormField\__get(), idna_convert\_apply_cannonical_ordering(), idna_convert\_combine(), PlgContentPagebreak\_createToc(), InstallerModelInstall\_getPackageFromFolder(), InstallerModelInstall\_getPackageFromUpload(), InstallerModelInstall\_getPackageFromUrl(), idna_convert\_hangul_compose(), DataSet\_initialise(), idna_convert\_nameprep(), idna_convert\_ucs4_string_to_ucs4(), idna_convert\_ucs4_to_ucs4_string(), idna_convert\_ucs4_to_utf8(), idna_convert\_utf8_to_ucs4(), UsersControllerRegistration\activate(), MenusViewMenu\addToolbar(), UsersViewNote\addToolbar(), MenusViewItem\addToolbar(), Php55ArrayColumn\array_column(), FOFAutoloaderComponent\autoload_fof_view(), SimplePie_Misc\change_encoding(), SimplePie_Misc\change_encoding_iconv(), SimplePie_Misc\change_encoding_mbstring(), AKEncryptionAES\Cipher(), TemplatesModelTemplate\compileLess(), Factory\createDocument(), Factory\createSession(), FOFController\createView(), HTMLHelper\date(), idna_convert\decode(), InstallerModelDiscover\discover_install(), FOFDispatcher\dispatch(), FinderController\display(), CpanelViewCpanel\display(), TagsViewTag\display(), AssociationsViewAssociation\display(), Dumper\dump(), Yaml\dump(), FormController\editAssociations(), PasswordHash\encode64(), CMSApplication\execute(), Bzip2\extract(), Gzip\extract(), JArchiveBzip2\extractStream(), JArchiveGzip\extractStream(), NewsfeedsControllerAjax\fetchAssociations(), CategoriesControllerAjax\fetchAssociations(), ContactControllerAjax\fetchAssociations(), MenusControllerAjax\fetchAssociations(), ContentControllerAjax\fetchAssociations(), Form\filter(), JStringWrapperNormalise\fromCamelCase(), Normalise\fromCamelCase(), PasswordHash\gensalt_blowfish(), PasswordHash\gensalt_private(), JRequest\get(), FOFToolbar\getAnInstance(), ApplicationHelper\getComponentName(), MailtoModelMailto\getData(), MediaModelManager\getFolderList(), PrivacyModelRemind\getForm(), PrivacyModelConfirm\getForm(), JControllerBase\getInput(), BaseController\getInstance(), LanguagesModelOverride\getItem(), ContentModelArticles\getItems(), ModuleHelper\getModules(), JFormFieldItemLanguage\getOptions(), FOFFormFieldRelation\getOptions(), ModFinderHelper\getQuery(), TemplatesModelTemplate\getSource(), MediaModelManager\getState(), MediaModelList\getState(), FinderIndexerStemmerFr\getStem(), InstallationHtmlHelper\getTab(), FOFController\getThisModel(), FOFController\getThisView(), FOFDispatcher\getTmpInstance(), FOFController\getTmpInstance(), FOFIntegrationJoomlaPlatform\getUserStateFromRequest(), FOFPlatform\getUserStateFromRequest(), ListModel\getUserStateFromRequest(), JRequest\getVar(), FOFEncryptTotp\hashToInt(), NewsfeedsModelNewsfeed\hit(), ContentModelArticle\hit(), TagsModelTag\hit(), NewsfeedsModelCategory\hit(), ContactModelCategory\hit(), ContentModelCategory\hit(), ContactModelContact\hit(), Session\initialise(), OutputFilter\linkXHTMLSafe(), OutputFilterWrapper\linkXHTMLSafe(), OutputFilter\linkXhtmlSafe(), JHtmlSliders\loadBehavior(), UsersModelLogin\loadFormData(), UsersControllerUser\login(), UsersControllerUser\logout(), Rules\mergeCollection(), PlgSystemHighlight\onAfterDispatch(), PlgCaptchaRecaptcha_Invisible\onCheckAnswer(), PlgCaptchaRecaptcha\onCheckAnswer(), PlgContentPagebreak\onContentPrepare(), PlgSystemFields\onContentPrepareForm(), PlgButtonPagebreak\onDisplay(), PlgButtonArticle\onDisplay(), PlgTwofactorauthYubikey\onUserTwofactorApplyConfiguration(), PlgTwofactorauthTotp\onUserTwofactorApplyConfiguration(), FinderIndexerParserHtml\parse(), Yaml\parse(), FinderIndexerHelper\parse(), FinderIndexerParser\parse(), ConfigModelComponent\populateState(), LoginModelLogin\populateState(), BannersModelDownload\populateState(), MessagesModelMessage\populateState(), ContentModelFeatured\populateState(), FinderModelSuggestions\populateState(), ContenthistoryModelHistory\populateState(), FinderModelSearch\populateState(), FOFRenderJoomla3\postRender(), FOFRenderJoomla\postRender(), FOFRenderStrapper\postRender(), FOFRenderJoomla\preRender(), FOFRenderJoomla3\preRender(), FOFRenderStrapper\preRender(), FinderIndexerParserTxt\process(), FinderIndexerParserRtf\process(), FinderIndexerParserHtml\process(), FinderIndexerQuery\processString(), SimplePie_IRI\remove_dot_segments(), FinderIndexerParserHtml\removeBlocks(), AdministratorApplication\render(), FOFRenderStrapper\renderButtons(), FOFRenderJoomla\renderButtons(), FOFRenderJoomla\renderFieldset(), FOFRenderStrapper\renderFieldset(), FOFRenderAbstract\renderForm(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderJoomla\renderFormEdit(), FOFRenderStrapper\renderFormEdit(), FOFRenderJoomla\renderFormRaw(), FOFRenderStrapper\renderFormRaw(), FOFRenderJoomla\renderFormRead(), FOFRenderStrapper\renderFormRead(), FOFRenderJoomla3\renderLinkbar(), FOFRenderStrapper\renderLinkbar(), FOFRenderJoomla\renderLinkbar(), FOFRenderStrapper\renderLinkbar_classic(), FOFRenderStrapper\renderLinkbar_joomla(), FOFToolbar\renderToolbar(), Backgroundfill\sanitizeColor(), FinderControllerFilter\save(), FieldsModelGroup\save(), FieldsModelField\save(), NewsfeedsModelNewsfeed\save(), TagsModelTag\save(), ContactModelContact\save(), CategoriesModelCategory\save(), ContentModelArticle\save(), ModulesModelModule\save(), LanguagesModelStrings\search(), ConfigModelApplication\sendTestMail(), ClientHelper\setCredentialsFromRequest(), FOFModel\setInput(), Table\setRules(), FOFInput\setVar(), ContentHistoryHelper\store(), JFormRuleContactEmail\test(), JFormRuleLoginUniqueField\test(), JFormRuleLogoutUniqueField\test(), NotequalsRule\test(), EqualsRule\test(), EmailRule\test(), JStringWrapperNormalise\toCamelCase(), Normalise\toCamelCase(), JStringWrapperNormalise\toDashSeparated(), Normalise\toDashSeparated(), FinderIndexerHelper\tokenize(), FinderIndexer\tokenizeToDb(), FinderIndexer\tokenizeToDbShort(), JStringWrapperNormalise\toKey(), Normalise\toKey(), JStringWrapperNormalise\toSpaceSeparated(), Normalise\toSpaceSeparated(), JStringWrapperNormalise\toUnderscoreSeparated(), Normalise\toUnderscoreSeparated(), JStringWrapperNormalise\toVariable(), Normalise\toVariable(), uctc\ucs4_ucs4array(), uctc\ucs4array_ucs4(), uctc\ucs4array_utf7(), uctc\ucs4array_utf7imap(), uctc\ucs4array_utf8(), JInputCli\unserialize(), JControllerBase\unserialize(), Cli\unserialize(), Input\unserialize(), JInput\unserialize(), JoomlaupdateModelDefault\upload(), uctc\utf7_ucs4array(), uctc\utf7imap_ucs4array(), utf8_str_pad(), uctc\utf8_ucs4array(), Form\validate(), Form\validateField(), et PlgSystemDebug\writeToFile().

◆ $parts

$parts = explode('.', $input->get('extension'))

Référencé par InstallationApplicationWeb\__construct(), FieldsControllerField\__construct(), FieldsControllerGroup\__construct(), FOFTableRelations\__construct(), FOFDatabaseIterator\__construct(), FormField\__construct(), BaseDatabaseModel\_createFileName(), ConfigViewCmsHtml\_createFileName(), FOFModel\_createFileName(), HtmlView\_createFileName(), FOFView\_createFileName(), JLoader\_load(), FOFView\_parseTemplatePath(), FtpClient\_passive(), FtpClient\_verifyResponse(), CategoriesHelper\addSubmenu(), TagsHelper\addSubmenu(), FieldsHelper\addSubmenu(), FieldsViewGroup\addToolbar(), FieldsViewGroups\addToolbar(), CategoriesViewCategory\addToolbar(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_toolbar(), FOFAutoloaderComponent\autoload_fof_view(), MenusModelItem\batchCopy(), CategoriesModelCategory\batchCopy(), MenusModelItem\batchMove(), SiteRouter\buildSefRoute(), FieldsModelField\canDelete(), FieldsHelper\canEditFieldValue(), FieldsModelField\canEditState(), lessc\compileMediaQuery(), FOFLess\compileMediaQuery(), FOFDatabaseInstaller\conditionMet(), FOFDatabaseInstaller\convertTablesToUtf8mb4(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), NewsfeedsHelper\countTagItems(), ContactHelper\countTagItems(), ContentHelper\countTagItems(), PHPMailer\createBody(), PrivacyPlugin\createCustomFieldsDomain(), BaseController\createFileName(), FOFController\createFileName(), InstallationApplicationWeb\debugLanguage(), InstallationModelFtp\detectFtpRoot(), Helper\determineBaseFile(), FieldsViewGroup\display(), PlgSystemFields\display(), PlgSystemDebug\displayUntranslatedStrings(), PlgContentVote\displayVotingData(), InstallerHelper\downloadPackage(), lessc\expandParentSelectors(), FOFLess\expandParentSelectors(), JHtmlQuery\explained(), FieldsHelper\extract(), HTMLHelper\extract(), FOFDatabaseInstaller\extractTablesToConvert(), PharInvocationResolver\findInBaseNames(), ColorStyle\fromString(), FOFConfigDomainTables\get(), FOFConfigDomainViews\get(), PlgSystemCache\getCacheKey(), InstallerHelper\getFilenameFromUrl(), FOFUtilsUpdate\getFilenameFromURL(), FOFPlatformFilesystem\getFiles(), FOFDownload\getFiles(), CategoriesModelCategory\getForm(), FieldsModelField\getForm(), Categories\getInstance(), FieldsModelFields\getListQuery(), PlgSystemLogrotation\getLogFiles(), FOFFormHeaderModel\getOptions(), JFormFieldAliastag\getOptions(), JFormFieldFieldcontexts\getOptions(), ContenttypeField\getOptions(), FOFFormFieldModel\getOptions(), FOFInflector\getPart(), FOFLayoutFile\getPath(), FOFController\getThisModel(), FOFController\getThisView(), JLoader\import(), LdapClient\ipToNetAddress(), FOFForm\loadCSSFiles(), ActionlogsHelper\loadTranslationFiles(), FOFLessParser\mediaQuery(), lessc_parser\mediaQuery(), PlgSystemFields\onContentAfterDelete(), PlgSystemFields\onContentAfterSave(), PlgSystemFields\onContentPrepare(), PlgSystemFields\onContentPrepareForm(), PlgSearchTags\onContentSearch(), PlgButtonImage\onDisplay(), AbstractUri\parse(), PlgSystemLanguageFilter\parseRule(), TagsModelTags\populateState(), FieldsModelFields\populateState(), CategoriesModelCategories\populateState(), CategoriesModelCategory\populateState(), FieldsModelField\populateState(), PlgContentFields\prepare(), FieldsModelGroup\preprocessForm(), FinderIndexerQuery\processString(), FOFDatabaseDriverJoomla\quoteNameStr(), FOFDatabaseDriver\quoteNameStr(), JDatabaseDriver\quoteNameStr(), JApplication\redirect(), AbstractWebApplication\redirect(), WebApplication\redirect(), AbstractUri\render(), FieldsHelper\render(), Path\resolve(), MenusControllerMenus\resync(), PlgSystemLogrotation\rotate(), FOFTemplateUtils\route(), SocketPost\submit(), FOFLessParser\tag(), lessc_parser\tag(), lessc_parser\tagBracket(), AbstractUri\toString(), InstallerModel\translate(), PlgTwofactorauthYubikey\validateYubikeyOtp(), SimpleCryptPassword\verify(), et UserHelper\verifyPassword().


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/controllers/categories.php

Structures de données

class CategoriesControllerCategories

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/helpers/categories.php

Structures de données

class CategoriesHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/models/categories.php

Structures de données

class CategoriesModelCategories

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/models/categories.php

Structures de données

class ContactModelCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_content/models/categories.php

Structures de données

class ContentModelCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/models/categories.php

Structures de données

class NewsfeedsModelCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/mediawiki/categories.php

Structures de données

class JMediawikiCategories

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • categories
Structures de données | Espaces de nommage
Référence du fichier plugins/finder/categories/categories.php

Structures de données

class PlgFinderCategories

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • categories
Structures de données | Espaces de nommage
Référence du fichier plugins/search/categories/categories.php

Structures de données

class PlgSearchCategories

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier categories_default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier categories_default.php

Espaces de nommage

Joomla\Site

Variables

endif
else __pad1__
else $displayData parent | description
else $displayData parent $displayData parent | extension

Documentation des variables

◆ __pad1__

else __pad1__

◆ description

else $displayData parent description

◆ endif

endif

◆ extension

else $displayData parent $displayData parent extension

Référencé par CategoriesController\__construct(), CategoriesControllerCategory\__construct(), SimplePie_Cache_File\__construct(), InstallerAdapter\__construct(), Installer\__construct(), Category\_getAssetName(), Category\_getAssetParentId(), FormController\batch(), CategoriesControllerCategory\cancel(), FinderIndexerAdapter\change(), TemplateAdapter\checkExistingExtension(), ModuleAdapter\checkExistingExtension(), PluginAdapter\checkExistingExtension(), InstallerAdapter\checkExistingExtension(), LibraryAdapter\checkExtensionInFilesystem(), CategoryView\commonCategoryDisplay(), InstallerAdapter\discover_install(), Installer\discover_install(), CategoriesController\display(), RouteHelper\findItem(), ContentAssociationsHelper\getAssociations(), MenusAssociationsHelper\getAssociations(), ContactAssociationsHelper\getAssociations(), NewsfeedsAssociationsHelper\getAssociations(), InstallerScript\getInstances(), RouteHelper\getRoute(), PlgFinderTags\index(), PlgFinderContent\index(), PlgFinderCategories\index(), PlgFinderContacts\index(), PlgFinderNewsfeeds\index(), InstallerAdapter\install(), PlgQuickiconExtensionupdate\onGetIcons(), TemplateAdapter\parseQueries(), InstallerScript\preflight(), LibraryAdapter\prepareDiscoverInstall(), TemplateAdapter\prepareDiscoverInstall(), PluginAdapter\prepareDiscoverInstall(), Installer\refreshManifestCache(), FinderIndexerAdapter\remove(), CategoriesControllerCategory\save(), Category\store(), FileAdapter\storeExtension(), LibraryAdapter\storeExtension(), TemplateAdapter\storeExtension(), PluginAdapter\storeExtension(), PackageAdapter\storeExtension(), ComponentAdapter\uninstall(), et Installer\uninstall().


Joomla CMS: Référence du fichier categories_default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier categories_default_items.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
$item = $displayData->item
$items = $displayData->get('items')
$params = $displayData->params
$extension = $displayData->get('extension')
$className = substr($extension, 4)

Documentation des variables

◆ $class

$class = ' class="first"'

◆ $className

$className = substr($extension, 4)

Référencé par HTMLHelper\_(), FOFModel\__construct(), JGithubPackage\__get(), Input\__get(), JGithub\__get(), JInput\__get(), Authentication\authenticate(), CategoryFactory\createCategory(), MVCFactory\createModel(), MVCFactory\createTable(), MVCFactory\createView(), FeedParser\fetchNamespace(), FOFView\findRenderer(), FOFToolbar\getAnInstance(), Editor\getButtons(), FOFIntegrationJoomlaPlatform\getCacheObject(), MVCFactory\getClassName(), FOFModelField\getField(), Image\getFilterInstance(), FOFPlatform\getIntegrationObject(), FOFDatabaseIterator\getIterator(), FOFDatabaseDriver\getName(), JDatabaseDriver\getName(), InstallerAdapter\getScriptClassName(), FOFDispatcher\getTmpInstance(), FOFController\getTmpInstance(), PluginHelper\import(), JLoader\loadByPsr0(), JLoader\loadByPsr4(), lessc\newFormatter(), FOFLess\newFormatter(), FeedFactory\registerParser(), DisallowedClassesSubstitutor\sanitizeItem(), FOFDownload\setAdapter(), DisallowedClassesSubstitutor\substituteObjects(), et FOFInflector\tableize().

◆ $extension

$extension = $displayData->get('extension')

◆ $item

$item = $displayData->item

◆ $items

$items = $displayData->get('items')

◆ $params

$params = $displayData->params


Joomla CMS: Référence du fichier categoriesadministrator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier categoriesadministrator.php

Structures de données

class JHtmlCategoriesAdministrator

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier CategoriesView.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • View
Structures de données | Espaces de nommage
Référence du fichier CategoriesView.php

Structures de données

class CategoriesView

Espaces de nommage

Joomla\CMS\MVC\View


Joomla CMS: Référence du fichier Category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier src/Table/Category.php

Structures de données

class Category

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier Category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier vendor/simplepie/simplepie/library/SimplePie/Category.php

Structures de données

class SimplePie_Category

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/controllers/category.php

Structures de données

class CategoriesControllerCategory

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/models/category.php

Structures de données

class CategoriesModelCategory

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • models
  • fields
  • modal
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/models/fields/modal/category.php

Structures de données

class JFormFieldModal_Category

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/tables/category.php

Structures de données

class CategoriesTableCategory

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_banners/helpers/category.php

Structures de données

class BannersCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/helpers/category.php

Structures de données

class ContactCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/models/category.php

Structures de données

class ContactModelCategory

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_content/helpers/category.php

Structures de données

class ContentCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_content/models/category.php

Structures de données

class ContentModelCategory

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/helpers/category.php

Structures de données

class NewsfeedsCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/models/category.php

Structures de données

class NewsfeedsModelCategory

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Espaces de nommage | Variables
Référence du fichier layouts/joomla/content/info_block/category.php

Espaces de nommage

Joomla\Site

Variables

$title = $this->escape($displayData['item']->category_title)

Documentation des variables

◆ $title

$title = $this->escape($displayData['item']->category_title)


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/category.php

Structures de données

class JHtmlCategory

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/legacy/form/field/category.php

Structures de données

class JFormFieldCategory

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier category_default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier category_default.php

Espaces de nommage

Joomla\Site

Variables

$params = $displayData->params
$category = $displayData->get('category')
$extension = $category->extension
$canEdit = $params->get('access-edit')
$className = substr($extension, 4)
$dispatcher = JEventDispatcher::getInstance()
$category text = $category->description
$category description = $category->text
$results = $dispatcher->trigger('onContentAfterTitle', array($extension . '.categories', &$category, &$params, 0))
$afterDisplayTitle = trim(implode("\n", $results))
$beforeDisplayContent = trim(implode("\n", $results))
$afterDisplayContent = trim(implode("\n", $results))
if(substr($className, -1)==='s') $tagsData = $category->tags->itemTags
endif

Documentation des variables

◆ $afterDisplayContent

$afterDisplayContent = trim(implode("\n", $results))

◆ $afterDisplayTitle

$afterDisplayTitle = trim(implode("\n", $results))

◆ $beforeDisplayContent

$beforeDisplayContent = trim(implode("\n", $results))

◆ $canEdit

$canEdit = $params->get('access-edit')

◆ $category

$category = $displayData->get('category')

◆ $className

$className = substr($extension, 4)

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $extension

$extension = $category->extension

◆ $params

$params = $displayData->params

Note that this layout opens a div with the page class suffix. If you do not use the category children layout you need to close this div either by overriding this file or in your main layout.

◆ $results

$results = $dispatcher->trigger('onContentAfterTitle', array($extension . '.categories', &$category, &$params, 0))

◆ $tagsData

if (substr( $className, -1)==='s') $tagsData = $category->tags->itemTags

This will work for the core components but not necessarily for other components that may have different pluralisation rules.

◆ description

$category description = $category->text

◆ endif

endif

◆ text

$category text = $category->description


Joomla CMS: Référence du fichier categoryedit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier categoryedit.php

Structures de données

class JFormFieldCategoryEdit

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier CategoryFactory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Categories
Structures de données | Espaces de nommage
Référence du fichier CategoryFactory.php

Structures de données

class CategoryFactory

Espaces de nommage

Joomla\CMS\Categories


Joomla CMS: Référence du fichier CategoryFactoryInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Categories
Structures de données | Espaces de nommage
Référence du fichier CategoryFactoryInterface.php

Structures de données

interface CategoryFactoryInterface

Espaces de nommage

Joomla\CMS\Categories


Joomla CMS: Référence du fichier CategoryFeedView.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • View
Structures de données | Espaces de nommage
Référence du fichier CategoryFeedView.php

Structures de données

class CategoryFeedView

Espaces de nommage

Joomla\CMS\MVC\View


Joomla CMS: Référence du fichier CategoryInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Categories
Structures de données | Espaces de nommage
Référence du fichier CategoryInterface.php

Structures de données

interface CategoryInterface

Espaces de nommage

Joomla\CMS\Categories


Joomla CMS: Référence du fichier CategoryNode.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Categories
Structures de données | Espaces de nommage
Référence du fichier CategoryNode.php

Structures de données

class CategoryNode

Espaces de nommage

Joomla\CMS\Categories


Joomla CMS: Référence du fichier categoryparent.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier categoryparent.php

Structures de données

class JFormFieldCategoryParent

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier CategoryView.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • View
Structures de données | Espaces de nommage
Référence du fichier CategoryView.php

Structures de données

class CategoryView

Espaces de nommage

Joomla\CMS\MVC\View


Joomla CMS: Référence du fichier ChaCha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/ChaCha20.php

Structures de données

class ChaCha20

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier ChaCha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/ChaCha20.php

Structures de données

class ParagonIE_Sodium_Core_ChaCha20


Joomla CMS: Référence du fichier ChaCha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/ChaCha20.php

Structures de données

class ParagonIE_Sodium_Core32_ChaCha20


Joomla CMS: Référence du fichier ChangeItem.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Schema
Structures de données | Espaces de nommage
Référence du fichier ChangeItem.php

Structures de données

class ChangeItem

Espaces de nommage

Joomla\CMS\Schema


Joomla CMS: Référence du fichier ChangeSet.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Schema
Structures de données | Espaces de nommage
Référence du fichier ChangeSet.php

Structures de données

class ChangeSet

Espaces de nommage

Joomla\CMS\Schema


Joomla CMS: Référence du fichier changesets.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • openstreetmap
Structures de données | Espaces de nommage
Référence du fichier changesets.php

Structures de données

class JOpenstreetmapChangesets

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier checkbox.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/checkbox.php

Structures de données

class FOFFormFieldCheckbox

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier checkbox.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/checkbox.php

Structures de données

class JFormFieldCheckbox

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier checkboxes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/checkboxes.php

Espaces de nommage

Joomla\Site

Variables

$format = '<input type="checkbox" id="%1$s" name="%2$s" value="%3$s" %4$s />'
$alt = preg_replace('/[^a-zA-Z0-9_\-]/', '_', $name)
foreach( $options as $i=> $option)((string) $option->value, $checkedOptions, true) ? 'checked' $checked = (!$hasValue && $option->checked) ? 'checked' : $checked
$optionClass = !empty($option->class) ? 'class="' . $option->class . '"' : ''
$optionDisabled = !empty($option->disable) || $disabled ? 'disabled' : ''
$onclick = !empty($option->onclick) ? 'onclick="' . $option->onclick . '"' : ''
$onchange = !empty($option->onchange) ? 'onchange="' . $option->onchange . '"' : ''
$oid = $id . $i
$value = htmlspecialchars($option->value, ENT_COMPAT, 'UTF-8')
$attributes = array_filter(array($checked, $optionClass, $optionDisabled, $onchange, $onclick))
endforeach

Documentation des variables

◆ $alt

$alt = preg_replace('/[^a-zA-Z0-9_\-]/', '_', $name)

Référencé par ToolbarHelper\addNew(), JTextWrapper\alt(), Text\alt(), ToolbarHelper\apply(), ToolbarHelper\archiveList(), ToolbarHelper\assign(), ToolbarHelper\back(), ToolbarHelper\cancel(), ToolbarHelper\checkin(), ToolbarHelper\custom(), ToolbarHelper\deleteList(), ToolbarHelper\editCss(), ToolbarHelper\editHtml(), ToolbarHelper\editList(), SimplePie_Enclosure\embed(), JGoogleDataPlusActivities\getActivity(), FormField\getLayoutData(), FOFFormFieldImagelist\getStatic(), FOFFormFieldMedia\getStatic(), HTMLHelper\image(), JGoogleDataPlusActivities\listActivities(), JGoogleDataPlusComments\listComments(), FOFForm\loadCSSFiles(), ToolbarHelper\makeDefault(), ToolbarHelper\media_manager(), ToolbarHelper\modal(), Pagination\orderDownIcon(), Pagination\orderUpIcon(), ToolbarHelper\preferences(), ToolbarHelper\publish(), JHtmlGrid\published(), ToolbarHelper\publishList(), FOFToolbar\renderToolbarElement(), ToolbarHelper\save(), ToolbarHelper\save2copy(), ToolbarHelper\save2new(), HTMLHelper\tooltip(), ToolbarHelper\trash(), ToolbarHelper\unarchiveList(), ToolbarHelper\unpublish(), ToolbarHelper\unpublishList(), et ToolbarHelper\versions().

◆ $attributes

$attributes = array_filter(array($checked, $optionClass, $optionDisabled, $onchange, $onclick))

◆ $checked

foreach ($options as $i => $option) ((string) $option->value, $checkedOptions, true) ? 'checked' $checked = (!$hasValue && $option->checked) ? 'checked' : $checked

Référencé par JFormFieldCheckbox\__get(), JHtmlAccess\actions(), JFormFieldCheckbox\getInput(), JFormFieldList\getOptions(), FOFFormFieldCheckbox\getRepeatable(), FOFFormFieldCheckbox\getStatic(), JFormFieldCheckbox\setup(), JHtmlFilter\slider(), et JHtmlAccess\usergroups().

◆ $format

$format = '<input type="checkbox" id="%1$s" name="%2$s" value="%3$s" %4$s />'

The format of the input tag to be filled in using sprintf. %1 - id %2 - name %3 - value %4 = any other attributes

◆ $oid

$oid = $id . $i

Référencé par FOFTable\canDelete(), FOFTable\checkin(), FOFTable\checkout(), JTableSession\delete(), Usergroup\delete(), FOFTable\delete(), FOFTable\hit(), FOFTableBehaviorTags\onAfterDelete(), FOFTableNested\onAfterDelete(), FOFTableBehaviorAssets\onBeforeDelete(), et FOFModel\save().

◆ $onchange

$onchange = !empty($option->onchange) ? 'onchange="' . $option->onchange . '"' : ''

Référencé par HTMLHelper\calendar(), FOFFormHeaderFieldfilterable\getFilter(), FOFFormHeaderFieldsearchable\getFilter(), FOFFormHeaderFielddate\getFilter(), InstallationFormFieldPrefix\getInput(), JFormFieldImpTotal\getInput(), et JFormFieldCheckbox\getInput().

◆ $onclick

$onclick = !empty($option->onclick) ? 'onclick="' . $option->onclick . '"' : ''

◆ $optionClass

$optionClass = !empty($option->class) ? 'class="' . $option->class . '"' : ''

◆ $optionDisabled

$optionDisabled = !empty($option->disable) || $disabled ? 'disabled' : ''

◆ $value

$value = htmlspecialchars($option->value, ENT_COMPAT, 'UTF-8')

◆ endforeach

endforeach


Joomla CMS: Référence du fichier checkboxes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/checkboxes.php

Structures de données

class FOFFormFieldCheckboxes

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier checkboxes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/checkboxes.php

Structures de données

class JFormFieldCheckboxes

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier checkboxes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • checkboxes
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/checkboxes/checkboxes.php

Structures de données

class PlgFieldsCheckboxes

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier checkboxes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • checkboxes
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/checkboxes/tmpl/checkboxes.php

Espaces de nommage

Joomla\Plugin

Variables

$fieldValue = $field->value
$texts = array()
$options = $this->getOptionsFromField($field)
foreach ( $options as $value=> $name)

Documentation des variables

◆ $fieldValue

if ( $fieldValue===''||$fieldValue===null) $fieldValue = $field->value

Référencé par PrivacyPlugin\createCustomFieldsDomain(), JDatabaseDriverPgsql\sqlValue(), et JDatabaseDriverPostgresql\sqlValue().

◆ $options

$options = $this->getOptionsFromField($field)

◆ $texts

$texts = array()

◆ foreach

foreach($options as $value=> $name)


Joomla CMS: Référence du fichier checkin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
Espaces de nommage | Variables
Référence du fichier administrator/components/com_checkin/checkin.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_checkin')) $controller = JControllerLegacy::getInstance('Checkin')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_checkin')) $controller = JControllerLegacy::getInstance('Checkin')


Joomla CMS: Référence du fichier checkin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_checkin/models/checkin.php

Structures de données

class CheckinModelCheckin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier checkin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/facebook/checkin.php

Structures de données

class JFacebookCheckin

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier chosen.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • formbehavior
Espaces de nommage | Variables
Référence du fichier chosen.php

Espaces de nommage

Joomla\Site

Variables

$options_str = json_encode($options, ($debug && defined('JSON_PRETTY_PRINT') ? JSON_PRETTY_PRINT : false))

Documentation des variables

◆ $options_str

$options_str = json_encode($options, ($debug && defined('JSON_PRETTY_PRINT') ? JSON_PRETTY_PRINT : false))


Joomla CMS: Référence du fichier ChromestyleField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier ChromestyleField.php

Structures de données

class ChromestyleField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier CipherInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
Structures de données | Espaces de nommage
Référence du fichier CipherInterface.php

Structures de données

interface CipherInterface

Espaces de nommage

Joomla\CMS\Crypt


Joomla CMS: Référence du fichier class.phpmailer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
Structures de données | Espaces de nommage
Référence du fichier class.phpmailer.php

Structures de données

class | PHPMailer
class | phpmailerException

Espaces de nommage

PHPMailer


Joomla CMS: Référence du fichier class.phpmaileroauth.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
Structures de données | Espaces de nommage
Référence du fichier class.phpmaileroauth.php

Structures de données

class PHPMailerOAuth

Espaces de nommage

PHPMailer


Joomla CMS: Référence du fichier class.phpmaileroauthgoogle.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
Structures de données | Espaces de nommage
Référence du fichier class.phpmaileroauthgoogle.php

Structures de données

class PHPMailerOAuthGoogle

Espaces de nommage

PHPMailer


Joomla CMS: Référence du fichier class.pop3.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
Structures de données | Espaces de nommage
Référence du fichier class.pop3.php

Structures de données

class POP3

Espaces de nommage

PHPMailer


Joomla CMS: Référence du fichier class.smtp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
Structures de données | Espaces de nommage
Référence du fichier class.smtp.php

Structures de données

class SMTP

Espaces de nommage

PHPMailer


Joomla CMS: Référence du fichier classic.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • less
  • formatter
Structures de données | Espaces de nommage
Référence du fichier classic.php

Structures de données

class FOFLessFormatterClassic

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier ClassLoader.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Structures de données | Espaces de nommage | Fonctions
Référence du fichier ClassLoader.php

Structures de données

class ClassLoader

Espaces de nommage

Composer\Autoload

Fonctions

includeFile ($file)


Joomla CMS: Référence du fichier classmap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
Espaces de nommage
Référence du fichier classmap.php

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier cleaner.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • cache
Structures de données | Espaces de nommage
Référence du fichier cleaner.php

Structures de données

class FOFUtilsCacheCleaner

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier Cli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Input
Structures de données | Espaces de nommage
Référence du fichier src/Input/Cli.php

Structures de données

class Cli

Espaces de nommage

Joomla\CMS\Input


Joomla CMS: Référence du fichier Cli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • input
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/input/src/Cli.php

Structures de données

class Cli

Espaces de nommage

Joomla\Input


Joomla CMS: Référence du fichier cli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • input
  • jinput
Structures de données | Espaces de nommage
Référence du fichier cli.php

Structures de données

class JInputCli

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier CliApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Application
Structures de données | Espaces de nommage
Référence du fichier CliApplication.php

Structures de données

class CliApplication

Espaces de nommage

Joomla\CMS\Application


Joomla CMS: Référence du fichier clicks.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier clicks.php

Structures de données

class JFormFieldClicks

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier client.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/controllers/client.php

Structures de données

class BannersControllerClient

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier client.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/models/client.php

Structures de données

class BannersModelClient

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier client.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/tables/client.php

Structures de données

class BannersTableClient

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier client.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • oauth1
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/oauth1/client.php

Structures de données

class JOAuth1Client

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier client.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • oauth2
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/oauth2/client.php

Structures de données

class JOAuth2Client

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier ClientHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Client
Structures de données | Espaces de nommage
Référence du fichier ClientHelper.php

Structures de données

class ClientHelper

Espaces de nommage

Joomla\CMS\Client


Joomla CMS: Référence du fichier clients.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/clients.php

Structures de données

class BannersControllerClients

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier clients.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
Structures de données | Espaces de nommage
Référence du fichier models/clients.php

Structures de données

class BannersModelClients

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ClientWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Client
Structures de données | Espaces de nommage
Référence du fichier ClientWrapper.php

Structures de données

class ClientWrapper

Espaces de nommage

Joomla\CMS\Client


Joomla CMS: Référence du fichier CliInput.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
Structures de données | Espaces de nommage
Référence du fichier CliInput.php

Structures de données

class CliInput

Espaces de nommage

Joomla\Application\Cli


Joomla CMS: Référence du fichier CliOutput.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
Structures de données | Espaces de nommage
Référence du fichier CliOutput.php

Structures de données

class CliOutput

Espaces de nommage

Joomla\Application\Cli


Joomla CMS: Référence du fichier cloud.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_popular
  • tmpl
Espaces de nommage | Variables
Référence du fichier cloud.php

Espaces de nommage

Joomla\Site

Variables

$minsize = $params->get('minsize', 1)
$maxsize = $params->get('maxsize', 2)
else __pad0__
$maxcount = null
foreach($list as $item) | $countdiff = $maxcount - $mincount
foreach( $list as $item)($countdiff===0) | else
endif
endforeach

Documentation des variables

◆ $countdiff

foreach ( $list as $item) $countdiff = $maxcount - $mincount

◆ $maxcount

$maxcount = null

◆ $maxsize

$maxsize = $params->get('maxsize', 2)

◆ $minsize

$minsize = $params->get('minsize', 1)

◆ __pad0__

else __pad0__

◆ else

foreach ($list as $item) ( $countdiff===0) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier cms.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • model
Structures de données | Espaces de nommage
Référence du fichier components/com_config/model/cms.php

Structures de données

class ConfigModelCms

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier cms.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
Espaces de nommage | Variables
Référence du fichier libraries/cms.php

Espaces de nommage

Joomla\Libraries

Variables

$loader = require JPATH_LIBRARIES . '/vendor/autoload.php'
$behavior = new \TYPO3\PharStreamWrapper\Behavior

Documentation des variables

◆ $behavior

$behavior = new \TYPO3\PharStreamWrapper\Behavior

Référencé par FOFTable\__construct(), FOFModel\__construct(), FOFModel\addBehavior(), et FOFTable\addBehavior().

◆ $loader

$loader = require JPATH_LIBRARIES . '/vendor/autoload.php'

Référencé par JClassLoader\__construct(), ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\getInitializer(), InstalledVersions\getInstalled(), et ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd\getLoader().


Joomla CMS: Référence du fichier CMSApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Application
Structures de données | Espaces de nommage
Référence du fichier CMSApplication.php

Structures de données

class CMSApplication

Espaces de nommage

Joomla\CMS\Application


Joomla CMS: Référence du fichier cmsbase.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
Structures de données | Espaces de nommage
Référence du fichier cmsbase.php

Structures de données

class ConfigControllerCmsbase

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier CMSHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier CMSHelper.php

Structures de données

class CMSHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier CMSObject.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Object
Structures de données | Espaces de nommage
Référence du fichier CMSObject.php

Structures de données

class CMSObject

Espaces de nommage

Joomla\CMS\Object


Joomla CMS: Référence du fichier CMSPlugin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Plugin
Structures de données | Espaces de nommage
Référence du fichier CMSPlugin.php

Structures de données

class CMSPlugin

Espaces de nommage

Joomla\CMS\Plugin


Joomla CMS: Référence du fichier codemirror.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • codemirror
Structures de données | Espaces de nommage
Référence du fichier codemirror.php

Structures de données

class PlgEditorCodemirror

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier collaborators.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier collaborators.php

Structures de données

class JGithubPackageRepositoriesCollaborators

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Collectable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
Structures de données | Espaces de nommage
Référence du fichier Collectable.php

Structures de données

interface Collectable

Espaces de nommage

TYPO3\PharStreamWrapper


Joomla CMS: Référence du fichier collection.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • update
Structures de données | Espaces de nommage
Référence du fichier collection.php

Structures de données

class FOFUtilsUpdateCollection

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier CollectionAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Updater
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier CollectionAdapter.php

Structures de données

class CollectionAdapter

Espaces de nommage

Joomla\CMS\Updater\Adapter


Joomla CMS: Référence du fichier color.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/color.php

Structures de données

class JFormFieldColor

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier color.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • color
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/color/color.php

Structures de données

class PlgFieldsColor

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier color.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • color
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/color/tmpl/color.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
if($value=='') if (is_array( $value))

Documentation des variables

◆ $value

$value = $field->value

◆ if

if ( $value=='') if(is_array($value))


Joomla CMS: Référence du fichier ColorProcessor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
Structures de données | Espaces de nommage
Référence du fichier ColorProcessor.php

Structures de données

class ColorProcessor

Espaces de nommage

Joomla\Application\Cli


Joomla CMS: Référence du fichier ColorProcessor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
  • Output
  • Processor
Structures de données | Espaces de nommage
Référence du fichier Output/Processor/ColorProcessor.php

Structures de données

class ColorProcessor

Espaces de nommage

Joomla\Application\Cli\Output\Processor


Joomla CMS: Référence du fichier ColorRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier ColorRule.php

Structures de données

class ColorRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier ColorStyle.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
Structures de données | Espaces de nommage
Référence du fichier ColorStyle.php

Structures de données

class ColorStyle

Espaces de nommage

Joomla\Application\Cli


Joomla CMS: Référence du fichier combo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/combo.php

Espaces de nommage

Joomla\Site

Variables

$attr = !empty($class) ? ' class="combobox ' . $class . '"' : ' class="combobox"'

Documentation des variables

◆ $attr

$attr = !empty($class) ? ' class="combobox ' . $class . '"' : ' class="combobox"'


Joomla CMS: Référence du fichier combo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/combo.php

Structures de données

class JFormFieldCombo

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier comment.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier comment.php

Structures de données

class JFacebookComment

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier comments.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • gists
Structures de données | Espaces de nommage
Référence du fichier github/package/gists/comments.php

Structures de données

class JGithubPackageGistsComments

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier comments.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • issues
Structures de données | Espaces de nommage
Référence du fichier github/package/issues/comments.php

Structures de données

class JGithubPackageIssuesComments

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier comments.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • pulls
Structures de données | Espaces de nommage
Référence du fichier github/package/pulls/comments.php

Structures de données

class JGithubPackagePullsComments

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier comments.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier github/package/repositories/comments.php

Structures de données

class JGithubPackageRepositoriesComments

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier comments.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
  • plus
Structures de données | Espaces de nommage
Référence du fichier google/data/plus/comments.php

Structures de données

class JGoogleDataPlusComments

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier commits.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier commits.php

Structures de données

class JGithubCommits

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier commits.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • data
Structures de données | Espaces de nommage
Référence du fichier package/data/commits.php

Structures de données

class JGithubPackageDataCommits

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier commits.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier package/repositories/commits.php

Structures de données

class JGithubPackageRepositoriesCommits

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Common.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Base64
Structures de données
Référence du fichier Common.php

Structures de données

class ParagonIE_Sodium_Core_Base64_Common


Joomla CMS: Référence du fichier communications.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Structures de données | Espaces de nommage
Référence du fichier communications.php

Structures de données

class JLinkedinCommunications

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier companies.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Structures de données | Espaces de nommage
Référence du fichier companies.php

Structures de données

class JLinkedinCompanies

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier compare.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • models
Structures de données | Espaces de nommage
Référence du fichier models/compare.php

Structures de données

class ContenthistoryModelCompare

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier compare.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • compare
  • tmpl
Espaces de nommage | Variables
Référence du fichier views/compare/tmpl/compare.php

Espaces de nommage

Joomla\Administrator

Variables

$version2 = $this->items[0]
$version1 = $this->items[1]
$object1 = $version1->data
$object2 = $version2->data
foreach | ($object1 as $name=> $value) ( $value->value==$object2-> $name->value) ? 'items-equal'
if | ($subValue->value|| $newSubValue) ( $subValue->value==$newSubValue) ? 'items-equal'
endif
endforeach
else __pad0__
$object2 $name | value = is_object($object2->$name->value) ? json_encode($object2->$name->value) : $object2->$name->value

Documentation des variables

◆ $object1

$object1 = $version1->data

◆ $object2

$object2 = $version2->data

◆ $version1

$version1 = $this->items[1]

Référencé par FOFPlatform\checkVersion().

◆ $version2

$version2 = $this->items[0]

Référencé par FOFPlatform\checkVersion().

◆ ($object1 as $name=> $value)

foreach ( $object1 as $name=> $value)($value->value==$object2-> $name->value) ? 'items-equal'

◆ ($subValue->value|| $newSubValue)

if ( $subValue->value||$newSubValue)($subValue->value==$newSubValue) ? 'items-equal'

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif

◆ value

int $rgt Right value = is_object($object2->$name->value) ? json_encode($object2->$name->value) : $object2->$name->value

A class to manage tables holding nested sets (hierarchical data)

Référencé par SimplePie_Rating\__construct(), SimplePie_Restriction\__construct(), FOFFormHeader\__get(), JHtmlUsers\admin_language(), FOFLessParser\argumentDef(), JHtmlUsers\editor(), FOFLessParser\expHelper(), FOFLessParser\expression(), JHtmlList\genericordering(), SimplePie_Rating\get_value(), SimplePie_Restriction\get_value(), FOFFormFieldCalendar\getCalendar(), FOFFormHeaderFielddate\getFilter(), MenuField\getGroups(), JFormFieldClicks\getInput(), JFormFieldModalAssociation\getInput(), JFormFieldImpTotal\getInput(), JFormFieldImpMade\getInput(), JFormFieldModulelayout\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldFilters\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldList\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldRepeatable\getInput(), JFormFieldUsergroup\getInput(), JFormFieldAccessLevel\getInput(), ContenttypeField\getInput(), JFormFieldSkins\getInput(), JFormFieldUploaddirs\getInput(), FOFFormFieldOrdering\getInput(), TagField\getInput(), InstallationFormFieldSample\getInput(), FOFFormFieldButton\getInput(), OrderingField\getInput(), FOFFormFieldCheckboxes\getInput(), JFormFieldCheckbox\getInput(), JFormFieldGroupedList\getInput(), JFormFieldModal_Menu\getInput(), JFormFieldCalendar\getInput(), EditorField\getInput(), JFormFieldCategoryEdit\getInput(), JFormFieldTinymceBuilder\getLayoutData(), JFormFieldRadio\getLayoutData(), JFormFieldprivacy\getLayoutData(), JFormFieldterms\getLayoutData(), UserField\getLayoutData(), JFormFieldCheckboxes\getLayoutData(), JFormFieldNumber\getLayoutData(), JFormFieldColor\getLayoutData(), MediaField\getLayoutData(), JFormFieldCalendar\getLayoutData(), FormField\getLayoutData(), FOFFormHeaderLanguage\getOptions(), InstallationFormFieldLanguage\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldLanguage\getOptions(), JFormFieldFieldcontexts\getOptions(), HelpsiteField\getOptions(), FOFFormFieldTag\getOptions(), FOFFormFieldRelation\getOptions(), FOFFormFieldModel\getRepeatable(), FOFFormFieldCheckboxes\getRepeatable(), FOFFormFieldEditor\getRepeatable(), FOFFormFieldPassword\getRepeatable(), FOFFormFieldPlugins\getRepeatable(), FOFFormFieldRadio\getRepeatable(), FOFFormFieldSessionhandler\getRepeatable(), FOFFormFieldSql\getRepeatable(), FOFFormFieldInteger\getRepeatable(), FOFFormFieldCachehandler\getRepeatable(), FOFFormFieldList\getRepeatable(), FOFFormFieldComponents\getRepeatable(), FOFFormFieldText\getRepeatable(), FOFFormFieldGroupedlist\getRepeatable(), FOFFormFieldCheckbox\getRepeatable(), FOFFormFieldEmail\getRepeatable(), FOFFormFieldTel\getRepeatable(), FOFFormFieldUrl\getRepeatable(), FOFFormFieldLanguage\getRepeatable(), FOFFormFieldAccesslevel\getRepeatable(), FOFFormFieldUsergroup\getRepeatable(), FOFFormFieldOrdering\getRepeatable(), FOFFormFieldUser\getRepeatable(), FOFFormFieldPublished\getRepeatable(), FOFFormFieldModel\getStatic(), FOFFormFieldPlugins\getStatic(), FOFFormFieldEmail\getStatic(), FOFFormFieldUrl\getStatic(), FOFFormFieldEditor\getStatic(), FOFFormFieldPassword\getStatic(), FOFFormFieldText\getStatic(), FOFFormFieldTel\getStatic(), FOFFormFieldRadio\getStatic(), FOFFormFieldCheckbox\getStatic(), FOFFormFieldSql\getStatic(), FOFFormFieldTextarea\getStatic(), FOFFormFieldUser\getStatic(), FOFFormFieldTimezone\getStatic(), FOFFormFieldGroupedlist\getStatic(), FOFFormFieldSessionhandler\getStatic(), FOFFormFieldInteger\getStatic(), FOFFormFieldAccesslevel\getStatic(), FOFFormFieldMedia\getStatic(), FOFFormFieldList\getStatic(), FOFFormFieldUsergroup\getStatic(), FOFFormFieldCachehandler\getStatic(), FOFFormFieldImagelist\getStatic(), FOFFormFieldComponents\getStatic(), FOFFormFieldLanguage\getStatic(), FOFFormFieldPublished\getStatic(), JHtmlUser\groups(), JHtmlUsers\helpsite(), JHtmlUsers\language(), JFormFieldSubform\loadSubFormData(), JFormFieldCheckbox\setup(), JFormFieldSubform\setup(), FOFFormHeader\setup(), FormField\setup(), FormField\setValue(), JHtmlUsers\templatestyle(), et validate().


Joomla CMS: Référence du fichier Compat.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
Structures de données | Espaces de nommage
Référence du fichier namespaced/Compat.php

Structures de données

class Compat

Espaces de nommage

ParagonIE\Sodium


Joomla CMS: Référence du fichier Compat.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
Structures de données
Référence du fichier src/Compat.php

Structures de données

class ParagonIE_Sodium_Compat


Joomla CMS: Référence du fichier complete.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_joomlaupdate/views/default/tmpl/complete.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier complete.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • registration
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/registration/tmpl/complete.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier complete.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • reset
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/reset/tmpl/complete.php

Espaces de nommage

Joomla\Site

Variables

endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier Component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
  • Node
Structures de données | Espaces de nommage
Référence du fichier Component.php

Structures de données

class Component

Espaces de nommage

Joomla\CMS\Menu\Node


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/controllers/component.php

Structures de données

class ConfigControllerComponent

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • model
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/model/component.php

Structures de données

class ConfigModelComponent

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • models
Espaces de nommage | Variables
Référence du fichier administrator/components/com_config/models/component.php

Espaces de nommage

Joomla\Administrator

Variables

try
catch (RuntimeException $exception)

Documentation des variables

◆ catch

catch(RuntimeException $exception)

◆ try

try
Valeur initiale :
{
JLog::add(
sprintf('ConfigModelComponent has moved from %1$s to %2$s', __FILE__, dirname(__DIR__) . '/model/component.php'),
JLog::WARNING,
'deprecated'
)


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/component.php

Espaces de nommage

Joomla\Administrator

Variables

$lang = JFactory::getLanguage()
$app = JFactory::getApplication()
if(! $this->params->get('colourChoice')) else

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $lang

$lang = JFactory::getLanguage()

◆ else

if ( $this->params->get( 'logoFile')) else
Valeur initiale :
{
$colour = htmlspecialchars($this->params->get('colourChoice'))
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/component.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$lang = JFactory::getLanguage()
if ( $this->params->get( 'linkColor'))

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $lang

$lang = JFactory::getLanguage()

◆ if

if($this->params->get('linkColor'))


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • system
Espaces de nommage
Référence du fichier administrator/templates/system/component.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • autoloader
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/autoloader/component.php

Structures de données

class FOFAutoloaderComponent

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
Espaces de nommage | Variables
Référence du fichier templates/beez3/component.php

Espaces de nommage

Joomla\Site

Variables

$color = $this->params->get('templatecolor')

Documentation des variables

◆ $color

$color = $this->params->get('templatecolor')


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
Espaces de nommage | Variables
Référence du fichier templates/protostar/component.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()

Documentation des variables

◆ $app

$app = JFactory::getApplication()


Joomla CMS: Référence du fichier component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • system
Espaces de nommage
Référence du fichier templates/system/component.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier ComponentAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier ComponentAdapter.php

Structures de données

class ComponentAdapter

Espaces de nommage

Joomla\CMS\Installer\Adapter


Joomla CMS: Référence du fichier ComponentHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
Structures de données | Espaces de nommage
Référence du fichier ComponentHelper.php

Structures de données

class ComponentHelper

Espaces de nommage

Joomla\CMS\Component


Joomla CMS: Référence du fichier componentlayout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier componentlayout.php

Structures de données

class JFormFieldComponentlayout

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier ComponentRecord.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
Structures de données | Espaces de nommage
Référence du fichier ComponentRecord.php

Structures de données

class ComponentRecord

Espaces de nommage

Joomla\CMS\Component


Joomla CMS: Référence du fichier ComponentRenderer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
  • Html
Structures de données | Espaces de nommage
Référence du fichier ComponentRenderer.php

Structures de données

class ComponentRenderer

Espaces de nommage

Joomla\CMS\Document\Renderer\Html


Joomla CMS: Référence du fichier components.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/components.php

Structures de données

class FOFFormFieldComponents

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier components.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/components.php

Structures de données

class JFormFieldComponents

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier componentscategory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier componentscategory.php

Structures de données

class JFormFieldComponentsCategory

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier compressed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • less
  • formatter
Structures de données | Espaces de nommage
Référence du fichier compressed.php

Structures de données

class FOFLessFormatterCompressed

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier config.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
Espaces de nommage | Variables
Référence du fichier administrator/components/com_config/config.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$controllerHelper = new ConfigControllerHelper
$controller = $controllerHelper->parseController($app)
$controller prefix = 'Config'

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $controller

$controller = $controllerHelper->parseController($app)

◆ $controllerHelper

$controllerHelper = new ConfigControllerHelper

◆ prefix

string The common database table prefix = 'Config'
Depuis
11.1
1.7.0

Référencé par PaginationObject\__construct(), Profiler\__construct(), DatabaseLogger\__construct(), Pagination\__construct(), Pagination\_buildDataObject(), Pagination\_item_active(), DatabaseLogger\connect(), ConfigControllerDisplay\execute(), Pagination\getLimitBox(), Pagination\getListFooter(), Pagination\getPaginationLinks(), et Profiler\mark().


Joomla CMS: Référence du fichier config.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • helper
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/helper/config.php

Structures de données

class ConfigHelperConfig

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier config.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_messages/controllers/config.php

Structures de données

class MessagesControllerConfig

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier config.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_messages/models/config.php

Structures de données

class MessagesModelConfig

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier config.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
Espaces de nommage | Variables
Référence du fichier components/com_config/config.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$controllerHelper = new ConfigControllerHelper
$controller = $controllerHelper->parseController($app)
$controller prefix = 'Config'

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $controller

$controller = $controllerHelper->parseController($app)

◆ $controllerHelper

$controllerHelper = new ConfigControllerHelper

◆ prefix

$controller prefix = 'Config'


Joomla CMS: Référence du fichier config.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • model
Structures de données | Espaces de nommage
Référence du fichier components/com_config/model/config.php

Structures de données

class ConfigModelConfig

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier config.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
  • install
Structures de données | Espaces de nommage
Référence du fichier installation/controller/install/config.php

Structures de données

class InstallationControllerInstallConfig

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier configcomponents.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • model
  • field
Structures de données | Espaces de nommage
Référence du fichier configcomponents.php

Structures de données

class JFormFieldConfigComponents

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier configuration.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • model
Structures de données | Espaces de nommage
Référence du fichier configuration.php

Structures de données

class InstallationModelConfiguration

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier confirm.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/confirm.php

Espaces de nommage

Joomla\Administrator

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']

Documentation des variables

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

Référencé par FOFController\display(), BaseController\execute(), FOFController\execute(), et SliderButton\fetchButton().

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier confirm.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_privacy/models/confirm.php

Structures de données

class PrivacyModelConfirm

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier confirm.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • reset
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/reset/tmpl/confirm.php

Espaces de nommage

Joomla\Site

Variables

endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier confirm.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier layouts/joomla/toolbar/confirm.php

Espaces de nommage

Joomla\Site

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']

Documentation des variables

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier ConfirmButton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
  • Button
Structures de données | Espaces de nommage
Référence du fichier ConfirmButton.php

Structures de données

class ConfirmButton

Espaces de nommage

Joomla\CMS\Toolbar\Button


Joomla CMS: Référence du fichier confirmconsent.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • confirmconsent
Structures de données | Espaces de nommage
Référence du fichier confirmconsent.php

Structures de données

class PlgContentConfirmConsent

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier ConjunctionInterceptor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Interceptor
Structures de données | Espaces de nommage
Référence du fichier ConjunctionInterceptor.php

Structures de données

class ConjunctionInterceptor

Espaces de nommage

TYPO3\PharStreamWrapper\Interceptor


Joomla CMS: Référence du fichier connecting.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exception
Structures de données | Espaces de nommage
Référence du fichier connecting.php

Structures de données

class JDatabaseExceptionConnecting

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier consent.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • tables
Structures de données | Espaces de nommage
Référence du fichier consent.php

Structures de données

class PrivacyTableConsent

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier consentbox.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • confirmconsent
  • fields
Structures de données | Espaces de nommage
Référence du fichier consentbox.php

Structures de données

class JFormFieldConsentBox

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier consents.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/controllers/consents.php

Structures de données

class PrivacyControllerConsents

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier consents.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/models/consents.php

Structures de données

class PrivacyModelConsents

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier consents.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • consents
Structures de données | Espaces de nommage
Référence du fichier plugins/privacy/consents/consents.php

Structures de données

class PlgPrivacyConsents

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier constants.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • lib
Espaces de nommage | Variables
Référence du fichier constants.php

Espaces de nommage

Sodium

Variables

const | CRYPTO_AEAD_AES256GCM_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_KEYBYTES
const | CRYPTO_AEAD_AES256GCM_NSECBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_NSECBYTES
const | CRYPTO_AEAD_AES256GCM_NPUBBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_NPUBBYTES
const | CRYPTO_AEAD_AES256GCM_ABYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_AES256GCM_ABYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_ABYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_ABYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES
const | CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES = ParagonIE_Sodium_Compat::CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES
const | CRYPTO_AUTH_BYTES = ParagonIE_Sodium_Compat::CRYPTO_AUTH_BYTES
const | CRYPTO_AUTH_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_AUTH_KEYBYTES
const | CRYPTO_BOX_SEALBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_SEALBYTES
const | CRYPTO_BOX_SECRETKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_SECRETKEYBYTES
const | CRYPTO_BOX_PUBLICKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_PUBLICKEYBYTES
const | CRYPTO_BOX_KEYPAIRBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_KEYPAIRBYTES
const | CRYPTO_BOX_MACBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_MACBYTES
const | CRYPTO_BOX_NONCEBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_NONCEBYTES
const | CRYPTO_BOX_SEEDBYTES = ParagonIE_Sodium_Compat::CRYPTO_BOX_SEEDBYTES
const | CRYPTO_KX_BYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_BYTES
const | CRYPTO_KX_SEEDBYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_SEEDBYTES
const | CRYPTO_KX_PUBLICKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_PUBLICKEYBYTES
const | CRYPTO_KX_SECRETKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_KX_SECRETKEYBYTES
const | CRYPTO_GENERICHASH_BYTES = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_BYTES
const | CRYPTO_GENERICHASH_BYTES_MIN = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_BYTES_MIN
const | CRYPTO_GENERICHASH_BYTES_MAX = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_BYTES_MAX
const | CRYPTO_GENERICHASH_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_KEYBYTES
const | CRYPTO_GENERICHASH_KEYBYTES_MIN = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_KEYBYTES_MIN
const | CRYPTO_GENERICHASH_KEYBYTES_MAX = ParagonIE_Sodium_Compat::CRYPTO_GENERICHASH_KEYBYTES_MAX
const | CRYPTO_SCALARMULT_BYTES = ParagonIE_Sodium_Compat::CRYPTO_SCALARMULT_BYTES
const | CRYPTO_SCALARMULT_SCALARBYTES = ParagonIE_Sodium_Compat::CRYPTO_SCALARMULT_SCALARBYTES
const | CRYPTO_SHORTHASH_BYTES = ParagonIE_Sodium_Compat::CRYPTO_SHORTHASH_BYTES
const | CRYPTO_SHORTHASH_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SHORTHASH_KEYBYTES
const | CRYPTO_SECRETBOX_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SECRETBOX_KEYBYTES
const | CRYPTO_SECRETBOX_MACBYTES = ParagonIE_Sodium_Compat::CRYPTO_SECRETBOX_MACBYTES
const | CRYPTO_SECRETBOX_NONCEBYTES = ParagonIE_Sodium_Compat::CRYPTO_SECRETBOX_NONCEBYTES
const | CRYPTO_SIGN_BYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_BYTES
const | CRYPTO_SIGN_SEEDBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_SEEDBYTES
const | CRYPTO_SIGN_PUBLICKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_PUBLICKEYBYTES
const | CRYPTO_SIGN_SECRETKEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_SECRETKEYBYTES
const | CRYPTO_SIGN_KEYPAIRBYTES = ParagonIE_Sodium_Compat::CRYPTO_SIGN_KEYPAIRBYTES
const | CRYPTO_STREAM_KEYBYTES = ParagonIE_Sodium_Compat::CRYPTO_STREAM_KEYBYTES
const | CRYPTO_STREAM_NONCEBYTES = ParagonIE_Sodium_Compat::CRYPTO_STREAM_NONCEBYTES


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
Espaces de nommage | Variables
Référence du fichier administrator/components/com_contact/contact.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_contact')) $controller = JControllerLegacy::getInstance('contact')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_contact')) $controller = JControllerLegacy::getInstance('contact')


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/controllers/contact.php

Structures de données

class ContactControllerContact

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/helpers/contact.php

Structures de données

class ContactHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/helpers/html/contact.php

Structures de données

class JHtmlContact

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/models/contact.php

Structures de données

class ContactModelContact

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • models
  • fields
  • modal
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/models/fields/modal/contact.php

Structures de données

class JFormFieldModal_Contact

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/tables/contact.php

Structures de données

class ContactTableContact

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
Espaces de nommage | Variables
Référence du fichier components/com_contact/contact.php

Espaces de nommage

Joomla\Site

Variables

$input = JFactory::getApplication()->input
if($input->get('view')==='contacts' && $input->get('layout')==='modal') $controller = JControllerLegacy::getInstance('Contact')

Documentation des variables

◆ $controller

if ( $input->get( 'view')==='contacts' &&$input->get( 'layout')==='modal') $controller = JControllerLegacy::getInstance('Contact')

◆ $input

$input = JFactory::getApplication()->input


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • controllers
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/controllers/contact.php

Structures de données

class ContactControllerContact

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/models/contact.php

Structures de données

class ContactModelContact

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • contact
Structures de données | Espaces de nommage
Référence du fichier plugins/content/contact/contact.php

Structures de données

class PlgContentContact

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • contact
Structures de données | Espaces de nommage
Référence du fichier plugins/editors-xtd/contact/contact.php

Structures de données

class PlgButtonContact

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier contact.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • contact
Structures de données | Espaces de nommage
Référence du fichier plugins/privacy/contact/contact.php

Structures de données

class PlgPrivacyContact

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier contactcreator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • contactcreator
Structures de données | Espaces de nommage
Référence du fichier contactcreator.php

Structures de données

class PlgUserContactCreator

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier contactemail.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • models
  • rules
Structures de données | Espaces de nommage
Référence du fichier contactemail.php

Structures de données

class JFormRuleContactEmail

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier contactemailmessage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • models
  • rules
Structures de données | Espaces de nommage
Référence du fichier contactemailmessage.php

Structures de données

class JFormRuleContactEmailMessage

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier contactemailsubject.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • models
  • rules
Structures de données | Espaces de nommage
Référence du fichier contactemailsubject.php

Structures de données

class JFormRuleContactEmailSubject

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier contacts.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/controllers/contacts.php

Structures de données

class ContactControllerContacts

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contacts.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/models/contacts.php

Structures de données

class ContactModelContacts

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contacts.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • contacts
Structures de données | Espaces de nommage
Référence du fichier plugins/finder/contacts/contacts.php

Structures de données

class PlgFinderContacts

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier contacts.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • contacts
Structures de données | Espaces de nommage
Référence du fichier plugins/search/contacts/contacts.php

Structures de données

class PlgSearchContacts

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Container.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
  • Node
Structures de données | Espaces de nommage
Référence du fichier src/Menu/Node/Container.php

Structures de données

class Container

Espaces de nommage

Joomla\CMS\Menu\Node


Joomla CMS: Référence du fichier Container.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/di/src/Container.php

Structures de données

class Container

Espaces de nommage

Joomla\DI


Joomla CMS: Référence du fichier Container.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Phar
Structures de données | Espaces de nommage
Référence du fichier vendor/typo3/phar-stream-wrapper/src/Phar/Container.php

Structures de données

class Container

Espaces de nommage

TYPO3\PharStreamWrapper\Phar


Joomla CMS: Référence du fichier ContainerAwareInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
  • src
Structures de données | Espaces de nommage
Référence du fichier ContainerAwareInterface.php

Structures de données

interface ContainerAwareInterface

Espaces de nommage

Joomla\DI


Joomla CMS: Référence du fichier ContainerAwareTrait.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
  • src
Espaces de nommage | Fonctions | Variables
Référence du fichier ContainerAwareTrait.php

Espaces de nommage

Joomla\DI

Fonctions

getContainer ()
setContainer (Container $container)

Variables

trait ContainerAwareTrait


Joomla CMS: Référence du fichier containerclose.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/containerclose.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier containerclose.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier layouts/joomla/toolbar/containerclose.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier ContainerExceptionInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • container
  • src
Structures de données | Espaces de nommage
Référence du fichier ContainerExceptionInterface.php

Structures de données

interface ContainerExceptionInterface

Espaces de nommage

Psr\Container


Joomla CMS: Référence du fichier ContainerInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • container
  • src
Structures de données | Espaces de nommage
Référence du fichier ContainerInterface.php

Structures de données

interface ContainerInterface

Espaces de nommage

Psr\Container


Joomla CMS: Référence du fichier containeropen.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/containeropen.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier containeropen.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier layouts/joomla/toolbar/containeropen.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier Content.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Content.php

Structures de données

class Content

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier content.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
Espaces de nommage | Variables
Référence du fichier administrator/components/com_content/content.php

Espaces de nommage

Joomla\Administrator

Variables

$controller = JControllerLegacy::getInstance('Content')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Content')


Joomla CMS: Référence du fichier content.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/helpers/content.php

Structures de données

class ContentHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier content.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
Espaces de nommage | Variables
Référence du fichier components/com_content/content.php

Espaces de nommage

Joomla\Site

Variables

$input = JFactory::getApplication()->input
$user = JFactory::getUser()
$checkCreateEdit
if($checkCreateEdit) $controller = JControllerLegacy::getInstance('Content')

Documentation des variables

◆ $checkCreateEdit

$checkCreateEdit
Valeur initiale :
= ($input->get('view') === 'articles' && $input->get('layout') === 'modal')
|| ($input->get('view') === 'article' && $input->get('layout') === 'pagebreak')
$input
$input
Definition: components/com_content/content.php:16

◆ $controller

if ( $checkCreateEdit) $controller = JControllerLegacy::getInstance('Content')

◆ $input

$input = JFactory::getApplication()->input

◆ $user

$user = JFactory::getUser()


Joomla CMS: Référence du fichier content.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/content.php

Structures de données

class JHtmlContent

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier content.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • content
Structures de données | Espaces de nommage
Référence du fichier plugins/finder/content/content.php

Structures de données

class PlgFinderContent

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier content.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • content
Structures de données | Espaces de nommage
Référence du fichier plugins/privacy/content/content.php

Structures de données

class PlgPrivacyContent

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier content.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • content
Structures de données | Espaces de nommage
Référence du fichier plugins/search/content/content.php

Structures de données

class PlgSearchContent

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier contentadministrator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier contentadministrator.php

Structures de données

class JHtmlContentAdministrator

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ContentHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier ContentHelper.php

Structures de données

class ContentHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier ContentHistory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier ContentHistory.php

Structures de données

class ContentHistory

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier ContentHistory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
  • Observer
Structures de données | Espaces de nommage
Référence du fichier Observer/ContentHistory.php

Structures de données

class ContentHistory

Espaces de nommage

Joomla\CMS\Table\Observer


Joomla CMS: Référence du fichier contenthistory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
Espaces de nommage | Variables
Référence du fichier administrator/components/com_contenthistory/contenthistory.php

Espaces de nommage

Joomla\Administrator

Variables

if(JFactory::getUser() ->guest) $controller = JControllerLegacy::getInstance('Contenthistory', array('base_path' => JPATH_COMPONENT_ADMINISTRATOR))

Documentation des variables

◆ $controller

if (JFactory::getUser() ->guest) $controller = JControllerLegacy::getInstance('Contenthistory', array('base_path' => JPATH_COMPONENT_ADMINISTRATOR))


Joomla CMS: Référence du fichier contenthistory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contenthistory/helpers/contenthistory.php

Structures de données

class ContenthistoryHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contenthistory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contenthistory
Espaces de nommage | Variables
Référence du fichier components/com_contenthistory/contenthistory.php

Espaces de nommage

Joomla\Site

Variables

$lang = JFactory::getLanguage()

Documentation des variables

◆ $lang

$lang = JFactory::getLanguage()


Joomla CMS: Référence du fichier contenthistory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage
Référence du fichier layouts/joomla/form/field/contenthistory.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier contenthistory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
  • behavior
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/table/behavior/contenthistory.php

Structures de données

class FOFTableBehaviorContenthistory

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier contenthistory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • layouts
  • joomla
  • form
  • field
Espaces de nommage
Référence du fichier templates/protostar/html/layouts/joomla/form/field/contenthistory.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier ContenthistoryField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier ContenthistoryField.php

Structures de données

class ContenthistoryField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier ContentHistoryHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier ContentHistoryHelper.php

Structures de données

class ContentHistoryHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier contentlanguage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier contentlanguage.php

Structures de données

class JHtmlContentLanguage

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier ContentlanguageField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier ContentlanguageField.php

Structures de données

class ContentlanguageField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier contentmap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier contentmap.php

Structures de données

class JFormFieldContentMap

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier contents.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier contents.php

Structures de données

class JGithubPackageRepositoriesContents

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier ContentType.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier ContentType.php

Structures de données

class ContentType

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier ContenttypeField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier ContenttypeField.php

Structures de données

class ContenttypeField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier contenttypes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier contenttypes.php

Structures de données

class JFormFieldContentTypes

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Contrast.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier Contrast.php

Structures de données

class Contrast

Espaces de nommage

Joomla\Image\Filter


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_actionlogs/controller.php

Structures de données

class ActionlogsController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_admin/controller.php

Structures de données

class AdminController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_associations/controller.php

Structures de données

class AssociationsController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/controller.php

Structures de données

class BannersController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_cache/controller.php

Structures de données

class CacheController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/controller.php

Structures de données

class CategoriesController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_checkin/controller.php

Structures de données

class CheckinController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/controller.php

Structures de données

class ConfigController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/controller.php

Structures de données

class ContactController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/controller.php

Structures de données

class ContentController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contenthistory/controller.php

Structures de données

class ContenthistoryController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cpanel
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_cpanel/controller.php

Structures de données

class CpanelController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/controller.php

Structures de données

class FieldsController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/controller.php

Structures de données

class FinderController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/controller.php

Structures de données

class InstallerController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_joomlaupdate/controller.php

Structures de données

class JoomlaupdateController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/controller.php

Structures de données

class LanguagesController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_login/controller.php

Structures de données

class LoginController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_media/controller.php

Structures de données

class MediaController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/controller.php

Structures de données

class MenusController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_messages/controller.php

Structures de données

class MessagesController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/controller.php

Structures de données

class ModulesController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/controller.php

Structures de données

class NewsfeedsController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_plugins/controller.php

Structures de données

class PluginsController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/controller.php

Structures de données

class PrivacyController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/controller.php

Structures de données

class RedirectController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_search/controller.php

Structures de données

class SearchController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_tags/controller.php

Structures de données

class TagsController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/controller.php

Structures de données

class TemplatesController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/controller.php

Structures de données

class UsersController

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
Structures de données | Espaces de nommage
Référence du fichier components/com_banners/controller.php

Structures de données

class BannersController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/controller.php

Structures de données

class ContactController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
Structures de données | Espaces de nommage
Référence du fichier components/com_content/controller.php

Structures de données

class ContentController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_fields
Structures de données | Espaces de nommage
Référence du fichier components/com_fields/controller.php

Structures de données

class FieldsController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
Structures de données | Espaces de nommage
Référence du fichier components/com_finder/controller.php

Structures de données

class FinderController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
Structures de données | Espaces de nommage
Référence du fichier components/com_mailto/controller.php

Structures de données

class MailtoController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_menus
Structures de données | Espaces de nommage
Référence du fichier components/com_menus/controller.php

Structures de données

class MenusController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_modules
Structures de données | Espaces de nommage
Référence du fichier components/com_modules/controller.php

Structures de données

class ModulesController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/controller.php

Structures de données

class NewsfeedsController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
Structures de données | Espaces de nommage
Référence du fichier components/com_privacy/controller.php

Structures de données

class PrivacyController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
Structures de données | Espaces de nommage
Référence du fichier components/com_search/controller.php

Structures de données

class SearchController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
Structures de données | Espaces de nommage
Référence du fichier components/com_tags/controller.php

Structures de données

class TagsController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
Structures de données | Espaces de nommage
Référence du fichier components/com_users/controller.php

Structures de données

class UsersController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_wrapper
Structures de données | Espaces de nommage
Référence du fichier components/com_wrapper/controller.php

Structures de données

class WrapperController

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • controller
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/controller/controller.php

Structures de données

class FOFController

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier controller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • controller
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/controller/controller.php

Structures de données

interface JController

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Cookie.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Input
Structures de données | Espaces de nommage
Référence du fichier src/Input/Cookie.php

Structures de données

class Cookie

Espaces de nommage

Joomla\CMS\Input


Joomla CMS: Référence du fichier Cookie.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • input
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/input/src/Cookie.php

Structures de données

class Cookie

Espaces de nommage

Joomla\Input


Joomla CMS: Référence du fichier cookie.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • input
  • jinput
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/input/jinput/cookie.php

Structures de données

class JInputCookie

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier cookie.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • authentication
  • cookie
Structures de données | Espaces de nommage
Référence du fichier plugins/authentication/cookie/cookie.php

Structures de données

class PlgAuthenticationCookie

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Copyright.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Copyright.php

Structures de données

class SimplePie_Copyright

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier Core.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Core.php

Structures de données

class SimplePie_Core

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier core.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • mbstring
Variables
Référence du fichier phputf8/mbstring/core.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier core.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • native
Variables
Référence du fichier phputf8/native/core.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier core.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • mbstring
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/mbstring/core.php

Espaces de nommage

utf8

Fonctions

utf8_strlen ($str)
utf8_strpos ($str, $search, $offset=FALSE)
utf8_strrpos ($str, $search, $offset=FALSE)
utf8_substr ($str, $offset, $length=FALSE)
utf8_strtolower ($str)
utf8_strtoupper ($str)

Documentation des fonctions

◆ utf8_strlen()

utf8_strlen ( $str )

Référencé par utf8_str_pad(), utf8_str_split(), utf8_strcspn(), utf8_strspn(), utf8_substr_replace(), et utf8_ucfirst().

◆ utf8_strpos()

utf8_strpos | ( | $str,
 |  | $search,
 |  | $offset = FALSE
 | ) |

Références $offset.

◆ utf8_strrpos()

utf8_strrpos | ( | $str,
 |  | $search,
 |  | $offset = FALSE
 | ) |

Références $offset.

◆ utf8_strtolower()

utf8_strtolower ( $str )

Référencé par utf8_ireplace(), utf8_strcasecmp(), et utf8_stristr().

◆ utf8_strtoupper()

utf8_strtoupper ( $str )

Référencé par utf8_ucfirst(), et utf8_ucwords_callback().

◆ utf8_substr()

utf8_substr | ( | $str,
 |  | $offset,
 |  | $length = FALSE
 | ) |

Références $offset.

Référencé par utf8_str_pad(), utf8_strcspn(), et utf8_strspn().


Joomla CMS: Référence du fichier core.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • native
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/native/core.php

Espaces de nommage

utf8

Fonctions

utf8_strlen ($str)
utf8_strpos ($str, $needle, $offset=NULL)
utf8_strrpos ($str, $needle, $offset=NULL)
utf8_substr ($str, $offset, $length=NULL)
utf8_strtolower ($string)
utf8_strtoupper ($string)

Documentation des fonctions

◆ utf8_strlen()

utf8_strlen ( $str )

Référencé par utf8_strpos(), et utf8_strrpos().

◆ utf8_strpos()

utf8_strpos | ( | $str,
 |  | $needle,
 |  | $offset = NULL
 | ) |

Références $offset, utf8_strlen(), et utf8_substr().

◆ utf8_strrpos()

utf8_strrpos | ( | $str,
 |  | $needle,
 |  | $offset = NULL
 | ) |

Références $offset, utf8_strlen(), et utf8_substr().

◆ utf8_strtolower()

utf8_strtolower ( $string )

Références $i, utf8_from_unicode(), et utf8_to_unicode().

◆ utf8_strtoupper()

utf8_strtoupper ( $string )

Références $i, utf8_from_unicode(), et utf8_to_unicode().

◆ utf8_substr()

utf8_substr | ( | $str,
 |  | $offset,
 |  | $length = NULL
 | ) |

Références $offset.

Référencé par utf8_strpos(), et utf8_strrpos().


Joomla CMS: Référence du fichier CoreContent.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier CoreContent.php

Structures de données

class CoreContent

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier cpanel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cpanel
Espaces de nommage | Variables
Référence du fichier components/com_cpanel/cpanel.php

Espaces de nommage

Joomla\Administrator

Variables

$controller = JControllerLegacy::getInstance('Cpanel')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Cpanel')


Joomla CMS: Référence du fichier cpanel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
Espaces de nommage | Variables
Référence du fichier templates/hathor/cpanel.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$lang = JFactory::getLanguage()
if(! $this->params->get('colourChoice')) else

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $lang

$lang = JFactory::getLanguage()

◆ else

if ( $lang->isRtl()) else
Valeur initiale :
{
$colour = htmlspecialchars($this->params->get('colourChoice'))
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34


Joomla CMS: Référence du fichier cpanel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
Espaces de nommage
Référence du fichier templates/isis/cpanel.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier create.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • icons
Espaces de nommage | Variables
Référence du fichier create.php

Espaces de nommage

Joomla\Site

Variables

$params = $displayData['params']
$legacy = $displayData['legacy']
else __pad2__
endif
else __pad3__

Documentation des variables

◆ $legacy

$legacy = $displayData['legacy']

Référencé par JHtmlIcon\create(), JHtmlIcon\edit(), JHtmlIcon\email(), JHtmlIcon\print_popup(), et JHtmlIcon\print_screen().

◆ $params

$params = $displayData['params']

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ endif

endif


Joomla CMS: Référence du fichier create_date.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Espaces de nommage
Référence du fichier create_date.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier Credit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Credit.php

Structures de données

class SimplePie_Credit

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier Crypt.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
Structures de données | Espaces de nommage
Référence du fichier Crypt.php

Structures de données

class Crypt

Espaces de nommage

Joomla\CMS\Crypt


Joomla CMS: Référence du fichier Crypto.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • php-encryption
Structures de données | Variables
Référence du fichier php-encryption/Crypto.php

Structures de données

class | InvalidCiphertextException
class | CannotPerformOperationException
class | CryptoTestFailedException
class | Crypto
class | CryptoExceptionHandler

Variables

$crypto_exception_handler_object_dont_touch_me = new CryptoExceptionHandler()

Documentation des variables

◆ $crypto_exception_handler_object_dont_touch_me

$crypto_exception_handler_object_dont_touch_me = new CryptoExceptionHandler()


Joomla CMS: Référence du fichier Crypto.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
Structures de données | Espaces de nommage
Référence du fichier vendor/paragonie/sodium_compat/namespaced/Crypto.php

Structures de données

class Crypto

Espaces de nommage

ParagonIE\Sodium


Joomla CMS: Référence du fichier Crypto.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
Structures de données
Référence du fichier vendor/paragonie/sodium_compat/src/Crypto.php

Structures de données

class ParagonIE_Sodium_Crypto


Joomla CMS: Référence du fichier Crypto32.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
Structures de données
Référence du fichier Crypto32.php

Structures de données

class ParagonIE_Sodium_Crypto32


Joomla CMS: Référence du fichier CryptoCipher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Cipher
Structures de données | Espaces de nommage
Référence du fichier CryptoCipher.php

Structures de données

class CryptoCipher

Espaces de nommage

Joomla\CMS\Crypt\Cipher


Joomla CMS: Référence du fichier CryptPassword.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
Structures de données | Espaces de nommage
Référence du fichier CryptPassword.php

Structures de données

interface CryptPassword

Espaces de nommage

Joomla\CMS\Crypt


Joomla CMS: Référence du fichier CssIdentifierSubstringRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier CssIdentifierSubstringRule.php

Structures de données

class CssIdentifierSubstringRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier csv.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • view
Structures de données | Espaces de nommage
Référence du fichier csv.php

Structures de données

class FOFViewCsv

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier Ctx.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • ChaCha20
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/ChaCha20/Ctx.php

Structures de données

class Ctx

Espaces de nommage

ParagonIE\Sodium\Core\ChaCha20


Joomla CMS: Référence du fichier Ctx.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • ChaCha20
Structures de données
Référence du fichier src/Core/ChaCha20/Ctx.php

Structures de données

class ParagonIE_Sodium_Core_ChaCha20_Ctx


Joomla CMS: Référence du fichier Ctx.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • ChaCha20
Structures de données
Référence du fichier src/Core32/ChaCha20/Ctx.php

Structures de données

class ParagonIE_Sodium_Core32_ChaCha20_Ctx


Joomla CMS: Référence du fichier Ctype.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-ctype
Structures de données | Espaces de nommage
Référence du fichier Ctype.php

Structures de données

class Ctype

Espaces de nommage

Symfony\Polyfill\Ctype


Joomla CMS: Référence du fichier Curl.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
  • RequestMethod
Structures de données | Espaces de nommage
Référence du fichier Curl.php

Structures de données

class Curl

Espaces de nommage

ReCaptcha\RequestMethod


Joomla CMS: Référence du fichier curl.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • download
  • adapter
Structures de données | Espaces de nommage
Référence du fichier curl.php

Structures de données

class FOFDownloadAdapterCurl

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier CurlPost.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
  • RequestMethod
Structures de données | Espaces de nommage
Référence du fichier CurlPost.php

Structures de données

class CurlPost

Espaces de nommage

ReCaptcha\RequestMethod


Joomla CMS: Référence du fichier CurlTransport.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
  • Transport
Structures de données | Espaces de nommage
Référence du fichier CurlTransport.php

Structures de données

class CurlTransport

Espaces de nommage

Joomla\CMS\Http\Transport


Joomla CMS: Référence du fichier Curve25519.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Curve25519.php

Structures de données

class Curve25519

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier Curve25519.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/Curve25519.php

Structures de données

class ParagonIE_Sodium_Core_Curve25519


Joomla CMS: Référence du fichier Curve25519.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/Curve25519.php

Structures de données

class ParagonIE_Sodium_Core32_Curve25519


Joomla CMS: Référence du fichier CustomButton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
  • Button
Structures de données | Espaces de nommage
Référence du fichier CustomButton.php

Structures de données

class CustomButton

Espaces de nommage

Joomla\CMS\Toolbar\Button


Joomla CMS: Référence du fichier DaemonApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Application
Structures de données | Espaces de nommage
Référence du fichier DaemonApplication.php

Structures de données

class DaemonApplication

Espaces de nommage

Joomla\CMS\Application


Joomla CMS: Référence du fichier dashboard.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier dashboard.php

Structures de données

class PrivacyModelDashboard

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier data.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/github/package/data.php

Structures de données

class JGithubPackageData

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier data.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/google/data.php

Structures de données

class JGoogleData

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier data.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • field
Structures de données | Espaces de nommage
Référence du fichier plugins/system/stats/field/data.php

Structures de données

class PlgSystemStatsFormFieldData

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier data.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • layouts
  • field
Espaces de nommage
Référence du fichier plugins/system/stats/layouts/field/data.php

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
  • Storage
Structures de données | Espaces de nommage
Référence du fichier Database.php

Structures de données

class Database

Espaces de nommage

Joomla\Session\Storage


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/controllers/database.php

Structures de données

class InstallerControllerDatabase

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/models/database.php

Structures de données

class InstallerModelDatabase

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier installation/controller/database.php

Structures de données

class InstallationControllerDatabase

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
  • install
Structures de données | Espaces de nommage
Référence du fichier installation/controller/install/database.php

Structures de données

class InstallationControllerInstallDatabase

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • helper
Structures de données | Espaces de nommage
Référence du fichier installation/helper/database.php

Structures de données

class InstallationHelperDatabase

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • model
Structures de données | Espaces de nommage
Référence du fichier installation/model/database.php

Structures de données

class InstallationModelDatabase

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/database.php

Structures de données

class FOFDatabase

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/database.php

Structures de données

class JDatabase

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • model
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/model/database.php

Structures de données

class JModelDatabase

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/session/storage/database.php

Structures de données

class JSessionStorageDatabase

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier database_backup.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
  • install
Structures de données | Espaces de nommage
Référence du fichier database_backup.php

Structures de données

class InstallationControllerInstallDatabase_backup

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier database_remove.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
  • install
Structures de données | Espaces de nommage
Référence du fichier database_remove.php

Structures de données

class InstallationControllerInstallDatabase_remove

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier databaseconnection.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier databaseconnection.php

Structures de données

class JFormFieldDatabaseConnection

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier DatabaseLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
  • Logger
Structures de données | Espaces de nommage
Référence du fichier DatabaseLogger.php

Structures de données

class DatabaseLogger

Espaces de nommage

Joomla\CMS\Log\Logger


Joomla CMS: Référence du fichier DataObject.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • data
  • src
Structures de données | Espaces de nommage
Référence du fichier DataObject.php

Structures de données

class DataObject

Espaces de nommage

Joomla\Data


Joomla CMS: Référence du fichier DataSet.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • data
  • src
Structures de données | Espaces de nommage
Référence du fichier DataSet.php

Structures de données

class DataSet

Espaces de nommage

Joomla\Data


Joomla CMS: Référence du fichier Date.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Date
Structures de données | Espaces de nommage
Référence du fichier src/Date/Date.php

Structures de données

class Date

Espaces de nommage

Joomla\CMS\Date


Joomla CMS: Référence du fichier Date.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Parse
Structures de données | Espaces de nommage
Référence du fichier vendor/simplepie/simplepie/library/SimplePie/Parse/Date.php

Structures de données

class SimplePie_Parse_Date

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier date.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier cms/html/date.php

Structures de données

class JHtmlDate

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier date.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/model/field/date.php

Structures de données

class FOFModelFieldDate

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier DB.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Cache
Structures de données | Espaces de nommage
Référence du fichier DB.php

Structures de données

class SimplePie_Cache_DB

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier debug.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/helpers/debug.php

Structures de données

class UsersHelperDebug

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier debug.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/debug.php

Structures de données

class JHtmlDebug

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier debug.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • debug
Structures de données | Espaces de nommage
Référence du fichier plugins/system/debug/debug.php

Structures de données

class PlgSystemDebug

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier debuggroup.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier debuggroup.php

Structures de données

class UsersModelDebuggroup

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier debuguser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier debuguser.php

Structures de données

class UsersModelDebugUser

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • views
  • actionlogs
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_actionlogs/views/actionlogs/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))

Documentation des variables

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

Référencé par InstallerModel\_getList(), ModulesModelModules\_getList(), InstallerModelUpdate\_getList(), CacheModelCache\getData(), LanguagesModelInstalled\getData(), FieldsModelGroups\getListQuery(), TagsModelTags\getListQuery(), FinderModelMaps\getListQuery(), CategoriesModelCategories\getListQuery(), et FOFViewRaw\hasAjaxOrderingSupport().

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

Référencé par InstallerModel\_getList(), ModulesModelModules\_getList(), InstallerModelUpdate\_getList(), CacheModelCache\getData(), LanguagesModelInstalled\getData(), FinderModelIndex\getListQuery(), FOFViewRaw\hasAjaxOrderingSupport(), ContentModelArticles\populateState(), ContentModelCategory\populateState(), TagsModelTag\populateState(), NewsfeedsModelCategory\populateState(), ContactModelFeatured\populateState(), et ContactModelCategory\populateState().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • help
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_admin/views/help/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_admin/views/sysinfo/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
  • associations
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_associations/views/associations/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canManageCheckin = JFactory::getUser()->authorise('core.manage', 'com_checkin')
$colSpan = 5
$iconStates

Documentation des variables

◆ $canManageCheckin

$canManageCheckin = JFactory::getUser()->authorise('core.manage', 'com_checkin')

◆ $colSpan

$colSpan = 5

◆ $iconStates

$iconStates
Valeur initiale :
= array(
-2 => 'icon-trash',
0 => 'icon-unpublish',
1 => 'icon-publish',
2 => 'icon-archive',
)

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banners
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_banners/views/banners/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'a.ordering'
if ( $saveOrder)
else __pad0__
else null
$item | cat_link = JRoute::_('index.php?option=com_categories&extension=com_banners&task=edit&type=other&cid[]=' . $item->catid)
$canCreate = $user->authorise('core.create', 'com_banners.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_banners.category.' . $item->catid)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_banners.category.' . $item->catid) && $canCheckin
$iconClass = ''
if(! $canChange) | elseif (! $saveOrder) = 'btn-danger'
endif
else __pad1__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_banners.category.' . $item->catid) && $canCheckin

Référencé par JHtmlContentAdministrator\featured(), JHtmlContact\featured(), JHtmlRedirect\published(), JHtmlMessages\state(), et JHtmlMessages\status().

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_banners.category.' . $item->catid)

Référencé par CategoriesModelCategory\batchCopy(), CategoriesModelCategory\batchMove(), TagsHelper\createTagsFromField(), AssociationsHelper\getAssociationHtmlList(), et JFormFieldItemLanguage\getOptions().

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_banners.category.' . $item->catid)

Référencé par JFormFieldItemLanguage\getOptions().

◆ $iconClass

$iconClass = ''

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

Référencé par FOFViewRaw\hasAjaxOrderingSupport().

◆ $user

$user = JFactory::getUser()

Référencé par JAdminCssMenu\__construct(), JoomlaupdateControllerUpdate\_applyCredentials(), ContentHelper\_getActions(), PlgUserJoomla\_getUser(), UsersControllerRegistration\activate(), UsersModelRegistration\activate(), RedirectModelLink\activate(), UsersModelUser\activate(), UserHelper\activateUser(), JGithubPackageRepositoriesCollaborators\add(), ActionlogsModelActionlog\addLog(), JGithubPackageOrgsTeams\addMember(), PlgSampledataBlog\addMenuItems(), ModulesViewModule\addToolbar(), TagsViewTag\addToolbar(), MediaViewMedia\addToolbar(), BannersViewBanner\addToolbar(), UsersViewUser\addToolbar(), UsersViewNote\addToolbar(), BannersViewClient\addToolbar(), TagsViewTags\addToolbar(), ContactViewContact\addToolbar(), ModulesViewModules\addToolbar(), NewsfeedsViewNewsfeed\addToolbar(), BannersViewBanners\addToolbar(), ContentViewArticle\addToolbar(), MenusViewItem\addToolbar(), CategoriesViewCategory\addToolbar(), NewsfeedsViewNewsfeeds\addToolbar(), UsersViewUsers\addToolbar(), ContactViewContacts\addToolbar(), CategoriesViewCategories\addToolbar(), ContentViewArticles\addToolbar(), TemplatesViewTemplate\addToolbar(), AssociationsViewAssociations\addToolbar(), MenusViewItems\addToolbar(), UserHelper\addUserToGroup(), TagsControllerTag\allowAdd(), MenusControllerItem\allowAdd(), CategoriesControllerCategory\allowAdd(), ContentControllerArticle\allowAdd(), FormController\allowAdd(), UsersControllerLevel\allowEdit(), MenusControllerItem\allowEdit(), ContactControllerContact\allowEdit(), NewsfeedsControllerNewsfeed\allowEdit(), FieldsControllerField\allowEdit(), CategoriesControllerCategory\allowEdit(), ContentControllerArticle\allowEdit(), FieldsControllerGroup\allowEdit(), ModulesControllerModule\allowEdit(), FOFModel\applyAccessFiltering(), SiteApplication\authorise(), FOFIntegrationJoomlaPlatform\authorizeAdmin(), ModulesModelModule\batchCopy(), MenusModelItem\batchCopy(), FieldsModelField\batchCopy(), ModulesModelModule\batchMove(), MenusModelItem\batchMove(), FieldsModelField\batchMove(), JTwitterBlock\block(), UsersModelUser\block(), JMediawikiUsers\blockUser(), UsersRouterRulesLegacy\build(), ContactModelContact\buildContactExtendedData(), JHtmlIcons\button(), MenusModelMenu\canEditState(), BannersModelClient\canEditState(), CategoriesModelCategory\canEditState(), FieldsModelGroup\canEditState(), ContentModelArticle\canEditState(), FieldsModelField\canEditState(), JoomlaupdateModelDefault\captiveLogin(), JHtmlCategory\categories(), DaemonApplication\changeIdentity(), AbstractDaemonApplication\changeIdentity(), MessagesTableMessage\check(), JGithubPackageUsersFollowers\check(), JGithubPackageOrgsMembers\check(), FieldsTableGroup\check(), FieldsTableField\check(), AdminModel\checkCategoryId(), JHtmlGrid\checkedOut(), ConfigModelForm\checkin(), FormModel\checkin(), TagsModelTags\checkin(), ConfigModelForm\checkout(), UsersModelProfile\checkout(), FormModel\checkout(), JGithubPackageOrgsMembers\checkPublic(), UsersModelReset\checkResetLimit(), JApplication\checkSession(), CategoryView\commonCategoryDisplay(), JGithubPackageRepositoriesCommits\compare(), JGithubPackageOrgsMembers\conceal(), JGithubPackageRepositoriesForks\create(), JGithubForks\create(), JGithubRefs\create(), JGithubStatuses\create(), JGithubPackagePullsComments\create(), JGithubCommits\create(), JGithubPackageRepositoriesStatuses\create(), JGithubPackagePulls\create(), JGithubPackageIssues\create(), JGithubHooks\create(), JGithubPackageRepositoriesHooks\create(), JGithubPackageDataRefs\create(), JGithubPackageIssuesMilestones\create(), JGithubMilestones\create(), JGithubPackageRepositoriesComments\create(), MediaControllerFolder\create(), JGithubPackageIssuesComments\create(), JFacebookUser\createAlbum(), JFacebookUser\createCheckin(), JGithubPackageIssues\createComment(), JGithubPackagePulls\createComment(), JGithubPackagePulls\createCommentReply(), JGithubCommits\createCommitComment(), Factory\createDbo(), JFacebookUser\createEvent(), JGithubPackagePulls\createFromIssue(), PlgPrivacyUser\createItemForUserTable(), JGithubPackageIssues\createLabel(), JFacebookUser\createLink(), JFacebookUser\createNote(), PlgPrivacyUser\createNotesDomain(), JFacebookUser\createPhoto(), JFacebookUser\createPost(), PlgPrivacyUser\createProfileDomain(), MetadataManager\createRecordIfNonExisting(), JGithubPackagePullsComments\createReply(), JFacebookUser\createStatus(), PlgPrivacyUser\createUserDomain(), JFacebookUser\createVideo(), MediaControllerFolder\delete(), MenusControllerMenus\delete(), MessagesModelMessage\delete(), JGithubPackageRepositoriesHooks\delete(), JGithubHooks\delete(), TemplatesModelStyle\delete(), JGithubPackagePullsComments\delete(), JGithubPackageRepositoriesComments\delete(), BannersModelTracks\delete(), JGithubPackageIssuesComments\delete(), JGithubPackageIssuesMilestones\delete(), JGithubMilestones\delete(), UsersModelGroup\delete(), MediaControllerFile\delete(), ModulesModelModule\delete(), UsersModelUser\delete(), JGithubPackageIssues\deleteComment(), JGithubPackagePulls\deleteComment(), JGithubCommits\deleteCommitComment(), JFacebookEvent\deleteInvite(), JGithubPackageIssues\deleteLabel(), JFacebookUser\deletePermission(), MediaViewMediaList\display(), TagsController\display(), NewsfeedsController\display(), UsersController\display(), ContentViewArchive\display(), ContentViewArticle\display(), UsersViewUser\display(), ContentViewForm\display(), UsersViewProfile\display(), NewsfeedsViewNewsfeed\display(), ContentViewFeatured\display(), MenusViewItem\display(), ContentController\display(), ContactViewContact\display(), TagsViewTag\display(), FOFController\display(), TemplatesModelStyle\duplicate(), ModulesModelModule\duplicate(), RedirectModelLink\duplicateUrls(), UsersControllerProfile\edit(), JGithubRefs\edit(), JGithubPackageIssues\edit(), JGithubPackageRepositoriesComments\edit(), JHtmlIcon\edit(), JGithubPackageRepositoriesHooks\edit(), JGithubHooks\edit(), JGithubPackagePullsComments\edit(), JGithubPackageIssuesComments\edit(), JGithubPackagePulls\edit(), JGithubPackageDataRefs\edit(), JGithubPackageIssuesMilestones\edit(), JGithubMilestones\edit(), JGithubPackageIssues\editComment(), JGithubPackagePulls\editComment(), JGithubCommits\editCommitComment(), JGithubPackageIssues\editLabel(), ConfigControllerModulesDisplay\execute(), ConfigControllerModulesCancel\execute(), ConfigControllerModulesSave\execute(), ConfigControllerComponentSave\execute(), ComponentHelper\filterText(), JAdministratorHelper\findOption(), JGithubPackageUsersFollowers\follow(), JTwitterFriends\follow(), FilesystemHelper\ftpChmod(), Helper\ftpChmod(), JGithubPackageDataRefs\get(), JGithubPackageUsers\get(), JGithubPackageIssuesLabels\get(), JGithubPackageRepositoriesCollaborators\get(), JGithubMilestones\get(), JGithubPackageIssuesMilestones\get(), JGithubPackageRepositoriesComments\get(), JGithubPackageRepositoriesCommits\get(), JGithubRefs\get(), JGithubPackagePullsComments\get(), JGithubPackageIssues\get(), JGithubPackageRepositoriesHooks\get(), JGithubHooks\get(), JGithubPackagePulls\get(), ContentHelper\getActions(), JFacebookUser\getActivities(), JFacebookUser\getAlbums(), ContentHelperAssociation\getAssociations(), CategoriesHelper\getAssociations(), Access\getAuthorisedViewLevels(), JFacebookUser\getBooks(), JGithubPackageActivityEvents\getByUser(), JGithubPackageActivityEvents\getByUserPublic(), FOFFormFieldCalendar\getCalendar(), ContentModelCategory\getCategory(), JFacebookUser\getCheckins(), JGithubPackageIssues\getComment(), JGithubPackagePulls\getComment(), JGithubPackageIssues\getComments(), JGithubPackagePulls\getComments(), JGithubCommits\getCommit(), JGithubCommits\getCommitComment(), JGithubCommits\getCommitComments(), JGithubPackagePulls\getCommits(), ConfigHelperConfig\getComponentsWithConfig(), ContactModelContact\getContactQuery(), JTwitterUsers\getContributees(), JTwitterUsers\getContributors(), InstallationHelperDatabase\getDbo(), JGithubCommits\getDiff(), JFacebookUser\getEvents(), JFacebookUser\getFamily(), JTwitterFavorites\getFavorites(), JFacebookUser\getFeed(), JGithubPackagePulls\getFiles(), FOFFormHeaderFielddate\getFilter(), JTwitterFriends\getFollowerIds(), TagsModelTag\getForm(), ContentModelArticle\getForm(), ModulesModelModule\getForm(), Session\getFormToken(), JTwitterFriends\getFriendIds(), JFacebookUser\getFriendLists(), JFacebookUser\getFriendRequests(), JFacebookUser\getFriends(), PlgEditorTinymce\getGlobalFilters(), MenuField\getGroups(), FieldsModelFields\getGroups(), JFacebookUser\getGroups(), UsersModelUser\getGroups(), JFacebookUser\getHome(), JFormFieldCalendar\getInput(), FtpClient\getInstance(), User\getInstance(), JFacebookUser\getInterests(), NewsfeedsModelNewsfeed\getItem(), ContentModelArticle\getItem(), ContentModelForm\getItem(), ContactModelContact\getItem(), FinderIndexerAdapter\getItemMenuTitle(), UsersModelDebugUser\getItems(), ContentModelArticles\getItems(), TagsHelper\getItemTags(), JGithubPackageIssues\getLabel(), JGithubPackageIssues\getLabels(), JFacebookUser\getLikes(), JFacebookUser\getLinks(), ModLatestHelper\getList(), ModLoggedHelper\getList(), ModPopularHelper\getList(), ModLanguagesHelper\getList(), ModMenuHelper\getList(), ModTagsPopularHelper\getList(), ModRelatedItemsHelper\getList(), ModTagssimilarHelper\getList(), JGithubPackageUsersFollowers\getList(), JGithubMilestones\getList(), JGithubPackageIssuesMilestones\getList(), JGithubPackageOrgs\getList(), JGithubPackageRepositoriesCommits\getList(), JGithubPackageRepositoriesComments\getList(), JGithubPackageDataRefs\getList(), JGithubPackageRepositoriesForks\getList(), JGithubForks\getList(), JGithubStatuses\getList(), JGithubPackageRepositoriesStatuses\getList(), JGithubRefs\getList(), JGithubPackagePullsComments\getList(), JGithubPackageRepositoriesHooks\getList(), JGithubHooks\getList(), JGithubPackagePulls\getList(), JGithubCommits\getList(), JGithubPackageIssues\getListByRepository(), JGithubPackageGists\getListByUser(), JGithubCommits\getListComments(), JGithubPackageUsersFollowers\getListFollowedBy(), FinderModelSuggestions\getListQuery(), ContentModelFeatured\getListQuery(), ActionlogsModelActionlogs\getListQuery(), MessagesModelMessages\getListQuery(), NewsfeedsModelCategory\getListQuery(), FieldsModelGroups\getListQuery(), ContactModelCategory\getListQuery(), FieldsModelFields\getListQuery(), TagsModelTags\getListQuery(), ContactModelFeatured\getListQuery(), NewsfeedsModelNewsfeeds\getListQuery(), ContactModelContacts\getListQuery(), AssociationsModelAssociations\getListQuery(), CategoriesModelCategories\getListQuery(), ContentModelArticles\getListQuery(), FinderModelSearch\getListQuery(), MenusModelItems\getListQuery(), ModulesModelModules\getListQuery(), JGithubPackageRepositoriesComments\getListRepository(), JTwitterLists\getLists(), JGithubPackageUsersKeys\getListUser(), JGithubPackageRepositories\getListUser(), JFacebookUser\getMovies(), JFacebookUser\getMusic(), JFacebookUser\getMutualFriends(), JFacebookUser\getNotes(), JFacebookUser\getNotifications(), ModWhosonlineHelper\getOnlineUserNames(), JFormFieldFieldgroups\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldCategory\getOptions(), FOFFormFieldComponents\getOptions(), JFormFieldCategoryEdit\getOptions(), JFacebookUser\getPermissions(), JFacebookUser\getPhotos(), JFacebookUser\getPicture(), JFacebookUser\getPosts(), UserHelper\getProfile(), FOFFormFieldUser\getRepeatable(), JGithubPackageActivityWatching\getRepositories(), JGithubPackageActivityStarring\getRepositories(), FOFFormFieldUser\getStatic(), JFacebookUser\getStatuses(), JFacebookUser\getSubscribedTo(), JFacebookUser\getSubscribers(), JTwitterLists\getSubscriptions(), JFacebookUser\getTagged(), TagsHelper\getTagItemsQuery(), TagsViewTag\getTagsTitle(), JFacebookUser\getTelevision(), JMediawikiUsers\getToken(), JMediawikiPages\getToken(), ModLoginHelper\getType(), FOFEncryptTotp\getUrl(), JFacebookUser\getUser(), JGithubPackageActivityEvents\getUser(), JGithubPackageUsers\getUser(), JTwitterUsers\getUser(), UsersModelNotes\getUser(), UserHelper\getUserGroups(), JGithubPackageActivityEvents\getUserOrg(), JTwitterUsers\getUserProfileBanner(), JGithubPackageActivityEvents\getUserPublic(), ModUsersLatestHelper\getUsers(), JTwitterStatuses\getUserTimeline(), JFacebookUser\getVideos(), ClientHelper\hasCredentials(), JFacebookUser\hasFriend(), hathormessage_postinstall_action(), hathormessage_postinstall_condition(), JApplication\initialise(), AdministratorApplication\initialiseApp(), SiteApplication\initialiseApp(), CMSApplication\initialiseApp(), JFacebookEvent\isAttending(), JFacebookEvent\isDeclined(), JFacebookEvent\isInvited(), JFacebookEvent\isMaybe(), JGithubPackageOrgsTeams\isMember(), JTwitterLists\isMember(), JGithubPackagePulls\isMerged(), JFacebookEvent\isNoreply(), JTwitterLists\isSubscriber(), JFacebookUser\likesPage(), JHtmlLinks\link(), MailtoModelMailto\loadFormData(), FOFModel\loadhistory(), FtpClient\login(), JApplication\login(), CMSApplication\login(), FOFIntegrationJoomlaPlatform\loginUser(), JApplication\logout(), CMSApplication\logout(), JHtmlMenu\menuItems(), JGithubPackagePulls\merge(), PlgActionlogJoomla\onAfterCheckin(), FOFModelBehaviorAccess\onAfterGetItem(), PlgActionlogJoomla\onAfterLogExport(), PlgActionlogJoomla\onAfterLogPurge(), PlgActionlogJoomla\onAfterPurge(), PlgSampledataBlog\onAjaxSampledataApplyStep1(), PlgContentJoomla\onContentAfterSave(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgSystemActionLogs\onContentPrepareForm(), PlgSearchContent\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchCategories\onContentSearch(), PlgButtonMenu\onDisplay(), PlgButtonArticle\onDisplay(), PlgButtonPagebreak\onDisplay(), PlgButtonContact\onDisplay(), PlgButtonModule\onDisplay(), PlgButtonImage\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgActionlogJoomla\onJoomlaAfterUpdate(), PlgPrivacyUser\onPrivacyCanRemoveData(), PlgPrivacyActionlogs\onPrivacyExportRequest(), PlgPrivacyConsents\onPrivacyExportRequest(), PlgPrivacyMessage\onPrivacyExportRequest(), PlgPrivacyContact\onPrivacyExportRequest(), PlgPrivacyContent\onPrivacyExportRequest(), PlgPrivacyUser\onPrivacyRemoveData(), PlgUserJoomla\onUserAfterDelete(), PlgSystemFields\onUserAfterDelete(), PlgSystemPrivacyconsent\onUserAfterDelete(), PlgSystemActionLogs\onUserAfterDelete(), PlgUserProfile\onUserAfterDelete(), PlgActionlogJoomla\onUserAfterDelete(), PlgActionlogJoomla\onUserAfterRemind(), PlgUserContactCreator\onUserAfterSave(), PlgUserJoomla\onUserAfterSave(), PlgSystemFields\onUserAfterSave(), PlgSystemActionLogs\onUserAfterSave(), PlgSystemLanguageFilter\onUserAfterSave(), PlgActionlogJoomla\onUserAfterSave(), PlgAuthenticationCookie\onUserAuthenticate(), PlgSystemRemember\onUserBeforeSave(), PlgUserTerms\onUserBeforeSave(), PlgSystemPrivacyconsent\onUserBeforeSave(), PlgSystemLanguageFilter\onUserBeforeSave(), PlgUserJoomla\onUserLogin(), PlgSystemLanguageFilter\onUserLogin(), PlgUserJoomla\onUserLogout(), PlgActionlogJoomla\onUserLogout(), JHtmlCategory\options(), MessagesModelConfig\populateState(), NewsfeedsModelNewsfeed\populateState(), ContentModelArticle\populateState(), MessagesModelMessage\populateState(), TagsModelTags\populateState(), ContentModelFeatured\populateState(), ContactModelContact\populateState(), ActionlogsModelActionlogs\populateState(), MenusModelItems\populateState(), ContentModelArticles\populateState(), ContentModelCategory\populateState(), FinderModelSuggestions\populateState(), NewsfeedsModelCategory\populateState(), ContactModelFeatured\populateState(), ContactModelCategory\populateState(), FinderModelSearch\populateState(), UsersViewLogin\prepareDocument(), UsersViewProfile\prepareDocument(), NewsfeedsModelNewsfeed\prepareTable(), BannersModelBanner\prepareTable(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetComplete(), UsersModelReset\processResetConfirm(), UsersModelReset\processResetRequest(), JGithubPackageOrgsMembers\publicize(), InstallerModelManage\publish(), MessagesModelMessage\publish(), FinderModelMaps\publish(), FinderModelIndex\publish(), AdminModel\publish(), FOFModel\publish(), AdministratorApplication\purgeMessages(), UsersModelRegistration\register(), PlgSystemPrivacyconsent\remindExpiringConsents(), Helper\remotefsize(), FilesystemHelper\remotefsize(), JGithubPackageRepositoriesCollaborators\remove(), JGithubPackageOrgsMembers\remove(), InstallerModelManage\remove(), JGithubPackageOrgsTeams\removeMember(), UserHelper\removeUserFromGroup(), ConfigViewConfigHtml\render(), ConfigViewTemplatesHtml\render(), ConfigViewApplicationJson\render(), ConfigViewApplicationHtml\render(), ConfigViewComponentHtml\render(), ModulesRenderer\render(), UsersModelLevels\reorder(), CurlTransport\request(), StreamTransport\request(), JMediawikiPages\rollback(), UsersControllerProfile\save(), AdminModelProfile\save(), UsersModelUser\save(), UsersModelProfile\save(), TemplatesModelStyle\save(), TemplatesModelTemplate\save(), UsersModelLevels\saveorder(), TagsControllerTags\searchAjax(), JHtmlFilter\select(), UsersModelMail\send(), JTwitterDirectmessages\sendDirectMessages(), ActionlogsModelActionlog\sendNotificationEmails(), ClientWrapper\setCredentials(), ClientHelper\setCredentials(), ClientHelper\setCredentialsFromRequest(), TemplatesModelStyle\setHome(), AbstractMenu\setUser(), UserHelper\setUserGroups(), JHtmlFilter\slider(), NewsfeedsTableNewsfeed\store(), Category\store(), TagsTableTag\store(), CoreContent\store(), Content\store(), ConfigModelApplication\storePermissions(), JGithubPackageRepositoriesHooks\test(), JGithubHooks\test(), ntlm_sasl_client_class\typeMsg3(), JTwitterBlock\unblock(), JMediawikiUsers\unBlockUserByName(), JGithubPackageUsersFollowers\unfollow(), JTwitterFriends\unfollow(), LanguageAdapter\uninstall(), TemplatesModelStyle\unsetHome(), JGithubPackageIssuesLabels\update(), JTwitterFriends\updateFriendship(), MediaControllerFile\upload(), Mail\useSmtp(), et UserHelper\verifyPassword().

◆ $userId

$userId = $user->get('id')

Référencé par UsersModelUsers\_getUserDisplayedGroups(), UsersModelRegistration\activate(), ActionlogsModelActionlog\addLog(), JTwitterLists\addMembers(), JHtmlUsers\addNote(), TagsViewTag\addToolbar(), BannersViewBanner\addToolbar(), FieldsViewField\addToolbar(), ContactViewContact\addToolbar(), FieldsViewGroup\addToolbar(), ContentViewArticle\addToolbar(), CategoriesViewCategory\addToolbar(), UserWrapper\addUserToGroup(), UserHelper\addUserToGroup(), AssociationsHelper\canCheckinItem(), Access\check(), UsersModelProfile\checkin(), UsersModelProfile\checkout(), Table\checkOut(), FOFTable\checkout(), UserHelper\checkSuperUserInUsers(), InstallationModelConfiguration\createRootUser(), MenuType\delete(), User\delete(), JTwitterLists\deleteMembers(), JTableSession\destroy(), UserHelper\destroyUserSessions(), UsersControllerProfile\edit(), JHtmlUsers\filterNotes(), AdminModelProfile\generateOteps(), UsersModelUser\generateOteps(), UsersModelUser\getAssignedGroups(), Access\getAuthorisedViewLevels(), PlgContentContact\getContactData(), UsersModelProfile\getData(), UsersModelUser\getForm(), AbstractWebApplication\getFormToken(), Access\getGroupsByUser(), ContentModelArticle\getItem(), ContentModelForm\getItem(), UsersModelDebugUser\getItems(), ContentModelArticles\getItems(), ModLatestHelper\getList(), ModPopularHelper\getList(), ModArticlesLatestHelper\getList(), UsersModelNotes\getListQuery(), AdminModelProfile\getOtpConfig(), UsersModelProfile\getOtpConfig(), UsersModelUser\getOtpConfig(), UserWrapper\getProfile(), UserHelper\getProfile(), UsersControllerNote\getRedirectToItemAppend(), AdminModelProfile\getTwofactorform(), UsersModelProfile\getTwofactorform(), UsersModelUser\getTwofactorform(), UsersModelDebugUser\getUser(), UserWrapper\getUserGroups(), UserHelper\getUserGroups(), InstallationModelDatabase\getUserId(), UserWrapper\invalidateCookie(), UserHelper\invalidateCookie(), PlgSystemPrivacyconsent\isUserConsented(), UsersModelUser\isValidOtep(), UsersModelUser\isValidSecretKey(), JGoogleDataPlusActivities\listActivities(), User\load(), UsersModelNote\loadFormData(), JHtmlUsers\notes(), JHtmlUsers\notesModal(), PlgSystemPrivacyconsent\onAfterRoute(), PlgUserProfile\onContentPrepareData(), PlgSystemPrivacyconsent\onContentPrepareForm(), PlgSystemPrivacyconsent\onUserAfterDelete(), PlgUserProfile\onUserAfterDelete(), PlgUserTerms\onUserAfterSave(), PlgSystemPrivacyconsent\onUserAfterSave(), PlgUserProfile\onUserAfterSave(), PlgActionlogJoomla\onUserAfterSave(), PlgUserTerms\onUserBeforeSave(), PlgSystemPrivacyconsent\onUserBeforeSave(), PlgTwofactorauthTotp\onUserTwofactorShowConfiguration(), UsersRouterRulesLegacy\parse(), UsersModelNote\populateState(), UsersModelProfile\populateState(), UsersModelReset\processResetComplete(), UsersModelReset\processResetRequest(), BannersTableClient\publish(), UsersTableNote\publish(), FinderTableFilter\publish(), Extension\publish(), CoreContent\publish(), Nested\publish(), Table\publish(), UserWrapper\removeUserFromGroup(), UserHelper\removeUserFromGroup(), InstallationModelDatabase\resetRandUserId(), UsersControllerProfile\save(), MessagesModelConfig\save(), UsersModelProfile\save(), User\setLastVisit(), AdminModelProfile\setOtpConfig(), UsersModelUser\setOtpConfig(), UserWrapper\setUserGroups(), UserHelper\setUserGroups(), UsersTableNote\store(), ContactTableContact\store(), MenuType\store(), FinderTableFilter\store(), UsernameRule\test(), EmailRule\test(), InstallationModelDatabase\updateUserIds(), UserWrapper\verifyPassword(), et UserHelper\verifyPassword().

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ cat_link

$item cat_link = JRoute::_('index.php?option=com_categories&extension=com_banners&task=edit&type=other&cid[]=' . $item->catid)

◆ elseif

elseif = 'btn-danger'

Référencé par Language\_(), ContentController\__construct(), FOFViewHtml\__construct(), FOFViewRaw\__construct(), FOFDatabaseInstaller\__construct(), Rules\__construct(), FOFViewCsv\__construct(), FOFInput\__construct(), SearchModelSearch\__construct(), Registry\__construct(), ConfigModelCms\__construct(), Date\__construct(), Image\__construct(), FOFToolbar\__construct(), HtmlView\__construct(), Table\__construct(), FOFView\__construct(), FinderIndexerQuery\__construct(), AdminModel\__construct(), BaseDatabaseModel\__construct(), BaseController\__construct(), FinderIndexerResponse\__construct(), FOFController\__construct(), FOFTable\__construct(), FOFModel\__construct(), SimplePie_IRI\__get(), EditorField\__set(), SimplePie_IRI\__set(), JDatabaseQuerySqlsrv\__toString(), FOFDatabaseQuerySqlsrv\__toString(), JDatabaseQueryPostgresql\__toString(), FOFDatabaseQuery\__toString(), JDatabaseQuery\__toString(), FOFInput\_cleanVar(), JRequest\_cleanVar(), FOFModel\_createTable(), PlgContentPagebreak\_createToc(), FOFController\_csrfProtection(), FileStorage\_deleteFolder(), idna_convert\_encode(), Update\_endElement(), TagsHelperRoute\_findItem(), FtpClient\_findMode(), JArrayHelper\_fromObject(), FOFUtilsArray\_fromObject(), ContentHelper\_getActions(), Category\_getAssetParentId(), ModulesModelModules\_getList(), JArchiveTar\_getTarInfo(), LanguageAdapter\_install(), idna_convert\_nameprep(), FOFView\_parseTemplatePath(), TagsViewTags\_prepareDocument(), ContentViewForm\_prepareDocument(), ContactViewFeatured\_prepareDocument(), ContentViewArchive\_prepareDocument(), ContentViewFeatured\_prepareDocument(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), TagsViewTag\_prepareDocument(), ContactViewContact\_prepareDocument(), AKAbstractUnarchiver\_run(), Browser\_setPlatform(), Porteren\_step1ab(), Porteren\_step5(), idna_convert\_ucs4_to_utf8(), idna_convert\_utf8_to_ucs4(), Session\_validate(), SimplePie_IRI\absolutize(), UsersControllerRegistration\activate(), UsersModelRegistration\activate(), UsersModelUser\activate(), FOFHalDocument\addEmbedded(), FOFTemplateUtils\addLESS(), FOFHalLinks\addLink(), Log\addLoggerInternal(), JApplicationWebRouterBase\addMap(), JGoogleEmbedMaps\addMarker(), JTwitterLists\addMembers(), ClassLoader\addPsr4(), Inflector\addRule(), LanguagesViewLanguages\addToolbar(), MessagesViewMessages\addToolbar(), FieldsViewField\addToolbar(), BannersViewClients\addToolbar(), TagsViewTags\addToolbar(), ModulesViewModules\addToolbar(), BannersViewBanners\addToolbar(), FieldsViewGroup\addToolbar(), UsersViewNotes\addToolbar(), FieldsViewGroups\addToolbar(), CategoriesViewCategory\addToolbar(), NewsfeedsViewNewsfeeds\addToolbar(), FieldsViewFields\addToolbar(), RedirectViewLinks\addToolbar(), ContentViewFeatured\addToolbar(), ContactViewContacts\addToolbar(), CategoriesViewCategories\addToolbar(), ContentViewArticles\addToolbar(), TemplatesViewTemplate\addToolbar(), MenusViewItems\addToolbar(), AKEncryptionAES\AESDecryptCBC(), Patcher\applyHunk(), FOFController\applySave(), lessc_parser\argumentDef(), Php55ArrayColumn\array_column(), JXMLElement\asFormattedXml(), SMTP\authenticate(), User\authorise(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_view(), AdminModel\batch(), ModulesModelModule\batchCopy(), AdminModel\batchCopy(), CategoriesModelCategory\batchCopy(), ModulesModelModule\batchMove(), DataObject\bind(), Form\bindLevel(), JTwitterBlock\block(), UsersModelUser\block(), ContactRouterRulesLegacy\build(), UsersRouterRulesLegacy\build(), NewsfeedsRouterRulesLegacy\build(), StandardRules\build(), SqlsrvChangeItem\buildCheckQuery(), MysqlChangeItem\buildCheckQuery(), PostgresqlChangeItem\buildCheckQuery(), JGithubPackageGists\buildFileData(), JHtmlNumber\bytes(), lessc\cachedCompile(), FOFLess\cachedCompile(), HTMLHelper\calendar(), MediaHelper\canUpload(), JHtmlCategory\categories(), SimplePie_Misc\change_encoding(), UsersControllerUsers\changeBlock(), RedirectTableLink\check(), Usergroup\check(), BannersTableBanner\check(), FOFController\checkACL(), PackageAdapter\checkExtensionInFilesystem(), ComponentAdapter\checkExtensionInFilesystem(), InstallerAdapter\checkExtensionInFilesystem(), Table\checkIn(), Table\checkOut(), UsersModelReset\checkResetLimit(), ApcStorage\clean(), ApcuStorage\clean(), Path\clean(), CacheliteStorage\clean(), InputFilter\cleanAttributes(), AbstractUri\cleanPath(), InputFilter\cleanTags(), InstallerHelper\cleanupInstall(), JHtmlEmail\cloak(), FOFDatabaseDriverJoomla\close(), CategoryView\commonCategoryDisplay(), UsersControllerReset\complete(), UsersControllerReset\confirm(), JDatabaseDriverMysqli\connect(), FOFDatabaseDriverMysqli\connect(), SocketTransport\connect(), Stream\copy(), TemplatesControllerTemplate\copyFile(), Installer\copyFiles(), PHPMailer\createBody(), InstallationModelDatabase\createDatabase(), FOFDatabaseDriver\createDatabase(), JDatabaseDriver\createDatabase(), JGoogleDataCalendar\createEvent(), TemplatesControllerTemplate\createFile(), TemplatesControllerTemplate\createFolder(), PHPMailer\createHeader(), FOFController\createModel(), TemplatesModelTemplate\createOverride(), JOpenstreetmapElements\createRelation(), InstallationModelDatabase\createTables(), FOFController\createView(), TemplatesControllerTemplate\cropImage(), HTMLHelper\date(), SimplePie_Parse_Date\date_rfc2822(), Language\debugFile(), idna_convert\decode(), decode_utf8(), MediaControllerFolder\delete(), UsersControllerLevel\delete(), File\delete(), UsersModelGroup\delete(), MediaControllerFile\delete(), Folder\delete(), TemplatesControllerTemplate\delete(), JTwitterLists\delete(), Stream\delete(), TemplatesControllerTemplate\deleteFolder(), JTwitterLists\deleteMembers(), WebClient\detectBrowser(), WebClient\detectEngine(), LanguageHelper\detectLanguage(), WebClient\detectPlatform(), WebApplication\detectRequestUri(), Reader\determineFileTypeByHeader(), FOFDispatcher\dispatch(), TagsViewTag\display(), FinderViewSearch\display(), WrapperViewWrapper\display(), CategoryFeedView\display(), SearchViewSearch\display(), BannersController\display(), ConfigController\display(), ContentViewArticle\display(), UsersController\display(), AssociationsViewAssociations\display(), ContactViewContact\display(), ContentViewCategory\display(), FinderViewIndex\display(), TemplatesViewTemplate\display(), Microdata\display(), FieldsHelper\displayFieldOnForm(), PlgSystemDebug\displayProfileInformation(), PlgSystemDebug\displayQueries(), PHPMailer\DKIM_Add(), SimplePie_Sanitize\do_strip_htmltags(), PlgSystemRedirect\doErrorHandling(), Parser\doParse(), FOFDownloadAdapterCurl\downloadAndReturn(), InstallerHelper\downloadPackage(), ArrayHelper\dropColumn(), Inline\dump(), DataObject\dumpProperty(), SimplePie_Enclosure\embed(), encode_utf8(), FOFLessParser\end(), lessc_parser\end(), AKCoreTimer\enforce_min_exec_time(), BaseController\execute(), FOFController\execute(), Reader\extractData(), SimplePie_Content_Type_Sniffer\feed_or_html(), SimplePie\fetch_data(), CategoriesControllerAjax\fetchAssociations(), ContactControllerAjax\fetchAssociations(), MenusControllerAjax\fetchAssociations(), ContentControllerAjax\fetchAssociations(), NewsfeedsControllerAjax\fetchAssociations(), HeadRenderer\fetchHead(), Form\filterField(), FOFUtilsUpdateCollection\filterListByPlatform(), ComponentHelper\filterText(), Form\findFieldsByGroup(), FOFForm\findHeadersByGroup(), SimplePie_Misc\fix_protocol(), JDatabaseQuerySqlsrv\fixGroupColumns(), JDatabaseQuerySqlsrv\fixSelectAliases(), ArrayHelper\flatten(), JTwitterFriends\follow(), FOFTable\forceInstance(), DaemonApplication\fork(), JDatabaseExporter\from(), FOFLessParser\func(), lessc_parser\func(), lessc\funcToColor(), FOFLess\funcToColor(), ApcStorage\gc(), ApcuStorage\gc(), JGoogleDataAdsense\generateReport(), CallbackController\get(), Categories\get(), SimplePie_Item\get_authors(), SimplePie\get_base(), SimplePie_Misc\get_build(), SimplePie_Item\get_content(), SimplePie_Source\get_copyright(), SimplePie_Item\get_copyright(), SimplePie\get_copyright(), SimplePie_Misc\get_curl_version(), SimplePie_Item\get_date(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Item\get_enclosures(), SimplePie_Item\get_id(), SimplePie\get_image_height(), SimplePie\get_image_link(), SimplePie\get_image_title(), SimplePie_Source\get_image_url(), SimplePie\get_image_url(), SimplePie\get_image_width(), SimplePie_IRI\get_iri(), SimplePie_Source\get_language(), SimplePie\get_language(), SimplePie_Source\get_latitude(), SimplePie\get_latitude(), SimplePie_Item\get_latitude(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Item\get_local_date(), SimplePie_Source\get_longitude(), SimplePie\get_longitude(), SimplePie_Item\get_longitude(), SimplePie_Item\get_permalink(), SimplePie_Enclosure\get_real_type(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie\get_title(), SimplePie_Content_Type_Sniffer\get_type(), SimplePie\get_type(), ApcuStorage\getAll(), ApcStorage\getAll(), FOFToolbar\getAnInstance(), FOFModel\getAnInstance(), FOFController\getAnInstance(), FOFTable\getAnInstance(), JInput\getArray(), Input\getArray(), Input\getArrayRecursive(), Access\getAssetName(), AssociationsHelper\getAssociationHtmlList(), Access\getAuthorisedViewLevels(), Helper\getCanonicalPath(), FOFUtilsArray\getColumn(), JLinkedinCompanies\getCompanies(), BannersModelTracks\getContent(), LanguageHelper\getContentLanguages(), JTwitterUsers\getContributees(), JTwitterUsers\getContributors(), JLinkedinStream\getCurrentShare(), UsersModelRegistration\getData(), FOFHalDocument\getEmbedded(), FOFUtilsObject\getError(), CMSObject\getError(), JException\getError(), FOFUtilsUpdateCollection\getExtensions(), FOFUtilsUpdateCollection\getExtensionUpdateSource(), JTwitterFavorites\getFavorites(), FOFConfigDomainTables\getField(), FieldsHelper\getFields(), FinderModelFilter\getFilter(), JTwitterFriends\getFollowerIds(), JTwitterFriends\getFriendIds(), JTwitterFriends\getFriendshipDetails(), PlgEditorTinymce\getGlobalFilters(), JFormFieldRules\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), InstalledVersions\getInstalled(), Uri\getInstance(), BaseController\getInstance(), ContentModelArticle\getItem(), ContentModelForm\getItem(), MessagesModelMessage\getItem(), ModulesModelModule\getItem(), InstallerModelWarnings\getItems(), ModulesModelPositions\getItems(), SiteMenu\getItems(), ContentModelArticles\getItems(), HTMLHelper\getJSObject(), JDatabaseImporterPdomysql\getKeySql(), JDatabaseImporterMysqli\getKeySql(), JFormFieldTinymceBuilder\getLayoutData(), UserField\getLayoutData(), JFormFieldColor\getLayoutData(), MediaField\getLayoutData(), JFormFieldCalendar\getLayoutData(), PluginHelper\getLayoutPath(), FOFHalLinks\getLinks(), ModLanguagesHelper\getList(), ModTagssimilarHelper\getList(), ModArticlesNewsHelper\getList(), ModArticlesLatestHelper\getList(), ModArticlesCategoryHelper\getList(), JTwitterLists\getListById(), PrivacyModelConsents\getListQuery(), UsersModelNotes\getListQuery(), ContentModelFeatured\getListQuery(), InstallerModelUpdate\getListQuery(), ActionlogsModelActionlogs\getListQuery(), BannersModelBanners\getListQuery(), BannersModelClients\getListQuery(), MessagesModelMessages\getListQuery(), LanguagesModelLanguages\getListQuery(), FieldsModelGroups\getListQuery(), FieldsModelFields\getListQuery(), RedirectModelLinks\getListQuery(), TagsModelTags\getListQuery(), NewsfeedsModelNewsfeeds\getListQuery(), ContactModelContacts\getListQuery(), AssociationsModelAssociations\getListQuery(), FinderModelMaps\getListQuery(), CategoriesModelCategories\getListQuery(), ContentModelArticles\getListQuery(), PluginsModelPlugins\getListQuery(), FinderModelSearch\getListQuery(), MenusModelItems\getListQuery(), ModulesModelModules\getListQuery(), UsersModelUsers\getListQuery(), InstallerModelManage\getListQuery(), JTwitterLists\getLists(), JTwitterLists\getMembers(), MenusModelItems\getMenu(), MenusHelper\getMenuLinks(), Document\getMetaData(), MediaHelper\getMimeType(), FOFController\getModel(), Parser\getNextEmbedBlock(), JDatabaseDriverPdo\getNumRows(), FOFDatabaseDriverPdo\getNumRows(), DataSet\getObjectsKeys(), JTwitterStatuses\getOembed(), FOFFormFieldGroupedlist\getOptionName(), FOFFormFieldList\getOptionName(), InstallationFormFieldSample\getOptions(), JFormFieldInteger\getOptions(), JFormFieldCategoryParent\getOptions(), FOFFormFieldTag\getOptions(), TagField\getOptions(), TemplatesModelTemplate\getOverridesList(), ModWrapperHelper\getParams(), RouterView\getPath(), Fr_FRLocalise\getPluralSuffixes(), En_GBLocalise\getPluralSuffixes(), JLinkedinPeople\getProfile(), OrderingField\getQuery(), FOFFormFieldAccesslevel\getRepeatable(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), FOFDatabaseDriver\getServerType(), JDatabaseDriver\getServerType(), JLinkedinStream\getShareStream(), FOFFormFieldAccesslevel\getStatic(), FOFFormFieldUsergroup\getStatic(), JTwitterLists\getStatuses(), Factory\getStream(), JTwitterLists\getSubscribers(), JTwitterLists\getSubscriptions(), InstallationHtmlHelper\getTab(), FOFTable\getTableFields(), Tar\getTarInfo(), FOFDispatcher\getTask(), FOFController\getThisModel(), FOFController\getThisView(), FOFController\getTmpInstance(), FOFModel\getTmpInstance(), MenusModelMenutypes\getTypeOptionsFromMvc(), MenusModelMenutypes\getTypeOptionsFromXml(), FOFUtilsUpdateJoomla\getUpdates(), Updater\getUpdateSites(), JTwitterUsers\getUser(), Factory\getUser(), JTwitterUsers\getUserProfileBanner(), FOFIntegrationJoomlaPlatform\getUserStateFromRequest(), JTwitterStatuses\getUserTimeline(), ArrayHelper\getValue(), JRequest\getVar(), FOFUtilsUpdateJoomla\getVersionProperties(), FOFController\getView(), Cache\getWorkarounds(), JHtmlSelect\groupedlist(), ClientHelper\hasCredentials(), SearchViewSearch\highLight(), Table\hit(), SimplePie_Content_Type_Sniffer\image(), FOFDownload\importFromURL(), FinderCli\index(), SimplePie\init(), FOFTableNested\inSameScope(), InstallationModelDatabase\installSampleData(), FOFUtilsIp\IPinList(), IpHelper\IPinList(), SimplePie_Locator\is_feed(), JOAuth2Client\isAuthenticated(), AKAbstractUnarchiver\isEOF(), JTwitterLists\isMember(), JGithubPackagePulls\isMerged(), JGithubPackageGists\isStarred(), JTwitterLists\isSubscriber(), JHtmlAccess\level(), lessc\lib_data_uri(), lessc\lib_shade(), lessc\lib_tint(), SimplePie_HTTP_Parser\linear_whitespace(), Route\link(), JGoogleData\listGetData(), SimplePie_Cache_MySQL\load(), Table\load(), Form\load(), FOFTable\load(), FOFView\loadAnyTemplate(), FOFFormHelper\loadClass(), CliApplication\loadConfiguration(), WebApplication\loadConfiguration(), ComponentAdapter\loadLanguage(), MenuHelper\loadPreset(), Browser\match(), FOFLessParser\mediaExpression(), lessc_parser\mediaExpression(), JHtmlMenu\menuItems(), Rules\merge(), modChrome_xhtmlid(), Stream\move(), FOFTable\move(), Table\move(), SimplePie_HTTP_Parser\new_line(), FOFTableRelations\normaliseParameters(), Php\objectToString(), Ini\objectToString(), PlgContentJoomla\onContentBeforeDelete(), PlgContentFields\onContentPrepare(), PlgContentContact\onContentPrepare(), PlgContentPagebreak\onContentPrepare(), PlgUserProfile\onContentPrepareForm(), FOFViewCsv\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgFinderTags\onFinderAfterDelete(), PlgFinderContent\onFinderAfterDelete(), PlgFinderNewsfeeds\onFinderAfterDelete(), PlgFinderContacts\onFinderAfterDelete(), PlgFinderCategories\onFinderDelete(), PlgAuthenticationCookie\onUserAfterLogin(), PlgSystemActionLogs\onUserAfterSave(), PlgActionlogJoomla\onUserAfterSave(), PlgAuthenticationGMail\onUserAuthenticate(), PlgSystemLanguageFilter\onUserLogin(), PlgTwofactorauthTotp\onUserTwofactorIdentify(), PlgTwofactorauthYubikey\onUserTwofactorIdentify(), FOFDatabaseDriverJoomla\open(), Stream\open(), JHtmlTag\options(), JHtmlCategory\options(), JHtmlSelect\options(), JHtmlList\ordering(), StandardRules\parse(), SimplePie_Parser\parse(), AKText\parse_ini_file(), FOFUtilsIniParser\parse_ini_file_php(), JInputCli\parseArguments(), Cli\parseArguments(), Parser\parseBlockScalar(), FOFLessParser\parseChunk(), lessc_parser\parseChunk(), FOFConfigProvider\parseComponent(), ConfigControllerHelper\parseController(), Inline\parseMapping(), FOFTemplateUtils\parsePath(), AdminModelSysInfo\parsePhpInfo(), InstallerAdapter\parseQueries(), Inline\parseScalar(), Installer\parseSchemaUpdates(), SiteRouter\parseSefRoute(), Installer\parseSQLFiles(), FOFUtilsArray\pivot(), ArrayHelper\pivot(), MenusModelItems\populateState(), JAdminCssMenu\populateTree(), FOFUtilsInstallscript\postflight(), FOFUtilsInstallscript\preflight(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), UsersViewRemind\prepareDocument(), UsersViewRegistration\prepareDocument(), UsersViewLogin\prepareDocument(), UsersViewReset\prepareDocument(), PrivacyViewRemind\prepareDocument(), PrivacyViewConfirm\prepareDocument(), PrivacyViewRequest\prepareDocument(), CategoriesView\prepareDocument(), UsersViewProfile\prepareDocument(), FinderViewSearch\prepareDocument(), CategoryView\prepareDocument(), InstallerModelDatabase\prepareUtf8mb4StatusTable(), JAdminCssMenu\preprocess(), MenusModelItems\preprocessForm(), MenusModelItem\preprocessForm(), FOFRenderStrapper\preRender(), FOFRenderJoomla\preRender(), ColorProcessor\process(), JDatabaseQueryMysqli\processLimit(), JFormFieldSQL\processQuery(), FinderIndexerQuery\processString(), AKUnarchiverJPA\processTypeFileCompressedSimple(), AdminController\publish(), MenusControllerItems\publish(), JOAuth2Client\query(), FOFDatabaseDriverJoomla\quoteName(), FOFDatabaseDriver\quoteName(), JDatabaseDriver\quoteName(), AKUnarchiverJPA\readFileHeader(), AKUnarchiverZIP\readFileHeader(), recursive_remove_directory(), CurlTransport\redirectsAllowed(), lessc\reduce(), FOFLess\reduce(), FOFUtilsObservableDispatcher\register(), JEventDispatcher\register(), UsersControllerRegistration\register(), UsersModelRegistration\register(), ConfigModelCms\registerTablePaths(), PlgSystemPrivacyconsent\remindExpiringConsents(), SimplePie_IRI\remove_dot_segments(), SimplePie_IRI\remove_iunreserved_percent_encoded(), SimplePie_Parse_Date\remove_rfc2822_comments(), TemplatesControllerTemplate\renameFile(), RssRenderer\render(), FOFHalRenderJson\render(), AtomRenderer\render(), AdministratorApplication\render(), FOFRenderJoomla\renderFieldset(), FOFRenderStrapper\renderFieldset(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderStrapper\renderFormRaw(), SimplePie_IRI\replace_invalid_with_pct_encoding(), UsersControllerReset\request(), StreamTransport\request(), Reader\resolveStream(), FOFTemplateUtils\route(), JOAuth1Client\safeEncode(), FOFUtilsUpdateJoomla\sanitiseVersion(), Backgroundfill\sanitizeColor(), ConfigModelApplication\save(), UsersModelGroup\save(), TemplatesControllerTemplate\save(), TagsModelTag\save(), ModulesModelModule\save(), FOFModel\save(), MenusModelItem\save(), UsersModelLevels\saveorder(), AdminModel\saveorder(), UsersModelMail\send(), JTwitterDirectmessages\sendDirectMessages(), Mail\sendMail(), PHPMailer\serverHostname(), SimplePie_IRI\set_authority(), SimplePie_IRI\set_host(), SimplePie_IRI\set_iri(), SimplePie_IRI\set_port(), SimplePie_IRI\set_scheme(), FOFDownload\setAdapter(), JGoogleEmbedMaps\setCenter(), LdapClient\setDn(), HtmlView\setDocumentTitle(), FieldsModelField\setFieldValue(), MenusModelItem\setHome(), Document\setMetaData(), BaseLayout\setOptions(), FOFViewHtml\setPageTitle(), InstallerScript\setParams(), FOFController\setRedirect(), Installer\setSchemaVersion(), Mail\setSender(), MenusControllerItem\setType(), EditorField\setup(), FOFInput\setVar(), JLinkedinStream\share(), FOFUtilsFilescheck\slowCheck(), PHPMailerOAuth\smtpConnect(), PHPMailer\smtpConnect(), ArrayHelper\sortObjects(), InstallationModelDatabase\splitQueries(), JDatabaseDriver\splitSql(), JDatabaseQuerySqlsrv\splitSqlExpression(), JDatabaseDriverPgsql\sqlValue(), FOFDatabaseDriverPostgresql\sqlValue(), JDatabaseDriverPostgresql\sqlValue(), FinderIndexerStemmerPorter_En\step1ab(), FinderIndexerStemmerPorter_En\step5(), ContentHistoryHelper\store(), Menu\store(), ConfigModelApplication\storePermissions(), tagparse\string(), FOFLessParser\string(), lessc_parser\string(), Ini\stringToObject(), SimplePie_Sanitize\strip_tag(), JTwitterLists\subscribe(), ParagonIE_Sodium_Core_Util\substr(), FtpClient\syst(), PlgSystemDebug\tableToHtml(), tagparse\tag(), JHtmlTag\tags(), JHtmlTel\tel(), TelRule\test(), SimplePie_Content_Type_Sniffer\text_or_binary(), tln_getnxtag(), FinderIndexerDriverMysql\toggleTables(), lessc\toHSL(), FOFLess\toHSL(), FOFUtilsArray\toInteger(), HTMLHelper\tooltipText(), lessc\toRGB_helper(), FOFLess\toRGB_helper(), ModulesModelModules\translate(), FOFDispatcher\transparentAuthentication(), FOFUtilsObservableDispatcher\trigger(), JEventDispatcher\trigger(), uctc\ucs4array_utf7(), uctc\ucs4array_utf8(), JTwitterBlock\unblock(), SimplePie_Misc\uncomment_rfc822(), JTwitterFriends\unfollow(), SimplePie_Content_Type_Sniffer\unknown(), TemplatesModelStyle\unsetHome(), JTwitterLists\unsubscribe(), JTwitterLists\update(), JTwitterFriends\updateFriendship(), MediaControllerFile\upload(), uctc\utf8_ucs4array(), PHPMailer\utf8CharBoundary(), UsersModelLevel\validate(), Session\validate(), PHPMailer\validateAddress(), JHtmlUsers\value(), tagparse\value(), UserHelper\verifyPassword(), FOFUtilsIp\workaroundIPIssues(), IpHelper\workaroundIPIssues(), PHPMailer\wrapText(), Stream\write(), SimplePie_Misc\xml_encoding(), lessc\zipSetArgs(), et FOFLess\zipSetArgs().

◆ endforeach

endforeach

◆ endif

endif

◆ if

if ( $saveOrder )
Valeur initiale :
{
if ($item->category_level != '1') :
if ($canEditParCat || $canEditOwnParCat) :
echo '<a class="hasTooltip" href="' . $ParentCatUrl . '" title="' . $EditCatTxt . '">'
$ParentCatUrl
$ParentCatUrl
Definition: administrator/components/com_content/views/articles/tmpl/default.php:202
$item
else $item
Definition: administrator/components/com_menus/views/items/tmpl/modal.php:161
$canEditOwnParCat
$canEditOwnParCat
Definition: administrator/components/com_content/views/articles/tmpl/default.php:143
$EditCatTxt
$EditCatTxt
Definition: administrator/components/com_content/views/articles/tmpl/default.php:204
$canEditParCat
$canEditParCat
Definition: administrator/components/com_content/views/articles/tmpl/default.php:142

PHP 5.2.0 - 5.6.x way to implement random_bytes()

We use conditional statements here to define the function in accordance to the operating environment. It's a micro-optimization.

In order of preference:

  1. Use libsodium if available.
  2. fread() /dev/urandom if available (never on Windows)
  3. mcrypt_create_iv($bytes, MCRYPT_DEV_URANDOM)
  4. COM('CAPICOM.Utilities.1')->GetRandom()

See RATIONALE.md for our reasoning behind this particular order

Reading directly from /dev/urandom:

mcrypt_create_iv()

We only want to use mcypt_create_iv() if:

  • random_bytes() hasn't already been defined
  • the mcrypt extensions is loaded
  • One of these two conditions is true:
    • We're on Windows (DIRECTORY_SEPARATOR !== '/')
    • We're not on Windows and /dev/urandom is readabale (i.e. we're not in a chroot jail)
  • Special case:
    • If we're not on Windows, but the PHP version is between 5.6.10 and 5.6.12, we don't want to use mcrypt. It will hang indefinitely. This is bad.
    • If we're on Windows, we want to use PHP >= 5.3.7 or else we get insufficient entropy errors.

This is a Windows-specific fallback, for when the mcrypt extension isn't loaded.

openssl_random_pseudo_bytes()

throw new Exception

We don't have any more options, so let's throw an exception right now and hope the developer won't let it fail silently.

Paramètres
mixed $length
Renvoie
void
Exceptions
Exception

Référencé par FinderIndexerResponse\__construct(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), ContactViewContact\_prepareDocument(), FOFController\checkACL(), TagsViewTags\display(), ContentViewArticle\display(), ContentViewFeatured\display(), ContentViewCategory\display(), JFormFieldList\getInput(), FOFFormFieldOrdering\getInput(), OrderingField\getInput(), JFormFieldGroupedList\getInput(), JFormFieldNote\getLabel(), JFormFieldSpacer\getLabel(), TemplatesHelper\getPositions(), PackageManifest\loadManifestFromData(), LibraryManifest\loadManifestFromData(), UserGroupsHelper\populateGroupData(), NewsfeedsViewCategory\prepareDocument(), ContactViewCategory\prepareDocument(), ContentViewCategory\prepareDocument(), InstallerModelUpdate\preparePreUpdate(), PackageAdapter\uninstall(), et LanguageAdapter\update().

◆ null

null

Does an association exist? Caches the result of getAssoc().

Depuis
3.10.4

Holds the update information evaluated in getUpdateInformation.

Depuis
3.10.0

The header HTML.

Depuis
2.0

The filter HTML.

Depuis
2.0

The buttons HTML.

Depuis
2.0

The options for a drop-down filter.

Depuis
2.0

The table and table field cache object, used to speed up database access

The reply the server sent to us for HELO. If null, no HELO string has yet been received.

The set of SMTP extensions sent in reply to EHLO command. Indexes of the array are extension names. Value at index 'HELO' or 'EHLO' (according to command that was sent) represents the server name. In case of HELO it is the only element of the array. Other values can be boolean TRUE or an array containing extension options. If null, no HELO/EHLO string has yet been received.

Obsolète:

Référencé par Route\_(), FOFDatabaseQuery\__call(), JDatabaseQuery\__call(), FOFInput\__call(), JInput\__call(), Input\__call(), FOFDatabaseDriver\__call(), JDatabaseDriver\__call(), InstallationControllerInstallEmail\__construct(), InstallationControllerInstallLanguages\__construct(), InstallationControllerSetdefaultlanguage\__construct(), InstallationApplicationWeb\__construct(), JSessionStorageRedis\__construct(), SitePathway\__construct(), JLess\__construct(), ParagonIE_Sodium_Core_Curve25519_Ge_P2\__construct(), ParagonIE_Sodium_Core32_Curve25519_Ge_P2\__construct(), ParagonIE_Sodium_Core_Curve25519_Ge_Precomp\__construct(), FOFUtilsObject\__construct(), Json\__construct(), ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp\__construct(), AdministratorApplication\__construct(), JOpenstreetmapOauth\__construct(), FieldsControllerField\__construct(), ParagonIE_Sodium_Core_Curve25519_Ge_P1p1\__construct(), Separator\__construct(), ParagonIE_Sodium_Core_Curve25519_Ge_P3\__construct(), ParagonIE_Sodium_Core32_Curve25519_Ge_P3\__construct(), ParagonIE_Sodium_Core32_Curve25519_Ge_Cached\__construct(), ParagonIE_Sodium_Core_Curve25519_Ge_Cached\__construct(), CMSObject\__construct(), ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1\__construct(), RedisStorage\__construct(), FOFInput\__construct(), CacheliteStorage\__construct(), MemcachedStorage\__construct(), Key\__construct(), MemcacheStorage\__construct(), SearchModelSearch\__construct(), JApplicationWebRouter\__construct(), InstallationModelLanguages\__construct(), AdminController\__construct(), ConfigModelCms\__construct(), ColorProcessor\__construct(), CMSPlugin\__construct(), JsonResponse\__construct(), SimplePie_Locator\__construct(), SimplePie_File\__construct(), JAdminCssMenu\__construct(), JDatabaseDriverPgsql\__construct(), FormController\__construct(), SimplePie_Sanitize\__construct(), AbstractMenu\__construct(), JDatabaseDriverMysqli\__construct(), FOFDatabaseDriverMysqli\__construct(), JDatabaseDriverPostgresql\__construct(), Date\__construct(), SimplePie_Cache_MySQL\__construct(), DatabaseLogger\__construct(), AbstractUri\__construct(), Manager\__construct(), InstallerExtension\__construct(), idna_convert\__construct(), Input\__construct(), JException\__construct(), CMSApplication\__construct(), AbstractDaemonApplication\__construct(), DaemonApplication\__construct(), Table\__construct(), FOFView\__construct(), Language\__construct(), FOFDispatcher\__construct(), BaseDatabaseModel\__construct(), User\__construct(), BaseController\__construct(), FOFController\__construct(), FOFDatabaseDriver\__construct(), FOFTable\__construct(), FOFModel\__construct(), PHPMailer\__construct(), lessc\__construct(), FOFLess\__construct(), FeedEntry\__get(), Feed\__get(), JGoogleDataPlus\__get(), Input\__get(), FOFHalLink\__get(), JInput\__get(), Date\__get(), SimplePie_IRI\__get(), FOFFormHeader\__get(), UCMType\__get(), FOFDatabaseQuery\__get(), JDatabaseQuery\__get(), FOFDatabaseDriverJoomla\__get(), MenuItem\__isset(), FeedEntry\__set(), Feed\__set(), JFormFieldSubform\__set(), FOFDatabaseDriverJoomla\__set(), JDatabaseQueryMysqli\__toString(), JDatabaseQuerySqlsrv\__toString(), JDatabaseQueryPostgresql\__toString(), JDatabaseQuery\__toString(), JDatabaseQuerySqlite\__toString(), JArchiveZip\_addToZIPFile(), JoomlaupdateControllerUpdate\_applyCredentials(), ContentModelCategory\_buildContentOrderBy(), Stream\_buildContext(), FOFInput\_cleanVar(), JRequest\_cleanVar(), FOFViewJson\_createDocumentWithHypermedia(), BaseDatabaseModel\_createTable(), FOFModel\_createTable(), FOFController\_csrfProtection(), FOFDispatcher\_decryptWithTOTP(), HtmlDocument\_fetchTemplate(), TagsHelperRoute\_findItem(), Module\_getAssetParentId(), Category\_getAssetParentId(), Content\_getAssetParentId(), Language\_getAssetParentId(), MenuType\_getAssetParentId(), InstallerModel\_getList(), PluginsModelPlugins\_getList(), ModulesModelModules\_getList(), InstallerModelUpdate\_getList(), BaseDatabaseModel\_getListCount(), InstallerModelInstall\_getPackageFromFolder(), InstallerModelInstall\_getPackageFromUpload(), JArchiveTar\_getTarInfo(), Editor\_loadEditor(), HtmlDocument\_parseTemplate(), FtpClient\_passive(), TagsViewTags\_prepareDocument(), ContentViewForm\_prepareDocument(), ContactViewFeatured\_prepareDocument(), ContentViewArchive\_prepareDocument(), ContentViewFeatured\_prepareDocument(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), ContactViewContact\_prepareDocument(), JArchiveZip\_readZipInfo(), FOFModel\_real_getState(), FOFViewJson\_removeURIBase(), Session\_start(), Session\_validate(), FtpClient\_verifyResponse(), Installer\abort(), SimplePie_IRI\absolutize(), UsersControllerRegistration\activate(), UsersModelUser\activate(), ModulesControllerModule\add(), MenusControllerItem\add(), FormController\add(), FOFTableRelations\addBespokeSimpleRelation(), ArrayHelper\addColumn(), PHPMailer\addCustomHeader(), MenusViewMenutypes\addCustomTypes(), FOFTable\addKnownField(), FOFTemplateUtils\addLESS(), JTwitterLists\addMembers(), MenuHelper\addPreset(), CategoriesHelper\addSubmenu(), TagsHelper\addSubmenu(), JHtmlBootstrap\addTab(), PluginsViewPlugin\addToolbar(), ModulesViewModule\addToolbar(), MessagesViewMessage\addToolbar(), TagsViewTag\addToolbar(), SearchViewSearches\addToolbar(), TemplatesViewStyle\addToolbar(), ConfigViewComponentHtml\addToolbar(), CategoriesViewCategory\addToolbar(), CategoriesViewCategories\addToolbar(), Zip\addToZipFile(), UserHelper\addUserToGroup(), JHtmlUsers\admin_language(), JHtmlFormbehavior\ajaxchosen(), Rule\allow(), ContactControllerContact\allowAdd(), NewsfeedsControllerNewsfeed\allowAdd(), BannersControllerBanner\allowAdd(), ContentControllerArticle\allowAdd(), AbstractWebApplication\allowCache(), WebApplication\allowCache(), Registry\append(), FOFLessParser\append(), lessc_parser\append(), Stream\appendFilter(), FOFToolbar\appendLink(), Patcher\apply(), Stream\applyContextToStream(), FOFController\applySave(), FOFLessParser\argumentValues(), Php55ArrayColumn\array_column(), PharInvocationCollection\assertUniqueBaseName(), PharInvocationCollection\assertUniqueInvocation(), JHtmlRules\assetFormWidget(), JHtmlAccess\assetgrouplist(), JOAuth1Client\authenticate(), User\authorise(), SimplePie_Locator\autodiscovery(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_toolbar(), FOFAutoloaderComponent\autoload_fof_view(), PHPMailer\base64EncodeWrapMB(), PharExtensionInterceptor\baseFileContainsPharExtension(), PharMetaDataInterceptor\baseFileDoesNotHaveMetaDataIssues(), MenusModelItem\batchCopy(), CategoriesModelCategory\batchCopy(), Form\bind(), DataObject\bind(), LdapClient\bind(), Registry\bindData(), UsersModelUser\block(), SimplePie_Locator\body(), TagsRouter\build(), NewsfeedsRouterRulesLegacy\build(), ContactRouterRulesLegacy\build(), ContentRouterRulesLegacy\build(), StandardRules\build(), PostgresqlChangeItem\buildCheckQuery(), SqlsrvChangeItem\buildCheckQuery(), MysqlChangeItem\buildCheckQuery(), ContactModelContact\buildContactExtendedData(), Container\buildObject(), FOFModel\buildQuery(), SiteRouter\buildSefRoute(), JDatabaseExporterPostgresql\buildXmlStructure(), lessc\cachedCompile(), FOFLess\cachedCompile(), PlgUserProfile\calendar(), HTMLHelper\calendar(), UsersControllerMail\cancel(), ModulesControllerModule\cancel(), CategoriesControllerCategory\cancel(), MenusControllerItem\cancel(), LanguagesControllerOverride\cancel(), FormController\cancel(), FOFController\cancel(), UsersModelLevel\canDelete(), TemplateHelper\canUpload(), MediaHelper\canUpload(), JoomlaupdateControllerUpdate\captive(), JoomlaupdateModelDefault\captiveFileExists(), JoomlaupdateModelDefault\captiveLogin(), lessc\ccompile(), FOFLess\ccompile(), lessc\cexecute(), FOFLess\cexecute(), User\check(), FOFController\checkACL(), Captcha\checkAnswer(), PlgSystemSef\checkBuffer(), LibraryAdapter\checkExtensionInFilesystem(), JoomlaupdateViewDefault\checkForSelfUpdate(), AssociationsControllerAssociations\checkin(), Table\checkIn(), FOFTable\checkin(), Table\checkOut(), FOFTable\checkout(), Stream\chmod(), JHtmlFormbehavior\chosen(), FOFAutoloaderComponent\class_alias(), Access\cleanAssetKey(), ModuleHelper\cleanModuleList(), InputFilter\cleanTags(), JoomlaupdateModelDefault\cleanUp(), JDatabaseQueryPgsql\clear(), JDatabaseQueryOracle\clear(), FOFDatabaseQueryOracle\clear(), JDatabaseQuerySqlite\clear(), FOFDatabaseQuerySqlite\clear(), FOFDatabaseQueryPostgresql\clear(), JDatabaseQueryPostgresql\clear(), FOFDatabaseQuery\clear(), JDatabaseQuery\clear(), Session\clear(), User\clearAccessRights(), JGoogleDataCalendar\clearCalendar(), FieldsHelper\clearFieldsCache(), FOFTableRelations\clearRelations(), Access\clearStatics(), LdapClient\close(), Stream\close(), SMTP\close(), lessc\coerceColor(), FOFLess\coerceColor(), lessc\coerceString(), FOFLess\coerceString(), PharInvocationCollection\collect(), PharStreamWrapper\collectInvocation(), CategoryView\commonCategoryDisplay(), ParagonIE_Sodium_Core_Util\compare(), lessc\compile(), FOFLess\compile(), lessc\compileBlock(), FOFLess\compileBlock(), lessc\compileCSSBlock(), FOFLess\compileCSSBlock(), lessc\compileFile(), FOFLess\compileFile(), lessc\compileMedia(), FOFLess\compileMedia(), lessc\compileProp(), FOFLess\compileProp(), lessc\compileValue(), FOFLess\compileValue(), SimplePie_Net_IPv6\compress(), FOFDatabaseInstaller\conditionMet(), JDatabaseDriverSqlite\connect(), JDatabaseDriverMysqli\connect(), FOFDatabaseDriverMysqli\connect(), LdapClient\connect(), SocketTransport\connect(), FtpClient\connect(), Folder\copy(), File\copy(), TemplatesControllerTemplate\copy(), Stream\copy(), FOFTable\copy(), Installer\copyFiles(), ParagonIE_Sodium_Core_Salsa20\core_salsa20(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), NewsfeedsHelper\countTagItems(), ContactHelper\countTagItems(), ContentHelper\countTagItems(), MediaControllerFolder\create(), Folder\create(), PHPMailer\createBody(), InstallationModelConfiguration\createConfiguration(), JFacebookObject\createConnection(), LanguageHelper\createLanguageList(), MenuHelper\createLevels(), Factory\createMailer(), MVCFactory\createModel(), BaseController\createModel(), FOFController\createModel(), ContenthistoryHelper\createObjectArray(), MVCFactory\createTable(), TemplatesModelTemplate\createTemplateOverride(), Image\createThumbs(), SiteRouter\createUri(), Help\createUrl(), LegacyFactory\createView(), MVCFactory\createView(), FOFController\createView(), Image\crop(), Image\cropResize(), ParagonIE_Sodium_Compat\crypto_kx_client_session_keys(), ParagonIE_Sodium_Compat\crypto_kx_server_session_keys(), HTMLHelper\date(), JHtmlFilter\dates(), LayoutHelper\debug(), SimplePie_Misc\debug(), Language\debugFile(), ParagonIE_Sodium_Core_Util\declareScalarType(), JGoogleDataPicasaPhoto\delete(), JGoogleDataPicasaAlbum\delete(), MenuType\delete(), Http\delete(), Nested\delete(), FOFDatabaseQuery\delete(), JDatabaseQuery\delete(), Stream\delete(), CoreContent\deleteByContentId(), JGoogleDataCalendar\deleteCalendar(), JGoogleEmbedAnalytics\deleteCall(), JFacebookObject\deleteConnection(), JGoogleDataCalendar\deleteEvent(), JGoogleEmbedMaps\deleteEventHandler(), JGoogleEmbedMaps\deleteMarker(), JTwitterLists\deleteMembers(), JKeychain\deleteValue(), Uri\delVar(), Manifest\deserializeMetaData(), Manager\destroy(), UserHelper\destroyUserSessions(), InstallationModelFtp\detectFtpRoot(), Helper\determineBaseFile(), JDatabaseDriverSqlite\disconnect(), JDatabaseDriverOracle\disconnect(), JDatabaseDriverMysql\disconnect(), FOFDatabaseDriverMysql\disconnect(), FOFDatabaseDriverPostgresql\disconnect(), FOFDatabaseDriverSqlsrv\disconnect(), JDatabaseDriverPostgresql\disconnect(), JDatabaseDriverMysqli\disconnect(), FOFDatabaseDriverMysqli\disconnect(), JDatabaseDriverPdo\disconnect(), Installer\discover_install(), AdministratorApplication\dispatch(), SiteApplication\dispatch(), FOFDispatcher\dispatch(), JoomlaupdateViewUpload\display(), CategoryFeedView\display(), SearchViewSearch\display(), ContenthistoryViewPreview\display(), ContentViewArchive\display(), FinderController\display(), UsersViewUser\display(), ContactViewContact\display(), MenusViewItems\display(), ContentViewFeatured\display(), ContactController\display(), NewsfeedsViewNewsfeed\display(), LanguagesViewOverride\display(), MenusViewItem\display(), AdminViewProfile\display(), ContentViewArticle\display(), CategoriesViewCategory\display(), AssociationsViewAssociations\display(), ContentViewCategory\display(), FinderViewSearch\display(), TagsViewTag\display(), Captcha\display(), Editor\display(), Microdata\display(), FOFController\display(), PlgSystemDebug\displayProfileInformation(), PlgSystemDebug\displayQueries(), PlgContentVote\displayVotingData(), PlgSystemRedirect\doErrorHandling(), AdministratorApplication\doExecute(), SiteApplication\doExecute(), InstallerAdapter\doLoadLanguage(), Parser\doParse(), JoomlaupdateModelDefault\downloadPackage(), Inline\dump(), DataObject\dump(), DataSet\dump(), TemplatesModelStyle\duplicate(), ModulesModelModule\duplicate(), LanguagesControllerOverride\edit(), MenusControllerItem\edit(), FormController\edit(), JFacebookUser\editEvent(), JHtmlUsers\editor(), OutputController\end(), JApplication\enqueueMessage(), SimplePie_Decode_HTML_Entities\entity(), Stream\eof(), ConfigControllerModulesCancel\execute(), ConfigControllerModulesSave\execute(), ConfigControllerModulesDisplay\execute(), ConfigControllerApplicationSave\execute(), Backgroundfill\execute(), ConfigControllerComponentSave\execute(), ConfigControllerCanceladmin\execute(), CMSApplication\execute(), FOFDatabaseDriverMysql\execute(), JDatabaseDriverMysql\execute(), JDatabaseDriverPdo\execute(), FOFDatabaseDriverPdo\execute(), FOFDatabaseDriverMysqli\execute(), JDatabaseDriverMysqli\execute(), FOFDatabaseDriverSqlsrv\execute(), FOFDatabaseDriverPostgresql\execute(), JDatabaseDriverPostgresql\execute(), FOFController\execute(), JHtmlQuery\explained(), Container\extend(), SimplePie_Locator\extension(), FieldsHelper\extract(), JArchiveBzip2\extract(), JArchiveGzip\extract(), Bzip2\extract(), Archive\extract(), JArchiveTar\extract(), Gzip\extract(), Tar\extract(), Registry\extract(), Zip\extractCustom(), JArchiveZip\extractCustom(), Reader\extractData(), Microdata\fallback(), SimplePie\fetch_data(), CategoriesControllerAjax\fetchAssociations(), ContactControllerAjax\fetchAssociations(), MenusControllerAjax\fetchAssociations(), ContentControllerAjax\fetchAssociations(), NewsfeedsControllerAjax\fetchAssociations(), InstallationApplicationWeb\fetchController(), HeadRenderer\fetchHead(), FOFDatabaseIteratorPostgresql\fetchObject(), JDatabaseIteratorPostgresql\fetchObject(), FOFDatabaseDriverPostgresql\fetchObject(), JDatabaseDriverPostgresql\fetchObject(), JFacebookObject\fetchUrl(), Stream\filesize(), Form\filterField(), LanguagesHelper\filterKey(), FOFUtilsUpdateCollection\filterListByPlatform(), LanguagesHelper\filterText(), SimplePie_Locator\find(), lessc\findBlocks(), FOFLess\findBlocks(), PharInvocationResolver\findByAlias(), PharInvocationCollection\findByCallback(), lessc\findClosestSelectors(), FOFLess\findClosestSelectors(), ClassLoader\findFile(), lessc\findImport(), FOFLess\findImport(), PharInvocationResolver\findInBaseNames(), RouteHelper\findItem(), Installer\findManifest(), FOFView\findRenderer(), FOFUtilsUpdate\findUpdatesClassic(), FOFUtilsUpdate\findUpdatesJoomla(), Session\fork(), FOFDatabaseQuery\format(), JDatabaseQuery\format(), JHtmlJquery\framework(), JHtmlBehavior\framework(), JHtmlBootstrap\framework(), JDatabaseDriverPdo\freeResult(), FOFDatabaseDriverPdo\freeResult(), JDatabaseDriverMysqli\freeResult(), FOFDatabaseDriverMysqli\freeResult(), JArrayHelper\fromObject(), FOFUtilsArray\fromObject(), Helper\ftpChmod(), ParagonIE_Sodium_Core32_Curve25519\ge_select(), Image\generateThumbs(), ViewController\get(), XcacheStorage\get(), JMediawikiHttp\get(), PageController\get(), CallbackController\get(), FOFConfigProvider\get(), JFacebookObject\get(), Http\get(), Registry\get(), Node\get(), HtmlView\get(), Container\get(), Session\get(), FOFTableNested\get(), SimplePie_Copyright\get_attribution(), SimplePie_Source\get_author(), SimplePie_Item\get_author(), SimplePie\get_author(), SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Locator\get_base(), SimplePie\get_base(), SimplePie_Enclosure\get_bitrate(), SimplePie_Enclosure\get_caption(), SimplePie_Enclosure\get_captions(), SimplePie_Source\get_categories(), SimplePie_Enclosure\get_categories(), SimplePie_Item\get_categories(), SimplePie\get_categories(), SimplePie_Source\get_category(), SimplePie_Enclosure\get_category(), SimplePie_Item\get_category(), SimplePie\get_category(), SimplePie\get_channel_tags(), SimplePie_Enclosure\get_channels(), SimplePie_Registry\get_class(), SimplePie_Item\get_content(), SimplePie_Source\get_contributor(), SimplePie_Item\get_contributor(), SimplePie\get_contributor(), SimplePie_Source\get_contributors(), SimplePie_Item\get_contributors(), SimplePie\get_contributors(), SimplePie_Enclosure\get_copyright(), SimplePie_Source\get_copyright(), SimplePie_Item\get_copyright(), SimplePie\get_copyright(), SimplePie_Enclosure\get_credit(), SimplePie_Enclosure\get_credits(), SimplePie_Item\get_date(), SimplePie_Item\get_description(), SimplePie_Enclosure\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Enclosure\get_duration(), SimplePie_Author\get_email(), SimplePie_Item\get_enclosure(), SimplePie_Item\get_enclosures(), SimplePie_Caption\get_endtime(), SimplePie_Enclosure\get_expression(), SimplePie_Enclosure\get_extension(), SimplePie\get_favicon(), SimplePie\get_feed_tags(), SimplePie_Enclosure\get_framerate(), SimplePie_Item\get_gmdate(), SimplePie_Enclosure\get_hash(), SimplePie_Enclosure\get_hashes(), SimplePie_Enclosure\get_height(), SimplePie_IRI\get_iauthority(), SimplePie_Item\get_id(), SimplePie\get_image_height(), SimplePie\get_image_link(), SimplePie\get_image_tags(), SimplePie\get_image_title(), SimplePie_Source\get_image_url(), SimplePie\get_image_url(), SimplePie\get_image_width(), SimplePie_IRI\get_iri(), SimplePie\get_item(), SimplePie_Item\get_item_tags(), SimplePie\get_items(), SimplePie_Enclosure\get_keyword(), SimplePie_Enclosure\get_keywords(), SimplePie_Category\get_label(), SimplePie_Caption\get_language(), SimplePie_Source\get_language(), SimplePie_Enclosure\get_language(), SimplePie\get_language(), SimplePie_Source\get_latitude(), SimplePie\get_latitude(), SimplePie_Item\get_latitude(), SimplePie_Enclosure\get_length(), SimplePie_Author\get_link(), SimplePie_Source\get_link(), SimplePie_Enclosure\get_link(), SimplePie_Item\get_link(), SimplePie\get_link(), SimplePie_Locator\get_links(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Item\get_local_date(), SimplePie_Source\get_longitude(), SimplePie\get_longitude(), SimplePie_Item\get_longitude(), SimplePie_Enclosure\get_medium(), SimplePie_Author\get_name(), SimplePie_Credit\get_name(), SimplePie_Item\get_permalink(), SimplePie_Enclosure\get_player(), SimplePie_Enclosure\get_rating(), SimplePie_Enclosure\get_ratings(), SimplePie_Enclosure\get_real_type(), SimplePie_Restriction\get_relationship(), SimplePie_Enclosure\get_restriction(), SimplePie_Enclosure\get_restrictions(), SimplePie_Credit\get_role(), SimplePie_Enclosure\get_sampling_rate(), SimplePie_Rating\get_scheme(), SimplePie_Credit\get_scheme(), SimplePie_Category\get_scheme(), SimplePie_Enclosure\get_size(), SimplePie_Item\get_source(), SimplePie_Source\get_source_tags(), SimplePie_Caption\get_starttime(), SimplePie_Category\get_term(), SimplePie_Caption\get_text(), SimplePie_Enclosure\get_thumbnail(), SimplePie_Enclosure\get_thumbnails(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie_Enclosure\get_title(), SimplePie\get_title(), SimplePie_Restriction\get_type(), SimplePie_Caption\get_type(), SimplePie_Enclosure\get_type(), SimplePie_Item\get_updated_date(), SimplePie_Item\get_updated_gmdate(), SimplePie_Copyright\get_url(), SimplePie_Rating\get_value(), SimplePie_Restriction\get_value(), SimplePie_Enclosure\get_width(), ContentHelper\getActions(), AKEncryptionAES\getAdapter(), Pagination\getAdditionalUrlParam(), FinderHelperRoute\getAdvancedRoute(), JGoogleDataPicasa\getAlbum(), JDatabaseImporterPostgresql\getAlterColumnSql(), FOFTable\getAnInstance(), JInput\getArray(), Input\getArray(), Input\getArrayRecursive(), FieldsTableField\getAssetId(), Access\getAssetId(), Access\getAssetName(), Access\getAssetRules(), ContactHelperAssociation\getAssociations(), NewsfeedsHelperAssociation\getAssociations(), ContentHelperAssociation\getAssociations(), FormField\getAttribute(), Form\getAttribute(), User\getAuthorisedGroups(), User\getAuthorisedViewLevels(), AKText\getBrowserLanguage(), HtmlDocument\getBuffer(), ModQuickIconHelper\getButtons(), FOFFormHeader\getButtons(), FOFUtilsUpdateCollection\getCategoryUpdateSource(), MVCFactory\getClassName(), ApplicationHelper\getClientInfo(), FOFTable\getClone(), JoomlaupdateModelDefault\getCollectionDetailsUrls(), JDatabaseImporterPdomysql\getColumnSql(), JDatabaseImporterMysqli\getColumnSql(), JDatabaseImporterPostgresql\getColumnSql(), JLinkedinCompanies\getCompanies(), ConfigModelComponent\getComponent(), PostinstallModelMessages\getComponentOptions(), UsersHelperDebug\getComponents(), Factory\getConfig(), RedisStorage\getConnection(), MemcachedStorage\getConnection(), MemcacheStorage\getConnection(), FOFDatabaseDriverJoomla\getConnection(), JFacebookObject\getConnection(), ContactModelContact\getContactQuery(), LanguageHelper\getContentLanguages(), ClientHelper\getCredentials(), CMSHelper\getCurrentLanguage(), ContentHelper\getCurrentLanguage(), FinderModelStatistics\getData(), UsersModelProfile\getData(), LanguagesModelInstalled\getData(), UsersModelRegistration\getData(), UsersHelperDebug\getDebugActions(), FileLayout\getDefaultIncludePaths(), FOFIntegrationJoomlaPlatform\getDocument(), FOFPlatform\getDocument(), JDatabaseFactory\getDriver(), FOFDatabaseFactory\getDriver(), EditorField\getEditor(), FinderIndexerResult\getElement(), FOFUtilsObject\getError(), CMSObject\getError(), JException\getError(), AssociationsHelper\getExtensionHelper(), FOFUtilsUpdateCollection\getExtensions(), FOFUtilsUpdateCollection\getExtensionUpdateSource(), FeedFactory\getFeed(), JSimplepieFactory\getFeedParser(), FieldsHelper\getFields(), FinderViewSearch\getFields(), FieldsHelper\getFieldTypes(), FieldsModelField\getFieldValue(), TemplatesModelTemplate\getFiles(), FOFDownloadAdapterCurl\getFileSize(), FOFFormHeader\getFilter(), ListModel\getFilterForm(), FieldsModelFields\getFilterForm(), MediaViewMedia\getFolderLevel(), PlgEditorCodemirror\getFontInfo(), LanguagesModelOverride\getForm(), ConfigModelComponent\getForm(), FOFModel\getForm(), ContenthistoryHelper\getFormValues(), JTwitterFriends\getFriendshipsLookup(), FOFDownload\getFromURL(), JFormFieldUserMessages\getGroups(), TemplatestyleField\getGroups(), UsersModelUser\getGroups(), FOFFormHeaderOrdering\getHeader(), FOFFormHeader\getHeader(), JFacebookUser\getHome(), Tree\getIconClass(), Language\getIgnoredSearchWords(), Image\getImageFileProperties(), ComposerStaticInitc14bde14f8c86840049f5c1809c453dd\getInitializer(), JFormFieldPluginInfo\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModulelayout\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldComponentlayout\getInput(), TagField\getInput(), FOFFormFieldGroupedbutton\getInput(), JFormFieldRules\getInput(), JFormFieldGroupedList\getInput(), JFormFieldModal_Menu\getInput(), CaptchaField\getInput(), JFormFieldSubform\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), InstalledVersions\getInstalled(), LanguageHelper\getInstalledLanguages(), InstalledVersions\getInstallPath(), FOFUtilsObservableDispatcher\getInstance(), JEventDispatcher\getInstance(), UserGroupsHelper\getInstance(), FOFPlatform\getInstance(), BaseDatabaseModel\getInstance(), FtpClient\getInstance(), JDatabaseDriver\getInstance(), FOFDatabaseDriver\getInstance(), User\getInstance(), Document\getInstance(), IpHelper\getIp(), UsersModelUser\getItem(), MenusAssociationsHelper\getItem(), ContentAssociationsHelper\getItem(), ContactAssociationsHelper\getItem(), NewsfeedsAssociationsHelper\getItem(), TagsModelTag\getItem(), PluginsModelPlugin\getItem(), AbstractMenu\getItem(), CategoriesModelCategory\getItem(), ContactModelContact\getItem(), NewsfeedsModelNewsfeed\getItem(), ContentModelArticle\getItem(), FieldsModelField\getItem(), TemplatesModelStyle\getItem(), MenusModelItem\getItem(), ModulesModelModule\getItem(), FOFModel\getItem(), AKAbstractObject\getItemFromArray(), FinderHelperRoute\getItemid(), FinderIndexerAdapter\getItemMenuTitle(), ModulesModelPositions\getItems(), ContactModelCategories\getItems(), NewsfeedsModelCategories\getItems(), ModulesModelSelect\getItems(), SiteMenu\getItems(), ContentModelCategory\getItems(), MenusModelItems\getItems(), ContentModelArticles\getItems(), FOFModel\getIterator(), FOFTableRelations\getIteratorFromRelation(), HTMLHelper\getJSObject(), JFormFieldVoteradio\getLabel(), PlgSystemLanguageFilter\getLanguageCookie(), ModLoginHelper\getLanguageList(), InstallerModelLanguages\getLanguages(), UserField\getLayoutData(), FormField\getLayoutData(), ModLatestHelper\getList(), ModPopularHelper\getList(), ModArticlesCategoriesHelper\getList(), ModMenuHelper\getList(), ModTagssimilarHelper\getList(), AssociationsModelAssociations\getListQuery(), MenusModelItems\getListQuery(), ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd\getLoader(), LoginModelLogin\getLoginModule(), UsersHelperRoute\getLoginRoute(), Language\getLowerLimitSearchWord(), Version\getMediaVersion(), JApplication\getMessageQueue(), LanguageHelper\getMetadata(), Container\getMethodArgs(), HtmlView\getModel(), FOFView\getModel(), ModuleHelper\getModule(), ModulesHelper\getModules(), ConfigModelCms\getName(), RouterView\getName(), BaseDatabaseModel\getName(), JApplication\getName(), BaseController\getName(), FOFController\getName(), FOFModel\getName(), Parser\getNextEmbedBlock(), DataSet\getObjectsKeys(), JObserverUpdater\getObserverOfClass(), FOFFormFieldGroupedlist\getOptionName(), FOFFormFieldList\getOptionName(), FOFFormHeaderModel\getOptions(), JFormFieldAliastag\getOptions(), JFormFieldConfigComponents\getOptions(), JFormFieldComponents\getOptions(), JFormFieldComponentsCategory\getOptions(), ContenttypeField\getOptions(), FOFFormFieldLanguage\getOptions(), JFormFieldPlugins\getOptions(), FOFFormFieldComponents\getOptions(), FOFFormFieldActions\getOptions(), FOFFormFieldModel\getOptions(), UsersModelUser\getOtpConfig(), Pagination\getPagesCounter(), Pagination\getPagesLinks(), ContentModelCategory\getPagination(), Pagination\getPaginationLinks(), Pagination\getPaginationPages(), Node\getParam(), SiteApplication\getParams(), Installer\getParams(), FOFLayoutFile\getPath(), InstallationModelLanguages\getPath(), AdminModelSysInfo\getPhpInfoArray(), InstallationModelSetup\getPhpOptions(), JoomlaupdateModelDefault\getPhpOptions(), InstallationModelSetup\getPhpOptionsSufficient(), PlgQuickiconPhpVersionCheck\getPhpSupport(), JFacebookUser\getPicture(), Language\getPluralSuffixes(), AbstractUri\getPort(), ConfigModelModules\getPositions(), MenuHelper\getPresets(), InstalledVersions\getPrettyVersion(), UsersHelperRoute\getProfileRoute(), DataObject\getProperty(), AbstractUri\getQuery(), FOFDatabaseDriverJoomla\getQuery(), ModRandomImageHelper\getRandomImage(), Container\getRaw(), InstalledVersions\getRawData(), FormController\getRedirectToItemAppend(), InstalledVersions\getReference(), UsersHelperRoute\getRegistrationRoute(), UsersHelperRoute\getRemindRoute(), FOFFormFieldUser\getRepeatable(), FOFFormFieldPublished\getRepeatable(), FOFFormFieldActions\getRepeatable(), UsersHelperRoute\getResendRoute(), UsersHelperRoute\getResetRoute(), CurlTransport\getResponse(), FinderModelSearch\getResults(), Pagination\getResultsCounter(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), ContentControllerArticle\getReturnPage(), FOFTableNested\getRoot(), Stream\gets(), Language\getSearchDisplayedCharactersNumber(), ModSearchHelper\getSearchImage(), FinderHelperRoute\getSearchRoute(), SMTP\getServerExt(), AbstractWebApplication\getSession(), ContentHistory\getSha1(), Multilanguage\getSiteHomePages(), Patcher\getSource(), MediaModelManager\getState(), MediaModelList\getState(), FinderIndexer\getState(), BaseDatabaseModel\getState(), FOFFormFieldImagelist\getStatic(), FOFFormFieldMedia\getStatic(), ModStatsHelper\getStats(), AssociationsHelper\getSupportedExtension(), FOFModel\getTable(), JDatabaseDriverPgsql\getTableColumns(), JDatabaseDriverOracle\getTableColumns(), FOFDatabaseDriverOracle\getTableColumns(), FOFDatabaseDriverPostgresql\getTableColumns(), JDatabaseDriverPostgresql\getTableColumns(), FOFTable\getTableFields(), Tar\getTarInfo(), FOFDispatcher\getTask(), FinderIndexerResult\getTaxonomy(), SiteApplication\getTemplate(), FOFController\getThisView(), ModPopularHelper\getTitle(), ModLatestHelper\getTitle(), FOFFormFieldButton\getTitle(), FOFController\getTmpInstance(), Session\getToken(), JMediawikiUsers\getToken(), JMediawikiPages\getToken(), FinderModelSearch\getTotal(), ModulesHelper\getTranslatedModulePosition(), MenusModelMenutypes\getTypeOptions(), MenusModelMenutypes\getTypeOptionsFromLayouts(), MenusModelMenutypes\getTypeOptionsFromManifest(), AKFactory\getUnarchiver(), PlgSystemStats\getUniqueId(), JoomlaupdateModelDefault\getUpdateInformation(), UpdateAdapter\getUpdateSiteResponse(), Language\getUpperLimitSearchWord(), FOFPlatform\getUser(), Version\getUserAgent(), JTwitterUsers\getUsersLookup(), JApplication\getUserState(), CMSApplication\getUserState(), FOFIntegrationJoomlaPlatform\getUserStateFromRequest(), JApplication\getUserStateFromRequest(), CMSApplication\getUserStateFromRequest(), ListModel\getUserStateFromRequest(), FOFUtilsArray\getValue(), ArrayHelper\getValue(), JRequest\getVar(), Router\getVar(), PharInvocation\getVariable(), InstalledVersions\getVersion(), Cache\getWorkarounds(), JGoogleAuthOauth2\googlize(), ModArticlesCategoryHelper\groupBy(), JHtmlSelect\groupedlist(), FOFLessParser\guardGroup(), lessc_parser\guardGroup(), FOFLessParser\guards(), lessc_parser\guards(), RssParser\handleImage(), JError\handleLog(), JError\handleVerbose(), RssParser\handleWebmaster(), Session\has(), FOFViewRaw\hasAjaxOrderingSupport(), ClientHelper\hasCredentials(), FOFDatabaseInstaller\hasIndex(), JNode\hasParent(), CategoryNode\hasParent(), JGoogleEmbedMaps\hasSensor(), hathormessage_postinstall_action(), ParagonIE_Sodium_Core_HChaCha20\hChaCha20(), ParagonIE_Sodium_Core32_HChaCha20\hChaCha20(), Http\head(), WebApplication\header(), Table\hit(), ParagonIE_Sodium_Core_HSalsa20\hsalsa20(), HTMLHelper\image(), PluginHelper\importPlugin(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), FinderIndexerDriverMysql\index(), FOFAutoloaderFof\init(), FOFAutoloaderComponent\init(), ParagonIE_Sodium_Core32_BLAKE2b\init(), ParagonIE_Sodium_Core_BLAKE2b\init(), SimplePie\init(), AdminModel\initBatch(), Editor\initialise(), InstallationApplicationWeb\initialiseApp(), SiteApplication\initialiseApp(), Manager\initialize(), FOFTableNested\insertAsFirstChildOf(), FOFTableNested\insertAsLastChildOf(), FOFDatabaseDriverJoomla\insertid(), FOFTableNested\insertLeftOf(), FOFDatabaseDriverJoomla\insertObject(), FOFDatabaseDriverSqlsrv\insertObject(), JDatabaseDriverPgsql\insertObject(), FOFDatabaseDriverPostgresql\insertObject(), JDatabaseDriverPostgresql\insertObject(), FOFDatabaseDriver\insertObject(), JDatabaseDriver\insertObject(), FOFTableNested\insertRightOf(), InstallerModelInstall\install(), LanguageAdapter\install(), Manager\instance(), JHtmlSelect\integerlist(), FOFLessParser\interpolation(), lessc_parser\interpolation(), SimplePie_IRI\is_valid(), Helper\isAbsolutePath(), JGoogleEmbedAnalytics\isAsync(), JGoogleEmbedMaps\isAsync(), PlgSystemDebug\isAuthorisedDisplayDebug(), FOFTable\isCheckedOut(), FOFIntegrationJoomlaPlatform\isCliAdmin(), FOFDispatcher\isCliAdmin(), FinderIndexerHelper\isCommon(), ModuleHelper\isEnabled(), CMSApplication\isHttpsForced(), TagField\isNested(), FOFInflector\isPlural(), FOFInflector\isSingular(), UsersModelUser\isValidSecretKey(), DataSet\jsonSerialize(), JHtmlUsers\language(), Php56\ldap_escape(), lessc\lib_data_uri(), JHtmlMenu\linkOptions(), JGoogleDataAdsense\listAccounts(), JGoogleDataPicasa\listAlbums(), JGoogleDataCalendar\listCalendars(), JGoogleDataAdsense\listChannels(), JGoogleDataAdsense\listChannelUnits(), JGoogleDataAdsense\listClients(), FtpClient\listDetails(), JGoogleDataCalendar\listEvents(), FtpClient\listNames(), JGoogleDataPicasaAlbum\listPhotos(), JGoogleDataCalendar\listRecurrences(), JGoogleDataAdsense\listUnitChannels(), JGoogleDataAdsense\listUrlChannels(), FOFLessParser\literal(), lessc_parser\literal(), User\load(), SimplePie_Cache_MySQL\load(), ModuleHelper\load(), FOFTable\load(), ActionlogsHelper\loadActionLogPluginsLanguage(), FOFDatabaseDriverJoomla\loadAssoc(), FOFDatabaseDriver\loadAssoc(), JDatabaseDriver\loadAssoc(), FOFDatabaseDriverJoomla\loadAssocList(), FOFDatabaseDriver\loadAssocList(), JHtmlTabs\loadBehavior(), JHtmlSliders\loadBehavior(), Toolbar\loadButtonClass(), JLoader\loadByPsr0(), JLoader\loadByPsr4(), ClassLoader\loadClass(), FOFDatabaseDriver\loadColumn(), DaemonApplication\loadConfiguration(), AbstractDaemonApplication\loadConfiguration(), FOFForm\loadCSSFiles(), BaseApplication\loadDispatcher(), InstallationApplicationWeb\loadDocument(), WebApplication\loadDocument(), Form\loadField(), BannersModelBanner\loadFormData(), FieldsModelGroup\loadFormData(), CategoriesModelCategory\loadFormData(), ContentModelArticle\loadFormData(), MenusModelItem\loadFormData(), ModulesModelModule\loadFormData(), FieldsModelField\loadFormData(), Update\loadFromXml(), FormController\loadhistory(), FOFController\loadhistory(), BaseApplication\loadIdentity(), CMSPlugin\loadLanguage(), ComponentAdapter\loadLanguage(), WebApplication\loadLanguage(), ContenthistoryHelper\loadLanguageFiles(), ConfigHelperConfig\loadLanguageForComponent(), SiteApplication\loadLibraryLanguage(), JDatabaseDriverPdo\loadNextAssoc(), FOFDatabaseDriverPdo\loadNextAssoc(), JDatabaseDriverPdo\loadNextObject(), FOFDatabaseDriverPdo\loadNextObject(), FOFDatabaseDriver\loadNextObject(), JDatabaseDriver\loadNextObject(), JDatabaseDriverPdo\loadNextRow(), FOFDatabaseDriverPdo\loadNextRow(), FOFDatabaseDriver\loadNextRow(), JDatabaseDriver\loadNextRow(), FOFDatabaseDriverJoomla\loadObject(), FOFDatabaseDriver\loadObject(), JDatabaseDriver\loadObject(), FOFDatabaseDriverJoomla\loadObjectList(), FOFDatabaseDriver\loadObjectList(), MenuHelper\loadPreset(), FOFDatabaseDriverJoomla\loadResult(), FOFDatabaseDriverSqlsrv\loadResult(), FOFDatabaseDriver\loadResult(), JDatabaseDriver\loadResult(), FOFDatabaseDriverJoomla\loadRow(), FOFDatabaseDriver\loadRow(), JDatabaseDriver\loadRow(), FOFDatabaseDriverJoomla\loadRowList(), FOFDatabaseDriver\loadRowList(), JDatabaseDriver\loadRowList(), CMSApplication\loadSession(), WebApplication\loadSession(), ConfigViewCmsHtml\loadTemplate(), HtmlView\loadTemplate(), ActionlogsHelper\loadTranslationFiles(), FOFIntegrationJoomlaPlatform\loadTranslations(), FOFPlatform\loadTranslations(), DelegatingPsrLogger\log(), JMediawikiUsers\login(), LoginController\logout(), UsersControllerUser\logout(), PHPMailer\mailSend(), Cache\makeId(), easyparse\match(), FOFLessParser\match(), lessc_parser\match(), FOFLessParser\mediaExpression(), lessc_parser\mediaExpression(), FOFLessParser\mediaQuery(), lessc_parser\mediaQuery(), ParagonIE_Sodium_Compat\memzero(), JHtmlMenu\menuItemList(), SimplePie\merge_items(), ContenthistoryHelper\mergeLabels(), JHtmlBehavior\modal(), File\move(), FOFTable\move(), Table\move(), Stream\move(), Nested\moveByReference(), JGoogleDataCalendar\moveEvent(), SimplePie_Cache_MySQL\mtime(), DataSet\next(), FOFTableRelations\normaliseItemName(), FOFTableRelations\normaliseParameters(), FOFDatabaseQueryPostgresql\noWait(), JDatabaseQueryPostgresql\noWait(), AKFactory\nuke(), OutputFilter\objectHtmlSafe(), Registry\offsetExists(), ParagonIE_Sodium_Core_ChaCha20_Ctx\offsetGet(), ParagonIE_Sodium_Core32_ChaCha20_Ctx\offsetGet(), DataSet\offsetGet(), Event\offsetSet(), FOFModelBehaviorFilters\onAfterBuildQuery(), FOFModelBehaviorAccess\onAfterBuildQuery(), PlgSystemHighlight\onAfterDispatch(), PlgSystemDebug\onAfterDispatch(), FOFModelBehaviorAccess\onAfterGetItem(), FOFModelBehaviorEnabled\onAfterGetItem(), FOFModelBehaviorPrivate\onAfterGetItem(), FOFModelBehaviorLanguage\onAfterGetItem(), PlgCaptchaRecaptcha\onCheckAnswer(), PlgActionlogJoomla\onContentAfterDelete(), PlgActionlogJoomla\onContentAfterSave(), PlgSystemFields\onContentAfterSave(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgActionlogJoomla\onContentChangeState(), PlgContentLoadmodule\onContentPrepare(), PlgUserProfile\onContentPrepareData(), PlgSearchTags\onContentSearch(), FieldsPlugin\onCustomFieldsPrepareDom(), FOFViewJson\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgActionlogJoomla\onExtensionAfterDelete(), PlgActionlogJoomla\onExtensionAfterInstall(), PlgActionlogJoomla\onExtensionAfterSave(), PlgActionlogJoomla\onExtensionAfterUninstall(), PlgActionlogJoomla\onExtensionAfterUpdate(), PlgFinderCategories\onFinderChangeState(), FOFViewJson\onRead(), PlgAuthenticationCookie\onUserAfterLogin(), PlgSystemLanguageFilter\onUserAfterSave(), PlgAuthenticationLdap\onUserAuthenticate(), PlgUserJoomla\onUserLogout(), Stream\open(), FOFLessParser\openString(), JHtmlSelect\option(), Http\options(), JHtmlSelect\options(), Stdout\out(), Xml\out(), pagination_list_render(), Inline\parse(), Parser\parse(), FinderIndexerParser\parse(), SimplePie_Parser\parse(), FOFLessParser\parse(), ContentRouterRulesLegacy\parse(), AbstractUri\parse(), lessify\parse(), lessc\parse(), lessc_parser\parse(), FOFLess\parse(), SimplePie_IRI\parse_iri(), SimplePie_Misc\parse_str(), FOFLessParser\parseChunk(), lessc_parser\parseChunk(), FOFConfigDomainTables\parseDomain(), Installer\parseMedia(), SiteRouter\parseRawRoute(), Inline\parseScalar(), SiteRouter\parseSefRoute(), MenuHelper\parseXmlNode(), Http\patch(), lessc\patternMatchAll(), FOFLess\patternMatchAll(), McryptCipher\pbkdf2(), FOFLessParser\peek(), lessc_parser\peek(), FOFInflector\pluralize(), JHtmlBehavior\polyfill(), JHtmlBootstrap\popover(), ContentModelForm\populateState(), InstallerModelUpdate\populateState(), InstallerModelManage\populateState(), InstallerModelDiscover\populateState(), InstallerModelUpdatesites\populateState(), TagsModelTags\populateState(), UsersModelUsers\populateState(), MenusModelItems\populateState(), NewsfeedsModelNewsfeeds\populateState(), ContactModelContacts\populateState(), CategoriesModelCategories\populateState(), CategoriesModelCategory\populateState(), FieldsModelField\populateState(), MenusModelItem\populateState(), JAdminCssMenu\populateTree(), JHtmlList\positions(), JMediawikiHttp\post(), Http\post(), ModulesControllerModule\postSaveHook(), Access\preloadComponents(), JHtmlContent\prepare(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), UsersViewRemind\prepareDocument(), UsersViewRegistration\prepareDocument(), UsersViewLogin\prepareDocument(), UsersViewReset\prepareDocument(), ContactViewCategory\prepareDocument(), PrivacyViewRemind\prepareDocument(), PrivacyViewConfirm\prepareDocument(), PrivacyViewRequest\prepareDocument(), UsersViewProfile\prepareDocument(), FinderViewSearch\prepareDocument(), CategoryView\prepareDocument(), ContentViewCategory\prepareDocument(), Stream\prependFilter(), MenuRules\preprocess(), JAdminCssMenu\preprocess(), ConfigModelModules\preprocessForm(), ConfigModelTemplates\preprocessForm(), FieldsModelGroup\preprocessForm(), PluginsModelPlugin\preprocessForm(), CategoriesModelCategory\preprocessForm(), NewsfeedsModelNewsfeed\preprocessForm(), TemplatesModelStyle\preprocessForm(), ContactModelContact\preprocessForm(), ContentModelArticle\preprocessForm(), ModulesModelModule\preprocessForm(), FieldsModelField\preprocessForm(), MenusModelItem\preprocessForm(), SiteRouter\processBuildRules(), FinderIndexerQuery\processDates(), RssParser\processFeedEntry(), SiteRouter\processParseRules(), UsersModelReset\processResetComplete(), FinderIndexerQuery\processString(), FOFLessParser\propertyValue(), lessc_parser\propertyValue(), AdminController\publish(), JHtmlLanguages\published(), JHtmlRedirect\published(), FOFLessParser\pushSpecialBlock(), lessc_parser\pushSpecialBlock(), Http\put(), FtpClient\pwd(), JHtmlSelect\radiolist(), File\read(), Stream\read(), AKUnarchiverJPA\readFileHeader(), AKUnarchiverZIP\readFileHeader(), Zip\readZipInfo(), Asset\rebuild(), Nested\rebuild(), SMTP\recordLastTransactionID(), Nested\recursiveUpdatePublishedColumn(), LanguagesModelStrings\refresh(), JGoogleDataPicasaAlbum\refresh(), JGoogleDataPicasaPhoto\refresh(), JSessionHandlerNative\regenerate(), UsersControllerRegistration\register(), ClassLoader\register(), FOFPlatform\registerPlatformPath(), JHtmlDate\relative(), UsersControllerUser\remind(), Helper\remotefsize(), Registry\remove(), Event\removeArgument(), JGoogleDataCalendar\removeCalendar(), Node\removeChild(), FOFLessParser\removeComments(), lessc_parser\removeComments(), Installer\removeFiles(), Stream\removeFilter(), JoomlaupdateModelDefault\removePackageFiles(), FOFTableRelations\removeRelation(), FOFLayoutHelper\render(), ConfigViewApplicationJson\render(), ConfigViewApplicationHtml\render(), ConfigViewComponentHtml\render(), JHtmlActionsDropdown\render(), ModuleRenderer\render(), RssRenderer\render(), ImageDocument\render(), AtomRenderer\render(), InstallationViewCompleteHtml\render(), LayoutHelper\render(), JHtmlDropdown\render(), ErrorDocument\render(), FieldsHelper\render(), CMSApplication\render(), PlgSystemDebug\renderBars(), FOFRenderStrapper\renderButtons(), PlgSystemDebug\renderCallStack(), FOFToolbar\renderFromConfig(), ModuleHelper\renderModule(), AdminViewSysinfo\renderSection(), FOFToolbar\renderToolbarElement(), AdminModel\reorder(), FinderIndexerStemmerPorter_En\replace(), SocketTransport\request(), FOFModel\reset(), BaseLayout\resetOptions(), Microdata\resetParams(), FOFModel\resetSavedState(), FinderIndexer\resetState(), FOFTableNested\resetTreeCache(), FOFEncryptAesAbstract\resizeKey(), AKEncryptionAESAdapterAbstract\resizeKey(), PharInvocationResolver\resolve(), PharInvocationResolver\resolveBaseName(), Reader\resolveContainer(), Reader\resolveManifestLength(), PharInvocationResolver\resolvePossibleAlias(), Session\restart(), MenusControllerMenus\resync(), FinderModelSearch\retrieve(), PharInvocationResolver\retrieveInvocation(), SiteApplication\route(), CMSApplication\route(), Crypt\safeStrlen(), Crypt\safeSubstr(), ParagonIE_Sodium_Core_Salsa20\salsa20(), ParagonIE_Sodium_Core32_Salsa20\salsa20(), ParagonIE_Sodium_Core_Salsa20\salsa20_xor_ic(), ParagonIE_Sodium_Core32_Salsa20\salsa20_xor_ic(), Image\sanitizeHeight(), Image\sanitizeWidth(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), MenusControllerMenu\save(), LanguagesControllerOverride\save(), FieldsModelField\save(), UsersControllerProfile\save(), ConfigModelApplication\save(), AdminModelProfile\save(), SimplePie_Cache_MySQL\save(), UsersModelUser\save(), MenusControllerItem\save(), Editor\save(), TemplatesModelStyle\save(), ContentModelArticle\save(), FormController\save(), User\save(), FOFModel\save(), CategoriesControllerCategories\saveorder(), MenusControllerItems\saveorder(), SimplePie_IRI\scheme_normalization(), Text\script(), SearchController\search(), JTwitterPlaces\search(), SimplePie_Locator\search_elements_by_tag(), TagsControllerTags\searchAjax(), easyparse\seek(), Stream\seek(), FOFLessParser\seek(), lessc_parser\seek(), JHtmlFilter\select(), FOFDatabaseDriverSqlsrv\select(), SMTP\sendCommand(), SMTP\sendHello(), PlgSystemStats\sendStats(), ConfigModelApplication\sendTestMail(), FOFUtilsObject\set(), CMSObject\set(), JException\set(), MenuItem\set(), Session\set(), Stream\set(), SimplePie_IRI\set_authority(), SimplePie_IRI\set_fragment(), SimplePie_IRI\set_host(), SimplePie_IRI\set_iri(), SimplePie_IRI\set_path(), SimplePie_IRI\set_port(), SimplePie_IRI\set_query(), SimplePie_IRI\set_scheme(), SimplePie_Sanitize\set_url_replacements(), SimplePie_IRI\set_userinfo(), FOFDownload\setAdapter(), Pagination\setAdditionalUrlParam(), ClassLoader\setApcuPrefix(), HtmlDocument\setBuffer(), Inflector\setCache(), JGoogleEmbedMaps\setCenter(), FileLayout\setComponent(), AKAbstractUnarchiver\setCorrectPermissions(), ClientHelper\setCredentialsFromRequest(), FOFEncryptAesOpenssl\setEncryptionMode(), JError\setErrorHandling(), FieldsModelField\setFieldValue(), HtmlDocument\setHeadData(), Log\setInstance(), FOFTable\setKnownFields(), User\setLastVisit(), FileLayout\setLayoutId(), FOFViewHtml\setPageTitle(), JNode\setParent(), DataObject\setProperty(), Uri\setQuery(), BaseController\setRedirect(), FOFController\setRedirect(), ModBreadCrumbsHelper\setSeparator(), MenusControllerItem\setType(), CaptchaField\setup(), JFormFieldCheckbox\setup(), JFormFieldNumber\setup(), JFormFieldCalendar\setup(), FOFFormHeader\setup(), FormField\setup(), Captcha\setupField(), DaemonApplication\setupSignalHandlers(), AbstractDaemonApplication\setupSignalHandlers(), ComponentAdapter\setupUpdates(), JApplication\setUserState(), CMSApplication\setUserState(), Uri\setVar(), FOFInput\setVar(), JRequest\setVar(), ParagonIE_Sodium_Core_Ed25519\sign_detached(), ParagonIE_Sodium_Core32_Ed25519\sign_detached(), FOFInflector\singularize(), JHtmlFilter\slider(), PHPMailerOAuth\smtpConnect(), PHPMailer\smtpConnect(), JHtmlSortablelist\sortable(), JArrayHelper\sortObjects(), FOFUtilsArray\sortObjects(), JDatabaseQuerySqlsrv\splitSqlExpression(), OutputController\start(), JHtmlBootstrap\startAccordion(), JHtmlMessages\state(), UCMBase\store(), ContentHistory\store(), FtpClient\store(), FOFTable\store(), InstallationModelSetup\storeOptions(), ConfigModelApplication\storePermissions(), Buffer\stream_open(), BufferStreamHandler\stream_open(), PharStreamWrapper\stream_open(), Json\stringToObject(), SimplePie\strip_htmltags(), ContactControllerContact\submit(), SimplePie\subscribe_url(), ParagonIE_Sodium_Core_Util\substr(), JHtmlSelect\suggestionlist(), PlgSystemDebug\tableToHtml(), JHtmlTel\tel(), Stream\tell(), NumberRule\test(), JFormRuleLoginUniqueField\test(), SubformRule\test(), JFormRuleLogoutUniqueField\test(), OptionsRule\test(), NotequalsRule\test(), PlgEditorTinymce\tinyButtons(), tln_sanitize(), DataSet\toArray(), FOFStringUtils\toASCII(), ArrayHelper\toInteger(), FOFUtilsArray\toInteger(), FinderIndexerHelper\tokenize(), FinderIndexer\tokenizeToDb(), JArrayHelper\toObject(), FOFUtilsArray\toObject(), JHtmlBehavior\tooltip(), JHtmlBootstrap\tooltip(), HTMLHelper\tooltip(), Date\toSql(), UserGroupsHelper\total(), SimplePie_Cache_MySQL\touch(), FinderIndexerQuery\toUri(), Http\trace(), InstallerModel\translate(), PluginsModelPlugins\translate(), FOFFormFieldComponents\translate(), ModulesModelModules\translate(), JoomlaupdateModelDefault\translateExtensionName(), FinderIndexerAdapter\translateState(), Language\transliterate(), FOFDispatcher\transparentAuthentication(), JHtmlBehavior\tree(), PharInvocationCollection\triggerDuplicateAliasWarning(), lessc\tryImport(), FOFLess\tryImport(), JHtmlBootstrap\typeahead(), JHtmlJquery\ui(), PluginAdapter\uninstall(), PackageAdapter\uninstall(), Zip\unix2DosTime(), SimplePie_Cache_MySQL\unlink(), InstallerHelper\unpack(), ClassLoader\unregister(), FOFPlatform\unregisterPlatformPath(), FOFUtilsObservableEvent\update(), LanguageAdapter\update(), JFacebookUser\updateNotification(), JDatabaseDriverPgsql\updateObject(), FOFDatabaseDriverPostgresql\updateObject(), JDatabaseDriverPostgresql\updateObject(), FOFDatabaseDriver\updateObject(), JDatabaseDriver\updateObject(), ParseException\updateRepr(), MediaControllerFile\upload(), File\upload(), JoomlaupdateModelDefault\upload(), TemplatesModelTemplate\uploadFile(), ParagonIE_Sodium_Compat\use_fallback(), ParagonIE_Sodium_Compat\useNewSodiumAPI(), Mail\useSmtp(), Transliterate\utf8_latin_to_ascii(), utf8_strspn(), Session\validate(), Form\validate(), Form\validateField(), ContactHelper\validateSection(), ContentHelper\validateSection(), UsersHelper\validateSection(), PlgTwofactorauthYubikey\validateYubikeyOtp(), FileLayout\validComponent(), FOFLessParser\variable(), lessc_parser\variable(), InstallationModelFtp\verifyFtpSettings(), FOFLessParser\whitespace(), lessc_parser\whitespace(), Stream\write(), JHtmlDebug\xdebuglink(), lessc\zipSetArgs(), et FOFLess\zipSetArgs().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • clients
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_banners/views/clients/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$purchaseTypes
$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$params = isset($this->state->params) ? $this->state->params : new JObject
else __pad0__
$canEdit = $user->authorise('core.edit', 'com_banners')
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_banners') && $canCheckin
endif
else __pad1__
else __pad2__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_banners') && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_banners')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $params

else $this $params = isset($this->state->params) ? $this->state->params : new JObject

Référencé par UsersRouter\__construct(), ContactRouter\__construct(), ContentRouter\__construct(), NewsfeedsRouter\__construct(), PlgActionlogJoomla\__construct(), SearchModelSearch\__construct(), FinderIndexerResponse\__construct(), JOAuth1Client\_baseString(), ContentModelCategory\_buildContentOrderBy(), Pagination\_buildDataObject(), HtmlDocument\_fetchTemplate(), JOAuth1Client\_generateAccessToken(), JOAuth1Client\_generateRequestToken(), PlgUserJoomla\_getUser(), PlgContentLoadmodule\_load(), Captcha\_load(), Editor\_loadEditor(), PlgContentLoadmodule\_loadid(), PlgContentLoadmodule\_loadmod(), ModulesControllerModule\add(), JGoogleEmbedAnalytics\addCall(), ActionlogsModelActionlog\addLog(), JObserverWrapperMapper\addObserverClassToClass(), JObserverMapper\addObserverClassToClass(), PHPMailer\addOrEnqueueAnAddress(), AKEncryptionAES\AESDecryptCBC(), JHtmlBootstrap\affix(), JHtmlTag\ajaxfield(), Stream\appendFilter(), JoomlaupdateModelDefault\applyUpdateSite(), FinderControllerIndexer\batch(), RedirectControllerLinks\batch(), RedirectModelLinks\batchProcess(), TagsRouter\build(), ContactRouterRulesLegacy\build(), ContentRouterRulesLegacy\build(), NewsfeedsRouterRulesLegacy\build(), JMediawikiObject\buildParameter(), Uri\buildQuery(), AbstractUri\buildQuery(), ContentHelperQuery\buildVotingQuery(), ContentControllerArticle\cancel(), TemplateHelper\canUpload(), MediaHelper\canUpload(), JHtmlBootstrap\carousel(), FinderTableFilter\check(), JAdminCssMenu\check(), TemplatesModelTemplate\checkFormat(), MediaHelper\checkMimeType(), UsersModelReset\checkResetLimit(), PHPMailer\clearQueuedAddresses(), JoomlaInstallerScript\clearStatsCache(), RedirectHelper\collectUrlsEnabled(), CategoryView\commonCategoryDisplay(), JHtmlIcon\create(), JGoogleEmbedAnalytics\createCall(), ContentHistory\createObserver(), Tags\createObserver(), InstallationModelDatabase\createTables(), Help\createUrl(), Installer\discover_install(), SiteApplication\dispatch(), ContentViewFeatured\display(), FinderViewSearch\display(), WrapperViewWrapper\display(), SearchViewSearch\display(), ContentViewArchive\display(), ContentViewArticle\display(), TagsViewTags\display(), ContentViewForm\display(), NewsfeedsViewNewsfeed\display(), CategoriesView\display(), ContactViewContact\display(), ActionlogsViewActionlogs\display(), ContactViewFeatured\display(), ContentViewCategory\display(), TagsViewTag\display(), TemplatesViewTemplate\display(), Editor\display(), PlgSystemFields\display(), PlgContentVote\displayVotingData(), PHPMailer\doCallback(), PlgSystemRedirect\doErrorHandling(), Updatecron\doExecute(), FOFDownloadAdapterCurl\downloadAndReturn(), FOFDownloadAdapterFopen\downloadAndReturn(), JHtmlIcon\edit(), JHtmlIcon\email(), InstallationModelLanguages\enablePlugin(), PopupButton\fetchButton(), FOFConfigDomainViews\getAcl(), UsersModelUser\getAssignedGroups(), ModMenuHelper\getBase(), ModQuickIconHelper\getButtons(), NewsfeedsModelCategory\getCategory(), ContactModelCategory\getCategory(), ContentModelCategory\getCategory(), ContentModelCategory\getChildren(), FOFConfigDomainViews\getConfig(), ConfigModelApplication\getData(), ContentModelArchive\getData(), LanguagesModelInstalled\getData(), UsersModelRegistration\getData(), ModFeedHelper\getFeed(), FOFConfigDomainTables\getField(), ActionlogsModelActionlogs\getFilterForm(), ModRandomImageHelper\getFolder(), ModRandomImageHelper\getImages(), JFormFieldNumber\getInput(), JFormFieldText\getInput(), EditorField\getInput(), InstallationModelLanguages\getInstalledlangs(), idna_convert\getInstance(), FinderIndexerAdapter\getItemMenuTitle(), NewsfeedsModelCategory\getItems(), ContactModelCategories\getItems(), ContentModelCategories\getItems(), NewsfeedsModelCategories\getItems(), ContentModelFeatured\getItems(), FOFFormHeader\getLabel(), ModSyndicateHelper\getLink(), ModBreadCrumbsHelper\getList(), ModStatsHelper\getList(), ModPopularHelper\getList(), ModArchiveHelper\getList(), ModArticlesCategoriesHelper\getList(), ModMenuHelper\getList(), ModRelatedItemsHelper\getList(), ModTagsPopularHelper\getList(), ModLatestHelper\getList(), ModLoggedHelper\getList(), ModBannersHelper\getList(), ModLatestActionsHelper\getList(), ModArticlesPopularHelper\getList(), ModTagssimilarHelper\getList(), ModArticlesNewsHelper\getList(), ModArticlesLatestHelper\getList(), ModArticlesCategoryHelper\getList(), ContentModelArchive\getListQuery(), ContentModelArticles\getListQuery(), Version\getMediaVersion(), BaseController\getModel(), FOFController\getModel(), MenusModelMenu\getModules(), PrivacyModelRequests\getNumberUrgentRequests(), ModWhosonlineHelper\getOnlineUserNames(), JFormFieldList\getOptions(), FieldsListPlugin\getOptionsFromField(), InstallerScript\getParam(), ModWrapperHelper\getParams(), ComponentRecord\getParams(), MenuItem\getParams(), FieldsModelField\getParams(), SiteApplication\getParams(), CategoryNode\getParams(), ModFinderHelper\getQuery(), ModRandomImageHelper\getRandomImage(), FOFFormFieldAccesslevel\getRepeatable(), PrivacyModelDashboard\getRequestFormPublished(), ModLoginHelper\getReturnUrl(), FOFFormFieldUsergroup\getStatic(), FOFFormFieldAccesslevel\getStatic(), AKEncryptionAES\getStaticSaltExpandedKey(), ModStatsHelper\getStats(), FinderControllerSuggestions\getSuggestions(), AdministratorApplication\getTemplate(), InstallationApplicationWeb\getTemplate(), SiteApplication\getTemplate(), CMSApplication\getTemplate(), JApplication\getTemplate(), ModLatestActionsHelper\getTitle(), ModLoggedHelper\getTitle(), ModPopularHelper\getTitle(), ModLatestHelper\getTitle(), ModQuickIconHelper\getTitle(), FOFConfigDomainViews\getToolbar(), ModUsersLatestHelper\getUsers(), ModVersionHelper\getVersion(), JGoogleAuthOauth2\googlize(), FOFDownload\importFromURL(), AdministratorApplication\initialiseApp(), SiteApplication\initialiseApp(), Associations\isEnabled(), JHtmlAccess\level(), JAdminCssMenu\load(), JHtmlTabs\loadBehavior(), JHtmlSliders\loadBehavior(), ModulesModelModule\loadFormData(), FOFTemplateUtils\loadPosition(), PHPMailer\mailPassthru(), PHPMailer\mailSend(), JHtmlBootstrap\modal(), JHtmlBehavior\modal(), modChrome_horz(), modChrome_html5(), modChrome_well(), modChrome_xhtml(), JOpenstreetmapElements\multiFetchElements(), Php\objectToString(), PlgActionlogJoomla\onContentAfterDelete(), PlgContentVote\onContentAfterDisplay(), PlgSystemFields\onContentAfterDisplay(), PlgActionlogJoomla\onContentAfterSave(), PlgSystemFields\onContentAfterTitle(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgContentVote\onContentBeforeDisplay(), PlgSystemFields\onContentBeforeDisplay(), PlgContentJoomla\onContentBeforeSave(), PlgActionlogJoomla\onContentChangeState(), PlgContentEmailcloak\onContentPrepare(), PlgContentContact\onContentPrepare(), PlgContentPagebreak\onContentPrepare(), FieldsPlugin\onCustomFieldsPrepareDom(), FieldsPlugin\onCustomFieldsPrepareField(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), FOFViewRaw\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgActionlogJoomla\onExtensionAfterDelete(), PlgActionlogJoomla\onExtensionAfterSave(), ContactRouterRulesLegacy\parse(), NewsfeedsRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), HtmlDocument\parse(), SimplePie_Cache\parse_URL(), JHtmlBootstrap\popover(), ConfigModelTemplates\populateState(), MessagesModelConfig\populateState(), ModulesModelSelect\populateState(), ContentModelArticle\populateState(), NewsfeedsModelNewsfeed\populateState(), ContentModelForm\populateState(), ContentModelArchive\populateState(), ContentModelFeatured\populateState(), ContentModelCategories\populateState(), ContactModelCategories\populateState(), ModulesModelPositions\populateState(), SearchModelSearches\populateState(), NewsfeedsModelCategories\populateState(), UsersModelLevels\populateState(), UsersModelGroups\populateState(), TemplatesModelStyles\populateState(), LanguagesModelLanguages\populateState(), PluginsModelPlugins\populateState(), TagsModelTags\populateState(), LanguagesModelLanguage\populateState(), UsersModelRemind\populateState(), ModulesModelModules\populateState(), UsersModelUsers\populateState(), MenusModelItems\populateState(), TemplatesModelStyle\populateState(), NewsfeedsModelNewsfeeds\populateState(), ContentModelArticles\populateState(), RedirectModelLinks\populateState(), UsersModelLogin\populateState(), TagsModelTag\populateState(), MenusModelMenu\populateState(), ModulesModelModule\populateState(), UsersModelDebuggroup\populateState(), UsersModelDebugUser\populateState(), LanguagesModelInstalled\populateState(), ContentModelCategory\populateState(), FinderModelFilters\populateState(), UsersModelReset\populateState(), CategoriesModelCategory\populateState(), TemplatesModelTemplates\populateState(), FinderModelSuggestions\populateState(), TemplatesModelTemplate\populateState(), PrivacyModelRemind\populateState(), NewsfeedsModelCategory\populateState(), ContactModelFeatured\populateState(), PrivacyModelConfirm\populateState(), ContactModelCategory\populateState(), PrivacyModelRequest\populateState(), UsersModelProfile\populateState(), FinderModelMaps\populateState(), ContenthistoryModelHistory\populateState(), FinderModelIndex\populateState(), UsersModelRegistration\populateState(), FieldsModelField\populateState(), MenusModelItem\populateState(), FinderModelSearch\populateState(), JHtmlContent\prepare(), FinderIndexerHelper\prepareContent(), Stream\prependFilter(), ContentModelForm\preprocessForm(), PHPMailer\preSend(), JHtmlIcon\print_popup(), JHtmlIcon\print_screen(), FinderIndexerQuery\processStaticTaxonomy(), LanguagesModelInstalled\publish(), MenusModelItem\rebuild(), ContentViewCategory\reconcileNames(), UsersModelRegistration\register(), MessageRenderer\render(), ModulesRenderer\render(), ModuleRenderer\render(), ImageDocument\render(), RawDocument\render(), XmlDocument\render(), ErrorDocument\render(), OpensearchDocument\render(), FeedDocument\render(), JApplication\render(), HtmlDocument\render(), JHtmlBootstrap\renderModal(), ModuleHelper\renderModule(), MenuHelper\resolveAlias(), ContentControllerArticle\save(), LibraryHelper\saveParams(), JHtmlBootstrap\scrollspy(), UsersModelMail\send(), ActionlogsModelActionlog\sendNotificationEmails(), FinderControllerIndexer\sendResponse(), InstallationModelLanguages\setDefault(), FieldsModelField\setFieldValue(), Version\setMediaVersion(), FOFViewHtml\setPageTitle(), ComponentRecord\setParams(), InstallerScript\setParams(), Node\setParams(), MenuItem\setParams(), Installer\setupInstall(), idna_convert\singleton(), FinderControllerIndexer\start(), JHtmlTabs\start(), JHtmlSliders\start(), JHtmlBootstrap\startAccordion(), JHtmlBootstrap\startPane(), JHtmlBootstrap\startTabSet(), Post\submit(), HttpBridgePostRequestMethod\submit(), CurlPost\submit(), SocketPost\submit(), JFormRuleContactEmailMessage\test(), JFormRuleContactEmailSubject\test(), JFormRuleContactEmail\test(), PasswordRule\test(), RequestParameters\toArray(), JHtmlBehavior\tooltip(), JHtmlBootstrap\tooltip(), JHtmlBehavior\tree(), JHtmlBootstrap\typeahead(), LanguageAdapter\uninstall(), Installer\uninstall(), JObserverUpdater\update(), MediaControllerFile\upload(), ReCaptcha\verify(), et MenusHtmlMenus\visibility().

◆ $purchaseTypes

$purchaseTypes
Valeur initiale :
= array(
'1' => 'UNLIMITED',
'2' => 'YEARLY',
'3' => 'MONTHLY',
'4' => 'WEEKLY',
'5' => 'DAILY',
)

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • download
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_banners/views/download/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • tracks
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_banners/views/tracks/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
else __pad0__
foreach ( $this->items as $i=> $item)
endforeach
endif

Documentation des variables

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad0__

else __pad0__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • views
  • cache
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_cache/views/cache/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty($this->sidebar)) else
$i = 0
foreach ( $this->data as $folder=> $item)
endforeach
endif

Documentation des variables

◆ $i

$i = 0

Référencé par JException\__construct(), idna_convert\_apply_cannonical_ordering(), UserHelper\_bin(), Pagination\_buildDataObject(), PlgContentPagebreak\_createToc(), idna_convert\_decode(), FOFDispatcher\_decryptWithTOTP(), idna_convert\_encode(), InstallerModel\_getList(), PluginsModelPlugins\_getList(), idna_convert\_hangul_compose(), SimpleCipher\_hexToInt(), SimpleCipher\_hexToIntArray(), SimpleCipher\_intToHex(), idna_convert\_nameprep(), HtmlDocument\_parseTemplate(), TagsViewTags\_prepareDocument(), JArrayHelper\_sortObjects(), FOFUtilsArray\_sortObjects(), idna_convert\_ucs4_string_to_ucs4(), JHtmlJGrid\action(), JHtmlAccess\actions(), UsersModelUser\activate(), ParagonIE_Sodium_Compat\add(), ArrayHelper\addColumn(), AKEncryptionAES\AESDecryptCtr(), AKEncryptionAES\AESEncryptCtr(), Registry\append(), lessc_parser\argumentDef(), JHtmlRules\assetFormWidget(), PHPMailer\base64EncodeWrapMB(), UsersModelUser\block(), JHtmlGrid\boolean(), FinderRouter\build(), BannersRouter\build(), TagsRouter\build(), ContactRouterRulesLegacy\build(), ContentRouterRulesLegacy\build(), NewsfeedsRouterRulesLegacy\build(), UsersRouterRulesLegacy\build(), RouterLegacy\build(), JHtmlIcons\button(), JHtmlNumber\bytes(), FOFTable\canDelete(), TemplateHelper\canUpload(), SimplePie_Misc\change_encoding(), FOFEncryptTotp\checkCode(), JHtmlGrid\checkedOut(), AKEncryptionAES\Cipher(), FileStorage\clean(), InputFilter\cleanAttributes(), ModuleHelper\cleanModuleList(), AbstractUri\cleanPath(), InputFilter\cleanTags(), lessc\coerceColor(), FOFLess\coerceColor(), ParagonIE_Sodium_Core_Util\compare(), ParagonIE_Sodium_Core32_BLAKE2b\compress(), ParagonIE_Sodium_Core_BLAKE2b\compress(), ParagonIE_Sodium_Core32_BLAKE2b\context(), ParagonIE_Sodium_Core_BLAKE2b\context(), ParagonIE_Sodium_Core_Salsa20\core_salsa20(), HtmlDocument\countModules(), InstallationModelDatabase\createDatabase(), MenuHelper\createLevels(), AKEncryptionAES\createTheWrongIV(), SimplePie_Parse_Date\date_w3cdtf(), Router\decodeSegments(), SimpleCipher\decrypt(), MenusControllerMenus\delete(), MessagesModelMessage\delete(), FinderModelMaps\delete(), FinderModelIndex\delete(), ContenthistoryModelHistory\delete(), InstallerModelUpdatesites\delete(), UsersModelGroup\delete(), UsersModelUser\delete(), AdminModel\delete(), JKeychain\deleteValue(), InstallationModelFtp\detectFtpRoot(), TagsViewTag\display(), SearchViewSearch\display(), ContentViewArchive\display(), ContentViewFeatured\display(), ContactViewFeatured\display(), ContentViewCategory\display(), PHPMailer\DKIM_QP(), ArrayHelper\dropColumn(), JGithubPackageOrgs\edit(), PasswordHash\encode64(), Router\encodeSegments(), SimpleCipher\encrypt(), SimplePie_Decode_HTML_Entities\entity(), AKEncryptionAES\expandKey(), JArchiveTar\extract(), Tar\extract(), TemplatesModelTemplate\extractArchive(), Zip\extractCustom(), JArchiveZip\extractCustom(), ParagonIE_Sodium_Core_Curve25519\fe_invert(), ParagonIE_Sodium_Core32_Curve25519\fe_invert(), ParagonIE_Sodium_Core_Curve25519\fe_neg(), ParagonIE_Sodium_Core32_Curve25519\fe_neg(), ParagonIE_Sodium_Core_Curve25519\fe_normalize(), ParagonIE_Sodium_Core_Curve25519\fe_pow22523(), ParagonIE_Sodium_Core32_Curve25519\fe_pow22523(), JHtmlContentAdministrator\featured(), JHtmlContact\featured(), Form\findGroup(), nodecounter\findNode(), ParagonIE_Sodium_Core_BLAKE2b\finish(), lessc\fixColor(), FOFLess\fixColor(), JDatabaseQuerySqlsrv\fixGroupColumns(), JDatabaseQuerySqlsrv\fixSelectAliases(), FOFDatabaseQuery\format(), JDatabaseQuery\format(), ParagonIE_Sodium_Core32_Curve25519_Fe\fromArray(), SplFixedArray\fromArray(), lessc\funcToColor(), FOFLess\funcToColor(), ParagonIE_Sodium_Core32_BLAKE2b\G(), ParagonIE_Sodium_Core_BLAKE2b\G(), ParagonIE_Sodium_Core32_Curve25519\ge_select(), UsersModelUser\generateOteps(), JGoogleDataAdsense\generateReport(), JHtmlList\genericordering(), UserHelper\genRandomPassword(), PasswordHash\gensalt_blowfish(), SimplePie_Misc\get_element(), PasswordHash\get_random_bytes(), JDatabaseImporterPdomysql\getAlterTableSql(), JDatabaseImporterPostgresql\getAlterTableSql(), JDatabaseImporterMysqli\getAlterTableSql(), TemplatesModelTemplate\getArchive(), Php\getArrayString(), UserHelper\getCryptedPassword(), FOFUtilsObject\getError(), CMSObject\getError(), AKAbstractObject\getError(), JException\getError(), FinderIndexerQuery\getExcludedTermIds(), FinderIndexerStemmerFr\getFirstRule(), MediaModelManager\getFolderTree(), JFormFieldUserMessages\getGroups(), ModRandomImageHelper\getImages(), FinderIndexerQuery\getIncludedTermIds(), InstallationModelSetup\getIniParserAvailability(), JoomlaupdateModelDefault\getIniParserAvailability(), InstallationFormFieldPrefix\getInput(), JFormFieldModulelayout\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldComponentlayout\getInput(), AKAbstractObject\getItemFromArray(), ContactModelCategory\getItems(), ContactModelFeatured\getItems(), CheckinModelCheckin\getItems(), AbstractMenu\getItems(), JFormFieldTinymceBuilder\getLayoutData(), Pagination\getLimitBox(), ModBreadCrumbsHelper\getList(), ModStatsHelper\getList(), ModArchiveHelper\getList(), ModLanguagesHelper\getList(), ModMenuHelper\getList(), FinderModelSearch\getListQuery(), LoginModelLogin\getLoginModule(), ModuleHelper\getModule(), ModuleHelper\getModuleById(), ModuleHelper\getModules(), ModulesHelper\getModules(), JFormFieldSkins\getOptions(), JFormFieldMenuParent\getOptions(), JFormFieldAliastag\getOptions(), JFormFieldInteger\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldCategory\getOptions(), JFormFieldGroupParent\getOptions(), JFormFieldPlugins\getOptions(), JFormFieldCategoryEdit\getOptions(), FOFFormFieldList\getOptions(), Pagination\getPagesLinks(), Pagination\getPaginationPages(), Path\getPermissions(), ModRandomImageHelper\getRandomImage(), FinderIndexerQuery\getRequiredTermIds(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), UserHelper\getSalt(), ModStatsHelper\getStats(), FinderIndexerQuery\getTokenData(), AKAbstractObject\getWarning(), JHtmlUser\groups(), ParagonIE_Sodium_Core_Ristretto255\h2c_string_to_hash_sha256(), ParagonIE_Sodium_Core_Ristretto255\h2c_string_to_hash_sha512(), JError\handleEcho(), Php56\hash_equals(), Php55\hash_pbkdf2(), ParagonIE_Sodium_Core_HChaCha20\hChaCha20Bytes(), ParagonIE_Sodium_Core_HSalsa20\hsalsa20(), PluginHelper\importPlugin(), ParagonIE_Sodium_Compat\increment(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverMysql\index(), FinderIndexerDriverSqlsrv\index(), FinderCli\index(), ParagonIE_Sodium_Core32_BLAKE2b\init(), ParagonIE_Sodium_Core_BLAKE2b\init(), SimplePie\init(), JHtmlSelect\integerlist(), FOFUtilsIp\IPinList(), IpHelper\IPinList(), ParagonIE_Sodium_Compat\is_zero(), InputFilter\isSafeFile(), PHPMailer\isShellSafe(), ContenthistoryModelHistory\keep(), AKEncryptionAES\KeyExpansion(), Php56\ldap_escape(), LdapClient\ldapNetAddr(), lessc\lib__sprintf(), FOFLess\lib__sprintf(), JHtmlLinks\link(), FOFFormHelper\loadClass(), FormHelper\loadClass(), JFormFieldSubform\loadSubFormData(), map_iso8859_1_w1252(), map_w1252_iso8859_1(), UCMContent\mapData(), AKEncryptionAES\MixColumns(), ParagonIE_Sodium_Core32_Int32\mulInt32Fast(), ParagonIE_Sodium_Core32_Int64\mulInt64Fast(), ParagonIE_Sodium_Core32_Int32\mulIntFast(), ParagonIE_Sodium_Core32_Int64\mulIntFast(), PlgSystemLanguageFilter\onAfterDispatch(), PlgSampledataBlog\onAjaxSampledataApplyStep1(), PlgSampledataBlog\onAjaxSampledataApplyStep2(), FinderIndexerAdapter\onBuildIndex(), PlgSearchCategories\onContentSearch(), lessc\op_color_color(), FOFLess\op_color_color(), FinderIndexerDriverPostgresql\optimize(), FinderIndexerDriverMysql\optimize(), ContentHelperQuery\orderDownColumns(), Pagination\orderDownIcon(), ModulesControllerModule\orderPosition(), Pagination\orderUpIcon(), Inline\parse(), SearchRouter\parse(), BannersRouter\parse(), RouterLegacy\parse(), FinderRouter\parse(), TagsRouter\parse(), ContactRouterRulesLegacy\parse(), NewsfeedsRouterRulesLegacy\parse(), UsersRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), AKText\parse_ini_file(), FOFUtilsIniParser\parse_ini_file_php(), JInputCli\parseArguments(), Cli\parseArguments(), Utility\parseAttributes(), Parser\parseBlockScalar(), Inline\parseMapping(), AdminModelSysInfo\parsePhpInfo(), Inline\parseQuotedScalar(), JApplicationWebRouterBase\parseRoute(), Inline\parseScalar(), Inline\parseSequence(), ModulesHelperXML\parseXMLModuleFile(), Text\passSprintf(), lessc\patternMatch(), FOFLess\patternMatch(), McryptCipher\pbkdf2(), AKEncryptionAES\pbkdf2(), JHtmlBanner\pinned(), PlgContentFields\prepare(), JAdminCssMenu\preprocess(), ColorProcessor\process(), FinderIndexerQuery\processString(), InstallerModelUpdatesites\publish(), InstallerModelManage\publish(), MessagesModelMessage\publish(), FinderModelMaps\publish(), FinderModelIndex\publish(), AdminModel\publish(), MenusModelItem\publish(), JHtmlRedirect\published(), JHtmlGrid\published(), FinderModelIndex\purge(), FOFDatabaseDriverJoomla\quoteName(), FOFDatabaseDriver\quoteName(), JDatabaseDriver\quoteName(), Usergroup\rebuild(), UsersControllerRegistration\register(), FinderIndexer\remove(), FinderIndexerDriverSqlsrv\remove(), Registry\remove(), SimplePie_IRI\remove_iunreserved_percent_encoded(), RssRenderer\render(), AtomRenderer\render(), PlgSystemDebug\renderBars(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), AdminModel\reorder(), Table\reorder(), FOFTable\reorder(), ParagonIE_Sodium_Core_Ristretto255\ristretto255_point_is_canonical(), ParagonIE_Sodium_Core_Ristretto255\ristretto255_scalar_from_string(), AKEncryptionAES\RotWord(), ParagonIE_Sodium_Core_Salsa20\salsa20(), ParagonIE_Sodium_Core32_Salsa20\salsa20(), ParagonIE_Sodium_Core_Salsa20\salsa20_xor_ic(), ParagonIE_Sodium_Core32_Salsa20\salsa20_xor_ic(), MessagesControllerConfig\save(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), MenusControllerMenu\save(), LanguagesControllerOverride\save(), UsersControllerProfile\save(), TemplatesControllerTemplate\save(), MenusControllerItem\save(), ContentModelArticle\save(), FormController\save(), UsersModelLevels\saveorder(), AdminController\saveorder(), AdminModel\saveorder(), Nested\saveorder(), FOFController\saveorder(), LanguagesControllerLanguages\saveOrderAjax(), AdminController\saveOrderAjax(), ParagonIE_Sodium_Core_Curve25519\sc25519_sqmul(), ParagonIE_Sodium_Crypto32\scalarmult_throw_if_zero(), ParagonIE_Sodium_Crypto\scalarmult_throw_if_zero(), JLinkedinCompanies\search(), JLinkedinPeople\search(), JLinkedinJobs\search(), LdapClient\search(), Mail\sendMail(), Registry\set(), MenusModelItem\setHome(), UserHelper\setUserGroups(), ArrayHelper\sortObjects(), InstallationModelDatabase\splitQueries(), JDatabaseDriver\splitSql(), FOFDatabaseDriver\splitSql(), JDatabaseQuerySqlsrv\splitSqlExpression(), InstallerHtmlUpdatesites\state(), InstallerHtmlManage\state(), JHtmlMessages\state(), JHtmlModules\state(), MenusHtmlMenus\state(), JHtmlMessages\status(), ParagonIE_Sodium_Core32_BLAKE2b\store64(), tagparse\string(), ParagonIE_Sodium_Core32_BLAKE2b\stringToContext(), ParagonIE_Sodium_Core_BLAKE2b\stringToContext(), SimplePie_Sanitize\strip_tag(), ParagonIE_Sodium_Compat\sub(), AKEncryptionAES\SubWord(), tagparse\tag(), PlgEditorTinymce\tinyButtons(), tln_deent(), tln_fixstyle(), DataSet\toArray(), FOFUtilsArray\toInteger(), FinderIndexerHelper\tokenize(), JHtmlString\truncate(), uctc\ucs4_ucs4array(), ParagonIE_Sodium_Compat\unpad(), ParagonIE_Sodium_Core32_BLAKE2b\update(), ParagonIE_Sodium_Core_BLAKE2b\update(), JHtmlAccess\usergroup(), JHtmlAccess\usergroups(), uctc\utf7_ucs4array(), utf8_bad_identify(), utf8_byte_position(), utf8_ireplace(), utf8_is_valid(), utf8_strtolower(), utf8_strtoupper(), utf8_to_unicode(), UsersModelLevel\validate(), lessc\zipSetArgs(), et FOFLess\zipSetArgs().

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ else

if (!empty( $this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->data as $folder=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • views
  • purge
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_cache/views/purge/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • categories
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_categories/views/categories/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$extension = $this->escape($this->state->get('filter.extension'))
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = ($listOrder == 'a.lft' && strtolower($listDirn) == 'asc')
$parts = explode('.', $extension, 2)
$component = $parts[0]
$section = null
$columns = 7
if(count($parts) > 1) | if ( $saveOrder)
else __pad0__
else null
else | if (isset( $this->items[0]) &&property_exists( $this->items[0], 'count_published'))
endif
if (isset( $this->items[0]) &&property_exists( $this->items[0], 'count_unpublished'))
if (isset( $this->items[0]) &&property_exists( $this->items[0], 'count_archived'))
if (isset( $this->items[0]) &&property_exists( $this->items[0], 'count_trashed'))
$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', $extension . '.category.' . $item->id) && $item->created_user_id == $userId
$canChange = $user->authorise('core.edit.state', $extension . '.category.' . $item->id) && $canCheckin
if($item->level > 1) | else
else __pad1__
else __pad2__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $canChange

$canChange = $user->authorise('core.edit.state', $extension . '.category.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', $extension . '.category.' . $item->id) && $item->created_user_id == $userId

Référencé par ContactControllerContact\allowEdit(), et NewsfeedsControllerNewsfeed\allowEdit().

◆ $columns

$columns = 7

Référencé par JDatabaseQuerySqlsrv\__toString(), JDatabaseQueryPostgresql\__toString(), RedirectModelLinks\batchProcess(), FOFDatabaseQuery\call(), JDatabaseQuery\call(), FOFDatabaseQuery\columns(), JDatabaseQuery\columns(), MetadataManager\createRecordIfNonExisting(), InstallationModelConfiguration\createRootUser(), FOFDatabaseQuery\exec(), JDatabaseQuery\exec(), ContentModelArticle\featured(), JDatabaseQuerySqlsrv\fixSelectAliases(), FOFDatabaseDriver\getAlterTableCharacterSet(), JDatabaseDriver\getAlterTableCharacterSet(), JGrid\getColumns(), JDatabaseImporterPdomysql\getKeySql(), JDatabaseImporterMysqli\getKeySql(), JFormFieldTextarea\getLayoutData(), FOFDatabaseDriverSqlite\getTableColumns(), JDatabaseDriverSqlite\getTableColumns(), JDatabaseDriverOracle\getTableColumns(), FOFDatabaseDriverOracle\getTableColumns(), FOFDatabaseQuery\group(), JDatabaseQuery\group(), JDatabaseDriverPgsql\insertObject(), FOFDatabaseDriverPostgresql\insertObject(), JDatabaseDriverPostgresql\insertObject(), PlgSystemActionLogs\onUserAfterSave(), FOFDatabaseQuery\order(), JDatabaseQuery\order(), TemplateAdapter\parseQueries(), FOFDatabaseQuery\select(), JDatabaseQuery\select(), JGrid\setColumns(), JDatabaseQuerySqlsrv\splitSqlExpression(), JDatabaseDriverPgsql\sqlValue(), FOFDatabaseDriverPostgresql\sqlValue(), JDatabaseDriverPostgresql\sqlValue(), JDatabaseDriverPgsql\updateObject(), FOFDatabaseDriverPostgresql\updateObject(), et JDatabaseDriverPostgresql\updateObject().

◆ $component

$component = $parts[0]

◆ $extension

$extension = $this->escape($this->state->get('filter.extension'))

Référencé par FOFUtilsFilescheck\__construct(), CategoriesModelCategory\__construct(), FOFUtilsUpdate\__construct(), CategoriesHelper\addSubmenu(), TagsHelper\addSubmenu(), CategoriesViewCategory\addToolbar(), JHtmlCategoriesAdministrator\association(), CategoriesModelCategory\batchCopy(), CategoriesModelCategory\batchMove(), JHtmlCategory\categories(), AdminModel\checkCategoryId(), AssociationsControllerAssociations\checkin(), PlgActionlogJoomla\checkLoggable(), CategoriesModelCategory\cleanCache(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), NewsfeedsHelper\countTagItems(), ContactHelper\countTagItems(), ContentHelper\countTagItems(), SimplePie_Cache\create(), InstallationModelDatabase\createTables(), ModuleAdapter\discover(), LibraryAdapter\discover(), TemplateAdapter\discover(), PluginAdapter\discover(), LanguageAdapter\discover(), ComponentAdapter\discover(), CategoryFeedView\display(), AssociationsViewAssociations\display(), AssociationsViewAssociation\display(), InstallerAdapter\doLoadLanguage(), FileAdapter\extensionExistsInSystem(), MenusControllerAjax\fetchAssociations(), CategoriesControllerAjax\fetchAssociations(), SimplePie_Cache\get_handler(), CategoriesHelper\getActions(), CategoriesModelCategories\getAssoc(), CategoriesModelCategory\getAssoc(), Associations\getAssociations(), CategoriesHelper\getAssociations(), CategoryHelperAssociation\getCategoryAssociations(), RouteHelper\getCategoryRoute(), JoomlaupdateModelDefault\getCollectionDetailsUrls(), UsersHelperDebug\getComponents(), ActionlogsHelperPhp55\getCsvAsGenerator(), ActionlogsHelper\getCsvData(), UsersHelperDebug\getDebugActions(), PostinstallModelMessages\getExtensionName(), AdminModelSysInfo\getExtensions(), CategoriesModelCategory\getForm(), JFormFieldItemType\getGroups(), JFormFieldModal_Category\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldComponentlayout\getInput(), Categories\getInstance(), ModulesModelModule\getItem(), TagsModelTags\getItems(), CategoriesModelCategories\getItems(), MenusModelItems\getItems(), InstallerModelLanguages\getLanguages(), ActionlogsModelActionlogs\getListQuery(), AssociationsModelAssociations\getListQuery(), CategoriesModelCategories\getListQuery(), ActionlogsModelActionlogs\getLogsForItem(), ModulesHelper\getModules(), JoomlaupdateModelDefault\getNonCoreExtensions(), JFormFieldAliastag\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldComponentsCategory\getOptions(), JFormFieldConfigComponents\getOptions(), JFormFieldComponents\getOptions(), JFormFieldCategory\getOptions(), JFormFieldExtension\getOptions(), JFormFieldLogType\getOptions(), JFormFieldPlugins\getOptions(), JFormFieldCategoryEdit\getOptions(), Language\getPaths(), CategoriesControllerCategory\getRedirectToItemAppend(), CategoriesControllerCategory\getRedirectToListAppend(), AssociationsHelper\getSupportedExtensions(), FinderIndexerAdapter\getUrl(), HTMLHelper\includeRelativeFiles(), PlgFinderCategories\index(), JoomlaupdateModelDefault\isNonCoreExtension(), UsersModelUser\isValidSecretKey(), JHtmlBatch\item(), Language\load(), ActionlogsHelper\loadActionLogPluginsLanguage(), CategoriesModelCategory\loadFormData(), CMSPlugin\loadLanguage(), FileAdapter\loadLanguage(), LibraryAdapter\loadLanguage(), TemplateAdapter\loadLanguage(), ModuleAdapter\loadLanguage(), PluginAdapter\loadLanguage(), ComponentAdapter\loadLanguage(), Language\loadLanguage(), ActionlogsHelper\loadTranslationFiles(), PlgSystemHighlight\onAfterDispatch(), PlgContentFinder\onCategoryChangeState(), PlgContentJoomla\onContentBeforeDelete(), PlgButtonImage\onDisplay(), PlgFinderContent\onFinderCategoryChangeState(), PlgFinderContacts\onFinderCategoryChangeState(), PlgFinderNewsfeeds\onFinderCategoryChangeState(), JHtmlCategory\options(), PlgSystemLanguageFilter\parseRule(), ActionlogsModelActionlogs\populateState(), TagsModelTags\populateState(), CategoriesModelCategories\populateState(), CategoriesModelCategory\populateState(), CategoriesModelCategory\preprocessForm(), AdminController\publish(), CategoriesModelCategory\publish(), AdminModel\redirectToAssociations(), PlgSystemActionLogs\renderActionlogsExtensions(), FOFRenderAbstract\renderCategoryLinkbar(), ConfigModelApplication\save(), TemplatesModelStyle\save(), AKAbstractUnarchiver\scanArchives(), ActionlogsModelActionlog\sendNotificationEmails(), TemplatesModelStyle\setHome(), InstallerModel\translate(), PluginsModelPlugins\translate(), ModulesModelModules\translate(), JoomlaupdateModelDefault\translateExtensionName(), PackageAdapter\uninstall(), LanguageAdapter\uninstall(), JoomlaInstallerScript\updateManifestCaches(), et CategoriesHelper\validateCategoryId().

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $parts

$parts = explode('.', $extension, 2)

◆ $saveOrder

$saveOrder = ($listOrder == 'a.lft' && strtolower($listDirn) == 'asc')

◆ $section

$section = null

Référencé par ContentHelper\_getActions(), JHtmlAccess\actions(), CategoriesHelper\addSubmenu(), FieldsViewField\addToolbar(), CategoriesViewCategory\addToolbar(), FieldsViewFields\addToolbar(), CategoriesViewCategories\addToolbar(), AdminModelSysInfo\cleanPrivateData(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), NewsfeedsHelper\countTagItems(), ContactHelper\countTagItems(), ContentHelper\countTagItems(), CategoryFactory\createCategory(), AdminViewSysinfo\display(), CategoriesViewCategory\display(), JMediawikiPages\editPage(), FieldsHelper\extract(), ContentHelper\getActions(), Access\getActions(), RulesRule\getFieldActions(), JFormFieldRules\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), Categories\getInstance(), FOFUtilsUpdateJoomla\getUpdates(), PlgSearchContacts\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSystemFields\onPrepareFinderContent(), PlgTwofactorauthYubikey\onUserTwofactorIdentify(), PlgTwofactorauthTotp\onUserTwofactorIdentify(), SimplePie_Misc\parse_str(), FieldsModelGroup\preprocessForm(), CategoriesModelCategory\preprocessForm(), FieldsModelField\preprocessForm(), Ini\stringToObject(), ContactHelper\validateSection(), ContentHelper\validateSection(), et UsersHelper\validateSection().

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ else

if ( $item->level > 1) else
Valeur initiale :
{
$parentsStr = ''

◆ endforeach

endforeach

◆ endif

endif

◆ if [1/5]

if($canChange)

◆ if [2/5]

else if(isset($this->items[0]) &&property_exists($this->items[0], 'count_published'))

◆ if [3/5]

if(isset($this->items[0]) &&property_exists($this->items[0], 'count_unpublished'))

◆ if [4/5]

if(isset($this->items[0]) &&property_exists($this->items[0], 'count_archived'))

◆ if [5/5]

if(isset($this->items[0]) &&property_exists($this->items[0], 'count_trashed'))

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
  • views
  • checkin
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_checkin/views/checkin/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
$i = 0
foreach ( $this->items as $table=> $count)

Documentation des variables

◆ $i

$i = 0

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ else

if (!empty($this->sidebar)) else

◆ foreach

foreach($this->items as $table=> $count)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_config/view/application/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • component
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_config/view/component/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$template = $app->getTemplate()
jQuery (document).ready(function()
index php | option
endif
$label = empty($fieldSet->label) ? 'COM_CONFIG_' . $name . '_FIELDSET_LABEL' : $fieldSet->label
endforeach
foreach($this->form->getFieldset($name) as $field) | $groupClass = $field->type === 'Spacer' ? ' field-spacer' : ''
$dataShowOn = ' data-showon=\'' . json_encode(JFormHelper::parseShowOnConditions($field->showon, $field->formControl, $field->group)) . '\''
if($field->hidden) | else
if ( $name !='permissions')
else __pad0__

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $dataShowOn

$dataShowOn = ' data-showon=\'' . json_encode(JFormHelper::parseShowOnConditions($field->showon, $field->formControl, $field->group)) . '\''

◆ $groupClass

foreach ( $this->form->getFieldset( $name) as $field) $groupClass = $field->type === 'Spacer' ? ' field-spacer' : ''

Référencé par FOFRenderJoomla\renderFieldset(), et FOFRenderStrapper\renderFieldset().

◆ $label

$label = empty($fieldSet->label) ? 'COM_CONFIG_' . $name . '_FIELDSET_LABEL' : $fieldSet->label

Référencé par FOFFormHeader\__get(), FormField\__get(), JGoogleEmbedAnalytics\addEvent(), JHtmlSidebar\addFilter(), JSubMenuHelper\addFilter(), JGoogleEmbedAnalytics\createEvent(), ConfigModelModules\createOptionGroup(), ModulesHelper\createOptionGroup(), JGithubPackageIssues\deleteLabel(), JGithubPackageIssues\editLabel(), SimplePie_Source\get_categories(), SimplePie_Item\get_categories(), SimplePie\get_categories(), SimplePie_Item\get_enclosures(), ContenthistoryHelper\getFormValues(), JFormFieldGroupedList\getGroups(), MenuField\getGroups(), FOFFormHeaderField\getHeader(), ModulesModelPositions\getItems(), JFormFieldTos\getLabel(), JFormFieldDob\getLabel(), JFormFieldSpacer\getLabel(), ContenthistoryField\getLayoutData(), FormField\getLayoutData(), FOFFormFieldGroupedlist\getOptionName(), JHtmlSelect\groupedlist(), Profiler\mark(), JHtmlSelect\options(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderStrapper\renderFormRaw(), et JGithubPackageIssuesLabels\update().

◆ $template

$template = $app->getTemplate()

Référencé par HtmlDocument\_fetchTemplate(), TemplatesModelTemplate\compileLess(), TemplatesModelTemplate\copy(), TemplatesModelTemplate\copyFile(), TemplatesModelTemplate\createFile(), TemplatesModelTemplate\createFolder(), TemplatesModelTemplate\createOverride(), TemplatesModelTemplate\cropImage(), TemplatesModelTemplate\deleteFile(), TemplatesModelTemplate\deleteFolder(), TemplateAdapter\discover(), AdministratorApplication\dispatch(), SiteApplication\dispatch(), JHtmlIcon\email(), TemplatesModelTemplate\extractArchive(), TemplatesModelTemplate\fixTemplateName(), TemplatesModelTemplate\getArchive(), TemplatesModelTemplate\getFile(), TemplatesModelTemplate\getFiles(), TemplatesModelTemplate\getFont(), TemplatesModelStyle\getForm(), TemplatestyleField\getGroups(), ChromestyleField\getGroups(), TemplatesModelTemplate\getImage(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldFieldlayout\getInput(), ModulesModelPositions\getItems(), PluginHelper\getLayoutPath(), ModuleHelper\getLayoutPath(), PlgSystemStatsFormFieldBase\getLayoutPaths(), PlgSystemStats\getLayoutPaths(), TemplatesModelStyles\getListQuery(), TemplatesModelTemplate\getOverridesList(), ChromestyleField\getSystemTemplate(), TemplatesModelTemplate\getTemplate(), AdministratorApplication\getTemplate(), InstallationApplicationWeb\getTemplate(), SiteApplication\getTemplate(), CMSApplication\getTemplate(), JApplication\getTemplate(), ChromestyleField\getTemplateModuleStyles(), ModulesHelper\getTemplates(), ModulesHelper\getTranslatedModulePosition(), MenusModelMenutypes\getTypeOptionsFromLayouts(), hathormessage_postinstall_action(), hathormessage_postinstall_condition(), HTMLHelper\includeRelativeFiles(), JoomlaupdateModelDefault\isTemplateActive(), lessc\lib__sprintf(), FOFLess\lib__sprintf(), FOFView\loadAnyTemplate(), ConfigViewCmsHtml\loadTemplate(), HtmlView\loadTemplate(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), ModulesModelPositions\populateState(), JHtmlModules\positions(), ConfigModelTemplates\preprocessForm(), TemplatesModelStyle\preprocessForm(), TemplatesModelTemplate\renameFile(), ExceptionHandler\render(), ErrorDocument\render(), JApplication\render(), SiteApplication\render(), ModuleHelper\renderModule(), TemplatesModelTemplate\resizeImage(), TemplatesModelTemplate\save(), SiteApplication\setTemplate(), JHtmlModules\templates(), JHtmlTemplates\thumb(), JHtmlTemplates\thumbModal(), et TemplatesModelTemplate\uploadFile().

◆ __pad0__

else __pad0__

◆ else

if ( $field->hidden) else

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($name !='permissions')

◆ jQuery

jQuery(document).ready(function()

◆ option

index php option
Valeur initiale :
=com_config'); ?>" id="component-form" method="post" name="adminForm" autocomplete="off" class="form-validate form-horizontal">
<div class="row-fluid">
<!-- Begin Sidebar -->
<div class="span2" id="sidebar">
<div class="sidebar-nav">
<?php echo $this->loadTemplate('navigation'); ?>
</div>
</div><!-- End Sidebar -->
<div class="span10" id="config">
<?php if ($this->fieldsets): ?>
<ul class="nav nav-tabs" id="configTabs">
<?php foreach ($this->fieldsets as $name => $fieldSet) : ?>
<?php $dataShowOn = ''; ?>
<?php if (!empty($fieldSet->showon)) : ?>
<?php JHtml::_('jquery.framework'); ?>
<?php JHtml::_('script', 'jui/cms.js', array('version' => 'auto', 'relative' => true)); ?>
<?php $dataShowOn = ' data-showon=\'' . json_encode(JFormHelper::parseShowOnConditions($fieldSet->showon, $this->formControl)) . '\''
$fieldSet
$fieldSet
Definition: administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php:16
json_encode
json_encode('#' . $selector . 'Tabs')
Definition: addtabscript.php:19

Référencé par AdminController\__construct(), ConfigModelCms\__construct(), FOFUtilsFilescheck\__construct(), FormController\__construct(), ListModel\__construct(), AdminModel\__construct(), BaseDatabaseModel\__construct(), FOFModel\__construct(), ModulesControllerModule\add(), ContentControllerArticle\add(), FormController\add(), FOFModel\addBehavior(), ContactControllerContact\allowAdd(), NewsfeedsControllerNewsfeed\allowAdd(), BannersControllerBanner\allowAdd(), FormController\allowAdd(), ContactControllerContact\allowEdit(), NewsfeedsControllerNewsfeed\allowEdit(), BannersControllerBanner\allowEdit(), FormController\allowEdit(), UsersControllerLevel\allowSave(), UsersControllerGroup\allowSave(), CategoriesControllerCategory\cancel(), MenusControllerItem\cancel(), LanguagesControllerOverride\cancel(), FormController\cancel(), FinderModelMaps\canDelete(), FinderModelIndex\canDelete(), ConfigModelCms\canDelete(), AdminModel\canDelete(), FinderModelMaps\canEditState(), FinderModelIndex\canEditState(), ConfigModelCms\canEditState(), AdminModel\canEditState(), MenusModelItem\canSave(), AssociationsControllerAssociations\checkin(), UsersControllerGroups\checkin(), CategoriesControllerCategories\checkin(), MenusControllerItems\checkin(), AdminController\checkin(), AssociationsControllerAssociations\clean(), ConfigModelCms\cleanCache(), FOFModel\cleanCache(), LanguagesControllerOverrides\delete(), UsersControllerGroups\delete(), FinderModelMaps\delete(), UsersControllerLevel\delete(), FinderModelIndex\delete(), TemplatesModelStyle\delete(), AdminController\delete(), ModulesModelModule\delete(), AdminModel\delete(), LanguagesViewInstalled\display(), TemplatesModelStyle\duplicate(), LanguagesControllerOverride\edit(), FormController\edit(), ConfigControllerCanceladmin\execute(), FOFModel\getIterator(), FOFModel\getTable(), FormController\loadhistory(), FOFModel\onAfterDelete(), FOFModel\onAfterSave(), FOFModel\onBeforeDelete(), FOFModel\onBeforeSave(), PlgQuickiconExtensionupdate\onGetIcons(), AdminModel\populateState(), UsersControllerGroups\publish(), InstallerModelManage\publish(), AdminController\publish(), MenusControllerItems\publish(), FinderModelMaps\publish(), FinderModelIndex\publish(), AdminModel\publish(), FOFModel\publish(), AssociationsControllerAssociations\purge(), FormController\reload(), UsersControllerGroups\reorder(), AdminController\reorder(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), LanguagesControllerOverride\save(), CategoriesControllerCategory\save(), ConfigModelComponent\save(), LanguagesModelLanguage\save(), TagsModelTag\save(), MenusControllerItem\save(), CategoriesModelCategory\save(), FormController\save(), ModulesModelModule\save(), AdminModel\save(), MenusModelItem\save(), CategoriesControllerCategories\saveorder(), MenusControllerItems\saveorder(), UsersControllerGroups\saveorder(), AdminController\saveorder(), MenusControllerItems\setDefault(), FOFViewHtml\setPageTitle(), et MenusControllerItem\setType().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contacts
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_contact/views/contacts/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'a.ordering'
$assoc = JLanguageAssociations::isEnabled()
if ( $saveOrder)
if(!empty($this->sidebar)) | else
else __pad0__
else null
endif
$n = count($this->items)
$canEdit = $user->authorise('core.edit', 'com_contact.category.' . $item->catid)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', 'com_contact.category.' . $item->catid) && $item->created_by == $userId
$canChange = $user->authorise('core.edit.state', 'com_contact.category.' . $item->catid) && $canCheckin
$item | cat_link = JRoute::_('index.php?option=com_categories&extension=com_contact&task=edit&type=other&id=' . $item->catid)
$iconClass = ''
if(! $canChange) | elseif (! $saveOrder)
else __pad1__
endforeach

Documentation des variables

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_contact.category.' . $item->catid) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_contact.category.' . $item->catid)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', 'com_contact.category.' . $item->catid) && $item->created_by == $userId

◆ $iconClass

$iconClass = ''

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $n

$n = count($this->items)

Référencé par PlgContentPagebreak\_createNavigation(), JHtmlAccess\actions(), Registry\append(), JHtmlIcons\button(), FileStorage\clean(), AbstractUri\cleanPath(), HtmlDocument\countModules(), ContentHelper\countRelations(), ParagonIE_Sodium_Core_X25519\crypto_scalarmult_curve25519_ref10_base(), ParagonIE_Sodium_Core32_X25519\crypto_scalarmult_curve25519_ref10_base(), JKeychain\deleteValue(), InstallationModelFtp\detectFtpRoot(), ContactViewFeatured\display(), Registry\exists(), JArchiveTar\extract(), Tar\extract(), JArchiveZip\extractCustom(), Form\findGroup(), JHtmlList\genericordering(), Registry\get(), FinderViewSearch\getFields(), MediaModelManager\getFolderTree(), ModFinderHelper\getGetFields(), ContactModelCategory\getItems(), ContactModelFeatured\getItems(), JFormFieldMenuParent\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldGroupParent\getOptions(), JFormFieldCategoryEdit\getOptions(), Xml\getXmlChildren(), JHtmlUser\groups(), FOFLessFormatterClassic\indentStr(), lessc_formatter_classic\indentStr(), JHtmlLinks\link(), FOFFormHelper\loadClass(), FormHelper\loadClass(), FinderIndexerAdapter\onBuildIndex(), PlgContentPagebreak\onContentPrepare(), ModulesControllerModule\orderPosition(), SMTP\parseHelloFields(), JTextWrapper\plural(), Text\plural(), Usergroup\rebuild(), UsersControllerRegistration\register(), Registry\remove(), JDatabaseDriverOracle\replacePrefix(), FOFDatabaseDriverOracle\replacePrefix(), FOFDatabaseDriverSqlsrv\replacePrefix(), FOFDatabaseDriver\replacePrefix(), JDatabaseDriver\replacePrefix(), ParagonIE_Sodium_Core_Ristretto255\ristretto255_elligator(), ParagonIE_Sodium_Core_ChaCha20\rotate(), ParagonIE_Sodium_Core_Salsa20\salsa20_xor_ic(), ParagonIE_Sodium_Core32_Salsa20\salsa20_xor_ic(), MessagesControllerConfig\save(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), MenusControllerMenu\save(), LanguagesControllerOverride\save(), UsersControllerProfile\save(), TemplatesControllerTemplate\save(), MenusControllerItem\save(), TemplatesModelStyle\save(), FormController\save(), FOFController\saveorder(), ParagonIE_Sodium_Core_Curve25519\sc25519_sqmul(), ParagonIE_Sodium_Core_Ristretto255\scalarmult_ristretto255(), ParagonIE_Sodium_Compat\scalarmult_ristretto255(), ParagonIE_Sodium_Core_Ristretto255\scalarmult_ristretto255_base(), ParagonIE_Sodium_Compat\scalarmult_ristretto255_base(), Registry\set(), UserHelper\setUserGroups(), FOFDatabaseDriver\splitSql(), JDatabaseQuerySqlsrv\splitSqlExpression(), FinderIndexerHelper\tokenize(), JHtmlAccess\usergroup(), JHtmlAccess\usergroups(), et UsersModelLevel\validate().

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ cat_link

$item cat_link = JRoute::_('index.php?option=com_categories&extension=com_contact&task=edit&type=other&id=' . $item->catid)

◆ else

if (!empty( $this->sidebar)) else

◆ elseif

if (! $canChange) elseif(! $saveOrder)

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($saveOrder)

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • articles
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_content/views/articles/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'a.ordering'
$columns = 10
if(strpos($listOrder, 'publish_up') !==false) elseif(strpos($listOrder, 'publish_down') !==false) elseif(strpos($listOrder, 'modified') !==false) | else
if($saveOrder) | $assoc = JLanguageAssociations::isEnabled()
else __pad0__
else null
else | if ( $assoc)
endif
foreach($this->items as $i=> $item) | $ordering = ($listOrder == 'a.ordering')
$canCreate = $user->authorise('core.create', 'com_content.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_content.article.' . $item->id)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', 'com_content.article.' . $item->id) && $item->created_by == $userId
$canChange = $user->authorise('core.edit.state', 'com_content.article.' . $item->id) && $canCheckin
$canEditCat = $user->authorise('core.edit', 'com_content.category.' . $item->catid)
$canEditOwnCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->catid) && $item->category_uid == $userId
$canEditParCat = $user->authorise('core.edit', 'com_content.category.' . $item->parent_category_id)
$canEditOwnParCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->parent_category_id) && $item->parent_category_uid == $userId
$iconClass = ''
if(! $canChange) | elseif (! $saveOrder)
else __pad1__
else __pad2__
$ParentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->parent_category_id . '&extension=com_content')
$CurrentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->catid . '&extension=com_content')
$EditCatTxt = JText::_('COM_CONTENT_EDIT_CATEGORY')
else __pad3__
else __pad4__
else __pad5__
$date = $item->{$orderingColumn}
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

if ( $saveOrder) $assoc = JLanguageAssociations::isEnabled()

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_content.article.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_content.category.' . $item->catid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_content.article.' . $item->id)

◆ $canEditCat

$canEditCat = $user->authorise('core.edit', 'com_content.category.' . $item->catid)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', 'com_content.article.' . $item->id) && $item->created_by == $userId

◆ $canEditOwnCat

$canEditOwnCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->catid) && $item->category_uid == $userId

◆ $canEditOwnParCat

$canEditOwnParCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->parent_category_id) && $item->parent_category_uid == $userId

◆ $canEditParCat

$canEditParCat = $user->authorise('core.edit', 'com_content.category.' . $item->parent_category_id)

◆ $columns

$columns = 10

◆ $CurrentCatUrl

$CurrentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->catid . '&extension=com_content')

◆ $date

$date = $item->{$orderingColumn}

Référencé par FOFUtilsFilescheck\__construct(), Date\__construct(), LogEntry\__construct(), Log\add(), ActionlogsModelActionlog\addLog(), FieldsTableGroup\check(), TagsTableTag\check(), FieldsTableField\check(), FOFTable\checkout(), HTMLHelper\date(), JDatabaseQuerySqlite\dateAdd(), FOFDatabaseQuerySqlite\dateAdd(), FOFDatabaseQuerySqlsrv\dateAdd(), JDatabaseQuerySqlsrv\dateAdd(), FOFDatabaseQueryPostgresql\dateAdd(), JDatabaseQueryPostgresql\dateAdd(), FOFDatabaseQuery\dateAdd(), JDatabaseQuery\dateAdd(), FOFDatabaseQueryPostgresql\day(), JDatabaseQueryPostgresql\day(), FOFDatabaseQuery\day(), JDatabaseQuery\day(), TagsViewTag\display(), TagsViewTags\display(), CategoryFeedView\display(), PHPMailer\DKIM_Add(), RedirectModelLink\duplicateUrls(), JHtmlIcon\edit(), JHtmlQuery\explained(), Form\filterField(), Version\generateMediaVersion(), SimplePie_Item\get_gmdate(), SimplePie_Item\get_local_date(), SimplePie_Item\get_updated_gmdate(), ContentHelperAssociation\getAssociations(), FOFFormFieldCalendar\getCalendar(), ActionlogsHelper\getCsvData(), Factory\getDate(), FOFFormHeaderFielddate\getFilter(), JFormFieldCalendar\getInput(), Date\getInstance(), ContentModelArticle\getItem(), TagsModelTag\getItem(), ModArchiveHelper\getList(), ModRelatedItemsHelper\getList(), ActionlogsModelActionlogs\getListQuery(), NewsfeedsModelCategory\getListQuery(), ContactModelFeatured\getListQuery(), ModArticlesCategoryHelper\groupByDate(), FOFDatabaseQueryPostgresql\hour(), JDatabaseQueryPostgresql\hour(), FOFDatabaseQuery\hour(), JDatabaseQuery\hour(), InstallationApplicationWeb\loadDocument(), DelegatingPsrLogger\log(), FOFDatabaseQueryPostgresql\minute(), JDatabaseQueryPostgresql\minute(), FOFDatabaseQuery\minute(), JDatabaseQuery\minute(), FOFDatabaseQueryPostgresql\month(), JDatabaseQueryPostgresql\month(), FOFDatabaseQuery\month(), JDatabaseQuery\month(), JHtmlContent\months(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgSearchContent\onContentSearch(), PlgUserProfile\onUserAfterSave(), PlgUserProfile\onUserBeforeSave(), NewsfeedsModelNewsfeed\prepareTable(), BannersModelBanner\prepareTable(), ContactModelContact\prepareTable(), FinderIndexerQuery\processDates(), FinderIndexerQuery\processString(), JHtmlDate\relative(), SimplePie_Cache_MySQL\save(), FOFDatabaseQueryPostgresql\second(), JDatabaseQueryPostgresql\second(), FOFDatabaseQuery\second(), JDatabaseQuery\second(), User\setLastVisit(), Document\setModifiedDate(), PrivacyTableConsent\store(), UsersTableNote\store(), PrivacyTableRequest\store(), ContactTableContact\store(), RedirectTableLink\store(), NewsfeedsTableNewsfeed\store(), FinderTableFilter\store(), Category\store(), TagsTableTag\store(), CoreContent\store(), Content\store(), FOFDatabaseQueryPostgresql\year(), JDatabaseQueryPostgresql\year(), FOFDatabaseQuery\year(), et JDatabaseQuery\year().

◆ $EditCatTxt

$EditCatTxt = JText::_('COM_CONTENT_EDIT_CATEGORY')

◆ $iconClass

$iconClass = ''

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $ordering

foreach ( $this->items as $i=> $item) $ordering = ($listOrder == 'a.ordering')

Référencé par SearchModelSearch\__construct(), PluginsModelPlugins\_getList(), FOFFormHeaderOrdering\getHeader(), ModulesModelPositions\getItems(), InstallerModelLanguages\getLanguages(), ModTagssimilarHelper\getList(), ModArticlesNewsHelper\getList(), ModArticlesLatestHelper\getList(), ModArticlesCategoryHelper\getList(), PrivacyModelRequests\getListQuery(), PrivacyModelConsents\getListQuery(), BannersModelBanners\getListQuery(), FinderModelIndex\getListQuery(), FOFPlatform\getOrdering(), OrderingField\getQuery(), FOFFormFieldOrdering\getQuery(), FOFFormFieldOrdering\getRepeatable(), FinderModelSearch\getResultsData(), PlgSearchContent\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchCategories\onContentSearch(), JHtmlMenu\ordering(), InstallerModelDatabase\populateState(), ModulesModelPositions\populateState(), SearchModelSearches\populateState(), UsersModelLevels\populateState(), UsersModelGroups\populateState(), TemplatesModelStyles\populateState(), ActionlogsModelActionlogs\populateState(), BannersModelClients\populateState(), LanguagesModelLanguages\populateState(), InstallerModelUpdate\populateState(), InstallerModelManage\populateState(), InstallerModelDiscover\populateState(), InstallerModelUpdatesites\populateState(), MessagesModelMessages\populateState(), PluginsModelPlugins\populateState(), TagsModelTags\populateState(), AssociationsModelAssociations\populateState(), CheckinModelCheckin\populateState(), BannersModelTracks\populateState(), ModulesModelModules\populateState(), UsersModelUsers\populateState(), MenusModelItems\populateState(), NewsfeedsModelNewsfeeds\populateState(), CacheModelCache\populateState(), ContactModelContacts\populateState(), CategoriesModelCategories\populateState(), ContentModelArticles\populateState(), RedirectModelLinks\populateState(), UsersModelDebuggroup\populateState(), UsersModelDebugUser\populateState(), LanguagesModelInstalled\populateState(), FinderModelFilters\populateState(), PrivacyModelConsents\populateState(), PrivacyModelRequests\populateState(), LanguagesModelOverrides\populateState(), TemplatesModelTemplates\populateState(), MenusModelMenus\populateState(), UsersModelNotes\populateState(), InstallerModelLanguages\populateState(), BannersModelBanners\populateState(), ContentModelFeatured\populateState(), FinderModelMaps\populateState(), ContenthistoryModelHistory\populateState(), FinderModelIndex\populateState(), ListModel\populateState(), FOFController\saveorder(), et SearchModelSearch\setSearch().

◆ $ParentCatUrl

$ParentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->parent_category_id . '&extension=com_content')

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ __pad5__

else __pad5__

◆ else

if (JFactory::getLanguage() ->isRtl()) else
Valeur initiale :
{
$orderingColumn = 'created'

◆ elseif

if (! $canChange) elseif(! $saveOrder)

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($this->vote) ( $assoc )

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • featured
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_content/views/featured/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'fp.ordering'
$columns = 10
if(strpos($listOrder, 'publish_up') !==false) elseif(strpos($listOrder, 'publish_down') !==false) | else
if ( $saveOrder)
else __pad0__
else null
endif
$count = count($this->items)
foreach($this->items as $i=> $item) | $ordering = ($listOrder == 'fp.ordering')
$assetId = 'com_content.article.' . $item->id
$canCreate = $user->authorise('core.create', 'com_content.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_content.article.' . $item->id)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_content.article.' . $item->id) && $canCheckin
$canEditCat = $user->authorise('core.edit', 'com_content.category.' . $item->catid)
$canEditOwnCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->catid) && $item->category_uid == $userId
$canEditParCat = $user->authorise('core.edit', 'com_content.category.' . $item->parent_category_id)
$canEditOwnParCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->parent_category_id) && $item->parent_category_uid == $userId
$iconClass = ''
if(! $canChange) | elseif (! $saveOrder)
else __pad1__
else __pad2__
$ParentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->parent_category_id . '&extension=com_content')
$CurrentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->catid . '&extension=com_content')
$EditCatTxt = JText::_('COM_CONTENT_EDIT_CATEGORY')
else __pad3__
else __pad4__
else __pad5__
$date = $item->{$orderingColumn}
endforeach

Documentation des variables

◆ $assetId

$assetId = 'com_content.article.' . $item->id

Référencé par Module\_getAssetParentId(), Category\_getAssetParentId(), Content\_getAssetParentId(), Language\_getAssetParentId(), FieldsTableGroup\_getAssetParentId(), FieldsTableField\_getAssetParentId(), MenuType\_getAssetParentId(), JHtmlRules\_getParentAssetId(), JHtmlRules\assetFormWidget(), Access\getAssetAncestors(), FieldsTableField\getAssetId(), Access\getAssetRules(), Content\getDefaultAssetValues(), JFormFieldRules\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), et ConfigModelApplication\storePermissions().

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_content.article.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_content.category.' . $item->catid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_content.article.' . $item->id)

◆ $canEditCat

$canEditCat = $user->authorise('core.edit', 'com_content.category.' . $item->catid)

◆ $canEditOwnCat

$canEditOwnCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->catid) && $item->category_uid == $userId

◆ $canEditOwnParCat

$canEditOwnParCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->parent_category_id) && $item->parent_category_uid == $userId

◆ $canEditParCat

$canEditParCat = $user->authorise('core.edit', 'com_content.category.' . $item->parent_category_id)

◆ $columns

$columns = 10

◆ $count

$count = count($this->items)

Référencé par PlgContentJoomla\_countItemsInCategory(), PlgContentJoomla\_countItemsInChildren(), FOFViewJson\_createDocumentWithHypermedia(), JArrayHelper\_sortObjects(), FOFUtilsArray\_sortObjects(), UserHelper\_toAPRMD5(), JHtmlAccess\actions(), JHtmlAccess\assetgrouplist(), MenusModelItem\batchCopy(), CategoriesModelCategory\batchCopy(), TagsModelTags\checkin(), AdminModel\checkin(), AssociationsModelAssociations\clean(), InputFilter\cleanAttributes(), InputFilter\cleanTags(), Parser\cleanup(), BannersModelBanner\click(), PasswordHash\crypt_private(), InstallerModelUpdatesites\delete(), SearchViewSearch\display(), PlgSystemDebug\displayLogs(), PasswordHash\encode64(), lessc\expandParentSelectors(), FOFLess\expandParentSelectors(), JHtmlUsers\filterNotes(), ParagonIE_Sodium_Core32_Curve25519_Fe\fromArray(), AdminModelProfile\generateOteps(), UsersModelUser\generateOteps(), PasswordHash\get_random_bytes(), JLinkedinPeople\getConnections(), FOFDatabaseDriver\getCount(), JDatabaseDriver\getCount(), JTwitterDirectmessages\getDirectMessages(), JLinkedinGroups\getDiscussions(), JTwitterFavorites\getFavorites(), FormField\getFieldName(), JTwitterFriends\getFollowerIds(), JTwitterFriends\getFriendIds(), JLinkedinGroups\getGroup(), AbstractMenu\getItems(), ModBreadCrumbsHelper\getList(), ModArticlesCategoriesHelper\getList(), MediaModelList\getList(), JLinkedinGroups\getMemberships(), JTwitterStatuses\getMentions(), JLinkedinStream\getNetworkUpdates(), CategoryNode\getNumItems(), Fr_FRLocalise\getPluralSuffixes(), En_GBLocalise\getPluralSuffixes(), Language\getPluralSuffixes(), JLinkedinGroups\getPostComments(), JLinkedinCompanies\getProducts(), JTwitterStatuses\getRetweeters(), JTwitterStatuses\getRetweetsById(), JTwitterStatuses\getRetweetsOfMe(), JTwitterDirectmessages\getSentDirectMessages(), JLinkedinGroups\getSettings(), JFormFieldColor\getSimpleModeLayoutData(), JTwitterLists\getStatuses(), JTwitterLists\getSubscriptions(), JLinkedinJobs\getSuggested(), JLinkedinCompanies\getSuggested(), JLinkedinCompanies\getUpdates(), JLinkedinGroups\getUserPosts(), JTwitterStatuses\getUserTimeline(), Table\hasPrimaryKey(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverMysql\index(), FinderIndexerDriverSqlsrv\index(), FOFUtilsInstallscript\installSubextensions(), JHtmlMenu\menuItemList(), lessc\multiplySelectors(), FOFLess\multiplySelectors(), JHtmlUsers\notes(), JHtmlUsers\notesModal(), PlgContentJoomla\onContentBeforeDelete(), FOFLessParser\openString(), ContentHelperQuery\orderDownColumns(), BannersRouter\parse(), FOFLessParser\parse(), TagsRouter\parse(), NewsfeedsRouterRulesLegacy\parse(), ContactRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), AdminModelSysInfo\parsePhpInfo(), AKEncryptionAES\pbkdf2(), FOFLessParser\peek(), lessc_parser\peek(), Text\plural(), InstallerModelDatabase\prepareUtf8mb4StatusTable(), Text\printf(), FOFDatabaseDriverJoomla\quoteName(), FOFDatabaseDriver\quoteName(), JDatabaseDriver\quoteName(), InstallerModelUpdatesites\rebuild(), FOFLessParser\removeComments(), lessc_parser\removeComments(), RssRenderer\render(), AtomRenderer\render(), PlgSystemDebug\renderCallStack(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), Nested\saveorder(), AKAbstractUnarchiver\scanArchives(), JTwittersearch\search(), JLinkedinCompanies\search(), JLinkedinPeople\search(), JLinkedinJobs\search(), LdapClient\search(), JTwitterUsers\searchUsers(), FOFLessParser\seek(), lessc_parser\seek(), FOFUtilsUpdate\setCommonParameter(), ArrayHelper\sortObjects(), Text\sprintf(), Buffer\stream_read(), BufferStreamHandler\stream_read(), StringWrapper\stream_read(), StreamString\stream_read(), PharStreamWrapper\stream_read(), FOFLessParser\throwError(), lessc_parser\throwError(), tln_skipspace(), FinderIndexer\tokenizeToDb(), FinderIndexer\tokenizeToDbShort(), LanguageAdapter\uninstall(), FOFLessParser\unit(), lessc_parser\unit(), JHtmlAccess\usergroups(), utf8_ireplace(), FOFLessParser\whitespace(), et lessc_parser\whitespace().

◆ $CurrentCatUrl

$CurrentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->catid . '&extension=com_content')

◆ $date

$date = $item->{$orderingColumn}

◆ $EditCatTxt

$EditCatTxt = JText::_('COM_CONTENT_EDIT_CATEGORY')

◆ $iconClass

$iconClass = ''

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $ordering

foreach ( $this->items as $i=> $item) $ordering = ($listOrder == 'fp.ordering')

◆ $ParentCatUrl

$ParentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->parent_category_id . '&extension=com_content')

◆ $saveOrder

$saveOrder = $listOrder == 'fp.ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ __pad5__

else __pad5__

◆ else

if (JFactory::getLanguage() ->isRtl()) else
Valeur initiale :
{
$orderingColumn = 'created'

◆ elseif

if (! $canChange) elseif(! $saveOrder)

◆ endforeach

endforeach

◆ endif

endif

◆ if

else if($this->vote) ( $saveOrder )

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cpanel
  • views
  • cpanel
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_cpanel/views/cpanel/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$iconmodules = JModuleHelper::getModules('icon')
if( $iconmodules)($iconmodules as $iconmodule) endif
$spans = 0

Documentation des variables

◆ $iconmodules

$iconmodules = JModuleHelper::getModules('icon')

◆ $spans

$spans = 0

◆ $user

$user = JFactory::getUser()

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • fields
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_fields/views/fields/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$context = $this->escape($this->state->get('filter.context'))
$component = $this->state->get('filter.component')
$section = $this->state->get('filter.section')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$ordering = ($listOrder == 'a.ordering')
$saveOrder = ($listOrder == 'a.ordering' && strtolower($listDirn) == 'asc')
$category = JCategories::getInstance(str_replace('com_', '', $component) . '.' . $section)
if(! $category) | if ( $saveOrder)
else __pad0__
else null
$canEdit = $user->authorise('core.edit', $component . '.field.' . $item->id)
$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', $component . '.field.' . $item->id) && $item->created_user_id == $userId
$canChange = $user->authorise('core.edit.state', $component . '.field.' . $item->id) && $canCheckin
if($canChange && $saveOrder) | endif
else __pad1__
else __pad2__

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $canChange

$canChange = $user->authorise('core.edit.state', $component . '.field.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', $component . '.field.' . $item->id)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', $component . '.field.' . $item->id) && $item->created_user_id == $userId

◆ $category

$category = JCategories::getInstance(str_replace('com_', '', $component) . '.' . $section)

Référencé par ContactRouter\__construct(), ContentRouter\__construct(), NewsfeedsRouter\__construct(), LogEntry\__construct(), CategoryNode\__construct(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), ContactViewContact\_prepareDocument(), Log\add(), InstallationModelLanguages\addCategory(), JGoogleEmbedAnalytics\addEvent(), ContactRouterRulesLegacy\build(), ContentRouterRulesLegacy\build(), NewsfeedsRouterRulesLegacy\build(), CategoryView\commonCategoryDisplay(), JHtmlIcon\create(), JGoogleEmbedAnalytics\createEvent(), CategoryFeedView\display(), ContactViewFeatured\display(), Log\findLoggers(), SimplePie_Source\get_categories(), SimplePie_Item\get_categories(), SimplePie\get_categories(), SimplePie_Item\get_enclosures(), User\getAuthorisedCategories(), NewsfeedsRouter\getCategoryId(), ContactRouter\getCategoryId(), ContentRouter\getCategoryId(), RouteHelper\getCategoryRoute(), NewsfeedsRouter\getCategorySegment(), ContactRouter\getCategorySegment(), ContentRouter\getCategorySegment(), FOFUtilsUpdateCollection\getCategoryUpdateSource(), JLinkedinGroups\getDiscussions(), ContentModelCategory\getItems(), ModArticlesCategoriesHelper\getList(), ModArticlesCategoryHelper\getList(), RouteHelper\getRoute(), ModPopularHelper\getTitle(), ModLatestHelper\getTitle(), JLinkedinGroups\getUserPosts(), RssParser\handleCategory(), DelegatingPsrLogger\log(), PlgSampledataBlog\onAjaxSampledataApplyStep1(), NewsfeedsRouterRulesLegacy\parse(), ContactRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), NewsfeedsViewCategory\prepareDocument(), ContactViewCategory\prepareDocument(), ContentViewCategory\prepareDocument(), RssParser\processFeedEntry(), FinderIndexerAdapter\translateState(), et ComponentAdapter\uninstall().

◆ $component

$component = $this->state->get('filter.component')

◆ $context

$context = $this->escape($this->state->get('filter.context'))

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $ordering

$ordering = ($listOrder == 'a.ordering')

◆ $saveOrder

$saveOrder = ($listOrder == 'a.ordering' && strtolower($listDirn) == 'asc')

◆ $section

$section = $this->state->get('filter.section')

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ endif

endif

◆ if

if (! $category) if($saveOrder)

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • groups
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_fields/views/groups/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$component = ''
$parts = FieldsHelper::extract($this->state->get('filter.context'))
if($parts) | $listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$ordering = ($listOrder == 'a.ordering')
$saveOrder = ($listOrder == 'a.ordering' && strtolower($listDirn) == 'asc')
if ( $saveOrder)
else __pad0__
else null
$canEdit = $user->authorise('core.edit', $component . '.fieldgroup.' . $item->id)
$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', $component . '.fieldgroup.' . $item->id) && $item->created_by == $userId
$canChange = $user->authorise('core.edit.state', $component . '.fieldgroup.' . $item->id) && $canCheckin
if($canChange && $saveOrder) | endif
else __pad1__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $canChange

$canChange = $user->authorise('core.edit.state', $component . '.fieldgroup.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', $component . '.fieldgroup.' . $item->id)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', $component . '.fieldgroup.' . $item->id) && $item->created_by == $userId

◆ $component

$component = ''

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $ordering

$ordering = ($listOrder == 'a.ordering')

◆ $parts

$parts = FieldsHelper::extract($this->state->get('filter.context'))

◆ $saveOrder

$saveOrder = ($listOrder == 'a.ordering' && strtolower($listDirn) == 'asc')

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($saveOrder)

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • filters
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_finder/views/filters/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • index
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_finder/views/index/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$lang = JFactory::getLanguage()

Documentation des variables

◆ $lang

$lang = JFactory::getLanguage()

Référencé par FieldsController\__construct(), SitePathway\__construct(), LastvisitdaterangeField\__construct(), UseractiveField\__construct(), JFormFieldLogsDateRange\__construct(), RegistrationdaterangeField\__construct(), FinderIndexerToken\__construct(), HtmlDocument\_fetchTemplate(), TagsHelperRoute\_findItem(), SearchHelper\_smartSubstr(), CategoriesHelper\addSubmenu(), TagsHelper\addSubmenu(), FieldsHelper\addSubmenu(), PluginsViewPlugin\addToolbar(), ModulesViewModule\addToolbar(), TagsViewTag\addToolbar(), TemplatesViewStyle\addToolbar(), FieldsViewField\addToolbar(), FieldsViewGroup\addToolbar(), MenusViewItem\addToolbar(), FieldsViewGroups\addToolbar(), CategoriesViewCategory\addToolbar(), FieldsViewFields\addToolbar(), CategoriesViewCategories\addToolbar(), FinderControllerIndexer\batch(), PlgSystemLanguageFilter\buildRule(), ContentControllerArticle\cancel(), Factory\createDocument(), Factory\createLanguage(), Help\createUrl(), InstallationApplicationWeb\debugLanguage(), SearchViewSearch\display(), ContentViewForm\display(), MenusViewItems\display(), PlgSystemFields\display(), AdministratorApplication\doExecute(), InstallerAdapter\doLoadLanguage(), JHtmlUsers\editor(), JHtmlQuery\explained(), ContentControllerAjax\fetchAssociations(), MenusControllerAjax\fetchAssociations(), NewsfeedsControllerAjax\fetchAssociations(), CategoriesControllerAjax\fetchAssociations(), ContactControllerAjax\fetchAssociations(), SimplePie_Item\get_enclosures(), JFormFieldColor\getAdvancedModeLayoutData(), FinderIndexerHelper\getCommonWords(), ConfigModelComponent\getComponent(), UsersHelperDebug\getComponents(), FinderModelStatistics\getData(), LanguagesModelInstalled\getData(), UsersHelperDebug\getDebugActions(), ModMenuHelper\getDefault(), FinderIndexerHelper\getDefaultLanguage(), PostinstallModelMessages\getExtensionName(), TemplatesModelTemplate\getFiles(), ConfigModelComponent\getForm(), JFormFieldContentMap\getGroups(), TemplatestyleField\getGroups(), MenuitemField\getGroups(), JFormFieldMenuitemByType\getGroups(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldCalendar\getInput(), InstallationModelLanguages\getInstalledlangs(), MenusModelItem\getItem(), ModulesModelPositions\getItems(), ModulesModelSelect\getItems(), MenusModelItems\getItems(), JFormFieldColor\getLayoutData(), ModBreadCrumbsHelper\getList(), ModLanguagesHelper\getList(), InstallationApplicationWeb\getLocaliseAdmin(), ModulesHelper\getModules(), JTwitterStatuses\getOembed(), JFormFieldAliastag\getOptions(), JFormFieldLanguage\getOptions(), JFormFieldComponents\getOptions(), JFormFieldComponentsCategory\getOptions(), JFormFieldConfigComponents\getOptions(), JFormFieldContentTypes\getOptions(), ContenttypeField\getOptions(), JFormFieldPlugins\getOptions(), TagField\getOptions(), ConfigModelModules\getPositions(), FinderIndexerHelper\getPrimaryLanguage(), PrivacyModelDashboard\getRequestFormPublished(), ModLoginHelper\getReturnUrl(), InstallationModelLanguages\getSefString(), JTwitterUsers\getSuggestions(), JTwitterUsers\getSuggestionsSlug(), AssociationsHelper\getSupportedExtension(), ModulesHelper\getTranslatedModulePosition(), MenusModelMenutypes\getTypeOptions(), MenusModelMenutypes\getTypeOptionsFromLayouts(), InstallationModelDatabase\initialise(), AdministratorApplication\initialiseApp(), SiteApplication\initialiseApp(), CMSApplication\initialiseApp(), FinderIndexerHelper\isCommon(), UsersModelUser\isValidSecretKey(), SearchHelper\limitSearchWord(), ActionlogsHelper\loadActionLogPluginsLanguage(), InstallationApplicationWeb\loadDocument(), Form\loadField(), FOFController\loadhistory(), CMSPlugin\loadLanguage(), ContenthistoryHelper\loadLanguageFiles(), ConfigHelperConfig\loadLanguageForComponent(), FileLayout\loadLanguageSuffixes(), FinderHelperLanguage\loadPluginLanguage(), ConfigViewCmsHtml\loadTemplate(), HtmlView\loadTemplate(), AKText\loadTranslation(), ActionlogsHelper\loadTranslationFiles(), UsersControllerUser\login(), AdministratorApplication\login(), UsersControllerUser\logout(), JHtmlFinder\mapslist(), UsersControllerUser\menulogout(), PlgContentJoomla\onContentAfterSave(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgSearchTags\onContentSearch(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgUserJoomla\onUserAfterSave(), TemplateAdapter\parseQueries(), PlgSystemLanguageFilter\parseRule(), FinderModelSuggestions\populateState(), PlgSystemLanguageFilter\postprocessNonSEFBuildRule(), PlgSystemLanguageFilter\preprocessBuildRule(), ConfigModelModules\preprocessForm(), ConfigModelTemplates\preprocessForm(), FieldsModelGroup\preprocessForm(), PluginsModelPlugin\preprocessForm(), CategoriesModelCategory\preprocessForm(), TemplatesModelStyle\preprocessForm(), ModulesModelModule\preprocessForm(), FieldsModelField\preprocessForm(), SiteRouter\processBuildRules(), FinderIndexerQuery\processString(), ConfigViewModulesHtml\render(), ErrorDocument\render(), ModuleHelper\renderModule(), SearchHelper\santiseSearchWord(), TemplatesControllerStyle\save(), MessagesModelMessage\save(), ContentControllerArticle\save(), JTwittersearch\search(), Document\setLanguage(), ModBreadCrumbsHelper\setSeparator(), JHtmlFilter\slider(), FinderIndexerStemmerSnowball\stem(), FinderIndexerStemmerFr\stem(), FinderIndexerStemmerPorter_En\stem(), FinderIndexerHelper\stem(), OutputFilter\stringURLSafe(), OutputFilter\stringUrlSafe(), FinderIndexerHelper\tokenize(), FinderIndexer\tokenizeToDb(), FinderIndexer\tokenizeToDbShort(), InstallerModel\translate(), PluginsModelPlugins\translate(), FOFFormFieldComponents\translate(), ModulesModelModules\translate(), JoomlaupdateModelDefault\translateExtensionName(), JHtmlFinder\typeslist(), JTwitterProfile\updateSettings(), et ToolbarHelper\versions().

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • indexer
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_finder/views/indexer/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • maps
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_finder/views/maps/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$lang = JFactory::getLanguage()
$branchFilter = $this->escape($this->state->get('filter.branch'))
$colSpan = $branchFilter ? 5 : 6

Documentation des variables

◆ $branchFilter

$branchFilter = $this->escape($this->state->get('filter.branch'))

◆ $colSpan

$colSpan = $branchFilter ? 5 : 6

◆ $lang

$lang = JFactory::getLanguage()

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • statistics
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_finder/views/statistics/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$lang_string = JText::_($lang_key)
endforeach

Documentation des variables

◆ $lang_string

$lang_string = JText::_($lang_key)

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • database
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/views/database/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

if(!empty( $this->sidebar)) | else
else __pad0__
endif
foreach($this->errors as $line=> $error) | $msgs = $error->msgElements
$file = basename($error->file)
$msg0 = isset($msgs[0]) ? $msgs[0] : ' '
$msg1 = isset($msgs[1]) ? $msgs[1] : ' '
$msg2 = isset($msgs[2]) ? $msgs[2] : ' '
$message = JText::sprintf($key, $file, $msg0, $msg1, $msg2)
endforeach

Documentation des variables

◆ $file

$file = basename($error->file)

Référencé par HTMLHelper\_(), ChangeItem\__construct(), JArchiveZip\_addToZIPFile(), JApplication\_createConfiguration(), FileStorage\_deleteFolder(), HtmlDocument\_fetchTemplate(), FileStorage\_filesInFolder(), FileStorage\_folders(), JArchiveTar\_getTarInfo(), LanguageAdapter\_install(), Folder\_items(), PostinstallControllerMessage\action(), Mail\addAttachment(), lessc\addParsedFile(), FOFLess\addParsedFile(), CategoriesHelper\addSubmenu(), TagsHelper\addSubmenu(), FieldsHelper\addSubmenu(), Zip\addToZipFile(), JHtmlUsers\admin_language(), admin_postinstall_eaccelerator_action(), File\append(), Patcher\apply(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_toolbar(), FOFAutoloaderComponent\autoload_fof_view(), behindproxy_postinstall_action(), JGithubPackageGists\buildFileData(), TemplateHelper\canUpload(), MediaHelper\canUpload(), JoomlaupdateModelDefault\captiveFileExists(), DaemonApplication\changeIdentity(), AbstractDaemonApplication\changeIdentity(), AKPostprocDirect\chmod(), JoomlaupdateModelDefault\cleanUp(), AKPostprocDirect\clearFileInOPCache(), TemplatesControllerTemplate\close(), composerRequirec14bde14f8c86840049f5c1809c453dd(), Folder\copy(), TemplatesControllerTemplate\copy(), PackageAdapter\copyBaseFiles(), TemplatesControllerTemplate\copyFile(), TemplatesModelTemplate\copyFile(), Installer\copyFiles(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), JArchiveZip\create(), Zip\create(), PHPMailer\createBody(), Factory\createConfig(), InstallationModelConfiguration\createConfiguration(), TemplatesControllerTemplate\createFile(), TemplatesControllerTemplate\createFolder(), JoomlaupdateModelDefault\createRestorationFile(), InstallationModelDatabase\createTables(), TemplatesModelTemplate\createTemplateOverride(), TemplatesControllerTemplate\cropImage(), TemplatesModelTemplate\cropImage(), Language\debugFile(), FileWrapper\delete(), File\delete(), Folder\delete(), TemplatesControllerTemplate\delete(), TemplatesModelTemplate\deleteFile(), TemplatesControllerTemplate\deleteFolder(), JoomlaInstallerScript\deleteUnexistingFiles(), InstallerHelper\detectType(), JLoader\discover(), LibraryAdapter\discover(), PluginAdapter\discover(), MenusViewMenu\display(), MenusViewItems\display(), PlgSystemDebug\displayLanguageFilesInError(), PlgSystemDebug\displayLanguageFilesLoaded(), PlgSystemDebug\displayUntranslatedStrings(), JSessionHandlerNative\doSessionStart(), FileWrapper\exists(), File\exists(), HTMLHelper\extract(), TemplatesControllerTemplate\extractArchive(), TemplatesModelTemplate\extractArchive(), Zip\extractNative(), JArchiveZip\extractNative(), CliApplication\fetchConfigurationData(), WebApplication\fetchConfigurationData(), FOFIntegrationJoomlaFilesystem\fileDelete(), FOFIntegrationJoomlaFilesystem\fileWrite(), PathWrapper\find(), Path\find(), Installer\findDeletedFiles(), ClassLoader\findFile(), ClassLoader\findFileWithExtension(), lessc\findImport(), FOFLess\findImport(), Installer\findManifest(), TemplatesModelTemplate\fixTemplateName(), PlgSystemDebug\formatLink(), FileStorage\gc(), CacheliteStorage\gc(), SimplePie_Misc\get_build(), Access\getActionsFromFile(), Installer\getAdapters(), CacheliteStorage\getAll(), FileStorage\getAll(), FOFTemplateUtils\getAltPaths(), Factory\getConfig(), JDatabaseDriver\getConnectors(), FOFDatabaseDriver\getConnectors(), ActionlogsHelper\getContentTypeLink(), FOFConfigProvider\getDomains(), ModuleAdapter\getElement(), PluginAdapter\getElement(), FileWrapper\getExt(), File\getExt(), FOFPlatformFilesystem\getExt(), FOFPlatformFilesystem\getFiles(), FOFDownload\getFiles(), AKUtilsLister\getFiles(), AKUtilsLister\getFolders(), ContenthistoryHelper\getFormFile(), HttpFactory\getHttpTransports(), ModRandomImageHelper\getImages(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldFieldlayout\getInput(), InstallationModelLanguages\getInstalledlangs(), ChangeItem\getInstance(), BaseController\getInstance(), FilesystemHelper\getJStreams(), FinderViewSearch\getLayoutFile(), MediaModelList\getList(), ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd\getLoader(), PlgSystemLogrotation\getLogFiles(), LanguageHelper\getMetadata(), JGoogleDataPicasaAlbum\getMime(), MediaHelper\getMimeType(), FileWrapper\getName(), File\getName(), InstallationFormFieldSample\getOptions(), JFormFieldFieldcontexts\getOptions(), JFormFieldFileList\getOptions(), FOFLayoutFile\getPath(), JViewHtml\getPath(), MenuHelper\getPresets(), Cache\getStores(), Session\getStores(), Tar\getTarInfo(), AdminModelHelp\getToc(), MenusModelMenutypes\getTypeOptionsFromLayouts(), MenusModelMenutypes\getTypeOptionsFromMvc(), MenusModelMenutypes\getTypeOptionsFromXml(), ChangeSet\getUpdateQueries(), JHtmlUsers\image(), HTMLHelper\image(), JHtmlList\images(), Composer\Autoload\includeFile(), HTMLHelper\includeRelativeFiles(), Installer\isManifest(), InputFilter\isSafeFile(), JHtmlUsers\language(), TemplatesControllerTemplate\less(), FtpClient\listDetails(), Adapter\loadAllAdapters(), Toolbar\loadButtonType(), FOFFormHelper\loadClass(), FormHelper\loadClass(), ClassLoader\loadClass(), Registry\loadFile(), Form\loadFile(), HtmlView\loadHelper(), FOFView\loadHelper(), PluginAdapter\loadLanguage(), PackageManifest\loadManifestFromData(), LibraryManifest\loadManifestFromData(), ConfigViewCmsHtml\loadTemplate(), HtmlView\loadTemplate(), FOFIntegrationJoomlaPlatform\logAddLogger(), FileWrapper\makeSafe(), File\makeSafe(), InstallerScript\moveCliFiles(), PlgCaptchaRecaptcha_Invisible\onInit(), PlgCaptchaRecaptcha\onInit(), PostinstallModelMessages\onProcessList(), TemplatesControllerTemplate\overrides(), Yaml\parse(), FOFUtilsIniParser\parse_ini_file(), AKText\parse_ini_file(), FOFUtilsIniParser\parse_ini_file_php(), Installer\parseFiles(), LanguageHelper\parseLanguageFiles(), Installer\parseLanguages(), Installer\parseMedia(), Installer\parseSchemaUpdates(), Installer\parseSQLFiles(), FOFIntegrationJoomlaFilesystem\pathFind(), FileAdapter\populateFilesAndFolderList(), AKUnarchiverJPA\readFileHeader(), AKUnarchiverZIP\readFileHeader(), InstallerModelUpdatesites\rebuild(), LanguagesModelStrings\refresh(), InstallerScript\removeFiles(), Installer\removeFiles(), FOFUtilsInstallscript\removeFilesAndFolders(), JoomlaupdateModelDefault\removePackageFiles(), TemplatesControllerTemplate\renameFile(), TemplatesModelTemplate\renameFile(), ErrorDocument\render(), AdministratorApplication\render(), InstallationApplicationWeb\render(), SiteApplication\render(), TemplatesControllerTemplate\resizeImage(), TemplatesModelTemplate\resizeImage(), SimplePie_Sanitize\sanitize(), TemplatesControllerTemplate\save(), FOFPlatformFilesystem\scanDirectory(), FOFDownload\scanDirectory(), HTMLHelper\script(), Path\setPermissions(), FileWrapper\stripExt(), File\stripExt(), FOFPlatformFilesystem\stripExt(), HTMLHelper\stylesheet(), LanguagesControllerInstalled\switchAdminLanguage(), AKPostprocDirect\unlink(), LanguageAdapter\update(), MediaControllerFile\upload(), JGithubPackageRepositoriesDownloads\upload(), JGoogleDataPicasaAlbum\upload(), TemplatesControllerTemplate\uploadFile(), TemplatesModelTemplate\uploadFile(), JOpenstreetmapGps\uploadTrace(), FileWrapper\write(), File\write(), ConfigModelApplication\writeConfigFile(), DaemonApplication\writeProcessIdFile(), AbstractDaemonApplication\writeProcessIdFile(), PlgSystemDebug\writeToFile(), et JHtmlDebug\xdebuglink().

◆ $message

$message = JText::sprintf($key, $file, $msg0, $msg1, $msg2)

◆ $msg0

$msg0 = isset($msgs[0]) ? $msgs[0] : ' '

◆ $msg1

$msg1 = isset($msgs[1]) ? $msgs[1] : ' '

Référencé par SMTP\authenticate().

◆ $msg2

$msg2 = isset($msgs[2]) ? $msgs[2] : ' '

◆ $msgs

foreach ( $this->errors as $line=> $error) $msgs = $error->msgElements

Référencé par InstallerModelManage\remove().

◆ __pad0__

else __pad0__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • discover
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/views/discover/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
endif
else __pad0__
foreach ( $this->items as $i=> $item)
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad0__

else __pad0__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • install
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/views/install/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

Joomla | submitbuttonInstallWebInstaller
jQuery (document).ready(function($)
JoomlaInstaller
background __pad0__
if(!empty($this->sidebar)) | else
elseif($this->showJedAndWebInstaller) line | height
color __pad1__
endif
$firstTab = JEventDispatcher::getInstance()->trigger('onInstallerViewBeforeFirstTab', array())
$tabs = JEventDispatcher::getInstance()->trigger('onInstallerAddInstallationTab', array())
endforeach
$lastTab = JEventDispatcher::getInstance()->trigger('onInstallerViewAfterLastTab', array())

Documentation des variables

◆ $firstTab

$firstTab = JEventDispatcher::getInstance()->trigger('onInstallerViewBeforeFirstTab', array())

◆ $lastTab

$lastTab = JEventDispatcher::getInstance()->trigger('onInstallerViewAfterLastTab', array())

◆ $tabs

$tabs = JEventDispatcher::getInstance()->trigger('onInstallerAddInstallationTab', array())

Référencé par InstallationHtmlHelper\getTab(), InstallationHtmlHelper\stepbar(), et InstallationHtmlHelper\stepbarlanguages().

◆ __pad0__

background __pad0__

◆ __pad1__

color __pad1__

◆ else

if (!empty( $this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ height

integer $previewHeight The image preview height

Référencé par SimplePie_Enclosure\__construct(), SimplePie_Enclosure\get_height(), EditorField\getInput(), SimplePie_Misc\output_javascript(), MediaField\setup(), et EditorField\setup().

◆ JoomlaInstaller

JoomlaInstaller
Valeur initiale :
= {
getLoadingOverlay: function () {
return jQuery("#loading");
},
showLoading: function () {
this.getLoadingOverlay().css("display", "block");
},
hideLoading: function () {
this.getLoadingOverlay().css("display", "none");
}
}
jQuery
jQuery(document).ready(function($)
Definition: administrator/components/com_installer/views/install/tmpl/default.php:43

◆ jQuery

jQuery(document).ready(function($)

◆ submitbuttonInstallWebInstaller

Joomla submitbuttonInstallWebInstaller
Valeur initiale :
= function() {
var form = document.getElementById("adminForm");
form.install_url.value = "https://appscdn.joomla.org/webapps/jedapps/webinstaller.xml";
Joomla.submitbutton4();
}
Joomla


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • languages
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/views/languages/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) | else
else __pad0__
$version = new JVersion
$currentShortVersion = preg_replace('#^([0-9\.]+)(|.*)$#', '$1', $version->getShortVersion())
$i = 0
$language | code = $element[1]
$buttonText = (isset($this->installedLang[0][$language->code]) || isset($this->installedLang[1][$language->code])) ? 'REINSTALL' : 'INSTALL'
$onclick = 'document.getElementById(\'install_url\').value = \'' . $language->detailsurl . '\'; Joomla.submitbutton(\'install.install\');'
$minorVersion = $version::MAJOR_VERSION . '.' . $version::MINOR_VERSION
else __pad1__
endif
endforeach

Documentation des variables

◆ $buttonText

$buttonText = (isset($this->installedLang[0][$language->code]) || isset($this->installedLang[1][$language->code])) ? 'REINSTALL' : 'INSTALL'

◆ $currentShortVersion

$currentShortVersion = preg_replace('#^([0-9\.]+)(|.*)$#', '$1', $version->getShortVersion())

◆ $i

$i = 0

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $minorVersion

$minorVersion = $version::MAJOR_VERSION . '.' . $version::MINOR_VERSION

Référencé par Browser\getMinor(), Browser\getVersion(), FOFRenderJoomla3\preRender(), FOFRenderJoomla\preRender(), FOFRenderStrapper\preRender(), et AtomRenderer\render().

◆ $onclick

$onclick = 'document.getElementById(\'install_url\').value = \'' . $language->detailsurl . '\'; Joomla.submitbutton(\'install.install\');'

◆ $version

$version = new JVersion

Référencé par FOFUtilsFilescheck\__construct(), RequestParameters\__construct(), JOAuth1Client\__construct(), Factory\createDocument(), InstallationModelDatabase\createTables(), Help\createUrl(), SimplePie_Misc\debug(), JOpenstreetmapElements\deleteElement(), WebClient\detectEngine(), InstallerHelper\downloadPackage(), WebApplication\flushAssets(), AdminModelSysInfo\getInfo(), PlgSystemLogrotation\getLogFiles(), PlgQuickiconPhpVersionCheck\getPhpSupport(), FOFPlatform\getPlatformVersion(), PlgCaptchaRecaptcha\getResponse(), Version\getShortVersion(), Factory\getStream(), UpdateAdapter\getUpdateSiteResponse(), ModVersionHelper\getVersion(), FOFDatabaseDriverSqlsrv\getVersion(), FOFDatabaseDriverPostgresql\getVersion(), JDatabaseDriverPostgresql\getVersion(), Browser\identifyBrowserVersion(), Update\loadFromXml(), Browser\match(), PlgCaptchaRecaptcha\onCheckAnswer(), Installer\parseSchemaUpdates(), FOFUtilsInstallscript\preflight(), FOFRenderStrapper\preRender(), FOFRenderJoomla\preRender(), FOFRenderJoomla3\preRender(), JOpenstreetmapElements\redaction(), JLoader\registerAlias(), FOFUtilsUpdateJoomla\sanitiseVersion(), RequestParameters\toArray(), et JOpenstreetmapElements\versionOfElement().

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ code

$language code = $element[1]

Référencé par JException\__construct(), et JTwitterOAuth\validateResponse().

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • manage
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/views/manage/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
endif
else __pad0__
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad0__

else __pad0__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • update
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/views/update/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
endif
else __pad0__
$manifest = json_decode($item->manifest_cache)
$current_version = isset($manifest->version) ? $manifest->version : JText::_('JLIB_UNKNOWN')
if (isset( $item->infourl))
endforeach

Documentation des variables

◆ $current_version

$current_version = isset($manifest->version) ? $manifest->version : JText::_('JLIB_UNKNOWN')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $manifest

$manifest = json_decode($item->manifest_cache)

Référencé par InstallerAdapter\canUninstallPackageChild(), FileAdapter\finaliseInstall(), JoomlaupdateModelDefault\finaliseUpgrade(), Installer\findManifest(), TemplatesModelTemplate\fixTemplateName(), AdminModelSysInfo\getExtensions(), Installer\getManifest(), InstallerAdapter\getManifest(), MenusModelMenutypes\getTypeOptionsFromManifest(), Installer\install(), PlgActionlogJoomla\onExtensionAfterInstall(), PlgActionlogJoomla\onExtensionAfterUninstall(), PlgActionlogJoomla\onExtensionAfterUpdate(), InstallerScript\preflight(), PlgExtensionJoomla\processUpdateSites(), InstallerModelUpdatesites\rebuild(), InstallerAdapter\setManifest(), InstallerModelUpdate\translate(), LibraryAdapter\uninstall(), TemplateAdapter\uninstall(), PackageAdapter\uninstall(), et Installer\update().

◆ __pad0__

else __pad0__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(isset($item->infourl))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • updatesites
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/views/updatesites/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
else __pad0__
endif
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad0__

else __pad0__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • warnings
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/views/warnings/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

if(!empty( $this->sidebar)) else
$i = 0
endforeach
endif

Documentation des variables

◆ $i

$i = 0

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_joomlaupdate/models/default.php

Structures de données

class JoomlaupdateModelDefault

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_joomlaupdate/views/default/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$latestJoomlaVersion = $this->updateInfo['latest']
$currentJoomlaVersion = isset($this->updateInfo['installed']) ? $this->updateInfo['installed'] : JVERSION
joomlaTargetVersion = '$latestJoomlaVersion'
joomlaCurrentVersion = '$currentJoomlaVersion'
JS
endif
else __pad0__
else __pad1__

Documentation des variables

◆ $currentJoomlaVersion

$currentJoomlaVersion = isset($this->updateInfo['installed']) ? $this->updateInfo['installed'] : JVERSION

◆ $latestJoomlaVersion

$latestJoomlaVersion = $this->updateInfo['latest']

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endif

endif

◆ joomlaCurrentVersion

joomlaCurrentVersion = '$currentJoomlaVersion'

◆ joomlaTargetVersion

joomlaTargetVersion = '$latestJoomlaVersion'

◆ JS

JS

Référencé par FOFRenderStrapper\loadValidationScript(), FOFRenderJoomla\loadValidationScript(), FOFRenderStrapper\renderFieldsetLabel(), et JHtmlJquery\token().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • update
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_joomlaupdate/views/update/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$password = JFactory::getApplication()->getUserState('com_joomlaupdate.password', null)
$filesize = JFactory::getApplication()->getUserState('com_joomlaupdate.filesize', null)
$ajaxUrl = JUri::base() . 'components/com_joomlaupdate/restore.php'
$returnUrl = 'index.php?option=com_joomlaupdate&task=update.finalise&' . JFactory::getSession()->getFormToken() . '=1'
joomlaupdate_totalsize = '$filesize'
joomlaupdate_ajax_url = '$ajaxUrl'
joomlaupdate_return_url = '$returnUrl'
jQuery (document).ready(function()

Documentation des variables

◆ $ajaxUrl

$ajaxUrl = JUri::base() . 'components/com_joomlaupdate/restore.php'

Référencé par PlgQuickiconJoomlaupdate\onGetIcons().

◆ $filesize

$filesize = JFactory::getApplication()->getUserState('com_joomlaupdate.filesize', null)

Référencé par JoomlaupdateModelDefault\createRestorationFile(), JoomlaupdateModelDefault\download(), FOFDownload\importFromURL(), AKAbstractUnarchiver\isEOF(), Stream\read(), et AKAbstractUnarchiver\scanArchives().

◆ $password

$password = JFactory::getApplication()->getUserState('com_joomlaupdate.password', null)

Référencé par AKEncryptionAES\AESDecryptCBC(), AKEncryptionAES\AESDecryptCtr(), AKEncryptionAES\AESEncryptCtr(), SMTP\authenticate(), PasswordHash\CheckPassword(), SimpleCryptPassword\create(), Factory\createDbo(), JoomlaupdateModelDefault\createRestorationFile(), AKEncryptionAES\createTheWrongIV(), PasswordHash\crypt_private(), JOpenstreetmapGps\downloadTraceMetadata(), JOpenstreetmapGps\downloadTraceMetadetails(), AKEncryptionAES\expandKey(), JGithubObject\fetchUrl(), InstallationHelperDatabase\getDbo(), AKEncryptionAES\getStaticSaltExpandedKey(), Php55\hash_pbkdf2(), PasswordHash\HashPassword(), ntlm_sasl_client_class\NTLMResponse(), AKEncryptionAES\pbkdf2(), FOFEncryptAes\setPassword(), JOpenstreetmapGps\uploadTrace(), et SimpleCryptPassword\verify().

◆ $returnUrl

$returnUrl = 'index.php?option=com_joomlaupdate&task=update.finalise&' . JFactory::getSession()->getFormToken() . '=1'

Référencé par MediaControllerFile\upload().

◆ joomlaupdate_ajax_url

joomlaupdate_ajax_url = '$ajaxUrl'

◆ joomlaupdate_return_url

joomlaupdate_return_url = '$returnUrl'

◆ joomlaupdate_totalsize

joomlaupdate_totalsize = '$filesize'

◆ jQuery

jQuery(document).ready(function()


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • installed
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_languages/views/installed/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty($this->sidebar)) else
$version = new JVersion
$currentShortVersion = preg_replace('#^([0-9\.]+)(|.*)$#', '$1', $version->getShortVersion())
$canEdit = $user->authorise('core.edit', 'com_languages')
$canChange = $user->authorise('core.edit.state', 'com_languages')
$minorVersion = $version::MAJOR_VERSION . '.' . $version::MINOR_VERSION
else __pad0__
endif
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_languages')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_languages')

◆ $currentShortVersion

$currentShortVersion = preg_replace('#^([0-9\.]+)(|.*)$#', '$1', $version->getShortVersion())

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $minorVersion

$minorVersion = $version::MAJOR_VERSION . '.' . $version::MINOR_VERSION

◆ $user

$user = JFactory::getUser()

◆ $version

$version = new JVersion

◆ __pad0__

else __pad0__

◆ else

if (!empty( $this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • languages
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_languages/views/languages/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'a.ordering'
if ( $saveOrder)
if(!empty( $this->sidebar)) | else
else __pad0__
else null
$canEdit = $user->authorise('core.edit', 'com_languages')
$canChange = $user->authorise('core.edit.state', 'com_languages')
if($canChange) | $disabledLabel = ''
$disableClassName = 'inactive tip-top'
endif
else __pad1__
else __pad2__
else __pad3__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_languages')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_languages')

◆ $disableClassName

$disableClassName = 'inactive tip-top'

Référencé par FOFFormFieldOrdering\getRepeatable().

◆ $disabledLabel

if ( $canChange) $disabledLabel = ''

Référencé par FOFFormFieldOrdering\getRepeatable().

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($saveOrder)

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • multilangstatus
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_languages/views/multilangstatus/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$notice_homes = $this->homes == 2 || $this->homes == 1 || $this->homes - 1 != count($this->contentlangs) && ($this->language_filter || $this->switchers != 0)
$notice_disabled = !$this->language_filter && ($this->homes > 1 || $this->switchers != 0)
$notice_switchers = !$this->switchers && ($this->homes > 1 || $this->language_filter)
else __pad0__
endif
else __pad1__
endforeach
else __pad2__
if($this->switchers !=0) | else
else __pad3__
else __pad4__
else __pad5__
else __pad6__
foreach | ($this->contentlangs as $contentlang) (!array_key_exists( $contentlang->lang_code, $this->site_langs))
else __pad7__

Documentation des variables

◆ $notice_disabled

$notice_disabled = !$this->language_filter && ($this->homes > 1 || $this->switchers != 0)

◆ $notice_homes

$notice_homes = $this->homes == 2 || $this->homes == 1 || $this->homes - 1 != count($this->contentlangs) && ($this->language_filter || $this->switchers != 0)

◆ $notice_switchers

$notice_switchers = !$this->switchers && ($this->homes > 1 || $this->language_filter)

◆ ($this->contentlangs as $contentlang)

foreach ( $this->contentlangs as $contentlang)(!array_key_exists($contentlang->lang_code, $this->site_langs))

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ __pad5__

else __pad5__

◆ __pad6__

else __pad6__

◆ __pad7__

else __pad7__

◆ else

if ( $this->homes > 1) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • overrides
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_languages/views/overrides/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$client = $this->state->get('filter.client') == 'site' ? JText::_('JSITE') : JText::_('JADMINISTRATOR')
$language = $this->state->get('filter.language')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$oppositeClient = $this->state->get('filter.client') == 'administrator' ? JText::_('JSITE') : JText::_('JADMINISTRATOR')
$oppositeFileName
$oppositeStrings = JLanguageHelper::parseIniFile($oppositeFileName)
if(!empty( $this->sidebar)) else
else __pad0__
$canEdit = JFactory::getUser()->authorise('core.edit', 'com_languages')
$i = 0
foreach ( $this->items as $key=> $text)
else __pad1__
endif
endforeach

Documentation des variables

◆ $canEdit

$canEdit = JFactory::getUser()->authorise('core.edit', 'com_languages')

◆ $client

$client = $this->state->get('filter.client') == 'site' ? JText::_('JSITE') : JText::_('JADMINISTRATOR')

Référencé par Route\_(), JLinkedinOauth\__construct(), JGoogleAuthOauth2\__construct(), JFacebookOAuth\__construct(), JTwitterOAuth\__construct(), JOpenstreetmapOauth\__construct(), AdministratorApplication\__construct(), JMediawikiObject\__construct(), JGithubObject\__construct(), JLinkedinObject\__construct(), JFacebookObject\__construct(), JTwitterObject\__construct(), JOpenstreetmapObject\__construct(), SiteApplication\__construct(), JOAuth1Client\__construct(), JLinkedin\__construct(), JGithub\__construct(), JMediawiki\__construct(), JOpenstreetmap\__construct(), CMSApplication\__construct(), JFacebook\__construct(), JTwitter\__construct(), WebApplication\__construct(), PackageAdapter\_getExtensionId(), CollectionAdapter\_startElement(), ApplicationHelper\addClientInfo(), Installer\cleanDiscoveredExtension(), TemplatesModelTemplate\compileLess(), TemplatesModelTemplate\copy(), TemplatesModelTemplate\copyFile(), Installer\copyManifest(), TemplatesModelTemplate\createFile(), TemplatesModelTemplate\createFolder(), TemplatesModelTemplate\createOverride(), TemplatesModelTemplate\cropImage(), LanguagesModelOverrides\delete(), CacheController\deleteAll(), TemplatesModelTemplate\deleteFile(), TemplatesModelTemplate\deleteFolder(), LanguageAdapter\discover_install(), TemplatesModelTemplate\extractArchive(), TemplatesModelTemplate\getArchive(), InstallationModelLanguages\getClient(), ApplicationHelper\getClientInfo(), ClientHelper\getCredentials(), ClientWrapper\getCredentials(), TemplatesModelTemplate\getFiles(), TemplatesModelTemplate\getFont(), LanguagesModelOverride\getForm(), TemplatestyleField\getGroups(), TemplatesModelTemplate\getImage(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), InstallationModelLanguages\getInstalledlangs(), Pathway\getInstance(), AbstractMenu\getInstance(), Router\getInstance(), JApplication\getInstance(), TemplatesModelStyle\getItem(), ModulesModelModule\getItem(), TemplatesModelTemplates\getItems(), ModulesModelPositions\getItems(), ModulesModelSelect\getItems(), MenusModelItems\getItems(), LanguagesModelInstalled\getLanguageList(), FOFFormHeaderLanguage\getOptions(), JFormFieldLanguage\getOptions(), LanguagesModelOverrides\getOverrides(), TemplatesModelTemplate\getOverridesList(), InstallationModelLanguages\getPath(), LanguagesModelInstalled\getPath(), TemplatesModelTemplate\getSource(), MenusModelMenutypes\getTypeOptionsByComponent(), MenusModelMenutypes\getTypeOptionsFromLayouts(), MenusModelMenutypes\getTypeOptionsFromMvc(), JGoogleAuthOauth2\googlize(), ClientWrapper\hasCredentials(), ClientHelper\hasCredentials(), ntlm_sasl_client_class\initialize(), LanguageAdapter\install(), Route\link(), TemplateAdapter\loadLanguage(), ModuleAdapter\loadLanguage(), ComponentAdapter\loadLanguage(), Installer\parseFiles(), Installer\parseLanguages(), LanguagesModelOverrides\populateState(), LanguagesModelOverride\populateState(), ModuleAdapter\prepareDiscoverInstall(), TemplateAdapter\prepareDiscoverInstall(), PluginAdapter\prepareDiscoverInstall(), TemplatesModelStyle\preprocessForm(), ModulesModelModule\preprocessForm(), LanguagesModelInstalled\publish(), AdminModel\redirectToAssociations(), LanguagesModelStrings\refresh(), ModuleAdapter\refreshManifestCache(), TemplateAdapter\refreshManifestCache(), PluginAdapter\refreshManifestCache(), LanguageAdapter\refreshManifestCache(), ComponentAdapter\refreshManifestCache(), Installer\removeFiles(), TemplatesModelTemplate\renameFile(), TemplatesModelTemplate\resizeImage(), LanguagesModelOverride\save(), TemplatesModelTemplate\save(), FileLayout\setClient(), ClientWrapper\setCredentials(), ClientHelper\setCredentials(), ClientWrapper\setCredentialsFromRequest(), ClientHelper\setCredentialsFromRequest(), InstallationModelLanguages\setDefault(), ChromestyleField\setup(), ModulepositionField\setup(), ModuleAdapter\setupInstallPaths(), TemplateAdapter\setupInstallPaths(), ntlm_sasl_client_class\start(), ntlm_sasl_client_class\step(), LanguagesModelInstalled\switchAdminLanguage(), JHtmlTemplates\thumb(), JHtmlTemplates\thumbModal(), TemplateAdapter\uninstall(), PackageAdapter\uninstall(), LanguageAdapter\uninstall(), LanguageAdapter\update(), et TemplatesModelTemplate\uploadFile().

◆ $i

if (isset( $oppositeStrings[ $key]) &&$oppositeStrings[ $key]===$text) $i = 0

◆ $language

$language = $this->state->get('filter.language')

Référencé par FeedLink\__construct(), PlgSystemLanguageFilter\__construct(), TagsHelperRoute\_findItem(), PlgCaptchaRecaptcha\_getLanguage(), InstallationModelLanguages\addAssociations(), PlgSampledataBlog\addMenuItems(), MenuRules\buildLookup(), LanguageHelper\createLanguageList(), LanguageAdapter\discover(), JoomlaupdateViewUpload\display(), CategoryFeedView\display(), MenusController\display(), ModulesController\display(), ContentHelperAssociation\displayAssociations(), JHtmlAdminLanguage\existing(), RouteHelper\findItem(), ContentHelperRoute\getArticleRoute(), AssociationsHelper\getAssociationHtmlList(), NewsfeedsHelperRoute\getCategoryRoute(), ContactHelperRoute\getCategoryRoute(), ContentHelperRoute\getCategoryRoute(), RouteHelper\getCategoryRoute(), ContactHelperRoute\getContactRoute(), LanguageHelper\getContentLanguages(), Factory\getDate(), SiteMenu\getDefault(), AbstractMenu\getDefault(), LanguagesModelOverride\getForm(), LanguageHelper\getInstalledLanguages(), TagsHelperRoute\getItemRoute(), TagsHelper\getItemTags(), Factory\getLanguage(), Document\getLanguage(), WebApplication\getLanguage(), ModLoginHelper\getLanguageList(), LanguageHelper\getLanguagePath(), Language\getLanguagePath(), InstallerModelLanguages\getLanguages(), JFormFieldTinymceBuilder\getLayoutData(), ModLanguagesHelper\getList(), ModTagsPopularHelper\getList(), ModTagssimilarHelper\getList(), ContentModelFeatured\getListQuery(), BannersModelBanners\getListQuery(), FieldsModelGroups\getListQuery(), FieldsModelFields\getListQuery(), TagsModelTag\getListQuery(), TagsModelTags\getListQuery(), NewsfeedsModelNewsfeeds\getListQuery(), ContactModelContacts\getListQuery(), AssociationsModelAssociations\getListQuery(), CategoriesModelCategories\getListQuery(), ContentModelArticles\getListQuery(), MenusModelItems\getListQuery(), ModulesModelModules\getListQuery(), InstallationApplicationWeb\getLocaliseAdmin(), NewsfeedsHelperRoute\getNewsfeedRoute(), JFormFieldCategoryParent\getOptions(), JFormFieldCategory\getOptions(), JFormFieldItemLanguage\getOptions(), JFormFieldLanguageclient\getOptions(), TagField\getOptions(), JFormFieldCategoryEdit\getOptions(), JLinkedinPeople\getProfile(), RouteHelper\getRoute(), TagsHelper\getTagItemsQuery(), JHtmlLanguages\id(), WebApplication\initialise(), CMSApplication\initialiseApp(), InstallationModelLanguages\install(), WebApplication\loadLanguage(), UsersControllerUser\login(), UsersControllerUser\logout(), UsersControllerUser\menulogout(), PlgSystemLanguageFilter\onAfterDispatch(), PlgSampledataBlog\onAjaxSampledataApplyStep1(), PlgSampledataBlog\onAjaxSampledataApplyStep2(), PlgSampledataBlog\onAjaxSampledataApplyStep3(), PlgSystemLanguagecode\onContentPrepareForm(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), JHtmlTag\options(), JHtmlCategory\options(), PlgSystemLanguageFilter\parseRule(), TagsModelTags\populateState(), MenusModelItems\populateState(), ContentModelArticles\populateState(), LanguagesModelOverrides\populateState(), TagsModelTag\populateState(), LanguagesModelOverride\populateState(), MenuRules\preprocess(), JAdminCssMenu\preprocess(), CategoriesModelCategory\preprocessForm(), NewsfeedsModelNewsfeed\preprocessForm(), ContactModelContact\preprocessForm(), ContentModelArticle\preprocessForm(), MenusModelItem\preprocessForm(), AdminModel\redirectToAssociations(), LanguagesModelStrings\refresh(), ErrorDocument\render(), JGithubPackageSearch\repositories(), LanguagesModelOverride\save(), JGoogleDataPlusPeople\search(), JGoogleDataPlusActivities\search(), JHtmlFilter\select(), LanguagesControllerInstalled\setDefault(), AbstractMenu\setDefault(), InstallationModelLanguages\setDefault(), Menu\store(), OutputFilter\stringURLSafe(), ApplicationHelper\stringURLSafe(), OutputFilter\stringUrlSafe(), et LanguagesControllerInstalled\switchAdminLanguage().

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $oppositeClient

$oppositeClient = $this->state->get('filter.client') == 'administrator' ? JText::_('JSITE') : JText::_('JADMINISTRATOR')

Référencé par LanguagesModelOverride\save().

◆ $oppositeFileName

$oppositeFileName
Valeur initiale :
= constant('JPATH_' . strtoupper($this->state->get('filter.client') === 'site' ? 'administrator' : 'site'))
. '/language/overrides/' . $this->state->get('filter.language', 'en-GB') . '.override.ini'

Référencé par LanguagesModelOverride\getItem().

◆ $oppositeStrings

$oppositeStrings = JLanguageHelper::parseIniFile($oppositeFileName)

Référencé par LanguagesModelOverride\getItem().

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $key=> $text)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
  • views
  • login
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_login/views/login/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$loginmodule = LoginModelLogin::getLoginModule('mod_login')
$modules = JModuleHelper::getModules('login')

Documentation des variables

◆ $loginmodule

$loginmodule = LoginModelLogin::getLoginModule('mod_login')

Get the login modules If you want to use a completely different login module change the value of name in your layout override.

◆ $modules

$modules = JModuleHelper::getModules('login')

Get any other modules in the login position. If you want to use a different position for the modules, change the name here in your override.

Référencé par PlgContentLoadmodule\_load(), PlgContentLoadmodule\_loadid(), ModuleHelper\cleanModuleList(), LoginModelLogin\getLoginModule(), ModuleHelper\getModule(), MultilangstatusHelper\getModule(), ModuleHelper\getModuleById(), ModuleHelper\getModules(), ModulesHelper\getModules(), MenusModelMenu\getModules(), TemplatesModelTemplate\getOverridesList(), FOFUtilsInstallscript\installSubextensions(), ModuleHelper\load(), modChrome_beezTabs(), PlgSampledataBlog\onAjaxSampledataApplyStep3(), FOFUtilsInstallscript\uninstallObsoleteSubextensions(), et FOFUtilsInstallscript\uninstallSubextensions().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • images
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_media/views/images/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$input = JFactory::getApplication()->input
$params = JComponentHelper::getParams('com_media')
$lang = JFactory::getLanguage()
$onClick = ''
$fieldInput = $this->state->get('field.id')
$isMoo = $input->getInt('ismoo', 1)
$author = $input->getCmd('author')
$asset = $input->getCmd('asset')
if(!empty($fieldInput)) | else
if(!empty($onClick)) | view =imagesList&amp
tmpl =component&amp
folder =<?php echo rawurlencode($this->state->folder)
endif
$cMax = (int) $this->config->get('upload_maxsize')
$maxSize = JUtility::getMaxUploadSize($cMax . 'MB')

Documentation des variables

◆ $asset

$asset = $input->getCmd('asset')

◆ $author

$author = $input->getCmd('author')

◆ $cMax

$cMax = (int) $this->config->get('upload_maxsize')

◆ $fieldInput

$fieldInput = $this->state->get('field.id')

◆ $input

$input = JFactory::getApplication()->input

◆ $isMoo

$isMoo = $input->getInt('ismoo', 1)

◆ $lang

$lang = JFactory::getLanguage()

◆ $maxSize

$maxSize = JUtility::getMaxUploadSize($cMax . 'MB')

◆ $onClick

$onClick = ''

◆ $params

$params = JComponentHelper::getParams('com_media')

◆ $user

$user = JFactory::getUser()

◆ else

if (!empty( $fieldInput)) else
Valeur initiale :
{
$onClick = 'ImageManager.onok();window.parent.jModalClose();'
$onClick
$onClick
Definition: administrator/components/com_media/views/images/tmpl/default.php:16

Mootools compatibility

There is an extra option passed in the URL for the iframe &ismoo=0 for the bootstrap fields. By default the value will be 1 or defaults to mootools behaviour

This should be removed when mootools won't be shipped by Joomla.

◆ endif

endif

◆ folder

folder =<?php echo rawurlencode($this->state->folder)

Référencé par JFormFieldPlugins\__set(), MediaField\getLayoutData(), et JFormFieldPlugins\setup().

◆ tmpl

tmpl =component&amp

◆ view

string The default view =imagesList&amp
Depuis
1.6

Référencé par FOFDispatcher\__construct(), FOFController\__construct(), FOFController\apply(), FOFController\applySave(), FOFController\cancel(), FOFController\checkACL(), FOFController\copy(), FOFController\edit(), FOFController\execute(), RouteHelper\getRoute(), FOFController\getThisModel(), FOFController\getThisView(), FOFController\loadhistory(), FOFController\onBeforeAccesspublic(), FOFController\onBeforeAccessregistered(), FOFController\onBeforeAccessspecial(), FOFController\onBeforeAdd(), FOFController\onBeforeApply(), FOFController\onBeforeBrowse(), FOFController\onBeforeCancel(), FOFController\onBeforeEdit(), FOFController\onBeforeGenericTask(), FOFController\onBeforeOrderdown(), FOFController\onBeforeOrderup(), FOFController\onBeforePublish(), FOFController\onBeforeRemove(), FOFController\onBeforeSave(), FOFController\onBeforeSavenew(), FOFController\onBeforeSaveorder(), FOFController\onBeforeUnpublish(), PlgQuickiconExtensionupdate\onGetIcons(), FOFController\orderdown(), FOFController\orderup(), FOFController\remove(), FOFToolbar\renderToolbar(), FOFController\save(), FOFController\savenew(), FOFController\saveorder(), FOFController\setaccess(), FOFViewHtml\setPageTitle(), FOFController\setstate(), et FOFForm\setView().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • imageslist
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_media/views/imageslist/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$lang = JFactory::getLanguage()

Documentation des variables

◆ $lang

$lang = JFactory::getLanguage()


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • media
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_media/views/media/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$input = JFactory::getApplication()->input
$lang = JFactory::getLanguage()
$style = JFactory::getApplication()->getUserStateFromRequest('media.list.layout', 'layout', 'thumbs', 'word')
if(DIRECTORY_SEPARATOR=='\\') else
viewstyle = '" . $style . "'
if ( $lang->isRtl())
if(($user->authorise('core.create', 'com_media')) and $this->require_ftp) task
endif
$cMax = (int) $this->config->get('upload_maxsize')
$maxSize = JUtility::getMaxUploadSize($cMax . 'MB')

Documentation des variables

◆ $cMax

$cMax = (int) $this->config->get('upload_maxsize')

◆ $input

$input = JFactory::getApplication()->input

◆ $lang

$lang = JFactory::getLanguage()

◆ $maxSize

$maxSize = JUtility::getMaxUploadSize($cMax . 'MB')

◆ $style

$style = JFactory::getApplication()->getUserStateFromRequest('media.list.layout', 'layout', 'thumbs', 'word')

Référencé par PlgContentLoadmodule\_load(), PlgContentLoadmodule\_loadmod(), ColorProcessor\addStyle(), FOFController\createView(), PlgSystemDebug\display(), PlgSystemDebug\displayCallback(), PlgSystemDebug\displaySession(), JGoogleEmbedMaps\getBody(), TemplatestyleField\getGroups(), ChromestyleField\getGroups(), FOFTemplateUtils\loadPosition(), PlgContentLoadmodule\onContentPrepare(), PlgContentPagebreak\onContentPrepare(), Parser\parseBlockScalar(), InstallerModelManage\publish(), FOFRenderJoomla3\renderLinkbar(), FOFRenderStrapper\renderLinkbar(), ModuleHelper\renderModule(), ColorProcessor\replaceColors(), TemplatesModelStyle\setHome(), Document\setLineEnd(), JGoogleEmbedMaps\setMapStyle(), et TemplatesModelStyle\unsetHome().

◆ $user

$user = JFactory::getUser()

◆ else

if (DIRECTORY_SEPARATOR=='\\') else
Valeur initiale :
{
$base = COM_MEDIA_BASE
COM_MEDIA_BASE
const COM_MEDIA_BASE(!is_dir($mediaBaseDir))
Definition: administrator/components/com_media/media.php:48
$base
$base
Definition: modules/mod_menu/mod_menu.php:16

◆ endif

endif

◆ if

if($lang->isRtl())

◆ task

if (( $user->authorise( 'core.create', 'com_media')) and $this->require_ftp) task
Valeur initiale :
=ftpValidate" name="ftpForm" id="ftpForm" method="post">
<fieldset title="<?php echo JText::_('COM_MEDIA_DESCFTPTITLE')

Référencé par JHtmlGrid\boolean(), BaseController\execute(), FOFController\execute(), BaseController\getModel(), FOFController\getModel(), FOFRenderStrapper\loadValidationScript(), FOFRenderJoomla\loadValidationScript(), PlgQuickiconExtensionupdate\onGetIcons(), et FOFToolbar\renderToolbar().

◆ viewstyle

viewstyle = '" . $style . "'


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_media/views/medialist/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • layouts
  • joomla
  • searchtools
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/layouts/joomla/searchtools/default.php

Espaces de nommage

Joomla\Administrator

Variables

$data = $displayData
$data ['options'] = !empty($data['options']) ? $data['options'] : array()
if($data['view'] instanceof MenusViewItems|| $data['view'] instanceof MenusViewMenus) $customOptions
$data ['options'] = array_merge($customOptions, $data['options'])
$formSelector = !empty($data['options']['formSelector']) ? $data['options']['formSelector'] : '#adminForm'
$filtersClass = isset($data['view']->activeFilters) && $data['view']->activeFilters ? ' js-stools-container-filters-visible' : ''
endif

Documentation des variables

◆ $customOptions

if ( $data[ 'view'] instanceof MenusViewItems||$data[ 'view'] instanceof MenusViewMenus) $customOptions
Valeur initiale :
= array(
'filtersHidden' => isset($data['options']['filtersHidden']) ? $data['options']['filtersHidden'] : empty($data['view']->activeFilters),
'defaultLimit' => isset($data['options']['defaultLimit']) ? $data['options']['defaultLimit'] : JFactory::getApplication()->get('list_limit', 20),
'searchFieldSelector' => '#filter_search',
'orderFieldSelector' => '#list_fullordering',
'totalResults' => isset($data['options']['totalResults']) ? $data['options']['totalResults'] : -1,
'noResultsText' => isset($data['options']['noResultsText']) ? $data['options']['noResultsText'] : JText::_('JGLOBAL_NO_MATCHING_RESULTS'),
)
$data
$data
Definition: administrator/components/com_menus/layouts/joomla/searchtools/default.php:13

◆ $data [1/3]

$data = $displayData

◆ $data [2/3]

$data[ 'options'] = !empty($data['options']) ? $data['options'] : array()

◆ $data [3/3]

$data[ 'options'] = array_merge($customOptions, $data['options'])

◆ $filtersClass

$filtersClass = isset($data['view']->activeFilters) && $data['view']->activeFilters ? ' js-stools-container-filters-visible' : ''

◆ $formSelector

$formSelector = !empty($data['options']['formSelector']) ? $data['options']['formSelector'] : '#adminForm'

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • items
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/views/items/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$app = JFactory::getApplication()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$ordering = ($listOrder == 'a.lft')
$saveOrder = ($listOrder == 'a.lft' && strtolower($listDirn) == 'asc')
$menuType = (string) $app->getUserState('com_menus.items.menutype', '', 'string')
if($saveOrder && $menuType) | $assoc = JLanguageAssociations::isEnabled() && $this->state->get('filter.client_id') == 0
$colSpan = $assoc ? 10 : 9
if($menuType=='')< form action="<?php echo JRoute::_('index.php?option=com_menus&view=items'); ?> | method
else __pad0__
else __pad1__
else null
else endif
$canCreate = $user->authorise('core.create', 'com_menus.menu.' . $item->menutype_id)
$canEdit = $user->authorise('core.edit', 'com_menus.menu.' . $item->menutype_id)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_menus.menu.' . $item->menutype_id) && $canCheckin
if($item->level > 1) | else
if($menuType) if(! $canChange) | elseif (! $saveOrder)
$published = $item->protected ? 3 : $item->published
$prefix = JLayoutHelper::render('joomla.html.treeprefix', array('level' => $item->level))
else __pad2__
else __pad3__
else __pad4__
else $item language_title
else __pad5__
else $item language_image
else $item $item array('title'=> $item->language_title) | true
else __pad6__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

if ( $saveOrder &&$menuType) $assoc = JLanguageAssociations::isEnabled() && $this->state->get('filter.client_id') == 0

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_menus.menu.' . $item->menutype_id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_menus.menu.' . $item->menutype_id)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_menus.menu.' . $item->menutype_id)

◆ $colSpan

$colSpan = $assoc ? 10 : 9

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $menuType

$menuType = (string) $app->getUserState('com_menus.items.menutype', '', 'string')

Référencé par MenusControllerItem\allowAdd(), MenusModelItem\batchCopy(), MenusModelItem\batchMove(), MenuitemField\getGroups(), JFormFieldMenuitemByType\getGroups(), MenusModelItems\getListQuery(), MenusModelItems\getMenu(), MenusHelper\getMenuLinks(), MenusModelMenu\getModules(), JFormFieldMenuParent\getOptions(), JFormFieldMenuOrdering\getOptions(), MenusControllerItem\getRedirectToItemAppend(), MenusModelItems\populateState(), MenusModelItem\populateState(), MenusModelItem\save(), et JFormFieldMenuitemByType\setup().

◆ $ordering

$ordering = ($listOrder == 'a.lft')

◆ $prefix

$prefix = JLayoutHelper::render('joomla.html.treeprefix', array('level' => $item->level))

Référencé par HTMLHelper\_(), PaginationObject\__construct(), Profiler\__construct(), Pagination\__construct(), JLoader\_autoload(), FOFController\_createModel(), BaseDatabaseModel\_createTable(), FOFModel\_createTable(), FOFController\_createView(), MemcacheStorage\_getCacheId(), MemcachedStorage\_getCacheId(), ContactControllerContact\_sendEmail(), JHtmlJGrid\action(), ClassLoader\add(), BaseDatabaseModel\addIncludePath(), FOFModel\addIncludePath(), BaseController\addModelPath(), FOFController\addModelPath(), FormHelper\addPrefix(), ClassLoader\addPsr4(), CategoriesHelper\addSubmenu(), JHtmlActionsDropdown\archive(), InstallationModelDatabase\backupDatabase(), UsersModelLevel\canDelete(), FOFTable\canDelete(), MemcacheStorage\clean(), MemcachedStorage\clean(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), Factory\createDbo(), LegacyFactory\createModel(), MVCFactory\createModel(), BaseController\createModel(), FOFController\createModel(), LegacyFactory\createTable(), MVCFactory\createTable(), LegacyFactory\createView(), MVCFactory\createView(), BaseController\createView(), FOFController\createView(), InstallationModelDatabase\deleteDatabase(), Dumper\dump(), JHtmlActionsDropdown\duplicate(), JHtmlDropdown\edit(), HTMLHelper\extract(), JHtmlActionsDropdown\feature(), FeedParser\fetchNamespace(), ClassLoader\findFileWithExtension(), ArrayHelper\flatten(), FOFModel\getAnInstance(), FOFTable\getAnInstance(), JGoogleEmbedAnalytics\getBody(), MVCFactory\getClassName(), ActionlogsHelper\getContentTypeLink(), InstallationHelperDatabase\getDbo(), JDatabaseExporter\getGenericTableName(), InstallationFormFieldPrefix\getInput(), Profiler\getInstance(), BaseDatabaseModel\getInstance(), BaseController\getInstance(), FOFTable\getInstance(), Table\getInstance(), FOFModel\getIterator(), JDatabaseImporterPdomysql\getKeySql(), JDatabaseImporterMysqli\getKeySql(), ModTagssimilarHelper\getList(), BannersModelBanners\getListQuery(), MessagesControllerMessages\getModel(), CategoriesControllerCategories\getModel(), NewsfeedsControllerNewsfeeds\getModel(), PluginsControllerPlugins\getModel(), ContenthistoryControllerPreview\getModel(), FinderControllerFilters\getModel(), PrivacyControllerRequests\getModel(), TagsControllerTags\getModel(), ContactControllerContact\getModel(), FinderControllerIndex\getModel(), LanguagesControllerLanguages\getModel(), FinderControllerMaps\getModel(), UsersControllerGroups\getModel(), UsersControllerLevels\getModel(), UsersControllerNotes\getModel(), FieldsControllerFields\getModel(), FieldsControllerGroups\getModel(), BannersControllerClients\getModel(), BannersControllerTracks\getModel(), AssociationsControllerAssociations\getModel(), MenusControllerMenus\getModel(), MenusControllerItems\getModel(), ActionlogsControllerActionlogs\getModel(), UsersControllerUsers\getModel(), BannersControllerBanners\getModel(), TemplatesControllerStyles\getModel(), ModulesControllerModules\getModel(), ContenthistoryControllerHistory\getModel(), ContentControllerFeatured\getModel(), ContactControllerContacts\getModel(), RedirectControllerLinks\getModel(), ContentControllerArticles\getModel(), TemplatesControllerTemplate\getModel(), ContentControllerArticle\getModel(), FormController\getModel(), BaseController\getModel(), FOFController\getModel(), JFormFieldFieldcontexts\getOptions(), Pagination\getPagesLinks(), FOFLayoutFile\getPath(), JDatabaseImporter\getRealTableName(), FOFFormFieldPublished\getRepeatable(), FOFFormFieldActions\getRepeatable(), Factory\getStream(), ContentModelFeature\getTable(), UsersModelGroup\getTable(), RedirectModelLink\getTable(), UsersModelUser\getTable(), PrivacyModelRequest\getTable(), FieldsModelGroup\getTable(), TagsModelTag\getTable(), MenusModelMenu\getTable(), BannersModelClient\getTable(), UsersModelNote\getTable(), NewsfeedsModelNewsfeed\getTable(), MessagesModelMessage\getTable(), PrivacyModelRemove\getTable(), FinderModelFilter\getTable(), CategoriesModelCategory\getTable(), UsersModelLevel\getTable(), ContactModelContact\getTable(), PrivacyModelRemind\getTable(), BannersModelBanner\getTable(), PluginsModelPlugin\getTable(), PrivacyModelConfirm\getTable(), ContenthistoryModelHistory\getTable(), BannersModelBanners\getTable(), PrivacyModelExport\getTable(), FinderModelMaps\getTable(), ContentModelArticle\getTable(), FinderModelIndex\getTable(), TagsModelTags\getTable(), FieldsModelField\getTable(), TemplatesModelStyle\getTable(), BaseDatabaseModel\getTable(), User\getTable(), ModulesModelModule\getTable(), MenusModelItem\getTable(), FOFModel\getTable(), FOFTable\getTableFields(), TagsHelper\getTagIds(), FOFController\getThisModel(), FOFController\getThisView(), FOFModel\getTmpInstance(), BaseController\getView(), FOFController\getView(), FOFFormHelper\loadClass(), FormHelper\loadClass(), JDatabaseImporter\mergeStructure(), FOFTableRelations\normaliseItemName(), PlgSystemSef\onAfterRender(), FeedParser\parse(), JHtmlActionsDropdown\publish(), JHtmlDropdown\publish(), JHtmlGrid\published(), JApplication\redirect(), AbstractWebApplication\redirect(), WebApplication\redirect(), FeedParser\registerNamespace(), JLoader\registerPrefix(), FOFDatabaseDriverSqlsrv\renameConstraints(), FOFDatabaseDriverJoomla\renameTable(), FOFDatabaseDriverSqlsrv\renameTable(), JDatabaseDriverOracle\replacePrefix(), FOFDatabaseDriverOracle\replacePrefix(), FOFDatabaseDriverSqlsrv\replacePrefix(), JDatabaseDriverPgsql\replacePrefix(), FOFDatabaseDriverPostgresql\replacePrefix(), JDatabaseDriverPostgresql\replacePrefix(), FOFDatabaseDriver\replacePrefix(), JDatabaseDriver\replacePrefix(), FormController\save(), ClassLoader\set(), JApplicationWebRouter\setControllerPrefix(), ClassLoader\setPsr4(), FOFTable\setTablePrefix(), PHPMailerOAuth\smtpConnect(), PHPMailer\smtpConnect(), Form\syncPaths(), Registry\toFlatten(), JHtmlActionsDropdown\trash(), JHtmlActionsDropdown\unarchive(), JHtmlActionsDropdown\unfeature(), JHtmlActionsDropdown\unpublish(), et JHtmlActionsDropdown\untrash().

◆ $published

$published = $item->protected ? 3 : $item->published

◆ $saveOrder

$saveOrder = ($listOrder == 'a.lft' && strtolower($listDirn) == 'asc')

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ __pad5__

else __pad5__

◆ __pad6__

else __pad6__

◆ else

if ( $item->level > 1) else
Valeur initiale :
{
$parentsStr = ''

◆ elseif

if ( $menuType) if (! $canChange) elseif(! $saveOrder)

◆ endforeach

endforeach

◆ endif

endif

◆ language_image

else $item language_image

◆ language_title

else $item $item language_title

◆ method

string Initialisation vector for encryption method
Valeur initiale :
="post" name="adminForm" id="adminForm">
<?php if (!empty( $this->sidebar)) :
name
$this name
Definition: components/com_config/view/application/tmpl/default_cache.php:12
Depuis
3.1.4

Référencé par SimplePie_File\__construct(), FOFEncryptAesOpenssl\decrypt(), OpenSSL\decrypt(), FOFEncryptAesOpenssl\encrypt(), FOFEncryptAesOpenssl\getBlockSize(), OpenSSL\getBlockSize(), JKeychain\loadKeychain(), JKeychain\saveKeychain(), et FOFEncryptAesOpenssl\setEncryptionMode().

◆ null

else null

◆ true

else $item $item array ( 'title'=> $item->language_title) true

Référencé par DataSet\__isset(), User\authorise(), AKPostprocDirect\createDirRecursive(), ContactViewContact\display(), PharInvocationResolver\findByAlias(), PharInvocationResolver\findByBaseName(), FOFFormHeaderFieldfilterable\getFilter(), JFormFieldList\getInput(), JFormFieldUsergroup\getInput(), JFormFieldAccessLevel\getInput(), JFormFieldCheckbox\getInput(), JFormFieldGroupedList\getInput(), JFormFieldSpacer\getLabel(), FOFFormHeaderFieldselectable\getOptions(), FOFFormHeaderModel\getOptions(), FOFFormFieldList\getOptions(), FOFFormFieldActions\getRepeatable(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), FinderIndexerDriverMysql\index(), JGoogleEmbedAnalytics\isAsync(), JGoogleEmbedMaps\isAsync(), AbstractUri\isSsl(), Microdata\isTypeAvailable(), HtmlDocument\mergeHeadData(), PlgAuthenticationCookie\onUserAfterLogin(), PlgUserJoomla\onUserLogin(), PlgSystemLogout\onUserLogout(), UsersViewLogin\prepareDocument(), MenusModelItem\preprocessForm(), FOFRenderStrapper\renderFormBrowse(), FOFModel\savestate(), FOFUtilsIp\setAllowIpOverrides(), IpHelper\setAllowIpOverrides(), FOFTable\setHasTags(), PlgSystemLanguageFilter\setLanguageCookie(), FOFTable\setTriggerEvents(), ConfigModelApplication\storePermissions(), CurlPost\submit(), PharInvocationCollection\triggerDuplicateAliasWarning(), JGithubPackageRepositoriesDownloads\upload(), et File\write().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menus
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/views/menus/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$uri = JUri::getInstance()
$return = base64_encode($uri)
$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$modMenuId = (int) $this->get('ModMenuId')
$script = array()
$script [] = 'jQuery(document).ready(function() {'
endif
endforeach
if(!empty( $this->sidebar)) else
else __pad0__
$canManageItems = $user->authorise('core.manage', 'com_menus.menu.' . (int) $item->id)
else __pad1__
else __pad2__
else __pad3__
else __pad4__
else __pad5__
else __pad6__

Documentation des variables

◆ $canManageItems

$canManageItems = $user->authorise('core.manage', 'com_menus.menu.' . (int) $item->id)

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $modMenuId

$modMenuId = (int) $this->get('ModMenuId')

◆ $return

$return = base64_encode($uri)

Référencé par DataSet\__call(), DataSet\__get(), SimplePie_IRI\__get(), DataSet\__isset(), UsersControllerRegistration\activate(), UsersModelRegistration\activate(), ParagonIE_Sodium_Core32_Int32\addInt32(), ParagonIE_Sodium_Core32_Int64\addInt64(), PrivacyViewRequest\addToolbar(), InstallationModelDatabase\backupDatabase(), User\bind(), FinderHelperLanguage\branchPlural(), FinderHelperLanguage\branchSingular(), AdminControllerProfile\cancel(), FormController\cancel(), SimplePie_Misc\change_encoding(), SimplePie_Misc\change_encoding_mbstring(), InstallationModelSetup\checkForm(), MenusControllerItems\checkin(), AdminController\checkin(), FileStorage\clean(), UsersControllerReset\complete(), UsersControllerReset\confirm(), TemplatesModelTemplate\createOverride(), InstallationModelDatabase\createTables(), TemplatesModelTemplate\createTemplateOverride(), idna_convert\decode(), MenusTableMenu\delete(), TagsTableTag\delete(), ContentModelArticle\delete(), InstallationModelDatabase\deleteDatabase(), TemplatesModelTemplate\deleteFile(), TemplatesModelTemplate\deleteFolder(), ContentViewArticle\display(), ContactViewContact\display(), Editor\display(), ContentHelperAssociation\displayAssociations(), PlgEditorCodemirror\displayButtons(), idna_convert\encode_uri(), InstallationControllerDatabase\execute(), ConfigControllerTemplatesSave\execute(), ConfigControllerModulesSave\execute(), ConfigControllerApplicationSave\execute(), ConfigControllerComponentSave\execute(), ConfigControllerConfigSave\execute(), Form\filterField(), Date\format(), ParagonIE_Sodium_Core32_Int32\fromReverseString(), ParagonIE_Sodium_Core32_Int64\fromReverseString(), ParagonIE_Sodium_Core32_Int32\fromString(), ParagonIE_Sodium_Core32_Int64\fromString(), ParagonIE_Sodium_File\ftell(), SimplePie\get_channel_tags(), SimplePie_Item\get_content(), SimplePie_Source\get_copyright(), SimplePie_Item\get_copyright(), SimplePie\get_copyright(), SimplePie_Item\get_date(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Misc\get_element(), SimplePie_Item\get_id(), SimplePie\get_image_height(), SimplePie\get_image_link(), SimplePie\get_image_title(), SimplePie_Source\get_image_url(), SimplePie\get_image_url(), SimplePie\get_image_width(), SimplePie_Source\get_language(), SimplePie\get_language(), SimplePie_Source\get_latitude(), SimplePie\get_latitude(), SimplePie_Item\get_latitude(), SimplePie_Source\get_longitude(), SimplePie\get_longitude(), SimplePie_Item\get_longitude(), SimplePie_Item\get_source(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie\get_title(), SimplePie_Content_Type_Sniffer\get_type(), SimplePie_Item\get_updated_date(), NewsfeedsHelperAssociation\getAssociations(), ContactHelperAssociation\getAssociations(), ContentHelperAssociation\getAssociations(), CategoryHelperAssociation\getCategoryAssociations(), JoomlaupdateModelDefault\getCollectionDetailsUrls(), Table\getColumnAlias(), Editor\getContent(), FinderIndexerAdapter\getContentCount(), FOFPlatformFilesystem\getFiles(), FOFDownload\getFiles(), FinderModelFilter\getFilter(), FtpClient\getInstance(), ContentModelForm\getItem(), LanguagesModelLanguage\getItem(), MenusModelMenu\getItem(), PluginsModelPlugin\getItem(), TemplatesModelStyle\getItem(), ModulesModelModule\getItem(), AdminModel\getItem(), FinderIndexerAdapter\getItemMenuTitle(), JFormFieldDirectories\getOptions(), Fr_FRLocalise\getPluralSuffixes(), ContentControllerArticle\getRedirectToItemAppend(), FormController\getRedirectToItemAppend(), SocketTransport\getResponse(), StreamTransport\getResponse(), CurlTransport\getResponse(), FinderModelSearch\getResultsData(), ContentControllerArticle\getReturnPage(), ModLoginHelper\getReturnUri(), FinderControllerSuggestions\getSuggestions(), UsersModelGroup\getTable(), UsersModelLevel\getTable(), Form\getValue(), ClientHelper\hasCredentials(), Editor\initialise(), FOFUtilsArray\invert(), ArrayHelper\invert(), Path\isOwner(), DataSet\jsonSerialize(), User\load(), UsersModelLogin\loadFormData(), LoginController\login(), LoginController\logout(), UsersControllerUser\logout(), map_iso8859_1_w1252(), map_w1252_iso8859_1(), ParagonIE_Sodium_Core32_Int32\mulInt32Fast(), ParagonIE_Sodium_Core32_Int64\mulInt64Fast(), ParagonIE_Sodium_Core32_Int32\mulIntFast(), ParagonIE_Sodium_Core32_Int64\mulIntFast(), JObservable\notify(), PlgSearchCategories\onContentSearch(), PostinstallViewMessages\onDisplay(), ContentHelperQuery\orderDownColumns(), ParagonIE_Sodium_Core32_Int64\orInt64(), FinderIndexerParser\parse(), SimplePie_Parser\parse(), SimplePie_Misc\parse_str(), FilesystemHelper\parseSize(), InstallationModelDatabase\populateDatabase(), LoginModelLogin\populateState(), ContentModelForm\populateState(), ToolbarHelper\preferences(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetComplete(), UsersModelReset\processResetConfirm(), UsersModelReset\processResetRequest(), FinderIndexerQuery\processStaticTaxonomy(), FinderIndexerQuery\processString(), FinderControllerIndex\purge(), FinderCli\purge(), JSessionHandlerNative\regenerate(), UsersControllerRegistration\register(), UsersModelRegistration\register(), UsersControllerRemind\remind(), UsersControllerUser\remind(), Event\removeArgument(), FinderIndexerParserHtml\removeBlocks(), JGrid\renderAttributes(), AdminController\reorder(), UsersControllerReset\request(), AdminControllerProfile\save(), UsersControllerProfile\save(), Editor\save(), TemplatesModelTemplate\save(), FormController\save(), AdminController\saveorder(), LanguagesControllerLanguages\saveOrderAjax(), AdminController\saveOrderAjax(), FOFPlatformFilesystem\scanDirectory(), FOFDownload\scanDirectory(), SimplePie_IRI\set_authority(), SimplePie_IRI\set_iri(), Editor\setContent(), ClientHelper\setCredentials(), ClientHelper\setCredentialsFromRequest(), Form\setFields(), JFormFieldSection\setup(), JFormFieldType\setup(), JFormFieldUploaddirs\setup(), JFormFieldCategoryEdit\setup(), UserField\setup(), JFormFieldPlugins\setup(), ModuleorderField\setup(), JFormFieldCheckbox\setup(), JFormFieldFile\setup(), JFormFieldTimezone\setup(), JFormFieldConsentBox\setup(), JFormFieldRules\setup(), JFormFieldNumber\setup(), JFormFieldTextarea\setup(), JFormFieldSQL\setup(), JFormFieldCheckboxes\setup(), JFormFieldModal_Menu\setup(), JFormFieldPassword\setup(), JFormFieldMeter\setup(), JFormFieldFolderList\setup(), JFormFieldFileList\setup(), JFormFieldCalendar\setup(), JFormFieldColor\setup(), DataSet\toArray(), ParagonIE_Sodium_Core32_Int32\toInt32(), ParagonIE_Sodium_Core32_Int64\toInt32(), ParagonIE_Sodium_Core32_Int32\toInt64(), ParagonIE_Sodium_Core32_Int64\toInt64(), MediaControllerFile\upload(), TemplatesControllerTemplate\uploadFile(), ConfigModelForm\validate(), FormModel\validate(), InstallationModelSetup\validate(), Form\validate(), FOFModel\validateForm(), ParagonIE_Sodium_Core32_Int32\xorInt32(), et ParagonIE_Sodium_Core32_Int64\xorInt64().

◆ $script [1/2]

$script = array()

◆ $script [2/2]

$script[] = 'jQuery(document).ready(function() {'

◆ $uri

$uri = JUri::getInstance()

Référencé par JGoogleEmbedMaps\__construct(), JGoogleEmbed\__construct(), FeedPerson\__construct(), FeedLink\__construct(), Router\_buildRawRoute(), SiteRouter\_buildSefRoute(), Router\_buildSefRoute(), FOFViewJson\_createDocumentWithHypermedia(), InstallerModelInstall\_getPackageFromUrl(), Router\_parseRawRoute(), Router\_parseSefRoute(), Router\_processBuildRules(), Router\_processParseRules(), FOFViewJson\_removeURIBase(), Feed\addCategory(), FeedEntry\addCategory(), Feed\addContributor(), FeedEntry\addContributor(), AdministratorRouter\build(), SiteRouter\build(), Router\build(), SiteRouter\buildRawRoute(), PlgSystemLanguageFilter\buildRule(), SiteRouter\buildSefRoute(), JAdminCssMenu\check(), SocketTransport\connect(), JHtmlIcon\create(), Router\createUri(), SiteRouter\createUri(), AbstractWebApplication\detectRequestUri(), WebApplication\detectRequestUri(), SearchViewSearch\display(), PlgSystemRedirect\doErrorHandling(), JHtmlIcon\edit(), JHtmlIcon\email(), idna_convert\encode_uri(), JMediawikiObject\fetchUrl(), JGithubObject\fetchUrl(), JFacebookObject\fetchUrl(), JTwitterObject\fetchUrl(), JGoogleEmbedMaps\geocodeAddress(), SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Source\get_contributors(), SimplePie_Item\get_contributors(), SimplePie\get_contributors(), FinderHelperRoute\getAdvancedRoute(), JGithubPackageAuthorization\getAuthorizationLink(), FinderIndexerHelper\getContentPath(), FeedFactory\getFeed(), FinderViewSearch\getFields(), TemplatesModelTemplate\getFont(), ModFinderHelper\getGetFields(), TemplatesModelTemplate\getImage(), JFormFieldNumber\getInput(), JFormFieldText\getInput(), JGithubPackageIssues\getListByRepository(), JFormFieldList\getOptions(), ModLoginHelper\getReturnUri(), FinderHelperRoute\getSearchRoute(), JRequest\getUri(), Factory\getUri(), Route\link(), JAdminCssMenu\load(), AbstractWebApplication\loadSystemUris(), WebApplication\loadSystemUris(), PlgSystemLanguageFilter\onUserLogin(), FeedParser\parse(), SiteRouter\parse(), Router\parse(), SiteRouter\parseRawRoute(), PlgSystemLanguageFilter\parseRule(), SiteRouter\parseSefRoute(), PlgSystemLanguageFilter\postprocessNonSEFBuildRule(), PlgSystemLanguageFilter\postprocessSEFBuildRule(), ToolbarHelper\preferences(), PlgSystemLanguageFilter\preprocessBuildRule(), Router\processBuildRules(), SiteRouter\processBuildRules(), AtomParser\processFeedEntry(), Router\processParseRules(), SiteRouter\processParseRules(), JApplication\redirect(), AbstractWebApplication\redirect(), WebApplication\redirect(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderJoomla\renderFormEdit(), FOFRenderStrapper\renderFormEdit(), CurlTransport\request(), SocketTransport\request(), StreamTransport\request(), JGithubPackageAuthorization\requestToken(), JApplication\route(), AdministratorApplication\route(), CMSApplication\route(), SearchController\search(), FeedEntry\setAuthor(), Feed\setAuthor(), FinderIndexerQuery\toUri(), JStringWrapperPunycode\urlToPunycode(), PunycodeHelper\urlToPunycode(), JStringWrapperPunycode\urlToUTF8(), PunycodeHelper\urlToUTF8(), et PlgTwofactorauthYubikey\validateYubikeyOtp().

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ __pad5__

else __pad5__

◆ __pad6__

else __pad6__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menutypes
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/views/menutypes/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$tmpl = ($input->getCmd('tmpl') != '') ? '1' : ''
bootstrap startAccordion collapseTypes active slide1 bootstrap addSlide collapseTypes collapse id title request
endforeach

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input

◆ $tmpl

$tmpl = ($input->getCmd('tmpl') != '') ? '1' : ''

◆ endforeach

endforeach

◆ request

string $confirm_token Hashed token for confirming the information request

Référencé par CurlTransport\request(), et SocketTransport\request().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • config
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_messages/views/config/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • message
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_messages/views/message/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • messages
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_messages/views/messages/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • modules
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_modules/views/modules/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$clientId = (int) $this->state->get('client_id', 0)
$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = ($listOrder == 'a.ordering')
if($saveOrder) | $colSpan = $clientId === 1 ? 8 : 10
if(!empty( $this->sidebar)) | else
endif
$canCreate = $user->authorise('core.create', 'com_modules')
$canEdit = $user->authorise('core.edit', 'com_modules.module.' . $item->id)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_modules.module.' . $item->id) && $canCheckin
$iconClass = ''
if(! $canChange) | elseif (! $saveOrder)
else __pad0__
else __pad1__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_modules.module.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_modules')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_modules.module.' . $item->id)

◆ $clientId

$clientId = (int) $this->state->get('client_id', 0)

◆ $colSpan

if ( $saveOrder) $colSpan = $clientId === 1 ? 8 : 10

◆ $iconClass

$iconClass = ''

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = ($listOrder == 'a.ordering')

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

if ( $item->position) else

◆ elseif

if (! $canChange) elseif(! $saveOrder)

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • preview
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_modules/views/preview/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

alltext = window.top.' . $this->editor->getContent('text') . '
jQuery (document).ready(function()

Documentation des variables

◆ alltext

alltext = window.top.' . $this->editor->getContent('text') . '

◆ jQuery

jQuery(document).ready(function()


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • select
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_modules/views/select/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$document = JFactory::getDocument()
foreach($this->items as &$item) $name = $this->escape($item->name)
$desc = JHtml::_('string.truncate', $this->escape(strip_tags($item->desc)), 200)
$short_desc = JHtml::_('string.truncate', $this->escape(strip_tags($item->desc)), 90)
endforeach

Documentation des variables

◆ $desc

$desc = JHtml::_('string.truncate', $this->escape(strip_tags($item->desc)), 200)

◆ $document

$document = JFactory::getDocument()

◆ $name

foreach ( $this->items as & $item) $name = $this->escape($item->name)

Référencé par CacheController\__call(), FOFInput\__call(), JInput\__call(), Input\__call(), FOFDatabaseDriverJoomla\__call(), FOFModel\__call(), FOFInput\__callStatic(), JDatabaseQueryElement\__construct(), FOFDatabaseQueryElement\__construct(), FeedPerson\__construct(), Toolbar\__construct(), FOFHalLink\__construct(), SimplePie_Cache_MySQL\__construct(), Form\__construct(), RouterViewConfiguration\__construct(), Table\__construct(), FOFModel\__construct(), FOFFormFieldButton\__get(), FOFFormFieldModel\__get(), FOFFormFieldOrdering\__get(), FOFFormFieldSelectrow\__get(), FOFFormFieldGroupedbutton\__get(), FOFFormFieldPassword\__get(), FOFFormFieldGroupedlist\__get(), FOFFormFieldPlugins\__get(), FOFFormFieldHidden\__get(), FOFFormFieldRadio\__get(), FOFFormFieldCheckboxes\__get(), FOFFormFieldCheckbox\__get(), FOFFormFieldRules\__get(), FOFFormFieldSessionhandler\__get(), FOFFormFieldSpacer\__get(), FOFFormFieldSql\__get(), FOFFormFieldInteger\__get(), FOFFormFieldTag\__get(), FOFFormFieldTel\__get(), FOFFormFieldText\__get(), FOFFormFieldCaptcha\__get(), FOFFormFieldTextarea\__get(), FOFFormFieldTimezone\__get(), FOFFormFieldEditor\__get(), FOFFormFieldEmail\__get(), FOFFormFieldLanguage\__get(), FOFFormFieldUrl\__get(), FOFFormFieldUser\__get(), JGithubPackage\__get(), FOFFormFieldPublished\__get(), FOFFormFieldImagelist\__get(), FOFFormFieldUsergroup\__get(), FOFFormFieldActions\__get(), FOFFormFieldList\__get(), FOFFormFieldMedia\__get(), FOFFormFieldAccesslevel\__get(), FOFFormFieldCalendar\__get(), FOFFormFieldCachehandler\__get(), FOFFormFieldComponents\__get(), JFormFieldPlugins\__get(), JFormFieldCheckbox\__get(), CaptchaField\__get(), ModuleorderField\__get(), OrderingField\__get(), ChromestyleField\__get(), ModulepositionField\__get(), JFormFieldTimezone\__get(), JFormFieldFile\__get(), FeedEntry\__get(), TemplatestyleField\__get(), JFormFieldRules\__get(), Feed\__get(), JFormFieldCheckboxes\__get(), Key\__get(), JFormFieldNumber\__get(), JGoogleDataPlus\__get(), JFormFieldSQL\__get(), JFormFieldText\__get(), JFormFieldTextarea\__get(), JFormFieldPassword\__get(), Input\__get(), JFormFieldSubform\__get(), JFormFieldModal_Menu\__get(), JFormFieldMeter\__get(), JFormFieldMenuitemByType\__get(), ComponentRecord\__get(), JFormFieldCategoryEdit\__get(), JFormFieldConsentBox\__get(), MenuitemField\__get(), JFormFieldCalendar\__get(), JFormFieldFolderList\__get(), JFormFieldFileList\__get(), JFormFieldColor\__get(), FOFHalLink\__get(), JLinkedin\__get(), JGithub\__get(), JMediawiki\__get(), JInput\__get(), EditorField\__get(), JOpenstreetmap\__get(), MediaField\__get(), Date\__get(), JTwitter\__get(), JFacebook\__get(), Session\__get(), Version\__get(), SimplePie_IRI\__get(), FOFFormHeader\__get(), WebClient\__get(), MenuItem\__get(), FinderIndexerResult\__get(), JFormFieldList\__get(), FOFDatabaseQuery\__get(), JDatabaseQuery\__get(), FormField\__get(), FOFDatabaseDriverJoomla\__get(), FOFModel\__get(), SimplePie_IRI\__isset(), FinderIndexerResult\__isset(), MenuItem\__isset(), JFormFieldConsentBox\__set(), JFormFieldPlugins\__set(), JFormFieldCheckbox\__set(), ModuleorderField\__set(), OrderingField\__set(), CaptchaField\__set(), ChromestyleField\__set(), FeedEntry\__set(), ModulepositionField\__set(), JFormFieldTimezone\__set(), JFormFieldFile\__set(), Feed\__set(), TemplatestyleField\__set(), JFormFieldRules\__set(), JFormFieldCheckboxes\__set(), JFormFieldNumber\__set(), JFormFieldText\__set(), JFormFieldTextarea\__set(), JFormFieldSQL\__set(), ComponentRecord\__set(), JFormFieldPassword\__set(), JFormFieldMeter\__set(), JFormFieldCategoryEdit\__set(), JFormFieldModal_Menu\__set(), JFormFieldSubform\__set(), JFormFieldMenuitemByType\__set(), MenuitemField\__set(), JFormFieldFolderList\__set(), JFormFieldFileList\__set(), JFormFieldCalendar\__set(), JFormFieldColor\__set(), FOFHalLink\__set(), EditorField\__set(), SimplePie_IRI\__set(), MediaField\__set(), FinderIndexerResult\__set(), MenuItem\__set(), FormField\__set(), FOFDatabaseDriverJoomla\__set(), FOFModel\__set(), Rules\__toString(), SimplePie_IRI\__unset(), FinderIndexerResult\__unset(), JArchiveZip\_addToZIPFile(), FOFController\_createModel(), JApplication\_createSession(), BaseDatabaseModel\_createTable(), FOFModel\_createTable(), FOFController\_createView(), PlgEditorNone\_displayButtons(), ExtensionAdapter\_endElement(), CollectionAdapter\_endElement(), Update\_endElement(), CacheStorage\_getCacheId(), FileStorage\_getFilePath(), LanguageAdapter\_install(), Captcha\_load(), Editor\_loadEditor(), PlgContentLoadmodule\_loadmod(), Pathway\_makeItem(), HtmlDocument\_parseTemplate(), JArchiveZip\_readZipInfo(), ContactControllerContact\_sendEmail(), ExtensionAdapter\_startElement(), CollectionAdapter\_startElement(), Update\_startElement(), PlgEditorTinymce\_toogleButton(), JHtmlAccess\actions(), Mail\add(), PHPMailer\addAddress(), PHPMailer\addAnAddress(), Mail\addAttachment(), PHPMailer\addAttachment(), Mail\addBcc(), PHPMailer\addBCC(), FOFModel\addBehavior(), FOFTable\addBehavior(), Feed\addCategory(), FeedEntry\addCategory(), Mail\addCc(), PHPMailer\addCC(), JGrid\addColumn(), Stream\addContextEntry(), Feed\addContributor(), FeedEntry\addContributor(), PHPMailer\addCustomHeader(), JGoogleEmbedAnalytics\addCustomVar(), AdminModelSysInfo\addDirectory(), PlgSystemDebug\addDisplayCallback(), PHPMailer\addEmbeddedImage(), JSubMenuHelper\addEntry(), JHtmlSidebar\addEntry(), JHtmlSidebar\addFilter(), JSubMenuHelper\addFilter(), Pathway\addItem(), Dispatcher\addListener(), Form\addNode(), JFormFieldList\addOption(), PHPMailer\addOrEnqueueAnAddress(), MenuHelper\addPreset(), Mail\addRecipient(), Mail\addReplyTo(), PHPMailer\addReplyTo(), PHPMailer\addStringEmbeddedImage(), ColorProcessor\addStyle(), Zip\addToZipFile(), PlgExtensionJoomla\addUpdateSite(), FOFToolbar\appendLink(), lessc\assertArgs(), JHtmlAccess\assetgrouplist(), FOFLessParser\assign(), lessc_parser\assign(), PHPMailer\attachAll(), JHtmlSelect\booleanlist(), HTMLHelper\calendar(), NewsfeedsTableNewsfeed\check(), BannersTableBanner\check(), JHtmlGrid\checkall(), CMSApplication\checkUserRequireReset(), Session\clear(), lessc\coerceColor(), FOFLess\coerceColor(), JLess\compile(), lessc\compile(), FOFLess\compile(), lessc\compileBlock(), FOFLess\compileBlock(), lessc\compileProp(), FOFLess\compileProp(), lessc\compileValue(), FOFLess\compileValue(), HtmlDocument\countModules(), JGithubHooks\create(), JGithubPackageRepositoriesHooks\create(), JGithubPackageIssuesLabels\create(), JGithubPackageOrgsTeams\create(), JGithubPackageRepositoriesDownloads\create(), JGithubPackageRepositories\create(), JTwitterLists\create(), JFacebookUser\createAlbum(), Factory\createConfig(), JGoogleEmbedAnalytics\createCustomVar(), PrivacyPlugin\createDomain(), JFacebookUser\createEvent(), TemplatesControllerTemplate\createFile(), TemplatesModelTemplate\createFile(), TemplatesControllerTemplate\createFolder(), TemplatesModelTemplate\createFolder(), JGithubPackageIssues\createLabel(), LegacyFactory\createModel(), MVCFactory\createModel(), BaseController\createModel(), FOFController\createModel(), ContenthistoryHelper\createObjectArray(), TemplatesModelTemplate\createOverride(), JTwitterPlaces\createPlace(), JFacebookEvent\createPost(), JFacebookGroup\createPost(), JFacebookUser\createPost(), LegacyFactory\createTable(), MVCFactory\createTable(), LegacyFactory\createView(), MVCFactory\createView(), BaseController\createView(), FOFController\createView(), JGoogle\data(), ContenthistoryHelper\decodeFields(), JInput\def(), Input\def(), FinderModelMaps\delete(), FinderModelIndex\delete(), TemplatesModelStyle\delete(), JGithubPackageIssuesLabels\delete(), ModulesModelModule\delete(), Nested\delete(), AdminModel\delete(), JGrid\deleteColumn(), Stream\deleteContextEntry(), Uri\delVar(), WebClient\detectHeaders(), MenusViewMenutypes\display(), UsersViewReset\display(), Captcha\display(), Editor\display(), PlgEditorCodemirror\displayButtons(), PlgSystemDebug\displayCallback(), JoomlaupdateModelDefault\download(), TemplatesModelStyle\duplicate(), JGithubPackageUsers\edit(), JGithubPackageRepositoriesHooks\edit(), JGithubPackageOrgsTeams\edit(), JGithubHooks\edit(), JGithubPackageRepositories\edit(), JFacebookUser\editEvent(), JGithubPackageIssues\editLabel(), JGoogle\embed(), Crypto\EnsureFunctionExists(), JApplicationWebRouterRest\execute(), JApplicationWebRouter\execute(), Input\exists(), LinkButton\fetchButton(), StandardButton\fetchButton(), SliderButton\fetchButton(), ConfirmButton\fetchButton(), PopupButton\fetchButton(), JApplicationWebRouter\fetchController(), HeadRenderer\fetchHead(), LinkButton\fetchId(), ConfirmButton\fetchId(), StandardButton\fetchId(), PopupButton\fetchId(), lessc\fileExists(), FOFLess\fileExists(), Form\filter(), lessc\findBlocks(), FOFLess\findBlocks(), Form\findField(), Form\findFieldsByFieldset(), FOFModel\findFormFilename(), FOFForm\findHeader(), JDatabaseQuerySqlsrv\fixGroupColumns(), FOFLessParser\func(), lessc_parser\func(), ContactTableContact\generateAlias(), PlgUserContactCreator\generateAliasAndName(), FieldsModelField\generateNewTitle(), JHtmlSelect\genericlist(), JGithubPackageGitignore\get(), JGithubPackageIssuesLabels\get(), Separator\get(), JInputFiles\get(), Files\get(), Heading\get(), Cli\get(), Url\get(), Component\get(), FOFInput\get(), JInput\get(), Input\get(), Node\get(), Session\get(), lessc\get(), FOFLess\get(), SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Source\get_contributors(), SimplePie_Item\get_contributors(), SimplePie\get_contributors(), SimplePie_Misc\get_element(), Adapter\getAdapter(), Installer\getAdapter(), Installer\getAdapters(), WincacheStorage\getAll(), ApcuStorage\getAll(), ApcStorage\getAll(), Rules\getAllowed(), JDatabaseImporterPdomysql\getAlterTableSql(), JDatabaseImporterPostgresql\getAlterTableSql(), JDatabaseImporterMysqli\getAlterTableSql(), FieldsTableField\getAssetId(), Form\getAttribute(), FOFModel\getBehaviorParam(), JRequest\getBool(), HtmlDocument\getBuffer(), BannersModelTracks\getCategoryName(), BannersModelTracks\getClientName(), JRequest\getCmd(), JLinkedinCompanies\getCompanies(), Form\getControlGroup(), Form\getControlGroups(), JDatabaseFactory\getDriver(), FOFDatabaseFactory\getDriver(), JDatabaseImporter\getDropColumnSql(), JDatabaseImporterPdomysql\getDropColumnSql(), JDatabaseImporterPostgresql\getDropIndexSql(), JDatabaseImporterPdomysql\getDropKeySql(), JDatabaseImporterMysqli\getDropKeySql(), JDatabaseImporterPostgresql\getDropPrimaryKeySql(), JDatabaseImporterPostgresql\getDropSequenceSql(), FinderIndexerResult\getElement(), Dispatcher\getEvent(), JDatabaseFactory\getExporter(), Form\getField(), Form\getFieldAttribute(), FOFModelField\getFieldName(), Table\getFields(), Form\getFieldsets(), Form\getFieldXml(), TemplatesModelTemplate\getFile(), FOFFormHeaderFieldfilterable\getFilter(), FOFFormHeaderFieldsearchable\getFilter(), FOFFormHeaderFielddate\getFilter(), FOFFormHeader\getFilterSource(), JRequest\getFloat(), MediaModelManager\getFolderTree(), FOFModel\getForm(), ContenthistoryHelper\getFormValues(), JFormFieldContentMap\getGroups(), TemplatestyleField\getGroups(), FOFForm\getHeader(), JDatabaseFactory\getImporter(), FOFFormFieldGroupedbutton\getInput(), JFormFieldSubform\getInput(), Form\getInput(), InstalledVersions\getInstalledPackagesByType(), Storage\getInstance(), FOFForm\getInstance(), Toolbar\getInstance(), CliApplication\getInstance(), WebApplication\getInstance(), CMSApplication\getInstance(), Form\getInstance(), JRequest\getInt(), UsersModelDebuggroup\getItems(), UsersModelDebugUser\getItems(), FOFModel\getIterator(), JGithubPackageIssues\getLabel(), Form\getLabel(), UserField\getLayoutData(), ModuleorderField\getLayoutData(), PluginHelper\getLayoutPath(), MenusHelper\getLinkKey(), LoginModelLogin\getLoginModule(), SiteApplication\getMenu(), CMSApplication\getMenu(), JApplication\getMenu(), Document\getMetaData(), JoomlaupdateHelperSelect\getMethods(), ContactControllerContact\getModel(), CategoriesControllerCategories\getModel(), PluginsControllerPlugins\getModel(), LanguagesControllerLanguages\getModel(), ContenthistoryControllerPreview\getModel(), PrivacyControllerRequests\getModel(), FinderControllerIndex\getModel(), TagsControllerTags\getModel(), NewsfeedsControllerNewsfeeds\getModel(), FinderControllerMaps\getModel(), FinderControllerFilters\getModel(), MessagesControllerMessages\getModel(), UsersControllerLevels\getModel(), UsersControllerGroups\getModel(), UsersControllerNotes\getModel(), FieldsControllerGroups\getModel(), BannersControllerTracks\getModel(), BannersControllerClients\getModel(), FieldsControllerFields\getModel(), AssociationsControllerAssociations\getModel(), MenusControllerMenus\getModel(), MenusControllerItems\getModel(), ActionlogsControllerActionlogs\getModel(), UsersControllerUsers\getModel(), BannersControllerBanners\getModel(), TemplatesControllerStyles\getModel(), ModulesControllerModules\getModel(), ContenthistoryControllerHistory\getModel(), ContentControllerFeatured\getModel(), ContactControllerContacts\getModel(), RedirectControllerLinks\getModel(), ContentControllerArticles\getModel(), TemplatesControllerTemplate\getModel(), ContentControllerArticle\getModel(), HtmlView\getModel(), FormController\getModel(), FOFView\getModel(), BaseController\getModel(), FOFController\getModel(), ModuleHelper\getModule(), FOFDownloadAdapterAbstract\getName(), XmlDocument\getName(), ConfigModelCms\getName(), RouterView\getName(), JFormFieldSubform\getName(), FOFFormHeader\getName(), BaseDatabaseModel\getName(), JApplication\getName(), InstallerAdapter\getName(), Form\getName(), BaseController\getName(), FormField\getName(), FOFDatabaseDriver\getName(), JDatabaseDriver\getName(), FOFController\getName(), FOFModel\getName(), JFormFieldCategoryParent\getOptions(), JFormFieldCategoryEdit\getOptions(), FOFFormFieldList\getOptions(), TemplatesModelTemplate\getOverridesFolder(), InstallerScript\getParam(), Installer\getParams(), Installer\getPath(), SiteApplication\getPathway(), CMSApplication\getPathway(), JApplication\getPathway(), FOFPlatform\getPlatformName(), MenuHelper\getPresets(), FOFFormFieldActions\getPublishedField(), FOFDatabaseFactory\getQuery(), JDatabaseFactory\getQuery(), FOFFormFieldOrdering\getQuery(), RouteHelper\getRoute(), AdministratorApplication\getRouter(), SiteApplication\getRouter(), CMSApplication\getRouter(), JApplication\getRouter(), SMTP\getServerExt(), FOFDatabaseDriver\getServerType(), JDatabaseDriver\getServerType(), ContentHistory\getSha1(), JTwitterPlaces\getSimilarPlaces(), JRequest\getString(), PrivacyModelRequest\getTable(), FieldsModelGroup\getTable(), UsersModelNote\getTable(), PrivacyModelRemove\getTable(), PrivacyModelRemind\getTable(), PrivacyModelConfirm\getTable(), PrivacyModelExport\getTable(), FieldsModelField\getTable(), BaseDatabaseModel\getTable(), FOFModel\getTable(), FOFTable\getTableFields(), JDatabaseDriverPgsql\getTableSequences(), FOFDatabaseDriverPostgresql\getTableSequences(), JDatabaseDriverPostgresql\getTableSequences(), JRequest\getUInt(), UpdateAdapter\getUpdateSiteName(), ListModel\getUserStateFromRequest(), JArrayHelper\getValue(), FOFUtilsArray\getValue(), ArrayHelper\getValue(), Form\getValue(), RulesRule\getValueActions(), JRequest\getVar(), AbstractUri\getVar(), PharInvocation\getVariable(), BaseController\getView(), FOFController\getView(), JRequest\getWord(), Cache\getWorkarounds(), JHtmlSelect\groupedlist(), RssParser\handleWebmaster(), Session\has(), AbstractUri\hasVar(), PHPMailer\headerLine(), JHtmlGrid\id(), HTMLHelper\iframe(), JHtmlList\images(), lessc\injectVariables(), FOFLess\injectVariables(), InstallerModelUpdate\install(), JHtmlSelect\integerlist(), JLinkedinCommunications\inviteById(), JHtmlAccess\level(), ToolbarHelper\link(), Folder\listFolderTree(), JAdminCssMenu\load(), ActionlogsHelper\loadActionLogPluginsLanguage(), Adapter\loadAllAdapters(), Asset\loadByName(), FormHelper\loadClass(), DaemonApplication\loadConfiguration(), AbstractDaemonApplication\loadConfiguration(), ConfigModelForm\loadForm(), FormModel\loadForm(), ListModel\loadForm(), FOFModel\loadForm(), PluginAdapter\loadLanguage(), MenuHelper\loadPreset(), InstallationApplicationWeb\loadSession(), WebApplication\loadSession(), JFormFieldSubform\loadSubForm(), Pathway\makeItem(), lessc\makeParser(), FOFLess\makeParser(), JHtmlMenu\menuItemList(), Rules\merge(), ContenthistoryHelper\mergeLabels(), Form\mergeNode(), Form\mergeNodes(), InstallerScript\moveCliFiles(), FeedParser\moveToClosingElement(), FeedParser\moveToNextElement(), FOFTableRelations\normaliseItemName(), FOFModel\onAfterDelete(), PlgSystemDebug\onAfterRespond(), FOFModel\onAfterSave(), FOFTableBehaviorAssets\onAfterStore(), FOFTableBehaviorAssets\onBeforeDelete(), FOFModel\onBeforeDelete(), FOFModel\onBeforeSave(), PlgContentLoadmodule\onContentPrepare(), PlgUserJoomla\onContentPrepareForm(), PlgSystemPrivacyconsent\onContentPrepareForm(), PlgUserTerms\onContentPrepareForm(), PlgUserProfile\onContentPrepareForm(), FieldsListPlugin\onCustomFieldsPrepareDom(), PlgButtonMenu\onDisplay(), PlgButtonReadmore\onDisplay(), PlgButtonPagebreak\onDisplay(), PlgButtonContact\onDisplay(), PlgButtonModule\onDisplay(), PlgButtonArticle\onDisplay(), PlgButtonFields\onDisplay(), PlgButtonImage\onDisplay(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgUserContactCreator\onUserAfterSave(), JHtmlList\ordering(), lessify\parse(), SimplePie_Misc\parse_str(), PHPMailer\parseAddresses(), SMTP\parseHelloFields(), AdminModelSysInfo\parsePhpInfo(), Installer\parseXMLInstallFile(), ListModel\populateState(), JHtmlList\positions(), FOFToolbar\prefixLink(), CategoriesModelCategory\preprocessForm(), MenusModelItems\preprocessForm(), FOFLessFormatterClassic\property(), lessc_formatter_classic\property(), InstallerModelManage\publish(), FinderModelMaps\publish(), FinderModelIndex\publish(), AdminModel\publish(), FOFModel\publish(), FOFDatabaseDriverJoomla\quoteName(), FOFDatabaseQuery\quoteName(), JDatabaseQuery\quoteName(), FOFDatabaseDriver\quoteName(), JDatabaseDriver\quoteName(), JHtmlSelect\radiolist(), Zip\readZipInfo(), lessc\reduce(), FOFLess\reduce(), JError\registerErrorLevel(), lessc\registerFunction(), FOFLess\registerFunction(), FeedEntry\removeCategory(), Feed\removeCategory(), PlgSystemDebug\removeDisplayCallback(), Form\removeField(), JGithubPackageIssuesLabels\removeFromIssue(), FOFForm\removeHeader(), TemplatesModelTemplate\renameFile(), MessageRenderer\render(), JGrid\renderArea(), Form\renderField(), Form\renderFieldset(), FOFRenderStrapper\renderFormRaw(), AdminViewSysinfo\renderSection(), FOFToolbar\renderSubmenu(), FieldsModelField\save(), ConfigModelComponent\save(), LanguagesModelLanguage\save(), NewsfeedsModelNewsfeed\save(), TagsModelTag\save(), ContactModelContact\save(), CategoriesModelCategory\save(), ModulesModelModule\save(), AdminModel\save(), MenusModelItem\save(), JLinkedinPeople\search(), SimplePie_Locator\search_elements_by_tag(), JInputCookie\set(), Cookie\set(), JInput\set(), Input\set(), Session\set(), lessc\set(), FOFLess\set(), PHPMailer\set(), Adapter\setAdapter(), FeedEntry\setAuthor(), Feed\setAuthor(), FOFModel\setBehaviorParam(), InstallationModelDatabase\setDatabaseCharset(), JApplicationWebRouter\setDefaultController(), FinderIndexerResult\setElement(), Form\setFieldAttribute(), lessc\setFormatter(), FOFLess\setFormatter(), Mail\setFrom(), PHPMailer\setFrom(), JResponse\setHeader(), AbstractWebApplication\setHeader(), WebApplication\setHeader(), FOFIntegrationJoomlaPlatform\setHeader(), Pathway\setItemName(), Document\setMetaData(), HtmlView\setModel(), FOFView\setModel(), XmlDocument\setName(), EasyPeasyICS\setName(), JsonDocument\setName(), RouterViewConfiguration\setName(), JDatabaseQueryElement\setName(), JSessionHandlerNative\setName(), InstallerScript\setParams(), RouterViewConfiguration\setParent(), Installer\setPath(), JGrid\setRowCell(), OpensearchDocument\setShortName(), JFormFieldSQL\setup(), FOFFormHeader\setup(), Form\setValue(), Uri\setVar(), FOFInput\setVar(), JRequest\setVar(), PharInvocation\setVariable(), FileAdapter\storeExtension(), LibraryAdapter\storeExtension(), TemplateAdapter\storeExtension(), PluginAdapter\storeExtension(), PackageAdapter\storeExtension(), BufferStreamHandler\stream_open(), BufferStreamHandler\stream_write(), SimplePie_Sanitize\strip_tag(), SimplePie_Parser\tag_open(), PlgEditorTinymce\tinyButtons(), JHtmlJquery\token(), TemplateAdapter\uninstall(), FOFDatabaseQuery\union(), JDatabaseQuery\union(), FOFDatabaseQuery\unionAll(), JDatabaseQuery\unionAll(), lessc\unregisterFunction(), FOFLess\unregisterFunction(), lessc\unsetVariable(), FOFLess\unsetVariable(), JGithubPackageIssuesLabels\update(), LanguageAdapter\update(), JTwitterLists\update(), JTwitterProfile\updateProfile(), JGithubPackageUsers\updateUser(), JHtmlAccess\usergroup(), JHtmlAccess\usergroups(), JHtmlList\users(), Form\validate(), FOFLessParser\variable(), et lessc_parser\variable().

◆ $short_desc

$short_desc = JHtml::_('string.truncate', $this->escape(strip_tags($item->desc)), 90)

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeeds
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'a.ordering'
$assoc = JLanguageAssociations::isEnabled()
if ( $saveOrder)
if(!empty( $this->sidebar)) | else
else __pad0__
else null
endif
$canCreate = $user->authorise('core.create', 'com_newsfeeds.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_newsfeeds.category.' . $item->catid)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', 'com_newsfeeds.category.' . $item->catid) && $item->created_by == $user->id
$canChange = $user->authorise('core.edit.state', 'com_newsfeeds.category.' . $item->catid) && $canCheckin
$iconClass = ''
if(! $canChange) | elseif (! $saveOrder)
else __pad1__
endforeach

Documentation des variables

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_newsfeeds.category.' . $item->catid) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_newsfeeds.category.' . $item->catid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_newsfeeds.category.' . $item->catid)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', 'com_newsfeeds.category.' . $item->catid) && $item->created_by == $user->id

◆ $iconClass

$iconClass = ''

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

if (!empty($this->sidebar)) else

◆ elseif

if (! $canChange) elseif(! $saveOrder)

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($saveOrder)

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugins
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_plugins/views/plugins/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'ordering'
if ( $saveOrder)
if(!empty( $this->sidebar)) | else
else __pad0__
else null
$canEdit = $user->authorise('core.edit', 'com_plugins')
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_plugins') && $canCheckin
$iconClass = ''
if(! $canChange) | elseif (! $saveOrder)
if($canChange && $saveOrder) | endif
else __pad1__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_plugins') && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_plugins')

◆ $iconClass

$iconClass = ''

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'ordering'

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

if (!empty($this->sidebar)) else

◆ elseif

if (! $canChange) elseif(! $saveOrder)

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($saveOrder)

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
  • views
  • messages
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_postinstall/views/messages/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$lang = Factory::getLanguage()
$renderer = Factory::getDocument()->loadRenderer('module')
$options = array('style' => 'raw')
$mod = JModuleHelper::getModule('mod_feed')
$param
$params = array('params' => json_encode($param))
else __pad0__
if($item->type !=='message') view =messages&amp
task =action&amp
id =<?php echo $item->postinstall_message_id
endif
endforeach

Documentation des variables

◆ $lang

$lang = Factory::getLanguage()

◆ $mod

$mod = JModuleHelper::getModule('mod_feed')

Référencé par PlgContentLoadmodule\_loadmod(), FOFTemplateUtils\loadPosition(), et ModulesRenderer\render().

◆ $options

$options = array('style' => 'raw')

◆ $param

$param
Valeur initiale :
= array(
'rssurl' => 'https://www.joomla.org/announcements/release-news.feed?type=rss',
'rsstitle' => 0,
'rssdesc' => 0,
'rssimage' => 1,
'rssitems' => 5,
'rssitemdesc' => 1,
'rssitemdate' => 1,
'rssrtl' => $lang->isRtl() ? 1 : 0,
'word_count' => 200,
'cache' => 0,
)
$lang
$lang
Definition: administrator/components/com_postinstall/views/messages/tmpl/default.php:14

Référencé par LdapClient\__construct(), JMediawikiObject\buildParameter(), MultilangstatusHelper\getDefaultHomeModule(), Container\getMethodArgs(), Cache\makeId(), FieldsPlugin\onCustomFieldsPrepareDom(), JOpenstreetmapChangesets\queryChangeset(), FieldsModelField\save(), Net_IDNA_php4\setParams(), et HTMLHelper\tooltip().

◆ $params

$params = array('params' => json_encode($param))

◆ $renderer

$renderer = Factory::getDocument()->loadRenderer('module')

Référencé par PlgContentLoadmodule\_load(), PlgContentLoadmodule\_loadid(), PlgContentLoadmodule\_loadmod(), HtmlDocument\getBuffer(), JFormFieldSubform\getInput(), FormField\getLayoutPaths(), FOFViewForm\getRenderedForm(), PlgSystemStats\getRenderer(), FormField\getRenderer(), FOFTemplateUtils\loadPosition(), FOFViewHtml\postRender(), FOFViewHtml\preRender(), FOFView\registerRenderer(), ModulesRenderer\render(), FOFHalRenderJson\render(), FeedDocument\render(), FOFHalDocument\render(), et FOFView\setRenderer().

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif

◆ id

id =<?php echo $item->postinstall_message_id

◆ task

task =action&amp

◆ view

if (Factory::getUser() ->authorise( 'core.edit.state', 'com_postinstall')) view =messages&amp


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • capabilities
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_privacy/views/capabilities/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

if(!empty($this->sidebar)) else
else __pad0__
else __pad1__
endforeach
endif
$i

Documentation des variables

◆ $i

$i

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

if (!empty( $this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • consents
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_privacy/views/consents/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$now = JFactory::getDate()
$stateIcons = array(-1 => 'trash', 0 => 'archive', 1 => 'publish')
$stateMsgs = array(-1 => JText::_('COM_PRIVACY_CONSENTS_STATE_INVALIDATED'), 0 => JText::_('COM_PRIVACY_CONSENTS_STATE_OBSOLETE'), 1 => JText::_('COM_PRIVACY_CONSENTS_STATE_VALID'))
if(!empty($this->sidebar)) else
else __pad0__
foreach ( $this->items as $i=> $item)
endforeach
endif

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $now

$now = JFactory::getDate()

Référencé par UserHelper\clearExpiredTokens(), ModRelatedItemsHelper\getList(), ModTagssimilarHelper\getList(), PrivacyModelRequests\getNumberUrgentRequests(), FOFUtilsUpdate\loadUpdatesClassic(), PlgSystemPrivacyconsent\onAfterRender(), PlgSystemActionLogs\onAfterRespond(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgSearchContent\onContentSearch(), PlgSystemPrivacyconsent\remindExpiringConsents(), RssRenderer\render(), AtomRenderer\render(), Cache\setWorkarounds(), StringWrapper\url_stat(), et StreamString\url_stat().

◆ $stateIcons

$stateIcons = array(-1 => 'trash', 0 => 'archive', 1 => 'publish')

◆ $stateMsgs

$stateMsgs = array(-1 => JText::_('COM_PRIVACY_CONSENTS_STATE_INVALIDATED'), 0 => JText::_('COM_PRIVACY_CONSENTS_STATE_OBSOLETE'), 1 => JText::_('COM_PRIVACY_CONSENTS_STATE_VALID'))

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ else

if (!empty( $this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • dashboard
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_privacy/views/dashboard/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$totalRequests = 0
$activeRequests = 0
if(!empty($this->sidebar)) | else
if(in_array($row->status, array(0, 1))) | endif
endforeach
else __pad0__
else __pad1__
if ( $this->privacyPolicyInfo[ 'editLink'] !=='')
else __pad2__
else __pad3__
if ( $this->requestFormPublished[ 'link'] !=='')
else __pad4__
else __pad5__
else __pad6__

Documentation des variables

◆ $activeRequests

$activeRequests = 0

◆ $totalRequests

$totalRequests = 0

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ __pad5__

else __pad5__

◆ __pad6__

else __pad6__

◆ else

if (!empty( $this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ if [1/2]

if($this->privacyPolicyInfo['editLink'] !=='')

◆ if [2/2]

if($this->requestFormPublished['link'] !=='')


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • request
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_privacy/views/request/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$js
JS
else __pad0__
foreach ( $this->actionlogs as $i=> $item)
endforeach
endif

Documentation des variables

◆ $js

$js
Valeur initiale :
= <<< JS
Joomla.submitbutton = function(task) {
if (task === 'request.cancel' || document.formvalidator.isValid(document.getElementById('item-form'))) {
Joomla.submitform(task, document.getElementById('item-form'));
}
}
JS
JS
Definition: administrator/components/com_privacy/views/request/tmpl/default.php:26
Joomla
task
if(($user->authorise('core.create', 'com_media')) and $this->require_ftp) task
Definition: administrator/components/com_media/views/media/tmpl/default.php:64

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->actionlogs as $i=> $item)

◆ JS

JS


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • requests
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_privacy/views/requests/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$now = JFactory::getDate()
$urgentRequestDate = clone $now
if(!empty($this->sidebar)) else
else __pad0__
endif
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $now

$now = JFactory::getDate()

◆ $urgentRequestDate

$urgentRequestDate = clone $now

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ else

if (!empty( $this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • links
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_redirect/views/links/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
endif
else __pad0__
$canChange = $user->authorise('core.edit.state', 'com_redirect')
else __pad1__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_redirect')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • views
  • searches
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_search/views/searches/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
else __pad0__
foreach ( $this->items as $i=> $item)
else __pad1__
endif
endforeach

Documentation des variables

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tags
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_tags/views/tags/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = ($listOrder == 'a.lft' && strtolower($listDirn) == 'asc')
$extension = $this->escape($this->state->get('filter.extension'))
$parts = explode('.', $extension)
$component = $parts[0]
$section = null
$mode = false
$columns = 7
if(count($parts) > 1) if($section==='categories') | if ( $saveOrder)
if(!empty($this->sidebar)) | else
else __pad0__
else null
endif
$canCreate = $user->authorise('core.create', 'com_tags')
$canEdit = $user->authorise('core.edit', 'com_tags')
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_tags') && $canCheckin
$iconClass = ''
if(! $canChange) | elseif (! $saveOrder)
else __pad1__
else __pad2__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_tags') && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_tags')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_tags')

◆ $columns

$columns = 7

◆ $component

$component = $parts[0]

◆ $extension

$extension = $this->escape($this->state->get('filter.extension'))

◆ $iconClass

$iconClass = ''

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $mode

$mode = false

Référencé par FOFEncryptAes\__construct(), UserGroupsHelper\__construct(), PlgSystemDebug\__construct(), PlgContentEmailcloak\_cloak(), FtpClient\_findMode(), Stream\_getFilename(), JArchiveTar\_getTarInfo(), FtpClient\_mode(), idna_convert\_utf8_to_ucs4(), FtpClient\append(), SimplePie_Misc\atom_03_construct_type(), FtpClient\chmod(), Stream\chmod(), WincacheStorage\clean(), ApcStorage\clean(), ApcuStorage\clean(), XcacheStorage\clean(), CacheliteStorage\clean(), FileStorage\clean(), MemcacheStorage\clean(), Cache\clean(), MemcachedStorage\clean(), RedisStorage\clean(), FolderWrapper\create(), Folder\create(), JTwitterLists\create(), Image\flip(), FOFIntegrationJoomlaFilesystem\folderCreate(), FilesystemHelper\ftpChmod(), Helper\ftpChmod(), FtpClient\get(), ModArticlesCategoryHelper\getList(), MenusHelper\getMenuLinks(), Path\getPermissions(), Tar\getTarInfo(), PlgSystemStats\isUpdateRequired(), PharStreamWrapper\mkdir(), PlgEditorTinymce\onDisplayLegacy(), Stream\open(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetRequest(), FinderIndexerQuery\processString(), FtpClient\read(), JGithubPackageMarkdown\render(), UsersModelMail\send(), Mail\sendMail(), FOFEncryptAesMcrypt\setEncryptionMode(), FOFEncryptAesOpenssl\setEncryptionMode(), JError\setErrorHandling(), Router\setMode(), FtpClient\store(), PharStreamWrapper\stream_open(), uctc\ucs4array_utf7(), JTwitterLists\update(), uctc\utf7_ucs4array(), uctc\utf8_ucs4array(), et FtpClient\write().

◆ $parts

$parts = explode('.', $extension)

◆ $saveOrder

$saveOrder = ($listOrder == 'a.lft' && strtolower($listDirn) == 'asc')

◆ $section

$section = null

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ else

if ( $item->level > 1) else
Valeur initiale :
{
$parentsStr = ''

◆ elseif

if (! $canChange) elseif(! $saveOrder)

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($canChange)

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • styles
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_templates/views/styles/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$clientId = (int) $this->state->get('client_id', 0)
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$colSpan = $clientId === 1 ? 5 : 6
if(!empty($this->sidebar)) else
endif
$canEdit = $user->authorise('core.edit', 'com_templates')
$canChange = $user->authorise('core.edit.state', 'com_templates')

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_templates')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_templates')

◆ $clientId

$clientId = (int) $this->state->get('client_id', 0)

◆ $colSpan

$colSpan = $clientId === 1 ? 5 : 6

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ else

if (!empty( $this->sidebar)) else

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_templates/views/template/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
if($this->type=='image') JFactory::getDocument() -> addStyleDeclaration(' .selected | selected
color __pad0__
modal body column | left
max | height
overflow | y
modal body column | right
media(max-width:767px) | margin
max | width
width __pad1__
height __pad2__
directory | tree
tree holder

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input

◆ __pad0__

color __pad0__

◆ __pad1__

width __pad1__

◆ __pad2__

height __pad2__

◆ height

max height

◆ holder

tree holder
Valeur initiale :
{
overflow-x: auto

◆ left

modal body column left
Valeur initiale :
{
float: left
left
modal body column left
Definition: administrator/components/com_templates/views/template/tmpl/default.php:154

◆ margin

media (max-width:767px) margin

◆ right

modal body column right
Valeur initiale :
{
float: right
right
modal body column right
Definition: administrator/components/com_templates/views/template/tmpl/default.php:157

◆ selected

if ( $this->type=='image') JFactory::getDocument () -> addStyleDeclaration(' .selected selected

◆ tree

directory tree
Valeur initiale :
{
display: none

Référencé par JAdminCssMenu\getTree(), JAdminCssMenu\load(), JAdminCssMenu\populateTree(), et JAdminCssMenu\renderSubmenu().

◆ width

integer $previewWidth The image preview width

Référencé par SimplePie_Enclosure\__construct(), PlgSystemDebug\displayQueries(), SimplePie_Enclosure\get_width(), EditorField\getInput(), JFormFieldMeter\getLayoutData(), modChrome_horz(), SimplePie_Misc\output_javascript(), FOFUtilsInstallscript\renderPostInstallation(), FOFUtilsInstallscript\renderPostUninstallation(), JFormFieldMeter\setup(), MediaField\setup(), et EditorField\setup().

◆ y

overflow y


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • templates
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_templates/views/templates/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty($this->sidebar)) else
foreach ( $this->items as $i=> $item)
else __pad0__
else endif
else __pad1__
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

if (!empty( $this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • debuggroup
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/debuggroup/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$colSpan = 4 + count($this->actions)
if(!empty( $this->sidebar)) | else
endforeach
foreach($this->actions as $action) | $check = $item->checks[$name]
if($check===true) | $button = 'btn-success'
else __pad0__
endif

Documentation des variables

◆ $button

$button = 'btn-success'

Référencé par JHtmlIcons\button(), JHtmlIcons\buttons(), JHtmlIcon\create(), Editor\getButtons(), HelpsiteField\getInput(), ModQuickIconHelper\groupButtons(), PlgButtonMenu\onDisplay(), PlgButtonPagebreak\onDisplay(), PlgButtonFields\onDisplay(), PlgButtonContact\onDisplay(), PlgButtonArticle\onDisplay(), PlgButtonModule\onDisplay(), PlgButtonReadmore\onDisplay(), PlgButtonImage\onDisplay(), FOFConfigDomainViews\parseDomain(), Toolbar\render(), Toolbar\renderButton(), FOFRenderStrapper\renderButtons(), et PlgEditorTinymce\tinyButtons().

◆ $check

foreach ( $this->actions as $action) $check = $item->checks[$name]

Référencé par Porteren\_replace(), ToolbarHelper\addNew(), JObservable\attach(), Editor\attach(), Authentication\attach(), FOFUtilsObservableDispatcher\attach(), JEventDispatcher\attach(), Captcha\attach(), MediaHelper\canUpload(), ToolbarHelper\checkin(), TemplatesModelTemplate\createFile(), MenuField\getGroups(), MenusModelItems\getMenu(), InstallerModelUpdate\install(), AKAbstractUnarchiver\isIgnoredDirectory(), UsersModelUser\isValidOtep(), UsersModelUser\isValidSecretKey(), PlgTwofactorauthYubikey\onUserTwofactorApplyConfiguration(), PlgTwofactorauthTotp\onUserTwofactorApplyConfiguration(), PlgTwofactorauthYubikey\onUserTwofactorAuthenticate(), PlgTwofactorauthTotp\onUserTwofactorAuthenticate(), ToolbarHelper\publish(), FOFToolbar\renderToolbarElement(), FinderIndexerStemmerPorter_En\replace(), ContentModelArticle\save(), ToolbarHelper\trash(), ToolbarHelper\unpublish(), et PlgTwofactorauthYubikey\validateYubikeyOtp().

◆ $colSpan

$colSpan = 4 + count($this->actions)

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad0__

else __pad0__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • debuguser
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/debuguser/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$colSpan = 4 + count($this->actions)
if(!empty( $this->sidebar)) | else
endforeach
foreach($this->actions as $action) | $check = $item->checks[$name]
if($check===true) | $button = 'btn-success'
else __pad0__
endif

Documentation des variables

◆ $button

$button = 'btn-success'

◆ $check

foreach ( $this->actions as $action) $check = $item->checks[$name]

◆ $colSpan

$colSpan = 4 + count($this->actions)

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad0__

else __pad0__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • groups
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/groups/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$debugGroups = $this->state->get('params')->get('debugGroups', 1)

Documentation des variables

◆ $debugGroups

$debugGroups = $this->state->get('params')->get('debugGroups', 1)

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • levels
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/levels/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'a.ordering'
if ( $saveOrder)
if(!empty( $this->sidebar)) | else
else __pad0__
else null
else | $count = count($this->items)
$canCreate = $user->authorise('core.create', 'com_users')
$canEdit = $user->authorise('core.edit', 'com_users')
$canChange = $user->authorise('core.edit.state', 'com_users')
$groups = json_decode($item->rules)
if (!JFactory::getUser() ->authorise( 'core.admin') &&JAccess::checkGroup( $groups[0], 'core.admin'))
$iconClass = ''
if(! $canChange) | elseif (! $saveOrder)
endif
else __pad1__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_users')

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_users')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_users')

◆ $count

else $count = count($this->items)

◆ $groups

$groups = json_decode($item->rules)

Référencé par UserGroupsHelper\__construct(), UsersControllerLevel\allowEdit(), JHtmlRules\assetFormWidget(), UsersModelUser\batchUser(), User\bind(), ContactModelContact\buildContactExtendedData(), UsersModelLevel\canDelete(), JHtmlCategory\categories(), CategoryView\commonCategoryDisplay(), UsersModelGroup\delete(), TagsViewTags\display(), ContactViewContact\display(), TagsViewTag\display(), FOFController\display(), Form\filter(), Form\findGroup(), UserGroupsHelper\getAll(), ContentHelperAssociation\getAssociations(), CategoriesHelper\getAssociations(), Access\getAuthorisedViewLevels(), FinderIndexerTaxonomy\getBranchTitles(), ContactModelContact\getContactQuery(), Form\getFieldset(), Form\getGroup(), Access\getGroupPath(), JFormFieldGroupedList\getGroups(), JFormFieldUserMessages\getGroups(), JFormFieldContentMap\getGroups(), MenuField\getGroups(), JFormFieldTimezone\getGroups(), TemplatestyleField\getGroups(), ChromestyleField\getGroups(), MenuitemField\getGroups(), JFormFieldMenuitemByType\getGroups(), FOFForm\getHeaderset(), JFormFieldFilters\getInput(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldRules\getInput(), JFormFieldGroupedList\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), UserGroupsHelper\getInstance(), NewsfeedsModelNewsfeed\getItem(), ContentModelArticle\getItem(), ContactModelContact\getItem(), FinderIndexerAdapter\getItemMenuTitle(), UsersModelUsers\getItems(), ContentModelArticles\getItems(), TagsHelper\getItemTags(), ModRelatedItemsHelper\getList(), ModTagsPopularHelper\getList(), ModTagssimilarHelper\getList(), FinderModelSuggestions\getListQuery(), ContentModelFeatured\getListQuery(), NewsfeedsModelCategory\getListQuery(), FieldsModelGroups\getListQuery(), ContactModelCategory\getListQuery(), FieldsModelFields\getListQuery(), TagsModelTags\getListQuery(), ContactModelFeatured\getListQuery(), ContactModelContacts\getListQuery(), CategoriesModelCategories\getListQuery(), ContentModelArticles\getListQuery(), FinderModelSearch\getListQuery(), MenusModelItems\getListQuery(), ModulesModelModules\getListQuery(), UsersModelUsers\getListQuery(), JFormFieldSubform\getName(), FOFFormHeader\getName(), FormField\getName(), FinderIndexerTaxonomy\getNodeByTitle(), ModWhosonlineHelper\getOnlineUserNames(), UsergrouplistField\getOptions(), JFormFieldPlugins\getOptions(), JFormFieldCategoryEdit\getOptions(), PlgSystemUpdatenotification\getSuperUsers(), TagsHelper\getTagItemsQuery(), TagsViewTag\getTagsTitle(), ModUsersLatestHelper\getUsers(), UsersHelper\getVisibleByGroups(), JHtmlUser\groups(), Form\load(), UserGroupsHelper\loadAll(), PlgSearchContent\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchCategories\onContentSearch(), JHtmlCategory\options(), FormHelper\parseShowOnConditions(), UsersModelGroups\populateExtraData(), UserGroupsHelper\populateGroupsData(), UsersModelUsers\populateState(), PlgContentFields\prepare(), FinderIndexerQuery\processDynamicTaxonomy(), FinderIndexerQuery\processStaticTaxonomy(), TagsHelper\searchTags(), JHtmlFilter\select(), UserGroupsHelper\setGroups(), JHtmlFilter\slider(), User\store(), JHtmlAccess\usergroups(), UsersModelLevel\validate(), et Form\validate().

◆ $iconClass

$iconClass = ''

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

if (!empty($this->sidebar)) else

◆ elseif

if (! $canChange) elseif(! $saveOrder)

◆ endforeach

endforeach

◆ endif

endif

◆ if [1/2]

if($saveOrder)

◆ if [2/2]

if(!JFactory::getUser() ->authorise('core.admin') &&JAccess::checkGroup($groups[0], 'core.admin'))

◆ null

else null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • mail
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/mail/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$script = "\t" . 'Joomla.submitbutton = function(pressbutton) {' . "\n"

Documentation des variables

◆ $script

$script = "\t" . 'Joomla.submitbutton = function(pressbutton) {' . "\n"


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • notes
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/notes/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
else __pad0__
$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_users.category.' . $item->catid) && $canCheckin
$subject = $item->subject ?: JText::_('COM_USERS_EMPTY_SUBJECT')
endif
else __pad1__
else __pad2__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_users.category.' . $item->catid) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $subject

$subject = $item->subject ?: JText::_('COM_USERS_EMPTY_SUBJECT')

Référencé par FOFUtilsObservableEvent\__construct(), JEvent\__construct(), JObserver\__construct(), PlgSystemLogout\__construct(), PlgContentVote\__construct(), PlgSystemRedirect\__construct(), PlgSystemCache\__construct(), PlgUserProfile\__construct(), PlgActionlogJoomla\__construct(), PlgSystemPrivacyconsent\__construct(), PlgUserTerms\__construct(), PlgSystemActionLogs\__construct(), CMSPlugin\__construct(), PlgQuickiconEos310\__construct(), PlgSystemLanguageFilter\__construct(), PlgSystemDebug\__construct(), FinderIndexerAdapter\__construct(), ContactControllerContact\_sendEmail(), ArrayHelper\addColumn(), MailWrapper\cleanSubject(), MailHelper\cleanSubject(), JFacebookUser\createNote(), PHPMailer\DKIM_Add(), PHPMailer\doCallback(), JMediawikiUsers\emailUser(), ArrayHelper\getColumn(), PrivacyModelConsents\invalidateAll(), JLinkedinCommunications\inviteByEmail(), JLinkedinCommunications\inviteById(), Php56\ldap_escape(), PHPMailer\mailPassthru(), Parser\preg_match(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetRequest(), MessagesModelMessage\save(), MailtoController\send(), UsersModelMail\send(), Mail\sendAdminMail(), Mail\sendMail(), JLinkedinCommunications\sendMessage(), et Mail\setSubject().

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • users
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/users/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$loggeduser = JFactory::getUser()
$debugUsers = $this->state->get('params')->get('debugUsers', 1)
if(!empty( $this->sidebar)) | else
else __pad0__
$canChange = $loggeduser->authorise('core.edit.state', 'com_users')
if ((! $loggeduser->authorise( 'core.admin')) &&JAccess::check( $item->id, 'core.admin'))
endif
else __pad1__
$self = $loggeduser->id == $item->id
else __pad2__
else JHtml::_('users.blockStates', $self) $item | block
else JHtml::_('users.blockStates', $self) $item | $i
else JHtml::_('users.blockStates', $self) $item | false
$activated = empty( $item->activation) ? 0 : 1
else __pad3__
else __pad4__
endforeach

Documentation des variables

◆ $activated

$activated = empty( $item->activation) ? 0 : 1

◆ $canChange

$canChange = $loggeduser->authorise('core.edit.state', 'com_users')

◆ $debugUsers

$debugUsers = $this->state->get('params')->get('debugUsers', 1)

◆ $i

else JHtml::_ ( 'users.blockStates', $self) $item $i

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $loggeduser

$loggeduser = JFactory::getUser()

◆ $self

$self = $loggeduser->id == $item->id

Référencé par JHtmlUsers\blockStates(), FOFModel\buildQuery(), SplFixedArray\fromArray(), AKFactory\get(), AKFactory\getClassInstance(), JLinkedinStream\getNetworkUpdates(), JLinkedinStream\getShareStream(), FOFModel\onAfterCopy(), FOFModel\onAfterDelete(), FOFModel\onAfterGetItem(), FOFModel\onAfterHit(), FOFModel\onAfterMove(), FOFModel\onAfterPublish(), FOFModel\onAfterReorder(), FOFModel\onAfterSave(), FOFModel\onBeforeCopy(), FOFModel\onBeforeDelete(), FOFModel\onBeforeHit(), FOFModel\onBeforeMove(), FOFModel\onBeforePublish(), FOFModel\onBeforeReorder(), FOFModel\onBeforeSave(), AKFactory\set(), et Unescaper\unescapeDoubleQuotedString().

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ block

else JHtml::_ ( 'users.blockStates', $self) $item block

Référencé par FOFLessFormatterClassic\block(), et User\store().

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ false

else JHtml::_ ( 'users.blockStates', $self) $item false

◆ if

if((! $loggeduser->authorise('core.admin')) &&JAccess::check($item->id, 'core.admin'))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_custom
  • tmpl
Espaces de nommage
Référence du fichier administrator/modules/mod_custom/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_feed
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_feed/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

if(!empty($feed) &&is_string($feed)) | else
$myrtl = $params->get('rssrtl', 0)
$direction = ' '
if($lang->isRtl() && $myrtl==0) elseif($lang->isRtl() && $myrtl==1) elseif($lang->isRtl() && $myrtl==2) elseif($myrtl==0) elseif($myrtl==1) elseif($myrtl==2) | if ( $feed !=false)
endif

Documentation des variables

◆ $direction

$direction = ' '

◆ $myrtl

$myrtl = $params->get('rssrtl', 0)

◆ else

if (!empty( $feed) &&is_string( $feed)) else
Valeur initiale :
{
$lang = JFactory::getLanguage()
$lang
$lang
Definition: administrator/components/com_finder/views/index/tmpl/default.php:18

◆ endif

endif

◆ if

if($params->get('rssimage', 1) && $feed->image) ( $feed ! = false )


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latest
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_latest/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

endif
if ( $item->link)
else __pad0__
else ENT_QUOTES
endforeach
else __pad1__

Documentation des variables

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endforeach

endforeach

◆ endif

endif

◆ ENT_QUOTES

else ENT_QUOTES

Référencé par PlgContentPagebreak\_createToc(), HelpButton\_getCommand(), Nested\_logtable(), JHtmlNewsfeed\association(), JHtmlContact\association(), JHtmlContentAdministrator\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), SimplePie_Parser\cdata(), BannersTableBanner\check(), InputFilter\checkAttribute(), InputFilter\cleanAttributes(), JHtmlEmail\convertEncoding(), InputFilter\decode(), FinderViewSearch\display(), SMTP\edebug(), PHPMailer\edebug(), AssociationsHelper\getAssociationHtmlList(), LanguagesModelInstalled\getData(), ActionlogsHelper\getHumanReadableLogMessage(), JFormFieldFilters\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldRules\getInput(), JFormFieldModal_Menu\getInput(), PlgSystemDebug\highlightQuery(), PHPMailer\html2text(), modChrome_html5(), modChrome_well(), modChrome_xhtml(), ModulesControllerModule\orderPosition(), FinderIndexerParserHtml\parse(), FinderViewSearch\prepareDocument(), BannersModelClient\prepareTable(), NewsfeedsModelNewsfeed\prepareTable(), ContactModelContact\prepareTable(), ModulesModelModule\prepareTable(), JHtmlIcon\print_popup(), FinderIndexerQuery\processString(), FinderIndexerHelper\tokenize(), et JHtmlString\truncate().

◆ if

if($item->link)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latestactions
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_latestactions/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

if (count($list)) ( $list as $i=> $item)
endforeach
else __pad0__
endif

Documentation des variables

◆ (count($list))

if (count( $list))($list as $i=> $item)

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_logged
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_logged/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

endif
if (isset( $user->editLink))
else __pad0__
else __pad1__
endforeach

Documentation des variables

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(isset($user->editLink))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_login
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_login/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

if ( $langs)
endif

Documentation des variables

◆ endif

endif

◆ if

if($langs)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_menu
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_menu/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$doc = JFactory::getDocument()
$direction = $doc->direction == 'rtl' ? 'pull-right' : ''
$class = $enabled ? 'nav ' . $direction : 'nav disabled ' . $direction
$menuTree = $menu->getTree()
$root = $menuTree->reset()

Documentation des variables

◆ $class

$class = $enabled ? 'nav ' . $direction : 'nav disabled ' . $direction

◆ $direction

$direction = $doc->direction == 'rtl' ? 'pull-right' : ''

◆ $doc

$doc = JFactory::getDocument()

◆ $menuTree

$menuTree = $menu->getTree()

◆ $root

$root = $menuTree->reset()

Référencé par Tree\__construct(), FOFViewJson\_removeURIBase(), Patcher\add(), Patcher\addFile(), lessc\cachedCompile(), FOFLess\cachedCompile(), lessc\compile(), FOFLess\compile(), lessc\compileRoot(), FOFLess\compileRoot(), AKPostprocDirect\createDirRecursive(), SimplePie_Misc\get_build(), Tree\getRoot(), FOFTableNested\getRoot(), Xml\objectToString(), FieldsPlugin\onCustomFieldsGetTypes(), lessify\parse(), Tree\reset(), Uri\reset(), Uri\root(), ConfigModelComponent\save(), JHtmlBehavior\tree(), lessc\tryImport(), FOFLess\tryImport(), et InstallationModelFtp\verifyFtpSettings().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_multilangstatus
  • tmpl
Espaces de nommage
Référence du fichier administrator/modules/mod_multilangstatus/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_popular
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_popular/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$hits_class = ($hits >= 10000 ? 'important' : ($hits >= 1000 ? 'warning' : ($hits >= 100 ? 'info' : '')))
endif
if ( $item->link)
else __pad0__
else ENT_QUOTES
endforeach
else __pad1__

Documentation des variables

◆ $hits_class

$hits_class = ($hits >= 10000 ? 'important' : ($hits >= 1000 ? 'warning' : ($hits >= 100 ? 'info' : '')))

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endforeach

endforeach

◆ endif

endif

◆ ENT_QUOTES

else ENT_QUOTES

◆ if

if($item->link)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_privacy_dashboard
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_privacy_dashboard/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$totalRequests = 0
$activeRequests = 0
if(in_array($row->status, array(0, 1))) endif
endforeach
else __pad0__

Documentation des variables

◆ $activeRequests

$activeRequests = 0

◆ $totalRequests

$totalRequests = 0

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_quickicon
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_quickicon/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$html = JHtml::_('links.linksgroups', ModQuickIconHelper::groupButtons($buttons))
if(!empty($html)) endif

Documentation des variables

◆ $html

$html = JHtml::_('links.linksgroups', ModQuickIconHelper::groupButtons($buttons))

◆ endif

if (!empty( $html)) endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_sampledata
  • tmpl
Espaces de nommage
Référence du fichier administrator/modules/mod_sampledata/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_stats_admin
  • tmpl
Espaces de nommage
Référence du fichier administrator/modules/mod_stats_admin/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_status
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_status/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

$hideLinks = $input->getBool('hidemainmenu')
$task = $input->getCmd('task')
$output = array()

Documentation des variables

◆ $hideLinks

$hideLinks = $input->getBool('hidemainmenu')

◆ $output

$output = array()

Référencé par idna_convert\_nameprep(), ContactControllerContact\_sendEmail(), idna_convert\_ucs4_string_to_ucs4(), idna_convert\_ucs4_to_ucs4_string(), idna_convert\_ucs4_to_utf8(), idna_convert\_utf8_to_ucs4(), Php55ArrayColumn\array_column(), SimplePie_Misc\change_encoding(), SimplePie_Misc\change_encoding_iconv(), SimplePie_Misc\change_encoding_mbstring(), AKEncryptionAES\Cipher(), JHtmlIcon\create(), JGoogleEmbedAnalytics\createCall(), PasswordHash\crypt_private(), BaseLayout\debug(), InstallationApplicationWeb\debugLanguage(), Dumper\dump(), Inline\dumpArray(), JHtmlIcon\edit(), idna_convert\encode(), PasswordHash\encode64(), JViewBase\escape(), JViewHtml\escape(), BaseLayout\escape(), Bzip2\extract(), Gzip\extract(), JArchiveBzip2\extractStream(), JArchiveGzip\extractStream(), Form\filter(), PasswordHash\gensalt_blowfish(), PasswordHash\gensalt_private(), CallbackController\get(), PasswordHash\get_random_bytes(), JGoogleEmbedAnalytics\getBody(), JGoogleEmbedMaps\getBody(), JGoogleEmbedAnalytics\getHeader(), JGoogleEmbedMaps\getHeader(), CliApplication\getOutput(), AdminModelSysInfo\getPHPInfo(), JHtmlDirectory\message(), PlgContentLoadmodule\onContentPrepare(), FieldsPlugin\onCustomFieldsPrepareField(), CliApplication\out(), Inline\parseMapping(), Inline\parseQuotedScalar(), Inline\parseScalar(), Inline\parseSequence(), AKEncryptionAES\pbkdf2(), PlgContentFields\prepare(), SimplePie_IRI\remove_dot_segments(), SimplePie_Parse_Date\remove_rfc2822_comments(), EasyPeasyICS\render(), JViewHtml\render(), JGrid\renderArea(), CliApplication\setOutput(), ApplicationHelper\stringURLSafe(), SimplePie_Misc\strip_comments(), ArrayHelper\toString(), JArrayHelper\toString(), FOFUtilsArray\toString(), JGrid\toString(), uctc\ucs4_ucs4array(), uctc\ucs4array_ucs4(), uctc\ucs4array_utf7(), uctc\ucs4array_utf8(), SimplePie_Misc\uncomment_rfc822(), uctc\utf7_ucs4array(), et uctc\utf8_ucs4array().

◆ $task

$task = $input->getCmd('task')


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_submenu
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_submenu/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

if( $displayMenu)( $list as $item)(isset($item[2]) && $item[2]==1) if($hide) else
else __pad0__
endif
endforeach
foreach ( $filters as $filter)

Documentation des variables

◆ __pad0__

else __pad0__

◆ else

if($displayMenu) ($list as $item) (isset( $item[2]) &&$item[2]==1) if ( $hide) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($filters as $filter)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_title
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_title/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

if(!empty($title)) endif

Documentation des variables

◆ endif

if (!empty( $title)) endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_toolbar
  • tmpl
Espaces de nommage
Référence du fichier administrator/modules/mod_toolbar/tmpl/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_version
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_version/tmpl/default.php

Espaces de nommage

Joomla\Administrator

Variables

if(!empty($version)) endif

Documentation des variables

◆ endif

if (!empty( $version)) endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • help
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_admin/help/default.php

Espaces de nommage

Joomla\Administrator

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • sysinfo
Espaces de nommage
Référence du fichier administrator/templates/hathor/html/com_admin/sysinfo/default.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_associations
  • associations
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_associations/associations/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canManageCheckin = JFactory::getUser()->authorise('core.manage', 'com_checkin')
$colSpan = 5
$iconStates

Documentation des variables

◆ $canManageCheckin

$canManageCheckin = JFactory::getUser()->authorise('core.manage', 'com_checkin')

◆ $colSpan

$colSpan = 5

◆ $iconStates

$iconStates
Valeur initiale :
= array(
-2 => 'icon-trash',
0 => 'icon-unpublish',
1 => 'icon-publish',
2 => 'icon-archive',
)

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • banners
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_banners/banners/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canOrder = $user->authorise('core.edit.state', 'com_banners')
$saveOrder = $listOrder == 'ordering'
if(!empty( $this->sidebar)) | else
endif
$item | cat_link = JRoute::_('index.php?option=com_categories&extension=com_banners&task=edit&type=other&cid[]=' . $item->catid)
$canCreate = $user->authorise('core.create', 'com_banners.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_banners.category.' . $item->catid)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_banners.category.' . $item->catid) && $canCheckin
else __pad0__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad1__
else __pad2__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_banners.category.' . $item->catid) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_banners.category.' . $item->catid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_banners.category.' . $item->catid)

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_banners')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

Référencé par HTMLHelper\calendar(), JFormFieldGroupedList\getGroups(), InstallationFormFieldPrefix\getInput(), JFormFieldUsergroup\getInput(), JFormFieldCheckbox\getInput(), JFormFieldList\getOptions(), FOFFormFieldCheckbox\getRepeatable(), FOFFormFieldOrdering\getRepeatable(), FOFFormFieldCheckbox\getStatic(), UsersModelMail\send(), et Form\validateField().

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ cat_link

$item cat_link = JRoute::_('index.php?option=com_categories&extension=com_banners&task=edit&type=other&cid[]=' . $item->catid)

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • clients
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_banners/clients/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
$canCreate = $user->authorise('core.create', 'com_banners')
$canEdit = $user->authorise('core.edit', 'com_banners')
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_banners') && $canCheckin
endif
else __pad3__
else __pad4__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_banners') && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_banners')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_banners')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • download
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_banners/download/default.php

Espaces de nommage

Joomla\Administrator

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • tracks
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_banners/tracks/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
$category = $this->state->get('filter.category_id')
foreach ( $this->items as $i=> $item)
endforeach

Documentation des variables

◆ $category

$category = $this->state->get('filter.category_id')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_cache
  • cache
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_cache/cache/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
$i = 0
foreach ( $this->data as $folder=> $item)
endforeach

Documentation des variables

◆ $i

$i = 0

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ foreach

foreach($this->data as $folder=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_cache
  • purge
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_cache/purge/default.php

Espaces de nommage

Joomla\Administrator

Variables

if(!empty( $this->sidebar)) else

Documentation des variables

◆ else

if (!empty($this->sidebar)) else


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_categories
  • categories
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_categories/categories/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$extension = $this->escape($this->state->get('filter.extension'))
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$ordering = ($listOrder == 'a.lft')
$canOrder = $user->authorise('core.edit.state', $extension)
$saveOrder = ($listOrder == 'a.lft' && $listDirn == 'asc')
$jinput = JFactory::getApplication()->input
$component = $jinput->get('extension')
if(!empty($this->sidebar)) endif
$canEdit = $user->authorise('core.edit', $extension . '.category.' . $item->id)
$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', $extension . '.category.' . $item->id) && $item->created_user_id == $userId
$canChange = $user->authorise('core.edit.state', $extension . '.category.' . $item->id) && $canCheckin
else __pad5__
else __pad6__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad7__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $canChange

$canChange = $user->authorise('core.edit.state', $extension . '.category.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', $extension . '.category.' . $item->id)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', $extension . '.category.' . $item->id) && $item->created_user_id == $userId

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', $extension)

◆ $component

$component = $jinput->get('extension')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $extension

$extension = $this->escape($this->state->get('filter.extension'))

◆ $jinput

$jinput = JFactory::getApplication()->input

Référencé par ContactHelperAssociation\getAssociations(), NewsfeedsHelperAssociation\getAssociations(), ContentHelperAssociation\getAssociations(), FieldsModelGroup\getForm(), TagsModelTag\getForm(), CategoriesModelCategory\getForm(), ContentModelArticle\getForm(), FieldsModelField\getForm(), JFormFieldCategoryParent\getOptions(), JFormFieldCategoryEdit\getOptions(), PlgButtonFields\onDisplay(), et ModulesControllerModule\orderPosition().

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $ordering

$ordering = ($listOrder == 'a.lft')

◆ $saveOrder

$saveOrder = ($listOrder == 'a.lft' && $listDirn == 'asc')

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad5__

else __pad5__

◆ __pad6__

else __pad6__

◆ __pad7__

else __pad7__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_checkin
  • checkin
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_checkin/checkin/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty($this->sidebar)) endif
foreach ( $this->items as $table=> $count)
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ endforeach

endforeach

◆ endif

if (!empty( $this->sidebar)) endif

◆ foreach

foreach($this->items as $table=> $count)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_config/application/default.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • component
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_config/component/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$template = $app->getTemplate()
$fieldSets = $this->form->getFieldsets()
foreach | ($fieldSets as $name=> $fieldSet) ( $fieldSet->label) ? 'COM_CONFIG_' . $name . '_FIELDSET_LABEL'
if(isset($fieldSet->description) &&!empty($fieldSet->description)) foreach( $this->form->getFieldset( $name) as $field)(! $field->hidden) | endif
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $fieldSets

$fieldSets = $this->form->getFieldsets()

◆ $template

$template = $app->getTemplate()

◆ ($fieldSets as $name=> $fieldSet)

foreach ( $fieldSets as $name=> $fieldSet)($fieldSet->label) ? 'COM_CONFIG_' . $name . '_FIELDSET_LABEL'

◆ endforeach

endforeach

◆ endif

if (isset( $fieldSet->description) &&!empty( $fieldSet->description))foreach ($this->form->getFieldset($name) as $field) (! $field->hidden) endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contact
  • contacts
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_contact/contacts/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canOrder = $user->authorise('core.edit.state', 'com_contact')
$saveOrder = $listOrder == 'a.ordering'
$assoc = JLanguageAssociations::isEnabled()
if(!empty( $this->sidebar)) | else
endif
$n = count($this->items)
foreach($this->items as $i=> $item) | $canCreate = $user->authorise('core.create', 'com_contact.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_contact.category.' . $item->catid)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', 'com_contact.category.' . $item->catid) && $item->created_by == $userId
$canChange = $user->authorise('core.edit.state', 'com_contact.category.' . $item->catid) && $canCheckin
$item | cat_link = JRoute::_('index.php?option=com_categories&extension=com_contact&task=edit&type=other&id='.$item->catid)
else __pad8__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad9__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_contact.category.' . $item->catid) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canCreate

foreach ( $this->items as $i=> $item) $canCreate = $user->authorise('core.create', 'com_contact.category.' . $item->catid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_contact.category.' . $item->catid)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', 'com_contact.category.' . $item->catid) && $item->created_by == $userId

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_contact')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $n

$n = count($this->items)

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad8__

else __pad8__

◆ __pad9__

else __pad9__

◆ cat_link

$item cat_link = JRoute::_('index.php?option=com_categories&extension=com_contact&task=edit&type=other&id='.$item->catid)

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_content
  • articles
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_content/articles/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'a.ordering'
$assoc = JLanguageAssociations::isEnabled()
$n = count($this->items)
if(!empty( $this->sidebar)) | else
endif
foreach($this->items as $i=> $item) | $ordering = ($listOrder == 'a.ordering')
$canCreate = $user->authorise('core.create', 'com_content.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_content.article.' . $item->id)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', 'com_content.article.' . $item->id) && $item->created_by == $userId
$canChange = $user->authorise('core.edit.state', 'com_content.article.' . $item->id) && $canCheckin
else __pad11__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad12__
else __pad13__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_content.article.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_content.category.' . $item->catid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_content.article.' . $item->id)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', 'com_content.article.' . $item->id) && $item->created_by == $userId

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $n

$n = count($this->items)

◆ $ordering

foreach ( $this->items as $i=> $item) $ordering = ($listOrder == 'a.ordering')

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad11__

else __pad11__

◆ __pad12__

else __pad12__

◆ __pad13__

else __pad13__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_content
  • featured
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_content/featured/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canOrder = $user->authorise('core.edit.state', 'com_content')
$saveOrder = $listOrder == 'fp.ordering'
$n = count($this->items)
if(!empty( $this->sidebar)) | else
endif
foreach($this->items as $i=> $item) | $ordering = ($listOrder == 'fp.ordering')
$assetId = 'com_content.article.' . $item->id
$canCreate = $user->authorise('core.create', 'com_content.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_content.article.' . $item->id)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_content.article.' . $item->id) && $canCheckin
else __pad15__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad16__
else __pad17__
endforeach

Documentation des variables

◆ $assetId

$assetId = 'com_content.article.' . $item->id

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_content.article.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_content.category.' . $item->catid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_content.article.' . $item->id)

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_content')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $n

$n = count($this->items)

◆ $ordering

foreach ( $this->items as $i=> $item) $ordering = ($listOrder == 'fp.ordering')

◆ $saveOrder

$saveOrder = $listOrder == 'fp.ordering'

◆ $user

$user = JFactory::getUser()

◆ __pad15__

else __pad15__

◆ __pad16__

else __pad16__

◆ __pad17__

else __pad17__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_cpanel
  • cpanel
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_cpanel/cpanel/default.php

Espaces de nommage

Joomla\Administrator

Variables

endif
foreach ( $this->modules as $module)

Documentation des variables

◆ endif

endif

◆ foreach

foreach($this->modules as $module)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_fields
  • fields
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_fields/fields/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$context = $this->escape($this->state->get('filter.context'))
$component = $this->state->get('filter.component')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$ordering = ($listOrder == 'a.ordering')
$saveOrder = ($listOrder == 'a.ordering' && strtolower($listDirn) == 'asc')
$category = JCategories::getInstance(str_replace('com_', '', $component))
if ( $saveOrder)
else __pad19__
$canEdit = $user->authorise('core.edit', $component . '.field.' . $item->id)
$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', $component . '.field.' . $item->id) && $item->created_user_id == $userId
$canChange = $user->authorise('core.edit.state', $component . '.field.' . $item->id) && $canCheckin
else __pad20__
endif
else __pad21__

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $canChange

$canChange = $user->authorise('core.edit.state', $component . '.field.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', $component . '.field.' . $item->id)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', $component . '.field.' . $item->id) && $item->created_user_id == $userId

◆ $category

$category = JCategories::getInstance(str_replace('com_', '', $component))

◆ $component

$component = $this->state->get('filter.component')

◆ $context

$context = $this->escape($this->state->get('filter.context'))

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $ordering

$ordering = ($listOrder == 'a.ordering')

◆ $saveOrder

$saveOrder = ($listOrder == 'a.ordering' && strtolower($listDirn) == 'asc')

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad19__

else __pad19__

◆ __pad20__

else __pad20__

◆ __pad21__

else __pad21__

◆ endif

endif

◆ if

if($saveOrder)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_fields
  • groups
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_fields/groups/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$component = ''
$parts = FieldsHelper::extract($this->state->get('filter.context'))
if($parts) $listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$ordering = ($listOrder == 'a.ordering')
$saveOrder = ($listOrder == 'a.ordering' && strtolower($listDirn) == 'asc')
if ( $saveOrder)
else __pad22__
$canEdit = $user->authorise('core.edit', $component . '.fieldgroup.' . $item->id)
$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0
$canEditOwn = $user->authorise('core.edit.own', $component . '.fieldgroup.' . $item->id) && $item->created_by == $userId
$canChange = $user->authorise('core.edit.state', $component . '.fieldgroup.' . $item->id) && $canCheckin
else __pad23__
endif
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $canChange

$canChange = $user->authorise('core.edit.state', $component . '.fieldgroup.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', $component . '.fieldgroup.' . $item->id)

◆ $canEditOwn

$canEditOwn = $user->authorise('core.edit.own', $component . '.fieldgroup.' . $item->id) && $item->created_by == $userId

◆ $component

$component = ''

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

if ( $parts) $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $ordering

$ordering = ($listOrder == 'a.ordering')

◆ $parts

$parts = FieldsHelper::extract($this->state->get('filter.context'))

◆ $saveOrder

$saveOrder = ($listOrder == 'a.ordering' && strtolower($listDirn) == 'asc')

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad22__

else __pad22__

◆ __pad23__

else __pad23__

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($saveOrder)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_finder
  • filters
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_finder/filters/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
else __pad24__
endif
$canEdit = $user->authorise('core.edit', 'com_finder')
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $filter->checked_out == $user->get('id') || $filter->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_finder') && $canCheckin
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_finder') && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $filter->checked_out == $user->get('id') || $filter->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_finder')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad24__

else __pad24__

◆ else

if ( $item->checked_out) if ( $canEdit) else
Valeur initiale :
{
echo $this->escape($item->title)
$item
else $item
Definition: administrator/components/com_menus/views/items/tmpl/modal.php:161

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_finder
  • index
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_finder/index/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$lang = JFactory::getLanguage()
if(!empty( $this->sidebar)) else
endif
$canChange = JFactory::getUser()->authorise('core.manage', 'com_finder')
foreach ( $this->items as $i=> $item)
$key = FinderHelperLanguage::branchSingular($item->t_title)
endforeach

Documentation des variables

◆ $canChange

$canChange = JFactory::getUser()->authorise('core.manage', 'com_finder')

◆ $key

$key = FinderHelperLanguage::branchSingular($item->t_title)

Référencé par HTMLHelper\_(), Language\_(), AKText\_(), DataSet\__call(), FOFInput\__callStatic(), ParagonIE_Sodium_Core_ChaCha20_IetfCtx\__construct(), ParagonIE_Sodium_Core32_ChaCha20_IetfCtx\__construct(), ParagonIE_Sodium_Core_ChaCha20_Ctx\__construct(), ParagonIE_Sodium_Core32_ChaCha20_Ctx\__construct(), JSimplecrypt\__construct(), Crypt\__construct(), FOFEncryptAes\__construct(), FOFTableNested\__construct(), ParagonIE_Sodium_Core_Poly1305_State\__construct(), ParagonIE_Sodium_Core32_Poly1305_State\__construct(), ComponentRecord\__construct(), FOFTableRelations\__construct(), SimplePie_File\__construct(), FOFUtilsUpdate\__construct(), Table\__construct(), MenuItem\__construct(), FOFTable\__construct(), DataSet\__get(), JDatabaseQuerySqlite\__toString(), JOAuth1Client\_baseString(), Pagination\_buildDataObject(), FOFDispatcher\_createDecryptionKey(), JOAuth1Client\_createHeader(), Update\_endElement(), JArchiveZip\_getFileData(), InstallerModel\_getList(), Nested\_getNode(), DataSet\_initialise(), JLinkedinStream\_likeUnlike(), AKAbstractUnarchiver\_prepare(), PlgCaptchaRecaptcha\_recaptcha_qsencode(), JArrayHelper\_sortObjects(), FOFUtilsArray\_sortObjects(), CollectionAdapter\_startElement(), Update\_startElement(), InstallationModelLanguages\addAssociations(), Mail\addAttachment(), PostinstallModelMessages\addPostInstallationMessage(), FOFUtilsInstallscript\addPostInstallationMessage(), Document\addScriptOptions(), TagsHelper\addTagMapping(), ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_encrypt(), AKEncryptionAES\AESDecryptCBC(), AKEncryptionAES\AESDecryptCtr(), AKEncryptionAES\AESEncryptCtr(), Crypto\AESTestVector(), Container\alias(), UsersControllerUser\allowEdit(), TagsControllerTag\allowEdit(), UsersControllerGroup\allowEdit(), UsersControllerLevel\allowEdit(), MenusControllerItem\allowEdit(), ContactControllerContact\allowEdit(), NewsfeedsControllerNewsfeed\allowEdit(), BannersControllerBanner\allowEdit(), FieldsControllerField\allowEdit(), CategoriesControllerCategory\allowEdit(), ContentControllerArticle\allowEdit(), FieldsControllerGroup\allowEdit(), ModulesControllerModule\allowEdit(), MessagesControllerMessage\allowSave(), UsersControllerGroup\allowSave(), UsersControllerLevel\allowSave(), ModulesControllerModule\allowSave(), FormController\allowSave(), Php55ArrayColumn\array_column(), ArrayHelper\arraySearch(), AKText\asJavascript(), HtmlView\assign(), FOFView\assign(), HtmlView\assignRef(), FOFView\assignRef(), JObservable\attach(), Editor\attach(), Authentication\attach(), FOFUtilsObservableDispatcher\attach(), JEventDispatcher\attach(), Captcha\attach(), ParagonIE_Sodium_Crypto\auth(), ParagonIE_Sodium_Crypto32\auth(), ParagonIE_Sodium_Crypto\auth_verify(), ParagonIE_Sodium_Crypto32\auth_verify(), JDatabaseQueryPgsql\bind(), JDatabaseQuerySqlite\bind(), JDatabaseQueryOracle\bind(), FOFDatabaseQuerySqlite\bind(), FOFDatabaseQueryOracle\bind(), SimplePie_Locator\body(), Router\build(), JGithubPackageGists\buildFileData(), Container\buildObject(), Container\buildSharedObject(), JDatabaseExporterMysqli\buildXmlStructure(), JDatabaseExporterPdomysql\buildXmlStructure(), JDatabaseExporterPostgresql\buildXmlStructure(), AssociationsControllerAssociation\cancel(), AdminControllerProfile\cancel(), CategoriesControllerCategory\cancel(), ContentControllerArticle\cancel(), FormController\cancel(), FOFTable\canDelete(), JOpenstreetmapUser\changePreference(), NewsfeedsTableNewsfeed\check(), TagsTableTag\check(), CoreContent\check(), ContactTableContact\check(), Content\check(), Table\checkIn(), Table\checkOut(), InputFilter\clean(), WincacheStorage\clean(), ApcStorage\clean(), ApcuStorage\clean(), XcacheStorage\clean(), MemcacheStorage\clean(), MemcachedStorage\clean(), RedisStorage\clean(), AssociationsModelAssociations\clean(), SocketTransport\connect(), JGithubPackageRepositoriesKeys\create(), JGithubPackageUsersKeys\create(), JOpenstreetmapChangesets\createChangeset(), PrivacyPlugin\createItemFromArray(), JOpenstreetmapElements\createNode(), JOpenstreetmapElements\createRelation(), TagsHelper\createTagsFromField(), AKEncryptionAES\createTheWrongIV(), Router\createUri(), JOAuth2Client\createUrl(), JOpenstreetmapElements\createWay(), ParagonIE_Sodium_Compat\crypto_aead_aes256gcm_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_chacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Compat\crypto_aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Compat\crypto_auth(), ParagonIE_Sodium_Compat\crypto_auth_verify(), ParagonIE_Sodium_Compat\crypto_generichash(), ParagonIE_Sodium_Compat\crypto_generichash_init(), ParagonIE_Sodium_Compat\crypto_generichash_init_salt_personal(), ParagonIE_Sodium_Compat\crypto_kdf_derive_from_key(), ParagonIE_Sodium_Compat\crypto_secretbox(), ParagonIE_Sodium_Compat\crypto_secretbox_open(), ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305(), ParagonIE_Sodium_Compat\crypto_secretbox_xchacha20poly1305_open(), ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_init_pull(), ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_init_push(), ParagonIE_Sodium_Compat\crypto_shorthash(), ParagonIE_Sodium_Compat\crypto_stream(), ParagonIE_Sodium_Compat\crypto_stream_xchacha20(), ParagonIE_Sodium_Compat\crypto_stream_xchacha20_xor(), ParagonIE_Sodium_Compat\crypto_stream_xor(), Language\debugFile(), InstallationApplicationWeb\debugLanguage(), CryptoCipher\decrypt(), SimpleCipher\decrypt(), SodiumCipher\decrypt(), FOFEncryptAesMcrypt\decrypt(), McryptCipher\decrypt(), FOFEncryptAesOpenssl\decrypt(), Crypto\Decrypt(), Mcrypt\decrypt(), OpenSSL\decrypt(), FOFEncryptAes\decryptString(), Registry\def(), User\defParam(), LanguagesModelOverrides\delete(), MediaControllerFile\delete(), Http\delete(), ContentHistoryHelper\deleteHistory(), JObservable\detach(), Editor\detach(), Authentication\detach(), FOFUtilsObservableDispatcher\detach(), JEventDispatcher\detach(), Captcha\detach(), WebClient\detectBrowser(), InstallerModelDiscover\discover(), PlgSystemFields\display(), FOFController\display(), PlgSystemDebug\displaySession(), PlgSystemDebug\displayUntranslatedStrings(), PHPMailer\DKIM_HeaderC(), Parser\doParse(), Dumper\dump(), DataSet\dump(), Inline\dumpArray(), AKText\dumpLanguage(), JGithubPackageRepositoriesKeys\edit(), JGithubPackageUsersKeys\edit(), ContentControllerArticle\edit(), FormController\edit(), SimplePie_Misc\element_implode(), FOFEncryptAesMcrypt\encrypt(), CryptoCipher\encrypt(), FOFEncryptAesOpenssl\encrypt(), SimpleCipher\encrypt(), SodiumCipher\encrypt(), McryptCipher\encrypt(), Crypto\Encrypt(), FOFEncryptAes\encryptString(), JDatabaseDriverPdo\execute(), FOFDatabaseDriverPdo\execute(), Container\exists(), AKEncryptionAES\expandKey(), JHtmlQuery\explained(), Container\extend(), SimplePie_Locator\extension(), HTMLHelper\extract(), JTwitterObject\fetchUrl(), Form\filter(), Form\filterField(), ArrayHelper\flatten(), FOFTable\forceInstance(), SplFixedArray\fromArray(), WincacheStorage\gc(), ApcStorage\gc(), ApcuStorage\gc(), CryptoCipher\generateKey(), SodiumCipher\generateKey(), SimpleCipher\generateKey(), McryptCipher\generateKey(), JGoogleEmbedMaps\geocodeAddress(), JMediawikiHttp\get(), AbstractApplication\get(), Http\get(), BaseLayout\get(), Container\get(), AKFactory\get(), SimplePie_Source\get_author(), SimplePie_Item\get_author(), SimplePie\get_author(), SimplePie_Enclosure\get_caption(), SimplePie_Source\get_category(), SimplePie_Enclosure\get_category(), SimplePie_Item\get_category(), SimplePie\get_category(), SimplePie_Source\get_contributor(), SimplePie_Item\get_contributor(), SimplePie\get_contributor(), SimplePie_Enclosure\get_credit(), SimplePie_Item\get_enclosure(), SimplePie_Enclosure\get_hash(), SimplePie\get_item(), SimplePie\get_items(), SimplePie_Enclosure\get_keyword(), SimplePie_Source\get_link(), SimplePie_Item\get_link(), SimplePie\get_link(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Enclosure\get_rating(), SimplePie_Enclosure\get_restriction(), SimplePie_Enclosure\get_thumbnail(), Pagination\getAdditionalUrlParam(), ApcuStorage\getAll(), WincacheStorage\getAll(), ApcStorage\getAll(), XcacheStorage\getAll(), MemcacheStorage\getAll(), MemcachedStorage\getAll(), RedisStorage\getAll(), AssociationExtensionHelper\getAssociationList(), JDatabaseQueryPgsql\getBounded(), JDatabaseQuerySqlite\getBounded(), JDatabaseQueryOracle\getBounded(), FOFDatabaseQuerySqlite\getBounded(), FOFDatabaseQueryOracle\getBounded(), ModQuickIconHelper\getButtons(), FOFIntegrationJoomlaPlatform\getCache(), PlgSystemCache\getCacheKey(), FOFTable\getClone(), JoomlaupdateModelDefault\getCollectionDetailsUrls(), ArrayHelper\getColumn(), JLinkedinStream\getComments(), FOFUtilsUpdate\getCommonParameter(), FOFUtilsConfigHelper\getComponentConfigurationValue(), AdminModelSysInfo\getConfig(), LanguageHelper\getContentLanguages(), CacheModelCache\getData(), LanguagesModelInstalled\getData(), UsersModelRegistration\getData(), Factory\getDate(), TemplatesModelTemplate\getDirectoryTree(), FOFEncryptAes\getExpandedKey(), FieldsHelper\getFields(), Table\getFields(), FieldsModelField\getFieldValues(), Zip\getFileData(), MediaModelManager\getFolderTree(), JFormFieldContentMap\getGroups(), MenuField\getGroups(), JFormFieldMenuitemByType\getGroups(), JGoogleEmbedMaps\getHeader(), HttpFactory\getHttpTransports(), ActionlogsHelper\getHumanReadableLogMessage(), JDatabaseImporterPostgresql\getIdxLookup(), FinderIndexerQuery\getIncludedTermIds(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), InstallationModelLanguages\getInstalledlangs(), FOFPlatform\getIntegrationObject(), SiteMenu\getItems(), ContentModelArticles\getItems(), HTMLHelper\getJSObject(), JDatabaseImporterPdomysql\getKeyLookup(), JDatabaseImporterMysqli\getKeyLookup(), LanguageHelperWrapper\getLanguages(), LanguageHelper\getLanguages(), InstallerModelLanguages\getLanguages(), JLinkedinStream\getLikes(), ModRelatedItemsHelper\getList(), ModMenuHelper\getList(), FieldsModelGroups\getListQuery(), FieldsModelFields\getListQuery(), AssociationsModelAssociations\getListQuery(), ContentModelArticles\getListQuery(), JGithubMeta\getMeta(), FOFTableNested\getNestedList(), Container\getNewInstance(), Parser\getNextEmbedBlock(), Http\getOption(), JGoogleAuth\getOption(), JOpenstreetmapObject\getOption(), JLinkedinObject\getOption(), JGoogleEmbed\getOption(), JLinkedin\getOption(), JMediawiki\getOption(), JOpenstreetmap\getOption(), JGoogle\getOption(), JGithub\getOption(), JTwitter\getOption(), JGoogleData\getOption(), JFacebook\getOption(), JTwitterObject\getOption(), JOAuth2Client\getOption(), JDatabaseDriverPdo\getOption(), FOFDatabaseDriverPdo\getOption(), JOAuth1Client\getOption(), FOFFormFieldList\getOptionName(), FOFFormHeaderFieldselectable\getOptions(), FOFFormHeaderFieldsql\getOptions(), FOFFormHeaderModel\getOptions(), InstallationFormFieldSample\getOptions(), JFormFieldFonts\getOptions(), JFormFieldContentTypes\getOptions(), JFormFieldRedirect\getOptions(), FOFFormFieldRelation\getOptions(), FOFFormFieldModel\getOptions(), FOFFormFieldList\getOptions(), JFormFieldSQL\getOptions(), UsersModelUser\getOtpConfig(), FOFDownload\getParam(), Node\getParam(), User\getParam(), RouterView\getPath(), Table\getPrimaryKey(), FOFUtilsObject\getProperties(), CMSObject\getProperties(), JException\getProperties(), getQueryParam(), Container\getRaw(), LanguagesControllerLanguage\getRedirectToItemAppend(), UsersControllerNote\getRedirectToItemAppend(), FOFTableRelations\getRelation(), FOFFormFieldUser\getRepeatable(), FinderIndexerQuery\getRequiredTermIds(), Document\getScriptOptions(), FOFModel\getState(), ModQuickIconHelper\getTitle(), AdminModelHelp\getToc(), FinderIndexerQuery\getTokenData(), JApplication\getUserState(), CMSApplication\getUserState(), FOFIntegrationJoomlaPlatform\getUserStateFromRequest(), JApplication\getUserStateFromRequest(), CMSApplication\getUserStateFromRequest(), ListModel\getUserStateFromRequest(), FOFModel\getUserStateFromRequest(), Router\getVar(), ModArticlesCategoryHelper\groupBy(), ModArticlesCategoryHelper\groupByDate(), Container\has(), Table\hasField(), Language\hasKey(), Table\hasPrimaryKey(), FOFTableRelations\hasRelation(), ParagonIE_Sodium_Core_HChaCha20\hChaCha20(), ParagonIE_Sodium_Core32_HChaCha20\hChaCha20(), Http\head(), Table\hit(), SMTP\hmac(), Crypto\HMACTestVector(), ParagonIE_Sodium_Core_XChaCha20\ietfStream(), ParagonIE_Sodium_Core_ChaCha20\ietfStream(), ParagonIE_Sodium_Core32_ChaCha20\ietfStream(), ParagonIE_Sodium_Core32_XChaCha20\ietfStreamXorIc(), ParagonIE_Sodium_Core_XChaCha20\ietfStreamXorIc(), ParagonIE_Sodium_Core_ChaCha20\ietfStreamXorIc(), ParagonIE_Sodium_Core32_ChaCha20\ietfStreamXorIc(), JLoader\import(), ParagonIE_Sodium_Core32_BLAKE2b\init(), ParagonIE_Sodium_Core_BLAKE2b\init(), FOFDatabaseDriverJoomla\insertObject(), FOFDatabaseDriverSqlsrv\insertObject(), JDatabaseDriverPgsql\insertObject(), FOFDatabaseDriverPostgresql\insertObject(), JDatabaseDriverPostgresql\insertObject(), FOFDatabaseDriver\insertObject(), JDatabaseDriver\insertObject(), FOFUtilsArray\invert(), ArrayHelper\invert(), Inline\isHash(), HTMLHelper\isRegistered(), AKEncryptionAES\KeyExpansion(), PHPMailer\lang(), JLinkedinStream\like(), KeychainManager\listEntries(), FtpClient\listNames(), JLoader\load(), Table\load(), FOFDatabaseDriverJoomla\loadAssocList(), FOFDatabaseDriver\loadAssocList(), JDatabaseDriver\loadAssocList(), BaseDatabaseModel\loadHistory(), FormController\loadhistory(), FOFModel\loadhistory(), FOFController\loadhistory(), FOFDatabaseDriverJoomla\loadObjectList(), FOFDatabaseDriver\loadObjectList(), JDatabaseDriver\loadObjectList(), FOFDatabaseDriverJoomla\loadRowList(), FOFDatabaseDriver\loadRowList(), FOFFormHelper\loadType(), FormHelper\loadType(), Cache\makeId(), JHtmlFinder\mapslist(), JHtmlMenu\menuItems(), JHtmlMenu\menus(), HtmlDocument\mergeHeadData(), JHtmlContent\months(), ntlm_sasl_client_class\NTLMResponse(), Ini\objectToString(), FOFModel\onBeforeSave(), PlgContentPagebreak\onContentPrepare(), PlgSystemFields\onContentPrepare(), PlgSearchContent\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchContacts\onContentSearch(), FieldsPlugin\onCustomFieldsGetTypes(), FieldsPlugin\onCustomFieldsPrepareDom(), ParagonIE_Sodium_Core_Poly1305\onetimeauth(), ParagonIE_Sodium_Core32_Poly1305\onetimeauth(), ParagonIE_Sodium_Core32_Poly1305\onetimeauth_verify(), ParagonIE_Sodium_Core_Poly1305\onetimeauth_verify(), PostinstallModelMessages\onProcessList(), PlgUserProfile\onUserAfterSave(), Http\options(), JHtmlSelect\options(), StandardRules\parse(), AKText\parse_ini_file(), FOFUtilsIniParser\parse_ini_file_php(), UriHelper\parse_url(), JInputCli\parseArguments(), Cli\parseArguments(), FOFLessParser\parseChunk(), lessc_parser\parseChunk(), FOFConfigDomainTables\parseDomain(), FOFConfigDomainDispatcher\parseDomain(), FOFConfigDomainViews\parseDomain(), Inline\parseMapping(), TemplatesHelper\parseXMLTemplateFile(), PluginsHelper\parseXMLTemplateFile(), Http\patch(), JArrayHelper\pivot(), FOFUtilsArray\pivot(), ArrayHelper\pivot(), Crypto\PlainDecrypt(), Crypto\PlainEncrypt(), Text\plural(), AdminModel\populateState(), JMediawikiHttp\post(), Http\post(), JLinkedinStream\postComment(), TagsHelper\postStoreProcess(), FieldsModelField\preprocessForm(), TagsHelper\preStoreProcess(), FinderIndexerQuery\processString(), Container\protect(), Nested\publish(), Table\publish(), AssociationsModelAssociations\purge(), Http\put(), KeychainManager\read(), AKUnarchiverJPA\readArchiveHeader(), Nested\recursiveUpdatePublishedColumn(), lessc\reduce(), FOFLess\reduce(), ListModel\refineSearchStringToRegex(), LanguagesModelStrings\refresh(), HTMLHelper\register(), ContentControllerArticle\reload(), FormController\reload(), MemcacheStorage\remove(), MemcachedStorage\remove(), CategoryNode\removeChild(), FinderIndexerResult\removeInstruction(), RouterViewConfiguration\removeLayout(), FOFTableRelations\removeRelation(), UserHelper\removeUserFromGroup(), JGrid\renderAttributes(), FOFRenderJoomla\renderFormEdit(), FOFRenderStrapper\renderFormEdit(), FOFToolbar\renderSubmenu(), JOpenstreetmapUser\replacePreferences(), CurlTransport\request(), StreamTransport\request(), FOFEncryptAesAbstract\resizeKey(), AKEncryptionAESAdapterAbstract\resizeKey(), Container\resolveAlias(), JApplication\route(), CMSApplication\route(), ParagonIE_Sodium_Core_Salsa20\salsa20(), ParagonIE_Sodium_Core32_Salsa20\salsa20(), ParagonIE_Sodium_Core_Salsa20\salsa20_xor(), ParagonIE_Sodium_Core32_Salsa20\salsa20_xor(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), CategoriesControllerCategory\save(), ModulesControllerModule\save(), MenusControllerItem\save(), ContentControllerArticle\save(), PrivacyModelRequest\save(), CategoriesModelCategory\save(), FormController\save(), AdminModel\save(), FOFModel\save(), MenusModelItem\save(), AdminModel\saveorder(), FOFController\saveorder(), LanguageHelper\saveToIniFile(), FOFTableNested\scopeImmediateDescendants(), PlgAuthenticationLdap\searchByString(), ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_pull(), ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_pull(), ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_push(), ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_push(), JHtmlFilter\select(), MailtoController\send(), Cookie\set(), AbstractApplication\set(), BaseLayout\set(), Container\set(), JRequest\set(), AKFactory\set(), FOFController\setaccess(), Pagination\setAdditionalUrlParam(), FOFIntegrationJoomlaPlatform\setCache(), FOFUtilsUpdate\setCommonParameter(), HTMLHelper\setFormatOptions(), AbstractWebApplication\setHeader(), WebApplication\setHeader(), FOFPlatform\setIntegrationObject(), JGoogleEmbedMaps\setKey(), Crypt\setKey(), RouterViewConfiguration\setKey(), Http\setOption(), JGoogleAuth\setOption(), JOpenstreetmapObject\setOption(), JLinkedinObject\setOption(), JGoogleEmbed\setOption(), JLinkedin\setOption(), JOpenstreetmap\setOption(), JMediawiki\setOption(), JGoogle\setOption(), JGithub\setOption(), JFacebook\setOption(), JGoogleData\setOption(), JTwitter\setOption(), JTwitterObject\setOption(), JOAuth2Client\setOption(), JDatabaseDriverPdo\setOption(), FOFDatabaseDriverPdo\setOption(), JOAuth1Client\setOption(), UsersModelUser\setOtpConfig(), User\setParam(), RouterViewConfiguration\setParent(), CategoryNode\setParent(), JFormFieldText\setup(), JApplication\setUserState(), CMSApplication\setUserState(), Router\setVar(), Container\share(), LdapClient\simple_search(), ParagonIE_Sodium_Core32_SipHash\sipHash24(), ParagonIE_Sodium_Core_SipHash\sipHash24(), JHtmlFilter\slider(), ArrayHelper\sortObjects(), ContentHistoryHelper\store(), User\store(), FOFTable\store(), ParagonIE_Sodium_Core_XChaCha20\stream(), ParagonIE_Sodium_Core32_XChaCha20\stream(), ParagonIE_Sodium_Core_ChaCha20\stream(), ParagonIE_Sodium_Core32_ChaCha20\stream(), ParagonIE_Sodium_Core32_XChaCha20\streamXorIc(), ParagonIE_Sodium_Core_XChaCha20\streamXorIc(), ParagonIE_Sodium_Core_ChaCha20\streamXorIc(), ParagonIE_Sodium_Core32_ChaCha20\streamXorIc(), Ini\stringToObject(), Container\tag(), TagsHelper\tagItem(), EmailRule\test(), Crypto\TestEncryptDecrypt(), DataSet\toArray(), Registry\toFlatten(), ArrayHelper\toString(), FOFUtilsArray\toString(), JOAuth1Client\toUrl(), Http\trace(), InstallerModel\translate(), FOFFormFieldComponents\translate(), FOFUtilsObservableDispatcher\trigger(), JEventDispatcher\trigger(), JHtmlFinder\typeslist(), JLinkedinStream\unlike(), HTMLHelper\unregister(), TagsHelper\unTagItem(), JOpenstreetmapChangesets\updateChangeset(), FOFDatabaseDriverJoomla\updateObject(), JDatabaseDriverPgsql\updateObject(), FOFDatabaseDriverPostgresql\updateObject(), JDatabaseDriverPostgresql\updateObject(), FOFDatabaseDriver\updateObject(), JDatabaseDriver\updateObject(), JGithubPackageRepositoriesDownloads\upload(), Crypto\VerifyHMAC(), DataSet\walk(), JDatabaseImporterMysqli\xmlToCreate(), ParagonIE_Sodium_Core_XSalsa20\xsalsa20(), ParagonIE_Sodium_Core32_XSalsa20\xsalsa20(), ParagonIE_Sodium_Core_XSalsa20\xsalsa20_xor(), et ParagonIE_Sodium_Core32_XSalsa20\xsalsa20_xor().

◆ $lang

$lang = JFactory::getLanguage()

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ else

if (strlen( $item->url) > 80) else
Valeur initiale :
{
echo JText::_('COM_FINDER_INDEX_NO_CONTENT')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_finder
  • maps
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_finder/maps/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$lang = JFactory::getLanguage()
if(!empty( $this->sidebar)) else
endif
$canChange = JFactory::getUser()->authorise('core.manage', 'com_finder')
foreach ( $this->items as $i=> $item)
$key = FinderHelperLanguage::branchSingular($item->title)
$title = $lang->hasKey($key) ? JText::_($key) : $item->title
else __pad25__
endforeach

Documentation des variables

◆ $canChange

$canChange = JFactory::getUser()->authorise('core.manage', 'com_finder')

◆ $key

$key = FinderHelperLanguage::branchSingular($item->title)

◆ $lang

$lang = JFactory::getLanguage()

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $title

$title = $lang->hasKey($key) ? JText::_($key) : $item->title

◆ __pad25__

else __pad25__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • database
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_installer/database/default.php

Espaces de nommage

Joomla\Administrator

Variables

if(!empty( $this->sidebar)) | else
else __pad26__
$panelName = JText::plural('COM_INSTALLER_MSG_N_DATABASE_ERROR_PANEL', $this->errorCount)
endif
foreach($this->errors as $line=> $error) | $msgs = $error->msgElements
$file = basename($error->file)
$msg0 = isset($msgs[0]) ? $msgs[0] : ' '
$msg1 = isset($msgs[1]) ? $msgs[1] : ' '
$msg2 = isset($msgs[2]) ? $msgs[2] : ' '
$message = JText::sprintf($key, $file, $msg0, $msg1, $msg2)
endforeach

Documentation des variables

◆ $file

$file = basename($error->file)

◆ $message

$message = JText::sprintf($key, $file, $msg0, $msg1, $msg2)

◆ $msg0

$msg0 = isset($msgs[0]) ? $msgs[0] : ' '

◆ $msg1

$msg1 = isset($msgs[1]) ? $msgs[1] : ' '

◆ $msg2

$msg2 = isset($msgs[2]) ? $msgs[2] : ' '

◆ $msgs

foreach ( $this->errors as $line=> $error) $msgs = $error->msgElements

◆ $panelName

$panelName = JText::plural('COM_INSTALLER_MSG_N_DATABASE_ERROR_PANEL', $this->errorCount)

◆ __pad26__

else __pad26__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • discover
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_installer/discover/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
endif
foreach ( $this->items as $i=> $item)
else __pad27__

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad27__

else __pad27__

◆ else

if (!empty($this->sidebar)) else

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • install
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_installer/install/default.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • languages
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_installer/languages/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$version = new JVersion

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $version

$version = new JVersion


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • manage
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_installer/manage/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
endif

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ else

if (!empty($this->sidebar)) else

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • update
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_installer/update/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
endif
endforeach
else __pad28__

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad28__

else __pad28__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • warnings
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_installer/warnings/default.php

Espaces de nommage

Joomla\Administrator

Variables

if(!empty($this->sidebar)) else
foreach ( $this->messages as $message)

Documentation des variables

◆ else

if (!count( $this->messages)) else
Valeur initiale :
{
echo JHtml::_('sliders.start', 'warning-sliders', array('useCookie' => 1))

◆ foreach

foreach($this->messages as $message)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_joomlaupdate
  • default
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_joomlaupdate/default/default.php

Espaces de nommage

Joomla\Administrator

Variables

$latestJoomlaVersion = $this->updateInfo['latest']
$currentJoomlaVersion = $this->updateInfo['installed']
joomlaTargetVersion = '$latestJoomlaVersion'
joomlaCurrentVersion = '$currentJoomlaVersion'
JS
$showPreUpdateCheck
endif
else __pad29__
else __pad30__

Documentation des variables

◆ $currentJoomlaVersion

$currentJoomlaVersion = $this->updateInfo['installed']

◆ $latestJoomlaVersion

$latestJoomlaVersion = $this->updateInfo['latest']

◆ $showPreUpdateCheck

$showPreUpdateCheck
Valeur initiale :
= isset($this->updateInfo['object']->downloadurl->_data)
&& $this->getModel()->isDatabaseTypeSupported()

◆ __pad29__

else __pad29__

◆ __pad30__

else __pad30__

◆ endif

endif

◆ joomlaCurrentVersion

joomlaCurrentVersion = '$currentJoomlaVersion'

◆ joomlaTargetVersion

joomlaTargetVersion = '$latestJoomlaVersion'

◆ JS

JS


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_languages
  • installed
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_languages/installed/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
if(!empty( $this->sidebar)) else
$options = array()
$options [] = JHtml::_('select.option', '0', JText::_('JSITE'))
endif
$canEdit = $user->authorise('core.edit', 'com_languages')
$canChange = $user->authorise('core.edit.state', 'com_languages')
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_languages')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_languages')

◆ $options [1/2]

$options = array()

◆ $options [2/2]

$options[] = JHtml::_('select.option', '0', JText::_('JSITE'))

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_languages
  • languages
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_languages/languages/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$n = count($this->items)
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canOrder = $user->authorise('core.edit.state', 'com_languages')
$saveOrder = $listOrder == 'a.ordering'
if(!empty( $this->sidebar)) else
endif
$canCreate = $user->authorise('core.create', 'com_languages')
$canEdit = $user->authorise('core.edit', 'com_languages')
$canChange = $user->authorise('core.edit.state', 'com_languages')
else __pad31__
else __pad32__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad33__
else __pad34__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_languages')

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_languages')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_languages')

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_languages')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $n

$n = count($this->items)

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad31__

else __pad31__

◆ __pad32__

else __pad32__

◆ __pad33__

else __pad33__

◆ __pad34__

else __pad34__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_languages
  • overrides
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_languages/overrides/default.php

Espaces de nommage

Joomla\Administrator

Variables

$client = $this->state->get('filter.client') == 'site' ? JText::_('JSITE') : JText::_('JADMINISTRATOR')
$language = $this->state->get('filter.language')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
$canEdit = JFactory::getUser()->authorise('core.edit', 'com_languages')
$i = 0
foreach ( $this->items as $key=> $text)
else __pad35__
endif
endforeach

Documentation des variables

◆ $canEdit

$canEdit = JFactory::getUser()->authorise('core.edit', 'com_languages')

◆ $client

$client = $this->state->get('filter.client') == 'site' ? JText::_('JSITE') : JText::_('JADMINISTRATOR')

◆ $i

$i = 0

◆ $language

$language = $this->state->get('filter.language')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad35__

else __pad35__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $key=> $text)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • items
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_menus/items/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$app = JFactory::getApplication()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$ordering = ($listOrder == 'a.lft')
$canOrder = $user->authorise('core.edit.state', 'com_menus')
$saveOrder = ($listOrder == 'a.lft' && $listDirn == 'asc')
$menutypeid = (int) $this->state->get('menutypeid')
$assoc = JLanguageAssociations::isEnabled() && $this->state->get('filter.client_id') == 0
< form action="<?php echo JRoute::_('index.php?option=com_menus&view=items'); ?> | method
else __pad36__
< table class="adminlist">< thead >< tr >< th class="checkmark-col">< input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?> | onclick
endif
$canCreate = $user->authorise('core.create', 'com_menus.menu.' . $menutypeid)
$canEdit = $user->authorise('core.edit', 'com_menus.menu.' . $menutypeid)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_menus.menu.' . $menutypeid) && $canCheckin
else __pad37__
else __pad38__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad39__
else __pad40__
else $item language_title
else __pad41__
else $item language_image
else $item $item array('title'=> $item->language_title) | true
else __pad42__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled() && $this->state->get('filter.client_id') == 0

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_menus.menu.' . $menutypeid) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_menus.menu.' . $menutypeid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_menus.menu.' . $menutypeid)

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_menus')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $menutypeid

$menutypeid = (int) $this->state->get('menutypeid')

◆ $ordering

$ordering = ($listOrder == 'a.lft')

◆ $saveOrder

$saveOrder = ($listOrder == 'a.lft' && $listDirn == 'asc')

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad36__

else __pad36__

◆ __pad37__

else __pad37__

◆ __pad38__

else __pad38__

◆ __pad39__

else __pad39__

◆ __pad40__

else __pad40__

◆ __pad41__

else __pad41__

◆ __pad42__

else __pad42__

◆ endforeach

endforeach

◆ endif

endif

◆ language_image

else $item language_image

◆ language_title

else $item $item language_title

◆ method

<form action="<?php echo JRoute::_('index.php?option=com_menus&view=items'); ?> method
Valeur initiale :
="post" name="adminForm" id="adminForm">
<?php if (!empty( $this->sidebar)) :
name
$this name
Definition: components/com_config/view/application/tmpl/default_cache.php:12

◆ onclick

<table class="adminlist"><thead><tr><th class="checkmark-col"><input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?> onclick
Valeur initiale :
="Joomla.checkAll(this)" />
</th>
<th class="title">
<?php echo JHtml::_('grid.sort', 'JGLOBAL_TITLE', 'a.title', $listDirn, $listOrder)
$listOrder
$listOrder
Definition: administrator/templates/hathor/html/com_menus/items/default.php:20
$listDirn
$listDirn
Definition: administrator/templates/hathor/html/com_menus/items/default.php:21

◆ true

else $item $item array ( 'title'=> $item->language_title) true


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • menus
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_menus/menus/default.php

Espaces de nommage

Joomla\Administrator

Variables

$uri = JUri::getInstance()
$return = base64_encode($uri)
$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$modMenuId = (int) $this->get('ModMenuId')
$script = array()
$script [] = 'jQuery(document).ready(function() {'
endif
endforeach
if(!empty( $this->sidebar)) else
$canEdit = $user->authorise('core.edit', 'com_menus')
$canChange = $user->authorise('core.edit.state', 'com_menus')
$canManageItems = $user->authorise('core.manage', 'com_menus.menu.' . (int) $item->id)
else __pad43__
else __pad44__
else __pad45__

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_menus')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_menus')

◆ $canManageItems

$canManageItems = $user->authorise('core.manage', 'com_menus.menu.' . (int) $item->id)

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $modMenuId

$modMenuId = (int) $this->get('ModMenuId')

◆ $return

$return = base64_encode($uri)

◆ $script [1/2]

$script = array()

◆ $script [2/2]

$script[] = 'jQuery(document).ready(function() {'

◆ $uri

$uri = JUri::getInstance()

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad43__

else __pad43__

◆ __pad44__

else __pad44__

◆ __pad45__

else __pad45__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • menutypes
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_menus/menutypes/default.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$tmpl = ($input->getCmd('tmpl') != '') ? '1' : ''
COM_MENUS_TYPE_CHOOSE
endforeach

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input

◆ $tmpl

$tmpl = ($input->getCmd('tmpl') != '') ? '1' : ''

◆ COM_MENUS_TYPE_CHOOSE

COM_MENUS_TYPE_CHOOSE

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_messages
  • messages
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_messages/messages/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_modules
  • modules
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_modules/modules/default.php

Espaces de nommage

Joomla\Administrator

Variables

$client = $this->state->get('client_id') ? 'administrator' : 'site'
$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canOrder = $user->authorise('core.edit.state', 'com_modules')
$saveOrder = $listOrder == 'ordering'
if(!empty( $this->sidebar)) else
endif
$canCreate = $user->authorise('core.create', 'com_modules')
$canEdit = $user->authorise('core.edit', 'com_modules')
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_modules') && $canCheckin
else __pad48__
else __pad49__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad50__
else __pad51__
else $item language_image
else $item $item language_title
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_modules') && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_modules')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_modules')

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_modules')

◆ $client

$client = $this->state->get('client_id') ? 'administrator' : 'site'

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'ordering'

◆ $user

$user = JFactory::getUser()

◆ __pad48__

else __pad48__

◆ __pad49__

else __pad49__

◆ __pad50__

else __pad50__

◆ __pad51__

else __pad51__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ language_image

else $item language_image

◆ language_title

else $item $item language_title


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_newsfeeds
  • newsfeeds
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canOrder = $user->authorise('core.edit.state', 'com_newsfeeds')
$saveOrder = $listOrder == 'a.ordering'
$assoc = JLanguageAssociations::isEnabled()
if(!empty( $this->sidebar)) else
endif
$canCreate = $user->authorise('core.create', 'com_newsfeeds.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_newsfeeds.category.' . $item->catid)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_newsfeeds.category.' . $item->catid) && $canCheckin
else __pad52__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad53__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_newsfeeds.category.' . $item->catid) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_newsfeeds.category.' . $item->catid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_newsfeeds.category.' . $item->catid)

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_newsfeeds')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad52__

else __pad52__

◆ __pad53__

else __pad53__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_plugins
  • plugins
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_plugins/plugins/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canOrder = $user->authorise('core.edit.state', 'com_plugins')
$saveOrder = $listOrder == 'ordering'
if(!empty( $this->sidebar)) else
endif
$canEdit = $user->authorise('core.edit', 'com_plugins')
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_plugins') && $canCheckin
else __pad57__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad58__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_plugins') && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_plugins')

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_plugins')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'ordering'

◆ $user

$user = JFactory::getUser()

◆ __pad57__

else __pad57__

◆ __pad58__

else __pad58__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_postinstall
  • messages
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_postinstall/messages/default.php

Espaces de nommage

Joomla\Administrator

Variables

$renderer = JFactory::getDocument()->loadRenderer('module')
$options = array('style' => 'raw')
$mod = JModuleHelper::getModule('mod_feed')
$param
$params = array('params' => json_encode($param))
endif
else __pad59__
else __pad60__
foreach | ($this->items as $item) ($item->title_key) ?></legend >< p class
if(JFactory::getUser() ->authorise('core.edit.state', 'com_postinstall')) return | false
endforeach

Documentation des variables

◆ $mod

$mod = JModuleHelper::getModule('mod_feed')

◆ $options

$options = array('style' => 'raw')

◆ $param

$param
Valeur initiale :
= array(
'rssurl' => 'https://www.joomla.org/announcements/release-news.feed?type=rss',
'rsstitle' => 0,
'rssdesc' => 0,
'rssimage' => 1,
'rssitems' => 5,
'rssitemdesc' => 1,
'word_count' => 200,
'cache' => 0,
'moduleclass_sfx' => ' list-striped'
)

◆ $params

$params = array('params' => json_encode($param))

◆ $renderer

$renderer = JFactory::getDocument()->loadRenderer('module')

◆ ($this->items as $item)

foreach ( $this->items as $item)( $item->title_key) ?></legend >< p class
Valeur initiale :
="small">
<?php echo JText::sprintf('COM_POSTINSTALL_LBL_SINCEVERSION', $item->version_introduced)
$item
else $item
Definition: administrator/components/com_menus/views/items/tmpl/modal.php:161

◆ __pad59__

else __pad59__

◆ __pad60__

else __pad60__

◆ endforeach

endforeach

◆ endif

endif

◆ false

if (JFactory::getUser() ->authorise( 'core.edit.state', 'com_postinstall')) return false


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_redirect
  • links
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_redirect/links/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
$canEdit = $user->authorise('core.edit', 'com_redirect')
$canChange = $user->authorise('core.edit.state', 'com_redirect')
else __pad61__
endif
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_redirect')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_redirect')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ __pad61__

else __pad61__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_search
  • searches
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_search/searches/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
foreach ( $this->items as $i=> $item)
else __pad62__
endif
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad62__

else __pad62__

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_tags
  • tags
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_tags/tags/default.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$saveOrder = $listOrder == 'a.ordering'
$n = count($this->items)
if(!empty( $this->sidebar)) | else
foreach($this->items as $i=> $item) | $canCreate = $user->authorise('core.create', 'com_tags')
$canEdit = $user->authorise('core.edit', 'com_tags.tag.' . $item->id)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out_user_id == $userId || $item->checked_out_user_id == 0
$canChange = $user->authorise('core.edit.state', 'com_tags.tag.' . $item->id) && $canCheckin
endif
else __pad63__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_tags.tag.' . $item->id) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out_user_id == $userId || $item->checked_out_user_id == 0

◆ $canCreate

foreach ( $this->items as $i=> $item) $canCreate = $user->authorise('core.create', 'com_tags')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_tags.tag.' . $item->id)

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $n

$n = count($this->items)

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad63__

else __pad63__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • styles
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_templates/styles/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
$canEdit = $user->authorise('core.edit', 'com_templates')
$canChange = $user->authorise('core.edit.state', 'com_templates')

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_templates')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_templates')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ else

if (!empty($this->sidebar)) else


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • template
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_templates/template/default.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
if($this->type=='image') JFactory::getDocument() -> addStyleDeclaration(' .selected | selected
color __pad65__
modal body | column
float | __pad66__
margin __pad67__
max | width
width __pad68__
height __pad69__
directory | tree
tree holder

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input

◆ __pad65__

color __pad65__

◆ __pad66__

float __pad66__

◆ __pad67__

margin __pad67__

◆ __pad68__

width __pad68__

◆ __pad69__

height __pad69__

◆ column

modal body column
Valeur initiale :
{
width: 50%
width
max width
Definition: administrator/templates/hathor/html/com_templates/template/default.php:105

◆ holder

tree holder
Valeur initiale :
{
overflow-x: auto

◆ selected

if ( $this->type=='image') JFactory::getDocument () -> addStyleDeclaration(' .selected selected

◆ tree

directory tree
Valeur initiale :
{
display: none

◆ width

max width


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • templates
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_templates/templates/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) else
foreach ( $this->items as $i=> $item)

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ else

if (!empty($this->sidebar)) else

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • debuggroup
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_users/debuggroup/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) | else
if (!empty( $this->components))
endforeach
foreach($this->actions as $action) | $check = $item->checks[$name]
if($check===true) | $text = '&#10003;'
else __pad70__
endif

Documentation des variables

◆ $check

foreach ( $this->actions as $action) $check = $item->checks[$name]

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $text

$text = '&#10003;'

◆ __pad70__

else __pad70__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(!empty($this->components))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • debuguser
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_users/debuguser/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
if(!empty( $this->sidebar)) | else
if (!empty( $this->components))
endforeach
foreach($this->actions as $action) | $check = $item->checks[$name]
if($check===true) | $text = '&#10003;'
else __pad71__
endif

Documentation des variables

◆ $check

foreach ( $this->actions as $action) $check = $item->checks[$name]

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $text

$text = '&#10003;'

◆ __pad71__

else __pad71__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(!empty($this->components))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • groups
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_users/groups/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$groupsWithUsers = array()
index php option

Documentation des variables

◆ $groupsWithUsers

$groupsWithUsers = array()

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ option

index php option


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • levels
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_users/levels/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canOrder = $user->authorise('core.edit.state', 'com_users')
$saveOrder = $listOrder == 'a.ordering'
if(!empty( $this->sidebar)) else
endif
$canCreate = $user->authorise('core.create', 'com_users')
$canEdit = $user->authorise('core.edit', 'com_users')
$canChange = $user->authorise('core.edit.state', 'com_users')
else __pad72__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad73__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_users')

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_users')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_users')

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_users')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ __pad72__

else __pad72__

◆ __pad73__

else __pad73__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • notes
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_users/notes/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canEdit = $user->authorise('core.edit', 'com_users')
if(!empty( $this->sidebar)) else
endif
else __pad74__
else __pad75__
else __pad76__
endforeach

Documentation des variables

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_users')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $user

$user = JFactory::getUser()

◆ __pad74__

else __pad74__

◆ __pad75__

else __pad75__

◆ __pad76__

else __pad76__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • users
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_users/users/default.php

Espaces de nommage

Joomla\Administrator

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$loggeduser = JFactory::getUser()
if(!empty( $this->sidebar)) else
$canChange = $loggeduser->authorise('core.edit.state', 'com_users')
if ((! $loggeduser->authorise( 'core.admin')) &&JAccess::check( $item->id, 'core.admin'))
endif
else __pad77__
else __pad78__
else $i
else ! $item block
else ! $item null
else __pad79__
else __pad80__
else __pad81__
endforeach

Documentation des variables

◆ $canChange

$canChange = $loggeduser->authorise('core.edit.state', 'com_users')

◆ $i

else $i

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $loggeduser

$loggeduser = JFactory::getUser()

◆ __pad77__

else __pad77__

◆ __pad78__

else __pad78__

◆ __pad79__

else __pad79__

◆ __pad80__

else __pad80__

◆ __pad81__

else __pad81__

◆ block

else !$item block

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ if

if((! $loggeduser->authorise('core.admin')) &&JAccess::check($item->id, 'core.admin'))

◆ null

else !$item null


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_weblinks
  • weblinks
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_weblinks/weblinks/default.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$userId = $user->get('id')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canOrder = $user->authorise('core.edit.state', 'com_weblinks')
$saveOrder = $listOrder == 'a.ordering'
if(!empty( $this->sidebar)) | else
endif
$item | cat_link = JRoute::_('index.php?option=com_categories&extension=com_weblinks&task=edit&type=other&cid[]=' . $item->catid)
$canCreate = $user->authorise('core.create', 'com_weblinks.category.' . $item->catid)
$canEdit = $user->authorise('core.edit', 'com_weblinks.category.' . $item->catid)
$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0
$canChange = $user->authorise('core.edit.state', 'com_weblinks.category.' . $item->catid) && $canCheckin
else __pad82__
$disabled = $saveOrder ? '' : 'disabled="disabled"'
else __pad83__
endforeach

Documentation des variables

◆ $canChange

$canChange = $user->authorise('core.edit.state', 'com_weblinks.category.' . $item->catid) && $canCheckin

◆ $canCheckin

$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_weblinks.category.' . $item->catid)

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_weblinks.category.' . $item->catid)

◆ $canOrder

$canOrder = $user->authorise('core.edit.state', 'com_weblinks')

◆ $disabled

$disabled = $saveOrder ? '' : 'disabled="disabled"'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $saveOrder

$saveOrder = $listOrder == 'a.ordering'

◆ $user

$user = JFactory::getUser()

◆ $userId

$userId = $user->get('id')

◆ __pad82__

else __pad82__

◆ __pad83__

else __pad83__

◆ cat_link

$item cat_link = JRoute::_('index.php?option=com_categories&extension=com_weblinks&task=edit&type=other&cid[]=' . $item->catid)

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • mod_login
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/mod_login/default.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • mod_quickicon
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/mod_quickicon/default.php

Espaces de nommage

Joomla\Administrator

Variables

$html = JHtml::_('icons.buttons', $buttons)
if(!empty($html)) endif

Documentation des variables

◆ $html

$html = JHtml::_('icons.buttons', $buttons)

◆ endif

if (!empty( $html)) endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • mod_version
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/html/mod_version/default.php

Espaces de nommage

Joomla\Administrator

Variables

if (!empty( $version))
endif

Documentation des variables

◆ endif

endif

◆ if

if(!empty($version))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • config
  • tmpl
Espaces de nommage
Référence du fichier components/com_config/view/config/tmpl/default.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • modules
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/modules/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$editorText = false
$moduleXml = JPATH_SITE . '/modules/' . $this->item['module'] . '/' . $this->item['module'] . '.xml'
endif

Documentation des variables

◆ $editorText

$editorText = false

◆ $moduleXml

$moduleXml = JPATH_SITE . '/modules/' . $this->item['module'] . '/' . $this->item['module'] . '.xml'

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • templates
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/templates/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$user = JFactory::getUser()

Documentation des variables

◆ $user

$user = JFactory::getUser()


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • categories
  • tmpl
Espaces de nommage
Référence du fichier components/com_contact/views/categories/tmpl/default.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/category/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$this subtemplatename = 'items'

Documentation des variables

◆ subtemplatename

$this subtemplatename = 'items'


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/contact/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$tparams = $this->item->params
endif
$show_contact_category = $tparams->get('show_contact_category')
$presentation_style = $tparams->get('presentation_style')
$accordionStarted = false
$tabSetStarted = false
if( $tparams->get( 'show_email_form') &&( $this->contact->email_to||$this->contact->user_id)) | ($presentation_style==='sliders') (! $accordionStarted)
elseif | ($presentation_style==='tabs') (! $tabSetStarted)

Documentation des variables

◆ $accordionStarted

$accordionStarted = false

◆ $presentation_style

$presentation_style = $tparams->get('presentation_style')

◆ $show_contact_category

$show_contact_category = $tparams->get('show_contact_category')

◆ $tabSetStarted

$tabSetStarted = false

◆ $tparams

$tparams = $this->item->params

◆ ($presentation_style==='sliders')

if($this->contact->misc && $tparams->get('show_misc')) ( $presentation_style==='sliders')(! $accordionStarted)

◆ ($presentation_style==='tabs')

elseif ( $presentation_style==='tabs')(! $tabSetStarted)

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • featured
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/featured/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • archive
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/archive/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • article
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/article/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$params = $this->item->params
$urls = json_decode($this->item->urls)
$canEdit = $params->get('access-edit')
$user = JFactory::getUser()
$info = $params->get('info_block_position', 0)
$assocParam = (JLanguageAssociations::isEnabled() && $params->get('show_associations'))
$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')
$isNotPublishedYet = $this->item->publish_up > $currentDate
$isExpired = $this->item->publish_down < $currentDate && $this->item->publish_down !== JFactory::getDbo()->getNullDate()
endif
if(!empty($this->item->pagination) && $this->item->pagination &&! $this->item->paginationposition && $this->item->paginationrelative) | $useDefList
else __pad0__
else $this | item = &$item
$active = $menu->getActive()
$itemId = $active->id
$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

Documentation des variables

◆ $active

$active = $menu->getActive()

Référencé par PaginationObject\__construct(), TagsHelperRoute\_findItem(), JSubMenuHelper\addEntry(), JHtmlSidebar\addEntry(), JHtmlBootstrap\addPanel(), JHtmlBootstrap\addTab(), FOFToolbar\appendLink(), CategoryView\commonCategoryDisplay(), HtmlDocument\countMenuChildren(), JGithubPackageRepositoriesHooks\create(), JGithubHooks\create(), SearchViewSearch\display(), UsersViewRemind\display(), ContentViewArticle\display(), UsersViewLogin\display(), TagsViewTags\display(), UsersViewRegistration\display(), UsersViewProfile\display(), NewsfeedsViewNewsfeed\display(), ContactViewContact\display(), ContentViewCategory\display(), FinderViewSearch\display(), TagsViewTag\display(), JGithubPackageRepositoriesHooks\edit(), JGithubHooks\edit(), RouteHelper\findItem(), NewsfeedsModelCategory\getCategory(), ContactModelCategory\getCategory(), ContactModelContact\getForm(), JFormFieldRules\getInput(), FOFFormFieldRules\getInput3x(), FinderHelperRoute\getItemid(), ContactModelCategories\getItems(), ContentModelCategories\getItems(), NewsfeedsModelCategories\getItems(), ModLanguagesHelper\getList(), UsersModelUsers\getListQuery(), JHtmlList\images(), PlgSystemCache\isExcluded(), UsersControllerUser\menulogout(), PlgSystemLanguageFilter\onAfterDispatch(), PlgSystemLanguageFilter\onUserLogin(), StandardRules\parse(), NomenuRules\parse(), JHtmlList\positions(), FOFToolbar\prefixLink(), MenuRules\preprocess(), FOFToolbar\renderSubmenu(), CMSApplication\route(), JHtmlFilter\select(), Node\setActive(), SearchModelSearch\setAreas(), JFormFieldMeter\setup(), ContactControllerContact\submit(), et JHtmlList\users().

◆ $assocParam

$assocParam = (JLanguageAssociations::isEnabled() && $params->get('show_associations'))

◆ $canEdit

$canEdit = $params->get('access-edit')

◆ $currentDate

$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')

Référencé par InstallationModelLanguages\addArticle(), et InstallationModelDatabase\updateDates().

◆ $info

$info = $params->get('info_block_position', 0)

Référencé par SimplePie_File\__construct(), JException\__construct(), Image\__construct(), JArchiveGzip\_getFilePosition(), JArchiveTar\_getTarInfo(), JArchiveZip\_readZipInfo(), ApplicationHelper\addClientInfo(), DaemonApplication\changeIdentity(), AbstractDaemonApplication\changeIdentity(), SimplePie_Misc\debug(), PlgSystemDebug\displayErrors(), PlgSystemDebug\displayQueries(), PlgSystemDebug\displayUntranslatedStrings(), FOFView\findRenderer(), SMTP\get_lines(), Language\getCallerInfo(), TemplatesModelTemplate\getDirectoryTree(), Gzip\getFilePosition(), Image\getImageFileProperties(), AdminModelSysInfo\getInfo(), InstallationModelLanguages\getInstalledlangs(), Pathway\getInstance(), AbstractMenu\getInstance(), Router\getInstance(), JFormFieldDob\getLabel(), MediaModelList\getList(), JFormFieldFonts\getOptions(), CurlTransport\getResponse(), Tar\getTarInfo(), JError\handleVerbose(), Crypto\HKDF(), Crypto\HKDFTestVector(), FOFUtilsInstallscript\installFOF(), FOFUtilsInstallscript\installStrapper(), JError\raise(), JError\raiseError(), JError\raiseNotice(), JError\raiseWarning(), Zip\readZipInfo(), CurlTransport\request(), et LanguagesControllerInstalled\switchAdminLanguage().

◆ $isExpired

$isExpired = $this->item->publish_down < $currentDate && $this->item->publish_down !== JFactory::getDbo()->getNullDate()

◆ $isNotPublishedYet

$isNotPublishedYet = $this->item->publish_up > $currentDate

◆ $itemId

$itemId = $active->id

Référencé par AssociationsHelper\allowEdit(), AssociationsHelper\canCheckinItem(), FieldsModelField\cleanupValues(), PrivacyPlugin\createItemFromArray(), LanguagesModelLanguages\delete(), MenusModelMenu\delete(), AssociationsHelper\getAssociationHtmlList(), AssociationsHelper\getAssociationList(), AssociationExtensionHelper\getAssociationList(), HtmlDocument\getBuffer(), FieldsModelField\getFieldValue(), FieldsModelField\getFieldValues(), FOFFormFieldOrdering\getInput(), OrderingField\getInput(), ContentModelForm\getItem(), AssociationsHelper\getItem(), MenusModelMenu\getItem(), ContenthistoryField\getLayoutData(), ActionlogsModelActionlogs\getLogsForItem(), JFormFieldItemLanguage\getOptions(), ContentControllerArticle\getRedirectToItemAppend(), PrivacyModelDashboard\getRequestFormPublished(), AssociationsHelper\isCheckoutItem(), ContenthistoryModelHistory\populateState(), FieldsModelField\setFieldValue(), et ToolbarHelper\versions().

◆ $link

$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

◆ $params

else $this $params = $this->item->params

◆ $urls

$urls = json_decode($this->item->urls)

Référencé par RedirectTableLink\check(), et SimplePie\merge_items().

◆ $useDefList

if (!empty( $this->item->pagination) &&$this->item->pagination &&! $this->item->paginationposition &&$this->item->paginationrelative) $useDefList
Valeur initiale :
= ($params->get('show_modify_date') || $params->get('show_publish_date') || $params->get('show_create_date')
|| $params->get('show_hits') || $params->get('show_category') || $params->get('show_parent_category') || $params->get('show_author') || $assocParam)
$assocParam
$assocParam
Definition: components/com_content/views/article/tmpl/default.php:22
$params
$params
Definition: components/com_content/views/article/tmpl/default.php:15

◆ $user

$user = JFactory::getUser()

◆ __pad0__

else __pad0__

◆ endif

if (!empty( $this->item->pagination) &&$this->item->pagination &&$this->item->paginationposition &&$this->item->paginationrelative) endif

◆ item

$this item = &$item

Référencé par SimplePie_Source\__construct(), TagsViewTags\_prepareDocument(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), TagsViewTag\_prepareDocument(), ContactViewContact\_prepareDocument(), PluginsViewPlugin\addToolbar(), LanguagesViewLanguage\addToolbar(), ModulesViewModule\addToolbar(), MessagesViewMessage\addToolbar(), RedirectViewLink\addToolbar(), TagsViewTag\addToolbar(), UsersViewGroup\addToolbar(), UsersViewLevel\addToolbar(), TemplatesViewStyle\addToolbar(), BannersViewBanner\addToolbar(), MenusViewMenu\addToolbar(), UsersViewUser\addToolbar(), FieldsViewField\addToolbar(), UsersViewNote\addToolbar(), BannersViewClient\addToolbar(), ContactViewContact\addToolbar(), NewsfeedsViewNewsfeed\addToolbar(), FieldsViewGroup\addToolbar(), ContentViewArticle\addToolbar(), LanguagesViewOverride\addToolbar(), MenusViewItem\addToolbar(), FinderViewFilter\addToolbar(), PrivacyViewRequest\addToolbar(), CategoriesViewCategory\addToolbar(), ContenthistoryViewPreview\display(), LanguagesViewLanguage\display(), ModulesViewModule\display(), PluginsViewPlugin\display(), TagsViewTag\display(), MessagesViewMessage\display(), MessagesViewConfig\display(), RedirectViewLink\display(), UsersViewUser\display(), ContentViewForm\display(), UsersViewGroup\display(), UsersViewLevel\display(), ContactViewContact\display(), TemplatesViewStyle\display(), FieldsViewField\display(), MenusViewMenu\display(), BannersViewBanner\display(), LanguagesViewOverride\display(), UsersViewNote\display(), NewsfeedsViewNewsfeed\display(), MenusViewItem\display(), AdminViewProfile\display(), ContentViewArticle\display(), BannersViewClient\display(), FieldsViewGroup\display(), CategoriesViewCategory\display(), FinderViewFilter\display(), SimplePie_Source\get_base(), FOFFormFieldOrdering\getInput(), MessagesModelMessage\getItem(), TagsModelTag\getItem(), FOFFormFieldTag\getOptions(), FOFFormFieldActions\getPublishedField(), FOFFormFieldOrdering\getQuery(), FOFFormFieldTitle\getRepeatable(), FOFFormFieldRelation\getRepeatable(), FOFFormFieldModel\getRepeatable(), FOFFormFieldList\getRepeatable(), FOFFormFieldSelectrow\getRepeatable(), FOFFormFieldText\getRepeatable(), FOFFormFieldOrdering\getRepeatable(), FOFFormFieldPublished\getRepeatable(), FOFFormFieldActions\getRepeatable(), TagsViewTag\getTagsTitle(), FOFViewForm\onAdd(), FOFViewRaw\onAdd(), FOFViewJson\onRead(), FOFFormFieldRelation\parseFieldTags(), FOFFormFieldText\parseFieldTags(), FOFFormFieldModel\parseFieldTags(), FOFFormFieldList\parseFieldTags(), et SimplePie_Source\sanitize().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • categories
  • tmpl
Espaces de nommage
Référence du fichier components/com_content/views/categories/tmpl/default.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/category/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$this subtemplatename = 'articles'

Documentation des variables

◆ subtemplatename

$this subtemplatename = 'articles'


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • featured
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/featured/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
$leadingcount = 0
if | (!empty($this->lead_items)) ( $this->lead_items as & $item)
$this | item = &$item
endforeach
$introcount = count($this->intro_items)
$counter = 0
$rowcount = (((int) $key - 1) % (int) $this->columns) + 1
$row = $counter / $this->columns

Documentation des variables

◆ $counter

$counter = 0

◆ $introcount

$introcount = count($this->intro_items)

◆ $leadingcount

$leadingcount = 0

◆ $row

$row = $counter / $this->columns

Référencé par SimplePie_Cache_MySQL\__construct(), PlgContentPagebreak\_createNavigation(), PlgContentPagebreak\_createToc(), ContentModelArchive\_getList(), Nested\_getNode(), LanguageAdapter\_install(), Nested\_logtable(), UsersModelRegistration\activate(), Php55ArrayColumn\array_column(), FinderIndexerAdapter\categoryAccessChange(), FinderIndexerAdapter\checkCategoryAccess(), JHtmlGrid\checkedOut(), FinderIndexerAdapter\checkItemAccess(), AdminModel\delete(), ContentViewFeatured\display(), Editor\display(), PlgContentVote\displayVotingData(), JoomlaupdateModelDefault\finaliseUpgrade(), LanguagesModelInstalled\getData(), FieldsModelField\getFieldValues(), InstallationModelLanguages\getInstalledlangs(), MessagesModelConfig\getItem(), FinderIndexerAdapter\getItem(), FinderIndexerAdapter\getItems(), ModStatsHelper\getList(), ModArchiveHelper\getList(), ModLatestActionsHelper\getList(), FOFTableNested\getNestedList(), JFormFieldCategoryParent\getOptions(), JFormFieldCategoryEdit\getOptions(), FinderModelSearch\getResults(), ModStatsHelper\getStats(), FOFDatabaseDriverPdomysql\getTableCreate(), JDatabaseDriverPdomysql\getTableCreate(), FOFDatabaseDriverMysqli\getTableCreate(), JDatabaseDriverMysqli\getTableCreate(), JDatabaseDriverMysql\hasProfiling(), FOFDatabaseDriverMysql\hasProfiling(), JDatabaseDriverMysqli\hasProfiling(), FOFDatabaseDriverMysqli\hasProfiling(), JDatabaseDriverMysql\hasQueryCacheEnabled(), JDatabaseDriverMysqli\hasQueryCacheEnabled(), SearchViewSearch\highLight(), FinderIndexerAdapter\itemAccessChange(), SimplePie_Cache_MySQL\load(), Table\load(), FOFTable\load(), ActionlogsHelper\loadActionLogPluginsLanguage(), FOFDatabaseDriver\loadAssocList(), JDatabaseDriver\loadAssocList(), FOFDatabaseDriver\loadColumn(), JDatabaseDriver\loadColumn(), Installer\loadMD5Sum(), JDatabaseDriverPdo\loadNextAssoc(), FOFDatabaseDriverPdo\loadNextAssoc(), JDatabaseDriverPdo\loadNextObject(), FOFDatabaseDriverPdo\loadNextObject(), FOFDatabaseDriver\loadNextObject(), JDatabaseDriver\loadNextObject(), JDatabaseDriverPdo\loadNextRow(), FOFDatabaseDriverPdo\loadNextRow(), FOFDatabaseDriver\loadNextRow(), JDatabaseDriver\loadNextRow(), FOFDatabaseDriver\loadObjectList(), JDatabaseDriver\loadObjectList(), FOFDatabaseDriverSqlsrv\loadResult(), FOFDatabaseDriver\loadResult(), JDatabaseDriver\loadResult(), FOFDatabaseDriver\loadRow(), JDatabaseDriver\loadRow(), FOFDatabaseDriver\loadRowList(), JDatabaseDriver\loadRowList(), FOFTable\move(), Table\move(), PlgContentVote\onContentAfterDisplay(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgContentVote\onContentBeforeDisplay(), PlgContentEmailcloak\onContentPrepare(), PlgContentContact\onContentPrepare(), PlgContentPagebreak\onContentPrepare(), PlgSearchContent\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchCategories\onContentSearch(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgFinderTags\onFinderAfterSave(), PlgFinderCategories\onFinderAfterSave(), PlgFinderContent\onFinderAfterSave(), PlgFinderContacts\onFinderAfterSave(), PlgFinderNewsfeeds\onFinderAfterSave(), PlgFinderTags\onFinderBeforeSave(), PlgFinderCategories\onFinderBeforeSave(), PlgFinderContent\onFinderBeforeSave(), PlgFinderContacts\onFinderBeforeSave(), PlgFinderNewsfeeds\onFinderBeforeSave(), ContentHelperQuery\orderDownColumns(), JHtmlMenu\ordering(), ModulesHelperXML\parseXMLModuleFile(), FOFDatabaseInstaller\realGetColumnCollation(), FOFDatabaseInstaller\realGetTableCollation(), UsersModelRegistration\register(), InstallerModelManage\remove(), FOFTable\reorder(), SimplePie_Cache_MySQL\save(), SubformRule\test(), JHtmlFinder\typeslist(), FileAdapter\uninstall(), LibraryAdapter\uninstall(), TemplateAdapter\uninstall(), PluginAdapter\uninstall(), PackageAdapter\uninstall(), et LanguageAdapter\update().

◆ $rowcount

$rowcount = (((int) $key - 1) % (int) $this->columns) + 1

◆ (!empty($this->lead_items))

if (!empty( $this->lead_items))($this->lead_items as &$item)

◆ endforeach

if (( $rowcount==$this->columns) or( $counter==$introcount)) endforeach

◆ endif

endif

◆ item

$this item = &$item


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
  • search
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_finder/views/search/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

else __pad0__
endif

Documentation des variables

◆ __pad0__

else __pad0__

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • views
  • mailto
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_mailto/views/mailto/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • views
  • sent
  • tmpl
Espaces de nommage
Référence du fichier components/com_mailto/views/sent/tmpl/default.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • categories
  • tmpl
Espaces de nommage
Référence du fichier components/com_newsfeeds/views/categories/tmpl/default.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_newsfeeds/views/category/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$pageClass = $this->params->get('pageclass_sfx', '')
endif

Documentation des variables

◆ $pageClass

$pageClass = $this->params->get('pageclass_sfx', '')

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_newsfeeds/views/newsfeed/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

if(!empty($this->msg)) | else
$myrtl = $this->newsfeed->rtl
$direction = ' '
$isRtl = $lang->isRtl()
if($isRtl && $myrtl==0) elseif($isRtl && $myrtl==1) elseif($isRtl && $myrtl==2) elseif($myrtl==0) elseif($myrtl==1) elseif($myrtl==2) | endif
$images = json_decode($this->item->images)
if ( $this->params->get( 'display_num'))

Documentation des variables

◆ $direction

$direction = ' '

◆ $images

$images = json_decode($this->item->images)

Référencé par JHtmlRules\_getImagesArray(), JHtmlRules\assetFormWidget(), MediaHelper\canUpload(), MediaViewImagesList\display(), ModRandomImageHelper\getImages(), ModArticlesNewsHelper\getList(), MediaModelList\getList(), ModRandomImageHelper\getRandomImage(), JHtmlList\images(), PHPMailer\msgHTML(), et SimplePie_Sanitize\sanitize().

◆ $isRtl

$isRtl = $lang->isRtl()

◆ $myrtl

$myrtl = $this->newsfeed->rtl

◆ else

if (!empty( $this->msg)) else

◆ endif

endif

◆ if

if($this->params->get('display_num'))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • confirm
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_privacy/views/confirm/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • remind
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_privacy/views/remind/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • request
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_privacy/views/request/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
endforeach
else __pad0__

Documentation des variables

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • views
  • search
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_search/views/search/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

else __pad0__
endif
else __pad1__

Documentation des variables

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tag
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_tags/views/tag/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$isSingleTag = count($this->item) === 1
endif

Documentation des variables

◆ $isSingleTag

$isSingleTag = count($this->item) === 1

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tags
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_tags/views/tags/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$description = $this->params->get('all_tags_description')
$descriptionImage = $this->params->get('all_tags_description_image')
endif

Documentation des variables

◆ $description

$description = $this->params->get('all_tags_description')

◆ $descriptionImage

$descriptionImage = $this->params->get('all_tags_description_image')

◆ endif

if (!empty( $description)) endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • login
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/login/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$cookieLogin = $this->user->get('cookieLogin')
if(!empty($cookieLogin)|| $this->user->get('guest')) else

Documentation des variables

◆ $cookieLogin

$cookieLogin = $this->user->get('cookieLogin')

Référencé par UsersViewProfile\display(), et UsersControllerProfile\edit().

◆ else

if (!empty( $cookieLogin)||$this->user->get( 'guest')) else
Valeur initiale :
{
echo $this->loadTemplate('logout')


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • profile
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/profile/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • registration
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/registration/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • remind
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/remind/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • reset
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/reset/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_wrapper
  • views
  • wrapper
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_wrapper/views/wrapper/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

else __pad0__
endif
else __pad1__

Documentation des variables

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier installation/controller/default.php

Structures de données

class InstallationControllerDefault

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • complete
  • tmpl
Espaces de nommage | Variables
Référence du fichier installation/view/complete/tmpl/default.php

Espaces de nommage

Joomla\Installation

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • database
  • tmpl
Espaces de nommage
Référence du fichier installation/view/database/tmpl/default.php

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
Structures de données | Espaces de nommage
Référence du fichier installation/view/default.php

Structures de données

class InstallationViewDefault

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • defaultlanguage
  • tmpl
Espaces de nommage | Variables
Référence du fichier installation/view/defaultlanguage/tmpl/default.php

Espaces de nommage

Joomla\Installation

Variables

JS
rel
endif
foreach ( $this->items->administrator as $i=> $lang)

Documentation des variables

◆ endif

endif

◆ foreach

foreach($this->items->administrator as $i=> $lang)

◆ JS

JS

◆ rel

rel
Valeur initiale :
="next"
title="<?php echo JText::_('JNEXT'); ?>">
<span class="icon-arrow-right icon-white"></span>
<?php echo JText::_('JNEXT')
title
if($params->get('googleFont')) site title
Definition: templates/protostar/error.php:56

Référencé par SliderButton\fetchButton().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • ftp
  • tmpl
Espaces de nommage
Référence du fichier installation/view/ftp/tmpl/default.php

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • install
  • tmpl
Espaces de nommage | Variables
Référence du fichier installation/view/install/tmpl/default.php

Espaces de nommage

Joomla\Installation

Variables

else __pad0__
endif
endforeach

Documentation des variables

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • languages
  • tmpl
Espaces de nommage | Variables
Référence du fichier installation/view/languages/tmpl/default.php

Espaces de nommage

Joomla\Installation

Variables

$version = new JVersion
</th >< th > | $currentShortVersion = preg_replace('#^([0-9\.]+)(|.*)$#', '$1', $version->getShortVersion())
$language | code = $element[1]
$minorVersion = $version::MAJOR_VERSION . '.' . $version::MINOR_VERSION
else __pad0__
endif
endforeach

Documentation des variables

◆ $currentShortVersion

</th><th> $currentShortVersion = preg_replace('#^([0-9\.]+)(|.*)$#', '$1', $version->getShortVersion())

◆ $minorVersion

$minorVersion = $version::MAJOR_VERSION . '.' . $version::MINOR_VERSION

◆ $version

$version = new JVersion

◆ __pad0__

else __pad0__

◆ code

$language code = $element[1]

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • preinstall
  • tmpl
Espaces de nommage | Variables
Référence du fichier installation/view/preinstall/tmpl/default.php

Espaces de nommage

Joomla\Installation

Variables

foreach ( $this->options as $option)
if($option->notice) endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

if ( $option->notice) endif

◆ foreach

foreach($this->settings as $setting) ( $this->options as )


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • remove
  • tmpl
Espaces de nommage
Référence du fichier installation/view/remove/tmpl/default.php

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • site
  • tmpl
Espaces de nommage
Référence du fichier installation/view/site/tmpl/default.php

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • summary
  • tmpl
Espaces de nommage | Variables
Référence du fichier installation/view/summary/tmpl/default.php

Espaces de nommage

Joomla\Installation

Variables

$path = JPATH_CONFIGURATION . '/configuration.php'
$useftp = file_exists($path) ? !is_writable($path) : !is_writable(JPATH_CONFIGURATION . '/')
$prev = $useftp ? 'ftp' : 'database'
endif
foreach ( $this->phpoptions as $option)
endforeach

Documentation des variables

◆ $path

$path = JPATH_CONFIGURATION . '/configuration.php'

◆ $prev

$prev = $useftp ? 'ftp' : 'database'

Référencé par admin_postinstall_eaccelerator_action(), behindproxy_postinstall_action(), ConfigModelApplication\removeroot(), ConfigModelApplication\save(), Session\set(), et utf8_byte_position().

◆ $useftp

$useftp = file_exists($path) ? !is_writable($path) : !is_writable(JPATH_CONFIGURATION . '/')

Référencé par InstallationControllerDatabase\execute(), et InstallationHtmlHelper\stepbar().

◆ endforeach

endforeach

◆ endif

if ( $option->notice) endif

◆ foreach

foreach($this->phpsettings as $setting) ( $this->phpoptions as )


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/subform/default.php

Espaces de nommage

Joomla\Site

Variables

$form = $forms[0]
endforeach

Documentation des variables

◆ $form

$form = $forms[0]

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
Espaces de nommage | Variables
Référence du fichier layouts/joomla/searchtools/default.php

Espaces de nommage

Joomla\Site

Variables

$data = $displayData
$data ['options'] = !empty($data['options']) ? $data['options'] : array()
$noResultsText = ''
$hideActiveFilters = false
$showFilterButton = false
$showSelector = false
$selectorFieldName = isset($data['options']['selectorFieldName']) ? $data['options']['selectorFieldName'] : 'client_id'
if(isset($data['view']->filterForm) &&!empty($data['view']->filterForm)) $customOptions
$data ['options'] = array_merge($customOptions, $data['options'])
$filtersActiveClass = $hideActiveFilters ? '' : ' js-stools-container-filters-visible'
endif
if ( $data[ 'options'][ 'filterButton'])

Documentation des variables

◆ $customOptions

if (isset( $data[ 'view']->filterForm) &&!empty( $data[ 'view']->filterForm)) $customOptions
Valeur initiale :
= array(
'filtersHidden' => isset($data['options']['filtersHidden']) && $data['options']['filtersHidden'] ? $data['options']['filtersHidden'] : $hideActiveFilters,
'filterButton' => isset($data['options']['filterButton']) && $data['options']['filterButton'] ? $data['options']['filterButton'] : $showFilterButton,
'defaultLimit' => isset($data['options']['defaultLimit']) ? $data['options']['defaultLimit'] : JFactory::getApplication()->get('list_limit', 20),
'searchFieldSelector' => '#filter_search',
'selectorFieldName' => $selectorFieldName,
'showSelector' => $showSelector,
'orderFieldSelector' => '#list_fullordering',
'showNoResults' => !empty($noResultsText) ? true : false,
'noResultsText' => !empty($noResultsText) ? $noResultsText : '',
'formSelector' => !empty($data['options']['formSelector']) ? $data['options']['formSelector'] : '#adminForm',
)
$data
$data
Definition: layouts/joomla/searchtools/default.php:12
$hideActiveFilters
$hideActiveFilters
Definition: layouts/joomla/searchtools/default.php:18
$selectorFieldName
$selectorFieldName
Definition: layouts/joomla/searchtools/default.php:21
$showFilterButton
$showFilterButton
Definition: layouts/joomla/searchtools/default.php:19
$noResultsText
$noResultsText
Definition: layouts/joomla/searchtools/default.php:17
$showSelector
$showSelector
Definition: layouts/joomla/searchtools/default.php:20

◆ $data [1/3]

$data = $displayData

◆ $data [2/3]

$data[ 'options'] = !empty($data['options']) ? $data['options'] : array()

◆ $data [3/3]

$data[ 'options'] = array_merge($customOptions, $data['options'])

◆ $filtersActiveClass

$filtersActiveClass = $hideActiveFilters ? '' : ' js-stools-container-filters-visible'

◆ $hideActiveFilters

$hideActiveFilters = false

◆ $noResultsText

$noResultsText = ''

◆ $selectorFieldName

$selectorFieldName = isset($data['options']['selectorFieldName']) ? $data['options']['selectorFieldName'] : 'client_id'

◆ $showFilterButton

$showFilterButton = false

◆ $showSelector

$showSelector = false

◆ endif

endif

◆ if

if($data['options']['filterButton'])


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_archive
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_articles_archive/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

if(!empty($list)) foreach ( $list as $item)
endforeach
endif

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

if (!empty( $list)) foreach($list as $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_categories
  • tmpl
Espaces de nommage
Référence du fichier modules/mod_articles_categories/tmpl/default.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_category
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_articles_category/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

foreach ($group as $item) ( $params->get( 'link_titles')==1)
else __pad0__
endif
if ( $params->get( 'show_readmore'))
elseif ( $readmore=$item->alternative_readmore)
else __pad1__
endforeach
else __pad2__
else __pad3__
else __pad4__

Documentation des variables

◆ ($group as $item)

foreach ( $group as $item)($params->get('link_titles')==1)

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ elseif

elseif($readmore=$item->alternative_readmore) ( $readmore = $item->alternative_readmore )

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($params->get('show_readmore')) ( $params-> get'show_readmore' )


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_latest
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_articles_latest/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

foreach ( $list as $item)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($list as $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_news
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_articles_news/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_popular
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_articles_popular/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

foreach ( $list as $item)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($list as $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_banners
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_banners/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

if($headerText) | endif
else __pad0__
$width = $item->params->get('width')
$height = $item->params->get('height')
$alt = $item->params->get('alt')
if ( $target==1)
if(!empty($width)) echo ' width | location =no
if(!empty($width)) echo ' width | status =no
if(!empty($width)) echo ' width | menubar =no
if(!empty($width)) echo ' width | scrollbars =yes
if(!empty($width)) echo ' width | resizable =yes
if(!empty($width)) echo ' width | width =780

Documentation des variables

◆ $alt

$alt = $item->params->get('alt')

◆ $height

$height = $item->params->get('height')

Référencé par BannersTableBanner\bind(), Image\crop(), Image\cropResize(), Editor\display(), JHtmlIcon\email(), Backgroundfill\execute(), SliderButton\fetchButton(), PopupButton\fetchButton(), SimplePie_Item\get_enclosures(), Image\getOrientationString(), ModRandomImageHelper\getRandomImage(), JGoogleDataPicasaPhoto\getThumbnails(), MediaHelper\imageResize(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), Image\prepareDimensions(), FOFToolbar\renderToolbarElement(), Image\resize(), TemplatesControllerTemplate\resizeImage(), TemplatesModelTemplate\resizeImage(), Image\sanitizeHeight(), Image\sanitizeWidth(), et ToolbarHelper\versions().

◆ $width

$width = $item->params->get('width')

Référencé par BannersTableBanner\bind(), lessc\coerceColor(), FOFLess\coerceColor(), Image\crop(), Image\cropResize(), Editor\display(), Backgroundfill\execute(), PopupButton\fetchButton(), SimplePie_Item\get_enclosures(), Image\getOrientationString(), ModRandomImageHelper\getRandomImage(), JGoogleDataPicasaPhoto\getThumbnails(), MediaHelper\imageResize(), FOFTableNested\onAfterDelete(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), Image\prepareDimensions(), FOFToolbar\renderToolbarElement(), Image\resize(), TemplatesControllerTemplate\resizeImage(), TemplatesModelTemplate\resizeImage(), Image\sanitizeHeight(), Image\sanitizeWidth(), ToolbarHelper\spacer(), et ToolbarHelper\versions().

◆ __pad0__

else __pad0__

◆ endif

if ( $headerText) endif

◆ if

if($target==1)

◆ location

string Cache location =no
Voir également
SimplePie::set_cache_location() private

Référencé par SimplePie_Cache_File\__construct(), UpdateSite\check(), et SimplePie_Cache_File\save().

◆ menubar

if (!empty( $width)) echo ' width menubar =no

◆ resizable

if (!empty( $width)) echo ' width resizable =yes

◆ scrollbars

if (!empty( $width)) echo ' width scrollbars =yes

◆ status

if (!empty( $width)) echo ' width status =no

Référencé par JHtmlMessages\state(), et PrivacyTableRequest\store().

◆ width

if (!empty( $width)) echo ' width width =780


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_breadcrumbs
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_breadcrumbs/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

else __pad0__
$last_item_key = key($list)
$penult_item_key = key($list)
$show_last = $params->get('showLast', 1)
foreach( $list as $key=> $item) ($key !==$last_item_key) (!empty( $item->link))
else __pad1__
endif
elseif ( $show_last)
endforeach

Documentation des variables

◆ $last_item_key

$last_item_key = key($list)

◆ $penult_item_key

$penult_item_key = key($list)

◆ $show_last

$show_last = $params->get('showLast', 1)

◆ ($key !==$last_item_key)

foreach($list as $key => $item) ( $key !==$last_item_key)(!empty($item->link))

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ elseif

elseif($show_last)

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_custom
  • tmpl
Espaces de nommage
Référence du fichier modules/mod_custom/tmpl/default.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_feed
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_feed/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

if(!empty($feed) &&is_string($feed)) else
$myrtl = $params->get('rssrtl', 0)
$direction = ' '
$isRtl = $lang->isRtl()

Documentation des variables

◆ $direction

$direction = ' '

◆ $isRtl

$isRtl = $lang->isRtl()

◆ $myrtl

$myrtl = $params->get('rssrtl', 0)

◆ else

if (!empty( $feed) &&is_string( $feed)) else
Valeur initiale :
{
$lang = JFactory::getLanguage()
$lang
$lang
Definition: administrator/components/com_finder/views/index/tmpl/default.php:18


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_finder
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_finder/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$lang = JFactory::getLanguage()
$suffix = $params->get('moduleclass_sfx')
$output
$showLabel = $params->get('show_label', 1)
$labelClass = (!$showLabel ? 'element-invisible ' : '') . 'finder' . $suffix
$label = '<label for="mod-finder-searchword' . $module->id . '" class="' . $labelClass . '">' . $params->get('alt_label', JText::_('JSEARCH_FILTER_SUBMIT')) . '</label>'
$script
$show_advanced = $params->get('show_advanced', 0)
elseif ( $show_advanced==1)
endif

Documentation des variables

◆ $label

$label = '<label for="mod-finder-searchword' . $module->id . '" class="' . $labelClass . '">' . $params->get('alt_label', JText::_('JSEARCH_FILTER_SUBMIT')) . '</label>'

◆ $labelClass

$labelClass = (!$showLabel ? 'element-invisible ' : '') . 'finder' . $suffix

◆ $lang

$lang = JFactory::getLanguage()

◆ $output

$output
Valeur initiale :
= '<input type="text" name="q" id="mod-finder-searchword' . $module->id . '" class="search-query input-medium" size="'
. $params->get('field_size', 20) . '" value="' . htmlspecialchars(JFactory::getApplication()->input->get('q', '', 'string'), ENT_COMPAT, 'UTF-8') . '"'
. ' placeholder="' . JText::_('MOD_FINDER_SEARCH_VALUE') . '"/>'
ENT_COMPAT
else ENT_COMPAT
Definition: components/com_newsfeeds/views/category/tmpl/default_items.php:20
$params
$params
Definition: administrator/components/com_banners/views/clients/tmpl/default.php:30
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34
$module
$module
Definition: templates/beez3/error.php:111

◆ $script

if ( $params->get( 'show_autosuggest', 1)) $script

◆ $show_advanced

$show_advanced = $params->get('show_advanced', 0)

◆ $showLabel

$showLabel = $params->get('show_label', 1)

◆ $suffix

$suffix = $params->get('moduleclass_sfx')

Référencé par JHtmlNumber\bytes(), lessc\compileProp(), FOFLess\compileProp(), FOFController\createView(), FOFModel\findFormFilename(), MVCFactory\getClassName(), FinderModelSearch\getExcludedLinkIds(), FOFLayoutFile\getPath(), FileLayout\getPath(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), FOFController\getTmpInstance(), Version\getUserAgent(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), FinderIndexerDriverMysql\index(), FOFView\loadAnyTemplate(), PlgAuthenticationGMail\onUserAuthenticate(), SiteRouter\parse(), FOFLessParser\parseChunk(), lessc_parser\parseChunk(), SiteRouter\parseSefRoute(), Text\plural(), FinderIndexerQuery\processString(), FinderModelIndex\purge(), et JApplicationWebRouterRest\setHttpMethodSuffix().

◆ elseif

elseif($show_advanced==1)

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_footer
  • tmpl
Espaces de nommage
Référence du fichier modules/mod_footer/tmpl/default.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_languages
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_languages/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

if ( $params->get( 'dropdown', 0) &&! $params->get( 'dropdownimage', 1))
if($headerText) | endif
foreach ( $list as $language)
endforeach
elseif( $params->get( 'dropdown', 0) &&$params->get( 'dropdownimage', 1))( $list as $language) | ($language->active) ( $language->image)
else __pad0__
else __pad1__
else __pad2__
else $language title_native
else __pad3__
else __pad4__

Documentation des variables

◆ ($language->active)

elseif($params->get('dropdown', 0) && $params->get('dropdownimage', 1)) ($list as $language) ( $language->active)($language->image)

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ endforeach

endforeach

◆ endif

if ( $footerText) endif

◆ foreach

foreach($list as $language)

◆ if

if($params->get('dropdown', 0) &&! $params->get('dropdownimage', 1))

◆ title_native

else $language title_native


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_login
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_login/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
else __pad0__
else __pad1__
else __pad2__
$usersConfig = JComponentHelper::getParams('com_users')

Documentation des variables

◆ $usersConfig

$usersConfig = JComponentHelper::getParams('com_users')

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_menu
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_menu/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$id = ''
if ( $tagId=$params->get( 'tag_id', ''))

Documentation des variables

◆ $id

$id = ''

◆ if

if($tagId=$params->get('tag_id', ''))


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_random_image
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_random_image/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_related_items
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_related_items/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_search
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_search/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

if($width) else
$output = '<label for="mod-search-searchword' . $module->id . '" class="element-invisible">' . $label . '</label> '

Documentation des variables

◆ $output

$output = '<label for="mod-search-searchword' . $module->id . '" class="element-invisible">' . $label . '</label> '

◆ else

if ($button) ( $imagebutton) else
Valeur initiale :
{
$width = ''
$width
$width
Definition: modules/mod_banners/tmpl/default.php:29


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_stats
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_stats/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

foreach ( $list as $item)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($list as $item)


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_syndicate
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_syndicate/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

if( $params->get( 'display_text', 1))(str_replace(' ', '', $text) !=='') else
endif

Documentation des variables

◆ else

if ($params->get('display_text', 1)) (str_replace(' ', '', $text) !=='') else

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_popular
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_tags_popular/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

else __pad1__
if($display_count) endif
endforeach

Documentation des variables

◆ __pad1__

else __pad1__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_similar
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_tags_similar/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

endif
else __pad0__
endforeach
else __pad1__

Documentation des variables

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_users_latest
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_users_latest/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

if(!empty($names)) foreach($names as $name) endforeach
endif

Documentation des variables

◆ endforeach

if (!empty( $names)) foreach ( $names as $name) endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_whosonline
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_whosonline/tmpl/default.php

Espaces de nommage

Joomla\Site

Variables

$member = JText::plural('MOD_WHOSONLINE_MEMBERS', $count['user'])
endif
foreach($names as $name) endforeach

Documentation des variables

◆ $member

$member = JText::plural('MOD_WHOSONLINE_MEMBERS', $count['user'])

Référencé par JOpenstreetmapElements\createRelation().

◆ endforeach

foreach ( $names as $name) endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_wrapper
  • tmpl
Espaces de nommage
Référence du fichier modules/mod_wrapper/tmpl/default.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • pagenavigation
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/content/pagenavigation/tmpl/default.php

Espaces de nommage

Joomla\Plugin

Variables

$lang = JFactory::getLanguage()
if ($row->prev) () ? 'right'
endif
if ($row->next) () ? 'left'

Documentation des variables

◆ $lang

$lang = JFactory::getLanguage()

◆ ($row->next)

if ( $row->next)() ? 'left'

◆ ($row->prev)

if ( $row->prev)() ? 'right'

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • folderinstaller
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/installer/folderinstaller/tmpl/default.php

Espaces de nommage

Joomla\Plugin

Variables

$app = JFactory::getApplication('administrator')

Documentation des variables

◆ $app

$app = JFactory::getApplication('administrator')


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • packageinstaller
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/installer/packageinstaller/tmpl/default.php

Espaces de nommage

Joomla\Plugin

Variables

return
uploading = false
dragZone = $('#dragarea')
fileInput = $('#install_package')
fileSizeMax = $('#max_upload_size').val()
button = $('#select-file-button')
url = 'index.php?option=com_installer&task=install.ajax_upload'
returnUrl = $('#installer-return').val()
actions = $('.upload-actions')
progress = $('.upload-progress')
progressBar = progress.find('.bar')
percentage = progress.find('.uploading-number')
JS
JFactory::getDocument() -> addStyleDeclaration(<<< CSS #dragarea | color
font | size
width __pad0__
height __pad1__
margin __pad2__
line | height
color __pad3__
transition __pad4__
color __pad5__
margin __pad6__
upload progress progress | bar
moz | transition
transition __pad7__
display | __pad8__
display | __pad9__
display | __pad10__
display | __pad11__
display | __pad12__
display | __pad13__
CSS
$maxSizeBytes = JFilesystemHelper::fileUploadMaxSize(false)
$maxSize = JHtml::_('number.bytes', $maxSizeBytes)

Documentation des variables

◆ $maxSize

$maxSize = JHtml::_('number.bytes', $maxSizeBytes)

◆ $maxSizeBytes

$maxSizeBytes = JFilesystemHelper::fileUploadMaxSize(false)

◆ __pad0__

width __pad0__

◆ __pad10__

display __pad10__

◆ __pad11__

display __pad11__

◆ __pad12__

display __pad12__

◆ __pad13__

display __pad13__

◆ __pad1__

height __pad1__

◆ __pad2__

margin __pad2__

◆ __pad3__

color __pad3__

◆ __pad4__

transition __pad4__

◆ __pad5__

color __pad5__

◆ __pad6__

margin __pad6__

◆ __pad7__

transition __pad7__

◆ __pad8__

display __pad8__

◆ __pad9__

display __pad9__

◆ actions

actions = $('.upload-actions')

Référencé par UsersViewDebuggroup\display(), et UsersViewDebuguser\display().

◆ bar

upload progress progress bar
Valeur initiale :
{
-webkit-transition: width .1s
width
max width
Definition: administrator/components/com_templates/views/template/tmpl/default.php:170
transition
moz transition
Definition: plugins/installer/packageinstaller/tmpl/default.php:262

◆ button

integer $todaybutton The today button = $('#select-file-button')

Référencé par JFormFieldModal_Article\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModal_Contact\getInput(), et JFormFieldModal_Menu\getInput().

◆ color

background color

Référencé par JFormFieldMeter\getLayoutData(), JFormFieldMeter\setup(), et FOFLessParser\value().

◆ CSS

CSS

◆ dragZone

dragZone = $('#dragarea')

◆ fileInput

fileInput = $('#install_package')

◆ fileSizeMax

fileSizeMax = $('#max_upload_size').val()

◆ height

line height

◆ JS

JS

◆ percentage

percentage = progress.find('.uploading-number')

◆ progress

upload install progress = $('.upload-progress')

◆ progressBar

progressBar = progress.find('.bar')

◆ return

return

◆ returnUrl

returnUrl = $('#installer-return').val()

◆ size

font size

◆ transition

o transition

◆ uploading

uploading = false

◆ url

url = 'index.php?option=com_installer&task=install.ajax_upload'

Référencé par SimplePie_File\__construct(), SimplePie_Copyright\__construct(), et SimplePie_Copyright\get_url().


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • urlinstaller
  • tmpl
Espaces de nommage
Référence du fichier plugins/installer/urlinstaller/tmpl/default.php

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • categories
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/categories/default.php

Espaces de nommage

Joomla\Site

Variables

endif
else __pad1__
else $this parent description

Documentation des variables

◆ __pad1__

else __pad1__

◆ description

else $this parent description

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/category/default.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/contact/default.php

Espaces de nommage

Joomla\Site

Variables

$cparams = JComponentHelper::getParams('com_media')
endif

Documentation des variables

◆ $cparams

$cparams = JComponentHelper::getParams('com_media')

Référencé par CategoryView\commonCategoryDisplay(), et AdminModelSysInfo\getDirectory().

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • archive
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/archive/default.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$templateparams = $app->getTemplate(true)->params
if(! $templateparams->get('html5', 0)) else
endif

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $templateparams

$templateparams = $app->getTemplate(true)->params

◆ else

if (! $templateparams->get( 'html5', 0)) else
Valeur initiale :
{
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers')

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • article
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/article/default.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$templateparams = $app->getTemplate(true)->params
$images = json_decode($this->item->images)
$urls = json_decode($this->item->urls)
$user = JFactory::getUser()
$params = $this->item->params
$accessEdit = $params->get('access-edit')
$showPrintIcon = $params->get('show_print_icon')
$showEmailIcon = $params->get('show_email_icon')
endif
$active = $menu->getActive()
$itemId = $active->id
$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))
$attribs = json_decode($this->item->attribs)
else __pad8__

Documentation des variables

◆ $accessEdit

$accessEdit = $params->get('access-edit')

◆ $active

$active = $menu->getActive()

◆ $app

$app = JFactory::getApplication()

◆ $attribs

$attribs = json_decode($this->item->attribs)

◆ $images

$images = json_decode($this->item->images)

◆ $itemId

$itemId = $active->id

◆ $link

$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

◆ $params

$params = $this->item->params

◆ $showEmailIcon

$showEmailIcon = $params->get('show_email_icon')

◆ $showPrintIcon

$showPrintIcon = $params->get('show_print_icon')

◆ $templateparams

$templateparams = $app->getTemplate(true)->params

◆ $urls

$urls = json_decode($this->item->urls)

◆ $user

$user = JFactory::getUser()

◆ __pad8__

else __pad8__

◆ endif

if (!empty( $this->item->pagination) AND $this->item->pagination AND $this->item->paginationposition AND $this->item->paginationrelative) endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • categories
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/categories/default.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
endif
else __pad9__
else $this parent description

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ __pad9__

else __pad9__

◆ description

else $this parent description

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/category/default.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$templateparams = $app->getTemplate(true)->params
$showCategoryTitle = $this->params->get('show_category_title') == 1
$showCategoryHeadingTitleText = $this->params->get('show_category_heading_title_text', 1) == 1
$pageSubHeading = $this->params->get('page_subheading')
if ($showPageHeading=$this->params->get('show_page_heading')) ( $showPageHeading and( $showCategoryTitle===true or $pageSubHeading))
endif

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $pageSubHeading

$pageSubHeading = $this->params->get('page_subheading')

◆ $showCategoryHeadingTitleText

$showCategoryHeadingTitleText = $this->params->get('show_category_heading_title_text', 1) == 1

◆ $showCategoryTitle

$showCategoryTitle = $this->params->get('show_category_title') == 1

◆ $templateparams

$templateparams = $app->getTemplate(true)->params

◆ ($showPageHeading=$this->params->get('show_page_heading'))

if ( $showPageHeading=$this->params->get( 'show_page_heading'))($showPageHeading and($showCategoryTitle===true or $pageSubHeading))

◆ endif

if ( $showCategoryTitle===true or $pageSubHeading) elseif ( $showCategoryHeadingTitleText===true) endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • featured
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/featured/default.php

Espaces de nommage

Joomla\Site

Variables

endif
$leadingcount = 0
if | (!empty($this->lead_items)) ( $this->lead_items as & $item)
$this | item = &$item
endforeach
$introcount = count($this->intro_items)
$counter = 0
$rowcount = (((int) $key - 1) % (int) $this->columns) + 1
$row = $counter / $this->columns

Documentation des variables

◆ $counter

$counter = 0

◆ $introcount

$introcount = count($this->intro_items)

◆ $leadingcount

$leadingcount = 0

◆ $row

$row = $counter / $this->columns

◆ $rowcount

$rowcount = (((int) $key - 1) % (int) $this->columns) + 1

◆ (!empty($this->lead_items))

if (!empty( $this->lead_items))($this->lead_items as &$item)

◆ endforeach

if (( $rowcount==$this->columns) or( $counter==$introcount)) endforeach

◆ endif

endif

◆ item

$this item = &$item


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_newsfeeds
  • categories
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_newsfeeds/categories/default.php

Espaces de nommage

Joomla\Site

Variables

endif
else __pad23__
else $this parent description

Documentation des variables

◆ __pad23__

else __pad23__

◆ description

else $this parent description

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_newsfeeds
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_newsfeeds/category/default.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
  • categories
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_weblinks/categories/default.php

Espaces de nommage

Joomla\Site

Variables

endif
else __pad25__
else $this parent description

Documentation des variables

◆ __pad25__

else __pad25__

◆ description

else $this parent description

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_weblinks/category/default.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • mod_breadcrumbs
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/mod_breadcrumbs/default.php

Espaces de nommage

Joomla\Site

Variables

$last_item_key = key($list)
$penult_item_key = key($list)
if($key !==$last_item_key) elseif($show_last) endforeach

Documentation des variables

◆ $last_item_key

$last_item_key = key($list)

◆ $penult_item_key

$penult_item_key = key($list)

◆ endforeach

if ( $key !==$last_item_key) elseif ( $show_last) endforeach


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • mod_languages
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/mod_languages/default.php

Espaces de nommage

Joomla\Site

Variables

if($headerText) | endif
foreach ( $list as $language)
endforeach
else __pad28__
elseforeach | ($list as $language) (! $language->active||$params->get( 'show_active', 0))
else __pad29__
else $language title_native

Documentation des variables

◆ ($list as $language)

elseforeach ( $list as $language)(! $language->active|| $params->get('show_active', 0))

◆ __pad28__

else __pad28__

◆ __pad29__

else __pad29__

◆ endforeach

endforeach

◆ endif

if ( $footerText) endif

◆ foreach

foreach($list as $language)

◆ title_native

else $language title_native


Joomla CMS: Référence du fichier default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • mod_login
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/mod_login/default.php

Espaces de nommage

Joomla\Site

Variables

endif
else __pad30__

Documentation des variables

◆ __pad30__

else __pad30__

◆ endif

endif


Joomla CMS: Référence du fichier default_addform.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • links
  • tmpl
Espaces de nommage
Référence du fichier default_addform.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_address.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/contact/tmpl/default_address.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_address.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/contact/default_address.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_articles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/contact/tmpl/default_articles.php

Espaces de nommage

Joomla\Site

Variables

endforeach
endif

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_articles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/category/tmpl/default_articles.php

Espaces de nommage

Joomla\Site

Variables

$n = count($this->items)
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$langFilter = false
if(($this->params->get('filter_field')==='tag') &&(Multilanguage::isEnabled())) | $isEditable = false
if(!empty($this->items)) JFactory::getDocument() -> addStyleDeclaration(' .hide table | noheader { border-collapse: collapse
table noheader | thead { display: none
show_headings table noheader Y m d | H
< option value=""> else
list filter COM_CONTENT_FILTER_SEARCH_DESC COM_CONTENT_ filter_field _FILTER_LABEL show_pagination_limit JGLOBAL_DISPLAY_NUM COM_CONTENT_FORM_FILTER_SUBMIT show_no_articles COM_CONTENT_NO_ARTICLES COM_CONTENT_CATEGORY_LIST_TABLE_CAPTION grid sort JGLOBAL_TITLE a title asc adminForm list_show_date created grid sort COM_CONTENT_ _DATE a created modified grid sort COM_CONTENT_ _DATE a modified published grid sort COM_CONTENT_ _DATE a publish_up list_show_author grid sort JAUTHOR author list_show_hits grid sort JGLOBAL_HITS a hits list_show_votes grid sort COM_CONTENT_VOTES rating_count list_show_ratings grid sort COM_CONTENT_RATINGS rating COM_CONTENT_EDIT_ITEM show_associations flags language image mod_languages language gif language title language item label label association label language item | language
$menu = JFactory::getApplication()->getMenu()
$active = $menu->getActive()
$itemId = $active->id
$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))
else __pad1__
endif
endforeach
else __pad2__
else $author

Documentation des variables

◆ $active

$active = $menu->getActive()

◆ $author

else $author

◆ $isEditable

if (( $this->params->get( 'filter_field')==='tag') &&(Multilanguage::isEnabled())) $isEditable = false

◆ $itemId

$itemId = $active->id

◆ $langFilter

$langFilter = false

◆ $link

$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $menu

$menu = JFactory::getApplication()->getMenu()

◆ $n

$n = count($this->items)

◆ __pad1__

else __pad1__

◆ __pad2__

else __pad2__

◆ else

<option value=""> else

◆ endforeach

endforeach

◆ endif

endif

◆ H

show_headings table noheader Y m d H

◆ language

list filter COM_CONTENT_FILTER_SEARCH_DESC COM_CONTENT_ filter_field _FILTER_LABEL show_pagination_limit JGLOBAL_DISPLAY_NUM COM_CONTENT_FORM_FILTER_SUBMIT show_no_articles COM_CONTENT_NO_ARTICLES COM_CONTENT_CATEGORY_LIST_TABLE_CAPTION grid sort JGLOBAL_TITLE a title asc adminForm list_show_date created grid sort COM_CONTENT_ _DATE a created modified grid sort COM_CONTENT_ _DATE a modified published grid sort COM_CONTENT_ _DATE a publish_up list_show_author grid sort JAUTHOR author list_show_hits grid sort JGLOBAL_HITS a hits list_show_votes grid sort COM_CONTENT_VOTES rating_count list_show_ratings grid sort COM_CONTENT_RATINGS rating COM_CONTENT_EDIT_ITEM show_associations flags language image mod_languages language gif language title language item label label association label language item language

Référencé par SiteMenu\__construct(), FeedLink\__construct(), FinderIndexerToken\__construct(), FinderIndexerQuery\__construct(), AKText\__construct(), Menu\bind(), NewsfeedsTableNewsfeed\check(), BannersTableBanner\check(), TagsTableTag\check(), FieldsTableField\check(), Category\check(), Content\check(), ContactTableContact\generateAlias(), JFormFieldConsentBox\getAssignedArticleUrl(), AKText\getBrowserLanguage(), MenuitemField\getGroups(), JFormFieldMenuitemByType\getGroups(), JFormFieldTos\getLabel(), JFormFieldterms\getLayoutData(), JFormFieldCategoryEdit\getOptions(), PHPMailer\lang(), WebApplication\loadLanguage(), FinderIndexerResult\setLanguage(), Document\setLanguage(), PHPMailer\setLanguage(), JFormFieldMenuitemByType\setup(), MenuitemField\setup(), et Menu\store().

◆ noheader

if (!empty( $this->items)) JFactory::getDocument () -> addStyleDeclaration(' .hide table noheader { border-collapse: collapse

◆ thead

table noheader thead { display: none

Référencé par FOFUtilsInstallscript\renderPostInstallation(), et FOFUtilsInstallscript\renderPostUninstallation().


Joomla CMS: Référence du fichier default_articles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/contact/default_articles.php

Espaces de nommage

Joomla\Site

Variables

endforeach
endif

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_articles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/category/default_articles.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$n = count($this->items)
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$isEditable = false
endif
else __pad16__
< option value=""> else
list filter COM_CONTENT_FILTER_SEARCH_DESC COM_CONTENT_ filter_field _FILTER_LABEL show_pagination_limit JGLOBAL_DISPLAY_NUM filter_field hide show_headings grid sort COM_CONTENT_HEADING_TITLE a title list_show_date created grid sort COM_CONTENT_ _DATE a created modified grid sort COM_CONTENT_ _DATE a modified published grid sort COM_CONTENT_ _DATE a publish_up list_show_author grid sort JAUTHOR author list_show_hits grid sort JGLOBAL_HITS a hits list_show_votes grid sort COM_CONTENT_VOTES rating_count list_show_ratings grid sort COM_CONTENT_RATINGS rating COM_CONTENT_EDIT_ITEM list_show_date date date_format DATE_FORMAT_LC3 list_show_author link_author COM_CONTENT_WRITTEN_BY link COM_CONTENT_WRITTEN_BY list_show_hits list_show_votes list_show_ratings access edit icon edit
$menu = JFactory::getApplication()->getMenu()
$active = $menu->getActive()
$itemId = $active->id
$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))
endforeach

Documentation des variables

◆ $active

$active = $menu->getActive()

◆ $app

$app = JFactory::getApplication()

◆ $isEditable

$isEditable = false

◆ $itemId

$itemId = $active->id

◆ $link

$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $menu

$menu = JFactory::getApplication()->getMenu()

◆ $n

$n = count($this->items)

◆ __pad16__

else __pad16__

◆ edit

list filter COM_CONTENT_FILTER_SEARCH_DESC COM_CONTENT_ filter_field _FILTER_LABEL show_pagination_limit JGLOBAL_DISPLAY_NUM filter_field hide show_headings grid sort COM_CONTENT_HEADING_TITLE a title list_show_date created grid sort COM_CONTENT_ _DATE a created modified grid sort COM_CONTENT_ _DATE a modified published grid sort COM_CONTENT_ _DATE a publish_up list_show_author grid sort JAUTHOR author list_show_hits grid sort JGLOBAL_HITS a hits list_show_votes grid sort COM_CONTENT_VOTES rating_count list_show_ratings grid sort COM_CONTENT_RATINGS rating COM_CONTENT_EDIT_ITEM list_show_date date date_format DATE_FORMAT_LC3 list_show_author link_author COM_CONTENT_WRITTEN_BY link COM_CONTENT_WRITTEN_BY list_show_hits list_show_votes list_show_ratings access edit icon edit

Référencé par MenusControllerItem\edit(), ContentControllerArticle\edit(), et JGithubPackageUsers\updateUser().

◆ else

<option value=""> else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_batch.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contacts
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_batch.php

Espaces de nommage

Joomla\Administrator

Variables

$published = $this->state->get('filter.published')
endif

Documentation des variables

◆ $published

$published = $this->state->get('filter.published')

◆ endif

endif


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banners
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_banners/views/banners/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$published = $this->state->get('filter.published')
endif

Documentation des variables

◆ $published

$published = $this->state->get('filter.published')

Référencé par ContactModelContact\buildContactExtendedData(), PostinstallModelMessages\buildQuery(), ContactModelContact\getContactQuery(), NewsfeedsModelNewsfeed\getItem(), ContentModelArticle\getItem(), ContactModelContact\getItem(), TagsModelTag\getItem(), UsersModelNotes\getListQuery(), ContentModelFeatured\getListQuery(), BannersModelBanners\getListQuery(), BannersModelClients\getListQuery(), LanguagesModelLanguages\getListQuery(), TagsModelTags\getListQuery(), NewsfeedsModelNewsfeeds\getListQuery(), ContactModelContacts\getListQuery(), CategoriesModelCategories\getListQuery(), ContentModelArticles\getListQuery(), PluginsModelPlugins\getListQuery(), MenusModelItems\getListQuery(), MenusHelper\getMenuLinks(), JFormFieldCategory\getOptions(), FOFFormFieldTag\getOptions(), TagField\getOptions(), JFormFieldCategoryEdit\getOptions(), FOFUtilsInstallscript\installSubextensions(), TagsModelTags\populateState(), MenusModelItems\populateState(), ContentModelArticles\populateState(), Nested\publish(), JHtmlLanguages\published(), Nested\recursiveUpdatePublishedColumn(), et FOFUtilsInstallscript\uninstallSubextensions().

◆ endif

endif


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • categories
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_categories/views/categories/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$options
$published = (int) $this->state->get('filter.published')
$extension = $this->escape($this->state->get('filter.extension'))
endif

Documentation des variables

◆ $extension

$extension = $this->escape($this->state->get('filter.extension'))

◆ $options

$options
Valeur initiale :
= array(
JHtml::_('select.option', 'c', JText::_('JLIB_HTML_BATCH_COPY')),
JHtml::_('select.option', 'm', JText::_('JLIB_HTML_BATCH_MOVE'))
)

◆ $published

$published = (int) $this->state->get('filter.published')

◆ endif

endif


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contacts
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_contact/views/contacts/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$published = $this->state->get('filter.published')
endif

Documentation des variables

◆ $published

$published = $this->state->get('filter.published')

◆ endif

endif


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • articles
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_content/views/articles/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$published = (int) $this->state->get('filter.published')
endif

Documentation des variables

◆ $published

$published = (int) $this->state->get('filter.published')

◆ endif

endif


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • fields
  • tmpl
Espaces de nommage
Référence du fichier com_fields/views/fields/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • groups
  • tmpl
Espaces de nommage
Référence du fichier com_fields/views/groups/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • items
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_menus/views/items/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$options
$published = (int) $this->state->get('filter.published')
$clientId = (int) $this->state->get('filter.client_id')
$menuType = JFactory::getApplication()->getUserState('com_menus.items.menutype')
if ($clientId==1) () -> addScriptDeclaration(' jQuery(document).ready(function($)

Documentation des variables

◆ $clientId

$clientId = (int) $this->state->get('filter.client_id')

◆ $menuType

$menuType = JFactory::getApplication()->getUserState('com_menus.items.menutype')

◆ $options

$options
Valeur initiale :
= array(
JHtml::_('select.option', 'c', JText::_('JLIB_HTML_BATCH_COPY')),
JHtml::_('select.option', 'm', JText::_('JLIB_HTML_BATCH_MOVE'))
)

◆ $published

$published = (int) $this->state->get('filter.published')

◆ ($clientId==1)

if ( $clientId==1)() -> addScriptDeclaration(' jQuery(document).ready(function($)


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • modules
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_modules/views/modules/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$clientId = $this->state->get('client_id')
$published = 1
$positions = JHtml::_('modules.positions', $clientId, $published)
$positions ['']['items'][] = ModulesHelper::createOption('nochange', JText::_('COM_MODULES_BATCH_POSITION_NOCHANGE'))
$positions ['']['items'][] = ModulesHelper::createOption('noposition', JText::_('COM_MODULES_BATCH_POSITION_NOPOSITION'))
$customGroupText = JText::_('COM_MODULES_CUSTOM_POSITION')
$attr
endif

Documentation des variables

◆ $attr

$attr
Valeur initiale :
= array(
'id' => 'batch-position-id',
'list.attr' => 'class="chzn-custom-value input-xlarge" '
. 'data-custom_group_text="' . $customGroupText . '" '
. 'data-no_results_text="' . JText::_('COM_MODULES_ADD_CUSTOM_POSITION') . '" '
. 'data-placeholder="' . JText::_('COM_MODULES_TYPE_OR_SELECT_POSITION') . '" '
)
$customGroupText
$customGroupText
Definition: com_modules/views/modules/tmpl/default_batch_body.php:21

◆ $clientId

$clientId = $this->state->get('client_id')

◆ $customGroupText

$customGroupText = JText::_('COM_MODULES_CUSTOM_POSITION')

◆ $positions [1/3]

$positions = JHtml::_('modules.positions', $clientId, $published)

◆ $positions [2/3]

$positions[''][ 'items'][] = ModulesHelper::createOption('nochange', JText::_('COM_MODULES_BATCH_POSITION_NOCHANGE'))

◆ $positions [3/3]

$positions[''][ 'items'][] = ModulesHelper::createOption('noposition', JText::_('COM_MODULES_BATCH_POSITION_NOPOSITION'))

◆ $published

$published = 1

◆ endif

endif


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeeds
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_newsfeeds/views/newsfeeds/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$published = (int) $this->state->get('filter.published')
endif

Documentation des variables

◆ $published

$published = (int) $this->state->get('filter.published')

◆ endif

endif


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • links
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_redirect/views/links/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$published = $this->state->get('filter.published')
$params = $this->params
$separator = $params->get('separator', '|')

Documentation des variables

◆ $params

$params = $this->params

◆ $published

$published = $this->state->get('filter.published')

◆ $separator

$separator = $params->get('separator', '|')

Référencé par RedirectControllerLinks\batch(), FOFDatabaseQueryMysqli\concatenate(), JDatabaseQueryMysqli\concatenate(), JDatabaseQuerySqlite\concatenate(), FOFDatabaseQuerySqlite\concatenate(), FOFDatabaseQuerySqlsrv\concatenate(), JDatabaseQuerySqlsrv\concatenate(), FOFDatabaseQueryPostgresql\concatenate(), JDatabaseQueryPostgresql\concatenate(), FOFDatabaseQuery\concatenate(), JDatabaseQuery\concatenate(), ArrayHelper\flatten(), Registry\flatten(), FOFTable\getCSVHeader(), PlgEditorTinymce\onDisplay(), FOFTable\toCSV(), et Registry\toFlatten().


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tags
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_tags/views/tags/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$published = $this->state->get('filter.published')

Documentation des variables

◆ $published

$published = $this->state->get('filter.published')


Joomla CMS: Référence du fichier default_batch_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • users
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_users/views/users/tmpl/default_batch_body.php

Espaces de nommage

Joomla\Administrator

Variables

$options
$resetOptions

Documentation des variables

◆ $options

$options
Valeur initiale :
= array(
JHtml::_('select.option', 'add', JText::_('COM_USERS_BATCH_ADD')),
JHtml::_('select.option', 'del', JText::_('COM_USERS_BATCH_DELETE')),
JHtml::_('select.option', 'set', JText::_('COM_USERS_BATCH_SET'))
)

◆ $resetOptions

$resetOptions
Valeur initiale :
= array(
JHtml::_('select.option', '', JText::_('COM_USERS_NO_ACTION')),
JHtml::_('select.option', 'yes', JText::_('JYES')),
JHtml::_('select.option', 'no', JText::_('JNO'))
)


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banners
  • tmpl
Espaces de nommage
Référence du fichier com_banners/views/banners/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • categories
  • tmpl
Espaces de nommage
Référence du fichier com_categories/views/categories/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contacts
  • tmpl
Espaces de nommage
Référence du fichier com_contact/views/contacts/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • articles
  • tmpl
Espaces de nommage
Référence du fichier com_content/views/articles/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • fields
  • tmpl
Espaces de nommage
Référence du fichier com_fields/views/fields/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • groups
  • tmpl
Espaces de nommage
Référence du fichier com_fields/views/groups/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • items
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_menus/views/items/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator

Variables

$published = $this->state->get('filter.published')
$clientId = $this->state->get('filter.client_id')
$menuType = JFactory::getApplication()->getUserState('com_menus.items.menutype')
return false
endif

Documentation des variables

◆ $clientId

$clientId = $this->state->get('filter.client_id')

◆ $menuType

$menuType = JFactory::getApplication()->getUserState('com_menus.items.menutype')

◆ $published

$published = $this->state->get('filter.published')

◆ endif

endif

◆ false

return false

Référencé par FinderIndexerToken\__construct(), CategoriesModelCategory\batchFlipordering(), MenusControllerItem\cancel(), InstallerViewDiscover\checkExtensions(), ContenthistoryControllerHistory\delete(), ComponentHelper\getComponent(), LibraryHelper\getLibrary(), JGoogleEmbedMaps\hasSensor(), FOFIntegrationJoomlaPlatform\isCliAdmin(), ContenthistoryControllerHistory\keep(), JGithubPackageAuthorization\requestToken(), MenusControllerItem\save(), et MenusControllerItems\setDefault().


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • modules
  • tmpl
Espaces de nommage
Référence du fichier com_modules/views/modules/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeeds
  • tmpl
Espaces de nommage
Référence du fichier com_newsfeeds/views/newsfeeds/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • links
  • tmpl
Espaces de nommage
Référence du fichier com_redirect/views/links/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tags
  • tmpl
Espaces de nommage
Référence du fichier com_tags/views/tags/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_batch_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • users
  • tmpl
Espaces de nommage
Référence du fichier com_users/views/users/tmpl/default_batch_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_cache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_cache.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_CACHE_SETTINGS')
$this | fieldsname = 'cache'

Documentation des variables

◆ fieldsname

$this fieldsname = 'cache'

◆ name

string $userName The user name = JText::_('COM_CONFIG_CACHE_SETTINGS')

Layout variables

Référencé par FOFDownloadAdapterFopen\__construct(), FOFDownloadAdapterCurl\__construct(), FOFIntegrationJoomlaPlatform\__construct(), EventImmutable\__construct(), JDatabaseQueryElement\__construct(), FOFDatabaseQueryElement\__construct(), FOFModelField\__construct(), AbstractEvent\__construct(), ConfigModelCms\__construct(), FeedPerson\__construct(), SimplePie_Credit\__construct(), SimplePie_Author\__construct(), SimplePie_Cache_Memcache\__construct(), SimplePie_Cache_File\__construct(), Form\__construct(), RouterViewConfiguration\__construct(), BaseDatabaseModel\__construct(), nodecounter\__construct(), BaseController\__construct(), FOFController\__construct(), FOFModel\__construct(), JGithubPackage\__get(), FormField\__set(), JDatabaseQueryElement\__toString(), FOFDatabaseQueryElement\__toString(), LanguageAdapter\_install(), FOFModel\addBehavior(), UpdateSite\check(), Update\check(), Extension\check(), NewsfeedsTableNewsfeed\check(), BannersTableBanner\check(), FieldsTableField\check(), ContactTableContact\check(), DaemonApplication\daemonize(), AbstractDaemonApplication\daemonize(), InstallerModelUpdatesites\delete(), DaemonApplication\detach(), AbstractDaemonApplication\detach(), InstallerAdapter\discover_install(), DaemonApplication\execute(), AbstractDaemonApplication\execute(), SimplePie_Author\get_name(), SimplePie_Credit\get_name(), Access\getAssetRules(), FOFFormFieldCalendar\getCalendar(), LanguagesModelInstalled\getData(), FOFDatabaseDriver\getExporter(), JDatabaseDriver\getExporter(), FOFModelField\getFieldName(), FOFModel\getForm(), FOFFormHeaderField\getHeader(), FOFDatabaseDriver\getImporter(), JDatabaseDriver\getImporter(), InstallationFormFieldPrefix\getInput(), JFormFieldClicks\getInput(), JFormFieldImpMade\getInput(), JFormFieldModalAssociation\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldFilters\getInput(), JFormFieldModal_Article\getInput(), JFormFieldList\getInput(), JFormFieldModulelayout\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldRepeatable\getInput(), JFormFieldUsergroup\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldAccessLevel\getInput(), JFormFieldCombo\getInput(), JFormFieldRadio\getInput(), JFormFieldSkins\getInput(), JFormFieldUploaddirs\getInput(), FOFFormFieldOrdering\getInput(), ContenthistoryField\getInput(), UserField\getInput(), JFormFieldCheckboxes\getInput(), OrderingField\getInput(), JFormFieldCheckbox\getInput(), JFormFieldRules\getInput(), JFormFieldGroupedList\getInput(), JFormFieldModal_Menu\getInput(), CaptchaField\getInput(), MediaField\getInput(), JFormFieldSubform\getInput(), EditorField\getInput(), JFormFieldCategoryEdit\getInput(), FormField\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), FOFDatabaseDriver\getIterator(), JDatabaseDriver\getIterator(), JFormFieldTinymceBuilder\getLayoutData(), FormField\getLayoutData(), ModBreadCrumbsHelper\getList(), ModuleHelper\getModule(), ConfigModelCms\getName(), RouterView\getName(), nodecounter\getName(), BaseDatabaseModel\getName(), BaseController\getName(), FOFDatabaseDriver\getName(), JDatabaseDriver\getName(), FOFController\getName(), FOFModel\getName(), FOFDatabaseDriver\getQuery(), JDatabaseDriver\getQuery(), FOFFormFieldRelation\getRepeatable(), FOFFormFieldCheckbox\getRepeatable(), FOFFormFieldCheckbox\getStatic(), PluginHelper\importPlugin(), InstallerAdapter\install(), SimplePie_Cache_File\load(), SimplePie_Cache_Memcache\load(), PackageManifest\loadManifestFromData(), LibraryManifest\loadManifestFromData(), JFormFieldSubform\loadSubForm(), JFormFieldSubform\loadSubFormData(), SimplePie_Cache_File\mtime(), SimplePie_Cache_Memcache\mtime(), EventImmutable\offsetSet(), EventImmutable\offsetUnset(), StandardRules\parse(), DaemonApplication\restart(), AbstractDaemonApplication\restart(), SimplePie_Cache_File\save(), SimplePie_Cache_Memcache\save(), BufferStreamHandler\seek_end(), BufferStreamHandler\seek_set(), AbstractEvent\serialize(), XmlDocument\setName(), RouterViewConfiguration\setName(), JDatabaseQueryElement\setName(), FOFFormHeader\setup(), FileAdapter\setupInstallPaths(), DaemonApplication\stop(), AbstractDaemonApplication\stop(), PluginAdapter\storeExtension(), PackageAdapter\storeExtension(), Buffer\stream_eof(), BufferStreamHandler\stream_eof(), Buffer\stream_open(), BufferStreamHandler\stream_open(), Buffer\stream_read(), BufferStreamHandler\stream_read(), Buffer\stream_seek(), Buffer\stream_write(), BufferStreamHandler\stream_write(), SimplePie_Cache_File\touch(), SimplePie_Cache_Memcache\touch(), SimplePie_Cache_File\unlink(), SimplePie_Cache_Memcache\unlink(), et AbstractEvent\unserialize().


Joomla CMS: Référence du fichier default_cache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_cache.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'cache') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('cache') as $field)


Joomla CMS: Référence du fichier default_children.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/category/tmpl/default_children.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevel !=0 &&count( $this->children[ $this->category->id]) > 0)( $this->children[ $this->category->id] as $id=> $child) | ($this->params->get('show_empty_categories')|| $child->numitems||count($child->getChildren())) (!isset( $this->children[ $this->category->id][ $id+1]))
endif
$this | category = $child
$this | maxLevel
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($this->params->get('show_empty_categories')|| $child->numitems||count($child->getChildren()))

if($this->maxLevel != 0 && count($this->children[$this->category->id]) > 0) ($this->children[$this->category->id] as $id => $child) ( $this->params->get( 'show_empty_categories')||$child->numitems||count( $child->getChildren()))(!isset($this->children[$this->category->id][$id+1]))

◆ category

$this category = $child
Depuis
3.2

Référencé par LogEntry\__construct(), CategoryView\commonCategoryDisplay(), ContactViewFeatured\display(), ContentViewCategory\display(), NewsfeedsViewCategory\prepareDocument(), ContactViewCategory\prepareDocument(), et ContentViewCategory\prepareDocument().

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevel

$this maxLevel

Référencé par CategoryView\commonCategoryDisplay(), et ContactViewFeatured\display().


Joomla CMS: Référence du fichier default_children.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/category/tmpl/default_children.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
$lang = JFactory::getLanguage()
$user = JFactory::getUser()
$groups = $user->getAuthorisedViewLevels()
if(count( $this->children[ $this->category->id]) > 0)( $this->children[ $this->category->id] as $id=> $child)(in_array( $child->access, $groups))( $this->params->get( 'show_empty_categories')||$child->getNumItems(true)||count( $child->getChildren()))(!isset($this->children[$this->category->id][$id+1])) | endif
if(count($child->getChildren()) > 0 && $this->maxLevel > 1) | else
if(count($child->getChildren()) > 0 && $this->maxLevel > 1) $this | children [$child->id] = $child->getChildren()
$this | category = $child
$this | maxLevel
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ $groups

$groups = $user->getAuthorisedViewLevels()

◆ $lang

$lang = JFactory::getLanguage()

◆ $user

$user = JFactory::getUser()

◆ category

$this category = $child

◆ children

if (count( $child->getChildren()) > 0 &&$this->maxLevel > 1) $this children[ $child->id] = $child->getChildren()

◆ else

if (count( $child->getChildren()) > 0 &&$this->maxLevel > 1) else

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevel

$this maxLevel


Joomla CMS: Référence du fichier default_children.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_newsfeeds/views/category/tmpl/default_children.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevel !=0 &&count( $this->children[ $this->category->id]) > 0)( $this->children[ $this->category->id] as $id=> $child)( $this->params->get( 'show_empty_categories')||$child->numitems||count( $child->getChildren()))(!isset($this->children[$this->category->id][$id+1])) | endif
$this | category = $child
$this | maxLevel
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ category

$this category = $child

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevel

$this maxLevel


Joomla CMS: Référence du fichier default_children.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/category/default_children.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevel !=0 &&count( $this->children[ $this->category->id]) > 0)( $this->children[ $this->category->id] as $id=> $child) | ($child->numitems|| $this->params->get('show_empty_categories')||count($child->getChildren())) (!isset( $this->children[ $this->category->id][ $id+1]))
endif
$this | category = $child
$this | maxLevel
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($child->numitems|| $this->params->get('show_empty_categories')||count($child->getChildren()))

if($this->maxLevel != 0 && count($this->children[$this->category->id]) > 0) ($this->children[$this->category->id] as $id => $child) ( $child->numitems||$this->params->get( 'show_empty_categories')||count( $child->getChildren()))(!isset($this->children[$this->category->id][$id+1]))

◆ category

$this category = $child

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevel

$this maxLevel


Joomla CMS: Référence du fichier default_children.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/category/default_children.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$templateparams = $app->getTemplate(true)->params
$class = ' class="first"'
$user = JFactory::getUser()
$groups = $user->getAuthorisedViewLevels()
if(count( $this->children[ $this->category->id]) > 0)( $this->children[ $this->category->id] as $id=> $child)(in_array( $child->access, $groups))( $this->params->get( 'show_empty_categories')||$child->getNumItems(true)||count( $child->getChildren()))(!isset($this->children[$this->category->id][$id+1])) | endif
$this | category = $child
$this | maxLevel
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $class

$class = ' class="first"'

◆ $groups

$groups = $user->getAuthorisedViewLevels()

◆ $templateparams

$templateparams = $app->getTemplate(true)->params

◆ $user

$user = JFactory::getUser()

◆ category

$this category = $child

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevel

$this maxLevel


Joomla CMS: Référence du fichier default_children.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_newsfeeds
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_newsfeeds/category/default_children.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevel !=0 &&count( $this->children[ $this->category->id]) > 0)( $this->children[ $this->category->id] as $id=> $child) | ($child->numitems|| $this->params->get('show_empty_categories')||count($child->getChildren())) (!isset( $this->children[ $this->category->id][ $id+1]))
endif
$this | category = $child
$this | maxLevel
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($child->numitems|| $this->params->get('show_empty_categories')||count($child->getChildren()))

if($this->maxLevel != 0 && count($this->children[$this->category->id]) > 0) ($this->children[$this->category->id] as $id => $child) ( $child->numitems||$this->params->get( 'show_empty_categories')||count( $child->getChildren()))(!isset($this->children[$this->category->id][$id+1]))

◆ category

$this category = $child

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevel

$this maxLevel


Joomla CMS: Référence du fichier default_children.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_weblinks/category/default_children.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevel !=0 &&count( $this->children[ $this->category->id]) > 0)( $this->children[ $this->category->id] as $id=> $child) | ($child->numitems|| $this->params->get('show_empty_categories')||count($child->getChildren())) (!isset( $this->children[ $this->category->id][ $id+1]))
endif
$this | category = $child
$this | maxLevel
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($child->numitems|| $this->params->get('show_empty_categories')||count($child->getChildren()))

if($this->maxLevel != 0 && count($this->children[$this->category->id]) > 0) ($this->children[$this->category->id] as $id => $child) ( $child->numitems||$this->params->get( 'show_empty_categories')||count( $child->getChildren()))(!isset($this->children[$this->category->id][$id+1]))

◆ category

$this category = $child

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevel

$this maxLevel


Joomla CMS: Référence du fichier default_component.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_menu
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_component.php

Espaces de nommage

Joomla\Site

Variables

$attributes = array()
if($item->anchor_title) if($item->anchor_css) if($item->anchor_rel) | $linktype = $item->title
if($item->menu_image) if($item->browserNav==1) | elseif ( $item->browserNav==2)

Documentation des variables

◆ $attributes

$attributes = array()

◆ $linktype

if ( $item->anchor_title) if ( $item->anchor_css) if ( $item->anchor_rel) $linktype = $item->title

◆ elseif

if ( $item->menu_image) if ( $item->browserNav==1) elseif($item->browserNav==2)


Joomla CMS: Référence du fichier default_config.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_admin/views/sysinfo/tmpl/default_config.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->config as $key=> $value)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->config as $key=> $value)


Joomla CMS: Référence du fichier default_config.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • sysinfo
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_admin/sysinfo/default_config.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->config as $key=> $value)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->config as $key=> $value)


Joomla CMS: Référence du fichier default_cookie.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_cookie.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_COOKIE_SETTINGS')
$this | fieldsname = 'cookie'

Documentation des variables

◆ fieldsname

$this fieldsname = 'cookie'

◆ name

$this name = JText::_('COM_CONFIG_COOKIE_SETTINGS')


Joomla CMS: Référence du fichier default_cookie.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_cookie.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'cookie') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('cookie') as $field)


Joomla CMS: Référence du fichier default_core.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • profile
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_core.php

Espaces de nommage

Joomla\Site

Variables

else __pad0__
endif

Documentation des variables

◆ __pad0__

else __pad0__

◆ endif

endif


Joomla CMS: Référence du fichier default_custom.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • profile
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_custom.php

Espaces de nommage

Joomla\Site

Variables

$fieldsets = $this->form->getFieldsets()
if(isset($fieldsets['core'])) if(isset($fieldsets['params'])) | $tmp = isset($this->data->jcfields) ? $this->data->jcfields : array()
$customFields = array()
if (count( $fields))
if(isset($fieldset->label) &&($legend=trim(JText::_($fieldset->label))) !=='') | endif
else __pad1__
else $field | value
endforeach

Documentation des variables

◆ $customFields

$customFields = array()

◆ $fieldsets

$fieldsets = $this->form->getFieldsets()

◆ $tmp

if (isset( $fieldsets[ 'core'])) if (isset( $fieldsets[ 'params'])) $tmp = isset($this->data->jcfields) ? $this->data->jcfields : array()

Référencé par UserHelper\_bin(), FtpClient\append(), ContactRouterRulesLegacy\build(), ContentRouterRulesLegacy\build(), NewsfeedsRouterRulesLegacy\build(), SiteRouter\buildSefRoute(), JDatabaseDriverPostgresql\connect(), SimpleCipher\decrypt(), InstallationModelFtp\detectFtpRoot(), Installer\discover(), MenusViewMenutypes\display(), ContentViewForm\display(), SimpleCipher\encrypt(), Form\findField(), Form\findFieldsByGroup(), Form\findGroup(), FOFForm\findHeader(), FOFForm\findHeadersByGroup(), FormattedtextLogger\formatLine(), Microdata\getExpectedTypes(), Form\getFieldsets(), MediaViewMedia\getFolderLevel(), MediaModelManager\getFolderTree(), JFormFieldGroupedList\getGroups(), ChromestyleField\getGroups(), JFormFieldUsergroup\getInput(), MediaModelList\getList(), ModuletagField\getOptions(), HeadertagField\getOptions(), JFormFieldLogType\getOptions(), JFormFieldList\getOptions(), FOFFormFieldList\getOptions(), FOFModelField\getSearchMethods(), AssociationExtensionHelper\getTypeFieldName(), RssParser\handleWebmaster(), Microdata\htmlTag(), LdapClient\ipToNetAddress(), Path\isOwner(), DaemonApplication\loadConfiguration(), AbstractDaemonApplication\loadConfiguration(), PlgSystemFields\onPrepareFinderContent(), AKText\parse_ini_file(), FOFUtilsIniParser\parse_ini_file_php(), Inline\parseScalar(), FtpClient\read(), ModuleRenderer\render(), ParagonIE_Sodium_Core_SipHash\rotl_64(), AKEncryptionAES\RotWord(), JError\setErrorHandling(), Installer\setOverwrite(), Installer\setUpgrade(), Uri\setVar(), JHtmlString\truncate(), uctc\utf7_ucs4array(), utf8_bad_identify(), utf8_is_valid(), utf8_to_unicode(), et FtpClient\write().

◆ __pad1__

else __pad1__

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(count($fields))

◆ value

else $field value


Joomla CMS: Référence du fichier default_database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_database.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_DATABASE_SETTINGS')
$this | fieldsname = 'database'

Documentation des variables

◆ fieldsname

$this fieldsname = 'database'

◆ name

$this name = JText::_('COM_CONFIG_DATABASE_SETTINGS')


Joomla CMS: Référence du fichier default_database.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_database.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'database') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('database') as $field)


Joomla CMS: Référence du fichier default_debug.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_debug.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_DEBUG_SETTINGS')
$this | fieldsname = 'debug'

Documentation des variables

◆ fieldsname

$this fieldsname = 'debug'

◆ name

$this name = JText::_('COM_CONFIG_DEBUG_SETTINGS')


Joomla CMS: Référence du fichier default_debug.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_debug.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'debug') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('debug') as $field)


Joomla CMS: Référence du fichier default_description.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_templates/views/template/tmpl/default_description.php

Espaces de nommage

Joomla\Administrator

Variables

$client = JApplicationHelper::getClientInfo($this->template->client_id)
$this template xmldata = TemplatesHelper::parseXMLTemplateFile($client->path, $this->template->element)

Documentation des variables

◆ $client

$client = JApplicationHelper::getClientInfo($this->template->client_id)

◆ xmldata

$this template xmldata = TemplatesHelper::parseXMLTemplateFile($client->path, $this->template->element)


Joomla CMS: Référence du fichier default_description.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • template
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_templates/template/default_description.php

Espaces de nommage

Joomla\Administrator

Variables

$client = JApplicationHelper::getClientInfo($this->template->client_id)
$this template xmldata = TemplatesHelper::parseXMLTemplateFile($client->path, $this->template->element)

Documentation des variables

◆ $client

$client = JApplicationHelper::getClientInfo($this->template->client_id)

◆ xmldata

$this template xmldata = TemplatesHelper::parseXMLTemplateFile($client->path, $this->template->element)


Joomla CMS: Référence du fichier default_directory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_admin/views/sysinfo/tmpl/default_directory.php

Espaces de nommage

Joomla\Administrator

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default_directory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • sysinfo
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_admin/sysinfo/default_directory.php

Espaces de nommage

Joomla\Administrator

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default_error.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • views
  • search
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_error.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_filter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • languages
Espaces de nommage
Référence du fichier languages/default_filter.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_filter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • manage
Espaces de nommage
Référence du fichier manage/default_filter.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_filters.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_filters.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_TEXT_FILTER_SETTINGS')
$this | fieldsname = 'filters'
$this | description = JText::_('COM_CONFIG_TEXT_FILTERS_DESC')

Documentation des variables

◆ description

string $description The field description = JText::_('COM_CONFIG_TEXT_FILTERS_DESC')
Depuis
3.1

Référencé par SimplePie_Enclosure\__construct(), SimplePie_Enclosure\get_description(), JFormFieldTos\getLabel(), JFormFieldSpacer\getLabel(), FormField\getLayoutData(), PackageManifest\loadManifestFromData(), HtmlDocument\mergeHeadData(), OpensearchDocument\render(), HtmlDocument\resetHeadData(), Document\setDescription(), HtmlDocument\setHeadData(), et FOFFormHeader\setup().

◆ fieldsname

$this fieldsname = 'filters'

◆ name

$this name = JText::_('COM_CONFIG_TEXT_FILTER_SETTINGS')


Joomla CMS: Référence du fichier default_filters.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_filters.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'filters') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('filters') as $field)


Joomla CMS: Référence du fichier default_folder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • imageslist
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_media/views/imageslist/tmpl/default_folder.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input


Joomla CMS: Référence du fichier default_folder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • com_media
  • imageslist
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/html/com_media/imageslist/default_folder.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input


Joomla CMS: Référence du fichier default_folder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • com_media
  • imageslist
Espaces de nommage | Variables
Référence du fichier templates/protostar/html/com_media/imageslist/default_folder.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input


Joomla CMS: Référence du fichier default_folders.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • media
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_media/views/media/tmpl/default_folders.php

Espaces de nommage

Joomla\Administrator

Variables

$ulTarget = str_replace('/', '-', $this->folders['data']->relative)
endforeach
endif

Documentation des variables

◆ $ulTarget

$ulTarget = str_replace('/', '-', $this->folders['data']->relative)

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_folders.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_templates/views/template/tmpl/default_folders.php

Espaces de nommage

Joomla\Administrator

Variables

foreach( $this->files as $key=> $value)(is_array($value)) $explodeArray = explode('/', $key)
endif
endforeach

Documentation des variables

◆ $explodeArray

foreach ($this->files as $key => $value) (is_array( $value)) $explodeArray = explode('/', $key)

Référencé par TemplatesViewTemplate\addToolbar(), TemplateHelper\canUpload(), TemplatesModelTemplate\compileLess(), TemplatesModelTemplate\copyFile(), TemplatesModelTemplate\createOverride(), TemplatesViewTemplate\display(), TemplatesModelTemplate\extractArchive(), TemplatesModelTemplate\getFont(), TemplatesModelTemplate\renameFile(), TemplatesControllerTemplate\save(), et TemplatesModelTemplate\save().

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_folders.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • template
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_templates/template/default_folders.php

Espaces de nommage

Joomla\Administrator

Variables

foreach( $this->files as $key=> $value)(is_array($value)) $explodeArray = explode('/', $key)
endif
endforeach

Documentation des variables

◆ $explodeArray

foreach ($this->files as $key => $value) (is_array( $value)) $explodeArray = explode('/', $key)

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • install
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_installer/install/default_form.php

Espaces de nommage

Joomla\Administrator

Variables

Joomla | submitbutton3
Joomla | submitbutton4
Joomla | submitbuttonInstallWebInstaller

Documentation des variables

◆ submitbutton3

Joomla submitbutton3
Valeur initiale :
= function()
{
var form = document.getElementById('adminForm');
if (form.install_directory.value == ''){
alert('" . JText::_('COM_INSTALLER_MSG_INSTALL_PLEASE_SELECT_A_DIRECTORY', true) . "');
}
else
{
JoomlaInstaller.showLoading();
form.installtype.value = 'folder';
form.submit();
}
}
JoomlaInstaller
JoomlaInstaller
Definition: administrator/components/com_installer/views/install/tmpl/default.php:55

◆ submitbutton4

Joomla submitbutton4
Valeur initiale :
= function()
{
var form = document.getElementById('adminForm');
if (form.install_url.value == '' || form.install_url.value == 'http://' || form.install_url.value == 'https://'){
alert('" . JText::_('COM_INSTALLER_MSG_INSTALL_ENTER_A_URL', true) . "');
}
else
{
form.installtype.value = 'url';
form.submit();
}
}

◆ submitbuttonInstallWebInstaller

Joomla submitbuttonInstallWebInstaller
Valeur initiale :
= function()
{
var form = document.getElementById('adminForm');
form.install_url.value = 'https://appscdn.joomla.org/webapps/jedapps/webinstaller.xml';
Joomla.submitbutton4();
}
Joomla


Joomla CMS: Référence du fichier default_form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/contact/tmpl/default_form.php

Espaces de nommage

Joomla\Site

Variables

foreach( $this->form->getFieldsets() as $fieldset)($fieldset->name==='captcha' &&! $this->captchaEnabled) endif
$fields = $this->form->getFieldset($fieldset->name)
endforeach

Documentation des variables

◆ $fields

$fields = $this->form->getFieldset($fieldset->name)

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
  • search
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_finder/views/search/tmpl/default_form.php

Espaces de nommage

Joomla\Site

Variables

if ( $this->params->get( 'show_advanced', 1)||$this->params->get( 'show_autosuggest', 1))
endif
else __pad1__

Documentation des variables

◆ __pad1__

else __pad1__

◆ endif

endif

◆ if

if($this->params->get('show_advanced', 1)|| $this->params->get('show_autosuggest', 1))


Joomla CMS: Référence du fichier default_form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • views
  • search
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_search/views/search/tmpl/default_form.php

Espaces de nommage

Joomla\Site

Variables

$lang = JFactory::getLanguage()
$upper_limit = $lang->getUpperLimitSearchWord()
endif
foreach( $this->searchareas[ 'search'] as $val=> $txt)($this->searchareas['active']) &&in_array($val $this searchareas ['active']
endforeach

Documentation des variables

◆ $lang

$lang = JFactory::getLanguage()

◆ $upper_limit

$upper_limit = $lang->getUpperLimitSearchWord()

Référencé par SearchViewSearch\display(), et SearchHelper\limitSearchWord().

◆ endforeach

endforeach

◆ endif

endif

◆ searchareas

foreach ($this->searchareas['search'] as $val => $txt) ( $this->searchareas[ 'active']) &&in_array( $val $this searchareas[ 'active']

Référencé par SearchViewSearch\display().


Joomla CMS: Référence du fichier default_form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/contact/default_form.php

Espaces de nommage

Joomla\Site

Variables

if(isset($this->error)) | endif
foreach( $fields as $field)($field->hidden) | else
endforeach

Documentation des variables

◆ else

foreach ($fields as $field) ( $field->hidden) else

◆ endforeach

endif endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_ftp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_ftp.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_FTP_SETTINGS')
$this | fieldsname = 'ftp'

Documentation des variables

◆ fieldsname

$this fieldsname = 'ftp'

◆ name

$this name = JText::_('COM_CONFIG_FTP_SETTINGS')


Joomla CMS: Référence du fichier default_ftp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • default
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_installer/views/default/tmpl/default_ftp.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_ftp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_ftp.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'ftp') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('ftp') as $field)


Joomla CMS: Référence du fichier default_ftp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • default
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_installer/default/default_ftp.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_ftp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_languages
  • installed
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_languages/installed/default_ftp.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_ftplogin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_ftplogin.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_ftplogin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_ftplogin.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_heading.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_menu
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_heading.php

Espaces de nommage

Joomla\Site

Variables

$title = $item->anchor_title ? ' title="' . $item->anchor_title . '"' : ''
$anchor_css = $item->anchor_css ?: ''
$linktype = $item->title
if ( $item->menu_image)

Documentation des variables

◆ $anchor_css

$anchor_css = $item->anchor_css ?: ''

◆ $linktype

$linktype = $item->title

◆ $title

$title = $item->anchor_title ? ' title="' . $item->anchor_title . '"' : ''

◆ if

if($item->menu_image)


Joomla CMS: Référence du fichier default_image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • imageslist
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_media/views/imageslist/tmpl/default_image.php

Espaces de nommage

Joomla\Administrator

Variables

$params = new Registry
$dispatcher = JEventDispatcher::getInstance()

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

Référencé par CliApplication\__construct(), DaemonApplication\__construct(), PluginHelper\_import(), UsersModelUser\activate(), Authentication\authorise(), ContentModelArticle\batchMove(), UsersModelUser\block(), ContactModelContact\buildContactExtendedData(), CheckinModelCheckin\checkin(), Table\checkIn(), ConfigModelCms\cleanCache(), CategoryView\commonCategoryDisplay(), MediaControllerFolder\create(), MediaControllerFolder\delete(), FinderModelMaps\delete(), FinderModelIndex\delete(), TemplatesModelStyle\delete(), UsersModelGroup\delete(), MediaControllerFile\delete(), MenusModelMenu\delete(), ModulesModelModule\delete(), UsersModelUser\delete(), AdminModel\delete(), User\delete(), Installer\discover_install(), InstallerViewInstall\display(), ContentViewArchive\display(), ContentViewArticle\display(), ContentViewFeatured\display(), ContactViewContact\display(), ContentViewCategory\display(), TagsViewTag\display(), InstallerHelper\downloadPackage(), TemplatesModelStyle\duplicate(), SearchModelSearch\getAreas(), ContactModelContact\getContactQuery(), FinderIndexerHelper\getContentExtras(), SearchModelSearch\getData(), UsersModelRegistration\getData(), Joomla\Event\getDispatcher(), FieldsHelper\getFields(), UsersModelNote\getItem(), PlgSystemStatsFormFieldData\getLayoutData(), ModSampledataHelper\getList(), UserHelper\getProfile(), PluginHelper\import(), PluginHelper\importPlugin(), WebApplication\initialise(), Session\initialise(), InstallerModelInstall\install(), Installer\install(), BaseApplication\loadDispatcher(), PlgContentFinder\onCategoryChangeState(), PlgContentFinder\onContentAfterDelete(), PlgContentFinder\onContentAfterSave(), PlgContentFinder\onContentBeforeSave(), PlgContentFinder\onContentChangeState(), PlgEditorCodemirror\onDisplay(), PlgEditorCodemirror\onInit(), JHtmlContent\prepare(), FinderIndexerHelper\prepareContent(), JAdminCssMenu\preprocess(), ConfigModelForm\preprocessData(), FormModel\preprocessData(), ConfigModelForm\preprocessForm(), FormModel\preprocessForm(), ListModel\preprocessForm(), FOFModel\preprocessForm(), UsersModelRemind\processRemindRequest(), FinderModelMaps\publish(), FinderModelIndex\publish(), CategoriesModelCategory\publish(), AdminModel\publish(), ConfigModelApplication\removeroot(), FOFIntegrationJoomlaPlatform\runPlugins(), ConfigModelApplication\save(), ConfigModelComponent\save(), LanguagesModelLanguage\save(), MenusModelMenu\save(), TagsModelTag\save(), TemplatesModelStyle\save(), CategoriesModelCategory\save(), User\save(), ModulesModelModule\save(), AdminModel\save(), MenusModelItem\save(), Joomla\Event\setDispatcher(), ContactControllerContact\submit(), Installer\uninstall(), Installer\update(), MediaControllerFile\upload(), et FormModel\validate().

◆ $params

$params = new Registry


Joomla CMS: Référence du fichier default_image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • com_media
  • imageslist
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/html/com_media/imageslist/default_image.php

Espaces de nommage

Joomla\Administrator

Variables

$params = new Registry
$dispatcher = JEventDispatcher::getInstance()

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry


Joomla CMS: Référence du fichier default_image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • com_media
  • imageslist
Espaces de nommage | Variables
Référence du fichier templates/protostar/html/com_media/imageslist/default_image.php

Espaces de nommage

Joomla\Administrator

Variables

$params = new Registry
$dispatcher = JEventDispatcher::getInstance()

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry


Joomla CMS: Référence du fichier default_item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • discover
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/views/discover/tmpl/default_item.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • featured
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/featured/tmpl/default_item.php

Espaces de nommage

Joomla\Site

Variables

$params = &$this->item->params
$canEdit = $this->item->params->get('access-edit')
$info = $this->item->params->get('info_block_position', 0)
$assocParam = (JLanguageAssociations::isEnabled() && $params->get('show_associations'))
$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')
$isExpired = $this->item->publish_down < $currentDate && $this->item->publish_down !== JFactory::getDbo()->getNullDate()
$isNotPublishedYet = $this->item->publish_up > $currentDate
$isUnpublished = $this->item->state == 0 || $isNotPublishedYet || $isExpired
else __pad0__
endif
$useDefList
else __pad1__
$active = $menu->getActive()
$itemId = $active->id
$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))
if ( $isUnpublished)

Documentation des variables

◆ $active

$active = $menu->getActive()

◆ $assocParam

$assocParam = (JLanguageAssociations::isEnabled() && $params->get('show_associations'))

◆ $canEdit

$canEdit = $this->item->params->get('access-edit')

◆ $currentDate

$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')

◆ $info

$info = $this->item->params->get('info_block_position', 0)

◆ $isExpired

$isExpired = $this->item->publish_down < $currentDate && $this->item->publish_down !== JFactory::getDbo()->getNullDate()

◆ $isNotPublishedYet

$isNotPublishedYet = $this->item->publish_up > $currentDate

◆ $isUnpublished

$isUnpublished = $this->item->state == 0 || $isNotPublishedYet || $isExpired

◆ $itemId

$itemId = $active->id

◆ $link

$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

◆ $params

$params = &$this->item->params

◆ $useDefList

$useDefList
Valeur initiale :
= ($params->get('show_modify_date') || $params->get('show_publish_date') || $params->get('show_create_date')
|| $params->get('show_hits') || $params->get('show_category') || $params->get('show_parent_category') || $params->get('show_author') || $assocParam)
$assocParam
$assocParam
Definition: components/com_content/views/featured/tmpl/default_item.php:18
$params
$params
Definition: components/com_content/views/featured/tmpl/default_item.php:13

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endif

endif

◆ if

if($isUnpublished)


Joomla CMS: Référence du fichier default_item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • featured
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/featured/default_item.php

Espaces de nommage

Joomla\Site

Variables

$canEdit = $this->item->params->get('access-edit')
$params = &$this->item->params
$showPrintIcon = $params->get('show_print_icon')
$showEmailIcon = $params->get('show_email_icon')
$images = json_decode($this->item->images)
$app = JFactory::getApplication()
$templateparams = $app->getTemplate(true)->params
$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')
$isUnpublished
else __pad17__
endif
$title = $title ?: JText::_('JGLOBAL_UNCATEGORISED')
$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)) . '">' . $title . '</a>'
else __pad18__
else __pad19__
else __pad20__
else $author
else __pad21__
$active = $menu->getActive()
$itemId = $active->id
$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))
else __pad22__
if ( $isUnpublished)

Documentation des variables

◆ $active

$active = $menu->getActive()

◆ $app

$app = JFactory::getApplication()

◆ $author

else $author

◆ $canEdit

$canEdit = $this->item->params->get('access-edit')

◆ $currentDate

$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')

◆ $images

$images = json_decode($this->item->images)

◆ $isUnpublished

$isUnpublished
Valeur initiale :
= ($this->item->state == 0 || $this->item->publish_up > $currentDate)
|| ($this->item->publish_down < $currentDate && $this->item->publish_down !== JFactory::getDbo()->getNullDate())
item
else $this item
Definition: components/com_content/views/article/tmpl/default.php:76
$currentDate
$currentDate
Definition: templates/beez3/html/com_content/featured/default_item.php:23

◆ $itemId

$itemId = $active->id

◆ $link

$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false))

◆ $params

$params = &$this->item->params

◆ $showEmailIcon

$showEmailIcon = $params->get('show_email_icon')

◆ $showPrintIcon

$showPrintIcon = $params->get('show_print_icon')

◆ $templateparams

$templateparams = $app->getTemplate(true)->params

◆ $title

else $title = $title ?: JText::_('JGLOBAL_UNCATEGORISED')

◆ $url

$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)) . '">' . $title . '</a>'

◆ __pad17__

else __pad17__

◆ __pad18__

else __pad18__

◆ __pad19__

else __pad19__

◆ __pad20__

else __pad20__

◆ __pad21__

else __pad21__

◆ __pad22__

else __pad22__

◆ endif

endif

◆ if

if($isUnpublished)


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • categories
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/categories/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevelcat !=0 &&count( $this->items[ $this->parent->id]) > 0)( $this->items[ $this->parent->id] as $id=> $item) | ($this->params->get('show_empty_categories_cat')|| $item->numitems||count($item->getChildren())) (!isset( $this->items[ $this->parent->id][ $id+1]))
endif
if ( $this->maxLevelcat > 1 &&count( $item->getChildren()) > 0)
if($this->maxLevelcat > 1 &&count($item->getChildren()) > 0) $this | items [$item->id] = $item->getChildren()
$this | parent = $item
$this | maxLevelcat
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($this->params->get('show_empty_categories_cat')|| $item->numitems||count($item->getChildren()))

if($this->maxLevelcat != 0 && count($this->items[$this->parent->id]) > 0) ($this->items[$this->parent->id] as $id => $item) ( $this->params->get( 'show_empty_categories_cat')||$item->numitems||count( $item->getChildren()))(!isset($this->items[$this->parent->id][$id+1]))

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($this->maxLevelcat > 1 &&count($item->getChildren()) > 0)

◆ items

array $menus List of the menu items = $item->getChildren()
Depuis
1.6

Référencé par PrivacyExportDomain\addItem(), FeedDocument\addItem(), CategoryView\commonCategoryDisplay(), ModulesViewSelect\display(), InstallerViewDiscover\display(), LanguagesViewLanguages\display(), ContenthistoryViewCompare\display(), PluginsViewPlugins\display(), TagsViewTags\display(), TemplatesViewStyles\display(), MessagesViewMessages\display(), ModulesViewModules\display(), ModulesViewPositions\display(), ContenthistoryViewHistory\display(), SearchViewSearches\display(), ContentViewArchive\display(), InstallerViewManage\display(), InstallerViewUpdatesites\display(), MenusViewMenu\display(), InstallerViewLanguages\display(), NewsfeedsViewCategory\display(), RedirectViewLinks\display(), MenusViewMenus\display(), MenusViewItems\display(), BannersViewTracks\display(), BannersViewClients\display(), UsersViewGroups\display(), UsersViewLevels\display(), InstallerViewUpdate\display(), LanguagesViewOverrides\display(), NewsfeedsViewNewsfeeds\display(), TemplatesViewTemplates\display(), UsersViewDebuguser\display(), UsersViewDebuggroup\display(), ContactViewCategory\display(), CategoriesView\display(), BannersViewBanners\display(), CheckinViewCheckin\display(), UsersViewNotes\display(), AssociationsViewAssociations\display(), ActionlogsViewActionlogs\display(), ContactViewContacts\display(), FieldsViewGroups\display(), FieldsViewFields\display(), ContactViewFeatured\display(), FinderViewFilters\display(), ContentViewCategory\display(), CategoriesViewCategories\display(), FinderViewMaps\display(), ContentViewArticles\display(), ContentViewFeatured\display(), PrivacyViewConsents\display(), UsersViewUsers\display(), FinderViewIndex\display(), TagsViewTag\display(), PrivacyViewRequests\display(), ModulesModelPositions\getItems(), CheckinModelCheckin\getItems(), FOFViewJson\onDisplay(), PostinstallViewMessages\onDisplay(), FOFViewCsv\onDisplay(), FOFViewRaw\onDisplay(), InstallationViewLanguagesHtml\render(), et InstallationViewDefaultlanguageHtml\render().

◆ maxLevelcat

$this maxLevelcat

Référencé par CategoriesView\display().

◆ parent

$this parent = $item

Référencé par AdapterInstance\__construct(), Container\__construct(), ComponentAdapter\_buildAdminMenus(), CollectionAdapter\_endElement(), PackageAdapter\_getExtensionId(), CollectionAdapter\_getParent(), LanguageAdapter\_install(), ModuleAdapter\_rollback_menu(), ModuleAdapter\_rollback_module(), ComponentAdapter\_updateMenus(), InstallerAdapter\canUninstallPackageChild(), LibraryAdapter\checkExtensionInFilesystem(), PackageAdapter\checkExtensionInFilesystem(), ComponentAdapter\checkExtensionInFilesystem(), InstallerAdapter\checkExtensionInFilesystem(), CategoryView\commonCategoryDisplay(), FileAdapter\copyBaseFiles(), LibraryAdapter\copyBaseFiles(), TemplateAdapter\copyBaseFiles(), PluginAdapter\copyBaseFiles(), ModuleAdapter\copyBaseFiles(), PackageAdapter\copyBaseFiles(), ComponentAdapter\copyBaseFiles(), PluginAdapter\createExtensionRoot(), ComponentAdapter\createExtensionRoot(), InstallerAdapter\createExtensionRoot(), InstallerAdapter\discover_install(), LanguageAdapter\discover_install(), CategoriesView\display(), ContactViewFeatured\display(), TagsViewTag\display(), InstallerAdapter\doDatabaseTransactions(), FileAdapter\extensionExistsInSystem(), FileAdapter\finaliseInstall(), ModuleAdapter\finaliseInstall(), FileAdapter\getElement(), Container\getRaw(), UpdateAdapter\getUpdateSiteName(), Container\has(), Node\hasParent(), LanguageAdapter\install(), InstallerAdapter\install(), LibraryAdapter\loadLanguage(), TemplateAdapter\loadLanguage(), ModuleAdapter\loadLanguage(), PluginAdapter\loadLanguage(), ComponentAdapter\loadLanguage(), FileAdapter\parseOptionalTags(), LibraryAdapter\parseOptionalTags(), TemplateAdapter\parseOptionalTags(), ModuleAdapter\parseOptionalTags(), PluginAdapter\parseOptionalTags(), PackageAdapter\parseOptionalTags(), ComponentAdapter\parseOptionalTags(), InstallerAdapter\parseQueries(), FileAdapter\populateFilesAndFolderList(), LibraryAdapter\prepareDiscoverInstall(), ModuleAdapter\prepareDiscoverInstall(), TemplateAdapter\prepareDiscoverInstall(), PluginAdapter\prepareDiscoverInstall(), LibraryAdapter\refreshManifestCache(), ModuleAdapter\refreshManifestCache(), TemplateAdapter\refreshManifestCache(), FileAdapter\refreshManifestCache(), PluginAdapter\refreshManifestCache(), PackageAdapter\refreshManifestCache(), LanguageAdapter\refreshManifestCache(), ComponentAdapter\refreshManifestCache(), Container\resolveAlias(), RouterViewConfiguration\setParent(), FileAdapter\setupInstallPaths(), LibraryAdapter\setupInstallPaths(), ModuleAdapter\setupInstallPaths(), TemplateAdapter\setupInstallPaths(), PluginAdapter\setupInstallPaths(), PackageAdapter\setupInstallPaths(), ComponentAdapter\setupInstallPaths(), InstallerAdapter\setupScriptfile(), ComponentAdapter\setupUpdates(), FileAdapter\storeExtension(), LibraryAdapter\storeExtension(), TemplateAdapter\storeExtension(), PluginAdapter\storeExtension(), PackageAdapter\storeExtension(), UpdateAdapter\toggleUpdateSite(), PackageAdapter\triggerManifestScript(), InstallerAdapter\triggerManifestScript(), FileAdapter\uninstall(), LibraryAdapter\uninstall(), TemplateAdapter\uninstall(), PluginAdapter\uninstall(), PackageAdapter\uninstall(), LanguageAdapter\uninstall(), ComponentAdapter\uninstall(), LanguageAdapter\update(), et InstallerAdapter\update().


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/category/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

endif
else __pad0__
else $this usergetAuthorisedViewLevels()))($this->items[$i]->published==0) else
else __pad1__
$location = array()
endforeach

Documentation des variables

◆ $location

$location = array()

Référencé par SimplePie_File\__construct(), SimplePie_Cache_MySQL\__construct(), SimplePie_Cache_Memcache\__construct(), JGoogleEmbedMaps\addMarker(), PlgExtensionJoomla\addUpdateSite(), TemplatesControllerTemplate\copyFile(), TemplatesModelTemplate\copyFile(), SimplePie_Cache\create(), JGoogleDataPicasa\createAlbum(), JFacebookUser\createEvent(), TemplatesControllerTemplate\createFile(), TemplatesModelTemplate\createFile(), TemplatesControllerTemplate\createFolder(), TemplatesModelTemplate\createFolder(), TemplatesControllerTemplate\deleteFolder(), TemplatesModelTemplate\deleteFolder(), JGithubPackageUsers\edit(), JFacebookUser\editEvent(), SimplePie_Cache\get_handler(), JFormFieldTimezone\getGroups(), JFacebookUser\getHome(), JFacebookUser\getPosts(), PlgContentPagenavigation\onContentBeforeDisplay(), ConfigControllerHelper\parseController(), SimplePie\set_cache_location(), JGoogleEmbedMaps\setCenter(), JGoogleDataPicasaAlbum\setLocation(), JTwitterProfile\updateProfile(), JTwitterProfile\updateSettings(), JGithubPackageUsers\updateUser(), TemplatesControllerTemplate\uploadFile(), et TemplatesModelTemplate\uploadFile().

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

else $this usergetAuthorisedViewLevels ())) ( $this->items[ $i]->published==0) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • featured
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/featured/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad0__
endif
foreach ($this->items as $i=> $item) ( $i % 2) ? 'odd'
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ ($this->items as $i=> $item)

foreach ( $this->items as $i=> $item)($i % 2) ? 'odd'

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • archive
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/archive/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

$params = $this->params
else __pad0__
endif
if($params->get('show_author') &&!empty($item->author)) $author = '<span itemprop="name">' . $author . '</span>'
else __pad1__
$useDefList

Documentation des variables

◆ $author

else $author = '<span itemprop="name">' . $author . '</span>'

◆ $params

$params = $this->params

◆ $useDefList

$useDefList
Valeur initiale :
= ($params->get('show_modify_date') || $params->get('show_publish_date') || $params->get('show_create_date')
|| $params->get('show_hits') || $params->get('show_category') || $params->get('show_parent_category'))
$params
$params
Definition: components/com_content/views/archive/tmpl/default_items.php:13

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ endif

endif


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • categories
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/categories/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevelcat !=0 &&count( $this->items[ $this->parent->id]) > 0)( $this->items[ $this->parent->id] as $id=> $item) | ($this->params->get('show_empty_categories_cat')|| $item->numitems||count($item->getChildren())) (!isset( $this->items[ $this->parent->id][ $id+1]))
endif
if (count( $item->getChildren()) > 0 &&$this->maxLevelcat > 1)
if(count($item->getChildren()) > 0 && $this->maxLevelcat > 1) $this | items [$item->id] = $item->getChildren()
$this | parent = $item
$this | maxLevelcat
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($this->params->get('show_empty_categories_cat')|| $item->numitems||count($item->getChildren()))

if($this->maxLevelcat != 0 && count($this->items[$this->parent->id]) > 0) ($this->items[$this->parent->id] as $id => $item) ( $this->params->get( 'show_empty_categories_cat')||$item->numitems||count( $item->getChildren()))(!isset($this->items[$this->parent->id][$id+1]))

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(count($item->getChildren()) > 0 && $this->maxLevelcat > 1)

◆ items

if (count( $item->getChildren()) > 0 &&$this->maxLevelcat > 1) $this items[ $item->id] = $item->getChildren()

◆ maxLevelcat

$this maxLevelcat

◆ parent

$this parent = $item


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • categories
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_newsfeeds/views/categories/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevelcat !=0 &&count( $this->items[ $this->parent->id]) > 0)( $this->items[ $this->parent->id] as $id=> $item)( $this->params->get( 'show_empty_categories_cat')||$item->numitems||count( $item->getChildren()))(!isset($this->items[$this->parent->id][$id+1])) | endif
if (count( $item->getChildren()) > 0 &&$this->maxLevelcat > 1)
if(count($item->getChildren()) > 0 && $this->maxLevelcat > 1) $this | items [$item->id] = $item->getChildren()
$this | parent = $item
$this | maxLevelcat
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(count($item->getChildren()) > 0 && $this->maxLevelcat > 1)

◆ items

if (count( $item->getChildren()) > 0 &&$this->maxLevelcat > 1) $this items[ $item->id] = $item->getChildren()

◆ maxLevelcat

$this maxLevelcat

◆ parent

$this parent = $item


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_newsfeeds/views/category/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

$n = count($this->items)
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad0__
else ENT_COMPAT
endif
foreach( $this->items as $i=> $item)($this->items[$i]->published==0) else
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $n

$n = count($this->items)

◆ __pad0__

else __pad0__

◆ else

foreach ($this->items as $i => $item) ( $this->items[ $i]->published==0) else

◆ endforeach

endforeach

◆ endif

endif

◆ ENT_COMPAT

else ENT_COMPAT

Référencé par JHtmlUsers\admin_language(), JXMLElement\asFormattedXml(), JDatabaseExporterMysqli\buildXmlStructure(), JDatabaseExporterPdomysql\buildXmlStructure(), OutputFilter\cleanText(), InputFilter\decode(), MediaControllerFolder\delete(), MediaControllerFile\delete(), ContentViewFeatured\display(), TagsViewTag\display(), TagsViewTags\display(), MediaViewMediaList\display(), CategoryFeedView\display(), UsersViewRemind\display(), UsersViewReset\display(), UsersViewLogin\display(), UsersViewRegistration\display(), CategoriesView\display(), PrivacyViewRemind\display(), PrivacyViewConfirm\display(), PrivacyViewRequest\display(), ContactViewFeatured\display(), PlgSystemDebug\displayQueries(), SimplePie_Sanitize\do_strip_htmltags(), JHtmlIcon\edit(), JViewHtml\escape(), BaseLayout\escape(), HtmlView\escape(), FOFView\escape(), HeadRenderer\fetchHead(), FOFFormFieldCalendar\getCalendar(), FOFFormHeaderFieldfilterable\getFilter(), FOFFormHeaderFieldsearchable\getFilter(), MediaModelManager\getFolderList(), InstallationFormFieldPrefix\getInput(), JFormFieldClicks\getInput(), JFormFieldImpMade\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldModal_Category\getInput(), JFormFieldList\getInput(), JFormFieldRepeatable\getInput(), FOFFormFieldButton\getInput(), JFormFieldGroupedList\getInput(), JFormFieldModal_Menu\getInput(), EditorField\getInput(), JFormFieldCategoryEdit\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), JFormFieldTos\getLabel(), JFormFieldSpacer\getLabel(), ModBreadCrumbsHelper\getList(), ModMenuHelper\getList(), ModArticlesNewsHelper\getList(), FOFFormFieldModel\getRepeatable(), FOFFormFieldPassword\getRepeatable(), FOFFormFieldPlugins\getRepeatable(), FOFFormFieldRadio\getRepeatable(), FOFFormFieldSessionhandler\getRepeatable(), FOFFormFieldSql\getRepeatable(), FOFFormFieldInteger\getRepeatable(), FOFFormFieldCachehandler\getRepeatable(), FOFFormFieldList\getRepeatable(), FOFFormFieldComponents\getRepeatable(), FOFFormFieldText\getRepeatable(), FOFFormFieldGroupedlist\getRepeatable(), FOFFormFieldCheckbox\getRepeatable(), FOFFormFieldEmail\getRepeatable(), FOFFormFieldTel\getRepeatable(), FOFFormFieldUrl\getRepeatable(), FOFFormFieldLanguage\getRepeatable(), FOFFormFieldAccesslevel\getRepeatable(), FOFFormFieldUsergroup\getRepeatable(), FOFFormFieldModel\getStatic(), FOFFormFieldGroupedlist\getStatic(), FOFFormFieldUrl\getStatic(), FOFFormFieldPassword\getStatic(), FOFFormFieldTimezone\getStatic(), FOFFormFieldSessionhandler\getStatic(), FOFFormFieldInteger\getStatic(), FOFFormFieldPlugins\getStatic(), FOFFormFieldTextarea\getStatic(), FOFFormFieldText\getStatic(), FOFFormFieldEmail\getStatic(), FOFFormFieldTel\getStatic(), FOFFormFieldSql\getStatic(), FOFFormFieldRadio\getStatic(), FOFFormFieldCheckbox\getStatic(), FOFFormFieldAccesslevel\getStatic(), FOFFormFieldCachehandler\getStatic(), FOFFormFieldList\getStatic(), FOFFormFieldUsergroup\getStatic(), FOFFormFieldComponents\getStatic(), FOFFormFieldLanguage\getStatic(), FOFFormFieldPublished\getStatic(), JHtmlUsers\helpsite(), JHtmlLanguages\id(), JHtmlUsers\language(), Route\link(), Pathway\makeItem(), modChrome_html5(), modChrome_well(), modChrome_xhtml(), PlgContentConfirmConsent\onContentPrepareForm(), PlgSystemLanguagecode\onContentPrepareForm(), FieldsListPlugin\onCustomFieldsPrepareDom(), ModuleRenderer\render(), RssRenderer\render(), AtomRenderer\render(), PlgSystemDebug\renderBars(), SimplePie_Sanitize\sanitize(), MessagesModelMessage\save(), JOpenstreetmapObject\sendRequest(), ModBreadCrumbsHelper\setSeparator(), PlgSystemDebug\tableToHtml(), SimplePie_Parser\tag_open(), JHtmlUsers\templatestyle(), HTMLHelper\tooltip(), JOpenstreetmapOauth\validateResponse(), et JHtmlUsers\value().


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tag
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_tags/views/tag/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

$user = JFactory::getUser()
$canEdit = $user->authorise('core.edit', 'com_tags')
$canCreate = $user->authorise('core.create', 'com_tags')
$canEditState = $user->authorise('core.edit.state', 'com_tags')

Documentation des variables

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_tags')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_tags')

◆ $canEditState

$canEditState = $user->authorise('core.edit.state', 'com_tags')

◆ $user

$user = JFactory::getUser()


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tags
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_tags/views/tags/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

$user = JFactory::getUser()
$canEdit = $user->authorise('core.edit', 'com_tags')
$canCreate = $user->authorise('core.create', 'com_tags')
$canEditState = $user->authorise('core.edit.state', 'com_tags')
$columns = $this->params->get('tag_columns', 1)
if($columns< 1) | $bsspans = floor(12 / $columns)
if($bsspans< 1) | $bscolumns = min($columns, floor(12 / $bsspans))
$n = count($this->items)
list filter COM_TAGS_FILTER_SEARCH_DESC COM_TAGS_TITLE_FILTER_LABEL JSEARCH_FILTER_SUBMIT JSEARCH_FILTER_CLEAR show_pagination_limit JGLOBAL_DISPLAY_NUM | COM_TAGS_NO_TAGS
endif
if(($i===0 && $n===1)|| $i===$n - 1|| $bscolumns===1||(($i+1) % $bscolumns===0)) | endforeach

Documentation des variables

◆ $bscolumns

if ( $bsspans< 1) $bscolumns = min($columns, floor(12 / $bsspans))

◆ $bsspans

if ( $columns< 1) $bsspans = floor(12 / $columns)

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_tags')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_tags')

◆ $canEditState

$canEditState = $user->authorise('core.edit.state', 'com_tags')

◆ $columns

$columns = $this->params->get('tag_columns', 1)

◆ $n

$n = count($this->items)

◆ $user

$user = JFactory::getUser()

◆ COM_TAGS_NO_TAGS

list filter COM_TAGS_FILTER_SEARCH_DESC COM_TAGS_TITLE_FILTER_LABEL JSEARCH_FILTER_SUBMIT JSEARCH_FILTER_CLEAR show_pagination_limit JGLOBAL_DISPLAY_NUM COM_TAGS_NO_TAGS

◆ endforeach

if (( $i===0 &&$n===1)||$i===$n - 1||$bscolumns===1||(( $i+1) % $bscolumns===0)) endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_categories
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_articles_categories/tmpl/default_items.php

Espaces de nommage

Joomla\Site

Variables

$input = JFactory::getApplication()->input
$option = $input->getCmd('option')
$view = $input->getCmd('view')
$id = $input->getInt('id')

Documentation des variables

◆ $id

$id = $input->getInt('id')

◆ $input

$input = JFactory::getApplication()->input

◆ $option

$option = $input->getCmd('option')

◆ $view

$view = $input->getCmd('view')


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • categories
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/categories/default_items.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevelcat !=0 &&count( $this->items[ $this->parent->id]) > 0)( $this->items[ $this->parent->id] as $id=> $item) | ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren())) (!isset( $this->items[ $this->parent->id][ $id+1]))
endif
$this | parent = $item
$this | maxLevelcat
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren()))

if($this->maxLevelcat != 0 && count($this->items[$this->parent->id]) > 0) ($this->items[$this->parent->id] as $id => $item) ( $item->numitems||$this->params->get( 'show_empty_categories_cat')||count( $item->getChildren()))(!isset($this->items[$this->parent->id][$id+1]))

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevelcat

$this maxLevelcat

◆ parent

$this parent = $item


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/category/default_items.php

Espaces de nommage

Joomla\Site

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad2__
endif
if | ($this->params->get('show_headings')) ( $this->params->get( 'show_image_heading'))
foreach( $this->items as $i=> $item)($this->items[$i]->published==0) | else
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ ($this->params->get('show_headings'))

if ( $this->params->get( 'show_headings'))($this->params->get('show_image_heading'))

◆ __pad2__

else __pad2__

◆ else

foreach ($this->items as $i => $item) ( $this->items[ $i]->published==0) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • archive
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/archive/default_items.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$templateparams = $app->getTemplate(true)->params
if(! $templateparams->get('html5', 0)) else
$params = &$this->params
else __pad4__
endif
$url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($item->parent_slug)).'">'.$title.'</a>'
else __pad5__
else $title
else __pad6__
else __pad7__
else $author
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $author

else $author

◆ $params

$params = &$this->params

◆ $templateparams

$templateparams = $app->getTemplate(true)->params

◆ $title

else $title

◆ $url

$url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($item->parent_slug)).'">'.$title.'</a>'

◆ __pad4__

else __pad4__

◆ __pad5__

else __pad5__

◆ __pad6__

else __pad6__

◆ __pad7__

else __pad7__

◆ else

if (! $templateparams->get( 'html5', 0)) else
Valeur initiale :
{
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers')

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • categories
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/categories/default_items.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevelcat !=0 &&count( $this->items[ $this->parent->id]) > 0)( $this->items[ $this->parent->id] as $id=> $item) | ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren())) (!isset( $this->items[ $this->parent->id][ $id+1]))
endif
$this | parent = $item
$this | maxLevelcat
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren()))

if($this->maxLevelcat != 0 && count($this->items[$this->parent->id]) > 0) ($this->items[$this->parent->id] as $id => $item) ( $item->numitems||$this->params->get( 'show_empty_categories_cat')||count( $item->getChildren()))(!isset($this->items[$this->parent->id][$id+1]))

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevelcat

$this maxLevelcat

◆ parent

$this parent = $item


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_newsfeeds
  • categories
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_newsfeeds/categories/default_items.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevelcat !=0 &&count( $this->items[ $this->parent->id]) > 0)( $this->items[ $this->parent->id] as $id=> $item) | ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren())) (!isset( $this->items[ $this->parent->id][ $id+1]))
endif
$this | parent = $item
$this | maxLevelcat
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren()))

if($this->maxLevelcat != 0 && count($this->items[$this->parent->id]) > 0) ($this->items[$this->parent->id] as $id => $item) ( $item->numitems||$this->params->get( 'show_empty_categories_cat')||count( $item->getChildren()))(!isset($this->items[$this->parent->id][$id+1]))

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevelcat

$this maxLevelcat

◆ parent

$this parent = $item


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_newsfeeds
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_newsfeeds/category/default_items.php

Espaces de nommage

Joomla\Site

Variables

$n = count($this->items)
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad24__
else ENT_COMPAT
endif
foreach( $this->items as $i=> $item)($this->items[$i]->published==0) else
if ( $this->params->get( 'show_link'))
endforeach

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $n

$n = count($this->items)

◆ __pad24__

else __pad24__

◆ else

foreach ($this->items as $i => $item) ( $this->items[ $i]->published==0) else

◆ endforeach

endforeach

◆ endif

endif

◆ ENT_COMPAT

else ENT_COMPAT

◆ if

if($this->params->get('show_link'))


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
  • categories
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_weblinks/categories/default_items.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="first"'
if( $this->maxLevelcat !=0 &&count( $this->items[ $this->parent->id]) > 0)( $this->items[ $this->parent->id] as $id=> $item) | ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren())) (!isset( $this->items[ $this->parent->id][ $id+1]))
endif
$this | parent = $item
$this | maxLevelcat
endforeach

Documentation des variables

◆ $class

$class = ' class="first"'

◆ ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren()))

if($this->maxLevelcat != 0 && count($this->items[$this->parent->id]) > 0) ($this->items[$this->parent->id] as $id => $item) ( $item->numitems||$this->params->get( 'show_empty_categories_cat')||count( $item->getChildren()))(!isset($this->items[$this->parent->id][$id+1]))

◆ endforeach

endforeach

◆ endif

endif

◆ maxLevelcat

$this maxLevelcat

◆ parent

$this parent = $item


Joomla CMS: Référence du fichier default_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
  • category
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_weblinks/category/default_items.php

Espaces de nommage

Joomla\Site

Variables

$user = JFactory::getUser()
$canEdit = $user->authorise('core.edit', 'com_weblinks')
$canCreate = $user->authorise('core.create', 'com_weblinks')
$canEditState = $user->authorise('core.edit.state', 'com_weblinks')
$n = count($this->items)
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad26__
else ENT_COMPAT
endif
foreach( $this->items as $i=> $item)($this->items[$i]->state==0) else
else __pad27__
$menuclass = 'category' . $this->pageclass_sfx
$link = $item->link
$width = $item->params->get('width')
$height = $item->params->get('height')
$tagsData = $item->tags->getItemTags('com_weblinks.weblink', $item->id)
endforeach

Documentation des variables

◆ $canCreate

$canCreate = $user->authorise('core.create', 'com_weblinks')

◆ $canEdit

$canEdit = $user->authorise('core.edit', 'com_weblinks')

◆ $canEditState

$canEditState = $user->authorise('core.edit.state', 'com_weblinks')

◆ $height

$height = $item->params->get('height')

◆ $link

$link = $item->link

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $menuclass

$menuclass = 'category' . $this->pageclass_sfx

◆ $n

$n = count($this->items)

◆ $tagsData

$tagsData = $item->tags->getItemTags('com_weblinks.weblink', $item->id)

◆ $user

$user = JFactory::getUser()

◆ $width

$width = $item->params->get('width')

◆ __pad26__

else __pad26__

◆ __pad27__

else __pad27__

◆ else

foreach ($this->items as $i => $item) ( $this->items[ $i]->state==0) else

◆ endforeach

endforeach

◆ endif

endif

◆ ENT_COMPAT

else ENT_COMPAT


Joomla CMS: Référence du fichier default_links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/contact/tmpl/default_links.php

Espaces de nommage

Joomla\Site

Variables

endif
$label = $this->contact->params->get('link' . $char . '_name')
$link = (0 === strpos($link, 'http')) ? $link : 'http://' . $link
endforeach

Documentation des variables

◆ $label

$label = $this->contact->params->get('link' . $char . '_name')

◆ $link

$link = (0 === strpos($link, 'http')) ? $link : 'http://' . $link

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • article
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/article/tmpl/default_links.php

Espaces de nommage

Joomla\Site

Variables

$urls = json_decode($this->item->urls)
$params = $this->item->params
foreach($urlarray as $url) | $label = $url[1]
$target = $url[2]
$id = $url[3]
if(! $link) | endif
switch($target) | endforeach

Documentation des variables

◆ $id

$id = $url[3]

◆ $label

$label = $url[1]

◆ $params

$params = $this->item->params

◆ $target

$target = $url[2]

◆ $urls

$urls = json_decode($this->item->urls)

◆ endforeach

switch ( $target) endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • featured
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/featured/tmpl/default_links.php

Espaces de nommage

Joomla\Site

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default_links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/contact/default_links.php

Espaces de nommage

Joomla\Site

Variables

endif
$label = $this->contact->params->get('link'.$char.'_name')
$link = (0 === strpos($link, 'http')) ? $link : 'http://'.$link
endforeach

Documentation des variables

◆ $label

$label = $this->contact->params->get('link'.$char.'_name')

◆ $link

$link = (0 === strpos($link, 'http')) ? $link : 'http://'.$link

◆ endforeach

endforeach

◆ endif

if (! $link) endif


Joomla CMS: Référence du fichier default_links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • article
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/article/default_links.php

Espaces de nommage

Joomla\Site

Variables

$urls = json_decode($this->item->urls)
$params = $this->item->params
foreach($urlarray as $url) | $label = $url[1]
$target = $url[2]
$id = $url[3]
if(! $link) | endif
switch($target) | endforeach

Documentation des variables

◆ $id

$id = $url[3]

◆ $label

$label = $url[1]

◆ $params

$params = $this->item->params

◆ $target

$target = $url[2]

◆ $urls

$urls = json_decode($this->item->urls)

◆ endforeach

switch ( $target) endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • featured
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/featured/default_links.php

Espaces de nommage

Joomla\Site

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier default_locale.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_locale.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_LOCATION_SETTINGS')
$this | fieldsname = 'locale'

Documentation des variables

◆ fieldsname

$this fieldsname = 'locale'

◆ name

$this name = JText::_('COM_CONFIG_LOCATION_SETTINGS')


Joomla CMS: Référence du fichier default_locale.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_locale.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'locale') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('locale') as $field)


Joomla CMS: Référence du fichier default_login.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • login
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_login.php

Espaces de nommage

Joomla\Site

Variables

endif
if (( $this->params->get( 'logindescription_show')==1 &&str_replace(' ', '', $this->params->get( 'login_description')) !='')||$this->params->get( 'login_image') !='')
$return = $this->form->getValue('return', '', $this->params->get('login_redirect_url', $this->params->get('login_redirect_menuitem')))
$usersConfig = JComponentHelper::getParams('com_users')

Documentation des variables

◆ $return

$return = $this->form->getValue('return', '', $this->params->get('login_redirect_url', $this->params->get('login_redirect_menuitem')))

◆ $usersConfig

$usersConfig = JComponentHelper::getParams('com_users')

◆ endif

endif

◆ if

if(($this->params->get('logindescription_show')==1 &&str_replace(' ', '', $this->params->get('login_description')) !='')|| $this->params->get('login_image') !='')


Joomla CMS: Référence du fichier default_logout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • login
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/login/tmpl/default_logout.php

Espaces de nommage

Joomla\Site

Variables

endif
if (( $this->params->get( 'logoutdescription_show')==1 &&str_replace(' ', '', $this->params->get( 'logout_description')) !='')||$this->params->get( 'logout_image') !='')
else __pad0__

Documentation des variables

◆ __pad0__

else __pad0__

◆ endif

endif

◆ if

if(($this->params->get('logoutdescription_show')==1 &&str_replace(' ', '', $this->params->get('logout_description')) !='')|| $this->params->get('logout_image') !='')


Joomla CMS: Référence du fichier default_logout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_login
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/mod_login/tmpl/default_logout.php

Espaces de nommage

Joomla\Site

Variables

else __pad3__
endif

Documentation des variables

◆ __pad3__

else __pad3__

◆ endif

endif


Joomla CMS: Référence du fichier default_logout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • mod_login
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/mod_login/default_logout.php

Espaces de nommage

Joomla\Site

Variables

else __pad31__
endif

Documentation des variables

◆ __pad31__

else __pad31__

◆ endif

endif


Joomla CMS: Référence du fichier default_mail.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_mail.php

Espaces de nommage

Joomla\Administrator

Variables

$ajaxUri = JRoute::_('index.php?option=com_config&task=config.sendtestmail.application&format=json')
$this | name = JText::_('COM_CONFIG_MAIL_SETTINGS')
$this | fieldsname = 'mail'

Documentation des variables

◆ $ajaxUri

$ajaxUri = JRoute::_('index.php?option=com_config&task=config.sendtestmail.application&format=json')

Référencé par JFormFieldRules\getInput().

◆ fieldsname

$this fieldsname = 'mail'

◆ name

$this name = JText::_('COM_CONFIG_MAIL_SETTINGS')


Joomla CMS: Référence du fichier default_mail.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage
Référence du fichier templates/hathor/html/com_config/application/default_mail.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • default
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_message.php

Espaces de nommage

Joomla\Administrator

Variables

$state = $this->get('State')
$message1 = $state->get('message')
$message2 = $state->get('extension_message')
if($message1) endif

Documentation des variables

◆ $message1

$message1 = $state->get('message')

Référencé par InstallerViewDefault\display().

◆ $message2

$message2 = $state->get('extension_message')

Référencé par InstallerViewDefault\display().

◆ $state

$state = $this->get('State')

Référencé par JModelBase\__construct(), JModelDatabase\__construct(), ConfigModelCms\__construct(), FinderIndexerResponse\__construct(), FinderIndexerTaxonomy\addBranch(), FinderIndexerTaxonomy\addNode(), AKEncryptionAES\AddRoundKey(), FinderIndexerResult\addTaxonomy(), FinderIndexer\addTokensToDb(), ModulesViewSelect\addToolbar(), MessagesViewMessages\addToolbar(), CacheViewCache\addToolbar(), TagsViewTags\addToolbar(), ModulesViewModules\addToolbar(), NewsfeedsViewNewsfeeds\addToolbar(), RedirectViewLinks\addToolbar(), ContentViewFeatured\addToolbar(), FinderControllerIndexer\batch(), RedirectModelLinks\batchProcess(), AKEncryptionAES\Cipher(), CategoryView\commonCategoryDisplay(), JGithubStatuses\create(), JGithubPackageRepositoriesStatuses\create(), JGithubPackageIssuesMilestones\create(), JGithubMilestones\create(), ParagonIE_Sodium_Compat\crypto_kdf_derive_from_key(), ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_pull(), ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_push(), ParagonIE_Sodium_Compat\crypto_secretstream_xchacha20poly1305_rekey(), FinderViewSearch\display(), MediaViewImagesList\display(), MediaViewMedia\display(), SearchViewSearch\display(), InstallerViewInstall\display(), ModulesViewSelect\display(), ContentViewArchive\display(), InstallerViewDefault\display(), NewsfeedsViewNewsfeed\display(), ContentViewFeatured\display(), CategoriesView\display(), ContactViewContact\display(), ContactViewFeatured\display(), TagsViewTag\display(), JGithubPackageIssues\edit(), JGithubPackagePulls\edit(), JGithubPackageIssuesMilestones\edit(), JGithubMilestones\edit(), JHtmlContentAdministrator\featured(), JHtmlContact\featured(), ParagonIE_Sodium_Core_SecretStream_State\fromString(), ParagonIE_Sodium_Core32_SecretStream_State\fromString(), JGithubPackageAuthorization\getAuthorizationLink(), ConfigModelComponent\getComponent(), ConfigModelComponent\getForm(), TemplatesModelTemplate\getForm(), ModulesModelPositions\getItems(), JGithubMilestones\getList(), JGithubPackageIssuesMilestones\getList(), JGithubPackagePulls\getList(), JGithubPackageIssues\getListByRepository(), FinderModelFilters\getListQuery(), PrivacyModelConsents\getListQuery(), MessagesModelMessages\getListQuery(), NewsfeedsModelCategory\getListQuery(), FieldsModelGroups\getListQuery(), ContactModelCategory\getListQuery(), FieldsModelFields\getListQuery(), RedirectModelLinks\getListQuery(), ContactModelFeatured\getListQuery(), AssociationsModelAssociations\getListQuery(), FinderModelMaps\getListQuery(), FinderModelIndex\getListQuery(), ModulesModelModules\getListQuery(), UsersModelUsers\getListQuery(), FinderIndexer\getSignature(), JModelBase\getState(), Authentication\getState(), ConfigModelCms\getState(), FinderIndexer\getState(), ModulesHelper\getTemplates(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverMysql\index(), FinderIndexerDriverSqlsrv\index(), FinderCli\index(), WebApplication\isRedirectState(), AbstractWebApplication\isRedirectState(), JGithubPackageSearch\issues(), modChrome_beezHide(), JHtmlContent\months(), PlgSearchContacts\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchCategories\onContentSearch(), ParagonIE_Sodium_Core_Poly1305\onetimeauth(), ParagonIE_Sodium_Core32_Poly1305\onetimeauth(), ParagonIE_Sodium_Core32_Poly1305\onetimeauth_verify(), ParagonIE_Sodium_Core_Poly1305\onetimeauth_verify(), PlgFinderCategories\onFinderChangeState(), JHtmlSelect\optgroup(), FinderControllerIndexer\optimize(), ConfigModelTemplates\populateState(), ConfigModelComponent\populateState(), ConfigModelModules\populateState(), ModulesModelPositions\populateState(), PluginsModelPlugins\populateState(), JHtmlModules\positions(), FinderTableMap\publish(), BannersTableClient\publish(), UsersTableNote\publish(), MessagesTableMessage\publish(), FinderTableFilter\publish(), Extension\publish(), CoreContent\publish(), Nested\publish(), Table\publish(), JHtmlRedirect\published(), FinderIndexer\resetState(), ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_pull(), ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_pull(), ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_init_push(), ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_init_push(), ParagonIE_Sodium_Crypto32\secretstream_xchacha20poly1305_rekey(), ParagonIE_Sodium_Crypto\secretstream_xchacha20poly1305_rekey(), SiteApplication\setDetectBrowser(), HtmlDocument\setHtml5(), SiteApplication\setLanguageFilter(), Installer\setOverwrite(), JModelBase\setState(), FinderIndexer\setState(), AKAbstractPart\setState(), FOFController\setstate(), Installer\setUpgrade(), FinderControllerIndexer\start(), JHtmlMessages\status(), JHtmlModules\templates(), FinderIndexerDriverMysql\toggleTables(), et FinderIndexer\tokenizeToDbShort().

◆ endif

if ( $message2) endif


Joomla CMS: Référence du fichier default_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_config/view/application/tmpl/default_metadata.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_METADATA_SETTINGS')
$this | fieldsname = 'metadata'

Documentation des variables

◆ fieldsname

$this fieldsname = 'metadata'

◆ name

$this name = JText::_('COM_CONFIG_METADATA_SETTINGS')


Joomla CMS: Référence du fichier default_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_config/application/default_metadata.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'metadata') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('metadata') as $field)


Joomla CMS: Référence du fichier default_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • config
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/config/tmpl/default_metadata.php

Espaces de nommage

Joomla\Site

Variables

foreach ( $this->form->getFieldset( 'metadata') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('metadata') as $field)


Joomla CMS: Référence du fichier default_modal_copy_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage
Référence du fichier default_modal_copy_body.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_modal_copy_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage
Référence du fichier default_modal_copy_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_modal_delete_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage
Référence du fichier default_modal_delete_body.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_modal_delete_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_modal_delete_footer.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input


Joomla CMS: Référence du fichier default_modal_file_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_modal_file_body.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$cMax = $this->state->get('params')->get('upload_limit')
$maxSize = JHtml::_('number.bytes', JUtility::getMaxUploadSize($cMax . 'MB'))
endif

Documentation des variables

◆ $cMax

$cMax = $this->state->get('params')->get('upload_limit')

◆ $input

$input = JFactory::getApplication()->input

◆ $maxSize

$maxSize = JHtml::_('number.bytes', JUtility::getMaxUploadSize($cMax . 'MB'))

◆ endif

endif


Joomla CMS: Référence du fichier default_modal_file_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage
Référence du fichier default_modal_file_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_modal_folder_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_modal_folder_body.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input


Joomla CMS: Référence du fichier default_modal_folder_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_modal_folder_footer.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input


Joomla CMS: Référence du fichier default_modal_rename_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage
Référence du fichier default_modal_rename_body.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_modal_rename_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage
Référence du fichier default_modal_rename_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_modal_resize_body.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage
Référence du fichier default_modal_resize_body.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_modal_resize_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage
Référence du fichier default_modal_resize_footer.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_navigation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_navigation.php

Espaces de nommage

Joomla\Administrator

Variables

endif
foreach ( $this->components as $component)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->components as $component)


Joomla CMS: Référence du fichier default_navigation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • component
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/component/tmpl/default_navigation.php

Espaces de nommage

Joomla\Administrator

Variables

endif
foreach($this->components as $component) if ( $this->currentComponent===$component)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif

◆ if

foreach ( $this->components as $component) if($this->currentComponent===$component)


Joomla CMS: Référence du fichier default_navigation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • media
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_media/views/media/tmpl/default_navigation.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$style = $app->getUserStateFromRequest('media.list.layout', 'layout', 'thumbs', 'word')

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $style

$style = $app->getUserStateFromRequest('media.list.layout', 'layout', 'thumbs', 'word')


Joomla CMS: Référence du fichier default_navigation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • sysinfo
Espaces de nommage
Référence du fichier templates/hathor/html/com_admin/sysinfo/default_navigation.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_navigation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage
Référence du fichier templates/hathor/html/com_config/application/default_navigation.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_nodownload.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_nodownload.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_noupdate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Espaces de nommage
Référence du fichier default_noupdate.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • modules
  • tmpl
Espaces de nommage | Variables
Référence du fichier modules/tmpl/default_options.php

Espaces de nommage

Joomla\Site

Variables

$fieldSets = $this->form->getFieldsets('params')
$i = 0
$class = isset($fieldSet->class) && !empty($fieldSet->class) ? $fieldSet->class : ''
endif
endforeach

Documentation des variables

◆ $class

$class = isset($fieldSet->class) && !empty($fieldSet->class) ? $fieldSet->class : ''

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ $i

$i = 0

◆ endforeach

endforeach

◆ endif

foreach ($this->form->getFieldset($name) as $field) (JLanguageMultilang::isEnabled() &&$this->item[ 'module']==='mod_menu' &&$field->getAttribute( 'name')==='menutype') endif


Joomla CMS: Référence du fichier default_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • templates
  • tmpl
Espaces de nommage | Variables
Référence du fichier templates/tmpl/default_options.php

Espaces de nommage

Joomla\Site

Variables

$fieldSets = $this->form->getFieldsets('params')
else __pad0__
endif
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • profile
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_params.php

Espaces de nommage

Joomla\Site

Variables

$fields = $this->form->getFieldset('params')
else __pad2__
else $field value
endif
endforeach

Documentation des variables

◆ $fields

$fields = $this->form->getFieldset('params')

◆ __pad2__

else __pad2__

◆ endforeach

endforeach

◆ endif

endif

◆ value

else $field value


Joomla CMS: Référence du fichier default_permissions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_permissions.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_PERMISSION_SETTINGS')
$this | description = ''
$this | fieldsname = 'permissions'
$this | formclass = 'form-vertical'
$this | showlabel = false

Documentation des variables

◆ description

$this description = ''

◆ fieldsname

$this fieldsname = 'permissions'

◆ formclass

$this formclass = 'form-vertical'

◆ name

$this name = JText::_('COM_CONFIG_PERMISSION_SETTINGS')

◆ showlabel

$this showlabel = false


Joomla CMS: Référence du fichier default_permissions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_permissions.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'permissions') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('permissions') as $field)


Joomla CMS: Référence du fichier default_phpinfo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
  • tmpl
Espaces de nommage
Référence du fichier default_phpinfo.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_phpsettings.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
  • tmpl
Espaces de nommage
Référence du fichier components/com_admin/views/sysinfo/tmpl/default_phpsettings.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_phpsettings.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • sysinfo
Espaces de nommage
Référence du fichier templates/hathor/html/com_admin/sysinfo/default_phpsettings.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_positions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • modules
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_positions.php

Espaces de nommage

Joomla\Site

Variables

$positions = $this->model->getPositions()
$customGroupText = JText::_('COM_MODULES_CUSTOM_POSITION')
$attr

Documentation des variables

◆ $attr

$attr
Valeur initiale :
= array(
'id' => 'jform_position',
'list.select' => $this->item['position'],
'list.attr' => 'class="chzn-custom-value" '
. 'data-custom_group_text="' . $customGroupText . '" '
. 'data-no_results_text="' . JText::_('COM_MODULES_ADD_CUSTOM_POSITION') . '" '
. 'data-placeholder="' . JText::_('COM_MODULES_TYPE_OR_SELECT_POSITION') . '" '
)
$customGroupText
$customGroupText
Definition: default_positions.php:14
item
else $this item
Definition: components/com_content/views/article/tmpl/default.php:76

◆ $customGroupText

$customGroupText = JText::_('COM_MODULES_CUSTOM_POSITION')

◆ $positions

$positions = $this->model->getPositions()


Joomla CMS: Référence du fichier default_preupdatecheck.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_preupdatecheck.php

Espaces de nommage

Joomla\Administrator

Variables

$compatibilityTypes
if (version_compare( $this->updateInfo[ 'latest'], '4', '>=') &&$this->isBackendTemplateIsis===false)
$labelClass = 'success'
foreach( $this->phpOptions as $option)(! $option->state) | break
endif
endforeach
foreach ( $this->phpOptions as $option)
foreach($compatibilityTypes as $compatibilityType=> $compatibilityData) | $compatibilityDisplayNotes = $compatibilityData['notes']
$compatibilityTypeGroup = $compatibilityData['group']
else __pad2__

Documentation des variables

◆ $compatibilityDisplayNotes

foreach ( $compatibilityTypes as $compatibilityType=> $compatibilityData) $compatibilityDisplayNotes = $compatibilityData['notes']

◆ $compatibilityTypeGroup

$compatibilityTypeGroup = $compatibilityData['group']

◆ $compatibilityTypes

$compatibilityTypes
Valeur initiale :
= array(
'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_RUNNING_PRE_UPDATE_CHECKS' => array(
'class' => 'label-default',
'notes' => 'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_RUNNING_PRE_UPDATE_CHECKS_NOTES',
'group' => 0
),
'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_PRE_UPDATE_CHECKS_FAILED' => array(
'class' => 'label-important',
'notes' => 'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_PRE_UPDATE_CHECKS_FAILED_NOTES',
'group' => 4
),
'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_UPDATE_SERVER_OFFERS_NO_COMPATIBLE_VERSION' => array(
'class' => 'label-important',
'notes' => 'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_UPDATE_SERVER_OFFERS_NO_COMPATIBLE_VERSION_NOTES',
'group' => 1
),
'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_REQUIRING_UPDATES_TO_BE_COMPATIBLE' => array(
'class' => 'label-warning',
'notes' => 'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_REQUIRING_UPDATES_TO_BE_COMPATIBLE_NOTES',
'group' => 2
),
'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_PROBABLY_COMPATIBLE' => array(
'class' => 'label-success',
'notes' => 'COM_JOOMLAUPDATE_VIEW_DEFAULT_EXTENSIONS_PROBABLY_COMPATIBLE_NOTES',
'group' => 3
)
)

◆ $labelClass

$labelClass = 'success'

Référencé par PlgSystemDebug\displayProfileInformation(), PlgSystemDebug\displayQueries(), AssociationsHelper\getAssociationHtmlList(), FOFRenderJoomla3\renderFieldsetLabel(), FOFRenderJoomla\renderFieldsetLabel(), FOFRenderStrapper\renderFieldsetLabel(), FOFRenderJoomla\renderFormBrowse(), et FOFRenderStrapper\renderFormBrowse().

◆ __pad2__

else __pad2__

◆ break

foreach ($this->phpSettings as $setting) ( $setting->state !==$setting->recommended) break

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->phpSettings as $setting) ( $this->phpOptions as )

◆ if

if(version_compare($this->updateInfo['latest'], '4', '>=') && $this->isBackendTemplateIsis===false)


Joomla CMS: Référence du fichier default_profile.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/contact/tmpl/default_profile.php

Espaces de nommage

Joomla\Site

Variables

foreach( $fields as $profile)($profile->value) $profile | text = htmlspecialchars($profile->value, ENT_COMPAT, 'UTF-8')
else __pad0__
break
case | __pad1__
case $profile JText::_('DATE_FORMAT_LC4') | false
default | __pad2__
endswitch
endif
endforeach

Documentation des variables

◆ __pad0__

else __pad0__

◆ __pad1__

case __pad1__

◆ __pad2__

default __pad2__

◆ break

break

◆ endforeach

endforeach

◆ endif

endif

◆ endswitch

endswitch

◆ false

case $profile JText::_ ( 'DATE_FORMAT_LC4') false

◆ text

case $profile text = htmlspecialchars($profile->value, ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier default_profile.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/contact/default_profile.php

Espaces de nommage

Joomla\Site

Variables

foreach( $fields as $profile)($profile->value) $profile | text = htmlspecialchars($profile->value, ENT_COMPAT, 'UTF-8')
if($v_http==='http') | else
break
default | __pad3__
endswitch
endif
endforeach

Documentation des variables

◆ __pad3__

default __pad3__

◆ break

break

◆ else

if ( $v_http==='http') else

◆ endforeach

endforeach

◆ endif

endif

◆ endswitch

endswitch

◆ text

foreach ($fields as $profile) ( $profile->value) $profile text = htmlspecialchars($profile->value, ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier default_proxy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_proxy.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_PROXY_SETTINGS')
$this | fieldsname = 'proxy'

Documentation des variables

◆ fieldsname

$this fieldsname = 'proxy'

◆ name

$this name = JText::_('COM_CONFIG_PROXY_SETTINGS')


Joomla CMS: Référence du fichier default_reinstall.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_reinstall.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier default_result.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
  • search
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_result.php

Espaces de nommage

Joomla\Site

Variables

$mime = !empty($this->result->mime) ? 'mime-' . $this->result->mime : null
$show_description = $this->params->get('show_description', 1)
if($show_description) $route = $this->result->route
if (!empty( $this->query->highlight) &&empty( $this->result->mime) &&$this->params->get( 'highlight_terms', 1) &&JPluginHelper::isEnabled( 'system', 'highlight'))
endif

Documentation des variables

◆ $mime

$mime = !empty($this->result->mime) ? 'mime-' . $this->result->mime : null

Référencé par FinderIndexerHelper\addContentType(), PHPMailer\attachAll(), MediaHelper\canUpload(), MediaHelper\checkMimeType(), SimplePie_Enclosure\embed(), FinderIndexerAdapter\getItems(), MediaHelper\getMimeType(), lessc\lib_data_uri(), et SimplePie_Misc\parse_mime().

◆ $route

if ( $show_description) $route = $this->result->route

Référencé par AdministratorRouter\build(), SiteRouter\build(), SiteRouter\buildSefRoute(), InstallerAdapter\doDatabaseTransactions(), JApplicationWebRouterRest\execute(), JApplicationWebRouter\execute(), FinderIndexerHelper\getContentPath(), ModFinderHelper\getGetFields(), InstallerAdapter\getRoute(), JApplicationWebRouterBase\parseRoute(), SiteRouter\parseSefRoute(), FinderViewSearch\prepareDocument(), SiteRouter\processBuildRules(), UsersControllerUser\remind(), PlgSystemSef\route(), FOFTemplateUtils\route(), InstallerAdapter\setRoute(), et Installer\setupInstall().

◆ $show_description

$show_description = $this->params->get('show_description', 1)

◆ endif

endif

◆ if

if($this->params->get('show_url', 1)) ( ! empty$this->query->highlight) &&empty($this->result->mime) && $this->params->get('highlight_terms', 1) &&JPluginHelper::isEnabled('system', 'highlight' )


Joomla CMS: Référence du fichier default_results.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
  • search
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_finder/views/search/tmpl/default_results.php

Espaces de nommage

Joomla\Site

Variables

$linkUrl = JRoute::_($uri->toString(array('path', 'query')))
$link = '<a href="' . $linkUrl . '">' . $this->escape($this->suggested) . '</a>'
elseif($this->explained && $this->params->get('show_explained_query', 1)) | endif
$multilang = JFactory::getApplication()->getLanguageFilter() ? '_MULTILANG' : ''
return
< br id="highlighter-start"/>< ul class="search-results<?php echo $this-> | pageclass_sfx
$this | baseUrl = JUri::getInstance()->toString(array('scheme', 'host', 'port'))
foreach($this->results as $result) | $layout = $this->getLayoutFile($this->result->layout)
endforeach
< div class="search-pagination">< div class="pagination"> | $start = (int) $this->pagination->get('limitstart') + 1
$total = (int) $this->pagination->get('total')
$limit = (int) $this->pagination->get('limit') * $this->pagination->get('pages.current')

Documentation des variables

◆ $layout

foreach ( $this->results as $result) $layout = $this->getLayoutFile($this->result->layout)

◆ $limit

$limit = (int) $this->pagination->get('limit') * $this->pagination->get('pages.current')

Référencé par Pagination\__construct(), FOFModel\__construct(), JDatabaseQueryMysqli\__toString(), JDatabaseQueryPostgresql\__toString(), JDatabaseQuerySqlite\__toString(), Pagination\_buildDataObject(), InstallerModel\_getList(), PluginsModelPlugins\_getList(), ModulesModelModules\_getList(), ContentModelArchive\_getList(), InstallerModelUpdate\_getList(), FieldsModelGroups\_getList(), BaseDatabaseModel\_getList(), FieldsModelFields\_getList(), FOFModel\_getList(), JDatabaseDriverPdo\connected(), FOFDatabaseDriverPdo\connected(), ContentViewFeatured\display(), FOFDatabaseDriverMysql\execute(), JDatabaseDriverMysql\execute(), FOFDatabaseDriverPdo\execute(), FOFDatabaseDriverMysqli\execute(), JDatabaseDriverMysqli\execute(), JGithubObject\fetchUrl(), JFacebookObject\fetchUrl(), FOFTableNested\get(), JFacebookUser\getActivities(), JFacebookUser\getAlbums(), JFacebookEvent\getAttending(), JFacebookUser\getBooks(), JFacebookUser\getCheckins(), JFacebookLink\getComments(), JFacebookCheckin\getComments(), JFacebookStatus\getComments(), JFacebookNote\getComments(), JFacebookVideo\getComments(), JFacebookPhoto\getComments(), JFacebookComment\getComments(), JFacebookPost\getComments(), JFacebookAlbum\getComments(), JGithubPackageIssues\getComments(), JGithubPackagePulls\getComments(), JGithubPackageGists\getComments(), JGithubCommits\getCommit(), JGithubCommits\getCommitComments(), JGithubPackagePulls\getCommits(), JFacebookObject\getConnection(), CacheModelCache\getData(), ContentModelArchive\getData(), LanguagesModelInstalled\getData(), JFacebookEvent\getDeclined(), JFacebookGroup\getDocs(), JFacebookUser\getEvents(), JFacebookUser\getFamily(), JFacebookEvent\getFeed(), JFacebookGroup\getFeed(), JFacebookUser\getFeed(), JGithubPackagePulls\getFiles(), JFacebookUser\getFriendLists(), JFacebookUser\getFriendRequests(), JFacebookUser\getFriends(), JFacebookUser\getGroups(), JFacebookUser\getHome(), JFacebookUser\getInterests(), JFacebookEvent\getInvited(), FOFModel\getItemList(), ModulesModelPositions\getItems(), ContentModelFeatured\getItems(), CheckinModelCheckin\getItems(), ContentModelCategory\getItems(), FinderIndexerAdapter\getItems(), FOFModel\getIterator(), InstallerModelLanguages\getLanguages(), JFacebookStatus\getLikes(), JFacebookPhoto\getLikes(), JFacebookLink\getLikes(), JFacebookVideo\getLikes(), JFacebookCheckin\getLikes(), JFacebookComment\getLikes(), JFacebookNote\getLikes(), JFacebookPost\getLikes(), JFacebookAlbum\getLikes(), JFacebookUser\getLikes(), Pagination\getLimitBox(), JFacebookUser\getLinks(), JGithubMilestones\getList(), JGithubPackageIssuesEvents\getList(), JGithubPackageIssuesMilestones\getList(), JGithubPackageIssuesComments\getList(), JGithubPackageRepositoriesComments\getList(), JGithubPackageDataRefs\getList(), JGithubPackageRepositoriesForks\getList(), JGithubForks\getList(), JGithubRefs\getList(), JGithubPackageGistsComments\getList(), JGithubPackagePullsComments\getList(), JGithubPackageIssues\getList(), JGithubPackageGists\getList(), JGithubPackagePulls\getList(), JGithubCommits\getList(), JGithubPackageIssues\getListByRepository(), JGithubPackageGists\getListByUser(), JGithubCommits\getListComments(), JGithubPackageGists\getListPublic(), TagsModelTags\getListQuery(), JGithubPackageRepositoriesComments\getListRepository(), JGithubPackageIssuesEvents\getListRepository(), JGithubPackageGists\getListStarred(), JFacebookEvent\getMaybe(), JFacebookGroup\getMembers(), JFacebookUser\getMovies(), JFacebookUser\getMusic(), JFacebookUser\getMutualFriends(), JFacebookEvent\getNoreply(), JFacebookUser\getNotes(), JFacebookUser\getNotifications(), ListModel\getPagination(), FOFModel\getPagination(), JFacebookUser\getPermissions(), JFacebookAlbum\getPhotos(), JFacebookEvent\getPhotos(), JFacebookUser\getPhotos(), JFacebookUser\getPosts(), Pagination\getResultsCounter(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), ListModel\getStart(), JFacebookUser\getStatuses(), JFacebookUser\getSubscribedTo(), JFacebookUser\getSubscribers(), JFacebookUser\getTagged(), JFacebookPhoto\getTags(), JFacebookUser\getTelevision(), JFacebookEvent\getVideos(), JFacebookUser\getVideos(), FOFDatabaseQueryPostgresql\limit(), JDatabaseQueryPostgresql\limit(), FOFDatabaseDriverSqlsrv\limit(), SimplePie\merge_items(), FinderIndexerAdapter\onBuildIndex(), PlgSearchContent\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchCategories\onContentSearch(), JMediawikiSearch\openSearch(), pagination_item_active(), ContentModelArchive\populateState(), ContentModelFeatured\populateState(), ContentModelCategory\populateState(), TagsModelTag\populateState(), NewsfeedsModelCategory\populateState(), ContactModelFeatured\populateState(), ContactModelCategory\populateState(), ListModel\populateState(), FOFDatabaseQueryMysqli\processLimit(), JDatabaseQueryMysqli\processLimit(), JDatabaseQueryOracle\processLimit(), FOFDatabaseQueryOracle\processLimit(), JDatabaseQuerySqlite\processLimit(), FOFDatabaseQuerySqlite\processLimit(), FOFDatabaseQuerySqlsrv\processLimit(), JDatabaseQuerySqlsrv\processLimit(), FOFDatabaseQueryPostgresql\processLimit(), JDatabaseQueryPostgresql\processLimit(), JFacebookObject\sendRequest(), SimplePie\set_item_limit(), FOFDatabaseQueryMysqli\setLimit(), JDatabaseQueryMysqli\setLimit(), JDatabaseQueryOracle\setLimit(), FOFDatabaseQueryOracle\setLimit(), JDatabaseQuerySqlite\setLimit(), FOFDatabaseQuerySqlite\setLimit(), FOFDatabaseQuerySqlsrv\setLimit(), JDatabaseQuerySqlsrv\setLimit(), FOFDatabaseQueryPostgresql\setLimit(), JDatabaseQueryPostgresql\setLimit(), FOFDatabaseDriverJoomla\setQuery(), JDatabaseDriverPdo\setQuery(), FOFDatabaseDriverPdo\setQuery(), FOFDatabaseDriver\setQuery(), JDatabaseDriver\setQuery(), utf8_locate_current_chr(), et utf8_locate_next_chr().

◆ $link

$link = '<a href="' . $linkUrl . '">' . $this->escape($this->suggested) . '</a>'

◆ $linkUrl

$linkUrl = JRoute::_($uri->toString(array('path', 'query')))

Référencé par PlgSystemSef\onAfterDispatch().

◆ $multilang

$multilang = JFactory::getApplication()->getLanguageFilter() ? '_MULTILANG' : ''

Référencé par ModLanguagesHelper\getList().

◆ $start

<div class="search-pagination"><div class="pagination"> $start = (int) $this->pagination->get('limitstart') + 1

Référencé par Session\_setTimers(), EasyPeasyICS\addEvent(), PHPMailer\base64EncodeWrapMB(), DisallowedClassesSubstitutor\buildIgnoreItems(), JGoogleDataCalendar\createEvent(), JGoogleDataAdsense\generateReport(), SimplePie\get_items(), JLinkedinPeople\getConnections(), CacheModelCache\getData(), LanguagesModelInstalled\getData(), JLinkedinGroups\getDiscussions(), JLinkedinGroups\getGroup(), ModMenuHelper\getList(), JLinkedinGroups\getMemberships(), JLinkedinStream\getNetworkUpdates(), RouterView\getPath(), JLinkedinGroups\getPostComments(), JLinkedinCompanies\getProducts(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), JLinkedinGroups\getSettings(), ListModel\getStart(), JLinkedinJobs\getSuggested(), JLinkedinCompanies\getSuggested(), JLinkedinCompanies\getUpdates(), JLinkedinGroups\getUserPosts(), FOFEncryptTotp\hashToInt(), DisallowedClassesSubstitutor\ignore(), FOFDownload\importFromURL(), JHtmlSelect\integerlist(), FOFDatabaseDriverSqlsrv\limit(), Profiler\mark(), SimplePie\merge_items(), PlgContentLoadmodule\onContentPrepare(), Crypto\our_substr(), FinderIndexerParser\parse(), FOFDatabaseQuerySqlsrv\processLimit(), SiteRouter\processParseRules(), SimplePie_IRI\remove_iunreserved_percent_encoded(), FinderIndexerParserHtml\removeBlocks(), DisallowedClassesSubstitutor\replace(), SimplePie_IRI\replace_invalid_with_pct_encoding(), Reader\resolveFourByteLittleEndian(), Reader\resolveTwoByteBigEndian(), Crypt\safeSubstr(), JLinkedinCompanies\search(), JLinkedinPeople\search(), JLinkedinJobs\search(), Session\setTimers(), JDatabaseDriver\splitSql(), FOFDatabaseDriver\splitSql(), JDatabaseQuerySqlsrv\splitSqlExpression(), SimplePie_Misc\strip_comments(), DisallowedClassesSubstitutor\substituteObjects(), BinaryNoFuncOverload\substr(), BinaryOnFuncOverload\substr(), ParagonIE_Sodium_Core_Util\substr(), utf8_strcspn(), utf8_strspn(), utf8_substr_replace(), et Stream\write().

◆ $total

$total = (int) $this->pagination->get('total')

Référencé par Pagination\__construct(), InstallerModel\_getList(), PluginsModelPlugins\_getList(), ModulesModelModules\_getList(), InstallerModelUpdate\_getList(), BannersRouter\build(), FinderRouter\build(), TagsRouter\build(), NewsfeedsRouterRulesLegacy\build(), ContactRouterRulesLegacy\build(), UsersRouterRulesLegacy\build(), ContentRouterRulesLegacy\build(), RouterLegacy\build(), Router\decodeSegments(), SearchViewSearch\display(), FinderViewSearch\display(), Router\encodeSegments(), LoginModelLogin\getLoginModule(), ModuleHelper\getModule(), ModuleHelper\getModuleById(), ModuleHelper\getModules(), FOFModel\getPagination(), Pagination\getResultsCounter(), FinderModelSearch\getResultsTotal(), ListModel\getStart(), CheckinModelCheckin\getTotal(), FinderModelSearch\getTotal(), ModulesModelPositions\getTotal(), LanguagesModelInstalled\getTotal(), FOFModel\getTotal(), FinderIndexerAdapter\onStartIndex(), SearchRouter\parse(), BannersRouter\parse(), RouterLegacy\parse(), FinderRouter\parse(), TagsRouter\parse(), NewsfeedsRouterRulesLegacy\parse(), ContactRouterRulesLegacy\parse(), UsersRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), JDatabaseQuerySqlsrv\processLimit(), et UserGroupsHelper\total().

◆ baseUrl

$this baseUrl = JUri::getInstance()->toString(array('scheme', 'host', 'port'))

◆ endforeach

endforeach

◆ endif

endif

◆ pageclass_sfx

<br id="highlighter-start" /><ul class="search-results<?php echo $this-> pageclass_sfx

Référencé par CategoryView\commonCategoryDisplay(), WrapperViewWrapper\display(), SearchViewSearch\display(), UsersViewRemind\display(), UsersViewReset\display(), UsersViewLogin\display(), ContentViewArchive\display(), ContentViewArticle\display(), TagsViewTags\display(), UsersViewRegistration\display(), ContentViewForm\display(), UsersViewProfile\display(), NewsfeedsViewNewsfeed\display(), ContentViewFeatured\display(), CategoriesView\display(), PrivacyViewConfirm\display(), PrivacyViewRemind\display(), ContactViewContact\display(), ContactViewFeatured\display(), PrivacyViewRequest\display(), FinderViewSearch\display(), et TagsViewTag\display().

◆ return

return

Référencé par JFormFieldAccessLevel\getInput(), et JFormFieldCheckbox\getInput().


Joomla CMS: Référence du fichier default_results.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • views
  • search
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_search/views/search/tmpl/default_results.php

Espaces de nommage

Joomla\Site

Variables

if ( $result->browsernav==1)
else __pad2__
endif
endforeach

Documentation des variables

◆ __pad2__

else __pad2__

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($this->params->get('show_date')) ( $result-> = =1 )


Joomla CMS: Référence du fichier default_seo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_config/view/application/tmpl/default_seo.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_SEO_SETTINGS')
$this | fieldsname = 'seo'

Documentation des variables

◆ fieldsname

$this fieldsname = 'seo'

◆ name

$this name = JText::_('COM_CONFIG_SEO_SETTINGS')


Joomla CMS: Référence du fichier default_seo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_config/application/default_seo.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'seo') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('seo') as $field)


Joomla CMS: Référence du fichier default_seo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • config
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/config/tmpl/default_seo.php

Espaces de nommage

Joomla\Site

Variables

foreach ( $this->form->getFieldset( 'seo') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('seo') as $field)


Joomla CMS: Référence du fichier default_separator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_menu
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_separator.php

Espaces de nommage

Joomla\Site

Variables

$title = $item->anchor_title ? ' title="' . $item->anchor_title . '"' : ''
$anchor_css = $item->anchor_css ?: ''
$linktype = $item->title
if ( $item->menu_image)

Documentation des variables

◆ $anchor_css

$anchor_css = $item->anchor_css ?: ''

◆ $linktype

$linktype = $item->title

◆ $title

$title = $item->anchor_title ? ' title="' . $item->anchor_title . '"' : ''

◆ if

if($item->menu_image)


Joomla CMS: Référence du fichier default_server.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_server.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_SERVER_SETTINGS')
$this | fieldsname = 'server'

Documentation des variables

◆ fieldsname

$this fieldsname = 'server'

◆ name

$this name = JText::_('COM_CONFIG_SERVER_SETTINGS')


Joomla CMS: Référence du fichier default_server.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_server.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'server') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('server') as $field)


Joomla CMS: Référence du fichier default_session.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_session.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_SESSION_SETTINGS')
$this | fieldsname = 'session'

Documentation des variables

◆ fieldsname

$this fieldsname = 'session'

◆ name

$this name = JText::_('COM_CONFIG_SESSION_SETTINGS')


Joomla CMS: Référence du fichier default_session.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_session.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'session') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('session') as $field)


Joomla CMS: Référence du fichier default_site.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_config/view/application/tmpl/default_site.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_SITE_SETTINGS')
$this | fieldsname = 'site'

Documentation des variables

◆ fieldsname

$this fieldsname = 'site'

◆ name

$this name = JText::_('COM_CONFIG_SITE_SETTINGS')


Joomla CMS: Référence du fichier default_site.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_config/application/default_site.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'site') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('site') as $field)


Joomla CMS: Référence du fichier default_site.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • config
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/config/tmpl/default_site.php

Espaces de nommage

Joomla\Site

Variables

foreach ( $this->form->getFieldset( 'site') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('site') as $field)


Joomla CMS: Référence du fichier default_submenu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_menu
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_submenu.php

Espaces de nommage

Joomla\Administrator

Variables

$current = $this->tree->getCurrent()
if(! $this->enabled) elseif($current instanceOf Separator) elseif($current->hasChildren()) else
$linkClass = array()
$dataToggle = ''
$dropdownCaret = ''
if ( $this->enabled &&$current->hasChildren())

Documentation des variables

◆ $current

$current = $this->tree->getCurrent()

Référencé par Uri\current(), PHPMailer\DKIM_Add(), Form\findGroup(), nodecounter\findNode(), lessc\get(), FOFLess\get(), SimplePie_Locator\get_links(), Tree\getCurrent(), UserField\getLayoutData(), MediaModelList\getList(), Form\load(), Profiler\mark(), Tree\reset(), Uri\reset(), JDatabaseDriver\splitSql(), FOFDatabaseDriver\splitSql(), JDatabaseQuerySqlsrv\splitSqlExpression(), et PlgSystemDebug\writeToFile().

◆ $dataToggle

$dataToggle = ''

◆ $dropdownCaret

$dropdownCaret = ''

◆ $linkClass

if (!( $current instanceof Separator) &&( $current->getLevel() > 1)) $linkClass = array()

◆ else

if ( $link=$current->get( 'link')) else
Valeur initiale :
{
$class = ''
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19

◆ if

if($this->enabled && $current->hasChildren())


Joomla CMS: Référence du fichier default_system.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
  • tmpl
Espaces de nommage
Référence du fichier components/com_admin/views/sysinfo/tmpl/default_system.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_system.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_config/view/application/tmpl/default_system.php

Espaces de nommage

Joomla\Administrator

Variables

$this | name = JText::_('COM_CONFIG_SYSTEM_SETTINGS')
$this | fieldsname = 'system'

Documentation des variables

◆ fieldsname

$this fieldsname = 'system'

◆ name

$this name = JText::_('COM_CONFIG_SYSTEM_SETTINGS')


Joomla CMS: Référence du fichier default_system.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • sysinfo
Espaces de nommage
Référence du fichier templates/hathor/html/com_admin/sysinfo/default_system.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_system.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_config/application/default_system.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'system') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('system') as $field)


Joomla CMS: Référence du fichier default_tree.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_templates/views/template/tmpl/default_tree.php

Espaces de nommage

Joomla\Administrator

Variables

$fileArray = explode('/', $this->fileName)
$count = 0
$keyArrayCount = count($keyArray)
if(count($fileArray) >=$keyArrayCount) else
$explodeArray = explode('/', $key)
endif
if (is_object( $value))
endforeach

Documentation des variables

◆ $count

$count = 0

◆ $explodeArray

$explodeArray = explode('/', $key)

◆ $fileArray

$fileArray = explode('/', $this->fileName)

◆ $keyArrayCount

$keyArrayCount = count($keyArray)

◆ else

if (count( $fileArray) >=$keyArrayCount) else
Valeur initiale :
{
$class = 'folder'
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(is_object($value))


Joomla CMS: Référence du fichier default_tree.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • template
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_templates/template/default_tree.php

Espaces de nommage

Joomla\Administrator

Variables

$fileArray = explode('/', $this->fileName)
$count = 0
$keyArrayCount = count($keyArray)
if(count($fileArray) >=$keyArrayCount) else
$explodeArray = explode('/', $key)
endif
if (is_object( $value))
endforeach

Documentation des variables

◆ $count

$count = 0

◆ $explodeArray

$explodeArray = explode('/', $key)

◆ $fileArray

$fileArray = explode('/', $this->fileName)

◆ $keyArrayCount

$keyArrayCount = count($keyArray)

◆ else

if (count( $fileArray) >=$keyArrayCount) else
Valeur initiale :
{
$class = 'folder'
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(is_object($value))


Joomla CMS: Référence du fichier default_update.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_update.php

Espaces de nommage

Joomla\Administrator

Variables

endif
endforeach
else __pad3__
$authorURL = ''
if (!empty( $authorURL))

Documentation des variables

◆ $authorURL

$authorURL = ''

◆ __pad3__

else __pad3__

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(!empty($authorURL))


Joomla CMS: Référence du fichier default_updatemefirst.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Espaces de nommage
Référence du fichier default_updatemefirst.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier default_upload.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_upload.php

Espaces de nommage

Joomla\Administrator

Variables

$errSelectPackage = JText::_('COM_INSTALLER_MSG_INSTALL_PLEASE_SELECT_A_PACKAGE', true)
$errPackageTooBig = JText::_('COM_INSTALLER_MSG_WARNINGS_UPLOADFILETOOBIG', true)
$txtPackageSize = JText::_('JGLOBAL_SELECTED_UPLOAD_FILE_SIZE', true)
$js
Joomla installpackageChange
jQuery (document).ready(function($)
JS
$ajaxLoaderImage = JHtml::_('image', 'jui/ajax-loader.gif', '', null, true, true)
$css
$i = 0
endforeach
endif
$maxSizeBytes = JUtility::getMaxUploadSize()
$maxSize = JHtml::_('number.bytes', $maxSizeBytes)

Documentation des variables

◆ $ajaxLoaderImage

$ajaxLoaderImage = JHtml::_('image', 'jui/ajax-loader.gif', '', null, true, true)

◆ $css

$css
Valeur initiale :
= <<< CSS
#loading {
background: rgba(255, 255, 255, .8) url('$ajaxLoaderImage') 50% 15% no-repeat;
position: fixed;
opacity: 1;
-ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity = 80);
filter: alpha(opacity = 80);
overflow: hidden;
}
CSS
background
CodeMirror activeline background
Definition: plugins/editors/codemirror/layouts/editors/codemirror/styles.php:64
url
url
Definition: plugins/installer/packageinstaller/tmpl/default.php:61
CSS
CSS
Definition: plugins/editors/codemirror/layouts/editors/codemirror/styles.php:69
$ajaxLoaderImage
$ajaxLoaderImage
Definition: default_upload.php:77

Référencé par Tree\getCss(), et modChrome_outline().

◆ $errPackageTooBig

$errPackageTooBig = JText::_('COM_INSTALLER_MSG_WARNINGS_UPLOADFILETOOBIG', true)

◆ $errSelectPackage

$errSelectPackage = JText::_('COM_INSTALLER_MSG_INSTALL_PLEASE_SELECT_A_PACKAGE', true)

◆ $i

$i = 0

◆ $js

$js
Valeur initiale :
= <<< JS
Joomla.submitbuttonUpload = function() {
var form = document.getElementById("uploadForm");
if (form.install_package.value == "") {
alert("$errSelectPackage");
}
else if (form.install_package.files[0].size > form.max_upload_size.value) {
alert("$errPackageTooBig");
}
else
{
jQuery("#loading").css("display", "block");
form.submit();
}
}
JS
JS
Definition: default_upload.php:73
Joomla
jQuery
jQuery(document).ready(function($)
Definition: default_upload.php:61

Référencé par PlgSystemDebug\display(), PlgSystemDebug\displayCallback(), PlgSystemDebug\displaySession(), FOFFormFieldRules\getInput25(), JHtmlTabs\loadBehavior(), JHtmlSliders\loadBehavior(), FOFRenderStrapper\loadValidationScript(), FOFRenderJoomla\loadValidationScript(), FOFRenderStrapper\renderFieldsetLabel(), et JHtmlBehavior\tree().

◆ $maxSize

$maxSize = JHtml::_('number.bytes', $maxSizeBytes)

Référencé par TemplateHelper\canUpload(), MediaHelper\canUpload(), et FilesystemHelper\parseSizeUnit().

◆ $maxSizeBytes

$maxSizeBytes = JUtility::getMaxUploadSize()

◆ $txtPackageSize

$txtPackageSize = JText::_('JGLOBAL_SELECTED_UPLOAD_FILE_SIZE', true)

◆ endforeach

endforeach

◆ endif

endif

◆ installpackageChange

Joomla installpackageChange
Valeur initiale :
= function() {
var form = document.getElementById('uploadForm');
var fileSize = form.install_package.files[0].size;
var fileSizeMB = fileSize * 1.0 / 1024.0 / 1024.0;
var fileSizeText = "$txtPackageSize";
var fileSizeElement = document.getElementById('file_size');
var warningElement = document.getElementById('max_upload_size_warn');
if (form.install_package.value == '') {
fileSizeElement.classList.add('hidden');
warningElement .classList.add('hidden');
}
else if (fileSize) {
fileSizeElement.classList.remove('hidden');
fileSizeElement.innerHTML = fileSizeText.replace('%s', fileSizeMB.toFixed(2) + ' MB');
if (fileSize > form.max_upload_size.value) {
warningElement .classList.remove('hidden');
} else {
warningElement .classList.add('hidden');
}
}
}

◆ jQuery

jQuery(document).ready(function($)

◆ JS

JS


Joomla CMS: Référence du fichier default_url.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_menu
  • tmpl
Espaces de nommage | Variables
Référence du fichier default_url.php

Espaces de nommage

Joomla\Site

Variables

$attributes = array()
if($item->anchor_title) if($item->anchor_css) if($item->anchor_rel) | $linktype = $item->title
if($item->menu_image) if($item->browserNav==1) | elseif ( $item->browserNav==2)

Documentation des variables

◆ $attributes

$attributes = array()

◆ $linktype

if ( $item->anchor_title) if ( $item->anchor_css) if ( $item->anchor_rel) $linktype = $item->title

◆ elseif

if ( $item->menu_image) if ( $item->browserNav==1) elseif($item->browserNav==2)


Joomla CMS: Référence du fichier default_user_custom_fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/contact/tmpl/default_user_custom_fields.php

Espaces de nommage

Joomla\Site

Variables

$params = $this->item->params
$presentation_style = $params->get('presentation_style')
$displayGroups = $params->get('show_user_custom_fields')
$userFieldGroups = array()
if(! $displayGroups||! $this->contactUser) endif
$userFieldGroups [$field->group_title][] = $field
endforeach

Documentation des variables

◆ $displayGroups

$displayGroups = $params->get('show_user_custom_fields')

◆ $params

$params = $this->item->params

◆ $presentation_style

$presentation_style = $params->get('presentation_style')

◆ $userFieldGroups [1/2]

$userFieldGroups = array()

◆ $userFieldGroups [2/2]

$userFieldGroups[ $field->group_title][] = $field

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier default_user_custom_fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_contact/contact/default_user_custom_fields.php

Espaces de nommage

Joomla\Site

Variables

$params = $this->params
$displayGroups = $params->get('show_user_custom_fields')
$userFieldGroups = array()
if(! $displayGroups||! $this->contactUser) endif
$userFieldGroups [$field->group_title][] = $field
endforeach

Documentation des variables

◆ $displayGroups

$displayGroups = $params->get('show_user_custom_fields')

◆ $params

$params = $this->params

◆ $userFieldGroups [1/2]

$userFieldGroups = array()

◆ $userFieldGroups [2/2]

$userFieldGroups[ $field->group_title][] = $field

◆ endforeach

endforeach

◆ endif

foreach ($fields as $field) (! $field->value) endif


Joomla CMS: Référence du fichier defines.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • includes
Espaces de nommage | Variables
Référence du fichier administrator/includes/defines.php

Espaces de nommage

Joomla\Administrator

Variables

$parts = explode(DIRECTORY_SEPARATOR, JPATH_BASE)
const | JPATH_ROOT implode(DIRECTORY_SEPARATOR, $parts)
const | JPATH_SITE JPATH_ROOT
const | JPATH_CONFIGURATION JPATH_ROOT
const | JPATH_ADMINISTRATOR JPATH_ROOT . DIRECTORY_SEPARATOR . 'administrator'
const | JPATH_LIBRARIES JPATH_ROOT . DIRECTORY_SEPARATOR . 'libraries'
const | JPATH_PLUGINS JPATH_ROOT . DIRECTORY_SEPARATOR . 'plugins'
const | JPATH_INSTALLATION JPATH_ROOT . DIRECTORY_SEPARATOR . 'installation'
const | JPATH_THEMES JPATH_BASE . DIRECTORY_SEPARATOR . 'templates'
const | JPATH_CACHE JPATH_BASE . DIRECTORY_SEPARATOR . 'cache'
const | JPATH_MANIFESTS JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'manifests'

Documentation des variables

◆ $parts

$parts = explode(DIRECTORY_SEPARATOR, JPATH_BASE)

◆ JPATH_ADMINISTRATOR

const JPATH_ADMINISTRATOR JPATH_ROOT . DIRECTORY_SEPARATOR . 'administrator'

Référencé par FieldsController\__construct(), LastvisitdaterangeField\__construct(), UsersModelProfile\__construct(), UseractiveField\__construct(), JFormFieldLogsDateRange\__construct(), RegistrationdaterangeField\__construct(), FOFUtilsFilescheck\__construct(), Language\__construct(), ContentHelper\_getActions(), JHtmlAccess\actions(), InstallationModelLanguages\addAllCategoriesMenuItem(), InstallationModelLanguages\addArticle(), InstallationModelLanguages\addBlogMenuItem(), InstallationModelLanguages\addCategory(), InstallationModelLanguages\addFeaturedMenuItem(), InstallationModelLanguages\addMenuGroup(), CategoriesHelper\addSubmenu(), TagsHelper\addSubmenu(), FieldsHelper\addSubmenu(), LanguagesViewLanguage\addToolbar(), TagsViewTag\addToolbar(), FieldsViewField\addToolbar(), BannersViewBanners\addToolbar(), FieldsViewGroup\addToolbar(), FieldsViewGroups\addToolbar(), CategoriesViewCategory\addToolbar(), FieldsViewFields\addToolbar(), CategoriesViewCategories\addToolbar(), JHtmlUsers\admin_language(), Uri\base(), ContentModelArticle\batchMove(), AdministratorRouter\build(), ContactModelContact\buildContactExtendedData(), ConfigModelCms\cleanCache(), ContentModelArticle\cleanupPostBatchCopy(), FOFUtilsCacheCleaner\clearCacheGroups(), PlgSystemLogrotation\clearCacheGroups(), PlgSystemUpdatenotification\clearCacheGroups(), PlgQuickiconEos310\clearCacheGroups(), PlgSystemActionLogs\clearCacheGroups(), PlgSystemStats\clearCacheGroups(), PlgSystemPrivacyconsent\clearCacheGroups(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), CategoriesHelper\createCategory(), InstallationModelConfiguration\createConfiguration(), LanguageHelper\createLanguageList(), InstallationModelDatabase\createTables(), TagsHelper\createTagsFromField(), TagsHelper\createTagsFromMetadata(), ModuleAdapter\discover(), TemplateAdapter\discover(), LanguageAdapter\discover(), ComponentAdapter\discover(), InstallationApplicationWeb\dispatch(), JoomlaupdateViewUpdate\display(), LanguagesViewMultilangstatus\display(), JoomlaupdateViewUpload\display(), CacheController\display(), InstallerController\display(), MenusController\display(), MessagesController\display(), ModulesController\display(), NewsfeedsController\display(), PluginsController\display(), LanguagesController\display(), RedirectController\display(), SearchController\display(), TemplatesController\display(), ContactController\display(), FinderController\display(), PrivacyController\display(), MenusViewItems\display(), AdminViewProfile\display(), CategoriesController\display(), DeletefilesCli\doExecute(), JHtmlUsers\editor(), ConfigControllerTemplatesSave\execute(), ConfigControllerConfigDisplay\execute(), ConfigControllerTemplatesDisplay\execute(), ConfigControllerModulesSave\execute(), ConfigControllerModulesDisplay\execute(), ConfigControllerModulesCancel\execute(), ConfigControllerConfigSave\execute(), ConfigControllerDisplay\execute(), JHtmlAdminLanguage\existing(), FieldsHelper\extract(), CategoriesControllerAjax\fetchAssociations(), ContactControllerAjax\fetchAssociations(), NewsfeedsControllerAjax\fetchAssociations(), MenusControllerAjax\fetchAssociations(), JoomlaupdateModelDefault\finaliseUpgrade(), InstallerControllerDatabase\fix(), ContentHelper\getActions(), Access\getActions(), CacheModelCache\getCache(), PrivacyModelCapabilities\getCapabilities(), ApplicationHelper\getClientInfo(), FOFIntegrationJoomlaPlatform\getComponentBaseDirs(), UsersHelperDebug\getComponents(), ContactModelContact\getContactQuery(), PlgUserContactCreator\getContactTable(), ActionlogsHelper\getContentTypeLink(), ContactHelper\getContexts(), ContentHelper\getContexts(), UsersHelper\getContexts(), FinderModelStatistics\getData(), JoomlaupdateModelDefault\getDatabaseSchemaCheck(), UsersHelperDebug\getDebugActions(), FileLayout\getDefaultIncludePaths(), AdminModelSysInfo\getDirectory(), PostinstallModelMessages\getExtensionName(), FieldsHelper\getFields(), ConfigModelComponent\getForm(), ContactModelContact\getForm(), TemplatesModelStyle\getForm(), ModulesModelModule\getForm(), ContenthistoryHelper\getFormFile(), JFormFieldModal_Category\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldModal_Menu\getInput(), LanguageHelper\getInstalledLanguages(), MenusModelItem\getItem(), InstallerModelDatabase\getItems(), SearchModelSearches\getItems(), MenusModelItems\getItems(), ModLoginHelper\getLanguageList(), PlgSystemStatsFormFieldBase\getLayoutPaths(), PlgSystemStats\getLayoutPaths(), ModLatestActionsHelper\getList(), InstallationApplicationWeb\getLocaliseAdmin(), ModulesHelper\getModules(), JFormFieldAliastag\getOptions(), JFormFieldComponents\getOptions(), JFormFieldComponentsCategory\getOptions(), JFormFieldConfigComponents\getOptions(), JFormFieldDirectories\getOptions(), JFormFieldFieldcontexts\getOptions(), HelpsiteField\getOptions(), JFormFieldLanguageclient\getOptions(), ContenttypeField\getOptions(), JFormFieldPlugins\getOptions(), FOFIntegrationJoomlaPlatform\getPlatformBaseDirs(), TemplatesHelper\getPositions(), MenuHelper\getPresets(), ContenthistoryModelHistory\getSha1Hash(), AssociationsHelper\getSupportedExtension(), FieldsModelGroup\getTable(), FieldsModelField\getTable(), TagsHelper\getTagTreeArray(), ChromestyleField\getTemplateModuleStyles(), ModulesHelper\getTranslatedModulePosition(), MenusModelMenutypes\getTypeOptions(), MenusModelMenutypes\getTypeOptionsFromManifest(), ChangeSet\getUpdateFiles(), ConfigHelperConfig\hasComponentConfig(), hathormessage_postinstall_action(), JHtmlUsers\helpsite(), FinderCli\index(), InstallationModelDatabase\initialise(), LanguageAdapter\install(), UsersModelUser\isValidSecretKey(), ActionlogsHelper\loadActionLogPluginsLanguage(), TemplateAdapter\loadLanguage(), ModuleAdapter\loadLanguage(), PluginAdapter\loadLanguage(), ComponentAdapter\loadLanguage(), ContenthistoryHelper\loadLanguageFiles(), ConfigHelperConfig\loadLanguageForComponent(), SiteApplication\loadLibraryLanguage(), CMSApplication\loadLibraryLanguage(), FinderHelperLanguage\loadPluginLanguage(), ActionlogsHelper\loadTranslationFiles(), FOFIntegrationJoomlaPlatform\loadTranslations(), PlgSampledataBlog\onAjaxSampledataApplyStep1(), PlgSampledataBlog\onAjaxSampledataApplyStep2(), PlgSampledataBlog\onAjaxSampledataApplyStep3(), PlgSystemFields\onContentAfterDelete(), PlgContentJoomla\onContentAfterSave(), PlgContentFields\onContentPrepare(), PlgSearchContent\onContentSearch(), PlgButtonFields\onDisplay(), PostinstallModelMessages\onProcessList(), PlgUserJoomla\onUserAfterSave(), PlgUserTerms\onUserAfterSave(), PlgSystemPrivacyconsent\onUserAfterSave(), PlgSystemLanguageFilter\parseRule(), MenusModelItems\populateState(), JHtmlModules\positions(), FOFUtilsInstallscript\postflight(), InstallerModelUpdate\preparePreUpdate(), JAdminCssMenu\preprocess(), FieldsModelGroup\preprocessForm(), PluginsModelPlugin\preprocessForm(), CategoriesModelCategory\preprocessForm(), ModulesModelModule\preprocessForm(), FieldsModelField\preprocessForm(), MenusModelItem\preprocessForm(), InstallerModelManage\publish(), InstallerModelUpdatesites\rebuild(), LanguagesModelStrings\refresh(), ConfigViewModulesHtml\render(), PlgSystemActionLogs\renderActionlogsExtensions(), TemplatesControllerStyle\save(), LanguagesControllerOverride\save(), NewsfeedsModelNewsfeed\save(), ModulesControllerModule\save(), ContactModelContact\save(), MessagesModelMessage\save(), ContentModelArticle\save(), TagsHelper\searchTags(), ActionlogsModelActionlog\sendNotificationEmails(), LanguagesControllerInstalled\setDefault(), ComponentAdapter\setupInstallPaths(), LanguagesControllerInstalled\switchAdminLanguage(), InstallerModel\translate(), PluginsModelPlugins\translate(), FOFFormFieldComponents\translate(), ModulesModelModules\translate(), JoomlaupdateModelDefault\translateExtensionName(), FOFUtilsInstallscript\uninstall(), ComponentAdapter\uninstall(), TemplatesModelTemplate\uploadFile(), ModulesModelModule\validate(), CategoriesHelper\validateCategoryId(), et ToolbarHelper\versions().

◆ JPATH_CACHE

const JPATH_CACHE JPATH_BASE . DIRECTORY_SEPARATOR . 'cache'

Référencé par Cache\__construct(), FOFIntegrationJoomlaPlatform\getCacheObject(), et AdminModelSysInfo\getDirectory().

◆ JPATH_CONFIGURATION

const JPATH_CONFIGURATION JPATH_ROOT

Référencé par CacheStorage\__construct(), JApplication\__construct(), admin_postinstall_eaccelerator_action(), behindproxy_postinstall_action(), InstallationModelConfiguration\createConfiguration(), InstallationControllerDatabase\execute(), CliApplication\fetchConfigurationData(), WebApplication\fetchConfigurationData(), Factory\getConfig(), AdminModelSysInfo\getDirectory(), InstallationModelSetup\getPhpOptions(), InstallationHtmlHelper\stepbar(), et ConfigModelApplication\writeConfigFile().

◆ JPATH_INSTALLATION

const JPATH_INSTALLATION JPATH_ROOT . DIRECTORY_SEPARATOR . 'installation'

Référencé par LanguageAdapter\_install(), ApplicationHelper\getClientInfo(), InstallationApplicationWeb\getLocalise(), InstallationFormFieldSample\getOptions(), JFormFieldDirectories\getOptions(), InstallationModelDatabase\initialise(), et InstallationModelDatabase\installSampleData().

◆ JPATH_LIBRARIES

const JPATH_LIBRARIES JPATH_ROOT . DIRECTORY_SEPARATOR . 'libraries'

Référencé par InstallationModelLanguages\addModuleLanguageSwitcher(), InstallationModelFtp\detectFtpRoot(), AdminModelSysInfo\getDirectory(), JFormFieldDirectories\getOptions(), Session\getStores(), FOFUtilsInstallscript\installFOF(), ActionlogsHelper\loadTranslationFiles(), et LanguageHelper\saveToIniFile().

◆ JPATH_MANIFESTS

const JPATH_MANIFESTS JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'manifests'

Référencé par InstallerAdapter\canUninstallPackageChild(), PackageAdapter\checkExtensionInFilesystem(), LibraryAdapter\discover(), FileAdapter\finaliseInstall(), JoomlaupdateModelDefault\finaliseUpgrade(), LibraryAdapter\prepareDiscoverInstall(), LibraryAdapter\refreshManifestCache(), FileAdapter\refreshManifestCache(), PackageAdapter\refreshManifestCache(), FileAdapter\setupInstallPaths(), PackageAdapter\setupInstallPaths(), FileAdapter\uninstall(), LibraryAdapter\uninstall(), et PackageAdapter\uninstall().

◆ JPATH_PLUGINS

const JPATH_PLUGINS JPATH_ROOT . DIRECTORY_SEPARATOR . 'plugins'

Référencé par Captcha\_load(), Editor\_loadEditor(), JHtmlUsers\editor(), FinderModelStatistics\getData(), AdminModelSysInfo\getDirectory(), PluginsModelPlugin\getForm(), PluginsModelPlugin\getItem(), JFormFieldTinymceBuilder\getLayoutData(), PluginHelper\getLayoutPath(), JFormFieldDirectories\getOptions(), JFormFieldPlugins\getOptions(), PluginHelper\import(), ActionlogsHelper\loadActionLogPluginsLanguage(), CMSPlugin\loadLanguage(), PluginAdapter\loadLanguage(), FinderHelperLanguage\loadPluginLanguage(), ActionlogsHelper\loadTranslationFiles(), FieldsPlugin\onContentPrepareForm(), FieldsPlugin\onCustomFieldsGetTypes(), PlgSystemLanguageFilter\parseRule(), PluginsModelPlugin\preprocessForm(), LanguagesModelStrings\refresh(), PluginAdapter\setupInstallPaths(), InstallerModel\translate(), PluginsModelPlugins\translate(), JoomlaupdateModelDefault\translateExtensionName(), et PluginAdapter\uninstall().

◆ JPATH_ROOT

const JPATH_ROOT implode(DIRECTORY_SEPARATOR, $parts)

Référencé par JFormFieldSubform\__set(), Stream\_getFilename(), File\append(), HTMLHelper\calendar(), Path\check(), Path\clean(), JoomlaInstallerScript\cleanJoomlaCache(), AdminModelSysInfo\cleanSectionPrivateData(), JoomlaupdateModelDefault\cleanUp(), JoomlaInstallerScript\clearRadCache(), JoomlaInstallerScript\convertTablesToUtf8mb4(), Folder\copy(), File\copy(), FOFUtilsInstallscript\copyCliFiles(), Folder\create(), InstallationModelConfiguration\createConfiguration(), TemplatesModelTemplate\createOverride(), JoomlaupdateModelDefault\createRestorationFile(), File\delete(), Folder\delete(), JoomlaInstallerScript\deleteUnexistingFiles(), AdminViewSysinfo\display(), FOFUtilsFilescheck\fastCheck(), JoomlaupdateModelDefault\finaliseUpgrade(), JoomlaInstallerScript\fixFilenameCasing(), FileLayout\getDefaultIncludePaths(), AdminModelSysInfo\getDirectory(), ContenthistoryHelper\getFormFile(), JFormFieldTinymceBuilder\getLayoutData(), MediaField\getLayoutData(), JFormFieldCalendar\getLayoutData(), ModBannersHelper\getList(), JFormFieldSkins\getOptions(), JFormFieldFolderList\getOptions(), JFormFieldFileList\getOptions(), TemplatesModelTemplate\getOverridesList(), InstallationModelSetup\getPhpOptions(), FOFIntegrationJoomlaPlatform\getPlatformBaseDirs(), FOFFormFieldImagelist\getStatic(), FOFFormFieldMedia\getStatic(), Stream\getStream(), Factory\getStream(), Crypt\hasStrongPasswordSupport(), FOFDownload\importFromURL(), HTMLHelper\includeRelativeFiles(), FOFUtilsInstallscript\installFOF(), FOFUtilsInstallscript\installStrapper(), Path\isOwner(), Folder\listFolderTree(), FOFIntegrationJoomlaPlatform\loadTranslations(), File\move(), Folder\move(), InstallerScript\moveCliFiles(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), Installer\parseMedia(), FileAdapter\populateFilesAndFolderList(), JLoader\registerNamespace(), JLoader\registerPrefix(), InstallerScript\removeFiles(), FOFUtilsInstallscript\removeFilesAndFolders(), Path\removeRoot(), FileAdapter\setupInstallPaths(), FOFUtilsFilescheck\slowCheck(), Menu\store(), Form\syncPaths(), FilePathRule\test(), FileAdapter\uninstall(), MediaControllerFile\upload(), File\upload(), InstallationModelFtp\verifyFtpSettings(), File\write(), et JHtmlDebug\xdebuglink().

◆ JPATH_SITE

const JPATH_SITE JPATH_ROOT

Référencé par InstallationControllerInstallEmail\__construct(), InstallationControllerInstallLanguages\__construct(), InstallationControllerSetdefaultlanguage\__construct(), InstallationModelLanguages\__construct(), Language\__construct(), LanguageAdapter\_install(), ContactModelContact\buildContactExtendedData(), ConfigModelCms\cleanCache(), FOFUtilsCacheCleaner\clearCacheGroups(), PlgSystemLogrotation\clearCacheGroups(), PlgSystemUpdatenotification\clearCacheGroups(), PlgQuickiconEos310\clearCacheGroups(), PlgSystemActionLogs\clearCacheGroups(), PlgSystemStats\clearCacheGroups(), PlgSystemPrivacyconsent\clearCacheGroups(), JoomlaupdateModelDefault\createRestorationFile(), InstallationModelFtp\detectFtpRoot(), ModuleAdapter\discover(), TemplateAdapter\discover(), PluginAdapter\discover(), LanguageAdapter\discover(), ComponentAdapter\discover(), InstallationApplicationWeb\dispatch(), SearchViewSearch\display(), ContenthistoryViewPreview\display(), MenusViewItems\display(), FinderViewFilter\display(), JHtmlIcon\email(), CategoriesModelCategories\getAssoc(), CategoriesModelCategory\getAssoc(), CacheModelCache\getCache(), ApplicationHelper\getClientInfo(), FOFIntegrationJoomlaPlatform\getComponentBaseDirs(), PostinstallModelMessages\getComponentOptions(), SiteRouter\getComponentRouter(), FileLayout\getDefaultIncludePaths(), AdminModelSysInfo\getDirectory(), PostinstallModelMessages\getExtensionName(), ModRandomImageHelper\getFolder(), TemplatesModelStyle\getForm(), ModulesModelModule\getForm(), JFormFieldFieldlayout\getInput(), LanguageHelper\getInstalledLanguages(), Categories\getInstance(), PlgSystemStatsFormFieldBase\getLayoutPaths(), ModRelatedItemsHelper\getList(), ModLanguagesHelper\getList(), InstallationApplicationWeb\getLocaliseAdmin(), ModulesHelper\getModules(), JFormFieldDirectories\getOptions(), JFormFieldLanguageclient\getOptions(), FOFIntegrationJoomlaPlatform\getPlatformBaseDirs(), TemplatesHelper\getPositions(), ChromestyleField\getTemplateModuleStyles(), ModulesHelper\getTranslatedModulePosition(), JHtmlUsers\image(), JHtmlList\images(), PlgFinderCategories\index(), LanguageAdapter\install(), Path\isOwner(), JHtmlUsers\language(), FinderHelperLanguage\loadComponentLanguage(), FileAdapter\loadLanguage(), LibraryAdapter\loadLanguage(), TemplateAdapter\loadLanguage(), ModuleAdapter\loadLanguage(), ComponentAdapter\loadLanguage(), SiteApplication\loadLibraryLanguage(), ActionlogsHelper\loadTranslationFiles(), PlgSystemLanguageFilter\onAfterDispatch(), PlgContentContact\onContentPrepare(), PlgSystemLanguagecode\onContentPrepareForm(), PlgSearchContent\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PostinstallModelMessages\onProcessList(), PlgSystemLanguageFilter\onUserLogin(), SiteRouter\parse(), ConfigModelComponent\populateState(), InstallerModelUpdate\preparePreUpdate(), InstallerModelUpdatesites\rebuild(), ConfigModelApplication\save(), PlgFinderTags\setup(), PlgFinderNewsfeeds\setup(), PlgFinderContent\setup(), PlgFinderCategories\setup(), PlgFinderContacts\setup(), ModuleAdapter\setupInstallPaths(), TemplateAdapter\setupInstallPaths(), ComponentAdapter\setupInstallPaths(), InstallerModel\translate(), ModulesModelModules\translate(), JoomlaupdateModelDefault\translateExtensionName(), et ComponentAdapter\uninstall().

◆ JPATH_THEMES

const JPATH_THEMES JPATH_BASE . DIRECTORY_SEPARATOR . 'templates'

Référencé par InstallerViewDefault\__construct(), ConfigViewCmsHtml\__construct(), OpensearchDocument\__construct(), HtmlView\_setPath(), FileLayout\getDefaultIncludePaths(), AdminModelSysInfo\getDirectory(), PluginHelper\getLayoutPath(), ModuleHelper\getLayoutPath(), Pagination\getListFooter(), JFormFieldDirectories\getOptions(), Pagination\getPagesLinks(), MenuHelper\getPresets(), AdministratorApplication\getTemplate(), SiteApplication\getTemplate(), FOFIntegrationJoomlaPlatform\getTemplateOverridePath(), HTMLHelper\includeRelativeFiles(), ConfigViewCmsHtml\loadTemplate(), HtmlView\loadTemplate(), MessageRenderer\render(), ExceptionHandler\render(), JApplication\render(), WebApplication\render(), InstallationApplicationWeb\render(), SiteApplication\render(), CMSApplication\render(), ModuleHelper\renderModule(), et SiteApplication\setTemplate().


Joomla CMS: Référence du fichier defines.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • includes
Espaces de nommage | Variables
Référence du fichier includes/defines.php

Espaces de nommage

Joomla\Site

Variables

$parts = explode(DIRECTORY_SEPARATOR, JPATH_BASE)
const | JPATH_ROOT implode(DIRECTORY_SEPARATOR, $parts)
const | JPATH_SITE JPATH_ROOT
const | JPATH_CONFIGURATION JPATH_ROOT
const | JPATH_ADMINISTRATOR JPATH_ROOT . DIRECTORY_SEPARATOR . 'administrator'
const | JPATH_LIBRARIES JPATH_ROOT . DIRECTORY_SEPARATOR . 'libraries'
const | JPATH_PLUGINS JPATH_ROOT . DIRECTORY_SEPARATOR . 'plugins'
const | JPATH_INSTALLATION JPATH_ROOT . DIRECTORY_SEPARATOR . 'installation'
const | JPATH_THEMES JPATH_BASE . DIRECTORY_SEPARATOR . 'templates'
const | JPATH_CACHE JPATH_BASE . DIRECTORY_SEPARATOR . 'cache'
const | JPATH_MANIFESTS JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'manifests'

Documentation des variables

◆ $parts

$parts = explode(DIRECTORY_SEPARATOR, JPATH_BASE)

◆ JPATH_ADMINISTRATOR

const JPATH_ADMINISTRATOR JPATH_ROOT . DIRECTORY_SEPARATOR . 'administrator'

◆ JPATH_CACHE

const JPATH_CACHE JPATH_BASE . DIRECTORY_SEPARATOR . 'cache'

◆ JPATH_CONFIGURATION

const JPATH_CONFIGURATION JPATH_ROOT

◆ JPATH_INSTALLATION

const JPATH_INSTALLATION JPATH_ROOT . DIRECTORY_SEPARATOR . 'installation'

◆ JPATH_LIBRARIES

const JPATH_LIBRARIES JPATH_ROOT . DIRECTORY_SEPARATOR . 'libraries'

◆ JPATH_MANIFESTS

const JPATH_MANIFESTS JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'manifests'

◆ JPATH_PLUGINS

const JPATH_PLUGINS JPATH_ROOT . DIRECTORY_SEPARATOR . 'plugins'

◆ JPATH_ROOT

const JPATH_ROOT implode(DIRECTORY_SEPARATOR, $parts)

◆ JPATH_SITE

const JPATH_SITE JPATH_ROOT

◆ JPATH_THEMES

const JPATH_THEMES JPATH_BASE . DIRECTORY_SEPARATOR . 'templates'


Joomla CMS: Référence du fichier defines.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • application
Espaces de nommage | Variables
Référence du fichier installation/application/defines.php

Espaces de nommage

Joomla\Installation

Variables

$parts = explode(DIRECTORY_SEPARATOR, JPATH_BASE)
const | JPATH_ROOT implode(DIRECTORY_SEPARATOR, $parts)
const | JPATH_SITE JPATH_ROOT
const | JPATH_CONFIGURATION JPATH_ROOT
const | JPATH_ADMINISTRATOR JPATH_ROOT . DIRECTORY_SEPARATOR . 'administrator'
const | JPATH_LIBRARIES JPATH_ROOT . DIRECTORY_SEPARATOR . 'libraries'
const | JPATH_PLUGINS JPATH_ROOT . DIRECTORY_SEPARATOR . 'plugins'
const | JPATH_INSTALLATION JPATH_ROOT . DIRECTORY_SEPARATOR . 'installation'
const | JPATH_THEMES JPATH_BASE
const | JPATH_CACHE JPATH_BASE . DIRECTORY_SEPARATOR . 'cache'
const | JPATH_MANIFESTS JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'manifests'

Documentation des variables

◆ $parts

$parts = explode(DIRECTORY_SEPARATOR, JPATH_BASE)

◆ JPATH_ADMINISTRATOR

const JPATH_ADMINISTRATOR JPATH_ROOT . DIRECTORY_SEPARATOR . 'administrator'

◆ JPATH_CACHE

const JPATH_CACHE JPATH_BASE . DIRECTORY_SEPARATOR . 'cache'

◆ JPATH_CONFIGURATION

const JPATH_CONFIGURATION JPATH_ROOT

◆ JPATH_INSTALLATION

const JPATH_INSTALLATION JPATH_ROOT . DIRECTORY_SEPARATOR . 'installation'

◆ JPATH_LIBRARIES

const JPATH_LIBRARIES JPATH_ROOT . DIRECTORY_SEPARATOR . 'libraries'

◆ JPATH_MANIFESTS

const JPATH_MANIFESTS JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'manifests'

◆ JPATH_PLUGINS

const JPATH_PLUGINS JPATH_ROOT . DIRECTORY_SEPARATOR . 'plugins'

◆ JPATH_ROOT

const JPATH_ROOT implode(DIRECTORY_SEPARATOR, $parts)

◆ JPATH_SITE

const JPATH_SITE JPATH_ROOT

◆ JPATH_THEMES

const JPATH_THEMES JPATH_BASE


Joomla CMS: Référence du fichier DelegatingDispatcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier DelegatingDispatcher.php

Structures de données

class DelegatingDispatcher

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier DelegatingPsrLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
Structures de données | Espaces de nommage
Référence du fichier DelegatingPsrLogger.php

Structures de données

class DelegatingPsrLogger

Espaces de nommage

Joomla\CMS\Log


Joomla CMS: Référence du fichier deletefiles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • cli
Structures de données | Espaces de nommage | Variables
Référence du fichier deletefiles.php

Structures de données

class DeletefilesCli

Espaces de nommage

Joomla\Cli

Variables

const | _JEXEC = 1
if(file_exists(dirname(__DIR__) . '/defines.php')) | if (!defined( '_JDEFINES'))
$lang = JFactory::getLanguage()

Documentation des variables

◆ $lang

$lang = JFactory::getLanguage()

◆ _JEXEC

const _JEXEC = 1

A command line cron job to attempt to remove files that should have been deleted at update.

◆ if

if (file_exists(dirname(__DIR__) . '/defines.php')) if(!defined('_JDEFINES'))


Joomla CMS: Référence du fichier deletemedia.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • layouts
  • toolbar
Espaces de nommage | Variables
Référence du fichier components/com_media/layouts/toolbar/deletemedia.php

Espaces de nommage

Joomla\Administrator

Variables

$title = JText::_('JTOOLBAR_DELETE')

Documentation des variables

◆ $title

else $title = JText::_('JTOOLBAR_DELETE')

Référencé par Separator\__construct(), Heading\__construct(), FOFHalLink\__construct(), Url\__construct(), FeedLink\__construct(), Component\__construct(), PlgContentPagebreak\_createToc(), Module\_getAssetTitle(), Category\_getAssetTitle(), Content\_getAssetTitle(), Language\_getAssetTitle(), FieldsTableGroup\_getAssetTitle(), FieldsTableField\_getAssetTitle(), MenuType\_getAssetTitle(), Pagination\_item_active(), PlgContentLoadmodule\_loadmod(), TagsViewTags\_prepareDocument(), ContentViewForm\_prepareDocument(), ContactViewFeatured\_prepareDocument(), ContentViewArchive\_prepareDocument(), ContentViewFeatured\_prepareDocument(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), TagsViewTag\_prepareDocument(), ContactViewContact\_prepareDocument(), JHtmlJGrid\action(), InstallationModelLanguages\addAllCategoriesMenuItem(), InstallationModelLanguages\addArticle(), InstallationModelLanguages\addBlogMenuItem(), FinderIndexerTaxonomy\addBranch(), InstallationModelLanguages\addCategory(), FinderIndexerHelper\addContentType(), InstallationModelLanguages\addFeaturedMenuItem(), JGoogleEmbedMaps\addMarker(), InstallationModelLanguages\addModuleMenu(), FinderIndexerTaxonomy\addNode(), JHtmlUsers\addNote(), MenuHelper\addPreset(), JHtmlBootstrap\addTab(), FinderIndexerResult\addTaxonomy(), TagsViewTag\addToolbar(), MenusViewMenutypes\addToolbar(), FieldsViewField\addToolbar(), TagsViewTags\addToolbar(), ModulesViewModules\addToolbar(), BannersViewBanners\addToolbar(), FieldsViewGroup\addToolbar(), FieldsViewGroups\addToolbar(), CategoriesViewCategory\addToolbar(), NewsfeedsViewNewsfeeds\addToolbar(), FieldsViewFields\addToolbar(), RedirectViewLinks\addToolbar(), UsersViewUsers\addToolbar(), ContactViewContacts\addToolbar(), CategoriesViewCategories\addToolbar(), ContentViewArticles\addToolbar(), AssociationsViewAssociation\addToolbar(), AssociationsViewAssociations\addToolbar(), MenusViewItems\addToolbar(), MenusModelItem\batchCopy(), CategoriesModelCategory\batchCopy(), JHtmlGrid\boolean(), FinderHelperLanguage\branchLanguageTitle(), JMediawikiPages\changeProtection(), FinderTableFilter\check(), TagsTableTag\check(), FieldsTableField\check(), Category\check(), Content\check(), JGithubPackagePulls\create(), JGithubPackageIssues\create(), JGithubPackageRepositoriesKeys\create(), JGithubPackageUsersKeys\create(), JGithubPackageIssuesMilestones\create(), JGithubMilestones\create(), JGoogleDataPicasa\createAlbum(), JGoogleDataCalendar\createCalendar(), JLinkedinGroups\createPost(), JFacebookEvent\createVideo(), JFacebookUser\createVideo(), JMediawikiPages\deletePageByName(), ContentViewFeatured\display(), TagsViewTag\display(), TagsViewTags\display(), FinderViewSearch\display(), WrapperViewWrapper\display(), CategoryFeedView\display(), SearchViewSearch\display(), ContentViewCategory\display(), PlgSystemDebug\display(), PlgSystemDebug\displayCallback(), PlgSystemDebug\displayQueries(), JGithubPackageIssues\edit(), JGithubPackageRepositoriesKeys\edit(), JGithubPackageUsersKeys\edit(), JGithubPackagePulls\edit(), JGithubPackageIssuesMilestones\edit(), JGithubMilestones\edit(), JHtmlUsers\editor(), JMediawikiPages\editPage(), InstallationControllerInstallEmail\emailTitle(), JHtmlQuery\explained(), PopupButton\fetchButton(), JHtmlUsers\filterNotes(), UsersModelGroup\generateGroupTitle(), TemplatesModelStyle\generateNewTitle(), FieldsModelField\generateNewTitle(), TagsModelTag\generateNewTitle(), ModulesModelModule\generateNewTitle(), AdminModel\generateNewTitle(), CategoriesModelCategory\generateNewTitle(), MenusModelItem\generateNewTitle(), SimplePie_Item\get_enclosures(), AssociationsHelper\getAssociationHtmlList(), HtmlDocument\getBuffer(), HtmlDocument\getHeadData(), JGoogleEmbedMaps\getHeader(), JFormFieldModal_Article\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Contact\getInput(), FOFFormFieldButton\getInput(), JFormFieldModal_Menu\getInput(), JFormFieldNote\getLabel(), FOFFormHeader\getLabel(), LoginModelLogin\getLoginModule(), ModuleHelper\getModule(), FinderIndexerTaxonomy\getNodeByTitle(), SiteApplication\getParams(), MenuHelper\getPresets(), OrderingField\getQuery(), FOFFormFieldOrdering\getQuery(), AssociationsHelper\getSupportedExtension(), ModPopularHelper\getTitle(), ModLatestHelper\getTitle(), FormField\getTitle(), Document\getTitle(), AdminModelHelp\getToc(), AssociationExtensionHelper\getType(), MenusAssociationsHelper\getType(), ContentAssociationsHelper\getType(), ContactAssociationsHelper\getType(), NewsfeedsAssociationsHelper\getType(), PlgFinderTags\index(), PlgFinderContent\index(), PlgFinderCategories\index(), PlgFinderContacts\index(), JHtmlLinks\linksgroups(), ToolbarHelper\modal(), JHtmlUsers\notes(), JHtmlUsers\notesModal(), FOFTableBehaviorAssets\onAfterStore(), PlgSampledataBlog\onAjaxSampledataApplyStep1(), PlgContentPagebreak\onContentPrepare(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), ModulesControllerModule\orderPosition(), pagination_item_active(), UsersViewRemind\prepareDocument(), UsersViewRegistration\prepareDocument(), UsersViewLogin\prepareDocument(), UsersViewReset\prepareDocument(), PrivacyViewConfirm\prepareDocument(), PrivacyViewRemind\prepareDocument(), PrivacyViewRequest\prepareDocument(), CategoriesView\prepareDocument(), UsersViewProfile\prepareDocument(), FinderViewSearch\prepareDocument(), CategoryView\prepareDocument(), ModuleRenderer\render(), RssRenderer\render(), AtomRenderer\render(), FOFRenderStrapper\renderButtons(), FOFRenderJoomla\renderButtons(), FOFRenderJoomla\renderFieldset(), FOFRenderStrapper\renderFieldset(), FOFRenderJoomla3\renderFieldsetLabel(), FOFRenderJoomla\renderFieldsetLabel(), FOFRenderStrapper\renderFieldsetLabel(), JMediawikiPages\rollback(), FieldsModelField\save(), TagsModelTag\save(), CategoriesModelCategory\save(), ContentModelArticle\save(), MenusModelItem\save(), JLinkedinPeople\search(), JHtmlFilter\select(), Mail\sendAdminMail(), JGoogleEmbedMaps\setCenter(), HtmlView\setDocumentTitle(), FOFViewHtml\setPageTitle(), JGoogleDataPicasaAlbum\setTitle(), JGoogleDataPicasaPhoto\setTitle(), Document\setTitle(), MenusControllerItem\setType(), JLinkedinStream\share(), JHtmlFilter\slider(), JHtmlGrid\sort(), JHtmlSearchtools\sort(), JHtmlUsers\templatestyle(), PlgEditorTinymce\tinyButtons(), ToolbarHelper\title(), HTMLHelper\tooltip(), HTMLHelper\tooltipText(), JMediawikiPages\undeletePage(), et JGoogleDataPicasaAlbum\upload().


Joomla CMS: Référence du fichier deletemedia.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_media
  • toolbar
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/layouts/com_media/toolbar/deletemedia.php

Espaces de nommage

Joomla\Administrator

Variables

$title = JText::_('JTOOLBAR_DELETE')

Documentation des variables

◆ $title

$title = JText::_('JTOOLBAR_DELETE')


Joomla CMS: Référence du fichier DependencyResolutionException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
  • src
  • Exception
Structures de données | Espaces de nommage
Référence du fichier DependencyResolutionException.php

Structures de données

class DependencyResolutionException

Espaces de nommage

Joomla\DI\Exception


Joomla CMS: Référence du fichier DeserializationException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Phar
Structures de données | Espaces de nommage
Référence du fichier DeserializationException.php

Structures de données

class DeserializationException

Espaces de nommage

TYPO3\PharStreamWrapper\Phar


Joomla CMS: Référence du fichier details.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_media/views/medialist/tmpl/details.php

Espaces de nommage

Joomla\Administrator

Variables

$params = JComponentHelper::getParams('com_media')
$path = 'file_path'
$doc = JFactory::getDocument()
endif

Documentation des variables

◆ $doc

$doc = JFactory::getDocument()

Référencé par DocumentRenderer\__construct(), FinderControllerIndexer\batch(), ContentViewFeatured\display(), SearchViewSearch\display(), FinderViewSearch\display(), JHtmlSearchtools\form(), JFormFieldFilters\getInput(), modChrome_outline(), PlgSystemHighlight\onAfterDispatch(), PlgSystemSef\onAfterDispatch(), PlgSystemLanguageFilter\onAfterDispatch(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgEditorCodemirror\onInit(), et JHtmlJquery\token().

◆ $params

$params = JComponentHelper::getParams('com_media')

◆ $path

$path = 'file_path'

◆ endif

endif


Joomla CMS: Référence du fichier details.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/edit/details.php

Espaces de nommage

Joomla\Site

Variables

$title = $displayData->get('form')->getValue('title')
$published = $displayData->get('form')->getValue('published')
$saveHistory = $displayData->get('state')->get('params')->get('save_history', 0)
else __pad84__
endif
else __pad85__
else __pad86__
foreach ($displayData->get('form') ->getFieldset('jmetadata') as $field) ( $field->name=='jform[metadata][tags][]')
endforeach

Documentation des variables

◆ $published

$published = $displayData->get('form')->getValue('published')

◆ $saveHistory

$saveHistory = $displayData->get('state')->get('params')->get('save_history', 0)

◆ $title

$title = $displayData->get('form')->getValue('title')

◆ ($displayData->get('form') ->getFieldset('jmetadata') as $field)

foreach ( $displayData->get( 'form') ->getFieldset( 'jmetadata') as $field)($field->name=='jform[metadata][tags][]')

◆ __pad84__

else __pad84__

◆ __pad85__

else __pad85__

◆ __pad86__

else __pad86__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier details.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier layouts/joomla/edit/details.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$title = $displayData->getForm()->getValue('title')
$published = $displayData->getForm()->getField('published')
$saveHistory = $displayData->get('state')->get('params')->get('save_history', 0)
else __pad17__
endif
else __pad18__
else __pad19__

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $published

$published = $displayData->getForm()->getField('published')

◆ $saveHistory

$saveHistory = $displayData->get('state')->get('params')->get('save_history', 0)

◆ $title

$title = $displayData->getForm()->getValue('title')

◆ __pad17__

else __pad17__

◆ __pad18__

else __pad18__

◆ __pad19__

else __pad19__

◆ endif

endif


Joomla CMS: Référence du fichier details_doc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier details_doc.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
if($user->authorise('core.delete', 'com_media')) task =file.delete&amp
tmpl =index&amp
endif

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ $user

$user = JFactory::getUser()

◆ endif

endif

◆ task

if ( $user->authorise( 'core.delete', 'com_media')) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier details_docs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier details_docs.php

Espaces de nommage

Joomla\Administrator

Variables

$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
endif
if($this->canDelete) task =file.delete&amp
tmpl =index&amp
endforeach

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ endforeach

endforeach

◆ endif

endif

◆ task

if ( $this->canDelete) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier details_folder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier details_folder.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
if($user->authorise('core.delete', 'com_media')) task =folder.delete&amp
tmpl =index&amp
folder =<?php echo rawurlencode($this->state->folder)
endif

Documentation des variables

◆ $user

$user = JFactory::getUser()

◆ endif

endif

◆ folder

folder =<?php echo rawurlencode($this->state->folder)

◆ task

if ( $user->authorise( 'core.delete', 'com_media')) task =folder.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier details_folders.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier details_folders.php

Espaces de nommage

Joomla\Administrator

Variables

endif
if($this->canDelete) task =folder.delete&amp
tmpl =index&amp
folder =<?php echo rawurlencode($this->state->folder)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif

◆ folder

folder =<?php echo rawurlencode($this->state->folder)

◆ task

if ( $this->canDelete) task =folder.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier details_img.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier details_img.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
if($user->authorise('core.delete', 'com_media')) task =file.delete&amp
tmpl =index&amp
endif

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ $user

$user = JFactory::getUser()

◆ endif

endif

◆ task

if ( $user->authorise( 'core.delete', 'com_media')) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier details_imgs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier details_imgs.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
endif
if($this->canDelete) task =file.delete&amp
tmpl =index&amp
endforeach

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ $user

$user = JFactory::getUser()

◆ endforeach

endforeach

◆ endif

endif

◆ task

if ( $this->canDelete) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier details_up.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier details_up.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
if | ($this->state->folder !='') ( $this->canDelete)
if($user->authorise('core.delete', 'com_media')) | endif

Documentation des variables

◆ $user

$user = JFactory::getUser()

◆ ($this->state->folder !='')

if ( $this->state->folder !='')($this->canDelete)

◆ endif

if ( $user->authorise( 'core.delete', 'com_media')) endif


Joomla CMS: Référence du fichier details_video.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier details_video.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
</td >< td class="filesize"> if($user->authorise('core.delete', 'com_media')) task =file.delete&amp
tmpl =index&amp
endif

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ $user

$user = JFactory::getUser()

◆ endif

endif

◆ task

</td><td class="filesize"> if ( $user->authorise( 'core.delete', 'com_media')) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier details_videos.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier details_videos.php

Espaces de nommage

Joomla\Administrator

Variables

$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
endif
</td >< td class="filesize"> if($this->canDelete) task =file.delete&amp
tmpl =index&amp
endforeach

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ endforeach

endforeach

◆ endif

endif

◆ task

</td><td class="filesize"> if ( $this->canDelete) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier detectftproot.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier detectftproot.php

Structures de données

class InstallationControllerDetectftproot

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier directmessages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier directmessages.php

Structures de données

class JTwitterDirectmessages

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier directories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier directories.php

Structures de données

class JFormFieldDirectories

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier directory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier directory.php

Structures de données

class JHtmlDirectory

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier DisallowedClassesSubstitutor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • brumann
  • polyfill-unserialize
  • src
Structures de données | Espaces de nommage
Référence du fichier DisallowedClassesSubstitutor.php

Structures de données

class DisallowedClassesSubstitutor

Espaces de nommage

Brumann\Polyfill


Joomla CMS: Référence du fichier discover.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/discover.php

Structures de données

class InstallerControllerDiscover

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier discover.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Structures de données | Espaces de nommage
Référence du fichier models/discover.php

Structures de données

class InstallerModelDiscover

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Dispatcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier Dispatcher.php

Structures de données

class Dispatcher

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier dispatcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • config
  • domain
Structures de données | Espaces de nommage
Référence du fichier fof/config/domain/dispatcher.php

Structures de données

class FOFConfigDomainDispatcher

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier dispatcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • dispatcher
Structures de données | Espaces de nommage
Référence du fichier fof/dispatcher/dispatcher.php

Structures de données

class FOFDispatcher

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier dispatcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • observable
Structures de données | Espaces de nommage
Référence du fichier fof/utils/observable/dispatcher.php

Structures de données

class FOFUtilsObservableDispatcher

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier dispatcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • event
Structures de données | Espaces de nommage
Référence du fichier joomla/event/dispatcher.php

Structures de données

class JEventDispatcher

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier dispatcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • dispatcher
Structures de données | Espaces de nommage
Référence du fichier legacy/dispatcher/dispatcher.php

Structures de données

class JDispatcher

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier DispatcherAwareInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier DispatcherAwareInterface.php

Structures de données

interface DispatcherAwareInterface

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier DispatcherAwareTrait.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Espaces de nommage | Fonctions | Variables
Référence du fichier DispatcherAwareTrait.php

Espaces de nommage

Joomla\Event

Fonctions

getDispatcher ()
setDispatcher (DispatcherInterface $dispatcher)

Variables

trait DispatcherAwareTrait


Joomla CMS: Référence du fichier DispatcherInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier DispatcherInterface.php

Structures de données

interface DispatcherInterface

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier display.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • application
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/controller/application/display.php

Structures de données

class ConfigControllerApplicationDisplay

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier display.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • component
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/controller/component/display.php

Structures de données

class ConfigControllerComponentDisplay

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier display.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • config
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/config/display.php

Structures de données

class ConfigControllerConfigDisplay

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier display.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/display.php

Structures de données

class ConfigControllerDisplay

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier display.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • modules
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/modules/display.php

Structures de données

class ConfigControllerModulesDisplay

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier display.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • templates
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/templates/display.php

Structures de données

class ConfigControllerTemplatesDisplay

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier dob.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • plugins
  • user
  • profile
  • fields
Espaces de nommage
Référence du fichier administrator/templates/hathor/html/layouts/plugins/user/profile/fields/dob.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier dob.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • user
  • profile
  • fields
Espaces de nommage
Référence du fichier layouts/plugins/user/profile/fields/dob.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier dob.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • profile
  • field
Structures de données | Espaces de nommage
Référence du fichier plugins/user/profile/field/dob.php

Structures de données

class JFormFieldDob

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Document.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier Document.php

Structures de données

class Document

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier document.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • hal
Structures de données | Espaces de nommage
Référence du fichier document.php

Structures de données

class FOFHalDocument

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier DocumentRenderer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier DocumentRenderer.php

Structures de données

class DocumentRenderer

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier domain.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
  • export
Structures de données | Espaces de nommage
Référence du fichier domain.php

Structures de données

class PrivacyExportDomain

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier download.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/models/download.php

Structures de données

class BannersModelDownload

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier download.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • download
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/download/download.php

Structures de données

class FOFDownload

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier downloads.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier downloads.php

Structures de données

class JGithubPackageRepositoriesDownloads

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier DownloadSource.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Updater
Structures de données | Espaces de nommage
Référence du fichier DownloadSource.php

Structures de données

class DownloadSource

Espaces de nommage

Joomla\CMS\Updater


Joomla CMS: Référence du fichier driver.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
Structures de données | Espaces de nommage
Référence du fichier fof/database/driver.php

Structures de données

class FOFDatabaseDriver

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier driver.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
Structures de données | Espaces de nommage
Référence du fichier joomla/database/driver.php

Structures de données

class JDatabaseDriver

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier dropdown.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier dropdown.php

Structures de données

class JHtmlDropdown

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier DumpableInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • data
  • src
Structures de données | Espaces de nommage
Référence du fichier DumpableInterface.php

Structures de données

interface DumpableInterface

Espaces de nommage

Joomla\Data


Joomla CMS: Référence du fichier Dumper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
Structures de données | Espaces de nommage
Référence du fichier Dumper.php

Structures de données

class Dumper

Espaces de nommage

Symfony\Component\Yaml


Joomla CMS: Référence du fichier DumpException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
  • Exception
Structures de données | Espaces de nommage
Référence du fichier DumpException.php

Structures de données

class DumpException

Espaces de nommage

Symfony\Component\Yaml\Exception


Joomla CMS: Référence du fichier eaccelerator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier eaccelerator.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_eaccelerator_condition ()
admin_postinstall_eaccelerator_action ()

Documentation des fonctions

◆ admin_postinstall_eaccelerator_action()

admin_postinstall_eaccelerator_action ( )

Disables the unsupported eAccelerator caching method, replacing it with the "file" caching method.

Renvoie
void
Depuis
3.2

Références $config, $data, $file, $prev, jimport(), JPATH_CONFIGURATION, et JError\raiseNotice().

◆ admin_postinstall_eaccelerator_condition()

admin_postinstall_eaccelerator_condition ( )

Checks if the eAccelerator caching method is enabled.

This check should be done through the 3.x series as the issue impacts migrated sites which will most often come from the previous LTS release (2.5). Remove for version 4 or when eAccelerator support is added.

This check returns true when the eAccelerator caching method is user, meaning that the message concerning it should be displayed.

Renvoie
integer
Depuis
3.2

Références $app.


Joomla CMS: Référence du fichier EasyPeasyICS.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
  • extras
Structures de données | Espaces de nommage
Référence du fichier EasyPeasyICS.php

Structures de données

class EasyPeasyICS

Espaces de nommage

phpmailer


Joomla CMS: Référence du fichier EchoLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
  • Logger
Structures de données | Espaces de nommage
Référence du fichier EchoLogger.php

Structures de données

class EchoLogger

Espaces de nommage

Joomla\CMS\Log\Logger


Joomla CMS: Référence du fichier Ed25519.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Ed25519.php

Structures de données

class Ed25519

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier Ed25519.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/Ed25519.php

Structures de données

class ParagonIE_Sodium_Core_Ed25519


Joomla CMS: Référence du fichier Ed25519.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/Ed25519.php

Structures de données

class ParagonIE_Sodium_Core32_Ed25519


Joomla CMS: Référence du fichier Edgedetect.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier Edgedetect.php

Structures de données

class Edgedetect

Espaces de nommage

Joomla\Image\Filter


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • profile
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_admin/views/profile/tmpl/edit.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
  • association
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_associations/views/association/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$options

Documentation des variables

◆ $options

$options
Valeur initiale :
= array(
'layout' => $this->app->input->get('layout', '', 'string'),
'itemtype' => $this->itemtype,
'id' => $this->referenceId,
)
$itemtype
$itemtype
Definition: administrator/components/com_associations/associations.php:22

Référencé par NewsfeedsCategories\__construct(), BannersCategories\__construct(), ContactCategories\__construct(), ContentCategories\__construct(), JInputCookie\__construct(), ImageDocument\__construct(), RawDocument\__construct(), JSessionStorageRedis\__construct(), JSessionStorageWincache\__construct(), JSessionStorageXcache\__construct(), JSessionStorageApcu\__construct(), JMediawikiHttp\__construct(), JSessionStorageApc\__construct(), JGoogleDataPlusComments\__construct(), Wincache\__construct(), Xcache\__construct(), Apcu\__construct(), JGoogleDataPlusActivities\__construct(), JGoogleDataAdsense\__construct(), JGoogleDataCalendar\__construct(), JGoogleDataPlusPeople\__construct(), JGoogleDataPicasa\__construct(), Apc\__construct(), JSessionStorageMemcache\__construct(), JSessionStorageMemcached\__construct(), JSessionStorage\__construct(), JInputFiles\__construct(), JInputJSON\__construct(), JsonDocument\__construct(), JDatabaseDriverMysql\__construct(), JLinkedinOauth\__construct(), JGoogleAuthOauth2\__construct(), Storage\__construct(), JGoogleEmbedMaps\__construct(), JFacebookOAuth\__construct(), JGoogleDataPicasaAlbum\__construct(), JGoogleDataPicasaPhoto\__construct(), JTwitterOAuth\__construct(), StreamTransport\__construct(), Memcache\__construct(), Memcached\__construct(), FOFDatabaseDriverMysql\__construct(), JOpenstreetmapOauth\__construct(), CurlTransport\__construct(), Database\__construct(), JMediawikiObject\__construct(), JGoogleData\__construct(), JGoogleEmbed\__construct(), JGithubObject\__construct(), XmlDocument\__construct(), JSessionHandlerJoomla\__construct(), CacheController\__construct(), JInputCli\__construct(), SocketTransport\__construct(), Http\__construct(), RedisStorage\__construct(), Cache\__construct(), CacheliteStorage\__construct(), AdapterInstance\__construct(), MemcachedStorage\__construct(), JLinkedinObject\__construct(), JGoogleDataPlus\__construct(), FileStorage\__construct(), MemcacheStorage\__construct(), JFacebookObject\__construct(), JTwitterObject\__construct(), PlgSystemCache\__construct(), JGithubHttp\__construct(), Logger\__construct(), JOpenstreetmapObject\__construct(), SiteMenu\__construct(), JOAuth2Client\__construct(), JGoogle\__construct(), OpensearchDocument\__construct(), SiteRouter\__construct(), JGrid\__construct(), JOAuth1Client\__construct(), JDatabaseDriverOracle\__construct(), JDatabaseDriverPdomysql\__construct(), JDatabaseDriverPgsql\__construct(), FOFDatabaseDriverOracle\__construct(), FileLayout\__construct(), JDatabaseDriverMysqli\__construct(), JDatabaseDriverPdo\__construct(), AbstractMenu\__construct(), FOFDatabaseDriverPdomysql\__construct(), FOFDatabaseDriverMysqli\__construct(), ErrorDocument\__construct(), FOFDatabaseDriverPdo\__construct(), JInput\__construct(), Captcha\__construct(), JDatabaseDriverPostgresql\__construct(), JLinkedin\__construct(), FOFDatabaseDriverSqlsrv\__construct(), FOFDatabaseDriverPostgresql\__construct(), CacheStorage\__construct(), JGithub\__construct(), JMediawiki\__construct(), JOpenstreetmap\__construct(), Form\__construct(), idna_convert\__construct(), Categories\__construct(), HtmlDocument\__construct(), JTwitter\__construct(), JFacebook\__construct(), InstallerAdapter\__construct(), Session\__construct(), Router\__construct(), FinderIndexerQuery\__construct(), FtpClient\__construct(), FeedDocument\__construct(), Document\__construct(), FinderIndexerResponse\__construct(), FOFDatabaseDriver\__construct(), JDatabaseDriver\__construct(), FOFFormHeader\__get(), JApplication\_createSession(), PlgUserJoomla\_getUser(), JHtmlRules\_getUserGroups(), Captcha\_load(), Session\_setOptions(), JHtmlJGrid\action(), JGoogleDataCalendar\addCalendar(), JHtmlSidebar\addFilter(), JSubMenuHelper\addFilter(), Log\addLogger(), Log\addLoggerInternal(), JGoogleEmbedMaps\addMarker(), PostinstallModelMessages\addPostInstallationMessage(), FOFUtilsInstallscript\addPostInstallationMessage(), JGrid\addRow(), Document\addScript(), Document\addScriptOptions(), Document\addScriptVersion(), Document\addStyleSheet(), Document\addStyleSheetVersion(), JHtmlBootstrap\affix(), JHtmlFormbehavior\ajaxchosen(), JHtmlAccess\assetgrouplist(), Authentication\authenticate(), Authentication\authorise(), FinderControllerIndexer\batch(), JHtmlModules\batchOptions(), UsersModelUser\block(), JHtmlBootstrap\carousel(), JHtmlFormbehavior\chosen(), ConfigModelCms\cleanCache(), FOFModel\cleanCache(), FOFUtilsCacheCleaner\clearCacheGroups(), PlgSystemLogrotation\clearCacheGroups(), PlgSystemUpdatenotification\clearCacheGroups(), PlgQuickiconEos310\clearCacheGroups(), PlgSystemActionLogs\clearCacheGroups(), PlgSystemStats\clearCacheGroups(), PlgSystemPrivacyconsent\clearCacheGroups(), JHtmlBanner\clientlist(), SMTP\connect(), JGoogleDataCalendar\createCalendar(), CategoryFactory\createCategory(), InstallationModelConfiguration\createConfiguration(), InstallationModelDatabase\createDatabase(), FOFDatabaseDriver\createDatabase(), JDatabaseDriver\createDatabase(), InstallationModelDatabase\createDb(), Factory\createDbo(), JGoogleDataCalendar\createEvent(), ConfigModelModules\createOptionGroup(), ModulesHelper\createOptionGroup(), InstallationModelConfiguration\createRootUser(), Factory\createSession(), InstallationModelDatabase\createTables(), JGoogle\data(), JHtmlFilter\dates(), LayoutHelper\debug(), InstallationModelFtp\detectFtpRoot(), TagsViewTags\display(), MenusViewItems\display(), ContactViewContact\display(), AssociationsViewAssociation\display(), AdministratorApplication\doExecute(), FOFDownloadAdapterCurl\downloadAndReturn(), FOFDownloadAdapterFopen\downloadAndReturn(), JGoogleDataCalendar\editCalendar(), JGoogleDataCalendar\editCalendarSettings(), JGoogleDataCalendar\editEvent(), PluginsHelper\elementOptions(), JGoogle\embed(), SimplePie_Enclosure\embed(), Brightness\execute(), Contrast\execute(), Smooth\execute(), Backgroundfill\execute(), JArchiveBzip2\extract(), JArchiveGzip\extract(), LinkButton\fetchButton(), HelpButton\fetchButton(), StandardButton\fetchButton(), ConfirmButton\fetchButton(), SliderButton\fetchButton(), PopupButton\fetchButton(), Image\filter(), Update\find(), Extension\find(), CollectionAdapter\findUpdate(), ExtensionAdapter\findUpdate(), PluginsHelper\folderOptions(), JHtmlSearchtools\form(), Crypt\generateKey(), McryptCipher\generateKey(), JGoogleDataAdsense\generateReport(), JHtmlSelect\genericlist(), JHtmlList\genericordering(), UsersHelper\getActiveOptions(), ConfigModelModules\getActivePositions(), Adapter\getAdapter(), Installer\getAdapter(), Installer\getAdapters(), ModulesHelper\getAssignmentOptions(), AssociationsHelper\getAssociationHtmlList(), FactoryWrapper\getAvailableDriver(), HttpFactory\getAvailableDriver(), HtmlDocument\getBuffer(), CacheModelCache\getCache(), Factory\getCache(), FOFIntegrationJoomlaPlatform\getCacheObject(), NewsfeedsModelCategory\getCategory(), ContactModelCategory\getCategory(), ContentModelCategory\getCategory(), CacheHelper\getClientOptions(), TemplatesHelper\getClientOptions(), ModulesHelper\getClientOptions(), BannersHelper\getClientOptions(), InstallerHelper\getClientOptions(), PostinstallModelMessages\getComponentOptions(), JDatabaseDriverSqlite\getCreateDatabaseQuery(), JDatabaseDriverOracle\getCreateDatabaseQuery(), FOFDatabaseDriver\getCreateDatabaseQuery(), JDatabaseDriver\getCreateDatabaseQuery(), JDatabaseDriverPostgresql\getCreateDatabaseQuery(), JDatabaseDriverPgsql\getCreateDbQuery(), FOFDatabaseDriverPostgresql\getCreateDbQuery(), JDatabaseDriverPostgresql\getCreateDbQuery(), ClientHelper\getCredentials(), InstallationHelperDatabase\getDbo(), JDatabaseFactory\getDriver(), FOFDatabaseFactory\getDriver(), JGoogleDataCalendar\getEvent(), InstallerHelper\getExtensionGroupes(), InstallerHelper\getExtensionTypes(), FeedFactory\getFeed(), MediaModelManager\getFolderList(), FOFModel\getForm(), Factory\getFormat(), ContenthistoryHelper\getFormFile(), JFormFieldItemType\getGroups(), MenuField\getGroups(), UsersHelper\getGroups(), JGoogleEmbedMaps\getHeader(), HttpFactory\getHttp(), FactoryWrapper\getHttp(), JFormFieldList\getInput(), JFormFieldUsergroup\getInput(), JFormFieldAccessLevel\getInput(), JFormFieldSkins\getInput(), JFormFieldUploaddirs\getInput(), JFormFieldCategoryEdit\getInput(), AbstractRegistryFormat\getInstance(), Storage\getInstance(), FOFForm\getInstance(), Pathway\getInstance(), CacheController\getInstance(), Cache\getInstance(), Captcha\getInstance(), JDatabase\getInstance(), AbstractMenu\getInstance(), FOFDatabase\getInstance(), Categories\getInstance(), Router\getInstance(), Session\getInstance(), FtpClient\getInstance(), JDatabaseDriver\getInstance(), FOFDatabaseDriver\getInstance(), Form\getInstance(), ContactModelCategories\getItems(), ContentModelCategories\getItems(), NewsfeedsModelCategories\getItems(), JFormFieldCombo\getLayoutData(), JFormFieldText\getLayoutData(), UsersHelperDebug\getLevelsOptions(), ModArticlesCategoriesHelper\getList(), SiteApplication\getMenu(), CMSApplication\getMenu(), JApplication\getMenu(), JoomlaupdateHelperSelect\getMethods(), FOFFormHeaderFieldsql\getOptions(), FOFFormHeaderFieldselectable\getOptions(), FOFFormHeaderPublished\getOptions(), FOFFormHeaderLanguage\getOptions(), FOFFormHeaderAccesslevel\getOptions(), JFormFieldFieldgroups\getOptions(), JFormFieldSkins\getOptions(), InstallationFormFieldLanguage\getOptions(), InstallationFormFieldSample\getOptions(), JFormFieldAliastag\getOptions(), JFormFieldMenuParent\getOptions(), JFormFieldNewsfeeds\getOptions(), JFormFieldSearchFilter\getOptions(), JFormFieldInteger\getOptions(), JFormFieldMenuOrdering\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldSessionHandler\getOptions(), JFormFieldTemplateLocation\getOptions(), JFormFieldComponents\getOptions(), JFormFieldConfigComponents\getOptions(), JFormFieldTemplateName\getOptions(), JFormFieldCacheHandler\getOptions(), JFormFieldLanguage\getOptions(), JFormFieldLocation\getOptions(), JFormFieldPluginType\getOptions(), JFormFieldComponentsCategory\getOptions(), JFormFieldModulesModule\getOptions(), JFormFieldExtensionStatus\getOptions(), JFormFieldPluginElement\getOptions(), JFormFieldFolder\getOptions(), JFormFieldModulesPosition\getOptions(), HeadertagField\getOptions(), JFormFieldMenuPreset\getOptions(), ModuletagField\getOptions(), JFormFieldFonts\getOptions(), JFormFieldContentTypes\getOptions(), JFormFieldItemLanguage\getOptions(), JFormFieldDirectories\getOptions(), JFormFieldCategory\getOptions(), JFormFieldExtension\getOptions(), HelpsiteField\getOptions(), JFormFieldDatabaseConnection\getOptions(), JFormFieldLogType\getOptions(), JFormFieldLogCreator\getOptions(), AuthorField\getOptions(), JFormFieldType\getOptions(), LimitboxField\getOptions(), JFormFieldPredefinedList\getOptions(), ContenttypeField\getOptions(), JFormFieldGroupParent\getOptions(), UsergrouplistField\getOptions(), FOFFormFieldTag\getOptions(), FOFFormFieldLanguage\getOptions(), FOFFormFieldPublished\getOptions(), BaseLayout\getOptions(), JFormFieldList\getOptions(), JFormFieldRedirect\getOptions(), JFormFieldPlugins\getOptions(), FOFFormFieldRelation\getOptions(), TagField\getOptions(), JFormFieldCategoryEdit\getOptions(), FOFFormFieldModel\getOptions(), JFormFieldFolderList\getOptions(), JFormFieldFileList\getOptions(), FOFFormFieldList\getOptions(), JFormFieldText\getOptions(), JFormFieldSQL\getOptions(), Pagination\getPaginationLinks(), SiteApplication\getPathway(), CMSApplication\getPathway(), JApplication\getPathway(), InstallationModelSetup\getPhpOptions(), JoomlaupdateModelDefault\getPhpOptions(), InstallationModelSetup\getPhpOptionsSufficient(), ModulesHelper\getPositions(), ModFinderHelper\getQuery(), UsersHelper\getRangeOptions(), FOFFormFieldUsergroup\getRepeatable(), FOFFormFieldAccesslevel\getRepeatable(), FOFFormFieldTag\getRepeatable(), UsersModelReset\getResetCompleteForm(), UsersModelReset\getResetConfirmForm(), AdministratorApplication\getRouter(), SiteApplication\getRouter(), CMSApplication\getRouter(), JApplication\getRouter(), Factory\getSession(), ContentHistory\getSha1(), ModulesHelper\getStateOptions(), MessagesHelper\getStateOptions(), UsersHelper\getStateOptions(), InstallerHelper\getStateOptions(), FOFFormFieldUsergroup\getStatic(), FOFFormFieldAccesslevel\getStatic(), FOFFormFieldTag\getStatic(), PrivacyModelRequest\getTable(), FieldsModelGroup\getTable(), UsersModelNote\getTable(), PrivacyModelRemove\getTable(), PrivacyModelRemind\getTable(), PrivacyModelConfirm\getTable(), PrivacyModelExport\getTable(), FieldsModelField\getTable(), BaseDatabaseModel\getTable(), FOFModel\getTable(), JGrid\getTableOptions(), TemplatesHelper\getTemplateOptions(), AuthenticationHelper\getTwoFactorMethods(), UsersHelper\getTwoFactorMethods(), MenusModelMenutypes\getTypeOptions(), MenusModelMenutypes\getTypeOptionsByComponent(), MenusModelMenutypes\getTypeOptionsFromLayouts(), MenusModelMenutypes\getTypeOptionsFromManifest(), MenusModelMenutypes\getTypeOptionsFromMvc(), MenusModelMenutypes\getTypeOptionsFromXml(), UpdateAdapter\getUpdateSiteResponse(), JFormFieldFilters\getUserGroups(), JFormFieldRules\getUserGroups(), Cache\getWorkarounds(), JHtmlSelect\groupedlist(), JHtmlUser\groups(), JError\handleCallback(), JError\handleLog(), InstallationModelDatabase\handleOldDatabase(), ClientHelper\hasCredentials(), UserWrapper\hashPassword(), UserHelper\hashPassword(), ContenthistoryHelper\hideFields(), idna_convert\idna_convert(), InstallationModelDatabase\initialise(), JApplication\initialise(), AdministratorApplication\initialiseApp(), InstallationApplicationWeb\initialiseApp(), SiteApplication\initialiseApp(), CMSApplication\initialiseApp(), InstallationModelDatabase\installCmsData(), InstallationModelDatabase\installSampleData(), JHtmlSelect\integerlist(), InputFilter\isSafeFile(), UsersModelUser\isValidSecretKey(), JHtmlAccess\level(), JGoogleDataAdsense\listAccounts(), JGoogleDataCalendar\listCalendars(), JGoogleDataAdsense\listChannels(), JGoogleDataAdsense\listChannelUnits(), JGoogleDataAdsense\listClients(), JGoogleDataCalendar\listEvents(), JGoogleDataCalendar\listRecurrences(), JGoogleDataAdsense\listUnitChannels(), JGoogleDataAdsense\listUrlChannels(), Installer\loadAdapter(), Adapter\loadAllAdapters(), Installer\loadAllAdapters(), JHtmlTabs\loadBehavior(), JHtmlSliders\loadBehavior(), DaemonApplication\loadConfiguration(), AbstractDaemonApplication\loadConfiguration(), Registry\loadFile(), ConfigModelForm\loadForm(), FormModel\loadForm(), ListModel\loadForm(), FOFModel\loadForm(), InstallationApplicationWeb\loadSession(), WebApplication\loadSession(), Registry\loadString(), UsersControllerUser\login(), AdministratorApplication\login(), JApplication\login(), SiteApplication\login(), CMSApplication\login(), FOFIntegrationJoomlaPlatform\loginUser(), LoginController\logout(), UsersControllerUser\logout(), JApplication\logout(), CMSApplication\logout(), FOFIntegrationJoomlaPlatform\logoutUser(), JHtmlSearchtools\main(), JHtmlFinder\mapslist(), PHPMailer\mb_pathinfo(), JHtmlMenu\menuItemList(), PharStreamWrapper\mkdir(), JHtmlBootstrap\modal(), JHtmlBehavior\modal(), SimplePie_Enclosure\native_embed(), Json\objectToString(), Xml\objectToString(), Ini\objectToString(), FOFModelBehaviorFilters\onAfterBuildQuery(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgQuickiconPrivacyCheck\onGetIcons(), PlgAuthenticationCookie\onUserAfterLogin(), PlgActionlogJoomla\onUserAfterLogin(), PlgUserJoomla\onUserLogin(), PlgUserJoomla\onUserLogout(), PlgTwofactorauthYubikey\onUserTwofactorAuthenticate(), PlgTwofactorauthTotp\onUserTwofactorAuthenticate(), JHtmlSelect\option(), JHtmlSelect\options(), JHtmlSearchtools\optionsToRegistry(), FOFConfigDomainDispatcher\parseDomain(), DaemonApplication\pcntlWait(), AbstractDaemonApplication\pcntlWait(), JHtmlBootstrap\popover(), FinderModelSearch\populateState(), JHtmlModules\positionList(), JHtmlModules\positions(), TagField\prepareOptionsNested(), ContenthistoryHelper\processLookupFields(), PluginsHelper\publishedOptions(), RedirectHelper\publishedOptions(), JHtmlLanguages\publishedOptions(), FOFLayoutHelper\render(), SeparatorButton\render(), FOFHalRenderJson\render(), LayoutHelper\render(), ToolbarButton\render(), WebApplication\render(), InstallationApplicationWeb\render(), JFormFieldSpacer\renderField(), Form\renderField(), FormField\renderField(), Form\renderFieldset(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), CurlTransport\request(), StreamTransport\request(), ConfigModelApplication\save(), HTMLHelper\script(), JHtmlBootstrap\scrollspy(), JHtmlFilter\select(), FinderControllerIndexer\sendResponse(), Adapter\setAdapter(), FOFDownload\setAdapterOptions(), JGoogleEmbedMaps\setAdditionalMapOptions(), HtmlDocument\setBuffer(), ClientHelper\setCredentials(), FOFPlatform\setErrorHandling(), JError\setErrorHandling(), HTMLHelper\setFormatOptions(), Curl\setoptArray(), BaseLayout\setOptions(), JSessionHandlerJoomla\setOptions(), FtpClient\setOptions(), Session\setOptions(), JGrid\setRowOptions(), JGrid\setTableOptions(), InstallationModelConfiguration\setup(), Cache\setWorkarounds(), JHtmlFilter\slider(), PHPMailerOAuth\smtpConnect(), PHPMailer\smtpConnect(), FinderControllerIndexer\start(), JHtmlBootstrap\startAccordion(), InstallationModelSetup\storeOptions(), PharStreamWrapper\stream_open(), Json\stringToObject(), Ini\stringToObject(), HTMLHelper\stylesheet(), FileLayout\sublayout(), Post\submit(), CurlPost\submit(), JHtmlSelect\suggestionlist(), JHtmlModules\templates(), JHtmlModules\templateStates(), OptionsRule\test(), PlgEditorTinymce\tinyButtons(), Image\toFile(), JHtmlBehavior\tooltip(), JHtmlBootstrap\tooltip(), Registry\toString(), JHtmlBehavior\tree(), JHtmlBootstrap\typeahead(), JHtmlModules\types(), JHtmlFinder\typeslist(), Unserialize\unserialize(), JoomlaInstallerScript\update(), JHtmlAccess\usergroup(), InstallationModelFtp\verifyFtpSettings(), et ToolbarHelper\versions().


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banner
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_banners/views/banner/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

jQuery (document).ready(function($)

Documentation des variables

◆ jQuery

jQuery(document).ready(function($)

Référencé par JHtmlBehavior\noframes(), et JHtmlJquery\token().


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • client
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_banners/views/client/tmpl/edit.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_categories/views/category/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$input = $app->input
$assoc = JLanguageAssociations::isEnabled()
$extensionassoc = array_key_exists('item_associations', $this->form->getFieldsets())

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

Référencé par MenusModelItems\__construct(), NewsfeedsModelNewsfeeds\__construct(), ContactModelContacts\__construct(), ContentType\fieldmapExpand(), UCMType\fieldmapExpand(), ContentModelArticle\getForm(), CategoriesModelCategory\getItem(), ContactModelContact\getItem(), NewsfeedsModelNewsfeed\getItem(), ContentModelArticle\getItem(), ModLanguagesHelper\getList(), NewsfeedsModelNewsfeeds\getListQuery(), ContactModelContacts\getListQuery(), MenusModelItems\getListQuery(), Ini\objectToString(), PlgSystemLanguageFilter\onUserLogin(), et CategoriesModelCategory\save().

◆ $extensionassoc

$extensionassoc = array_key_exists('item_associations', $this->form->getFieldsets())

◆ $input

$input = $app->input


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_contact/views/contact/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$input = $app->input
$assoc = JLanguageAssociations::isEnabled()

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $input

$input = $app->input


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_content/views/article/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$this | configFieldsets = array('editorConfig')
$this | hiddenFieldsets = array('basic-limited')
$this | ignore_fieldsets = array('jmetadata', 'item_associations')
$params = clone $this->state->get('params')
$app = JFactory::getApplication()
$input = $app->input
$assoc = JLanguageAssociations::isEnabled()

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $input

$input = $app->input

◆ $params

$params = clone $this->state->get('params')

◆ configFieldsets

$this configFieldsets = array('editorConfig')

◆ hiddenFieldsets

$this hiddenFieldsets = array('basic-limited')

◆ ignore_fieldsets

$this ignore_fieldsets = array('jmetadata', 'item_associations')


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • field
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_fields/views/field/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$input = $app->input
jQuery (document).ready(function()

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $input

$input = $app->input

◆ jQuery

jQuery(document).ready(function()


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • group
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_fields/views/group/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$input = $app->input

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $input

$input = $app->input


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • filter
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_finder/views/filter/tmpl/edit.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • language
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_languages/views/language/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

jQuery (document).ready(function()

Documentation des variables

◆ jQuery

jQuery(document).ready(function()


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • override
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_languages/views/override/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$expired = ($this->state->get('cache_expired') == 1 ) ? '1' : ''
Joomla submitbutton

Documentation des variables

◆ $expired

$expired = ($this->state->get('cache_expired') == 1 ) ? '1' : ''

◆ submitbutton

Joomla submitbutton
Valeur initiale :
= function(task) {
if (task == "override.cancel" || document.formvalidator.isValid(document.getElementById("override-form")))
{
Joomla.submitform(task, document.getElementById("override-form"));
}
}
Joomla
task
if(($user->authorise('core.create', 'com_media')) and $this->require_ftp) task
Definition: administrator/components/com_media/views/media/tmpl/default.php:64


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/views/item/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$assoc = JLanguageAssociations::isEnabled()
$script
$input = JFactory::getApplication()->input
$isModal = $input->get('layout') == 'modal' ? true : false
$layout = $isModal ? 'modal' : 'edit'
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : ''
$clientId = $this->state->get('item.client_id', 0)
$lang = JFactory::getLanguage()->getTag()
if ( $clientId===1)
endif
if(! $isModal && $this->item->type=='container') $this | fields
$this | fieldsets = array()
$this | ignore_fieldsets = array('aliasoptions', 'request', 'item_associations')

Documentation des variables

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $clientId

$clientId = $this->state->get('item.client_id', 0)

Référencé par ChromestyleField\__get(), ModulepositionField\__get(), LanguageAdapter\_install(), ComponentAdapter\_updateMenus(), MenusViewItem\addToolbar(), ExtensionHelper\checkIfCoreExtension(), FinderModelFilter\cleanCache(), ConfigModelCms\cleanCache(), PlgSystemActionLogs\clearCacheGroups(), LanguageHelper\createLanguageList(), BannersModelTracks\delete(), UserHelper\destroyUserSessions(), ConfigModelModules\getActivePositions(), ModulesHelper\getAssignmentOptions(), JGithubPackageAuthorization\getAuthorizationLink(), BannersModelTracks\getBaseName(), CacheModelCache\getCache(), BannersModelTracks\getClientName(), LanguagesModelInstalled\getData(), TemplatesModelStyle\getForm(), MenusModelItem\getForm(), ModulesModelModule\getForm(), MenuField\getGroups(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), ModulepositionField\getInput(), JFormFieldModal_Menu\getInput(), LanguageHelper\getInstalledLanguages(), ModulesModelPositions\getItems(), InstallationModelLanguages\getLanguageList(), ModulesModelSelect\getListQuery(), InstallerModelUpdate\getListQuery(), InstallerModelDiscover\getListQuery(), BannersModelBanners\getListQuery(), BannersModelTracks\getListQuery(), TemplatesModelStyles\getListQuery(), ModulesModelModules\getListQuery(), InstallerModelManage\getListQuery(), InstallerModelUpdatesites\getListQuery(), InstallationApplicationWeb\getLocaliseAdmin(), MenusHelper\getMenuLinks(), MenusHelper\getMenuTypes(), ModulesHelper\getModules(), JFormFieldMenuParent\getOptions(), JFormFieldTemplateName\getOptions(), ModulesHelper\getPositions(), TemplatesHelper\getPositions(), MenusControllerItem\getRedirectToItemAppend(), TemplatesHelper\getTemplateOptions(), ModulesHelper\getTemplates(), ModulesHelper\getTranslatedModulePosition(), JTableSession\insert(), LanguageAdapter\install(), CMSApplication\isHttpsForced(), JHtmlMenu\linkOptions(), JHtmlMenu\menuItems(), JHtmlMenu\menus(), PlgUserJoomla\onUserLogout(), ModulesControllerModule\orderPosition(), ModulesModelSelect\populateState(), MenusModelMenutypes\populateState(), ModulesModelPositions\populateState(), TemplatesModelStyles\populateState(), ModulesModelModules\populateState(), MenusModelItems\populateState(), CacheModelCache\populateState(), LanguagesModelInstalled\populateState(), TemplatesModelTemplates\populateState(), MenusModelMenus\populateState(), MenusModelItem\populateState(), JHtmlModules\positionList(), JHtmlModules\positions(), TemplatesModelStyle\preprocessForm(), MenusModelItems\preprocessForm(), ModulesModelModule\preprocessForm(), MenusModelItem\preprocessForm(), JGithubPackageAuthorization\requestToken(), LanguagesControllerInstalled\setDefault(), ChromestyleField\setup(), ModulepositionField\setup(), TemplateAdapter\storeExtension(), JHtmlModules\templates(), JHtmlTemplates\thumb(), JHtmlTemplates\thumbModal(), TemplateAdapter\uninstall(), et LanguageAdapter\update().

◆ $input

$input = JFactory::getApplication()->input

◆ $isModal

$isModal = $input->get('layout') == 'modal' ? true : false

◆ $lang

$lang = JFactory::getLanguage()->getTag()

◆ $layout

$layout = $isModal ? 'modal' : 'edit'

Référencé par RouterViewConfiguration\addLayout(), ModulesViewSelect\addToolbar(), MediaViewMedia\addToolbar(), BannersViewTracks\addToolbar(), TagsViewTags\addToolbar(), ModulesViewModules\addToolbar(), BannersViewBanners\addToolbar(), FieldsViewGroups\addToolbar(), NewsfeedsViewNewsfeeds\addToolbar(), FieldsViewFields\addToolbar(), RedirectViewLinks\addToolbar(), UsersViewUsers\addToolbar(), ContactViewContacts\addToolbar(), CategoriesViewCategories\addToolbar(), ContentViewArticles\addToolbar(), MenusViewItems\addToolbar(), FOFController\browse(), MenuRules\buildLookup(), JHtmlIcons\button(), CMSApplication\checkUserRequireReset(), CategoryView\commonCategoryDisplay(), LayoutHelper\debug(), MessagesController\display(), ModulesController\display(), NewsfeedsController\display(), PluginsController\display(), TagsController\display(), BannersController\display(), LanguagesController\display(), RedirectController\display(), TemplatesController\display(), ContentViewArticle\display(), FinderController\display(), ContactController\display(), ContentController\display(), TagsViewTags\display(), MenusViewItems\display(), NewsfeedsViewNewsfeed\display(), UsersController\display(), ContactViewContact\display(), TagsViewTag\display(), LinkButton\fetchButton(), HelpButton\fetchButton(), StandardButton\fetchButton(), ConfirmButton\fetchButton(), PopupButton\fetchButton(), ToolbarButton\fetchIconClass(), ContentHelperRoute\getArticleRoute(), ContentHelperAssociation\getAssociations(), CategoryHelperAssociation\getCategoryAssociations(), ContentHelperRoute\getCategoryRoute(), FinderIndexerAdapter\getItem(), FinderIndexerAdapter\getItems(), JFormFieldDob\getLabel(), JViewHtml\getLayout(), FinderViewSearch\getLayoutFile(), PluginHelper\getLayoutPath(), ModuleHelper\getLayoutPath(), TemplatesModelTemplate\getOverridesList(), JViewHtml\getPath(), FormController\getRedirectToItemAppend(), MenusModelMenutypes\getTypeOptionsFromLayouts(), FOFIntegrationJoomlaPlatform\getViewTemplatePaths(), JHtmlLinks\link(), JHtmlLinks\linksgroups(), ConfigViewCmsHtml\loadTemplate(), HtmlView\loadTemplate(), PlgSystemPrivacyconsent\onAfterRoute(), FieldsPlugin\onCustomFieldsGetTypes(), AssociationsModelAssociations\populateState(), ModulesModelModules\populateState(), UsersModelUsers\populateState(), MenusModelItems\populateState(), NewsfeedsModelNewsfeeds\populateState(), CategoriesModelCategories\populateState(), ContactModelContacts\populateState(), ContentModelArticles\populateState(), UsersModelDebuggroup\populateState(), UsersModelDebugUser\populateState(), UsersModelNotes\populateState(), PlgContentFields\prepare(), FinderViewSearch\prepareDocument(), MenuRules\preprocess(), MenusModelItem\preprocessForm(), FOFRenderJoomla3\preRender(), FOFRenderJoomla\preRender(), FOFRenderStrapper\preRender(), RouterViewConfiguration\removeLayout(), FOFLayoutHelper\render(), SeparatorButton\render(), JHtmlSidebar\render(), LayoutHelper\render(), ToolbarButton\render(), Toolbar\render(), ActionlogsModelActionlog\sendNotificationEmails(), JViewHtml\setLayout(), HtmlView\setLayout(), FOFView\setLayout(), ToolbarHelper\title(), et ToolbarHelper\versions().

◆ $script

$script

Référencé par JTextWrapper\_(), Text\_(), JTextWrapper\alt(), Text\alt(), JHtmlEmail\cloak(), FOFUtilsInstallscript\copyCliFiles(), JHtmlSearchtools\form(), JFormFieldModalAssociation\getInput(), ModulepositionField\getInput(), PlgQuickiconExtensionupdate\onGetIcons(), PlgQuickiconJoomlaupdate\onGetIcons(), Text\passSprintf(), JGoogleEmbedMaps\setAdditionalJavascript(), JHtmlBootstrap\startAccordion(), JHtmlBehavior\switcher(), et JHtmlBootstrap\tooltip().

◆ $tmpl

$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : ''

Référencé par MediaControllerFolder\delete(), MediaControllerFile\delete(), JFormFieldSubform\getInput(), ContentControllerArticle\getRedirectToItemAppend(), FormController\getRedirectToItemAppend(), FormController\getRedirectToListAppend(), SiteApplication\getTemplate(), et JFormFieldSubform\loadSubForm().

◆ endif

endif

◆ fields

if (! $isModal &&$this->item->type=='container') $this fields
Valeur initiale :
= array(
'id',
'client_id',
'menutype',
'parent_id',
'menuordering',
'published',
'home',
'access',
'language',
'note',
)

Référencé par PrivacyExportItem\addField(), FormattedtextLogger\formatLine(), et FormattedtextLogger\parseFields().

◆ fieldsets

$this fieldsets = array()

Référencé par ConfigViewComponentHtml\render().

◆ if

if($this->item->type !='component')

◆ ignore_fieldsets

$this ignore_fieldsets = array('aliasoptions', 'request', 'item_associations')


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menu
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/views/menu/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • message
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_messages/views/message/tmpl/edit.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • module
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_modules/views/module/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$hasContent = isset($this->item->xml->customContent)
$hasContentFieldName = 'content'
if($hasContent) $this | fieldsets = $this->form->getFieldsets('params')
$script
$input = JFactory::getApplication()->input
$isModal = $input->get('layout') == 'modal' ? true : false
$layout = $isModal ? 'modal' : 'edit'
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : ''
if( $this->item->xml)( $this->item->xml->description)($this->item->xml) | else
$short_description = JText::_($this->item->xml->description)
$this | fieldset = 'description'
$long_description = JLayoutHelper::render('joomla.edit.fieldset', $this)
if (! $long_description)
endif
else __pad0__
$html = JLayoutHelper::render('joomla.edit.fieldset', $this)
$this | fields
$this | ignore_fieldsets = array('basic', 'description')

Documentation des variables

◆ $hasContent

$hasContent = isset($this->item->xml->customContent)

◆ $hasContentFieldName

$hasContentFieldName = 'content'

◆ $html

$html = JLayoutHelper::render('joomla.edit.fieldset', $this)

◆ $input

$input = JFactory::getApplication()->input

◆ $isModal

$isModal = $input->get('layout') == 'modal' ? true : false

◆ $layout

$layout = $isModal ? 'modal' : 'edit'

◆ $long_description

$long_description = JLayoutHelper::render('joomla.edit.fieldset', $this)

◆ $script

if ( $hasContent) $script
Valeur initiale :
= "
Joomla.submitbutton = function(task) {
if (task == 'module.cancel' || document.formvalidator.isValid(document.getElementById('module-form')))
{
"

◆ $short_description

$short_description = JText::_($this->item->xml->description)

◆ $tmpl

$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : ''

◆ __pad0__

else __pad0__

◆ else

if($this->item->xml) ($this->item->xml->description) ( $this->item->xml) else
Valeur initiale :
{
echo JText::_('COM_MODULES_ERR_XML')

◆ endif

endif

◆ fields

$this fields
Valeur initiale :
= array(
'published',
'publish_up',
'publish_down',
'access',
'ordering',
'language',
'note'
)

◆ fieldset

bool $groupByFieldset Whether group the subform fields by it s fieldset = 'description'

◆ fieldsets

$this fieldsets = $this->form->getFieldsets('params')

◆ if

if(! $long_description)

◆ ignore_fieldsets

$this ignore_fieldsets = array('basic', 'description')


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_newsfeeds/views/newsfeed/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$input = $app->input
$assoc = JLanguageAssociations::isEnabled()

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $input

$input = $app->input


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugin
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_plugins/views/plugin/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$this | fieldsets = $this->form->getFieldsets('params')
$input = JFactory::getApplication()->input
$isModal = $input->get('layout') === 'modal' ? true : false
$layout = $isModal ? 'modal' : 'edit'
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : ''
if( $this->item->xml)( $this->item->xml->description)($this->item->xml) | else
$short_description = JText::_($this->item->xml->description)
$this | fieldset = 'description'
$long_description = JLayoutHelper::render('joomla.edit.fieldset', $this)
if (! $long_description)
endif
else __pad0__
$html = JLayoutHelper::render('joomla.edit.fieldset', $this)
$this | ignore_fieldsets = array('basic', 'description')

Documentation des variables

◆ $html

$html = JLayoutHelper::render('joomla.edit.fieldset', $this)

◆ $input

$input = JFactory::getApplication()->input

◆ $isModal

$isModal = $input->get('layout') === 'modal' ? true : false

◆ $layout

$layout = $isModal ? 'modal' : 'edit'

◆ $long_description

$long_description = JLayoutHelper::render('joomla.edit.fieldset', $this)

◆ $short_description

$short_description = JText::_($this->item->xml->description)

◆ $tmpl

$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : ''

◆ __pad0__

else __pad0__

◆ else

if($this->item->xml) ($this->item->xml->description) ( $this->item->xml) else
Valeur initiale :
{
echo JText::_('COM_PLUGINS_XML_ERR')

◆ endif

endif

◆ fieldset

$this fieldset = 'description'

◆ fieldsets

$this fieldsets = $this->form->getFieldsets('params')

◆ if

if(! $long_description)

◆ ignore_fieldsets

$this ignore_fieldsets = array('basic', 'description')


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • request
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_privacy/views/request/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$js
JS

Documentation des variables

◆ $js

$js
Valeur initiale :
= <<< JS
Joomla.submitbutton = function(task) {
if (task === 'request.cancel' || document.formvalidator.isValid(document.getElementById('item-form'))) {
Joomla.submitform(task, document.getElementById('item-form'));
}
}
Joomla
task
if(($user->authorise('core.create', 'com_media')) and $this->require_ftp) task
Definition: administrator/components/com_media/views/media/tmpl/default.php:64
JS
JS
Definition: administrator/components/com_privacy/views/request/tmpl/edit.php:24

◆ JS

JS


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • link
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_redirect/views/link/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tag
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_tags/views/tag/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$this ignore_fieldsets = array('jmetadata')

Documentation des variables

◆ ignore_fieldsets

$this ignore_fieldsets = array('jmetadata')


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • style
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_templates/views/style/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$this | fieldset = 'description'
$description = JLayoutHelper::render('joomla.edit.fieldset', $this)
endif
$html = JLayoutHelper::render('joomla.edit.fieldset', $this)
$this | fields
$this | fieldsets = array()
$this | ignore_fieldsets = array('basic', 'description')

Documentation des variables

◆ $description

$description = JLayoutHelper::render('joomla.edit.fieldset', $this)

Référencé par FOFUtilsUpdate\__construct(), LanguageAdapter\_install(), EasyPeasyICS\addEvent(), JGithubStatuses\create(), JGithubPackageRepositoriesStatuses\create(), JGithubPackageGists\create(), JGithubPackageRepositoriesDownloads\create(), JGithubPackageIssuesMilestones\create(), JGithubMilestones\create(), JGithubPackageRepositories\create(), JTwitterLists\create(), JFacebookUser\createAlbum(), PrivacyPlugin\createDomain(), JFacebookUser\createEvent(), JFacebookEvent\createPost(), JFacebookGroup\createPost(), JFacebookUser\createPost(), JFacebookEvent\createVideo(), JFacebookUser\createVideo(), InstallerAdapter\discover_install(), TagsViewTags\display(), ContentViewFeatured\display(), TagsViewTag\display(), CategoryFeedView\display(), JGithubPackageGists\edit(), JGithubPackageIssuesMilestones\edit(), JGithubMilestones\edit(), JGithubPackageRepositories\edit(), JFacebookUser\editEvent(), SimplePie_Item\get_enclosures(), Document\getDescription(), HtmlDocument\getHeadData(), JFormFieldNote\getLabel(), FormField\getLayoutData(), SiteApplication\getParams(), InstallerAdapter\install(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), FOFRenderJoomla\renderFieldset(), FOFRenderStrapper\renderFieldset(), Document\setDescription(), JLinkedinStream\share(), JTwitterLists\update(), JTwitterProfile\updateProfile(), et JOpenstreetmapGps\uploadTrace().

◆ $html

$html = JLayoutHelper::render('joomla.edit.fieldset', $this)

◆ $user

$user = JFactory::getUser()

◆ endif

endif

◆ fields

$this fields
Valeur initiale :
= array(
'home',
'client_id',
'template'
)

◆ fieldset

$this fieldset = 'description'

◆ fieldsets

$this fieldsets = array()

◆ ignore_fieldsets

$this ignore_fieldsets = array('basic', 'description')


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • group
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/group/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$this ignore_fieldsets = array('group_details')

Documentation des variables

◆ ignore_fieldsets

$this ignore_fieldsets = array('group_details')


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • level
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_users/views/level/tmpl/edit.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • note
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_users/views/note/tmpl/edit.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • user
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/user/tmpl/edit.php

Espaces de nommage

Joomla\Administrator

Variables

Joomla | twoFactorMethodChange
$fieldsets = $this->form->getFieldsets()
foreach($this->form->getFieldset('user_details') as $field) | if ( $field->fieldname=='password')
endforeach
endif
$this | ignore_fieldsets = array('user_details')
foreach ( $this->tfaform as $form)
else __pad0__

Documentation des variables

◆ $fieldsets

$fieldsets = $this->form->getFieldsets()

Référencé par Form\getFieldsets(), et Installer\getParams().

◆ __pad0__

else __pad0__

◆ endforeach

else endforeach

◆ endif

endif

◆ foreach

foreach($this->tfaform as $form)

◆ if

foreach ( $this->form->getFieldset( 'user_details') as $field) if($field->fieldname=='password')

◆ ignore_fieldsets

$this ignore_fieldsets = array('user_details')

◆ twoFactorMethodChange

Joomla twoFactorMethodChange
Valeur initiale :
= function(e)
{
var selectedPane = 'com_users_twofactor_' + jQuery('#jform_twofactor_method').val();
jQuery.each(jQuery('#com_users_twofactor_forms_container>div'), function(i, el) {
if (el.id != selectedPane)
{
jQuery('#' + el.id).hide(0);
}
else
{
jQuery('#' + el.id).show(0);
}
});
}
jQuery
jQuery(document).ready(function($)
Definition: administrator/components/com_banners/views/banner/tmpl/edit.php:27


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • profile
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_admin/profile/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldsets = $this->form->getFieldsets()
foreach ( $this->form->getFieldset( 'user_details') as $field)
endforeach
foreach( $fieldsets as $fieldset)($fieldset->name=='user_details') | endif
foreach( $this->form->getFieldset( $fieldset->name) as $field)($field->hidden) | else

Documentation des variables

◆ $fieldsets

$fieldsets = $this->form->getFieldsets()

◆ else

foreach ($this->form->getFieldset($fieldset->name) as $field) ( $field->hidden) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset('user_details') as $field)


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • banner
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_banners/banner/edit.php

Espaces de nommage

Joomla\Administrator

Variables

foreach ( $this->form->getFieldset( 'image') as $field)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ foreach

foreach($this->form->getFieldset('metadata') as $field) ( $this->form->getFieldset( 'image') as )


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • client
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_banners/client/edit.php

Espaces de nommage

Joomla\Administrator

Variables

endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

foreach ($this->form->getFieldset('extra') as $field) (! $field->hidden) endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_categories
  • category
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_categories/category/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$saveHistory = $this->state->get('params')->get('save_history', 0)
$assoc = JLanguageAssociations::isEnabled()
endif
$fieldSets = $this->form->getFieldsets()
if(isset($fieldSet->description) &&trim($fieldSet->description)) foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $fieldSets

$fieldSets = $this->form->getFieldsets()

◆ $input

$input = JFactory::getApplication()->input

◆ $saveHistory

$saveHistory = $this->state->get('params')->get('save_history', 0)

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

if (isset( $fieldSet->description) &&trim( $fieldSet->description)) foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_contact/contact/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$input = $app->input
$saveHistory = $this->state->get('params')->get('save_history', 0)
$assoc = JLanguageAssociations::isEnabled()
$fieldSets = $this->form->getFieldsets()
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $fieldSets

$fieldSets = $this->form->getFieldsets()

◆ $input

$input = $app->input

◆ $saveHistory

$saveHistory = $this->state->get('params')->get('save_history', 0)

◆ endforeach

endif endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_content
  • article
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_content/article/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$params = $this->state->get('params')
$saveHistory = $this->state->get('params')->get('save_history', 0)
$editoroptions = isset($params['show_publishing_options'])
$input = JFactory::getApplication()->input
if(! $editoroptions) $params ['show_article_options'] = '1'
$params ['show_urls_images_backend'] = '0'
$params ['show_urls_images_frontend'] = '0'
endif
$assoc = JLanguageAssociations::isEnabled()
$fieldSets = $this->form->getFieldsets()
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $editoroptions

$editoroptions = isset($params['show_publishing_options'])

◆ $fieldSets

$fieldSets = $this->form->getFieldsets()

◆ $input

$input = JFactory::getApplication()->input

◆ $params [1/4]

$params = $this->state->get('params')

◆ $params [2/4]

if (! $editoroptions) $params[ 'show_article_options'] = '1'

◆ $params [3/4]

$params[ 'show_urls_images_backend'] = '0'

◆ $params [4/4]

$params[ 'show_urls_images_frontend'] = '0'

◆ $saveHistory

$saveHistory = $this->state->get('params')->get('save_history', 0)

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset('editorConfig') as $field) ( $this->form->getFieldset( $name) as )


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_fields
  • field
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_fields/field/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$input = $app->input
jQuery (document).ready(function()

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $input

$input = $app->input

◆ jQuery

jQuery(document).ready(function()


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_fields
  • group
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_fields/group/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$input = $app->input

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $input

$input = $app->input


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • item
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_menus/item/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$assoc = JLanguageAssociations::isEnabled()
$script
$input = JFactory::getApplication()->input
$isModal = $input->get('layout') == 'modal' ? true : false
$layout = $isModal ? 'modal' : 'edit'
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : ''
$clientId = $this->state->get('item.client_id', 0)
endif

Documentation des variables

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $clientId

$clientId = $this->state->get('item.client_id', 0)

◆ $input

$input = JFactory::getApplication()->input

◆ $isModal

$isModal = $input->get('layout') == 'modal' ? true : false

◆ $layout

$layout = $isModal ? 'modal' : 'edit'

◆ $script

$script

◆ $tmpl

$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : ''

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • menu
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_menus/menu/edit.php

Espaces de nommage

Joomla\Administrator

Variables

endif

Documentation des variables

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_messages
  • message
Espaces de nommage
Référence du fichier administrator/templates/hathor/html/com_messages/message/edit.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_modules
  • module
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_modules/module/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$hasContent = empty($this->item->module) || $this->item->module == 'custom' || $this->item->module == 'mod_custom'
$script
endif
else
else __pad46__

Documentation des variables

◆ $hasContent

$hasContent = empty($this->item->module) || $this->item->module == 'custom' || $this->item->module == 'mod_custom'

◆ $script

if ( $hasContent) $script
Valeur initiale :
= "Joomla.submitbutton = function(task)
{
if (task == 'module.cancel' || document.formvalidator.isValid(document.getElementById('module-form'))) {"

◆ __pad46__

else __pad46__

◆ else

else

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_newsfeeds
  • newsfeed
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$input = $app->input
$saveHistory = $this->state->get('params')->get('save_history', 0)
$assoc = JLanguageAssociations::isEnabled()
endif

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $input

$input = $app->input

◆ $saveHistory

$saveHistory = $this->state->get('params')->get('save_history', 0)

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_plugins
  • plugin
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_plugins/plugin/edit.php

Espaces de nommage

Joomla\Administrator

Variables

endif
else __pad55__

Documentation des variables

◆ __pad55__

else __pad55__

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_tags
  • tag
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_tags/tag/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$saveHistory = $this->state->get('params')->get('save_history', 0)
endif

Documentation des variables

◆ $saveHistory

$saveHistory = $this->state->get('params')->get('save_history', 0)

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • style
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_templates/style/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
endif
else __pad64__

Documentation des variables

◆ $user

$user = JFactory::getUser()

◆ __pad64__

else __pad64__

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • note
Espaces de nommage
Référence du fichier administrator/templates/hathor/html/com_users/note/edit.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • user
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_users/user/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldsets = $this->form->getFieldsets()
JFactory::getDocument() -> addScriptDeclaration(" Joomla.submitbutton = function(task) Joomla | twoFactorMethodChange
foreach ( $this->form->getFieldset( 'user_details') as $field)
endforeach
endif
foreach( $this->form->getFieldset( $fieldset->name) as $field)($field->hidden) | else

Documentation des variables

◆ $fieldsets

$fieldsets = $this->form->getFieldsets()

◆ else

foreach ($this->form->getFieldset($fieldset->name) as $field) ( $field->hidden) else

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset('user_details') as $field)

◆ twoFactorMethodChange

JFactory::getDocument () -> addScriptDeclaration(" Joomla.submitbutton = function(task) Joomla twoFactorMethodChange
Valeur initiale :
= function(e)
{
var selectedPane = 'com_users_twofactor_' + jQuery('#jform_twofactor_method').val();
jQuery.each(jQuery('#com_users_twofactor_forms_container>div'), function(i, el) {
if (el.id != selectedPane)
{
jQuery('#' + el.id).hide(0);
}
else
{
jQuery('#' + el.id).show(0);
}
});
}
");
?>
<form action="<?php echo JRoute::_('index.php?option=com_users&layout=edit&id='.(int) $this->item->id)
jQuery
jQuery(document).ready(function($)
Definition: administrator/components/com_banners/views/banner/tmpl/edit.php:27
item
else $this item
Definition: components/com_content/views/article/tmpl/default.php:76


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_weblinks
  • weblink
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_weblinks/weblink/edit.php

Espaces de nommage

Joomla\Administrator

Variables

$saveHistory = $this->state->get('params')->get('save_history', 0)
endif

Documentation des variables

◆ $saveHistory

$saveHistory = $this->state->get('params')->get('save_history', 0)

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • form
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_content/views/form/tmpl/edit.php

Espaces de nommage

Joomla\Site

Variables

$this | tab_name = 'com-content-form'
$this | ignore_fieldsets = array('image-intro', 'image-full', 'jmetadata', 'item_associations')
$params = $this->state->get('params')
$editoroptions = isset($params->show_publishing_options)
endif

Documentation des variables

◆ $editoroptions

$editoroptions = isset($params->show_publishing_options)

◆ $params

$params = $this->state->get('params')

◆ endif

endif

◆ ignore_fieldsets

$this ignore_fieldsets = array('image-intro', 'image-full', 'jmetadata', 'item_associations')

◆ tab_name

$this tab_name = 'com-content-form'


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • profile
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_users/views/profile/tmpl/edit.php

Espaces de nommage

Joomla\Site

Variables

$lang = JFactory::getLanguage()
endif
foreach( $fields as $field)($field->hidden) else
if ( $field->fieldname==='password1')
endforeach
foreach ( $this->twofactorform as $form)
else __pad3__

Documentation des variables

◆ $lang

$lang = JFactory::getLanguage()

◆ __pad3__

else __pad3__

◆ else

foreach ($fields as $field) ( $field->hidden) else

◆ endforeach

else endforeach

◆ endif

endif

◆ foreach

foreach($this->twofactorform as $form)

◆ if

if($field->fieldname==='password1')


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • icons
Espaces de nommage | Variables
Référence du fichier layouts/joomla/content/icons/edit.php

Espaces de nommage

Joomla\Site

Variables

$article = $displayData['article']
$overlib = $displayData['overlib']
$legacy = $displayData['legacy']
$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')
$isUnpublished
if($legacy) else
else __pad4__
endif

Documentation des variables

◆ $article

$article = $displayData['article']

Référencé par ContentRouter\__construct(), InstallationModelLanguages\addArticle(), JHtmlIcon\edit(), JHtmlIcon\email(), JFormFieldConsentBox\getAssignedArticleUrl(), JFormFieldTos\getLabel(), JFormFieldprivacy\getLayoutData(), JFormFieldterms\getLayoutData(), ModArticlesCategoryHelper\getList(), PlgSampledataBlog\onAjaxSampledataApplyStep1(), PlgContentFinder\onContentAfterDelete(), PlgActionlogJoomla\onContentAfterDelete(), PlgContentFinder\onContentAfterSave(), PlgContentJoomla\onContentAfterSave(), PlgActionlogJoomla\onContentAfterSave(), PlgContentFinder\onContentBeforeSave(), PlgContentLoadmodule\onContentPrepare(), PlgSearchContent\onContentSearch(), PlgSystemPrivacyconsent\onPrivacyCheckPrivacyPolicyPublished(), ContentRouterRulesLegacy\parse(), JHtmlContent\prepare(), et JHtmlIcon\print_popup().

◆ $currentDate

$currentDate = JFactory::getDate()->format('Y-m-d H:i:s')

◆ $isUnpublished

$isUnpublished
Valeur initiale :
= ($article->publish_up > $currentDate)
|| ($article->publish_down < $currentDate && $article->publish_down !== JFactory::getDbo()->getNullDate())
$article
$article
Definition: layouts/joomla/content/icons/edit.php:14
$currentDate
$currentDate
Definition: layouts/joomla/content/icons/edit.php:20

◆ $legacy

$legacy = $displayData['legacy']

◆ $overlib

$overlib = $displayData['overlib']

Référencé par JHtmlIcon\edit().

◆ __pad4__

else __pad4__

◆ else

if ( $legacy) else
Valeur initiale :
{
$icon = $article->state ? 'edit' : 'eye-close'
$article
$article
Definition: layouts/joomla/content/icons/edit.php:14
$icon
$icon
Definition: administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php:16

◆ endif

endif


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • form
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_content/form/edit.php

Espaces de nommage

Joomla\Site

Variables

$params = $this->state->get('params')
$editoroptions = isset($params->show_publishing_options)
if(! $editoroptions) | endif
$ignoredFieldsets = array('image-intro', 'image-full', 'jmetadata', 'item_associations')
$this | fieldset = $fieldset->name
endforeach

Documentation des variables

◆ $editoroptions

$editoroptions = isset($params->show_publishing_options)

◆ $ignoredFieldsets

$ignoredFieldsets = array('image-intro', 'image-full', 'jmetadata', 'item_associations')

◆ $params

$params = $this->state->get('params')

◆ endforeach

endforeach

◆ endif

endif

◆ fieldset

$this fieldset = $fieldset->name


Joomla CMS: Référence du fichier edit.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
  • form
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/com_weblinks/form/edit.php

Espaces de nommage

Joomla\Site

Variables

$params = $this->state->get('params')
endif

Documentation des variables

◆ $params

$params = $this->state->get('params')

◆ endif

endif


Joomla CMS: Référence du fichier edit_assignment.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • module
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_modules/views/module/tmpl/edit_assignment.php

Espaces de nommage

Joomla\Administrator

Variables

$menuTypes = MenusHelper::getMenuLinks()
$script
if (!empty( $menuTypes))
foreach | ($menuTypes as &$type) (count( $type->links))
foreach( $type->links as $i=> $link)($prevlevel< $link->level) elseif($prevlevel > $link->level) | else
$selected = 0
if($this->item->assignment==0) elseif($this->item->assignment< 0) elseif($this->item->assignment > 0) | $uselessMenuItem = in_array($link->type, array('separator', 'heading', 'alias', 'url'))
else __pad1__
endif
if(!isset($type->links[$i+1])) | $prevlevel = $link->level
endforeach

Documentation des variables

◆ $menuTypes

$menuTypes = MenusHelper::getMenuLinks()

Référencé par MenusModelMenus\getItems(), MenusModelItems\getListQuery(), MenusHelper\getMenuLinks(), PlgSampledataBlog\onAjaxSampledataApplyStep2(), et PlgSampledataBlog\onAjaxSampledataApplyStep3().

◆ $prevlevel

if (!isset( $type->links[ $i+1])) $prevlevel = $link->level

◆ $script

$script
Valeur initiale :
= "
jQuery(document).ready(function()
{
menuHide(jQuery('#jform_assignment').val());
jQuery('#jform_assignment').change(function()
{
menuHide(jQuery(this).val());
})
});
function menuHide(val)
{
if (val == 0 || val == '-')
{
jQuery('#menuselect-group').hide();
}
else
{
jQuery('#menuselect-group').show();
}
}
"

◆ $selected

$selected = 0

◆ $uselessMenuItem

if ( $this->item->assignment==0) elseif ( $this->item->assignment< 0) elseif ( $this->item->assignment > 0) $uselessMenuItem = in_array($link->type, array('separator', 'heading', 'alias', 'url'))

◆ ($menuTypes as &$type)

foreach ( $menuTypes as & $type)(count($type->links))

◆ __pad1__

else __pad1__

◆ else

foreach ($type->links as $i => $link) ( $prevlevel< $link->level) elseif ( $prevlevel > $link->level) else
Valeur initiale :
{
echo '</li>'

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(!empty($menuTypes))


Joomla CMS: Référence du fichier edit_assignment.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • style
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_templates/views/style/tmpl/edit_assignment.php

Espaces de nommage

Joomla\Administrator

Variables

$menuTypes = MenusHelper::getMenuLinks()
$user = JFactory::getUser()
if($link->template_style_id==$this->item->id) if($link->checked_out && $link->checked_out !=$user->id) endif
endforeach

Documentation des variables

◆ $menuTypes

$menuTypes = MenusHelper::getMenuLinks()

◆ $user

$user = JFactory::getUser()

◆ endforeach

endforeach

◆ endif

if ( $link->template_style_id==$this->item->id) if ( $link->checked_out &&$link->checked_out !=$user->id) endif


Joomla CMS: Référence du fichier edit_assignment.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_modules
  • module
Espaces de nommage | Fonctions | Variables
Référence du fichier templates/hathor/html/com_modules/module/edit_assignment.php

Espaces de nommage

Joomla\Administrator

Fonctions

validate ()

Variables

$menuTypes = MenusHelper::getMenuLinks()
$chkbox_class = 'chk-menulink-' . $type->id
$count = count($type->links)
$i = 0

Documentation des fonctions

◆ validate()

validate ( )

Références value.

Référencé par InstallationModelSetup\checkForm(), JFormFieldColor\getLayoutData(), FormField\getLayoutData(), UsersModelRemind\processRemindRequest(), MenusModelMenu\validate(), UsersModelLevel\validate(), FieldsModelGroup\validate(), CategoriesModelCategory\validate(), PrivacyModelRequest\validate(), NewsfeedsModelNewsfeed\validate(), BannersModelBanner\validate(), ContentModelArticle\validate(), ContactModelContact\validate(), FieldsModelField\validate(), et ModulesModelModule\validate().

Documentation des variables

◆ $chkbox_class

$chkbox_class = 'chk-menulink-' . $type->id

◆ $count

$count = count($type->links)

◆ $i

$i = 0

◆ $menuTypes

$menuTypes = MenusHelper::getMenuLinks()


Joomla CMS: Référence du fichier edit_assignment.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • style
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_templates/style/edit_assignment.php

Espaces de nommage

Joomla\Administrator

Variables

$menuTypes = MenusHelper::getMenuLinks()
$user = JFactory::getUser()
foreach | ($menuTypes as &$type) ('.<?php echo $type->menutype;?>').each(function(el)
if($link->template_style_id==$this->item->id) if($link->checked_out && $link->checked_out !=$user->id) | endif
endforeach

Documentation des variables

◆ $menuTypes

$menuTypes = MenusHelper::getMenuLinks()

◆ $user

$user = JFactory::getUser()

◆ ($menuTypes as &$type)

foreach ( $menuTypes as & $type)('.<?php echo $type->menutype;?>').each(function(el)

◆ endforeach

endforeach

◆ endif

if ( $link->template_style_id==$this->item->id) if ( $link->checked_out &&$link->checked_out !=$user->id) endif


Joomla CMS: Référence du fichier edit_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
  • tmpl
Espaces de nommage
Référence du fichier com_categories/views/category/tmpl/edit_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage
Référence du fichier com_contact/views/contact/tmpl/edit_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
  • tmpl
Espaces de nommage
Référence du fichier com_content/views/article/tmpl/edit_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
  • tmpl
Espaces de nommage
Référence du fichier com_menus/views/item/tmpl/edit_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage
Référence du fichier com_newsfeeds/views/newsfeed/tmpl/edit_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_container.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
  • tmpl
Espaces de nommage | Variables
Référence du fichier edit_container.php

Espaces de nommage

Joomla\Administrator

Variables

$menuLinks = MenusHelper::getMenuLinks('main')
$script
JS
$style
if (!empty( $menuLinks))
$hiddenLinks = (array) $params->get('hideitems')
endif
if($prevlevel< $link->level) elseif($prevlevel > $link->level) | else
$selected = in_array($link->value, $hiddenLinks) ? 1 : 0
if(!isset($menuLinks[$i+1])) | $prevlevel = $link->level
endforeach

Documentation des variables

◆ $hiddenLinks

$hiddenLinks = (array) $params->get('hideitems')

◆ $menuLinks

$menuLinks = MenusHelper::getMenuLinks('main')

◆ $prevlevel

if (!isset( $menuLinks[ $i+1])) $prevlevel = $link->level

◆ $script

$script
Valeur initiale :
= <<<'JS'
jQuery(document).ready(function ($) {
var propagate = function () {
var $this = $(this);
var sub = $this.closest('li').find('.treeselect-sub [type="checkbox"]');
sub.prop('checked', this.checked);
if ($this.val() == 1)
sub.each(propagate);
else
sub.attr('disabled', this.checked ? 'disabled' : null);
};
$('.treeselect')
.on('click', '[type="checkbox"]', propagate)
.find('[type="checkbox"]:checked').each(propagate);
})
jQuery
jQuery(document).ready(function($)
Definition: administrator/components/com_banners/views/banner/tmpl/edit.php:27
null
else null
Definition: administrator/components/com_banners/views/banners/tmpl/default.php:48

◆ $selected

$selected = in_array($link->value, $hiddenLinks) ? 1 : 0

Référencé par JHtmlAccess\actions(), JHtmlRules\assetFormWidget(), JHtmlAccess\assetgrouplist(), JHtmlSelect\booleanlist(), JHtmlSelect\genericlist(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldFieldlayout\getInput(), Pagination\getLimitBox(), FOFFormFieldGroupedlist\getOptionName(), FOFFormFieldList\getOptionName(), JFormFieldList\getOptions(), FOFFormFieldGroupedlist\getRepeatable(), FOFFormFieldGroupedlist\getStatic(), FOFFormFieldTimezone\getStatic(), JHtmlSelect\integerlist(), JHtmlAccess\level(), JHtmlMenu\menuItemList(), JHtmlSelect\options(), JHtmlList\ordering(), JHtmlSelect\radiolist(), JHtmlSearchtools\sort(), JHtmlAccess\usergroup(), et JHtmlAccess\usergroups().

◆ $style

$style
Valeur initiale :
= <<<'CSS'
.checkbox-toggle {
display: none !important;
}
.checkbox-toggle[disabled] ~ .btn-hide {
opacity: 0.5;
}
.checkbox-toggle ~ .btn-show {
display: inline;
}
.checkbox-toggle ~ .btn-hide {
display: none;
}
.checkbox-toggle:checked ~ .btn-show {
display: none;
}
.checkbox-toggle:checked ~ .btn-hide {
display: inline;
}
CSS
CSS
CSS
Definition: plugins/editors/codemirror/layouts/editors/codemirror/styles.php:69
toggle
if($params->get('templateColor')) navbar inverse navbar nav list active nav list active dropdown menu li dropdown menu active dropdown menu active navbar inverse nav li dropdown open dropdown toggle
Definition: administrator/templates/isis/error.php:89

◆ else

if ( $prevlevel< $link->level) elseif ( $prevlevel > $link->level) else
Valeur initiale :
{
echo '</li>'

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($link->value==1) ( ! empty$menuLinks )

◆ JS

JS


Joomla CMS: Référence du fichier edit_display.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage | Variables
Référence du fichier edit_display.php

Espaces de nommage

Joomla\Administrator

Variables

$this fieldset = 'jbasic'

Documentation des variables

◆ fieldset

$this fieldset = 'jbasic'


Joomla CMS: Référence du fichier edit_groups.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • user
  • tmpl
Espaces de nommage
Référence du fichier edit_groups.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_lock.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • icons
Espaces de nommage | Variables
Référence du fichier edit_lock.php

Espaces de nommage

Joomla\Site

Variables

$tooltip = $displayData['tooltip']
$legacy = $displayData['legacy']
else __pad5__
else endif

Documentation des variables

◆ $legacy

$legacy = $displayData['legacy']

◆ $tooltip

$tooltip = $displayData['tooltip']

Référencé par JHtmlNewsfeed\association(), JHtmlContact\association(), JHtmlContentAdministrator\association(), MenusHtmlMenus\association(), JHtmlIcon\edit(), AssociationsHelper\getAssociationHtmlList(), FOFRenderJoomla3\renderFieldsetLabel(), FOFRenderJoomla\renderFieldsetLabel(), FOFRenderStrapper\renderFieldsetLabel(), et HTMLHelper\tooltip().

◆ __pad5__

else __pad5__

◆ endif

else endif


Joomla CMS: Référence du fichier edit_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
  • tmpl
Espaces de nommage
Référence du fichier components/com_categories/views/category/tmpl/edit_metadata.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage
Référence du fichier components/com_contact/views/contact/tmpl/edit_metadata.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
  • tmpl
Espaces de nommage
Référence du fichier components/com_content/views/article/tmpl/edit_metadata.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage
Référence du fichier components/com_newsfeeds/views/newsfeed/tmpl/edit_metadata.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tag
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_tags/views/tag/tmpl/edit_metadata.php

Espaces de nommage

Joomla\Administrator

Variables

foreach( $this->form->getGroup( 'metadata') as $field)(! $field->hidden) endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

foreach ($this->form->getGroup('metadata') as $field) (! $field->hidden) endif


Joomla CMS: Référence du fichier edit_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_tags
  • tag
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_tags/tag/edit_metadata.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('metadata')
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('metadata')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • layouts
  • joomla
  • menu
Espaces de nommage | Variables
Référence du fichier layouts/joomla/menu/edit_modules.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$form = $displayData->getForm()
$input = $app->input
$component = $input->getCmd('option', 'com_content')
if($component=='com_categories') | $saveHistory = JComponentHelper::getParams($component)->get('save_history', 0)
$fields
$hiddenFields = $displayData->get('hidden_fields') ?: array()
if(! $saveHistory) | $html = array()
$html [] = '<fieldset class="form-horizontal"><ul class="horizontal-buttons unstyled">'

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $component

$component = $input->getCmd('option', 'com_content')

◆ $fields

$fields
Valeur initiale :
= $displayData->get('fields') ?: array(
array('parent', 'parent_id'),
array('published', 'state', 'enabled'),
array('category', 'catid'),
'featured',
'sticky',
'access',
'language',
'tags',
'note',
'version_note',
)
$displayData
else $displayData['item']
Definition: layouts/joomla/content/icons.php:47

Référencé par Table\__construct(), FOFTable\__construct(), JDatabaseQuerySqlite\__toString(), ContactControllerContact\_sendEmail(), ContentModelArticle\batchMove(), JDatabaseExporterMysqli\buildXmlStructure(), JDatabaseExporterPdomysql\buildXmlStructure(), JDatabaseExporterPostgresql\buildXmlStructure(), UsersModelLevel\canDelete(), FOFTable\check(), CheckinModelCheckin\checkin(), SearchHelper\checkNoHtml(), ContentModelArticle\cleanupPostBatchCopy(), PrivacyPlugin\createCustomFieldsDomain(), AssociationsViewAssociations\display(), PlgSystemFields\display(), Form\filter(), Form\findField(), Form\findFieldsByFieldset(), Form\findFieldsByGroup(), Form\findGroup(), FOFForm\findHeader(), FOFForm\findHeadersByGroup(), JGoogleDataPlusActivities\getActivity(), JLinkedinJobs\getBookmarked(), JGoogleDataPlusComments\getComment(), JLinkedinGroups\getComment(), JLinkedinCompanies\getCompanies(), JLinkedinPeople\getConnections(), CMSHelper\getDataObject(), JLinkedinGroups\getDiscussions(), PrivacyExportItem\getFields(), FieldsHelper\getFields(), FinderViewSearch\getFields(), Table\getFields(), Form\getFieldset(), FieldsHelper\getFieldTypes(), JLinkedinCompanies\getFollowed(), ModFinderHelper\getGetFields(), JLinkedinGroups\getGroup(), Form\getGroup(), FOFForm\getHeaderset(), CheckinModelCheckin\getItems(), JLinkedinJobs\getJob(), AssociationsModelAssociations\getListQuery(), JLinkedinGroups\getMemberships(), JGoogleDataPlusPeople\getPeople(), JLinkedinGroups\getPost(), JLinkedinGroups\getPostComments(), JLinkedinCompanies\getProducts(), JLinkedinPeople\getProfile(), Nested\getRootId(), CMSHelper\getRowData(), JLinkedinGroups\getSettings(), JLinkedinJobs\getSuggested(), JLinkedinCompanies\getSuggested(), JLinkedinGroups\getSuggested(), FOFDatabaseDriverSqlite\getTableColumns(), JDatabaseDriverPgsql\getTableColumns(), JDatabaseDriverSqlite\getTableColumns(), JDatabaseDriverOracle\getTableColumns(), FOFDatabaseDriverOracle\getTableColumns(), FOFDatabaseDriverPdomysql\getTableColumns(), JDatabaseDriverPdomysql\getTableColumns(), FOFDatabaseDriverSqlsrv\getTableColumns(), FOFDatabaseDriverPostgresql\getTableColumns(), JDatabaseDriverPostgresql\getTableColumns(), FOFDatabaseDriverMysqli\getTableColumns(), JDatabaseDriverMysqli\getTableColumns(), FOFTable\getTableFields(), FOFModel\getTableFields(), AssociationExtensionHelper\getType(), MenusAssociationsHelper\getType(), ContentAssociationsHelper\getType(), ContactAssociationsHelper\getType(), NewsfeedsAssociationsHelper\getType(), AssociationExtensionHelper\getTypeFieldName(), JLinkedinGroups\getUserPosts(), FOFViewRaw\hasAjaxOrderingSupport(), FOFDatabaseDriverSqlsrv\insertObject(), JDatabaseDriverPgsql\insertObject(), FOFDatabaseDriverPostgresql\insertObject(), JDatabaseDriverPostgresql\insertObject(), FOFDatabaseDriver\insertObject(), JDatabaseDriver\insertObject(), JGoogleDataPlusActivities\listActivities(), JGoogleDataPlusPeople\listByActivity(), JGoogleDataPlusComments\listComments(), Table\load(), Form\load(), FOFTable\load(), UCMContent\mapData(), Form\mergeNodes(), Nested\moveByReference(), FOFModelBehaviorFilters\onAfterBuildQuery(), FOFTableBehaviorAssets\onAfterStore(), PlgSystemFields\onContentAfterSave(), PlgSystemFields\onContentPrepare(), PlgUserProfile\onContentPrepareForm(), PlgFieldsRepeatable\onCustomFieldsPrepareDom(), PlgSystemFields\onPrepareFinderContent(), FOFFormFieldRelation\parseFieldTags(), FOFFormFieldText\parseFieldTags(), FOFFormFieldModel\parseFieldTags(), FOFFormFieldList\parseFieldTags(), SMTP\parseHelloFields(), PlgContentFields\prepare(), CategoriesModelCategory\preprocessForm(), NewsfeedsModelNewsfeed\preprocessForm(), ContactModelContact\preprocessForm(), ContentModelArticle\preprocessForm(), MenusModelItem\preprocessForm(), Nested\rebuildPath(), FOFRenderJoomla\renderFieldset(), Form\renderFieldset(), FOFRenderStrapper\renderFieldset(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFTable\reset(), JGoogleDataPlusPeople\search(), JGoogleDataPlusActivities\search(), JLinkedinCompanies\search(), JLinkedinPeople\search(), JLinkedinJobs\search(), MailtoController\send(), Form\setField(), FOFTable\setKnownFields(), FOFTable\store(), InstallationModelDatabase\updateDates(), JDatabaseDriverPgsql\updateObject(), FOFDatabaseDriverPostgresql\updateObject(), JDatabaseDriverPostgresql\updateObject(), FOFDatabaseDriver\updateObject(), JDatabaseDriver\updateObject(), InstallationModelDatabase\updateUserIds(), et Form\validate().

◆ $form

$form = $displayData->getForm()

Référencé par ContentRouter\__construct(), LastvisitdaterangeField\__construct(), UseractiveField\__construct(), JFormFieldLogsDateRange\__construct(), RegistrationdaterangeField\__construct(), FOFFormHeader\__construct(), FormField\__construct(), FOFController\add(), FOFController\browse(), ContactModelContact\buildContactExtendedData(), InstallationModelSetup\checkForm(), ContentViewArchive\display(), FOFController\edit(), ConfigControllerConfigDisplay\execute(), ConfigControllerTemplatesDisplay\execute(), ConfigControllerModulesDisplay\execute(), ConfigControllerApplicationSave\execute(), ConfigControllerComponentSave\execute(), ConfigControllerConfigSave\execute(), UsersModelUser\getAssignedGroups(), ContactModelContact\getContactQuery(), UsersModelRegistration\getData(), ListModel\getFilterForm(), FieldsModelFields\getFilterForm(), ActionlogsModelActionlogs\getFilterForm(), LanguagesModelOverride\getForm(), AssociationsModelAssociation\getForm(), ConfigModelConfig\getForm(), UsersModelMail\getForm(), UsersModelRemind\getForm(), UsersModelLogin\getForm(), MailtoModelMailto\getForm(), AdminModelProfile\getForm(), UsersModelReset\getForm(), UsersModelNote\getForm(), ConfigModelApplication\getForm(), PrivacyModelRequest\getForm(), ConfigModelTemplates\getForm(), ConfigModelModules\getForm(), BannersModelDownload\getForm(), ConfigModelComponent\getForm(), PluginsModelPlugin\getForm(), UsersModelGroup\getForm(), RedirectModelLink\getForm(), InstallationModelSetup\getForm(), FieldsModelGroup\getForm(), MessagesModelConfig\getForm(), BannersModelClient\getForm(), UsersModelUser\getForm(), FinderModelFilter\getForm(), NewsfeedsModelNewsfeed\getForm(), LanguagesModelLanguage\getForm(), PrivacyModelRemind\getForm(), MenusModelMenu\getForm(), TagsModelTag\getForm(), ContactModelContact\getForm(), PrivacyModelConfirm\getForm(), UsersModelProfile\getForm(), UsersModelLevel\getForm(), BannersModelBanner\getForm(), MessagesModelMessage\getForm(), CategoriesModelCategory\getForm(), TemplatesModelStyle\getForm(), UsersModelRegistration\getForm(), TemplatesModelTemplate\getForm(), ContentModelArticle\getForm(), FieldsModelField\getForm(), InstallationModelLanguages\getForm(), MenusModelItem\getForm(), ModulesModelModule\getForm(), InstallerModelUpdate\getForm(), HtmlView\getForm(), FOFModel\getForm(), UsersModelReset\getResetCompleteForm(), UsersModelReset\getResetConfirmForm(), ConfigModelForm\loadForm(), FormModel\loadForm(), ListModel\loadForm(), FOFModel\loadForm(), FOFRenderStrapper\loadValidationScript(), FOFRenderJoomla\loadValidationScript(), PlgSystemFields\onContentNormaliseRequestData(), PlgUserJoomla\onContentPrepareForm(), PlgContentConfirmConsent\onContentPrepareForm(), PlgSystemPrivacyconsent\onContentPrepareForm(), PlgUserTerms\onContentPrepareForm(), PlgSystemActionLogs\onContentPrepareForm(), PlgSystemLanguagecode\onContentPrepareForm(), FieldsPlugin\onContentPrepareForm(), PlgUserProfile\onContentPrepareForm(), PlgSystemFields\onContentPrepareForm(), FieldsListPlugin\onCustomFieldsPrepareDom(), PlgFieldsColor\onCustomFieldsPrepareDom(), PlgFieldsImagelist\onCustomFieldsPrepareDom(), PlgFieldsUrl\onCustomFieldsPrepareDom(), PlgFieldsSql\onCustomFieldsPrepareDom(), PlgFieldsEditor\onCustomFieldsPrepareDom(), PlgFieldsCalendar\onCustomFieldsPrepareDom(), PlgFieldsMedia\onCustomFieldsPrepareDom(), PlgFieldsUser\onCustomFieldsPrepareDom(), PlgFieldsRepeatable\onCustomFieldsPrepareDom(), PlgSystemPrivacyconsent\onUserAfterSave(), PlgUserTerms\onUserBeforeSave(), PlgSystemPrivacyconsent\onUserBeforeSave(), UsersModelRemind\preprocessForm(), UsersModelMail\preprocessForm(), ConfigModelModules\preprocessForm(), ConfigModelTemplates\preprocessForm(), UsersModelLogin\preprocessForm(), UsersModelReset\preprocessForm(), UsersModelGroup\preprocessForm(), UsersModelUser\preprocessForm(), ContentModelForm\preprocessForm(), FieldsModelGroup\preprocessForm(), UsersModelLevel\preprocessForm(), PluginsModelPlugin\preprocessForm(), UsersModelProfile\preprocessForm(), ConfigModelForm\preprocessForm(), FormModel\preprocessForm(), BannersModelBanner\preprocessForm(), UsersModelRegistration\preprocessForm(), CategoriesModelCategory\preprocessForm(), NewsfeedsModelNewsfeed\preprocessForm(), TemplatesModelStyle\preprocessForm(), ContactModelContact\preprocessForm(), MenusModelItems\preprocessForm(), ListModel\preprocessForm(), ContentModelArticle\preprocessForm(), ModulesModelModule\preprocessForm(), FieldsModelField\preprocessForm(), MenusModelItem\preprocessForm(), FOFModel\preprocessForm(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetComplete(), UsersModelReset\processResetConfirm(), UsersModelReset\processResetRequest(), FOFController\read(), UsersControllerRegistration\register(), FormController\reload(), ConfigViewApplicationHtml\render(), ConfigViewComponentHtml\render(), FOFRenderJoomla\renderFieldset(), FOFRenderStrapper\renderFieldset(), FOFRenderJoomla3\renderFieldsetLabel(), FOFRenderJoomla\renderFieldsetLabel(), FOFRenderStrapper\renderFieldsetLabel(), FOFRenderAbstract\renderForm(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderJoomla\renderFormEdit(), FOFRenderStrapper\renderFormEdit(), FOFRenderJoomla\renderFormRaw(), FOFRenderStrapper\renderFormRaw(), FOFRenderJoomla\renderFormRead(), FOFRenderStrapper\renderFormRead(), MessagesControllerConfig\save(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), MenusControllerMenu\save(), LanguagesControllerOverride\save(), UsersControllerProfile\save(), ConfigModelComponent\save(), TemplatesControllerTemplate\save(), MenusControllerItem\save(), FormController\save(), FOFModel\save(), MailtoController\send(), FOFFormHeader\setForm(), FormField\setForm(), ContactControllerContact\submit(), JFormRuleContactEmail\test(), SubformRule\test(), JFormRuleLoginUniqueField\test(), UsernameRule\test(), JFormRuleLogoutUniqueField\test(), OptionsRule\test(), CaptchaRule\test(), EqualsRule\test(), EmailRule\test(), MenusModelMenu\validate(), UsersModelLevel\validate(), FieldsModelGroup\validate(), ConfigModelForm\validate(), FormModel\validate(), CategoriesModelCategory\validate(), PrivacyModelRequest\validate(), InstallationModelSetup\validate(), NewsfeedsModelNewsfeed\validate(), BannersModelBanner\validate(), ContentModelArticle\validate(), ContactModelContact\validate(), FieldsModelField\validate(), ModulesModelModule\validate(), et FOFModel\validateForm().

◆ $hiddenFields

$hiddenFields = $displayData->get('hidden_fields') ?: array()

◆ $html [1/2]

if (! $saveHistory) $html = array()

Référencé par Pagination\_list_footer(), JHtmlJGrid\action(), JHtmlAccess\actions(), HtmlDocument\addCustomTag(), JHtmlBootstrap\addSlide(), JHtmlRules\assetFormWidget(), JHtmlNewsfeed\association(), JHtmlContentAdministrator\association(), JHtmlContact\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), FinderControllerIndexer\batch(), JHtmlIcons\buttons(), JHtmlFilter\dates(), Editor\display(), Microdata\display(), PlgSystemDebug\display(), PlgSystemDebug\displayCallback(), PlgSystemDebug\displayErrors(), PlgSystemDebug\displayLanguageFilesInError(), PlgSystemDebug\displayLanguageFilesLoaded(), PlgSystemDebug\displayProfileInformation(), PlgSystemDebug\displayQueries(), PlgSystemDebug\displaySession(), PlgSystemDebug\displayUntranslatedStrings(), PlgContentVote\displayVotingData(), JHtmlContentAdministrator\featured(), JHtmlContact\featured(), CustomButton\fetchButton(), PopupButton\fetchButton(), JHtmlSelect\genericlist(), FOFFormHeaderFieldsearchable\getButtons(), FOFFormHeaderFieldfilterable\getFilter(), FOFFormHeaderOrdering\getHeader(), JFormFieldModalAssociation\getInput(), JFormFieldModal_Category\getInput(), JFormFieldList\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldModulelayout\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldFilters\getInput(), JFormFieldModal_Article\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldComponentlayout\getInput(), HelpsiteField\getInput(), JFormFieldSkins\getInput(), JFormFieldUploaddirs\getInput(), FOFFormFieldOrdering\getInput(), FOFFormFieldGroupedbutton\getInput(), OrderingField\getInput(), JFormFieldRules\getInput(), ModulepositionField\getInput(), JFormFieldGroupedList\getInput(), JFormFieldModal_Menu\getInput(), JFormFieldSubform\getInput(), JFormFieldCategoryEdit\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), JFormFieldNote\getLabel(), JFormFieldSpacer\getLabel(), Pagination\getLimitBox(), Pagination\getPagesCounter(), FOFViewForm\getRenderedForm(), FOFFormFieldTitle\getRepeatable(), FOFFormFieldRelation\getRepeatable(), FOFFormFieldModel\getRepeatable(), FOFFormFieldCheckboxes\getRepeatable(), FOFFormFieldList\getRepeatable(), FOFFormFieldText\getRepeatable(), FOFFormFieldUrl\getRepeatable(), FOFFormFieldEmail\getRepeatable(), FOFFormFieldTel\getRepeatable(), FOFFormFieldOrdering\getRepeatable(), FOFFormFieldUser\getRepeatable(), FOFFormFieldActions\getRepeatable(), FOFFormFieldTag\getRepeatable(), Pagination\getResultsCounter(), FOFFormFieldUser\getStatic(), FOFFormFieldTag\getStatic(), JHtmlSelect\groupedlist(), PHPMailer\html2text(), JHtmlLinks\links(), JHtmlLinks\linksgroups(), modChrome_html5(), PlgSystemDebug\onAfterRespond(), PlgEditorNone\onSetContent(), PlgEditorTinymce\onSetContent(), PlgTwofactorauthYubikey\onUserTwofactorShowConfiguration(), PlgTwofactorauthTotp\onUserTwofactorShowConfiguration(), JHtmlSelect\options(), JHtmlList\ordering(), ModulesControllerModule\orderPosition(), pagination_list_footer(), pagination_list_render(), AdminModelSysInfo\parsePhpInfo(), SimplePie_Sanitize\preprocess(), JHtmlRedirect\published(), JHtmlSelect\radiolist(), AbstractWebApplication\redirect(), WebApplication\redirect(), JHtmlActionsDropdown\render(), Toolbar\render(), PlgSystemDebug\renderBars(), FOFRenderStrapper\renderButtons(), FOFRenderJoomla\renderFieldset(), Form\renderFieldset(), FOFRenderStrapper\renderFieldset(), FOFRenderJoomla3\renderFieldsetLabel(), FOFRenderJoomla\renderFieldsetLabel(), FOFRenderStrapper\renderFieldsetLabel(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderJoomla\renderFormEdit(), FOFRenderStrapper\renderFormEdit(), FOFRenderJoomla\renderFormRaw(), FOFRenderStrapper\renderFormRaw(), FOFRenderJoomla\renderFormRead(), FOFRenderStrapper\renderFormRead(), JHtmlFilter\select(), Editor\setContent(), JHtmlFilter\slider(), JHtmlGrid\sort(), JHtmlMessages\status(), InstallationHtmlHelper\stepbar(), InstallationHtmlHelper\stepbarlanguages(), JHtmlSelect\suggestionlist(), PlgSystemDebug\tableToHtml(), JHtmlTemplates\thumb(), JHtmlTemplates\thumbModal(), ToolbarHelper\title(), ModArticlesCategoryHelper\truncate(), JHtmlString\truncateComplex(), JHtmlAccess\usergroups(), et JHtmlDebug\xdebuglink().

◆ $html [2/2]

foreach ( $fields as $field) $html[] = '<fieldset class="form-horizontal"><ul class="horizontal-buttons unstyled">'

◆ $input

$input = $app->input

◆ $saveHistory

if ( $component=='com_categories') $saveHistory = JComponentHelper::getParams($component)->get('save_history', 0)


Joomla CMS: Référence du fichier edit_modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
  • tmpl
Espaces de nommage | Variables
Référence du fichier views/item/tmpl/edit_modules.php

Espaces de nommage

Joomla\Administrator

Variables

ul horizontal buttons | li
padding | right

Documentation des variables

◆ li

ul horizontal buttons li
Valeur initiale :
{
display: inline-block
block
else JHtml::_('users.blockStates', $self) $item block
Definition: administrator/components/com_users/views/users/tmpl/default.php:132

◆ right

padding right


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_menus/views/item/tmpl/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
$i = 0
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ $i

$i = 0

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • module
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_modules/views/module/tmpl/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
$i = 0
$class = isset($fieldSet->class) && !empty($fieldSet->class) ? $fieldSet->class : ''
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $class

$class = isset($fieldSet->class) && !empty($fieldSet->class) ? $fieldSet->class : ''

Référencé par SimplePie\__call(), JDatabaseIterator\__construct(), FOFDatabaseIterator\__construct(), Language\__construct(), JLinkedin\__get(), JMediawiki\__get(), JOpenstreetmap\__get(), JFacebook\__get(), JTwitter\__get(), JLoader\_autoload(), Pagination\_item_active(), JLoader\_load(), idna_convert\_nameprep(), Log\addLogEntry(), JHtmlBootstrap\addSlide(), JLoader\applyAliasFor(), JObservable\attach(), Editor\attach(), Authentication\attach(), FOFUtilsObservableDispatcher\attach(), JEventDispatcher\attach(), Captcha\attach(), JObserverUpdater\attachObserver(), SimplePie_Autoloader\autoload(), FOFAutoloaderFof\autoload_fof_core(), HTMLHelper\calendar(), SimplePie_Registry\call(), SimplePie_Registry\create(), JLoader\discover(), Captcha\display(), PlgSystemDebug\display(), PlgSystemDebug\displayCallback(), DeletefilesCli\doExecute(), CliApplication\fetchConfigurationData(), WebApplication\fetchConfigurationData(), JApplicationWebRouter\fetchController(), InstallationApplicationWeb\fetchController(), JDatabaseDriverMysql\fetchObject(), FOFDatabaseDriverMysql\fetchObject(), JDatabaseDriverPdo\fetchObject(), FOFDatabaseDriverPdo\fetchObject(), JDatabaseDriverMysqli\fetchObject(), FOFDatabaseDriverMysqli\fetchObject(), FOFDatabaseDriverSqlsrv\fetchObject(), FOFDatabaseDriverPostgresql\fetchObject(), JDatabaseDriverPostgresql\fetchObject(), ClassLoader\findFile(), ClassLoader\findFileWithExtension(), CallbackController\get(), FOFConfigProvider\get(), SimplePie_Cache\get_handler(), JArchive\getAdapter(), FOFDownload\getAdapterName(), Installer\getAdapters(), HttpFactory\getAvailableDriver(), JGoogleEmbedMaps\getBody(), FOFFormFieldCalendar\getCalendar(), Language\getCallerInfo(), SiteRouter\getComponentRouter(), JDatabaseDriver\getConnectors(), FOFDatabaseDriver\getConnectors(), ContentType\getContentTable(), JDatabaseFactory\getDriver(), FOFDatabaseFactory\getDriver(), JDatabaseFactory\getExporter(), FOFDatabaseDriver\getExporter(), JDatabaseDriver\getExporter(), Factory\getFormat(), Tree\getIconClass(), JDatabaseFactory\getImporter(), FOFDatabaseDriver\getImporter(), JDatabaseDriver\getImporter(), InstallationFormFieldPrefix\getInput(), JFormFieldImpTotal\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldModal_Category\getInput(), FOFFormFieldButton\getInput(), FOFFormFieldGroupedbutton\getInput(), JFormFieldCheckbox\getInput(), JFormFieldModal_Menu\getInput(), JFormFieldCategoryEdit\getInput(), FinderIndexerParser\getInstance(), FinderIndexerStemmer\getInstance(), LanguageStemmer\getInstance(), Storage\getInstance(), CacheController\getInstance(), ChangeItem\getInstance(), FinderIndexer\getInstance(), BaseController\getInstance(), JDatabaseDriver\getInstance(), FOFDatabaseDriver\getInstance(), Document\getInstance(), FOFDatabaseIterator\getIterator(), FOFDatabaseDriver\getIterator(), JDatabaseDriver\getIterator(), JFormFieldNote\getLabel(), JFormFieldTos\getLabel(), JFormFieldSpacer\getLabel(), ModLanguagesHelper\getList(), FOFDatabaseFactory\getQuery(), JDatabaseFactory\getQuery(), FOFDatabaseDriver\getQuery(), JDatabaseDriver\getQuery(), FOFFormFieldRelation\getRepeatable(), FOFFormFieldModel\getRepeatable(), FOFFormFieldCheckboxes\getRepeatable(), FOFFormFieldEditor\getRepeatable(), FOFFormFieldPassword\getRepeatable(), FOFFormFieldPlugins\getRepeatable(), FOFFormFieldRadio\getRepeatable(), FOFFormFieldSql\getRepeatable(), FOFFormFieldSessionhandler\getRepeatable(), FOFFormFieldInteger\getRepeatable(), FOFFormFieldCachehandler\getRepeatable(), FOFFormFieldList\getRepeatable(), FOFFormFieldComponents\getRepeatable(), FOFFormFieldText\getRepeatable(), FOFFormFieldGroupedlist\getRepeatable(), FOFFormFieldCheckbox\getRepeatable(), FOFFormFieldTel\getRepeatable(), FOFFormFieldEmail\getRepeatable(), FOFFormFieldUrl\getRepeatable(), FOFFormFieldLanguage\getRepeatable(), FOFFormFieldAccesslevel\getRepeatable(), FOFFormFieldUsergroup\getRepeatable(), FOFFormFieldOrdering\getRepeatable(), FOFFormFieldUser\getRepeatable(), FOFFormFieldTag\getRepeatable(), FOFModelField\getSearchMethods(), FOFFormFieldModel\getStatic(), FOFFormFieldEmail\getStatic(), FOFFormFieldCheckbox\getStatic(), FOFFormFieldEditor\getStatic(), FOFFormFieldText\getStatic(), FOFFormFieldTextarea\getStatic(), FOFFormFieldSessionhandler\getStatic(), FOFFormFieldTimezone\getStatic(), FOFFormFieldPassword\getStatic(), FOFFormFieldPlugins\getStatic(), FOFFormFieldGroupedlist\getStatic(), FOFFormFieldTel\getStatic(), FOFFormFieldInteger\getStatic(), FOFFormFieldRadio\getStatic(), FOFFormFieldUrl\getStatic(), FOFFormFieldUser\getStatic(), FOFFormFieldSql\getStatic(), FOFFormFieldUsergroup\getStatic(), FOFFormFieldCachehandler\getStatic(), FOFFormFieldAccesslevel\getStatic(), FOFFormFieldList\getStatic(), FOFFormFieldComponents\getStatic(), FOFFormFieldLanguage\getStatic(), FOFFormFieldPublished\getStatic(), FOFFormFieldTag\getStatic(), Cache\getStores(), Session\getStores(), Factory\getXml(), JLoader\import(), PlgFinderCategories\index(), FOFRenderAbstract\isTabFieldset(), JLoader\load(), Installer\loadAdapter(), JLoader\loadAliasFor(), Adapter\loadAllAdapters(), JLoader\loadByAlias(), JLoader\loadByPsr0(), JLoader\loadByPsr4(), JClassLoader\loadClass(), FOFFormHelper\loadClass(), FormHelper\loadClass(), ClassLoader\loadClass(), ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd\loadClassLoader(), JDatabaseDriverPdo\loadNextObject(), FOFDatabaseDriverPdo\loadNextObject(), FOFDatabaseDriver\loadNextObject(), JDatabaseDriver\loadNextObject(), FOFDatabaseDriverJoomla\loadObject(), FOFDatabaseDriver\loadObject(), JDatabaseDriver\loadObject(), FOFDatabaseDriverJoomla\loadObjectList(), FOFDatabaseDriver\loadObjectList(), JDatabaseDriver\loadObjectList(), Document\loadRenderer(), FOFFormHelper\loadType(), FormHelper\loadType(), Php\objectToString(), PlgCaptchaRecaptcha_Invisible\onDisplay(), PlgCaptchaRecaptcha\onDisplay(), pagination_item_active(), pagination_item_inactive(), FOFConfigProvider\parseComponentArea(), JAdminCssMenu\populateTree(), SimplePie_Cache\register(), SimplePie_Registry\register(), JLoader\register(), PlgSystemDebug\renderBars(), FOFRenderJoomla\renderFieldset(), FOFRenderStrapper\renderFieldset(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderJoomla\renderFormEdit(), FOFRenderStrapper\renderFormEdit(), FOFRenderStrapper\renderLinkbar_classic(), SimplePie\set_author_class(), SimplePie\set_cache_class(), SimplePie\set_caption_class(), SimplePie\set_category_class(), SimplePie\set_content_type_sniffer_class(), SimplePie\set_copyright_class(), SimplePie\set_credit_class(), SimplePie\set_enclosure_class(), SimplePie\set_file_class(), SimplePie\set_item_class(), SimplePie\set_locator_class(), SimplePie\set_parser_class(), SimplePie\set_rating_class(), SimplePie\set_restriction_class(), SimplePie\set_sanitize_class(), SimplePie\set_source_class(), Adapter\setAdapter(), Archive\setAdapter(), JGoogleEmbedMaps\setMapClass(), FOFFormHeader\setup(), JLoader\stripFirstBackslash(), ArrayHelper\toObject(), JArrayHelper\toObject(), FOFUtilsArray\toObject(), et HTMLHelper\tooltip().

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ $i

$i = 0

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugin
  • tmpl
Espaces de nommage
Référence du fichier components/com_plugins/views/plugin/tmpl/edit_options.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tag
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_tags/views/tag/tmpl/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
$i = 0
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ $i

$i = 0

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • style
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_templates/views/style/tmpl/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
$i = 0
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ $i

$i = 0

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_categories
  • category
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_categories/category/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

endif
$fieldSets = $this->form->getFieldsets('params')
if (isset( $fieldSet->description) &&trim( $fieldSet->description))
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)

◆ if

if(isset($fieldSet->description) &&trim($fieldSet->description))


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • item
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_menus/item/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

$assoc = JLanguageAssociations::isEnabled()
$fieldSets = $this->form->getFieldsets('request')
endif
endforeach

Documentation des variables

◆ $assoc

$assoc = JLanguageAssociations::isEnabled()

◆ $fieldSets

if (!empty( $fieldSets)) $fieldSets = $this->form->getFieldsets('request')

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_modules
  • module
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_modules/module/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
endif
$hidden_fields = ''
foreach ($this->form->getFieldset($name) as $field) (! $field->hidden)
else __pad47__
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ $hidden_fields

$hidden_fields = ''

◆ ($this->form->getFieldset($name) as $field)

foreach ( $this->form->getFieldset( $name) as $field)(! $field->hidden)

◆ __pad47__

else __pad47__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_plugins
  • plugin
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_plugins/plugin/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
endif
foreach ($this->form->getFieldset($name) as $field) (! $field->hidden)
else __pad56__
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ ($this->form->getFieldset($name) as $field)

foreach ( $this->form->getFieldset( $name) as $field)(! $field->hidden)

◆ __pad56__

else __pad56__

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_tags
  • tag
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_tags/tag/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

endif
$fieldSets = $this->form->getFieldsets('params')
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • style
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_templates/style/edit_options.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
endif
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

foreach ($this->form->getFieldset($name) as $field) (! $field->hidden) endif


Joomla CMS: Référence du fichier edit_params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_contact/views/contact/tmpl/edit_params.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
foreach ( $fieldSets as $name=> $fieldSet)
endif
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field) | ( | $fieldSets as,
 |  | $fieldSet
 | ) |


Joomla CMS: Référence du fichier edit_params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_contact/contact/edit_params.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_newsfeeds
  • newsfeed
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_weblinks
  • weblink
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/com_weblinks/weblink/edit_params.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier edit_positions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • module
  • tmpl
Espaces de nommage | Variables
Référence du fichier edit_positions.php

Espaces de nommage

Joomla\Administrator

Variables

$clientId = $this->item->client_id
$state = 1
$selectedPosition = $this->item->position
$positions = JHtml::_('modules.positions', $clientId, $state, $selectedPosition)
$customGroupText = JText::_('COM_MODULES_CUSTOM_POSITION')
$attr

Documentation des variables

◆ $attr

$attr
Valeur initiale :
= array(
'id' => 'jform_position',
'list.select' => $this->item->position,
'list.attr' => 'class="chzn-custom-value" '
. 'data-custom_group_text="' . $customGroupText . '" '
. 'data-no_results_text="' . JText::_('COM_MODULES_ADD_CUSTOM_POSITION') . '" '
. 'data-placeholder="' . JText::_('COM_MODULES_TYPE_OR_SELECT_POSITION') . '" '
)
$customGroupText
$customGroupText
Definition: edit_positions.php:22
item
else $this item
Definition: components/com_content/views/article/tmpl/default.php:76

Référencé par CollectionAdapter\_startElement(), JXMLElement\asFormattedXml(), InputFilter\cleanTags(), JFormFieldList\getInput(), JFormFieldModulelayout\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldUsergroup\getInput(), JFormFieldAccessLevel\getInput(), FOFFormFieldOrdering\getInput(), OrderingField\getInput(), JFormFieldGroupedList\getInput(), JFormFieldCategoryEdit\getInput(), JHtmlSelect\options(), Utility\parseAttributes(), FeedDocument\render(), et SimplePie_Sanitize\strip_tag().

◆ $clientId

$clientId = $this->item->client_id

◆ $customGroupText

$customGroupText = JText::_('COM_MODULES_CUSTOM_POSITION')

Référencé par JFormFieldCategoryEdit\getInput(), ConfigModelModules\getPositions(), et JHtmlModules\positions().

◆ $positions

$positions = JHtml::_('modules.positions', $clientId, $state, $selectedPosition)

Référencé par ConfigModelModules\getActivePositions(), ModulesModelPositions\getItems(), ModulesHelper\getPositions(), TemplatesHelper\getPositions(), JHtmlModules\positions(), et JHtmlList\positions().

◆ $selectedPosition

$selectedPosition = $this->item->position

Référencé par JHtmlModules\positions().

◆ $state

$state = 1


Joomla CMS: Référence du fichier Editor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Editor
Structures de données | Espaces de nommage
Référence du fichier Editor.php

Structures de données

class Editor

Espaces de nommage

Joomla\CMS\Editor


Joomla CMS: Référence du fichier editor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/editor.php

Structures de données

class FOFFormFieldEditor

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier editor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • editor
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/editor/editor.php

Structures de données

class PlgFieldsEditor

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier editor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • editor
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/editor/tmpl/editor.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
if ( $value=='')

Documentation des variables

◆ $value

$value = $field->value

◆ if

if($value=='')


Joomla CMS: Référence du fichier EditorField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier EditorField.php

Structures de données

class EditorField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier element.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/query/element.php

Structures de données

class FOFDatabaseQueryElement

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier element.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/query/element.php

Structures de données

class JDatabaseQueryElement

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier element.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • codemirror
  • layouts
  • editors
  • codemirror
Espaces de nommage | Variables
Référence du fichier plugins/editors/codemirror/layouts/editors/codemirror/element.php

Espaces de nommage

Joomla\Plugin

Variables

$options = $displayData->options
$params = $displayData->params
$name = $displayData->name
$id = $displayData->id
$cols = $displayData->cols
$rows = $displayData->rows
$content = $displayData->content
$buttons = $displayData->buttons
$modifier = $params->get('fullScreenMod', array()) ? implode(' + ', $params->get('fullScreenMod', array())) . ' + ' : ''
htmlspecialchars (json_encode( $options))

Documentation des variables

◆ $buttons

$buttons = $displayData->buttons

◆ $cols

$cols = $displayData->cols

◆ $content

$content = $displayData->content

Référencé par Document\addScriptDeclaration(), Document\addStyleDeclaration(), JResponse\appendBody(), AbstractWebApplication\appendBody(), WebApplication\appendBody(), Patcher\apply(), lessc\compileValue(), FOFLess\compileValue(), Microdata\content(), JGithubPackageDataBlobs\create(), BannersViewTracks\display(), Microdata\display(), HeadRenderer\fetchHead(), Manifest\fromContent(), SimplePie_Item\get_enclosures(), Microdata\getContent(), BannersModelTracks\getContent(), SocketTransport\getResponse(), CurlTransport\getResponse(), Microdata\htmlDiv(), Microdata\htmlMeta(), Microdata\htmlSpan(), Microdata\htmlTag(), modChrome_sliders(), modChrome_tabs(), modChrome_xhtml(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgEditorCodemirror\onSetContent(), FOFLessParser\openString(), lessc_parser\openString(), FinderIndexerHelper\prepareContent(), JResponse\prependBody(), AbstractWebApplication\prependBody(), WebApplication\prependBody(), ComponentRenderer\render(), ModulesRenderer\render(), MessageRenderer\render(), ModuleRenderer\render(), ModuleHelper\renderModule(), CurlTransport\request(), SocketTransport\request(), StreamTransport\request(), Reader\resolveFourByteLittleEndian(), Reader\resolveManifestLength(), Reader\resolveTwoByteBigEndian(), JResponse\setBody(), Mail\setBody(), AbstractWebApplication\setBody(), WebApplication\setBody(), Document\setBuffer(), HtmlDocument\setBuffer(), FOFIntegrationJoomlaPlatform\setCache(), Document\setMetaData(), JGrid\setRowCell(), FOFLessParser\string(), lessc_parser\string(), SocketPost\submit(), tln_fixstyle(), et HTMLHelper\tooltipText().

◆ $id

$id = $displayData->id

◆ $modifier

$modifier = $params->get('fullScreenMod', array()) ? implode(' + ', $params->get('fullScreenMod', array())) . ' + ' : ''

Référencé par FinderIndexerQuery\processString().

◆ $name

$name = $displayData->name

◆ $options

$options = $displayData->options

◆ $params

$params = $displayData->params

◆ $rows

$rows = $displayData->rows

Référencé par Nested\_logtable(), UsersModelRegistration\activate(), ChangeItem\check(), ContentViewFeatured\display(), ModulesModelModule\duplicate(), InstallerModelUpdate\enableSites(), ActionlogsHelper\getCsvData(), SearchModelSearch\getData(), FieldsModelField\getFieldValues(), MessagesModelConfig\getItem(), FinderIndexerAdapter\getItems(), JFormFieldTextarea\getLayoutData(), ModStatsHelper\getList(), ModArchiveHelper\getList(), ModLatestActionsHelper\getList(), JoomlaupdateModelDefault\getNonCoreExtensions(), JoomlaupdateModelDefault\getNonCorePlugins(), FinderModelSearch\getResults(), ModStatsHelper\getStats(), FOFDatabaseDriverSqlite\getTableKeys(), JDatabaseDriverSqlite\getTableKeys(), ActionlogsHelper\loadActionLogPluginsLanguage(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgSearchContent\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchCategories\onContentSearch(), ModulesHelperXML\parseXMLModuleFile(), UsersModelRegistration\register(), FOFUtilsInstallscript\renderPostInstallation(), FOFUtilsInstallscript\renderPostUninstallation(), FOFTable\reorder(), UsersModelMail\send(), et JHtmlFinder\typeslist().

◆ htmlspecialchars

htmlspecialchars(json_encode($options))

Référencé par PlgContentPagebreak\_createToc(), HelpButton\_getCommand(), Nested\_logtable(), Form\addNode(), JHtmlUsers\admin_language(), JXMLElement\asFormattedXml(), JHtmlNewsfeed\association(), JHtmlContact\association(), JHtmlContentAdministrator\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), JDatabaseExporterMysqli\buildXmlStructure(), JDatabaseExporterPdomysql\buildXmlStructure(), SimplePie_Parser\cdata(), OutputFilter\cleanText(), CategoryView\commonCategoryDisplay(), MediaControllerFolder\delete(), MediaControllerFile\delete(), SiteApplication\dispatch(), MediaViewMediaList\display(), WrapperViewWrapper\display(), SearchViewSearch\display(), UsersViewRemind\display(), UsersViewReset\display(), ContentViewArchive\display(), ContentViewArticle\display(), UsersViewLogin\display(), TagsViewTags\display(), UsersViewRegistration\display(), ContentViewForm\display(), UsersViewProfile\display(), NewsfeedsViewNewsfeed\display(), ContentViewFeatured\display(), CategoriesView\display(), PrivacyViewConfirm\display(), PrivacyViewRemind\display(), ContactViewContact\display(), ContactViewFeatured\display(), PrivacyViewRequest\display(), FinderViewSearch\display(), TagsViewTag\display(), PlgSystemDebug\displayQueries(), SimplePie_Sanitize\do_strip_htmltags(), JHtmlIcon\edit(), SimplePie_Misc\element_implode(), phpmailerException\errorMessage(), JViewHtml\escape(), BaseLayout\escape(), HeadRenderer\fetchHead(), AssociationsHelper\getAssociationHtmlList(), FOFFormFieldCalendar\getCalendar(), FOFFormHeaderFieldfilterable\getFilter(), FOFFormHeaderFieldsearchable\getFilter(), MediaModelManager\getFolderList(), ActionlogsHelper\getHumanReadableLogMessage(), InstallationFormFieldPrefix\getInput(), JFormFieldClicks\getInput(), JFormFieldImpMade\getInput(), JFormFieldFilters\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldList\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldModal_Category\getInput(), JFormFieldRepeatable\getInput(), FOFFormFieldButton\getInput(), JFormFieldCheckbox\getInput(), JFormFieldRules\getInput(), JFormFieldGroupedList\getInput(), JFormFieldModal_Menu\getInput(), EditorField\getInput(), JFormFieldCategoryEdit\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), JFormFieldTos\getLabel(), JFormFieldSpacer\getLabel(), ModBreadCrumbsHelper\getList(), ModMenuHelper\getList(), ModArticlesNewsHelper\getList(), FOFFormFieldModel\getRepeatable(), FOFFormFieldPassword\getRepeatable(), FOFFormFieldPlugins\getRepeatable(), FOFFormFieldRadio\getRepeatable(), FOFFormFieldSessionhandler\getRepeatable(), FOFFormFieldSql\getRepeatable(), FOFFormFieldInteger\getRepeatable(), FOFFormFieldList\getRepeatable(), FOFFormFieldCachehandler\getRepeatable(), FOFFormFieldComponents\getRepeatable(), FOFFormFieldText\getRepeatable(), FOFFormFieldGroupedlist\getRepeatable(), FOFFormFieldCheckbox\getRepeatable(), FOFFormFieldEmail\getRepeatable(), FOFFormFieldTel\getRepeatable(), FOFFormFieldUrl\getRepeatable(), FOFFormFieldLanguage\getRepeatable(), FOFFormFieldAccesslevel\getRepeatable(), FOFFormFieldUsergroup\getRepeatable(), FOFFormFieldModel\getStatic(), FOFFormFieldTimezone\getStatic(), FOFFormFieldInteger\getStatic(), FOFFormFieldText\getStatic(), FOFFormFieldUrl\getStatic(), FOFFormFieldSql\getStatic(), FOFFormFieldPlugins\getStatic(), FOFFormFieldCheckbox\getStatic(), FOFFormFieldGroupedlist\getStatic(), FOFFormFieldSessionhandler\getStatic(), FOFFormFieldPassword\getStatic(), FOFFormFieldEmail\getStatic(), FOFFormFieldTel\getStatic(), FOFFormFieldRadio\getStatic(), FOFFormFieldTextarea\getStatic(), FOFFormFieldUsergroup\getStatic(), FOFFormFieldAccesslevel\getStatic(), FOFFormFieldCachehandler\getStatic(), FOFFormFieldList\getStatic(), FOFFormFieldComponents\getStatic(), FOFFormFieldLanguage\getStatic(), FOFFormFieldPublished\getStatic(), JHtmlUsers\helpsite(), PlgSystemDebug\highlightQuery(), JHtmlLanguages\id(), JHtmlUsers\language(), Route\link(), modChrome_html5(), modChrome_well(), modChrome_xhtml(), OutputFilter\objectHtmlSafe(), PlgSystemHighlight\onAfterDispatch(), PlgSystemSef\onAfterDispatch(), PlgContentConfirmConsent\onContentPrepareForm(), PlgSystemLanguagecode\onContentPrepareForm(), FieldsListPlugin\onCustomFieldsPrepareDom(), ModulesControllerModule\orderPosition(), JHtmlIcon\print_popup(), InputFilter\remove(), RssRenderer\render(), AtomRenderer\render(), OpensearchDocument\render(), PlgSystemDebug\renderBars(), PlgSystemDebug\renderCallStack(), SimplePie_Sanitize\sanitize(), JOpenstreetmapObject\sendRequest(), ModBreadCrumbsHelper\setSeparator(), PlgSystemDebug\tableToHtml(), SimplePie_Parser\tag_open(), JHtmlUsers\templatestyle(), HTMLHelper\tooltip(), HTMLHelper\tooltipText(), PlgUserProfile\url(), JOpenstreetmapOauth\validateResponse(), et JHtmlUsers\value().


Joomla CMS: Référence du fichier elements.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • openstreetmap
Structures de données | Espaces de nommage
Référence du fichier elements.php

Structures de données

class JOpenstreetmapElements

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier email.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
  • install
Structures de données | Espaces de nommage
Référence du fichier installation/controller/install/email.php

Structures de données

class InstallationControllerInstallEmail

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier email.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • icons
Espaces de nommage | Variables
Référence du fichier layouts/joomla/content/icons/email.php

Espaces de nommage

Joomla\Site

Variables

$params = $displayData['params']
$legacy = $displayData['legacy']
else __pad6__
endif
else __pad7__

Documentation des variables

◆ $legacy

$legacy = $displayData['legacy']

◆ $params

$params = $displayData['params']

◆ __pad6__

else __pad6__

◆ __pad7__

else __pad7__

◆ endif

endif


Joomla CMS: Référence du fichier email.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/email.php

Espaces de nommage

Joomla\Site

Variables

$autocomplete = !$autocomplete ? 'autocomplete="off"' : 'autocomplete="' . $autocomplete . '"'
$attributes

Documentation des variables

◆ $attributes

$attributes
Valeur initiale :
= array(
$spellcheck ? '' : 'spellcheck="false"',
!empty($size) ? 'size="' . $size . '"' : '',
$disabled ? 'disabled' : '',
$readonly ? 'readonly' : '',
$onchange ? 'onchange="' . $onchange . '"' : '',
$autocomplete,
$multiple ? 'multiple' : '',
!empty($maxLength) ? 'maxlength="' . $maxLength . '"' : '',
strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
$required ? 'required aria-required="true"' : '',
$autofocus ? 'autofocus' : '',
)
$required
$required
Definition: components/com_contact/layouts/joomla/form/renderfield.php:43
$autofocus
$autofocus
Definition: advanced.php:79
ENT_COMPAT
else ENT_COMPAT
Definition: components/com_newsfeeds/views/category/tmpl/default_items.php:20
$hint
$hint
Definition: advanced.php:66
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34
$disabled
$disabled
Definition: administrator/templates/hathor/html/com_banners/banners/default.php:177
$onchange
$onchange
Definition: layouts/joomla/form/field/checkboxes.php:78
$autocomplete
$autocomplete
Definition: layouts/joomla/form/field/email.php:48
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

◆ $autocomplete

$autocomplete = !$autocomplete ? 'autocomplete="off"' : 'autocomplete="' . $autocomplete . '"'


Joomla CMS: Référence du fichier email.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/email.php

Structures de données

class JHtmlEmail

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier email.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/email.php

Structures de données

class FOFFormFieldEmail

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier email.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/email.php

Structures de données

class JFormFieldEMail

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier emailcloak.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • emailcloak
Structures de données | Espaces de nommage
Référence du fichier emailcloak.php

Structures de données

class PlgContentEmailcloak

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier EmailRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier EmailRule.php

Structures de données

class EmailRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier emails.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • users
Structures de données | Espaces de nommage
Référence du fichier emails.php

Structures de données

class JGithubPackageUsersEmails

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier embed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
Structures de données | Espaces de nommage
Référence du fichier embed.php

Structures de données

class JGoogleEmbed

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Emboss.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier Emboss.php

Structures de données

class Emboss

Espaces de nommage

Joomla\Image\Filter


Joomla CMS: Référence du fichier emptynonzero.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • behavior
Structures de données | Espaces de nommage
Référence du fichier emptynonzero.php

Structures de données

class FOFModelBehaviorEmptynonzero

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier en-GB.localise.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • language
  • en-GB
Structures de données | Espaces de nommage
Référence du fichier administrator/language/en-GB/en-GB.localise.php

Structures de données

class En_GBLocalise

Espaces de nommage

Joomla\Language


Joomla CMS: Référence du fichier en-GB.localise.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • language
  • en-GB
Structures de données | Espaces de nommage
Référence du fichier language/en-GB/en-GB.localise.php

Structures de données

class En_GBLocalise

Espaces de nommage

Joomla\Language


Joomla CMS: Référence du fichier enabled.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • behavior
Structures de données | Espaces de nommage
Référence du fichier enabled.php

Structures de données

class FOFModelBehaviorEnabled

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier Enclosure.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Enclosure.php

Structures de données

class SimplePie_Enclosure

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier encyclopedia.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • contact
Espaces de nommage | Variables
Référence du fichier encyclopedia.php

Espaces de nommage

Joomla\Site

Variables

$cparams = JComponentHelper::getParams('com_media')
if($this->contact->name && $this->params->get('show_name')) | endif
if | ($this->contact->image) ( $this->contact->address)

Documentation des variables

◆ $cparams

$cparams = JComponentHelper::getParams('com_media')

◆ ($this->contact->image)

if ( $this->contact->image)($this->contact->address)

◆ endif

endif


Joomla CMS: Référence du fichier endtab.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
  • cms
  • html
  • bootstrap
Espaces de nommage
Référence du fichier endtab.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier endtabset.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
  • cms
  • html
  • bootstrap
Espaces de nommage
Référence du fichier endtabset.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier Entities.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Decode
  • HTML
Structures de données | Espaces de nommage
Référence du fichier Entities.php

Structures de données

class SimplePie_Decode_HTML_Entities

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier eos310.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • eos310
Structures de données | Espaces de nommage
Référence du fichier eos310.php

Structures de données

class PlgQuickiconEos310

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier EqualsRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier EqualsRule.php

Structures de données

class EqualsRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier error.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/error.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
endif
if ( $this->direction=='rtl')
$loop = $this->setError($this->_error->getPrevious())
endwhile

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $loop

$loop = $this->setError($this->_error->getPrevious())

Référencé par SimplePie_Enclosure\embed().

◆ endif

endif

◆ endwhile

endwhile

◆ if

if($this->direction=='rtl')


Joomla CMS: Référence du fichier error.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/error.php

Espaces de nommage

Joomla\Administrator

Variables

$params = JFactory::getApplication()->getTemplate(true)->params
$app = JFactory::getApplication()
$lang = JFactory::getLanguage()
$input = $app->input
$user = JFactory::getUser()
$frontEndUri = JUri::getInstance(JUri::root())
$mainPageUri = $frontEndUri->toString()
$option = $input->get('option', '')
$view = $input->get('view', '')
$layout = $input->get('layout', '')
$task = $input->get('task', '')
$itemid = $input->get('Itemid', 0, 'int')
$sitename = htmlspecialchars($app->get('sitename'), ENT_QUOTES, 'UTF-8')
$cpanel = ($option === 'com_cpanel')
$showSubmenu = false
$this | submenumodules = JModuleHelper::getModules('submenu')
foreach($this->submenumodules as $submenumodule) if($params->get('logoFile')) | else
$displayHeader = $params->get('displayHeader', '1')
$statusFixed = $params->get('statusFixed', '1')
$stickyToolbar = $params->get('stickyToolbar', '1')
endif
$file = '/administrator/language/' . $lang->getTag() . '/' . $lang->getTag() . '.css'
if($params->get('templateColor')) navbar inverse navbar | inner
if($params->get('templateColor')) navbar inverse navbar nav list active | a
if($params->get('templateColor')) navbar inverse navbar nav list active nav list active dropdown menu li dropdown menu active dropdown menu active navbar inverse nav li dropdown open dropdown | toggle
if($params->get('admin_menus') !='0') $this | menumodules = JModuleHelper::getModules('menu')
endforeach
if (! $statusFixed &&$this->getInstance() ->countModules( 'status'))
$this | statusmodules = JModuleHelper::getModules('status')
$loop = $this->setError($this->_error->getPrevious())
endwhile

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $cpanel

$cpanel = ($option === 'com_cpanel')

Référencé par FOFToolbar\getMyViews().

◆ $displayHeader

$displayHeader = $params->get('displayHeader', '1')

◆ $file

$file = '/administrator/language/' . $lang->getTag() . '/' . $lang->getTag() . '.css'

◆ $frontEndUri

$frontEndUri = JUri::getInstance(JUri::root())

◆ $input

$input = $app->input

◆ $itemid

$itemid = $input->get('Itemid', 0, 'int')

Référencé par ContentModelCategory\_buildContentOrderBy(), MenusHtmlMenus\association(), SiteApplication\authorise(), SiteRouter\createUri(), ModArchiveHelper\getList(), ModLanguagesHelper\getList(), UsersControllerUser\menulogout(), TagsModelTags\populateState(), ContentModelArchive\populateState(), ContentModelCategory\populateState(), TagsModelTag\populateState(), ContactModelCategory\populateState(), SiteRouter\processBuildRules(), UsersControllerUser\remind(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderJoomla\renderFormEdit(), et FOFRenderStrapper\renderFormEdit().

◆ $lang

$lang = JFactory::getLanguage()

◆ $layout

$layout = $input->get('layout', '')

◆ $loop

$loop = $this->setError($this->_error->getPrevious())

◆ $mainPageUri

$mainPageUri = $frontEndUri->toString()

◆ $option

$option = $input->get('option', '')

◆ $params

$params = JFactory::getApplication()->getTemplate(true)->params

◆ $showSubmenu

$showSubmenu = false

◆ $sitename

$sitename = htmlspecialchars($app->get('sitename'), ENT_QUOTES, 'UTF-8')

Référencé par ContactControllerContact\_sendEmail(), MessagesModelMessage\save(), FOFUtilsUpdate\sendNotificationEmail(), et FOFViewHtml\setPageTitle().

◆ $statusFixed

$statusFixed = $params->get('statusFixed', '1')

◆ $stickyToolbar

$stickyToolbar = $params->get('stickyToolbar', '1')

◆ $task

$task = $input->get('task', '')

◆ $user

$user = JFactory::getUser()

◆ $view

$view = $input->get('view', '')

◆ a

string Selects which version of OAuth to use:or a
Depuis
3.2.0

Référencé par modChrome_beezHide().

◆ else

foreach ( $this->submenumodules as $submenumodule) if ( $params->get( 'logoFile')) else
Valeur initiale :
{
$logo = $this->baseurl . '/templates/' . $this->template . '/images/logo.png'
$logo
$logo
Definition: templates/beez3/error.php:21

◆ endforeach

endforeach

◆ endif

endif

◆ endwhile

endwhile

◆ if

if(! $statusFixed && $this->getInstance() ->countModules('status'))

◆ inner

if ( $params->get( 'templateColor')) navbar inverse navbar inner

◆ menumodules

if ( $params->get( 'admin_menus') !='0') $this menumodules = JModuleHelper::getModules('menu')

◆ statusmodules

$this statusmodules = JModuleHelper::getModules('status')

◆ submenumodules

$this submenumodules = JModuleHelper::getModules('submenu')

◆ toggle

if ( $params->get( 'templateColor')) navbar inverse navbar nav list active nav list active dropdown menu li dropdown menu active dropdown menu active navbar inverse nav li dropdown open dropdown navbar inverse nav li dropdown active dropdown navbar inverse nav li dropdown open active dropdown toggle
Valeur initiale :
{
background: <?php echo $params->get('templateColor')
background
CodeMirror activeline background
Definition: plugins/editors/codemirror/layouts/editors/codemirror/styles.php:64
$params
$params
Definition: administrator/templates/isis/error.php:17

Référencé par JHtmlGrid\boolean().


Joomla CMS: Référence du fichier error.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • system
Espaces de nommage | Variables
Référence du fichier administrator/templates/system/error.php

Espaces de nommage

Joomla\Administrator

Variables

endif
$loop = $this->setError($this->_error->getPrevious())
endwhile

Documentation des variables

◆ $loop

$loop = $this->setError($this->_error->getPrevious())

◆ endif

endif

◆ endwhile

endwhile


Joomla CMS: Référence du fichier error.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • error
Structures de données | Espaces de nommage | Variables
Référence du fichier libraries/legacy/error/error.php

Structures de données

class JError

Espaces de nommage

Joomla\Legacy

Variables

const | JERROR_ILLEGAL_OPTIONS = 1
const | JERROR_CALLBACK_NOT_CALLABLE = 2
const | JERROR_ILLEGAL_MODE = 3

Documentation des variables

◆ JERROR_CALLBACK_NOT_CALLABLE

const JERROR_CALLBACK_NOT_CALLABLE = 2

Référencé par JError\setErrorHandling().

◆ JERROR_ILLEGAL_MODE

const JERROR_ILLEGAL_MODE = 3

Référencé par JError\setErrorHandling().

◆ JERROR_ILLEGAL_OPTIONS

const JERROR_ILLEGAL_OPTIONS = 1

Référencé par JError\setErrorHandling().


Joomla CMS: Référence du fichier error.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
Espaces de nommage | Variables
Référence du fichier templates/beez3/error.php

Espaces de nommage

Joomla\Site

Variables

$showRightColumn = 0
$showleft = 0
$showbottom = 0
$app = JFactory::getApplication()
$params = $app->getTemplate(true)->params
$logo = $params->get('logo')
$color = $params->get('templatecolor')
$navposition = $params->get('navposition')
$format = $app->input->getCmd('format', 'html')
$files = JHtml::_('stylesheet', 'general.css', array('relative' => true, 'returnPath' => true))
endif
foreach($files as $file) | endforeach
if($this->direction==='rtl') | if (file_exists(JPATH_SITE . '/templates/' . $this->template . '/css/' . $color . '_rtl.css'))
else __pad0__
$module = JModuleHelper::getModule('menu')
$loop = $this->setError($this->_error->getPrevious())
endwhile

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $color

$color = $params->get('templatecolor')

◆ $files

read JInputFiles $files = JHtml::_('stylesheet', 'general.css', array('relative' => true, 'returnPath' => true))

Référencé par FOFDatabaseInstaller\__construct(), FileStorage\_deleteFolder(), LanguageAdapter\_install(), JGithubPackageGists\buildFileData(), Installer\copyFiles(), JGithubPackageGists\create(), JArchiveZip\create(), Zip\create(), InstallationModelDatabase\createTables(), TemplatesModelTemplate\createTemplateOverride(), File\delete(), Folder\delete(), JoomlaInstallerScript\deleteUnexistingFiles(), InstallerHelper\detectType(), TemplatesViewTemplate\directoryTree(), PlgSystemDebug\displayLanguageFilesLoaded(), JGithubPackageGists\edit(), Installer\findDeletedFiles(), JoomlaInstallerScript\fixFilenameCasing(), TemplatesModelTemplate\fixTemplateName(), TemplatesViewTemplate\folderTree(), FileStorage\gc(), Installer\getAdapters(), CacheliteStorage\getAll(), FileStorage\getAll(), TemplatesModelTemplate\getArchive(), BannersModelTracks\getContent(), FOFConfigProvider\getDomains(), FOFPlatformFilesystem\getFiles(), FOFDownload\getFiles(), ModRandomImageHelper\getImages(), JFormFieldModulelayout\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldComponentlayout\getInput(), FilesystemHelper\getJStreams(), PlgSystemLogrotation\getLogFiles(), FOFToolbar\getMyViews(), InstallationFormFieldSample\getOptions(), JFormFieldFileList\getOptions(), FOFLayoutFile\getPath(), MenuHelper\getPresets(), AdminModelHelp\getToc(), HTMLHelper\includeRelativeFiles(), Adapter\loadAllAdapters(), PlgSystemLanguageFilter\parseRule(), Installer\parseSchemaUpdates(), FileAdapter\populateFilesAndFolderList(), LanguagesModelStrings\refresh(), Installer\removeFiles(), JoomlaupdateModelDefault\removePackageFiles(), Installer\setSchemaVersion(), FileAdapter\uninstall(), LibraryAdapter\uninstall(), et MediaControllerFile\upload().

◆ $format

$format = $app->input->getCmd('format', 'html')

◆ $logo

$logo = $params->get('logo')

◆ $loop

$loop = $this->setError($this->_error->getPrevious())

◆ $module

$module = JModuleHelper::getModule('menu')

Référencé par PlgContentLoadmodule\_load(), PlgContentLoadmodule\_loadmod(), ModuleHelper\cleanModuleList(), ModuleAdapter\discover(), MultilangstatusHelper\getDefaultHomeModule(), ModulesModelModule\getForm(), JFormFieldModulelayout\getInput(), ModuleHelper\getLayoutPath(), ModulesModelModules\getListQuery(), ModulesHelper\getModules(), MenusModelMenu\getModules(), TemplatesModelTemplate\getOverridesList(), ModQuickIconHelper\getTitle(), FOFUtilsInstallscript\installSubextensions(), ModuleHelper\isEnabled(), modChrome_beezDivision(), modChrome_beezHide(), modChrome_beezTabs(), modChrome_horz(), modChrome_html5(), modChrome_no(), modChrome_none(), modChrome_outline(), modChrome_rounded(), modChrome_sliders(), modChrome_table(), modChrome_tabs(), modChrome_title(), modChrome_well(), modChrome_xhtml(), modChrome_xhtmlid(), PlgSampledataBlog\onAjaxSampledataApplyStep3(), PlgContentLoadmodule\onContentPrepare(), ConfigModelModules\preprocessForm(), ModulesModelModule\preprocessForm(), ModuleRenderer\render(), ModuleHelper\renderModule(), FOFUtilsInstallscript\renderPostInstallation(), FOFUtilsInstallscript\renderPostUninstallation(), FOFUtilsInstallscript\uninstallObsoleteSubextensions(), et FOFUtilsInstallscript\uninstallSubextensions().

◆ $navposition

$navposition = $params->get('navposition')

◆ $params

$params = $app->getTemplate(true)->params

◆ $showbottom

$showbottom = 0

◆ $showleft

$showleft = 0

◆ $showRightColumn

$showRightColumn = 0

◆ __pad0__

else __pad0__

◆ endforeach

foreach ( $files as $file) endforeach

◆ endif

endif

◆ endwhile

endwhile

◆ if

if($logo) ( file_exists(JPATH_SITE . '/templates/' . $this->template . '/css/' . $color . '_rtl.css') )


Joomla CMS: Référence du fichier error.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
Espaces de nommage | Variables
Référence du fichier templates/protostar/error.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$params = $app->getTemplate(true)->params
$option = $app->input->getCmd('option', '')
$view = $app->input->getCmd('view', '')
$layout = $app->input->getCmd('layout', '')
$task = $app->input->getCmd('task', '')
$itemid = $app->input->getCmd('Itemid', '')
$format = $app->input->getCmd('format', 'html')
$sitename = htmlspecialchars($app->get('sitename'), ENT_QUOTES, 'UTF-8')
if($params->get('logoFile')) elseif($params->get('sitetitle')) | else
if($params->get('googleFont')) | h2
if($params->get('googleFont')) | h3
if($params->get('googleFont')) | h4
if($params->get('googleFont')) | h5
if($params->get('googleFont')) | h6
if($params->get('googleFont')) site | title
</style > | endif
if (file_exists( 'templates/' . $this->template . '/css/user.css'))
if($params->get('templateColor')) | a
$module = JModuleHelper::getModule('mod_search')
$loop = $this->setError($this->_error->getPrevious())
endwhile

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $format

$format = $app->input->getCmd('format', 'html')

◆ $itemid

$itemid = $app->input->getCmd('Itemid', '')

◆ $layout

$layout = $app->input->getCmd('layout', '')

◆ $loop

$loop = $this->setError($this->_error->getPrevious())

◆ $module

$module = JModuleHelper::getModule('mod_search')

◆ $option

$option = $app->input->getCmd('option', '')

◆ $params

$params = $app->getTemplate(true)->params

◆ $sitename

$sitename = htmlspecialchars($app->get('sitename'), ENT_QUOTES, 'UTF-8')

◆ $task

$task = $app->input->getCmd('task', '')

◆ $user

$user = JFactory::getUser()

◆ $view

$view = $app->input->getCmd('view', '')

◆ a

if ( $params->get( 'templateColor')) a
Valeur initiale :
{
color: <?php echo $params->get('templateColor')
color
JFactory::getDocument() -> addStyleDeclaration(<<< CSS #dragarea color
Definition: plugins/installer/packageinstaller/tmpl/default.php:219
$params
$params
Definition: templates/protostar/error.php:18

◆ else

if ( $params->get( 'logoFile')) elseif ( $params->get( 'sitetitle')) else
Valeur initiale :
{
$logo = '<span class="site-title" title="' . $sitename . '">' . $sitename . '</span>'
$logo
$logo
Definition: templates/beez3/error.php:21
$sitename
$sitename
Definition: templates/protostar/error.php:27

◆ endif

endif

◆ endwhile

endwhile

◆ h2

if ( $params->get( 'googleFont')) h2

◆ h3

if ( $params->get( 'googleFont')) h3

Référencé par modChrome_rounded().

◆ h4

if ( $params->get( 'googleFont')) h4

◆ h5

if ( $params->get( 'googleFont')) h5

◆ h6

if ( $params->get( 'googleFont')) h6

◆ if

if(file_exists('templates/' . $this->template . '/css/user.css'))

◆ title

if ( $params->get( 'googleFont')) site title
Valeur initiale :
{
font-family: '<?php echo str_replace('+', ' ', $params->get('googleFontName')); ?>', sans-serif
family
background box font family
Definition: plugins/editors/codemirror/layouts/editors/codemirror/styles.php:50

Référencé par SitePathway\__construct(), Separator\__construct(), Heading\__construct(), Url\__construct(), FeedLink\__construct(), Component\__construct(), SimplePie_Enclosure\__construct(), CacheViewPurge\addToolbar(), UsersViewMail\addToolbar(), ModulesViewSelect\addToolbar(), PluginsViewPlugin\addToolbar(), LanguagesViewLanguage\addToolbar(), ModulesViewModule\addToolbar(), MessagesViewMessage\addToolbar(), RedirectViewLink\addToolbar(), PluginsViewPlugins\addToolbar(), LanguagesViewLanguages\addToolbar(), MessagesViewMessages\addToolbar(), TagsViewTag\addToolbar(), TemplatesViewStyles\addToolbar(), CacheViewCache\addToolbar(), UsersViewGroup\addToolbar(), UsersViewLevel\addToolbar(), MediaViewMedia\addToolbar(), InstallerViewLanguages\addToolbar(), SearchViewSearches\addToolbar(), InstallerViewDefault\addToolbar(), MenusViewMenutypes\addToolbar(), MenusViewMenu\addToolbar(), BannersViewBanner\addToolbar(), TemplatesViewStyle\addToolbar(), UsersViewUser\addToolbar(), FieldsViewField\addToolbar(), BannersViewClients\addToolbar(), UsersViewGroups\addToolbar(), UsersViewLevels\addToolbar(), BannersViewTracks\addToolbar(), UsersViewNote\addToolbar(), LanguagesViewOverrides\addToolbar(), PrivacyViewCapabilities\addToolbar(), MenusViewMenus\addToolbar(), BannersViewClient\addToolbar(), TagsViewTags\addToolbar(), TemplatesViewTemplates\addToolbar(), ContactViewContact\addToolbar(), AdminViewProfile\addToolbar(), LanguagesViewInstalled\addToolbar(), ModulesViewModules\addToolbar(), NewsfeedsViewNewsfeed\addToolbar(), ConfigViewApplicationHtml\addToolbar(), CheckinViewCheckin\addToolbar(), BannersViewBanners\addToolbar(), UsersViewDebuguser\addToolbar(), UsersViewDebuggroup\addToolbar(), ConfigViewComponentHtml\addToolbar(), FieldsViewGroup\addToolbar(), AdminViewHelp\addToolbar(), ActionlogsViewActionlogs\addToolbar(), ContentViewArticle\addToolbar(), LanguagesViewOverride\addToolbar(), MenusViewItem\addToolbar(), UsersViewNotes\addToolbar(), FinderViewFilter\addToolbar(), PrivacyViewRequest\addToolbar(), FieldsViewGroups\addToolbar(), FinderViewFilters\addToolbar(), CategoriesViewCategory\addToolbar(), NewsfeedsViewNewsfeeds\addToolbar(), PrivacyViewConsents\addToolbar(), FieldsViewFields\addToolbar(), FinderViewMaps\addToolbar(), RedirectViewLinks\addToolbar(), UsersViewUsers\addToolbar(), AdminViewSysinfo\addToolbar(), ContentViewFeatured\addToolbar(), PrivacyViewDashboard\addToolbar(), PrivacyViewRequests\addToolbar(), ContactViewContacts\addToolbar(), FinderViewIndex\addToolbar(), CategoriesViewCategories\addToolbar(), ContentViewArticles\addToolbar(), AssociationsViewAssociation\addToolbar(), TemplatesViewTemplate\addToolbar(), AssociationsViewAssociations\addToolbar(), MenusViewItems\addToolbar(), Usergroup\check(), Language\check(), MenuType\check(), ViewLevel\check(), FOFTableNested\check(), TemplatesTableStyle\check(), FieldsTableGroup\check(), TagsTableTag\check(), FieldsTableField\check(), Menu\check(), Module\check(), Category\check(), Content\check(), JoomlaupdateViewUpdate\display(), JoomlaupdateViewUpload\display(), CpanelViewCpanel\display(), SimplePie_Enclosure\get_title(), LoginModelLogin\getLoginModule(), ModuleHelper\getModule(), HtmlDocument\mergeHeadData(), modChrome_beezHide(), Nested\moveByReference(), FOFToolbar\onAdd(), FOFToolbar\onBrowse(), FOFToolbar\onCpanelsBrowse(), FOFToolbar\onRead(), ModulesControllerModule\orderPosition(), FOFToolbar\renderToolbarElement(), HtmlDocument\resetHeadData(), HtmlDocument\setHeadData(), Document\setTitle(), et Menu\store().


Joomla CMS: Référence du fichier error.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • system
Espaces de nommage | Variables
Référence du fichier templates/system/error.php

Espaces de nommage

Joomla\Site

Variables

if(!isset($this->error)) $app = JFactory::getApplication()
if ( $this->direction==='rtl')
endif
$loop = $this->setError($this->_error->getPrevious())
endwhile

Documentation des variables

◆ $app

if (!isset( $this->error)) $app = JFactory::getApplication()

◆ $loop

$loop = $this->setError($this->_error->getPrevious())

◆ endif

endif

◆ endwhile

endwhile

◆ if

if($this->direction==='rtl')


Joomla CMS: Référence du fichier error_polyfill.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier error_polyfill.php


Joomla CMS: Référence du fichier ErrorDocument.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier ErrorDocument.php

Structures de données

class ErrorDocument

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier Escaper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
Structures de données | Espaces de nommage
Référence du fichier Escaper.php

Structures de données

class Escaper

Espaces de nommage

Symfony\Component\Yaml


Joomla CMS: Référence du fichier Event.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier Event.php

Structures de données

class Event

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier event.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • observable
Structures de données | Espaces de nommage
Référence du fichier fof/utils/observable/event.php

Structures de données

class FOFUtilsObservableEvent

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier event.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • event
Structures de données | Espaces de nommage
Référence du fichier joomla/event/event.php

Structures de données

class JEvent

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier event.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier joomla/facebook/event.php

Structures de données

class JFacebookEvent

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier EventImmutable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier EventImmutable.php

Structures de données

class EventImmutable

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier EventInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier EventInterface.php

Structures de données

interface EventInterface

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier events.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • activity
Structures de données | Espaces de nommage
Référence du fichier activity/events.php

Structures de données

class JGithubPackageActivityEvents

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier events.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • issues
Structures de données | Espaces de nommage
Référence du fichier issues/events.php

Structures de données

class JGithubPackageIssuesEvents

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Exception.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier simplepie/simplepie/library/SimplePie/Exception.php

Structures de données

class SimplePie_Exception

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier Exception.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
Structures de données | Espaces de nommage
Référence du fichier typo3/phar-stream-wrapper/src/Exception.php

Structures de données

class Exception

Espaces de nommage

TYPO3\PharStreamWrapper


Joomla CMS: Référence du fichier exception.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • database
Structures de données | Espaces de nommage
Référence du fichier database/exception.php

Structures de données

class JDatabaseException

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier exception.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • exception
Structures de données | Espaces de nommage
Référence du fichier exception/exception.php

Structures de données

class JException

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier ExceptionHandler.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Exception
Structures de données | Espaces de nommage
Référence du fichier ExceptionHandler.php

Structures de données

class ExceptionHandler

Espaces de nommage

Joomla\CMS\Exception


Joomla CMS: Référence du fichier ExceptionInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
  • Exception
Structures de données | Espaces de nommage
Référence du fichier ExceptionInterface.php

Structures de données

interface ExceptionInterface

Espaces de nommage

Symfony\Component\Yaml\Exception


Joomla CMS: Référence du fichier executing.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exception
Structures de données | Espaces de nommage
Référence du fichier executing.php

Structures de données

class JDatabaseExceptionExecuting

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier ExistsRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier ExistsRule.php

Structures de données

class ExistsRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier export.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier export.php

Structures de données

class PrivacyModelExport

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier exporter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
Structures de données | Espaces de nommage
Référence du fichier exporter.php

Structures de données

class JDatabaseExporter

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Extension.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Extension.php

Structures de données

class Extension

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier extension.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_actionlogs/models/fields/extension.php

Structures de données

class JFormFieldExtension

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier extension.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/models/extension.php

Structures de données

class InstallerModel

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier extension.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • update
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/utils/update/extension.php

Structures de données

class FOFUtilsUpdateExtension

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier ExtensionAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Updater
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier ExtensionAdapter.php

Structures de données

class ExtensionAdapter

Espaces de nommage

Joomla\CMS\Updater\Adapter


Joomla CMS: Référence du fichier ExtensionHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Extension
Structures de données | Espaces de nommage
Référence du fichier ExtensionHelper.php

Structures de données

class ExtensionHelper

Espaces de nommage

Joomla\CMS\Extension


Joomla CMS: Référence du fichier extensionstatus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier extensionstatus.php

Structures de données

class JFormFieldExtensionStatus

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier extensionupdate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • extensionupdate
Structures de données | Espaces de nommage
Référence du fichier extensionupdate.php

Structures de données

class PlgQuickiconExtensionupdate

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier extractable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • archive
Structures de données | Espaces de nommage
Référence du fichier extractable.php

Structures de données

interface JArchiveExtractable

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier ExtractableInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
Structures de données | Espaces de nommage
Référence du fichier ExtractableInterface.php

Structures de données

interface ExtractableInterface

Espaces de nommage

Joomla\Archive


Joomla CMS: Référence du fichier facebook.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier facebook.php

Structures de données

class JFacebook

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Factory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
Structures de données | Espaces de nommage
Référence du fichier src/Factory.php

Structures de données

class Factory

Espaces de nommage

Joomla\CMS


Joomla CMS: Référence du fichier Factory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/registry/src/Factory.php

Structures de données

class Factory

Espaces de nommage

Joomla\Registry


Joomla CMS: Référence du fichier factory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
Structures de données | Espaces de nommage
Référence du fichier fof/database/factory.php

Structures de données

class FOFDatabaseFactory

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier factory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
Structures de données | Espaces de nommage
Référence du fichier joomla/database/factory.php

Structures de données

class JDatabaseFactory

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier factory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • simplepie
Structures de données | Espaces de nommage
Référence du fichier legacy/simplepie/factory.php

Structures de données

class JSimplepieFactory

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier FactoryWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
  • Wrapper
Structures de données | Espaces de nommage
Référence du fichier FactoryWrapper.php

Structures de données

class FactoryWrapper

Espaces de nommage

Joomla\CMS\Http\Wrapper


Joomla CMS: Référence du fichier favorites.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier favorites.php

Structures de données

class JTwitterFavorites

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Fe.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Curve25519
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Curve25519/Fe.php

Structures de données

class Fe

Espaces de nommage

ParagonIE\Sodium\Core\Curve25519


Joomla CMS: Référence du fichier Fe.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Curve25519
Structures de données
Référence du fichier src/Core/Curve25519/Fe.php

Structures de données

class ParagonIE_Sodium_Core_Curve25519_Fe


Joomla CMS: Référence du fichier Fe.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Curve25519
Structures de données
Référence du fichier src/Core32/Curve25519/Fe.php

Structures de données

class ParagonIE_Sodium_Core32_Curve25519_Fe


Joomla CMS: Référence du fichier feature.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier feature.php

Structures de données

class ContentModelFeature

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier featured.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/controllers/featured.php

Structures de données

class ContentControllerFeatured

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier featured.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/models/featured.php

Structures de données

class ContentModelFeatured

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier featured.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/tables/featured.php

Structures de données

class ContentTableFeatured

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier featured.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/models/featured.php

Structures de données

class ContactModelFeatured

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier featured.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_content/models/featured.php

Structures de données

class ContentModelFeatured

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier Feed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
Structures de données | Espaces de nommage
Référence du fichier Feed.php

Structures de données

class Feed

Espaces de nommage

Joomla\CMS\Feed


Joomla CMS: Référence du fichier FeedDocument.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier FeedDocument.php

Structures de données

class FeedDocument

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier FeedEnclosure.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Feed
Structures de données | Espaces de nommage
Référence du fichier FeedEnclosure.php

Structures de données

class FeedEnclosure

Espaces de nommage

Joomla\CMS\Document\Feed


Joomla CMS: Référence du fichier FeedEntry.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
Structures de données | Espaces de nommage
Référence du fichier FeedEntry.php

Structures de données

class FeedEntry

Espaces de nommage

Joomla\CMS\Feed


Joomla CMS: Référence du fichier FeedFactory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
Structures de données | Espaces de nommage
Référence du fichier FeedFactory.php

Structures de données

class FeedFactory

Espaces de nommage

Joomla\CMS\Feed


Joomla CMS: Référence du fichier FeedImage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Feed
Structures de données | Espaces de nommage
Référence du fichier FeedImage.php

Structures de données

class FeedImage

Espaces de nommage

Joomla\CMS\Document\Feed


Joomla CMS: Référence du fichier FeedItem.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Feed
Structures de données | Espaces de nommage
Référence du fichier FeedItem.php

Structures de données

class FeedItem

Espaces de nommage

Joomla\CMS\Document\Feed


Joomla CMS: Référence du fichier FeedLink.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
Structures de données | Espaces de nommage
Référence du fichier FeedLink.php

Structures de données

class FeedLink

Espaces de nommage

Joomla\CMS\Feed


Joomla CMS: Référence du fichier FeedParser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
Structures de données | Espaces de nommage
Référence du fichier FeedParser.php

Structures de données

class FeedParser

Espaces de nommage

Joomla\CMS\Feed


Joomla CMS: Référence du fichier FeedPerson.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
Structures de données | Espaces de nommage
Référence du fichier FeedPerson.php

Structures de données

class FeedPerson

Espaces de nommage

Joomla\CMS\Feed


Joomla CMS: Référence du fichier field.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/controllers/field.php

Structures de données

class FieldsControllerField

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier field.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/models/field.php

Structures de données

class FieldsModelField

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier field.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/tables/field.php

Structures de données

class FieldsTableField

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier field.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
  • export
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/helpers/export/field.php

Structures de données

class PrivacyExportField

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier field.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field.php

Structures de données

interface FOFFormField

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier field.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/header/field.php

Structures de données

class FOFFormHeaderField

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier field.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/model/field.php

Structures de données

class FOFModelField

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier fieldcontexts.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier fieldcontexts.php

Structures de données

class JFormFieldFieldcontexts

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier fielddate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier fielddate.php

Structures de données

class FOFFormHeaderFielddate

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier fieldfilterable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier fieldfilterable.php

Structures de données

class FOFFormHeaderFieldfilterable

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier fieldgroups.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier fieldgroups.php

Structures de données

class JFormFieldFieldgroups

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier fieldlayout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier fieldlayout.php

Structures de données

class JFormFieldFieldlayout

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/controllers/fields.php

Structures de données

class FieldsControllerFields

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
Espaces de nommage | Variables
Référence du fichier administrator/components/com_fields/fields.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$context
$parts = FieldsHelper::extract($context)
if(! $parts||!JFactory::getUser() ->authorise('core.manage', $parts[0])) $controller = JControllerLegacy::getInstance('Fields')

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $context

$context
Valeur initiale :
= $app->getUserStateFromRequest(
'com_fields.groups.context',
'context',
$app->getUserStateFromRequest('com_fields.fields.context', 'context', 'com_content.article', 'CMD'),
'CMD'
)
$app
$app
Definition: administrator/components/com_fields/fields.php:13

Référencé par FormController\__construct(), LogEntry\__construct(), Stream\__construct(), MenusControllerItem\add(), FormController\add(), Log\add(), InstallationModelLanguages\addAssociations(), ActionlogsModelActionlog\addLog(), FieldsHelper\addSubmenu(), FinderIndexer\addTokensToDb(), AbstractLogger\alert(), FieldsModelField\batchMove(), MenusControllerItem\cancel(), LanguagesControllerOverride\cancel(), FormController\cancel(), BaseController\checkEditId(), AssociationsModelAssociations\clean(), FieldsModelGroup\cleanCache(), FieldsModelField\cleanCache(), FieldsModelField\cleanupValues(), Stream\copy(), PrivacyPlugin\createCustomFieldsDomain(), AbstractLogger\critical(), ParagonIE_Sodium_Compat\crypto_kdf_derive_from_key(), AbstractLogger\debug(), FinderModelMaps\delete(), FinderModelIndex\delete(), TemplatesModelStyle\delete(), ModulesModelModule\delete(), AdminModel\delete(), Stream\delete(), PlgSystemFields\display(), PlgContentVote\displayVotingData(), Parser\doParse(), FOFDownloadAdapterFopen\downloadAndReturn(), TemplatesModelStyle\duplicate(), LanguagesControllerOverride\edit(), FormController\edit(), AbstractLogger\emergency(), AbstractLogger\error(), ConfigControllerCanceladmin\execute(), Associations\getAssociations(), MenusAssociationsHelper\getAssociations(), ContentAssociationsHelper\getAssociations(), ContactAssociationsHelper\getAssociations(), NewsfeedsAssociationsHelper\getAssociations(), ModQuickIconHelper\getButtons(), UserHelper\getCryptedPassword(), FieldsHelper\getFields(), FieldsModelGroup\getForm(), FieldsModelField\getForm(), JFormFieldItemType\getGroups(), FieldsModelGroups\getListQuery(), FieldsModelFields\getListQuery(), ActionlogsHelper\getLogContentTypeParams(), FormController\getModel(), JFormFieldFieldgroups\getOptions(), JFormFieldExtension\getOptions(), Factory\getStream(), AssociationsHelper\getSupportedExtension(), BaseController\holdEditId(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverMysql\index(), FinderIndexerDriverSqlsrv\index(), AbstractLogger\info(), FieldsModelGroup\loadFormData(), DelegatingPsrLogger\log(), Stream\move(), AbstractLogger\notice(), PlgActionlogJoomla\onAfterCheckin(), FOFModel\onAfterDelete(), PlgActionlogJoomla\onAfterLogExport(), PlgActionlogJoomla\onAfterLogPurge(), PlgActionlogJoomla\onAfterPurge(), FOFModel\onBeforeDelete(), FinderIndexerAdapter\onBeforeIndex(), FinderIndexerAdapter\onBuildIndex(), PlgContentFinder\onContentAfterDelete(), PlgActionlogJoomla\onContentAfterDelete(), PlgSystemFields\onContentAfterDelete(), PlgContentVote\onContentAfterDisplay(), PlgSystemFields\onContentAfterDisplay(), PlgContentFinder\onContentAfterSave(), PlgContentJoomla\onContentAfterSave(), PlgActionlogJoomla\onContentAfterSave(), PlgSystemFields\onContentAfterSave(), PlgSystemFields\onContentAfterTitle(), PlgContentJoomla\onContentBeforeDelete(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgContentVote\onContentBeforeDisplay(), PlgSystemFields\onContentBeforeDisplay(), PlgContentFinder\onContentBeforeSave(), PlgFieldsSql\onContentBeforeSave(), PlgContentJoomla\onContentBeforeSave(), PlgContentFinder\onContentChangeState(), PlgActionlogJoomla\onContentChangeState(), PlgContentJoomla\onContentChangeState(), PlgSystemFields\onContentNormaliseRequestData(), PlgContentEmailcloak\onContentPrepare(), PlgContentFields\onContentPrepare(), PlgContentLoadmodule\onContentPrepare(), PlgContentContact\onContentPrepare(), PlgContentPagebreak\onContentPrepare(), PlgSystemFields\onContentPrepare(), PlgUserProfile\onContentPrepareData(), PlgSystemActionLogs\onContentPrepareData(), PlgSystemFields\onContentPrepareForm(), PlgFieldsList\onCustomFieldsPrepareField(), PlgButtonFields\onDisplay(), PlgActionlogJoomla\onExtensionAfterDelete(), PlgActionlogJoomla\onExtensionAfterInstall(), PlgActionlogJoomla\onExtensionAfterSave(), PlgActionlogJoomla\onExtensionAfterUninstall(), PlgActionlogJoomla\onExtensionAfterUpdate(), PlgFinderTags\onFinderAfterDelete(), PlgFinderContent\onFinderAfterDelete(), PlgFinderNewsfeeds\onFinderAfterDelete(), PlgFinderContacts\onFinderAfterDelete(), PlgFinderTags\onFinderAfterSave(), PlgFinderCategories\onFinderAfterSave(), PlgFinderContent\onFinderAfterSave(), PlgFinderContacts\onFinderAfterSave(), PlgFinderNewsfeeds\onFinderAfterSave(), PlgFinderTags\onFinderBeforeSave(), PlgFinderCategories\onFinderBeforeSave(), PlgFinderContent\onFinderBeforeSave(), PlgFinderNewsfeeds\onFinderBeforeSave(), PlgFinderContacts\onFinderBeforeSave(), PlgFinderTags\onFinderChangeState(), PlgFinderCategories\onFinderChangeState(), PlgFinderContent\onFinderChangeState(), PlgFinderContacts\onFinderChangeState(), PlgFinderNewsfeeds\onFinderChangeState(), PlgFinderCategories\onFinderDelete(), PlgQuickiconExtensionupdate\onGetIcons(), PlgQuickiconJoomlaupdate\onGetIcons(), PlgQuickiconPrivacyCheck\onGetIcons(), PlgActionlogJoomla\onJoomlaAfterUpdate(), PlgSystemFields\onPrepareFinderContent(), FinderIndexerAdapter\onStartIndex(), PlgActionlogJoomla\onUserAfterDelete(), PlgActionlogJoomla\onUserAfterDeleteGroup(), PlgActionlogJoomla\onUserAfterLogin(), PlgActionlogJoomla\onUserAfterRemind(), PlgActionlogJoomla\onUserAfterSave(), PlgActionlogJoomla\onUserAfterSaveGroup(), PlgActionlogJoomla\onUserLoginFailure(), PlgActionlogJoomla\onUserLogout(), Stream\open(), Parser\parseValue(), FieldsModelFields\populateState(), FieldsModelGroups\populateState(), FieldsModelGroup\populateState(), FieldsModelField\populateState(), JHtmlContent\prepare(), PlgContentFields\prepare(), ConfigModelForm\preprocessData(), FormModel\preprocessData(), InstallerModelManage\publish(), FinderModelMaps\publish(), FinderModelIndex\publish(), AdminModel\publish(), FOFModel\publish(), AssociationsModelAssociations\purge(), BaseController\releaseEditId(), JGithubPackageMarkdown\render(), FieldsHelper\render(), StreamTransport\request(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), MenusControllerMenu\save(), LanguagesControllerOverride\save(), ConfigModelComponent\save(), LanguagesModelLanguage\save(), TagsModelTag\save(), MenusControllerItem\save(), CategoriesModelCategory\save(), FormController\save(), ModulesModelModule\save(), AdminModel\save(), MenusModelItem\save(), ActionlogsModelActionlog\sendNotificationEmails(), Stream\setContextOptions(), ContentHistoryHelper\store(), Post\submit(), FinderIndexer\tokenizeToDb(), FinderIndexer\tokenizeToDbShort(), Stream\upload(), et AbstractLogger\warning().

◆ $controller

if (! $parts||!JFactory::getUser() ->authorise( 'core.manage', $parts[0])) $controller = JControllerLegacy::getInstance('Fields')

◆ $parts

$parts = FieldsHelper::extract($context)


Joomla CMS: Référence du fichier fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/helpers/fields.php

Structures de données

class FieldsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/models/fields.php

Structures de données

class FieldsModelFields

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_fields
Espaces de nommage | Variables
Référence du fichier components/com_fields/fields.php

Espaces de nommage

Joomla\Site

Variables

$input = JFactory::getApplication()->input
$context = JFactory::getApplication()->getUserStateFromRequest('com_fields.fields.context', 'context', 'com_content.article', 'CMD')
$parts = FieldsHelper::extract($context)
if($input->get('view')==='fields' && $input->get('layout')==='modal') $controller = JControllerLegacy::getInstance('Fields')

Documentation des variables

◆ $context

$context = JFactory::getApplication()->getUserStateFromRequest('com_fields.fields.context', 'context', 'com_content.article', 'CMD')

◆ $controller

if ( $input->get( 'view')==='fields' &&$input->get( 'layout')==='modal') $controller = JControllerLegacy::getInstance('Fields')

◆ $input

$input = JFactory::getApplication()->input

◆ $parts

$parts = FieldsHelper::extract($context)


Joomla CMS: Référence du fichier fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • fields
Structures de données | Espaces de nommage
Référence du fichier plugins/content/fields/fields.php

Structures de données

class PlgContentFields

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • fields
Structures de données | Espaces de nommage
Référence du fichier plugins/editors-xtd/fields/fields.php

Structures de données

class PlgButtonFields

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier fields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • fields
Structures de données | Espaces de nommage
Référence du fichier plugins/system/fields/fields.php

Structures de données

class PlgSystemFields

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier fieldsearchable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier fieldsearchable.php

Structures de données

class FOFFormHeaderFieldsearchable

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier fieldselectable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier fieldselectable.php

Structures de données

class FOFFormHeaderFieldselectable

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier fieldset.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$form = $displayData->getForm()
$name = $displayData->get('fieldset')
$fieldSet = $form->getFieldset($name)
if(empty($fieldSet)) | $ignoreFields = $displayData->get('ignore_fields') ? : array()
$extraFields = $displayData->get('extra_fields') ? : array()
if($displayData->get('show_options', 1)) | else
$html [] = '<div style="display:none;">'

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $extraFields

$extraFields = $displayData->get('extra_fields') ? : array()

Référencé par JFacebookObject\deleteConnection(), et JFacebookObject\getConnection().

◆ $fieldSet

$fieldSet = $form->getFieldset($name)

◆ $form

$form = $displayData->getForm()

◆ $html

foreach ( $fieldSet as $field) $html[] = '<div style="display:none;">'

◆ $ignoreFields

if (empty( $fieldSet)) $ignoreFields = $displayData->get('ignore_fields') ? : array()

◆ $name

$name = $displayData->get('fieldset')

◆ else

if ( $displayData->get( 'show_options', 1)) else
Valeur initiale :
{
$html = array()
$html
$html[]
Definition: administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php:59


Joomla CMS: Référence du fichier fieldset.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier layouts/joomla/edit/fieldset.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$form = $displayData->getForm()
$name = $displayData->get('fieldset')
$fieldSet = $form->getFieldset($name)
if(empty($fieldSet)) | $ignoreFields = $displayData->get('ignore_fields') ? : array()
$extraFields = $displayData->get('extra_fields') ? : array()
if(!empty($displayData->showOptions)|| $displayData->get('show_options', 1)) | else
$html [] = '<div style="display:none;">'

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $extraFields

$extraFields = $displayData->get('extra_fields') ? : array()

◆ $fieldSet

$fieldSet = $form->getFieldset($name)

◆ $form

$form = $displayData->getForm()

◆ $html

foreach ( $fieldSet as $field) $html[] = '<div style="display:none;">'

◆ $ignoreFields

if (empty( $fieldSet)) $ignoreFields = $displayData->get('ignore_fields') ? : array()

◆ $name

$name = $displayData->get('fieldset')

◆ else

if (!empty( $displayData->showOptions)||$displayData->get( 'show_options', 1)) else
Valeur initiale :
{
$html = array()
$html
$html[]
Definition: layouts/joomla/edit/fieldset.php:55


Joomla CMS: Référence du fichier fieldslistplugin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • libraries
Structures de données | Espaces de nommage
Référence du fichier fieldslistplugin.php

Structures de données

class FieldsListPlugin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier fieldsplugin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • libraries
Structures de données | Espaces de nommage
Référence du fichier fieldsplugin.php

Structures de données

class FieldsPlugin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier fieldsql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier fieldsql.php

Structures de données

class FOFFormHeaderFieldsql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier file.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • controllers
Structures de données | Espaces de nommage
Référence du fichier file.json.php

Structures de données

class MediaControllerFile

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier File.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
Structures de données | Espaces de nommage
Référence du fichier src/Filesystem/File.php

Structures de données

class File

Espaces de nommage

Joomla\CMS\Filesystem


Joomla CMS: Référence du fichier File.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/filesystem/src/File.php

Structures de données

class File

Espaces de nommage

Joomla\Filesystem


Joomla CMS: Référence du fichier File.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
Structures de données | Espaces de nommage
Référence du fichier vendor/paragonie/sodium_compat/namespaced/File.php

Structures de données

class File

Espaces de nommage

ParagonIE\Sodium


Joomla CMS: Référence du fichier File.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
Structures de données
Référence du fichier vendor/paragonie/sodium_compat/src/File.php

Structures de données

class ParagonIE_Sodium_File


Joomla CMS: Référence du fichier File.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Cache
Structures de données | Espaces de nommage
Référence du fichier vendor/simplepie/simplepie/library/SimplePie/Cache/File.php

Structures de données

class SimplePie_Cache_File

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier File.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier vendor/simplepie/simplepie/library/SimplePie/File.php

Structures de données

class SimplePie_File

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier file.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_media/controllers/file.php

Structures de données

class MediaControllerFile

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier file.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/file.php

Espaces de nommage

Joomla\Site

Variables

$maxSize = JHtml::_('number.bytes', JUtility::getMaxUploadSize())

Documentation des variables

◆ $maxSize

$maxSize = JHtml::_('number.bytes', JUtility::getMaxUploadSize())


Joomla CMS: Référence du fichier file.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • layout
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/layout/file.php

Structures de données

class FOFLayoutFile

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier file.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/file.php

Structures de données

class JFormFieldFile

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier FileAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier FileAdapter.php

Structures de données

class FileAdapter

Espaces de nommage

Joomla\CMS\Installer\Adapter


Joomla CMS: Référence du fichier FileLayout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Layout
Structures de données | Espaces de nommage
Référence du fichier FileLayout.php

Structures de données

class FileLayout

Espaces de nommage

Joomla\CMS\Layout


Joomla CMS: Référence du fichier filelist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier filelist.php

Structures de données

class JFormFieldFileList

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier FilePathRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier FilePathRule.php

Structures de données

class FilePathRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier Files.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Input
Structures de données | Espaces de nommage
Référence du fichier src/Input/Files.php

Structures de données

class Files

Espaces de nommage

Joomla\CMS\Input


Joomla CMS: Référence du fichier Files.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • input
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/input/src/Files.php

Structures de données

class Files

Espaces de nommage

Joomla\Input


Joomla CMS: Référence du fichier files.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • input
  • jinput
Structures de données | Espaces de nommage
Référence du fichier files.php

Structures de données

class JInputFiles

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier filescheck.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • filescheck
Structures de données | Espaces de nommage
Référence du fichier filescheck.php

Structures de données

class FOFUtilsFilescheck

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier FileStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier FileStorage.php

Structures de données

class FileStorage

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier filesystem.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • integration
  • joomla
  • filesystem
Structures de données | Espaces de nommage
Référence du fichier integration/joomla/filesystem/filesystem.php

Structures de données

class FOFIntegrationJoomlaFilesystem

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier filesystem.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • platform
  • filesystem
Structures de données | Espaces de nommage
Référence du fichier platform/filesystem/filesystem.php

Structures de données

class FOFPlatformFilesystem

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier FilesystemException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
  • Exception
Structures de données | Espaces de nommage
Référence du fichier FilesystemException.php

Structures de données

class FilesystemException

Espaces de nommage

Joomla\Filesystem\Exception


Joomla CMS: Référence du fichier FilesystemHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
Structures de données | Espaces de nommage
Référence du fichier FilesystemHelper.php

Structures de données

class FilesystemHelper

Espaces de nommage

Joomla\CMS\Filesystem


Joomla CMS: Référence du fichier FileWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
  • Wrapper
Structures de données | Espaces de nommage
Référence du fichier FileWrapper.php

Structures de données

class FileWrapper

Espaces de nommage

Joomla\CMS\Filesystem\Wrapper


Joomla CMS: Référence du fichier filter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/controllers/filter.php

Structures de données

class FinderControllerFilter

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier filter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/models/filter.php

Structures de données

class FinderModelFilter

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier filter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/tables/filter.php

Structures de données

class FinderTableFilter

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier filter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier components/com_finder/helpers/html/filter.php

Structures de données

class JHtmlFilter

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier filterdate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier filterdate.php

Structures de données

class FOFFormHeaderFilterdate

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier filterfilterable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier filterfilterable.php

Structures de données

class FOFFormHeaderFilterfilterable

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier filters.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • model
  • field
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/model/field/filters.php

Structures de données

class JFormFieldFilters

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier filters.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/controllers/filters.php

Structures de données

class FinderControllerFilters

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier filters.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/models/filters.php

Structures de données

class FinderModelFilters

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier filters.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
  • default
Espaces de nommage | Variables
Référence du fichier layouts/joomla/searchtools/default/filters.php

Espaces de nommage

Joomla\Site

Variables

$data = $displayData
$filters = $data['view']->filterForm->getGroup('filter')
$dataShowOn = " data-showon='" . json_encode(JFormHelper::parseShowOnConditions($field->showon, $field->formControl, $field->group)) . "'"
endif
endforeach

Documentation des variables

◆ $data

$data = $displayData

◆ $dataShowOn

$dataShowOn = " data-showon='" . json_encode(JFormHelper::parseShowOnConditions($field->showon, $field->formControl, $field->group)) . "'"

◆ $filters

$filters = $data['view']->filterForm->getGroup('filter')

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier filters.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • behavior
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/model/behavior/filters.php

Structures de données

class FOFModelBehaviorFilters

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier filtersearchable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier filtersearchable.php

Structures de données

class FOFFormHeaderFiltersearchable

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier filterselectable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier filterselectable.php

Structures de données

class FOFFormHeaderFilterselectable

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier filtersql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier filtersql.php

Structures de données

class FOFFormHeaderFiltersql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier finaliseconfirm.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • update
  • tmpl
Espaces de nommage | Variables
Référence du fichier finaliseconfirm.php

Espaces de nommage

Joomla\Administrator

Variables

$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()
endif

Documentation des variables

◆ $twofactormethods

$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()

◆ endif

endif


Joomla CMS: Référence du fichier finder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
Espaces de nommage | Variables
Référence du fichier administrator/components/com_finder/finder.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_finder')) $controller = JControllerLegacy::getInstance('Finder')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_finder')) $controller = JControllerLegacy::getInstance('Finder')


Joomla CMS: Référence du fichier finder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/finder.php

Structures de données

class FinderHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier finder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/html/finder.php

Structures de données

class JHtmlFinder

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier finder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
Espaces de nommage | Variables
Référence du fichier components/com_finder/finder.php

Espaces de nommage

Joomla\Site

Variables

$controller = JControllerLegacy::getInstance('Finder')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Finder')


Joomla CMS: Référence du fichier finder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • finder
Structures de données | Espaces de nommage
Référence du fichier plugins/content/finder/finder.php

Structures de données

class PlgContentFinder

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier finder_indexer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • cli
Structures de données | Espaces de nommage | Variables
Référence du fichier finder_indexer.php

Structures de données

class FinderCli

Espaces de nommage

Joomla\Cli

Variables

const | _JEXEC = 1
const | JPATH_COMPONENT_ADMINISTRATOR (!defined('_JDEFINES')) JPATH_ADMINISTRATOR . '/components/com_finder'
$config = new JConfig
const | JDEBUG $config->debug
$lang = JFactory::getLanguage()

Documentation des variables

◆ $config

$config = new JConfig

Référencé par FinderCli\index().

◆ $lang

$lang = JFactory::getLanguage()

◆ _JEXEC

const _JEXEC = 1

Smart Search CLI.

This is a command-line script to help with management of Smart Search.

Called with no arguments: php finder_indexer.php Performs an incremental update of the index using dynamic pausing.

IMPORTANT NOTE: since Joomla version 3.9.12 the default behavior of this script has changed. If called with no arguments, the --pause argument is silently applied, in order to avoid the possibility of stressing the server too much and making a site (or multiple sites, if on a shared environment) unresponsive. If a pause is unwanted, just apply --pause=0 to the command

Called with –purge php finder_indexer.php –purge Purges and rebuilds the index (search filters are preserved).

Called with –pause php finder_indexer.php --pause or –pause=x or php finder_indexer.php --pause=x where x = seconds. or –pause=division or php finder_indexer.php --pause=division The default divisor is 5. If another divisor is required, it can be set with –divisor=y, where y is the integer divisor

This will pause for x seconds between batches, in order to give the server some time to catch up if –pause is called without an assignment, it defaults to dynamic pausing using the division method with a divisor of 5 (eg. 1 second pause for every 5 seconds of batch processing time)

Called with –minproctime=x Will set the minimum processing time of batches for a pause to occur. Defaults to 1

◆ JDEBUG

const JDEBUG $config->debug

◆ JPATH_COMPONENT_ADMINISTRATOR

const JPATH_COMPONENT_ADMINISTRATOR(!defined( '_JDEFINES')) JPATH_ADMINISTRATOR . '/components/com_finder'

Référencé par FieldsController\__construct(), ModulesController\__construct(), ContactController\__construct(), MenusController\__construct(), ContentController\__construct(), BaseDatabaseModel\__construct(), JoomlaupdateModelDefault\cleanUp(), JoomlaupdateModelDefault\createRestorationFile(), MediaController\display(), SearchViewSearch\display(), JoomlaupdateModelDefault\downloadPackage(), ConfigModelForm\loadForm(), FinderCli\purge(), et ConfigModelCms\registerTablePaths().


Joomla CMS: Référence du fichier fof.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • autoloader
Structures de données | Espaces de nommage
Référence du fichier fof.php

Structures de données

class FOFAutoloaderFof

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier Folder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
Structures de données | Espaces de nommage
Référence du fichier src/Filesystem/Folder.php

Structures de données

class Folder

Espaces de nommage

Joomla\CMS\Filesystem


Joomla CMS: Référence du fichier Folder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/filesystem/src/Folder.php

Structures de données

class Folder

Espaces de nommage

Joomla\Filesystem


Joomla CMS: Référence du fichier folder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier com_installer/models/fields/folder.php

Structures de données

class JFormFieldFolder

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier folder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • controllers
Structures de données | Espaces de nommage
Référence du fichier com_media/controllers/folder.php

Structures de données

class MediaControllerFolder

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier folderinstaller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • folderinstaller
Structures de données | Espaces de nommage
Référence du fichier folderinstaller.php

Structures de données

class PlgInstallerFolderInstaller

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier folderlist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier folderlist.php

Structures de données

class JFormFieldFolderList

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier FolderWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
  • Wrapper
Structures de données | Espaces de nommage
Référence du fichier FolderWrapper.php

Structures de données

class FolderWrapper

Espaces de nommage

Joomla\CMS\Filesystem\Wrapper


Joomla CMS: Référence du fichier followers.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • users
Structures de données | Espaces de nommage
Référence du fichier followers.php

Structures de données

class JGithubPackageUsersFollowers

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier fonts.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • codemirror
Structures de données | Espaces de nommage
Référence du fichier fonts.php

Structures de données

class JFormFieldFonts

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • modal
Espaces de nommage
Référence du fichier footer.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier fopen.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • download
  • adapter
Structures de données | Espaces de nommage
Référence du fichier fopen.php

Structures de données

class FOFDownloadAdapterFopen

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier forks.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier forks.php

Structures de données

class JGithubForks

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier forks.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier package/repositories/forks.php

Structures de données

class JGithubPackageRepositoriesForks

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
Structures de données | Espaces de nommage
Référence du fichier Form.php

Structures de données

class Form

Espaces de nommage

Joomla\CMS\Form


Joomla CMS: Référence du fichier form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • model
Structures de données | Espaces de nommage
Référence du fichier components/com_config/model/form.php

Structures de données

class ConfigModelForm

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_content/models/form.php

Structures de données

class ContentModelForm

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/form.php

Structures de données

class JHtmlForm

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/form.php

Structures de données

class FOFForm

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • view
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/view/form.php

Structures de données

class FOFViewForm

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • totp
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/twofactorauth/totp/tmpl/form.php

Espaces de nommage

Joomla\Plugin

Variables

$js

Documentation des variables

◆ $js

$js
Valeur initiale :
= "
(function(document)
{
document.addEventListener('DOMContentLoaded', function()
{
var qr = qrcode(0, 'H');
qr.addData('" . $url . "');
qr.make();
document.getElementById('totp-qrcode').innerHTML = qr.createImgTag(4);
});
})(document);
"
$url
switch($preview) if($showPreview) $url
Definition: administrator/templates/isis/html/layouts/joomla/form/field/media.php:86


Joomla CMS: Référence du fichier form.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • yubikey
  • tmpl
Espaces de nommage
Référence du fichier plugins/twofactorauth/yubikey/tmpl/form.php

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier FormatInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
Structures de données | Espaces de nommage
Référence du fichier FormatInterface.php

Structures de données

interface FormatInterface

Espaces de nommage

Joomla\Registry


Joomla CMS: Référence du fichier FormattedtextLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
  • Logger
Structures de données | Espaces de nommage
Référence du fichier FormattedtextLogger.php

Structures de données

class FormattedtextLogger

Espaces de nommage

Joomla\CMS\Log\Logger


Joomla CMS: Référence du fichier formbehavior.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier formbehavior.php

Structures de données

class JHtmlFormbehavior

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier FormController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Controller
Structures de données | Espaces de nommage
Référence du fichier FormController.php

Structures de données

class FormController

Espaces de nommage

Joomla\CMS\MVC\Controller


Joomla CMS: Référence du fichier FormField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
Structures de données | Espaces de nommage
Référence du fichier FormField.php

Structures de données

class FormField

Espaces de nommage

Joomla\CMS\Form


Joomla CMS: Référence du fichier FormHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
Structures de données | Espaces de nommage
Référence du fichier FormHelper.php

Structures de données

class FormHelper

Espaces de nommage

Joomla\CMS\Form


Joomla CMS: Référence du fichier FormModel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Model
Structures de données | Espaces de nommage
Référence du fichier FormModel.php

Structures de données

class FormModel

Espaces de nommage

Joomla\CMS\MVC\Model


Joomla CMS: Référence du fichier FormRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
Structures de données | Espaces de nommage
Référence du fichier FormRule.php

Structures de données

class FormRule

Espaces de nommage

Joomla\CMS\Form


Joomla CMS: Référence du fichier FormWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
Structures de données | Espaces de nommage
Référence du fichier FormWrapper.php

Structures de données

class FormWrapper

Espaces de nommage

Joomla\CMS\Form


Joomla CMS: Référence du fichier fr-FR.localise.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • language
  • fr-FR
Structures de données | Espaces de nommage
Référence du fichier administrator/language/fr-FR/fr-FR.localise.php

Structures de données

class Fr_FRLocalise

Espaces de nommage

Joomla\Language


Joomla CMS: Référence du fichier fr-FR.localise.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • language
  • fr-FR
Structures de données | Espaces de nommage
Référence du fichier language/fr-FR/fr-FR.localise.php

Structures de données

class Fr_FRLocalise

Espaces de nommage

Joomla\Language


Joomla CMS: Référence du fichier fr.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • stemmer
Structures de données | Espaces de nommage
Référence du fichier fr.php

Structures de données

class FinderIndexerStemmerFr

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier framework.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • includes
Espaces de nommage | Variables
Référence du fichier administrator/includes/framework.php

Espaces de nommage

Joomla\Administrator

Variables

$version = new JVersion
$config = new JConfig
const | JDEBUG ($config->error_reporting) $config->debug
if(JDEBUG) if(property_exists($config, 'behind_loadbalancer') && $config->behind_loadbalancer==1) | else

Documentation des variables

◆ $config

$config = new JConfig

Référencé par InstallationControllerInstallEmail\__construct(), InstallationControllerInstallLanguages\__construct(), LanguagesModelLanguage\__construct(), InstallationControllerSetdefaultlanguage\__construct(), InstallerViewDefault\__construct(), InstallationApplicationWeb\__construct(), RedirectModelLinks\__construct(), UsersModelNotes\__construct(), LanguagesModelOverrides\__construct(), FinderModelFilters\__construct(), JSessionStorageRedis\__construct(), SearchModelSearches\__construct(), UsersModelGroup\__construct(), TagsModelTags\__construct(), UsersModelGroups\__construct(), ContenthistoryModelHistory\__construct(), FieldsController\__construct(), MenusModelItems\__construct(), BannersModelBanners\__construct(), LanguagesModelLanguages\__construct(), UsersModelLevels\__construct(), FinderModelMaps\__construct(), MessagesModelMessages\__construct(), ModulesModelPositions\__construct(), PrivacyModelRequests\__construct(), ContentControllerArticle\__construct(), ConfigControllerComponent\__construct(), PrivacyModelConsents\__construct(), MenusControllerItems\__construct(), ConfigControllerApplication\__construct(), ContactController\__construct(), MenusController\__construct(), ModulesController\__construct(), AssociationsModelAssociations\__construct(), NewsfeedsModelNewsfeeds\__construct(), InstallerModel\__construct(), FieldsModelFields\__construct(), TemplatesModelStyles\__construct(), TemplatesModelTemplates\__construct(), BannersModelClients\__construct(), InstallerModelUpdatesites\__construct(), ContactControllerContacts\__construct(), ContactModelContacts\__construct(), InstallerControllerManage\__construct(), InstallerModelManage\__construct(), MenusModelMenus\__construct(), UsersModelDebuggroup\__construct(), UsersModelDebugUser\__construct(), ContentControllerArticles\__construct(), ContentModelArticles\__construct(), PluginsModelPlugins\__construct(), ContentController\__construct(), ModulesModelModules\__construct(), ContentModelFeatured\__construct(), TemplatesControllerTemplate\__construct(), InstallerControllerUpdatesites\__construct(), InstallerModelDiscover\__construct(), InstallerModelUpdate\__construct(), ActionlogsModelActionlogs\__construct(), FOFViewRaw\__construct(), FOFViewHtml\__construct(), FOFViewJson\__construct(), JSessionStorageMemcache\__construct(), JSessionStorageMemcached\__construct(), UsersControllerUsers\__construct(), ActionlogsControllerActionlogs\__construct(), CategoriesController\__construct(), CategoriesModelCategories\__construct(), UsersModelRegistration\__construct(), UsersModelUsers\__construct(), FOFDatabaseInstaller\__construct(), InstallerModelLanguages\__construct(), UsersModelProfile\__construct(), BannersControllerBanners\__construct(), UsersModelUser\__construct(), CategoriesControllerCategory\__construct(), FieldsModelGroups\__construct(), AdministratorApplication\__construct(), FieldsControllerField\__construct(), BannersModelTracks\__construct(), CheckinModelCheckin\__construct(), PlgContentVote\__construct(), FinderModelIndex\__construct(), PlgSystemLogout\__construct(), FieldsControllerGroup\__construct(), TagsModelTag\__construct(), PluginsModelPlugin\__construct(), PlgSystemRedirect\__construct(), FOFViewCsv\__construct(), FOFTableNested\__construct(), CacheModelCache\__construct(), FormModel\__construct(), PlgSystemCache\__construct(), PlgUserProfile\__construct(), SearchModelSearch\__construct(), TemplatesModelStyle\__construct(), PlgActionlogJoomla\__construct(), BaseApplication\__construct(), CliApplication\__construct(), InstallationModelLanguages\__construct(), PlgSystemPrivacyconsent\__construct(), SiteApplication\__construct(), PlgUserTerms\__construct(), PlgSystemActionLogs\__construct(), AdminController\__construct(), NewsfeedsModelCategory\__construct(), ConfigModelCms\__construct(), ContactModelCategory\__construct(), CMSPlugin\__construct(), CategoriesModelCategory\__construct(), ContentModelCategory\__construct(), FieldsModelField\__construct(), LanguagesModelInstalled\__construct(), PlgQuickiconEos310\__construct(), ModulesModelModule\__construct(), FormController\__construct(), CacheStorage\__construct(), PlgSystemLanguageFilter\__construct(), ContactModelFeatured\__construct(), ListModel\__construct(), CMSApplication\__construct(), PlgSystemDebug\__construct(), JApplication\__construct(), DaemonApplication\__construct(), FOFUtilsUpdate\__construct(), FinderIndexerAdapter\__construct(), FOFToolbar\__construct(), HtmlView\__construct(), FOFView\__construct(), AdminModel\__construct(), FOFDispatcher\__construct(), WebApplication\__construct(), BaseDatabaseModel\__construct(), BaseController\__construct(), FOFController\__construct(), FOFModel\__construct(), JApplication\_createConfiguration(), FOFController\_createModel(), BaseDatabaseModel\_createTable(), FOFModel\_createTable(), FOFController\_createView(), InstallerModelInstall\_getPackageFromUpload(), InstallerModelInstall\_getPackageFromUrl(), Editor\_loadEditor(), UsersModelRegistration\activate(), FOFModel\addBehavior(), admin_postinstall_eaccelerator_action(), JHtmlAccess\assetgrouplist(), Uri\base(), behindproxy_postinstall_action(), JHtmlCategory\categories(), User\check(), JoomlaupdateModelDefault\cleanUp(), InstallerHelper\cleanupInstall(), BannersModelBanner\click(), FOFDatabaseDriverSqlsrv\connect(), NewsfeedsHelper\countItems(), ContactHelper\countItems(), ContentHelper\countItems(), BannersHelper\countItems(), ContentHelper\countRelations(), NewsfeedsHelper\countTagItems(), ContactHelper\countTagItems(), ContentHelper\countTagItems(), JGithubHooks\create(), JGithubPackageRepositoriesHooks\create(), Factory\createConfig(), LegacyFactory\createModel(), MVCFactory\createModel(), BaseController\createModel(), FOFController\createModel(), JoomlaupdateModelDefault\createRestorationFile(), LegacyFactory\createTable(), MVCFactory\createTable(), LegacyFactory\createView(), MVCFactory\createView(), BaseController\createView(), FOFController\createView(), FOFDispatcher\dispatch(), MediaViewMedia\display(), MediaViewImages\display(), JoomlaupdateModelDefault\download(), InstallationModelLanguages\downloadPackage(), FOFUtilsUpdate\downloadUpdate(), JGithubPackageRepositoriesHooks\edit(), JGithubHooks\edit(), CliApplication\fetchConfigurationData(), WebApplication\fetchConfigurationData(), ComponentHelper\filterText(), FOFToolbar\getAnInstance(), FOFDispatcher\getAnInstance(), FOFModel\getAnInstance(), FOFController\getAnInstance(), FOFFormFieldCalendar\getCalendar(), JApplication\getCfg(), FOFFormFieldActions\getConfig(), Factory\getConfig(), AdminModelSysInfo\getConfig(), RedisStorage\getConnection(), MemcachedStorage\getConnection(), MemcacheStorage\getConnection(), FinderIndexerHelper\getContentPath(), ClientHelper\getCredentials(), ConfigModelApplication\getData(), FOFModelField\getField(), FOFFormHeaderFielddate\getFilter(), JoomlaupdateModelDefault\getFTPOptions(), PlgEditorTinymce\getGlobalFilters(), JFormFieldCalendar\getInput(), BaseDatabaseModel\getInstance(), BaseController\getInstance(), Table\getInstance(), InstallerModelWarnings\getItems(), FOFDatabaseIterator\getIterator(), ModBannersHelper\getList(), BannersModelBanners\getListQuery(), PluginsControllerPlugins\getModel(), FinderControllerMaps\getModel(), FinderControllerFilters\getModel(), TagsControllerTags\getModel(), FinderControllerIndex\getModel(), PrivacyControllerRequests\getModel(), LanguagesControllerLanguages\getModel(), MessagesControllerMessages\getModel(), CategoriesControllerCategories\getModel(), NewsfeedsControllerNewsfeeds\getModel(), ContenthistoryControllerPreview\getModel(), FieldsControllerFields\getModel(), BannersControllerClients\getModel(), UsersControllerNotes\getModel(), BannersControllerTracks\getModel(), FieldsControllerGroups\getModel(), AssociationsControllerAssociations\getModel(), MenusControllerMenus\getModel(), ActionlogsControllerActionlogs\getModel(), UsersControllerUsers\getModel(), BannersControllerBanners\getModel(), ModulesControllerModules\getModel(), ContenthistoryControllerHistory\getModel(), ContentControllerFeatured\getModel(), ContactControllerContacts\getModel(), RedirectControllerLinks\getModel(), ContentControllerArticles\getModel(), TemplatesControllerTemplate\getModel(), ContentControllerArticle\getModel(), FormController\getModel(), BaseController\getModel(), FOFController\getModel(), FOFFormHeaderPublished\getOptions(), FOFFormHeaderModel\getOptions(), FOFFormFieldPublished\getOptions(), FOFFormFieldModel\getOptions(), UsersModelUser\getOtpConfig(), FOFFormFieldActions\getRepeatable(), FinderIndexer\getSignature(), ContentModelFeature\getTable(), UsersModelGroup\getTable(), RedirectModelLink\getTable(), UsersModelUser\getTable(), TagsModelTag\getTable(), MenusModelMenu\getTable(), BannersModelClient\getTable(), NewsfeedsModelNewsfeed\getTable(), MessagesModelMessage\getTable(), FinderModelFilter\getTable(), CategoriesModelCategory\getTable(), UsersModelLevel\getTable(), ContactModelContact\getTable(), BannersModelBanner\getTable(), PluginsModelPlugin\getTable(), ContenthistoryModelHistory\getTable(), BannersModelBanners\getTable(), FinderModelMaps\getTable(), ContentModelArticle\getTable(), FinderModelIndex\getTable(), TagsModelTags\getTable(), TemplatesModelStyle\getTable(), ModulesModelModule\getTable(), MenusModelItem\getTable(), FOFController\getThisModel(), FOFController\getThisView(), FOFDispatcher\getTmpInstance(), FOFController\getTmpInstance(), FOFModel\getTmpInstance(), AKFactory\getUnarchiver(), BaseController\getView(), FOFController\getView(), ClientHelper\hasCredentials(), BannersModelBanners\impress(), JApplication\initialise(), InstallerModelInstall\install(), InstallationModelLanguages\install(), InstallerModelUpdate\install(), JHtmlMenu\menuItemList(), JHtmlMenu\menuItems(), JHtmlTag\options(), JHtmlCategory\options(), FOFConfigProvider\parseComponent(), FOFRenderStrapper\preRender(), FOFRenderJoomla\preRender(), FOFRenderJoomla3\preRender(), FOFViewHtml\preRender(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetRequest(), AdministratorApplication\purgeMessages(), UsersModelRegistration\register(), ConfigModelCms\registerTablePaths(), ConfigModelApplication\removeroot(), FOFRenderStrapper\renderButtons(), FOFRenderJoomla\renderButtons(), FOFRenderAbstract\renderCategoryLinkbar(), FOFRenderJoomla3\renderLinkbar(), FOFRenderStrapper\renderLinkbar(), FOFRenderJoomla\renderLinkbar(), FOFRenderStrapper\renderLinkbar_classic(), FOFRenderStrapper\renderLinkbar_joomla(), CurlTransport\request(), StreamTransport\request(), ConfigModelApplication\save(), MessagesModelMessage\save(), Mail\sendMail(), JSessionHandlerJoomla\setCookieParams(), ClientHelper\setCredentials(), JHtmlTag\tags(), EmailRule\test(), JoomlaupdateModelDefault\upload(), et ConfigModelApplication\writeConfigFile().

◆ $version

$version = new JVersion

◆ else

if (JDEBUG) if (property_exists( $config, 'behind_loadbalancer') &&$config->behind_loadbalancer==1) else
Valeur initiale :
{
IpHelper::setAllowIpOverrides(false)

Correctly set the allowing of IP Overrides if behind a trusted proxy/load balancer.

We need to do this as high up the stack as we can, as the default in is to $allowIpOverride = true which is the wrong default for a generic site NOT behind a trusted proxy/load balancer.

◆ JDEBUG

const JDEBUG( $config->error_reporting) $config->debug

Référencé par InstallationApplicationWeb\__construct(), CMSApplication\__construct(), PlgSystemDebug\__construct(), BaseController\__construct(), BaseController\checkEditId(), JHtmlFormbehavior\chosen(), FinderViewSearch\display(), AdministratorApplication\doExecute(), SiteApplication\doExecute(), HeadRenderer\fetchHead(), JHtmlBehavior\framework(), JHtmlBootstrap\framework(), Access\getAssetRules(), Version\getMediaVersion(), JError\handleEcho(), BaseController\holdEditId(), FOFIntegrationJoomlaPlatform\isGlobalFOFCacheEnabled(), PlgEditorCodemirror\loadKeyMap(), PlgSystemDebug\onAfterDispatch(), PlgSystemCache\onAfterInitialise(), PlgSystemDebug\onAfterRespond(), PlgEditorCodemirror\onDisplay(), FOFTemplateUtils\parsePath(), Access\preloadComponents(), Access\preloadPermissions(), FinderIndexerQuery\processString(), BaseController\releaseEditId(), UsersControllerRemind\remind(), ExceptionHandler\render(), OpensearchDocument\render(), CMSApplication\render(), ModuleHelper\renderModule(), UsersControllerReset\request(), FinderControllerIndexer\sendResponse(), et JHtmlJquery\ui().


Joomla CMS: Référence du fichier framework.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • includes
Espaces de nommage | Variables
Référence du fichier includes/framework.php

Espaces de nommage

Joomla\Site

Variables

$version = new JVersion
$config = new JConfig
switch($config->error_reporting) if(!defined('JDEBUG')) if(JDEBUG) if(property_exists($config, 'behind_loadbalancer') && $config->behind_loadbalancer==1) else

Documentation des variables

◆ $config

$config = new JConfig

◆ $version

$version = new JVersion

◆ else

switch ( $config->error_reporting) if (!defined( 'JDEBUG')) if (JDEBUG) if (property_exists( $config, 'behind_loadbalancer') &&$config->behind_loadbalancer==1) else
Valeur initiale :
{
IpHelper::setAllowIpOverrides(false)

Correctly set the allowing of IP Overrides if behind a trusted proxy/load balancer.

We need to do this as high up the stack as we can, as the default in is to $allowIpOverride = true which is the wrong default for a generic site NOT behind a trusted proxy/load balancer.


Joomla CMS: Référence du fichier framework.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • application
Espaces de nommage | Variables
Référence du fichier installation/application/framework.php

Espaces de nommage

Joomla\Installation

Variables

const JDEBUG = false
if (file_exists(JPATH_CONFIGURATION . '/configuration.php') &&(filesize(JPATH_CONFIGURATION . '/configuration.php') > 10) &&!file_exists(JPATH_INSTALLATION . '/index.php'))

Documentation des variables

◆ if

if(file_exists(JPATH_CONFIGURATION . '/configuration.php') &&(filesize(JPATH_CONFIGURATION . '/configuration.php') > 10) &&!file_exists(JPATH_INSTALLATION . '/index.php'))

◆ JDEBUG

const JDEBUG = false


Joomla CMS: Référence du fichier friends.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier friends.php

Structures de données

class JTwitterFriends

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier frontediting_modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier frontediting_modules.php

Espaces de nommage

Joomla\Site

Variables

$moduleHtml = &$displayData['moduleHtml']
$mod = $displayData['module']
$position = $displayData['position']
$menusEditing = $displayData['menusediting']
$parameters = JComponentHelper::getParams('com_modules')
$redirectUri = '&return=' . urlencode(base64_encode(JUri::getInstance()->toString()))
$target = '_blank'
$itemid = JFactory::getApplication()->input->get('Itemid', '0', 'int')
if(preg_match('/<(?:div|span|nav|ul|ol|h\d) [^>] *class="[^"] *jmoddiv"/', $moduleHtml)) | $editUrl = JUri::base() . 'administrator/index.php?option=com_modules&task=module.edit&id=' . (int) $mod->id
if($parameters->get('redirect_edit', 'site')==='site') | $count = 0

Documentation des variables

◆ $count

if ( $parameters->get( 'redirect_edit', 'site')==='site') $count = 0

◆ $editUrl

if (preg_match('/<(?:div|span|nav|ul|ol|h\d) [^>] *class="[^"] *jmoddiv"/', $moduleHtml)) $editUrl = JUri::base() . 'administrator/index.php?option=com_modules&task=module.edit&id=' . (int) $mod->id

Référencé par MenusControllerItem\save().

◆ $itemid

$itemid = JFactory::getApplication()->input->get('Itemid', '0', 'int')

◆ $menusEditing

$menusEditing = $displayData['menusediting']

Référencé par ModulesRenderer\render().

◆ $mod

$mod = $displayData['module']

◆ $moduleHtml

$moduleHtml = &$displayData['moduleHtml']

Référencé par ModulesRenderer\render().

◆ $parameters

$parameters = JComponentHelper::getParams('com_modules')

Référencé par JOAuth1Client\_baseString(), JOAuth1Client\_createHeader(), JLinkedinGroups\_followUnfollow(), JOAuth1Client\_generateAccessToken(), JOAuth1Client\_generateRequestToken(), JLinkedinStream\_likeUnlike(), JLinkedinGroups\_likeUnlike(), JOAuth1Client\_signRequest(), JLinkedinGroups\addComment(), JLinkedinJobs\bookmark(), SimplePie_Registry\call(), JOpenstreetmapUser\changePreference(), JLinkedinGroups\changeSettings(), JOpenstreetmapChangesets\closeChangeset(), SimplePie_Registry\create(), JOpenstreetmapChangesets\createChangeset(), JFacebookObject\createConnection(), JOpenstreetmapElements\createNode(), JLinkedinGroups\createPost(), JOpenstreetmapElements\createRelation(), JOpenstreetmapElements\createWay(), JLinkedinJobs\deleteBookmark(), JLinkedinGroups\deleteComment(), JOpenstreetmapElements\deleteElement(), JLinkedinGroups\deletePost(), JLinkedinGroups\deleteSuggestion(), JOpenstreetmapChangesets\diffUploadChangeset(), JTwitterOAuth\endSession(), JOpenstreetmapChangesets\expandBBoxChangeset(), JTwitterObject\fetchUrl(), JLinkedinGroups\flagPost(), JLinkedinCompanies\follow(), JLinkedinJobs\getBookmarked(), JLinkedinGroups\getComment(), JLinkedinStream\getComments(), JLinkedinCompanies\getCompanies(), JLinkedinPeople\getConnections(), JLinkedinStream\getCurrentShare(), JOpenstreetmapUser\getDetails(), JLinkedinGroups\getDiscussions(), JLinkedinCompanies\getFollowed(), JLinkedinGroups\getGroup(), JLinkedinJobs\getJob(), JLinkedinStream\getLikes(), JLinkedinGroups\getMemberships(), JLinkedinStream\getNetworkStats(), JLinkedinStream\getNetworkUpdates(), JLinkedinGroups\getPost(), JLinkedinGroups\getPostComments(), JOpenstreetmapUser\getPreferences(), JLinkedinCompanies\getProducts(), JLinkedinPeople\getProfile(), JLinkedinGroups\getSettings(), JLinkedinStream\getShareStream(), JLinkedinJobs\getSuggested(), JLinkedinCompanies\getSuggested(), JLinkedinGroups\getSuggested(), JLinkedinCompanies\getUpdates(), JLinkedinGroups\getUserPosts(), JLinkedinCommunications\inviteByEmail(), JLinkedinCommunications\inviteById(), JLinkedinGroups\joinGroup(), JLinkedinGroups\leaveGroup(), JApplication\logout(), CMSApplication\logout(), FOFIntegrationJoomlaPlatform\logoutUser(), JOAuth1Client\oauthRequest(), JLinkedinStream\postComment(), JLinkedinStream\postNetworkUpdate(), JOpenstreetmapElements\redaction(), JOpenstreetmapUser\replacePreferences(), JLinkedinStream\reshare(), JLinkedinCompanies\search(), JLinkedinPeople\search(), JLinkedinJobs\search(), JLinkedinCommunications\sendMessage(), JTwitterObject\sendRequest(), JLinkedinStream\share(), JOAuth1Client\toUrl(), JLinkedinCompanies\unfollow(), JOpenstreetmapChangesets\updateChangeset(), JOpenstreetmapElements\updateElement(), JOpenstreetmapGps\uploadTrace(), JLinkedinOauth\verifyCredentials(), et JTwitterOAuth\verifyCredentials().

◆ $position

$position = $displayData['position']

Référencé par TagsHelperRoute\_findItem(), JArchiveGzip\_getFilePosition(), JArchiveTar\_getTarInfo(), Nested\_getTreeRepositionData(), PlgContentLoadmodule\_load(), ModulesModelModule\batchCopy(), ModulesModelModule\batchMove(), TagsRouter\build(), JGithubPackagePullsComments\create(), JGithubPackageRepositoriesComments\create(), JGithubPackagePulls\createComment(), JGithubCommits\createCommitComment(), PHPMailer\encodeHeader(), PHPMailer\encodeQ(), JArchiveGzip\extract(), Gzip\extract(), ModulesModelModule\generateNewTitle(), ConfigModelModules\getActivePositions(), FOFTemplateUtils\getAltPaths(), Gzip\getFilePosition(), ModulesModelPositions\getItems(), JFormFieldConsentBox\getLabel(), FormField\getLabel(), JFormFieldColor\getLayoutData(), ModulesModelModules\getListQuery(), ModuleHelper\getModules(), ModulesHelper\getPositions(), ConfigModelModules\getPositions(), JDatabaseDriverPgsql\getStringPositionSql(), FOFDatabaseDriverPostgresql\getStringPositionSql(), JDatabaseDriverPostgresql\getStringPositionSql(), Tar\getTarInfo(), ModulesHelper\getTranslatedModulePosition(), FOFUtilsInstallscript\installSubextensions(), AKAbstractUnarchiver\isEOF(), FOFTemplateUtils\loadPosition(), Nested\move(), Nested\moveByReference(), DataSet\next(), DataSet\offsetUnset(), PlgContentLoadmodule\onContentPrepare(), ModulesControllerModule\orderPosition(), JHtmlModules\positions(), JDatabaseQuerySqlsrv\processLimit(), SimplePie_Parse_Date\remove_rfc2822_comments(), ModulesRenderer\render(), SimplePie_IRI\replace_invalid_with_pct_encoding(), CMSApplication\route(), SimplePie_IRI\set_host(), Nested\setLocation(), SimplePie_Misc\space_seperated_tokens(), BufferStreamHandler\stream_tell(), SimplePie_IRI\to_uri(), et SimplePie_Misc\uncomment_rfc822().

◆ $redirectUri

$redirectUri = '&return=' . urlencode(base64_encode(JUri::getInstance()->toString()))

Référencé par CategoriesControllerCategories\checkin(), JGithubPackageAuthorization\getAuthorizationLink(), PlgSystemLanguageFilter\parseRule(), et JGithubPackageAuthorization\requestToken().

◆ $target

$target = '_blank'


Joomla CMS: Référence du fichier FrontendlanguageField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier FrontendlanguageField.php

Structures de données

class FrontendlanguageField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier ftp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier controller/ftp.php

Structures de données

class InstallationControllerFtp

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier ftp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • model
Structures de données | Espaces de nommage
Référence du fichier model/ftp.php

Structures de données

class InstallationModelFtp

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier FtpClient.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Client
Structures de données | Espaces de nommage
Référence du fichier src/Client/FtpClient.php

Structures de données

class FtpClient

Espaces de nommage

Joomla\CMS\Client


Joomla CMS: Référence du fichier FtpClient.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
  • Clients
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/filesystem/src/Clients/FtpClient.php

Structures de données

class FtpClient

Espaces de nommage

Joomla\Filesystem\Clients


Joomla CMS: Référence du fichier full_image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier full_image.php

Espaces de nommage

Joomla\Site

Variables

$params = $displayData->params
$images = json_decode($displayData->images)
endif

Documentation des variables

◆ $images

$images = json_decode($displayData->images)

◆ $params

$params = $displayData->params

◆ endif

endif


Joomla CMS: Référence du fichier garbagecron.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • cli
Structures de données | Espaces de nommage | Variables
Référence du fichier garbagecron.php

Structures de données

class GarbageCron

Espaces de nommage

Joomla\Cli

Variables

const | _JEXEC = 1
if(file_exists(dirname(__DIR__) . '/defines.php')) | if (!defined( '_JDEFINES'))

Documentation des variables

◆ _JEXEC

const _JEXEC = 1

A command line cron job to trash expired cache data.

◆ if

if (file_exists(dirname(__DIR__) . '/defines.php')) if(!defined('_JDEFINES'))


Joomla CMS: Référence du fichier gists.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier gists.php

Structures de données

class JGithubPackageGists

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier github.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier github.php

Structures de données

class JGithub

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier gitignore.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier gitignore.php

Structures de données

class JGithubPackageGitignore

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier global.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/edit/global.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$form = $displayData->getForm()
$input = $app->input
$component = $input->getCmd('option', 'com_content')
if($component==='com_categories') | $saveHistory = JComponentHelper::getParams($component)->get('save_history', 0)
$fields
$hiddenFields = $displayData->get('hidden_fields') ?: array()
if(! $saveHistory) | $html = array()
$html [] = '<fieldset class="panelform">'

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $component

$component = $input->getCmd('option', 'com_content')

◆ $fields

$fields
Valeur initiale :
= $displayData->get('fields') ?: array(
array('parent', 'parent_id'),
array('published', 'state', 'enabled'),
array('category', 'catid'),
'featured',
'sticky',
'access',
'language',
'tags',
'note',
'version_note',
)
$displayData
else $displayData['item']
Definition: layouts/joomla/content/icons.php:47

◆ $form

$form = $displayData->getForm()

◆ $hiddenFields

$hiddenFields = $displayData->get('hidden_fields') ?: array()

◆ $html [1/2]

if (! $saveHistory) $html = array()

◆ $html [2/2]

foreach ( $fields as $field) $html[] = '<fieldset class="panelform">'

◆ $input

$input = $app->input

◆ $saveHistory

if ( $component==='com_categories') $saveHistory = JComponentHelper::getParams($component)->get('save_history', 0)


Joomla CMS: Référence du fichier global.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier layouts/joomla/edit/global.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$form = $displayData->getForm()
$input = $app->input
$component = $input->getCmd('option', 'com_content')
if($component==='com_categories') | $saveHistory = JComponentHelper::getParams($component)->get('save_history', 0)
$fields
$hiddenFields = $displayData->get('hidden_fields') ?: array()
$hiddenFields [] = 'id'
if(! $saveHistory) | $html = array()
$html [] = '<fieldset class="form-vertical">'

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $component

$component = $input->getCmd('option', 'com_content')

◆ $fields

$fields
Valeur initiale :
= $displayData->get('fields') ?: array(
array('parent', 'parent_id'),
array('published', 'state', 'enabled'),
array('category', 'catid'),
'featured',
'sticky',
'access',
'id',
'language',
'tags',
'note',
'version_note',
)
$displayData
else $displayData['item']
Definition: layouts/joomla/content/icons.php:47

◆ $form

$form = $displayData->getForm()

◆ $hiddenFields [1/2]

$hiddenFields = $displayData->get('hidden_fields') ?: array()

◆ $hiddenFields [2/2]

$hiddenFields[] = 'id'

◆ $html [1/2]

if (! $saveHistory) $html = array()

◆ $html [2/2]

foreach ( $fields as $field) $html[] = '<fieldset class="form-vertical">'

◆ $input

$input = $app->input

◆ $saveHistory

if ( $component==='com_categories') $saveHistory = JComponentHelper::getParams($component)->get('save_history', 0)


Joomla CMS: Référence du fichier gmail.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • authentication
  • gmail
Structures de données | Espaces de nommage
Référence du fichier gmail.php

Structures de données

class PlgAuthenticationGMail

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier google.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
Structures de données | Espaces de nommage
Référence du fichier google.php

Structures de données

class JGoogle

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier gps.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • openstreetmap
Structures de données | Espaces de nommage
Référence du fichier gps.php

Structures de données

class JOpenstreetmapGps

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Grayscale.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier Grayscale.php

Structures de données

class Grayscale

Espaces de nommage

Joomla\Image\Filter


Joomla CMS: Référence du fichier grid.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier cms/html/grid.php

Structures de données

class JHtmlGrid

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier grid.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • grid
Structures de données | Espaces de nommage
Référence du fichier joomla/grid/grid.php

Structures de données

class JGrid

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier group.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/controllers/group.php

Structures de données

class FieldsControllerGroup

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier group.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/models/group.php

Structures de données

class FieldsModelGroup

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier group.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/tables/group.php

Structures de données

class FieldsTableGroup

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier group.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/controllers/group.php

Structures de données

class UsersControllerGroup

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier group.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/models/group.php

Structures de données

class UsersModelGroup

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier group.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/facebook/group.php

Structures de données

class JFacebookGroup

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier groupclose.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • links
Espaces de nommage
Référence du fichier groupclose.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier groupedbutton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier groupedbutton.php

Structures de données

class FOFFormFieldGroupedbutton

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier groupedlist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/groupedlist.php

Structures de données

class FOFFormFieldGroupedlist

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier groupedlist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/groupedlist.php

Structures de données

class JFormFieldGroupedList

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier groupopen.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • links
Espaces de nommage
Référence du fichier groupopen.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier groupparent.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier groupparent.php

Structures de données

class JFormFieldGroupParent

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier groups.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/controllers/groups.php

Structures de données

class FieldsControllerGroups

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier groups.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/models/groups.php

Structures de données

class FieldsModelGroups

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier groups.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/controllers/groups.php

Structures de données

class UsersControllerGroups

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier groups.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/models/groups.php

Structures de données

class UsersModelGroups

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier groups.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/linkedin/groups.php

Structures de données

class JLinkedinGroups

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier groupsclose.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • links
Espaces de nommage
Référence du fichier groupsclose.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier groupseparator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • links
Espaces de nommage
Référence du fichier groupseparator.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier groupsopen.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • links
Espaces de nommage
Référence du fichier groupsopen.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier gzdecode.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier gzdecode.php

Structures de données

class SimplePie_gzdecode

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier Gzip.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
Structures de données | Espaces de nommage
Référence du fichier Gzip.php

Structures de données

class Gzip

Espaces de nommage

Joomla\Archive


Joomla CMS: Référence du fichier gzip.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • archive
Structures de données | Espaces de nommage
Référence du fichier gzip.php

Structures de données

class JArchiveGzip

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier H.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Curve25519
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Curve25519/H.php

Structures de données

class H

Espaces de nommage

ParagonIE\Sodium\Core\Curve25519


Joomla CMS: Référence du fichier H.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Curve25519
Structures de données
Référence du fichier src/Core/Curve25519/H.php

Structures de données

class ParagonIE_Sodium_Core_Curve25519_H


Joomla CMS: Référence du fichier H.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Curve25519
Structures de données
Référence du fichier src/Core32/Curve25519/H.php

Structures de données

class ParagonIE_Sodium_Core32_Curve25519_H


Joomla CMS: Référence du fichier hathormessage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier hathormessage.php

Espaces de nommage

Joomla\Administrator

Fonctions

hathormessage_postinstall_condition ()
hathormessage_postinstall_action ()

Documentation des fonctions

◆ hathormessage_postinstall_action()

hathormessage_postinstall_action ( )

Set the default backend template back to isis if you are allowed to do this This also sets the current user setting to isis if not done yet

Renvoie
void
Depuis
3.7

Références $db, $query, $template, $user, JPATH_ADMINISTRATOR, et null.

◆ hathormessage_postinstall_condition()

hathormessage_postinstall_condition ( )

Checks if hathor is the default backend template or currently used as default style. If yes we want to show a message and action button.

Renvoie
boolean
Depuis
3.7

Références $db, $query, $template, et $user.


Joomla CMS: Référence du fichier HChaCha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/HChaCha20.php

Structures de données

class HChaCha20

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier HChaCha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/HChaCha20.php

Structures de données

class ParagonIE_Sodium_Core_HChaCha20


Joomla CMS: Référence du fichier HChaCha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/HChaCha20.php

Structures de données

class ParagonIE_Sodium_Core32_HChaCha20


Joomla CMS: Référence du fichier header.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • modal
Espaces de nommage | Variables
Référence du fichier layouts/joomla/modal/header.php

Espaces de nommage

Joomla\Site

Variables

endif

Documentation des variables

◆ endif

if (isset( $params[ 'title'])) endif


Joomla CMS: Référence du fichier header.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/header.php

Structures de données

class FOFFormHeader

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier HeadertagField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier HeadertagField.php

Structures de données

class HeadertagField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier Heading.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
  • Node
Structures de données | Espaces de nommage
Référence du fichier Heading.php

Structures de données

class Heading

Espaces de nommage

Joomla\CMS\Menu\Node


Joomla CMS: Référence du fichier HeadRenderer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
  • Html
Structures de données | Espaces de nommage
Référence du fichier HeadRenderer.php

Structures de données

class HeadRenderer

Espaces de nommage

Joomla\CMS\Document\Renderer\Html


Joomla CMS: Référence du fichier Help.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Help
Structures de données | Espaces de nommage
Référence du fichier Help.php

Structures de données

class Help

Espaces de nommage

Joomla\CMS\Help


Joomla CMS: Référence du fichier help.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_admin/models/help.php

Structures de données

class AdminModelHelp

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier help.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/help.php

Espaces de nommage

Joomla\Administrator

Variables

$doTask = $displayData['doTask']
$text = $displayData['text']

Documentation des variables

◆ $doTask

$doTask = $displayData['doTask']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier help.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier layouts/joomla/toolbar/help.php

Espaces de nommage

Joomla\Site

Variables

$doTask = $displayData['doTask']
$text = $displayData['text']

Documentation des variables

◆ $doTask

$doTask = $displayData['doTask']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier help.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/twitter/help.php

Structures de données

class JTwitterHelp

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier HelpButton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
  • Button
Structures de données | Espaces de nommage
Référence du fichier HelpButton.php

Structures de données

class HelpButton

Espaces de nommage

Joomla\CMS\Toolbar\Button


Joomla CMS: Référence du fichier Helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
Structures de données | Espaces de nommage
Référence du fichier joomla/filesystem/src/Helper.php

Structures de données

class Helper

Espaces de nommage

Joomla\Filesystem


Joomla CMS: Référence du fichier Helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
Structures de données | Espaces de nommage
Référence du fichier typo3/phar-stream-wrapper/src/Helper.php

Structures de données

class Helper

Espaces de nommage

TYPO3\PharStreamWrapper


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/indexer/helper.php

Structures de données

class FinderIndexerHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/helpers/html/helper.php

Structures de données

class PrivacyHtmlHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • includes
Structures de données | Espaces de nommage
Référence du fichier administrator/includes/helper.php

Structures de données

class JAdministratorHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_feed
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_feed/helper.php

Structures de données

class ModFeedHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latest
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_latest/helper.php

Structures de données

class ModLatestHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latestactions
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_latestactions/helper.php

Structures de données

class ModLatestActionsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_logged
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_logged/helper.php

Structures de données

class ModLoggedHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_login
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_login/helper.php

Structures de données

class ModLoginHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_menu
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_menu/helper.php

Structures de données

class ModMenuHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_popular
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_popular/helper.php

Structures de données

class ModPopularHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_privacy_dashboard
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_privacy_dashboard/helper.php

Structures de données

class ModPrivacyDashboardHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_quickicon
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_quickicon/helper.php

Structures de données

class ModQuickIconHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_sampledata
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_sampledata/helper.php

Structures de données

class ModSampledataHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_stats_admin
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_stats_admin/helper.php

Structures de données

class ModStatsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_version
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_version/helper.php

Structures de données

class ModVersionHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/helper.php

Structures de données

class ConfigControllerHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • html
Structures de données | Espaces de nommage
Référence du fichier installation/html/helper.php

Structures de données

class InstallationHtmlHelper

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/helper.php

Structures de données

class FOFFormHelper

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • layout
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/layout/helper.php

Structures de données

class FOFLayoutHelper

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • config
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/utils/config/helper.php

Structures de données

class FOFUtilsConfigHelper

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_archive
Structures de données | Espaces de nommage
Référence du fichier modules/mod_articles_archive/helper.php

Structures de données

class ModArchiveHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_categories
Structures de données | Espaces de nommage
Référence du fichier modules/mod_articles_categories/helper.php

Structures de données

class ModArticlesCategoriesHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_category
Structures de données | Espaces de nommage | Variables
Référence du fichier modules/mod_articles_category/helper.php

Structures de données

class ModArticlesCategoryHelper

Espaces de nommage

Joomla\Site

Variables

$com_path = JPATH_SITE . '/components/com_content/'

Documentation des variables

◆ $com_path

$com_path = JPATH_SITE . '/components/com_content/'


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_latest
Structures de données | Espaces de nommage
Référence du fichier modules/mod_articles_latest/helper.php

Structures de données

class ModArticlesLatestHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_news
Structures de données | Espaces de nommage
Référence du fichier modules/mod_articles_news/helper.php

Structures de données

class ModArticlesNewsHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_popular
Structures de données | Espaces de nommage
Référence du fichier modules/mod_articles_popular/helper.php

Structures de données

class ModArticlesPopularHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_banners
Structures de données | Espaces de nommage
Référence du fichier modules/mod_banners/helper.php

Structures de données

class ModBannersHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_breadcrumbs
Structures de données | Espaces de nommage
Référence du fichier modules/mod_breadcrumbs/helper.php

Structures de données

class ModBreadCrumbsHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_feed
Structures de données | Espaces de nommage
Référence du fichier modules/mod_feed/helper.php

Structures de données

class ModFeedHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_finder
Structures de données | Espaces de nommage
Référence du fichier modules/mod_finder/helper.php

Structures de données

class ModFinderHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_languages
Structures de données | Espaces de nommage
Référence du fichier modules/mod_languages/helper.php

Structures de données

class ModLanguagesHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_login
Structures de données | Espaces de nommage
Référence du fichier modules/mod_login/helper.php

Structures de données

class ModLoginHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_menu
Structures de données | Espaces de nommage
Référence du fichier modules/mod_menu/helper.php

Structures de données

class ModMenuHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_random_image
Structures de données | Espaces de nommage
Référence du fichier modules/mod_random_image/helper.php

Structures de données

class ModRandomImageHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_related_items
Structures de données | Espaces de nommage
Référence du fichier modules/mod_related_items/helper.php

Structures de données

class ModRelatedItemsHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_search
Structures de données | Espaces de nommage
Référence du fichier modules/mod_search/helper.php

Structures de données

class ModSearchHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_stats
Structures de données | Espaces de nommage
Référence du fichier modules/mod_stats/helper.php

Structures de données

class ModStatsHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_syndicate
Structures de données | Espaces de nommage
Référence du fichier modules/mod_syndicate/helper.php

Structures de données

class ModSyndicateHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_popular
Structures de données | Espaces de nommage
Référence du fichier modules/mod_tags_popular/helper.php

Structures de données

class ModTagsPopularHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_similar
Structures de données | Espaces de nommage
Référence du fichier modules/mod_tags_similar/helper.php

Structures de données

class ModTagssimilarHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_users_latest
Structures de données | Espaces de nommage
Référence du fichier modules/mod_users_latest/helper.php

Structures de données

class ModUsersLatestHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_whosonline
Structures de données | Espaces de nommage
Référence du fichier modules/mod_whosonline/helper.php

Structures de données

class ModWhosonlineHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier helper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_wrapper
Structures de données | Espaces de nommage
Référence du fichier modules/mod_wrapper/helper.php

Structures de données

class ModWrapperHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier HelpsiteField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier HelpsiteField.php

Structures de données

class HelpsiteField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier hidden.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/hidden.php

Espaces de nommage

Joomla\Site

Variables

$class = !empty($class) ? ' class="' . $class . '"' : ''
$disabled = $disabled ? ' disabled' : ''
$onchange = $onchange ? ' onchange="' . $onchange . '"' : ''

Documentation des variables

◆ $class

$class = !empty($class) ? ' class="' . $class . '"' : ''

◆ $disabled

$disabled = $disabled ? ' disabled' : ''

◆ $onchange

$onchange = $onchange ? ' onchange="' . $onchange . '"' : ''


Joomla CMS: Référence du fichier hidden.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/hidden.php

Structures de données

class FOFFormFieldHidden

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier hidden.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/hidden.php

Structures de données

class JFormFieldHidden

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier highlight.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • highlight
Structures de données | Espaces de nommage
Référence du fichier highlight.php

Structures de données

class PlgSystemHighlight

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier history.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/history.php

Structures de données

class ContenthistoryControllerHistory

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier history.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • models
Structures de données | Espaces de nommage
Référence du fichier models/history.php

Structures de données

class ContenthistoryModelHistory

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier hits.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Espaces de nommage
Référence du fichier hits.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier hooks.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier hooks.php

Structures de données

class JGithubHooks

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier hooks.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier package/repositories/hooks.php

Structures de données

class JGithubPackageRepositoriesHooks

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier horizontal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_news
  • tmpl
Espaces de nommage | Variables
Référence du fichier horizontal.php

Espaces de nommage

Joomla\Site

Variables

for ( $i=0, $n=count( $list);$i< $n;$i++)
if($n > 1 &&(($i< $n - 1)|| $params->get('showLastSeparator'))) endfor

Documentation des variables

◆ endfor

if ( $n > 1 &&(( $i< $n - 1)||$params->get( 'showLastSeparator'))) endfor

◆ for

for($i=0, $n=count($list); $i< $n; $i++)


Joomla CMS: Référence du fichier HSalsa20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/HSalsa20.php

Structures de données

class HSalsa20

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier HSalsa20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/HSalsa20.php

Structures de données

class ParagonIE_Sodium_Core_HSalsa20


Joomla CMS: Référence du fichier HSalsa20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/HSalsa20.php

Structures de données

class ParagonIE_Sodium_Core32_HSalsa20


Joomla CMS: Référence du fichier htaccess.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier htaccess.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_htaccess_condition ()

Documentation des fonctions

◆ admin_postinstall_htaccess_condition()

admin_postinstall_htaccess_condition ( )

Notifies users of a change in the default .htaccess or web.config file

This check returns true regardless of condition.

Renvoie
boolean
Depuis
3.4


Joomla CMS: Référence du fichier htaccesssvg.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier htaccesssvg.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_htaccesssvg_condition ()

Documentation des fonctions

◆ admin_postinstall_htaccesssvg_condition()

admin_postinstall_htaccesssvg_condition ( )

Notifies users of a change in the default .htaccess file regarding hardening against XSS in SVG's

This check returns true regardless of condition.

Renvoie
boolean
Depuis
3.9.21


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/view/application/html.php

Structures de données

class ConfigViewApplicationHtml

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • component
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/view/component/html.php

Structures de données

class ConfigViewComponentHtml

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • parser
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/indexer/parser/html.php

Structures de données

class FinderIndexerParserHtml

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • cms
Structures de données | Espaces de nommage
Référence du fichier components/com_config/view/cms/html.php

Structures de données

class ConfigViewCmsHtml

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • config
Structures de données | Espaces de nommage
Référence du fichier components/com_config/view/config/html.php

Structures de données

class ConfigViewConfigHtml

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • modules
Structures de données | Espaces de nommage
Référence du fichier components/com_config/view/modules/html.php

Structures de données

class ConfigViewModulesHtml

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • templates
Structures de données | Espaces de nommage
Référence du fichier components/com_config/view/templates/html.php

Structures de données

class ConfigViewTemplatesHtml

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • complete
Structures de données | Espaces de nommage
Référence du fichier installation/view/complete/html.php

Structures de données

class InstallationViewCompleteHtml

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • defaultlanguage
Structures de données | Espaces de nommage
Référence du fichier installation/view/defaultlanguage/html.php

Structures de données

class InstallationViewDefaultlanguageHtml

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • install
Structures de données | Espaces de nommage
Référence du fichier installation/view/install/html.php

Structures de données

class InstallationViewInstallHtml

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • languages
Structures de données | Espaces de nommage
Référence du fichier installation/view/languages/html.php

Structures de données

class InstallationViewLanguagesHtml

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • preinstall
Structures de données | Espaces de nommage
Référence du fichier installation/view/preinstall/html.php

Structures de données

class InstallationViewPreinstallHtml

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • remove
Structures de données | Espaces de nommage
Référence du fichier installation/view/remove/html.php

Structures de données

class InstallationViewRemoveHtml

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • summary
Structures de données | Espaces de nommage
Référence du fichier installation/view/summary/html.php

Structures de données

class InstallationViewSummaryHtml

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • view
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/view/html.php

Structures de données

class FOFViewHtml

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • view
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/view/html.php

Structures de données

class JViewHtml

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier HtmlDocument.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier HtmlDocument.php

Structures de données

class HtmlDocument

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier htmlfilter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
  • extras
Fonctions
Référence du fichier htmlfilter.php

Fonctions

tln_tagprint ($tagname, $attary, $tagtype)
tln_casenormalize (&$val)
tln_skipspace ($body, $offset)
tln_findnxstr ($body, $offset, $needle)
tln_findnxreg ($body, $offset, $reg)
tln_getnxtag ($body, $offset)
tln_deent (&$attvalue, $regex, $hex=false)
tln_defang (&$attvalue)
tln_unspace (&$attvalue)
tln_fixatts ( $tagname, $attary, $rm_attnames, $bad_attvals, $add_attr_to_tag, $trans_image_path, $block_external_images)
tln_fixurl ($attname, &$attvalue, $trans_image_path, $block_external_images)
tln_fixstyle ($body, $pos, $trans_image_path, $block_external_images)
tln_body2div ($attary, $trans_image_path)
tln_sanitize ( $body, $tag_list, $rm_tags_with_content, $self_closing_tags, $force_tag_closing, $rm_attnames, $bad_attvals, $add_attr_to_tag, $trans_image_path, $block_external_images)
HTMLFilter ($body, $trans_image_path, $block_external_images=false)

Documentation des fonctions

◆ HTMLFilter()

HTMLFilter | ( | $body,
 |  | $trans_image_path,
 |  | $block_external_images = false
 | ) |

Références tln_sanitize().

◆ tln_body2div()

tln_body2div | ( | $attary,
 |  | $trans_image_path
 | ) |

Références $text.

Référencé par tln_sanitize().

◆ tln_casenormalize()

tln_casenormalize ( & $val )

A small helper function to use with array_walk. Modifies a by-ref value and makes it lowercase.

Paramètres
string $val a value passed by-ref.
Renvoie
void since it modifies a by-ref value.

◆ tln_deent()

tln_deent | ( | & | $attvalue,
 |  |  | $regex,
 |  |  | $hex = false
 | ) |  |

Translates entities into literal values so they can be checked.

Paramètres
string | $attvalue | the by-ref value to check.
string | $regex | the regular expression to check against.
boolean | $hex | whether the entities are hexadecimal.
Renvoie
boolean True or False depending on whether there were matches.

Références $i.

Référencé par tln_defang().

◆ tln_defang()

tln_defang ( & $attvalue )

This function checks attribute values for entity-encoded values and returns them translated into 8-bit strings so we can run checks on them.

Paramètres
string $attvalue A string to run entity check against.

Skip this if there aren't ampersands or backslashes.

Références tln_deent().

Référencé par tln_fixatts(), et tln_fixstyle().

◆ tln_findnxreg()

tln_findnxreg | ( | $body,
 |  | $offset,
 |  | $reg
 | ) |

This function takes a PCRE-style regexp and tries to match it within the string.

Paramètres
string | $body | The string to look for needle in.
integer | $offset | Start looking from here.
string | $reg | A PCRE-style regex to match.
Renvoie
array|boolean Returns a false if no matches found, or an array with the following members:
  • integer with the location of the match within $body
  • string with whatever content between offset and the match
  • string with whatever it is we matched

Références $offset.

Référencé par tln_getnxtag().

◆ tln_findnxstr()

tln_findnxstr | ( | $body,
 |  | $offset,
 |  | $needle
 | ) |

This function looks for the next character within a string. It's really just a glorified "strpos", except it catches the failures nicely.

Paramètres
string | $body | The string to look for needle in.
integer | $offset | Start looking from this position.
string | $needle | The character/string to look for.
Renvoie
integer location of the next occurrence of the needle, or strlen($body) if needle wasn't found.

Références $offset.

Référencé par tln_getnxtag().

◆ tln_fixatts()

tln_fixatts | ( | $tagname,
 |  | $attary,
 |  | $rm_attnames,
 |  | $bad_attvals,
 |  | $add_attr_to_tag,
 |  | $trans_image_path,
 |  | $block_external_images
 | ) |

This function runs various checks against the attributes.

Paramètres
string | $tagname | String with the name of the tag.
array | $attary | Array with all tag attributes.
array | $rm_attnames | See description for tln_sanitize
array | $bad_attvals | See description for tln_sanitize
array | $add_attr_to_tag | See description for tln_sanitize
string | $trans_image_path
boolean | $block_external_images
Renvoie
array with modified attributes.

See if this attribute should be removed.

Remove any backslashes, entities, or extraneous whitespace.

Now let's run checks on the attvalues. I don't expect anyone to comprehend this. If you do, get in touch with me so I can drive to where you live and shake your hand personally. :)

There are two arrays in valary. First is matches. Second one is replacements

See if we need to append any attributes to this tag.

Références tln_defang(), tln_fixurl(), et tln_unspace().

Référencé par tln_sanitize().

◆ tln_fixstyle()

tln_fixstyle | ( | $body,
 |  | $pos,
 |  | $trans_image_path,
 |  | $block_external_images
 | ) |

First look for general BODY style declaration, which would be like so: body {background: blah-blah} and change it to .bodyclass so we can just assign it to a

Fix url('blah') declarations.
Remove any backslashes, entities, and extraneous whitespace.

Références $content, $i, tln_defang(), tln_fixurl(), et tln_unspace().

Référencé par tln_sanitize().

◆ tln_fixurl()

tln_fixurl | ( |  | $attname,
 |  | & | $attvalue,
 |  |  | $trans_image_path,
 |  |  | $block_external_images
 | ) |  |

Replace empty src tags with the blank image. src is only used for frames, images, and image inputs. Doing a replace should not affect them working as should be, however it will stop IE from being kicked off when src for img tags are not set

Référencé par tln_fixatts(), et tln_fixstyle().

◆ tln_getnxtag()

tln_getnxtag | ( | $body,
 |  | $offset
 | ) |

This function looks for the next tag.

Paramètres
string | $body | String where to look for the next tag.
integer | $offset | Start looking from here.
Renvoie
array|boolean false if no more tags exist in the body, or an array with the following members:
  • string with the name of the tag
  • array with attributes and their values
  • integer with tag type (1, 2, or 3)
  • integer where the tag starts (starting "<")
  • integer where the tag ends (ending ">") first three members will be false, if the tag is invalid.

We are here: blah blah <tag attribute="value"> ———^

There are 3 kinds of tags:

  1. Opening tag, e.g.: Closing tag, e.g.:
  2. XHTML-style content-less tag, e.g.:

A comment or an SGML declaration.

Assume tagtype 1 for now. If it's type 3, we'll switch values later.

Look for next [-_], which will indicate the end of the tag name.

$match can be either of these: '>' indicating the end of the tag entirely. '' indicating the end of the tag name. '/' indicating that this is type-3 xhtml tag.

Whatever else we find there indicates an invalid tag.

This is an xhtml-style tag with a closing / at the end, like so:

. Check if it's followed by the closing bracket. If not, then this tag is invalid

Check if it's whitespace

This is an invalid tag! Look for the next closing ">".

At this point we're here: <tagname attribute="blah"> -——^

At this point we loop in order to find all attributes.

Non-closed tag.

See if we arrived at a ">" or "/>", which means that we reached the end of the tag.

Yep. So we did.

There are several types of attributes, with optional [:space:] between members. Type 1: attrname[:space:]=[:space:]'CDATA' Type 2: attrname[:space:]=[:space:]"CDATA" Type 3: attr[:space:]=[:space:]CDATA Type 4: attrname

We leave types 1 and 2 the same, type 3 we check for '"' and convert to "&quot" if needed, then wrap in double quotes. Type 4 we convert into: attrname="yes".

Looks like body ended before the end of tag.

We arrived at the end of attribute name. Several things possible here: '>' means the end of the tag and this is attribute type 4 '/' if followed by '>' means the same thing as above '' means a lot of things – look what it's followed by. anything else means the attribute is invalid.

This is an xhtml-style tag with a closing / at the end, like so:

. Check if it's followed by the closing bracket. If not, then this tag is invalid

Skip whitespace and see what we arrive at.

Two things are valid here: '=' means this is attribute type 1 2 or 3. means this was attribute type 4. anything else we ignore and re-loop. End of tag and invalid stuff will be caught by our checks at the beginning of the loop.

Here are 3 possibilities: "'" attribute type 1 '"' attribute type 2 everything else is the content of tag type 3

These are hateful. Look for , or >.

If it's ">" it will be caught at the top.

That was attribute type 4.

An illegal character. Find next '>' and return.

The fact that we got here indicates that the tag end was never found. Return invalid tag indication so it gets stripped.

Références $offset, elseif, tln_findnxreg(), tln_findnxstr(), et tln_skipspace().

Référencé par tln_sanitize().

◆ tln_sanitize()

tln_sanitize | ( | $body,
 |  | $tag_list,
 |  | $rm_tags_with_content,
 |  | $self_closing_tags,
 |  | $force_tag_closing,
 |  | $rm_attnames,
 |  | $bad_attvals,
 |  | $add_attr_to_tag,
 |  | $trans_image_path,
 |  | $block_external_images
 | ) |
Paramètres
string | $body | The HTML you wish to filter
array | $tag_list | see description above
array | $rm_tags_with_content | see description above
array | $self_closing_tags | see description above
boolean | $force_tag_closing | see description above
array | $rm_attnames | see description above
array | $bad_attvals | see description above
array | $add_attr_to_tag | see description above
string | $trans_image_path
boolean | $block_external_images
Renvoie
string Sanitized html safe to show on your pages.

Normalize rm_tags and rm_tags_with_content.

See if tag_list is of tags to remove or tags to allow. false means remove these tags true means allow these tags

Take care of netscape's stupid javascript entities like &{alert('boo')};

Take care of <style>

Got to the end of tag we needed to remove.

$rm_tags_with_content

See if this is a self-closing type and change tagtype appropriately.

See if we should skip this tag and any content inside it.

Convert body into div.

This is where we run other checks.

Références null, tln_body2div(), tln_fixatts(), tln_fixstyle(), tln_getnxtag(), et tln_tagprint().

Référencé par HTMLFilter().

◆ tln_skipspace()

tln_skipspace | ( | $body,
 |  | $offset
 | ) |

This function skips any whitespace from the current position within a string and to the next non-whitespace value.

Paramètres
string | $body | the string
integer | $offset | the offset within the string where we should start looking for the next non-whitespace character.
Renvoie
integer the location within the $body where the next non-whitespace char is located.

Références $count, et $offset.

Référencé par tln_getnxtag().

◆ tln_tagprint()

tln_tagprint | ( | $tagname,
 |  | $attary,
 |  | $tagtype
 | ) |

htmlfilter.inc

This set of functions allows you to filter html in order to remove any malicious tags from it. Useful in cases when you need to filter user input for any cross-site-scripting attempts.

Copyright (C) 2002-2004 by Duke University

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Konstantin Riabitsev icon@.nosp@m.linu.nosp@m.x.duk.nosp@m.e.ed.nosp@m.u Jim Jagielski <jim@j.nosp@m.aguN.nosp@m.ET.co.nosp@m.m / jimja.nosp@m.g@gm.nosp@m.ail.c.nosp@m.om> 1.1 ($Date$) This function returns the final tag out of the tag name, an array of attributes, and the type of the tag. This function is called by tln_sanitize internally.

Paramètres
string | $tagname | the name of the tag.
array | $attary | the array of attributes and their values
integer | $tagtype | The type of the tag (see in comments).
Renvoie
string A string with the final tag representation.

Référencé par tln_sanitize().

◆ tln_unspace()

tln_unspace ( & $attvalue )

Kill any tabs, newlines, or carriage returns. Our friends the makers of the browser with 95% market value decided that it'd be funny to make "java[tab]script" be just as good as "javascript".

Paramètres
string $attvalue The attribute value before extraneous spaces removed.

Référencé par tln_fixatts(), et tln_fixstyle().


Joomla CMS: Référence du fichier HTMLHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • HTML
Structures de données | Espaces de nommage
Référence du fichier HTMLHelper.php

Structures de données

class HTMLHelper

Espaces de nommage

Joomla\CMS\HTML


Joomla CMS: Référence du fichier HtmlView.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • View
Structures de données | Espaces de nommage
Référence du fichier HtmlView.php

Structures de données

class HtmlView

Espaces de nommage

Joomla\CMS\MVC\View


Joomla CMS: Référence du fichier Http.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
Structures de données | Espaces de nommage
Référence du fichier Http.php

Structures de données

class Http

Espaces de nommage

Joomla\CMS\Http


Joomla CMS: Référence du fichier http.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier github/http.php

Structures de données

class JGithubHttp

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier http.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier mediawiki/http.php

Structures de données

class JMediawikiHttp

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier HttpBridgePostRequestMethod.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Captcha
  • Google
Structures de données | Espaces de nommage
Référence du fichier HttpBridgePostRequestMethod.php

Structures de données

class HttpBridgePostRequestMethod

Espaces de nommage

Joomla\CMS\Captcha\Google


Joomla CMS: Référence du fichier HttpFactory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
Structures de données | Espaces de nommage
Référence du fichier HttpFactory.php

Structures de données

class HttpFactory

Espaces de nommage

Joomla\CMS\Http


Joomla CMS: Référence du fichier icon.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • quickicons
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php

Espaces de nommage

Joomla\Administrator

Variables

$id = empty($displayData['id']) ? '' : (' id="' . $displayData['id'] . '"')
$target = empty($displayData['target']) ? '' : (' target="' . $displayData['target'] . '"')
$onclick = empty($displayData['onclick']) ? '' : (' onclick="' . $displayData['onclick'] . '"')
$title = empty($displayData['title']) ? '' : (' title="' . $this->escape($displayData['title']) . '"')
$text = empty($displayData['text']) ? '' : ('<span>' . $displayData['text'] . '</span>')

Documentation des variables

◆ $id

$id = empty($displayData['id']) ? '' : (' id="' . $displayData['id'] . '"')

Référencé par FOFModel\__construct(), FileStorage\_checkExpire(), TagsHelperRoute\_findItem(), ContentHelper\_getActions(), MenuType\_getAssetName(), Module\_getAssetParentId(), Category\_getAssetParentId(), Content\_getAssetParentId(), Language\_getAssetParentId(), FieldsTableGroup\_getAssetParentId(), FieldsTableField\_getAssetParentId(), MenuType\_getAssetParentId(), MemcacheStorage\_getCacheId(), MemcachedStorage\_getCacheId(), CacheStorage\_getCacheId(), PackageAdapter\_getExtensionId(), FileStorage\_getFilePath(), Nested\_getNode(), PlgUserJoomla\_getUser(), PlgContentLoadmodule\_loadid(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), ContactViewContact\_prepareDocument(), InstallationModelLanguages\addAssociations(), JHtmlActionsDropdown\addCustomItem(), FOFTemplateUtils\addLESS(), FinderIndexerTaxonomy\addMap(), JGithubPackageOrgsTeams\addMember(), JHtmlBootstrap\addPanel(), JGithubPackageOrgsTeams\addRepo(), JHtmlBootstrap\addSlide(), JHtmlBootstrap\addTab(), FOFController\apply(), FOFController\applySave(), JHtmlActionsDropdown\archive(), AbstractMenu\authorise(), FormController\batch(), CategoriesModelCategory\batchFlipordering(), UsersModelUser\batchUser(), JLinkedinJobs\bookmark(), JHtmlSelect\booleanlist(), FOFUtilsInstallscript\bugfixCantBuildAdminMenus(), FOFUtilsInstallscript\bugfixDBFunctionReturnedNoError(), TagsRouter\build(), ContactRouterRulesLegacy\build(), NewsfeedsRouterRulesLegacy\build(), ContentRouterRulesLegacy\build(), StandardRules\build(), HTMLHelper\calendar(), AssociationsControllerAssociation\cancel(), FinderIndexerAdapter\change(), Usergroup\check(), FOFController\checkACL(), BaseController\checkEditId(), AssociationsControllerAssociations\checkin(), JGithubPackageOrgsTeams\checkRepo(), BannersController\click(), BannersModelBanner\click(), TemplatesControllerTemplate\close(), JOpenstreetmapChangesets\closeChangeset(), WincacheStorage\contains(), ApcuStorage\contains(), XcacheStorage\contains(), ApcStorage\contains(), FileStorage\contains(), CacheliteStorage\contains(), MemcacheStorage\contains(), MemcachedStorage\contains(), RedisStorage\contains(), Cache\contains(), TemplatesControllerTemplate\copyFile(), JTwitterFavorites\createFavorites(), TemplatesControllerTemplate\createFile(), TemplatesControllerTemplate\createFolder(), TemplatesControllerTemplate\cropImage(), PasswordHash\crypt_private(), MenusControllerMenus\delete(), JGithubPackageAuthorization\delete(), JGithubPackageRepositoriesHooks\delete(), JGithubHooks\delete(), InstallerModelUpdatesites\delete(), JGithubPackageRepositoriesKeys\delete(), JGithubPackageRepositoriesComments\delete(), JGithubPackageUsersKeys\delete(), JGithubPackageOrgsTeams\delete(), JGithubPackageRepositoriesDownloads\delete(), Usergroup\delete(), TemplatesControllerTemplate\delete(), FOFModel\delete(), JGithubAccount\deleteAuthorisation(), JLinkedinJobs\deleteBookmark(), JGithubCommits\deleteCommitComment(), JTwitterDirectmessages\deleteDirectMessages(), JOpenstreetmapElements\deleteElement(), JTwitterFavorites\deleteFavorites(), TemplatesControllerTemplate\deleteFolder(), ContentHistoryHelper\deleteHistory(), JGrid\deleteRow(), JTwittersearch\deleteSavedSearch(), JGithubPackageActivityNotifications\deleteThreadSubscription(), JTwitterStatuses\deleteTweet(), JSessionStorageApc\destroy(), JSessionStorageApcu\destroy(), Apcu\destroy(), JSessionStorageXcache\destroy(), Apc\destroy(), Xcache\destroy(), JSessionStorageDatabase\destroy(), Database\destroy(), RouterView\detachRule(), JOpenstreetmapChangesets\diffUploadChangeset(), InstallerModelDiscover\discover_install(), TagsViewTag\display(), MessagesController\display(), ModulesController\display(), NewsfeedsController\display(), PluginsController\display(), TagsController\display(), BannersController\display(), LanguagesController\display(), RedirectController\display(), TemplatesController\display(), ContactController\display(), ContentController\display(), FieldsController\display(), CategoriesController\display(), UsersController\display(), Captcha\display(), Editor\display(), ContentHelperAssociation\displayAssociations(), PlgSystemDebug\displayQueries(), PlgSystemDebug\displaySession(), JOpenstreetmapChangesets\downloadChangeset(), JOpenstreetmapGps\downloadTraceMetadata(), JOpenstreetmapGps\downloadTraceMetadetails(), JHtmlActionsDropdown\duplicate(), AssociationsControllerAssociation\edit(), JGithubPackageAuthorization\edit(), JGithubPackageRepositoriesComments\edit(), JGithubPackageRepositoriesKeys\edit(), JGithubPackageUsersKeys\edit(), JGithubPackageRepositoriesHooks\edit(), JGithubPackageOrgsTeams\edit(), JGithubHooks\edit(), JHtmlDropdown\edit(), JGithubAccount\editAuthorisation(), JGithubCommits\editCommitComment(), OutputController\end(), ConfigControllerModulesCancel\execute(), ConfigControllerComponentSave\execute(), JOpenstreetmapChangesets\expandBBoxChangeset(), JHtmlQuery\explained(), MenusControllerMenu\exportXml(), FileAdapter\extensionExistsInSystem(), TemplatesControllerTemplate\extractArchive(), JHtmlActionsDropdown\feature(), CustomButton\fetchId(), Form\filterField(), JoomlaupdateModelDefault\finaliseUpgrade(), RouteHelper\findItem(), TagsRouter\fixSegment(), JLinkedinCompanies\follow(), JOpenstreetmapElements\fullElement(), JHtmlSelect\genericlist(), ViewController\get(), WincacheStorage\get(), ApcuStorage\get(), XcacheStorage\get(), ApcStorage\get(), JGithubPackageRepositoriesKeys\get(), JGithubPackageOrgsTeams\get(), PageController\get(), JGithubPackageRepositoriesDownloads\get(), CallbackController\get(), JGithubPackageUsersKeys\get(), JGithubPackageIssuesEvents\get(), JGithubPackageRepositoriesComments\get(), FileStorage\get(), JGithubPackageIssuesComments\get(), CacheliteStorage\get(), UserGroupsHelper\get(), MemcacheStorage\get(), CacheController\get(), OutputController\get(), Categories\get(), JGithubPackageAuthorization\get(), MemcachedStorage\get(), JGithubPackageRepositoriesHooks\get(), JGithubHooks\get(), RedisStorage\get(), Cache\get(), ContentHelper\getActions(), JGoogleDataPlusActivities\getActivity(), InstallationModelLanguages\getAdminId(), Factory\getApplication(), ContentHelperRoute\getArticleRoute(), ContentRouter\getArticleSegment(), Access\getAssetAncestors(), Access\getAssetRules(), NewsfeedsHelperAssociation\getAssociations(), ContactHelperAssociation\getAssociations(), ContentHelperAssociation\getAssociations(), Associations\getAssociations(), ContentAssociationsHelper\getAssociations(), MenusAssociationsHelper\getAssociations(), ContactAssociationsHelper\getAssociations(), NewsfeedsAssociationsHelper\getAssociations(), JGithubAccount\getAuthorisation(), Access\getAuthorisedViewLevels(), JGoogleEmbedMaps\getBody(), NewsfeedsRouter\getCategoriesSegment(), ContactRouter\getCategoriesSegment(), ContentRouter\getCategoriesSegment(), CategoryHelperAssociation\getCategoryAssociations(), NewsfeedsHelperRoute\getCategoryRoute(), ContactHelperRoute\getCategoryRoute(), ContentHelperRoute\getCategoryRoute(), RouteHelper\getCategoryRoute(), NewsfeedsRouter\getCategorySegment(), ContactRouter\getCategorySegment(), ContentRouter\getCategorySegment(), ApplicationHelper\getClientInfo(), JGoogleDataPlusComments\getComment(), JGithubCommits\getCommitComment(), JLinkedinCompanies\getCompanies(), ContactHelperRoute\getContactRoute(), ContactRouter\getContactSegment(), ActionlogsHelper\getContentTypeLink(), JLinkedinStream\getCurrentShare(), JTwitterDirectmessages\getDirectMessagesById(), JLinkedinGroups\getDiscussions(), FinderModelSearch\getExcludedLinkIds(), ContentModelArticle\getForm(), ModulesModelModule\getForm(), ContentHelperRoute\getFormRoute(), ContentRouter\getFormSegment(), JTwitterFriends\getFriendshipsLookup(), ModFinderHelper\getGetFields(), JLinkedinGroups\getGroup(), JGoogleEmbedMaps\getHeader(), ContentHistoryHelper\getHistory(), FOFFormHeader\getId(), FormField\getId(), FOFModel\getId(), JFormFieldModalAssociation\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldList\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Category\getInput(), TagField\getInput(), JFormFieldModal_Menu\getInput(), Mail\getInstance(), Registry\getInstance(), MenusAssociationsHelper\getItem(), ContentAssociationsHelper\getItem(), ContactAssociationsHelper\getItem(), NewsfeedsAssociationsHelper\getItem(), AbstractMenu\getItem(), TagsModelTag\getItem(), FinderIndexerAdapter\getItem(), FOFModel\getItem(), TagsHelper\getItemTags(), JLinkedinJobs\getJob(), ModRelatedItemsHelper\getList(), ModTagssimilarHelper\getList(), JGithubPackageRepositories\getList(), JGithubPackageOrgsTeams\getListMembers(), JGithubPackageOrgsTeams\getListRepos(), JLinkedinGroups\getMemberships(), JoomlaupdateHelperSelect\getMethods(), ModuleHelper\getModuleById(), JLinkedinStream\getNetworkUpdates(), NewsfeedsHelperRoute\getNewsfeedRoute(), NewsfeedsRouter\getNewsfeedSegment(), JTwitterStatuses\getOembed(), JFormFieldMenuParent\getOptions(), JFormFieldCategoryParent\getOptions(), FOFFormFieldRelation\getOptions(), TagField\getOptions(), InstallerScript\getParam(), AbstractMenu\getParams(), JGoogleDataPlusPeople\getPeople(), JTwitterPlaces\getPlace(), FinderIndexerAdapter\getPluginType(), JLinkedinCompanies\getProducts(), JLinkedinPeople\getProfile(), FOFFormFieldModel\getRepeatable(), FOFFormFieldText\getRepeatable(), FOFFormFieldUrl\getRepeatable(), FOFFormFieldTel\getRepeatable(), JTwitterStatuses\getRetweeters(), JTwitterStatuses\getRetweetsById(), RouteHelper\getRoute(), JGrid\getRow(), JTwittersearch\getSavedSearchesById(), JLinkedinStream\getShareStream(), ItemModel\getStoreId(), ModulesModelSelect\getStoreId(), ContentModelCategories\getStoreId(), UsersModelLevels\getStoreId(), ContactModelCategories\getStoreId(), UsersModelGroups\getStoreId(), NewsfeedsModelCategories\getStoreId(), SearchModelSearches\getStoreId(), BannersModelClients\getStoreId(), MessagesModelMessages\getStoreId(), LanguagesModelLanguages\getStoreId(), TemplatesModelStyles\getStoreId(), FieldsModelGroups\getStoreId(), PluginsModelPlugins\getStoreId(), FinderModelFilters\getStoreId(), CacheModelCache\getStoreId(), FieldsModelFields\getStoreId(), TagsModelTags\getStoreId(), RedirectModelLinks\getStoreId(), PrivacyModelConsents\getStoreId(), PrivacyModelRequests\getStoreId(), TemplatesModelTemplates\getStoreId(), FinderModelSuggestions\getStoreId(), AssociationsModelAssociations\getStoreId(), ContactModelContacts\getStoreId(), NewsfeedsModelNewsfeeds\getStoreId(), UsersModelUsers\getStoreId(), LanguagesModelInstalled\getStoreId(), CategoriesModelCategories\getStoreId(), ModulesModelModules\getStoreId(), ContentModelFeatured\getStoreId(), UsersModelDebuggroup\getStoreId(), UsersModelDebugUser\getStoreId(), ContentModelArticles\getStoreId(), UsersModelNotes\getStoreId(), MenusModelItems\getStoreId(), InstallerModelLanguages\getStoreId(), BannersModelBanners\getStoreId(), ListModel\getStoreId(), FinderModelMaps\getStoreId(), FinderModelIndex\getStoreId(), FinderModelSearch\getStoreId(), PlgSystemUpdatenotification\getSuperUsers(), InstallationHtmlHelper\getTab(), TagsHelperRoute\getTagRoute(), TagsHelper\getTagTreeArray(), FOFDispatcher\getTask(), SiteApplication\getTemplate(), JGithubPackageActivityNotifications\getThreadSubscription(), JTwitterTrends\getTrends(), JTwitterStatuses\getTweetById(), UCMType\getTypeId(), JLinkedinCompanies\getUpdates(), FinderIndexerAdapter\getUrl(), Factory\getUser(), FOFIntegrationJoomlaPlatform\getUser(), JTwitterUsers\getUsersLookup(), JHtmlSelect\groupedlist(), UserGroupsHelper\has(), JOpenstreetmapElements\historyOfElement(), BaseController\holdEditId(), Captcha\initialise(), FOFDatabaseDriverSqlsrv\insertObject(), JDatabaseDriverPgsql\insertObject(), FOFDatabaseDriverPostgresql\insertObject(), JDatabaseDriverPostgresql\insertObject(), FOFDatabaseDriver\insertObject(), JDatabaseDriver\insertObject(), InstallationModelLanguages\install(), JLinkedinCommunications\inviteById(), JGithubPackageOrgsTeams\isMember(), TemplatesControllerTemplate\less(), JHtmlAccess\level(), Folder\listFolderTree(), User\load(), UserGroupsHelper\load(), ApcStorage\lock(), ApcuStorage\lock(), FileStorage\lock(), Cache\lock(), MemcacheStorage\lock(), MemcachedStorage\lock(), JGithubPackageActivityNotifications\markReadThread(), FOFModel\move(), JHtmlBehavior\multiselect(), FOFTableBehaviorAssets\onAfterBind(), PlgSystemPrivacyconsent\onAfterRoute(), FOFController\onBeforeApply(), FOFController\onBeforeCancel(), FOFModel\onBeforeDelete(), FOFController\onBeforeSave(), PlgActionlogJoomla\onContentAfterDelete(), PlgActionlogJoomla\onContentAfterSave(), PlgContentLoadmodule\onContentPrepare(), PlgCaptchaRecaptcha_Invisible\onDisplay(), PlgCaptchaRecaptcha\onDisplay(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgFinderTags\onFinderAfterDelete(), PlgFinderContent\onFinderAfterDelete(), PlgFinderNewsfeeds\onFinderAfterDelete(), PlgFinderContacts\onFinderAfterDelete(), PlgFinderCategories\onFinderDelete(), PlgEditorNone\onGetContent(), PlgEditorTinymce\onGetContent(), PlgEditorCodemirror\onGetContent(), PlgCaptchaRecaptcha\onInit(), PlgEditorCodemirror\onSave(), PlgEditorNone\onSetContent(), PlgEditorTinymce\onSetContent(), PlgEditorCodemirror\onSetContent(), JHtmlSelect\options(), JHtmlMenu\ordering(), TemplatesControllerTemplate\overrides(), JHtmlSliders\panel(), JHtmlTabs\panel(), ContactRouterRulesLegacy\parse(), NewsfeedsRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), MenusModelMenu\populateState(), NewsfeedsModelCategory\populateState(), ContactModelCategory\populateState(), JHtmlList\positions(), PlgContentFields\prepare(), NewsfeedsViewCategory\prepareDocument(), ContactViewCategory\prepareDocument(), ContentViewCategory\prepareDocument(), MenuRules\preprocess(), JHtmlActionsDropdown\publish(), InstallerModelUpdatesites\publish(), InstallerModelManage\publish(), LanguagesModelInstalled\publish(), JHtmlSelect\radiolist(), JSessionStorageDatabase\read(), JSessionStorageXcache\read(), JSessionStorageApcu\read(), JSessionStorageApc\read(), Xcache\read(), Apcu\read(), Apc\read(), Database\read(), JOpenstreetmapChangesets\readChangeset(), JOpenstreetmapElements\readElement(), JOpenstreetmapElements\redaction(), AdminModel\redirectToAssociations(), InstallerModelManage\refresh(), FinderIndexerAdapter\reindex(), JOpenstreetmapElements\relationsForElement(), BaseController\releaseEditId(), WincacheStorage\remove(), ApcuStorage\remove(), ApcStorage\remove(), XcacheStorage\remove(), InstallerModelManage\remove(), CacheliteStorage\remove(), FileStorage\remove(), MemcacheStorage\remove(), MemcachedStorage\remove(), Cache\remove(), RedisStorage\remove(), FinderIndexerAdapter\remove(), JoomlaInstallerScript\removeJedUpdateserver(), JGithubPackageOrgsTeams\removeMember(), JGithubPackageOrgsTeams\removeRepo(), TemplatesControllerTemplate\renameFile(), ToolbarButton\render(), JGrid\renderArea(), PlgSystemDebug\renderBars(), FOFRenderStrapper\renderButtons(), JLinkedinStream\reshare(), TemplatesControllerTemplate\resizeImage(), FinderModelSearch\retrieve(), JTwitterStatuses\retweet(), FieldsModelField\save(), TemplatesControllerTemplate\save(), MenusModelMenu\save(), CategoriesModelCategory\save(), AdminModel\save(), MenusModelItem\save(), FOFController\setaccess(), AbstractMenu\setActive(), JGrid\setActiveRow(), TemplatesControllerStyles\setDefault(), AbstractMenu\setDefault(), InstallationModelLanguages\setDefault(), TemplatesModelStyle\setHome(), JSessionHandlerNative\setId(), FOFModel\setId(), FOFModel\setIDsFromRequest(), Pathway\setItemName(), User\setLastVisit(), JGoogleEmbedMaps\setMapId(), InstallerScript\setParams(), CategoryNode\setParent(), JGithubPackageActivityNotifications\setThreadSubscription(), FOFFormHeader\setup(), lessc\sortProps(), FOFLess\sortProps(), OutputController\start(), WincacheStorage\store(), ApcuStorage\store(), ApcStorage\store(), XcacheStorage\store(), PageController\store(), CacheliteStorage\store(), FileStorage\store(), CacheController\store(), OutputController\store(), MemcacheStorage\store(), MemcachedStorage\store(), Cache\store(), RedisStorage\store(), FinderModelSearch\store(), ContactControllerContact\submit(), JHtmlSelect\suggestionlist(), JGithubPackageRepositoriesHooks\test(), JGithubHooks\test(), JHtmlActionsDropdown\trash(), JHtmlBehavior\tree(), JHtmlMenu\treerecurse(), JHtmlActionsDropdown\unarchive(), JMediawikiUsers\unBlockUserById(), JHtmlActionsDropdown\unfeature(), JLinkedinCompanies\unfollow(), FileAdapter\uninstall(), LibraryAdapter\uninstall(), TemplateAdapter\uninstall(), PluginAdapter\uninstall(), PackageAdapter\uninstall(), ComponentAdapter\uninstall(), JoomlaInstallerScript\uninstallEosPlugin(), FOFUtilsInstallscript\uninstallObsoleteSubextensions(), FOFUtilsInstallscript\uninstallSubextensions(), ApcStorage\unlock(), ApcuStorage\unlock(), FileStorage\unlock(), MemcacheStorage\unlock(), MemcachedStorage\unlock(), Cache\unlock(), JHtmlActionsDropdown\unpublish(), TemplatesControllerStyles\unsetDefault(), TemplatesModelStyle\unsetHome(), TagsHelper\unTagItem(), JHtmlActionsDropdown\untrash(), Updater\update(), JOpenstreetmapChangesets\updateChangeset(), JOpenstreetmapElements\updateElement(), TemplatesControllerTemplate\uploadFile(), JHtmlAccess\usergroup(), tagparse\value(), JOpenstreetmapElements\versionOfElement(), JGithubPackageActivityNotifications\viewThread(), ContentControllerArticle\vote(), JOpenstreetmapElements\waysForNode(), JSessionStorageApcu\write(), JSessionStorageApc\write(), Apcu\write(), JSessionStorageDatabase\write(), Apc\write(), JSessionStorageXcache\write(), Xcache\write(), Database\write(), et PlgSystemDebug\writeToFile().

◆ $onclick

$onclick = empty($displayData['onclick']) ? '' : (' onclick="' . $displayData['onclick'] . '"')

◆ $target

$target = empty($displayData['target']) ? '' : (' target="' . $displayData['target'] . '"')

Référencé par Url\__construct(), Component\__construct(), SimplePie_IRI\absolutize(), JoomlaupdateModelDefault\cleanUp(), AssociationsViewAssociation\display(), JoomlaupdateModelDefault\download(), InstallerHelper\downloadPackage(), JoomlaupdateModelDefault\downloadPackage(), JMediawikiUsers\emailUser(), Stub\fromContent(), Manifest\fromContent(), AssociationsHelper\getAssociationHtmlList(), MediaHelper\imageResize(), FOFUtilsInstallscript\installFOF(), FOFUtilsInstallscript\installStrapper(), FileAdapter\populateFilesAndFolderList(), AdminModel\redirectToAssociations(), FileAdapter\uninstall(), et Behavior\withAssertion().

◆ $text

$text = empty($displayData['text']) ? '' : ('<span>' . $displayData['text'] . '</span>')

◆ $title

$title = empty($displayData['title']) ? '' : (' title="' . $this->escape($displayData['title']) . '"')


Joomla CMS: Référence du fichier icon.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_content/helpers/icon.php

Structures de données

class JHtmlIcon

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier icon.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • quickicons
Espaces de nommage | Variables
Référence du fichier layouts/joomla/quickicons/icon.php

Espaces de nommage

Joomla\Site

Variables

$id = empty($displayData['id']) ? '' : (' id="' . $displayData['id'] . '"')
$target = empty($displayData['target']) ? '' : (' target="' . $displayData['target'] . '"')
$onclick = empty($displayData['onclick']) ? '' : (' onclick="' . $displayData['onclick'] . '"')
$title = empty($displayData['title']) ? '' : (' title="' . $this->escape($displayData['title']) . '"')
$text = empty($displayData['text']) ? '' : ('<span>' . $displayData['text'] . '</span>')

Documentation des variables

◆ $id

$id = empty($displayData['id']) ? '' : (' id="' . $displayData['id'] . '"')

◆ $onclick

$onclick = empty($displayData['onclick']) ? '' : (' onclick="' . $displayData['onclick'] . '"')

◆ $target

$target = empty($displayData['target']) ? '' : (' target="' . $displayData['target'] . '"')

◆ $text

$text = empty($displayData['text']) ? '' : ('<span>' . $displayData['text'] . '</span>')

◆ $title

$title = empty($displayData['title']) ? '' : (' title="' . $this->escape($displayData['title']) . '"')


Joomla CMS: Référence du fichier iconclass.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/iconclass.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier iconclass.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier layouts/joomla/toolbar/iconclass.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier icons.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier layouts/joomla/content/icons.php

Espaces de nommage

Joomla\Site

Variables

$canEdit = $displayData['params']->get('access-edit')
$articleId = $displayData['item']->id
if | (empty($displayData['print'])) ( $canEdit||$displayData[ 'params']->get( 'show_print_icon')||$displayData[ 'params']->get( 'show_email_icon'))
endif
else __pad12__
else $displayData ['item']
else | $displayData ['params']

Documentation des variables

◆ $articleId

$articleId = $displayData['item']->id

Référencé par ContentModelArticles\getListQuery(), PlgSystemPrivacyconsent\onPrivacyCheckPrivacyPolicyPublished(), et ContentControllerArticle\save().

◆ $canEdit

$canEdit = $displayData['params']->get('access-edit')

◆ $displayData [1/2]

else $displayData[ 'params']

◆ $displayData [2/2]

else $displayData[ 'item']

Référencé par JHtmlFormbehavior\ajaxchosen(), JHtmlTag\ajaxfield(), JHtmlFormbehavior\chosen(), LayoutHelper\debug(), JHtmlBatch\item(), PlgEditorCodemirror\onDisplay(), PlgEditorCodemirror\onInit(), FOFLayoutHelper\render(), ModulesRenderer\render(), MessageRenderer\render(), LayoutHelper\render(), FileLayout\render(), BaseLayout\render(), FieldsHelper\render(), ActionlogsModelActionlog\sendNotificationEmails(), JHtmlSortablelist\sortable(), FileLayout\sublayout(), et JHtmlBatch\user().

◆ (empty($displayData['print']))

if (empty( $displayData[ 'print']))($canEdit|| $displayData['params']->get('show_print_icon')|| $displayData['params']->get('show_email_icon'))

◆ __pad12__

else __pad12__

◆ endif

endif


Joomla CMS: Référence du fichier icons.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/icons.php

Structures de données

class JHtmlIcons

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier idna_convert.class.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • idna_convert
Structures de données
Référence du fichier idna_convert/idna_convert.class.php

Structures de données

class idna_convert


Joomla CMS: Référence du fichier idna_convert.class.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • idn
Structures de données
Référence du fichier vendor/simplepie/simplepie/idn/idna_convert.class.php

Structures de données

class | idna_convert
class | Net_IDNA_php4


Joomla CMS: Référence du fichier IetfCtx.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • ChaCha20
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/ChaCha20/IetfCtx.php

Structures de données

class IetfCtx

Espaces de nommage

ParagonIE\Sodium\Core\ChaCha20


Joomla CMS: Référence du fichier IetfCtx.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • ChaCha20
Structures de données
Référence du fichier src/Core/ChaCha20/IetfCtx.php

Structures de données

class ParagonIE_Sodium_Core_ChaCha20_IetfCtx


Joomla CMS: Référence du fichier IetfCtx.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • ChaCha20
Structures de données
Référence du fichier src/Core32/ChaCha20/IetfCtx.php

Structures de données

class ParagonIE_Sodium_Core32_ChaCha20_IetfCtx


Joomla CMS: Référence du fichier iframe.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • modal
Espaces de nommage | Variables
Référence du fichier iframe.php

Espaces de nommage

Joomla\Site

Variables

$iframeClass = 'iframe'
$bodyHeight = isset($params['bodyHeight']) ? round((int) $params['bodyHeight'], -1) : ''
if($bodyHeight && $bodyHeight >=20 && $bodyHeight< 90) | $iframeAttributes
if(isset($params['title'])) if(isset($params['height'])) | if (isset( $params[ 'width']))

Documentation des variables

◆ $bodyHeight

$bodyHeight = isset($params['bodyHeight']) ? round((int) $params['bodyHeight'], -1) : ''

◆ $iframeAttributes

if ( $bodyHeight &&$bodyHeight >=20 &&$bodyHeight< 90) $iframeAttributes
Valeur initiale :
= array(
'class' => $iframeClass,
'src' => $params['url']
)
$params
$params
Definition: administrator/components/com_banners/views/clients/tmpl/default.php:30
$iframeClass
$iframeClass
Definition: iframe.php:37

◆ $iframeClass

$iframeClass = 'iframe'

Layout variables

Paramètres
string | $selector | Unique DOM identifier for the modal. CSS id without #
array $params Modal parameters. Default supported parameters:
  • title string The modal title
  • backdrop mixed A boolean select if a modal-backdrop element should be included (default = true) The string 'static' includes a backdrop which doesn't close the modal on click.
  • keyboard boolean Closes the modal when escape key is pressed (default = true)
  • closeButton boolean Display modal close button (default = true)
  • animation boolean Fade in from the top of the page (default = true)
  • footer string Optional markup for the modal footer
  • url string URL of a resource to be inserted as an <iframe> inside the modal body
  • height string height of the <iframe> containing the remote resource
  • width string width of the <iframe> containing the remote resource
  • bodyHeight int Optional height of the modal body in viewport units (vh)
  • modalWidth int Optional width of the modal in viewport units (vh)
string | $body | Markup for the modal body. Appended after the <iframe> if the URL option is set

◆ if

if (isset( $params[ 'title'])) if (isset( $params[ 'height'])) if(isset($params['width']))


Joomla CMS: Référence du fichier Image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Image
Structures de données | Espaces de nommage
Référence du fichier src/Image/Image.php

Structures de données

class Image

Espaces de nommage

Joomla\CMS\Image


Joomla CMS: Référence du fichier Image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/image/src/Image.php

Structures de données

class Image

Espaces de nommage

Joomla\Image


Joomla CMS: Référence du fichier image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
Espaces de nommage | Variables
Référence du fichier layouts/joomla/html/image.php

Espaces de nommage

Joomla\Site

Variables

if(isset($displayData['src'])) if (isset( $displayData[ 'alt']))

Documentation des variables

◆ if

if (isset( $displayData[ 'src'])) if(isset($displayData['alt']))


Joomla CMS: Référence du fichier image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/image.php

Structures de données

class FOFFormFieldImage

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • image
Structures de données | Espaces de nommage
Référence du fichier plugins/editors-xtd/image/image.php

Structures de données

class PlgButtonImage

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier ImageDocument.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier ImageDocument.php

Structures de données

class ImageDocument

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier ImageFilter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Image
Structures de données | Espaces de nommage
Référence du fichier src/Image/ImageFilter.php

Structures de données

class ImageFilter

Espaces de nommage

Joomla\CMS\Image


Joomla CMS: Référence du fichier ImageFilter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/image/src/ImageFilter.php

Structures de données

class ImageFilter

Espaces de nommage

Joomla\Image


Joomla CMS: Référence du fichier imagelist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/imagelist.php

Structures de données

class FOFFormFieldImagelist

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier imagelist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/imagelist.php

Structures de données

class JFormFieldImageList

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier imagelist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • imagelist
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/imagelist/imagelist.php

Structures de données

class PlgFieldsImagelist

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier imagelist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • imagelist
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/imagelist/tmpl/imagelist.php

Espaces de nommage

Joomla\Plugin

Variables

if($field->value=='') | $class = $fieldParams->get('image_class')
if($class) | $value = (array) $field->value
$buffer = ''
foreach ( $value as $path)

Documentation des variables

◆ $buffer

$buffer = ''

Référencé par JDatabaseExporter\__toString(), JArchiveZip\_createZIPFile(), Nested\_logtable(), File\append(), FtpClient\append(), Patcher\apply(), JDatabaseExporterMysqli\buildXml(), JDatabaseExporterPdomysql\buildXml(), JDatabaseExporterPostgresql\buildXml(), JDatabaseExporterMysqli\buildXmlStructure(), JDatabaseExporterPdomysql\buildXmlStructure(), JDatabaseExporterPostgresql\buildXmlStructure(), PlgSystemSef\checkBuffer(), FtpClient\create(), InstallationModelConfiguration\createConfiguration(), Zip\createZipFile(), InstallationModelFtp\detectFtpRoot(), JArchiveBzip2\extract(), JArchiveGzip\extract(), Bzip2\extract(), JArchiveTar\extract(), Gzip\extract(), Tar\extract(), Zip\extractCustom(), JArchiveZip\extractCustom(), Zip\extractNative(), JArchiveZip\extractNative(), HeadRenderer\fetchHead(), FOFIntegrationJoomlaFilesystem\fileWrite(), FtpClient\get(), Profiler\getBuffer(), AdminModelHelp\getToc(), ChangeSet\getUpdateQueries(), PlgSystemSef\onAfterRender(), FOFLessParser\parse(), lessc_parser\parse(), Installer\parseSchemaUpdates(), Installer\parseSQLFiles(), InstallationModelDatabase\populateDatabase(), FtpClient\read(), ModulesRenderer\render(), InstallationModelDatabase\splitQueries(), FinderIndexer\tokenizeToDb(), InstallationModelFtp\verifyFtpSettings(), FileWrapper\write(), File\write(), FtpClient\write(), et Stream\writeFile().

◆ $class

if ( $field->value=='') $class = $fieldParams->get('image_class')

◆ $value

if ( $class) $value = (array) $field->value

◆ foreach

foreach($value as $path)


Joomla CMS: Référence du fichier images.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier images.php

Structures de données

class JMediawikiImages

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier impmade.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier impmade.php

Structures de données

class JFormFieldImpMade

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier import.legacy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
Espaces de nommage | Variables
Référence du fichier import.legacy.php

Espaces de nommage

Joomla\Platform

Variables

if(!defined('JPATH_PLATFORM')) | $os = strtoupper(substr(PHP_OS, 0, 3))
const | JPATH_ISWIN (!interface_exists('JsonSerializable')) IS_WIN
const | JPATH_ISMAC IS_MAC
const | JROUTER_MODE_RAW = 0
const | JROUTER_MODE_SEF = 1

Documentation des variables

◆ $os

if (!defined( 'JPATH_PLATFORM')) $os = strtoupper(substr(PHP_OS, 0, 3))

Référencé par FtpClient\read().

◆ JPATH_ISMAC

const JPATH_ISMAC IS_MAC

◆ JPATH_ISWIN

const JPATH_ISWIN(!interface_exists( 'JsonSerializable')) IS_WIN

◆ JROUTER_MODE_RAW

const JROUTER_MODE_RAW = 0

Mask for the raw routing mode

Obsolète:
4.0

Référencé par Router\__construct(), Router\build(), et Router\parse().

◆ JROUTER_MODE_SEF

const JROUTER_MODE_SEF = 1

Mask for the SEF routing mode

Obsolète:
4.0

Référencé par SiteRouter\build(), Router\build(), SiteApplication\dispatch(), SiteRouter\parse(), Router\parse(), SiteRouter\processBuildRules(), et SiteRouter\processParseRules().


Joomla CMS: Référence du fichier import.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
Espaces de nommage | Variables
Référence du fichier import.php

Espaces de nommage

Joomla\Platform

Variables

if(!defined('JPATH_PLATFORM')) | $os = strtoupper(substr(PHP_OS, 0, 3))
const | JROUTER_MODE_RAW = 0
const | JROUTER_MODE_SEF = 1

Documentation des variables

◆ $os

if (!defined( 'JPATH_PLATFORM')) $os = strtoupper(substr(PHP_OS, 0, 3))

◆ JROUTER_MODE_RAW

const JROUTER_MODE_RAW = 0

Mask for the raw routing mode

Obsolète:
4.0

◆ JROUTER_MODE_SEF

const JROUTER_MODE_SEF = 1

Mask for the SEF routing mode

Obsolète:
4.0


Joomla CMS: Référence du fichier importer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
Structures de données | Espaces de nommage
Référence du fichier importer.php

Structures de données

class JDatabaseImporter

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier imptotal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier imptotal.php

Structures de données

class JFormFieldImpTotal

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier include.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
Espaces de nommage
Référence du fichier include.php

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/controllers/index.php

Structures de données

class FinderControllerIndex

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/models/index.php

Structures de données

class FinderModelIndex

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
Espaces de nommage | Variables
Référence du fichier administrator/index.php

Espaces de nommage

Joomla\Administrator

Variables

const | JOOMLA_MINIMUM_PHP '5.3.10'
if(version_compare(PHP_VERSION, JOOMLA_MINIMUM_PHP, '<')) | $startTime = microtime(1)
$startMem = memory_get_usage()
const | _JEXEC 1
if(file_exists(__DIR__ . '/defines.php')) | if (!defined( '_JDEFINES'))
$app = JFactory::getApplication('administrator')

Documentation des variables

◆ $app

$app = JFactory::getApplication('administrator')

◆ $startMem

$startMem = memory_get_usage()

Référencé par Profiler\setStart().

◆ $startTime

if (version_compare(PHP_VERSION, JOOMLA_MINIMUM_PHP, '<')) $startTime = microtime(1)

Référencé par JFacebookUser\createEvent(), PlgSystemDebug\displayQueries(), JFacebookUser\editEvent(), UpdateAdapter\getUpdateSiteResponse(), et Profiler\setStart().

◆ _JEXEC

const _JEXEC 1

Constant that is checked in included files to prevent direct access. define() is used in the installation folder rather than "const" to not error for PHP 5.2 and lower

◆ if

if (file_exists(__DIR__ . '/defines.php')) if(!defined('_JDEFINES'))

◆ JOOMLA_MINIMUM_PHP

const JOOMLA_MINIMUM_PHP '5.3.10'

Define the application's minimum supported PHP version as a constant so it can be referenced within the application.

Référencé par InstallationModelSetup\getPhpOptions(), et JoomlaupdateModelDefault\getTargetMinimumPHPVersion().


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/index.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$lang = JFactory::getLanguage()
if(! $this->params->get('colourChoice')) else

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $lang

$lang = JFactory::getLanguage()

◆ else

if ( $lang->isRtl()) else
Valeur initiale :
{
$colour = htmlspecialchars($this->params->get('colourChoice'))
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
Espaces de nommage | Fonctions | Variables
Référence du fichier administrator/templates/isis/index.php

Espaces de nommage

Joomla\Administrator

Fonctions

if($displayHeader) colorIsLight ($color)

Variables

$app = JFactory::getApplication()
$lang = JFactory::getLanguage()
$input = $app->input
$user = JFactory::getUser()
$frontEndUri = JUri::getInstance(JUri::root())
$mainPageUri = $frontEndUri->toString()
$option = $input->get('option', '')
$view = $input->get('view', '')
$layout = $input->get('layout', '')
$task = $input->get('task', '')
$itemid = $input->get('Itemid', 0, 'int')
$sitename = htmlspecialchars($app->get('sitename', ''), ENT_QUOTES, 'UTF-8')
$cpanel = $option === 'com_cpanel'
$hidden = $app->input->get('hidemainmenu')
$showSubmenu = false
$this | submenumodules = JModuleHelper::getModules('submenu')
foreach($this->submenumodules as $submenumodule) | $displayHeader = $this->params->get('displayHeader', '1')
$statusFixed = $this->params->get('statusFixed', '1')
$stickyToolbar = $this->params->get('stickyToolbar', '1')
$navbar_color = $this->params->get('templateColor') ?: ''
$header_color = $displayHeader && $this->params->get('headerColor') ? $this->params->get('headerColor') : ''
$navbar_is_light = $navbar_color && colorIsLight($navbar_color)
$header_is_light = $header_color && colorIsLight($header_color)
$offset = 20
if($displayHeader||! $statusFixed) | $stickyBar = 0
if($stickyToolbar) if($navbar_color) if($header_color) if($this->params->get('sidebarColor')) | if ( $this->params->get( 'linkColor'))
endif
else __pad90__

Documentation des fonctions

◆ colorIsLight()

if ( $displayHeader) colorIsLight ( $color )

Références $b, $color, $g, et $r.

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $cpanel

$cpanel = $option === 'com_cpanel'

◆ $displayHeader

foreach ( $this->submenumodules as $submenumodule) $displayHeader = $this->params->get('displayHeader', '1')

◆ $frontEndUri

$frontEndUri = JUri::getInstance(JUri::root())

◆ $header_color

$header_color = $displayHeader && $this->params->get('headerColor') ? $this->params->get('headerColor') : ''

◆ $header_is_light

$header_is_light = $header_color && colorIsLight($header_color)

◆ $hidden

$hidden = $app->input->get('hidemainmenu')

Référencé par AdminModelSysInfo\getConfig(), JLinkedinStream\getNetworkUpdates(), MenuHelper\loadXml(), FOFLessParser\parseChunk(), et lessc_parser\parseChunk().

◆ $input

$input = $app->input

◆ $itemid

$itemid = $input->get('Itemid', 0, 'int')

◆ $lang

$lang = JFactory::getLanguage()

◆ $layout

$layout = $input->get('layout', '')

◆ $mainPageUri

$mainPageUri = $frontEndUri->toString()

◆ $navbar_color

$navbar_color = $this->params->get('templateColor') ?: ''

◆ $navbar_is_light

$navbar_is_light = $navbar_color && colorIsLight($navbar_color)

◆ $offset

$offset = 20

Référencé par JDatabaseQueryMysqli\__toString(), JDatabaseQueryPostgresql\__toString(), JDatabaseQuerySqlite\__toString(), Pagination\_buildDataObject(), JArchiveZip\_readZipInfo(), PHPMailer\base64EncodeWrapMB(), ActionlogsModelActionlogs\buildDateRange(), UsersModelUsers\buildDateRange(), DisallowedClassesSubstitutor\buildIgnoreItems(), InputFilter\cleanTags(), JDatabaseDriverPdo\connected(), FOFDatabaseDriverPdo\connected(), ContentViewArticle\display(), ContactViewContact\display(), FOFDatabaseDriverPostgresql\execute(), JDatabaseDriverPostgresql\execute(), JFacebookObject\fetchUrl(), Form\filterField(), JFacebookUser\getActivities(), JFacebookUser\getAlbums(), JFacebookEvent\getAttending(), JFacebookUser\getBooks(), JFacebookUser\getCheckins(), FOFEncryptTotp\getCode(), JFacebookStatus\getComments(), JFacebookCheckin\getComments(), JFacebookLink\getComments(), JFacebookVideo\getComments(), JFacebookNote\getComments(), JFacebookPhoto\getComments(), JFacebookComment\getComments(), JFacebookPost\getComments(), JFacebookAlbum\getComments(), JFacebookObject\getConnection(), JFacebookEvent\getDeclined(), JFacebookGroup\getDocs(), JFacebookUser\getEvents(), JFacebookUser\getFamily(), JFacebookGroup\getFeed(), JFacebookEvent\getFeed(), JFacebookUser\getFeed(), JFacebookUser\getFriendLists(), JFacebookUser\getFriendRequests(), JFacebookUser\getFriends(), JFacebookUser\getGroups(), JFacebookUser\getHome(), JFacebookUser\getInterests(), JFacebookEvent\getInvited(), FinderIndexerAdapter\getItems(), JFacebookStatus\getLikes(), JFacebookPhoto\getLikes(), JFacebookVideo\getLikes(), JFacebookLink\getLikes(), JFacebookNote\getLikes(), JFacebookCheckin\getLikes(), JFacebookComment\getLikes(), JFacebookPost\getLikes(), JFacebookAlbum\getLikes(), JFacebookUser\getLikes(), JFacebookUser\getLinks(), TagsModelTags\getListQuery(), JFacebookEvent\getMaybe(), JFacebookGroup\getMembers(), JFacebookUser\getMovies(), JFacebookUser\getMusic(), JFacebookUser\getMutualFriends(), JFacebookEvent\getNoreply(), JFacebookUser\getNotes(), JFacebookUser\getNotifications(), JFacebookUser\getPermissions(), JFacebookAlbum\getPhotos(), JFacebookEvent\getPhotos(), JFacebookUser\getPhotos(), JFacebookUser\getPosts(), JFacebookUser\getStatuses(), JFacebookUser\getSubscribedTo(), JFacebookUser\getSubscribers(), JFacebookUser\getTagged(), JFacebookPhoto\getTags(), JFacebookUser\getTelevision(), JFacebookEvent\getVideos(), JFacebookUser\getVideos(), FOFDatabaseDriverSqlsrv\limit(), FOFDatabaseDriverJoomla\loadColumn(), FOFDatabaseDriver\loadColumn(), JDatabaseDriver\loadColumn(), Nested\moveByReference(), FOFDatabaseQueryPostgresql\offset(), JDatabaseQueryPostgresql\offset(), ParagonIE_Sodium_Core_Curve25519_Fe\offsetExists(), ParagonIE_Sodium_Core_ChaCha20_Ctx\offsetExists(), ParagonIE_Sodium_Core32_ChaCha20_Ctx\offsetExists(), ParagonIE_Sodium_Core32_Curve25519_Fe\offsetExists(), Feed\offsetExists(), Registry\offsetExists(), DataSet\offsetExists(), ParagonIE_Sodium_Core_Curve25519_Fe\offsetGet(), ParagonIE_Sodium_Core_ChaCha20_Ctx\offsetGet(), ParagonIE_Sodium_Core32_ChaCha20_Ctx\offsetGet(), Feed\offsetGet(), Registry\offsetGet(), DataSet\offsetGet(), ParagonIE_Sodium_Core_Curve25519_Fe\offsetSet(), ParagonIE_Sodium_Core_ChaCha20_Ctx\offsetSet(), ParagonIE_Sodium_Core32_ChaCha20_Ctx\offsetSet(), ParagonIE_Sodium_Core32_Curve25519_Fe\offsetSet(), Feed\offsetSet(), Registry\offsetSet(), DataSet\offsetSet(), ParagonIE_Sodium_Core_Curve25519_Fe\offsetUnset(), ParagonIE_Sodium_Core_ChaCha20_Ctx\offsetUnset(), ParagonIE_Sodium_Core32_ChaCha20_Ctx\offsetUnset(), ParagonIE_Sodium_Core32_Curve25519_Fe\offsetUnset(), Feed\offsetUnset(), Registry\offsetUnset(), DataSet\offsetUnset(), FinderIndexerAdapter\onBuildIndex(), PlgAuthenticationGMail\onUserAuthenticate(), NewsfeedsModelNewsfeed\populateState(), ContentModelArticle\populateState(), TagsModelTags\populateState(), TagsModelTag\populateState(), FinderIndexerQuery\processDates(), FOFDatabaseQueryMysqli\processLimit(), JDatabaseQueryMysqli\processLimit(), JDatabaseQueryOracle\processLimit(), FOFDatabaseQueryOracle\processLimit(), JDatabaseQuerySqlite\processLimit(), FOFDatabaseQuerySqlite\processLimit(), FOFDatabaseQuerySqlsrv\processLimit(), JDatabaseQuerySqlsrv\processLimit(), FOFDatabaseQueryPostgresql\processLimit(), JDatabaseQueryPostgresql\processLimit(), FinderIndexerQuery\processString(), FileWrapper\read(), File\read(), Zip\readZipInfo(), FinderIndexerParserHtml\removeBlocks(), Image\resize(), Image\sanitizeOffset(), Stream\seek(), BufferStreamHandler\seek_cur(), BufferStreamHandler\seek_end(), BufferStreamHandler\seek_set(), JFacebookObject\sendRequest(), FOFDatabaseQueryMysqli\setLimit(), JDatabaseQueryMysqli\setLimit(), JDatabaseQueryOracle\setLimit(), FOFDatabaseQueryOracle\setLimit(), JDatabaseQuerySqlite\setLimit(), FOFDatabaseQuerySqlite\setLimit(), FOFDatabaseQuerySqlsrv\setLimit(), JDatabaseQuerySqlsrv\setLimit(), FOFDatabaseQueryPostgresql\setLimit(), JDatabaseQueryPostgresql\setLimit(), FOFDatabaseDriverJoomla\setQuery(), JDatabaseDriverPdo\setQuery(), FOFDatabaseDriverPdo\setQuery(), FOFDatabaseDriver\setQuery(), JDatabaseDriver\setQuery(), DisallowedClassesSubstitutor\shift(), Buffer\stream_seek(), BufferStreamHandler\stream_seek(), StringWrapper\stream_seek(), StreamString\stream_seek(), PharStreamWrapper\stream_seek(), BinaryNoFuncOverload\stripos(), BinaryOnFuncOverload\stripos(), BinaryNoFuncOverload\strpos(), BinaryOnFuncOverload\strpos(), BinaryNoFuncOverload\strripos(), BinaryOnFuncOverload\strripos(), BinaryNoFuncOverload\strrpos(), BinaryOnFuncOverload\strrpos(), DisallowedClassesSubstitutor\substituteObjects(), tln_findnxreg(), tln_findnxstr(), tln_getnxtag(), tln_skipspace(), JHtmlString\truncate(), ParagonIE_Sodium_Core32_BLAKE2b\update(), ParagonIE_Sodium_Core_BLAKE2b\update(), utf8_byte_position(), utf8_strpos(), utf8_strrpos(), et utf8_substr().

◆ $option

$option = $input->get('option', '')

◆ $showSubmenu

$showSubmenu = false

◆ $sitename

$sitename = htmlspecialchars($app->get('sitename', ''), ENT_QUOTES, 'UTF-8')

◆ $statusFixed

$statusFixed = $this->params->get('statusFixed', '1')

◆ $stickyBar

if ( $displayHeader||! $statusFixed) $stickyBar = 0

◆ $stickyToolbar

$stickyToolbar = $this->params->get('stickyToolbar', '1')

◆ $task

$task = $input->get('task', '')

◆ $user

$user = JFactory::getUser()

◆ $view

$view = $input->get('view', '')

◆ __pad90__

else __pad90__

◆ endif

endif

◆ if

if($statusFixed && $this->countModules('status')) ( $this->params-> get'linkColor' )

◆ submenumodules

$this submenumodules = JModuleHelper::getModules('submenu')


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • system
Espaces de nommage
Référence du fichier administrator/templates/system/index.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
Espaces de nommage | Variables
Référence du fichier index.php

Espaces de nommage

Joomla\Site

Variables

const | JOOMLA_MINIMUM_PHP '5.3.10'
if(version_compare(PHP_VERSION, JOOMLA_MINIMUM_PHP, '<')) | $startTime = microtime(1)
$startMem = memory_get_usage()
const | _JEXEC 1
if(file_exists(__DIR__ . '/defines.php')) | if (!defined( '_JDEFINES'))
$app = JFactory::getApplication('site')

Documentation des variables

◆ $app

$app = JFactory::getApplication('site')

◆ $startMem

$startMem = memory_get_usage()

◆ $startTime

if (version_compare(PHP_VERSION, JOOMLA_MINIMUM_PHP, '<')) $startTime = microtime(1)

◆ _JEXEC

const _JEXEC 1

Constant that is checked in included files to prevent direct access. define() is used in the installation folder rather than "const" to not error for PHP 5.2 and lower

◆ if

if (file_exists(__DIR__ . '/defines.php')) if(!defined('_JDEFINES'))

◆ JOOMLA_MINIMUM_PHP

const JOOMLA_MINIMUM_PHP '5.3.10'

Define the application's minimum supported PHP version as a constant so it can be referenced within the application.


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
Espaces de nommage | Variables
Référence du fichier installation/index.php

Espaces de nommage

Joomla\Installation

Variables

const | JOOMLA_MINIMUM_PHP '5.3.10'
const | _JEXEC (version_compare(PHP_VERSION, JOOMLA_MINIMUM_PHP, '<')) 1
$app = JApplicationWeb::getInstance('InstallationApplicationWeb')

Documentation des variables

◆ $app

$app = JApplicationWeb::getInstance('InstallationApplicationWeb')

◆ _JEXEC

const _JEXEC(version_compare(PHP_VERSION, JOOMLA_MINIMUM_PHP, '<')) 1

Constant that is checked in included files to prevent direct access. define() is used in the installation folder rather than "const" to not error for PHP 5.2 and lower

◆ JOOMLA_MINIMUM_PHP

const JOOMLA_MINIMUM_PHP '5.3.10'

Define the application's minimum supported PHP version as a constant so it can be referenced within the application.


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • template
Espaces de nommage | Variables
Référence du fichier installation/template/index.php

Espaces de nommage

Joomla\Installation

Variables

$joomla = '<a href="https://www.joomla.org" target="_blank">Joomla!</a><sup>' . (JFactory::getLanguage()->isRtl() ? '&#x200E;' : '') . '</sup>'
$license = '<a href="https://www.gnu.org/licenses/old-licenses/gpl-2.0.html" target="_blank" rel="noopener noreferrer">' . JText::_('INSTL_GNU_GPL_LICENSE') . '</a>'

Documentation des variables

◆ $joomla

$joomla = '<a href="https://www.joomla.org" target="_blank">Joomla!</a><sup>' . (JFactory::getLanguage()->isRtl() ? '&#x200E;' : '') . '</sup>'

◆ $license

$license = '<a href="https://www.gnu.org/licenses/old-licenses/gpl-2.0.html" target="_blank" rel="noopener noreferrer">' . JText::_('INSTL_GNU_GPL_LICENSE') . '</a>'


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
Espaces de nommage | Variables
Référence du fichier templates/beez3/index.php

Espaces de nommage

Joomla\Site

Variables

$showRightColumn = ($this->countModules('position-3') or $this->countModules('position-6') or $this->countModules('position-8'))
$showbottom = ($this->countModules('position-9') or $this->countModules('position-10') or $this->countModules('position-11'))
$showleft = ($this->countModules('position-4') or $this->countModules('position-7') or $this->countModules('position-5'))
$color = $this->params->get('templatecolor')
$logo = $this->params->get('logo')
$navposition = $this->params->get('navposition')
$headerImage = $this->params->get('headerImage')
$config = JFactory::getConfig()
$bootstrap = explode(',', $this->params->get('bootstrap'))
$option = JFactory::getApplication()->input->getCmd('option', '')
if ( $logo)
endif

Documentation des variables

◆ $bootstrap

$bootstrap = explode(',', $this->params->get('bootstrap'))

◆ $color

$color = $this->params->get('templatecolor')

◆ $config

$config = JFactory::getConfig()

◆ $headerImage

$headerImage = $this->params->get('headerImage')

◆ $logo

$logo = $this->params->get('logo')

◆ $navposition

$navposition = $this->params->get('navposition')

◆ $option

$option = JFactory::getApplication()->input->getCmd('option', '')

◆ $showbottom

$showbottom = ($this->countModules('position-9') or $this->countModules('position-10') or $this->countModules('position-11'))

◆ $showleft

$showleft = ($this->countModules('position-4') or $this->countModules('position-7') or $this->countModules('position-5'))

◆ $showRightColumn

$showRightColumn = ($this->countModules('position-3') or $this->countModules('position-6') or $this->countModules('position-8'))

◆ endif

if ($navposition === 'center' and $showleft) ( $showRightColumn==null) endif

◆ if

if($showRightColumn) ( $logo )


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
Espaces de nommage | Variables
Référence du fichier templates/protostar/index.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$user = JFactory::getUser()
$params = $app->getTemplate(true)->params
$option = $app->input->getCmd('option', '')
$view = $app->input->getCmd('view', '')
$layout = $app->input->getCmd('layout', '')
$task = $app->input->getCmd('task', '')
$itemid = $app->input->getCmd('Itemid', '')
$sitename = htmlspecialchars($app->get('sitename'), ENT_QUOTES, 'UTF-8')
$position7ModuleCount = $this->countModules('position-7')
$position8ModuleCount = $this->countModules('position-8')
if($position7ModuleCount && $position8ModuleCount) elseif($position7ModuleCount &&! $position8ModuleCount) elseif(! $position7ModuleCount && $position8ModuleCount) else
endif
if ( $position8ModuleCount)

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $itemid

$itemid = $app->input->getCmd('Itemid', '')

◆ $layout

$layout = $app->input->getCmd('layout', '')

◆ $option

$option = $app->input->getCmd('option', '')

◆ $params

$params = $app->getTemplate(true)->params

◆ $position7ModuleCount

$position7ModuleCount = $this->countModules('position-7')

◆ $position8ModuleCount

$position8ModuleCount = $this->countModules('position-8')

◆ $sitename

$sitename = htmlspecialchars($app->get('sitename'), ENT_QUOTES, 'UTF-8')

◆ $task

$task = $app->input->getCmd('task', '')

◆ $user

$user = JFactory::getUser()

◆ $view

$view = $app->input->getCmd('view', '')

◆ else

if ( $this->params->get( 'logoFile')) elseif ( $this->params->get( 'sitetitle')) else
Valeur initiale :
{
$span = 'span12'

◆ endif

endif

◆ if

if($position7ModuleCount) ( $position8ModuleCount )


Joomla CMS: Référence du fichier index.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • system
Espaces de nommage
Référence du fichier templates/system/index.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier indexer.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • controllers
Structures de données | Espaces de nommage
Référence du fichier indexer.json.php

Structures de données

class | FinderControllerIndexer
class | FinderIndexerResponse

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier indexer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Structures de données | Espaces de nommage
Référence du fichier helpers/indexer/indexer.php

Structures de données

class FinderIndexer

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier indexer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
Structures de données | Espaces de nommage
Référence du fichier models/indexer.php

Structures de données

class FinderModelIndexer

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Inflector.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
Structures de données | Espaces de nommage
Référence du fichier Inflector.php

Structures de données

class Inflector

Espaces de nommage

Joomla\String


Joomla CMS: Référence du fichier inflector.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • inflector
Structures de données | Espaces de nommage
Référence du fichier inflector.php

Structures de données

class FOFInflector

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier info.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • openstreetmap
Structures de données | Espaces de nommage
Référence du fichier info.php

Structures de données

class JOpenstreetmapInfo

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier info_block.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier info_block.php

Espaces de nommage

Joomla\Site

Variables

$blockPosition = $displayData['params']->get('info_block_position', 0)
endif

Documentation des variables

◆ $blockPosition

$blockPosition = $displayData['params']->get('info_block_position', 0)

◆ endif

endif


Joomla CMS: Référence du fichier Ini.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
  • Format
Structures de données | Espaces de nommage
Référence du fichier Ini.php

Structures de données

class Ini

Espaces de nommage

Joomla\Registry\Format


Joomla CMS: Référence du fichier init.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • codemirror
  • layouts
  • editors
  • codemirror
Espaces de nommage | Variables
Référence du fichier init.php

Espaces de nommage

Joomla\Plugin

Variables

$params = $displayData->params
$basePath = $params->get('basePath', 'media/editors/codemirror/')
$modePath = $params->get('modePath', 'media/editors/codemirror/mode/%N/%N')
$extJS = JDEBUG ? '.js' : '.min.js'
$extCSS = JDEBUG ? '.css' : '.min.css'
$fskeys = $params->get('fullScreenMod', array())
$fskeys [] = $params->get('fullScreen', 'F10')
$fullScreenCombo = implode('-', $fskeys)
$fsCombo = json_encode($fullScreenCombo)
$modPath = json_encode(JUri::root(true) . '/' . $modePath . $extJS)
JS

Documentation des variables

◆ $basePath

$basePath = $params->get('basePath', 'media/editors/codemirror/')

Référencé par FileLayout\__construct(), FOFController\__construct(), LanguageAdapter\_install(), LanguageHelper\createLanguageList(), LanguageHelperWrapper\createLanguageList(), LayoutHelper\debug(), FOFViewForm\display(), LanguageHelper\exists(), Language\exists(), PostinstallModelMessages\getExtensionName(), BaseController\getInstance(), LanguageHelper\getKnownLanguages(), Language\getKnownLanguages(), LanguageHelper\getLanguagePath(), Language\getLanguagePath(), MediaModelList\getList(), FOFIntegrationJoomlaPlatform\getViewTemplatePaths(), LanguageAdapter\install(), Language\load(), PlgEditorCodemirror\loadKeyMap(), CMSPlugin\loadLanguage(), TemplateAdapter\loadLanguage(), PluginAdapter\prepareDiscoverInstall(), ConfigModelModules\preprocessForm(), FOFLayoutHelper\render(), LayoutHelper\render(), ModuleAdapter\setupInstallPaths(), TemplateAdapter\setupInstallPaths(), FileLayout\sublayout(), JHtmlTemplates\thumb(), JHtmlTemplates\thumbModal(), et LanguageAdapter\update().

◆ $extCSS

$extCSS = JDEBUG ? '.css' : '.min.css'

◆ $extJS

$extJS = JDEBUG ? '.js' : '.min.js'

◆ $fsCombo

$fsCombo = json_encode($fullScreenCombo)

◆ $fskeys [1/2]

$fskeys = $params->get('fullScreenMod', array())

◆ $fskeys [2/2]

$fskeys[] = $params->get('fullScreen', 'F10')

◆ $fullScreenCombo

$fullScreenCombo = implode('-', $fskeys)

◆ $modePath

$modePath = $params->get('modePath', 'media/editors/codemirror/mode/%N/%N')

◆ $modPath

$modPath = json_encode(JUri::root(true) . '/' . $modePath . $extJS)

◆ $params

$params = $displayData->params

◆ JS

JS


Joomla CMS: Référence du fichier Inline.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
Structures de données | Espaces de nommage
Référence du fichier Inline.php

Structures de données

class Inline

Espaces de nommage

Symfony\Component\Yaml


Joomla CMS: Référence du fichier Input.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Input
Structures de données | Espaces de nommage
Référence du fichier src/Input/Input.php

Structures de données

class Input

Espaces de nommage

Joomla\CMS\Input


Joomla CMS: Référence du fichier Input.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • input
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/input/src/Input.php

Structures de données

class Input

Espaces de nommage

Joomla\Input


Joomla CMS: Référence du fichier input.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • input
Structures de données | Espaces de nommage
Référence du fichier input.php

Structures de données

class FOFInput

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier input.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • input
  • jinput
Structures de données | Espaces de nommage
Référence du fichier jinput/input.php

Structures de données

class JInput

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier InputFilter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier src/Filter/InputFilter.php

Structures de données

class InputFilter

Espaces de nommage

Joomla\CMS\Filter


Joomla CMS: Référence du fichier InputFilter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filter
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/filter/src/InputFilter.php

Structures de données

class InputFilter

Espaces de nommage

Joomla\Filter


Joomla CMS: Référence du fichier install.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/install.php

Structures de données

class InstallerControllerInstall

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier install.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Structures de données | Espaces de nommage
Référence du fichier models/install.php

Structures de données

class InstallerModelInstall

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier installed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/controllers/installed.php

Structures de données

class LanguagesControllerInstalled

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier installed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/models/installed.php

Structures de données

class LanguagesModelInstalled

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier installed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Référence du fichier libraries/vendor/composer/installed.php


Joomla CMS: Référence du fichier InstalledVersions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Structures de données | Espaces de nommage
Référence du fichier InstalledVersions.php

Structures de données

class InstalledVersions

Espaces de nommage

Composer


Joomla CMS: Référence du fichier Installer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
Structures de données | Espaces de nommage
Référence du fichier Installer.php

Structures de données

class Installer

Espaces de nommage

Joomla\CMS\Installer


Joomla CMS: Référence du fichier installer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/helpers/installer.php

Structures de données

class InstallerHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier installer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
Espaces de nommage | Variables
Référence du fichier administrator/components/com_installer/installer.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_installer')) $controller = JControllerLegacy::getInstance('Installer')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_installer')) $controller = JControllerLegacy::getInstance('Installer')


Joomla CMS: Référence du fichier installer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/installer.php

Structures de données

class FOFDatabaseInstaller

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier InstallerAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
Structures de données | Espaces de nommage
Référence du fichier InstallerAdapter.php

Structures de données

class InstallerAdapter

Espaces de nommage

Joomla\CMS\Installer


Joomla CMS: Référence du fichier InstallerExtension.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
Structures de données | Espaces de nommage
Référence du fichier InstallerExtension.php

Structures de données

class InstallerExtension

Espaces de nommage

Joomla\CMS\Installer


Joomla CMS: Référence du fichier InstallerHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
Structures de données | Espaces de nommage
Référence du fichier InstallerHelper.php

Structures de données

class InstallerHelper

Espaces de nommage

Joomla\CMS\Installer


Joomla CMS: Référence du fichier InstallerScript.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
Structures de données | Espaces de nommage
Référence du fichier InstallerScript.php

Structures de données

class InstallerScript

Espaces de nommage

Joomla\CMS\Installer


Joomla CMS: Référence du fichier installscript.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • installscript
Structures de données | Espaces de nommage
Référence du fichier installscript.php

Structures de données

class FOFUtilsInstallscript

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier Int32.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier Int32.php

Structures de données

class ParagonIE_Sodium_Core32_Int32


Joomla CMS: Référence du fichier Int64.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier Int64.php

Structures de données

class ParagonIE_Sodium_Core32_Int64


Joomla CMS: Référence du fichier integer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/integer.php

Structures de données

class FOFFormFieldInteger

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier integer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/integer.php

Structures de données

class JFormFieldInteger

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier integer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • integer
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/integer/integer.php

Structures de données

class PlgFieldsInteger

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier integer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • integer
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/integer/tmpl/integer.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
if($value=='') if(is_array($value)) else

Documentation des variables

◆ $value

$value = $field->value

◆ else

if ( $value=='') if (is_array( $value)) else
Valeur initiale :
{
$value = (int) $value
$value
$value
Definition: plugins/fields/integer/tmpl/integer.php:12


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • config
  • domain
Structures de données | Espaces de nommage
Référence du fichier fof/config/domain/interface.php

Structures de données

interface FOFConfigDomainInterface

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
Structures de données | Espaces de nommage
Référence du fichier fof/database/interface.php

Structures de données

interface FOFDatabaseInterface

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • download
Structures de données | Espaces de nommage
Référence du fichier fof/download/interface.php

Structures de données

interface FOFDownloadInterface

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
  • aes
Structures de données | Espaces de nommage
Référence du fichier fof/encrypt/aes/interface.php

Structures de données

interface FOFEncryptAesInterface

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • hal
  • render
Structures de données | Espaces de nommage
Référence du fichier fof/hal/render/interface.php

Structures de données

interface FOFHalRenderInterface

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • platform
  • filesystem
Structures de données | Espaces de nommage
Référence du fichier fof/platform/filesystem/interface.php

Structures de données

interface FOFPlatformFilesystemInterface

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • platform
Structures de données | Espaces de nommage
Référence du fichier fof/platform/interface.php

Structures de données

interface FOFPlatformInterface

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
Structures de données | Espaces de nommage
Référence du fichier joomla/database/interface.php

Structures de données

interface JDatabaseInterface

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observable
Structures de données | Espaces de nommage
Référence du fichier joomla/observable/interface.php

Structures de données

interface JObservableInterface

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observer
Structures de données | Espaces de nommage
Référence du fichier joomla/observer/interface.php

Structures de données

interface JObserverInterface

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observer
  • updater
Structures de données | Espaces de nommage
Référence du fichier joomla/observer/updater/interface.php

Structures de données

interface JObserverUpdaterInterface

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier interface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • handler
Structures de données | Espaces de nommage
Référence du fichier joomla/session/handler/interface.php

Structures de données

interface JSessionHandlerInterface

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier intro_image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier intro_image.php

Espaces de nommage

Joomla\Site

Variables

$params = $displayData->params
$images = json_decode($displayData->images)
endif
else __pad15__
else ENT_COMPAT

Documentation des variables

◆ $images

$images = json_decode($displayData->images)

◆ $params

$params = $displayData->params

◆ __pad15__

else __pad15__

◆ endif

endif

◆ ENT_COMPAT

else ENT_COMPAT


Joomla CMS: Référence du fichier InvalidArgumentException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
  • Log
Structures de données | Espaces de nommage
Référence du fichier InvalidArgumentException.php

Structures de données

class InvalidArgumentException

Espaces de nommage

Psr\Log


Joomla CMS: Référence du fichier ip.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • ip
Structures de données | Espaces de nommage
Référence du fichier ip.php

Structures de données

class FOFUtilsIp

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier IpHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • utilities
  • src
Structures de données | Espaces de nommage
Référence du fichier IpHelper.php

Structures de données

class IpHelper

Espaces de nommage

Joomla\Utilities


Joomla CMS: Référence du fichier IPv6.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Net
Structures de données | Espaces de nommage
Référence du fichier IPv6.php

Structures de données

class SimplePie_Net_IPv6

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier IRI.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier IRI.php

Structures de données

class SimplePie_IRI

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier issues.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier issues.php

Structures de données

class JGithubPackageIssues

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Item.php

Structures de données

class SimplePie_Item

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/controllers/item.php

Structures de données

class MenusControllerItem

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/models/item.php

Structures de données

class MenusModelItem

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
  • export
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/helpers/export/item.php

Structures de données

class PrivacyExportItem

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier item.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • batch
Espaces de nommage | Variables
Référence du fichier layouts/joomla/html/batch/item.php

Espaces de nommage

Joomla\Site

Variables

$options

Documentation des variables

◆ $options

$options
Valeur initiale :
= array(
JHtml::_('select.option', 'c', JText::_('JLIB_HTML_BATCH_COPY')),
JHtml::_('select.option', 'm', JText::_('JLIB_HTML_BATCH_MOVE'))
)


Joomla CMS: Référence du fichier item_title.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier item_title.php

Espaces de nommage

Joomla\Site

Variables

$title = $displayData->getForm()->getValue('title')
$name = $displayData->getForm()->getValue('name')
endif

Documentation des variables

◆ $name

$name = $displayData->getForm()->getValue('name')

◆ $title

$title = $displayData->getForm()->getValue('title')

◆ endif

endif


Joomla CMS: Référence du fichier itemlanguage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier itemlanguage.php

Structures de données

class JFormFieldItemLanguage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ItemModel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Model
Structures de données | Espaces de nommage
Référence du fichier ItemModel.php

Structures de données

class ItemModel

Espaces de nommage

Joomla\CMS\MVC\Model


Joomla CMS: Référence du fichier items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/items.php

Structures de données

class MenusControllerItems

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
Structures de données | Espaces de nommage
Référence du fichier models/items.php

Structures de données

class MenusModelItems

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier itemtype.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier itemtype.php

Structures de données

class JFormFieldItemType

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier iterator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
Structures de données | Espaces de nommage
Référence du fichier fof/database/iterator.php

Structures de données

class FOFDatabaseIterator

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier iterator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
Structures de données | Espaces de nommage
Référence du fichier joomla/database/iterator.php

Structures de données

class JDatabaseIterator

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier ItunesRssParser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
  • Parser
  • Rss
Structures de données | Espaces de nommage
Référence du fichier ItunesRssParser.php

Structures de données

class ItunesRssParser

Espaces de nommage

Joomla\CMS\Feed\Parser\Rss


Joomla CMS: Référence du fichier jgrid.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier jgrid.php

Structures de données

class JHtmlJGrid

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier jobs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Structures de données | Espaces de nommage
Référence du fichier jobs.php

Structures de données

class JLinkedinJobs

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • less
  • formatter
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/less/formatter/joomla.php

Structures de données

class JLessFormatterJoomla

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/driver/joomla.php

Structures de données

class FOFDatabaseDriverJoomla

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • less
  • formatter
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/less/formatter/joomla.php

Structures de données

class FOFLessFormatterJoomla

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • render
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/render/joomla.php

Structures de données

class FOFRenderJoomla

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • update
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/utils/update/joomla.php

Structures de données

class FOFUtilsUpdateJoomla

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • handler
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/session/handler/joomla.php

Structures de données

class JSessionHandlerJoomla

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • actionlog
  • joomla
Structures de données | Espaces de nommage
Référence du fichier plugins/actionlog/joomla/joomla.php

Structures de données

class PlgActionlogJoomla

Espaces de nommage

Joomla\Plugins


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • authentication
  • joomla
Structures de données | Espaces de nommage
Référence du fichier plugins/authentication/joomla/joomla.php

Structures de données

class PlgAuthenticationJoomla

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • joomla
Structures de données | Espaces de nommage
Référence du fichier plugins/content/joomla/joomla.php

Structures de données

class PlgContentJoomla

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • extension
  • joomla
Structures de données | Espaces de nommage
Référence du fichier plugins/extension/joomla/joomla.php

Structures de données

class PlgExtensionJoomla

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier joomla.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • joomla
Structures de données | Espaces de nommage
Référence du fichier plugins/user/joomla/joomla.php

Structures de données

class PlgUserJoomla

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier joomla3.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • render
Structures de données | Espaces de nommage
Référence du fichier joomla3.php

Structures de données

class FOFRenderJoomla3

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier joomla40checks.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier joomla40checks.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_joomla40checks_condition ()

Documentation des fonctions

◆ admin_postinstall_joomla40checks_condition()

admin_postinstall_joomla40checks_condition ( )

Checks if the installation meets the current requirements for Joomla 4

Renvoie
boolean True if any check fails.
Depuis
3.7

https://developer.joomla.org/news/704-looking-forward-with-joomla-4.html https://developer.joomla.org/news/788-joomla-4-on-the-move.html

Références $db.


Joomla CMS: Référence du fichier joomlaupdate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_joomlaupdate/helpers/joomlaupdate.php

Structures de données

class JoomlaupdateHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier joomlaupdate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
Espaces de nommage | Variables
Référence du fichier administrator/components/com_joomlaupdate/joomlaupdate.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.admin')) $controller = JControllerLegacy::getInstance('Joomlaupdate')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.admin')) $controller = JControllerLegacy::getInstance('Joomlaupdate')


Joomla CMS: Référence du fichier joomlaupdate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • joomlaupdate
Structures de données | Espaces de nommage
Référence du fichier plugins/quickicon/joomlaupdate/joomlaupdate.php

Structures de données

class PlgQuickiconJoomlaupdate

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier jquery.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier jquery.php

Structures de données

class JHtmlJquery

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier Json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Input
Structures de données | Espaces de nommage
Référence du fichier src/Input/Json.php

Structures de données

class Json

Espaces de nommage

Joomla\CMS\Input


Joomla CMS: Référence du fichier Json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • input
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/input/src/Json.php

Structures de données

class Json

Espaces de nommage

Joomla\Input


Joomla CMS: Référence du fichier Json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
  • Format
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/registry/src/Format/Json.php

Structures de données

class Json

Espaces de nommage

Joomla\Registry\Format


Joomla CMS: Référence du fichier json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/view/application/json.php

Structures de données

class ConfigViewApplicationJson

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • cms
Structures de données | Espaces de nommage
Référence du fichier components/com_config/view/cms/json.php

Structures de données

class ConfigViewCmsJson

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • response
Structures de données | Espaces de nommage
Référence du fichier installation/response/json.php

Structures de données

class InstallationResponseJson

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • hal
  • render
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/hal/render/json.php

Structures de données

class FOFHalRenderJson

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • input
  • jinput
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/input/jinput/json.php

Structures de données

class JInputJSON

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • view
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/view/json.php

Structures de données

class FOFViewJson

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier JsonDocument.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier JsonDocument.php

Structures de données

class JsonDocument

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier JsonException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php73
  • Resources
  • stubs
Structures de données
Référence du fichier JsonException.php

Structures de données

class JsonException


Joomla CMS: Référence du fichier JsonResponse.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Response
Structures de données | Espaces de nommage
Référence du fichier JsonResponse.php

Structures de données

class JsonResponse

Espaces de nommage

Joomla\CMS\Response


Joomla CMS: Référence du fichier jsonresponse.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • helpers
Structures de données | Espaces de nommage
Référence du fichier jsonresponse.php

Structures de données

class JJsonResponse

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier JsonSerializable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • compat
  • src
Structures de données
Référence du fichier JsonSerializable.php

Structures de données

interface JsonSerializable


Joomla CMS: Référence du fichier jsstrings.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
Espaces de nommage
Référence du fichier jsstrings.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier JTextWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
  • Wrapper
Structures de données | Espaces de nommage
Référence du fichier JTextWrapper.php

Structures de données

class JTextWrapper

Espaces de nommage

Joomla\CMS\Language\Wrapper


Joomla CMS: Référence du fichier Key.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
Structures de données | Espaces de nommage
Référence du fichier Key.php

Structures de données

class Key

Espaces de nommage

Joomla\CMS\Crypt


Joomla CMS: Référence du fichier keychain.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • bin
Structures de données | Espaces de nommage | Variables
Référence du fichier bin/keychain.php

Structures de données

class KeychainManager

Espaces de nommage

Joomla\Platform

Variables

const | _JEXEC 1
if(file_exists(dirname(__DIR__) . '/defines.php')) | if (!defined( '_JDEFINES'))
$config = new JConfig
try

Documentation des variables

◆ $config

$config = new JConfig

◆ _JEXEC

const _JEXEC 1

◆ if

if (file_exists(dirname(__DIR__) . '/defines.php')) if(!defined('_JDEFINES'))

◆ try

try
Valeur initiale :
{
JApplicationCli::getInstance('KeychainManager')->execute()


Joomla CMS: Référence du fichier keychain.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • keychain
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/keychain/keychain.php

Structures de données

class JKeychain

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier KeyNotFoundException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
  • src
  • Exception
Structures de données | Espaces de nommage
Référence du fichier KeyNotFoundException.php

Structures de données

class KeyNotFoundException

Espaces de nommage

Joomla\DI\Exception


Joomla CMS: Référence du fichier keys.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier repositories/keys.php

Structures de données

class JGithubPackageRepositoriesKeys

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier keys.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • users
Structures de données | Espaces de nommage
Référence du fichier users/keys.php

Structures de données

class JGithubPackageUsersKeys

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier label.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • system
  • privacyconsent
Espaces de nommage | Variables
Référence du fichier system/privacyconsent/label.php

Espaces de nommage

Joomla\Plugin

Variables

$text = $label ? (string) $label : (string) $name
$required = true
$class = !empty($description) ? 'hasPopover' : ''
$label = '<label id="' . $id . '-lbl" for="' . $id . '" class="' . $class . '"'
if(!empty($description)) if(Factory::getLanguage() ->isRtl()) | $attribs = array()
$attribs ['class'] = 'modal'
$attribs ['rel'] = '{handler: \'iframe\', size: {x:800, y:500}}'
if($article) | else

Documentation des variables

◆ $attribs [1/3]

if (!empty( $description)) if (Factory::getLanguage() ->isRtl()) $attribs = array()

◆ $attribs [2/3]

$attribs[ 'class'] = 'modal'

◆ $attribs [3/3]

$attribs[ 'rel'] = '{handler: \'iframe\', size: {x:800, y:500}}'

◆ $class

$class = !empty($description) ? 'hasPopover' : ''

◆ $label

$label = '<label id="' . $id . '-lbl" for="' . $id . '" class="' . $class . '"'

◆ $required

$required = true

◆ $text

$text = $label ? (string) $label : (string) $name

◆ else

if ( $article) else
Valeur initiale :
{
$link = $text
$link
$link
Definition: administrator/components/com_menus/views/items/tmpl/modal.php:36
$text
$text
Definition: system/privacyconsent/label.php:54


Joomla CMS: Référence du fichier label.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • user
  • terms
Espaces de nommage | Variables
Référence du fichier user/terms/label.php

Espaces de nommage

Joomla\Plugin

Variables

$text = $label ? (string) $label : (string) $name
$required = true
$class = !empty($description) ? 'hasPopover' : ''
$label = '<label id="' . $id . '-lbl" for="' . $id . '" class="' . $class . '"'
if(!empty($description)) if(Factory::getLanguage() ->isRtl()) | $attribs = array()
$attribs ['class'] = 'modal'
$attribs ['rel'] = '{handler: \'iframe\', size: {x:800, y:500}}'
if($article) | else

Documentation des variables

◆ $attribs [1/3]

if (!empty( $description)) if (Factory::getLanguage() ->isRtl()) $attribs = array()

◆ $attribs [2/3]

$attribs[ 'class'] = 'modal'

◆ $attribs [3/3]

$attribs[ 'rel'] = '{handler: \'iframe\', size: {x:800, y:500}}'

◆ $class

$class = !empty($description) ? 'hasPopover' : ''

◆ $label

$label = '<label id="' . $id . '-lbl" for="' . $id . '" class="' . $class . '"'

◆ $required

$required = true

◆ $text

$text = $label ? (string) $label : (string) $name

◆ else

if ( $article) else
Valeur initiale :
{
$link = $text
$text
$text
Definition: user/terms/label.php:55
$link
$link
Definition: administrator/components/com_menus/views/items/tmpl/modal.php:36


Joomla CMS: Référence du fichier labels.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • issues
Structures de données | Espaces de nommage
Référence du fichier labels.php

Structures de données

class JGithubPackageIssuesLabels

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier langforum.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • help
  • tmpl
Espaces de nommage | Variables
Référence du fichier langforum.php

Espaces de nommage

Joomla\Administrator

Variables

$forumId = (int) JText::_('MOD_MENU_HELP_SUPPORT_OFFICIAL_LANGUAGE_FORUM_VALUE')
if(empty($forumId)) $forum_url = 'https://forum.joomla.org/viewforum.php?f=' . $forumId

Documentation des variables

◆ $forum_url

if (empty( $forumId)) $forum_url = 'https://forum.joomla.org/viewforum.php?f=' . $forumId

◆ $forumId

$forumId = (int) JText::_('MOD_MENU_HELP_SUPPORT_OFFICIAL_LANGUAGE_FORUM_VALUE')


Joomla CMS: Référence du fichier Language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
Structures de données | Espaces de nommage
Référence du fichier Language/Language.php

Structures de données

class Language

Espaces de nommage

Joomla\CMS\Language


Joomla CMS: Référence du fichier Language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Table/Language.php

Structures de données

class Language

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/language.php

Structures de données

class FinderHelperLanguage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/controllers/language.php

Structures de données

class LanguagesControllerLanguage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/models/language.php

Structures de données

class LanguagesModelLanguage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier installation/form/field/language.php

Structures de données

class InstallationFormFieldLanguage

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier layouts/joomla/content/language.php

Espaces de nommage

Joomla\Site

Variables

$item = $displayData
if($item->language===' *') elseif($item->language_image) elseif($item->language_title) else

Documentation des variables

◆ $item

$item = $displayData

◆ else

if ( $item->language===' *') elseif ( $item->language_image) elseif ( $item->language_title) else
Valeur initiale :
{
echo JText::_('JUNDEFINED')


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • batch
Espaces de nommage
Référence du fichier layouts/joomla/html/batch/language.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/language.php

Structures de données

class FOFFormFieldLanguage

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/header/language.php

Structures de données

class FOFFormHeaderLanguage

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • behavior
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/model/behavior/language.php

Structures de données

class FOFModelBehaviorLanguage

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier language.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/language.php

Structures de données

class JFormFieldLanguage

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier languageaccess340.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier languageaccess340.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_languageaccess340_condition ()

Documentation des fonctions

◆ admin_postinstall_languageaccess340_condition()

admin_postinstall_languageaccess340_condition ( )

Checks if the installation is affected by the issue with content languages access in 3.4.0

https://github.com/joomla/joomla-cms/pull/6194 boolean 3.4.1

Références $db, et $query.


Joomla CMS: Référence du fichier LanguageAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier LanguageAdapter.php

Structures de données

class LanguageAdapter

Espaces de nommage

Joomla\CMS\Installer\Adapter


Joomla CMS: Référence du fichier languageclient.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier languageclient.php

Structures de données

class JFormFieldLanguageclient

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier languagecode.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • languagecode
Structures de données | Espaces de nommage
Référence du fichier languagecode.php

Structures de données

class PlgSystemLanguagecode

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier languagefilter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • languagefilter
Structures de données | Espaces de nommage
Référence du fichier languagefilter.php

Structures de données

class PlgSystemLanguageFilter

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier LanguageHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
Structures de données | Espaces de nommage
Référence du fichier LanguageHelper.php

Structures de données

class LanguageHelper

Espaces de nommage

Joomla\CMS\Language


Joomla CMS: Référence du fichier LanguageHelperWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
  • Wrapper
Structures de données | Espaces de nommage
Référence du fichier LanguageHelperWrapper.php

Structures de données

class LanguageHelperWrapper

Espaces de nommage

Joomla\CMS\Language\Wrapper


Joomla CMS: Référence du fichier languages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/models/languages.php

Structures de données

class InstallerModelLanguages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier languages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/controllers/languages.php

Structures de données

class LanguagesControllerLanguages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier languages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/helpers/html/languages.php

Structures de données

class JHtmlLanguages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier languages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/helpers/languages.php

Structures de données

class LanguagesHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier languages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
Espaces de nommage | Variables
Référence du fichier administrator/components/com_languages/languages.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_languages')) $controller = JControllerLegacy::getInstance('Languages')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_languages')) $controller = JControllerLegacy::getInstance('Languages')


Joomla CMS: Référence du fichier languages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/models/languages.php

Structures de données

class LanguagesModelLanguages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier languages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
  • install
Structures de données | Espaces de nommage
Référence du fichier installation/controller/install/languages.php

Structures de données

class InstallationControllerInstallLanguages

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier languages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • model
Structures de données | Espaces de nommage
Référence du fichier installation/model/languages.php

Structures de données

class InstallationModelLanguages

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier LanguageStemmer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
Structures de données | Espaces de nommage
Référence du fichier LanguageStemmer.php

Structures de données

class LanguageStemmer

Espaces de nommage

Joomla\CMS\Language


Joomla CMS: Référence du fichier LastvisitdaterangeField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier LastvisitdaterangeField.php

Structures de données

class LastvisitdaterangeField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier LayoutHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Layout
Structures de données | Espaces de nommage
Référence du fichier LayoutHelper.php

Structures de données

class LayoutHelper

Espaces de nommage

Joomla\CMS\Layout


Joomla CMS: Référence du fichier LayoutInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Layout
Structures de données | Espaces de nommage
Référence du fichier LayoutInterface.php

Structures de données

interface LayoutInterface

Espaces de nommage

Joomla\CMS\Layout


Joomla CMS: Référence du fichier ldap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • authentication
  • ldap
Structures de données | Espaces de nommage
Référence du fichier ldap.php

Structures de données

class PlgAuthenticationLdap

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier LdapClient.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • ldap
  • src
Structures de données | Espaces de nommage
Référence du fichier LdapClient.php

Structures de données

class LdapClient

Espaces de nommage

Joomla\Ldap


Joomla CMS: Référence du fichier LegacyFactory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Factory
Structures de données | Espaces de nommage
Référence du fichier LegacyFactory.php

Structures de données

class LegacyFactory

Espaces de nommage

Joomla\CMS\MVC\Factory


Joomla CMS: Référence du fichier legacyrouter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • helpers
Structures de données | Espaces de nommage
Référence du fichier com_contact/helpers/legacyrouter.php

Structures de données

class ContactRouterRulesLegacy

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier legacyrouter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • helpers
Structures de données | Espaces de nommage
Référence du fichier com_content/helpers/legacyrouter.php

Structures de données

class ContentRouterRulesLegacy

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier legacyrouter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • helpers
Structures de données | Espaces de nommage
Référence du fichier com_newsfeeds/helpers/legacyrouter.php

Structures de données

class NewsfeedsRouterRulesLegacy

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier legacyrouter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • helpers
Structures de données | Espaces de nommage
Référence du fichier com_users/helpers/legacyrouter.php

Structures de données

class UsersRouterRulesLegacy

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier less.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • less
Structures de données | Espaces de nommage
Référence du fichier cms/less/less.php

Structures de données

class JLess

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier less.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • less
Structures de données | Espaces de nommage
Référence du fichier fof/less/less.php

Structures de données

class FOFLess

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier lessc.inc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • leafo
  • lessphp
Structures de données
Référence du fichier lessc.inc.php

Structures de données

class | lessc
class | lessc_parser
class | lessc_formatter_classic
class | lessc_formatter_compressed
class | lessc_formatter_lessjs


Joomla CMS: Référence du fichier lessify.inc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • leafo
  • lessphp
Structures de données
Référence du fichier lessify.inc.php

Structures de données

class | easyparse
class | tagparse
class | nodecounter
class | lessify


Joomla CMS: Référence du fichier lessjs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • less
  • formatter
Structures de données | Espaces de nommage
Référence du fichier lessjs.php

Structures de données

class FOFLessFormatterLessjs

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier level.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/level.php

Structures de données

class UsersControllerLevel

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier level.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier models/level.php

Structures de données

class UsersModelLevel

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier levels.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/levels.php

Structures de données

class UsersControllerLevels

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier levels.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier models/fields/levels.php

Structures de données

class JFormFieldLevels

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier levels.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier models/levels.php

Structures de données

class UsersModelLevels

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier LibraryAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier LibraryAdapter.php

Structures de données

class LibraryAdapter

Espaces de nommage

Joomla\CMS\Installer\Adapter


Joomla CMS: Référence du fichier LibraryHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier LibraryHelper.php

Structures de données

class LibraryHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier LibraryManifest.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Manifest
Structures de données | Espaces de nommage
Référence du fichier LibraryManifest.php

Structures de données

class LibraryManifest

Espaces de nommage

Joomla\CMS\Installer\Manifest


Joomla CMS: Référence du fichier limitable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier fof/database/query/limitable.php

Structures de données

interface FOFDatabaseQueryLimitable

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier limitable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier joomla/database/query/limitable.php

Structures de données

interface JDatabaseQueryLimitable

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier LimitboxField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier LimitboxField.php

Structures de données

class LimitboxField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/tables/link.php

Structures de données

class FinderTableLink

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/controllers/link.php

Structures de données

class RedirectControllerLink

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/models/link.php

Structures de données

class RedirectModelLink

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/tables/link.php

Structures de données

class RedirectTableLink

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/link.php

Espaces de nommage

Joomla\Administrator

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']

Documentation des variables

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • pagination
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/html/layouts/joomla/pagination/link.php

Espaces de nommage

Joomla\Site

Variables

$item = $displayData['data']
if(!empty($displayData['pagOptions'])) | else
$display = $item->text
switch((string) $item->text) $item | text = $addText ?: ''
if($class !='active') | if ( $displayData[ 'active'])
else __pad89__
endif

Documentation des variables

◆ $display

$display = $item->text

Référencé par PlgSystemDebug\displaySession(), FOFFormFieldCalendar\getCalendar(), JHtmlSliders\loadBehavior(), pagination_item_active(), et JHtmlTel\tel().

◆ $item

$item = $displayData['data']

◆ __pad89__

else __pad89__

◆ else

if ( $icon !==null) if ( $displayData[ 'active']) else
Valeur initiale :
{
$liClass = $addText = ''

◆ endif

endif

◆ if

if ( $class !='active') if($displayData['active'])

◆ text

string $value The value text = $addText ?: ''

Layout variables

Référencé par PaginationObject\__construct(), SimplePie_Caption\__construct(), JHtmlList\genericordering(), SimplePie_Caption\get_text(), JFormFieldImpTotal\getInput(), JFormFieldMenuParent\getOptions(), JHtmlUser\groups(), PlgQuickiconExtensionupdate\onGetIcons(), et JHtmlModules\positionList().


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • links
Espaces de nommage | Variables
Référence du fichier layouts/joomla/links/link.php

Espaces de nommage

Joomla\Site

Variables

$id = empty($displayData['id']) ? '' : (' id="' . $displayData['id'] . '"')
$target = empty($displayData['target']) ? '' : (' target="' . $displayData['target'] . '"')
$rel = empty($displayData['rel']) ? '' : (' rel="' . $displayData['rel'] . '"')
$onclick = empty($displayData['onclick']) ? '' : (' onclick="' . $displayData['onclick'] . '"')
$title = empty($displayData['title']) ? '' : (' title="' . $this->escape($displayData['title']) . '"')
$text = empty($displayData['text']) ? '' : ('<span class="j-links-link">' . $displayData['text'] . '</span>')

Documentation des variables

◆ $id

$id = empty($displayData['id']) ? '' : (' id="' . $displayData['id'] . '"')

◆ $onclick

$onclick = empty($displayData['onclick']) ? '' : (' onclick="' . $displayData['onclick'] . '"')

◆ $rel

$rel = empty($displayData['rel']) ? '' : (' rel="' . $displayData['rel'] . '"')

◆ $target

$target = empty($displayData['target']) ? '' : (' target="' . $displayData['target'] . '"')

◆ $text

$text = empty($displayData['text']) ? '' : ('<span class="j-links-link">' . $displayData['text'] . '</span>')

◆ $title

$title = empty($displayData['title']) ? '' : (' title="' . $this->escape($displayData['title']) . '"')


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • pagination
Espaces de nommage | Variables
Référence du fichier layouts/joomla/pagination/link.php

Espaces de nommage

Joomla\Site

Variables

$item = $displayData['data']
$display = $item->text
switch((string) $item->text) if($icon !==null) if($displayData['active']) | else
if | ($displayData['active']) (' ', $cssClasses) . '"'
else __pad20__
endif

Documentation des variables

◆ $display

$display = $item->text

◆ $item

$item = $displayData['data']

◆ ($displayData['active'])

if ( $displayData[ 'active'])(' ', $cssClasses) . '"'

◆ __pad20__

else __pad20__

◆ else

switch ((string) $item->text) if ( $icon !==null) if ( $displayData[ 'active']) else
Valeur initiale :
{
$class = (property_exists($item, 'active') && $item->active) ? 'active' : 'disabled'
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19
$item
$item
Definition: layouts/joomla/pagination/link.php:13

◆ endif

endif


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier layouts/joomla/toolbar/link.php

Espaces de nommage

Joomla\Site

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']

Documentation des variables

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • hal
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/hal/link.php

Structures de données

class FOFHalLink

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier link.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/facebook/link.php

Structures de données

class JFacebookLink

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier LinkButton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
  • Button
Structures de données | Espaces de nommage
Référence du fichier LinkButton.php

Structures de données

class LinkButton

Espaces de nommage

Joomla\CMS\Toolbar\Button


Joomla CMS: Référence du fichier linkedin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Structures de données | Espaces de nommage
Référence du fichier linkedin.php

Structures de données

class JLinkedin

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/controllers/links.php

Structures de données

class RedirectControllerLinks

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/models/links.php

Structures de données

class RedirectModelLinks

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • pagination
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/html/layouts/joomla/pagination/links.php

Espaces de nommage

Joomla\Site

Variables

$list = $displayData['list']
$pages = $list['pages']
$pagesTotal = $list['pagesTotal']
$options = new Registry($displayData['options'])
$showLimitBox = $options->get('showLimitBox', 0)
$showPagesLinks = $options->get('showPagesLinks', true)
$showLimitStart = $options->get('showLimitStart', true)
if($showLimitBox) endif
$pages ['start']['pagOptions'] = array('addText' => ' (' . JText::sprintf('JLIB_HTML_PAGE_CURRENT_OF_TOTAL', 1, $pagesTotal) . ')')
endforeach
$pages ['end']['pagOptions'] = array('addText' => ' (' . JText::sprintf('JLIB_HTML_PAGE_CURRENT_OF_TOTAL', $pagesTotal, $pagesTotal) . ')')
if ( $showLimitStart)

Documentation des variables

◆ $list

$list = $displayData['list']

◆ $options

$options = new Registry($displayData['options'])

◆ $pages [1/3]

$pages = $list['pages']

◆ $pages [2/3]

$pages[ 'start'][ 'pagOptions'] = array('addText' => ' (' . JText::sprintf('JLIB_HTML_PAGE_CURRENT_OF_TOTAL', 1, $pagesTotal) . ')')

◆ $pages [3/3]

$pages[ 'end'][ 'pagOptions'] = array('addText' => ' (' . JText::sprintf('JLIB_HTML_PAGE_CURRENT_OF_TOTAL', $pagesTotal, $pagesTotal) . ')')

◆ $pagesTotal

$pagesTotal = $list['pagesTotal']

Référencé par Pagination\__construct().

◆ $showLimitBox

$showLimitBox = $options->get('showLimitBox', 0)

◆ $showLimitStart

$showLimitStart = $options->get('showLimitStart', true)

◆ $showPagesLinks

$showPagesLinks = $options->get('showPagesLinks', true)

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($showLimitStart)


Joomla CMS: Référence du fichier links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • pagination
Espaces de nommage | Variables
Référence du fichier layouts/joomla/pagination/links.php

Espaces de nommage

Joomla\Site

Variables

$list = $displayData['list']
$pages = $list['pages']
$options = new Registry($displayData['options'])
$showLimitBox = $options->get('showLimitBox', true)
$showPagesLinks = $options->get('showPagesLinks', true)
$showLimitStart = $options->get('showLimitStart', true)
$currentPage = 1
$range = 1
$step = 5
endif
endforeach
if ( $showLimitStart)

Documentation des variables

◆ $currentPage

$currentPage = 1

Référencé par pagination_list_render().

◆ $list

$list = $displayData['list']

◆ $options

$options = new Registry($displayData['options'])

◆ $pages

$pages = $list['pages']

◆ $range

$range = 1

Référencé par idna_convert\_nameprep(), ActionlogsModelActionlogs\buildDateRange(), UsersModelUsers\buildDateRange(), SimplePie_Decode_HTML_Entities\entity(), UsersModelUsers\getListQuery(), pagination_list_render(), et ParagonIE_Sodium_Compat\randombytes_uniform().

◆ $showLimitBox

$showLimitBox = $options->get('showLimitBox', true)

◆ $showLimitStart

$showLimitStart = $options->get('showLimitStart', true)

◆ $showPagesLinks

$showPagesLinks = $options->get('showPagesLinks', true)

◆ $step

$step = 5

Référencé par ComponentAdapter\_rollback_menu(), Installer\abort(), Installer\copyFiles(), Language\getCallerInfo(), JFormFieldInteger\getOptions(), pagination_list_render(), et Installer\pushStep().

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($showLimitStart)


Joomla CMS: Référence du fichier links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/links.php

Structures de données

class JHtmlLinks

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • hal
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/hal/links.php

Structures de données

class FOFHalLinks

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier links.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/mediawiki/links.php

Structures de données

class JMediawikiLinks

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier list.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_media/models/list.php

Structures de données

class MediaModelList

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier list.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tag
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_tags/views/tag/tmpl/list.php

Espaces de nommage

Joomla\Site

Variables

$n = count($this->items)
endif

Documentation des variables

◆ $n

$n = count($this->items)

◆ endif

endif


Joomla CMS: Référence du fichier list.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • pagination
Espaces de nommage | Variables
Référence du fichier layouts/joomla/pagination/list.php

Espaces de nommage

Joomla\Site

Variables

$list = $displayData['list']
foreach($list['pages'] as $page) endforeach

Documentation des variables

◆ $list

$list = $displayData['list']

◆ endforeach

foreach ( $list[ 'pages'] as $page) endforeach


Joomla CMS: Référence du fichier list.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
  • default
Espaces de nommage | Variables
Référence du fichier layouts/joomla/searchtools/default/list.php

Espaces de nommage

Joomla\Site

Variables

$data = $displayData
$list = $data['view']->filterForm->getGroup('list')
if( $list)($list as $fieldName=> $field) endforeach
endif

Documentation des variables

◆ $data

$data = $displayData

◆ $list

$list = $data['view']->filterForm->getGroup('list')

◆ endforeach

if ($list) ( $list as $fieldName=> $field) endforeach

◆ endif

endif


Joomla CMS: Référence du fichier list.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/list.php

Structures de données

class JHtmlList

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier list.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/list.php

Structures de données

class FOFFormFieldList

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier list.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/list.php

Structures de données

class JFormFieldList

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier list.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • list
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/list/list.php

Structures de données

class PlgFieldsList

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier list.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • list
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/list/tmpl/list.php

Espaces de nommage

Joomla\Plugin

Variables

$fieldValue = $field->value
$texts = array()
$options = $this->getOptionsFromField($field)
foreach ( $options as $value=> $name)

Documentation des variables

◆ $fieldValue

if ( $fieldValue=='') $fieldValue = $field->value

◆ $options

$options = $this->getOptionsFromField($field)

◆ $texts

$texts = array()

◆ foreach

foreach($options as $value=> $name)


Joomla CMS: Référence du fichier list_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tag
  • tmpl
Espaces de nommage | Variables
Référence du fichier list_items.php

Espaces de nommage

Joomla\Site

Variables

$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))

Documentation des variables

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))


Joomla CMS: Référence du fichier ListenersPriorityQueue.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier ListenersPriorityQueue.php

Structures de données

class ListenersPriorityQueue

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier ListModel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Model
Structures de données | Espaces de nommage
Référence du fichier ListModel.php

Structures de données

class ListModel

Espaces de nommage

Joomla\CMS\MVC\Model


Joomla CMS: Référence du fichier lists.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier lists.php

Structures de données

class JTwitterLists

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier loader.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • class
Structures de données | Espaces de nommage
Référence du fichier cms/class/loader.php

Structures de données

class JClassLoader

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier loader.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
Structures de données | Espaces de nommage | Fonctions
Référence du fichier loader.php

Structures de données

class JLoader

Espaces de nommage

Joomla\Platform

Fonctions

if(!function_exists('jexit')) jimport ($path, $base=null)

Documentation des fonctions

◆ jimport()

if (!function_exists( 'jexit')) jimport | ( | $path,
 |  | $base = null
 | ) |

Intelligent file importer.

Paramètres
string | $path | A dot syntax path.
string | $base | Search this directory for the class.
Renvoie
boolean True on success.
Depuis
1.7.0

Références $base, $path, et JLoader\import().

Référencé par HtmlView\_addPath(), InstallerModelInstall\_getPackageFromUpload(), InstallerModelInstall\_getPackageFromUrl(), PostinstallControllerMessage\action(), BaseDatabaseModel\addIncludePath(), admin_postinstall_eaccelerator_action(), behindproxy_postinstall_action(), TemplateHelper\canUpload(), MediaHelper\canUpload(), JoomlaInstallerScript\clearRadCache(), TemplatesModelTemplate\copy(), TemplatesModelTemplate\createFolder(), TemplatesModelTemplate\createOverride(), LegacyFactory\createView(), LanguagesModelOverrides\delete(), TemplatesModelTemplate\deleteFolder(), JoomlaInstallerScript\deleteUnexistingFiles(), DeletefilesCli\doExecute(), JoomlaupdateModelDefault\downloadPackage(), TemplatesModelTemplate\fixTemplateName(), CategoryHelperAssociation\getCategoryAssociations(), BannersModelTracks\getContent(), ModFeedHelper\getFeed(), TemplatesModelTemplate\getFiles(), MediaModelManager\getFolderList(), LanguagesModelInstalled\getFolders(), MediaModelManager\getFolderTree(), ContenthistoryHelper\getFormFile(), BaseDatabaseModel\getInstance(), Table\getInstance(), FinderViewSearch\getLayoutFile(), JFormFieldDirectories\getOptions(), FOFFormFieldList\getOptions(), MenuHelper\getPresets(), AdminModelHelp\getToc(), MenusModelMenutypes\getTypeOptions(), JoomlaupdateModelDefault\getUpdateInformation(), JHtmlUsers\image(), HtmlView\loadHelper(), ConfigViewCmsHtml\loadTemplate(), HtmlView\loadTemplate(), PostinstallModelMessages\onProcessList(), PlgSystemLanguageFilter\onUserLogin(), TemplatesModelTemplate\populateState(), InstallerModelUpdate\preparePreUpdate(), ConfigModelModules\preprocessForm(), ConfigModelTemplates\preprocessForm(), PluginsModelPlugin\preprocessForm(), CategoriesModelCategory\preprocessForm(), TemplatesModelStyle\preprocessForm(), ModulesModelModule\preprocessForm(), JApplication\redirect(), LanguagesModelStrings\refresh(), LanguagesModelOverride\save(), TemplatesModelTemplate\save(), Menu\store(), FOFUtilsUpdate\updateComponent(), JGoogleDataPicasaAlbum\upload(), JoomlaupdateModelDefault\upload(), TemplatesModelTemplate\uploadFile(), et ConfigModelApplication\writeConfigFile().


Joomla CMS: Référence du fichier loadmodule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • loadmodule
Structures de données | Espaces de nommage
Référence du fichier loadmodule.php

Structures de données

class PlgContentLoadmodule

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier location.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier location.php

Structures de données

class JFormFieldLocation

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Locator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Locator.php

Structures de données

class SimplePie_Locator

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier log.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • log
Structures de données | Espaces de nommage
Référence du fichier log.php

Structures de données

class PlgSystemLog

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Log.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
Structures de données | Espaces de nommage
Référence du fichier Log.php

Structures de données

class Log

Espaces de nommage

Joomla\CMS\Log


Joomla CMS: Référence du fichier logcreator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier logcreator.php

Structures de données

class JFormFieldLogCreator

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier LogEntry.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
Structures de données | Espaces de nommage
Référence du fichier LogEntry.php

Structures de données

class LogEntry

Espaces de nommage

Joomla\CMS\Log


Joomla CMS: Référence du fichier logexception.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • log
Structures de données | Espaces de nommage
Référence du fichier logexception.php

Structures de données

class LogException

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier Logger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
Structures de données | Espaces de nommage
Référence du fichier Logger.php

Structures de données

class Logger

Espaces de nommage

Joomla\CMS\Log


Joomla CMS: Référence du fichier LoggerAwareInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
  • Log
Structures de données | Espaces de nommage
Référence du fichier LoggerAwareInterface.php

Structures de données

interface LoggerAwareInterface

Espaces de nommage

Psr\Log


Joomla CMS: Référence du fichier LoggerAwareTrait.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
  • Log
Espaces de nommage | Fonctions | Variables
Référence du fichier LoggerAwareTrait.php

Espaces de nommage

Psr\Log

Fonctions

setLogger (LoggerInterface $logger)

Variables

trait LoggerAwareTrait


Joomla CMS: Référence du fichier LoggerInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
  • Log
Structures de données | Espaces de nommage
Référence du fichier LoggerInterface.php

Structures de données

interface LoggerInterface

Espaces de nommage

Psr\Log


Joomla CMS: Référence du fichier LoggerTrait.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
  • Log
Espaces de nommage | Variables
Référence du fichier LoggerTrait.php

Espaces de nommage

Psr\Log

Variables

trait LoggerTrait


Joomla CMS: Référence du fichier login.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
Espaces de nommage | Variables
Référence du fichier administrator/components/com_login/login.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$task = $input->get('task')
if($task !='login' && $task !='logout') $controller = JControllerLegacy::getInstance('Login')

Documentation des variables

◆ $controller

if ( $task !='login' &&$task !='logout') $controller = JControllerLegacy::getInstance('Login')

◆ $input

$input = JFactory::getApplication()->input

◆ $task

$task = $input->get('task')


Joomla CMS: Référence du fichier login.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_login/models/login.php

Structures de données

class LoginModelLogin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier login.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/login.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$lang = JFactory::getLanguage()
$frontEndUri = JUri::getInstance(JUri::root())
if(! $this->params->get('colourChoice')) else

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $frontEndUri

$frontEndUri = JUri::getInstance(JUri::root())

◆ $lang

$lang = JFactory::getLanguage()

◆ else

if ( $lang->isRtl()) else
Valeur initiale :
{
$colour = htmlspecialchars($this->params->get('colourChoice'), ENT_COMPAT, 'UTF-8')
ENT_COMPAT
else ENT_COMPAT
Definition: components/com_newsfeeds/views/category/tmpl/default_items.php:20
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34


Joomla CMS: Référence du fichier login.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
Espaces de nommage | Fonctions | Variables
Référence du fichier administrator/templates/isis/login.php

Espaces de nommage

Joomla\Administrator

Fonctions

colorIsLight ($color)

Variables

$app = JFactory::getApplication()
$lang = JFactory::getLanguage()
$frontEndUri = JUri::getInstance(JUri::root())
$background_color = $this->params->get('loginBackgroundColor') ?: ''
$color_is_light = $background_color && colorIsLight($background_color)
$option = $app->input->getCmd('option', '')
$view = $app->input->getCmd('view', '')
$layout = $app->input->getCmd('layout', '')
$task = $app->input->getCmd('task', '')
$itemid = $app->input->getCmd('Itemid', '')
$sitename = htmlspecialchars($app->get('sitename', ''), ENT_QUOTES, 'UTF-8')
if (JPluginHelper::isEnabled( 'system', 'debug') &&( $app->get( 'debug_lang', 0)||$app->get( 'debug', 0)))
if( $loginLogoFile=$this->params->get( 'loginLogoFile'))() . htmlspecialchars($loginLogoFile ENT_QUOTES
else __pad91__
endif

Documentation des fonctions

◆ colorIsLight()

colorIsLight ( $color )

Références $b, $color, $g, et $r.

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $background_color

$background_color = $this->params->get('loginBackgroundColor') ?: ''

◆ $color_is_light

$color_is_light = $background_color && colorIsLight($background_color)

◆ $frontEndUri

$frontEndUri = JUri::getInstance(JUri::root())

◆ $itemid

$itemid = $app->input->getCmd('Itemid', '')

◆ $lang

$lang = JFactory::getLanguage()

◆ $layout

$layout = $app->input->getCmd('layout', '')

◆ $option

$option = $app->input->getCmd('option', '')

◆ $sitename

$sitename = htmlspecialchars($app->get('sitename', ''), ENT_QUOTES, 'UTF-8')

◆ $task

$task = $app->input->getCmd('task', '')

◆ $view

$view = $app->input->getCmd('view', '')

◆ __pad91__

else __pad91__

◆ endif

endif

◆ ENT_QUOTES

if ($loginLogoFile = $this->params->get('loginLogoFile')) () . htmlspecialchars( $loginLogoFile ENT_QUOTES

◆ if

if(JPluginHelper::isEnabled('system', 'debug') &&($app->get('debug_lang', 0)|| $app->get('debug', 0)))


Joomla CMS: Référence du fichier login.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_users/models/login.php

Structures de données

class UsersModelLogin

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier loginuniquefield.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • models
  • rules
Structures de données | Espaces de nommage
Référence du fichier loginuniquefield.php

Structures de données

class JFormRuleLoginUniqueField

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier LogLevel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
  • Log
Structures de données | Espaces de nommage
Référence du fichier LogLevel.php

Structures de données

class LogLevel

Espaces de nommage

Psr\Log


Joomla CMS: Référence du fichier logout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • logout
Structures de données | Espaces de nommage
Référence du fichier logout.php

Structures de données

class PlgSystemLogout

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier logoutuniquefield.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • models
  • rules
Structures de données | Espaces de nommage
Référence du fichier logoutuniquefield.php

Structures de données

class JFormRuleLogoutUniqueField

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier logrotation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • logrotation
Structures de données | Espaces de nommage
Référence du fichier logrotation.php

Structures de données

class PlgSystemLogrotation

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier logsdaterange.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier logsdaterange.php

Structures de données

class JFormFieldLogsDateRange

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier logstable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • layouts
Espaces de nommage | Variables
Référence du fichier logstable.php

Espaces de nommage

Joomla\Administrator

Variables

$messages = $displayData['messages']
$showIpColumn = $displayData['showIpColumn']
endif
foreach ( $messages as $message) = '</ul></fieldset>'
endforeach

Documentation des variables

◆ $messages

$messages = $displayData['messages']

Référencé par InstallationResponseJson\__construct(), JsonResponse\__construct(), JJsonResponse\__construct(), ActionlogsModelActionlog\addLog(), CpanelViewCpanel\display(), CMSApplication\enqueueMessage(), MessageRenderer\getData(), InstallerModelWarnings\getItems(), PlgActionlogJoomla\onContentChangeState(), ActionlogsModelActionlog\sendNotificationEmails(), et InstallationModelSetup\validate().

◆ $showIpColumn

$showIpColumn = $displayData['showIpColumn']

Référencé par ActionlogsModelActionlog\sendNotificationEmails().

◆ endforeach

endif endforeach

Référencé par FOFUtilsInstallscript\renderPostInstallation(), et FOFUtilsInstallscript\renderPostUninstallation().

◆ endif

else $this parent endif

Référencé par modChrome_beezDivision(), modChrome_beezHide(), modChrome_html5(), modChrome_rounded(), modChrome_table(), modChrome_xhtml(), FOFUtilsInstallscript\renderPostInstallation(), et FOFUtilsInstallscript\renderPostUninstallation().

◆ foreach

foreach ( $messages as ) = '</ul></fieldset>'

Référencé par JFormFieldUsergroup\getInput().


Joomla CMS: Référence du fichier logtype.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier logtype.php

Structures de données

class JFormFieldLogType

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Mail.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Mail
Structures de données | Espaces de nommage
Référence du fichier Mail.php

Structures de données

class Mail

Espaces de nommage

Joomla\CMS\Mail


Joomla CMS: Référence du fichier mail.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/mail.php

Structures de données

class UsersControllerMail

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier mail.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier models/mail.php

Structures de données

class UsersModelMail

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier MailHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Mail
Structures de données | Espaces de nommage
Référence du fichier MailHelper.php

Structures de données

class MailHelper

Espaces de nommage

Joomla\CMS\Mail


Joomla CMS: Référence du fichier mailto.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • helpers
Structures de données | Espaces de nommage
Référence du fichier helpers/mailto.php

Structures de données

class MailtoHelper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier mailto.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
Espaces de nommage | Variables
Référence du fichier mailto.php

Espaces de nommage

Joomla\Site

Variables

$controller = JControllerLegacy::getInstance('Mailto')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Mailto')


Joomla CMS: Référence du fichier mailto.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • models
Structures de données | Espaces de nommage
Référence du fichier models/mailto.php

Structures de données

class MailtoModelMailto

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier MailWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Mail
Structures de données | Espaces de nommage
Référence du fichier MailWrapper.php

Structures de données

class MailWrapper

Espaces de nommage

Joomla\CMS\Mail


Joomla CMS: Référence du fichier main.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • modal
Espaces de nommage | Variables
Référence du fichier main.php

Espaces de nommage

Joomla\Site

Variables

$modalClasses = array('modal', 'hide')
if(!isset($params['animation'])|| $params['animation']) | $modalWidth = isset($params['modalWidth']) ? round((int) $params['modalWidth'], -1) : ''
if($modalWidth && $modalWidth > 0 && $modalWidth<=100) | $modalAttributes
if(isset($params['backdrop'])) if(isset($params['keyboard'])) | $script [] = "jQuery(document).ready(function($) {"
if(isset($params['url'])) | else
if (!isset( $params[ 'closeButton'])||isset( $params[ 'title'])||$params[ 'closeButton'])

Documentation des variables

◆ $modalAttributes

if ( $modalWidth &&$modalWidth > 0 &&$modalWidth<=100) $modalAttributes
Valeur initiale :
= array(
'tabindex' => '-1',
'class' => implode(' ', $modalClasses)
)
$modalClasses
$modalClasses
Definition: main.php:40

◆ $modalClasses

$modalClasses = array('modal', 'hide')

Layout variables

Paramètres
string | $selector | Unique DOM identifier for the modal. CSS id without #
array $params Modal parameters. Default supported parameters:
  • title string The modal title
  • backdrop mixed A boolean select if a modal-backdrop element should be included (default = true) The string 'static' includes a backdrop which doesn't close the modal on click.
  • keyboard boolean Closes the modal when escape key is pressed (default = true)
  • closeButton boolean Display modal close button (default = true)
  • animation boolean Fade in from the top of the page (default = true)
  • url string URL of a resource to be inserted as an <iframe> inside the modal body
  • height string height of the <iframe> containing the remote resource
  • width string width of the <iframe> containing the remote resource
  • bodyHeight int Optional height of the modal body in viewport units (vh)
  • modalWidth int Optional width of the modal in viewport units (vh)
  • footer string Optional markup for the modal footer
string | $body | Markup for the modal body. Appended after the <iframe> if the URL option is set

◆ $modalWidth

if (!isset( $params[ 'animation'])||$params[ 'animation']) $modalWidth = isset($params['modalWidth']) ? round((int) $params['modalWidth'], -1) : ''

◆ $script

$script[] = "jQuery(document).ready(function($) {"

These lines below are for disabling scrolling of parent window. $('body').addClass('modal-open'); $('body').removeClass('modal-open')

Scrolling inside bootstrap modals on small screens (adapt to window viewport and avoid modal off screen).

  • max-height .modal-body Max-height for the modal body When height of the modal is too high for the window viewport height.
  • max-height .iframe Max-height for the iframe (Deducting the padding of the modal-body) When URL option is set and height of the iframe is higher than max-height of the modal body.

Fix iOS scrolling inside bootstrap modals

  • overflow-y .modal-body When max-height is set for modal-body

Specific hack for Bootstrap 2.3.x

◆ else

if (isset( $params[ 'url'])) else
Valeur initiale :
{
$script[] = " $('.modalTooltip').each(function(){;"
$script
if(isset($params['backdrop'])) if(isset($params['keyboard'])) $script[]
Definition: main.php:85

◆ if

if(!isset($params['closeButton'])||isset($params['title'])|| $params['closeButton'])


Joomla CMS: Référence du fichier manage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/manage.php

Structures de données

class InstallerControllerManage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier manage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier helpers/html/manage.php

Structures de données

class InstallerHtmlManage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier manage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Structures de données | Espaces de nommage
Référence du fichier models/manage.php

Structures de données

class InstallerModelManage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Manager.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
Structures de données | Espaces de nommage
Référence du fichier Manager.php

Structures de données

class Manager

Espaces de nommage

TYPO3\PharStreamWrapper


Joomla CMS: Référence du fichier manager.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • models
Structures de données | Espaces de nommage
Référence du fichier manager.php

Structures de données

class MediaModelManager

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Manifest.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
Structures de données | Espaces de nommage
Référence du fichier src/Installer/Manifest.php

Structures de données

class Manifest

Espaces de nommage

Joomla\CMS\Installer


Joomla CMS: Référence du fichier Manifest.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Phar
Structures de données | Espaces de nommage
Référence du fichier vendor/typo3/phar-stream-wrapper/src/Phar/Manifest.php

Structures de données

class Manifest

Espaces de nommage

TYPO3\PharStreamWrapper\Phar


Joomla CMS: Référence du fichier map.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • tables
Structures de données | Espaces de nommage
Référence du fichier map.php

Structures de données

class FinderTableMap

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier mapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observer
Structures de données | Espaces de nommage
Référence du fichier mapper.php

Structures de données

class JObserverMapper

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observer
  • wrapper
Structures de données | Espaces de nommage
Référence du fichier wrapper/mapper.php

Structures de données

class JObserverWrapperMapper

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier maps.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/controllers/maps.php

Structures de données

class FinderControllerMaps

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier maps.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/models/maps.php

Structures de données

class FinderModelMaps

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier maps.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • embed
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/google/embed/maps.php

Structures de données

class JGoogleEmbedMaps

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier markdown.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier markdown.php

Structures de données

class JGithubPackageMarkdown

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mcrypt.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
  • aes
Structures de données | Espaces de nommage
Référence du fichier mcrypt.php

Structures de données

class FOFEncryptAesMcrypt

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier McryptCipher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Cipher
Structures de données | Espaces de nommage
Référence du fichier McryptCipher.php

Structures de données

class McryptCipher

Espaces de nommage

Joomla\CMS\Crypt\Cipher


Joomla CMS: Référence du fichier media.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_media/helpers/media.php

Structures de données

class MediaHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier media.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
Espaces de nommage | Variables
Référence du fichier administrator/components/com_media/media.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$user = JFactory::getUser()
$asset = $input->get('asset')
$author = $input->get('author')
if(! $user->authorise('core.manage', 'com_media') &&(! $asset||(! $user->authorise('core.edit', $asset) &&! $user->authorise('core.create', $asset) &&count($user->getAuthorisedCategories($asset, 'core.create'))==0) &&!($user->id==$author && $user->authorise('core.edit.own', $asset)))) | $params = JComponentHelper::getParams('com_media')
$popup_upload = $input->get('pop_up', null)
$path = 'file_path'
$view = $input->get('view')
if(substr(strtolower($view), 0, 6)=='images'|| $popup_upload==1) | $mediaBaseDir = JPATH_ROOT . '/' . $params->get($path, 'images')
const | COM_MEDIA_BASE (!is_dir($mediaBaseDir)) $mediaBaseDir
const | COM_MEDIA_BASEURL JUri::root() . $params->get($path, 'images')
$controller = JControllerLegacy::getInstance('Media', array('base_path' => JPATH_COMPONENT_ADMINISTRATOR))

Documentation des variables

◆ $asset

$asset = $input->get('asset')

Référencé par PlgEditorNone\_displayButtons(), Language\_getAssetParentId(), MenuType\_getAssetParentId(), Access\check(), FOFController\checkACL(), Access\checkGroup(), Nested\delete(), PlgEditorCodemirror\displayButtons(), Access\getAssetRules(), ContentModelCategory\getCategory(), MediaModelManager\getFolderList(), ContentModelArticle\getItem(), ContentModelForm\getItem(), UsersModelDebugUser\getItems(), UsersModelDebuggroup\getItems(), ContentModelArticles\getItems(), MediaField\getLayoutData(), FOFTableBehaviorAssets\onAfterStore(), FOFTableBehaviorAssets\onBeforeDelete(), PlgButtonImage\onDisplay(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), ContentModelArticle\populateState(), ContentModelCategory\populateState(), Access\preloadComponents(), Access\preloadPermissions(), ConfigModelApplication\save(), ConfigModelComponent\save(), ConfigModelApplication\storePermissions(), et ComponentAdapter\uninstall().

◆ $author

else $author = $input->get('author')

Référencé par PlgEditorNone\_displayButtons(), ContentViewArticle\_prepareDocument(), TagsViewTags\display(), TagsViewTag\display(), CategoryFeedView\display(), PlgEditorCodemirror\displayButtons(), JHtmlIcon\edit(), SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), MediaModelManager\getFolderList(), JGithubPackageRepositoriesCommits\getList(), PlgButtonImage\onDisplay(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), RssParser\processFeedEntry(), Mail\sendAdminMail(), FeedEntry\setAuthor(), et Feed\setAuthor().

◆ $controller

$controller = JControllerLegacy::getInstance('Media', array('base_path' => JPATH_COMPONENT_ADMINISTRATOR))

◆ $input

$input = JFactory::getApplication()->input

◆ $mediaBaseDir

if (substr(strtolower( $view), 0, 6)=='images'||$popup_upload==1) $mediaBaseDir = JPATH_ROOT . '/' . $params->get($path, 'images')

◆ $params

if (! $user->authorise( 'core.manage', 'com_media') &&(! $asset||(! $user->authorise( 'core.edit', $asset) &&! $user->authorise( 'core.create', $asset) &&count( $user->getAuthorisedCategories( $asset, 'core.create'))==0) &&!( $user->id==$author &&$user->authorise( 'core.edit.own', $asset)))) $params = JComponentHelper::getParams('com_media')

◆ $path

$path = 'file_path'

Référencé par HTMLHelper\_(), FileStorage\__construct(), OpensearchDocument\__construct(), Language\__construct(), FOFModel\__construct(), HtmlView\_addPath(), FOFView\_addPath(), FileStorage\_checkExpire(), FileStorage\_cleanPath(), PlgContentPagebreak\_createNavigation(), PlgContentPagebreak\_createToc(), JArchiveZip\_createZIPFile(), FileStorage\_deleteFolder(), FileStorage\_filesInFolder(), FileStorage\_folders(), JLinkedinGroups\_followUnfollow(), ContentHelper\_getActions(), Folder\_items(), JLinkedinStream\_likeUnlike(), JLinkedinGroups\_likeUnlike(), Captcha\_load(), JLoader\_load(), Editor\_loadEditor(), HtmlDocument\_loadTemplate(), FOFView\_parseTemplatePath(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), ContactViewContact\_prepareDocument(), HtmlView\_setPath(), FOFView\_setPath(), JGithubPackageUsersEmails\add(), JGithubPackageRepositoriesCollaborators\add(), JGithubPackageIssuesLabels\add(), Mail\addAttachment(), PHPMailer\addAttachment(), nodecounter\addBlock(), Toolbar\addButtonPath(), JLinkedinGroups\addComment(), FOFTemplateUtils\addCSS(), AdminModelSysInfo\addDirectory(), PHPMailer\addEmbeddedImage(), HtmlView\addHelperPath(), FOFView\addHelperPath(), BaseDatabaseModel\addIncludePath(), CacheController\addIncludePath(), FileLayout\addIncludePath(), Table\addIncludePath(), CacheStorage\addIncludePath(), FOFModel\addIncludePath(), Cache\addIncludePath(), HTMLHelper\addIncludePath(), FOFTemplateUtils\addJS(), FOFTemplateUtils\addLESS(), JGithubPackageOrgsTeams\addMember(), JTwitterLists\addMembers(), BaseController\addModelPath(), FOFController\addModelPath(), FormHelper\addPath(), BaseController\addPath(), FOFController\addPath(), MenuHelper\addPreset(), JGithubPackageOrgsTeams\addRepo(), BaseDatabaseModel\addTablePath(), FOFModel\addTablePath(), HtmlView\addTemplatePath(), FOFView\addTemplatePath(), nodecounter\addToNode(), BaseController\addViewPath(), FOFController\addViewPath(), Registry\append(), PharExtensionInterceptor\assert(), PharMetaDataInterceptor\assert(), ConjunctionInterceptor\assert(), Behavior\assert(), Manager\assert(), PharStreamWrapper\assert(), JMediawikiUsers\assignGroup(), PHPMailer\attachAll(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderFof\autoload_fof_core(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_toolbar(), FOFAutoloaderComponent\autoload_fof_view(), PharExtensionInterceptor\baseFileContainsPharExtension(), PharMetaDataInterceptor\baseFileDoesNotHaveMetaDataIssues(), JTwitterBlock\block(), JMediawikiUsers\blockUser(), JLinkedinJobs\bookmark(), ContactRouterRulesLegacy\build(), ContentRouterRulesLegacy\build(), NewsfeedsRouterRulesLegacy\build(), StandardRules\build(), JMediawikiObject\buildParameter(), PathWrapper\canChmod(), Path\canChmod(), JOpenstreetmapUser\changePreference(), JMediawikiPages\changeProtection(), JLinkedinGroups\changeSettings(), FtpClient\chdir(), JGithubPackageIssuesAssignees\check(), JGithubPackageUsersFollowers\check(), JGithubPackageOrgsMembers\check(), JGithubPackageActivityStarring\check(), PathWrapper\check(), JGithubPackageActivityWatching\check(), Path\check(), FieldsModelField\checkDefaultValue(), JGithubPackageOrgsMembers\checkPublic(), JGithubPackageOrgsTeams\checkRepo(), FtpClient\chmod(), PathWrapper\clean(), Path\clean(), JOpenstreetmapChangesets\closeChangeset(), PharStreamWrapper\collectInvocation(), JGithubPackageRepositoriesCommits\compare(), nodecounter\compile(), TemplatesModelTemplate\compileLess(), tagparse\compilePath(), lessc\compileProp(), FOFLess\compileProp(), SimplePie_Misc\compress_parse_url(), JGithubPackageOrgsMembers\conceal(), FolderWrapper\copy(), Folder\copy(), FileWrapper\copy(), File\copy(), TemplateAdapter\copyBaseFiles(), PluginAdapter\copyBaseFiles(), ModuleAdapter\copyBaseFiles(), ComponentAdapter\copyBaseFiles(), TemplatesModelTemplate\copyFile(), Installer\copyManifest(), JGithubPackageGistsComments\create(), JGithubForks\create(), JGithubPackageRepositoriesForks\create(), JGithubPackageAuthorization\create(), JGithubRefs\create(), JGithubStatuses\create(), JGithubPackagePullsComments\create(), JGithubCommits\create(), JGithubPackageRepositoriesStatuses\create(), JGithubPackageGists\create(), JGithubPackagePulls\create(), JGithubPackageIssues\create(), JGithubPackageDataBlobs\create(), FolderWrapper\create(), JGithubPackageDataCommits\create(), JGithubHooks\create(), JGithubPackageRepositoriesHooks\create(), JGithubPackageDataTags\create(), JGithubPackageRepositoriesKeys\create(), JGithubPackageIssuesLabels\create(), JGithubPackageOrgsTeams\create(), JGithubPackageRepositoriesDownloads\create(), JGithubPackageUsersKeys\create(), JGithubPackageDataRefs\create(), JGithubPackageDataTrees\create(), JGithubPackageIssuesMilestones\create(), JGithubMilestones\create(), JGithubPackageRepositoriesComments\create(), MediaControllerFolder\create(), JGithubPackageIssuesComments\create(), Folder\create(), JGithubPackageRepositories\create(), FtpClient\create(), JTwitterLists\create(), JGithubAccount\createAuthorisation(), JOpenstreetmapChangesets\createChangeset(), JGithubCommits\createCommitComment(), InstallationModelConfiguration\createConfiguration(), JFacebookObject\createConnection(), AKPostprocDirect\createDirRecursive(), JTwitterFavorites\createFavorites(), TemplatesModelTemplate\createFile(), TemplatesModelTemplate\createFolder(), JGithubPackagePulls\createFromIssue(), JOpenstreetmapElements\createNode(), JTwitterPlaces\createPlace(), JLinkedinGroups\createPost(), JOpenstreetmapElements\createRelation(), JGithubPackagePullsComments\createReply(), JTwittersearch\createSavedSearch(), LegacyFactory\createView(), FOFController\createView(), JOpenstreetmapElements\createWay(), Zip\createZipFile(), TemplatesModelTemplate\cropImage(), MediaControllerFolder\delete(), JGithubPackageAuthorization\delete(), JGithubPackageGistsComments\delete(), FolderWrapper\delete(), JGithubPackageUsersEmails\delete(), JGithubPackageGists\delete(), JGithubPackageRepositoriesHooks\delete(), JGithubHooks\delete(), JGithubPackagePullsComments\delete(), JGithubPackageRepositoriesKeys\delete(), JGithubPackageRepositoriesComments\delete(), JGithubPackageUsersKeys\delete(), JGithubPackageIssuesLabels\delete(), JGithubPackageOrgsTeams\delete(), JGithubPackageDataRefs\delete(), JGithubPackageRepositoriesDownloads\delete(), JGithubPackageIssuesComments\delete(), JGithubPackageIssuesMilestones\delete(), JGithubMilestones\delete(), MediaControllerFile\delete(), Folder\delete(), JGithubPackageRepositories\delete(), FtpClient\delete(), JTwitterLists\delete(), JGithubAccount\deleteAuthorisation(), JLinkedinJobs\deleteBookmark(), JLinkedinGroups\deleteComment(), JGithubCommits\deleteCommitComment(), JFacebookObject\deleteConnection(), JTwitterDirectmessages\deleteDirectMessages(), JOpenstreetmapElements\deleteElement(), JTwitterFavorites\deleteFavorites(), TemplatesModelTemplate\deleteFile(), TemplatesModelTemplate\deleteFolder(), JTwitterLists\deleteMembers(), JMediawikiPages\deletePageById(), JMediawikiPages\deletePageByName(), JLinkedinGroups\deletePost(), JTwittersearch\deleteSavedSearch(), JGithubPackageActivityWatching\deleteSubscription(), JLinkedinGroups\deleteSuggestion(), JGithubPackageActivityNotifications\deleteThreadSubscription(), JTwitterStatuses\deleteTweet(), JKeychain\deleteValue(), Helper\determineBaseFile(), JOpenstreetmapChangesets\diffUploadChangeset(), PharStreamWrapper\dir_opendir(), FOFViewForm\display(), PlgContentVote\displayVotingData(), JOpenstreetmapChangesets\downloadChangeset(), JOpenstreetmapGps\downloadTraceMetadata(), JOpenstreetmapGps\downloadTraceMetadetails(), JGithubRefs\edit(), JGithubPackageUsers\edit(), JGithubPackageOrgs\edit(), JGithubPackageGistsComments\edit(), JGithubPackageAuthorization\edit(), JGithubPackageIssues\edit(), JGithubPackageRepositoriesComments\edit(), JGithubPackageRepositoriesKeys\edit(), JGithubPackageGists\edit(), JGithubPackageUsersKeys\edit(), JGithubPackageRepositoriesHooks\edit(), JGithubPackageOrgsTeams\edit(), JGithubHooks\edit(), JGithubPackagePullsComments\edit(), JGithubPackageIssuesComments\edit(), JGithubPackagePulls\edit(), JGithubPackageDataRefs\edit(), JGithubPackageIssuesMilestones\edit(), JGithubMilestones\edit(), JGithubPackageRepositories\edit(), JGithubAccount\editAuthorisation(), JGithubCommits\editCommitComment(), JMediawikiPages\editPage(), JGithubPackageSearch\email(), JMediawikiUsers\emailUser(), PHPMailer\encodeFile(), JTwitterOAuth\endSession(), JMediawikiCategories\enumerateCategories(), JMediawikiImages\enumerateImages(), JMediawikiLinks\enumerateLinks(), InstallationControllerDatabase\execute(), ComponentHelper\executeComponent(), FolderWrapper\exists(), Registry\exists(), Folder\exists(), LanguageHelper\exists(), JOpenstreetmapChangesets\expandBBoxChangeset(), FieldsHelper\extract(), Archive\extract(), JArchiveTar\extract(), Tar\extract(), Registry\extract(), TemplatesModelTemplate\extractArchive(), Zip\extractCustom(), JArchiveZip\extractCustom(), JMediawikiObject\fetchUrl(), JGithubObject\fetchUrl(), JFacebookObject\fetchUrl(), JTwitterObject\fetchUrl(), FOFIntegrationJoomlaFilesystem\fileCopy(), FOFIntegrationJoomlaFilesystem\fileExists(), FolderWrapper\files(), Folder\files(), FileAdapter\finaliseInstall(), Path\find(), lessc\findBlocks(), FOFLess\findBlocks(), PharInvocationResolver\findByAlias(), FOFModel\findFormFilename(), PharInvocationResolver\findInBaseNames(), nodecounter\findNode(), FOFView\findRenderer(), JLinkedinGroups\flagPost(), FOFIntegrationJoomlaFilesystem\folderCreate(), FOFIntegrationJoomlaFilesystem\folderExists(), FOFIntegrationJoomlaFilesystem\folderFiles(), FOFIntegrationJoomlaFilesystem\folderFolders(), FolderWrapper\folders(), Folder\folders(), JGithubPackageUsersFollowers\follow(), JTwitterFriends\follow(), JLinkedinCompanies\follow(), JGithubPackageGists\fork(), FilesystemHelper\ftpChmod(), Helper\ftpChmod(), JOpenstreetmapElements\fullElement(), JGithubPackageDataCommits\get(), JGithubPackageDataRefs\get(), JGithubPackageDataTrees\get(), JGithubPackageDataBlobs\get(), JGithubPackageDataTags\get(), JGithubPackageUsers\get(), JGithubPackageRepositoriesKeys\get(), JGithubPackageOrgsTeams\get(), JGithubPackageGitignore\get(), JGithubPackageIssuesLabels\get(), JGithubPackageRepositoriesCollaborators\get(), JGithubPackageRepositoriesDownloads\get(), JGithubPackageOrgs\get(), JGithubPackageUsersKeys\get(), JGithubMilestones\get(), JGithubPackageIssuesMilestones\get(), JGithubPackageIssuesEvents\get(), JGithubPackageRepositoriesComments\get(), JGithubPackageRepositoriesCommits\get(), FileStorage\get(), JGithubPackageIssuesComments\get(), JGithubRefs\get(), JGithubPackageRepositoriesContents\get(), JGithubPackageGistsComments\get(), JGithubPackagePullsComments\get(), JGithubPackageAuthorization\get(), JGithubPackageIssues\get(), JGithubPackageRepositoriesHooks\get(), JGithubHooks\get(), JGithubPackagePulls\get(), JGithubPackageGists\get(), Registry\get(), JGithubPackageRepositories\get(), JGithubPackageRepositoriesStatistics\getActivityData(), CacheliteStorage\getAll(), FileStorage\getAll(), FOFTemplateUtils\getAltPaths(), FOFToolbar\getAnInstance(), FOFModel\getAnInstance(), FOFTable\getAnInstance(), TemplatesModelTemplate\getArchive(), JGithubPackageRepositoriesContents\getArchiveLink(), JGithubPackageUsers\getAuthenticatedUser(), JGithubAccount\getAuthorisation(), JGithubAccount\getAuthorisations(), JMediawikiPages\getBackLinks(), JTwitterBlock\getBlocking(), JLinkedinJobs\getBookmarked(), JGithubPackageRepositories\getBranch(), JGithubPackageActivityEvents\getByUser(), JGithubPackageActivityEvents\getByUserPublic(), Helper\getCanonicalPath(), JOpenstreetmapInfo\getCapabilities(), JMediawikiCategories\getCategories(), JMediawikiCategories\getCategoriesInfo(), JMediawikiCategories\getCategoriesUsed(), JMediawikiCategories\getCategoryMembers(), NewsfeedsRouter\getCategorySegment(), ContactRouter\getCategorySegment(), ContentRouter\getCategorySegment(), JMediawikiCategories\getChangeTags(), JTwitterTrends\getClosest(), JGithubPackageRepositoriesStatistics\getCodeFrequency(), JLinkedinGroups\getComment(), JLinkedinStream\getComments(), JGithubCommits\getCommit(), JGithubCommits\getCommitComment(), JGithubCommits\getCommitComments(), JGithubPackagePulls\getCommits(), JLinkedinCompanies\getCompanies(), SiteRouter\getComponentRouter(), JTwitterHelp\getConfiguration(), JFacebookObject\getConnection(), JLinkedinPeople\getConnections(), JTwitterUsers\getContributees(), JTwitterUsers\getContributors(), JLinkedinStream\getCurrentShare(), JMediawikiUsers\getCurrentUserInfo(), JOpenstreetmapUser\getDetails(), JGithubCommits\getDiff(), JTwitterDirectmessages\getDirectMessages(), JTwitterDirectmessages\getDirectMessagesById(), JLinkedinGroups\getDiscussions(), JMediawikiSites\getEvents(), JMediawikiLinks\getExtLinks(), JTwitterFavorites\getFavorites(), TemplatesModelTemplate\getFile(), FOFPlatformFilesystem\getFiles(), TemplatesModelTemplate\getFiles(), JGithubPackagePulls\getFiles(), FOFDownload\getFiles(), LanguagesModelInstalled\getFolders(), MediaModelManager\getFolderTree(), JLinkedinCompanies\getFollowed(), JTwitterFriends\getFollowerIds(), TemplatesModelTemplate\getFont(), ConfigModelComponent\getForm(), ContenthistoryHelper\getFormFile(), JTwitterFriends\getFriendIds(), JTwitterFriends\getFriendshipDetails(), JTwitterFriends\getFriendshipNoRetweetIds(), JTwitterFriends\getFriendshipsIncoming(), JTwitterFriends\getFriendshipsLookup(), JTwitterFriends\getFriendshipsOutgoing(), JTwitterPlaces\getGeocode(), JLinkedinGroups\getGroup(), TemplatesModelTemplate\getImage(), JMediawikiImages\getImageInfo(), JMediawikiImages\getImages(), JMediawikiImages\getImagesUsed(), InstallationModelLanguages\getInstalledlangs(), FinderIndexerParser\getInstance(), FinderIndexerStemmer\getInstance(), Storage\getInstance(), Pathway\getInstance(), CacheController\getInstance(), AbstractMenu\getInstance(), Categories\getInstance(), FinderIndexer\getInstance(), FOFPlatform\getInstance(), Router\getInstance(), BaseDatabaseModel\getInstance(), BaseController\getInstance(), Document\getInstance(), JGithubPackageActivityEvents\getIssue(), PluginsModelPlugin\getItem(), TemplatesModelStyle\getItem(), ModulesModelModule\getItem(), ModulesModelPositions\getItems(), ModulesModelSelect\getItems(), JMediawikiPages\getIWBackLinks(), JMediawikiLinks\getIWLinks(), JLinkedinJobs\getJob(), JMediawikiLinks\getLangLinks(), JTwitterHelp\getLanguages(), JLinkedinStream\getLikes(), JMediawikiLinks\getLinks(), JMediawikiLinks\getLinksUsed(), ModMenuHelper\getList(), JGithubPackageUsersFollowers\getList(), JGithubPackageRepositoriesKeys\getList(), JGithubPackageActivityWatching\getList(), JGithubPackageActivityStarring\getList(), JGithubPackageIssuesAssignees\getList(), JGithubPackageIssuesLabels\getList(), JGithubPackageGitignore\getList(), JGithubPackageOrgsTeams\getList(), JGithubPackageRepositoriesCollaborators\getList(), JGithubPackageRepositoriesDownloads\getList(), JGithubPackageActivityNotifications\getList(), JGithubPackageIssuesEvents\getList(), JGithubMilestones\getList(), JGithubPackageIssuesMilestones\getList(), JGithubPackageIssuesComments\getList(), JGithubPackageOrgsMembers\getList(), JGithubPackageOrgs\getList(), JGithubPackageUsersEmails\getList(), JGithubPackageRepositoriesCommits\getList(), JGithubPackageUsersKeys\getList(), JGithubPackageRepositoriesComments\getList(), JGithubPackageDataRefs\getList(), JGithubPackageRepositoriesForks\getList(), JGithubForks\getList(), JGithubStatuses\getList(), JGithubPackageRepositoriesStatuses\getList(), JGithubPackageUsers\getList(), JGithubRefs\getList(), JGithubPackageGistsComments\getList(), JGithubPackageRepositories\getList(), JGithubPackagePullsComments\getList(), JGithubPackageAuthorization\getList(), JGithubPackageRepositoriesHooks\getList(), JGithubHooks\getList(), JGithubPackageIssues\getList(), JGithubPackageGists\getList(), JGithubPackagePulls\getList(), JGithubCommits\getList(), JGithubPackageRepositories\getListBranches(), JTwitterLists\getListById(), JGithubPackageIssuesLabels\getListByIssue(), JGithubPackageIssuesLabels\getListByMilestone(), JGithubPackageIssues\getListByRepository(), JGithubPackageGists\getListByUser(), JGithubCommits\getListComments(), JGithubPackageRepositoriesStatistics\getListContributors(), JGithubPackageRepositories\getListContributors(), JGithubPackageUsersFollowers\getListFollowedBy(), JGithubPackageRepositories\getListLanguages(), JGithubPackageOrgsTeams\getListMembers(), JGithubPackageRepositories\getListOrg(), JGithubPackageRepositories\getListOwn(), JGithubPackageOrgsMembers\getListPublic(), JGithubPackageGists\getListPublic(), JGithubPackageOrgsTeams\getListRepos(), JGithubPackageRepositoriesComments\getListRepository(), JGithubPackageIssuesEvents\getListRepository(), JGithubPackageActivityNotifications\getListRepository(), JTwitterLists\getLists(), JGithubPackageGists\getListStarred(), JGithubPackageRepositories\getListTags(), JGithubPackageRepositories\getListTeams(), JGithubPackageUsersKeys\getListUser(), JGithubPackageRepositories\getListUser(), ComposerAutoloaderInitc14bde14f8c86840049f5c1809c453dd\getLoader(), JTwitterTrends\getLocations(), PlgSystemLogrotation\getLogFiles(), HTMLHelper\getMd5Version(), JTwitterLists\getMembers(), JLinkedinGroups\getMemberships(), JTwitterStatuses\getMentions(), JGithubMeta\getMeta(), ModulesHelper\getModules(), JGithubPackageActivityEvents\getNetwork(), JLinkedinStream\getNetworkStats(), JLinkedinStream\getNetworkUpdates(), JTwitterStatuses\getOembed(), JFormFieldFolderList\getOptions(), JFormFieldFileList\getOptions(), JGithubPackageActivityEvents\getOrg(), TemplatesModelTemplate\getOverridesFolder(), JMediawikiPages\getPageInfo(), JMediawikiPages\getPageProperties(), JMediawikiPages\getPageTemplates(), JGithubPackageRepositoriesStatistics\getParticipation(), RouterView\getPath(), JViewHtml\getPath(), InstallationModelLanguages\getPath(), LanguagesModelInstalled\getPath(), PathWrapper\getPermissions(), Path\getPermissions(), JTwitterPlaces\getPlace(), ConfigModelModules\getPositions(), JLinkedinGroups\getPost(), JLinkedinGroups\getPostComments(), JOpenstreetmapUser\getPreferences(), JLinkedinCompanies\getProducts(), JLinkedinPeople\getProfile(), JMediawikiSites\getProtectedTitles(), JGithubPackageActivityEvents\getPublic(), JGithubPackageRepositoriesStatistics\getPunchCard(), JTwitterObject\getRateLimit(), JGithubPackageAuthorization\getRateLimit(), JGithubAccount\getRateLimit(), JGithubPackageRepositoriesContents\getReadme(), JMediawikiSites\getRecentChanges(), JGithubPackageDataTrees\getRecursively(), JGithubPackageActivityWatching\getRepositories(), JGithubPackageActivityStarring\getRepositories(), JGithubPackageActivityEvents\getRepository(), JGithubPackageIssuesComments\getRepositoryList(), JTwitterStatuses\getRetweeters(), JTwitterStatuses\getRetweetsById(), JTwitterStatuses\getRetweetsOfMe(), JMediawikiPages\getRevisions(), JTwittersearch\getSavedSearches(), JTwittersearch\getSavedSearchesById(), JTwitterDirectmessages\getSentDirectMessages(), JLinkedinGroups\getSettings(), JTwitterProfile\getSettings(), JLinkedinStream\getShareStream(), JTwitterPlaces\getSimilarPlaces(), JMediawikiSites\getSiteInfo(), FOFFormFieldImagelist\getStatic(), JTwitterLists\getStatuses(), JTwitterLists\getSubscribers(), JGithubPackageActivityWatching\getSubscription(), JTwitterLists\getSubscriptions(), JLinkedinJobs\getSuggested(), JLinkedinCompanies\getSuggested(), JLinkedinGroups\getSuggested(), JTwitterUsers\getSuggestions(), JTwitterUsers\getSuggestionsSlug(), JTwitterUsers\getSuggestionsSlugMembers(), ChromestyleField\getTemplateModuleStyles(), FOFIntegrationJoomlaPlatform\getTemplateOverridePath(), JGithubPackageActivityNotifications\getThreadSubscription(), FOFDispatcher\getTmpInstance(), FOFController\getTmpInstance(), JMediawikiUsers\getToken(), JMediawikiPages\getToken(), ModulesHelper\getTranslatedModulePosition(), JTwitterTrends\getTrends(), JTwitterStatuses\getTweetById(), MenusModelMenutypes\getTypeOptionsFromLayouts(), MenusModelMenutypes\getTypeOptionsFromMvc(), JLinkedinCompanies\getUpdates(), JGithubPackageActivityEvents\getUser(), JTwitterUsers\getUser(), JMediawikiUsers\getUserContribs(), JMediawikiUsers\getUserInfo(), JGithubPackageActivityEvents\getUserOrg(), JLinkedinGroups\getUserPosts(), JTwitterUsers\getUserProfileBanner(), JGithubPackageActivityEvents\getUserPublic(), JTwitterUsers\getUsersLookup(), JTwitterStatuses\getUserTimeline(), Helper\hasPharPrefix(), JOpenstreetmapElements\historyOfElement(), JLoader\import(), PluginHelper\import(), HTMLHelper\includeRelativeFiles(), Installer\install(), FOFUtilsInstallscript\installSubextensions(), JLinkedinCommunications\inviteByEmail(), JLinkedinCommunications\inviteById(), ConjunctionInterceptor\invokeAssertions(), Helper\isAbsolutePath(), Tar\isBelow(), Zip\isBelow(), JGithubPackageOrgsTeams\isMember(), JTwitterLists\isMember(), JGithubPackagePulls\isMerged(), PathWrapper\isOwner(), Path\isOwner(), PHPMailer\isPermittedPath(), JGithubPackageGists\isStarred(), JTwitterLists\isSubscriber(), JGithubPackageSearch\issues(), jimport(), JLinkedinGroups\joinGroup(), JLinkedinGroups\leaveGroup(), FtpClient\listDetails(), FolderWrapper\listFolderTree(), Folder\listFolderTree(), FtpClient\listNames(), Language\load(), Installer\loadAdapter(), FOFView\loadAnyTemplate(), JLoader\loadByPsr0(), JLoader\loadByPsr4(), FOFFormHelper\loadClass(), FormHelper\loadClass(), FOFView\loadHelper(), FileAdapter\loadLanguage(), LibraryAdapter\loadLanguage(), TemplateAdapter\loadLanguage(), ModuleAdapter\loadLanguage(), PluginAdapter\loadLanguage(), PackageAdapter\loadLanguage(), ComponentAdapter\loadLanguage(), Document\loadRenderer(), AbstractWebApplication\loadSystemUris(), WebApplication\loadSystemUris(), FOFView\loadTemplate(), Microdata\loadTypes(), FileStorage\lock(), JMediawikiUsers\login(), JMediawikiUsers\logout(), FolderWrapper\makeSafe(), Folder\makeSafe(), JGithubPackageActivityNotifications\markRead(), JGithubPackageActivityNotifications\markReadRepository(), JGithubPackageActivityNotifications\markReadThread(), PHPMailer\mb_pathinfo(), JGithubPackagePulls\merge(), PharStreamWrapper\mkdir(), FtpClient\mkdir(), FolderWrapper\move(), FileWrapper\move(), File\move(), Folder\move(), JMediawikiPages\movePageById(), JMediawikiPages\movePageByName(), JOpenstreetmapElements\multiFetchElements(), Helper\normalizePath(), Helper\normalizeWindowsPath(), PlgContentPagenavigation\onContentBeforeDisplay(), FieldsPlugin\onContentPrepareForm(), FieldsPlugin\onCustomFieldsGetTypes(), FieldsPlugin\onCustomFieldsPrepareField(), PlgTwofactorauthYubikey\onUserTwofactorShowConfiguration(), PlgTwofactorauthTotp\onUserTwofactorShowConfiguration(), JMediawikiSearch\openSearch(), SiteRouter\parse(), lessify\parse(), FOFConfigProvider\parseComponentArea(), Installer\parseFiles(), Installer\parseLanguages(), Installer\parseMedia(), FOFTemplateUtils\parsePath(), PlgSystemLanguageFilter\parseRule(), ApplicationHelper\parseXMLInstallFile(), Installer\parseXMLInstallFile(), ApplicationHelper\parseXMLLangMetaFile(), LanguageHelper\parseXMLLanguageFile(), Language\parseXMLLanguageFile(), FOFIntegrationJoomlaFilesystem\pathCheck(), FOFIntegrationJoomlaFilesystem\pathClean(), JGithubPackageRepositoriesMerging\perform(), FileAdapter\populateFilesAndFolderList(), ConfigModelComponent\populateState(), JLinkedinStream\postComment(), JLinkedinStream\postNetworkUpdate(), ToolbarHelper\preferences(), NewsfeedsViewCategory\prepareDocument(), ContactViewCategory\prepareDocument(), ContentViewCategory\prepareDocument(), InstallerModelUpdate\preparePreUpdate(), FieldsModelGroup\preprocessForm(), CategoriesModelCategory\preprocessForm(), FieldsModelField\preprocessForm(), MenusModelItem\preprocessForm(), JGithubPackageOrgsMembers\publicize(), JOpenstreetmapChangesets\queryChangeset(), JOpenstreetmapChangesets\readChangeset(), JOpenstreetmapElements\readElement(), Nested\rebuild(), Nested\rebuildPath(), recursive_remove_directory(), JOpenstreetmapElements\redaction(), JApplication\redirect(), AbstractWebApplication\redirect(), WebApplication\redirect(), LanguagesModelStrings\refresh(), JSessionStorageRedis\register(), JSessionStorageMemcache\register(), JSessionStorageMemcached\register(), JLoader\register(), JLoader\registerNamespace(), FOFPlatform\registerPlatformPath(), JLoader\registerPrefix(), JOpenstreetmapElements\relationsForElement(), Helper\remotefsize(), FilesystemHelper\remotefsize(), JGithubPackageRepositoriesCollaborators\remove(), JGithubPackageOrgsMembers\remove(), FileStorage\remove(), Registry\remove(), JGithubPackageIssuesLabels\removeAllFromIssue(), Installer\removeFiles(), JGithubPackageIssuesLabels\removeFromIssue(), FileLayout\removeIncludePath(), JGithubPackageOrgsTeams\removeMember(), AKAbstractUnarchiver\removePath(), Helper\removePharPrefix(), JGithubPackageOrgsTeams\removeRepo(), TemplatesModelTemplate\renameFile(), JGithubPackageMarkdown\render(), FileLayout\render(), JViewHtml\render(), ModuleHelper\renderModule(), FOFToolbar\renderToolbarElement(), JGithubPackageIssuesLabels\replace(), JOpenstreetmapUser\replacePreferences(), JGithubPackageSearch\repositories(), SocketTransport\request(), JLinkedinStream\reshare(), TemplatesModelTemplate\resizeImage(), PharInvocationResolver\resolve(), Manager\resolve(), Path\resolve(), PharInvocationResolver\resolveBaseName(), PharInvocationResolver\resolvePossibleAlias(), JOpenstreetmapGps\retrieveGps(), JOpenstreetmapInfo\retrieveMapData(), JOpenstreetmapInfo\retrievePermissions(), JTwitterStatuses\retweet(), PharStreamWrapper\rmdir(), JMediawikiPages\rollback(), PlgSystemLogrotation\rotate(), ConfigModelApplication\save(), FOFPlatformFilesystem\scanDirectory(), FOFDownload\scanDirectory(), JMediawikiSearch\search(), JTwittersearch\search(), JTwitterPlaces\search(), JLinkedinCompanies\search(), JLinkedinPeople\search(), JLinkedinJobs\search(), JTwitterUsers\searchUsers(), JTwitterDirectmessages\sendDirectMessages(), JLinkedinCommunications\sendMessage(), JOpenstreetmapObject\sendRequest(), JFacebookObject\sendRequest(), JTwitterObject\sendRequest(), JInputCookie\set(), Cookie\set(), Registry\set(), AKAbstractUnarchiver\setCorrectPermissions(), Form\setField(), BaseController\setPath(), FOFController\setPath(), PathWrapper\setPermissions(), Path\setPermissions(), JGithubPackageActivityWatching\setSubscription(), JGithubPackageActivityNotifications\setThreadSubscription(), JLinkedinStream\share(), JGithubPackageActivityStarring\star(), JGithubPackageGists\star(), InstallationHtmlHelper\stepbar(), FileStorage\store(), PharStreamWrapper\stream_metadata(), Buffer\stream_open(), BufferStreamHandler\stream_open(), StreamString\stream_open(), PharStreamWrapper\stream_open(), JTwitterLists\subscribe(), Form\syncPaths(), FilePathRule\test(), JGithubPackageRepositoriesHooks\test(), JGithubHooks\test(), InstallerModel\translate(), JoomlaupdateModelDefault\translateExtensionName(), JTwitterStatuses\tweet(), JTwitterStatuses\tweetWithMedia(), JTwitterBlock\unblock(), JMediawikiUsers\unBlockUserById(), JMediawikiUsers\unBlockUserByName(), JMediawikiPages\undeletePage(), JGithubPackageUsersFollowers\unfollow(), JTwitterFriends\unfollow(), JLinkedinCompanies\unfollow(), LanguageAdapter\uninstall(), PharStreamWrapper\unlink(), FileStorage\unlock(), FOFPlatform\unregisterPlatformPath(), JGithubPackageActivityStarring\unstar(), JGithubPackageGists\unstar(), JTwitterLists\unsubscribe(), JGithubPackageActivityWatching\unwatch(), JGithubPackageIssuesLabels\update(), Installer\update(), JTwitterLists\update(), JOpenstreetmapChangesets\updateChangeset(), JOpenstreetmapElements\updateElement(), JTwitterFriends\updateFriendship(), JTwitterProfile\updateProfile(), JTwitterProfile\updateProfileBackgroundImage(), JTwitterProfile\updateProfileColors(), JTwitterProfile\updateProfileImage(), JTwitterProfile\updateSettings(), TemplatesModelTemplate\uploadFile(), JOpenstreetmapGps\uploadTrace(), FOFIntegrationJoomlaPlatform\URIroot(), StreamString\url_stat(), PharStreamWrapper\url_stat(), JGithubPackageSearch\users(), JLinkedinOauth\verifyCredentials(), JTwitterOAuth\verifyCredentials(), JOpenstreetmapElements\versionOfElement(), JGithubPackageActivityNotifications\viewThread(), JGithubPackageActivityWatching\watch(), et JOpenstreetmapElements\waysForNode().

◆ $popup_upload

$popup_upload = $input->get('pop_up', null)

◆ $user

$user = JFactory::getUser()

◆ $view

$view = $input->get('view')

Référencé par FOFViewCsv\__construct(), FOFView\__construct(), FOFModel\__construct(), TagsHelperRoute\_findItem(), ViewController\_makeId(), FOFAutoloaderComponent\autoload_fof_controller(), FOFAutoloaderComponent\autoload_fof_helper(), FOFAutoloaderComponent\autoload_fof_model(), FOFAutoloaderComponent\autoload_fof_table(), FOFAutoloaderComponent\autoload_fof_view(), TagsRouter\build(), ContentRouterRulesLegacy\build(), NewsfeedsRouterRulesLegacy\build(), ContactRouterRulesLegacy\build(), NomenuRules\build(), StandardRules\build(), MenuRules\buildLookup(), UsersController\canView(), CMSApplication\checkUserRequireReset(), FOFController\createView(), FOFDispatcher\dispatch(), InstallerController\display(), MediaController\display(), MessagesController\display(), ModulesController\display(), NewsfeedsController\display(), PluginsController\display(), TagsController\display(), CacheController\display(), BannersController\display(), LanguagesController\display(), RedirectController\display(), TemplatesController\display(), ContactController\display(), FinderController\display(), ContentController\display(), PrivacyController\display(), MenusViewItems\display(), CategoriesController\display(), UsersController\display(), FOFController\display(), ConfigControllerConfigDisplay\execute(), ConfigControllerTemplatesDisplay\execute(), ConfigControllerModulesDisplay\execute(), ConfigControllerDisplay\execute(), FOFModel\findFormFilename(), RouteHelper\findItem(), ViewController\get(), FOFConfigDomainTables\get(), FOFConfigDomainViews\get(), FOFConfigDomainViews\getAcl(), FOFDispatcher\getAnInstance(), FOFController\getAnInstance(), NewsfeedsHelperAssociation\getAssociations(), ContactHelperAssociation\getAssociations(), ContentHelperAssociation\getAssociations(), FOFConfigDomainViews\getConfig(), InstallationModelSetup\getForm(), InstallationModelLanguages\getForm(), FOFModel\getHash(), FOFFormHeaderOrdering\getHeader(), FOFFormHeaderField\getHeader(), JFormFieldComponentlayout\getInput(), JFormFieldDob\getLabel(), FOFFormHeader\getLabel(), ModRelatedItemsHelper\getList(), ModTagssimilarHelper\getList(), ModArticlesCategoryHelper\getList(), FOFToolbar\getMyViews(), FOFFormFieldRelation\getOptions(), TemplatesModelTemplate\getOverridesList(), RouterView\getPath(), FOFFormFieldOrdering\getRepeatable(), RouteHelper\getRoute(), InstallationHtmlHelper\getTab(), FOFDispatcher\getTask(), FOFConfigDomainViews\getTaskmap(), FOFDispatcher\getTmpInstance(), FOFController\getTmpInstance(), FOFConfigDomainViews\getToolbar(), MenusModelMenutypes\getTypeOptionsFromLayouts(), MenusModelMenutypes\getTypeOptionsFromMvc(), FinderIndexerAdapter\getUrl(), BaseController\getView(), FOFController\getView(), FOFIntegrationJoomlaPlatform\getViewTemplatePaths(), FOFModel\loadForm(), FOFController\loadhistory(), PlgSystemPrivacyconsent\onAfterRoute(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgContentPagebreak\onContentPrepare(), FOFViewRaw\onDisplay(), StandardRules\parse(), ConfigControllerHelper\parseController(), FOFViewHtml\postRender(), MenuRules\preprocess(), MenusModelItem\preprocessForm(), FOFRenderJoomla\preRender(), FOFRenderJoomla3\preRender(), FOFRenderStrapper\preRender(), FOFViewHtml\preRender(), AdminModel\redirectToAssociations(), RouterView\registerView(), FOFRenderStrapper\renderFormBrowse(), FOFRenderJoomla3\renderLinkbar(), FOFRenderStrapper\renderLinkbar(), FOFToolbar\renderSubmenu(), FOFToolbar\renderToolbar(), FOFViewHtml\setPageTitle(), et InstallationModelSetup\validate().

◆ COM_MEDIA_BASE

const COM_MEDIA_BASE(!is_dir( $mediaBaseDir)) $mediaBaseDir

Référencé par MediaControllerFolder\create(), MediaControllerFolder\delete(), MediaControllerFile\delete(), MediaHelper\getContentTypeLink(), MediaModelManager\getFolderList(), MediaModelManager\getFolderTree(), MediaModelList\getList(), et MediaControllerFile\upload().

◆ COM_MEDIA_BASEURL

const COM_MEDIA_BASEURL JUri::root() . $params->get($path, 'images')

Référencé par MediaViewImagesList\display().


Joomla CMS: Référence du fichier media.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/html/layouts/joomla/form/field/media.php

Espaces de nommage

Joomla\Admin

Variables

if($disabled !=true) | $attr = ''
switch($preview) if($showPreview) | $url
else __pad88__
endif
if ( $showPreview &&! $showAsTooltip)

Documentation des variables

◆ $attr

$attr = ''

◆ $url

switch ( $preview) if ( $showPreview) $url
Valeur initiale :
= ($readonly ? ''
: ($link ?: 'index.php?option=com_media&amp;view=images&amp;tmpl=component&amp;asset='
. $asset . '&amp;author=' . $authorId)
. '&amp;fieldid={field-media-id}&amp;ismoo=0&amp;folder=' . $folder)
$folder
$folder
Definition: mod_random_image.php:16
$asset
$asset
Definition: administrator/components/com_media/media.php:14
$link
$link
Definition: administrator/components/com_menus/views/items/tmpl/modal.php:36
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

Référencé par JRouteWrapperRoute\_(), Route\_(), SitePathway\__construct(), JOAuth1Client\_authorise(), JOAuth1Client\_baseString(), Router\_createUri(), LinkButton\_getCommand(), HelpButton\_getCommand(), PopupButton\_getCommand(), InstallerModelInstall\_getPackageFromUrl(), JOAuth1Client\_signRequest(), RedirectModelLink\activate(), JGoogleDataCalendar\addCalendar(), FOFTemplateUtils\addCSS(), EasyPeasyICS\addEvent(), FOFTemplateUtils\addJS(), FOFTemplateUtils\addLESS(), MailtoHelper\addLink(), Document\addScript(), Document\addScriptVersion(), Document\addStyleSheet(), Document\addStyleSheetVersion(), PluginsViewPlugin\addToolbar(), ModulesViewModule\addToolbar(), TemplatesViewStyle\addToolbar(), MenusViewItem\addToolbar(), CategoriesViewCategory\addToolbar(), CategoriesViewCategories\addToolbar(), OpensearchDocument\addUrl(), JHtmlFormbehavior\ajaxchosen(), FOFController\apply(), FOFController\applySave(), JHtmlNewsfeed\association(), JHtmlContact\association(), JHtmlContentAdministrator\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), SiteApplication\authorise(), JRouterInstallation\build(), AdministratorRouter\build(), SiteRouter\build(), Router\build(), FormController\cancel(), FOFController\cancel(), RedirectTableLink\check(), TemplatesControllerTemplate\close(), FOFController\copy(), TemplatesControllerTemplate\copyFile(), JHtmlIcon\create(), JGithubPackageAuthorization\create(), JGoogleDataPicasa\createAlbum(), JGithubAccount\createAuthorisation(), JGoogleDataCalendar\createCalendar(), JGoogleDataCalendar\createEvent(), TemplatesControllerTemplate\createFile(), TemplatesControllerTemplate\createFolder(), TemplatesModelTemplate\createOverride(), Router\createUri(), SiteRouter\createUri(), Help\createUrl(), JOAuth2Client\createUrl(), TemplatesControllerTemplate\cropImage(), JGoogleDataPicasaAlbum\delete(), JGoogleDataPicasaPhoto\delete(), Http\delete(), TemplatesControllerTemplate\delete(), JGoogleDataCalendar\deleteEvent(), TemplatesControllerTemplate\deleteFolder(), WrapperViewWrapper\display(), PlgSystemRedirect\doErrorHandling(), FOFDownloadAdapterCurl\downloadAndReturn(), FOFDownloadAdapterFopen\downloadAndReturn(), InstallerHelper\downloadPackage(), InstallationModelLanguages\downloadPackage(), JoomlaupdateModelDefault\downloadPackage(), FOFUtilsUpdate\downloadUpdate(), RedirectModelLink\duplicateUrls(), JGithubPackageAuthorization\edit(), JHtmlIcon\edit(), FOFController\edit(), JGithubAccount\editAuthorisation(), JGoogleDataCalendar\editCalendar(), JGoogleDataCalendar\editCalendarSettings(), JGoogleDataCalendar\editEvent(), JHtmlIcon\email(), TemplatesControllerTemplate\extractArchive(), LinkButton\fetchButton(), SliderButton\fetchButton(), PopupButton\fetchButton(), lessc\findImport(), FOFLess\findImport(), FOFUtilsUpdate\findUpdatesClassic(), FOFUtilsUpdate\findUpdatesJoomla(), SimplePie_Misc\fix_protocol(), FilesystemHelper\ftpChmod(), Helper\ftpChmod(), JGoogleDataAdsense\generateReport(), JMediawikiHttp\get(), Http\get(), SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Source\get_contributors(), SimplePie_Item\get_contributors(), SimplePie\get_contributors(), SimplePie_Item\get_enclosures(), SimplePie_Enclosure\get_extension(), SimplePie\get_favicon(), JGoogleDataAdsense\getAccount(), JGoogleDataPlusActivities\getActivity(), JGoogleDataPicasa\getAlbum(), AssociationsHelper\getAssociationHtmlList(), FOFUtilsUpdateCollection\getCategories(), FOFUtilsUpdateCollection\getCategoryUpdateSource(), JGoogleDataAdsense\getChannel(), JGoogleDataPlusComments\getComment(), FinderIndexerHelper\getContentPath(), JLinkedinStream\getCurrentShare(), JGoogleDataCalendar\getEvent(), FOFUtilsUpdateCollection\getExtensions(), FOFUtilsUpdateCollection\getExtensionUpdateSource(), JSimplepieFactory\getFeedParser(), Factory\getFeedParser(), InstallerHelper\getFilenameFromUrl(), FOFUtilsUpdate\getFilenameFromURL(), FOFDownloadAdapterCurl\getFileSize(), FOFDownload\getFromURL(), FOFFormFieldButton\getInput(), FinderIndexerAdapter\getItemMenuTitle(), JFormFieldTos\getLabel(), JTwitterStatuses\getOembed(), ModWrapperHelper\getParams(), JGoogleDataPlusPeople\getPeople(), JLinkedinPeople\getProfile(), FOFFormFieldRelation\getRepeatable(), ModLoginHelper\getReturnUrl(), JLinkedinStream\getShareStream(), JGoogleDataPicasaPhoto\getThumbnails(), JGoogleDataAdsense\getUnit(), FOFUtilsUpdateJoomla\getUpdates(), UpdateAdapter\getUpdateSiteResponse(), FOFUtilsUpdateJoomla\getUpdateSourceFromCollection(), FOFEncryptTotp\getUrl(), BannersModelBanner\getUrl(), Http\head(), HTMLHelper\iframe(), FOFDownload\importFromURL(), Curl\init(), SimplePie\init(), InstallerModelUpdate\install(), BannerHelper\isFlash(), BannerHelper\isImage(), Uri\isInternal(), TemplatesControllerTemplate\less(), lessc\lib_data_uri(), Route\link(), ToolbarHelper\link(), HTMLHelper\link(), JGoogleDataAdsense\listAccounts(), JGoogleDataPlusActivities\listActivities(), JGoogleDataPicasa\listAlbums(), JGoogleDataPlusPeople\listByActivity(), JGoogleDataCalendar\listCalendars(), JGoogleDataAdsense\listChannels(), JGoogleDataAdsense\listChannelUnits(), JGoogleDataAdsense\listClients(), JGoogleDataPlusComments\listComments(), JGoogleDataCalendar\listEvents(), JGoogleData\listGetData(), JGoogleDataPicasaAlbum\listPhotos(), JGoogleDataCalendar\listRecurrences(), JGoogleDataAdsense\listUnitChannels(), JGoogleDataAdsense\listUrlChannels(), Update\loadFromXml(), FOFController\loadhistory(), UsersControllerUser\menulogout(), JGoogleDataCalendar\moveEvent(), PHPMailer\msgHTML(), SimplePie_Misc\normalize_url(), JOAuth1Client\oauthRequest(), PlgContentContact\onContentPrepare(), PlgQuickiconExtensionupdate\onGetIcons(), PlgQuickiconJoomlaupdate\onGetIcons(), PlgTwofactorauthTotp\onUserTwofactorShowConfiguration(), Stream\open(), Http\options(), FOFController\orderdown(), FOFController\orderup(), TemplatesControllerTemplate\overrides(), UriHelper\parse_url(), JString\parse_url(), SimplePie_Cache\parse_URL(), SimplePie_Misc\parse_url(), FOFTemplateUtils\parsePath(), Http\patch(), JMediawikiHttp\post(), Http\post(), ToolbarHelper\preview(), JHtmlIcon\print_popup(), Http\put(), JGoogleAuthOauth2\query(), JGoogleData\query(), JOAuth2Client\query(), recaptcha_postinstall_action(), JApplication\redirect(), AbstractWebApplication\redirect(), WebApplication\redirect(), CMSApplication\redirect(), JGoogleDataPicasaAlbum\refresh(), JGoogleDataPicasaPhoto\refresh(), Helper\remotefsize(), FilesystemHelper\remotefsize(), FinderIndexerAdapter\remove(), FOFController\remove(), TemplatesControllerTemplate\renameFile(), RssRenderer\render(), AtomRenderer\render(), OpensearchDocument\render(), FOFToolbar\renderToolbarElement(), TemplatesControllerTemplate\resizeImage(), PlgSystemSef\route(), FOFTemplateUtils\route(), TemplatesControllerTemplate\save(), JGoogleDataPicasaAlbum\save(), JGoogleDataPicasaPhoto\save(), ContentModelArticle\save(), FormController\save(), FOFController\save(), FOFController\savenew(), FOFController\saveorder(), JGoogleDataPlusPeople\search(), JGoogleDataPlusActivities\search(), JLinkedinPeople\search(), Mail\sendAdminMail(), SimplePie\set_feed_url(), FOFController\setaccess(), Document\setLink(), BaseController\setRedirect(), FOFController\setRedirect(), FOFController\setstate(), JLinkedinStream\share(), Buffer\stream_open(), BufferStreamHandler\stream_open(), JOAuth1Client\toUrl(), Http\trace(), lessc\tryImport(), FOFLess\tryImport(), twofactorauth_postinstall_action(), JTwitterProfile\updateProfile(), JGithubPackageRepositoriesDownloads\upload(), TemplatesControllerTemplate\uploadFile(), TemplatesModelTemplate\uploadFile(), JLinkedinOauth\validateResponse(), JTwitterOAuth\validateResponse(), et ContentControllerArticle\vote().

◆ __pad88__

else __pad88__

◆ endif

endif

◆ if

if($showPreview &&! $showAsTooltip)


Joomla CMS: Référence du fichier media.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_media
Espaces de nommage | Variables
Référence du fichier components/com_media/media.php

Espaces de nommage

Joomla\Site

Variables

$lang = JFactory::getLanguage()

Documentation des variables

◆ $lang

$lang = JFactory::getLanguage()


Joomla CMS: Référence du fichier media.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/media.php

Espaces de nommage

Joomla\Site

Variables

$options
if(!empty($class)) | else
$attr = ''
$showPreview = true
$showAsTooltip = false
switch($preview) | if ( $showPreview)

Documentation des variables

◆ $attr

$attr = ''

◆ $options

$options
Valeur initiale :
= array(
'onShow' => 'jMediaRefreshImgpathTip',
)

◆ $showAsTooltip

$showAsTooltip = false

◆ $showPreview

$showPreview = true

◆ else

if (!empty( $class)) else
Valeur initiale :
{
$class = 'hasTipImgpath'
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19

◆ if

switch ( $preview) if($showPreview)


Joomla CMS: Référence du fichier media.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/media.php

Structures de données

class FOFFormFieldMedia

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier media.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • media
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/media/media.php

Structures de données

class PlgFieldsMedia

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier media.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • media
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/media/tmpl/media.php

Espaces de nommage

Joomla\Plugin

Variables

if($field->value=='') | $class = $fieldParams->get('image_class')
if($class) | $value = (array) $field->value
$buffer = ''
foreach ( $value as $path)

Documentation des variables

◆ $buffer

$buffer = ''

◆ $class

if ( $field->value=='') $class = $fieldParams->get('image_class')

◆ $value

if ( $class) $value = (array) $field->value

◆ foreach

foreach($value as $path)


Joomla CMS: Référence du fichier media.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier templates/protostar/html/layouts/joomla/form/field/media.php

Espaces de nommage

Joomla\Site

Variables

if($disabled !=true) | $attr = ''
switch($preview) if($showPreview) | $url
else __pad32__
endif
if ( $showPreview &&! $showAsTooltip)

Documentation des variables

◆ $attr

$attr = ''

◆ $url

switch ( $preview) if ( $showPreview) $url
Valeur initiale :
= ($readonly ? ''
: ($link ?: 'index.php?option=com_media&amp;view=images&amp;tmpl=component&amp;asset='
. $asset . '&amp;author=' . $authorId)
. '&amp;fieldid={field-media-id}&amp;ismoo=0&amp;folder=' . $folder)
$folder
$folder
Definition: mod_random_image.php:16
$asset
$asset
Definition: administrator/components/com_media/media.php:14
$link
$link
Definition: administrator/components/com_menus/views/items/tmpl/modal.php:36
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

◆ __pad32__

else __pad32__

◆ endif

endif

◆ if

if($showPreview &&! $showAsTooltip)


Joomla CMS: Référence du fichier MediaField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier MediaField.php

Structures de données

class MediaField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier MediaHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier MediaHelper.php

Structures de données

class MediaHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier MediaRssParser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
  • Parser
  • Rss
Structures de données | Espaces de nommage
Référence du fichier MediaRssParser.php

Structures de données

class MediaRssParser

Espaces de nommage

Joomla\CMS\Feed\Parser\Rss


Joomla CMS: Référence du fichier mediawiki.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier mediawiki.php

Structures de données

class JMediawiki

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier members.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • orgs
Structures de données | Espaces de nommage
Référence du fichier members.php

Structures de données

class JGithubPackageOrgsMembers

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Memcache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
  • Storage
Structures de données | Espaces de nommage
Référence du fichier joomla/session/Joomla/Session/Storage/Memcache.php

Structures de données

class Memcache

Espaces de nommage

Joomla\Session\Storage


Joomla CMS: Référence du fichier Memcache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Cache
Structures de données | Espaces de nommage
Référence du fichier simplepie/simplepie/library/SimplePie/Cache/Memcache.php

Structures de données

class SimplePie_Cache_Memcache

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier memcache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Structures de données | Espaces de nommage
Référence du fichier memcache.php

Structures de données

class JSessionStorageMemcache

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Memcached.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
  • Storage
Structures de données | Espaces de nommage
Référence du fichier Memcached.php

Structures de données

class Memcached

Espaces de nommage

Joomla\Session\Storage


Joomla CMS: Référence du fichier memcached.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Structures de données | Espaces de nommage
Référence du fichier memcached.php

Structures de données

class JSessionStorageMemcached

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier MemcachedStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier MemcachedStorage.php

Structures de données

class MemcachedStorage

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier MemcacheStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier MemcacheStorage.php

Structures de données

class MemcacheStorage

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier Menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Menu.php

Structures de données

class Menu

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/controllers/menu.php

Structures de données

class MenusControllerMenu

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
  • fields
  • modal
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/models/fields/modal/menu.php

Structures de données

class JFormFieldModal_Menu

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/models/menu.php

Structures de données

class MenusModelMenu

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/tables/menu.php

Structures de données

class MenusTableMenu

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_menu
Structures de données | Espaces de nommage
Référence du fichier administrator/modules/mod_menu/menu.php

Structures de données

class JAdminCssMenu

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/menu.php

Structures de données

class JHtmlMenu

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • menu
Structures de données | Espaces de nommage
Référence du fichier plugins/editors-xtd/menu/menu.php

Structures de données

class PlgButtonMenu

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier MenuField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier MenuField.php

Structures de données

class MenuField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier MenuHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
Structures de données | Espaces de nommage
Référence du fichier MenuHelper.php

Structures de données

class MenuHelper

Espaces de nommage

Joomla\CMS\Menu


Joomla CMS: Référence du fichier MenuItem.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
Structures de données | Espaces de nommage
Référence du fichier MenuItem.php

Structures de données

class MenuItem

Espaces de nommage

Joomla\CMS\Menu


Joomla CMS: Référence du fichier menuitembytype.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier menuitembytype.php

Structures de données

class JFormFieldMenuitemByType

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier MenuitemField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier MenuitemField.php

Structures de données

class MenuitemField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier menuordering.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier menuordering.php

Structures de données

class JFormFieldMenuOrdering

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menuparent.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier menuparent.php

Structures de données

class JFormFieldMenuParent

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menupreset.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier menupreset.php

Structures de données

class JFormFieldMenuPreset

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier MenuRules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
  • Rules
Structures de données | Espaces de nommage
Référence du fichier MenuRules.php

Structures de données

class MenuRules

Espaces de nommage

Joomla\CMS\Component\Router\Rules


Joomla CMS: Référence du fichier menus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/controllers/menus.php

Structures de données

class MenusControllerMenus

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/helpers/html/menus.php

Structures de données

class MenusHtmlMenus

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/helpers/menus.php

Structures de données

class MenusHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/menus.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_menus')) $controller = JControllerLegacy::getInstance('Menus')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_menus')) $controller = JControllerLegacy::getInstance('Menus')


Joomla CMS: Référence du fichier menus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/models/menus.php

Structures de données

class MenusModelMenus

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_menus
Espaces de nommage | Variables
Référence du fichier components/com_menus/menus.php

Espaces de nommage

Joomla\Site

Variables

$lang = JFactory::getLanguage()
$app = JFactory::getApplication()
$controller = JControllerLegacy::getInstance('Menus')

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $controller

$controller = JControllerLegacy::getInstance('Menus')

◆ $lang

$lang = JFactory::getLanguage()


Joomla CMS: Référence du fichier MenuType.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier MenuType.php

Structures de données

class MenuType

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier menutype.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier menutype.php

Structures de données

class JFormFieldMenutype

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier menutypes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
Structures de données | Espaces de nommage
Référence du fichier menutypes.php

Structures de données

class MenusModelMenutypes

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier merging.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier merging.php

Structures de données

class JGithubPackageRepositoriesMerging

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_messages/controllers/message.php

Structures de données

class MessagesControllerMessage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_messages/models/message.php

Structures de données

class MessagesModelMessage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_messages/tables/message.php

Structures de données

class MessagesTableMessage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_postinstall/controllers/message.php

Structures de données

class PostinstallControllerMessage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • system
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/html/layouts/joomla/system/message.php

Espaces de nommage

Joomla\Administrator

Variables

$msgList = $displayData['msgList']
$alert = array('error' => 'alert-error', 'warning' => '', 'notice' => 'alert-info', 'message' => 'alert-success')
foreach($msgs as $msg) endforeach
endif

Documentation des variables

◆ $alert

$alert = array('error' => 'alert-error', 'warning' => '', 'notice' => 'alert-info', 'message' => 'alert-success')

Référencé par ConfirmButton\_getCommand(), et StandardButton\_getCommand().

◆ $msgList

$msgList = $displayData['msgList']

Référencé par MessageRenderer\render().

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • system
Espaces de nommage | Variables
Référence du fichier layouts/joomla/system/message.php

Espaces de nommage

Joomla\Site

Variables

$msgList = $displayData['msgList']
foreach($msgs as $msg) endforeach
endif

Documentation des variables

◆ $msgList

$msgList = $displayData['msgList']

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • system
  • privacyconsent
Espaces de nommage
Référence du fichier layouts/plugins/system/privacyconsent/message.php

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • user
  • terms
Espaces de nommage
Référence du fichier layouts/plugins/user/terms/message.php

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • message
Structures de données | Espaces de nommage
Référence du fichier plugins/privacy/message/message.php

Structures de données

class PlgPrivacyMessage

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • layouts
Espaces de nommage
Référence du fichier plugins/system/stats/layouts/message.php

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • layouts
  • joomla
  • system
Espaces de nommage | Variables
Référence du fichier templates/beez3/html/layouts/joomla/system/message.php

Espaces de nommage

Joomla\Site

Variables

$msgList = $displayData['msgList']
foreach($msgs as $msg) endforeach
endif

Documentation des variables

◆ $msgList

$msgList = $displayData['msgList']

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier message.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • layouts
  • joomla
  • system
Espaces de nommage | Variables
Référence du fichier templates/protostar/html/layouts/joomla/system/message.php

Espaces de nommage

Joomla\Site

Variables

$msgList = $displayData['msgList']
$alert = array('error' => 'alert-error', 'warning' => '', 'notice' => 'alert-info', 'message' => 'alert-success')
foreach($msgs as $msg) endforeach
endif

Documentation des variables

◆ $alert

$alert = array('error' => 'alert-error', 'warning' => '', 'notice' => 'alert-info', 'message' => 'alert-success')

◆ $msgList

$msgList = $displayData['msgList']

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier MessagequeueLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
  • Logger
Structures de données | Espaces de nommage
Référence du fichier MessagequeueLogger.php

Structures de données

class MessagequeueLogger

Espaces de nommage

Joomla\CMS\Log\Logger


Joomla CMS: Référence du fichier MessageRenderer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
  • Html
Structures de données | Espaces de nommage
Référence du fichier MessageRenderer.php

Structures de données

class MessageRenderer

Espaces de nommage

Joomla\CMS\Document\Renderer\Html


Joomla CMS: Référence du fichier messages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • controllers
Structures de données | Espaces de nommage
Référence du fichier com_messages/controllers/messages.php

Structures de données

class MessagesControllerMessages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier messages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier com_messages/helpers/html/messages.php

Structures de données

class JHtmlMessages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier messages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • helpers
Structures de données | Espaces de nommage
Référence du fichier com_messages/helpers/messages.php

Structures de données

class MessagesHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier messages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
Espaces de nommage | Variables
Référence du fichier com_messages/messages.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_messages')) $task = JFactory::getApplication()->input->get('task')
$controller = JControllerLegacy::getInstance('Messages')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Messages')

◆ $task

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_messages')) $task = JFactory::getApplication()->input->get('task')


Joomla CMS: Référence du fichier messages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • models
Structures de données | Espaces de nommage
Référence du fichier com_messages/models/messages.php

Structures de données

class MessagesModelMessages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier messages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
  • models
Structures de données | Espaces de nommage
Référence du fichier com_postinstall/models/messages.php

Structures de données

class PostinstallModelMessages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier messagestates.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier messagestates.php

Structures de données

class JFormFieldMessageStates

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier meta.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier meta.php

Structures de données

class JGithubMeta

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/edit/metadata.php

Espaces de nommage

Joomla\Site

Variables

$form = $displayData->get('form')
endif
endforeach

Documentation des variables

◆ $form

$form = $displayData->get('form')

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier layouts/joomla/edit/metadata.php

Espaces de nommage

Joomla\Site

Variables

$form = $displayData->getForm()
$fieldSets = $form->getFieldsets('metadata')
endif
if($name==='jmetadata') foreach($form->getFieldset($name) as $field) endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $form->getFieldsets('metadata')

◆ $form

$form = $displayData->getForm()

◆ endforeach

if ( $name==='jmetadata') foreach ( $form->getFieldset( $name) as $field) endforeach

◆ endif

endif


Joomla CMS: Référence du fichier MetadataManager.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Session
Structures de données | Espaces de nommage
Référence du fichier MetadataManager.php

Structures de données

class MetadataManager

Espaces de nommage

Joomla\CMS\Session


Joomla CMS: Référence du fichier meter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/meter.php

Espaces de nommage

Joomla\Site

Variables

$class = 'progress ' . $class
$value = (float) $value
$data = ''
$attributes

Documentation des variables

◆ $attributes

$attributes
Valeur initiale :
= array(
$class,
!empty($width) ? ' style="width:' . $width . ';"' : '',
$data
)
$data
$data
Definition: layouts/joomla/form/field/meter.php:62
$width
$width
Definition: modules/mod_banners/tmpl/default.php:29
$class
$class
Definition: layouts/joomla/form/field/meter.php:53

◆ $class

$class = 'progress ' . $class

◆ $data

$data = ''

◆ $value

$value = (float) $value


Joomla CMS: Référence du fichier meter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/meter.php

Structures de données

class JFormFieldMeter

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Microdata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Microdata
Structures de données | Espaces de nommage
Référence du fichier Microdata.php

Structures de données

class Microdata

Espaces de nommage

Joomla\CMS\Microdata


Joomla CMS: Référence du fichier milestones.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier milestones.php

Structures de données

class JGithubMilestones

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier milestones.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • issues
Structures de données | Espaces de nommage
Référence du fichier package/issues/milestones.php

Structures de données

class JGithubPackageIssuesMilestones

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Misc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Misc.php

Structures de données

class SimplePie_Misc

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier MissingComponentException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Exception
Structures de données | Espaces de nommage
Référence du fichier MissingComponentException.php

Structures de données

class MissingComponentException

Espaces de nommage

Joomla\CMS\Component\Exception


Joomla CMS: Référence du fichier mod_articles_archive.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_archive
Espaces de nommage | Variables
Référence du fichier mod_articles_archive.php

Espaces de nommage

Joomla\Site

Variables

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')
$list = ModArchiveHelper::getList($params)

Documentation des variables

◆ $list

$list = ModArchiveHelper::getList($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_articles_categories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_categories
Espaces de nommage | Variables
Référence du fichier mod_articles_categories.php

Espaces de nommage

Joomla\Site

Variables

$cacheid = md5($module->id)
$cacheparams = new stdClass
$cacheparams | cachemode = 'id'
$cacheparams | method = 'getList'
$cacheparams | methodparams = $params
$cacheparams | modeparams = $cacheid
$list = JModuleHelper::moduleCache($module, $params, $cacheparams)

Documentation des variables

◆ $cacheid

$cacheid = md5($module->id)

◆ $cacheparams

$cacheparams = new stdClass

Référencé par ModuleRenderer\render().

◆ $list

$list = JModuleHelper::moduleCache($module, $params, $cacheparams)

◆ cachemode

$cacheparams cachemode = 'id'

◆ method

$cacheparams method = 'getList'

◆ methodparams

$cacheparams methodparams = $params

◆ modeparams

$cacheparams modeparams = $cacheid


Joomla CMS: Référence du fichier mod_articles_category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_category
Espaces de nommage | Variables
Référence du fichier mod_articles_category.php

Espaces de nommage

Joomla\Site

Variables

$input = JFactory::getApplication()->input
$mode = $params->get('mode', 'normal')
$idbase = null
switch($mode) | $cacheid = md5(serialize(array ($idbase, $module->module, $module->id)))
$cacheparams = new stdClass
$cacheparams | cachemode = 'id'
$cacheparams | method = 'getList'
$cacheparams | methodparams = $params
$cacheparams | modeparams = $cacheid
$list = JModuleHelper::moduleCache($module, $params, $cacheparams)

Documentation des variables

◆ $cacheid

switch ( $mode) $cacheid = md5(serialize(array ($idbase, $module->module, $module->id)))

◆ $cacheparams

$cacheparams = new stdClass

◆ $idbase

$idbase = null

◆ $input

$input = JFactory::getApplication()->input

◆ $list

$list = JModuleHelper::moduleCache($module, $params, $cacheparams)

◆ $mode

$mode = $params->get('mode', 'normal')

◆ cachemode

$cacheparams cachemode = 'id'

◆ method

$cacheparams method = 'getList'

◆ methodparams

$cacheparams methodparams = $params

◆ modeparams

$cacheparams modeparams = $cacheid


Joomla CMS: Référence du fichier mod_articles_latest.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_latest
Espaces de nommage | Variables
Référence du fichier mod_articles_latest.php

Espaces de nommage

Joomla\Site

Variables

$list = ModArticlesLatestHelper::getList($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $list

$list = ModArticlesLatestHelper::getList($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_articles_news.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_news
Espaces de nommage | Variables
Référence du fichier mod_articles_news.php

Espaces de nommage

Joomla\Site

Variables

$list = ModArticlesNewsHelper::getList($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $list

$list = ModArticlesNewsHelper::getList($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_articles_popular.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_popular
Espaces de nommage | Variables
Référence du fichier mod_articles_popular.php

Espaces de nommage

Joomla\Site

Variables

$list = ModArticlesPopularHelper::getList($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $list

$list = ModArticlesPopularHelper::getList($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_banners.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_banners
Espaces de nommage | Variables
Référence du fichier mod_banners.php

Espaces de nommage

Joomla\Site

Variables

$headerText = trim($params->get('header_text', ''))
$footerText = trim($params->get('footer_text', ''))
$list = &ModBannersHelper::getList($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $footerText

$footerText = trim($params->get('footer_text', ''))

◆ $headerText

$headerText = trim($params->get('header_text', ''))

◆ $list

$list = &ModBannersHelper::getList($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_breadcrumbs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_breadcrumbs
Espaces de nommage | Variables
Référence du fichier mod_breadcrumbs.php

Espaces de nommage

Joomla\Site

Variables

$list = ModBreadCrumbsHelper::getList($params)
$count = count($list)
$separator = ModBreadCrumbsHelper::setSeparator($params->get('separator'))
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $count

$count = count($list)

◆ $list

$list = ModBreadCrumbsHelper::getList($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $separator

$separator = ModBreadCrumbsHelper::setSeparator($params->get('separator'))


Joomla CMS: Référence du fichier mod_custom.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_custom
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_custom/mod_custom.php

Espaces de nommage

Joomla\Administrator

Variables

if($params->def('prepare_content', 1)) $module content = preg_replace('*src\=\"(?!administrator\/)images/*', 'src="../images/', $module->content)

Documentation des variables

◆ content

if ( $params->def( 'prepare_content', 1)) $module content = preg_replace('*src\=\"(?!administrator\/)images/*', 'src="../images/', $module->content)

Référencé par Module\check(), Microdata\content(), Microdata\display(), BannersModelTracks\getContent(), et Microdata\resetParams().


Joomla CMS: Référence du fichier mod_custom.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_custom
Espaces de nommage | Variables
Référence du fichier modules/mod_custom/mod_custom.php

Espaces de nommage

Joomla\Site

Variables

if($params->def('prepare_content', 1)) $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $moduleclass_sfx

if ( $params->def( 'prepare_content', 1)) $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_feed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_feed
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_feed/mod_feed.php

Espaces de nommage

Joomla\Administrator

Variables

$rssurl = $params->get('rssurl', '')
$rssrtl = $params->get('rssrtl', 0)
if(empty($rssurl)) $feed = ModFeedHelper::getFeed($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $feed

if (empty( $rssurl)) $feed = ModFeedHelper::getFeed($params)

Référencé par SimplePie_Locator\body(), NewsfeedsViewNewsfeed\display(), SimplePie_Locator\extension(), ModFeedHelper\getFeed(), AtomParser\handleAuthor(), RssParser\handleCategory(), RssParser\handleCloud(), AtomParser\handleContributor(), RssParser\handleCopyright(), RssParser\handleDescription(), AtomParser\handleGenerator(), RssParser\handleGenerator(), AtomParser\handleId(), RssParser\handleImage(), RssParser\handleLanguage(), RssParser\handleLastBuildDate(), AtomParser\handleLink(), RssParser\handleLink(), RssParser\handleManagingEditor(), RssParser\handlePubDate(), AtomParser\handleRights(), RssParser\handleSkipDays(), RssParser\handleSkipHours(), AtomParser\handleSubtitle(), AtomParser\handleTitle(), RssParser\handleTitle(), RssParser\handleTtl(), AtomParser\handleUpdated(), RssParser\handleWebmaster(), SimplePie_Cache_MySQL\load(), FeedParser\parse(), FeedParser\processElement(), RssRenderer\render(), AtomRenderer\render(), et SimplePie_Locator\search_elements_by_tag().

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $rssrtl

$rssrtl = $params->get('rssrtl', 0)

◆ $rssurl

$rssurl = $params->get('rssurl', '')

Référencé par ModFeedHelper\getFeed().


Joomla CMS: Référence du fichier mod_feed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_feed
Espaces de nommage | Variables
Référence du fichier modules/mod_feed/mod_feed.php

Espaces de nommage

Joomla\Site

Variables

$rssurl = $params->get('rssurl', '')
$rssrtl = $params->get('rssrtl', 0)
if(empty($rssurl)) $feed = ModFeedHelper::getFeed($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $feed

if (empty( $rssurl)) $feed = ModFeedHelper::getFeed($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $rssrtl

$rssrtl = $params->get('rssrtl', 0)

◆ $rssurl

$rssurl = $params->get('rssurl', '')


Joomla CMS: Référence du fichier mod_finder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_finder
Espaces de nommage | Variables
Référence du fichier mod_finder.php

Espaces de nommage

Joomla\Site

Variables

$route = FinderHelperRoute::getSearchRoute($params->get('searchfilter', null))
$query = ModFinderHelper::getQuery($params)

Documentation des variables

◆ $query

$query = ModFinderHelper::getQuery($params)

◆ $route

$route = FinderHelperRoute::getSearchRoute($params->get('searchfilter', null))


Joomla CMS: Référence du fichier mod_footer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_footer
Espaces de nommage | Variables
Référence du fichier mod_footer.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$date = JFactory::getDate()
$cur_year = JHtml::_('date', $date, 'Y')
$csite_name = $app->get('sitename')
if(is_int(StringHelper::strpos(JText ::_('MOD_FOOTER_LINE1'), '%date%'))) else
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $csite_name

$csite_name = $app->get('sitename')

◆ $cur_year

$cur_year = JHtml::_('date', $date, 'Y')

◆ $date

$date = JFactory::getDate()

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ else

if (is_int(StringHelper::strpos( $line1, '%sitename%'))) else
Valeur initiale :
{
$line1 = JText :: _('MOD_FOOTER_LINE1')


Joomla CMS: Référence du fichier mod_languages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_languages
Espaces de nommage | Variables
Référence du fichier mod_languages.php

Espaces de nommage

Joomla\Site

Variables

$headerText = $params->get('header_text')
$footerText = $params->get('footer_text')
$list = ModLanguagesHelper::getList($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $footerText

$footerText = $params->get('footer_text')

◆ $headerText

$headerText = $params->get('header_text')

◆ $list

$list = ModLanguagesHelper::getList($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_latest.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latest
Espaces de nommage | Variables
Référence du fichier mod_latest.php

Espaces de nommage

Joomla\Administrator

Variables

$list = ModLatestHelper::getList($params)
if ( $params->get( 'automatic_title', 0))

Documentation des variables

◆ $list

$list = ModLatestHelper::getList($params)

Référencé par PlgContentPagebreak\_createToc(), ConfirmButton\_getCommand(), StandardButton\_getCommand(), Pagination\_list_footer(), Pagination\_list_render(), MenusViewMenutypes\addCustomTypes(), JTwitterLists\addMembers(), FOFModel\blacklistFilters(), LanguageHelper\createLanguageList(), Help\createSiteList(), JTwitterLists\delete(), JTwitterLists\deleteMembers(), MenusViewMenutypes\display(), PlgSystemDebug\displayQueries(), StandardButton\fetchButton(), ConfirmButton\fetchButton(), MediaModelList\getDocuments(), FOFModel\getFirstItem(), MediaModelManager\getFolderList(), MediaModelList\getFolders(), MediaModelList\getImages(), FOFModel\getItemList(), InstallationModelLanguages\getItems(), InstallationModelSetup\getLanguages(), MediaModelList\getList(), JTwitterLists\getListById(), Pagination\getListFooter(), JTwitterLists\getMembers(), Pagination\getPagesLinks(), Pagination\getPaginationLinks(), Pagination\getPaginationPages(), JTwitterLists\getStatuses(), JTwitterLists\getSubscribers(), MenusModelMenutypes\getTypeOptions(), MediaModelList\getVideos(), ModArticlesCategoryHelper\groupBy(), ModArticlesCategoryHelper\groupByDate(), ModArticlesCategoryHelper\groupByTags(), JTwitterLists\isMember(), JTwitterLists\isSubscriber(), lessc\lib_extract(), JHtmlMenu\linkOptions(), FtpClient\listNames(), FOFLessParser\mediaQueryList(), lessc_parser\mediaQueryList(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgSearchContent\onContentSearch(), pagination_list_footer(), pagination_list_render(), PHPMailer\parseAddresses(), ListModel\populateState(), FOFTemplateUtils\sefSort(), JTwitterLists\subscribe(), JHtmlMenu\treerecurse(), JTwitterLists\unsubscribe(), et JTwitterLists\update().

◆ if

if($params->get('automatic_title', 0))


Joomla CMS: Référence du fichier mod_latestactions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latestactions
Espaces de nommage | Variables
Référence du fichier mod_latestactions.php

Espaces de nommage

Joomla\Administrator

Variables

$list = ModLatestActionsHelper::getList($params)
if ( $params->get( 'automatic_title', 0))

Documentation des variables

◆ $list

$list = ModLatestActionsHelper::getList($params)

◆ if

if($params->get('automatic_title', 0))


Joomla CMS: Référence du fichier mod_logged.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_logged
Espaces de nommage | Variables
Référence du fichier mod_logged.php

Espaces de nommage

Joomla\Administrator

Variables

$users = ModLoggedHelper::getList($params)
if ( $params->get( 'automatic_title', 0))

Documentation des variables

◆ $users

$users = ModLoggedHelper::getList($params)

Référencé par UsersModelUser\batchUser(), JFacebookEvent\createInvite(), ModStatsHelper\getList(), ModStatsHelper\getStats(), PlgContentJoomla\onContentAfterSave(), PlgSystemPrivacyconsent\remindExpiringConsents(), ActionlogsModelActionlog\sendNotificationEmails(), LanguageAdapter\uninstall(), et JHtmlList\users().

◆ if

if($params->get('automatic_title', 0))


Joomla CMS: Référence du fichier mod_login.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_login
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_login/mod_login.php

Espaces de nommage

Joomla\Administrator

Variables

$langs = ModLoginHelper::getLanguageList()
$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()
$return = ModLoginHelper::getReturnUri()

Documentation des variables

◆ $langs

$langs = ModLoginHelper::getLanguageList()

Référencé par LanguageAdapter\getSefString(), et InstallationModelLanguages\getSefString().

◆ $return

$return = ModLoginHelper::getReturnUri()

◆ $twofactormethods

$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()


Joomla CMS: Référence du fichier mod_login.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_login
Espaces de nommage | Variables
Référence du fichier modules/mod_login/mod_login.php

Espaces de nommage

Joomla\Site

Variables

$type = ModLoginHelper::getType()
$return = ModLoginHelper::getReturnUrl($params, $type)
$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()
$user = JFactory::getUser()
$layout = $params->get('layout', 'default')
if (! $user->guest)

Documentation des variables

◆ $layout

$layout = $params->get('layout', 'default')

◆ $return

$return = ModLoginHelper::getReturnUrl($params, $type)

◆ $twofactormethods

$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()

◆ $type

$type = ModLoginHelper::getType()

◆ $user

$user = JFactory::getUser()

◆ if

if(! $user->guest)


Joomla CMS: Référence du fichier mod_menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_menu
Espaces de nommage | Variables
Référence du fichier administrator/modules/mod_menu/mod_menu.php

Espaces de nommage

Joomla\Administrator

Variables

$lang = JFactory::getLanguage()
$user = JFactory::getUser()
$input = JFactory::getApplication()->input
$enabled = !$input->getBool('hidemainmenu')
$menu = new JAdminCssMenu($user)

Documentation des variables

◆ $enabled

$enabled = !$input->getBool('hidemainmenu')

Référencé par JHtmlJGrid\action(), PlgExtensionJoomla\addUpdateSite(), JObserverUpdater\doCallObservers(), InstallerModelUpdatesites\getListQuery(), FOFFormFieldPublished\getRepeatable(), FOFFormFieldActions\getRepeatable(), PlgSystemUpdatenotification\getSuperUsers(), ModuleHelper\isAdminMultilang(), Multilanguage\isEnabled(), Associations\isEnabled(), Microdata\isEnabled(), JAdminCssMenu\load(), Pagination\orderDownIcon(), Pagination\orderUpIcon(), JHtmlBanner\pinned(), Cache\setCaching(), SMTP\setVerp(), InstallerHtmlUpdatesites\state(), InstallerHtmlManage\state(), JHtmlModules\state(), MenusHtmlMenus\state(), et UpdateAdapter\toggleUpdateSite().

◆ $input

$input = JFactory::getApplication()->input

◆ $lang

$lang = JFactory::getLanguage()

◆ $menu

$menu = new JAdminCssMenu($user)

Référencé par UsersRouter\__construct(), ContactRouter\__construct(), ContentRouter\__construct(), NewsfeedsRouter\__construct(), PrivacyRouter\__construct(), SitePathway\__construct(), RouterBase\__construct(), SiteRouter\__construct(), TagsViewTags\_prepareDocument(), ContentViewForm\_prepareDocument(), ContactViewFeatured\_prepareDocument(), ContentViewArchive\_prepareDocument(), ContentViewFeatured\_prepareDocument(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), TagsViewTag\_prepareDocument(), ContactViewContact\_prepareDocument(), AbstractMenu\authorise(), ModulesModelModule\batchCopy(), HtmlDocument\countMenuChildren(), SearchViewSearch\display(), FinderViewSearch\display(), ModMenuHelper\getActive(), NewsfeedsModelCategory\getCategory(), ContactModelCategory\getCategory(), ModMenuHelper\getDefault(), MenuField\getGroups(), MenuitemField\getGroups(), JFormFieldMenuitemByType\getGroups(), JFormFieldComponentlayout\getInput(), FinderHelperRoute\getItemid(), ContactModelCategories\getItems(), NewsfeedsModelCategories\getItems(), ContentModelCategories\getItems(), ModBreadCrumbsHelper\getList(), ModArchiveHelper\getList(), ModLanguagesHelper\getList(), ModMenuHelper\getList(), ModArticlesCategoryHelper\getList(), CMSApplication\getMenu(), JApplication\getMenu(), MenusModelItem\getMenuTypeId(), BaseController\getModel(), FOFController\getModel(), SiteApplication\getParams(), AbstractMenu\getParams(), SiteApplication\getTemplate(), MenusModelMenutypes\getTypeOptionsFromLayouts(), MenusModelMenutypes\getTypeOptionsFromMvc(), MenusModelMenutypes\getTypeOptionsFromXml(), JoomlaupdateModelDefault\isTemplateActive(), JHtmlMenu\menuItems(), PlgSystemLanguageFilter\onAfterDispatch(), PlgSampledataBlog\onAjaxSampledataApplyStep2(), PlgSystemLanguageFilter\onUserLogin(), ContentModelFeatured\populateState(), ContentModelCategory\populateState(), ContactModelCategory\populateState(), NewsfeedsViewCategory\prepareDocument(), UsersViewRemind\prepareDocument(), UsersViewRegistration\prepareDocument(), UsersViewLogin\prepareDocument(), UsersViewReset\prepareDocument(), ContactViewCategory\prepareDocument(), PrivacyViewConfirm\prepareDocument(), PrivacyViewRemind\prepareDocument(), PrivacyViewRequest\prepareDocument(), CategoriesView\prepareDocument(), UsersViewProfile\prepareDocument(), FinderViewSearch\prepareDocument(), ContentViewCategory\prepareDocument(), SearchController\search(), et FOFViewHtml\setPageTitle().

◆ $user

$user = JFactory::getUser()


Joomla CMS: Référence du fichier mod_menu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_menu
Espaces de nommage | Variables
Référence du fichier modules/mod_menu/mod_menu.php

Espaces de nommage

Joomla\Site

Variables

$list = ModMenuHelper::getList($params)
$base = ModMenuHelper::getBase($params)
$active = ModMenuHelper::getActive($params)
$default = ModMenuHelper::getDefault()
$active_id = $active->id
$default_id = $default->id
$path = $base->tree
$showAll = $params->get('showAllChildren', 1)
$class_sfx = htmlspecialchars($params->get('class_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $active

$active = ModMenuHelper::getActive($params)

◆ $active_id

$active_id = $active->id

◆ $base

$base = ModMenuHelper::getBase($params)

Référencé par PaginationObject\__construct(), JOAuth1Client\_baseString(), JLinkedinGroups\_followUnfollow(), JLinkedinStream\_likeUnlike(), JLinkedinGroups\_likeUnlike(), JLoader\_load(), DocumentRenderer\_relToAbs(), JOAuth1Client\_signRequest(), SimplePie_IRI\absolutize(), SimplePie_Misc\absolutize_url(), JLinkedinGroups\addComment(), Uri\base(), JLinkedinJobs\bookmark(), JHtmlNumber\bytes(), JOpenstreetmapUser\changePreference(), JLinkedinGroups\changeSettings(), JOpenstreetmapChangesets\closeChangeset(), JGithubPackageRepositoriesCommits\compare(), JGithubPackagePulls\create(), JOpenstreetmapChangesets\createChangeset(), JGithubPackagePulls\createFromIssue(), JOpenstreetmapElements\createNode(), JLinkedinGroups\createPost(), JOpenstreetmapElements\createRelation(), JOpenstreetmapElements\createWay(), JLinkedinJobs\deleteBookmark(), JLinkedinGroups\deleteComment(), JOpenstreetmapElements\deleteElement(), JLinkedinGroups\deletePost(), JLinkedinGroups\deleteSuggestion(), JOpenstreetmapChangesets\diffUploadChangeset(), MenusViewItems\display(), InstallerAdapter\doLoadLanguage(), JOpenstreetmapChangesets\downloadChangeset(), JOpenstreetmapGps\downloadTraceMetadata(), JOpenstreetmapGps\downloadTraceMetadetails(), JHtmlIcon\email(), JOpenstreetmapChangesets\expandBBoxChangeset(), HeadRenderer\fetchHead(), JLinkedinGroups\flagPost(), JLinkedinCompanies\follow(), JOpenstreetmapElements\fullElement(), ParagonIE_Sodium_Core32_Curve25519\ge_select(), UsersModelUser\generateOteps(), UserHelper\genRandomPassword(), ModMenuHelper\getBase(), Document\getBase(), JLinkedinJobs\getBookmarked(), JOpenstreetmapInfo\getCapabilities(), JLinkedinGroups\getComment(), JLinkedinStream\getComments(), JLinkedinCompanies\getCompanies(), JLinkedinPeople\getConnections(), JLinkedinStream\getCurrentShare(), JOpenstreetmapUser\getDetails(), JGithubCommits\getDiff(), JLinkedinGroups\getDiscussions(), MediaModelManager\getFolderList(), MediaModelManager\getFolderTree(), JLinkedinCompanies\getFollowed(), JLinkedinGroups\getGroup(), JLinkedinJobs\getJob(), JLinkedinStream\getLikes(), ModMenuHelper\getList(), JLinkedinGroups\getMemberships(), JLinkedinStream\getNetworkStats(), JLinkedinStream\getNetworkUpdates(), JLinkedinGroups\getPost(), JLinkedinGroups\getPostComments(), JOpenstreetmapUser\getPreferences(), JLinkedinCompanies\getProducts(), JLinkedinPeople\getProfile(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), JLinkedinGroups\getSettings(), JLinkedinStream\getShareStream(), JLinkedinJobs\getSuggested(), JLinkedinCompanies\getSuggested(), JLinkedinGroups\getSuggested(), JLinkedinCompanies\getUpdates(), JLinkedinGroups\getUserPosts(), JOpenstreetmapElements\historyOfElement(), JLoader\import(), FOFUtilsArray\invert(), ArrayHelper\invert(), JLinkedinCommunications\inviteByEmail(), JLinkedinCommunications\inviteById(), FOFUtilsIp\IPinList(), IpHelper\IPinList(), jimport(), JLinkedinGroups\joinGroup(), JLinkedinGroups\leaveGroup(), lessc\lib_pow(), TemplateAdapter\loadLanguage(), JOpenstreetmapElements\multiFetchElements(), PlgSystemSef\onAfterRender(), FilesystemHelper\parseSizeUnit(), JGithubPackageRepositoriesMerging\perform(), JLinkedinStream\postComment(), JLinkedinStream\postNetworkUpdate(), MenusModelItem\preprocessForm(), JOpenstreetmapChangesets\queryChangeset(), LdapClient\read(), JOpenstreetmapChangesets\readChangeset(), JOpenstreetmapElements\readElement(), JOpenstreetmapElements\redaction(), LanguagesModelStrings\refresh(), JOpenstreetmapElements\relationsForElement(), JOpenstreetmapUser\replacePreferences(), Uri\reset(), JLinkedinStream\reshare(), JOpenstreetmapGps\retrieveGps(), JOpenstreetmapInfo\retrieveMapData(), JOpenstreetmapInfo\retrievePermissions(), CMSApplication\route(), SimplePie_Source\sanitize(), SimplePie_Item\sanitize(), SimplePie\sanitize(), MenusModelItem\save(), JLinkedinCompanies\search(), JLinkedinPeople\search(), JLinkedinJobs\search(), JLinkedinCommunications\sendMessage(), Document\setBase(), JLinkedinStream\share(), SimplePie_Parser\tag_open(), FinderIndexerQuery\toUri(), JLinkedinCompanies\unfollow(), JOpenstreetmapChangesets\updateChangeset(), JOpenstreetmapElements\updateElement(), JOpenstreetmapGps\uploadTrace(), JOpenstreetmapElements\versionOfElement(), et JOpenstreetmapElements\waysForNode().

◆ $class_sfx

$class_sfx = htmlspecialchars($params->get('class_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $default

$default = ModMenuHelper::getDefault()

Référencé par FOFInput\__call(), JInput\__call(), Input\__call(), FOFInput\__callStatic(), FOFTableRelations\__construct(), FOFModel\_real_getState(), FOFTableRelations\addBespokePivotRelation(), FOFTableRelations\addBespokeSimpleRelation(), FOFTableRelations\addChildRelation(), FOFTableRelations\addChildrenRelation(), FOFTableRelations\addMultipleRelation(), FOFTableRelations\addParentRelation(), UsersRouterRulesLegacy\build(), FOFUtilsObject\def(), CMSObject\def(), Registry\def(), RouteHelper\findItem(), FOFConfigDomainDispatcher\get(), JInputFiles\get(), Files\get(), FOFUtilsObject\get(), FOFConfigProvider\get(), CMSObject\get(), Cli\get(), FOFConfigDomainTables\get(), FOFInput\get(), AbstractApplication\get(), FOFConfigDomainViews\get(), JInput\get(), Input\get(), Registry\get(), JException\get(), MenuItem\get(), HtmlView\get(), Session\get(), FOFView\get(), Pagination\get(), Stream\get(), FOFLess\get(), AKFactory\get(), FOFConfigDomainViews\getAcl(), FOFDatabaseDriver\getAlterTableCharacterSet(), JDatabaseDriver\getAlterTableCharacterSet(), AbstractEvent\getArgument(), FOFForm\getAttribute(), FormField\getAttribute(), Form\getAttribute(), FactoryWrapper\getAvailableDriver(), HttpFactory\getAvailableDriver(), FOFModel\getBehaviorParam(), FOFConfigDomainTables\getBehaviors(), JRequest\getBool(), ModQuickIconHelper\getButtons(), FOFIntegrationJoomlaPlatform\getCache(), FOFFormFieldCalendar\getCalendar(), CMSApplication\getCfg(), JApplication\getCfg(), JRequest\getCmd(), FOFUtilsUpdate\getCommonParameter(), FOFUtilsConfigHelper\getComponentConfigurationValue(), ApplicationHelper\getComponentName(), FOFConfigDomainViews\getConfig(), Form\getControlGroup(), Dispatcher\getEvent(), FOFConfigDomainTables\getField(), Form\getFieldAttribute(), InstallerHelper\getFilenameFromUrl(), JRequest\getFloat(), JRequest\getInt(), ModLanguagesHelper\getList(), JoomlaupdateHelperSelect\getMethods(), FOFFormFieldPublished\getOptions(), CliApplication\getOutput(), FOFDownload\getParam(), User\getParam(), FOFInflector\getPart(), Installer\getPath(), ListenersPriorityQueue\getPriority(), getQueryParam(), FOFConfigDomainTables\getRelations(), MediaModelManager\getState(), MediaModelList\getState(), BaseDatabaseModel\getState(), FOFModel\getState(), JRequest\getString(), FOFConfigDomainTables\getTablealias(), FOFConfigDomainViews\getTaskmap(), FOFConfigDomainViews\getToolbar(), JRequest\getUInt(), JApplication\getUserState(), CMSApplication\getUserState(), FOFIntegrationJoomlaPlatform\getUserStateFromRequest(), FOFPlatform\getUserStateFromRequest(), JApplication\getUserStateFromRequest(), CMSApplication\getUserStateFromRequest(), ListModel\getUserStateFromRequest(), FOFModel\getUserStateFromRequest(), JArrayHelper\getValue(), FOFUtilsArray\getValue(), ArrayHelper\getValue(), Form\getValue(), JRequest\getVar(), AbstractUri\getVar(), JRequest\getWord(), FinderIndexerHelper\isCommon(), Form\loadField(), FOFConfigDomainTables\parseDomain(), JApplicationWebRouterBase\parseRoute(), MenuRules\preprocess(), Form\renderField(), HtmlView\setModel(), FOFView\setModel(), FOFViewHtml\setPageTitle(), CaptchaField\setup(), JFormFieldCheckbox\setup(), ArrayHelper\toInteger(), FOFUtilsArray\toInteger(), et JArrayHelper\toInteger().

◆ $default_id

$default_id = $default->id

◆ $list

$list = ModMenuHelper::getList($params)

◆ $path

$path = $base->tree

◆ $showAll

$showAll = $params->get('showAllChildren', 1)

Référencé par MenuField\getGroups(), ModMenuHelper\getList(), et LimitboxField\getOptions().


Joomla CMS: Référence du fichier mod_multilangstatus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_multilangstatus
Espaces de nommage
Référence du fichier mod_multilangstatus.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier mod_popular.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_popular
Espaces de nommage | Variables
Référence du fichier mod_popular.php

Espaces de nommage

Joomla\Administrator

Variables

$list = ModPopularHelper::getList($params)
if ( $params->get( 'automatic_title', 0))

Documentation des variables

◆ $list

$list = ModPopularHelper::getList($params)

◆ if

if($params->get('automatic_title', 0))


Joomla CMS: Référence du fichier mod_privacy_dashboard.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_privacy_dashboard
Espaces de nommage | Variables
Référence du fichier mod_privacy_dashboard.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.admin')) $lang = JFactory::getLanguage()
$list = ModPrivacyDashboardHelper::getData()
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $lang

if (!JFactory::getUser() ->authorise( 'core.admin')) $lang = JFactory::getLanguage()

◆ $list

$list = ModPrivacyDashboardHelper::getData()

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_quickicon.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_quickicon
Espaces de nommage | Variables
Référence du fichier mod_quickicon.php

Espaces de nommage

Joomla\Administrator

Variables

$buttons = ModQuickIconHelper::getButtons($params)

Documentation des variables

◆ $buttons

$buttons = ModQuickIconHelper::getButtons($params)

Référencé par FOFFormHeader\__get(), PlgEditorNone\_displayButtons(), JHtmlIcons\buttons(), Editor\display(), PlgEditorCodemirror\displayButtons(), ModQuickIconHelper\getButtons(), Editor\getButtons(), JFormFieldSubform\getInput(), PlgEditorTinymce\getKnownButtons(), ModQuickIconHelper\groupButtons(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorCodemirror\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), EditorField\setup(), et PlgEditorTinymce\tinyButtons().


Joomla CMS: Référence du fichier mod_random_image.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_random_image
Espaces de nommage | Variables
Référence du fichier mod_random_image.php

Espaces de nommage

Joomla\Site

Variables

$link = $params->get('link')
$folder = ModRandomImageHelper::getFolder($params)
$images = ModRandomImageHelper::getImages($params, $folder)
if(!count($images)) $image = ModRandomImageHelper::getRandomImage($params, $images)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $folder

$folder = ModRandomImageHelper::getFolder($params)

Référencé par ChangeSet\__construct(), JFormFieldPlugins\__get(), FileStorage\_deleteFolder(), ExtensionHelper\checkIfCoreExtension(), CacheliteStorage\clean(), FileStorage\clean(), Installer\cleanDiscoveredExtension(), FileAdapter\copyBaseFiles(), PackageAdapter\copyBaseFiles(), MediaControllerFolder\create(), TemplatesModelTemplate\createTemplateOverride(), MediaControllerFolder\delete(), MediaControllerFile\delete(), Folder\delete(), JoomlaInstallerScript\deleteUnexistingFiles(), LibraryAdapter\discover(), PluginAdapter\discover(), CacheliteStorage\getAll(), FileStorage\getAll(), AdminModelSysInfo\getDirectory(), InstallerHelper\getExtensionGroupes(), AKUtilsLister\getFiles(), ModRandomImageHelper\getFolder(), MediaViewMedia\getFolderLevel(), MediaModelManager\getFolderList(), AKUtilsLister\getFolders(), MediaModelManager\getFolderTree(), TemplatesModelTemplate\getFont(), PluginsModelPlugin\getForm(), TemplatesModelTemplate\getImage(), ModRandomImageHelper\getImages(), ChangeSet\getInstance(), InstallerModelDatabase\getItems(), MediaField\getLayoutData(), MediaModelList\getList(), InstallerModelUpdate\getListQuery(), InstallerModelDiscover\getListQuery(), PluginsModelPlugins\getListQuery(), InstallerModelManage\getListQuery(), InstallerModelUpdatesites\getListQuery(), FOFToolbar\getMyViews(), JFormFieldPlugins\getOptions(), JFormFieldFolderList\getOptions(), TemplatesModelTemplate\getOverridesFolder(), JFormFieldPluginordering\getQuery(), MediaModelManager\getState(), MediaModelList\getState(), MenusModelMenutypes\getTypeOptionsFromLayouts(), FOFUtilsInstallscript\installSubextensions(), ModuleAdapter\loadLanguage(), PluginAdapter\loadLanguage(), ComponentAdapter\loadLanguage(), PackageManifest\loadManifestFromData(), Installer\parseFiles(), Installer\parseLanguages(), Installer\parseMedia(), FileAdapter\populateFilesAndFolderList(), PluginsModelPlugins\populateState(), PluginsModelPlugin\preprocessForm(), InstallerScript\removeFiles(), Installer\removeFiles(), FOFUtilsInstallscript\removeFilesAndFolders(), FileAdapter\uninstall(), PackageAdapter\uninstall(), FOFUtilsInstallscript\uninstallObsoleteSubextensions(), FOFUtilsInstallscript\uninstallSubextensions(), MediaControllerFile\upload(), DaemonApplication\writeProcessIdFile(), et AbstractDaemonApplication\writeProcessIdFile().

◆ $image

if (!count( $images)) $image = ModRandomImageHelper::getRandomImage($params, $images)

Référencé par OpensearchDocument\addImage(), TemplatesModelTemplate\cropImage(), SimplePie\get_image_tags(), TemplatesModelTemplate\getImage(), ModRandomImageHelper\getRandomImage(), RssParser\handleImage(), OpensearchDocument\render(), TemplatesModelTemplate\resizeImage(), JLinkedinStream\share(), HTMLHelper\tooltip(), JTwitterProfile\updateProfileBackgroundImage(), et JTwitterProfile\updateProfileImage().

◆ $images

$images = ModRandomImageHelper::getImages($params, $folder)

◆ $link

$link = $params->get('link')

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_related_items.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_related_items
Espaces de nommage | Variables
Référence du fichier mod_related_items.php

Espaces de nommage

Joomla\Site

Variables

$cacheparams = new stdClass
$cacheparams | cachemode = 'safeuri'
$cacheparams | method = 'getList'
$cacheparams | methodparams = $params
$cacheparams | modeparams = array('id' => 'int', 'Itemid' => 'int')
$list = JModuleHelper::moduleCache($module, $params, $cacheparams)
if(!count($list)) | $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')
$showDate = $params->get('showDate', 0)

Documentation des variables

◆ $cacheparams

$cacheparams = new stdClass

◆ $list

$list = JModuleHelper::moduleCache($module, $params, $cacheparams)

◆ $moduleclass_sfx

if (!count( $list)) $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $showDate

$showDate = $params->get('showDate', 0)

◆ cachemode

$cacheparams cachemode = 'safeuri'

◆ method

$cacheparams method = 'getList'

◆ methodparams

$cacheparams methodparams = $params

◆ modeparams

$cacheparams modeparams = array('id' => 'int', 'Itemid' => 'int')


Joomla CMS: Référence du fichier mod_sampledata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_sampledata
Espaces de nommage | Variables
Référence du fichier mod_sampledata.php

Espaces de nommage

Joomla\Administrator

Variables

$items = ModSampledataHelper::getList()

Documentation des variables

◆ $items

$items = ModSampledataHelper::getList()

Référencé par TagsHelperRoute\_findItem(), JHtmlNewsfeed\association(), JHtmlContentAdministrator\association(), JHtmlContact\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), UsersRouterRulesLegacy\build(), MenuRules\buildLookup(), JHtmlCategory\categories(), FinderIndexerAdapter\categoryAccessChange(), FinderIndexerAdapter\categoryStateChange(), JAdminCssMenu\check(), CategoryView\commonCategoryDisplay(), lessc\compressList(), FOFLess\compressList(), NewsfeedsHelper\countItems(), ContactHelper\countItems(), ContentHelper\countItems(), BannersHelper\countItems(), TagsModelTags\countItems(), CategoriesModelCategories\countItems(), ContentHelper\countRelations(), NewsfeedsHelper\countTagItems(), ContactHelper\countTagItems(), ContentHelper\countTagItems(), PrivacyPlugin\createCustomFieldsDomain(), PlgPrivacyUser\createNotesDomain(), PlgPrivacyUser\createProfileDomain(), TagsViewTag\display(), TagsViewTags\display(), SearchViewSearch\display(), FinderViewSearch\display(), CategoryFeedView\display(), ModulesViewSelect\display(), InstallerViewWarnings\display(), ContentViewArchive\display(), MenusViewMenu\display(), ContentViewFeatured\display(), CategoriesView\display(), ContactViewFeatured\display(), JHtmlAdminLanguage\existing(), JHtmlContentLanguage\existing(), RouteHelper\findItem(), FOFLessParser\genericList(), lessc_parser\genericList(), JHtmlList\genericordering(), SimplePie\get_item(), SimplePie\get_items(), AssociationsHelper\getAssociationHtmlList(), AssociationExtensionHelper\getAssociationList(), Associations\getAssociations(), CategoryNode\getChildren(), UsersHelperDebug\getComponents(), MenuitemField\getGroups(), JFormFieldMenuitemByType\getGroups(), FinderHelperRoute\getItemid(), UsersHelperRoute\getItems(), FinderModelSuggestions\getItems(), MenusModelMenus\getItems(), TemplatesModelTemplates\getItems(), PrivacyExportDomain\getItems(), NewsfeedsModelCategory\getItems(), TagsModelTag\getItems(), ContactModelCategory\getItems(), ModulesModelPositions\getItems(), UsersModelGroups\getItems(), ModulesModelSelect\getItems(), ContactModelFeatured\getItems(), SearchModelSearches\getItems(), UsersModelUsers\getItems(), CheckinModelCheckin\getItems(), BannersModelClients\getItems(), AbstractMenu\getItems(), TagsModelTags\getItems(), CategoriesModelCategories\getItems(), MenusModelItems\getItems(), ContentModelArticles\getItems(), FinderIndexerAdapter\getItems(), ModStatsHelper\getList(), ModBreadCrumbsHelper\getList(), ModMenuHelper\getList(), ModLatestHelper\getList(), ModPopularHelper\getList(), ModArticlesCategoriesHelper\getList(), ModArticlesPopularHelper\getList(), ModArticlesNewsHelper\getList(), ModArticlesLatestHelper\getList(), ModArticlesCategoryHelper\getList(), UsersHelperRoute\getLoginRoute(), FOFFormHeaderFieldsql\getOptions(), FOFFormHeaderModel\getOptions(), JFormFieldComponents\getOptions(), JFormFieldComponentsCategory\getOptions(), JFormFieldConfigComponents\getOptions(), FOFFormFieldModel\getOptions(), JFormFieldSQL\getOptions(), UsersHelperRoute\getProfileRoute(), UsersHelperRoute\getRegistrationRoute(), UsersHelperRoute\getRemindRoute(), UsersHelperRoute\getResendRoute(), UsersHelperRoute\getResetRoute(), FinderModelSearch\getResults(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), ModStatsHelper\getStats(), ModArticlesCategoryHelper\groupByDate(), BannersModelBanners\impress(), MenusHelper\installPreset(), lessc\lib_e(), FOFLess\lib_e(), JGoogleDataPicasa\listAlbums(), JGoogleDataPicasaAlbum\listPhotos(), JAdminCssMenu\load(), SimplePie_Cache_MySQL\load(), MenuHelper\loadPreset(), MenuHelper\loadXml(), JHtmlMenu\menuItems(), SimplePie\merge_items(), JHtmlContent\months(), FinderIndexerAdapter\onBuildIndex(), PlgActionlogJoomla\onContentChangeState(), FOFViewJson\onDisplay(), FOFViewCsv\onDisplay(), PlgPrivacyConsents\onPrivacyExportRequest(), PlgPrivacyMessage\onPrivacyExportRequest(), PlgPrivacyContact\onPrivacyExportRequest(), PlgPrivacyContent\onPrivacyExportRequest(), JHtmlTag\options(), JHtmlCategory\options(), SiteRouter\parseSefRoute(), FinderIndexerAdapter\pluginDisable(), UsersModelGroups\populateExtraData(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), JAdminCssMenu\preprocess(), MenusModelItem\rebuild(), FinderIndexerAdapter\remove(), FOFRenderStrapper\renderButtons(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), MenusControllerMenus\resync(), SimplePie_Cache_MySQL\save(), JHtmlTag\tags(), InstallerModel\translate(), InstallerModelUpdate\translate(), PluginsModelPlugins\translate(), et ModulesModelModules\translate().


Joomla CMS: Référence du fichier mod_search.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_search
Espaces de nommage | Variables
Référence du fichier mod_search.php

Espaces de nommage

Joomla\Site

Variables

$lang = JFactory::getLanguage()
$app = JFactory::getApplication()
$set_Itemid = (int) $params->get('set_itemid', 0)
$mitemid = $set_Itemid > 0 ? $set_Itemid : $app->input->getInt('Itemid')
if($params->get('opensearch', 1)) $upper_limit = $lang->getUpperLimitSearchWord()
$button = $params->get('button', 0)
$imagebutton = $params->get('imagebutton', 0)
$button_pos = $params->get('button_pos', 'left')
$button_text = htmlspecialchars($params->get('button_text', JText::_('MOD_SEARCH_SEARCHBUTTON_TEXT')), ENT_COMPAT, 'UTF-8')
$width = (int) $params->get('width')
$maxlength = $upper_limit
$text = htmlspecialchars($params->get('text', JText::_('MOD_SEARCH_SEARCHBOX_TEXT')), ENT_COMPAT, 'UTF-8')
$label = htmlspecialchars($params->get('label', JText::_('MOD_SEARCH_LABEL_TEXT')), ENT_COMPAT, 'UTF-8')
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')
if ( $imagebutton)

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $button

$button = $params->get('button', 0)

◆ $button_pos

$button_pos = $params->get('button_pos', 'left')

◆ $button_text

$button_text = htmlspecialchars($params->get('button_text', JText::_('MOD_SEARCH_SEARCHBUTTON_TEXT')), ENT_COMPAT, 'UTF-8')

◆ $imagebutton

$imagebutton = $params->get('imagebutton', 0)

◆ $label

$label = htmlspecialchars($params->get('label', JText::_('MOD_SEARCH_LABEL_TEXT')), ENT_COMPAT, 'UTF-8')

◆ $lang

$lang = JFactory::getLanguage()

◆ $maxlength

$maxlength = $upper_limit

Référencé par JFormFieldTextarea\getLayoutData().

◆ $mitemid

$mitemid = $set_Itemid > 0 ? $set_Itemid : $app->input->getInt('Itemid')

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $set_Itemid

$set_Itemid = (int) $params->get('set_itemid', 0)

◆ $text

$text = htmlspecialchars($params->get('text', JText::_('MOD_SEARCH_SEARCHBOX_TEXT')), ENT_COMPAT, 'UTF-8')

◆ $upper_limit

if ( $params->get( 'opensearch', 1)) $upper_limit = $lang->getUpperLimitSearchWord()

◆ $width

$width = (int) $params->get('width')

◆ if

if($imagebutton)


Joomla CMS: Référence du fichier mod_stats.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_stats
Espaces de nommage | Variables
Référence du fichier mod_stats.php

Espaces de nommage

Joomla\Site

Variables

$serverinfo = $params->get('serverinfo', 0)
$siteinfo = $params->get('siteinfo', 0)
$list = ModStatsHelper::getList($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $list

$list = ModStatsHelper::getList($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $serverinfo

$serverinfo = $params->get('serverinfo', 0)

◆ $siteinfo

$siteinfo = $params->get('siteinfo', 0)


Joomla CMS: Référence du fichier mod_stats_admin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_stats_admin
Espaces de nommage | Variables
Référence du fichier mod_stats_admin.php

Espaces de nommage

Joomla\Administrator

Variables

$serverinfo = $params->get('serverinfo')
$siteinfo = $params->get('siteinfo')
$list = ModStatsHelper::getStats($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $list

$list = ModStatsHelper::getStats($params)

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $serverinfo

$serverinfo = $params->get('serverinfo')

Référencé par ModStatsHelper\getList(), et ModStatsHelper\getStats().

◆ $siteinfo

$siteinfo = $params->get('siteinfo')

Référencé par ModStatsHelper\getList(), et ModStatsHelper\getStats().


Joomla CMS: Référence du fichier mod_status.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_status
Espaces de nommage | Variables
Référence du fichier mod_status.php

Espaces de nommage

Joomla\Administrator

Variables

$config = JFactory::getConfig()
$user = JFactory::getUser()
$db = JFactory::getDbo()
$lang = JFactory::getLanguage()
$input = JFactory::getApplication()->input
$query
$unread = (int) $db->loadResult()
$count = 0
if(! $config->get('shared_session', '0')) if($input->getBool('hidemainmenu')) | else
$online_num = 0
if(! $config->get('shared_session', '0')) | $total_users = 0
if ( $config->get( 'shared_session', '0'))

Documentation des variables

◆ $config

$config = JFactory::getConfig()

◆ $count

$count = 0

◆ $db

$db = JFactory::getDbo()

Référencé par FOFModelFieldText\__construct(), ContentTableFeatured\__construct(), FinderTableLink\__construct(), RedirectTableLink\__construct(), TagsTableTag\__construct(), Ucm\__construct(), Language\__construct(), Usergroup\__construct(), ViewLevel\__construct(), ContentType\__construct(), FieldsTableField\__construct(), FieldsTableGroup\__construct(), BannersTableClient\__construct(), JTableSession\__construct(), TemplatesTableStyle\__construct(), UpdateSite\__construct(), FinderTableMap\__construct(), MessagesTableMessage\__construct(), UsersTableNote\__construct(), BannersTableBanner\__construct(), MenuType\__construct(), FinderTableFilter\__construct(), Update\__construct(), Module\__construct(), Extension\__construct(), CoreContent\__construct(), Menu\__construct(), PrivacyTableConsent\__construct(), Category\__construct(), PrivacyTableRequest\__construct(), NewsfeedsTableNewsfeed\__construct(), ContactTableContact\__construct(), Content\__construct(), JModelDatabase\__construct(), User\__construct(), ContentHistory\__construct(), InputFilter\__construct(), AdapterInstance\__construct(), MetadataManager\__construct(), FOFTableNested\__construct(), FOFModelField\__construct(), Asset\__construct(), FOFUtilsFilescheck\__construct(), ChangeSet\__construct(), SimplePie_Cache_MySQL\__construct(), PlgSystemDebug\__construct(), FinderIndexer\__construct(), ChangeItem\__construct(), InstallerAdapter\__construct(), FOFUtilsUpdate\__construct(), Table\__construct(), FOFDatabaseQuery\__construct(), JDatabaseQuery\__construct(), FOFTable\__construct(), FOFUtilsInstallscript\_applyPostInstallationMessages(), ComponentAdapter\_buildAdminMenus(), ContentModelCategory\_buildContentOrderBy(), PlgContentJoomla\_countItemsInCategory(), PlgContentJoomla\_countItemsInChildren(), JApplication\_createSession(), ExtensionAdapter\_endElement(), Update\_endElement(), FieldsTableGroup\_getAssetParentId(), PackageAdapter\_getExtensionId(), InstallerModel\_getList(), InstallerModelUpdate\_getList(), JHtmlRules\_getParentAssetId(), UsersModelUsers\_getUserDisplayedGroups(), JHtmlRules\_getUserGroups(), FOFUtilsInstallscript\_reallyPublishAdminMenuItems(), ModuleAdapter\_rollback_menu(), ModuleAdapter\_rollback_module(), ComponentAdapter\_updateMenus(), Installer\abort(), UsersModelRegistration\activate(), RedirectModelLink\activate(), UserHelper\activateUser(), InstallationModelLanguages\addArticle(), InstallationModelLanguages\addAssociations(), FinderIndexerTaxonomy\addBranch(), FinderIndexerHelper\addContentType(), ActionlogsModelActionlog\addLog(), FinderIndexerTaxonomy\addMap(), InstallationModelLanguages\addModuleInModuleMenu(), FinderIndexerTaxonomy\addNode(), PostinstallModelMessages\addPostInstallationMessage(), FOFUtilsInstallscript\addPostInstallationMessage(), TagsHelper\addTagMapping(), FinderIndexer\addTokensToDb(), PlgExtensionJoomla\addUpdateSite(), UserHelper\addUserToGroup(), MenusViewMenu\addXmlChild(), admin_postinstall_joomla40checks_condition(), admin_postinstall_languageaccess340_condition(), UsersControllerLevel\allowEdit(), JoomlaupdateModelDefault\applyUpdateSite(), JHtmlAccess\assetgroups(), JHtmlNewsfeed\association(), JHtmlContentAdministrator\association(), JHtmlContact\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), InstallationModelDatabase\backupDatabase(), ModulesModelModule\batchCopy(), MenusModelItem\batchCopy(), AdminModel\batchCopy(), CategoriesModelCategory\batchCopy(), CategoriesModelCategory\batchFlipordering(), MenusModelItem\batchMove(), CategoriesModelCategory\batchMove(), RedirectModelLinks\batchProcess(), UsersModelUser\batchReset(), UsersModelUser\batchUser(), FOFUtilsInstallscript\bugfixCantBuildAdminMenus(), FOFUtilsInstallscript\bugfixDBFunctionReturnedNoError(), ContentRouterRulesLegacy\build(), ContactModelContact\buildContactExtendedData(), PostinstallModelMessages\buildQuery(), FOFModel\buildQuery(), FOFTableNested\buildQuery(), UsersModelLevel\canDelete(), FOFTable\canDelete(), JHtmlCategory\categories(), RedirectTableLink\check(), Usergroup\check(), ViewLevel\check(), InstallerViewDiscover\checkExtensions(), JoomlaupdateViewDefault\checkForSelfUpdate(), CheckinModelCheckin\checkin(), TemplatesModelTemplate\checkNewName(), JApplication\checkSession(), AssociationsModelAssociations\clean(), Installer\cleanDiscoveredExtension(), ContentModelArticle\cleanupPostBatchCopy(), UserHelper\clearExpiredTokens(), JoomlaInstallerScript\clearStatsCache(), BannersModelBanner\click(), JHtmlBanner\clientlist(), TagsHelper\convertPathsToNames(), JoomlaInstallerScript\convertTablesToUtf8mb4(), ContentModelArticles\countItemsByMonth(), HtmlDocument\countMenuChildren(), ContentHelper\countRelations(), InstallationModelDatabase\createDatabase(), InstallationModelDatabase\createDb(), Factory\createDbo(), InstallationModelConfiguration\createRootUser(), MVCFactory\createTable(), InstallationModelDatabase\createTables(), MenusTableMenu\delete(), UCMContent\delete(), InstallerModelUpdatesites\delete(), BannersModelTracks\delete(), Usergroup\delete(), ActionlogsModelActionlogs\delete(), ModulesModelModule\delete(), AdminModel\delete(), ContentModelArticle\delete(), CoreContent\deleteByContentId(), InstallationModelDatabase\deleteDatabase(), ContentHistoryHelper\deleteHistory(), ContentHistory\deleteOldVersions(), JSessionStorageDatabase\destroy(), UserHelper\destroyUserSessions(), InstallationModelLanguages\disableModuleMainMenu(), InstallerModelDiscover\discover(), ModulesController\display(), MenusController\display(), PlgSystemDebug\displayProfileInformation(), PlgSystemDebug\displayQueries(), PlgSystemRedirect\doErrorHandling(), ModulesModelModule\duplicate(), RedirectModelLink\duplicateUrls(), JHtmlUsers\editor(), PluginsHelper\elementOptions(), InstallationModelLanguages\enableModule(), InstallationModelLanguages\enablePlugin(), InstallerModelUpdate\enableSites(), FOFModelField\exact(), InstallationControllerDatabase\execute(), JHtmlContentLanguage\existing(), FileAdapter\extensionExistsInSystem(), ContactModelContact\featured(), ContentModelArticle\featured(), JoomlaupdateModelDefault\finaliseUpgrade(), FOFUtilsUpdate\findUpdatesJoomla(), InstallerModelDatabase\fixSchemaVersion(), TagsRouter\fixSegment(), JoomlaInstallerScript\flushSessions(), PluginsHelper\folderOptions(), JSessionStorageDatabase\gc(), JHtmlList\genericordering(), FOFTableNested\get(), ConfigModelModules\getActivePositions(), InstallationModelLanguages\getAdminId(), ConfigHelperConfig\getAllComponents(), ContentRouter\getArticleId(), ContentRouter\getArticleSegment(), FieldsTableField\getAssetId(), Access\getAssetRules(), JFormFieldConsentBox\getAssignedArticleUrl(), FieldsHelper\getAssignedCategoriesTitles(), AssociationsHelper\getAssociationHtmlList(), ContentHelperAssociation\getAssociations(), Associations\getAssociations(), CategoriesHelper\getAssociations(), User\getAuthorisedCategories(), Access\getAuthorisedViewLevels(), ContentModelArticles\getAuthors(), FinderIndexerTaxonomy\getBranchTitles(), BannersModelTracks\getCategoryName(), BannersModelBanners\getCategoryOrders(), BannersModelTracks\getClientName(), BannersHelper\getClientOptions(), FOFUtilsUpdate\getCommonParameter(), FinderIndexerHelper\getCommonWords(), PostinstallModelMessages\getComponentOptions(), UsersHelperDebug\getComponents(), ContactRouter\getContactId(), ContactModelContact\getContactQuery(), MultilangstatusHelper\getContacts(), ContactRouter\getContactSegment(), MultilangstatusHelper\getContentlangs(), LanguageHelper\getContentLanguages(), FinderModelStatistics\getData(), JModelDatabase\getDb(), InstallationHelperDatabase\getDbo(), Content\getDefaultAssetValues(), MultilangstatusHelper\getDefaultHomeModule(), InstallerModelUpdate\getDisabledUpdateSites(), EditorField\getEditor(), AssociationsHelper\getEnabledExtensions(), FinderModelSearch\getExcludedLinkIds(), JDatabaseFactory\getExporter(), InstallerHelper\getExtensionGroupes(), PostinstallModelMessages\getExtensionName(), AdminModelSysInfo\getExtensions(), InstallerHelper\getExtensionTypes(), FOFModelField\getField(), FieldsHelper\getFieldsPluginId(), FinderCli\getFilters(), FinderHelper\getFinderPluginId(), TemplatesModelTemplate\getForm(), UsersModelDebuggroup\getGroup(), JFormFieldUserMessages\getGroups(), JFormFieldContentMap\getGroups(), MenuField\getGroups(), TemplatestyleField\getGroups(), MenuitemField\getGroups(), JFormFieldMenuitemByType\getGroups(), FieldsModelFields\getGroups(), Access\getGroupsByUser(), Access\getGroupTitle(), ContentHistory\getHashMatch(), ContentHistoryHelper\getHistory(), MultilangstatusHelper\getHomes(), JDatabaseFactory\getImporter(), AdminModelSysInfo\getInfo(), JFormFieldPluginInfo\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModulelayout\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldComponentlayout\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldRules\getInput(), JFormFieldModal_Menu\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), LanguageHelper\getInstalledLanguages(), ChangeItem\getInstance(), ChangeSet\getInstance(), Table\getInstance(), InstallerScript\getInstances(), MessagesModelConfig\getItem(), NewsfeedsModelNewsfeed\getItem(), ContentModelArticle\getItem(), MessagesModelMessage\getItem(), ContactModelContact\getItem(), FieldsModelField\getItem(), ModulesModelModule\getItem(), InstallerScript\getItemArray(), MenusModelMenus\getItems(), InstallationModelLanguages\getItems(), UsersModelUsers\getItems(), CheckinModelCheckin\getItems(), BannersModelClients\getItems(), TagsHelper\getItemTags(), FOFModel\getIterator(), FOFTableRelations\getIteratorFromRelation(), InstallerModelUpdatesites\getJoomlaUpdateSitesIds(), JFormFieldTos\getLabel(), MultilangstatusHelper\getLangswitchers(), AssociationsHelper\getLanguagefilterPluginId(), CMSHelper\getLanguageId(), ContentHelper\getLanguageId(), LanguagesModelInstalled\getLanguageList(), InstallationModelLanguages\getLanguageList(), LanguageHelper\getLanguages(), JFormFieldprivacy\getLayoutData(), JFormFieldterms\getLayoutData(), FOFTableNested\getLevel(), ModStatsHelper\getList(), ModLoggedHelper\getList(), ModArchiveHelper\getList(), ModRelatedItemsHelper\getList(), ModTagsPopularHelper\getList(), ModTagssimilarHelper\getList(), ModArticlesLatestHelper\getList(), PrivacyModelRequests\getListQuery(), FinderModelFilters\getListQuery(), PrivacyModelConsents\getListQuery(), UsersModelNotes\getListQuery(), FinderModelSuggestions\getListQuery(), ContentModelFeatured\getListQuery(), ModulesModelSelect\getListQuery(), TemplatesModelTemplates\getListQuery(), InstallerModelUpdate\getListQuery(), ActionlogsModelActionlogs\getListQuery(), InstallerModelDiscover\getListQuery(), BannersModelBanners\getListQuery(), UsersModelLevels\getListQuery(), BannersModelTracks\getListQuery(), SearchModelSearches\getListQuery(), BannersModelClients\getListQuery(), MessagesModelMessages\getListQuery(), TemplatesModelStyles\getListQuery(), LanguagesModelLanguages\getListQuery(), NewsfeedsModelCategory\getListQuery(), FieldsModelGroups\getListQuery(), ContactModelCategory\getListQuery(), FieldsModelFields\getListQuery(), RedirectModelLinks\getListQuery(), TagsModelTags\getListQuery(), UsersModelGroups\getListQuery(), ContactModelFeatured\getListQuery(), NewsfeedsModelNewsfeeds\getListQuery(), ContactModelContacts\getListQuery(), AssociationsModelAssociations\getListQuery(), FinderModelMaps\getListQuery(), CategoriesModelCategories\getListQuery(), MenusModelMenus\getListQuery(), FinderModelIndex\getListQuery(), ContentModelArticles\getListQuery(), UsersModelDebugUser\getListQuery(), UsersModelDebuggroup\getListQuery(), PluginsModelPlugins\getListQuery(), FinderModelSearch\getListQuery(), MenusModelItems\getListQuery(), ModulesModelModules\getListQuery(), UsersModelUsers\getListQuery(), PlgFinderTags\getListQuery(), PlgFinderNewsfeeds\getListQuery(), PlgFinderContent\getListQuery(), PlgFinderCategories\getListQuery(), ContenthistoryModelHistory\getListQuery(), PlgFinderContacts\getListQuery(), InstallationApplicationWeb\getLocaliseAdmin(), ActionlogsHelper\getLogContentTypeParams(), ActionlogsModelActionlogs\getLogDataAsIterator(), ActionlogsModelActionlogs\getLogDataQuery(), ActionlogsModelActionlogs\getLogsData(), ActionlogsModelActionlogs\getLogsForItem(), ContenthistoryHelper\getLookupValue(), MenusHelper\getMenuItems(), MenusHelper\getMenuLinks(), ModMenuHelper\getMenus(), MenusHelper\getMenuTypes(), MenusModelMenus\getModMenuId(), MultilangstatusHelper\getModule(), ModulesHelper\getModules(), MenusModelMenu\getModules(), MenusModelItem\getModules(), FOFTableNested\getNestedList(), FOFQueryAbstract\getNew(), NewsfeedsRouter\getNewsfeedId(), NewsfeedsRouter\getNewsfeedSegment(), FinderIndexerTaxonomy\getNodeByTitle(), JoomlaupdateModelDefault\getNonCoreExtensions(), JoomlaupdateModelDefault\getNonCorePlugins(), PrivacyModelRequests\getNumberUrgentRequests(), ModWhosonlineHelper\getOnlineCount(), ModWhosonlineHelper\getOnlineUserNames(), FOFFormHeaderFieldsql\getOptions(), FOFFormHeaderAccesslevel\getOptions(), JFormFieldFieldgroups\getOptions(), JFormFieldSearchFilter\getOptions(), JFormFieldAliastag\getOptions(), JFormFieldNewsfeeds\getOptions(), JFormFieldMenuParent\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldMenuOrdering\getOptions(), JFormFieldComponents\getOptions(), JFormFieldComponentsCategory\getOptions(), JFormFieldConfigComponents\getOptions(), JFormFieldContentTypes\getOptions(), FrontendlanguageField\getOptions(), JFormFieldExtension\getOptions(), JFormFieldLogType\getOptions(), JFormFieldLogCreator\getOptions(), AuthorField\getOptions(), ContenttypeField\getOptions(), FOFFormFieldTag\getOptions(), JFormFieldPlugins\getOptions(), FOFFormFieldComponents\getOptions(), TagField\getOptions(), JFormFieldCategoryEdit\getOptions(), JFormFieldSQL\getOptions(), UsersModelUser\getOtpConfig(), FOFTableNested\getParent(), PlgEditorTinymce\getPluginId(), FinderModelIndex\getPluginState(), ModulesHelper\getPositions(), TemplatesModelTemplate\getPreview(), UCMContent\getPrimaryKey(), PrivacyHelper\getPrivacyConsentPluginId(), JFormFieldPluginordering\getQuery(), FOFDatabaseFactory\getQuery(), OrderingField\getQuery(), JDatabaseFactory\getQuery(), FOFFormFieldOrdering\getQuery(), ContentHelperQuery\getQueryDate(), PlgContentPagenavigation\getQueryDate(), RedirectHelper\getRedirectPluginId(), FOFFormFieldUsergroup\getRepeatable(), FOFFormFieldAccesslevel\getRepeatable(), PrivacyModelDashboard\getRequestCounts(), PrivacyModelDashboard\getRequestFormPublished(), FinderModelSearch\getResults(), FOFTableNested\getRoot(), InstallerModelDatabase\getSchemaVersion(), LanguageAdapter\getSefString(), Multilanguage\getSiteHomePages(), Updater\getSitesWithUpdates(), FOFFormFieldUsergroup\getStatic(), FOFFormFieldAccesslevel\getStatic(), ModStatsHelper\getStats(), MultilangstatusHelper\getStatus(), PlgSystemUpdatenotification\getSuperUsers(), FOFTableRelations\getTableFromRelation(), TagsHelper\getTagIds(), TagsHelper\getTagItemsQuery(), TagsHelper\getTagNames(), TemplatesModelTemplate\getTemplate(), AdministratorApplication\getTemplate(), SiteApplication\getTemplate(), TemplatesHelper\getTemplateOptions(), ModulesHelper\getTemplates(), ChromestyleField\getTemplates(), FinderIndexerQuery\getTokenData(), FinderModelFilter\getTotal(), FinderModelIndex\getTotalIndexed(), ContentType\getTypeId(), MenusModelMenutypes\getTypeOptions(), TagsHelper\getTypes(), JoomlaupdateModelDefault\getUpdateInformation(), InstallerModelLanguages\getUpdateSite(), FOFUtilsUpdate\getUpdateSiteIds(), UpdateAdapter\getUpdateSiteName(), Updater\getUpdateSites(), JoomlaupdateModelDefault\getUpdateSitesInfo(), JFormFieldFilters\getUserGroups(), UserHelper\getUserId(), UsersModelRegistration\getUserIdFromToken(), ModUsersLatestHelper\getUsers(), Access\getUsersByGroup(), MenusModelItem\getViewLevels(), UsersHelper\getVisibleByGroups(), ContentModelArchive\getYears(), InstallationModelDatabase\handleOldDatabase(), hathormessage_postinstall_action(), hathormessage_postinstall_condition(), PostinstallModelMessages\hideMessages(), BannersModelBanners\impress(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), FinderIndexerDriverMysql\index(), FOFTableNested\insertAsFirstChildOf(), FOFTableNested\insertAsLastChildOf(), FOFTableNested\insertAsRoot(), FOFTableNested\insertLeftOf(), FOFTableNested\insertRightOf(), InstallationModelDatabase\installCmsData(), InstallationModelDatabase\installSampleData(), FOFUtilsInstallscript\installSubextensions(), PrivacyModelConsents\invalidate(), PrivacyModelConsents\invalidateAll(), UserHelper\invalidateCookie(), Table\isCheckedOut(), Multilanguage\isEnabled(), JoomlaupdateModelDefault\isTemplateActive(), JHtmlAccess\level(), JHtmlMenu\linkOptions(), UserGroupsHelper\load(), ActionlogsHelper\loadActionLogPluginsLanguage(), UserGroupsHelper\loadAll(), FOFUtilsConfigHelper\loadComponentConfig(), FinderHelperLanguage\loadPluginLanguage(), MenuHelper\loadXml(), UsersControllerUser\login(), FOFIntegrationJoomlaPlatform\loginUser(), UsersControllerUser\logout(), SearchHelper\logSearch(), FOFTableNested\makeFirstChildOf(), FOFTableNested\makeLastChildOf(), JHtmlFinder\mapslist(), JHtmlMenu\menuItems(), UsersControllerUser\menulogout(), JHtmlMenu\menus(), FOFTableNested\moveLeft(), FOFTableNested\moveRight(), FOFTableNested\moveToLeftOf(), FOFTableNested\moveToRightOf(), PlgSystemDebug\mysqlDisconnectHandler(), FOFModelBehaviorFilters\onAfterBuildQuery(), FOFModelBehaviorPrivate\onAfterBuildQuery(), FOFModelBehaviorEnabled\onAfterBuildQuery(), FOFModelBehaviorLanguage\onAfterBuildQuery(), FOFTableNested\onAfterDelete(), PlgSystemPrivacyconsent\onAfterRender(), PlgSystemActionLogs\onAfterRespond(), FOFTableBehaviorAssets\onAfterStore(), PlgContentJoomla\onContentAfterSave(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgActionlogJoomla\onContentChangeState(), PlgContentJoomla\onContentChangeState(), PlgUserProfile\onContentPrepareData(), PlgSearchContent\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchCategories\onContentSearch(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgExtensionJoomla\onExtensionAfterUninstall(), PlgUserProfile\onUserAfterDelete(), PlgUserProfile\onUserAfterSave(), PlgAuthenticationGMail\onUserAuthenticate(), PlgSystemRemember\onUserBeforeSave(), FinderIndexerDriverPostgresql\optimize(), FinderIndexerDriverMysql\optimize(), FinderIndexerDriverSqlsrv\optimize(), JHtmlTag\options(), JHtmlCategory\options(), JHtmlMenu\ordering(), ModulesControllerModule\orderPosition(), NewsfeedsRouterRulesLegacy\parse(), ContactRouterRulesLegacy\parse(), UsersRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), TemplateAdapter\parseQueries(), Installer\parseQueries(), Installer\parseSchemaUpdates(), Installer\parseSQLFiles(), InstallationModelDatabase\populateDatabase(), UsersModelGroups\populateExtraData(), JHtmlModules\positionList(), JoomlaInstallerScript\postflight(), InstallationModelDatabase\postInstallCmsData(), InstallationModelDatabase\postInstallSampleData(), Access\preloadComponents(), Access\preloadPermissions(), Access\preloadPermissionsParentIdMapping(), NewsfeedsModelNewsfeed\prepareTable(), BannersModelBanner\prepareTable(), ContactModelContact\prepareTable(), InstallerModelDatabase\prepareUtf8mb4StatusTable(), PluginsModelPlugin\preprocessForm(), FinderIndexerQuery\processDynamicTaxonomy(), JFormFieldSQL\processQuery(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetConfirm(), UsersModelReset\processResetRequest(), FinderIndexerQuery\processStaticTaxonomy(), RedirectModelLinks\purge(), LanguagesModelOverrides\purge(), InstallerModelDiscover\purge(), JoomlaupdateModelDefault\purge(), InstallerModelUpdate\purge(), FinderModelIndex\purge(), FinderModelMaps\purge(), AssociationsModelAssociations\purge(), AdministratorApplication\purgeMessages(), FinderCli\putFilters(), JSessionStorageDatabase\read(), Usergroup\rebuild(), InstallerModelUpdatesites\rebuild(), MenusModelItem\rebuild(), recaptcha_postinstall_action(), recaptcha_postinstall_condition(), JSessionStorageRedis\register(), UsersModelRegistration\register(), PlgSystemPrivacyconsent\remindExpiringConsents(), FinderIndexer\remove(), FinderIndexerDriverSqlsrv\remove(), JoomlaInstallerScript\removeJedUpdateserver(), FinderIndexerTaxonomy\removeMaps(), FOFUtilsUpdate\removeObsoleteUpdateSites(), FinderIndexerTaxonomy\removeOrphanNodes(), SearchModelSearches\reset(), PostinstallModelMessages\resetMessages(), MenuHelper\resolveAlias(), MenusControllerMenus\resync(), FieldsModelField\save(), MessagesModelConfig\save(), TemplatesModelStyle\save(), CategoriesModelCategory\save(), ModulesModelModule\save(), AdminModel\save(), MenusModelItem\save(), LibraryHelper\saveParams(), FOFTableNested\scopeAncestors(), FOFTableNested\scopeAncestorsAndSelf(), FOFTableNested\scopeDescendants(), FOFTableNested\scopeDescendantsAndSelf(), FOFTableNested\scopeImmediateDescendants(), FOFTableNested\scopeLeaves(), FOFTableNested\scopeSiblingsAndSelf(), TagsHelper\searchTags(), JHtmlFilter\select(), UsersModelMail\send(), ActionlogsModelActionlog\sendNotificationEmails(), FOFUtilsUpdate\setCommonParameter(), InstallationModelDatabase\setDatabaseCharset(), JModelDatabase\setDb(), JDatabaseExporter\setDbo(), JDatabaseImporter\setDbo(), Table\setDbo(), BaseDatabaseModel\setDbo(), FOFModel\setDbo(), TemplatesModelStyle\setHome(), User\setLastVisit(), UsersModelUser\setOtpConfig(), InstallerScript\setParams(), Installer\setSchemaVersion(), UserHelper\setUserGroups(), JHtmlFilter\slider(), InstallerHelper\splitSql(), Menu\store(), FinderIndexerTaxonomy\storeNode(), CoreContent\storeUcmBase(), ContentModelArticle\storeVote(), TagsHelper\tagDeleteInstances(), JHtmlTag\tags(), JHtmlUsers\templatestyle(), UsernameRule\test(), ExistsRule\test(), EmailRule\test(), FinderIndexerDriverMysql\toggleTables(), UpdateAdapter\toggleUpdateSite(), Date\toSql(), UserGroupsHelper\total(), twofactorauth_postinstall_action(), twofactorauth_postinstall_condition(), JHtmlFinder\typeslist(), FileAdapter\uninstall(), TemplateAdapter\uninstall(), PluginAdapter\uninstall(), LanguageAdapter\uninstall(), ComponentAdapter\uninstall(), JoomlaInstallerScript\uninstallEosPlugin(), FOFUtilsInstallscript\uninstallObsoleteSubextensions(), FOFUtilsInstallscript\uninstallPostInstallationMessages(), FOFUtilsInstallscript\uninstallSubextensions(), TemplatesModelStyle\unsetHome(), TagsHelper\unTagItem(), JoomlaInstallerScript\updateDatabaseMysql(), InstallationModelDatabase\updateDates(), Updater\updateLastCheckTimestamp(), JoomlaInstallerScript\updateManifestCaches(), InstallationModelDatabase\updateUserIds(), JHtmlUser\userlist(), JHtmlList\users(), PrivacyModelRequest\validate(), FOFTableNested\withoutNode(), JSessionStorageDatabase\write(), et PlgSystemDebug\writeToFile().

◆ $input

$input = JFactory::getApplication()->input

◆ $lang

$lang = JFactory::getLanguage()

◆ $online_num

$online_num = 0

◆ $query

$query
Valeur initiale :
= $db->getQuery(true)
->select('COUNT(*)')
->from('#__messages')
->where('state = 0 AND user_id_to = ' . (int) $user->get('id'))
$db
$db
Definition: mod_status.php:14
$user
$user
Definition: mod_status.php:13

Référencé par JDatabaseExceptionExecuting\__construct(), FOFUtilsFilescheck\__construct(), SimplePie_Cache_MySQL\__construct(), ChangeItem\__construct(), FOFUtilsUpdate\__construct(), JDatabaseQueryMysqli\__toString(), JDatabaseQuerySqlsrv\__toString(), FOFDatabaseQuerySqlsrv\__toString(), JDatabaseQueryPostgresql\__toString(), FOFDatabaseQueryPostgresql\__toString(), FOFDatabaseQuery\__toString(), JDatabaseQuery\__toString(), JDatabaseQuerySqlite\__toString(), FOFUtilsInstallscript\_applyPostInstallationMessages(), ComponentAdapter\_buildAdminMenus(), PlgContentJoomla\_countItemsInCategory(), PlgContentJoomla\_countItemsInChildren(), JApplication\_createSession(), Module\_getAssetParentId(), Category\_getAssetParentId(), Content\_getAssetParentId(), FieldsTableGroup\_getAssetParentId(), PackageAdapter\_getExtensionId(), InstallerModel\_getList(), PluginsModelPlugins\_getList(), ModulesModelModules\_getList(), ContentModelArchive\_getList(), InstallerModelUpdate\_getList(), FieldsModelGroups\_getList(), BaseDatabaseModel\_getList(), FieldsModelFields\_getList(), FOFModel\_getList(), FinderModelMaps\_getListCount(), BaseDatabaseModel\_getListCount(), ListModel\_getListQuery(), Nested\_getNode(), JHtmlRules\_getParentAssetId(), UsersModelUsers\_getUserDisplayedGroups(), Nested\_logtable(), FOFUtilsInstallscript\_reallyPublishAdminMenuItems(), ModuleAdapter\_rollback_menu(), ModuleAdapter\_rollback_module(), Nested\_runQuery(), ComponentAdapter\_updateMenus(), Installer\abort(), UsersModelRegistration\activate(), RedirectModelLink\activate(), UserHelper\activateUser(), InstallationModelLanguages\addArticle(), InstallationModelLanguages\addAssociations(), FinderIndexerTaxonomy\addBranch(), FinderIndexerHelper\addContentType(), FinderIndexerTaxonomy\addMap(), InstallationModelLanguages\addModuleInModuleMenu(), FinderIndexerTaxonomy\addNode(), PostinstallModelMessages\addPostInstallationMessage(), FOFUtilsInstallscript\addPostInstallationMessage(), TagsHelper\addTagMapping(), FinderIndexer\addTokensToDb(), PlgExtensionJoomla\addUpdateSite(), UserHelper\addUserToGroup(), MenusViewMenu\addXmlChild(), admin_postinstall_languageaccess340_condition(), UsersControllerLevel\allowEdit(), FOFDatabaseDriver\alterTableCharacterSet(), JDatabaseDriver\alterTableCharacterSet(), Table\appendPrimaryKeys(), JoomlaupdateModelDefault\applyUpdateSite(), JHtmlAccess\assetgroups(), JHtmlNewsfeed\association(), JHtmlContact\association(), JHtmlContentAdministrator\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), bannersBuildRoute(), ModulesModelModule\batchCopy(), MenusModelItem\batchCopy(), AdminModel\batchCopy(), CategoriesModelCategory\batchCopy(), CategoriesModelCategory\batchFlipordering(), MenusModelItem\batchMove(), CategoriesModelCategory\batchMove(), RedirectModelLinks\batchProcess(), UsersModelUser\batchReset(), UsersModelUser\batchUser(), User\bind(), FOFUtilsInstallscript\bugfixCantBuildAdminMenus(), FOFUtilsInstallscript\bugfixDBFunctionReturnedNoError(), BannersRouter\build(), FinderRouter\build(), SearchRouter\build(), WrapperRouter\build(), TagsRouter\build(), ContactRouterRulesLegacy\build(), ContentRouterRulesLegacy\build(), UsersRouterRulesLegacy\build(), NewsfeedsRouterRulesLegacy\build(), RouterLegacy\build(), NomenuRules\build(), StandardRules\build(), RouterView\build(), ContactModelContact\buildContactExtendedData(), PostinstallModelMessages\buildQuery(), FOFModel\buildQuery(), FOFTableNested\buildQuery(), SiteRouter\buildRawRoute(), SiteRouter\buildSefRoute(), UsersModelLevel\canDelete(), FOFTable\canDelete(), JHtmlCategory\categories(), FinderIndexerAdapter\categoryAccessChange(), FinderIndexerAdapter\categoryStateChange(), FinderIndexerAdapter\change(), RedirectTableLink\check(), Usergroup\check(), MenuType\check(), ViewLevel\check(), Asset\check(), User\check(), Nested\check(), FinderIndexerAdapter\checkCategoryAccess(), InstallerViewDiscover\checkExtensions(), FOFDatabaseDriverSqlsrv\checkFieldExists(), JoomlaupdateViewDefault\checkForSelfUpdate(), CheckinModelCheckin\checkin(), Table\checkIn(), FOFTable\checkin(), FinderIndexerAdapter\checkItemAccess(), TemplatesModelTemplate\checkNewName(), Table\checkOut(), FOFTable\checkout(), JApplication\checkSession(), AssociationsModelAssociations\clean(), Installer\cleanDiscoveredExtension(), ContentModelArticle\cleanupPostBatchCopy(), FieldsModelField\cleanupValues(), UserHelper\clearExpiredTokens(), JoomlaInstallerScript\clearStatsCache(), BannersModelBanner\click(), BannersTableBanner\clicks(), JHtmlBanner\clientlist(), lessc\compileMedia(), FOFLess\compileMedia(), lessc\compileMediaQuery(), FOFLess\compileMediaQuery(), SimplePie_Misc\compress_parse_url(), FOFDatabaseInstaller\conditionMet(), JDatabaseDriverPdo\connected(), FOFDatabaseDriverPdo\connected(), ContactBuildRoute(), contentBuildRoute(), TagsHelper\convertPathsToNames(), FOFDatabaseInstaller\convertTablesToUtf8mb4(), FOFDatabaseInstaller\convertUtf8mb4QueryToUtf8(), FOFDatabaseDriver\convertUtf8mb4QueryToUtf8(), JDatabaseDriver\convertUtf8mb4QueryToUtf8(), FOFDatabaseInstaller\convertUtf8QueryToUtf8mb4(), ContentModelArticles\countItemsByMonth(), HtmlDocument\countMenuChildren(), PlgPrivacyUser\createNotesDomain(), PlgPrivacyUser\createProfileDomain(), MetadataManager\createRecordIfNonExisting(), InstallationModelConfiguration\createRootUser(), JTwittersearch\createSavedSearch(), InstallationModelDatabase\createTables(), MenusTableMenu\delete(), UCMContent\delete(), TemplatesTableStyle\delete(), InstallerModelUpdatesites\delete(), MenuType\delete(), BannersModelTracks\delete(), JTableSession\delete(), Usergroup\delete(), ActionlogsModelActionlogs\delete(), ModulesModelModule\delete(), User\delete(), FieldsModelField\delete(), Nested\delete(), AdminModel\delete(), ContentModelArticle\delete(), FOFTable\delete(), CoreContent\deleteByContentId(), ContentHistoryHelper\deleteHistory(), ContentHistory\deleteOldVersions(), MetadataManager\deletePriorTo(), JTableSession\destroy(), JSessionStorageDatabase\destroy(), Database\destroy(), UserHelper\destroyUserSessions(), InstallationModelLanguages\disableModuleMainMenu(), InstallerModelDiscover\discover(), FinderViewSearch\display(), MenusController\display(), ModulesController\display(), PlgSystemDebug\displayQueries(), PlgSystemRedirect\doErrorHandling(), FOFDatabaseDriverSqlite\dropTable(), JDatabaseDriverSqlite\dropTable(), JDatabaseDriverOracle\dropTable(), FOFDatabaseDriverOracle\dropTable(), FOFDatabaseDriverPdomysql\dropTable(), JDatabaseDriverPdomysql\dropTable(), FOFDatabaseDriverSqlsrv\dropTable(), FOFDatabaseDriverMysqli\dropTable(), JDatabaseDriverMysqli\dropTable(), ModulesModelModule\duplicate(), RedirectModelLink\duplicateUrls(), JHtmlUsers\editor(), PluginsHelper\elementOptions(), InstallationModelLanguages\enableModule(), InstallationModelLanguages\enablePlugin(), InstallerModelUpdate\enableSites(), FOFDatabaseDriverMysql\execute(), JDatabaseDriverMysql\execute(), JDatabaseDriverPdo\execute(), FOFDatabaseDriverPdo\execute(), FOFDatabaseDriverMysqli\execute(), JDatabaseDriverMysqli\execute(), FOFDatabaseDriverSqlsrv\execute(), FOFDatabaseDriverPostgresql\execute(), JDatabaseDriverPostgresql\execute(), JHtmlContentLanguage\existing(), JTableSession\exists(), JHtmlQuery\explained(), FileAdapter\extensionExistsInSystem(), FOFDatabaseInstaller\extractTablesToConvert(), ContactModelContact\featured(), ContentModelArticle\featured(), JoomlaupdateModelDefault\finaliseUpgrade(), Update\find(), Extension\find(), FinderBuildRoute(), FOFUtilsUpdate\findUpdatesJoomla(), ChangeItem\fix(), InstallerModelDatabase\fixSchemaVersion(), TagsRouter\fixSegment(), JoomlaInstallerScript\flushSessions(), PluginsHelper\folderOptions(), FOFDatabaseQuery\format(), JDatabaseQuery\format(), JSessionStorageDatabase\gc(), Database\gc(), JHtmlList\genericordering(), FOFTableNested\get(), ConfigModelModules\getActivePositions(), InstallationModelLanguages\getAdminId(), FinderHelperRoute\getAdvancedRoute(), ConfigHelperConfig\getAllComponents(), JDatabaseImporterPostgresql\getAlterColumnSql(), FOFDatabaseDriverPostgresql\getAlterDbCharacterSet(), JDatabaseDriverPostgresql\getAlterDbCharacterSet(), ContentRouter\getArticleId(), FieldsTableField\getAssetId(), Access\getAssetRules(), JFormFieldConsentBox\getAssignedArticleUrl(), FieldsHelper\getAssignedCategoriesTitles(), AssociationsHelper\getAssociationHtmlList(), Associations\getAssociations(), CategoriesHelper\getAssociations(), User\getAuthorisedCategories(), Access\getAuthorisedViewLevels(), ContentModelArticles\getAuthors(), FinderIndexerTaxonomy\getBranchTitles(), NewsfeedsRouter\getCategoriesId(), ContactRouter\getCategoriesId(), ContentRouter\getCategoriesId(), NewsfeedsRouter\getCategoriesSegment(), ContactRouter\getCategoriesSegment(), ContentRouter\getCategoriesSegment(), NewsfeedsRouter\getCategoryId(), ContactRouter\getCategoryId(), ContentRouter\getCategoryId(), BannersModelTracks\getCategoryName(), BannersModelBanners\getCategoryOrders(), BannersModelTracks\getClientName(), BannersHelper\getClientOptions(), JDatabaseImporterMysqli\getColumnSql(), JDatabaseImporterPostgresql\getColumnSql(), FOFUtilsUpdate\getCommonParameter(), FinderIndexerHelper\getCommonWords(), PostinstallModelMessages\getComponentOptions(), UsersHelperDebug\getComponents(), PlgContentContact\getContactData(), ContactRouter\getContactId(), ContactModelContact\getContactQuery(), MultilangstatusHelper\getContacts(), FinderIndexerAdapter\getContentCount(), MultilangstatusHelper\getContentlangs(), LanguageHelper\getContentLanguages(), JDatabaseDriverPgsql\getCreateDbQuery(), FOFDatabaseDriverPostgresql\getCreateDbQuery(), JDatabaseDriverPostgresql\getCreateDbQuery(), FinderModelStatistics\getData(), ContentModelArchive\getData(), Content\getDefaultAssetValues(), MultilangstatusHelper\getDefaultHomeModule(), InstallerModelUpdate\getDisabledUpdateSites(), EditorField\getEditor(), AssociationsHelper\getEnabledExtensions(), FOFDatabaseDriverMysql\getErrorMessage(), FOFDatabaseDriverMysqli\getErrorMessage(), FOFDatabaseDriverSqlsrv\getErrorMessage(), FOFDatabaseDriverPostgresql\getErrorMessage(), FinderModelSearch\getExcludedLinkIds(), InstallerHelper\getExtensionGroupes(), PostinstallModelMessages\getExtensionName(), AdminModelSysInfo\getExtensions(), InstallerHelper\getExtensionTypes(), FieldsHelper\getFieldsPluginId(), FieldsModelField\getFieldValues(), FinderCli\getFilters(), FinderHelper\getFinderPluginId(), TemplatesModelTemplate\getForm(), ContentRouter\getFormSegment(), UsersModelDebuggroup\getGroup(), JFormFieldUserMessages\getGroups(), JFormFieldContentMap\getGroups(), MenuField\getGroups(), TemplatestyleField\getGroups(), MenuitemField\getGroups(), JFormFieldMenuitemByType\getGroups(), FieldsModelFields\getGroups(), Access\getGroupsByUser(), Access\getGroupTitle(), ContentHistory\getHashMatch(), ContentHistoryHelper\getHistory(), MultilangstatusHelper\getHomes(), JFormFieldPluginInfo\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Article\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModulelayout\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldComponentlayout\getInput(), FOFFormFieldOrdering\getInput(), OrderingField\getInput(), JFormFieldRules\getInput(), JFormFieldModal_Menu\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), LanguageHelper\getInstalledLanguages(), ChangeItem\getInstance(), InstallerScript\getInstances(), MessagesModelConfig\getItem(), NewsfeedsModelNewsfeed\getItem(), ContentModelArticle\getItem(), MessagesModelMessage\getItem(), ContactModelContact\getItem(), FieldsModelField\getItem(), FinderIndexerAdapter\getItem(), ModulesModelModule\getItem(), InstallerScript\getItemArray(), FinderHelperRoute\getItemid(), FOFModel\getItemList(), FinderIndexerAdapter\getItemMenuTitle(), MenusModelMenus\getItems(), InstallationModelLanguages\getItems(), ModulesModelPositions\getItems(), UsersModelUsers\getItems(), CheckinModelCheckin\getItems(), BannersModelClients\getItems(), FinderIndexerAdapter\getItems(), TagsHelper\getItemTags(), FOFModel\getIterator(), FOFTableRelations\getIteratorFromRelation(), InstallerModelUpdatesites\getJoomlaUpdateSitesIds(), JDatabaseImporterMysqli\getKeySql(), JFormFieldTos\getLabel(), MultilangstatusHelper\getLangswitchers(), AssociationsHelper\getLanguagefilterPluginId(), CMSHelper\getLanguageId(), ContentHelper\getLanguageId(), LanguagesModelInstalled\getLanguageList(), InstallationModelLanguages\getLanguageList(), LanguageHelper\getLanguages(), JFormFieldprivacy\getLayoutData(), JFormFieldterms\getLayoutData(), FOFTableNested\getLevel(), ModStatsHelper\getList(), ModLoggedHelper\getList(), ModArchiveHelper\getList(), ModRelatedItemsHelper\getList(), ModTagsPopularHelper\getList(), ModTagssimilarHelper\getList(), FinderModelFilters\getListQuery(), PrivacyModelRequests\getListQuery(), PrivacyModelConsents\getListQuery(), UsersModelNotes\getListQuery(), ContentModelFeatured\getListQuery(), ModulesModelSelect\getListQuery(), TemplatesModelTemplates\getListQuery(), InstallerModelUpdate\getListQuery(), ContentModelArchive\getListQuery(), ActionlogsModelActionlogs\getListQuery(), InstallerModelDiscover\getListQuery(), BannersModelBanners\getListQuery(), UsersModelLevels\getListQuery(), BannersModelTracks\getListQuery(), SearchModelSearches\getListQuery(), BannersModelClients\getListQuery(), MessagesModelMessages\getListQuery(), TemplatesModelStyles\getListQuery(), LanguagesModelLanguages\getListQuery(), NewsfeedsModelCategory\getListQuery(), FieldsModelGroups\getListQuery(), ContactModelCategory\getListQuery(), FieldsModelFields\getListQuery(), TagsModelTag\getListQuery(), RedirectModelLinks\getListQuery(), TagsModelTags\getListQuery(), UsersModelGroups\getListQuery(), ContactModelFeatured\getListQuery(), NewsfeedsModelNewsfeeds\getListQuery(), ContactModelContacts\getListQuery(), AssociationsModelAssociations\getListQuery(), FinderModelMaps\getListQuery(), CategoriesModelCategories\getListQuery(), MenusModelMenus\getListQuery(), FinderModelIndex\getListQuery(), ContentModelArticles\getListQuery(), UsersModelDebugUser\getListQuery(), UsersModelDebuggroup\getListQuery(), PluginsModelPlugins\getListQuery(), FinderModelSearch\getListQuery(), MenusModelItems\getListQuery(), ModulesModelModules\getListQuery(), UsersModelUsers\getListQuery(), PlgFinderTags\getListQuery(), InstallerModelManage\getListQuery(), PlgFinderNewsfeeds\getListQuery(), PlgFinderContent\getListQuery(), PlgFinderCategories\getListQuery(), ContenthistoryModelHistory\getListQuery(), PlgFinderContacts\getListQuery(), InstallerModelUpdatesites\getListQuery(), FinderIndexerAdapter\getListQuery(), ActionlogsHelper\getLogContentTypeParams(), ActionlogsModelActionlogs\getLogDataAsIterator(), ActionlogsModelActionlogs\getLogDataQuery(), ActionlogsModelActionlogs\getLogsData(), ActionlogsModelActionlogs\getLogsForItem(), ContenthistoryHelper\getLookupValue(), MenusModelItems\getMenu(), MenusHelper\getMenuItems(), MenusHelper\getMenuLinks(), ModMenuHelper\getMenus(), MenusHelper\getMenuTypes(), MenusModelMenus\getModMenuId(), MultilangstatusHelper\getModule(), ModulesHelper\getModules(), MenusModelMenu\getModules(), MenusModelItem\getModules(), FOFTableNested\getNestedList(), NewsfeedsRouter\getNewsfeedId(), Table\getNextOrder(), FinderIndexerTaxonomy\getNodeByTitle(), JoomlaupdateModelDefault\getNonCoreExtensions(), JoomlaupdateModelDefault\getNonCorePlugins(), PrivacyModelRequests\getNumberUrgentRequests(), ModWhosonlineHelper\getOnlineCount(), ModWhosonlineHelper\getOnlineUserNames(), FOFFormHeaderFieldsql\getOptions(), FOFFormHeaderAccesslevel\getOptions(), JFormFieldFieldgroups\getOptions(), JFormFieldNewsfeeds\getOptions(), JFormFieldSearchFilter\getOptions(), JFormFieldMenuParent\getOptions(), JFormFieldAliastag\getOptions(), JFormFieldMenuOrdering\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldComponents\getOptions(), JFormFieldComponentsCategory\getOptions(), JFormFieldConfigComponents\getOptions(), JFormFieldContentTypes\getOptions(), FrontendlanguageField\getOptions(), JFormFieldExtension\getOptions(), JFormFieldLogType\getOptions(), JFormFieldLogCreator\getOptions(), AuthorField\getOptions(), ContenttypeField\getOptions(), FOFFormFieldTag\getOptions(), JFormFieldPlugins\getOptions(), FOFFormFieldComponents\getOptions(), TagField\getOptions(), JFormFieldCategoryEdit\getOptions(), UsersModelUser\getOtpConfig(), FOFTableNested\getParent(), RouterView\getPath(), Nested\getPath(), PlgEditorTinymce\getPluginId(), FinderModelIndex\getPluginState(), FinderIndexerAdapter\getPluginType(), ModulesHelper\getPositions(), TemplatesModelTemplate\getPreview(), PrivacyHelper\getPrivacyConsentPluginId(), JFormFieldPluginordering\getQuery(), JDatabaseExceptionExecuting\getQuery(), OrderingField\getQuery(), FinderModelSearch\getQuery(), FOFFormFieldOrdering\getQuery(), RedirectHelper\getRedirectPluginId(), FOFFormFieldUsergroup\getRepeatable(), FOFFormFieldAccesslevel\getRepeatable(), PrivacyModelDashboard\getRequestCounts(), PrivacyModelDashboard\getRequestFormPublished(), FinderModelSearch\getResults(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), FOFTableNested\getRoot(), Nested\getRootId(), InstallerModelDatabase\getSchemaVersion(), FinderHelperRoute\getSearchRoute(), LanguageAdapter\getSefString(), Multilanguage\getSiteHomePages(), Updater\getSitesWithUpdates(), PlgFinderTags\getStateQuery(), PlgFinderCategories\getStateQuery(), FinderIndexerAdapter\getStateQuery(), FOFFormFieldAccesslevel\getStatic(), FOFFormFieldUsergroup\getStatic(), ModStatsHelper\getStats(), MultilangstatusHelper\getStatus(), FinderModelSearch\getStoreId(), FOFDatabaseDriverPostgresql\getStringPositionSql(), JDatabaseDriverPostgresql\getStringPositionSql(), PlgSystemUpdatenotification\getSuperUsers(), FOFDatabaseDriverSqlite\getTableColumns(), JDatabaseDriverSqlite\getTableColumns(), JDatabaseDriverOracle\getTableColumns(), FOFDatabaseDriverOracle\getTableColumns(), FOFDatabaseDriverSqlsrv\getTableConstraints(), JDatabaseDriverOracle\getTableCreate(), FOFDatabaseDriverOracle\getTableCreate(), FOFTableRelations\getTableFromRelation(), FOFDatabaseDriverSqlite\getTableKeys(), JDatabaseDriverSqlite\getTableKeys(), JDatabaseDriverOracle\getTableKeys(), FOFDatabaseDriverOracle\getTableKeys(), FOFDatabaseDriverSqlite\getTableList(), JDatabaseDriverSqlite\getTableList(), JDatabaseDriverPgsql\getTableList(), JDatabaseDriverOracle\getTableList(), FOFDatabaseDriverOracle\getTableList(), FOFDatabaseDriverPostgresql\getTableList(), JDatabaseDriverPostgresql\getTableList(), JDatabaseDriverPgsql\getTableSequences(), FOFDatabaseDriverPostgresql\getTableSequences(), JDatabaseDriverPostgresql\getTableSequences(), TagsHelper\getTagIds(), TagsHelper\getTagItemsQuery(), TagsHelper\getTagNames(), TemplatesModelTemplate\getTemplate(), AdministratorApplication\getTemplate(), SiteApplication\getTemplate(), TemplatesHelper\getTemplateOptions(), ModulesHelper\getTemplates(), ChromestyleField\getTemplates(), FinderIndexerQuery\getTokenData(), FinderModelFilter\getTotal(), FOFModel\getTotal(), FinderModelIndex\getTotalIndexed(), Nested\getTree(), UCMType\getType(), UCMType\getTypeByAlias(), UCMType\getTypeByTable(), ContentType\getTypeId(), UCMType\getTypeId(), FinderIndexerAdapter\getTypeId(), MenusModelMenutypes\getTypeOptions(), TagsHelper\getTypes(), JoomlaupdateModelDefault\getUpdateInformation(), ChangeSet\getUpdateQueries(), FinderIndexerAdapter\getUpdateQueryByIds(), PlgFinderTags\getUpdateQueryByTime(), FinderIndexerAdapter\getUpdateQueryByTime(), InstallerModelLanguages\getUpdateSite(), FOFUtilsUpdate\getUpdateSiteIds(), UpdateAdapter\getUpdateSiteName(), Updater\getUpdateSites(), JoomlaupdateModelDefault\getUpdateSitesInfo(), JFormFieldFilters\getUserGroups(), UserHelper\getUserId(), UsersModelRegistration\getUserIdFromToken(), ModUsersLatestHelper\getUsers(), Access\getUsersByGroup(), MenusModelItem\getViewLevels(), UsersHelper\getVisibleByGroups(), ContentModelArchive\getYears(), FOFDatabaseInstaller\hasIndex(), Table\hasPrimaryKey(), hathormessage_postinstall_action(), hathormessage_postinstall_condition(), PostinstallModelMessages\hideMessages(), PlgSystemDebug\highlightQuery(), Table\hit(), FOFTable\hit(), BannersModelBanners\impress(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), FinderIndexerDriverMysql\index(), FOFTableNested\insertAsFirstChildOf(), FOFTableNested\insertAsLastChildOf(), FOFTableNested\insertAsRoot(), JDatabaseDriverPgsql\insertObject(), FOFDatabaseDriverPostgresql\insertObject(), JDatabaseDriverPostgresql\insertObject(), FOFDatabaseDriver\insertObject(), JDatabaseDriver\insertObject(), FOFUtilsInstallscript\installSubextensions(), PrivacyModelConsents\invalidate(), PrivacyModelConsents\invalidateAll(), UserHelper\invalidateCookie(), Table\isCheckedOut(), Multilanguage\isEnabled(), JoomlaupdateModelDefault\isTemplateActive(), PlgSystemPrivacyconsent\isUserConsented(), FinderIndexerAdapter\itemAccessChange(), FinderIndexerAdapter\itemStateChange(), JHtmlAccess\level(), FOFDatabaseDriverSqlsrv\limit(), JHtmlMenu\linkOptions(), User\load(), UserGroupsHelper\load(), SimplePie_Cache_MySQL\load(), Table\load(), FOFTable\load(), ActionlogsHelper\loadActionLogPluginsLanguage(), UserGroupsHelper\loadAll(), FinderHelperLanguage\loadPluginLanguage(), MenuHelper\loadXml(), UsersControllerUser\login(), FOFIntegrationJoomlaPlatform\loginUser(), UsersControllerUser\logout(), SearchHelper\logSearch(), FOFTableNested\makeFirstChildOf(), FOFTableNested\makeLastChildOf(), JHtmlFinder\mapslist(), JHtmlMenu\menuItems(), UsersControllerUser\menulogout(), JHtmlMenu\menus(), JDatabaseImporter\mergeStructure(), Nested\move(), FOFTable\move(), Table\move(), Nested\moveByReference(), FOFTableNested\moveToLeftOf(), FOFTableNested\moveToRightOf(), SimplePie_Cache_MySQL\mtime(), PlgSystemDebug\mysqlDisconnectHandler(), newsfeedsBuildRoute(), FOFModelBehaviorFilters\onAfterBuildQuery(), FOFModelBehaviorEnabled\onAfterBuildQuery(), FOFModelBehaviorPrivate\onAfterBuildQuery(), FOFModelBehaviorLanguage\onAfterBuildQuery(), FOFTableNested\onAfterDelete(), PlgSystemPrivacyconsent\onAfterRender(), PlgSystemActionLogs\onAfterRespond(), FOFTableBehaviorAssets\onAfterStore(), PlgContentJoomla\onContentAfterSave(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgActionlogJoomla\onContentChangeState(), PlgContentJoomla\onContentChangeState(), PlgSystemActionLogs\onContentPrepareData(), PlgSearchContent\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchCategories\onContentSearch(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgExtensionJoomla\onExtensionAfterUninstall(), PlgFinderCategories\onFinderChangeState(), PlgSystemPrivacyconsent\onPrivacyCheckPrivacyPolicyPublished(), PlgPrivacyActionlogs\onPrivacyExportRequest(), PlgPrivacyConsents\onPrivacyExportRequest(), PlgPrivacyMessage\onPrivacyExportRequest(), PlgPrivacyContent\onPrivacyExportRequest(), PlgPrivacyContact\onPrivacyExportRequest(), PlgUserJoomla\onUserAfterDelete(), PlgSystemPrivacyconsent\onUserAfterDelete(), PlgSystemActionLogs\onUserAfterDelete(), PlgAuthenticationCookie\onUserAfterLogin(), PlgAuthenticationCookie\onUserAfterLogout(), PlgSystemActionLogs\onUserAfterSave(), PlgUserProfile\onUserAfterSave(), PlgAuthenticationGMail\onUserAuthenticate(), PlgAuthenticationCookie\onUserAuthenticate(), PlgSystemRemember\onUserBeforeSave(), PlgUserJoomla\onUserLogin(), PlgActionlogJoomla\onUserLoginFailure(), FinderIndexerDriverPostgresql\optimize(), FinderIndexerDriverMysql\optimize(), FinderIndexerDriverSqlsrv\optimize(), JHtmlTag\options(), JHtmlCategory\options(), Nested\orderDown(), JHtmlList\ordering(), JHtmlMenu\ordering(), ModulesControllerModule\orderPosition(), Nested\orderUp(), NewsfeedsRouterRulesLegacy\parse(), ContactRouterRulesLegacy\parse(), UsersRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), TemplateAdapter\parseQueries(), Installer\parseQueries(), Installer\parseSchemaUpdates(), Installer\parseSQLFiles(), FinderIndexerAdapter\pluginDisable(), InstallationModelDatabase\populateDatabase(), UsersModelGroups\populateExtraData(), JHtmlModules\positionList(), JoomlaInstallerScript\postflight(), Access\preloadComponents(), Access\preloadPermissions(), Access\preloadPermissionsParentIdMapping(), FinderViewSearch\prepareDocument(), NewsfeedsModelNewsfeed\prepareTable(), BannersModelBanner\prepareTable(), ContactModelContact\prepareTable(), RouterLegacy\preprocess(), MenuRules\preprocess(), RouterBase\preprocess(), RouterView\preprocess(), JAdminCssMenu\preprocess(), PluginsModelPlugin\preprocessForm(), privacyBuildRoute(), SiteRouter\processBuildRules(), FinderIndexerQuery\processDynamicTaxonomy(), FOFDatabaseQueryMysqli\processLimit(), JDatabaseQueryMysqli\processLimit(), JDatabaseQueryOracle\processLimit(), FOFDatabaseQueryOracle\processLimit(), JDatabaseQuerySqlite\processLimit(), FOFDatabaseQuerySqlite\processLimit(), FOFDatabaseQuerySqlsrv\processLimit(), JDatabaseQuerySqlsrv\processLimit(), FOFDatabaseQueryPostgresql\processLimit(), JDatabaseQueryPostgresql\processLimit(), JFormFieldSQL\processQuery(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetConfirm(), UsersModelReset\processResetRequest(), FinderIndexerQuery\processStaticTaxonomy(), FinderTableMap\publish(), UsersTableNote\publish(), FinderTableFilter\publish(), Extension\publish(), CoreContent\publish(), Nested\publish(), Table\publish(), FOFTable\publish(), RedirectModelLinks\purge(), JTableSession\purge(), InstallerModelDiscover\purge(), JoomlaupdateModelDefault\purge(), InstallerModelUpdate\purge(), FinderModelIndex\purge(), FinderModelMaps\purge(), AssociationsModelAssociations\purge(), AdministratorApplication\purgeMessages(), FinderCli\putFilters(), JSessionStorageDatabase\read(), Database\read(), FOFDatabaseInstaller\realGetColumnCollation(), FOFDatabaseInstaller\realGetTableCollation(), Asset\rebuild(), InstallerModelUpdatesites\rebuild(), MenusModelItem\rebuild(), Nested\rebuild(), Nested\rebuildPath(), recaptcha_postinstall_action(), recaptcha_postinstall_condition(), Nested\recursiveUpdatePublishedColumn(), LanguagesModelStrings\refresh(), UsersModelRegistration\register(), PlgSystemPrivacyconsent\remindExpiringConsents(), FinderIndexer\remove(), FinderIndexerAdapter\remove(), FinderIndexerDriverSqlsrv\remove(), FinderIndexerTaxonomy\removeMaps(), FOFUtilsUpdate\removeObsoleteUpdateSites(), FinderIndexerTaxonomy\removeOrphanNodes(), Table\reorder(), FOFTable\reorder(), JDatabaseDriverOracle\replacePrefix(), FOFDatabaseDriverOracle\replacePrefix(), FOFDatabaseDriverSqlsrv\replacePrefix(), FOFDatabaseDriverPostgresql\replacePrefix(), JDatabaseDriverPostgresql\replacePrefix(), SearchModelSearches\reset(), PostinstallModelMessages\resetMessages(), MenuHelper\resolveAlias(), MenusControllerMenus\resync(), FieldsModelField\save(), MessagesModelConfig\save(), SimplePie_Cache_MySQL\save(), TemplatesModelStyle\save(), CategoriesModelCategory\save(), ModulesModelModule\save(), AdminModel\save(), MenusModelItem\save(), Nested\saveorder(), LibraryHelper\saveParams(), PlgQuickiconEos310\saveParams(), PlgSystemStats\saveParams(), FOFTableNested\scopeImmediateDescendants(), JTwittersearch\search(), JGoogleDataPlusPeople\search(), LanguagesModelStrings\search(), JTwitterPlaces\search(), JGoogleDataPlusActivities\search(), searchBuildRoute(), TagsHelper\searchTags(), JTwitterUsers\searchUsers(), JHtmlFilter\select(), UsersModelMail\send(), ActionlogsModelActionlog\sendNotificationEmails(), FOFUtilsUpdate\setCommonParameter(), FieldsModelField\setFieldValue(), TemplatesModelStyle\setHome(), User\setLastVisit(), InstallerScript\setParams(), FOFDatabaseDriverJoomla\setQuery(), JDatabaseDriverPdo\setQuery(), FOFDatabaseDriverPdo\setQuery(), FOFDatabaseDriver\setQuery(), JDatabaseDriver\setQuery(), Installer\setSchemaVersion(), JFormFieldSQL\setup(), UserHelper\setUserGroups(), JDatabaseDriverPgsql\showTables(), FOFDatabaseDriverPostgresql\showTables(), JDatabaseDriverPostgresql\showTables(), JHtmlFilter\slider(), InstallationModelDatabase\splitQueries(), JDatabase\splitSql(), FOFDatabase\splitSql(), JDatabaseDriver\splitSql(), InstallerHelper\splitSql(), MenuType\store(), TemplatesTableStyle\store(), Menu\store(), User\store(), Nested\store(), ConfigModelApplication\storePermissions(), CoreContent\storeUcmBase(), ContentModelArticle\storeVote(), JHtmlQuery\suggested(), TagsHelper\tagDeleteInstances(), JHtmlTag\tags(), tagsBuildRoute(), JHtmlUsers\templatestyle(), UsernameRule\test(), EmailRule\test(), UpdateAdapter\toggleUpdateSite(), UserGroupsHelper\total(), SimplePie_Cache_MySQL\touch(), FinderIndexerQuery\toUri(), twofactorauth_postinstall_action(), twofactorauth_postinstall_condition(), JHtmlFinder\typeslist(), FileAdapter\uninstall(), TemplateAdapter\uninstall(), PluginAdapter\uninstall(), LanguageAdapter\uninstall(), ComponentAdapter\uninstall(), FOFUtilsInstallscript\uninstallPostInstallationMessages(), FOFDatabaseQuery\union(), JDatabaseQuery\union(), FOFDatabaseQuery\unionAll(), JDatabaseQuery\unionAll(), FOFDatabaseQuery\unionDistinct(), JDatabaseQuery\unionDistinct(), SimplePie_Cache_MySQL\unlink(), TemplatesModelStyle\unsetHome(), TagsHelper\unTagItem(), InstallationModelDatabase\updateDates(), Updater\updateLastCheckTimestamp(), JoomlaInstallerScript\updateManifestCaches(), InstallationModelDatabase\updateUserIds(), JHtmlUser\userlist(), JHtmlList\users(), usersBuildRoute(), PrivacyModelRequest\validate(), wrapperBuildRoute(), JSessionStorageDatabase\write(), Database\write(), et PlgSystemDebug\writeToFile().

◆ $total_users

if (! $config->get( 'shared_session', '0')) $total_users = 0

◆ $unread

$unread = (int) $db->loadResult()

Référencé par JGithubPackageActivityNotifications\markRead(), JGithubPackageActivityNotifications\markReadRepository(), et JGithubPackageActivityNotifications\markReadThread().

◆ $user

$user = JFactory::getUser()

◆ else

if ( $unread) else
Valeur initiale :
{
$inboxLink = JRoute::_('index.php?option=com_messages')

◆ if

if($config->get('shared_session', '0'))


Joomla CMS: Référence du fichier mod_submenu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_submenu
Espaces de nommage | Variables
Référence du fichier mod_submenu.php

Espaces de nommage

Joomla\Administrator

Variables

$list = JSubMenuHelper::getEntries()
$filters = JSubMenuHelper::getFilters()
$action = JSubMenuHelper::getAction()
$displayMenu = count($list)
$displayFilters = count($filters)
$hide = JFactory::getApplication()->input->getBool('hidemainmenu')

Documentation des variables

◆ $action

$action = JSubMenuHelper::getAction()

Référencé par Rules\__construct(), ContentHelper\_getActions(), JGoogleEmbedAnalytics\addEvent(), Rules\allow(), JHtmlRules\assetFormWidget(), User\authorise(), FOFIntegrationJoomlaPlatform\authorise(), MediaControllerFile\authoriseUser(), UsersModelUser\batchReset(), UsersModelUser\batchUser(), Access\check(), JHtmlGrid\checkall(), Access\checkGroup(), JTwitterObject\checkRateLimit(), JGoogleEmbedAnalytics\createEvent(), Form\filterField(), JHtmlSidebar\getAction(), JSubMenuHelper\getAction(), ContentHelper\getActions(), Access\getActionsFromData(), Rules\getAllowed(), User\getAuthorisedCategories(), UsersHelperDebug\getDebugActions(), MenusModelItem\getForm(), JFormFieldRules\getInput(), FOFFormFieldRules\getInput25(), FOFFormFieldRules\getInput3x(), UsersModelDebuggroup\getItems(), UsersModelDebugUser\getItems(), FOFFormFieldActions\getRepeatable(), JHtmlMenu\menuItems(), Rules\merge(), Rules\mergeAction(), FOFTableBehaviorAssets\onAfterBind(), PlgActionlogJoomla\onApplicationAfterSave(), PlgActionlogJoomla\onContentChangeState(), PlgActionlogJoomla\onUserAfterSave(), PlgActionlogJoomla\onUserAfterSaveGroup(), JoomlaInstallerScript\postflight(), JoomlaInstallerScript\preflight(), JHtmlGrid\published(), ToolbarButton\render(), FOFRenderStrapper\renderButtons(), JHtmlSidebar\setAction(), JSubMenuHelper\setAction(), et RulesRule\test().

◆ $displayFilters

$displayFilters = count($filters)

◆ $displayMenu

$displayMenu = count($list)

◆ $filters

$filters = JSubMenuHelper::getFilters()

Référencé par JHtmlSidebar\addFilter(), JSubMenuHelper\addFilter(), ComponentHelper\filterText(), JHtmlSidebar\getFilters(), JSubMenuHelper\getFilters(), PlgEditorTinymce\getGlobalFilters(), JFormFieldCategory\getOptions(), ListModel\getUserStateFromRequest(), BannersModelBanner\loadFormData(), FieldsModelGroup\loadFormData(), CategoriesModelCategory\loadFormData(), ContentModelArticle\loadFormData(), MenusModelItem\loadFormData(), ModulesModelModule\loadFormData(), FieldsModelField\loadFormData(), ListModel\populateState(), Stream\prependFilter(), FinderIndexerQuery\processDynamicTaxonomy(), JFormFieldSQL\processQuery(), FinderIndexerQuery\processStaticTaxonomy(), LdapClient\search(), TagsControllerTags\searchAjax(), TagsHelper\searchTags(), et JFormFieldSQL\setup().

◆ $hide

$hide = JFactory::getApplication()->input->getBool('hidemainmenu')

Référencé par EditorField\setup().

◆ $list

$list = JSubMenuHelper::getEntries()


Joomla CMS: Référence du fichier mod_syndicate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_syndicate
Espaces de nommage | Variables
Référence du fichier mod_syndicate.php

Espaces de nommage

Joomla\Site

Variables

$link = ModSyndicateHelper::getLink($params)
if($link===null) $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')
$text = htmlspecialchars($params->get('text', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $link

$link = ModSyndicateHelper::getLink($params)

◆ $moduleclass_sfx

if ( $link===null) $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $text

$text = htmlspecialchars($params->get('text', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier mod_tags_popular.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_popular
Espaces de nommage | Variables
Référence du fichier mod_tags_popular.php

Espaces de nommage

Joomla\Site

Variables

$cacheparams = new stdClass
$cacheparams | cachemode = 'safeuri'
$cacheparams | method = 'getList'
$cacheparams | methodparams = $params
$cacheparams | modeparams = array('id' => 'array', 'Itemid' => 'int')
$list = JModuleHelper::moduleCache($module, $params, $cacheparams)
if(!count($list) &&! $params->get('no_results_text')) | $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')
$display_count = $params->get('display_count', 0)

Documentation des variables

◆ $cacheparams

$cacheparams = new stdClass

◆ $display_count

$display_count = $params->get('display_count', 0)

◆ $list

$list = JModuleHelper::moduleCache($module, $params, $cacheparams)

◆ $moduleclass_sfx

if (!count( $list) &&! $params->get( 'no_results_text')) $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ cachemode

$cacheparams cachemode = 'safeuri'

◆ method

$cacheparams method = 'getList'

◆ methodparams

$cacheparams methodparams = $params

◆ modeparams

$cacheparams modeparams = array('id' => 'array', 'Itemid' => 'int')


Joomla CMS: Référence du fichier mod_tags_similar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_similar
Espaces de nommage | Variables
Référence du fichier mod_tags_similar.php

Espaces de nommage

Joomla\Site

Variables

$cacheparams = new stdClass
$cacheparams | cachemode = 'safeuri'
$cacheparams | method = 'getList'
$cacheparams | methodparams = $params
$cacheparams | modeparams = array('id' => 'array', 'Itemid' => 'int')
$list = JModuleHelper::moduleCache($module, $params, $cacheparams)
if(!count($list)) | $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $cacheparams

$cacheparams = new stdClass

◆ $list

$list = JModuleHelper::moduleCache($module, $params, $cacheparams)

◆ $moduleclass_sfx

if (!count( $list)) $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ cachemode

$cacheparams cachemode = 'safeuri'

◆ method

$cacheparams method = 'getList'

◆ methodparams

$cacheparams methodparams = $params

◆ modeparams

$cacheparams modeparams = array('id' => 'array', 'Itemid' => 'int')


Joomla CMS: Référence du fichier mod_title.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_title
Espaces de nommage | Variables
Référence du fichier mod_title.php

Espaces de nommage

Joomla\Administrator

Variables

if (isset(JFactory::getApplication() ->JComponentTitle))

Documentation des variables

◆ if

if(isset(JFactory::getApplication() ->JComponentTitle))


Joomla CMS: Référence du fichier mod_toolbar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_toolbar
Espaces de nommage | Variables
Référence du fichier mod_toolbar.php

Espaces de nommage

Joomla\Administrator

Variables

$toolbar = JToolbar::getInstance('toolbar')->render('toolbar')

Documentation des variables

◆ $toolbar

$toolbar = JToolbar::getInstance('toolbar')->render('toolbar')

Référencé par FinderViewFilters\addToolbar(), FinderViewIndex\addToolbar(), FOFConfigDomainViews\getToolbar(), FOFViewHtml\preRender(), FOFRenderStrapper\renderButtons(), FOFRenderJoomla\renderButtons(), FOFRenderAbstract\renderCategoryLinkbar(), FOFToolbar\renderFromConfig(), FOFRenderJoomla\renderLinkbar(), FOFRenderStrapper\renderLinkbar_classic(), FOFRenderStrapper\renderLinkbar_joomla(), FOFRenderStrapper\renderLinkbarItems(), FOFRenderJoomla\renderLinkbarItems(), et FOFToolbar\renderToolbar().


Joomla CMS: Référence du fichier mod_users_latest.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_users_latest
Espaces de nommage | Variables
Référence du fichier mod_users_latest.php

Espaces de nommage

Joomla\Site

Variables

$shownumber = $params->get('shownumber', 5)
$names = ModUsersLatestHelper::getUsers($params)
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $names

$names = ModUsersLatestHelper::getUsers($params)

Référencé par Form\findField(), Form\findFieldsByGroup(), Form\findGroup(), FOFForm\findHeader(), FOFForm\findHeadersByGroup(), HttpFactory\getHttpTransports(), Pathway\getPathwayNames(), FieldsModelField\save(), et WebApplication\setHeader().

◆ $shownumber

$shownumber = $params->get('shownumber', 5)


Joomla CMS: Référence du fichier mod_version.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_version
Espaces de nommage | Variables
Référence du fichier mod_version.php

Espaces de nommage

Joomla\Administrator

Variables

$version = ModVersionHelper::getVersion($params)

Documentation des variables

◆ $version

$version = ModVersionHelper::getVersion($params)


Joomla CMS: Référence du fichier mod_whosonline.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_whosonline
Espaces de nommage | Variables
Référence du fichier mod_whosonline.php

Espaces de nommage

Joomla\Site

Variables

$showmode = $params->get('showmode', 0)
if($showmode==0|| $showmode==2) if($showmode > 0) $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

Documentation des variables

◆ $moduleclass_sfx

if ( $showmode==0||$showmode==2) if ( $showmode > 0) $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $showmode

$showmode = $params->get('showmode', 0)


Joomla CMS: Référence du fichier mod_wrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_wrapper
Espaces de nommage | Variables
Référence du fichier mod_wrapper.php

Espaces de nommage

Joomla\Site

Variables

$params = ModWrapperHelper::getParams($params)
$load = $params->get('load')
$url = htmlspecialchars($params->get('url', ''), ENT_COMPAT, 'UTF-8')
$target = htmlspecialchars($params->get('target', ''), ENT_COMPAT, 'UTF-8')
$width = htmlspecialchars($params->get('width', ''), ENT_COMPAT, 'UTF-8')
$height = htmlspecialchars($params->get('height', ''), ENT_COMPAT, 'UTF-8')
$scroll = htmlspecialchars($params->get('scrolling', ''), ENT_COMPAT, 'UTF-8')
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')
$frameborder = htmlspecialchars($params->get('frameborder', ''), ENT_COMPAT, 'UTF-8')
$ititle = $module->title
$id = $module->id

Documentation des variables

◆ $frameborder

$frameborder = htmlspecialchars($params->get('frameborder', ''), ENT_COMPAT, 'UTF-8')

◆ $height

$height = htmlspecialchars($params->get('height', ''), ENT_COMPAT, 'UTF-8')

◆ $id

$id = $module->id

◆ $ititle

$ititle = $module->title

◆ $load

$load = $params->get('load')

Référencé par ModWrapperHelper\getParams().

◆ $moduleclass_sfx

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''), ENT_COMPAT, 'UTF-8')

◆ $params

$params = ModWrapperHelper::getParams($params)

◆ $scroll

$scroll = htmlspecialchars($params->get('scrolling', ''), ENT_COMPAT, 'UTF-8')

◆ $target

$target = htmlspecialchars($params->get('target', ''), ENT_COMPAT, 'UTF-8')

◆ $url

$url = htmlspecialchars($params->get('url', ''), ENT_COMPAT, 'UTF-8')

◆ $width

$width = htmlspecialchars($params->get('width', ''), ENT_COMPAT, 'UTF-8')


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
  • associations
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_associations/views/associations/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$function = $app->input->getCmd('function', 'jSelectAssociation')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$canManageCheckin = JFactory::getUser()->authorise('core.manage', 'com_checkin')
$colSpan = 4
$iconStates
$app | getDocument () -> addScriptDeclaration("jQuery(document).ready(function($)
if(!empty( $this->sidebar)) | else
else __pad0__
endif
$canCheckin = $canManageCheckin || AssociationsHelper::canCheckinItem($this->extensionName, $this->typeName, $item->id)
$isCheckout = AssociationsHelper::isCheckoutItem($this->extensionName, $this->typeName, $item->id)
data | id
else __pad1__
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

Référencé par Route\_(), UsersRouter\__construct(), InstallerViewDefault\__construct(), MenusModelItems\__construct(), ContactRouter\__construct(), NewsfeedsRouter\__construct(), ContentRouter\__construct(), PrivacyRouter\__construct(), SitePathway\__construct(), RouterBase\__construct(), JControllerBase\__construct(), MetadataManager\__construct(), SearchModelSearch\__construct(), JApplicationWebRouter\__construct(), ConfigViewCmsHtml\__construct(), SiteRouter\__construct(), OpensearchDocument\__construct(), JsonResponse\__construct(), UCMType\__construct(), Pagination\__construct(), ContentModelCategory\_buildContentOrderBy(), TagsHelperRoute\_findItem(), PageController\_noChange(), TagsViewTags\_prepareDocument(), ContentViewForm\_prepareDocument(), ContactViewFeatured\_prepareDocument(), ContentViewArchive\_prepareDocument(), ContentViewFeatured\_prepareDocument(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), TagsViewTag\_prepareDocument(), ContactViewContact\_prepareDocument(), ContactControllerContact\_sendEmail(), HtmlView\_setPath(), ModulesControllerModule\add(), MenusControllerItem\add(), TemplatesViewTemplate\addToolbar(), admin_postinstall_behindproxy_condition(), admin_postinstall_eaccelerator_condition(), JoomlaupdateControllerUpdate\ajax(), InstallerControllerInstall\ajax_upload(), FinderControllerIndexer\batch(), UsersModelUser\block(), UsersModelUsers\buildDateRange(), ModulesControllerModule\cancel(), MenusControllerItem\cancel(), ContentControllerArticle\cancel(), LanguagesControllerOverride\cancel(), TemplateHelper\canUpload(), MediaHelper\canUpload(), JAdminCssMenu\check(), Session\checkToken(), BaseController\checkToken(), AssociationsModelAssociations\clean(), TemplatesModelTemplate\cleanup(), TemplatesControllerTemplate\close(), CategoryView\commonCategoryDisplay(), TemplatesModelTemplate\compileLess(), UsersControllerReset\complete(), UsersControllerReset\confirm(), ContactBuildRoute(), ContactParseRoute(), contentBuildRoute(), contentParseRoute(), TemplatesControllerTemplate\copy(), TemplatesModelTemplate\copy(), TemplatesControllerTemplate\copyFile(), TemplatesModelTemplate\copyFile(), HtmlDocument\countMenuChildren(), MediaControllerFolder\create(), TemplatesControllerTemplate\createFile(), TemplatesModelTemplate\createFile(), TemplatesControllerTemplate\createFolder(), TemplatesModelTemplate\createFolder(), TemplatesModelTemplate\createOverride(), JoomlaupdateModelDefault\createRestorationFile(), Help\createUrl(), TemplatesControllerTemplate\cropImage(), TemplatesModelTemplate\cropImage(), MediaControllerFolder\delete(), MenusControllerMenus\delete(), InstallerModelUpdatesites\delete(), MediaControllerFile\delete(), TemplatesControllerTemplate\delete(), CacheController\deleteAll(), TemplatesModelTemplate\deleteFile(), TemplatesControllerTemplate\deleteFolder(), TemplatesModelTemplate\deleteFolder(), InstallerModelDiscover\discover_install(), ContentViewFeatured\display(), TagsViewTag\display(), TagsViewTags\display(), FinderViewSearch\display(), MediaViewMedia\display(), MediaViewMediaList\display(), WrapperViewWrapper\display(), MediaController\display(), MenusController\display(), ModulesController\display(), CategoryFeedView\display(), InstallerViewDatabase\display(), SearchViewSearch\display(), MenusViewMenutypes\display(), SearchViewSearches\display(), ModulesViewModule\display(), ContentViewArticle\display(), ContentViewForm\display(), MenusViewMenu\display(), UsersViewProfile\display(), RedirectViewLinks\display(), NewsfeedsViewNewsfeed\display(), TemplatesViewStyle\display(), LanguagesViewOverride\display(), CategoriesView\display(), ContactViewContact\display(), ContactViewFeatured\display(), ContentViewCategory\display(), TemplatesViewTemplate\display(), PlgSystemFields\display(), FOFController\display(), FieldsHelper\displayFieldOnForm(), PlgSystemRedirect\doErrorHandling(), UsersControllerProfile\edit(), LanguagesControllerOverride\edit(), MenusControllerItem\edit(), FormController\editAssociations(), ConfigControllerTemplatesSave\execute(), InstallationControllerDatabase\execute(), ConfigControllerConfigDisplay\execute(), ConfigControllerTemplatesDisplay\execute(), ConfigControllerModulesDisplay\execute(), TemplatesControllerTemplate\extractArchive(), TemplatesModelTemplate\extractArchive(), HeadRenderer\fetchHead(), RouteHelper\findItem(), JAdministratorHelper\findOption(), CollectionAdapter\findUpdate(), ExtensionAdapter\findUpdate(), JControllerBase\getApplication(), TemplatesModelTemplate\getArchive(), ModQuickIconHelper\getButtons(), PrivacyModelCapabilities\getCapabilities(), NewsfeedsModelCategory\getCategory(), ContactModelCategory\getCategory(), BannersModelTracks\getContent(), CMSHelper\getCurrentLanguage(), ContentHelper\getCurrentLanguage(), ContentModelArchive\getData(), UsersModelRegistration\getData(), TemplatesModelTemplate\getFiles(), TemplatesModelTemplate\getFont(), TemplatesModelTemplate\getForm(), ContentModelArticle\getForm(), TemplatesModelTemplate\getImage(), NewsfeedsModelNewsfeed\getItem(), FinderHelperRoute\getItemid(), ContactModelCategories\getItems(), ContentModelCategories\getItems(), NewsfeedsModelCategories\getItems(), SearchModelSearches\getItems(), JFormFieldDob\getLabel(), ModStatsHelper\getList(), ModBreadCrumbsHelper\getList(), ModMenuHelper\getList(), ModRelatedItemsHelper\getList(), ModLanguagesHelper\getList(), ModArchiveHelper\getList(), ModBannersHelper\getList(), ModTagssimilarHelper\getList(), ModArticlesPopularHelper\getList(), ModArticlesNewsHelper\getList(), ModArticlesLatestHelper\getList(), ModArticlesCategoryHelper\getList(), TagsModelTags\getListQuery(), ContentModelArchive\getListQuery(), FieldsModelFields\getListQuery(), NewsfeedsModelNewsfeeds\getListQuery(), MenusModelItems\getListQuery(), ModulesModelModules\getListQuery(), FOFController\getModel(), InstallationFormFieldLanguage\getOptions(), TagField\getOptions(), MenuHelper\getPresets(), TemplatesModelTemplate\getPreview(), ModFinderHelper\getQuery(), MenusControllerItem\getRedirectToItemAppend(), UserHelper\getRememberCookieData(), ModLoginHelper\getReturnUrl(), CMSApplication\getRouter(), JApplication\getRouter(), TemplatesModelTemplate\getSource(), ModStatsHelper\getStats(), TemplatesModelTemplate\getTemplate(), UpdateAdapter\getUpdateSiteResponse(), FOFIntegrationJoomlaPlatform\getUserStateFromRequest(), ListModel\getUserStateFromRequest(), Cache\getWorkarounds(), PlgSystemLogout\handleError(), BaseController\holdEditId(), InstallerModelInstall\install(), InstallerModelUpdate\install(), UserHelper\invalidateCookie(), FOFIntegrationJoomlaPlatform\isCliAdmin(), Multilanguage\isEnabled(), UsersModelUser\isValidSecretKey(), TemplatesControllerTemplate\less(), Route\link(), ModuleHelper\load(), UsersModelLogin\loadFormData(), MailtoModelMailto\loadFormData(), UsersModelNote\loadFormData(), NewsfeedsModelNewsfeed\loadFormData(), BannersModelBanner\loadFormData(), ContactModelContact\loadFormData(), FieldsModelGroup\loadFormData(), CategoriesModelCategory\loadFormData(), ContentModelArticle\loadFormData(), ModulesModelModule\loadFormData(), FieldsModelField\loadFormData(), FOFController\loadhistory(), UsersControllerUser\login(), LoginController\login(), LoginController\logout(), UsersControllerUser\logout(), FOFIntegrationJoomlaPlatform\logoutUser(), Cache\makeId(), UsersControllerUser\menulogout(), newsfeedsBuildRoute(), newsfeedsParseRoute(), FOFModelBehaviorLanguage\onAfterBuildQuery(), FOFModelBehaviorLanguage\onAfterGetItem(), PlgSystemLanguagecode\onAfterRender(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgUserProfile\onContentPrepareForm(), PlgSearchContent\onContentSearch(), PlgSearchContacts\onContentSearch(), PlgSearchTags\onContentSearch(), PlgSearchNewsfeeds\onContentSearch(), PlgSearchCategories\onContentSearch(), PlgButtonImage\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgTwofactorauthTotp\onUserTwofactorApplyConfiguration(), PlgTwofactorauthTotp\onUserTwofactorIdentify(), PlgTwofactorauthYubikey\onUserTwofactorIdentify(), FinderControllerIndexer\optimize(), ModulesControllerModule\orderPosition(), TemplatesControllerTemplate\overrides(), ConfigControllerHelper\parseController(), ConfigModelModules\populateState(), ModulesModelSelect\populateState(), ContentModelArticle\populateState(), InstallerModelDatabase\populateState(), NewsfeedsModelNewsfeed\populateState(), MenusModelMenutypes\populateState(), TagsModelTags\populateState(), ContentModelForm\populateState(), ContentModelArchive\populateState(), ContentModelFeatured\populateState(), InstallerModelInstall\populateState(), ContentModelCategories\populateState(), ContactModelCategories\populateState(), ModulesModelPositions\populateState(), ContactModelContact\populateState(), NewsfeedsModelCategories\populateState(), ActionlogsModelActionlogs\populateState(), InstallerModelUpdate\populateState(), InstallerModelDiscover\populateState(), InstallerModelManage\populateState(), AssociationsModelAssociations\populateState(), LanguagesModelLanguage\populateState(), ModulesModelModules\populateState(), UsersModelRemind\populateState(), UsersModelUsers\populateState(), MenusModelItems\populateState(), TemplatesModelStyle\populateState(), NewsfeedsModelNewsfeeds\populateState(), ContactModelContacts\populateState(), CategoriesModelCategories\populateState(), ContentModelArticles\populateState(), TagsModelTag\populateState(), MenusModelMenu\populateState(), ModulesModelModule\populateState(), UsersModelDebuggroup\populateState(), UsersModelDebugUser\populateState(), ContentModelCategory\populateState(), CategoriesModelCategory\populateState(), LanguagesModelOverrides\populateState(), FinderModelSuggestions\populateState(), TemplatesModelTemplate\populateState(), NewsfeedsModelCategory\populateState(), LanguagesModelOverride\populateState(), ContactModelFeatured\populateState(), PluginsModelPlugin\populateState(), ContactModelCategory\populateState(), UsersModelRegistration\populateState(), ListModel\populateState(), FieldsModelField\populateState(), MenusModelItem\populateState(), FinderModelSearch\populateState(), ModulesControllerModule\postSaveHook(), UsersViewRemind\prepareDocument(), UsersViewRegistration\prepareDocument(), UsersViewLogin\prepareDocument(), UsersViewReset\prepareDocument(), PrivacyViewConfirm\prepareDocument(), PrivacyViewRemind\prepareDocument(), PrivacyViewRequest\prepareDocument(), CategoriesView\prepareDocument(), UsersViewProfile\prepareDocument(), FinderViewSearch\prepareDocument(), CategoryView\prepareDocument(), PluginsModelPlugin\preprocessForm(), privacyBuildRoute(), privacyParseRoute(), UsersModelReset\processResetComplete(), UsersModelReset\processResetConfirm(), InstallationModelLanguages\publishContentLanguages(), AssociationsModelAssociations\purge(), InstallerModelUpdatesites\rebuild(), ContentViewCategory\reconcileNames(), BaseController\redirect(), FOFController\redirect(), AdminModel\redirectToAssociations(), LanguagesModelStrings\refresh(), UsersControllerRegistration\register(), BaseController\releaseEditId(), FormController\reload(), UsersControllerUser\remind(), PlgSystemPrivacyconsent\remindExpiringConsents(), InstallerModelManage\remove(), TemplatesControllerTemplate\renameFile(), TemplatesModelTemplate\renameFile(), ModulesRenderer\render(), MessageRenderer\render(), RssRenderer\render(), AtomRenderer\render(), ExceptionHandler\render(), Document\render(), ModuleHelper\renderModule(), UsersControllerReset\request(), TemplatesControllerTemplate\resizeImage(), TemplatesModelTemplate\resizeImage(), FOFIntegrationJoomlaPlatform\runPlugins(), MessagesControllerConfig\save(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), MenusControllerMenu\save(), LanguagesControllerOverride\save(), UsersControllerProfile\save(), ConfigModelApplication\save(), CategoriesControllerCategory\save(), LanguagesModelOverride\save(), TemplatesControllerTemplate\save(), MenusControllerItem\save(), MessagesModelMessage\save(), ContentControllerArticle\save(), TemplatesModelStyle\save(), TemplatesModelTemplate\save(), FormController\save(), AdminModel\save(), SearchController\search(), TagsControllerTags\searchAjax(), MailtoController\send(), UsersModelMail\send(), FinderControllerIndexer\sendResponse(), ConfigModelApplication\sendTestMail(), MenusControllerItems\setDefault(), HtmlView\setDocumentTitle(), FOFViewHtml\setPageTitle(), MenusControllerItem\setType(), CaptchaField\setup(), JFormFieldMenuitemByType\setup(), Cache\setWorkarounds(), FinderControllerIndexer\start(), ConfigModelApplication\storePermissions(), ContactControllerContact\submit(), CaptchaRule\test(), ToolbarHelper\title(), TemplatesControllerTemplate\uploadFile(), TemplatesModelTemplate\uploadFile(), usersBuildRoute(), usersParseRoute(), ConfigModelApplication\writeConfigFile(), et PlgSystemDebug\writeToFile().

◆ $canCheckin

$canCheckin = $canManageCheckin || AssociationsHelper::canCheckinItem($this->extensionName, $this->typeName, $item->id)

◆ $canManageCheckin

$canManageCheckin = JFactory::getUser()->authorise('core.manage', 'com_checkin')

◆ $colSpan

$colSpan = 4

◆ $function

$function = $app->input->getCmd('function', 'jSelectAssociation')

Référencé par HTMLHelper\_(), JGoogleEmbedMaps\addEventHandler(), RouterLegacy\build(), HTMLHelper\call(), DataSet\getObjectsKeys(), ntlm_sasl_client_class\initialize(), FOFModelFieldDate\interval(), RouterLegacy\parse(), HTMLHelper\register(), SimplePie\set_cache_name_function(), JError\setErrorHandling(), Language\setIgnoredSearchWordsCallback(), Language\setLowerLimitSearchWordCallback(), Language\setPluralSuffixesCallback(), Language\setSearchDisplayedCharactersNumberCallback(), Language\setTransliterator(), Language\setUpperLimitSearchWordCallback(), FinderIndexerStemmerSnowball\stem(), et JError\throwError().

◆ $iconStates

$iconStates
Valeur initiale :
= array(
-2 => 'icon-trash',
0 => 'icon-unpublish',
1 => 'icon-publish',
2 => 'icon-archive',
)

◆ $isCheckout

$isCheckout = AssociationsHelper::isCheckoutItem($this->extensionName, $this->typeName, $item->id)

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad0__

else __pad0__

◆ __pad1__

else __pad1__

◆ else

if (!empty($this->sidebar)) else

◆ endforeach

endforeach

◆ endif

endif

◆ getDocument

$app getDocument() -> addScriptDeclaration("jQuery(document).ready(function($)

Référencé par PlgContentLoadmodule\_load(), PlgContentLoadmodule\_loadid(), PlgContentLoadmodule\_loadmod(), JHtmlSortablelist\_proceedSaveOrderButton(), AdminViewSysinfo\_setSubMenu(), JHtmlBootstrap\addTab(), JHtmlBootstrap\affix(), JHtmlBootstrap\alert(), FinderControllerIndexer\batch(), JHtmlBootstrap\button(), JHtmlBehavior\caption(), JHtmlBootstrap\carousel(), JHtmlBehavior\core(), AdministratorApplication\dispatch(), SiteApplication\dispatch(), InstallationApplicationWeb\dispatch(), JApplication\dispatch(), ContentViewFeatured\display(), TagsViewTags\display(), TagsViewTag\display(), BannersViewTracks\display(), SearchViewSearch\display(), FinderViewSearch\display(), CacheController\display(), InstallerController\display(), MediaController\display(), ModulesController\display(), UsersController\display(), CategoryFeedView\display(), TemplatesController\display(), ContactViewContact\display(), PrivacyController\display(), CategoriesController\display(), AssociationsViewAssociation\display(), JHtmlBootstrap\dropdown(), ConfigControllerTemplatesSave\execute(), ConfigControllerConfigDisplay\execute(), ConfigControllerTemplatesDisplay\execute(), ConfigControllerModulesSave\execute(), ConfigControllerModulesDisplay\execute(), ConfigControllerApplicationSave\execute(), ConfigControllerConfigSave\execute(), ConfigControllerDisplay\execute(), JHtmlSearchtools\form(), CallbackController\get(), FOFIntegrationJoomlaPlatform\getDocument(), MediaModelManager\getFolderList(), JFormFieldModalAssociation\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldModal_Article\getInput(), JFormFieldFilters\getInput(), JFormFieldModal_Category\getInput(), JFormFieldRepeatable\getInput(), JFormFieldSection\getInput(), JFormFieldModal_Menu\getInput(), FOFFormFieldRules\getInput25(), JFormFieldCalendar\getLayoutData(), ModSyndicateHelper\getLink(), ModBannersHelper\getList(), JFormFieldType\getOptions(), Cache\getWorkarounds(), JHtmlDropdown\init(), Editor\initialise(), JHtmlTabs\loadBehavior(), JHtmlSliders\loadBehavior(), WebApplication\loadDocument(), JHtmlBootstrap\modal(), JHtmlBehavior\modal(), modChrome_outline(), JHtmlBehavior\multiselect(), PlgSystemHighlight\onAfterDispatch(), PlgSystemLanguageFilter\onAfterDispatch(), PlgSystemLanguagecode\onAfterRender(), PlgSystemDebug\onAfterRespond(), PlgButtonPagebreak\onDisplay(), PlgButtonReadmore\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgQuickiconJoomlaupdate\onGetIcons(), PlgQuickiconPrivacyCheck\onGetIcons(), PlgEditorCodemirror\onGetInsertMethod(), PlgEditorCodemirror\onInit(), PlgCaptchaRecaptcha\onInit(), JHtmlBootstrap\popover(), JApplication\redirect(), JApplication\render(), TemplatesControllerStyle\save(), ModulesControllerModule\save(), JHtmlBootstrap\scrollspy(), FOFViewHtml\setPageTitle(), Cache\setWorkarounds(), JHtmlBootstrap\startAccordion(), JHtmlBootstrap\startPane(), JHtmlBootstrap\startTabSet(), JHtmlBehavior\switcher(), JHtmlTextdiff\textdiff(), JHtmlJquery\token(), JHtmlBehavior\tooltip(), JHtmlBootstrap\tooltip(), et JHtmlBootstrap\typeahead().

◆ id

integer $authorId The author id
Valeur initiale :
="<?php echo $item->id; ?>">
<?php echo $this->escape($item->title)
$item
else $item
Definition: administrator/components/com_menus/views/items/tmpl/modal.php:161

Référencé par JFormFieldAccessLevel\getInput(), et JFormFieldCheckbox\getInput().


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • categories
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_categories/views/categories/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')
$extension = $this->escape($this->state->get('filter.extension'))
$function = $app->input->getCmd('function', 'jSelectCategory')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad3__
$iconStates
foreach( $this->items as $i=> $item)($item->language &&JLanguageMultilang::isEnabled()) elseif (!JLanguageMultilang::isEnabled())
else __pad4__
endif
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $extension

$extension = $this->escape($this->state->get('filter.extension'))

◆ $function

$function = $app->input->getCmd('function', 'jSelectCategory')

◆ $iconStates

$iconStates
Valeur initiale :
= array(
-2 => 'icon-trash',
0 => 'icon-unpublish',
1 => 'icon-publish',
2 => 'icon-archive',
)

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $searchFilterDesc

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ elseif

foreach ($this->items as $i => $item) ( $item->language &&JLanguageMultilang::isEnabled()) elseif(!JLanguageMultilang::isEnabled())

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_categories/views/category/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$function = JFactory::getApplication()->input->getCmd('function', 'jEditCategory_' . (int) $this->item->id)

Documentation des variables

◆ $function

$function = JFactory::getApplication()->input->getCmd('function', 'jEditCategory_' . (int) $this->item->id)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_contact/views/contact/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$function = JFactory::getApplication()->input->getCmd('function', 'jEditContact_' . (int) $this->item->id)

Documentation des variables

◆ $function

$function = JFactory::getApplication()->input->getCmd('function', 'jEditContact_' . (int) $this->item->id)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contacts
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_contact/views/contacts/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')
$function = $app->input->getCmd('function', 'jSelectContact')
$editor = $app->input->getCmd('editor', '')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$onclick = $this->escape($function)
if (!empty( $editor))
else __pad2__
$iconStates
foreach( $this->items as $i=> $item)($item->language &&JLanguageMultilang::isEnabled()) | elseif (!JLanguageMultilang::isEnabled())
if(!empty($item->linked_user)) | endif
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $editor

$editor = $app->input->getCmd('editor', '')

Référencé par Editor\__construct(), ModulesViewPreview\display(), Editor\getButtons(), Editor\getContent(), EditorField\getEditor(), Factory\getEditor(), AdminModelSysInfo\getEditor(), EditorField\getInput(), Editor\getInstance(), JApplication\initialise(), CMSApplication\initialiseApp(), PlgEditorNone\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), EditorField\save(), Editor\save(), et Editor\setContent().

◆ $function

$function = $app->input->getCmd('function', 'jSelectContact')

◆ $iconStates

$iconStates
Valeur initiale :
= array(
-2 => 'icon-trash',
0 => 'icon-unpublish',
1 => 'icon-publish',
2 => 'icon-archive',
)

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $onclick

$onclick = $this->escape($function)

Référencé par JFormFieldClicks\getInput(), JFormFieldImpMade\getInput(), FOFFormFieldButton\getInput(), JFormFieldCheckbox\getInput(), FOFFormFieldCheckbox\getRepeatable(), FOFFormFieldCheckbox\getStatic(), et PlgEditorTinymce\tinyButtons().

◆ $searchFilterDesc

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')

◆ __pad2__

else __pad2__

◆ elseif

foreach ($this->items as $i => $item) ( $item->language &&JLanguageMultilang::isEnabled()) elseif(!JLanguageMultilang::isEnabled())

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(!empty($editor))


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_content/views/article/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$function = JFactory::getApplication()->input->getCmd('function', 'jEditArticle_' . (int) $this->item->id)

Documentation des variables

◆ $function

$function = JFactory::getApplication()->input->getCmd('function', 'jEditArticle_' . (int) $this->item->id)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • articles
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_content/views/articles/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')
$function = $app->input->getCmd('function', 'jSelectArticle')
$editor = $app->input->getCmd('editor', '')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$onclick = $this->escape($function)
if (!empty( $editor))
else __pad6__
$iconStates
foreach( $this->items as $i=> $item)($item->language &&JLanguageMultilang::isEnabled()) elseif (!JLanguageMultilang::isEnabled())
$attribs
else __pad7__
endif
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $attribs

$attribs
Valeur initiale :
= 'data-function="' . $this->escape($onclick) . '"'
. ' data-id="' . $item->id . '"'
. ' data-title="' . $this->escape($item->title) . '"'
. ' data-cat-id="' . $this->escape($item->catid) . '"'
. ' data-uri="' . $this->escape(ContentHelperRoute::getArticleRoute($item->id, $item->catid, $item->language)) . '"'
. ' data-language="' . $this->escape($lang) . '"'
$lang
$lang
Definition: administrator/components/com_finder/views/index/tmpl/default.php:18
$item
else $item
Definition: administrator/components/com_menus/views/items/tmpl/modal.php:161
ContentHelperRoute\getArticleRoute
static getArticleRoute($id, $catid=0, $language=0, $layout=null)
Definition: components/com_content/helpers/route.php:31
$onclick
$onclick
Definition: administrator/components/com_content/views/articles/tmpl/modal.php:44

Référencé par HtmlDocument\_parseTemplate(), TagsViewTags\_prepareDocument(), ContentViewFeatured\_prepareDocument(), TagsViewTag\_prepareDocument(), CategoryView\addFeed(), HtmlDocument\addHeadLink(), Document\addScript(), Document\addScriptVersion(), Document\addStyleSheet(), Document\addStyleSheetVersion(), JHtmlAccess\assetgrouplist(), SimplePie_Misc\atom_03_construct_type(), SimplePie_Misc\atom_10_construct_type(), SimplePie_Misc\atom_10_content_construct_type(), JHtmlSelect\booleanlist(), HTMLHelper\calendar(), JHtmlIcon\create(), JHtmlFilter\dates(), JHtmlIcon\edit(), JHtmlIcon\email(), HeadRenderer\fetchHead(), JHtmlSelect\genericlist(), SimplePie_Misc\get_element(), HtmlDocument\getBuffer(), JoomlaupdateModelDefault\getCollectionDetailsUrls(), MediaModelManager\getFolderList(), JFormFieldTos\getLabel(), JFormFieldConsentBox\getLabel(), JHtmlSelect\groupedlist(), HTMLHelper\iframe(), HTMLHelper\image(), JHtmlSelect\integerlist(), JHtmlAccess\level(), HTMLHelper\link(), JHtmlBootstrap\loadCss(), JHtmlMenu\menuItemList(), modChrome_beezDivision(), modChrome_beezHide(), modChrome_beezTabs(), modChrome_horz(), modChrome_xhtmlid(), JHtmlList\ordering(), JHtmlIcon\print_popup(), JHtmlSelect\radiolist(), ModuleRenderer\render(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), ModuleHelper\renderModule(), HTMLHelper\script(), SimplePie_Sanitize\strip_attributes(), SimplePie\strip_attributes(), HTMLHelper\stylesheet(), SimplePie_Parser\tag_open(), JHtmlForm\token(), et JHtmlAccess\usergroup().

◆ $editor

$editor = $app->input->getCmd('editor', '')

◆ $function

$function = $app->input->getCmd('function', 'jSelectArticle')

◆ $iconStates

$iconStates
Valeur initiale :
= array(
-2 => 'icon-trash',
0 => 'icon-unpublish',
1 => 'icon-publish',
2 => 'icon-archive',
)

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $onclick

$onclick = $this->escape($function)

◆ $searchFilterDesc

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')

◆ __pad6__

else __pad6__

◆ __pad7__

else __pad7__

◆ elseif

foreach ($this->items as $i => $item) ( $item->language &&JLanguageMultilang::isEnabled()) elseif(!JLanguageMultilang::isEnabled())

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(!empty($editor))


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • history
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_contenthistory/views/history/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$field = $input->getCmd('field')
$function = 'jSelectContenthistory_' . $field
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$message = JText::_('COM_CONTENTHISTORY_BUTTON_SELECT_ONE', true)
$compareMessage = JText::_('COM_CONTENTHISTORY_BUTTON_SELECT_TWO', true)
$deleteMessage = "alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST'));"
$aliasArray = explode('.', $this->state->type_alias)
$option = (end($aliasArray) == 'category') ? 'com_categories&amp;extension=' . implode('.', array_slice($aliasArray, 0, count($aliasArray) - 1)) : $aliasArray[0]
$filter = JFilterInput::getInstance()
$task = $filter->clean(end($aliasArray)) . '.loadhistory'
$loadUrl = JRoute::_('index.php?option=' . $filter->clean($option) . '&amp;task=' . $task)
$deleteUrl = JRoute::_('index.php?option=com_contenthistory&task=history.delete')
$hash = $this->state->get('sha1_hash')
$formUrl
$i = 0
foreach ( $this->items as $item)
endif
onclick
else __pad0__
endforeach

Documentation des variables

◆ $aliasArray

$aliasArray = explode('.', $this->state->type_alias)

Référencé par ContenthistoryHelper\getFormFile(), ContenthistoryHelper\loadLanguageFiles(), et AdminModel\redirectToAssociations().

◆ $compareMessage

$compareMessage = JText::_('COM_CONTENTHISTORY_BUTTON_SELECT_TWO', true)

◆ $deleteMessage

$deleteMessage = "alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST'));"

◆ $deleteUrl

$deleteUrl = JRoute::_('index.php?option=com_contenthistory&task=history.delete')

◆ $field

$field = $input->getCmd('field')

Référencé par FOFModelFieldText\__construct(), FOFModelField\__construct(), FOFTableRelations\__construct(), InstallerModel\_getList(), FieldsModelFields\_getList(), PrivacyExportItem\addField(), FOFTable\addKnownField(), ContentModelArticle\batchMove(), Table\bind(), JDatabaseExporterMysqli\buildXmlStructure(), JDatabaseExporterPdomysql\buildXmlStructure(), JDatabaseExporterPostgresql\buildXmlStructure(), FieldsHelper\canEditFieldValue(), JDatabaseQuerySqlite\charLength(), FOFDatabaseQuerySqlite\charLength(), FOFDatabaseQuerySqlsrv\charLength(), JDatabaseQuerySqlsrv\charLength(), FOFDatabaseQuery\charLength(), JDatabaseQuery\charLength(), FOFTable\check(), SearchHelper\checkNoHtml(), ContentModelArticle\cleanupPostBatchCopy(), PrivacyPlugin\createCustomFieldsDomain(), PrivacyPlugin\createItemFromArray(), SMTP\data(), PlgSystemFields\display(), FieldsHelper\displayFieldOnForm(), Form\filter(), Form\filterField(), Form\findField(), Form\findFieldsByGroup(), FOFForm\findHeader(), FOFForm\findHeadersByGroup(), FormattedtextLogger\formatLine(), JDatabaseImporterPdomysql\getAddColumnSql(), JDatabaseImporterPostgresql\getAddColumnSql(), JDatabaseImporterMysqli\getAddColumnSql(), JDatabaseImporterPostgresql\getAddIndexSql(), JDatabaseImporterPostgresql\getAddSequenceSql(), JDatabaseImporterPostgresql\getAlterColumnSql(), JDatabaseImporterPdomysql\getAlterTableSql(), JDatabaseImporterPostgresql\getAlterTableSql(), JDatabaseImporterMysqli\getAlterTableSql(), JDatabaseImporterPdomysql\getChangeColumnSql(), JDatabaseImporterMysqli\getChangeColumnSql(), JDatabaseImporterPostgresql\getChangeColumnSql(), JDatabaseImporterPostgresql\getChangeSequenceSql(), JDatabaseImporterPdomysql\getColumnSql(), JDatabaseImporterMysqli\getColumnSql(), JDatabaseImporterPostgresql\getColumnSql(), CMSHelper\getDataObject(), UsersHelperDebug\getDebugActions(), FOFModelField\getField(), FieldsHelper\getFields(), Form\getFieldset(), ActionlogsModelActionlogs\getFilterForm(), ContenthistoryHelper\getFormValues(), Form\getGroup(), FOFForm\getHeaderset(), JFormFieldRepeatable\getInput(), Form\getInput(), Form\getLabel(), FieldsListPlugin\getOptionsFromField(), Installer\getParams(), CMSHelper\getRowData(), FOFDatabaseDriverSqlite\getTableColumns(), JDatabaseDriverPgsql\getTableColumns(), JDatabaseDriverSqlite\getTableColumns(), JDatabaseDriverOracle\getTableColumns(), FOFDatabaseDriverOracle\getTableColumns(), FOFDatabaseDriverPdomysql\getTableColumns(), JDatabaseDriverPdomysql\getTableColumns(), FOFDatabaseDriverSqlsrv\getTableColumns(), FOFDatabaseDriverPostgresql\getTableColumns(), JDatabaseDriverPostgresql\getTableColumns(), FOFDatabaseDriverMysqli\getTableColumns(), JDatabaseDriverMysqli\getTableColumns(), FOFTable\getTableFields(), ContenthistoryHelper\hideFields(), Table\load(), Form\load(), FOFTable\load(), Form\loadField(), FOFForm\loadHeader(), UCMContent\mapData(), FOFModelBehaviorFilters\onAfterBuildQuery(), PlgSystemFields\onContentAfterSave(), PlgSystemFields\onContentNormaliseRequestData(), PlgSystemFields\onContentPrepare(), PlgUserProfile\onContentPrepareForm(), FieldsListPlugin\onCustomFieldsPrepareDom(), PlgFieldsUrl\onCustomFieldsPrepareDom(), PlgFieldsMedia\onCustomFieldsPrepareDom(), PlgFieldsEditor\onCustomFieldsPrepareDom(), PlgFieldsCalendar\onCustomFieldsPrepareDom(), PlgFieldsColor\onCustomFieldsPrepareDom(), PlgFieldsSql\onCustomFieldsPrepareDom(), PlgFieldsImagelist\onCustomFieldsPrepareDom(), PlgFieldsUser\onCustomFieldsPrepareDom(), PlgFieldsRepeatable\onCustomFieldsPrepareDom(), FieldsPlugin\onCustomFieldsPrepareDom(), PlgFieldsList\onCustomFieldsPrepareField(), FieldsPlugin\onCustomFieldsPrepareField(), PlgSystemFields\onPrepareFinderContent(), FOFConfigDomainTables\parseDomain(), FormHelper\parseShowOnConditions(), ListModel\populateState(), PlgContentFields\prepare(), CategoriesModelCategory\preprocessForm(), NewsfeedsModelNewsfeed\preprocessForm(), ContactModelContact\preprocessForm(), ContentModelArticle\preprocessForm(), MenusModelItem\preprocessForm(), FormController\reload(), FOFTable\removeKnownField(), PrivacyHelper\renderDataAsXml(), Form\renderField(), FOFRenderJoomla\renderFieldset(), Form\renderFieldset(), FOFRenderStrapper\renderFieldset(), FOFRenderJoomla3\renderFieldsetLabel(), FOFRenderJoomla\renderFieldsetLabel(), FOFRenderStrapper\renderFieldsetLabel(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FieldsModelField\save(), ConfigModelComponent\save(), MenusControllerItem\save(), FormController\save(), FOFModel\save(), FOFTemplateUtils\sefSort(), FieldsModelField\setFieldValue(), FOFTable\setKnownFields(), Captcha\setupField(), SubformRule\test(), OptionsRule\test(), NotequalsRule\test(), EqualsRule\test(), InstallationModelDatabase\updateDates(), InstallationModelDatabase\updateUserIds(), Form\validate(), et JDatabaseImporterMysqli\xmlToCreate().

◆ $filter

$filter = JFilterInput::getInstance()

Référencé par JInput\__call(), FOFFormHeader\__get(), HtmlDocument\_fetchTemplate(), FileStorage\_filesInFolder(), FileStorage\_folders(), Folder\_items(), BannersControllerBanner\allowAdd(), HTMLHelper\calendar(), FolderWrapper\files(), Folder\files(), Image\filter(), Form\filterField(), LanguagesHelper\filterKey(), ComponentHelper\filterText(), LanguagesHelper\filterText(), FOFIntegrationJoomlaFilesystem\folderFiles(), FOFIntegrationJoomlaFilesystem\folderFolders(), FolderWrapper\folders(), Folder\folders(), JInputFiles\get(), JInput\get(), ListModel\getActiveFilters(), FinderModelFilter\getFilter(), FinderCli\getFilters(), PlgEditorTinymce\getGlobalFilters(), JFacebookUser\getHome(), Storage\getInstance(), BaseController\getInstance(), ContentModelArticles\getListQuery(), JFormFieldPredefinedList\getOptions(), ModFinderHelper\getQuery(), FOFModel\getState(), FolderWrapper\listFolderTree(), Folder\listFolderTree(), PlgSystemHighlight\onAfterDispatch(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), PlgAuthenticationCookie\onUserAfterLogin(), PlgAuthenticationCookie\onUserAfterLogout(), PlgAuthenticationCookie\onUserAuthenticate(), FinderCli\putFilters(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), ContentModelArticle\save(), LanguagesModelStrings\search(), JHtmlFilter\select(), JFormFieldSQL\setup(), et JHtmlFilter\slider().

◆ $formUrl

$formUrl
Valeur initiale :
= 'index.php?option=com_contenthistory&view=history&layout=modal&tmpl=component&item_id=' . $this->state->get('item_id') . '&type_id='
. $this->state->get('type_id') . '&type_alias=' . $this->state->get('type_alias') . '&' . JSession::getFormToken() . '=1'

◆ $function

$function = 'jSelectContenthistory_' . $field

◆ $hash

$hash = $this->state->get('sha1_hash')

Référencé par PlgSystemLogout\__construct(), FOFInput\__construct(), Cache\_getStorage(), CallbackController\_makeId(), Node\addChild(), MailtoHelper\addLink(), JHtmlCategory\categories(), PasswordHash\CheckPassword(), PasswordHash\crypt_private(), ParagonIE_Sodium_Compat\crypto_pwhash_scryptsalsa208sha256_str_verify(), ParagonIE_Sodium_Compat\crypto_pwhash_str_verify(), PHPMailer\DKIM_Sign(), JRequest\get(), SimplePie_Item\get_enclosures(), SimplePie_Item\get_id(), FOFToolbar\getAnInstance(), FOFDispatcher\getAnInstance(), FOFController\getAnInstance(), Access\getAssetRules(), JRequest\getBool(), HtmlDocument\getBuffer(), Factory\getCache(), JRequest\getCmd(), FOFEncryptTotp\getCode(), JRequest\getFloat(), Categories\getInstance(), JRequest\getInt(), JFormFieldLogCreator\getOptions(), AuthorField\getOptions(), LimitboxField\getOptions(), JFormFieldPredefinedList\getOptions(), SiteApplication\getParams(), FileLayout\getPath(), JRequest\getString(), JRequest\getUInt(), JRequest\getVar(), JRequest\getWord(), PasswordHash\HashPassword(), Crypto\HKDF(), InstallerHelper\isChecksumValid(), JoomlaupdateModelDefault\isChecksumValid(), ConfigModelForm\loadForm(), FormModel\loadForm(), ListModel\loadForm(), FOFModel\loadForm(), PostinstallModelMessages\onProcessList(), JHtmlTag\options(), JHtmlCategory\options(), Node\removeChild(), FOFModel\save(), JRequest\set(), JNode\setParent(), JRequest\setVar(), Ini\stringToObject(), JHtmlTag\tags(), MailtoHelper\validateHash(), SimpleCryptPassword\verify(), UserWrapper\verifyPassword(), et UserHelper\verifyPassword().

◆ $i

$i = 0

◆ $input

$input = JFactory::getApplication()->input

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $loadUrl

$loadUrl = JRoute::_('index.php?option=' . $filter->clean($option) . '&amp;task=' . $task)

◆ $message

$message = JText::_('COM_CONTENTHISTORY_BUTTON_SELECT_ONE', true)

Référencé par FilesystemException\__construct(), RouteNotFoundException\__construct(), MissingComponentException\__construct(), ParseException\__construct(), JDatabaseExceptionExecuting\__construct(), JsonResponse\__construct(), JJsonResponse\__construct(), LogEntry\__construct(), JException\__toString(), FOFUtilsInstallscript\_applyPostInstallationMessages(), AKAbstractUnarchiver\_run(), UsersControllerRegistration\activate(), BaseLayout\addDebugMessage(), AdminModelSysInfo\addDirectory(), ActionlogsModelActionlog\addLog(), ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_decrypt(), ParagonIE_Sodium_Crypto\aead_xchacha20poly1305_ietf_encrypt(), ParagonIE_Sodium_Crypto32\aead_xchacha20poly1305_ietf_encrypt(), InstallerControllerInstall\ajax_upload(), AbstractLogger\alert(), ParagonIE_Sodium_Crypto\auth(), ParagonIE_Sodium_Crypto32\auth(), ParagonIE_Sodium_Crypto\auth_verify(), ParagonIE_Sodium_Crypto32\auth_verify(), JAdminCssMenu\check(), PlgSystemSef\checkBuffer(), MenusControllerItems\checkin(), AdminController\checkin(), UsersControllerReset\complete(), UsersControllerReset\confirm(), JGithubCommits\create(), JGithubPackageDataCommits\create(), JGithubPackageDataTags\create(), JFacebookUser\createCheckin(), JFacebookNote\createComment(), JFacebookPhoto\createComment(), JFacebookStatus\createComment(), JFacebookVideo\createComment(), JFacebookCheckin\createComment(), JFacebookLink\createComment(), JFacebookPost\createComment(), JFacebookComment\createComment(), JFacebookAlbum\createComment(), JFacebookEvent\createLink(), JFacebookGroup\createLink(), JFacebookUser\createLink(), JFacebookUser\createNote(), JFacebookAlbum\createPhoto(), JFacebookEvent\createPhoto(), JFacebookUser\createPhoto(), JFacebookEvent\createPost(), JFacebookGroup\createPost(), JFacebookUser\createPost(), JFacebookEvent\createStatus(), JFacebookGroup\createStatus(), JFacebookUser\createStatus(), AbstractLogger\critical(), ParagonIE_Sodium_Compat\crypto_auth(), ParagonIE_Sodium_Compat\crypto_auth_verify(), ParagonIE_Sodium_Compat\crypto_generichash(), ParagonIE_Sodium_Compat\crypto_generichash_update(), ParagonIE_Sodium_Compat\crypto_shorthash(), ParagonIE_Sodium_Compat\crypto_sign(), ParagonIE_Sodium_Compat\crypto_sign_detached(), ParagonIE_Sodium_Compat\crypto_sign_verify_detached(), ParagonIE_Sodium_Compat\crypto_stream_xchacha20_xor(), ParagonIE_Sodium_Compat\crypto_stream_xor(), AbstractLogger\debug(), FOFUtilsUpdate\downloadUpdate(), AbstractLogger\emergency(), CMSApplication\enqueueMessage(), AbstractLogger\error(), SimplePie_Misc\error(), ConfigControllerTemplatesSave\execute(), CategoriesControllerAjax\fetchAssociations(), ContactControllerAjax\fetchAssociations(), ContentControllerAjax\fetchAssociations(), MenusControllerAjax\fetchAssociations(), NewsfeedsControllerAjax\fetchAssociations(), AKAbstractUnarchiver\fread(), JGithubPackageGitignore\get(), ActionlogsHelper\getHumanReadableLogMessage(), MessagesModelMessage\getItem(), ParagonIE_Sodium_Core32_XChaCha20\ietfStreamXorIc(), ParagonIE_Sodium_Core_XChaCha20\ietfStreamXorIc(), ParagonIE_Sodium_Core_ChaCha20\ietfStreamXorIc(), ParagonIE_Sodium_Core32_ChaCha20\ietfStreamXorIc(), AbstractLogger\info(), InstallationModelLanguages\install(), FOFRenderStrapper\loadValidationScript(), FOFRenderJoomla\loadValidationScript(), DelegatingPsrLogger\log(), FOFIntegrationJoomlaPlatform\logDebug(), FOFIntegrationJoomlaPlatform\logDeprecated(), JGithubPackagePulls\merge(), JHtmlDirectory\message(), PHPMailer\msgHTML(), AbstractLogger\notice(), AKAbstractPart\notify(), PlgActionlogJoomla\onAfterCheckin(), PlgActionlogJoomla\onAfterLogExport(), PlgActionlogJoomla\onAfterLogPurge(), PlgActionlogJoomla\onAfterPurge(), PlgActionlogJoomla\onApplicationAfterSave(), PlgActionlogJoomla\onContentAfterDelete(), PlgContentJoomla\onContentAfterSave(), PlgActionlogJoomla\onContentAfterSave(), PlgActionlogJoomla\onContentChangeState(), PlgActionlogJoomla\onExtensionAfterDelete(), PlgActionlogJoomla\onExtensionAfterInstall(), PlgActionlogJoomla\onExtensionAfterSave(), PlgActionlogJoomla\onExtensionAfterUninstall(), PlgActionlogJoomla\onExtensionAfterUpdate(), PlgActionlogJoomla\onJoomlaAfterUpdate(), PlgActionlogJoomla\onUserAfterDelete(), PlgActionlogJoomla\onUserAfterDeleteGroup(), PlgActionlogJoomla\onUserAfterLogin(), PlgActionlogJoomla\onUserAfterRemind(), PlgUserTerms\onUserAfterSave(), PlgSystemPrivacyconsent\onUserAfterSave(), PlgActionlogJoomla\onUserAfterSave(), PlgActionlogJoomla\onUserAfterSaveGroup(), PlgAuthenticationGMail\onUserAuthenticate(), PlgActionlogJoomla\onUserLoginFailure(), PlgActionlogJoomla\onUserLogout(), JGithubPackageRepositoriesMerging\perform(), JGithubObject\processResponse(), FinderControllerIndex\purge(), ActionlogsControllerActionlogs\purge(), RedirectControllerLinks\purge(), FinderCli\purge(), FOFIntegrationJoomlaPlatform\raiseError(), CMSApplication\redirect(), UsersControllerRemind\remind(), UsersControllerUser\remind(), Path\removeRoot(), JGithubPackageMarkdown\render(), ExceptionHandler\render(), AdminController\reorder(), UsersControllerReset\request(), CurlTransport\request(), ParagonIE_Sodium_Core_Salsa20\salsa20_xor(), ParagonIE_Sodium_Core32_Salsa20\salsa20_xor(), FieldsModelField\save(), MessagesModelMessage\save(), AdminController\saveorder(), AKAbstractUnarchiver\scanArchives(), Mail\sendAdminMail(), ActionlogsModelActionlog\sendNotificationEmails(), SMTP\setError(), BaseController\setMessage(), FOFController\setMessage(), ParagonIE_Sodium_Crypto32\sign(), ParagonIE_Sodium_Crypto\sign(), ParagonIE_Sodium_Core_Ed25519\sign_detached(), ParagonIE_Sodium_Core32_Ed25519\sign_detached(), ParagonIE_Sodium_Crypto32\sign_detached(), ParagonIE_Sodium_Crypto\sign_detached(), ParagonIE_Sodium_Crypto32\sign_verify_detached(), ParagonIE_Sodium_Crypto\sign_verify_detached(), ntlm_sasl_client_class\start(), ntlm_sasl_client_class\step(), ParagonIE_Sodium_Core32_XChaCha20\streamXorIc(), ParagonIE_Sodium_Core_XChaCha20\streamXorIc(), ParagonIE_Sodium_Core_ChaCha20\streamXorIc(), ParagonIE_Sodium_Core32_ChaCha20\streamXorIc(), ConfigModelForm\validate(), FormModel\validate(), InstallationModelSetup\validate(), Form\validateField(), FOFModel\validateForm(), Crypto\VerifyHMAC(), DataSet\walk(), AbstractLogger\warning(), PHPMailer\wrapText(), ParagonIE_Sodium_Core32_XSalsa20\xsalsa20_xor(), et ParagonIE_Sodium_Core_XSalsa20\xsalsa20_xor().

◆ $option

$option = (end($aliasArray) == 'category') ? 'com_categories&amp;extension=' . implode('.', array_slice($aliasArray, 0, count($aliasArray) - 1)) : $aliasArray[0]

Référencé par CacheController\__construct(), Cache\__construct(), FOFUtilsFilescheck\__construct(), ColorStyle\__construct(), ComponentAdapter\_buildAdminMenus(), JHtmlRules\_getUserGroups(), ComponentHelper\_load(), FOFUtilsInstallscript\_reallyPublishAdminMenuItems(), ComponentAdapter\_updateMenus(), MenusModelMenutypes\addReverseLookupUrl(), FormController\batch(), FOFTable\canDelete(), CMSApplication\checkUserRequireReset(), InstallationModelDatabase\createDatabase(), ConfigModelModules\createOption(), ModulesHelper\createOption(), Help\createSiteList(), SiteRouter\createUri(), FOFDispatcher\dispatch(), FOFController\display(), JHtmlDropdown\edit(), SimplePie_Enclosure\embed(), ConfigControllerComponentSave\execute(), FOFModel\findFormFilename(), JAdministratorHelper\findOption(), FOFToolbar\getAnInstance(), FOFDispatcher\getAnInstance(), FOFController\getAnInstance(), FOFTable\getAnInstance(), ComponentHelper\getComponent(), ConfigModelComponent\getComponent(), ApplicationHelper\getComponentName(), ConfigModelComponent\getForm(), JFormFieldGroupedList\getGroups(), MenuField\getGroups(), UsersHelper\getGroups(), FOFModel\getHash(), JFormFieldUsergroup\getInput(), FOFFormFieldGroupedbutton\getInput(), ModRelatedItemsHelper\getList(), ModLanguagesHelper\getList(), ModTagssimilarHelper\getList(), ModArticlesCategoryHelper\getList(), LanguagesModelInstalled\getOption(), FOFFormHeaderFieldselectable\getOptions(), JFormFieldFieldgroups\getOptions(), InstallationFormFieldLanguage\getOptions(), JFormFieldMenuOrdering\getOptions(), JFormFieldCategoryParent\getOptions(), JFormFieldCategory\getOptions(), JFormFieldLogType\getOptions(), ContenttypeField\getOptions(), JFormFieldList\getOptions(), FOFFormFieldRelation\getOptions(), TagField\getOptions(), JFormFieldCategoryEdit\getOptions(), FOFFormFieldList\getOptions(), JFormFieldText\getOptions(), FieldsListPlugin\getOptionsFromField(), SiteApplication\getPageParameters(), ComponentHelper\getParams(), SiteApplication\getParams(), InstallationModelSetup\getPhpOptions(), JoomlaupdateModelDefault\getPhpOptions(), InstallationModelSetup\getPhpOptionsSufficient(), ConfigModelModules\getPositions(), FOFFormFieldTag\getRepeatable(), FOFFormFieldTag\getStatic(), ColorStyle\getStyle(), FOFDispatcher\getTmpInstance(), FOFController\getTmpInstance(), MenusModelMenutypes\getTypeOptions(), JFormFieldRules\getUserGroups(), ComponentHelper\isEnabled(), ComponentHelper\isInstalled(), FOFModel\loadForm(), FOFToolbar\onAdd(), PlgSystemLanguageFilter\onAfterDispatch(), PlgSystemPrivacyconsent\onAfterRoute(), PlgActionlogJoomla\onApplicationAfterSave(), FOFDispatcher\onBeforeDispatchCLI(), FOFToolbar\onBrowse(), PlgActionlogJoomla\onContentAfterDelete(), PlgActionlogJoomla\onContentAfterSave(), PlgContentPagenavigation\onContentBeforeDisplay(), PlgActionlogJoomla\onContentChangeState(), FOFToolbar\onCpanelsBrowse(), FieldsListPlugin\onCustomFieldsPrepareDom(), PlgActionlogJoomla\onExtensionAfterSave(), FOFToolbar\onRead(), PlgSystemPrivacyconsent\onUserAfterSave(), PlgUserTerms\onUserBeforeSave(), PlgSystemPrivacyconsent\onUserBeforeSave(), PlgUserProfile\onUserBeforeSave(), ConfigControllerHelper\parseController(), FOFConfigDomainDispatcher\parseDomain(), FOFConfigDomainViews\parseDomain(), JHtmlModules\positions(), TagField\prepareOptionsNested(), MenusModelItem\preprocessForm(), FOFRenderJoomla\preRender(), FOFRenderJoomla3\preRender(), FOFRenderStrapper\preRender(), JGrid\renderAttributes(), MenusControllerMenus\resync(), MenusModelItem\save(), idna_convert\set_parameter(), FileLayout\setComponent(), FOFViewHtml\setPageTitle(), Net_IDNA_php4\setParams(), JGrid\setRowCell(), PharStreamWrapper\stream_metadata(), PharStreamWrapper\stream_set_option(), et FileLayout\validComponent().

◆ $task

$task = $filter->clean(end($aliasArray)) . '.loadhistory'

Référencé par FOFDispatcher\__construct(), ConfirmButton\_getCommand(), StandardButton\_getCommand(), JHtmlJGrid\action(), JHtmlActionsDropdown\addCustomItem(), ToolbarHelper\addNew(), ToolbarHelper\apply(), JHtmlActionsDropdown\archive(), ToolbarHelper\archiveList(), ToolbarHelper\assign(), JHtmlGrid\boolean(), ToolbarHelper\cancel(), UsersControllerUsers\changeBlock(), ToolbarHelper\checkin(), CMSApplication\checkUserRequireReset(), ToolbarHelper\custom(), ToolbarHelper\deleteList(), FOFDispatcher\dispatch(), FOFViewForm\display(), AssociationsViewAssociation\display(), FOFViewRaw\display(), JHtmlActionsDropdown\duplicate(), ToolbarHelper\editCss(), ToolbarHelper\editHtml(), ToolbarHelper\editList(), BaseController\execute(), FOFController\execute(), JHtmlActionsDropdown\feature(), StandardButton\fetchButton(), ConfirmButton\fetchButton(), InstallationApplicationWeb\fetchController(), BaseController\getInstance(), FOFDispatcher\getTask(), BaseController\getTask(), FOFController\getTask(), ToolbarHelper\makeDefault(), PlgSystemPrivacyconsent\onAfterRoute(), FOFController\onBeforeGenericTask(), PlgSystemPrivacyconsent\onUserAfterSave(), PlgSystemFields\onUserAfterSave(), PlgActionlogJoomla\onUserAfterSave(), PlgUserTerms\onUserBeforeSave(), PlgSystemPrivacyconsent\onUserBeforeSave(), PlgUserProfile\onUserBeforeSave(), Pagination\orderDownIcon(), Pagination\orderUpIcon(), ConfigControllerHelper\parseController(), FOFViewHtml\postRender(), ModulesControllerModule\postSaveHook(), FOFRenderJoomla\preRender(), FOFRenderJoomla3\preRender(), FOFRenderStrapper\preRender(), FOFViewHtml\preRender(), InstallerControllerUpdatesites\publish(), JHtmlActionsDropdown\publish(), JHtmlDropdown\publish(), AdminController\publish(), MenusControllerItems\publish(), ToolbarHelper\publish(), JHtmlGrid\published(), ToolbarHelper\publishList(), BaseController\registerTask(), FOFController\registerTask(), FOFRenderJoomla3\renderLinkbar(), FOFRenderStrapper\renderLinkbar(), FOFToolbar\renderToolbar(), FOFToolbar\renderToolbarElement(), FinderControllerFilter\save(), TemplatesControllerStyle\save(), MenusControllerMenu\save(), LanguagesControllerOverride\save(), TemplatesControllerTemplate\save(), MenusControllerItem\save(), ToolbarHelper\save(), FormController\save(), ToolbarHelper\save2copy(), ToolbarHelper\save2new(), MenusControllerItems\setDefault(), JHtmlSearchtools\sort(), JHtmlActionsDropdown\trash(), ToolbarHelper\trash(), JHtmlActionsDropdown\unarchive(), ToolbarHelper\unarchiveList(), JHtmlActionsDropdown\unfeature(), JHtmlActionsDropdown\unpublish(), ToolbarHelper\unpublish(), ToolbarHelper\unpublishList(), BaseController\unregisterTask(), et FOFController\unregisterTask().

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $item)

◆ onclick

onclick
Valeur initiale :
="return listItemTask('cb<?php echo $i; ?>','history.keep')"
data-original-title="<?php echo JText::_('COM_CONTENTHISTORY_BUTTON_KEEP_TOGGLE_OFF'); ?>">
<?php echo JText::_('JYES')
title
if($params->get('googleFont')) site title
Definition: templates/protostar/error.php:56

Référencé par JFormFieldUsergroup\getInput(), JFormFieldCheckbox\getInput(), FormField\getLayoutData(), et modChrome_beezHide().


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • fields
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_fields/views/fields/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$editor = JFactory::getApplication()->input->get('editor', '', 'cmd')
else __pad3__
$iconStates
foreach ( $this->items as $i=> $item)
endforeach
endif

Documentation des variables

◆ $editor

$editor = JFactory::getApplication()->input->get('editor', '', 'cmd')

◆ $iconStates

$iconStates
Valeur initiale :
= array(
-2 => 'icon-trash',
0 => 'icon-unpublish',
1 => 'icon-publish',
2 => 'icon-archive',
)

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $searchFilterDesc

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')

◆ __pad3__

else __pad3__

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/views/item/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$function = JFactory::getApplication()->input->getCmd('function', 'jEditMenu_' . (int) $this->item->id)

Documentation des variables

◆ $function

$function = JFactory::getApplication()->input->getCmd('function', 'jEditMenu_' . (int) $this->item->id)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • items
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_menus/views/items/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')
$function = $app->input->get('function', 'jSelectMenuItem', 'cmd')
$editor = $app->input->getCmd('editor', '')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$link = 'index.php?option=com_menus&view=items&layout=modal&tmpl=component&' . JSession::getFormToken() . '=1'
if (!empty( $editor))
else __pad7__
if($item->language &&JLanguageMultilang::isEnabled()) | elseif (!JLanguageMultilang::isEnabled())
$prefix = JLayoutHelper::render('joomla.html.treeprefix', array('level' => $item->level))
else __pad8__
endif
else __pad9__
else __pad10__
else $item language_image
else $item $item language_title
else $item $item array('title'=> $item->language_title) | true
else __pad11__
else __pad12__
else $item
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $editor

$editor = $app->input->getCmd('editor', '')

◆ $function

$function = $app->input->get('function', 'jSelectMenuItem', 'cmd')

◆ $item

else $item

Référencé par SitePathway\__construct(), AbstractMenu\__construct(), SimplePie\__destruct(), TagsHelperRoute\_findItem(), JArrayHelper\_fromObject(), FOFUtilsArray\_fromObject(), InstallerModel\_getList(), PluginsModelPlugins\_getList(), Pagination\_item_active(), Pagination\_item_inactive(), NewsfeedsViewNewsfeed\_prepareDocument(), ContentViewArticle\_prepareDocument(), ContactViewContact\_prepareDocument(), PostinstallControllerMessage\action(), JHtmlAccess\actions(), FOFController\add(), ArrayHelper\addColumn(), PrivacyExportDomain\addItem(), FeedDocument\addItem(), TagsHelper\addTagMapping(), MenusViewMenu\addXmlChild(), MenusControllerItem\allowEdit(), ContactControllerContact\allowEdit(), NewsfeedsControllerNewsfeed\allowEdit(), ArrayHelper\arrayFromObject(), JHtmlNewsfeed\association(), JHtmlContact\association(), JHtmlContentAdministrator\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), FinderRouter\build(), UsersRouterRulesLegacy\build(), NomenuRules\build(), StandardRules\build(), MenuRules\buildLookup(), SiteRouter\buildSefRoute(), ContentControllerArticle\cancel(), AssociationsHelper\canCheckinItem(), PrivacyControllerRequest\canTransition(), JHtmlCategory\categories(), FinderIndexerAdapter\categoryAccessChange(), FinderIndexerAdapter\categoryStateChange(), FinderIndexerAdapter\change(), ChangeSet\check(), AssociationsControllerAssociations\checkin(), BannersModelBanner\click(), FOFTableNested\copy(), FOFTable\copy(), ContentHelper\countRelations(), PrivacyPlugin\createCustomFieldsDomain(), PrivacyPlugin\createItemFromArray(), MenuHelper\createLevels(), PlgPrivacyUser\createNotesDomain(), PlgPrivacyUser\createProfileDomain(), SiteRouter\createUri(), TagsViewTag\display(), TagsViewTags\display(), FinderViewSearch\display(), CategoryFeedView\display(), MenusViewMenutypes\display(), ContentViewArticle\display(), ContentViewArchive\display(), MenusViewMenu\display(), NewsfeedsViewCategory\display(), MenusViewItems\display(), NewsfeedsViewNewsfeed\display(), ContentViewFeatured\display(), ContactViewCategory\display(), UsersViewNotes\display(), ContactViewContact\display(), ContactViewContacts\display(), ContactViewFeatured\display(), ContentViewCategory\display(), CategoriesViewCategories\display(), PlgSystemFields\display(), PlgSystemDebug\display(), ArrayHelper\dropColumn(), FOFController\edit(), MenusControllerMenu\exportXml(), FieldsHelper\extract(), RouteHelper\findItem(), ChangeSet\fix(), SimplePie\get_items(), FinderHelperRoute\getAdvancedRoute(), WincacheStorage\getAll(), ApcuStorage\getAll(), ApcStorage\getAll(), XcacheStorage\getAll(), CacheliteStorage\getAll(), FileStorage\getAll(), MemcacheStorage\getAll(), MemcachedStorage\getAll(), RedisStorage\getAll(), ContactHelperAssociation\getAssociations(), NewsfeedsHelperAssociation\getAssociations(), ContentHelperAssociation\getAssociations(), Associations\getAssociations(), CategoryHelperAssociation\getCategoryAssociations(), RouteHelper\getCategoryRoute(), FOFUtilsArray\getColumn(), ArrayHelper\getColumn(), UsersHelperDebug\getComponents(), BannersModelTracks\getContent(), FinderIndexerHelper\getContentExtras(), RulesRule\getFieldActions(), FieldsHelper\getFields(), PluginsModelPlugin\getForm(), TemplatesModelStyle\getForm(), MenusModelItem\getForm(), ModulesModelModule\getForm(), FOFFormFieldGroupedbutton\getInput(), MessagesModelConfig\getItem(), MessagesModelMessage\getItem(), ContactModelContact\getItem(), NewsfeedsModelNewsfeed\getItem(), TagsModelTag\getItem(), ContentModelArticle\getItem(), FieldsModelGroup\getItem(), FinderIndexerAdapter\getItem(), AdminModel\getItem(), AKAbstractObject\getItemFromArray(), FinderHelperRoute\getItemid(), MenusModelMenus\getItems(), TemplatesModelTemplates\getItems(), NewsfeedsModelCategory\getItems(), TagsModelTag\getItems(), ContactModelCategory\getItems(), ModulesModelSelect\getItems(), ContactModelFeatured\getItems(), SearchModelSearches\getItems(), UsersModelUsers\getItems(), BannersModelClients\getItems(), BannersModelBanners\getItems(), AbstractMenu\getItems(), MenusModelItems\getItems(), ContentModelArticles\getItems(), FinderIndexerAdapter\getItems(), ModBreadCrumbsHelper\getList(), ModPopularHelper\getList(), ModArchiveHelper\getList(), ModMenuHelper\getList(), ModRelatedItemsHelper\getList(), ModLanguagesHelper\getList(), ModLatestHelper\getList(), ModArticlesPopularHelper\getList(), ModArticlesNewsHelper\getList(), ModArticlesLatestHelper\getList(), ModArticlesCategoryHelper\getList(), UsersHelperRoute\getLoginRoute(), BaseController\getModel(), FOFController\getModel(), FOFFormHeaderFieldsql\getOptions(), FOFFormHeaderModel\getOptions(), JFormFieldAliastag\getOptions(), JFormFieldComponents\getOptions(), JFormFieldComponentsCategory\getOptions(), JFormFieldConfigComponents\getOptions(), JFormFieldExtension\getOptions(), FOFFormFieldTag\getOptions(), JFormFieldPlugins\getOptions(), FOFFormFieldRelation\getOptions(), FOFFormFieldModel\getOptions(), JFormFieldSQL\getOptions(), UsersModelUser\getOtpConfig(), Pathway\getPathwayNames(), UsersHelperRoute\getProfileRoute(), FOFFormFieldActions\getPublishedField(), MenusControllerItem\getRedirectToItemAppend(), UsersHelperRoute\getRegistrationRoute(), UsersHelperRoute\getRemindRoute(), UsersHelperRoute\getResendRoute(), UsersHelperRoute\getResetRoute(), ModLoginHelper\getReturnUrl(), RouteHelper\getRoute(), FinderHelperRoute\getSearchRoute(), FinderIndexer\getSignature(), TemplatesModelTemplate\getSource(), ChangeSet\getStatus(), TagsHelperRoute\getTagRoute(), TagsHelperRoute\getTagsRoute(), TagsViewTag\getTagsTitle(), SiteApplication\getTemplate(), JGoogleDataPicasaPhoto\getThumbnails(), BannersModelBanner\getUrl(), ModArticlesCategoryHelper\groupBy(), ModArticlesCategoryHelper\groupByDate(), ModArticlesCategoryHelper\groupByTags(), BannersModelBanners\impress(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverSqlsrv\index(), FinderIndexerDriverMysql\index(), PlgFinderTags\index(), PlgFinderCategories\index(), PlgFinderContent\index(), PlgFinderContacts\index(), PlgFinderNewsfeeds\index(), AssociationsHelper\isCheckoutItem(), FinderIndexerAdapter\itemAccessChange(), FinderIndexerAdapter\itemStateChange(), JGoogleDataPicasa\listAlbums(), JGoogleDataPicasaAlbum\listPhotos(), MenuHelper\loadXml(), Pathway\makeItem(), JHtmlMenu\menuItems(), UsersControllerUser\menulogout(), SimplePie\merge_items(), JHtmlContent\months(), Ini\objectToString(), PlgSystemLanguageFilter\onAfterDispatch(), PlgSystemFields\onContentAfterDelete(), PlgSystemFields\onContentAfterDisplay(), PlgSystemFields\onContentAfterSave(), PlgSystemFields\onContentAfterTitle(), PlgSystemFields\onContentBeforeDisplay(), PlgFieldsSql\onContentBeforeSave(), PlgContentFields\onContentPrepare(), PlgSystemFields\onContentPrepare(), PlgSearchContent\onContentSearch(), PlgSearchTags\onContentSearch(), PlgFieldsList\onCustomFieldsPrepareField(), FOFViewCsv\onDisplay(), PlgFinderCategories\onFinderChangeState(), PlgSystemFields\onPrepareFinderContent(), PlgPrivacyActionlogs\onPrivacyExportRequest(), PlgPrivacyConsents\onPrivacyExportRequest(), PlgPrivacyMessage\onPrivacyExportRequest(), PlgPrivacyContent\onPrivacyExportRequest(), PlgPrivacyContact\onPrivacyExportRequest(), PostinstallModelMessages\onProcessList(), FOFViewJson\onRead(), PlgSystemFields\onUserAfterDelete(), PlgSystemLanguageFilter\onUserLogin(), JHtmlTag\options(), JHtmlCategory\options(), pagination_item_active(), pagination_item_inactive(), TagsRouter\parse(), ContactRouterRulesLegacy\parse(), NewsfeedsRouterRulesLegacy\parse(), ContentRouterRulesLegacy\parse(), lessify\parse(), SiteRouter\parseRawRoute(), SiteRouter\parseSefRoute(), MenuHelper\parseXmlNode(), FinderIndexerAdapter\pluginDisable(), UsersModelGroups\populateExtraData(), JAdminCssMenu\populateTree(), FieldsControllerGroup\postSaveHook(), FieldsControllerField\postSaveHook(), CategoriesControllerCategory\postSaveHook(), PlgContentFields\prepare(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), FinderIndexerHelper\prepareContent(), NewsfeedsViewCategory\prepareDocument(), ContactViewCategory\prepareDocument(), ContentViewCategory\prepareDocument(), PlgSystemFields\prepareTagItem(), JAdminCssMenu\preprocess(), SiteRouter\processBuildRules(), FOFController\read(), MenusModelItem\rebuild(), ContactViewCategory\reconcileNames(), ContentViewCategory\reconcileNames(), CategoryFeedView\reconcileNames(), recursive_remove_directory(), lessc\reduce(), FOFLess\reduce(), FinderIndexerAdapter\reindex(), FinderIndexerAdapter\remove(), JHtmlActionsDropdown\render(), PrivacyHelper\renderDataAsXml(), FOFRenderJoomla\renderFormBrowse(), FOFRenderStrapper\renderFormBrowse(), FOFRenderStrapper\renderLinkbar_classic(), FOFRenderStrapper\renderLinkbarItems(), MenuHelper\resolveAlias(), PharInvocationResolver\resolveBaseName(), MenusControllerMenus\resync(), CMSApplication\route(), TemplatesControllerStyle\save(), ModulesControllerModule\save(), ContentControllerArticle\save(), FOFController\saveorder(), FOFTableNested\scopeImmediateDescendants(), SearchController\search(), FOFController\setaccess(), FinderIndexerTaxonomy\storeNode(), JHtmlTag\tags(), JFormRuleContactEmailSubject\test(), JFormRuleContactEmailMessage\test(), JFormRuleContactEmail\test(), ArrayHelper\toString(), FOFUtilsArray\toString(), FinderIndexerQuery\toUri(), InstallerModel\translate(), InstallerModelUpdate\translate(), PluginsModelPlugins\translate(), FOFFormFieldComponents\translate(), ModulesModelModules\translate(), JoomlaupdateModelDefault\translateExtensionName(), FinderIndexerAdapter\translateState(), JHtmlAccess\usergroups(), et ContactHelper\validateSection().

◆ $link

$link = 'index.php?option=com_menus&view=items&layout=modal&tmpl=component&' . JSession::getFormToken() . '=1'

Référencé par SitePathway\__construct(), PaginationObject\__construct(), Url\__construct(), Component\__construct(), FOFHalRenderJson\_getLink(), PlgContentEmailcloak\_getPattern(), Pathway\_makeItem(), TagsViewTags\_prepareDocument(), ContentViewFeatured\_prepareDocument(), TagsViewTag\_prepareDocument(), JSubMenuHelper\addEntry(), JHtmlSidebar\addEntry(), CategoryView\addFeed(), Pathway\addItem(), FeedDocument\addItem(), FOFHalLinks\addLink(), FOFHalDocument\addLink(), FeedEntry\addLink(), FOFHalLinks\addLinks(), FOFToolbar\appendLink(), AtomParser\bestLinkForUri(), MailtoHelper\cleanHashes(), JFacebookUser\createCheckin(), JFacebookLink\createComment(), JFacebookLink\createLike(), JFacebookEvent\createLink(), JFacebookGroup\createLink(), JFacebookUser\createLink(), JFacebookEvent\createPost(), JFacebookGroup\createPost(), JFacebookUser\createPost(), JFacebookLink\deleteLike(), JFacebookEvent\deleteLink(), JFacebookGroup\deleteLink(), JFacebookUser\deleteLink(), ContentViewFeatured\display(), CategoryFeedView\display(), RedirectViewLinks\display(), AssociationsViewAssociations\display(), FieldsViewGroups\display(), FieldsViewFields\display(), FinderViewIndex\display(), JHtmlDropdown\edit(), JHtmlIcon\email(), HeadRenderer\fetchHead(), SimplePie_Item\get_enclosures(), SimplePie_Locator\get_links(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Item\get_permalink(), ContentHelperRoute\getArticleRoute(), NewsfeedsHelperRoute\getCategoryRoute(), ContactHelperRoute\getCategoryRoute(), ContentHelperRoute\getCategoryRoute(), RouteHelper\getCategoryRoute(), JFacebookLink\getComments(), ContactHelperRoute\getContactRoute(), MediaHelper\getContentTypeLink(), MenuitemField\getGroups(), JFormFieldMenuitemByType\getGroups(), HtmlDocument\getHeadData(), JFormFieldPluginInfo\getInput(), ModulepositionField\getInput(), JFormFieldNumber\getInput(), JFormFieldText\getInput(), MenusModelItem\getItem(), TagsHelperRoute\getItemRoute(), JFormFieldTos\getLabel(), ContenthistoryField\getLayoutData(), MediaField\getLayoutData(), JFacebookLink\getLikes(), ModSyndicateHelper\getLink(), JFacebookLink\getLink(), JGoogleDataPicasaAlbum\getLink(), JGoogleDataPicasaPhoto\getLink(), Document\getLink(), MenusHelper\getMenuLinks(), NewsfeedsHelperRoute\getNewsfeedRoute(), JFormFieldList\getOptions(), RouteHelper\getRoute(), TagsHelperRoute\getTagRoute(), TagsHelperRoute\getTagsRoute(), AtomParser\handleLink(), RssParser\handleLink(), FinderIndexerDriverPostgresql\index(), FinderIndexerDriverMysql\index(), FinderIndexerDriverSqlsrv\index(), JHtmlLinks\link(), JHtmlLinks\links(), Pathway\makeItem(), PlgSystemSef\onAfterDispatch(), PlgSystemPrivacyconsent\onAfterRoute(), PlgButtonMenu\onDisplay(), PlgButtonModule\onDisplay(), PlgButtonArticle\onDisplay(), PlgButtonPagebreak\onDisplay(), PlgButtonFields\onDisplay(), PlgButtonContact\onDisplay(), PlgButtonImage\onDisplay(), PlgEditorTinymce\onDisplay(), PlgEditorTinymce\onDisplayLegacy(), MenusModelItem\populateState(), FOFToolbar\prefixLink(), MenusModelItem\preprocessForm(), AtomParser\processFeedEntry(), RssParser\processFeedEntry(), UsersModelRemind\processRemindRequest(), UsersModelReset\processResetRequest(), InstallerModelUpdatesites\rebuild(), FeedEntry\removeLink(), FOFHalRenderJson\render(), FOFRenderStrapper\renderLinkbar_classic(), FOFRenderStrapper\renderLinkbarItems(), FOFRenderJoomla\renderLinkbarItems(), FOFToolbar\renderSubmenu(), ContactModelContact\save(), SimplePie_Locator\search_elements_by_tag(), MailtoController\send(), JTwitterProfile\updateProfileColors(), et JHtmlDebug\xdebuglink().

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $prefix

$prefix = JLayoutHelper::render('joomla.html.treeprefix', array('level' => $item->level))

◆ $searchFilterDesc

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')

◆ __pad10__

else __pad10__

◆ __pad11__

else __pad11__

◆ __pad12__

else __pad12__

◆ __pad7__

else __pad7__

◆ __pad8__

else __pad8__

◆ __pad9__

else __pad9__

◆ elseif

if ( $item->language &&JLanguageMultilang::isEnabled()) elseif(!JLanguageMultilang::isEnabled())

◆ endforeach

endforeach

◆ endif

endif

◆ if

if(!empty($editor))

◆ language_image

else $item language_image

◆ language_title

else $item $item language_title

◆ true

else $item $item array ( 'title'=> $item->language_title) true


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • module
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_modules/views/module/tmpl/modal.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • modules
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_modules/views/modules/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$editor = JFactory::getApplication()->input->get('editor', '', 'cmd')
$link = 'index.php?option=com_modules&view=modules&layout=modal&tmpl=component&' . JSession::getFormToken() . '=1'
if (!empty( $editor))
$iconStates
foreach ( $this->items as $i=> $item)
endif
endforeach

Documentation des variables

◆ $editor

$editor = JFactory::getApplication()->input->get('editor', '', 'cmd')

◆ $iconStates

$iconStates
Valeur initiale :
= array(
-2 => 'icon-trash',
0 => 'icon-unpublish',
1 => 'icon-publish',
2 => 'icon-archive',
)

◆ $link

$link = 'index.php?option=com_modules&view=modules&layout=modal&tmpl=component&' . JSession::getFormToken() . '=1'

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $searchFilterDesc

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)

◆ if

if(!empty($editor))


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • positions
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_modules/views/positions/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$function = JFactory::getApplication()->input->getCmd('function', 'jSelectPosition')
$lang = JFactory::getLanguage()
$ordering = $this->escape($this->state->get('list.ordering'))
$direction = $this->escape($this->state->get('list.direction'))
$clientId = $this->state->get('client_id')
$state = $this->state->get('filter.state')
$template = $this->state->get('filter.template')
$type = $this->state->get('filter.type')
$i = 1
foreach ( $this->items as $value=> $templates)
endforeach
endif

Documentation des variables

◆ $clientId

$clientId = $this->state->get('client_id')

◆ $direction

$direction = $this->escape($this->state->get('list.direction'))

Référencé par PluginsModelPlugins\_getList(), JArrayHelper\_sortObjects(), FOFUtilsArray\_sortObjects(), HTMLHelper\calendar(), Document\getDirection(), ModulesModelPositions\getItems(), JFormFieldCalendar\getLayoutData(), ModArticlesNewsHelper\getList(), JGithubMilestones\getList(), JGithubPackageIssuesMilestones\getList(), JGithubPackageIssues\getListByRepository(), JGithubPackageRepositories\getListOwn(), PrivacyModelRequests\getListQuery(), PrivacyModelConsents\getListQuery(), JGithubPackageRepositories\getListUser(), JGithubPackageIssuesComments\getRepositoryList(), FinderModelSearch\getResultsData(), ModArticlesCategoryHelper\groupBy(), ModArticlesCategoryHelper\groupByDate(), ModArticlesCategoryHelper\groupByTags(), JHtmlBootstrap\loadCss(), InstallerModelDatabase\populateState(), ModulesModelPositions\populateState(), SearchModelSearches\populateState(), UsersModelLevels\populateState(), UsersModelGroups\populateState(), TemplatesModelStyles\populateState(), ActionlogsModelActionlogs\populateState(), BannersModelClients\populateState(), InstallerModelUpdate\populateState(), LanguagesModelLanguages\populateState(), InstallerModelManage\populateState(), InstallerModelDiscover\populateState(), InstallerModelUpdatesites\populateState(), MessagesModelMessages\populateState(), PluginsModelPlugins\populateState(), TagsModelTags\populateState(), AssociationsModelAssociations\populateState(), CheckinModelCheckin\populateState(), BannersModelTracks\populateState(), ModulesModelModules\populateState(), UsersModelUsers\populateState(), MenusModelItems\populateState(), NewsfeedsModelNewsfeeds\populateState(), CacheModelCache\populateState(), ContactModelContacts\populateState(), CategoriesModelCategories\populateState(), ContentModelArticles\populateState(), RedirectModelLinks\populateState(), UsersModelDebuggroup\populateState(), UsersModelDebugUser\populateState(), LanguagesModelInstalled\populateState(), FinderModelFilters\populateState(), PrivacyModelConsents\populateState(), PrivacyModelRequests\populateState(), LanguagesModelOverrides\populateState(), TemplatesModelTemplates\populateState(), MenusModelMenus\populateState(), UsersModelNotes\populateState(), InstallerModelLanguages\populateState(), BannersModelBanners\populateState(), ContentModelFeatured\populateState(), FinderModelMaps\populateState(), ContenthistoryModelHistory\populateState(), FinderModelIndex\populateState(), ListModel\populateState(), JHtmlSearchtools\sort(), JArrayHelper\sortObjects(), FOFUtilsArray\sortObjects(), et ArrayHelper\sortObjects().

◆ $function

$function = JFactory::getApplication()->input->getCmd('function', 'jSelectPosition')

◆ $i

$i = 1

◆ $lang

$lang = JFactory::getLanguage()

◆ $ordering

$ordering = $this->escape($this->state->get('list.ordering'))

◆ $state

$state = $this->state->get('filter.state')

◆ $template

$template = $this->state->get('filter.template')

◆ $type

read JDatabaseQueryElement $type = $this->state->get('filter.type')

Query Building Class.

Depuis
11.1

string q() q($text, $escape = true) Alias for quote method string qn() qn($name, $as = null) Alias for quoteName method string e() e($text, $extra = false) Alias for escape method

Query Building Class.

Depuis
1.7.0

string q() q($text, $escape = true) Alias for quote method string qn() qn($name, $as = null) Alias for quoteName method string e() e($text, $extra = false) Alias for escape method

Référencé par FOFInput\__callStatic(), UCMBase\__construct(), Key\__construct(), UCMContent\__construct(), FeedPerson\__construct(), FOFTableRelations\__construct(), FeedLink\__construct(), SimplePie_Cache_MySQL\__construct(), SimplePie_Cache_File\__construct(), Microdata\__construct(), FOFTable\__construct(), Key\__get(), HtmlView\_addPath(), FOFView\_addPath(), FOFInput\_cleanVar(), JRequest\_cleanVar(), BaseDatabaseModel\_createFileName(), ConfigViewCmsHtml\_createFileName(), FOFModel\_createFileName(), HtmlView\_createFileName(), FOFView\_createFileName(), FOFController\_createView(), FeedFactory\_fetchFeedParser(), PackageAdapter\_getExtensionId(), InstallerModelInstall\_getPackageFromFolder(), HtmlDocument\_parseTemplate(), HtmlView\_setPath(), FOFView\_setPath(), Installer\abort(), Mail\addAttachment(), PHPMailer\addAttachment(), Feed\addContributor(), FeedEntry\addContributor(), PHPMailer\addEmbeddedImage(), JGoogleEmbedMaps\addEventHandler(), HtmlDocument\addFavicon(), BaseController\addPath(), FOFController\addPath(), PHPMailer\addrAppend(), Document\addScriptDeclaration(), PHPMailer\addStringAttachment(), PHPMailer\addStringEmbeddedImage(), Document\addStyleDeclaration(), PlgExtensionJoomla\addUpdateSite(), JHtmlFormbehavior\ajaxchosen(), SimplePie_Misc\atom_10_content_construct_type(), PHPMailer\attachAll(), CategoriesModelCategory\batchCopy(), CategoriesModelCategory\batchMove(), PostgresqlChangeItem\buildCheckQuery(), MysqlChangeItem\buildCheckQuery(), SimplePie_Registry\call(), MysqlChangeItem\checkDefault(), FieldsModelField\checkDefaultValue(), ExtensionHelper\checkIfCoreExtension(), AssociationsControllerAssociations\checkin(), InputFilter\clean(), Installer\cleanDiscoveredExtension(), FOFTableRelations\clearRelations(), FOFDatabaseInstaller\conditionMet(), SimpleCryptPassword\create(), JGithubPackageDataTags\create(), SimplePie_Registry\create(), Factory\createConfig(), PrivacyPlugin\createCustomFieldsDomain(), InstallationModelDatabase\createDatabase(), Factory\createDocument(), TemplatesControllerTemplate\createFile(), TemplatesModelTemplate\createFile(), BaseController\createFileName(), FOFController\createFileName(), InstallationModelDatabase\createTables(), AdminModel\createTagsHelper(), LegacyFactory\createView(), MVCFactory\createView(), BaseController\createView(), FOFController\createView(), ParagonIE_Sodium_Core_Util\declareScalarType(), UCMContent\delete(), BannersModelTracks\delete(), JGoogleEmbedMaps\deleteEventHandler(), InstallerHelper\detectType(), Installer\discover_install(), AssociationsViewAssociations\display(), CMSApplication\enqueueMessage(), JApplication\enqueueMessage(), JArchiveTar\extract(), Tar\extract(), Microdata\fallback(), HeadRenderer\fetchHead(), Image\filter(), SimplePie_Locator\find(), JDatabaseQuerySqlsrv\fixGroupColumns(), MysqlChangeItem\fixUtf8mb4TypeChecks(), JHtmlBehavior\framework(), LdapClient\generatePassword(), SimplePie\get_channel_tags(), SimplePie_Registry\get_class(), SimplePie_Item\get_enclosures(), SimplePie\get_feed_tags(), SimplePie_Cache\get_handler(), SimplePie\get_image_tags(), JArchiveWrapperArchive\getAdapter(), JArchive\getAdapter(), FOFModel\getAnInstance(), FOFTable\getAnInstance(), ContentAssociationsHelper\getAssociations(), MenusAssociationsHelper\getAssociations(), ContactAssociationsHelper\getAssociations(), NewsfeedsAssociationsHelper\getAssociations(), BannersModelTracks\getBaseName(), HtmlDocument\getBuffer(), Factory\getConfig(), PluginAdapter\getElement(), Microdata\getExpectedDisplayType(), Microdata\getExpectedTypes(), FOFUtilsUpdateCollection\getExtensions(), InstallerHelper\getExtensionTypes(), FOFUtilsUpdateCollection\getExtensionUpdateSource(), FOFModelField\getField(), FOFModelField\getFieldType(), Image\getFilterInstance(), Factory\getFormat(), JFormFieldItemType\getGroups(), JGoogleEmbedMaps\getHeader(), ModRandomImageHelper\getImages(), FOFFormFieldButton\getInput(), InstalledVersions\getInstalledPackagesByType(), AbstractRegistryFormat\getInstance(), CacheController\getInstance(), Cache\getInstance(), BaseDatabaseModel\getInstance(), BaseController\getInstance(), FOFTable\getInstance(), Document\getInstance(), Table\getInstance(), MenusModelItem\getItem(), ModulesModelPositions\getItems(), LanguagesModelInstalled\getLanguageList(), PluginHelper\getLayoutPath(), JGoogleDataPicasaAlbum\getLink(), JGoogleDataPicasaPhoto\getLink(), JGithubPackageRepositories\getListOrg(), JGithubPackageRepositories\getListOwn(), BannersModelBanners\getListQuery(), ContentModelFeatured\getListQuery(), InstallerModelUpdate\getListQuery(), InstallerModelDiscover\getListQuery(), BannersModelTracks\getListQuery(), AssociationsModelAssociations\getListQuery(), FinderModelIndex\getListQuery(), ContentModelArticles\getListQuery(), MenusModelItems\getListQuery(), InstallerModelManage\getListQuery(), InstallerModelUpdatesites\getListQuery(), JGithubPackageRepositories\getListUser(), MenusHelper\getMenuLinks(), JLoader\getNamespaces(), JLinkedinStream\getNetworkUpdates(), DataSet\getObjectsKeys(), InstallationFormFieldSample\getOptions(), JFormFieldPredefinedList\getOptions(), FOFFormFieldTag\getOptions(), JFacebookGroup\getPicture(), JFacebookUser\getPicture(), JFacebookEvent\getPicture(), PluginHelper\getPlugin(), JLinkedinPeople\getProfile(), FOFTableRelations\getRelatedItem(), FOFTableRelations\getRelatedItems(), FOFTableRelations\getRelation(), ModLoginHelper\getReturnUrl(), ContentModelFeature\getTable(), UsersModelGroup\getTable(), RedirectModelLink\getTable(), UsersModelUser\getTable(), TagsModelTag\getTable(), MenusModelMenu\getTable(), BannersModelClient\getTable(), NewsfeedsModelNewsfeed\getTable(), MessagesModelMessage\getTable(), FinderModelFilter\getTable(), CategoriesModelCategory\getTable(), UsersModelLevel\getTable(), ContactModelContact\getTable(), BannersModelBanner\getTable(), PluginsModelPlugin\getTable(), ContenthistoryModelHistory\getTable(), BannersModelBanners\getTable(), FinderModelMaps\getTable(), ContentModelArticle\getTable(), FinderModelIndex\getTable(), TagsModelTags\getTable(), TemplatesModelStyle\getTable(), User\getTable(), ModulesModelModule\getTable(), MenusModelItem\getTable(), FOFDatabaseDriverSqlite\getTableList(), JDatabaseDriverSqlite\getTableList(), TagsHelper\getTagItemsQuery(), ModLatestHelper\getTitle(), FOFModel\getTmpInstance(), UCMBase\getType(), Microdata\getType(), UCMType\getTypeByTable(), AssociationExtensionHelper\getTypeInformation(), AssociationExtensionHelper\getTypeTitle(), JLinkedinCompanies\getUpdates(), FOFIntegrationJoomlaPlatform\getUserStateFromRequest(), FOFPlatform\getUserStateFromRequest(), JApplication\getUserStateFromRequest(), CMSApplication\getUserStateFromRequest(), ListModel\getUserStateFromRequest(), FOFModel\getUserStateFromRequest(), JArrayHelper\getValue(), FOFUtilsArray\getValue(), ArrayHelper\getValue(), JRequest\getVar(), BaseController\getView(), FOFController\getView(), ModArticlesCategoryHelper\groupByDate(), JError\handleMessage(), FOFTableRelations\hasRelation(), PluginHelper\importPlugin(), FOFIntegrationJoomlaPlatform\importPlugin(), InstallationModelDatabase\installSampleData(), PluginHelper\isEnabled(), Microdata\isPropertyInType(), Microdata\isTypeAvailable(), FieldsPlugin\isTypeSupported(), Browser\isViewable(), FOFDatabaseQuery\join(), JDatabaseQuery\join(), FtpClient\listDetails(), ActionlogsHelper\loadActionLogPluginsLanguage(), Toolbar\loadButtonClass(), Toolbar\loadButtonType(), FOFFormHelper\loadClass(), FormHelper\loadClass(), InstallationApplicationWeb\loadDocument(), Form\loadField(), FormWrapper\loadFieldClass(), FOFFormHelper\loadFieldClass(), FormHelper\loadFieldClass(), FormWrapper\loadFieldType(), FOFFormHelper\loadFieldType(), FormHelper\loadFieldType(), FOFForm\loadFieldType(), Form\loadFieldType(), FOFForm\loadHeader(), FOFFormHelper\loadHeaderClass(), FOFFormHelper\loadHeaderType(), FOFForm\loadHeaderType(), Document\loadRenderer(), FormWrapper\loadRuleClass(), FormHelper\loadRuleClass(), FormWrapper\loadRuleType(), FormHelper\loadRuleType(), FOFForm\loadRuleType(), Form\loadRuleType(), FOFFormHelper\loadType(), FormHelper\loadType(), Cache\makeId(), lessc\makeOutputBlock(), FOFLess\makeOutputBlock(), UCMBase\mapBase(), UCMContent\mapData(), HtmlDocument\mergeHeadData(), Form\mergeNodes(), PlgSampledataBlog\onAjaxSampledataApplyStep2(), FieldsPlugin\onContentPrepareForm(), PlgSearchTags\onContentSearch(), lessify\parse(), FOFConfigDomainTables\parseDomain(), SMTP\parseHelloFields(), ModulesModelPositions\populateState(), MenusModelItem\populateState(), InstallerScript\preflight(), FOFUtilsInstallscript\preflight(), SimplePie_Sanitize\preprocess(), MenusModelItem\preprocessForm(), FOFLessParser\pushBlock(), lessc_parser\pushBlock(), FOFLessParser\pushSpecialBlock(), lessc_parser\pushSpecialBlock(), CMSApplication\redirect(), SimplePie_Cache\register(), SimplePie_Registry\register(), JLoader\registerNamespace(), FOFTableRelations\removeRelation(), TemplatesModelTemplate\renameFile(), ImageDocument\render(), FeedDocument\render(), Toolbar\renderButton(), FOFRenderStrapper\renderButtons(), FOFToolbar\renderToolbarElement(), HtmlDocument\resetHeadData(), HtmlDocument\resetHeadDatum(), SimplePie_Source\sanitize(), SimplePie_Item\sanitize(), SimplePie_Sanitize\sanitize(), SimplePie\sanitize(), Microdata\sanitizeType(), UCMContent\save(), FOFModel\save(), UsersControllerMail\send(), Mail\sendAdminMail(), Archive\setAdapter(), FeedEntry\setAuthor(), Feed\setAuthor(), JGoogleEmbedMaps\setAutoload(), Document\setCharset(), LanguagesControllerInstalled\setDefault(), SimpleCryptPassword\setDefaultType(), JGoogleEmbedMaps\setMapType(), BaseController\setMessage(), FOFController\setMessage(), PHPMailer\setMessageType(), Document\setMimeEncoding(), InstallerScript\setParams(), BaseController\setPath(), FOFController\setPath(), BaseController\setRedirect(), FOFController\setRedirect(), Microdata\setType(), Document\setType(), MenusControllerItem\setType(), Installer\setupInstall(), Cache\setWorkarounds(), SimplePie_Sanitize\strip_tag(), LanguagesControllerInstalled\switchAdminLanguage(), Image\toFile(), FOFFormFieldComponents\translate(), JHtmlMenu\treerecurse(), Installer\uninstall(), JGoogleDataPicasaAlbum\upload(), utf8_str_pad(), Form\validateField(), et SimpleCryptPassword\verify().

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $value=> $templates)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_newsfeeds/views/newsfeed/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$function = JFactory::getApplication()->input->getCmd('function', 'jEditNewsfeed_' . (int) $this->item->id)

Documentation des variables

◆ $function

$function = JFactory::getApplication()->input->getCmd('function', 'jEditNewsfeed_' . (int) $this->item->id)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeeds
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')
$app = JFactory::getApplication()
$function = $app->input->getCmd('function', 'jSelectNewsfeed')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad2__
$iconStates
foreach( $this->items as $i=> $item)($item->language &&JLanguageMultilang::isEnabled()) elseif (!JLanguageMultilang::isEnabled())
endforeach
endif

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $function

$function = $app->input->getCmd('function', 'jSelectNewsfeed')

◆ $iconStates

$iconStates
Valeur initiale :
= array(
-2 => 'icon-trash',
0 => 'icon-unpublish',
1 => 'icon-publish',
2 => 'icon-archive',
)

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $searchFilterDesc

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')

◆ __pad2__

else __pad2__

◆ elseif

foreach ($this->items as $i => $item) ( $item->language &&JLanguageMultilang::isEnabled()) elseif(!JLanguageMultilang::isEnabled())

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugin
  • tmpl
Espaces de nommage
Référence du fichier administrator/components/com_plugins/views/plugin/tmpl/modal.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • notes
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/notes/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

else __pad3__
else int $item id
else __pad4__
endif
$category_image = $item->cparams->get('image')
endforeach

Documentation des variables

◆ $category_image

$category_image = $item->cparams->get('image')

◆ __pad3__

else __pad3__

◆ __pad4__

else __pad4__

◆ endforeach

endforeach

◆ endif

endif

◆ id

else int $item id


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • users
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/views/users/tmpl/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')
$input = JFactory::getApplication()->input
$field = $input->getCmd('field')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$enabledStates = array(0 => 'icon-publish', 1 => 'icon-unpublish')
$activatedStates = array(0 => 'icon-publish', 1 => 'icon-unpublish')
$userRequired = (int) $input->get('required', 0, 'int')
$isMoo = $input->getInt('ismoo', 1)
if ( $isMoo)
endif
else __pad5__
$i = 0
foreach ( $this->items as $item)
endforeach

Documentation des variables

◆ $activatedStates

$activatedStates = array(0 => 'icon-publish', 1 => 'icon-unpublish')

◆ $enabledStates

$enabledStates = array(0 => 'icon-publish', 1 => 'icon-unpublish')

◆ $field

$field = $input->getCmd('field')

◆ $i

$i = 0

◆ $input

$input = JFactory::getApplication()->input

◆ $isMoo

$isMoo = $input->getInt('ismoo', 1)

Mootools compatibility

There is an extra option passed in the URL for the iframe &ismoo=0 for the bootstraped field. By default the value will be 1 or defaults to mootools behaviour using function jSelectUser()

This should be removed when mootools won't be shipped by Joomla.

◆ $listDirn

else $listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

else $listOrder = $this->escape($this->state->get('list.ordering'))

◆ $searchFilterDesc

$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter')

◆ $userRequired

$userRequired = (int) $input->get('required', 0, 'int')

◆ __pad5__

else __pad5__

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $item)

◆ if

if($isMoo)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contact
  • contacts
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_contact/contacts/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$forcedLanguage = JFactory::getApplication()->input->get('forcedLanguage', '', 'cmd')
$function = JFactory::getApplication()->input->getCmd('function', 'jSelectContact')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad10__
endif
foreach ( $this->items as $i=> $item)
endforeach

Documentation des variables

◆ $forcedLanguage

$forcedLanguage = JFactory::getApplication()->input->get('forcedLanguage', '', 'cmd')

Référencé par ContactViewContact\display(), MenusViewItems\display(), NewsfeedsViewNewsfeed\display(), NewsfeedsViewNewsfeeds\display(), MenusViewItem\display(), ContentViewArticle\display(), CategoriesViewCategory\display(), AssociationsViewAssociations\display(), ContactViewContacts\display(), CategoriesViewCategories\display(), ContentViewArticles\display(), FormController\getRedirectToItemAppend(), FormController\getRedirectToListAppend(), AssociationsModelAssociations\populateState(), MenusModelItems\populateState(), NewsfeedsModelNewsfeeds\populateState(), CategoriesModelCategories\populateState(), ContactModelContacts\populateState(), et ContentModelArticles\populateState().

◆ $function

$function = JFactory::getApplication()->input->getCmd('function', 'jSelectContact')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad10__

else __pad10__

◆ endforeach

endforeach

◆ endif

if (!empty( $item->linked_user)) endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_content
  • articles
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_content/articles/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$app = JFactory::getApplication()
$function = $app->input->getCmd('function', 'jSelectArticle')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad14__
endif
foreach ( $this->items as $i=> $item)
endforeach

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $function

$function = $app->input->getCmd('function', 'jSelectArticle')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad14__

else __pad14__

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contenthistory
  • history
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_contenthistory/history/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$field = $input->getCmd('field')
$function = 'jSelectContenthistory_' . $field
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$message = JText::_('COM_CONTENTHISTORY_BUTTON_SELECT_ONE', true)
$compareMessage = JText::_('COM_CONTENTHISTORY_BUTTON_SELECT_TWO', true)
$deleteMessage = "alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST'));"
$aliasArray = explode('.', $this->state->type_alias)
$option = (end($aliasArray) == 'category') ? 'com_categories&amp;extension=' . implode('.', array_slice($aliasArray, 0, count($aliasArray) - 1)) : $aliasArray[0]
$filter = JFilterInput::getInstance()
$task = $filter->clean(end($aliasArray)) . '.loadhistory'
$loadUrl = JRoute::_('index.php?option=' . $filter->clean($option) . '&amp;task=' . $task)
$deleteUrl = JRoute::_('index.php?option=com_contenthistory&task=history.delete')
$hash = $this->state->get('sha1_hash')
$formUrl
$i = 0
foreach ( $this->items as $item)
if($item->sha1_hash==$hash) endif
onclick
else __pad18__
endforeach

Documentation des variables

◆ $aliasArray

$aliasArray = explode('.', $this->state->type_alias)

◆ $compareMessage

$compareMessage = JText::_('COM_CONTENTHISTORY_BUTTON_SELECT_TWO', true)

◆ $deleteMessage

$deleteMessage = "alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST'));"

◆ $deleteUrl

$deleteUrl = JRoute::_('index.php?option=com_contenthistory&task=history.delete')

◆ $field

$field = $input->getCmd('field')

◆ $filter

$filter = JFilterInput::getInstance()

◆ $formUrl

$formUrl
Valeur initiale :
= 'index.php?option=com_contenthistory&view=history&layout=modal&tmpl=component&item_id=' . $this->state->get('item_id') . '&type_id='
. $this->state->get('type_id') . '&type_alias=' . $this->state->get('type_alias') . '&' . JSession::getFormToken() . '=1'

◆ $function

$function = 'jSelectContenthistory_' . $field

◆ $hash

$hash = $this->state->get('sha1_hash')

◆ $i

$i = 0

◆ $input

$input = JFactory::getApplication()->input

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ $loadUrl

$loadUrl = JRoute::_('index.php?option=' . $filter->clean($option) . '&amp;task=' . $task)

◆ $message

$message = JText::_('COM_CONTENTHISTORY_BUTTON_SELECT_ONE', true)

◆ $option

$option = (end($aliasArray) == 'category') ? 'com_categories&amp;extension=' . implode('.', array_slice($aliasArray, 0, count($aliasArray) - 1)) : $aliasArray[0]

◆ $task

$task = $filter->clean(end($aliasArray)) . '.loadhistory'

◆ __pad18__

else __pad18__

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $item)

◆ onclick

onclick
Valeur initiale :
="return listItemTask('cb<?php echo $i; ?>','history.keep')"
data-original-title="<?php echo JText::_('COM_CONTENTHISTORY_BUTTON_KEEP_TOGGLE_OFF'); ?>">
<?php echo JText::_('JYES')
title
if($params->get('googleFont')) site title
Definition: templates/protostar/error.php:56


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_modules
  • positions
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_modules/positions/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$function = JFactory::getApplication()->input->getCmd('function', 'jSelectPosition')
$lang = JFactory::getLanguage()
$ordering = $this->escape($this->state->get('list.ordering'))
$direction = $this->escape($this->state->get('list.direction'))
$clientId = $this->state->get('client_id')
$state = $this->state->get('filter.state')
$template = $this->state->get('filter.template')
$type = $this->state->get('filter.type')
$i = 1
foreach ( $this->items as $value=> $templates)
endforeach
endif

Documentation des variables

◆ $clientId

$clientId = $this->state->get('client_id')

◆ $direction

$direction = $this->escape($this->state->get('list.direction'))

◆ $function

$function = JFactory::getApplication()->input->getCmd('function', 'jSelectPosition')

◆ $i

$i = 1

◆ $lang

$lang = JFactory::getLanguage()

◆ $ordering

$ordering = $this->escape($this->state->get('list.ordering'))

◆ $state

$state = $this->state->get('filter.state')

◆ $template

$template = $this->state->get('filter.template')

◆ $type

$type = $this->state->get('filter.type')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $value=> $templates)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_newsfeeds
  • newsfeeds
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$forcedLanguage = JFactory::getApplication()->input->get('forcedLanguage', '', 'cmd')
$function = JFactory::getApplication()->input->getCmd('function', 'jSelectNewsfeed')
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
else __pad54__
endif
foreach ( $this->items as $i=> $item)
endforeach

Documentation des variables

◆ $forcedLanguage

$forcedLanguage = JFactory::getApplication()->input->get('forcedLanguage', '', 'cmd')

◆ $function

$function = JFactory::getApplication()->input->getCmd('function', 'jSelectNewsfeed')

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ __pad54__

else __pad54__

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->items as $i=> $item)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • users
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/com_users/users/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input
$field = $input->getCmd('field')
$function = 'jSelectUser_'.$field
$listOrder = $this->escape($this->state->get('list.ordering'))
$listDirn = $this->escape($this->state->get('list.direction'))
$i = 0
foreach ( $this->items as $item)
endforeach

Documentation des variables

◆ $field

$field = $input->getCmd('field')

◆ $function

$function = 'jSelectUser_'.$field

◆ $i

$i = 0

◆ $input

$input = JFactory::getApplication()->input

◆ $listDirn

$listDirn = $this->escape($this->state->get('list.direction'))

◆ $listOrder

$listOrder = $this->escape($this->state->get('list.ordering'))

◆ endforeach

endforeach

◆ foreach

foreach($this->items as $item)


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php

Espaces de nommage

Joomla\Administrator

Variables

$selector = $displayData['selector']
$class = isset($displayData['class']) ? $displayData['class'] : 'toolbar'
$icon = isset($displayData['icon']) ? $displayData['icon'] : ''
$text = isset($displayData['text']) ? $displayData['text'] : ''

Documentation des variables

◆ $class

$class = isset($displayData['class']) ? $displayData['class'] : 'toolbar'

◆ $icon

$icon = isset($displayData['icon']) ? $displayData['icon'] : ''

Référencé par Heading\__construct(), Url\__construct(), Component\__construct(), HtmlDocument\_loadTemplate(), FOFToolbar\appendLink(), ToolbarHelper\custom(), JHtmlContentAdministrator\featured(), JHtmlContact\featured(), ModQuickIconHelper\getButtons(), JFormFieldRepeatable\getInput(), FOFFormFieldButton\getInput(), FOFFormFieldOrdering\getRepeatable(), ToolbarHelper\modal(), FOFToolbar\prefixLink(), JHtmlRedirect\published(), FOFToolbar\renderToolbarElement(), JHtmlSearchtools\sort(), JHtmlMessages\status(), PlgEditorTinymce\tinyButtons(), et ToolbarHelper\title().

◆ $selector

$selector = $displayData['selector']

Référencé par JHtmlBootstrap\addPanel(), JHtmlBootstrap\addSlide(), JHtmlBootstrap\addTab(), JHtmlBootstrap\affix(), JHtmlFormbehavior\ajaxchosen(), JHtmlTag\ajaxfield(), JHtmlBootstrap\alert(), JHtmlBootstrap\button(), JHtmlBehavior\caption(), JHtmlBootstrap\carousel(), JHtmlFormbehavior\chosen(), JHtmlBootstrap\dropdown(), JHtmlSearchtools\form(), JHtmlBootstrap\modal(), JHtmlBehavior\modal(), JHtmlBootstrap\popover(), JHtmlBootstrap\renderModal(), JHtmlBootstrap\scrollspy(), JHtmlBootstrap\startAccordion(), JHtmlBootstrap\startPane(), JHtmlBootstrap\startTabSet(), JHtmlBehavior\tooltip(), JHtmlBootstrap\tooltip(), et JHtmlBootstrap\typeahead().

◆ $text

$text = isset($displayData['text']) ? $displayData['text'] : ''


Joomla CMS: Référence du fichier modal.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier layouts/joomla/toolbar/modal.php

Espaces de nommage

Joomla\Site

Variables

$selector = $displayData['selector']
$class = isset($displayData['class']) ? $displayData['class'] : 'btn btn-small'
$icon = isset($displayData['icon']) ? $displayData['icon'] : 'out-3'
$text = isset($displayData['text']) ? $displayData['text'] : ''

Documentation des variables

◆ $class

$class = isset($displayData['class']) ? $displayData['class'] : 'btn btn-small'

◆ $icon

$icon = isset($displayData['icon']) ? $displayData['icon'] : 'out-3'

◆ $selector

$selector = $displayData['selector']

Generic toolbar button layout to open a modal

Paramètres
array $displayData Button parameters. Default supported parameters:
  • selector string Unique DOM identifier for the modal. CSS id without #
  • class string Button class
  • icon string Button icon
  • text string Button text

◆ $text

$text = isset($displayData['text']) ? $displayData['text'] : ''


Joomla CMS: Référence du fichier modal_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
  • tmpl
Espaces de nommage
Référence du fichier com_categories/views/category/tmpl/modal_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage
Référence du fichier com_contact/views/contact/tmpl/modal_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
  • tmpl
Espaces de nommage
Référence du fichier com_content/views/article/tmpl/modal_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
  • tmpl
Espaces de nommage
Référence du fichier com_menus/views/item/tmpl/modal_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_associations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage
Référence du fichier com_newsfeeds/views/newsfeed/tmpl/modal_associations.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_display.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage | Variables
Référence du fichier modal_display.php

Espaces de nommage

Joomla\Administrator

Variables

$this fieldset = 'jbasic'

Documentation des variables

◆ fieldset

$this fieldset = 'jbasic'


Joomla CMS: Référence du fichier modal_extrafields.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
  • tmpl
Espaces de nommage
Référence du fichier modal_extrafields.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
  • tmpl
Espaces de nommage
Référence du fichier com_categories/views/category/tmpl/modal_metadata.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage
Référence du fichier com_contact/views/contact/tmpl/modal_metadata.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
  • tmpl
Espaces de nommage
Référence du fichier com_content/views/article/tmpl/modal_metadata.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_metadata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage
Référence du fichier com_newsfeeds/views/newsfeed/tmpl/modal_metadata.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modal_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_categories/views/category/tmpl/modal_options.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
$i = 0
if(isset($fieldSet->description) &&trim($fieldSet->description)) foreach ( $this->form->getFieldset( $name) as $field)
endforeach
endif

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ $i

$i = 0

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

if (isset( $fieldSet->description) &&trim( $fieldSet->description)) foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier modal_options.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_menus/views/item/tmpl/modal_options.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
$i = 0
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ $i

$i = 0

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier modal_params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_contact/views/contact/tmpl/modal_params.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
foreach ( $fieldSets as $name=> $fieldSet)
endif
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field) | ( | $fieldSets as,
 |  | $fieldSet
 | ) |


Joomla CMS: Référence du fichier modal_params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Espaces de nommage | Variables
Référence du fichier com_newsfeeds/views/newsfeed/tmpl/modal_params.php

Espaces de nommage

Joomla\Administrator

Variables

$fieldSets = $this->form->getFieldsets('params')
endif
foreach ( $this->form->getFieldset( $name) as $field)
endforeach

Documentation des variables

◆ $fieldSets

$fieldSets = $this->form->getFieldsets('params')

◆ endforeach

endforeach

◆ endif

endif

◆ foreach

foreach($this->form->getFieldset($name) as $field)


Joomla CMS: Référence du fichier modalassociation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier modalassociation.php

Structures de données

class JFormFieldModalAssociation

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier model.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/model.php

Structures de données

class FOFFormFieldModel

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier model.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier fof/form/header/model.php

Structures de données

class FOFFormHeaderModel

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier model.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
Structures de données | Espaces de nommage
Référence du fichier fof/model/model.php

Structures de données

class FOFModel

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier model.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • model
Structures de données | Espaces de nommage
Référence du fichier joomla/model/model.php

Structures de données

interface JModel

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier modify_date.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Espaces de nommage
Référence du fichier modify_date.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier Module.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Module.php

Structures de données

class Module

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier module.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/controllers/module.php

Structures de données

class ModulesControllerModule

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier module.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/models/module.php

Structures de données

class ModulesModelModule

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier module.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • module
Structures de données | Espaces de nommage
Référence du fichier plugins/editors-xtd/module/module.php

Structures de données

class PlgButtonModule

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier ModuleAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier ModuleAdapter.php

Structures de données

class ModuleAdapter

Espaces de nommage

Joomla\CMS\Installer\Adapter


Joomla CMS: Référence du fichier ModuleHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier ModuleHelper.php

Structures de données

class ModuleHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier modulelayout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier modulelayout.php

Structures de données

class JFormFieldModulelayout

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier ModuleLayoutRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier ModuleLayoutRule.php

Structures de données

class ModuleLayoutRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier moduleorder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier moduleorder.php

Espaces de nommage

Joomla\Site

Variables

$attr = ''

Documentation des variables

◆ $attr

$attr = ''


Joomla CMS: Référence du fichier ModuleorderField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier ModuleorderField.php

Structures de données

class ModuleorderField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier ModulepositionField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier ModulepositionField.php

Structures de données

class ModulepositionField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier ModuleRenderer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
  • Html
Structures de données | Espaces de nommage
Référence du fichier ModuleRenderer.php

Structures de données

class ModuleRenderer

Espaces de nommage

Joomla\CMS\Document\Renderer\Html


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/controllers/modules.php

Structures de données

class ModulesControllerModules

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/helpers/html/modules.php

Structures de données

class JHtmlModules

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/helpers/modules.php

Structures de données

class ModulesHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/models/modules.php

Structures de données

class ModulesModelModules

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
Espaces de nommage | Variables
Référence du fichier administrator/components/com_modules/modules.php

Espaces de nommage

Joomla\Administrator

Variables

$user = JFactory::getUser()
$input = JFactory::getApplication()->input
if(($input->get('layout') !=='modal' && $input->get('view') !=='modules') &&! $user->authorise('core.manage', 'com_modules')) $controller = JControllerLegacy::getInstance('Modules')

Documentation des variables

◆ $controller

if (( $input->get( 'layout') !=='modal' &&$input->get( 'view') !=='modules') &&! $user->authorise( 'core.manage', 'com_modules')) $controller = JControllerLegacy::getInstance('Modules')

◆ $input

$input = JFactory::getApplication()->input

◆ $user

$user = JFactory::getUser()


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
Espaces de nommage | Fonctions
Référence du fichier administrator/templates/hathor/html/modules.php

Espaces de nommage

Joomla\Administrator

Fonctions

modChrome_xhtmlid ($module, &$params, &$attribs)

Documentation des fonctions

◆ modChrome_xhtmlid()

modChrome_xhtmlid | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

This is a file to add template specific chrome to module rendering. To use it you would set the style attribute for the given module(s) include in your template to use the style for each given modChrome function.

eg. To render a module mod_test in the submenu style, you would use the following include: <jdoc:include type="module" name="test" style="submenu" />

This gives template designers ultimate control over how modules are rendered.

NOTICE: All chrome wrapping methods should be named: modChrome_{STYLE} and take the same two arguments.

Références $attribs, $module, et elseif.


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
Espaces de nommage | Fonctions
Référence du fichier administrator/templates/isis/html/modules.php

Espaces de nommage

Joomla\Administrator

Fonctions

modChrome_title ($module, &$params, &$attribs)
modChrome_no ($module, &$params, &$attribs)
modChrome_well ($module, &$params, &$attribs)

Documentation des fonctions

◆ modChrome_no()

modChrome_no | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $module.

◆ modChrome_title()

modChrome_title | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

This is a file to add template specific chrome to module rendering. To use it you would set the style attribute for the given module(s) include in your template to use the style for each given modChrome function.

eg. To render a module mod_test in the submenu style, you would use the following include: <jdoc:include type="module" name="test" style="submenu" />

This gives template designers ultimate control over how modules are rendered.

NOTICE: All chrome wrapping methods should be named: modChrome_{STYLE} and take the same two arguments.

Références $module.

◆ modChrome_well()

modChrome_well | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $module, $params, ENT_COMPAT, et htmlspecialchars.


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • system
  • html
Espaces de nommage | Fonctions
Référence du fichier administrator/templates/system/html/modules.php

Espaces de nommage

Joomla\Administrator

Fonctions

modChrome_none ($module, &$params, &$attribs)
modChrome_html5 ($module, &$params, &$attribs)
modChrome_xhtml ($module, &$params, &$attribs)
modChrome_sliders ($module, &$params, &$attribs)
modChrome_tabs ($module, &$params, &$attribs)

Documentation des fonctions

◆ modChrome_html5()

modChrome_html5 | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $html, $module, $params, ENT_COMPAT, et htmlspecialchars.

◆ modChrome_none()

modChrome_none | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $module.

◆ modChrome_sliders()

modChrome_sliders | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $content, et $module.

◆ modChrome_tabs()

modChrome_tabs | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $content, et $module.

◆ modChrome_xhtml()

modChrome_xhtml | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $content, $module, $params, endif, ENT_COMPAT, et htmlspecialchars.


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • model
Structures de données | Espaces de nommage
Référence du fichier components/com_config/model/modules.php

Structures de données

class ConfigModelModules

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_modules
Espaces de nommage | Variables
Référence du fichier components/com_modules/modules.php

Espaces de nommage

Joomla\Site

Variables

$lang = JFactory::getLanguage()
$app = JFactory::getApplication()
$config = array()
if($app->input->get('view')==='modules' && $app->input->get('layout')==='modal') if($app->input->get('task')==='module.orderPosition') $controller = JControllerLegacy::getInstance('Modules', $config)

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $config

$config = array()

◆ $controller

if ( $app->input->get( 'view')==='modules' &&$app->input->get( 'layout')==='modal') if ( $app->input->get( 'task')==='module.orderPosition') $controller = JControllerLegacy::getInstance('Modules', $config)

◆ $lang

$lang = JFactory::getLanguage()


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
Espaces de nommage | Fonctions
Référence du fichier templates/beez3/html/modules.php

Espaces de nommage

Joomla\Site

Fonctions

modChrome_beezDivision ($module, &$params, &$attribs)
modChrome_beezHide ($module, &$params, &$attribs)
modChrome_beezTabs ($module, $params, $attribs)

Documentation des fonctions

◆ modChrome_beezDivision()

modChrome_beezDivision | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

beezDivision chrome.

Depuis
3.0

Références $attribs, $module, et endif.

◆ modChrome_beezHide()

modChrome_beezHide | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

beezHide chrome.

Depuis
3.0

Références $attribs, $module, $state, a, endif, onclick, et title.

◆ modChrome_beezTabs()

modChrome_beezTabs | ( | $module,
 |  | $params,
 |  | $attribs
 | ) |

beezTabs chrome.

Depuis
3.0

Références $attribs, $module, et $modules.


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
Espaces de nommage | Fonctions
Référence du fichier templates/protostar/html/modules.php

Espaces de nommage

Joomla\Site

Fonctions

modChrome_no ($module, &$params, &$attribs)
modChrome_well ($module, &$params, &$attribs)

Documentation des fonctions

◆ modChrome_no()

modChrome_no | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

This is a file to add template specific chrome to module rendering. To use it you would set the style attribute for the given module(s) include in your template to use the style for each given modChrome function.

eg. To render a module mod_test in the submenu style, you would use the following include: <jdoc:include type="module" name="test" style="submenu" />

This gives template designers ultimate control over how modules are rendered.

NOTICE: All chrome wrapping methods should be named: modChrome_{STYLE} and take the same two arguments.

Références $module.

◆ modChrome_well()

modChrome_well | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $module, $params, ENT_COMPAT, ENT_QUOTES, et htmlspecialchars.


Joomla CMS: Référence du fichier modules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • system
  • html
Espaces de nommage | Fonctions
Référence du fichier templates/system/html/modules.php

Espaces de nommage

Joomla\Site

Fonctions

modChrome_none ($module, &$params, &$attribs)
modChrome_html5 ($module, &$params, &$attribs)
modChrome_table ($module, &$params, &$attribs)
modChrome_horz ($module, &$params, &$attribs)
modChrome_xhtml ($module, &$params, &$attribs)
modChrome_rounded ($module, &$params, &$attribs)
modChrome_outline ($module, &$params, &$attribs)

Documentation des fonctions

◆ modChrome_horz()

modChrome_horz | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $attribs, $module, $params, modChrome_table(), et width.

◆ modChrome_html5()

modChrome_html5 | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $module, $params, endif, ENT_COMPAT, ENT_QUOTES, et htmlspecialchars.

◆ modChrome_none()

modChrome_none | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $module.

◆ modChrome_outline()

modChrome_outline | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $css, $doc, $module, et getDocument.

◆ modChrome_rounded()

modChrome_rounded | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $module, endif, et h3.

◆ modChrome_table()

modChrome_table | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $module, et endif.

Référencé par modChrome_horz().

◆ modChrome_xhtml()

modChrome_xhtml | ( |  | $module,
 |  | & | $params,
 |  | & | $attribs
 | ) |  |

Références $module, $params, endif, ENT_COMPAT, ENT_QUOTES, et htmlspecialchars.


Joomla CMS: Référence du fichier modulesmodule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier modulesmodule.php

Structures de données

class JFormFieldModulesModule

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier modulesposition.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier modulesposition.php

Structures de données

class JFormFieldModulesPosition

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ModulesRenderer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
  • Html
Structures de données | Espaces de nommage
Référence du fichier ModulesRenderer.php

Structures de données

class ModulesRenderer

Espaces de nommage

Joomla\CMS\Document\Renderer\Html


Joomla CMS: Référence du fichier ModuletagField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier ModuletagField.php

Structures de données

class ModuletagField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier multilangstatus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • helpers
Structures de données | Espaces de nommage
Référence du fichier multilangstatus.php

Structures de données

class MultilangstatusHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Multilanguage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
Structures de données | Espaces de nommage
Référence du fichier Multilanguage.php

Structures de données

class Multilanguage

Espaces de nommage

Joomla\CMS\Language


Joomla CMS: Référence du fichier MVCFactory.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Factory
Structures de données | Espaces de nommage
Référence du fichier MVCFactory.php

Structures de données

class MVCFactory

Espaces de nommage

Joomla\CMS\MVC\Factory


Joomla CMS: Référence du fichier MVCFactoryInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Factory
Structures de données | Espaces de nommage
Référence du fichier MVCFactoryInterface.php

Structures de données

interface MVCFactoryInterface

Espaces de nommage

Joomla\CMS\MVC\Factory


Joomla CMS: Référence du fichier mysettings.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_messages
  • toolbar
Espaces de nommage | Variables
Référence du fichier mysettings.php

Espaces de nommage

Joomla\Administrator

Variables

$text = JText::_('COM_MESSAGES_TOOLBAR_MY_SETTINGS')

Documentation des variables

◆ $text

$text = JText::_('COM_MESSAGES_TOOLBAR_MY_SETTINGS')


Joomla CMS: Référence du fichier MySQL.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Cache
Structures de données | Espaces de nommage
Référence du fichier MySQL.php

Structures de données

class SimplePie_Cache_MySQL

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • driver
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/indexer/driver/mysql.php

Structures de données

class FinderIndexerDriverMysql

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/driver/mysql.php

Structures de données

class FOFDatabaseDriverMysql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/iterator/mysql.php

Structures de données

class FOFDatabaseIteratorMysql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/query/mysql.php

Structures de données

class FOFDatabaseQueryMysql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/driver/mysql.php

Structures de données

class JDatabaseDriverMysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exporter
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/exporter/mysql.php

Structures de données

class JDatabaseExporterMysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • importer
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/importer/mysql.php

Structures de données

class JDatabaseImporterMysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/iterator/mysql.php

Structures de données

class JDatabaseIteratorMysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/query/mysql.php

Structures de données

class JDatabaseQueryMysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • database
Structures de données | Espaces de nommage
Référence du fichier libraries/legacy/database/mysql.php

Structures de données

class JDatabaseMysql

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier MysqlChangeItem.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Schema
  • ChangeItem
Structures de données | Espaces de nommage
Référence du fichier MysqlChangeItem.php

Structures de données

class MysqlChangeItem

Espaces de nommage

Joomla\CMS\Schema\ChangeItem


Joomla CMS: Référence du fichier mysqli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier fof/database/driver/mysqli.php

Structures de données

class FOFDatabaseDriverMysqli

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier mysqli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier fof/database/iterator/mysqli.php

Structures de données

class FOFDatabaseIteratorMysqli

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier mysqli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier fof/database/query/mysqli.php

Structures de données

class FOFDatabaseQueryMysqli

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier mysqli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier joomla/database/driver/mysqli.php

Structures de données

class JDatabaseDriverMysqli

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysqli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exporter
Structures de données | Espaces de nommage
Référence du fichier joomla/database/exporter/mysqli.php

Structures de données

class JDatabaseExporterMysqli

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysqli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • importer
Structures de données | Espaces de nommage
Référence du fichier joomla/database/importer/mysqli.php

Structures de données

class JDatabaseImporterMysqli

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysqli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier joomla/database/iterator/mysqli.php

Structures de données

class JDatabaseIteratorMysqli

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysqli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier joomla/database/query/mysqli.php

Structures de données

class JDatabaseQueryMysqli

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier mysqli.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • database
Structures de données | Espaces de nommage
Référence du fichier legacy/database/mysqli.php

Structures de données

class JDatabaseMysqli

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier namespaced.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • lib
Référence du fichier namespaced.php


Joomla CMS: Référence du fichier NamespaceParserInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
  • Parser
Structures de données | Espaces de nommage
Référence du fichier NamespaceParserInterface.php

Structures de données

interface NamespaceParserInterface

Espaces de nommage

Joomla\CMS\Feed\Parser


Joomla CMS: Référence du fichier native.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • handler
Structures de données | Espaces de nommage
Référence du fichier native.php

Structures de données

class JSessionHandlerNative

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier navigation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • pagebreak
  • tmpl
Espaces de nommage | Variables
Référence du fichier navigation.php

Espaces de nommage

Joomla\Plugin

Variables

$lang = JFactory::getLanguage()
if( $links[ 'previous'])() ? 'right' $title = htmlspecialchars($this->list[$page]->title, ENT_QUOTES, 'UTF-8')
$ariaLabel = JText::_('JPREVIOUS') . ': ' . $title . ' (' . JText::sprintf('JLIB_HTML_PAGE_CURRENT_OF_TOTAL', $page, $n) . ')'
endif

Documentation des variables

◆ $ariaLabel

$ariaLabel = JText::_('JPREVIOUS') . ': ' . $title . ' (' . JText::sprintf('JLIB_HTML_PAGE_CURRENT_OF_TOTAL', $page, $n) . ')'

◆ $lang

$lang = JFactory::getLanguage()

◆ $title

if ($links['next']) () ? 'left' $title = htmlspecialchars($this->list[$page]->title, ENT_QUOTES, 'UTF-8')

◆ endif

endif


Joomla CMS: Référence du fichier Negate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier Negate.php

Structures de données

class Negate

Espaces de nommage

Joomla\Image\Filter


Joomla CMS: Référence du fichier Nested.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Nested.php

Structures de données

class Nested

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier nested.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
Structures de données | Espaces de nommage
Référence du fichier nested.php

Structures de données

class FOFTableNested

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier newfolder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • layouts
  • toolbar
Espaces de nommage | Variables
Référence du fichier components/com_media/layouts/toolbar/newfolder.php

Espaces de nommage

Joomla\Administrator

Variables

$title = JText::_('COM_MEDIA_CREATE_NEW_FOLDER')

Documentation des variables

◆ $title

$title = JText::_('COM_MEDIA_CREATE_NEW_FOLDER')


Joomla CMS: Référence du fichier newfolder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_media
  • toolbar
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/layouts/com_media/toolbar/newfolder.php

Espaces de nommage

Joomla\Administrator

Variables

$title = JText::_('COM_MEDIA_CREATE_NEW_FOLDER')

Documentation des variables

◆ $title

$title = JText::_('COM_MEDIA_CREATE_NEW_FOLDER')


Joomla CMS: Référence du fichier newmodule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • layouts
  • toolbar
Espaces de nommage | Variables
Référence du fichier components/com_modules/layouts/toolbar/newmodule.php

Espaces de nommage

Joomla\Administrator

Variables

$text = JText::_('JTOOLBAR_NEW')

Documentation des variables

◆ $text

$text = JText::_('JTOOLBAR_NEW')


Joomla CMS: Référence du fichier newmodule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_modules
  • toolbar
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/layouts/com_modules/toolbar/newmodule.php

Espaces de nommage

Joomla\Administrator

Variables

$text = JText::_('JTOOLBAR_NEW')

Documentation des variables

◆ $text

$text = JText::_('JTOOLBAR_NEW')


Joomla CMS: Référence du fichier newsfeed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/controllers/newsfeed.php

Structures de données

class NewsfeedsControllerNewsfeed

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier newsfeed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/helpers/html/newsfeed.php

Structures de données

class JHtmlNewsfeed

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier newsfeed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • models
  • fields
  • modal
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/models/fields/modal/newsfeed.php

Structures de données

class JFormFieldModal_Newsfeed

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier newsfeed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/models/newsfeed.php

Structures de données

class NewsfeedsModelNewsfeed

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier newsfeed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/tables/newsfeed.php

Structures de données

class NewsfeedsTableNewsfeed

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier newsfeed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/models/newsfeed.php

Structures de données

class NewsfeedsModelNewsfeed

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier newsfeeds.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/controllers/newsfeeds.php

Structures de données

class NewsfeedsControllerNewsfeeds

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier newsfeeds.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/helpers/newsfeeds.php

Structures de données

class NewsfeedsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier newsfeeds.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/models/fields/newsfeeds.php

Structures de données

class JFormFieldNewsfeeds

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier newsfeeds.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/models/newsfeeds.php

Structures de données

class NewsfeedsModelNewsfeeds

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier newsfeeds.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
Espaces de nommage | Variables
Référence du fichier administrator/components/com_newsfeeds/newsfeeds.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_newsfeeds')) $controller = JControllerLegacy::getInstance('Newsfeeds')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_newsfeeds')) $controller = JControllerLegacy::getInstance('Newsfeeds')


Joomla CMS: Référence du fichier newsfeeds.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
Espaces de nommage | Variables
Référence du fichier components/com_newsfeeds/newsfeeds.php

Espaces de nommage

Joomla\Site

Variables

$controller = JControllerLegacy::getInstance('Newsfeeds')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Newsfeeds')


Joomla CMS: Référence du fichier newsfeeds.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • newsfeeds
Structures de données | Espaces de nommage
Référence du fichier plugins/finder/newsfeeds/newsfeeds.php

Structures de données

class PlgFinderNewsfeeds

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier newsfeeds.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • newsfeeds
Structures de données | Espaces de nommage
Référence du fichier plugins/search/newsfeeds/newsfeeds.php

Structures de données

class PlgSearchNewsfeeds

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Node.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
Structures de données | Espaces de nommage
Référence du fichier Node.php

Structures de données

class Node

Espaces de nommage

Joomla\CMS\Menu


Joomla CMS: Référence du fichier node.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • base
Structures de données | Espaces de nommage
Référence du fichier node.php

Structures de données

class JNode

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier noitems.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
  • default
Espaces de nommage | Variables
Référence du fichier noitems.php

Espaces de nommage

Joomla\Site

Variables

$data = $displayData

Documentation des variables

◆ $data

$data = $displayData


Joomla CMS: Référence du fichier NomenuRules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
  • Rules
Structures de données | Espaces de nommage
Référence du fichier NomenuRules.php

Structures de données

class NomenuRules

Espaces de nommage

Joomla\CMS\Component\Router\Rules


Joomla CMS: Référence du fichier None.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
  • Storage
Structures de données | Espaces de nommage
Référence du fichier None.php

Structures de données

class None

Espaces de nommage

Joomla\Session\Storage


Joomla CMS: Référence du fichier none.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/session/storage/none.php

Structures de données

class JSessionStorageNone

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier none.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • none
Structures de données | Espaces de nommage
Référence du fichier plugins/editors/none/none.php

Structures de données

class PlgEditorNone

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Normalise.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
Structures de données | Espaces de nommage
Référence du fichier Normalise.php

Structures de données

class Normalise

Espaces de nommage

Joomla\String


Joomla CMS: Référence du fichier normalise.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • string
  • wrapper
Structures de données | Espaces de nommage
Référence du fichier normalise.php

Structures de données

class JStringWrapperNormalise

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier NotAllowed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Access
  • Exception
Structures de données | Espaces de nommage
Référence du fichier NotAllowed.php

Structures de données

class NotAllowed

Espaces de nommage

Joomla\CMS\Access\Exception


Joomla CMS: Référence du fichier note.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/controllers/note.php

Structures de données

class UsersControllerNote

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier note.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/models/note.php

Structures de données

class UsersModelNote

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier note.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/tables/note.php

Structures de données

class UsersTableNote

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier note.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/facebook/note.php

Structures de données

class JFacebookNote

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier note.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/note.php

Structures de données

class JFormFieldNote

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier NotequalsRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier NotequalsRule.php

Structures de données

class NotequalsRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier notes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/notes.php

Structures de données

class UsersControllerNotes

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier notes.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier models/notes.php

Structures de données

class UsersModelNotes

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier NotFoundExceptionInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • container
  • src
Structures de données | Espaces de nommage
Référence du fichier NotFoundExceptionInterface.php

Structures de données

interface NotFoundExceptionInterface

Espaces de nommage

Psr\Container


Joomla CMS: Référence du fichier notifications.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • activity
Structures de données | Espaces de nommage
Référence du fichier notifications.php

Structures de données

class JGithubPackageActivityNotifications

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier ntlm_sasl_client.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
  • extras
Structures de données | Variables
Référence du fichier ntlm_sasl_client.php

Structures de données

class ntlm_sasl_client_class

Variables

const | SASL_NTLM_STATE_START 0
const | SASL_NTLM_STATE_IDENTIFY_DOMAIN 1
const | SASL_NTLM_STATE_RESPOND_CHALLENGE 2
const | SASL_NTLM_STATE_DONE 3
const | SASL_FAIL -1
const | SASL_CONTINUE 1

Documentation des variables

◆ SASL_CONTINUE

const SASL_CONTINUE 1

Référencé par ntlm_sasl_client_class\start(), et ntlm_sasl_client_class\step().

◆ SASL_FAIL

const SASL_FAIL -1

Référencé par ntlm_sasl_client_class\start(), et ntlm_sasl_client_class\step().

◆ SASL_NTLM_STATE_DONE

const SASL_NTLM_STATE_DONE 3

Référencé par ntlm_sasl_client_class\step().

◆ SASL_NTLM_STATE_IDENTIFY_DOMAIN

const SASL_NTLM_STATE_IDENTIFY_DOMAIN 1

Référencé par ntlm_sasl_client_class\start(), et ntlm_sasl_client_class\step().

◆ SASL_NTLM_STATE_RESPOND_CHALLENGE

const SASL_NTLM_STATE_RESPOND_CHALLENGE 2

Référencé par ntlm_sasl_client_class\step().

◆ SASL_NTLM_STATE_START

const SASL_NTLM_STATE_START 0

Référencé par ntlm_sasl_client_class\start().


Joomla CMS: Référence du fichier NullLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
  • Log
Structures de données | Espaces de nommage
Référence du fichier NullLogger.php

Structures de données

class NullLogger

Espaces de nommage

Psr\Log


Joomla CMS: Référence du fichier number.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/number.php

Espaces de nommage

Joomla\Site

Variables

$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"'
$attributes
if(is_numeric($value)) else
$value = ($required && isset($min)) ? $min : $value

Documentation des variables

◆ $attributes

$attributes
Valeur initiale :
= array(
!empty($class) ? 'class="' . $class . '"' : '',
!empty($size) ? 'size="' . $size . '"' : '',
$disabled ? 'disabled' : '',
$readonly ? 'readonly' : '',
strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
!empty($onchange) ? 'onchange="' . $onchange . '"' : '',
isset($max) ? 'max="' . $max . '"' : '',
!empty($step) ? 'step="' . $step . '"' : '',
isset($min) ? 'min="' . $min . '"' : '',
$required ? 'required aria-required="true"' : '',
$autocomplete,
$autofocus ? 'autofocus' : ''
)
$required
$required
Definition: components/com_contact/layouts/joomla/form/renderfield.php:43
$autofocus
$autofocus
Definition: advanced.php:79
ENT_COMPAT
else ENT_COMPAT
Definition: components/com_newsfeeds/views/category/tmpl/default_items.php:20
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19
$hint
$hint
Definition: advanced.php:66
$autocomplete
$autocomplete
Definition: layouts/joomla/form/field/number.php:48
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34
$disabled
$disabled
Definition: administrator/templates/hathor/html/com_banners/banners/default.php:177
$onchange
$onchange
Definition: layouts/joomla/form/field/checkboxes.php:78
$step
$step
Definition: layouts/joomla/pagination/links.php:26
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

◆ $autocomplete

$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"'

◆ $value

$value = ($required && isset($min)) ? $min : $value

◆ else

if (is_numeric( $value)) else
Valeur initiale :
{
$value = ''
$value
$value
Definition: layouts/joomla/form/field/number.php:73


Joomla CMS: Référence du fichier number.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/number.php

Structures de données

class JHtmlNumber

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier number.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/model/field/number.php

Structures de données

class FOFModelFieldNumber

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier number.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/number.php

Structures de données

class JFormFieldNumber

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier NumberRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier NumberRule.php

Structures de données

class NumberRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier oauth.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier facebook/oauth.php

Structures de données

class JFacebookOAuth

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier oauth.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Structures de données | Espaces de nommage
Référence du fichier linkedin/oauth.php

Structures de données

class JLinkedinOauth

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier oauth.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • openstreetmap
Structures de données | Espaces de nommage
Référence du fichier openstreetmap/oauth.php

Structures de données

class JOpenstreetmapOauth

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier oauth.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier twitter/oauth.php

Structures de données

class JTwitterOAuth

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier oauth2.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • auth
Structures de données | Espaces de nommage
Référence du fichier oauth2.php

Structures de données

class JGoogleAuthOauth2

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier object.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • object
Structures de données | Espaces de nommage
Référence du fichier fof/utils/object/object.php

Structures de données

class FOFUtilsObject

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier object.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier joomla/facebook/object.php

Structures de données

class JFacebookObject

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier object.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier joomla/github/object.php

Structures de données

class JGithubObject

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier object.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Structures de données | Espaces de nommage
Référence du fichier joomla/linkedin/object.php

Structures de données

class JLinkedinObject

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier object.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier joomla/mediawiki/object.php

Structures de données

class JMediawikiObject

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier object.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • openstreetmap
Structures de données | Espaces de nommage
Référence du fichier joomla/openstreetmap/object.php

Structures de données

class JOpenstreetmapObject

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier object.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier joomla/twitter/object.php

Structures de données

class JTwitterObject

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier observable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • base
Structures de données | Espaces de nommage
Référence du fichier observable.php

Structures de données

class JObservable

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier observer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • base
Structures de données | Espaces de nommage
Référence du fichier observer.php

Structures de données

class JObserver

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier offline.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
Espaces de nommage | Variables
Référence du fichier protostar/offline.php

Espaces de nommage

Joomla\Site

Variables

$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()
$app = JFactory::getApplication()
$sitename = htmlspecialchars($app->get('sitename'), ENT_QUOTES, 'UTF-8')
if($this->params->get('logoFile')) elseif($this->params->get('sitetitle')) else
endif

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $sitename

$sitename = htmlspecialchars($app->get('sitename'), ENT_QUOTES, 'UTF-8')

◆ $twofactormethods

$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()

◆ else

if (!empty( $logo)) else
Valeur initiale :
{
$logo = '<span class="site-title" title="' . $sitename . '">' . $sitename . '</span>'
$logo
$logo
Definition: templates/beez3/error.php:21
$sitename
$sitename
Definition: protostar/offline.php:76

◆ endif

endif


Joomla CMS: Référence du fichier offline.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • system
Espaces de nommage | Variables
Référence du fichier system/offline.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()
endif

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $twofactormethods

$twofactormethods = JAuthenticationHelper::getTwoFactorMethods()

◆ endif

endif


Joomla CMS: Référence du fichier OpensearchDocument.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier OpensearchDocument.php

Structures de données

class OpensearchDocument

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier OpensearchImage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Opensearch
Structures de données | Espaces de nommage
Référence du fichier OpensearchImage.php

Structures de données

class OpensearchImage

Espaces de nommage

Joomla\CMS\Document\Opensearch


Joomla CMS: Référence du fichier OpensearchUrl.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Opensearch
Structures de données | Espaces de nommage
Référence du fichier OpensearchUrl.php

Structures de données

class OpensearchUrl

Espaces de nommage

Joomla\CMS\Document\Opensearch


Joomla CMS: Référence du fichier openssl.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
  • aes
Structures de données | Espaces de nommage
Référence du fichier openssl.php

Structures de données

class FOFEncryptAesOpenssl

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier openstreetmap.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • openstreetmap
Structures de données | Espaces de nommage
Référence du fichier openstreetmap.php

Structures de données

class JOpenstreetmap

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier options_default.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier options_default.php

Espaces de nommage

Joomla\Site

Variables

if(!empty($displayData->description)) | endif
$fieldsnames = explode(',', $displayData->fieldsname)
foreach( $fieldsnames as $fieldname)($displayData->form->getFieldset($fieldname) as $field) | $groupClass = $field->type === 'Spacer' ? ' field-spacer' : ''
$datashowon = ' data-showon=\'' . json_encode(JFormHelper::parseShowOnConditions($field->showon, $field->formControl, $field->group)) . '\''
endforeach

Documentation des variables

◆ $datashowon

$datashowon = ' data-showon=\'' . json_encode(JFormHelper::parseShowOnConditions($field->showon, $field->formControl, $field->group)) . '\''

◆ $fieldsnames

$fieldsnames = explode(',', $displayData->fieldsname)

◆ $groupClass

foreach ($fieldsnames as $fieldname) ( $displayData->form->getFieldset( $fieldname) as $field) $groupClass = $field->type === 'Spacer' ? ' field-spacer' : ''

◆ endforeach

endforeach

◆ endif

if (!isset( $displayData->showlabel)||$displayData->showlabel) endif


Joomla CMS: Référence du fichier OptionsRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier OptionsRule.php

Structures de données

class OptionsRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier oracle.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier fof/database/driver/oracle.php

Structures de données

class FOFDatabaseDriverOracle

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier oracle.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier fof/database/iterator/oracle.php

Structures de données

class FOFDatabaseIteratorOracle

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier oracle.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier fof/database/query/oracle.php

Structures de données

class FOFDatabaseQueryOracle

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier oracle.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier joomla/database/driver/oracle.php

Structures de données

class JDatabaseDriverOracle

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier oracle.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier joomla/database/iterator/oracle.php

Structures de données

class JDatabaseIteratorOracle

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier oracle.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier joomla/database/query/oracle.php

Structures de données

class JDatabaseQueryOracle

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier ord.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/ord.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier ord.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/ord.php

Espaces de nommage

utf8

Fonctions

utf8_ord ($chr)

Documentation des fonctions

◆ utf8_ord()

utf8_ord ( $chr )

UTF-8 aware alternative to ord Returns the unicode ordinal for a character

Joomla modification - As of PHP 7.4, curly brace access has been deprecated. As a result this function has been modified to use square brace syntax See https://github.com/php/php-src/commit/d574df63dc375f5fc9202ce5afde23f866b6450a for additional references

Paramètres
string UTF-8 encoded character
Renvoie
int unicode ordinal for the character
Voir également
http://www.php.net/ord
http://www.php.net/manual/en/function.ord.php#46267


Joomla CMS: Référence du fichier ordering.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier field/ordering.php

Structures de données

class FOFFormFieldOrdering

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier ordering.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier header/ordering.php

Structures de données

class FOFFormHeaderOrdering

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier OrderingField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier OrderingField.php

Structures de données

class OrderingField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier orgs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier orgs.php

Structures de données

class JGithubPackageOrgs

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Original.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Base64
Structures de données
Référence du fichier Original.php

Structures de données

class ParagonIE_Sodium_Core_Base64_Original


Joomla CMS: Référence du fichier OutputController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Controller
Structures de données | Espaces de nommage
Référence du fichier OutputController.php

Structures de données

class OutputController

Espaces de nommage

Joomla\CMS\Cache\Controller


Joomla CMS: Référence du fichier OutputFilter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier src/Filter/OutputFilter.php

Structures de données

class OutputFilter

Espaces de nommage

Joomla\CMS\Filter


Joomla CMS: Référence du fichier OutputFilter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filter
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/filter/src/OutputFilter.php

Structures de données

class OutputFilter

Espaces de nommage

Joomla\Filter


Joomla CMS: Référence du fichier OutputFilterWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filter
  • Wrapper
Structures de données | Espaces de nommage
Référence du fichier OutputFilterWrapper.php

Structures de données

class OutputFilterWrapper

Espaces de nommage

Joomla\CMS\Filter\Wrapper


Joomla CMS: Référence du fichier override.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/override.php

Structures de données

class LanguagesControllerOverride

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier override.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • models
Structures de données | Espaces de nommage
Référence du fichier models/override.php

Structures de données

class LanguagesModelOverride

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier overrides.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/overrides.php

Structures de données

class LanguagesControllerOverrides

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier overrides.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • models
Structures de données | Espaces de nommage
Référence du fichier models/overrides.php

Structures de données

class LanguagesModelOverrides

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier P1p1.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Curve25519
  • Ge
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Curve25519/Ge/P1p1.php

Structures de données

class P1p1

Espaces de nommage

ParagonIE\Sodium\Core\Curve25519\Ge


Joomla CMS: Référence du fichier P1p1.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core/Curve25519/Ge/P1p1.php

Structures de données

class ParagonIE_Sodium_Core_Curve25519_Ge_P1p1


Joomla CMS: Référence du fichier P1p1.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core32/Curve25519/Ge/P1p1.php

Structures de données

class ParagonIE_Sodium_Core32_Curve25519_Ge_P1p1


Joomla CMS: Référence du fichier P2.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Curve25519
  • Ge
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Curve25519/Ge/P2.php

Structures de données

class P2

Espaces de nommage

ParagonIE\Sodium\Core\Curve25519\Ge


Joomla CMS: Référence du fichier P2.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core/Curve25519/Ge/P2.php

Structures de données

class ParagonIE_Sodium_Core_Curve25519_Ge_P2


Joomla CMS: Référence du fichier P2.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core32/Curve25519/Ge/P2.php

Structures de données

class ParagonIE_Sodium_Core32_Curve25519_Ge_P2


Joomla CMS: Référence du fichier P3.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Curve25519
  • Ge
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Curve25519/Ge/P3.php

Structures de données

class P3

Espaces de nommage

ParagonIE\Sodium\Core\Curve25519\Ge


Joomla CMS: Référence du fichier P3.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core/Curve25519/Ge/P3.php

Structures de données

class ParagonIE_Sodium_Core_Curve25519_Ge_P3


Joomla CMS: Référence du fichier P3.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core32/Curve25519/Ge/P3.php

Structures de données

class ParagonIE_Sodium_Core32_Curve25519_Ge_P3


Joomla CMS: Référence du fichier p3p.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • p3p
Structures de données | Espaces de nommage
Référence du fichier p3p.php

Structures de données

class PlgSystemP3p

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier package.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier package.php

Structures de données

class JGithubPackage

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier PackageAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier PackageAdapter.php

Structures de données

class PackageAdapter

Espaces de nommage

Joomla\CMS\Installer\Adapter


Joomla CMS: Référence du fichier packageinstaller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • packageinstaller
Structures de données | Espaces de nommage
Référence du fichier packageinstaller.php

Structures de données

class PlgInstallerPackageInstaller

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier PackageManifest.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Manifest
Structures de données | Espaces de nommage
Référence du fichier PackageManifest.php

Structures de données

class PackageManifest

Espaces de nommage

Joomla\CMS\Installer\Manifest


Joomla CMS: Référence du fichier pagebreak.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
  • tmpl
Espaces de nommage | Variables
Référence du fichier administrator/components/com_content/views/article/tmpl/pagebreak.php

Espaces de nommage

Joomla\Administrator

Variables

$document = JFactory::getDocument()
$this eName = JFactory::getApplication()->input->getCmd('e_name', '')

Documentation des variables

◆ $document

read Joomla CMS Document XmlDocument $document = JFactory::getDocument()

Export view class

Depuis
3.9.0

Référencé par FOFHalRenderJson\__construct(), FOFViewJson\_createDocumentWithHypermedia(), PlgContentLoadmodule\_load(), PlgContentLoadmodule\_loadid(), PlgContentLoadmodule\_loadmod(), AdminViewSysinfo\_setSubMenu(), FOFTemplateUtils\addCSS(), FOFHalDocument\addEmbedded(), FOFTemplateUtils\addJS(), FOFTemplateUtils\addLESS(), AdministratorApplication\dispatch(), SiteApplication\dispatch(), InstallationApplicationWeb\dispatch(), JApplication\dispatch(), BannersViewTracks\display(), TagsViewTag\display(), TagsViewTags\display(), CategoryFeedView\display(), UsersController\display(), CacheController\display(), InstallerController\display(), ModulesController\display(), TemplatesController\display(), PrivacyController\display(), CategoriesController\display(), AssociationsViewAssociation\display(), FOFController\display(), ConfigControllerConfigDisplay\execute(), ConfigControllerTemplatesDisplay\execute(), ConfigControllerTemplatesSave\execute(), ConfigControllerModulesDisplay\execute(), ConfigControllerModulesSave\execute(), ConfigControllerConfigSave\execute(), ConfigControllerDisplay\execute(), HeadRenderer\fetchHead(), CallbackController\get(), Factory\getDocument(), FOFIntegrationJoomlaPlatform\getDocument(), WebApplication\getDocument(), MediaModelManager\getFolderList(), ModSyndicateHelper\getLink(), ModBannersHelper\getList(), FOFController\getThisView(), Cache\getWorkarounds(), Editor\initialise(), WebApplication\initialise(), JHtmlTabs\loadBehavior(), JHtmlSliders\loadBehavior(), InstallationApplicationWeb\loadDocument(), WebApplication\loadDocument(), FOFTemplateUtils\loadPosition(), FOFRenderStrapper\loadValidationScript(), FOFRenderJoomla\loadValidationScript(), JHtmlBehavior\modal(), FOFViewJson\onDisplay(), FOFViewCsv\onDisplay(), FOFViewJson\onRead(), JApplication\redirect(), ExceptionHandler\render(), JApplication\render(), FOFRenderStrapper\renderFieldsetLabel(), SimplePie_Sanitize\replace_urls(), SimplePie_Sanitize\sanitize(), TemplatesControllerStyle\save(), HTMLHelper\script(), FOFViewHtml\setPageTitle(), Cache\setWorkarounds(), SimplePie_Sanitize\strip_attr(), SimplePie_Sanitize\strip_tag(), et HTMLHelper\stylesheet().

◆ eName

$this eName = JFactory::getApplication()->input->getCmd('e_name', '')


Joomla CMS: Référence du fichier pagebreak.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • pagebreak
Structures de données | Espaces de nommage
Référence du fichier plugins/content/pagebreak/pagebreak.php

Structures de données

class PlgContentPagebreak

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier pagebreak.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • pagebreak
Structures de données | Espaces de nommage
Référence du fichier plugins/editors-xtd/pagebreak/pagebreak.php

Structures de données

class PlgButtonPagebreak

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier PageController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Controller
Structures de données | Espaces de nommage
Référence du fichier PageController.php

Structures de données

class PageController

Espaces de nommage

Joomla\CMS\Cache\Controller


Joomla CMS: Référence du fichier pagenavigation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • pagenavigation
Structures de données | Espaces de nommage
Référence du fichier pagenavigation.php

Structures de données

class PlgContentPagenavigation

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier pages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier pages.php

Structures de données

class JMediawikiPages

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Pagination.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Pagination
Structures de données | Espaces de nommage
Référence du fichier Pagination.php

Structures de données

class Pagination

Espaces de nommage

Joomla\CMS\Pagination


Joomla CMS: Référence du fichier pagination.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
Espaces de nommage | Fonctions
Référence du fichier administrator/templates/hathor/html/pagination.php

Espaces de nommage

Joomla\Administrator

Fonctions

pagination_list_footer ($list)
pagination_list_render ($list)
pagination_item_active (&$item)
pagination_item_inactive (&$item)

Documentation des fonctions

◆ pagination_item_active()

pagination_item_active ( & $item )

Références $item.

Référencé par Pagination\getPagesLinks().

◆ pagination_item_inactive()

pagination_item_inactive ( & $item )

Références $class, et $item.

Référencé par Pagination\getPagesLinks().

◆ pagination_list_footer()

pagination_list_footer ( $list )

This is a file to add template specific chrome to pagination rendering.

pagination_list_footer Input variable $list is an array with offsets: $list[prefix] : string $list[limit] : int $list[limitstart] : int $list[total] : int $list[limitfield] : string $list[pagescounter] : string $list[pageslinks] : string

pagination_list_render Input variable $list is an array with offsets: $list[all] [data] : string [active] : boolean $list[start] [data] : string [active] : boolean $list[previous] [data] : string [active] : boolean $list[next] [data] : string [active] : boolean $list[end] [data] : string [active] : boolean $list[pages] [{PAGE}][data] : string [{PAGE}][active] : boolean

pagination_item_active Input variable $item is an object with fields: $item->base : integer $item->prefix : string $item->link : string $item->text : string

pagination_item_inactive Input variable $item is an object with fields: $item->base : integer $item->prefix : string $item->link : string $item->text : string

This gives template designers ultimate control over how pagination is rendered.

NOTE: If you override pagination_item_active OR pagination_item_inactive you MUST override them both

Fix javascript jump menu

Remove the onchange=Joomla.submitform from the select tag Add in a button with onclick instead

Références $html, et $list.

Référencé par Pagination\getListFooter().

◆ pagination_list_render()

pagination_list_render ( $list )

Références $html, $list, et null.

Référencé par Pagination\getPagesLinks().


Joomla CMS: Référence du fichier pagination.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
Espaces de nommage | Fonctions
Référence du fichier administrator/templates/isis/html/pagination.php

Espaces de nommage

Joomla\Administrator

Fonctions

pagination_list_render ($list)
pagination_item_active (&$item)
pagination_item_inactive (&$item)

Documentation des fonctions

◆ pagination_item_active()

pagination_item_active ( & $item )

Renders an active item in the pagination block

Paramètres
JPaginationObject $item The current pagination object
Renvoie
string HTML markup for active item
Depuis
3.0

Références $class, $display, $item, $limit, et $title.

◆ pagination_item_inactive()

pagination_item_inactive ( & $item )

Renders an inactive item in the pagination block

Paramètres
JPaginationObject $item The current pagination object
Renvoie
string HTML markup for inactive item
Depuis
3.0

Références $item.

◆ pagination_list_render()

pagination_list_render ( $list )

This is a file to add template specific chrome to pagination rendering.

pagination_list_footer Input variable $list is an array with offsets: $list[limit] : int $list[limitstart] : int $list[total] : int $list[limitfield] : string $list[pagescounter] : string $list[pageslinks] : string

pagination_list_render Input variable $list is an array with offsets: $list[all] [data] : string [active] : boolean $list[start] [data] : string [active] : boolean $list[previous] [data] : string [active] : boolean $list[next] [data] : string [active] : boolean $list[end] [data] : string [active] : boolean $list[pages] [{PAGE}][data] : string [{PAGE}][active] : boolean

pagination_item_active Input variable $item is an object with fields: $item->base : integer $item->link : string $item->text : string

pagination_item_inactive Input variable $item is an object with fields: $item->base : integer $item->link : string $item->text : string

This gives template designers ultimate control over how pagination is rendered.

NOTE: If you override pagination_item_active OR pagination_item_inactive you MUST override them both Renders the pagination list

Paramètres
array $list Array containing pagination information
Renvoie
string HTML markup for the full pagination object
Depuis
3.0

Références $currentPage, $html, $list, $range, et $step.


Joomla CMS: Référence du fichier pagination.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
Espaces de nommage | Fonctions
Référence du fichier templates/protostar/html/pagination.php

Espaces de nommage

Joomla\Site

Fonctions

pagination_list_footer ($list)
pagination_list_render ($list)
pagination_item_active (&$item)
pagination_item_inactive (&$item)

Documentation des fonctions

◆ pagination_item_active()

pagination_item_active ( & $item )

Renders an active item in the pagination block

Paramètres
JPaginationObject $item The current pagination object
Renvoie
string HTML markup for active item
Depuis
3.0

Références $class, $display, et $item.

◆ pagination_item_inactive()

pagination_item_inactive ( & $item )

Renders an inactive item in the pagination block

Paramètres
JPaginationObject $item The current pagination object
Renvoie
string HTML markup for inactive item
Depuis
3.0

Références $item.

◆ pagination_list_footer()

pagination_list_footer ( $list )

This is a file to add template specific chrome to pagination rendering.

pagination_list_footer Input variable $list is an array with offsets: $list[limit] : int $list[limitstart] : int $list[total] : int $list[limitfield] : string $list[pagescounter] : string $list[pageslinks] : string

pagination_list_render Input variable $list is an array with offsets: $list[all] [data] : string [active] : boolean $list[start] [data] : string [active] : boolean $list[previous] [data] : string [active] : boolean $list[next] [data] : string [active] : boolean $list[end] [data] : string [active] : boolean $list[pages] [{PAGE}][data] : string [{PAGE}][active] : boolean

pagination_item_active Input variable $item is an object with fields: $item->base : integer $item->link : string $item->text : string

pagination_item_inactive Input variable $item is an object with fields: $item->base : integer $item->link : string $item->text : string

This gives template designers ultimate control over how pagination is rendered.

NOTE: If you override pagination_item_active OR pagination_item_inactive you MUST override them both Renders the pagination footer

Paramètres
array $list Array containing pagination footer
Renvoie
string HTML markup for the full pagination footer
Depuis
3.0

Références $html, et $list.

◆ pagination_list_render()

pagination_list_render ( $list )

Renders the pagination list

Paramètres
array $list Array containing pagination information
Renvoie
string HTML markup for the full pagination object
Depuis
3.0

Références $currentPage, $html, $list, $range, et $step.


Joomla CMS: Référence du fichier PaginationObject.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Pagination
Structures de données | Espaces de nommage
Référence du fichier PaginationObject.php

Structures de données

class PaginationObject

Espaces de nommage

Joomla\CMS\Pagination


Joomla CMS: Référence du fichier params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/edit/params.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$form = $displayData->getForm()
$fieldSets = $form->getFieldsets()
if(empty($fieldSets)) | $ignoreFieldsets = $displayData->get('ignore_fieldsets') ?: array()
$ignoreFields = $displayData->get('ignore_fields') ?: array()
$extraFields = $displayData->get('extra_fields') ?: array()
$tabName = $displayData->get('tab_name') ?: 'myTab'
if(!empty($displayData->hiddenFieldsets)) if(!empty($displayData->configFieldsets)) if($displayData->get('show_options', 1)) | else
$html [] = '<div style="display:none;">'

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $extraFields

$extraFields = $displayData->get('extra_fields') ?: array()

◆ $fieldSets

$fieldSets = $form->getFieldsets()

◆ $form

$form = $displayData->getForm()

◆ $html

foreach ( $fieldSets as $name=> $fieldSet) $html[] = '<div style="display:none;">'

◆ $ignoreFields

$ignoreFields = $displayData->get('ignore_fields') ?: array()

◆ $ignoreFieldsets

if (empty( $fieldSets)) $ignoreFieldsets = $displayData->get('ignore_fieldsets') ?: array()

◆ $tabName

$tabName = $displayData->get('tab_name') ?: 'myTab'

◆ else

if (!empty( $displayData->hiddenFieldsets)) if (!empty( $displayData->configFieldsets)) if ( $displayData->get( 'show_options', 1)) else
Valeur initiale :
{
$html = array()
$html
$html[]
Definition: administrator/templates/hathor/html/layouts/joomla/edit/params.php:78


Joomla CMS: Référence du fichier params.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier layouts/joomla/edit/params.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$form = $displayData->getForm()
$fieldSets = $form->getFieldsets()
if(empty($fieldSets)) $ignoreFieldsets = $displayData->get('ignore_fieldsets') ?: array()
$ignoreFields = $displayData->get('ignore_fields') ?: array()
$extraFields = $displayData->get('extra_fields') ?: array()
$tabName = $displayData->get('tab_name') ?: 'myTab'
$hiddenFieldsets = $displayData->get('hiddenFieldsets') ?: array()
$configFieldsets = $displayData->get('configFieldsets') ?: array()

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $configFieldsets

$configFieldsets = $displayData->get('configFieldsets') ?: array()

◆ $extraFields

$extraFields = $displayData->get('extra_fields') ?: array()

◆ $fieldSets

$fieldSets = $form->getFieldsets()

◆ $form

$form = $displayData->getForm()

◆ $hiddenFieldsets

$hiddenFieldsets = $displayData->get('hiddenFieldsets') ?: array()

◆ $ignoreFields

$ignoreFields = $displayData->get('ignore_fields') ?: array()

◆ $ignoreFieldsets

if (empty( $fieldSets)) $ignoreFieldsets = $displayData->get('ignore_fieldsets') ?: array()

◆ $tabName

$tabName = $displayData->get('tab_name') ?: 'myTab'


Joomla CMS: Référence du fichier parent_category.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Espaces de nommage | Variables
Référence du fichier parent_category.php

Espaces de nommage

Joomla\Site

Variables

$title = $this->escape($displayData['item']->parent_title)

Documentation des variables

◆ $title

$title = $this->escape($displayData['item']->parent_title)


Joomla CMS: Référence du fichier ParseException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
  • Exception
Structures de données | Espaces de nommage
Référence du fichier ParseException.php

Structures de données

class ParseException

Espaces de nommage

Symfony\Component\Yaml\Exception


Joomla CMS: Référence du fichier Parser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • HTTP
Structures de données | Espaces de nommage
Référence du fichier simplepie/simplepie/library/SimplePie/HTTP/Parser.php

Structures de données

class SimplePie_HTTP_Parser

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier Parser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier simplepie/simplepie/library/SimplePie/Parser.php

Structures de données

class SimplePie_Parser

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier Parser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • XML
  • Declaration
Structures de données | Espaces de nommage
Référence du fichier simplepie/simplepie/library/SimplePie/XML/Declaration/Parser.php

Structures de données

class SimplePie_XML_Declaration_Parser

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier Parser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
Structures de données | Espaces de nommage
Référence du fichier symfony/yaml/Parser.php

Structures de données

class Parser

Espaces de nommage

Symfony\Component\Yaml


Joomla CMS: Référence du fichier parser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/indexer/parser.php

Structures de données

class FinderIndexerParser

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier parser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • less
  • parser
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/less/parser/parser.php

Structures de données

class FOFLessParser

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier parser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • ini
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/utils/ini/parser.php

Structures de données

class FOFUtilsIniParser

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier password.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/password.php

Espaces de nommage

Joomla\Site

Variables

if($lock) $attributes
if ( $lock)
endif

Documentation des variables

◆ $attributes

if ( $lock) $attributes
Valeur initiale :
= array(
strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
!$autocomplete ? 'autocomplete="off"' : '',
!empty($class) ? 'class="' . $class . '"' : '',
$readonly ? 'readonly' : '',
$disabled ? 'disabled' : '',
!empty($size) ? 'size="' . $size . '"' : '',
!empty($maxLength) ? 'maxlength="' . $maxLength . '"' : '',
$required ? 'required aria-required="true"' : '',
$autofocus ? 'autofocus' : '',
)
$required
$required
Definition: components/com_contact/layouts/joomla/form/renderfield.php:43
$autofocus
$autofocus
Definition: advanced.php:79
ENT_COMPAT
else ENT_COMPAT
Definition: components/com_newsfeeds/views/category/tmpl/default_items.php:20
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19
$hint
$hint
Definition: advanced.php:66
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34
$autocomplete
$autocomplete
Definition: advanced.php:67
$disabled
$disabled
Definition: administrator/templates/hathor/html/com_banners/banners/default.php:177
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

◆ endif

endif

◆ if

if($lock) ( $lock )


Joomla CMS: Référence du fichier password.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/password.php

Structures de données

class FOFFormFieldPassword

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier password.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/password.php

Structures de données

class JFormFieldPassword

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier password.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • ircmaxell
  • password-compat
  • lib
Espaces de nommage
Référence du fichier libraries/vendor/ircmaxell/password-compat/lib/password.php

Espaces de nommage

PasswordCompat\binary


Joomla CMS: Référence du fichier PasswordHash.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phpass
Structures de données
Référence du fichier PasswordHash.php

Structures de données

class PasswordHash


Joomla CMS: Référence du fichier PasswordRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier PasswordRule.php

Structures de données

class PasswordRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier Patcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
Structures de données | Espaces de nommage
Référence du fichier src/Filesystem/Patcher.php

Structures de données

class Patcher

Espaces de nommage

Joomla\CMS\Filesystem


Joomla CMS: Référence du fichier Patcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/filesystem/src/Patcher.php

Structures de données

class Patcher

Espaces de nommage

Joomla\Filesystem


Joomla CMS: Référence du fichier Path.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
Structures de données | Espaces de nommage
Référence du fichier src/Filesystem/Path.php

Structures de données

class Path

Espaces de nommage

Joomla\CMS\Filesystem


Joomla CMS: Référence du fichier Path.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/filesystem/src/Path.php

Structures de données

class Path

Espaces de nommage

Joomla\Filesystem


Joomla CMS: Référence du fichier Pathway.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Pathway
Structures de données | Espaces de nommage
Référence du fichier Pathway.php

Structures de données

class Pathway

Espaces de nommage

Joomla\CMS\Pathway


Joomla CMS: Référence du fichier PathWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
  • Wrapper
Structures de données | Espaces de nommage
Référence du fichier PathWrapper.php

Structures de données

class PathWrapper

Espaces de nommage

Joomla\CMS\Filesystem\Wrapper


Joomla CMS: Référence du fichier patterns.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • utils
Variables
Référence du fichier phputf8/utils/patterns.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier patterns.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • utils
Espaces de nommage | Variables
Référence du fichier vendor/joomla/string/src/phputf8/utils/patterns.php

Espaces de nommage

utf8

Variables

$UTF8_VALID
$UTF8_MATCH
$UTF8_BAD

Documentation des variables

◆ $UTF8_BAD

$UTF8_BAD
Valeur initiale :
=
'([\x00-\x7F]'. # ASCII (including control chars)
'|[\xC2-\xDF][\x80-\xBF]'. # non-overlong 2-byte
'|\xE0[\xA0-\xBF][\x80-\xBF]'. # excluding overlongs
'|[\xE1-\xEC\xEE\xEF][\x80-\xBF]{2}'. # straight 3-byte
'|\xED[\x80-\x9F][\x80-\xBF]'. # excluding surrogates
'|\xF0[\x90-\xBF][\x80-\xBF]{2}'. # planes 1-3
'|[\xF1-\xF3][\x80-\xBF]{3}'. # planes 4-15
'|\xF4[\x80-\x8F][\x80-\xBF]{2}'. # plane 16
'|(.{1}))'

Référencé par utf8_bad_find(), utf8_bad_findall(), utf8_bad_replace(), et utf8_bad_strip().

◆ $UTF8_MATCH

$UTF8_MATCH
Valeur initiale :
=
'([\x00-\x7F])'. # ASCII (including control chars)
'|([\xC2-\xDF][\x80-\xBF])'. # non-overlong 2-byte
'|(\xE0[\xA0-\xBF][\x80-\xBF])'. # excluding overlongs
'|([\xE1-\xEC\xEE\xEF][\x80-\xBF]{2})'. # straight 3-byte
'|(\xED[\x80-\x9F][\x80-\xBF])'. # excluding surrogates
'|(\xF0[\x90-\xBF][\x80-\xBF]{2})'. # planes 1-3
'|([\xF1-\xF3][\x80-\xBF]{3})'. # planes 4-15
'|(\xF4[\x80-\x8F][\x80-\xBF]{2})'

◆ $UTF8_VALID

$UTF8_VALID
Valeur initiale :
= '^('.
'[\x00-\x7F]'. # ASCII (including control chars)
'|[\xC2-\xDF][\x80-\xBF]'. # non-overlong 2-byte
'|\xE0[\xA0-\xBF][\x80-\xBF]'. # excluding overlongs
'|[\xE1-\xEC\xEE\xEF][\x80-\xBF]{2}'. # straight 3-byte
'|\xED[\x80-\x9F][\x80-\xBF]'. # excluding surrogates
'|\xF0[\x90-\xBF][\x80-\xBF]{2}'. # planes 1-3
'|[\xF1-\xF3][\x80-\xBF]{3}'. # planes 4-15
'|\xF4[\x80-\x8F][\x80-\xBF]{2}'. # plane 16
')*$'


Joomla CMS: Référence du fichier pdo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier fof/database/driver/pdo.php

Structures de données

class FOFDatabaseDriverPdo

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier pdo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier fof/database/iterator/pdo.php

Structures de données

class FOFDatabaseIteratorPdo

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier pdo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier fof/database/query/pdo.php

Structures de données

class FOFDatabaseQueryPdo

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier pdo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier joomla/database/driver/pdo.php

Structures de données

class JDatabaseDriverPdo

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pdo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier joomla/database/iterator/pdo.php

Structures de données

class JDatabaseIteratorPdo

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pdo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier joomla/database/query/pdo.php

Structures de données

class JDatabaseQueryPdo

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pdomysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier fof/database/driver/pdomysql.php

Structures de données

class FOFDatabaseDriverPdomysql

Espaces de nommage

FrameworkOnFramework
Joomla\Platform


Joomla CMS: Référence du fichier pdomysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier fof/database/iterator/pdomysql.php

Structures de données

class FOFDatabaseIteratorPdomysql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier pdomysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier fof/database/query/pdomysql.php

Structures de données

class FOFDatabaseQueryPdomysql

Espaces de nommage

FrameworkOnFramework
Joomla\Platform


Joomla CMS: Référence du fichier pdomysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier joomla/database/driver/pdomysql.php

Structures de données

class JDatabaseDriverPdomysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pdomysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exporter
Structures de données | Espaces de nommage
Référence du fichier joomla/database/exporter/pdomysql.php

Structures de données

class JDatabaseExporterPdomysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pdomysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • importer
Structures de données | Espaces de nommage
Référence du fichier joomla/database/importer/pdomysql.php

Structures de données

class JDatabaseImporterPdomysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pdomysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier joomla/database/iterator/pdomysql.php

Structures de données

class JDatabaseIteratorPdomysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pdomysql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier joomla/database/query/pdomysql.php

Structures de données

class JDatabaseQueryPdomysql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier people.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
  • plus
Structures de données | Espaces de nommage
Référence du fichier google/data/plus/people.php

Structures de données

class JGoogleDataPlusPeople

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier people.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Structures de données | Espaces de nommage
Référence du fichier linkedin/people.php

Structures de données

class JLinkedinPeople

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pgsql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier driver/pgsql.php

Structures de données

class JDatabaseDriverPgsql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pgsql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exporter
Structures de données | Espaces de nommage
Référence du fichier exporter/pgsql.php

Structures de données

class JDatabaseExporterPgsql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pgsql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • importer
Structures de données | Espaces de nommage
Référence du fichier importer/pgsql.php

Structures de données

class JDatabaseImporterPgsql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pgsql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier iterator/pgsql.php

Structures de données

class JDatabaseIteratorPgsql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier pgsql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier query/pgsql.php

Structures de données

class JDatabaseQueryPgsql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier PharExtensionInterceptor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Interceptor
Structures de données | Espaces de nommage
Référence du fichier PharExtensionInterceptor.php

Structures de données

class PharExtensionInterceptor

Espaces de nommage

TYPO3\PharStreamWrapper\Interceptor


Joomla CMS: Référence du fichier PharInvocation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Resolver
Structures de données | Espaces de nommage
Référence du fichier PharInvocation.php

Structures de données

class PharInvocation

Espaces de nommage

TYPO3\PharStreamWrapper\Resolver


Joomla CMS: Référence du fichier PharInvocationCollection.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Resolver
Structures de données | Espaces de nommage
Référence du fichier PharInvocationCollection.php

Structures de données

class PharInvocationCollection

Espaces de nommage

TYPO3\PharStreamWrapper\Resolver


Joomla CMS: Référence du fichier PharInvocationResolver.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Resolver
Structures de données | Espaces de nommage
Référence du fichier PharInvocationResolver.php

Structures de données

class PharInvocationResolver

Espaces de nommage

TYPO3\PharStreamWrapper\Resolver


Joomla CMS: Référence du fichier PharMetaDataInterceptor.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Interceptor
Structures de données | Espaces de nommage
Référence du fichier PharMetaDataInterceptor.php

Structures de données

class PharMetaDataInterceptor

Espaces de nommage

TYPO3\PharStreamWrapper\Interceptor


Joomla CMS: Référence du fichier PharStreamWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
Structures de données | Espaces de nommage
Référence du fichier PharStreamWrapper.php

Structures de données

class PharStreamWrapper

Espaces de nommage

TYPO3\PharStreamWrapper


Joomla CMS: Référence du fichier photo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier facebook/photo.php

Structures de données

class JFacebookPhoto

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier photo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
  • picasa
Structures de données | Espaces de nommage
Référence du fichier google/data/picasa/photo.php

Structures de données

class JGoogleDataPicasaPhoto

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Php.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
  • Format
Structures de données | Espaces de nommage
Référence du fichier Php.php

Structures de données

class Php

Espaces de nommage

Joomla\Registry\Format


Joomla CMS: Référence du fichier Php55.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php55
Structures de données | Espaces de nommage
Référence du fichier Php55.php

Structures de données

class Php55

Espaces de nommage

Symfony\Polyfill\Php55


Joomla CMS: Référence du fichier Php55ArrayColumn.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php55
Structures de données | Espaces de nommage
Référence du fichier Php55ArrayColumn.php

Structures de données

class Php55ArrayColumn

Espaces de nommage

Symfony\Polyfill\Php55


Joomla CMS: Référence du fichier Php56.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php56
Structures de données | Espaces de nommage
Référence du fichier Php56.php

Structures de données

class Php56

Espaces de nommage

Symfony\Polyfill\Php56


Joomla CMS: Référence du fichier Php71.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php71
Structures de données | Espaces de nommage
Référence du fichier Php71.php

Structures de données

class Php71

Espaces de nommage

Symfony\Polyfill\Php71


Joomla CMS: Référence du fichier php72compat.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • lib
Variables
Référence du fichier php72compat.php

Variables

foreach(array('BASE64_VARIANT_ORIGINAL', 'BASE64_VARIANT_ORIGINAL_NO_PADDING', 'BASE64_VARIANT_URLSAFE', 'BASE64_VARIANT_URLSAFE_NO_PADDING', 'CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_ABYTES', 'CRYPTO_AEAD_AES256GCM_KEYBYTES', 'CRYPTO_AEAD_AES256GCM_NSECBYTES', 'CRYPTO_AEAD_AES256GCM_NPUBBYTES', 'CRYPTO_AEAD_AES256GCM_ABYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES', 'CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES', 'CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES', 'CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES', 'CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES', 'CRYPTO_AUTH_BYTES', 'CRYPTO_AUTH_KEYBYTES', 'CRYPTO_BOX_SEALBYTES', 'CRYPTO_BOX_SECRETKEYBYTES', 'CRYPTO_BOX_PUBLICKEYBYTES', 'CRYPTO_BOX_KEYPAIRBYTES', 'CRYPTO_BOX_MACBYTES', 'CRYPTO_BOX_NONCEBYTES', 'CRYPTO_BOX_SEEDBYTES', 'CRYPTO_KDF_BYTES_MIN', 'CRYPTO_KDF_BYTES_MAX', 'CRYPTO_KDF_CONTEXTBYTES', 'CRYPTO_KDF_KEYBYTES', 'CRYPTO_KX_BYTES', 'CRYPTO_KX_KEYPAIRBYTES', 'CRYPTO_KX_PRIMITIVE', 'CRYPTO_KX_SEEDBYTES', 'CRYPTO_KX_PUBLICKEYBYTES', 'CRYPTO_KX_SECRETKEYBYTES', 'CRYPTO_KX_SESSIONKEYBYTES', 'CRYPTO_GENERICHASH_BYTES', 'CRYPTO_GENERICHASH_BYTES_MIN', 'CRYPTO_GENERICHASH_BYTES_MAX', 'CRYPTO_GENERICHASH_KEYBYTES', 'CRYPTO_GENERICHASH_KEYBYTES_MIN', 'CRYPTO_GENERICHASH_KEYBYTES_MAX', 'CRYPTO_PWHASH_SALTBYTES', 'CRYPTO_PWHASH_STRPREFIX', 'CRYPTO_PWHASH_ALG_ARGON2I13', 'CRYPTO_PWHASH_ALG_ARGON2ID13', 'CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE', 'CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE', 'CRYPTO_PWHASH_MEMLIMIT_MODERATE', 'CRYPTO_PWHASH_OPSLIMIT_MODERATE', 'CRYPTO_PWHASH_MEMLIMIT_SENSITIVE', 'CRYPTO_PWHASH_OPSLIMIT_SENSITIVE', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE', 'CRYPTO_SCALARMULT_BYTES', 'CRYPTO_SCALARMULT_SCALARBYTES', 'CRYPTO_SHORTHASH_BYTES', 'CRYPTO_SHORTHASH_KEYBYTES', 'CRYPTO_SECRETBOX_KEYBYTES', 'CRYPTO_SECRETBOX_MACBYTES', 'CRYPTO_SECRETBOX_NONCEBYTES', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX', 'CRYPTO_SIGN_BYTES', 'CRYPTO_SIGN_SEEDBYTES', 'CRYPTO_SIGN_PUBLICKEYBYTES', 'CRYPTO_SIGN_SECRETKEYBYTES', 'CRYPTO_SIGN_KEYPAIRBYTES', 'CRYPTO_STREAM_KEYBYTES', 'CRYPTO_STREAM_NONCEBYTES', 'CRYPTO_STREAM_XCHACHA20_KEYBYTES', 'CRYPTO_STREAM_XCHACHA20_NONCEBYTES', 'LIBRARY_MAJOR_VERSION', 'LIBRARY_MINOR_VERSION', 'LIBRARY_VERSION_MAJOR', 'LIBRARY_VERSION_MINOR', 'VERSION_STRING') as $constant) if(!is_callable('sodium_add')) if(!is_callable('sodium_base642bin')) if(!is_callable('sodium_bin2base64')) if(!is_callable('sodium_bin2hex')) if(!is_callable('sodium_compare')) if(!is_callable('sodium_crypto_aead_aes256gcm_decrypt')) if(!is_callable('sodium_crypto_aead_aes256gcm_encrypt')) if(!is_callable('sodium_crypto_aead_aes256gcm_is_available')) if(!is_callable('sodium_crypto_aead_chacha20poly1305_decrypt')) if(!is_callable('sodium_crypto_aead_chacha20poly1305_encrypt')) if(!is_callable('sodium_crypto_aead_chacha20poly1305_keygen')) if(!is_callable('sodium_crypto_aead_chacha20poly1305_ietf_decrypt')) if(!is_callable('sodium_crypto_aead_chacha20poly1305_ietf_encrypt')) if(!is_callable('sodium_crypto_aead_chacha20poly1305_ietf_keygen')) if(!is_callable('sodium_crypto_aead_xchacha20poly1305_ietf_decrypt')) if(!is_callable('sodium_crypto_aead_xchacha20poly1305_ietf_encrypt')) if(!is_callable('sodium_crypto_aead_xchacha20poly1305_ietf_keygen')) if(!is_callable('sodium_crypto_auth')) if(!is_callable('sodium_crypto_auth_keygen')) if(!is_callable('sodium_crypto_auth_verify')) if(!is_callable('sodium_crypto_box')) if(!is_callable('sodium_crypto_box_keypair')) if(!is_callable('sodium_crypto_box_keypair_from_secretkey_and_publickey')) if(!is_callable('sodium_crypto_box_open')) if(!is_callable('sodium_crypto_box_publickey')) if(!is_callable('sodium_crypto_box_publickey_from_secretkey')) if(!is_callable('sodium_crypto_box_seal')) if(!is_callable('sodium_crypto_box_seal_open')) if(!is_callable('sodium_crypto_box_secretkey')) if(!is_callable('sodium_crypto_box_seed_keypair')) if(!is_callable('sodium_crypto_generichash')) if(!is_callable('sodium_crypto_generichash_final')) if(!is_callable('sodium_crypto_generichash_init')) if(!is_callable('sodium_crypto_generichash_keygen')) if(!is_callable('sodium_crypto_generichash_update')) if(!is_callable('sodium_crypto_kdf_keygen')) if(!is_callable('sodium_crypto_kdf_derive_from_key')) if(!is_callable('sodium_crypto_kx')) if(!is_callable('sodium_crypto_kx_seed_keypair')) if(!is_callable('sodium_crypto_kx_keypair')) if(!is_callable('sodium_crypto_kx_client_session_keys')) if(!is_callable('sodium_crypto_kx_server_session_keys')) if(!is_callable('sodium_crypto_kx_secretkey')) if(!is_callable('sodium_crypto_kx_publickey')) if(!is_callable('sodium_crypto_pwhash')) if(!is_callable('sodium_crypto_pwhash_str')) if(!is_callable('sodium_crypto_pwhash_str_needs_rehash')) if(!is_callable('sodium_crypto_pwhash_str_verify')) if(!is_callable('sodium_crypto_pwhash_scryptsalsa208sha256')) if(!is_callable('sodium_crypto_pwhash_scryptsalsa208sha256_str')) if(!is_callable('sodium_crypto_pwhash_scryptsalsa208sha256_str_verify')) if(!is_callable('sodium_crypto_scalarmult')) if(!is_callable('sodium_crypto_scalarmult_base')) if(!is_callable('sodium_crypto_secretbox')) if(!is_callable('sodium_crypto_secretbox_keygen')) if(!is_callable('sodium_crypto_secretbox_open')) if(!is_callable('sodium_crypto_secretstream_xchacha20poly1305_init_push')) if(!is_callable('sodium_crypto_secretstream_xchacha20poly1305_push')) if(!is_callable('sodium_crypto_secretstream_xchacha20poly1305_init_pull')) if(!is_callable('sodium_crypto_secretstream_xchacha20poly1305_pull')) if(!is_callable('sodium_crypto_secretstream_xchacha20poly1305_rekey')) if(!is_callable('sodium_crypto_secretstream_xchacha20poly1305_keygen')) if(!is_callable('sodium_crypto_shorthash')) if(!is_callable('sodium_crypto_shorthash_keygen')) if(!is_callable('sodium_crypto_sign')) if(!is_callable('sodium_crypto_sign_detached')) if(!is_callable('sodium_crypto_sign_keypair_from_secretkey_and_publickey')) if(!is_callable('sodium_crypto_sign_keypair')) if(!is_callable('sodium_crypto_sign_open')) if(!is_callable('sodium_crypto_sign_publickey')) if(!is_callable('sodium_crypto_sign_publickey_from_secretkey')) if(!is_callable('sodium_crypto_sign_secretkey')) if(!is_callable('sodium_crypto_sign_seed_keypair')) if(!is_callable('sodium_crypto_sign_verify_detached')) if(!is_callable('sodium_crypto_sign_ed25519_pk_to_curve25519')) if(!is_callable('sodium_crypto_sign_ed25519_sk_to_curve25519')) if(!is_callable('sodium_crypto_stream')) if(!is_callable('sodium_crypto_stream_keygen')) if (!is_callable( 'sodium_crypto_stream_xor'))

Documentation des variables

◆ if

foreach (array( 'BASE64_VARIANT_ORIGINAL', 'BASE64_VARIANT_ORIGINAL_NO_PADDING', 'BASE64_VARIANT_URLSAFE', 'BASE64_VARIANT_URLSAFE_NO_PADDING', 'CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_ABYTES', 'CRYPTO_AEAD_AES256GCM_KEYBYTES', 'CRYPTO_AEAD_AES256GCM_NSECBYTES', 'CRYPTO_AEAD_AES256GCM_NPUBBYTES', 'CRYPTO_AEAD_AES256GCM_ABYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES', 'CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES', 'CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES', 'CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES', 'CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES', 'CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES', 'CRYPTO_AUTH_BYTES', 'CRYPTO_AUTH_KEYBYTES', 'CRYPTO_BOX_SEALBYTES', 'CRYPTO_BOX_SECRETKEYBYTES', 'CRYPTO_BOX_PUBLICKEYBYTES', 'CRYPTO_BOX_KEYPAIRBYTES', 'CRYPTO_BOX_MACBYTES', 'CRYPTO_BOX_NONCEBYTES', 'CRYPTO_BOX_SEEDBYTES', 'CRYPTO_KDF_BYTES_MIN', 'CRYPTO_KDF_BYTES_MAX', 'CRYPTO_KDF_CONTEXTBYTES', 'CRYPTO_KDF_KEYBYTES', 'CRYPTO_KX_BYTES', 'CRYPTO_KX_KEYPAIRBYTES', 'CRYPTO_KX_PRIMITIVE', 'CRYPTO_KX_SEEDBYTES', 'CRYPTO_KX_PUBLICKEYBYTES', 'CRYPTO_KX_SECRETKEYBYTES', 'CRYPTO_KX_SESSIONKEYBYTES', 'CRYPTO_GENERICHASH_BYTES', 'CRYPTO_GENERICHASH_BYTES_MIN', 'CRYPTO_GENERICHASH_BYTES_MAX', 'CRYPTO_GENERICHASH_KEYBYTES', 'CRYPTO_GENERICHASH_KEYBYTES_MIN', 'CRYPTO_GENERICHASH_KEYBYTES_MAX', 'CRYPTO_PWHASH_SALTBYTES', 'CRYPTO_PWHASH_STRPREFIX', 'CRYPTO_PWHASH_ALG_ARGON2I13', 'CRYPTO_PWHASH_ALG_ARGON2ID13', 'CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE', 'CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE', 'CRYPTO_PWHASH_MEMLIMIT_MODERATE', 'CRYPTO_PWHASH_OPSLIMIT_MODERATE', 'CRYPTO_PWHASH_MEMLIMIT_SENSITIVE', 'CRYPTO_PWHASH_OPSLIMIT_SENSITIVE', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE', 'CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE', 'CRYPTO_SCALARMULT_BYTES', 'CRYPTO_SCALARMULT_SCALARBYTES', 'CRYPTO_SHORTHASH_BYTES', 'CRYPTO_SHORTHASH_KEYBYTES', 'CRYPTO_SECRETBOX_KEYBYTES', 'CRYPTO_SECRETBOX_MACBYTES', 'CRYPTO_SECRETBOX_NONCEBYTES', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL', 'CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX', 'CRYPTO_SIGN_BYTES', 'CRYPTO_SIGN_SEEDBYTES', 'CRYPTO_SIGN_PUBLICKEYBYTES', 'CRYPTO_SIGN_SECRETKEYBYTES', 'CRYPTO_SIGN_KEYPAIRBYTES', 'CRYPTO_STREAM_KEYBYTES', 'CRYPTO_STREAM_NONCEBYTES', 'CRYPTO_STREAM_XCHACHA20_KEYBYTES', 'CRYPTO_STREAM_XCHACHA20_NONCEBYTES', 'LIBRARY_MAJOR_VERSION', 'LIBRARY_MINOR_VERSION', 'LIBRARY_VERSION_MAJOR', 'LIBRARY_VERSION_MINOR', 'VERSION_STRING') as $constant) if (!is_callable( 'sodium_add')) if (!is_callable( 'sodium_base642bin')) if (!is_callable( 'sodium_bin2base64')) if (!is_callable( 'sodium_bin2hex')) if (!is_callable( 'sodium_compare')) if (!is_callable( 'sodium_crypto_aead_aes256gcm_decrypt')) if (!is_callable( 'sodium_crypto_aead_aes256gcm_encrypt')) if (!is_callable( 'sodium_crypto_aead_aes256gcm_is_available')) if (!is_callable( 'sodium_crypto_aead_chacha20poly1305_decrypt')) if (!is_callable( 'sodium_crypto_aead_chacha20poly1305_encrypt')) if (!is_callable( 'sodium_crypto_aead_chacha20poly1305_keygen')) if (!is_callable( 'sodium_crypto_aead_chacha20poly1305_ietf_decrypt')) if (!is_callable( 'sodium_crypto_aead_chacha20poly1305_ietf_encrypt')) if (!is_callable( 'sodium_crypto_aead_chacha20poly1305_ietf_keygen')) if (!is_callable( 'sodium_crypto_aead_xchacha20poly1305_ietf_decrypt')) if (!is_callable( 'sodium_crypto_aead_xchacha20poly1305_ietf_encrypt')) if (!is_callable( 'sodium_crypto_aead_xchacha20poly1305_ietf_keygen')) if (!is_callable( 'sodium_crypto_auth')) if (!is_callable( 'sodium_crypto_auth_keygen')) if (!is_callable( 'sodium_crypto_auth_verify')) if (!is_callable( 'sodium_crypto_box')) if (!is_callable( 'sodium_crypto_box_keypair')) if (!is_callable( 'sodium_crypto_box_keypair_from_secretkey_and_publickey')) if (!is_callable( 'sodium_crypto_box_open')) if (!is_callable( 'sodium_crypto_box_publickey')) if (!is_callable( 'sodium_crypto_box_publickey_from_secretkey')) if (!is_callable( 'sodium_crypto_box_seal')) if (!is_callable( 'sodium_crypto_box_seal_open')) if (!is_callable( 'sodium_crypto_box_secretkey')) if (!is_callable( 'sodium_crypto_box_seed_keypair')) if (!is_callable( 'sodium_crypto_generichash')) if (!is_callable( 'sodium_crypto_generichash_final')) if (!is_callable( 'sodium_crypto_generichash_init')) if (!is_callable( 'sodium_crypto_generichash_keygen')) if (!is_callable( 'sodium_crypto_generichash_update')) if (!is_callable( 'sodium_crypto_kdf_keygen')) if (!is_callable( 'sodium_crypto_kdf_derive_from_key')) if (!is_callable( 'sodium_crypto_kx')) if (!is_callable( 'sodium_crypto_kx_seed_keypair')) if (!is_callable( 'sodium_crypto_kx_keypair')) if (!is_callable( 'sodium_crypto_kx_client_session_keys')) if (!is_callable( 'sodium_crypto_kx_server_session_keys')) if (!is_callable( 'sodium_crypto_kx_secretkey')) if (!is_callable( 'sodium_crypto_kx_publickey')) if (!is_callable( 'sodium_crypto_pwhash')) if (!is_callable( 'sodium_crypto_pwhash_str')) if (!is_callable( 'sodium_crypto_pwhash_str_needs_rehash')) if (!is_callable( 'sodium_crypto_pwhash_str_verify')) if (!is_callable( 'sodium_crypto_pwhash_scryptsalsa208sha256')) if (!is_callable( 'sodium_crypto_pwhash_scryptsalsa208sha256_str')) if (!is_callable( 'sodium_crypto_pwhash_scryptsalsa208sha256_str_verify')) if (!is_callable( 'sodium_crypto_scalarmult')) if (!is_callable( 'sodium_crypto_scalarmult_base')) if (!is_callable( 'sodium_crypto_secretbox')) if (!is_callable( 'sodium_crypto_secretbox_keygen')) if (!is_callable( 'sodium_crypto_secretbox_open')) if (!is_callable( 'sodium_crypto_secretstream_xchacha20poly1305_init_push')) if (!is_callable( 'sodium_crypto_secretstream_xchacha20poly1305_push')) if (!is_callable( 'sodium_crypto_secretstream_xchacha20poly1305_init_pull')) if (!is_callable( 'sodium_crypto_secretstream_xchacha20poly1305_pull')) if (!is_callable( 'sodium_crypto_secretstream_xchacha20poly1305_rekey')) if (!is_callable( 'sodium_crypto_secretstream_xchacha20poly1305_keygen')) if (!is_callable( 'sodium_crypto_shorthash')) if (!is_callable( 'sodium_crypto_shorthash_keygen')) if (!is_callable( 'sodium_crypto_sign')) if (!is_callable( 'sodium_crypto_sign_detached')) if (!is_callable( 'sodium_crypto_sign_keypair_from_secretkey_and_publickey')) if (!is_callable( 'sodium_crypto_sign_keypair')) if (!is_callable( 'sodium_crypto_sign_open')) if (!is_callable( 'sodium_crypto_sign_publickey')) if (!is_callable( 'sodium_crypto_sign_publickey_from_secretkey')) if (!is_callable( 'sodium_crypto_sign_secretkey')) if (!is_callable( 'sodium_crypto_sign_seed_keypair')) if (!is_callable( 'sodium_crypto_sign_verify_detached')) if (!is_callable( 'sodium_crypto_sign_ed25519_pk_to_curve25519')) if (!is_callable( 'sodium_crypto_sign_ed25519_sk_to_curve25519')) if (!is_callable( 'sodium_crypto_stream')) if (!is_callable( 'sodium_crypto_stream_keygen')) if(!is_callable('sodium_crypto_stream_xor'))

This file will monkey patch the pure-PHP implementation in place of the PECL functions and constants, but only if they do not already exist.

Thus, the functions or constants just proxy to the appropriate ParagonIE_Sodium_Compat method or class constant, respectively.

Voir également
ParagonIE_Sodium_Compat::add()
Paramètres
string | $val
string | $addv
Renvoie
void
Exceptions
SodiumException
Voir également
ParagonIE_Sodium_Compat::bin2base64()
Paramètres
string | $string
int | $variant
string | $ignore
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::bin2base64()
Paramètres
string | $string
int | $variant
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::hex2bin()
Paramètres
string $string
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::compare()
Paramètres
string | $a
string | $b
Renvoie
int
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_aead_aes256gcm_decrypt()
Paramètres
string | $message
string | $assocData
string | $nonce
string | $key
Renvoie
string|bool
Voir également
ParagonIE_Sodium_Compat::crypto_aead_aes256gcm_encrypt()
Paramètres
string | $message
string | $assocData
string | $nonce
string | $key
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_aead_aes256gcm_is_available()
Renvoie
bool
Voir également
ParagonIE_Sodium_Compat::crypto_aead_chacha20poly1305_decrypt()
Paramètres
string | $message
string | $assocData
string | $nonce
string | $key
Renvoie
string|bool
Voir également
ParagonIE_Sodium_Compat::crypto_aead_chacha20poly1305_encrypt()
Paramètres
string | $message
string | $assocData
string | $nonce
string | $key
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_aead_chacha20poly1305_keygen()
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_aead_chacha20poly1305_ietf_decrypt()
Paramètres
string | $message
string | $assocData
string | $nonce
string | $key
Renvoie
string|bool
Voir également
ParagonIE_Sodium_Compat::crypto_aead_chacha20poly1305_ietf_encrypt()
Paramètres
string | $message
string | $assocData
string | $nonce
string | $key
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_aead_chacha20poly1305_ietf_keygen()
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_aead_xchacha20poly1305_ietf_decrypt()
Paramètres
string | $message
string | $assocData
string | $nonce
string | $key
Renvoie
string|bool
Voir également
ParagonIE_Sodium_Compat::crypto_aead_xchacha20poly1305_ietf_encrypt()
Paramètres
string | $message
string | $assocData
string | $nonce
string | $key
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_aead_xchacha20poly1305_ietf_keygen()
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_auth()
Paramètres
string | $message
string | $key
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_auth_keygen()
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_auth_verify()
Paramètres
string | $mac
string | $message
string | $key
Renvoie
bool
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_box()
Paramètres
string | $message
string | $nonce
string | $kp
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_box_keypair()
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_box_keypair_from_secretkey_and_publickey()
Paramètres
string | $sk
string | $pk
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_box_open()
Paramètres
string | $message
string | $nonce
string | $kp
Renvoie
string|bool
Voir également
ParagonIE_Sodium_Compat::crypto_box_publickey()
Paramètres
string $keypair
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_box_publickey_from_secretkey()
Paramètres
string $sk
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_box_seal()
Paramètres
string | $message
string | $publicKey
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_box_seal_open()
Paramètres
string | $message
string | $kp
Renvoie
string|bool
Exceptions
SodiumException
Voir également
ParagonIE_Sodium_Compat::crypto_box_secretkey()
Paramètres
string $keypair
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_box_seed_keypair()
Paramètres
string $seed
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_generichash()
Paramètres
string | $message
string | null | $key
int | $outLen
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_generichash_final()
Paramètres
string | null | $ctx
int | $outputLength
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_generichash_init()
Paramètres
string | null | $key
int | $outLen
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_generichash_keygen()
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_generichash_update()
Paramètres
string | null | $ctx
string | $message
Renvoie
void
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_kdf_keygen()
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_kdf_derive_from_key()
Paramètres
int | $subkey_len
int | $subkey_id
string | $context
string | $key
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_kx()
Paramètres
string | $my_secret
string | $their_public
string | $client_public
string | $server_public
Renvoie
string
Exceptions
SodiumException
TypeError
Paramètres
string $seed
Renvoie
string
Exceptions
Exception
Renvoie
string
Exceptions
Exception
Paramètres
string | $keypair
string | $serverPublicKey
Renvoie
array{0: string, 1: string}
Exceptions
SodiumException
Paramètres
string | $keypair
string | $clientPublicKey
Renvoie
array{0: string, 1: string}
Exceptions
SodiumException
Paramètres
string $keypair
Renvoie
string
Exceptions
Exception
Paramètres
string $keypair
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_pwhash()
Paramètres
int | $outlen
string | $passwd
string | $salt
int | $opslimit
int | $memlimit
int | null | $algo
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_pwhash_str()
Paramètres
string | $passwd
int | $opslimit
int | $memlimit
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_pwhash_str_needs_rehash()
Paramètres
string | $hash
int | $opslimit
int | $memlimit
Renvoie
bool
Exceptions
SodiumException
Voir également
ParagonIE_Sodium_Compat::crypto_pwhash_str_verify()
Paramètres
string | $passwd
string | $hash
Renvoie
bool
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_pwhash_scryptsalsa208sha256()
Paramètres
int | $outlen
string | $passwd
string | $salt
int | $opslimit
int | $memlimit
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_pwhash_scryptsalsa208sha256_str()
Paramètres
string | $passwd
int | $opslimit
int | $memlimit
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_pwhash_scryptsalsa208sha256_str_verify()
Paramètres
string | $passwd
string | $hash
Renvoie
bool
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_scalarmult()
Paramètres
string | $n
string | $p
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_scalarmult_base()
Paramètres
string $n
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_secretbox()
Paramètres
string | $message
string | $nonce
string | $key
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_secretbox_keygen()
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_secretbox_open()
Paramètres
string | $message
string | $nonce
string | $key
Renvoie
string|bool
Paramètres
string $key
Renvoie
array<int, string>
Exceptions
SodiumException
Paramètres
string | $state
string | $msg
string | $aad
int | $tag
Renvoie
string
Exceptions
SodiumException
Paramètres
string | $header
string | $key
Renvoie
string
Exceptions
Exception
Paramètres
string | $state
string | $cipher
string | $aad
Renvoie
bool|array{0: string, 1: int}
Exceptions
SodiumException
Paramètres
string $state
Renvoie
void
Exceptions
SodiumException
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_shorthash()
Paramètres
string | $message
string | $key
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_shorthash_keygen()
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_sign()
Paramètres
string | $message
string | $sk
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_detached()
Paramètres
string | $message
string | $sk
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_keypair_from_secretkey_and_publickey()
Paramètres
string | $sk
string | $pk
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_keypair()
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_open()
Paramètres
string | $signedMessage
string | $pk
Renvoie
string|bool
Voir également
ParagonIE_Sodium_Compat::crypto_sign_publickey()
Paramètres
string $keypair
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_publickey_from_secretkey()
Paramètres
string $sk
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_secretkey()
Paramètres
string $keypair
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_seed_keypair()
Paramètres
string $seed
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_verify_detached()
Paramètres
string | $signature
string | $message
string | $pk
Renvoie
bool
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_ed25519_pk_to_curve25519()
Paramètres
string $pk
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_sign_ed25519_sk_to_curve25519()
Paramètres
string $sk
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_stream()
Paramètres
int | $len
string | $nonce
string | $key
Renvoie
string
Exceptions
SodiumException
TypeError
Voir également
ParagonIE_Sodium_Compat::crypto_stream_keygen()
Renvoie
string
Exceptions
Exception
Voir également
ParagonIE_Sodium_Compat::crypto_stream_xor()
Paramètres
string | $message
string | $nonce
string | $key
Renvoie
string
Exceptions
SodiumException
TypeError


Joomla CMS: Référence du fichier php72compat_const.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • lib
Variables
Référence du fichier php72compat_const.php

Variables

const | SODIUM_LIBRARY_MAJOR_VERSION = 9
const | SODIUM_LIBRARY_MINOR_VERSION = 1
const | SODIUM_LIBRARY_VERSION = '1.0.8'
const | SODIUM_BASE64_VARIANT_ORIGINAL = 1
const | SODIUM_BASE64_VARIANT_ORIGINAL_NO_PADDING = 3
const | SODIUM_BASE64_VARIANT_URLSAFE = 5
const | SODIUM_BASE64_VARIANT_URLSAFE_NO_PADDING = 7
const | SODIUM_CRYPTO_AEAD_AES256GCM_KEYBYTES = 32
const | SODIUM_CRYPTO_AEAD_AES256GCM_NSECBYTES = 0
const | SODIUM_CRYPTO_AEAD_AES256GCM_NPUBBYTES = 12
const | SODIUM_CRYPTO_AEAD_AES256GCM_ABYTES = 16
const | SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES = 32
const | SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES = 0
const | SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES = 8
const | SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_ABYTES = 16
const | SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES = 32
const | SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES = 0
const | SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES = 12
const | SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES = 16
const | SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES = 32
const | SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES = 0
const | SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES = 24
const | SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES = 16
const | SODIUM_CRYPTO_AUTH_BYTES = 32
const | SODIUM_CRYPTO_AUTH_KEYBYTES = 32
const | SODIUM_CRYPTO_BOX_SEALBYTES = 16
const | SODIUM_CRYPTO_BOX_SECRETKEYBYTES = 32
const | SODIUM_CRYPTO_BOX_PUBLICKEYBYTES = 32
const | SODIUM_CRYPTO_BOX_KEYPAIRBYTES = 64
const | SODIUM_CRYPTO_BOX_MACBYTES = 16
const | SODIUM_CRYPTO_BOX_NONCEBYTES = 24
const | SODIUM_CRYPTO_BOX_SEEDBYTES = 32
const | SODIUM_CRYPTO_KDF_BYTES_MIN = 16
const | SODIUM_CRYPTO_KDF_BYTES_MAX = 64
const | SODIUM_CRYPTO_KDF_CONTEXTBYTES = 8
const | SODIUM_CRYPTO_KDF_KEYBYTES = 32
const | SODIUM_CRYPTO_KX_BYTES = 32
const | SODIUM_CRYPTO_KX_PRIMITIVE = 'x25519blake2b'
const | SODIUM_CRYPTO_KX_SEEDBYTES = 32
const | SODIUM_CRYPTO_KX_KEYPAIRBYTES = 64
const | SODIUM_CRYPTO_KX_PUBLICKEYBYTES = 32
const | SODIUM_CRYPTO_KX_SECRETKEYBYTES = 32
const | SODIUM_CRYPTO_KX_SESSIONKEYBYTES = 32
const | SODIUM_CRYPTO_GENERICHASH_BYTES = 32
const | SODIUM_CRYPTO_GENERICHASH_BYTES_MIN = 16
const | SODIUM_CRYPTO_GENERICHASH_BYTES_MAX = 64
const | SODIUM_CRYPTO_GENERICHASH_KEYBYTES = 32
const | SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MIN = 16
const | SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MAX = 64
const | SODIUM_CRYPTO_PWHASH_SALTBYTES = 16
const | SODIUM_CRYPTO_PWHASH_STRPREFIX = '$argon2id$'
const | SODIUM_CRYPTO_PWHASH_ALG_ARGON2I13 = 1
const | SODIUM_CRYPTO_PWHASH_ALG_ARGON2ID13 = 2
const | SODIUM_CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE = 33554432
const | SODIUM_CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE = 4
const | SODIUM_CRYPTO_PWHASH_MEMLIMIT_MODERATE = 134217728
const | SODIUM_CRYPTO_PWHASH_OPSLIMIT_MODERATE = 6
const | SODIUM_CRYPTO_PWHASH_MEMLIMIT_SENSITIVE = 536870912
const | SODIUM_CRYPTO_PWHASH_OPSLIMIT_SENSITIVE = 8
const | SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES = 32
const | SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX = '$7$'
const | SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE = 534288
const | SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE = 16777216
const | SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE = 33554432
const | SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE = 1073741824
const | SODIUM_CRYPTO_SCALARMULT_BYTES = 32
const | SODIUM_CRYPTO_SCALARMULT_SCALARBYTES = 32
const | SODIUM_CRYPTO_SHORTHASH_BYTES = 8
const | SODIUM_CRYPTO_SHORTHASH_KEYBYTES = 16
const | SODIUM_CRYPTO_SECRETBOX_KEYBYTES = 32
const | SODIUM_CRYPTO_SECRETBOX_MACBYTES = 16
const | SODIUM_CRYPTO_SECRETBOX_NONCEBYTES = 24
const | SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES = 17
const | SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES = 24
const | SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES = 32
const | SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH = 0
const | SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL = 1
const | SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY = 2
const | SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL = 3
const | SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX = 0x3fffffff80
const | SODIUM_CRYPTO_SIGN_BYTES = 64
const | SODIUM_CRYPTO_SIGN_SEEDBYTES = 32
const | SODIUM_CRYPTO_SIGN_PUBLICKEYBYTES = 32
const | SODIUM_CRYPTO_SIGN_SECRETKEYBYTES = 64
const | SODIUM_CRYPTO_SIGN_KEYPAIRBYTES = 96
const | SODIUM_CRYPTO_STREAM_KEYBYTES = 32
const | SODIUM_CRYPTO_STREAM_NONCEBYTES = 24
const | SODIUM_CRYPTO_STREAM_XCHACHA20_KEYBYTES = 32
const | SODIUM_CRYPTO_STREAM_XCHACHA20_NONCEBYTES = 24

Documentation des variables

◆ SODIUM_BASE64_VARIANT_ORIGINAL

const SODIUM_BASE64_VARIANT_ORIGINAL = 1

◆ SODIUM_BASE64_VARIANT_ORIGINAL_NO_PADDING

const SODIUM_BASE64_VARIANT_ORIGINAL_NO_PADDING = 3

◆ SODIUM_BASE64_VARIANT_URLSAFE

const SODIUM_BASE64_VARIANT_URLSAFE = 5

◆ SODIUM_BASE64_VARIANT_URLSAFE_NO_PADDING

const SODIUM_BASE64_VARIANT_URLSAFE_NO_PADDING = 7

◆ SODIUM_CRYPTO_AEAD_AES256GCM_ABYTES

const SODIUM_CRYPTO_AEAD_AES256GCM_ABYTES = 16

◆ SODIUM_CRYPTO_AEAD_AES256GCM_KEYBYTES

const SODIUM_CRYPTO_AEAD_AES256GCM_KEYBYTES = 32

◆ SODIUM_CRYPTO_AEAD_AES256GCM_NPUBBYTES

const SODIUM_CRYPTO_AEAD_AES256GCM_NPUBBYTES = 12

◆ SODIUM_CRYPTO_AEAD_AES256GCM_NSECBYTES

const SODIUM_CRYPTO_AEAD_AES256GCM_NSECBYTES = 0

◆ SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_ABYTES

const SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_ABYTES = 16

◆ SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES

const SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES = 16

◆ SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES

const SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES = 32

◆ SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES

const SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES = 12

◆ SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES

const SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES = 0

◆ SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES

const SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES = 32

◆ SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES

const SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES = 8

◆ SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES

const SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES = 0

◆ SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES

const SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES = 16

◆ SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES

const SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES = 32

◆ SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES

const SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES = 24

◆ SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES

const SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES = 0

◆ SODIUM_CRYPTO_AUTH_BYTES

const SODIUM_CRYPTO_AUTH_BYTES = 32

◆ SODIUM_CRYPTO_AUTH_KEYBYTES

const SODIUM_CRYPTO_AUTH_KEYBYTES = 32

◆ SODIUM_CRYPTO_BOX_KEYPAIRBYTES

const SODIUM_CRYPTO_BOX_KEYPAIRBYTES = 64

◆ SODIUM_CRYPTO_BOX_MACBYTES

const SODIUM_CRYPTO_BOX_MACBYTES = 16

◆ SODIUM_CRYPTO_BOX_NONCEBYTES

const SODIUM_CRYPTO_BOX_NONCEBYTES = 24

◆ SODIUM_CRYPTO_BOX_PUBLICKEYBYTES

const SODIUM_CRYPTO_BOX_PUBLICKEYBYTES = 32

◆ SODIUM_CRYPTO_BOX_SEALBYTES

const SODIUM_CRYPTO_BOX_SEALBYTES = 16

◆ SODIUM_CRYPTO_BOX_SECRETKEYBYTES

const SODIUM_CRYPTO_BOX_SECRETKEYBYTES = 32

◆ SODIUM_CRYPTO_BOX_SEEDBYTES

const SODIUM_CRYPTO_BOX_SEEDBYTES = 32

◆ SODIUM_CRYPTO_GENERICHASH_BYTES

const SODIUM_CRYPTO_GENERICHASH_BYTES = 32

◆ SODIUM_CRYPTO_GENERICHASH_BYTES_MAX

const SODIUM_CRYPTO_GENERICHASH_BYTES_MAX = 64

◆ SODIUM_CRYPTO_GENERICHASH_BYTES_MIN

const SODIUM_CRYPTO_GENERICHASH_BYTES_MIN = 16

◆ SODIUM_CRYPTO_GENERICHASH_KEYBYTES

const SODIUM_CRYPTO_GENERICHASH_KEYBYTES = 32

◆ SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MAX

const SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MAX = 64

◆ SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MIN

const SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MIN = 16

◆ SODIUM_CRYPTO_KDF_BYTES_MAX

const SODIUM_CRYPTO_KDF_BYTES_MAX = 64

◆ SODIUM_CRYPTO_KDF_BYTES_MIN

const SODIUM_CRYPTO_KDF_BYTES_MIN = 16

◆ SODIUM_CRYPTO_KDF_CONTEXTBYTES

const SODIUM_CRYPTO_KDF_CONTEXTBYTES = 8

◆ SODIUM_CRYPTO_KDF_KEYBYTES

const SODIUM_CRYPTO_KDF_KEYBYTES = 32

◆ SODIUM_CRYPTO_KX_BYTES

const SODIUM_CRYPTO_KX_BYTES = 32

◆ SODIUM_CRYPTO_KX_KEYPAIRBYTES

const SODIUM_CRYPTO_KX_KEYPAIRBYTES = 64

◆ SODIUM_CRYPTO_KX_PRIMITIVE

const SODIUM_CRYPTO_KX_PRIMITIVE = 'x25519blake2b'

◆ SODIUM_CRYPTO_KX_PUBLICKEYBYTES

const SODIUM_CRYPTO_KX_PUBLICKEYBYTES = 32

◆ SODIUM_CRYPTO_KX_SECRETKEYBYTES

const SODIUM_CRYPTO_KX_SECRETKEYBYTES = 32

◆ SODIUM_CRYPTO_KX_SEEDBYTES

const SODIUM_CRYPTO_KX_SEEDBYTES = 32

◆ SODIUM_CRYPTO_KX_SESSIONKEYBYTES

const SODIUM_CRYPTO_KX_SESSIONKEYBYTES = 32

◆ SODIUM_CRYPTO_PWHASH_ALG_ARGON2I13

const SODIUM_CRYPTO_PWHASH_ALG_ARGON2I13 = 1

◆ SODIUM_CRYPTO_PWHASH_ALG_ARGON2ID13

const SODIUM_CRYPTO_PWHASH_ALG_ARGON2ID13 = 2

◆ SODIUM_CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE

const SODIUM_CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE = 33554432

◆ SODIUM_CRYPTO_PWHASH_MEMLIMIT_MODERATE

const SODIUM_CRYPTO_PWHASH_MEMLIMIT_MODERATE = 134217728

◆ SODIUM_CRYPTO_PWHASH_MEMLIMIT_SENSITIVE

const SODIUM_CRYPTO_PWHASH_MEMLIMIT_SENSITIVE = 536870912

◆ SODIUM_CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE

const SODIUM_CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE = 4

◆ SODIUM_CRYPTO_PWHASH_OPSLIMIT_MODERATE

const SODIUM_CRYPTO_PWHASH_OPSLIMIT_MODERATE = 6

◆ SODIUM_CRYPTO_PWHASH_OPSLIMIT_SENSITIVE

const SODIUM_CRYPTO_PWHASH_OPSLIMIT_SENSITIVE = 8

◆ SODIUM_CRYPTO_PWHASH_SALTBYTES

const SODIUM_CRYPTO_PWHASH_SALTBYTES = 16

◆ SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE

const SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE = 16777216

◆ SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE

const SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE = 1073741824

◆ SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE

const SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE = 534288

◆ SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE

const SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE = 33554432

◆ SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES

const SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES = 32

◆ SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX

const SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX = '$7$'

◆ SODIUM_CRYPTO_PWHASH_STRPREFIX

const SODIUM_CRYPTO_PWHASH_STRPREFIX = '$argon2id$'

◆ SODIUM_CRYPTO_SCALARMULT_BYTES

const SODIUM_CRYPTO_SCALARMULT_BYTES = 32

◆ SODIUM_CRYPTO_SCALARMULT_SCALARBYTES

const SODIUM_CRYPTO_SCALARMULT_SCALARBYTES = 32

◆ SODIUM_CRYPTO_SECRETBOX_KEYBYTES

const SODIUM_CRYPTO_SECRETBOX_KEYBYTES = 32

◆ SODIUM_CRYPTO_SECRETBOX_MACBYTES

const SODIUM_CRYPTO_SECRETBOX_MACBYTES = 16

◆ SODIUM_CRYPTO_SECRETBOX_NONCEBYTES

const SODIUM_CRYPTO_SECRETBOX_NONCEBYTES = 24

◆ SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES

const SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES = 17

◆ SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES

const SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES = 24

◆ SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES

const SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES = 32

◆ SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX

const SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX = 0x3fffffff80

◆ SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL

const SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL = 3

◆ SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL

const SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL = 1

◆ SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH

const SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH = 0

◆ SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY

const SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY = 2

◆ SODIUM_CRYPTO_SHORTHASH_BYTES

const SODIUM_CRYPTO_SHORTHASH_BYTES = 8

◆ SODIUM_CRYPTO_SHORTHASH_KEYBYTES

const SODIUM_CRYPTO_SHORTHASH_KEYBYTES = 16

◆ SODIUM_CRYPTO_SIGN_BYTES

const SODIUM_CRYPTO_SIGN_BYTES = 64

◆ SODIUM_CRYPTO_SIGN_KEYPAIRBYTES

const SODIUM_CRYPTO_SIGN_KEYPAIRBYTES = 96

◆ SODIUM_CRYPTO_SIGN_PUBLICKEYBYTES

const SODIUM_CRYPTO_SIGN_PUBLICKEYBYTES = 32

◆ SODIUM_CRYPTO_SIGN_SECRETKEYBYTES

const SODIUM_CRYPTO_SIGN_SECRETKEYBYTES = 64

◆ SODIUM_CRYPTO_SIGN_SEEDBYTES

const SODIUM_CRYPTO_SIGN_SEEDBYTES = 32

◆ SODIUM_CRYPTO_STREAM_KEYBYTES

const SODIUM_CRYPTO_STREAM_KEYBYTES = 32

◆ SODIUM_CRYPTO_STREAM_NONCEBYTES

const SODIUM_CRYPTO_STREAM_NONCEBYTES = 24

◆ SODIUM_CRYPTO_STREAM_XCHACHA20_KEYBYTES

const SODIUM_CRYPTO_STREAM_XCHACHA20_KEYBYTES = 32

◆ SODIUM_CRYPTO_STREAM_XCHACHA20_NONCEBYTES

const SODIUM_CRYPTO_STREAM_XCHACHA20_NONCEBYTES = 24

◆ SODIUM_LIBRARY_MAJOR_VERSION

const SODIUM_LIBRARY_MAJOR_VERSION = 9

Référencé par ParagonIE_Sodium_Compat\library_version_major().

◆ SODIUM_LIBRARY_MINOR_VERSION

const SODIUM_LIBRARY_MINOR_VERSION = 1

Référencé par ParagonIE_Sodium_Compat\library_version_minor().

◆ SODIUM_LIBRARY_VERSION

const SODIUM_LIBRARY_VERSION = '1.0.8'


Joomla CMS: Référence du fichier Php73.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php73
Structures de données | Espaces de nommage
Référence du fichier Php73.php

Structures de données

class Php73

Espaces de nommage

Symfony\Polyfill\Php73


Joomla CMS: Référence du fichier phpfunc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • phpfunc
Structures de données | Espaces de nommage
Référence du fichier phpfunc.php

Structures de données

class FOFUtilsPhpfunc

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier phpmailer.lang-en_gb.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Mail
  • language
Variables
Référence du fichier phpmailer.lang-en_gb.php

Variables

$PHPMAILER_LANG ['authenticate'] = JText::_('PHPMAILER_AUTHENTICATE')
$PHPMAILER_LANG ['connect_host'] = JText::_('PHPMAILER_CONNECT_HOST')
$PHPMAILER_LANG ['data_not_accepted'] = JText::_('PHPMAILER_DATA_NOT_ACCEPTED')
$PHPMAILER_LANG ['empty_message'] = JText::_('PHPMAILER_EMPTY_MESSAGE')
$PHPMAILER_LANG ['encoding'] = JText::_('PHPMAILER_ENCODING')
$PHPMAILER_LANG ['execute'] = JText::_('PHPMAILER_EXECUTE')
$PHPMAILER_LANG ['file_access'] = JText::_('PHPMAILER_FILE_ACCESS')
$PHPMAILER_LANG ['file_open'] = JText::_('PHPMAILER_FILE_OPEN')
$PHPMAILER_LANG ['from_failed'] = JText::_('PHPMAILER_FROM_FAILED')
$PHPMAILER_LANG ['instantiate'] = JText::_('PHPMAILER_INSTANTIATE')
$PHPMAILER_LANG ['invalid_address'] = JText::_('PHPMAILER_INVALID_ADDRESS')
$PHPMAILER_LANG ['mailer_not_supported'] = JText::_('PHPMAILER_MAILER_IS_NOT_SUPPORTED')
$PHPMAILER_LANG ['provide_address'] = JText::_('PHPMAILER_PROVIDE_ADDRESS')
$PHPMAILER_LANG ['recipients_failed'] = JText::_('PHPMAILER_RECIPIENTS_FAILED')
$PHPMAILER_LANG ['signing'] = JText::_('PHPMAILER_SIGNING_ERROR')
$PHPMAILER_LANG ['smtp_connect_failed'] = JText::_('PHPMAILER_SMTP_CONNECT_FAILED')
$PHPMAILER_LANG ['smtp_error'] = JText::_('PHPMAILER_SMTP_ERROR')
$PHPMAILER_LANG ['variable_set'] = JText::_('PHPMAILER_VARIABLE_SET')
$PHPMAILER_LANG ['extension_missing'] = JText::_('PHPMAILER_EXTENSION_MISSING')

Documentation des variables

◆ $PHPMAILER_LANG [1/19]

$PHPMAILER_LANG[ 'authenticate'] = JText::_('PHPMAILER_AUTHENTICATE')

Référencé par PHPMailer\setLanguage().

◆ $PHPMAILER_LANG [2/19]

$PHPMAILER_LANG[ 'connect_host'] = JText::_('PHPMAILER_CONNECT_HOST')

◆ $PHPMAILER_LANG [3/19]

$PHPMAILER_LANG[ 'data_not_accepted'] = JText::_('PHPMAILER_DATA_NOT_ACCEPTED')

◆ $PHPMAILER_LANG [4/19]

$PHPMAILER_LANG[ 'empty_message'] = JText::_('PHPMAILER_EMPTY_MESSAGE')

◆ $PHPMAILER_LANG [5/19]

$PHPMAILER_LANG[ 'encoding'] = JText::_('PHPMAILER_ENCODING')

◆ $PHPMAILER_LANG [6/19]

$PHPMAILER_LANG[ 'execute'] = JText::_('PHPMAILER_EXECUTE')

◆ $PHPMAILER_LANG [7/19]

$PHPMAILER_LANG[ 'file_access'] = JText::_('PHPMAILER_FILE_ACCESS')

◆ $PHPMAILER_LANG [8/19]

$PHPMAILER_LANG[ 'file_open'] = JText::_('PHPMAILER_FILE_OPEN')

◆ $PHPMAILER_LANG [9/19]

$PHPMAILER_LANG[ 'from_failed'] = JText::_('PHPMAILER_FROM_FAILED')

◆ $PHPMAILER_LANG [10/19]

$PHPMAILER_LANG[ 'instantiate'] = JText::_('PHPMAILER_INSTANTIATE')

◆ $PHPMAILER_LANG [11/19]

$PHPMAILER_LANG[ 'invalid_address'] = JText::_('PHPMAILER_INVALID_ADDRESS')

◆ $PHPMAILER_LANG [12/19]

$PHPMAILER_LANG[ 'mailer_not_supported'] = JText::_('PHPMAILER_MAILER_IS_NOT_SUPPORTED')

◆ $PHPMAILER_LANG [13/19]

$PHPMAILER_LANG[ 'provide_address'] = JText::_('PHPMAILER_PROVIDE_ADDRESS')

◆ $PHPMAILER_LANG [14/19]

$PHPMAILER_LANG[ 'recipients_failed'] = JText::_('PHPMAILER_RECIPIENTS_FAILED')

◆ $PHPMAILER_LANG [15/19]

$PHPMAILER_LANG[ 'signing'] = JText::_('PHPMAILER_SIGNING_ERROR')

◆ $PHPMAILER_LANG [16/19]

$PHPMAILER_LANG[ 'smtp_connect_failed'] = JText::_('PHPMAILER_SMTP_CONNECT_FAILED')

◆ $PHPMAILER_LANG [17/19]

$PHPMAILER_LANG[ 'smtp_error'] = JText::_('PHPMAILER_SMTP_ERROR')

◆ $PHPMAILER_LANG [18/19]

$PHPMAILER_LANG[ 'variable_set'] = JText::_('PHPMAILER_VARIABLE_SET')

◆ $PHPMAILER_LANG [19/19]

$PHPMAILER_LANG[ 'extension_missing'] = JText::_('PHPMAILER_EXTENSION_MISSING')


Joomla CMS: Référence du fichier PHPMailerAutoload.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
Espaces de nommage | Fonctions
Référence du fichier PHPMailerAutoload.php

Espaces de nommage

PHPMailer

Fonctions

PHPMailerAutoload ($classname)

Documentation des fonctions

◆ PHPMailerAutoload()

PHPMailerAutoload ( $classname )

PHPMailer SPL autoloader.

Paramètres
string $classname The name of the class to load


Joomla CMS: Référence du fichier phpsetting.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier phpsetting.php

Structures de données

class JHtmlPhpSetting

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier phpversioncheck.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • phpversioncheck
Structures de données | Espaces de nommage
Référence du fichier phpversioncheck.php

Structures de données

class PlgQuickiconPhpVersionCheck

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier picasa.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
Structures de données | Espaces de nommage
Référence du fichier picasa.php

Structures de données

class JGoogleDataPicasa

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier places.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier places.php

Structures de données

class JTwitterPlaces

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier platform.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • integration
  • joomla
Structures de données | Espaces de nommage
Référence du fichier fof/integration/joomla/platform.php

Structures de données

class FOFIntegrationJoomlaPlatform

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier platform.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • platform
Structures de données | Espaces de nommage
Référence du fichier fof/platform/platform.php

Structures de données

class FOFPlatform

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier platform.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
Structures de données | Espaces de nommage
Référence du fichier joomla/platform.php

Structures de données

class JPlatform

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier platform_check.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Variables
Référence du fichier platform_check.php

Variables

$issues = array()

Documentation des variables

◆ $issues

$issues = array()


Joomla CMS: Référence du fichier plugin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • controllers
Structures de données | Espaces de nommage
Référence du fichier com_plugins/controllers/plugin.php

Structures de données

class PluginsControllerPlugin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier plugin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • models
Structures de données | Espaces de nommage
Référence du fichier com_plugins/models/plugin.php

Structures de données

class PluginsModelPlugin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier plugin.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
Structures de données | Espaces de nommage
Référence du fichier com_privacy/helpers/plugin.php

Structures de données

class PrivacyPlugin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier PluginAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier PluginAdapter.php

Structures de données

class PluginAdapter

Espaces de nommage

Joomla\CMS\Installer\Adapter


Joomla CMS: Référence du fichier pluginelement.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier pluginelement.php

Structures de données

class JFormFieldPluginElement

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier PluginHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Plugin
Structures de données | Espaces de nommage
Référence du fichier PluginHelper.php

Structures de données

class PluginHelper

Espaces de nommage

Joomla\CMS\Plugin


Joomla CMS: Référence du fichier plugininfo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier plugininfo.php

Structures de données

class JFormFieldPluginInfo

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier pluginordering.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier pluginordering.php

Structures de données

class JFormFieldPluginordering

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier plugins.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_plugins/controllers/plugins.php

Structures de données

class PluginsControllerPlugins

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier plugins.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_plugins/helpers/plugins.php

Structures de données

class PluginsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier plugins.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_plugins/models/plugins.php

Structures de données

class PluginsModelPlugins

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier plugins.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
Espaces de nommage | Variables
Référence du fichier administrator/components/com_plugins/plugins.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_plugins')) $controller = JControllerLegacy::getInstance('Plugins')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_plugins')) $controller = JControllerLegacy::getInstance('Plugins')


Joomla CMS: Référence du fichier plugins.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/plugins.php

Structures de données

class FOFFormFieldPlugins

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier plugins.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/plugins.php

Structures de données

class JFormFieldPlugins

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier PluginstatusField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier PluginstatusField.php

Structures de données

class PluginstatusField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier plugintype.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier plugintype.php

Structures de données

class JFormFieldPluginType

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier plus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
Structures de données | Espaces de nommage
Référence du fichier plus.php

Structures de données

class JGoogleDataPlus

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Poly1305.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Poly1305.php

Structures de données

class Poly1305

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier Poly1305.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/Poly1305.php

Structures de données

class ParagonIE_Sodium_Core_Poly1305


Joomla CMS: Référence du fichier Poly1305.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/Poly1305.php

Structures de données

class ParagonIE_Sodium_Core32_Poly1305


Joomla CMS: Référence du fichier popup.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php

Espaces de nommage

Joomla\Administrator

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']
$name = $displayData['name']

Documentation des variables

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

◆ $name

$name = $displayData['name']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier popup.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier layouts/joomla/toolbar/popup.php

Espaces de nommage

Joomla\Site

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']
$name = $displayData['name']

Documentation des variables

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

◆ $name

$name = $displayData['name']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier PopupButton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
  • Button
Structures de données | Espaces de nommage
Référence du fichier PopupButton.php

Structures de données

class PopupButton

Espaces de nommage

Joomla\CMS\Toolbar\Button


Joomla CMS: Référence du fichier porter_en.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • stemmer
Structures de données | Espaces de nommage
Référence du fichier porter_en.php

Structures de données

class FinderIndexerStemmerPorter_En

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Porteren.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
  • Stemmer
Structures de données | Espaces de nommage
Référence du fichier Porteren.php

Structures de données

class Porteren

Espaces de nommage

Joomla\CMS\Language\Stemmer


Joomla CMS: Référence du fichier position.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • utils
Variables
Référence du fichier phputf8/utils/position.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier position.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • utils
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/utils/position.php

Espaces de nommage

utf8

Fonctions

utf8_byte_position ()
utf8_locate_current_chr (&$str, $idx)
utf8_locate_next_chr (&$str, $idx)

Documentation des fonctions

◆ utf8_byte_position()

utf8_byte_position ( )

Références $i, $offset, $prev, utf8_locate_current_chr(), et utf8_locate_next_chr().

◆ utf8_locate_current_chr()

utf8_locate_current_chr | ( | & | $str,
 |  |  | $idx
 | ) |  |

Références $limit.

Référencé par utf8_byte_position().

◆ utf8_locate_next_chr()

utf8_locate_next_chr | ( | & | $str,
 |  |  | $idx
 | ) |  |

Références $limit.

Référencé par utf8_byte_position().


Joomla CMS: Référence du fichier positions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • models
Structures de données | Espaces de nommage
Référence du fichier positions.php

Structures de données

class ModulesModelPositions

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Post.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
  • RequestMethod
Structures de données | Espaces de nommage
Référence du fichier Post.php

Structures de données

class Post

Espaces de nommage

ReCaptcha\RequestMethod


Joomla CMS: Référence du fichier post.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier post.php

Structures de données

class JFacebookPost

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier postgresql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • driver
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/indexer/driver/postgresql.php

Structures de données

class FinderIndexerDriverPostgresql

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier postgresql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/driver/postgresql.php

Structures de données

class FOFDatabaseDriverPostgresql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier postgresql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/iterator/postgresql.php

Structures de données

class FOFDatabaseIteratorPostgresql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier postgresql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/query/postgresql.php

Structures de données

class FOFDatabaseQueryPostgresql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier postgresql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/driver/postgresql.php

Structures de données

class JDatabaseDriverPostgresql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier postgresql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exporter
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/exporter/postgresql.php

Structures de données

class JDatabaseExporterPostgresql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier postgresql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • importer
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/importer/postgresql.php

Structures de données

class JDatabaseImporterPostgresql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier postgresql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/iterator/postgresql.php

Structures de données

class JDatabaseIteratorPostgresql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier postgresql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/query/postgresql.php

Structures de données

class JDatabaseQueryPostgresql

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier PostgresqlChangeItem.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Schema
  • ChangeItem
Structures de données | Espaces de nommage
Référence du fichier PostgresqlChangeItem.php

Structures de données

class PostgresqlChangeItem

Espaces de nommage

Joomla\CMS\Schema\ChangeItem


Joomla CMS: Référence du fichier postinstall.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
Espaces de nommage
Référence du fichier postinstall.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Precomp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Curve25519
  • Ge
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Curve25519/Ge/Precomp.php

Structures de données

class Precomp

Espaces de nommage

ParagonIE\Sodium\Core\Curve25519\Ge


Joomla CMS: Référence du fichier Precomp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core/Curve25519/Ge/Precomp.php

Structures de données

class ParagonIE_Sodium_Core_Curve25519_Ge_Precomp


Joomla CMS: Référence du fichier Precomp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Curve25519
  • Ge
Structures de données
Référence du fichier src/Core32/Curve25519/Ge/Precomp.php

Structures de données

class ParagonIE_Sodium_Core32_Curve25519_Ge_Precomp


Joomla CMS: Référence du fichier predefinedlist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier predefinedlist.php

Structures de données

class JFormFieldPredefinedList

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier prefix.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier field/prefix.php

Structures de données

class InstallationFormFieldPrefix

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier prefix.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • form
  • rule
Structures de données | Espaces de nommage
Référence du fichier rule/prefix.php

Structures de données

class InstallationFormRulePrefix

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier preinstall.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier preinstall.php

Structures de données

class InstallationControllerPreinstall

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier preparable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier fof/database/query/preparable.php

Structures de données

interface FOFDatabaseQueryPreparable

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier preparable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier joomla/database/query/preparable.php

Structures de données

interface JDatabaseQueryPreparable

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier preview.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/preview.php

Structures de données

class ContenthistoryControllerPreview

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier preview.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • models
Structures de données | Espaces de nommage
Référence du fichier models/preview.php

Structures de données

class ContenthistoryModelPreview

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier preview.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • preview
  • tmpl
Espaces de nommage | Variables
Référence du fichier views/preview/tmpl/preview.php

Espaces de nommage

Joomla\Administrator

Variables

if &($this->item->version_note) nbsp
endif
endforeach
else __pad0__

Documentation des variables

◆ __pad0__

else __pad0__

◆ endforeach

endforeach

◆ endif

endif

◆ nbsp

foreach ($this->item->data as $name => $value) (is_object( $value->value))foreach ($value->value as $subName => $subValue)& ( $subValue) nbsp


Joomla CMS: Référence du fichier print_popup.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • icons
Espaces de nommage | Variables
Référence du fichier print_popup.php

Espaces de nommage

Joomla\Site

Variables

$params = $displayData['params']
$legacy = $displayData['legacy']
else __pad8__
endif
else __pad9__

Documentation des variables

◆ $legacy

$legacy = $displayData['legacy']

◆ $params

$params = $displayData['params']

◆ __pad8__

else __pad8__

◆ __pad9__

else __pad9__

◆ endif

endif


Joomla CMS: Référence du fichier print_screen.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • icons
Espaces de nommage | Variables
Référence du fichier print_screen.php

Espaces de nommage

Joomla\Site

Variables

$params = $displayData['params']
$legacy = $displayData['legacy']
else __pad10__
endif
else __pad11__

Documentation des variables

◆ $legacy

$legacy = $displayData['legacy']

◆ $params

$params = $displayData['params']

◆ __pad10__

else __pad10__

◆ __pad11__

else __pad11__

◆ endif

endif


Joomla CMS: Référence du fichier Priority.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Structures de données | Espaces de nommage
Référence du fichier Priority.php

Structures de données

class Priority

Espaces de nommage

Joomla\Event


Joomla CMS: Référence du fichier privacy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/helpers/privacy.php

Structures de données

class PrivacyHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier privacy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
Espaces de nommage | Variables
Référence du fichier administrator/components/com_privacy/privacy.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.admin')) $controller = JControllerLegacy::getInstance('Privacy')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.admin')) $controller = JControllerLegacy::getInstance('Privacy')


Joomla CMS: Référence du fichier privacy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
Espaces de nommage | Variables
Référence du fichier components/com_privacy/privacy.php

Espaces de nommage

Joomla\Site

Variables

$controller = JControllerLegacy::getInstance('Privacy')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Privacy')


Joomla CMS: Référence du fichier privacy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • privacyconsent
  • field
Structures de données | Espaces de nommage
Référence du fichier plugins/system/privacyconsent/field/privacy.php

Structures de données

class JFormFieldprivacy

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier privacycheck.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • privacycheck
Structures de données | Espaces de nommage
Référence du fichier privacycheck.php

Structures de données

class PlgQuickiconPrivacyCheck

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier privacyconsent.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • privacyconsent
Structures de données | Espaces de nommage
Référence du fichier privacyconsent.php

Structures de données

class PlgSystemPrivacyconsent

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier private.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • behavior
Structures de données | Espaces de nommage
Référence du fichier private.php

Structures de données

class FOFModelBehaviorPrivate

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier ProcessorInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
  • Output
  • Processor
Structures de données | Espaces de nommage
Référence du fichier ProcessorInterface.php

Structures de données

interface ProcessorInterface

Espaces de nommage

Joomla\Application\Cli\Output\Processor


Joomla CMS: Référence du fichier profile.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_admin/controllers/profile.php

Structures de données

class AdminControllerProfile

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier profile.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_admin/models/profile.php

Structures de données

class AdminModelProfile

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier profile.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier components/com_users/controllers/profile.php

Structures de données

class UsersControllerProfile

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier profile.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_users/models/profile.php

Structures de données

class UsersModelProfile

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier profile.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/twitter/profile.php

Structures de données

class JTwitterProfile

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier profile.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • profile
Structures de données | Espaces de nommage
Référence du fichier plugins/user/profile/profile.php

Structures de données

class PlgUserProfile

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Profiler.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Profiler
Structures de données | Espaces de nommage
Référence du fichier Profiler.php

Structures de données

class Profiler

Espaces de nommage

Joomla\CMS\Profiler


Joomla CMS: Référence du fichier ProtectedKeyException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
  • src
  • Exception
Structures de données | Espaces de nommage
Référence du fichier ProtectedKeyException.php

Structures de données

class ProtectedKeyException

Espaces de nommage

Joomla\DI\Exception


Joomla CMS: Référence du fichier provider.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • config
Structures de données | Espaces de nommage
Référence du fichier provider.php

Structures de données

class FOFConfigProvider

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier ProviderAwareAuthenticationPluginInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Authentication
Structures de données | Espaces de nommage
Référence du fichier ProviderAwareAuthenticationPluginInterface.php

Structures de données

interface ProviderAwareAuthenticationPluginInterface

Espaces de nommage

Joomla\CMS\Authentication


Joomla CMS: Référence du fichier publish_date.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Espaces de nommage
Référence du fichier publish_date.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier published.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier field/published.php

Structures de données

class FOFFormFieldPublished

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier published.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier header/published.php

Structures de données

class FOFFormHeaderPublished

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier publishingdata.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier publishingdata.php

Espaces de nommage

Joomla\Site

Variables

$app = JFactory::getApplication()
$form = $displayData->getForm()
$fields
$hiddenFields = $displayData->get('hidden_fields') ?: array()

Documentation des variables

◆ $app

$app = JFactory::getApplication()

◆ $fields

$fields
Valeur initiale :
= $displayData->get('fields') ?: array(
'publish_up',
'publish_down',
array('created', 'created_time'),
array('created_by', 'created_user_id'),
'created_by_alias',
array('modified', 'modified_time'),
array('modified_by', 'modified_user_id'),
'version',
'hits',
'id'
)
$displayData
else $displayData['item']
Definition: layouts/joomla/content/icons.php:47

◆ $form

$form = $displayData->getForm()

◆ $hiddenFields

$hiddenFields = $displayData->get('hidden_fields') ?: array()


Joomla CMS: Référence du fichier pulls.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier pulls.php

Structures de données

class JGithubPackagePulls

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier punycode.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • string
  • wrapper
Structures de données | Espaces de nommage
Référence du fichier punycode.php

Structures de données

class JStringWrapperPunycode

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier PunycodeHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • String
Structures de données | Espaces de nommage
Référence du fichier PunycodeHelper.php

Structures de données

class PunycodeHelper

Espaces de nommage

Joomla\CMS\String


Joomla CMS: Référence du fichier query.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/indexer/query.php

Structures de données

class FinderIndexerQuery

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier query.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_content/helpers/query.php

Structures de données

class ContentHelperQuery

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier query.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier components/com_finder/helpers/html/query.php

Structures de données

class JHtmlQuery

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier query.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/query.php

Structures de données

class FOFDatabaseQuery

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier query.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/query.php

Structures de données

class JDatabaseQuery

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier radio.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/radio.php

Espaces de nommage

Joomla\Site

Variables

$format = '<input type="radio" id="%1$s" name="%2$s" value="%3$s" %4$s />'
$alt = preg_replace('/[^a-zA-Z0-9_\-]/', '_', $name)

Documentation des variables

◆ $alt

$alt = preg_replace('/[^a-zA-Z0-9_\-]/', '_', $name)

◆ $format

$format = '<input type="radio" id="%1$s" name="%2$s" value="%3$s" %4$s />'

The format of the input tag to be filled in using sprintf. %1 - id %2 - name %3 - value %4 = any other attributes


Joomla CMS: Référence du fichier radio.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/radio.php

Structures de données

class FOFFormFieldRadio

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier radio.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/radio.php

Structures de données

class JFormFieldRadio

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier radio.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • radio
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/radio/radio.php

Structures de données

class PlgFieldsRadio

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier radio.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • radio
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/radio/tmpl/radio.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
$texts = array()
$options = $this->getOptionsFromField($field)
foreach ( $options as $optionValue=> $optionText)

Documentation des variables

◆ $options

$options = $this->getOptionsFromField($field)

◆ $texts

$texts = array()

◆ $value

if ( $value=='') $value = $field->value

◆ foreach

foreach($options as $optionValue=> $optionText)


Joomla CMS: Référence du fichier random.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Variables
Référence du fichier random.php

Variables

if(!defined('PHP_VERSION_ID')) if(PHP_VERSION_ID >=70000) if(!defined('RANDOM_COMPAT_READ_BUFFER')) $RandomCompatDIR = dirname(__FILE__)

Documentation des variables

◆ $RandomCompatDIR

if (!is_callable( 'random_bytes')) if (!is_callable( 'random_int')) $RandomCompatDIR = dirname(__FILE__)

Random_* Compatibility Library for using the new PHP 7 random_* API in PHP 5 projects

Version
1.4.3 2018-04-04

The MIT License (MIT)

Copyright (c) 2015 - 2016 Paragon Initiative Enterprises

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. PHP 7.0.0 and newer have these functions natively.

PHP 5.2.0 - 5.6.x way to implement random_bytes()

We use conditional statements here to define the function in accordance to the operating environment. It's a micro-optimization.

In order of preference:

  1. Use libsodium if available.
  2. fread() /dev/urandom if available (never on Windows)
  3. mcrypt_create_iv($bytes, MCRYPT_DEV_URANDOM)
  4. COM('CAPICOM.Utilities.1')->GetRandom()

See RATIONALE.md for our reasoning behind this particular order

Reading directly from /dev/urandom:

mcrypt_create_iv()

We only want to use mcypt_create_iv() if:

  • random_bytes() hasn't already been defined
  • the mcrypt extensions is loaded
  • One of these two conditions is true:
    • We're on Windows (DIRECTORY_SEPARATOR !== '/')
    • We're not on Windows and /dev/urandom is readabale (i.e. we're not in a chroot jail)
  • Special case:
    • If we're not on Windows, but the PHP version is between 5.6.10 and 5.6.12, we don't want to use mcrypt. It will hang indefinitely. This is bad.
    • If we're on Windows, we want to use PHP >= 5.3.7 or else we get insufficient entropy errors.

This is a Windows-specific fallback, for when the mcrypt extension isn't loaded.

openssl_random_pseudo_bytes()

throw new Exception

We don't have any more options, so let's throw an exception right now and hope the developer won't let it fail silently.

Paramètres
mixed $length
Renvoie
void
Exceptions
Exception


Joomla CMS: Référence du fichier random_bytes_com_dotnet.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier random_bytes_com_dotnet.php


Joomla CMS: Référence du fichier random_bytes_dev_urandom.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier random_bytes_dev_urandom.php


Joomla CMS: Référence du fichier random_bytes_libsodium.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier random_bytes_libsodium.php


Joomla CMS: Référence du fichier random_bytes_libsodium_legacy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier random_bytes_libsodium_legacy.php


Joomla CMS: Référence du fichier random_bytes_mcrypt.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier random_bytes_mcrypt.php


Joomla CMS: Référence du fichier random_bytes_openssl.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier random_bytes_openssl.php


Joomla CMS: Référence du fichier random_int.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Référence du fichier random_int.php


Joomla CMS: Référence du fichier randval.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
Structures de données | Espaces de nommage
Référence du fichier randval.php

Structures de données

class FOFEncryptRandval

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier randvalinterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
Structures de données | Espaces de nommage
Référence du fichier randvalinterface.php

Structures de données

interface FOFEncryptRandvalinterface

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier range.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/range.php

Espaces de nommage

Joomla\Site

Variables

$attributes
$value = is_numeric($value) ? (float) $value : $min

Documentation des variables

◆ $attributes

$attributes
Valeur initiale :
= array(
$class ? 'class="' . $class . '"' : '',
$disabled ? 'disabled' : '',
$readonly ? 'readonly' : '',
!empty($onchange) ? 'onchange="' . $onchange . '"' : '',
!empty($max) ? 'max="' . $max . '"' : '',
!empty($step) ? 'step="' . $step . '"' : '',
!empty($min) ? 'min="' . $min . '"' : '',
$autofocus ? 'autofocus' : '',
)
$autofocus
$autofocus
Definition: advanced.php:79
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19
$disabled
$disabled
Definition: administrator/templates/hathor/html/com_banners/banners/default.php:177
$onchange
$onchange
Definition: layouts/joomla/form/field/checkboxes.php:78
$step
$step
Definition: layouts/joomla/pagination/links.php:26
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

◆ $value

$value = is_numeric($value) ? (float) $value : $min


Joomla CMS: Référence du fichier range.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/range.php

Structures de données

class JFormFieldRange

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier rating.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • vote
  • tmpl
Espaces de nommage | Variables
Référence du fichier rating.php

Espaces de nommage

Joomla\Plugin

Variables

if($context=='com_content.categories') $rating = (int) $row->rating
$rcount = (int) $row->rating_count
$starImageOn = JHtml::_('image', 'system/rating_star.png', JText::_('PLG_VOTE_STAR_ACTIVE'), null, true)
$starImageOff = JHtml::_('image', 'system/rating_star_blank.png', JText::_('PLG_VOTE_STAR_INACTIVE'), null, true)
$img = ''
endif

Documentation des variables

◆ $img

$img = ''

Référencé par ModRandomImageHelper\getImages(), JHtmlGrid\published(), et SimplePie_Sanitize\sanitize().

◆ $rating

if ( $context=='com_content.categories') $rating = (int) $row->rating

Référencé par SimplePie_Item\get_enclosures(), et ContentModelArticle\storeVote().

◆ $rcount

$rcount = (int) $row->rating_count

◆ $starImageOff

$starImageOff = JHtml::_('image', 'system/rating_star_blank.png', JText::_('PLG_VOTE_STAR_INACTIVE'), null, true)

◆ $starImageOn

$starImageOn = JHtml::_('image', 'system/rating_star.png', JText::_('PLG_VOTE_STAR_ACTIVE'), null, true)

◆ endif

endif


Joomla CMS: Référence du fichier Rating.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Rating.php

Structures de données

class SimplePie_Rating

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier raw.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • view
Structures de données | Espaces de nommage
Référence du fichier raw.php

Structures de données

class FOFViewRaw

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier RawDocument.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier RawDocument.php

Structures de données

class RawDocument

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier Reader.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Phar
Structures de données | Espaces de nommage
Référence du fichier Reader.php

Structures de données

class Reader

Espaces de nommage

TYPO3\PharStreamWrapper\Phar


Joomla CMS: Référence du fichier ReaderException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Phar
Structures de données | Espaces de nommage
Référence du fichier ReaderException.php

Structures de données

class ReaderException

Espaces de nommage

TYPO3\PharStreamWrapper\Phar


Joomla CMS: Référence du fichier readmore.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier layouts/joomla/content/readmore.php

Espaces de nommage

Joomla\Site

Variables

$params = $displayData['params']
$item = $displayData['item']
$direction = JFactory::getLanguage()->isRtl() ? 'left' : 'right'
if (! $params->get( 'access-view'))
elseif ( $readmore=$item->alternative_readmore)
endif
else __pad16__

Documentation des variables

◆ $direction

$direction = JFactory::getLanguage()->isRtl() ? 'left' : 'right'

◆ $item

$item = $displayData['item']

◆ $params

$params = $displayData['params']

◆ __pad16__

else __pad16__

◆ elseif

elseif($params->get('show_readmore_title', 0)==0) ( $readmore = $item->alternative_readmore )

◆ endif

endif

◆ if

if(! $params->get('access-view'))


Joomla CMS: Référence du fichier readmore.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • readmore
Structures de données | Espaces de nommage
Référence du fichier plugins/editors-xtd/readmore/readmore.php

Structures de données

class PlgButtonReadmore

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier readonly.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Espaces de nommage | Variables
Référence du fichier readonly.php

Espaces de nommage

Joomla\Administrator

Variables

$input = JFactory::getApplication()->input

Documentation des variables

◆ $input

$input = JFactory::getApplication()->input


Joomla CMS: Référence du fichier recaptcha.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • captcha
  • recaptcha
Structures de données | Espaces de nommage
Référence du fichier recaptcha.php

Structures de données

class PlgCaptchaRecaptcha

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier ReCaptcha.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
Structures de données | Espaces de nommage
Référence du fichier ReCaptcha.php

Structures de données

class ReCaptcha

Espaces de nommage

ReCaptcha


Joomla CMS: Référence du fichier recaptcha_invisible.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • captcha
  • recaptcha_invisible
Structures de données | Espaces de nommage
Référence du fichier recaptcha_invisible.php

Structures de données

class PlgCaptchaRecaptcha_Invisible

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier redirect.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/helpers/html/redirect.php

Structures de données

class JHtmlRedirect

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier redirect.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/helpers/redirect.php

Structures de données

class RedirectHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier redirect.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/models/fields/redirect.php

Structures de données

class JFormFieldRedirect

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier redirect.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
Espaces de nommage | Variables
Référence du fichier administrator/components/com_redirect/redirect.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_redirect')) $controller = JControllerLegacy::getInstance('Redirect')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_redirect')) $controller = JControllerLegacy::getInstance('Redirect')


Joomla CMS: Référence du fichier redirect.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • redirect
Structures de données | Espaces de nommage
Référence du fichier plugins/system/redirect/redirect.php

Structures de données

class PlgSystemRedirect

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier RedirectStatusField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier RedirectStatusField.php

Structures de données

class RedirectStatusField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier redis.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Structures de données | Espaces de nommage
Référence du fichier redis.php

Structures de données

class JSessionStorageRedis

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier RedisStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier RedisStorage.php

Structures de données

class RedisStorage

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier refs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • data
Structures de données | Espaces de nommage
Référence du fichier package/data/refs.php

Structures de données

class JGithubPackageDataRefs

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier refs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier refs.php

Structures de données

class JGithubRefs

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier registration.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/registration.php

Structures de données

class UsersControllerRegistration

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier registration.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier models/registration.php

Structures de données

class UsersModelRegistration

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier RegistrationdaterangeField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier RegistrationdaterangeField.php

Structures de données

class RegistrationdaterangeField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier Registry.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
Structures de données | Espaces de nommage
Référence du fichier joomla/registry/src/Registry.php

Structures de données

class Registry

Espaces de nommage

Joomla\Registry


Joomla CMS: Référence du fichier Registry.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier simplepie/simplepie/library/SimplePie/Registry.php

Structures de données

class SimplePie_Registry

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier relation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier relation.php

Structures de données

class FOFFormFieldRelation

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier relations.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
Structures de données | Espaces de nommage
Référence du fichier relations.php

Structures de données

class FOFTableRelations

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier remember.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • remember
Structures de données | Espaces de nommage
Référence du fichier remember.php

Structures de données

class PlgSystemRemember

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier remind.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier com_privacy/models/remind.php

Structures de données

class PrivacyModelRemind

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier remind.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier com_users/controllers/remind.php

Structures de données

class UsersControllerRemind

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier remind.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier com_users/models/remind.php

Structures de données

class UsersModelRemind

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier remove.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier remove.php

Structures de données

class PrivacyModelRemove

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier removefolder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier removefolder.php

Structures de données

class | InstallationControllerRemovefolder
class | InstallationResponseJson

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier removeroot.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • application
Structures de données | Espaces de nommage
Référence du fichier removeroot.php

Structures de données

class ConfigControllerApplicationRemoveroot

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier render.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • layouts
  • field
Espaces de nommage | Variables
Référence du fichier com_contact/layouts/field/render.php

Espaces de nommage

Joomla\Site

Variables

if(!key_exists('field', $displayData)) | $field = $displayData['field']
$label = JText::_($field->label)
$value = $field->value
$class = $field->params->get('render_class')
$showLabel = $field->params->get('showlabel')
$labelClass = $field->params->get('label_render_class')
if($field->context=='com_contact.mail') | if (!strlen( $value))
endif

Documentation des variables

◆ $class

$class = $field->params->get('render_class')

◆ $field

if (!key_exists( 'field', $displayData)) $field = $displayData['field']

◆ $label

$label = JText::_($field->label)

◆ $labelClass

$labelClass = $field->params->get('label_render_class')

◆ $showLabel

$showLabel = $field->params->get('showlabel')

◆ $value

$value = $field->value

Référencé par Language\_(), CacheController\__construct(), Cache\__construct(), ComponentRecord\__construct(), SimplePie_File\__construct(), MenuItem\__construct(), Date\__get(), FOFFormHeader\__get(), JFormFieldConsentBox\__set(), JFormFieldPlugins\__set(), JFormFieldCheckbox\__set(), ModuleorderField\__set(), CaptchaField\__set(), OrderingField\__set(), ChromestyleField\__set(), FeedEntry\__set(), ModulepositionField\__set(), JFormFieldTimezone\__set(), JFormFieldFile\__set(), Feed\__set(), TemplatestyleField\__set(), JFormFieldRules\__set(), JFormFieldCheckboxes\__set(), JFormFieldText\__set(), JFormFieldTextarea\__set(), JFormFieldNumber\__set(), JFormFieldSQL\__set(), DataObject\__set(), ComponentRecord\__set(), JFormFieldMeter\__set(), JFormFieldPassword\__set(), JFormFieldModal_Menu\__set(), JFormFieldCategoryEdit\__set(), JFormFieldSubform\__set(), JFormFieldMenuitemByType\__set(), MenuitemField\__set(), JFormFieldFolderList\__set(), JFormFieldFileList\__set(), JFormFieldCalendar\__set(), JFormFieldColor\__set(), FOFHalLink\__set(), EditorField\__set(), SimplePie_IRI\__set(), MediaField\__set(), DataSet\__set(), FinderIndexerResult\__set(), MenuItem\__set(), FormField\__set(), FOFDatabaseDriverJoomla\__set(), FOFModel\__set(), JDatabaseQuerySqlite\__toString(), JOAuth1Client\_baseString(), Pagination\_buildDataObject(), JOAuth1Client\_createHeader(), AKAbstractUnarchiver\_prepare(), PlgCaptchaRecaptcha\_recaptcha_qsencode(), UserHelper\_toAPRMD5(), Event\addArgument(), ArrayHelper\addColumn(), Stream\addContextEntry(), PHPMailer\addCustomHeader(), JGoogleEmbedAnalytics\addCustomVar(), JGoogleEmbedAnalytics\addEvent(), Form\addNode(), JFormFieldList\addOption(), JHtmlUsers\admin_language(), FOFLessParser\argumentDef(), lessc_parser\argumentDef(), FOFLessParser\argumentValues(), Php55ArrayColumn\array_column(), ArrayHelper\arraySearch(), AKText\asJavascript(), lessc\assertArgs(), lessc\assertColor(), FOFLess\assertColor(), lessc\assertNumber(), FOFLess\assertNumber(), AdminModel\batchAccess(), ModulesModelModule\batchCopy(), MenusModelItem\batchCopy(), AdminModel\batchCopy(), CategoriesModelCategory\batchCopy(), FieldsModelField\batchCopy(), AdminModel\batchLanguage(), ContentModelArticle\batchMove(), ModulesModelModule\batchMove(), MenusModelItem\batchMove(), AdminModel\batchMove(), FieldsModelField\batchMove(), CategoriesModelCategory\batchMove(), UsersModelUser\batchReset(), AdminModel\batchTag(), ContactModelContact\batchUser(), JDatabaseQueryPgsql\bind(), JDatabaseQuerySqlite\bind(), JDatabaseQueryOracle\bind(), FOFDatabaseQuerySqlite\bind(), FOFDatabaseQueryOracle\bind(), DataObject\bind(), UsersModelUser\block(), SimplePie_Locator\body(), JHtmlGrid\boolean(), PlgUserProfile\calendar(), HTMLHelper\calendar(), JDatabaseQueryPdo\castAsChar(), FOFDatabaseQuerySqlsrv\castAsChar(), JDatabaseQueryMysqli\castAsChar(), JDatabaseQuerySqlsrv\castAsChar(), FOFDatabaseQueryPostgresql\castAsChar(), JDatabaseQueryPostgresql\castAsChar(), FOFDatabaseQuery\castAsChar(), JDatabaseQuery\castAsChar(), FinderIndexerAdapter\categoryStateChange(), FinderIndexerAdapter\change(), UsersControllerUsers\changeBlock(), SimplePie_Net_IPv6\check_ipv6(), InputFilter\clean(), MemcacheStorage\clean(), MemcachedStorage\clean(), AssociationsModelAssociations\clean(), MailWrapper\cleanLine(), MailHelper\cleanLine(), AdminModelSysInfo\cleanSectionPrivateData(), MailWrapper\cleanText(), MailHelper\cleanText(), Parser\cleanup(), Session\clear(), lessc\coerceColor(), FOFLess\coerceColor(), lessc\coerceString(), FOFLess\coerceString(), LdapClient\compare(), lessc\compileProp(), FOFLess\compileProp(), nodecounter\compileProperties(), lessc\compileSelectors(), FOFLess\compileSelectors(), lessc\compileValue(), FOFLess\compileValue(), FOFDatabaseQueryMysqli\concatenate(), JDatabaseQueryMysqli\concatenate(), FOFDatabaseInstaller\conditionMet(), JOpenstreetmapChangesets\createChangeset(), JGoogleEmbedAnalytics\createCustomVar(), JGoogleEmbedAnalytics\createEvent(), PrivacyPlugin\createItemFromArray(), JOpenstreetmapElements\createNode(), ContenthistoryHelper\createObjectArray(), ConfigModelModules\createOption(), ModulesHelper\createOption(), JOpenstreetmapElements\createRelation(), JOAuth2Client\createUrl(), JOpenstreetmapElements\createWay(), ContenthistoryHelper\decodeFields(), FOFUtilsObject\def(), CMSObject\def(), Registry\def(), JInput\def(), Input\def(), User\defParam(), WebClient\detectHeaders(), MenusViewItems\display(), FOFController\display(), PHPMailer\DKIM_HeaderC(), PlgUserProfile\dob(), Parser\doParse(), Dumper\dump(), Inline\dump(), Inline\dumpArray(), AKText\dumpLanguage(), DataObject\dumpProperty(), JHtmlUsers\editor(), SimplePie_Misc\element_implode(), PasswordHash\encode64(), LdapClient\escape(), ActionlogsHelperPhp55\escapeCsvFormula(), ActionlogsHelper\escapeCsvFormula(), Escaper\escapeWithDoubleQuotes(), Escaper\escapeWithSingleQuotes(), Inline\evaluateScalar(), FOFModelFieldText\exact(), FOFModelField\exact(), SimplePie_Locator\extension(), JHtmlContentAdministrator\featured(), JHtmlContact\featured(), ContactModelContact\featured(), ContentModelArticle\featured(), HeadRenderer\fetchHead(), JTwitterObject\fetchUrl(), Form\filterField(), LanguagesHelper\filterKey(), LanguagesHelper\filterText(), lessc\flattenList(), FOFLess\flattenList(), SplFixedArray\fromArray(), FOFLessParser\func(), lessc_parser\func(), FOFLessParser\genericList(), lessc_parser\genericList(), SimplePie_Item\get_enclosures(), SimplePie_XML_Declaration_Parser\get_value(), FOFForm\getAttribute(), Form\getAttribute(), FOFFormFieldCalendar\getCalendar(), JoomlaupdateModelDefault\getCollectionDetailsUrls(), ArrayHelper\getColumn(), TemplatesModelTemplate\getDirectoryTree(), Form\getField(), FieldsHelper\getFields(), Form\getFieldsets(), FOFFormHeaderFieldsearchable\getFilter(), FOFFormHeaderFielddate\getFilter(), MediaModelManager\getFolderList(), FOFForm\getHeader(), AbstractWebApplication\getHttpStatusValue(), WebApplication\getHttpStatusValue(), ActionlogsHelper\getHumanReadableLogMessage(), FinderIndexerQuery\getIncludedTermIds(), JFormFieldModalAssociation\getInput(), JFormFieldList\getInput(), JFormFieldModulelayout\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Contact\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModal_Article\getInput(), JFormFieldRepeatable\getInput(), JFormFieldFieldlayout\getInput(), JFormFieldComponentlayout\getInput(), FOFFormFieldGroupedbutton\getInput(), FOFFormFieldCheckboxes\getInput(), JFormFieldCheckbox\getInput(), JFormFieldGroupedList\getInput(), JFormFieldNumber\getInput(), JFormFieldModal_Menu\getInput(), JFormFieldText\getInput(), JFormFieldCategoryEdit\getInput(), Form\getInput(), InstallationModelLanguages\getInstalledlangs(), FOFModelFieldDate\getInterval(), ContentModelForm\getItem(), LanguagesModelLanguage\getItem(), MenusModelMenu\getItem(), ModulesModelPositions\getItems(), ContentModelArticles\getItems(), FOFTableRelations\getIteratorFromRelation(), InstallerModelLanguages\getLanguages(), UserField\getLayoutData(), ModSyndicateHelper\getLink(), MenusHelper\getLinkKey(), ContenthistoryHelper\getLookupValue(), FOFFormHeaderFieldselectable\getOptions(), FOFFormHeaderFieldsql\getOptions(), JFormFieldDirectories\getOptions(), LimitboxField\getOptions(), JFormFieldPredefinedList\getOptions(), JFormFieldList\getOptions(), JFormFieldRedirect\getOptions(), FOFFormFieldRelation\getOptions(), FOFFormFieldModel\getOptions(), FOFFormFieldList\getOptions(), JFormFieldSQL\getOptions(), Installer\getParams(), ConfigModelModules\getPositions(), FOFUtilsObject\getProperties(), CMSObject\getProperties(), JException\getProperties(), DataObject\getProperty(), FOFFormFieldActions\getPublishedField(), getQueryParam(), FOFFormFieldRelation\getRepeatable(), FOFFormFieldModel\getRepeatable(), FOFFormFieldCheckboxes\getRepeatable(), FOFFormFieldText\getRepeatable(), FOFFormFieldCheckbox\getRepeatable(), FOFFormFieldUrl\getRepeatable(), FOFFormFieldEmail\getRepeatable(), FOFFormFieldTel\getRepeatable(), FOFFormFieldUser\getRepeatable(), FinderIndexerQuery\getRequiredTermIds(), CMSHelper\getRowData(), ContentHistory\getSha1(), FOFModel\getState(), FOFFormFieldCheckbox\getStatic(), FOFFormFieldMedia\getStatic(), FOFFormFieldImagelist\getStatic(), FOFTableRelations\getTableFromRelation(), AdminModelHelp\getToc(), FOFUtilsUpdateJoomla\getUpdates(), RulesRule\getValueActions(), Ini\getValueAsIni(), Xml\getValueFromNode(), PHPMailer\headerLine(), JHtmlUsers\helpsite(), FOFLessParser\import(), lessc_parser\import(), lessc\injectVariables(), FOFLess\injectVariables(), FOFModelFieldDate\interval(), FOFModelFieldNumber\interval(), JLinkedinCommunications\inviteById(), FOFModelFieldBoolean\isEmpty(), FOFModelField\isEmpty(), Inline\isHash(), JoomlaupdateModelDefault\isTemplateActive(), FinderIndexerAdapter\itemStateChange(), JHtmlUsers\language(), FOFDatabaseQuerySqlsrv\length(), JDatabaseQuerySqlsrv\length(), FOFDatabaseQuery\length(), JDatabaseQuery\length(), lessc\lib_alpha(), FOFLess\lib_alpha(), lessc\lib_ceil(), FOFLess\lib_ceil(), lessc\lib_data_uri(), lessc\lib_extract(), lessc\lib_floor(), FOFLess\lib_floor(), lessc\lib_iscolor(), FOFLess\lib_iscolor(), lessc\lib_isem(), FOFLess\lib_isem(), lessc\lib_iskeyword(), FOFLess\lib_iskeyword(), lessc\lib_isnumber(), FOFLess\lib_isnumber(), lessc\lib_ispercentage(), FOFLess\lib_ispercentage(), lessc\lib_ispixel(), FOFLess\lib_ispixel(), lessc\lib_isrem(), FOFLess\lib_isrem(), lessc\lib_isstring(), FOFLess\lib_isstring(), lessc\lib_round(), FOFLess\lib_round(), KeychainManager\listEntries(), Table\load(), FOFTable\load(), FOFDatabaseDriver\loadAssocList(), JDatabaseDriver\loadAssocList(), Form\loadField(), FOFForm\loadHeader(), PackageManifest\loadManifestFromData(), JFormFieldSubform\loadSubFormData(), Cache\makeId(), FOFLessParser\mediaExpression(), lessc_parser\mediaExpression(), ContenthistoryHelper\mergeLabels(), Form\mergeNode(), Form\mergeNodes(), FOFModelFieldNumber\modulo(), JHtmlContent\months(), Ini\objectToString(), ParagonIE_Sodium_Core_Curve25519_Fe\offsetSet(), ParagonIE_Sodium_Core_ChaCha20_Ctx\offsetSet(), ParagonIE_Sodium_Core32_ChaCha20_Ctx\offsetSet(), ParagonIE_Sodium_Core32_Curve25519_Fe\offsetSet(), Event\offsetSet(), Feed\offsetSet(), Registry\offsetSet(), PlgContentFinder\onCategoryChangeState(), PlgSystemFields\onContentAfterSave(), PlgContentFinder\onContentChangeState(), PlgActionlogJoomla\onContentChangeState(), PlgContentJoomla\onContentChangeState(), FieldsListPlugin\onCustomFieldsPrepareDom(), PlgFinderContent\onFinderCategoryChangeState(), PlgFinderNewsfeeds\onFinderCategoryChangeState(), PlgFinderContacts\onFinderCategoryChangeState(), PlgFinderTags\onFinderChangeState(), PlgFinderCategories\onFinderChangeState(), PlgFinderContent\onFinderChangeState(), PlgFinderNewsfeeds\onFinderChangeState(), PlgFinderContacts\onFinderChangeState(), PlgSystemFields\onPrepareFinderContent(), lessc\op_number_number(), FOFLess\op_number_number(), Inline\parse(), Parser\parse(), AKText\parse_ini_file(), FOFUtilsIniParser\parse_ini_file_php(), SimplePie_Misc\parse_str(), UriHelper\parse_url(), JInputCli\parseArguments(), Cli\parseArguments(), FOFLessParser\parseChunk(), lessc_parser\parseChunk(), Inline\parseMapping(), Inline\parseSequence(), Parser\parseValue(), TemplatesHelper\parseXMLTemplateFile(), PluginsHelper\parseXMLTemplateFile(), FOFModelFieldNumber\partial(), FOFModelFieldText\partial(), JHtmlBanner\pinned(), FOFUtilsArray\pivot(), ArrayHelper\pivot(), ContentModelArticles\populateState(), UsersModelDebuggroup\populateState(), UsersModelDebugUser\populateState(), ContentModelCategory\populateState(), ListModel\populateState(), AdminModel\populateState(), JFormFieldSQL\processQuery(), FinderIndexerQuery\processString(), FOFLessFormatterClassic\property(), lessc_formatter_classic\property(), FOFLessParser\propertyValue(), lessc_parser\propertyValue(), Container\protect(), InstallerControllerUpdatesites\publish(), InstallerModelUpdatesites\publish(), InstallerModelManage\publish(), AdminController\publish(), MenusControllerItems\publish(), MessagesModelMessage\publish(), FinderModelMaps\publish(), NewsfeedsModelNewsfeed\publish(), FinderModelIndex\publish(), CategoriesModelCategory\publish(), AdminModel\publish(), MenusModelItem\publish(), JHtmlRedirect\published(), JHtmlGrid\published(), AKUnarchiverJPA\readArchiveHeader(), lessc\reduce(), FOFLess\reduce(), FOFDatabaseQueryMysqli\regexp(), JDatabaseQueryMysqli\regexp(), FOFDatabaseQueryPostgresql\regexp(), JDatabaseQueryPostgresql\regexp(), MemcacheStorage\remove(), MemcachedStorage\remove(), SimplePie_IRI\remove_iunreserved_percent_encoded(), FieldsHelper\render(), PlgSystemActionLogs\renderActionlogsNotify(), FOFToolbar\renderFromConfig(), AdminViewSysinfo\renderSection(), FOFToolbar\renderToolbarElement(), SimplePie_IRI\replace_invalid_with_pct_encoding(), SimplePie_Sanitize\replace_urls(), JOpenstreetmapUser\replacePreferences(), FOFDownloadAdapterCurl\reponseHeaderCallback(), CurlTransport\request(), SocketTransport\request(), StreamTransport\request(), Escaper\requiresDoubleQuoting(), Escaper\requiresSingleQuoting(), Reader\resolveFourByteLittleEndian(), Reader\resolveTwoByteBigEndian(), JApplication\route(), CMSApplication\route(), Backgroundfill\sanitizeColor(), JLinkedinPeople\search(), FOFModelField\search(), MailtoController\send(), JInputCookie\set(), Cookie\set(), FOFUtilsObject\set(), AbstractApplication\set(), CMSObject\set(), JInput\set(), BaseLayout\set(), Input\set(), JException\set(), MenuItem\set(), Container\set(), JRequest\set(), Session\set(), Pagination\set(), Stream\set(), lessc\set(), FOFLess\set(), AKFactory\set(), PHPMailer\set(), SimplePie\set_feed_url(), idna_convert\set_parameter(), Pagination\setAdditionalUrlParam(), Event\setArgument(), FOFModel\setBehaviorParam(), FOFUtilsUpdate\setCommonParameter(), MenusControllerItems\setDefault(), FinderIndexerResult\setElement(), Form\setFieldAttribute(), FieldsModelField\setFieldValue(), JResponse\setHeader(), AbstractWebApplication\setHeader(), WebApplication\setHeader(), FOFIntegrationJoomlaPlatform\setHeader(), MenusModelItem\setHome(), FOFModel\setIds(), HtmlView\setLayoutExt(), FOFView\setLayoutExt(), JApplicationWebRouterRest\setMethodInPostRequest(), Http\setOption(), JGoogleAuth\setOption(), JOpenstreetmapObject\setOption(), JLinkedinObject\setOption(), JGoogleEmbed\setOption(), JLinkedin\setOption(), JMediawiki\setOption(), JOpenstreetmap\setOption(), JGoogle\setOption(), JGithub\setOption(), JGoogleData\setOption(), JTwitter\setOption(), JFacebook\setOption(), JTwitterObject\setOption(), JOAuth2Client\setOption(), JDatabaseDriverPdo\setOption(), FOFDatabaseDriverPdo\setOption(), JOAuth1Client\setOption(), User\setParam(), InstallerScript\setParams(), Installer\setPath(), FOFView\setPostRender(), FOFView\setPreRender(), DataObject\setProperty(), LanguagesModelLanguages\setPublished(), BaseDatabaseModel\setState(), FOFModel\setState(), JOAuth2Client\setToken(), JFormFieldSection\setup(), JFormFieldType\setup(), JFormFieldUploaddirs\setup(), UsergrouplistField\setup(), JFormFieldCategoryEdit\setup(), UserField\setup(), JFormFieldPlugins\setup(), ModuleorderField\setup(), OrderingField\setup(), CaptchaField\setup(), JFormFieldCheckbox\setup(), ChromestyleField\setup(), ModulepositionField\setup(), JFormFieldTimezone\setup(), JFormFieldFile\setup(), JFormFieldConsentBox\setup(), TemplatestyleField\setup(), JFormFieldRules\setup(), JFormFieldNumber\setup(), JFormFieldTextarea\setup(), JFormFieldSQL\setup(), JFormFieldText\setup(), JFormFieldCheckboxes\setup(), JFormFieldModal_Menu\setup(), JFormFieldPassword\setup(), JFormFieldMeter\setup(), JFormFieldMenuitemByType\setup(), MenuitemField\setup(), JFormFieldFolderList\setup(), JFormFieldFileList\setup(), JFormFieldCalendar\setup(), JFormFieldColor\setup(), MediaField\setup(), JFormFieldSubform\setup(), EditorField\setup(), FormField\setup(), JApplication\setUserState(), CMSApplication\setUserState(), FormField\setValue(), Form\setValue(), Uri\setVar(), FOFInput\setVar(), Router\setVar(), JRequest\setVar(), PharInvocation\setVariable(), Cache\setWorkarounds(), Container\share(), InstallerHtmlUpdatesites\state(), InstallerHtmlManage\state(), JHtmlMessages\state(), JHtmlModules\state(), MenusHtmlMenus\state(), JHtmlMessages\status(), PharStreamWrapper\stream_metadata(), Ini\stringToObject(), SimplePie_Sanitize\strip_tag(), SimplePie_Parser\tag_open(), FOFLessParser\tagBracket(), FOFLessParser\tagExpression(), JHtmlUsers\templatestyle(), InstallationFormRuleUsername\test(), JFormRuleContactEmailSubject\test(), JFormRuleContactEmailMessage\test(), JFormRuleContactEmail\test(), CssIdentifierSubstringRule\test(), SubformRule\test(), UsernameRule\test(), ColorRule\test(), TelRule\test(), NumberRule\test(), ExistsRule\test(), RulesRule\test(), CalendarRule\test(), OptionsRule\test(), CaptchaRule\test(), FilePathRule\test(), NotequalsRule\test(), UrlRule\test(), EqualsRule\test(), PasswordRule\test(), EmailRule\test(), FormRule\test(), PHPMailer\textLine(), FOFStringUtils\toASCII(), PlgUserProfile\tos(), FOFStringUtils\toSlug(), JOAuth1Client\toUrl(), InstallerModel\translate(), FOFFormFieldComponents\translate(), FOFUtilsObservableDispatcher\trigger(), JEventDispatcher\trigger(), Unescaper\unescapeCharacter(), Unescaper\unescapeDoubleQuotedString(), Unescaper\unescapeSingleQuotedString(), JOpenstreetmapChangesets\updateChangeset(), PlgUserProfile\url(), Form\validate(), Form\validateField(), JHtmlUsers\value(), FOFLessParser\value(), lessc_parser\value(), lessc\zipSetArgs(), et FOFLess\zipSetArgs().

◆ endif

endif

◆ if

if($showLabel==1) ( ! strlen$value )


Joomla CMS: Référence du fichier render.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • layouts
  • fields
Espaces de nommage | Variables
Référence du fichier com_contact/layouts/fields/render.php

Espaces de nommage

Joomla\Site

Variables

if(!key_exists('item', $displayData)||!key_exists('context', $displayData)) | $item = $displayData['item']
if(! $item) | $context = $displayData['context']
$parts = explode('.', $context)
$component = $parts[0]
$fields = null
if(key_exists('fields', $displayData)) | else
if(! $fields) | $isMail = (reset($fields)->context == 'com_contact.mail')

Documentation des variables

◆ $component

$component = $parts[0]

◆ $context

if (! $item) $context = $displayData['context']

◆ $fields

$fields = null

◆ $isMail

if (! $fields) $isMail = (reset($fields)->context == 'com_contact.mail')

◆ $item

if (!key_exists( 'item', $displayData)||!key_exists( 'context', $displayData)) $item = $displayData['item']

◆ $parts

$parts = explode('.', $context)

◆ else

if (key_exists( 'fields', $displayData)) else
Valeur initiale :
{
$fields = $item->jcfields ?: FieldsHelper::getFields($context, $item, true)
FieldsHelper\getFields
static getFields($context, $item=null, $prepareValue=false, array $valuesToOverride=null)
Definition: administrator/components/com_fields/helpers/fields.php:89
$fields
$fields
Definition: com_contact/layouts/fields/render.php:36
$context
if(! $item) $context
Definition: com_contact/layouts/fields/render.php:25
$item
if(!key_exists('item', $displayData)||!key_exists('context', $displayData)) $item
Definition: com_contact/layouts/fields/render.php:18


Joomla CMS: Référence du fichier render.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_fields
  • layouts
  • field
Espaces de nommage | Variables
Référence du fichier com_fields/layouts/field/render.php

Espaces de nommage

Joomla\Site

Variables

if(!key_exists('field', $displayData)) | $field = $displayData['field']
$label = JText::_($field->label)
$value = $field->value
$showLabel = $field->params->get('showlabel')
$labelClass = $field->params->get('label_render_class')
$valueClass = $field->params->get('value_render_class')
if($value=='') | if ( $showLabel==1)
endif

Documentation des variables

◆ $field

if (!key_exists( 'field', $displayData)) $field = $displayData['field']

◆ $label

$label = JText::_($field->label)

◆ $labelClass

$labelClass = $field->params->get('label_render_class')

◆ $showLabel

$showLabel = $field->params->get('showlabel')

◆ $value

$value = $field->value

◆ $valueClass

$valueClass = $field->params->get('value_render_class')

◆ endif

endif

◆ if

if ( $value=='') if($showLabel==1)


Joomla CMS: Référence du fichier render.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_fields
  • layouts
  • fields
Espaces de nommage | Variables
Référence du fichier com_fields/layouts/fields/render.php

Espaces de nommage

Joomla\Site

Variables

if(!key_exists('item', $displayData)||!key_exists('context', $displayData)) | $item = $displayData['item']
if(! $item) | $context = $displayData['context']
$parts = explode('.', $context)
$component = $parts[0]
$fields = null
if(key_exists('fields', $displayData)) | else
if(empty($fields)) | $output = array()
foreach($fields as $field) | if (empty( $output))

Documentation des variables

◆ $component

$component = $parts[0]

◆ $context

if (! $item) $context = $displayData['context']

◆ $fields

$fields = null

◆ $item

if (!key_exists( 'item', $displayData)||!key_exists( 'context', $displayData)) $item = $displayData['item']

◆ $output

if (empty( $fields)) $output = array()

◆ $parts

$parts = explode('.', $context)

◆ else

if (key_exists( 'fields', $displayData)) else
Valeur initiale :
{
$fields = $item->jcfields ?: FieldsHelper::getFields($context, $item, true)
$context
if(! $item) $context
Definition: com_fields/layouts/fields/render.php:25
FieldsHelper\getFields
static getFields($context, $item=null, $prepareValue=false, array $valuesToOverride=null)
Definition: administrator/components/com_fields/helpers/fields.php:89
$item
if(!key_exists('item', $displayData)||!key_exists('context', $displayData)) $item
Definition: com_fields/layouts/fields/render.php:18
$fields
$fields
Definition: com_fields/layouts/fields/render.php:36

◆ if

foreach ( $fields as $field) if(empty($output))


Joomla CMS: Référence du fichier renderfield.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • layouts
  • joomla
  • form
Espaces de nommage | Variables
Référence du fichier components/com_contact/layouts/joomla/form/renderfield.php

Espaces de nommage

Joomla\Site

Variables

if(!empty($options['showonEnabled'])) $class = empty($options['class']) ? '' : ' ' . $options['class']
$rel = empty($options['rel']) ? '' : ' ' . $options['rel']
$required = (strpos($input, 'aria-required="true"') !== false || (!empty($match[1]) && strpos($match[1], 'required') !== false))
$typeOfSpacer = (strpos($label, 'spacer-lbl') !== false)
endif

Documentation des variables

◆ $class

if (!empty( $options[ 'showonEnabled'])) $class = empty($options['class']) ? '' : ' ' . $options['class']

Layout variables

$options : (array) Optional parameters $label : (string) The html code for the label (not required if $options['hiddenLabel'] is true) $input : (string) The input field html code

◆ $rel

$rel = empty($options['rel']) ? '' : ' ' . $options['rel']

Référencé par FOFHalDocument\addEmbedded(), FOFHalLinks\addLink(), FOFHalDocument\addLink(), FOFHalLinks\addLinks(), FOFHalDocument\addLinks(), AtomParser\bestLinkForUri(), SimplePie_Source\get_link(), SimplePie_Item\get_link(), SimplePie\get_link(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), FOFHalDocument\getEmbedded(), FOFHalLinks\getLinks(), FOFHalDocument\getLinks(), FOFHalRenderJson\render(), SimplePie_Locator\search_elements_by_tag(), et JHtmlAccess\usergroups().

◆ $required

$required = (strpos($input, 'aria-required="true"') !== false || (!empty($match[1]) && strpos($match[1], 'required') !== false))

Référencé par HTMLHelper\calendar(), Form\filterField(), JFormFieldCheckbox\getInput(), FOFFormFieldCheckbox\getRepeatable(), FinderModelSearch\getResultsData(), FinderModelSearch\getResultsTotal(), FOFFormFieldCheckbox\getStatic(), FOFRenderJoomla3\renderFieldsetLabel(), FOFRenderJoomla\renderFieldsetLabel(), FOFRenderStrapper\renderFieldsetLabel(), TelRule\test(), ColorRule\test(), CssIdentifierSubstringRule\test(), NumberRule\test(), FilePathRule\test(), CalendarRule\test(), OptionsRule\test(), UrlRule\test(), PasswordRule\test(), EmailRule\test(), et Form\validateField().

◆ $typeOfSpacer

$typeOfSpacer = (strpos($label, 'spacer-lbl') !== false)

◆ endif

endif


Joomla CMS: Référence du fichier renderfield.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • layouts
  • joomla
  • form
Espaces de nommage | Variables
Référence du fichier components/com_users/layouts/joomla/form/renderfield.php

Espaces de nommage

Joomla\Site

Variables

if(!empty($options['showonEnabled'])) $class = empty($options['class']) ? '' : ' ' . $options['class']
$rel = empty($options['rel']) ? '' : ' ' . $options['rel']
$required = (strpos($input, 'aria-required="true"') !== false || (!empty($match[1]) && strpos($match[1], 'required') !== false))
$typeOfSpacer = (strpos($label, 'spacer-lbl') !== false)
endif

Documentation des variables

◆ $class

if (!empty( $options[ 'showonEnabled'])) $class = empty($options['class']) ? '' : ' ' . $options['class']

Layout variables

$options : (array) Optional parameters $label : (string) The html code for the label (not required if $options['hiddenLabel'] is true) $input : (string) The input field html code

◆ $rel

$rel = empty($options['rel']) ? '' : ' ' . $options['rel']

◆ $required

$required = (strpos($input, 'aria-required="true"') !== false || (!empty($match[1]) && strpos($match[1], 'required') !== false))

◆ $typeOfSpacer

$typeOfSpacer = (strpos($label, 'spacer-lbl') !== false)

◆ endif

endif


Joomla CMS: Référence du fichier renderfield.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/renderfield.php

Espaces de nommage

Joomla\Site

Variables

if(!empty($options['showonEnabled'])) | $class = empty($options['class']) ? '' : ' ' . $options['class']
$rel = empty($options['rel']) ? '' : ' ' . $options['rel']
if(empty($options['hiddenLabel'])) | endif

Documentation des variables

◆ $class

if (!empty( $options[ 'showonEnabled'])) $class = empty($options['class']) ? '' : ' ' . $options['class']

Layout variables

$options : (array) Optional parameters $label : (string) The html code for the label (not required if $options['hiddenLabel'] is true) $input : (string) The input field html code

◆ $rel

$rel = empty($options['rel']) ? '' : ' ' . $options['rel']

◆ endif

if (empty( $options[ 'hiddenLabel'])) endif


Joomla CMS: Référence du fichier renderlabel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
Espaces de nommage | Variables
Référence du fichier renderlabel.php

Espaces de nommage

Joomla\Site

Variables

$classes = array_filter((array) $classes)
$id = $for . '-lbl'
$title = ''
if(!empty($description)) if ( $required)

Documentation des variables

◆ $classes

$classes = array_filter((array) $classes)

Layout variables

$text : (string) The label text $description : (string) An optional description to use in a tooltip $for : (string) The id of the input this label is for $required : (boolean) True if a required field $classes : (array) A list of classes $position : (string) The tooltip position. Bottom for alias

Référencé par JHtmlNewsfeed\association(), JHtmlContentAdministrator\association(), JHtmlContact\association(), JHtmlCategoriesAdministrator\association(), MenusHtmlMenus\association(), JLoader\discover(), AssociationsHelper\getAssociationHtmlList(), JLoader\getClassList(), Tree\getIconClass(), JLoader\import(), FOFRenderAbstract\isTabFieldset(), JLoader\load(), FOFRenderJoomla3\preRender(), FOFRenderStrapper\preRender(), FOFRenderJoomla\preRender(), et JLoader\register().

◆ $id

$id = $for . '-lbl'

◆ $title

$title = ''

◆ if

if (!empty( $description)) if($required)


Joomla CMS: Référence du fichier repeatable-table.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
Espaces de nommage | Variables
Référence du fichier repeatable-table.php

Espaces de nommage

Joomla\Site

Variables

if($multiple) | $table_head = ''
if(!empty($groupByFieldset)) | else

Documentation des variables

◆ $table_head

if ( $multiple) $table_head = ''

◆ else

if (!empty( $groupByFieldset)) else
Valeur initiale :
{
foreach ($tmpl->getGroup('') as $field) {
$table_head .= '<th>' . strip_tags($field->label);
if ($field->description)
{
$table_head .= '<br /><small style="font-weight:normal">' . JText::_($field->description) . '</small>';
}
$table_head .= '</th>';
}
$sublayout = 'section'
$sublayout
if($multiple) $sublayout
Definition: layouts/joomla/form/field/subform/repeatable.php:36
$tmpl
$tmpl
Definition: administrator/components/com_menus/views/item/tmpl/edit.php:116
$field
$field
Definition: administrator/components/com_contenthistory/views/history/tmpl/modal.php:19
$table_head
if($multiple) $table_head
Definition: repeatable-table.php:37


Joomla CMS: Référence du fichier repeatable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/subform/repeatable.php

Espaces de nommage

Joomla\Site

Variables

if($multiple) $sublayout = empty($groupByFieldset) ? 'section' : 'section-byfieldsets'
if (!empty( $buttons[ 'add']))
endif
endforeach

Documentation des variables

◆ $sublayout

if ( $multiple) $sublayout = empty($groupByFieldset) ? 'section' : 'section-byfieldsets'

Référencé par FileLayout\sublayout().

◆ endforeach

endforeach

◆ endif

endif

◆ if

if($multiple) ( ! empty$buttons['add'] )


Joomla CMS: Référence du fichier repeatable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/repeatable.php

Structures de données

class JFormFieldRepeatable

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier repeatable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • repeatable
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/repeatable/repeatable.php

Structures de données

class PlgFieldsRepeatable

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier repeatable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • repeatable
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/repeatable/tmpl/repeatable.php

Espaces de nommage

Joomla\Plugin

Variables

$fieldValue = $field->value
if($fieldValue==='') | $fieldValues = json_decode($fieldValue, true)
if(empty($fieldValues)) | $html = '<ul>'

Documentation des variables

◆ $fieldValue

$fieldValue = $field->value

◆ $fieldValues

if ( $fieldValue==='') $fieldValues = json_decode($fieldValue, true)

Référencé par FieldsHelper\getFields().

◆ $html

foreach ( $fieldValues as $value) $html = '<ul>'


Joomla CMS: Référence du fichier repositories.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier repositories.php

Structures de données

class JGithubPackageRepositories

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier request.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/controllers/request.php

Structures de données

class PrivacyControllerRequest

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier request.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/models/request.php

Structures de données

class PrivacyModelRequest

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier request.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/tables/request.php

Structures de données

class PrivacyTableRequest

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier request.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • controllers
Structures de données | Espaces de nommage
Référence du fichier components/com_privacy/controllers/request.php

Structures de données

class PrivacyControllerRequest

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier request.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_privacy/models/request.php

Structures de données

class PrivacyModelRequest

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier request.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • request
Structures de données | Espaces de nommage | Variables
Référence du fichier libraries/legacy/request/request.php

Structures de données

class JRequest

Espaces de nommage

Joomla\Legacy

Variables

$GLOBALS ['_JREQUEST'] = array()
const | JREQUEST_NOTRIM = 1
const | JREQUEST_ALLOWRAW = 2
const | JREQUEST_ALLOWHTML = 4

Documentation des variables

◆ $GLOBALS

$GLOBALS[ '_JREQUEST'] = array()

Create the request global object

Référencé par Json\__construct(), Input\__get(), JInput\__get(), composerRequirec14bde14f8c86840049f5c1809c453dd(), JRequest\getVar(), Folder\listFolderTree(), JInput\loadAllInputs(), Input\loadAllInputs(), JRequest\setVar(), DaemonApplication\shutdown(), et AbstractDaemonApplication\shutdown().

◆ JREQUEST_ALLOWHTML

const JREQUEST_ALLOWHTML = 4

◆ JREQUEST_ALLOWRAW

const JREQUEST_ALLOWRAW = 2

◆ JREQUEST_NOTRIM

const JREQUEST_NOTRIM = 1

Set the available masks for cleaning variables


Joomla CMS: Référence du fichier request.xml.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • controllers
Structures de données | Espaces de nommage
Référence du fichier request.xml.php

Structures de données

class PrivacyControllerRequest

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier RequestMethod.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
Structures de données | Espaces de nommage
Référence du fichier RequestMethod.php

Structures de données

interface RequestMethod

Espaces de nommage

ReCaptcha


Joomla CMS: Référence du fichier RequestParameters.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
Structures de données | Espaces de nommage
Référence du fichier RequestParameters.php

Structures de données

class RequestParameters

Espaces de nommage

ReCaptcha


Joomla CMS: Référence du fichier requests.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/requests.php

Structures de données

class PrivacyControllerRequests

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier requests.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
Structures de données | Espaces de nommage
Référence du fichier models/requests.php

Structures de données

class PrivacyModelRequests

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier requeststatus.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier requeststatus.php

Structures de données

class PrivacyFormFieldRequeststatus

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier requesttype.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier requesttype.php

Structures de données

class PrivacyFormFieldRequesttype

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier reset.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/reset.php

Structures de données

class UsersControllerReset

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier reset.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier models/reset.php

Structures de données

class UsersModelReset

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier Resolvable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
Structures de données | Espaces de nommage
Référence du fichier Resolvable.php

Structures de données

interface Resolvable

Espaces de nommage

TYPO3\PharStreamWrapper


Joomla CMS: Référence du fichier Response.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
Structures de données | Espaces de nommage
Référence du fichier src/Http/Response.php

Structures de données

class Response

Espaces de nommage

Joomla\CMS\Http


Joomla CMS: Référence du fichier Response.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
Structures de données | Espaces de nommage
Référence du fichier vendor/google/recaptcha/src/ReCaptcha/Response.php

Structures de données

class Response

Espaces de nommage

ReCaptcha


Joomla CMS: Référence du fichier response.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • response
Structures de données | Espaces de nommage
Référence du fichier response.php

Structures de données

class JResponse

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier rest.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • application
  • web
  • router
Structures de données | Espaces de nommage
Référence du fichier rest.php

Structures de données

class JApplicationWebRouterRest

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier restore.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
Structures de données | Fonctions | Variables
Référence du fichier restore.php

Structures de données

class | AKAbstractObject
class | AKAbstractPart
class | AKAbstractUnarchiver
class | AKAbstractPostproc
class | AKAbstractPartObserver
class | AKPostprocDirect
class | AKUnarchiverJPA
class | AKUnarchiverZIP
class | AKCoreTimer
class | AKUtilsLister
class | AKText
class | AKFactory
interface | AKEncryptionAESAdapterInterface
class | AKEncryptionAESAdapterAbstract
class | Mcrypt
class | OpenSSL
class | AKEncryptionAES

Fonctions

if(!defined('_AKEEBA_IS_WINDOWS')) if(!defined('KSROOTDIR')) if(!defined('KSLANGDIR')) if(function_exists('setlocale')) if(!function_exists('fnmatch')) if(!function_exists('akstringlen')) if(!function_exists('aksubstr')) | getQueryParam ($key, $default=null)
debugMsg ($msg)
if(!defined('KICKSTART')) | recursive_remove_directory ($directory)

Variables

const | _AKEEBA_RESTORATION 1
defined('DS') or define('DS' | DIRECTORY_SEPARATOR
const | AK_STATE_NOFILE 0
const | AK_STATE_HEADER 1
const | AK_STATE_DATA 2
const | AK_STATE_DATAREAD 3
const | AK_STATE_POSTPROC 4
const | AK_STATE_DONE 5

Documentation des fonctions

◆ debugMsg()

debugMsg ( $msg )

Référencé par AKAbstractUnarchiver\_run(), AKAbstractUnarchiver\nextFile(), AKUnarchiverJPA\processFileData(), AKUnarchiverJPA\processTypeFileCompressedSimple(), AKUnarchiverJPA\processTypeFileUncompressed(), AKUnarchiverJPA\processTypeLink(), AKUnarchiverJPA\readArchiveHeader(), AKUnarchiverZIP\readArchiveHeader(), AKUnarchiverJPA\readFileHeader(), AKUnarchiverZIP\readFileHeader(), et AKAbstractUnarchiver\scanArchives().

◆ getQueryParam()

if (!defined( '_AKEEBA_IS_WINDOWS')) if (!defined( 'KSROOTDIR')) if (!defined( 'KSLANGDIR')) if (function_exists( 'setlocale')) if (!function_exists( 'fnmatch')) if (!function_exists( 'akstringlen')) if (!function_exists( 'aksubstr')) getQueryParam | ( | $key,
 |  | $default = null
 | ) |

Gets a query parameter from GET or POST data

Paramètres
$key
$default

Références $default, $key, et $value.

◆ recursive_remove_directory()

if (!defined( 'KICKSTART')) recursive_remove_directory ( $directory )

Références $item, $path, elseif, et AKFactory\getPostProc().

Documentation des variables

◆ _AKEEBA_RESTORATION

const _AKEEBA_RESTORATION 1

Akeeba Restore

An archive extraction engine for ZIP, JPA and JPS archives.

Copyright
2008-2017 Nicholas K. Dionysopoulos / Akeeba Ltd. GNU GPL v2 or - at your option - any later version
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

◆ AK_STATE_DATA

const AK_STATE_DATA 2

Référencé par AKAbstractUnarchiver\_run(), et AKUnarchiverJPA\processTypeFileUncompressed().

◆ AK_STATE_DATAREAD

const AK_STATE_DATAREAD 3

Référencé par AKAbstractUnarchiver\_run(), AKUnarchiverJPA\processTypeDir(), AKUnarchiverJPA\processTypeFileCompressedSimple(), AKUnarchiverJPA\processTypeFileUncompressed(), et AKUnarchiverJPA\processTypeLink().

◆ AK_STATE_DONE

const AK_STATE_DONE 5

Référencé par AKAbstractUnarchiver\_run(), AKUnarchiverJPA\readFileHeader(), et AKUnarchiverZIP\readFileHeader().

◆ AK_STATE_HEADER

const AK_STATE_HEADER 1

Référencé par AKAbstractUnarchiver\_run(), AKUnarchiverJPA\readFileHeader(), et AKUnarchiverZIP\readFileHeader().

◆ AK_STATE_NOFILE

const AK_STATE_NOFILE 0

Référencé par AKAbstractUnarchiver\_prepare(), AKAbstractUnarchiver\_run(), et AKAbstractUnarchiver\scanArchives().

◆ AK_STATE_POSTPROC

const AK_STATE_POSTPROC 4

Référencé par AKAbstractUnarchiver\_run().

◆ DIRECTORY_SEPARATOR

defined ( 'DS') or define( 'DS' DIRECTORY_SEPARATOR

Référencé par SimplePie_Autoloader\__construct(), HtmlView\_addPath(), FOFView\_addPath(), Patcher\add(), Toolbar\addButtonPath(), SimplePie_Autoloader\autoload(), TemplateHelper\canUpload(), Folder\copy(), MediaHelper\countFiles(), TemplatesModelTemplate\createOverride(), MediaControllerFolder\delete(), MediaControllerFile\delete(), InstallationModelFtp\detectFtpRoot(), LibraryAdapter\discover(), ClassLoader\findFileWithExtension(), FOFTemplateUtils\getAltPaths(), MediaHelper\getContentTypeLink(), FileLayout\getDefaultIncludePaths(), File\getExt(), AKUtilsLister\getFiles(), ModRandomImageHelper\getFolder(), MediaModelManager\getFolderList(), AKUtilsLister\getFolders(), MediaModelManager\getFolderTree(), MediaModelList\getList(), FOFFormFieldImagelist\getStatic(), JLoader\import(), Toolbar\loadButtonType(), JLoader\loadByPsr0(), JLoader\loadByPsr4(), HtmlView\loadTemplate(), AKText\loadTranslation(), FOFTemplateUtils\parsePath(), Path\resolve(), AKAbstractUnarchiver\scanArchives(), PHPMailer\setLanguage(), LibraryAdapter\setupInstallPaths(), et MediaControllerFile\upload().


Joomla CMS: Référence du fichier restore_finalisation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
Espaces de nommage
Référence du fichier restore_finalisation.php

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Restriction.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Restriction.php

Structures de données

class SimplePie_Restriction

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier result.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Structures de données | Espaces de nommage
Référence du fichier result.php

Structures de données

class FinderIndexerResult

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Rijndael256Cipher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Cipher
Structures de données | Espaces de nommage
Référence du fichier Rijndael256Cipher.php

Structures de données

class Rijndael256Cipher

Espaces de nommage

Joomla\CMS\Crypt\Cipher


Joomla CMS: Référence du fichier Ristretto255.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier Ristretto255.php

Structures de données

class ParagonIE_Sodium_Core_Ristretto255


Joomla CMS: Référence du fichier ristretto255.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • lib
Référence du fichier ristretto255.php


Joomla CMS: Référence du fichier Route.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Router
Structures de données | Espaces de nommage
Référence du fichier Route.php

Structures de données

class Route

Espaces de nommage

Joomla\CMS\Router


Joomla CMS: Référence du fichier route.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/helpers/route.php

Structures de données

class ContactHelperRoute

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier route.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_content/helpers/route.php

Structures de données

class ContentHelperRoute

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier route.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_finder/helpers/route.php

Structures de données

class FinderHelperRoute

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier route.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/helpers/route.php

Structures de données

class NewsfeedsHelperRoute

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier route.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_tags/helpers/route.php

Structures de données

class TagsHelperRoute

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier route.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • helpers
Structures de données | Espaces de nommage
Référence du fichier components/com_users/helpers/route.php

Structures de données

class UsersHelperRoute

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier route.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • route
  • wrapper
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/route/wrapper/route.php

Structures de données

class JRouteWrapperRoute

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier RouteHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier RouteHelper.php

Structures de données

class RouteHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier RouteNotFoundException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Router
  • Exception
Structures de données | Espaces de nommage
Référence du fichier RouteNotFoundException.php

Structures de données

class RouteNotFoundException

Espaces de nommage

Joomla\CMS\Router\Exception


Joomla CMS: Référence du fichier Router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Router
Structures de données | Espaces de nommage
Référence du fichier Router.php

Structures de données

class Router

Espaces de nommage

Joomla\CMS\Router


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_banners/router.php

Structures de données

class BannersRouter

Espaces de nommage

Joomla\Site

Fonctions

bannersBuildRoute (&$query)
bannersParseRoute ($segments)

Documentation des fonctions

◆ bannersBuildRoute()

bannersBuildRoute ( & $query )

Build the route for the com_banners component

This function is a proxy for the new router interface for old SEF extensions.

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Depuis
3.3
Obsolète:
4.0 Use Class based routers instead

Références $query, et BannersRouter\build().

◆ bannersParseRoute()

bannersParseRoute ( $segments )

Parse the segments of a URL.

This function is a proxy for the new router interface for old SEF extensions.

Paramètres
array $segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Depuis
3.3
Obsolète:
4.0 Use Class based routers instead

Références BannersRouter\parse().


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_contact/router.php

Structures de données

class ContactRouter

Espaces de nommage

Joomla\Site

Fonctions

ContactBuildRoute (&$query)
ContactParseRoute ($segments)

Documentation des fonctions

◆ ContactBuildRoute()

ContactBuildRoute ( & $query )

Contact router functions

These functions are proxys for the new router interface for old SEF extensions.

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Obsolète:
4.0 Use Class based routers instead

Références $app, et $query.

◆ ContactParseRoute()

ContactParseRoute ( $segments )

Contact router functions

These functions are proxys for the new router interface for old SEF extensions.

Paramètres
array $segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Obsolète:
4.0 Use Class based routers instead

Références $app.


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_content/router.php

Structures de données

class ContentRouter

Espaces de nommage

Joomla\Site

Fonctions

contentBuildRoute (&$query)
contentParseRoute ($segments)

Documentation des fonctions

◆ contentBuildRoute()

contentBuildRoute ( & $query )

Content router functions

These functions are proxys for the new router interface for old SEF extensions.

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Obsolète:
4.0 Use Class based routers instead

Références $app, et $query.

◆ contentParseRoute()

contentParseRoute ( $segments )

Parse the segments of a URL.

This function is a proxy for the new router interface for old SEF extensions.

Paramètres
array $segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Depuis
3.3
Obsolète:
4.0 Use Class based routers instead

Références $app.


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_finder/router.php

Structures de données

class FinderRouter

Espaces de nommage

Joomla\Site

Fonctions

FinderBuildRoute (&$query)
FinderParseRoute ($segments)

Documentation des fonctions

◆ FinderBuildRoute()

FinderBuildRoute ( & $query )

Finder router functions

These functions are proxys for the new router interface for old SEF extensions.

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Obsolète:
4.0 Use Class based routers instead

Références $query, et FinderRouter\build().

◆ FinderParseRoute()

FinderParseRoute ( $segments )

Finder router functions

These functions are proxys for the new router interface for old SEF extensions.

Paramètres
array $segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Obsolète:
4.0 Use Class based routers instead

Références FinderRouter\parse().


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_newsfeeds/router.php

Structures de données

class NewsfeedsRouter

Espaces de nommage

Joomla\Site

Fonctions

newsfeedsBuildRoute (&$query)
newsfeedsParseRoute ($segments)

Documentation des fonctions

◆ newsfeedsBuildRoute()

newsfeedsBuildRoute ( & $query )

newsfeedsBuildRoute

These functions are proxys for the new router interface for old SEF extensions.

Paramètres
array &$query The segments of the URL to parse.
Renvoie
array
Obsolète:
4.0 Use Class based routers instead

Références $app, et $query.

◆ newsfeedsParseRoute()

newsfeedsParseRoute ( $segments )

newsfeedsParseRoute

Paramètres
array $segments The segments of the URL to parse.
Renvoie
array
Obsolète:
4.0 Use Class based routers instead

Références $app.


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_privacy/router.php

Structures de données

class PrivacyRouter

Espaces de nommage

Joomla\Site

Fonctions

privacyBuildRoute (&$query)
privacyParseRoute ($segments)

Documentation des fonctions

◆ privacyBuildRoute()

privacyBuildRoute ( & $query )

Privacy router functions

These functions are proxies for the new router interface for old SEF extensions.

Paramètres
array &$query REQUEST query
Renvoie
array Segments of the SEF url
Depuis
3.9.0
Obsolète:
4.0 Use Class based routers instead

Références $app, et $query.

◆ privacyParseRoute()

privacyParseRoute ( $segments )

Convert SEF URL segments into query variables

Paramètres
array $segments Segments in the current URL
Renvoie
array Query variables
Depuis
3.9.0
Obsolète:
4.0 Use Class based routers instead

Références $app.


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_search/router.php

Structures de données

class SearchRouter

Espaces de nommage

Joomla\Site

Fonctions

searchBuildRoute (&$query)
searchParseRoute ($segments)

Documentation des fonctions

◆ searchBuildRoute()

searchBuildRoute ( & $query )

searchBuildRoute

These functions are proxies for the new router interface for old SEF extensions.

Paramètres
array &$query An array of URL arguments
Renvoie
array
Obsolète:
4.0 Use Class based routers instead

Références $query, et SearchRouter\build().

◆ searchParseRoute()

searchParseRoute ( $segments )

searchParseRoute

These functions are proxies for the new router interface for old SEF extensions.

Paramètres
array $segments The segments of the URL to parse.
Renvoie
array
Obsolète:
4.0 Use Class based routers instead

Références SearchRouter\parse().


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_tags/router.php

Structures de données

class TagsRouter

Espaces de nommage

Joomla\Site

Fonctions

tagsBuildRoute (&$query)
tagsParseRoute ($segments)

Documentation des fonctions

◆ tagsBuildRoute()

tagsBuildRoute ( & $query )

Tags router functions. These functions are proxys for the new router interface or old SEF extensions.

Paramètres
array &$query An array of URL arguments.
Renvoie
array
Obsolète:
4.0 Use Class based routers instead

Références $query, et TagsRouter\build().

◆ tagsParseRoute()

tagsParseRoute ( $segments )

Parse the segments of a URL. These functions are proxys for the new router interface or old SEF extensions.

Paramètres
array $segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Obsolète:
4.0 Use Class based routers instead

Références TagsRouter\parse().


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_users/router.php

Structures de données

class UsersRouter

Espaces de nommage

Joomla\Site

Fonctions

usersBuildRoute (&$query)
usersParseRoute ($segments)

Documentation des fonctions

◆ usersBuildRoute()

usersBuildRoute ( & $query )

Users router functions

These functions are proxys for the new router interface for old SEF extensions.

Paramètres
array &$query REQUEST query
Renvoie
array Segments of the SEF url
Obsolète:
4.0 Use Class based routers instead

Références $app, et $query.

◆ usersParseRoute()

usersParseRoute ( $segments )

Convert SEF URL segments into query variables

Paramètres
array $segments Segments in the current URL
Renvoie
array Query variables
Obsolète:
4.0 Use Class based routers instead

Références $app.


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_wrapper
Structures de données | Espaces de nommage | Fonctions
Référence du fichier components/com_wrapper/router.php

Structures de données

class WrapperRouter

Espaces de nommage

Joomla\Site

Fonctions

wrapperBuildRoute (&$query)
wrapperParseRoute ($segments)

Documentation des fonctions

◆ wrapperBuildRoute()

wrapperBuildRoute ( & $query )

Wrapper router functions

These functions are proxys for the new router interface for old SEF extensions.

Paramètres
array &$query An array of URL arguments
Renvoie
array The URL arguments to use to assemble the subsequent URL.
Obsolète:
4.0 Use Class based routers instead

Références $query, et WrapperRouter\build().

◆ wrapperParseRoute()

wrapperParseRoute ( $segments )

Wrapper router functions

These functions are proxys for the new router interface for old SEF extensions.

Paramètres
array $segments The segments of the URL to parse.
Renvoie
array The URL attributes to be used by the application.
Obsolète:
4.0 Use Class based routers instead

Références WrapperRouter\parse().


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • application
Structures de données | Espaces de nommage
Référence du fichier installation/application/router.php

Structures de données

class JRouterInstallation

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier router.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • application
  • web
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/application/web/router.php

Structures de données

class JApplicationWebRouter

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier RouterBase.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
Structures de données | Espaces de nommage
Référence du fichier RouterBase.php

Structures de données

class RouterBase

Espaces de nommage

Joomla\CMS\Component\Router


Joomla CMS: Référence du fichier RouterInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
Structures de données | Espaces de nommage
Référence du fichier RouterInterface.php

Structures de données

interface RouterInterface

Espaces de nommage

Joomla\CMS\Component\Router


Joomla CMS: Référence du fichier RouterLegacy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
Structures de données | Espaces de nommage
Référence du fichier RouterLegacy.php

Structures de données

class RouterLegacy

Espaces de nommage

Joomla\CMS\Component\Router


Joomla CMS: Référence du fichier RouterView.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
Structures de données | Espaces de nommage
Référence du fichier RouterView.php

Structures de données

class RouterView

Espaces de nommage

Joomla\CMS\Component\Router


Joomla CMS: Référence du fichier RouterViewConfiguration.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
Structures de données | Espaces de nommage
Référence du fichier RouterViewConfiguration.php

Structures de données

class RouterViewConfiguration

Espaces de nommage

Joomla\CMS\Component\Router


Joomla CMS: Référence du fichier rowselect.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Structures de données | Espaces de nommage
Référence du fichier rowselect.php

Structures de données

class FOFFormHeaderRowselect

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier RssParser.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
  • Parser
Structures de données | Espaces de nommage
Référence du fichier RssParser.php

Structures de données

class RssParser

Espaces de nommage

Joomla\CMS\Feed\Parser


Joomla CMS: Référence du fichier RssRenderer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
  • Feed
Structures de données | Espaces de nommage
Référence du fichier RssRenderer.php

Structures de données

class RssRenderer

Espaces de nommage

Joomla\CMS\Document\Renderer\Feed


Joomla CMS: Référence du fichier rtf.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • parser
Structures de données | Espaces de nommage
Référence du fichier rtf.php

Structures de données

class FinderIndexerParserRtf

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Rule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Access
Structures de données | Espaces de nommage
Référence du fichier Rule.php

Structures de données

class Rule

Espaces de nommage

Joomla\CMS\Access


Joomla CMS: Référence du fichier Rules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Access
Structures de données | Espaces de nommage
Référence du fichier Rules.php

Structures de données

class Rules

Espaces de nommage

Joomla\CMS\Access


Joomla CMS: Référence du fichier rules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier cms/html/rules.php

Structures de données

class JHtmlRules

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier rules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/rules.php

Structures de données

class FOFFormFieldRules

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier rules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/rules.php

Structures de données

class JFormFieldRules

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier RulesInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
  • Rules
Structures de données | Espaces de nommage
Référence du fichier RulesInterface.php

Structures de données

interface RulesInterface

Espaces de nommage

Joomla\CMS\Component\Router\Rules


Joomla CMS: Référence du fichier RulesRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier RulesRule.php

Structures de données

class RulesRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier RuntimeException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
  • Exception
Structures de données | Espaces de nommage
Référence du fichier RuntimeException.php

Structures de données

class RuntimeException

Espaces de nommage

Symfony\Component\Yaml\Exception


Joomla CMS: Référence du fichier Salsa20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Salsa20.php

Structures de données

class Salsa20

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier Salsa20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/Salsa20.php

Structures de données

class ParagonIE_Sodium_Core_Salsa20


Joomla CMS: Référence du fichier Salsa20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/Salsa20.php

Structures de données

class ParagonIE_Sodium_Core32_Salsa20


Joomla CMS: Référence du fichier sample.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
  • install
Structures de données | Espaces de nommage
Référence du fichier controller/install/sample.php

Structures de données

class InstallationControllerInstallSample

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier sample.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier form/field/sample.php

Structures de données

class InstallationFormFieldSample

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier Sanitize.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Sanitize.php

Structures de données

class SimplePie_Sanitize

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier save.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • application
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/controller/application/save.php

Structures de données

class ConfigControllerApplicationSave

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier save.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • component
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_config/controller/component/save.php

Structures de données

class ConfigControllerComponentSave

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier save.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • config
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/config/save.php

Structures de données

class ConfigControllerConfigSave

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier save.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • modules
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/modules/save.php

Structures de données

class ConfigControllerModulesSave

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier save.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • templates
Structures de données | Espaces de nommage
Référence du fichier components/com_config/controller/templates/save.php

Structures de données

class ConfigControllerTemplatesSave

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier script.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
Structures de données | Espaces de nommage
Référence du fichier script.php

Structures de données

class JoomlaInstallerScript

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier search.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_search/helpers/search.php

Structures de données

class SearchHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier search.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
Espaces de nommage | Variables
Référence du fichier administrator/components/com_search/search.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_search')) $controller = JControllerLegacy::getInstance('Search')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_search')) $controller = JControllerLegacy::getInstance('Search')


Joomla CMS: Référence du fichier search.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • models
Structures de données | Espaces de nommage | Variables
Référence du fichier components/com_finder/models/search.php

Structures de données

class FinderModelSearch

Espaces de nommage

Joomla\Site

Variables

const FINDER_PATH_INDEXER JPATH_ADMINISTRATOR . '/components/com_finder/helpers/indexer'

Documentation des variables

◆ FINDER_PATH_INDEXER

const FINDER_PATH_INDEXER JPATH_ADMINISTRATOR . '/components/com_finder/helpers/indexer'


Joomla CMS: Référence du fichier search.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_search/models/search.php

Structures de données

class SearchModelSearch

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier search.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
Espaces de nommage | Variables
Référence du fichier components/com_search/search.php

Espaces de nommage

Joomla\Site

Variables

$controller = JControllerLegacy::getInstance('Search')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Search')


Joomla CMS: Référence du fichier search.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/github/package/search.php

Structures de données

class JGithubPackageSearch

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier search.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/mediawiki/search.php

Structures de données

class JMediawikiSearch

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier search.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/twitter/search.php

Structures de données

class JTwittersearch

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier searches.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/searches.php

Structures de données

class SearchControllerSearches

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier searches.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • models
Structures de données | Espaces de nommage
Référence du fichier models/searches.php

Structures de données

class SearchModelSearches

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier searchfilter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier searchfilter.php

Structures de données

class JFormFieldSearchFilter

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier SearchHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier SearchHelper.php

Structures de données

class SearchHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier searchtools.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier searchtools.php

Structures de données

class JHtmlSearchtools

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier section-byfieldsets.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
  • repeatable
Espaces de nommage | Variables
Référence du fichier section-byfieldsets.php

Espaces de nommage

Joomla\Site

Variables

if (!empty($buttons)) (!empty( $buttons[ 'add']))
endif
if (!empty( $buttons[ 'remove']))
if (!empty( $buttons[ 'move']))
endforeach

Documentation des variables

◆ (!empty($buttons))

if (!empty( $buttons))(!empty($buttons['add']))

◆ endforeach

endforeach

◆ endif

endif

◆ if [1/2]

if(!empty($buttons['remove']))

◆ if [2/2]

if(!empty($buttons['move']))


Joomla CMS: Référence du fichier section-byfieldsets.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
  • repeatable-table
Espaces de nommage | Variables
Référence du fichier table/section-byfieldsets.php

Espaces de nommage

Joomla\Site

Variables

foreach | ($form->getFieldsets() as $fieldset) (!empty( $fieldset->class))
endforeach
if | (!empty($buttons)) (!empty( $buttons[ 'add']))
endif
if (!empty( $buttons[ 'remove']))
if (!empty( $buttons[ 'move']))

Documentation des variables

◆ (!empty($buttons))

if (!empty( $buttons))(!empty($buttons['add']))

◆ ($form->getFieldsets() as $fieldset)

foreach ( $form->getFieldsets() as $fieldset)(!empty($fieldset->class))

◆ endforeach

endforeach

◆ endif

endif

◆ if [1/2]

if(!empty($buttons['remove']))

◆ if [2/2]

if(!empty($buttons['move']))


Joomla CMS: Référence du fichier section.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/models/fields/section.php

Structures de données

class JFormFieldSection

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier section.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
  • repeatable
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/subform/repeatable/section.php

Espaces de nommage

Joomla\Site

Variables

if (!empty($buttons)) (!empty( $buttons[ 'add']))
endif
if (!empty( $buttons[ 'remove']))
if (!empty( $buttons[ 'move']))
endforeach

Documentation des variables

◆ (!empty($buttons))

if (!empty( $buttons))(!empty($buttons['add']))

◆ endforeach

endforeach

◆ endif

endif

◆ if [1/2]

if(!empty($buttons['remove']))

◆ if [2/2]

if(!empty($buttons['move']))


Joomla CMS: Référence du fichier section.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
  • repeatable-table
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/subform/repeatable-table/section.php

Espaces de nommage

Joomla\Site

Variables

endforeach
if (!empty($buttons)) (!empty( $buttons[ 'add']))
endif
if (!empty( $buttons[ 'remove']))
if (!empty( $buttons[ 'move']))

Documentation des variables

◆ (!empty($buttons))

if (!empty( $buttons))(!empty($buttons['add']))

◆ endforeach

endforeach

◆ endif

endif

◆ if [1/2]

if(!empty($buttons['remove']))

◆ if [2/2]

if(!empty($buttons['move']))


Joomla CMS: Référence du fichier SectionNotFoundException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Categories
Structures de données | Espaces de nommage
Référence du fichier SectionNotFoundException.php

Structures de données

class SectionNotFoundException

Espaces de nommage

Joomla\CMS\Categories


Joomla CMS: Référence du fichier sef.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • sef
Structures de données | Espaces de nommage
Référence du fichier sef.php

Structures de données

class PlgSystemSef

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier select.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_joomlaupdate/helpers/select.php

Structures de données

class JoomlaupdateHelperSelect

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier select.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/models/select.php

Structures de données

class ModulesModelSelect

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier select.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/select.php

Structures de données

class JHtmlSelect

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier selector.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
  • default
Espaces de nommage | Variables
Référence du fichier selector.php

Espaces de nommage

Joomla\Site

Variables

$data = $displayData

Documentation des variables

◆ $data

$data = $displayData


Joomla CMS: Référence du fichier selectrow.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier selectrow.php

Structures de données

class FOFFormFieldSelectrow

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sendtestmail.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • application
Structures de données | Espaces de nommage
Référence du fichier sendtestmail.php

Structures de données

class ConfigControllerApplicationSendtestmail

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Separator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
  • Node
Structures de données | Espaces de nommage
Référence du fichier Separator.php

Structures de données

class Separator

Espaces de nommage

Joomla\CMS\Menu\Node


Joomla CMS: Référence du fichier separator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/separator.php

Espaces de nommage

Joomla\Administrator

Variables

$class = empty($displayData['style']) ? 'spacer' : $displayData['style']
$style = $displayData['style']

Documentation des variables

◆ $class

$class = empty($displayData['style']) ? 'spacer' : $displayData['style']

◆ $style

$style = $displayData['style']


Joomla CMS: Référence du fichier separator.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier layouts/joomla/toolbar/separator.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier SeparatorButton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
  • Button
Structures de données | Espaces de nommage
Référence du fichier SeparatorButton.php

Structures de données

class SeparatorButton

Espaces de nommage

Joomla\CMS\Toolbar\Button


Joomla CMS: Référence du fichier ServiceProviderInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
  • src
Structures de données | Espaces de nommage
Référence du fichier ServiceProviderInterface.php

Structures de données

interface ServiceProviderInterface

Espaces de nommage

Joomla\DI


Joomla CMS: Référence du fichier Session.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Session
Structures de données | Espaces de nommage
Référence du fichier src/Session/Session.php

Structures de données

class Session

Espaces de nommage

Joomla\CMS\Session


Joomla CMS: Référence du fichier Session.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/session/Joomla/Session/Session.php

Structures de données

class Session

Espaces de nommage

Joomla\Session


Joomla CMS: Référence du fichier session.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • table
Structures de données | Espaces de nommage
Référence du fichier session.php

Structures de données

class JTableSession

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier sessiongc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • sessiongc
Structures de données | Espaces de nommage
Référence du fichier sessiongc.php

Structures de données

class PlgSystemSessionGc

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier sessionGc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • cli
Structures de données | Espaces de nommage | Variables
Référence du fichier sessionGc.php

Structures de données

class SessionGc

Espaces de nommage

Joomla\Cli

Variables

const | _JEXEC = 1
if(file_exists(dirname(__DIR__) . '/defines.php')) | if (!defined( '_JDEFINES'))

Documentation des variables

◆ _JEXEC

const _JEXEC = 1

This is a CRON script to delete expired session data which should be called from the command-line, not the web. For example something like: /usr/bin/php /path/to/site/cli/sessionGc.php

◆ if

if (file_exists(dirname(__DIR__) . '/defines.php')) if(!defined('_JDEFINES'))


Joomla CMS: Référence du fichier sessionhandler.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/sessionhandler.php

Structures de données

class FOFFormFieldSessionhandler

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sessionhandler.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/sessionhandler.php

Structures de données

class JFormFieldSessionHandler

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sessionMetadataGc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • cli
Structures de données | Espaces de nommage | Variables
Référence du fichier sessionMetadataGc.php

Structures de données

class SessionMetadataGc

Espaces de nommage

Joomla\Cli

Variables

const | _JEXEC = 1
if(file_exists(dirname(__DIR__) . '/defines.php')) | if (!defined( '_JDEFINES'))

Documentation des variables

◆ _JEXEC

const _JEXEC = 1

This is a CRON script to delete expired optional session metadata which should be called from the command-line, not the web. For example something like: /usr/bin/php /path/to/site/cli/sessionMetadataGc.php

◆ if

if (file_exists(dirname(__DIR__) . '/defines.php')) if(!defined('_JDEFINES'))


Joomla CMS: Référence du fichier setdefaultlanguage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier setdefaultlanguage.php

Structures de données

class InstallationControllerSetdefaultlanguage

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier setlanguage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier setlanguage.php

Structures de données

class InstallationControllerSetlanguage

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier setoptions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • editors
  • tinymce
  • field
  • tinymcebuilder
Espaces de nommage | Variables
Référence du fichier setoptions.php

Espaces de nommage

Joomla\Plugin

Variables

endforeach

Documentation des variables

◆ endforeach

endforeach


Joomla CMS: Référence du fichier setup.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • model
Structures de données | Espaces de nommage
Référence du fichier setup.php

Structures de données

class InstallationModelSetup

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier sidebar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier sidebar.php

Structures de données

class JHtmlSidebar

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier simple.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • color
Espaces de nommage | Variables
Référence du fichier simple.php

Espaces de nommage

Joomla\Site

Variables

$class = ' class="' . trim('simplecolors chzn-done ' . $class) . '"'
$disabled = $disabled ? ' disabled' : ''
$readonly = $readonly ? ' readonly' : ''
if(($i+1) % $split==0) endforeach

Documentation des variables

◆ $class

$class = ' class="' . trim('simplecolors chzn-done ' . $class) . '"'

◆ $disabled

$disabled = $disabled ? ' disabled' : ''

◆ $readonly

$readonly = $readonly ? ' readonly' : ''

◆ endforeach

if (( $i+1) % $split==0) endforeach


Joomla CMS: Référence du fichier SimpleCipher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Cipher
Structures de données | Espaces de nommage
Référence du fichier SimpleCipher.php

Structures de données

class SimpleCipher

Espaces de nommage

Joomla\CMS\Crypt\Cipher


Joomla CMS: Référence du fichier simplecrypt.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • simplecrypt
Structures de données | Espaces de nommage
Référence du fichier simplecrypt.php

Structures de données

class JSimplecrypt

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier SimpleCryptPassword.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Password
Structures de données | Espaces de nommage
Référence du fichier SimpleCryptPassword.php

Structures de données

class SimpleCryptPassword

Espaces de nommage

Joomla\CMS\Crypt\Password


Joomla CMS: Référence du fichier SimplePie.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
Structures de données | Espaces de nommage | Variables
Référence du fichier SimplePie.php

Structures de données

class SimplePie

Espaces de nommage

SimplePie

Variables

const | SIMPLEPIE_NAME 'SimplePie'
const | SIMPLEPIE_VERSION '1.3.3'
const | SIMPLEPIE_BUILD gmdate('YmdHis', SimplePie_Misc::get_build())
const | SIMPLEPIE_URL 'http://simplepie.org'
const | SIMPLEPIE_USERAGENT SIMPLEPIE_NAME . '/' . SIMPLEPIE_VERSION . ' (Feed Parser; ' . SIMPLEPIE_URL . '; Allow like Gecko) Build/' . SIMPLEPIE_BUILD
const | SIMPLEPIE_LINKBACK '<a href="' . SIMPLEPIE_URL . '" title="' . SIMPLEPIE_NAME . ' ' . SIMPLEPIE_VERSION . '">' . SIMPLEPIE_NAME . '</a>'
const | SIMPLEPIE_LOCATOR_NONE 0
const | SIMPLEPIE_LOCATOR_AUTODISCOVERY 1
const | SIMPLEPIE_LOCATOR_LOCAL_EXTENSION 2
const | SIMPLEPIE_LOCATOR_LOCAL_BODY 4
const | SIMPLEPIE_LOCATOR_REMOTE_EXTENSION 8
const | SIMPLEPIE_LOCATOR_REMOTE_BODY 16
const | SIMPLEPIE_LOCATOR_ALL 31
const | SIMPLEPIE_TYPE_NONE 0
const | SIMPLEPIE_TYPE_RSS_090 1
const | SIMPLEPIE_TYPE_RSS_091_NETSCAPE 2
const | SIMPLEPIE_TYPE_RSS_091_USERLAND 4
const | SIMPLEPIE_TYPE_RSS_091 6
const | SIMPLEPIE_TYPE_RSS_092 8
const | SIMPLEPIE_TYPE_RSS_093 16
const | SIMPLEPIE_TYPE_RSS_094 32
const | SIMPLEPIE_TYPE_RSS_10 64
const | SIMPLEPIE_TYPE_RSS_20 128
const | SIMPLEPIE_TYPE_RSS_RDF 65
const | SIMPLEPIE_TYPE_RSS_SYNDICATION 190
const | SIMPLEPIE_TYPE_RSS_ALL 255
const | SIMPLEPIE_TYPE_ATOM_03 256
const | SIMPLEPIE_TYPE_ATOM_10 512
const | SIMPLEPIE_TYPE_ATOM_ALL 768
const | SIMPLEPIE_TYPE_ALL 1023
const | SIMPLEPIE_CONSTRUCT_NONE 0
const | SIMPLEPIE_CONSTRUCT_TEXT 1
const | SIMPLEPIE_CONSTRUCT_HTML 2
const | SIMPLEPIE_CONSTRUCT_XHTML 4
const | SIMPLEPIE_CONSTRUCT_BASE64 8
const | SIMPLEPIE_CONSTRUCT_IRI 16
const | SIMPLEPIE_CONSTRUCT_MAYBE_HTML 32
const | SIMPLEPIE_CONSTRUCT_ALL 63
const | SIMPLEPIE_SAME_CASE 1
const | SIMPLEPIE_LOWERCASE 2
const | SIMPLEPIE_UPPERCASE 4
const | SIMPLEPIE_PCRE_HTML_ATTRIBUTE '((?:[\x09\x0A\x0B\x0C\x0D\x20]+[^\x09\x0A\x0B\x0C\x0D\x20\x2F\x3E][^\x09\x0A\x0B\x0C\x0D\x20\x2F\x3D\x3E]*(?:[\x09\x0A\x0B\x0C\x0D\x20]*=[\x09\x0A\x0B\x0C\x0D\x20]*(?:"(?:[^"]*)"|\'(?:[^\']*)\'|(?:[^\x09\x0A\x0B\x0C\x0D\x20\x22\x27\x3E][^\x09\x0A\x0B\x0C\x0D\x20\x3E]*)?))?)*)[\x09\x0A\x0B\x0C\x0D\x20]*'
const | SIMPLEPIE_PCRE_XML_ATTRIBUTE '((?:\s+(?:(?:[^\s:]+:)?[^\s:]+)\s*=\s*(?:"(?:[^"]*)"|\'(?:[^\']*)\'))*)\s*'
const | SIMPLEPIE_NAMESPACE_XML 'http://www.w3.org/XML/1998/namespace'
const | SIMPLEPIE_NAMESPACE_ATOM_10 'http://www.w3.org/2005/Atom'
const | SIMPLEPIE_NAMESPACE_ATOM_03 'http://purl.org/atom/ns#'
const | SIMPLEPIE_NAMESPACE_RDF 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
const | SIMPLEPIE_NAMESPACE_RSS_090 'http://my.netscape.com/rdf/simple/0.9/'
const | SIMPLEPIE_NAMESPACE_RSS_10 'http://purl.org/rss/1.0/'
const | SIMPLEPIE_NAMESPACE_RSS_10_MODULES_CONTENT 'http://purl.org/rss/1.0/modules/content/'
const | SIMPLEPIE_NAMESPACE_RSS_20 ''
const | SIMPLEPIE_NAMESPACE_DC_10 'http://purl.org/dc/elements/1.0/'
const | SIMPLEPIE_NAMESPACE_DC_11 'http://purl.org/dc/elements/1.1/'
const | SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO 'http://www.w3.org/2003/01/geo/wgs84_pos#'
const | SIMPLEPIE_NAMESPACE_GEORSS 'http://www.georss.org/georss'
const | SIMPLEPIE_NAMESPACE_MEDIARSS 'http://search.yahoo.com/mrss/'
const | SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG 'http://search.yahoo.com/mrss'
const | SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG2 'http://video.search.yahoo.com/mrss'
const | SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG3 'http://video.search.yahoo.com/mrss/'
const | SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG4 'http://www.rssboard.org/media-rss'
const | SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG5 'http://www.rssboard.org/media-rss/'
const | SIMPLEPIE_NAMESPACE_ITUNES 'http://www.itunes.com/dtds/podcast-1.0.dtd'
const | SIMPLEPIE_NAMESPACE_XHTML 'http://www.w3.org/1999/xhtml'
const | SIMPLEPIE_IANA_LINK_RELATIONS_REGISTRY 'http://www.iana.org/assignments/relation/'
const | SIMPLEPIE_FILE_SOURCE_NONE 0
const | SIMPLEPIE_FILE_SOURCE_REMOTE 1
const | SIMPLEPIE_FILE_SOURCE_LOCAL 2
const | SIMPLEPIE_FILE_SOURCE_FSOCKOPEN 4
const | SIMPLEPIE_FILE_SOURCE_CURL 8
const | SIMPLEPIE_FILE_SOURCE_FILE_GET_CONTENTS 16

Documentation des variables

◆ SIMPLEPIE_BUILD

const SIMPLEPIE_BUILD gmdate('YmdHis', SimplePie_Misc::get_build())

SimplePie Build

Référencé par SimplePie_Misc\debug(), SimplePie\fetch_data(), et SimplePie\init().

◆ SIMPLEPIE_CONSTRUCT_ALL

const SIMPLEPIE_CONSTRUCT_ALL 63

All constructs

◆ SIMPLEPIE_CONSTRUCT_BASE64

const SIMPLEPIE_CONSTRUCT_BASE64 8

base64-encoded construct

Référencé par SimplePie_Misc\atom_03_construct_type(), SimplePie_Misc\atom_10_content_construct_type(), et SimplePie_Sanitize\sanitize().

◆ SIMPLEPIE_CONSTRUCT_HTML

const SIMPLEPIE_CONSTRUCT_HTML 2

HTML construct

Référencé par SimplePie_Misc\atom_03_construct_type(), SimplePie_Misc\atom_10_construct_type(), SimplePie_Misc\atom_10_content_construct_type(), SimplePie_Item\get_content(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Sanitize\sanitize(), et SimplePie_Sanitize\strip_tag().

◆ SIMPLEPIE_CONSTRUCT_IRI

const SIMPLEPIE_CONSTRUCT_IRI 16

IRI construct

Référencé par SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Source\get_contributors(), SimplePie_Item\get_contributors(), SimplePie\get_contributors(), SimplePie_Item\get_enclosures(), SimplePie\get_image_link(), SimplePie_Source\get_image_url(), SimplePie\get_image_url(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Sanitize\sanitize(), et SimplePie\subscribe_url().

◆ SIMPLEPIE_CONSTRUCT_MAYBE_HTML

const SIMPLEPIE_CONSTRUCT_MAYBE_HTML 32

A construct that might be HTML

Référencé par SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie\get_title(), et SimplePie_Sanitize\sanitize().

◆ SIMPLEPIE_CONSTRUCT_NONE

const SIMPLEPIE_CONSTRUCT_NONE 0

No construct

Référencé par SimplePie_Misc\atom_03_construct_type(), SimplePie_Misc\atom_10_construct_type(), et SimplePie_Misc\atom_10_content_construct_type().

◆ SIMPLEPIE_CONSTRUCT_TEXT

const SIMPLEPIE_CONSTRUCT_TEXT 1

Text construct

Référencé par SimplePie_Misc\atom_03_construct_type(), SimplePie_Misc\atom_10_construct_type(), SimplePie_Misc\atom_10_content_construct_type(), SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Source\get_categories(), SimplePie_Item\get_categories(), SimplePie\get_categories(), SimplePie_Source\get_contributors(), SimplePie_Item\get_contributors(), SimplePie\get_contributors(), SimplePie_Source\get_copyright(), SimplePie_Item\get_copyright(), SimplePie\get_copyright(), SimplePie_Item\get_date(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Item\get_enclosures(), SimplePie_Item\get_id(), SimplePie\get_image_title(), SimplePie_Source\get_language(), SimplePie\get_language(), SimplePie_Item\get_local_date(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie\get_title(), SimplePie_Item\get_updated_date(), et SimplePie_Sanitize\sanitize().

◆ SIMPLEPIE_CONSTRUCT_XHTML

const SIMPLEPIE_CONSTRUCT_XHTML 4

XHTML construct

Référencé par SimplePie_Misc\atom_03_construct_type(), SimplePie_Misc\atom_10_construct_type(), SimplePie_Misc\atom_10_content_construct_type(), SimplePie_Sanitize\preprocess(), SimplePie_Sanitize\sanitize(), et SimplePie_Sanitize\strip_tag().

◆ SIMPLEPIE_FILE_SOURCE_CURL

const SIMPLEPIE_FILE_SOURCE_CURL 8

cURL file source

Référencé par SimplePie_File\__construct().

◆ SIMPLEPIE_FILE_SOURCE_FILE_GET_CONTENTS

const SIMPLEPIE_FILE_SOURCE_FILE_GET_CONTENTS 16

file_get_contents() file source

Référencé par SimplePie_File\__construct().

◆ SIMPLEPIE_FILE_SOURCE_FSOCKOPEN

const SIMPLEPIE_FILE_SOURCE_FSOCKOPEN 4

fsockopen() file source

Référencé par SimplePie_File\__construct().

◆ SIMPLEPIE_FILE_SOURCE_LOCAL

const SIMPLEPIE_FILE_SOURCE_LOCAL 2

Local file source

Référencé par SimplePie_File\__construct(), et SimplePie_Locator\is_feed().

◆ SIMPLEPIE_FILE_SOURCE_NONE

const SIMPLEPIE_FILE_SOURCE_NONE 0

No file source

◆ SIMPLEPIE_FILE_SOURCE_REMOTE

const SIMPLEPIE_FILE_SOURCE_REMOTE 1

Remote file source

Référencé par SimplePie_File\__construct(), SimplePie_Locator\body(), SimplePie_Locator\extension(), SimplePie\fetch_data(), SimplePie_Locator\find(), SimplePie_Locator\is_feed(), SimplePie_Sanitize\sanitize(), et SimplePie_Locator\search_elements_by_tag().

◆ SIMPLEPIE_IANA_LINK_RELATIONS_REGISTRY

const SIMPLEPIE_IANA_LINK_RELATIONS_REGISTRY 'http://www.iana.org/assignments/relation/'

IANA Link Relations Registry

Référencé par SimplePie_Source\get_links(), SimplePie_Item\get_links(), et SimplePie\get_links().

◆ SIMPLEPIE_LINKBACK

const SIMPLEPIE_LINKBACK '<a href="' . SIMPLEPIE_URL . '" title="' . SIMPLEPIE_NAME . ' ' . SIMPLEPIE_VERSION . '">' . SIMPLEPIE_NAME . '</a>'

SimplePie Linkback

◆ SIMPLEPIE_LOCATOR_ALL

const SIMPLEPIE_LOCATOR_ALL 31

All Feed Autodiscovery

Voir également
SimplePie::set_autodiscovery_level()

◆ SIMPLEPIE_LOCATOR_AUTODISCOVERY

const SIMPLEPIE_LOCATOR_AUTODISCOVERY 1

Feed Link Element Autodiscovery

Voir également
SimplePie::set_autodiscovery_level()

Référencé par SimplePie_Locator\find().

◆ SIMPLEPIE_LOCATOR_LOCAL_BODY

const SIMPLEPIE_LOCATOR_LOCAL_BODY 4

Local Feed Body Autodiscovery

Voir également
SimplePie::set_autodiscovery_level()

Référencé par SimplePie_Locator\find().

◆ SIMPLEPIE_LOCATOR_LOCAL_EXTENSION

const SIMPLEPIE_LOCATOR_LOCAL_EXTENSION 2

Local Feed Extension Autodiscovery

Voir également
SimplePie::set_autodiscovery_level()

Référencé par SimplePie_Locator\find().

◆ SIMPLEPIE_LOCATOR_NONE

const SIMPLEPIE_LOCATOR_NONE 0

No Autodiscovery

Voir également
SimplePie::set_autodiscovery_level()

Référencé par SimplePie_Locator\find().

◆ SIMPLEPIE_LOCATOR_REMOTE_BODY

const SIMPLEPIE_LOCATOR_REMOTE_BODY 16

Remote Feed Body Autodiscovery

Voir également
SimplePie::set_autodiscovery_level()

Référencé par SimplePie_Locator\find().

◆ SIMPLEPIE_LOCATOR_REMOTE_EXTENSION

const SIMPLEPIE_LOCATOR_REMOTE_EXTENSION 8

Remote Feed Extension Autodiscovery

Voir également
SimplePie::set_autodiscovery_level()

Référencé par SimplePie_Locator\find().

◆ SIMPLEPIE_LOWERCASE

const SIMPLEPIE_LOWERCASE 2

Change to lowercase

◆ SIMPLEPIE_NAME

const SIMPLEPIE_NAME 'SimplePie'

SimplePie Name

Référencé par SimplePie\fetch_data().

◆ SIMPLEPIE_NAMESPACE_ATOM_03

const SIMPLEPIE_NAMESPACE_ATOM_03 'http://purl.org/atom/ns#'

Atom 0.3 Namespace

Référencé par SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Item\get_content(), SimplePie_Source\get_contributors(), SimplePie_Item\get_contributors(), SimplePie\get_contributors(), SimplePie_Source\get_copyright(), SimplePie\get_copyright(), SimplePie_Item\get_date(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Item\get_enclosures(), SimplePie\get_feed_tags(), SimplePie_Item\get_id(), SimplePie\get_items(), SimplePie\get_language(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie\get_title(), SimplePie\get_type(), SimplePie_Cache_MySQL\load(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), et SimplePie_Parser\tag_open().

◆ SIMPLEPIE_NAMESPACE_ATOM_10

const SIMPLEPIE_NAMESPACE_ATOM_10 'http://www.w3.org/2005/Atom'

Atom 1.0 Namespace

Référencé par SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Source\get_categories(), SimplePie_Item\get_categories(), SimplePie\get_categories(), SimplePie_Item\get_content(), SimplePie_Source\get_contributors(), SimplePie_Item\get_contributors(), SimplePie\get_contributors(), SimplePie_Source\get_copyright(), SimplePie_Item\get_copyright(), SimplePie\get_copyright(), SimplePie_Item\get_date(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Item\get_enclosures(), SimplePie\get_feed_tags(), SimplePie_Item\get_id(), SimplePie_Source\get_image_url(), SimplePie\get_image_url(), SimplePie\get_items(), SimplePie\get_language(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Item\get_source(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie\get_title(), SimplePie\get_type(), SimplePie_Item\get_updated_date(), SimplePie_Cache_MySQL\load(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), et SimplePie_Parser\tag_open().

◆ SIMPLEPIE_NAMESPACE_DC_10

const SIMPLEPIE_NAMESPACE_DC_10 'http://purl.org/dc/elements/1.0/'

DC 1.0 Namespace

Référencé par SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Source\get_categories(), SimplePie_Item\get_categories(), SimplePie\get_categories(), SimplePie_Source\get_copyright(), SimplePie_Item\get_copyright(), SimplePie\get_copyright(), SimplePie_Item\get_date(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Item\get_id(), SimplePie\get_image_title(), SimplePie_Source\get_language(), SimplePie\get_language(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), et SimplePie\get_title().

◆ SIMPLEPIE_NAMESPACE_DC_11

const SIMPLEPIE_NAMESPACE_DC_11 'http://purl.org/dc/elements/1.1/'

DC 1.1 Namespace

Référencé par SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Source\get_categories(), SimplePie_Item\get_categories(), SimplePie\get_categories(), SimplePie_Source\get_copyright(), SimplePie_Item\get_copyright(), SimplePie\get_copyright(), SimplePie_Item\get_date(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Item\get_id(), SimplePie\get_image_title(), SimplePie_Source\get_language(), SimplePie\get_language(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), et SimplePie\get_title().

◆ SIMPLEPIE_NAMESPACE_GEORSS

const SIMPLEPIE_NAMESPACE_GEORSS 'http://www.georss.org/georss'

GeoRSS Namespace

Référencé par SimplePie_Source\get_latitude(), SimplePie\get_latitude(), SimplePie_Item\get_latitude(), SimplePie_Source\get_longitude(), SimplePie\get_longitude(), et SimplePie_Item\get_longitude().

◆ SIMPLEPIE_NAMESPACE_ITUNES

const SIMPLEPIE_NAMESPACE_ITUNES 'http://www.itunes.com/dtds/podcast-1.0.dtd'

iTunes RSS Namespace

Référencé par SimplePie_Source\get_authors(), SimplePie_Item\get_authors(), SimplePie\get_authors(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Item\get_enclosures(), SimplePie_Source\get_image_url(), SimplePie\get_image_url(), et SimplePie_Parser\split_ns().

◆ SIMPLEPIE_NAMESPACE_MEDIARSS

const SIMPLEPIE_NAMESPACE_MEDIARSS 'http://search.yahoo.com/mrss/'

Media RSS Namespace

Référencé par SimplePie_Item\get_enclosures(), et SimplePie_Parser\split_ns().

◆ SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG

const SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG 'http://search.yahoo.com/mrss'

Wrong Media RSS Namespace. Caused by a long-standing typo in the spec.

Référencé par SimplePie_Parser\split_ns().

◆ SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG2

const SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG2 'http://video.search.yahoo.com/mrss'

Wrong Media RSS Namespace #2. New namespace introduced in Media RSS 1.5.

Référencé par SimplePie_Parser\split_ns().

◆ SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG3

const SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG3 'http://video.search.yahoo.com/mrss/'

Wrong Media RSS Namespace #3. A possible typo of the Media RSS 1.5 namespace.

Référencé par SimplePie_Parser\split_ns().

◆ SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG4

const SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG4 'http://www.rssboard.org/media-rss'

Wrong Media RSS Namespace #4. New spec location after the RSS Advisory Board takes it over, but not a valid namespace.

Référencé par SimplePie_Parser\split_ns().

◆ SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG5

const SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG5 'http://www.rssboard.org/media-rss/'

Wrong Media RSS Namespace #5. A possible typo of the RSS Advisory Board URL.

Référencé par SimplePie_Parser\split_ns().

◆ SIMPLEPIE_NAMESPACE_RDF

const SIMPLEPIE_NAMESPACE_RDF 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'

RDF Namespace

Référencé par SimplePie\get_feed_tags(), SimplePie_Item\get_id(), SimplePie\get_language(), SimplePie\get_type(), SimplePie_Cache_MySQL\load(), et SimplePie_Cache_DB\prepare_simplepie_object_for_cache().

◆ SIMPLEPIE_NAMESPACE_RSS_090

const SIMPLEPIE_NAMESPACE_RSS_090 'http://my.netscape.com/rdf/simple/0.9/'

RSS 0.90 Namespace

Référencé par SimplePie\get_channel_tags(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie\get_image_link(), SimplePie\get_image_tags(), SimplePie\get_image_title(), SimplePie\get_image_url(), SimplePie\get_items(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie\get_title(), SimplePie\get_type(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), et SimplePie_Parser\tag_open().

◆ SIMPLEPIE_NAMESPACE_RSS_10

const SIMPLEPIE_NAMESPACE_RSS_10 'http://purl.org/rss/1.0/'

RSS 1.0 Namespace

Référencé par SimplePie\get_channel_tags(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie\get_image_link(), SimplePie\get_image_tags(), SimplePie\get_image_title(), SimplePie\get_image_url(), SimplePie\get_items(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie\get_title(), SimplePie\get_type(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), et SimplePie_Parser\tag_open().

◆ SIMPLEPIE_NAMESPACE_RSS_10_MODULES_CONTENT

const SIMPLEPIE_NAMESPACE_RSS_10_MODULES_CONTENT 'http://purl.org/rss/1.0/modules/content/'

RSS 1.0 Content Module Namespace

Référencé par SimplePie_Item\get_content().

◆ SIMPLEPIE_NAMESPACE_RSS_20

const SIMPLEPIE_NAMESPACE_RSS_20 ''

RSS 2.0 Namespace (Stupid, I know, but I'm certain it will confuse people less with support.)

Référencé par SimplePie_Item\get_authors(), SimplePie_Source\get_categories(), SimplePie_Item\get_categories(), SimplePie\get_categories(), SimplePie\get_channel_tags(), SimplePie_Source\get_copyright(), SimplePie\get_copyright(), SimplePie_Item\get_date(), SimplePie_Item\get_description(), SimplePie_Source\get_description(), SimplePie\get_description(), SimplePie_Item\get_enclosures(), SimplePie\get_feed_tags(), SimplePie_Item\get_id(), SimplePie\get_image_height(), SimplePie\get_image_link(), SimplePie\get_image_tags(), SimplePie\get_image_title(), SimplePie\get_image_url(), SimplePie\get_image_width(), SimplePie\get_items(), SimplePie_Source\get_language(), SimplePie\get_language(), SimplePie_Source\get_links(), SimplePie_Item\get_links(), SimplePie\get_links(), SimplePie_Source\get_title(), SimplePie_Item\get_title(), SimplePie\get_title(), SimplePie\get_type(), SimplePie_Cache_MySQL\load(), SimplePie_Cache_DB\prepare_simplepie_object_for_cache(), et SimplePie_Parser\tag_open().

◆ SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO

const SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO 'http://www.w3.org/2003/01/geo/wgs84_pos#'

W3C Basic Geo (WGS84 lat/long) Vocabulary Namespace

Référencé par SimplePie_Source\get_latitude(), SimplePie\get_latitude(), SimplePie_Item\get_latitude(), SimplePie_Source\get_longitude(), SimplePie\get_longitude(), et SimplePie_Item\get_longitude().

◆ SIMPLEPIE_NAMESPACE_XHTML

const SIMPLEPIE_NAMESPACE_XHTML 'http://www.w3.org/1999/xhtml'

XHTML Namespace

Référencé par SimplePie_Parser\tag_close(), et SimplePie_Parser\tag_open().

◆ SIMPLEPIE_NAMESPACE_XML

const SIMPLEPIE_NAMESPACE_XML 'http://www.w3.org/XML/1998/namespace'

XML Namespace

Référencé par SimplePie_Parser\tag_open().

◆ SIMPLEPIE_PCRE_HTML_ATTRIBUTE

const SIMPLEPIE_PCRE_HTML_ATTRIBUTE '((?:[\x09\x0A\x0B\x0C\x0D\x20]+[^\x09\x0A\x0B\x0C\x0D\x20\x2F\x3E][^\x09\x0A\x0B\x0C\x0D\x20\x2F\x3D\x3E]*(?:[\x09\x0A\x0B\x0C\x0D\x20]*=[\x09\x0A\x0B\x0C\x0D\x20]*(?:"(?:[^"]*)"|\'(?:[^\']*)\'|(?:[^\x09\x0A\x0B\x0C\x0D\x20\x22\x27\x3E][^\x09\x0A\x0B\x0C\x0D\x20\x3E]*)?))?)*)[\x09\x0A\x0B\x0C\x0D\x20]*'

PCRE for HTML attributes

Référencé par SimplePie_Misc\get_element(), et SimplePie_Sanitize\sanitize().

◆ SIMPLEPIE_PCRE_XML_ATTRIBUTE

const SIMPLEPIE_PCRE_XML_ATTRIBUTE '((?:\s+(?:(?:[^\s:]+:)?[^\s:]+)\s*=\s*(?:"(?:[^"]*)"|\'(?:[^\']*)\'))*)\s*'

PCRE for XML attributes

Référencé par SimplePie_Sanitize\sanitize().

◆ SIMPLEPIE_SAME_CASE

const SIMPLEPIE_SAME_CASE 1

Don't change case

◆ SIMPLEPIE_TYPE_ALL

const SIMPLEPIE_TYPE_ALL 1023

All feed types

Référencé par SimplePie\get_type().

◆ SIMPLEPIE_TYPE_ATOM_03

const SIMPLEPIE_TYPE_ATOM_03 256

Atom 0.3

Référencé par SimplePie\get_feed_tags(), et SimplePie\get_type().

◆ SIMPLEPIE_TYPE_ATOM_10

const SIMPLEPIE_TYPE_ATOM_10 512

Atom 1.0

Référencé par SimplePie\get_feed_tags(), et SimplePie\get_type().

◆ SIMPLEPIE_TYPE_ATOM_ALL

const SIMPLEPIE_TYPE_ATOM_ALL 768

All Atom

Référencé par SimplePie\get_channel_tags().

◆ SIMPLEPIE_TYPE_NONE

const SIMPLEPIE_TYPE_NONE 0

No known feed type

Référencé par SimplePie\get_type(), et SimplePie\init().

◆ SIMPLEPIE_TYPE_RSS_090

const SIMPLEPIE_TYPE_RSS_090 1

RSS 0.90

Référencé par SimplePie\get_channel_tags(), SimplePie\get_image_tags(), et SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_091

const SIMPLEPIE_TYPE_RSS_091 6

RSS 0.91 (both Netscape and Userland)

Référencé par SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_091_NETSCAPE

const SIMPLEPIE_TYPE_RSS_091_NETSCAPE 2

RSS 0.91 (Netscape)

Référencé par SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_091_USERLAND

const SIMPLEPIE_TYPE_RSS_091_USERLAND 4

RSS 0.91 (Userland)

Référencé par SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_092

const SIMPLEPIE_TYPE_RSS_092 8

RSS 0.92

Référencé par SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_093

const SIMPLEPIE_TYPE_RSS_093 16

RSS 0.93

Référencé par SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_094

const SIMPLEPIE_TYPE_RSS_094 32

RSS 0.94

Référencé par SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_10

const SIMPLEPIE_TYPE_RSS_10 64

RSS 1.0

Référencé par SimplePie\get_channel_tags(), SimplePie\get_image_tags(), et SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_20

const SIMPLEPIE_TYPE_RSS_20 128

RSS 2.0

Référencé par SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_ALL

const SIMPLEPIE_TYPE_RSS_ALL 255

All RSS

Référencé par SimplePie\get_type().

◆ SIMPLEPIE_TYPE_RSS_RDF

const SIMPLEPIE_TYPE_RSS_RDF 65

RDF-based RSS

Référencé par SimplePie\get_feed_tags().

◆ SIMPLEPIE_TYPE_RSS_SYNDICATION

const SIMPLEPIE_TYPE_RSS_SYNDICATION 190

Non-RDF-based RSS (truly intended as syndication format)

Référencé par SimplePie\get_base(), SimplePie\get_channel_tags(), SimplePie\get_feed_tags(), SimplePie\get_image_height(), SimplePie\get_image_tags(), et SimplePie\get_image_width().

◆ SIMPLEPIE_UPPERCASE

const SIMPLEPIE_UPPERCASE 4

Change to uppercase

◆ SIMPLEPIE_URL

const SIMPLEPIE_URL 'http://simplepie.org'

SimplePie Website URL

◆ SIMPLEPIE_USERAGENT

const SIMPLEPIE_USERAGENT SIMPLEPIE_NAME . '/' . SIMPLEPIE_VERSION . ' (Feed Parser; ' . SIMPLEPIE_URL . '; Allow like Gecko) Build/' . SIMPLEPIE_BUILD

SimplePie Useragent

Voir également
SimplePie::set_useragent()

◆ SIMPLEPIE_VERSION

const SIMPLEPIE_VERSION '1.3.3'

SimplePie Version

Référencé par SimplePie_Misc\debug().


Joomla CMS: Référence du fichier SipHash.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/SipHash.php

Structures de données

class SipHash

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier SipHash.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/SipHash.php

Structures de données

class ParagonIE_Sodium_Core_SipHash


Joomla CMS: Référence du fichier SipHash.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/SipHash.php

Structures de données

class ParagonIE_Sodium_Core32_SipHash


Joomla CMS: Référence du fichier site.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_search/helpers/site.php

Structures de données

class JSite

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier site.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier installation/controller/site.php

Structures de données

class InstallationControllerSite

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier SiteApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Application
Structures de données | Espaces de nommage
Référence du fichier SiteApplication.php

Structures de données

class SiteApplication

Espaces de nommage

Joomla\CMS\Application


Joomla CMS: Référence du fichier SiteMenu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
Structures de données | Espaces de nommage
Référence du fichier SiteMenu.php

Structures de données

class SiteMenu

Espaces de nommage

Joomla\CMS\Menu


Joomla CMS: Référence du fichier SitePathway.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Pathway
Structures de données | Espaces de nommage
Référence du fichier SitePathway.php

Structures de données

class SitePathway

Espaces de nommage

Joomla\CMS\Pathway


Joomla CMS: Référence du fichier SiteRouter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Router
Structures de données | Espaces de nommage
Référence du fichier SiteRouter.php

Structures de données

class SiteRouter

Espaces de nommage

Joomla\CMS\Router


Joomla CMS: Référence du fichier sites.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier sites.php

Structures de données

class JMediawikiSites

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier Sketchy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier Sketchy.php

Structures de données

class Sketchy

Espaces de nommage

Joomla\Image\Filter


Joomla CMS: Référence du fichier skins.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • tinymce
  • field
Structures de données | Espaces de nommage
Référence du fichier skins.php

Structures de données

class JFormFieldSkins

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier slider.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php

Espaces de nommage

Joomla\Administrator

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']
$name = $displayData['name']
$onClose = $displayData['onClose']

Documentation des variables

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

◆ $name

$name = $displayData['name']

◆ $onClose

$onClose = $displayData['onClose']

Référencé par PopupButton\fetchButton().

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier slider.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier layouts/joomla/toolbar/slider.php

Espaces de nommage

Joomla\Site

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']
$name = $displayData['name']
$onClose = $displayData['onClose']

Documentation des variables

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

◆ $name

$name = $displayData['name']

◆ $onClose

$onClose = $displayData['onClose']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier SliderButton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
  • Button
Structures de données | Espaces de nommage
Référence du fichier SliderButton.php

Structures de données

class SliderButton

Espaces de nommage

Joomla\CMS\Toolbar\Button


Joomla CMS: Référence du fichier sliders.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier sliders.php

Structures de données

class JHtmlSliders

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier Smooth.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Structures de données | Espaces de nommage
Référence du fichier Smooth.php

Structures de données

class Smooth

Espaces de nommage

Joomla\Image\Filter


Joomla CMS: Référence du fichier Sniffer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Content
  • Type
Structures de données | Espaces de nommage
Référence du fichier Sniffer.php

Structures de données

class SimplePie_Content_Type_Sniffer

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier snowball.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • stemmer
Structures de données | Espaces de nommage
Référence du fichier snowball.php

Structures de données

class FinderIndexerStemmerSnowball

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Socket.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
  • RequestMethod
Structures de données | Espaces de nommage
Référence du fichier Socket.php

Structures de données

class Socket

Espaces de nommage

ReCaptcha\RequestMethod


Joomla CMS: Référence du fichier SocketPost.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
  • RequestMethod
Structures de données | Espaces de nommage
Référence du fichier SocketPost.php

Structures de données

class SocketPost

Espaces de nommage

ReCaptcha\RequestMethod


Joomla CMS: Référence du fichier SocketTransport.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
  • Transport
Structures de données | Espaces de nommage
Référence du fichier SocketTransport.php

Structures de données

class SocketTransport

Espaces de nommage

Joomla\CMS\Http\Transport


Joomla CMS: Référence du fichier sodium_compat.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • lib
Espaces de nommage
Référence du fichier sodium_compat.php

Espaces de nommage

Sodium


Joomla CMS: Référence du fichier SodiumCipher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Cipher
Structures de données | Espaces de nommage
Référence du fichier SodiumCipher.php

Structures de données

class SodiumCipher

Espaces de nommage

Joomla\CMS\Crypt\Cipher


Joomla CMS: Référence du fichier SodiumException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
Référence du fichier SodiumException.php


Joomla CMS: Référence du fichier sort.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
  • grid
Espaces de nommage | Variables
Référence du fichier sort.php

Espaces de nommage

Joomla\Site

Variables

$data = $displayData
$title = htmlspecialchars(JText::_($data->tip ?: $data->title))
if(!empty($data->icon)) endif

Documentation des variables

◆ $data

$data = $displayData

◆ $title

$title = htmlspecialchars(JText::_($data->tip ?: $data->title))

◆ endif

if ( $data->order==$data->selected) endif


Joomla CMS: Référence du fichier sortablelist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
Espaces de nommage
Référence du fichier layouts/joomla/html/sortablelist.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier sortablelist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/sortablelist.php

Structures de données

class JHtmlSortablelist

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier Source.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Structures de données | Espaces de nommage
Référence du fichier Source.php

Structures de données

class SimplePie_Source

Espaces de nommage

SimplePie


Joomla CMS: Référence du fichier spacer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/spacer.php

Structures de données

class FOFFormFieldSpacer

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier spacer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/spacer.php

Structures de données

class JFormFieldSpacer

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier specials.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • utils
Variables
Référence du fichier phputf8/utils/specials.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier specials.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • utils
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/utils/specials.php

Espaces de nommage

utf8

Fonctions

utf8_specials_pattern ()
utf8_is_word_chars ($str)
utf8_strip_specials ($string, $repl='')

Documentation des fonctions

◆ utf8_is_word_chars()

utf8_is_word_chars ( $str )

Références utf8_specials_pattern().

◆ utf8_specials_pattern()

utf8_specials_pattern ( )

Références utf8_from_unicode().

Référencé par utf8_is_word_chars(), et utf8_strip_specials().

◆ utf8_strip_specials()

utf8_strip_specials | ( | $string,
 |  | $repl = ''
 | ) |

Références utf8_specials_pattern().


Joomla CMS: Référence du fichier SplFixedArray.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • PHP52
Structures de données
Référence du fichier SplFixedArray.php

Structures de données

class SplFixedArray


Joomla CMS: Référence du fichier sql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/sql.php

Structures de données

class FOFFormFieldSql

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/sql.php

Structures de données

class JFormFieldSQL

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • sql
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/sql/sql.php

Structures de données

class PlgFieldsSql

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier sql.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • sql
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/sql/tmpl/sql.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
if($value=='') | $db = JFactory::getDbo()
$condition = ''
foreach($value as $v) | $query = $fieldParams->get('query', '')
try
catch(Exception $e) | $texts = array()
foreach ( $items as $item)

Documentation des variables

◆ $condition

$condition = ''

Référencé par JDatabaseQueryPostgresql\__toString(), JDatabaseQuerySqlite\charLength(), FOFDatabaseQuerySqlite\charLength(), FOFDatabaseQuerySqlsrv\charLength(), JDatabaseQuerySqlsrv\charLength(), FOFDatabaseQuery\charLength(), JDatabaseQuery\charLength(), FOFDatabaseInstaller\conditionMet(), HtmlDocument\countModules(), ModArticlesCategoryHelper\getList(), PluginsModelPlugin\getReorderConditions(), NewsfeedsModelNewsfeed\getReorderConditions(), ModulesModelModule\getReorderConditions(), FOFDatabaseQuery\innerJoin(), JDatabaseQuery\innerJoin(), FOFDatabaseQuery\leftJoin(), JDatabaseQuery\leftJoin(), Pagination\orderDownIcon(), Pagination\orderUpIcon(), FOFDatabaseQuery\outerJoin(), JDatabaseQuery\outerJoin(), FOFDatabaseQuery\rightJoin(), JDatabaseQuery\rightJoin(), et AdminModel\saveorder().

◆ $db

if ( $value=='') $db = JFactory::getDbo()

◆ $query

foreach ( $value as $v) $query = $fieldParams->get('query', '')

◆ $texts

catch (Exception $e) $texts = array()

◆ $value

$value = $field->value

◆ foreach

foreach($items as $item)

◆ try

try
Valeur initiale :
{
$items = $db->loadObjectlist()
$items
$items
Definition: mod_sampledata.php:15
$db
if($value=='') $db
Definition: plugins/fields/sql/tmpl/sql.php:18


Joomla CMS: Référence du fichier sqlazure.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier fof/database/driver/sqlazure.php

Structures de données

class FOFDatabaseDriverSqlazure

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sqlazure.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier fof/database/query/sqlazure.php

Structures de données

class FOFDatabaseQuerySqlazure

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sqlazure.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier joomla/database/driver/sqlazure.php

Structures de données

class JDatabaseDriverSqlazure

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sqlazure.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier joomla/database/iterator/sqlazure.php

Structures de données

class JDatabaseIteratorSqlazure

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sqlazure.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier joomla/database/query/sqlazure.php

Structures de données

class JDatabaseQuerySqlazure

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sqlazure.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • database
Structures de données | Espaces de nommage
Référence du fichier legacy/database/sqlazure.php

Structures de données

class JDatabaseSqlazure

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier sqlite.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier fof/database/driver/sqlite.php

Structures de données

class FOFDatabaseDriverSqlite

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sqlite.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier fof/database/iterator/sqlite.php

Structures de données

class FOFDatabaseIteratorSqlite

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sqlite.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier fof/database/query/sqlite.php

Structures de données

class FOFDatabaseQuerySqlite

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sqlite.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier joomla/database/driver/sqlite.php

Structures de données

class JDatabaseDriverSqlite

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sqlite.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier joomla/database/iterator/sqlite.php

Structures de données

class JDatabaseIteratorSqlite

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sqlite.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier joomla/database/query/sqlite.php

Structures de données

class JDatabaseQuerySqlite

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sqlsrv.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • driver
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/helpers/indexer/driver/sqlsrv.php

Structures de données

class FinderIndexerDriverSqlsrv

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier sqlsrv.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/driver/sqlsrv.php

Structures de données

class FOFDatabaseDriverSqlsrv

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sqlsrv.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/iterator/sqlsrv.php

Structures de données

class FOFDatabaseIteratorSqlsrv

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sqlsrv.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/database/query/sqlsrv.php

Structures de données

class FOFDatabaseQuerySqlsrv

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier sqlsrv.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Espaces de nommage
Référence du fichier libraries/joomla/database/driver/sqlsrv.php

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sqlsrv.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/iterator/sqlsrv.php

Structures de données

class JDatabaseIteratorSqlsrv

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sqlsrv.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/database/query/sqlsrv.php

Structures de données

class JDatabaseQuerySqlsrv

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier sqlsrv.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • database
Structures de données | Espaces de nommage
Référence du fichier libraries/legacy/database/sqlsrv.php

Structures de données

class JDatabaseSqlsrv

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier SqlsrvChangeItem.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Schema
  • ChangeItem
Structures de données | Espaces de nommage
Référence du fichier SqlsrvChangeItem.php

Structures de données

class SqlsrvChangeItem

Espaces de nommage

Joomla\CMS\Schema\ChangeItem


Joomla CMS: Référence du fichier standard.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php

Espaces de nommage

Joomla\Administrator

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']
$btnClass = $displayData['btnClass']

Documentation des variables

◆ $btnClass

$btnClass = $displayData['btnClass']

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier standard.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier layouts/joomla/toolbar/standard.php

Espaces de nommage

Joomla\Site

Variables

$doTask = $displayData['doTask']
$class = $displayData['class']
$text = $displayData['text']
$btnClass = $displayData['btnClass']

Documentation des variables

◆ $btnClass

$btnClass = $displayData['btnClass']

◆ $class

$class = $displayData['class']

◆ $doTask

$doTask = $displayData['doTask']

◆ $text

$text = $displayData['text']


Joomla CMS: Référence du fichier StandardButton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
  • Button
Structures de données | Espaces de nommage
Référence du fichier StandardButton.php

Structures de données

class StandardButton

Espaces de nommage

Joomla\CMS\Toolbar\Button


Joomla CMS: Référence du fichier StandardRules.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
  • Rules
Structures de données | Espaces de nommage
Référence du fichier StandardRules.php

Structures de données

class StandardRules

Espaces de nommage

Joomla\CMS\Component\Router\Rules


Joomla CMS: Référence du fichier starring.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • activity
Structures de données | Espaces de nommage
Référence du fichier starring.php

Structures de données

class JGithubPackageActivityStarring

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier starttabset.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
  • cms
  • html
  • bootstrap
Espaces de nommage | Variables
Référence du fichier starttabset.php

Espaces de nommage

Joomla\Site

Variables

$selector = empty($displayData['selector']) ? '' : $displayData['selector']

Documentation des variables

◆ $selector

$selector = empty($displayData['selector']) ? '' : $displayData['selector']


Joomla CMS: Référence du fichier starttabsetscript.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
  • cms
  • html
  • bootstrap
Espaces de nommage | Variables
Référence du fichier starttabsetscript.php

Espaces de nommage

Joomla\Site

Variables

$selector = empty($displayData['selector']) ? '' : $displayData['selector']
json_encode ('#' . $selector . ' a')

Documentation des variables

◆ $selector

$selector = empty($displayData['selector']) ? '' : $displayData['selector']

◆ json_encode

json_encode('#' . $selector . ' a')


Joomla CMS: Référence du fichier State.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Poly1305
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Poly1305/State.php

Structures de données

class State

Espaces de nommage

ParagonIE\Sodium\Core\Poly1305


Joomla CMS: Référence du fichier State.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Poly1305
Structures de données
Référence du fichier src/Core/Poly1305/State.php

Structures de données

class ParagonIE_Sodium_Core_Poly1305_State


Joomla CMS: Référence du fichier State.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • SecretStream
Structures de données
Référence du fichier src/Core/SecretStream/State.php

Structures de données

class ParagonIE_Sodium_Core_SecretStream_State


Joomla CMS: Référence du fichier State.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Poly1305
Structures de données
Référence du fichier src/Core32/Poly1305/State.php

Structures de données

class ParagonIE_Sodium_Core32_Poly1305_State


Joomla CMS: Référence du fichier State.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • SecretStream
Structures de données
Référence du fichier src/Core32/SecretStream/State.php

Structures de données

class ParagonIE_Sodium_Core32_SecretStream_State


Joomla CMS: Référence du fichier statistics.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/models/statistics.php

Structures de données

class FinderModelStatistics

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier statistics.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/github/package/repositories/statistics.php

Structures de données

class JGithubPackageRepositoriesStatistics

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier stats.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • layouts
Espaces de nommage | Variables
Référence du fichier layouts/stats.php

Espaces de nommage

Joomla\Plugin

Variables

$versionFields = array('php_version', 'db_version', 'cms_version')
endforeach

Documentation des variables

◆ $versionFields

$versionFields = array('php_version', 'db_version', 'cms_version')

◆ endforeach

endforeach


Joomla CMS: Référence du fichier stats.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
Structures de données | Espaces de nommage
Référence du fichier stats.php

Structures de données

class PlgSystemStats

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier statscollection.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier statscollection.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_statscollection_condition ()

Documentation des fonctions

◆ admin_postinstall_statscollection_condition()

admin_postinstall_statscollection_condition ( )

Alerts the user we are collecting anonymous data as of Joomla 3.5.0.

Renvoie
boolean
Depuis
3.5


Joomla CMS: Référence du fichier status.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
  • removal
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/helpers/removal/status.php

Structures de données

class PrivacyRemovalStatus

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier status.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/facebook/status.php

Structures de données

class JFacebookStatus

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier statuses.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Structures de données | Espaces de nommage
Référence du fichier github/package/repositories/statuses.php

Structures de données

class JGithubPackageRepositoriesStatuses

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier statuses.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Structures de données | Espaces de nommage
Référence du fichier github/statuses.php

Structures de données

class JGithubStatuses

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier statuses.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier twitter/statuses.php

Structures de données

class JTwitterStatuses

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier StatusField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier StatusField.php

Structures de données

class StatusField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier Stdout.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
  • Output
Structures de données | Espaces de nommage
Référence du fichier Stdout.php

Structures de données

class Stdout

Espaces de nommage

Joomla\Application\Cli\Output


Joomla CMS: Référence du fichier stemmer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Structures de données | Espaces de nommage
Référence du fichier stemmer.php

Structures de données

class FinderIndexerStemmer

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Storage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
Structures de données | Espaces de nommage
Référence du fichier Storage.php

Structures de données

class Storage

Espaces de nommage

Joomla\Session


Joomla CMS: Référence du fichier storage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
Structures de données | Espaces de nommage
Référence du fichier storage.php

Structures de données

class JSessionStorage

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier store.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • application
Structures de données | Espaces de nommage
Référence du fichier store.php

Structures de données

class ConfigControllerApplicationStore

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier str_ireplace.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/str_ireplace.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier str_ireplace.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/str_ireplace.php

Espaces de nommage

utf8

Fonctions

utf8_ireplace ($search, $replace, $str, $count=NULL)

Documentation des fonctions

◆ utf8_ireplace()

utf8_ireplace | ( | $search,
 |  | $replace,
 |  | $str,
 |  | $count = NULL
 | ) |

Références $count, $i, et utf8_strtolower().


Joomla CMS: Référence du fichier str_pad.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/str_pad.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier str_pad.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/str_pad.php

Espaces de nommage

utf8

Fonctions

utf8_str_pad ($input, $length, $padStr=' ', $type=STR_PAD_RIGHT)

Documentation des fonctions

◆ utf8_str_pad()

utf8_str_pad | ( | $input,
 |  | $length,
 |  | $padStr = ' ',
 |  | $type = STR_PAD_RIGHT
 | ) |

Références $input, $type, utf8_strlen(), et utf8_substr().


Joomla CMS: Référence du fichier str_split.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/str_split.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier str_split.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/str_split.php

Espaces de nommage

utf8

Fonctions

utf8_str_split ($str, $split_len=1)

Documentation des fonctions

◆ utf8_str_split()

utf8_str_split | ( | $str,
 |  | $split_len = 1
 | ) |

Références utf8_strlen().


Joomla CMS: Référence du fichier strapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • render
Structures de données | Espaces de nommage
Référence du fichier strapper.php

Structures de données

class FOFRenderStrapper

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier strcasecmp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/strcasecmp.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier strcasecmp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/strcasecmp.php

Espaces de nommage

utf8

Fonctions

utf8_strcasecmp ($strX, $strY)

Documentation des fonctions

◆ utf8_strcasecmp()

utf8_strcasecmp | ( | $strX,
 |  | $strY
 | ) |

Références utf8_strtolower().


Joomla CMS: Référence du fichier strcspn.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/strcspn.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier strcspn.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/strcspn.php

Espaces de nommage

utf8

Fonctions

utf8_strcspn ($str, $mask, $start=NULL, $length=NULL)

Documentation des fonctions

◆ utf8_strcspn()

utf8_strcspn | ( | $str,
 |  | $mask,
 |  | $start = NULL,
 |  | $length = NULL
 | ) |

Références $start, utf8_strlen(), et utf8_substr().


Joomla CMS: Référence du fichier stream-xchacha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • lib
Référence du fichier stream-xchacha20.php


Joomla CMS: Référence du fichier Stream.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
Structures de données | Espaces de nommage
Référence du fichier src/Filesystem/Stream.php

Structures de données

class Stream

Espaces de nommage

Joomla\CMS\Filesystem


Joomla CMS: Référence du fichier Stream.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/filesystem/src/Stream.php

Structures de données

class Stream

Espaces de nommage

Joomla\Filesystem


Joomla CMS: Référence du fichier stream.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Structures de données | Espaces de nommage
Référence du fichier stream.php

Structures de données

class JLinkedinStream

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier StreamString.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
  • Streams
Structures de données | Espaces de nommage
Référence du fichier StreamString.php

Structures de données

class StreamString

Espaces de nommage

Joomla\CMS\Filesystem\Streams


Joomla CMS: Référence du fichier StreamTransport.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
  • Transport
Structures de données | Espaces de nommage
Référence du fichier StreamTransport.php

Structures de données

class StreamTransport

Espaces de nommage

Joomla\CMS\Http\Transport


Joomla CMS: Référence du fichier String.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
  • Stream
Structures de données | Espaces de nommage
Référence du fichier filesystem/src/Stream/String.php

Structures de données

class String

Espaces de nommage

Joomla\Filesystem\Stream


Joomla CMS: Référence du fichier String.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
Structures de données | Espaces de nommage
Référence du fichier string/src/String.php

Structures de données

class String

Espaces de nommage

Joomla\String


Joomla CMS: Référence du fichier string.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier cms/html/string.php

Structures de données

class JHtmlString

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier string.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • string
Structures de données | Espaces de nommage
Référence du fichier joomla/string/string.php

Structures de données

class JString

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier StringController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
  • Support
Structures de données | Espaces de nommage
Référence du fichier src/Filesystem/Support/StringController.php

Structures de données

class StringController

Espaces de nommage

Joomla\CMS\Filesystem\Support


Joomla CMS: Référence du fichier StringController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
  • Support
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/filesystem/src/Support/StringController.php

Structures de données

class StringController

Espaces de nommage

Joomla\Filesystem\Support


Joomla CMS: Référence du fichier StringHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
Espaces de nommage
Référence du fichier StringHelper.php

Espaces de nommage

Joomla\String


Joomla CMS: Référence du fichier strings.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • controllers
Structures de données | Espaces de nommage
Référence du fichier strings.json.php

Structures de données

class LanguagesControllerStrings

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier strings.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • models
Structures de données | Espaces de nommage
Référence du fichier strings.php

Structures de données

class LanguagesModelStrings

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier StringWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
  • Stream
Structures de données | Espaces de nommage
Référence du fichier StringWrapper.php

Structures de données

class StringWrapper

Espaces de nommage

Joomla\Filesystem\Stream


Joomla CMS: Référence du fichier stristr.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/stristr.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier stristr.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/stristr.php

Espaces de nommage

utf8

Fonctions

utf8_stristr ($str, $search)

Documentation des fonctions

◆ utf8_stristr()

utf8_stristr | ( | $str,
 |  | $search
 | ) |

Références utf8_strtolower().


Joomla CMS: Référence du fichier strrev.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/strrev.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier strrev.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/strrev.php

Espaces de nommage

utf8

Fonctions

utf8_strrev ($str)

Documentation des fonctions

◆ utf8_strrev()

utf8_strrev ( $str )


Joomla CMS: Référence du fichier strspn.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/strspn.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier strspn.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/strspn.php

Espaces de nommage

utf8

Fonctions

utf8_strspn ($str, $mask, $start=NULL, $length=NULL)

Documentation des fonctions

◆ utf8_strspn()

utf8_strspn | ( | $str,
 |  | $mask,
 |  | $start = NULL,
 |  | $length = NULL
 | ) |

Références $start, null, utf8_strlen(), et utf8_substr().


Joomla CMS: Référence du fichier Stub.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Phar
Structures de données | Espaces de nommage
Référence du fichier Stub.php

Structures de données

class Stub

Espaces de nommage

TYPO3\PharStreamWrapper\Phar


Joomla CMS: Référence du fichier style.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/style.php

Structures de données

class TemplatesControllerStyle

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier style.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • models
Structures de données | Espaces de nommage
Référence du fichier models/style.php

Structures de données

class TemplatesModelStyle

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier style.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • tables
Structures de données | Espaces de nommage
Référence du fichier tables/style.php

Structures de données

class TemplatesTableStyle

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier styles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/controllers/styles.php

Structures de données

class TemplatesControllerStyles

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier styles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/models/styles.php

Structures de données

class TemplatesModelStyles

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier styles.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • codemirror
  • layouts
  • editors
  • codemirror
Espaces de nommage | Variables
Référence du fichier plugins/editors/codemirror/layouts/editors/codemirror/styles.php

Espaces de nommage

Joomla\Plugin

Variables

$params = $displayData->params
$fontFamily = isset($displayData->fontFamily) ? $displayData->fontFamily : 'monospace'
$fontSize = $params->get('fontSize', 13) . 'px;'
$lineHeight = $params->get('lineHeight', 1.2) . 'em;'
$color = $params->get('activeLineColor', '#a4c2eb')
$r = hexdec($color[1] . $color[2])
$g = hexdec($color[3] . $color[4])
$b = hexdec($color[5] . $color[6])
$activeLineColor = 'rgba(' . $r . ', ' . $g . ', ' . $b . ', .5)'
$highlightMatchColor = 'rgba(' . $r . ', ' . $g . ', ' . $b . ', .5)'
JFactory::getDocument() -> addStyleDeclaration(<<< CSS .CodeMirror CodeMirror | fullscreen
CodeMirror | foldmarker
background __pad0__
background box | shadow
background box font | family
font | size
border | radius
padding | __pad1__
vertical | align
color __pad2__
CodeMirror | foldgutter
CodeMirror CodeMirror | markergutter { width: 1.2em
CodeMirror markergutter | mark { cursor: pointer
CodeMirror activeline | background { background: $activeLineColor
CodeMirror | matchingtag { background: $highlightMatchColor
cm | matchhighlight {background-color: $highlightMatchColor
CodeMirror selection highlight | scrollbar {background-color: $highlightMatchColor
CSS

Documentation des variables

◆ $activeLineColor

$activeLineColor = 'rgba(' . $r . ', ' . $g . ', ' . $b . ', .5)'

◆ $b

$b = hexdec($color[5] . $color[6])

Référencé par InstallationFormFieldLanguage\_sortLanguages(), JArrayHelper\_sortObjects(), FOFUtilsArray\_sortObjects(), AKEncryptionAES\AESDecryptCtr(), AKEncryptionAES\AESEncryptCtr(), ParagonIE_Sodium_Core_Curve25519\cmov(), ParagonIE_Sodium_Core32_Curve25519\cmov(), colorIsLight(), lessc\compileValue(), FOFLess\compileValue(), ParagonIE_Sodium_Core_Curve25519\equal(), ParagonIE_Sodium_Core32_Curve25519\equal(), ParagonIE_Sodium_Core_Ristretto255\fe_cneg(), ParagonIE_Sodium_Core_X25519\fe_cswap(), ParagonIE_Sodium_Core_Curve25519\fe_normalize(), ParagonIE_Sodium_Core32_BLAKE2b\G(), ParagonIE_Sodium_Core_BLAKE2b\G(), ParagonIE_Sodium_Core_Curve25519\ge_cmov8_cached(), ParagonIE_Sodium_Core_Curve25519\ge_cmov_cached(), ParagonIE_Sodium_Core32_Curve25519\ge_select(), ModLoginHelper\getLanguageList(), InstallerModelLanguages\getLanguages(), JFormFieldAliastag\getOptions(), JFormFieldLanguage\getOptions(), JFormFieldType\getOptions(), FOFFormFieldComponents\getOptions(), ParagonIE_Sodium_Core32_Int64\isGreaterThan(), ParagonIE_Sodium_Core32_Int32\isGreaterThan(), ParagonIE_Sodium_Core32_Int64\isLessThanInt(), ParagonIE_Sodium_Core32_Int32\isLessThanInt(), lessc\lib_mod(), lessc\makeOutputBlock(), FOFLess\makeOutputBlock(), AKEncryptionAES\MixColumns(), ParagonIE_Sodium_Core32_Int32\mulInt32Fast(), ParagonIE_Sodium_Core32_Int64\mulInt64Fast(), ParagonIE_Sodium_Core32_Int32\mulIntFast(), ParagonIE_Sodium_Core32_Int64\mulIntFast(), ntlm_sasl_client_class\NTLMResponse(), ParagonIE_Sodium_Core32_Int64\orInt64(), McryptCipher\pbkdf2(), FOFLessParser\pushBlock(), lessc_parser\pushBlock(), ParagonIE_Sodium_Core_Curve25519\sc25519_mul(), ParagonIE_Sodium_Core_Ed25519\scalar_add(), ParagonIE_Sodium_Core32_SipHash\sipHash24(), ParagonIE_Sodium_Core_SipHash\sipHash24(), SimplePie\sort_items(), ArrayHelper\sortObjects(), lessc\toHSL(), FOFLess\toHSL(), lessc\toLuma(), lessc\toRGB(), FOFLess\toRGB(), AKEncryptionAES\urs(), ParagonIE_Sodium_Core_Util\verify_16(), ParagonIE_Sodium_Core_Util\verify_32(), ParagonIE_Sodium_Core32_Int32\xorInt32(), ParagonIE_Sodium_Core32_Int64\xorInt64(), et ParagonIE_Sodium_Core_Util\xorStrings().

◆ $color

$color = $params->get('activeLineColor', '#a4c2eb')

Référencé par lessc\assertColor(), FOFLess\assertColor(), lessc\colorArgs(), FOFLess\colorArgs(), colorIsLight(), JGithubPackageIssuesLabels\create(), JGithubPackageIssues\createLabel(), Image\crop(), JGithubPackageIssues\editLabel(), Backgroundfill\execute(), JFormFieldColor\getLayoutData(), lessc\lib__sprintf(), FOFLess\lib__sprintf(), lessc\lib_alpha(), FOFLess\lib_alpha(), lessc\lib_argb(), FOFLess\lib_argb(), lessc\lib_blue(), FOFLess\lib_blue(), lessc\lib_darken(), FOFLess\lib_darken(), lessc\lib_desaturate(), FOFLess\lib_desaturate(), lessc\lib_fade(), FOFLess\lib_fade(), lessc\lib_fadein(), FOFLess\lib_fadein(), lessc\lib_fadeout(), FOFLess\lib_fadeout(), lessc\lib_green(), FOFLess\lib_green(), lessc\lib_hue(), FOFLess\lib_hue(), lessc\lib_lighten(), FOFLess\lib_lighten(), lessc\lib_lightness(), FOFLess\lib_lightness(), lessc\lib_luma(), lessc\lib_red(), FOFLess\lib_red(), lessc\lib_rgbahex(), FOFLess\lib_rgbahex(), lessc\lib_saturate(), FOFLess\lib_saturate(), lessc\lib_saturation(), FOFLess\lib_saturation(), lessc\lib_spin(), FOFLess\lib_spin(), lessc\reduce(), FOFLess\reduce(), Image\resize(), lessc\toHSL(), FOFLess\toHSL(), lessc\toLuma(), lessc\toRGB(), FOFLess\toRGB(), et JGithubPackageIssuesLabels\update().

◆ $fontFamily

$fontFamily = isset($displayData->fontFamily) ? $displayData->fontFamily : 'monospace'

◆ $fontSize

$fontSize = $params->get('fontSize', 13) . 'px;'

◆ $g

$g = hexdec($color[3] . $color[4])

Référencé par colorIsLight(), lessc\compileValue(), FOFLess\compileValue(), ParagonIE_Sodium_Core_X25519\fe_cswap(), ParagonIE_Sodium_Core_Curve25519\fe_mul(), ParagonIE_Sodium_Core_Curve25519\fe_normalize(), ParagonIE_Sodium_Core_Curve25519\fe_sub(), ParagonIE_Sodium_Core32_Curve25519\fe_sub(), PlgSystemUpdatenotification\getSuperUsers(), FOFLessParser\guards(), lessc_parser\guards(), lessc\toHSL(), FOFLess\toHSL(), lessc\toLuma(), lessc\toRGB(), et FOFLess\toRGB().

◆ $highlightMatchColor

$highlightMatchColor = 'rgba(' . $r . ', ' . $g . ', ' . $b . ', .5)'

◆ $lineHeight

$lineHeight = $params->get('lineHeight', 1.2) . 'em;'

◆ $params

$params = $displayData->params

◆ $r

$r = hexdec($color[1] . $color[2])

Référencé par AdminController\__construct(), ConfigModelCms\__construct(), FormController\__construct(), BaseDatabaseModel\__construct(), BaseController\__construct(), FOFController\__construct(), AKEncryptionAES\AddRoundKey(), InstallationModelSetup\checkForm(), colorIsLight(), lessc\compileValue(), FOFLess\compileValue(), ParagonIE_Sodium_Core32_BLAKE2b\compress(), ParagonIE_Sodium_Core_BLAKE2b\compress(), RouterView\detachRule(), InstallationControllerDatabase\execute(), FOFView\findRenderer(), ParagonIE_Sodium_Core32_BLAKE2b\G(), ParagonIE_Sodium_Core_BLAKE2b\G(), ParagonIE_Sodium_Core_Curve25519\ge_add(), ParagonIE_Sodium_Core32_Curve25519\ge_add(), ParagonIE_Sodium_Core_Curve25519\ge_madd(), ParagonIE_Sodium_Core32_Curve25519\ge_madd(), ParagonIE_Sodium_Core_Curve25519\ge_msub(), ParagonIE_Sodium_Core32_Curve25519\ge_msub(), ParagonIE_Sodium_Core_Curve25519\ge_p1p1_to_p2(), ParagonIE_Sodium_Core32_Curve25519\ge_p1p1_to_p2(), ParagonIE_Sodium_Core_Curve25519\ge_p1p1_to_p3(), ParagonIE_Sodium_Core32_Curve25519\ge_p1p1_to_p3(), ParagonIE_Sodium_Core_Curve25519\ge_p2_dbl(), ParagonIE_Sodium_Core32_Curve25519\ge_p2_dbl(), ParagonIE_Sodium_Core_Curve25519\ge_sub(), ParagonIE_Sodium_Core32_Curve25519\ge_sub(), ConfigModelCms\getName(), RouterView\getName(), BaseDatabaseModel\getName(), JApplication\getName(), BaseController\getName(), FOFController\getName(), FOFModel\getName(), FOFLayoutFile\getPath(), AKEncryptionAES\KeyExpansion(), easyparse\match(), FOFLessParser\match(), lessc_parser\match(), AdminModelSysInfo\parsePhpInfo(), FOFLessParser\peek(), lessc_parser\peek(), ParagonIE_Sodium_Core_Ristretto255\ristretto255_elligator(), ParagonIE_Sodium_Compat\ristretto255_from_hash(), ParagonIE_Sodium_Compat\ristretto255_is_valid_point(), ParagonIE_Sodium_Core_Ed25519\scalar_random(), JLinkedinCommunications\sendMessage(), AKEncryptionAES\ShiftRows(), AKEncryptionAES\SubBytes(), lessc\toHSL(), FOFLess\toHSL(), lessc\toLuma(), lessc\toRGB(), et FOFLess\toRGB().

◆ __pad0__

background __pad0__

◆ __pad1__

padding __pad1__

◆ __pad2__

color __pad2__

◆ align

text align

◆ background

CodeMirror activeline background { background: $activeLineColor

◆ CSS

CSS

◆ family

background box font family

◆ foldgutter

CodeMirror foldgutter

◆ foldmarker

CodeMirror foldmarker
Valeur initiale :
{
background: rgb(255, 128, 0)
background
CodeMirror activeline background
Definition: plugins/editors/codemirror/layouts/editors/codemirror/styles.php:64

◆ fullscreen

JFactory::getDocument () -> addStyleDeclaration(<<< CSS .CodeMirror CodeMirror fullscreen
Valeur initiale :
{
z-index: 1040

◆ mark

CodeMirror markergutter mark { cursor: pointer

◆ markergutter

CodeMirror markergutter { width: 1.2em

◆ matchhighlight

cm matchhighlight {background-color: $highlightMatchColor

◆ matchingtag

CodeMirror matchingtag { background: $highlightMatchColor

◆ radius

border radius

◆ scrollbar

CodeMirror selection highlight scrollbar {background-color: $highlightMatchColor

◆ shadow

text shadow

◆ size

font size

Référencé par SplFixedArray\__construct(), JFormFieldList\getInput(), JFormFieldUsergroup\getInput(), JFormFieldAccessLevel\getInput(), FOFFormFieldOrdering\getInput(), OrderingField\getInput(), JFormFieldGroupedList\getInput(), JFormFieldCategoryEdit\getInput(), FormField\getLayoutData(), SplFixedArray\setSize(), et CacheStorageHelper\updateSize().


Joomla CMS: Référence du fichier subform.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier subform.php

Structures de données

class JFormFieldSubform

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier SubFormRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier SubFormRule.php

Structures de données

class SubformRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier submenu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • sidebars
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php

Espaces de nommage

Joomla\Site

Variables

if( $displayData->displayMenu)( $displayData->list as $item)(isset($item[2]) && $item[2]==1) if($displayData->hide) else
else __pad87__
endif
endforeach

Documentation des variables

◆ __pad87__

else __pad87__

◆ else

if($displayData->displayMenu) ($displayData->list as $item) (isset( $item[2]) &&$item[2]==1) if ( $displayData->hide) else

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier submenu.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • sidebars
Espaces de nommage
Référence du fichier layouts/joomla/sidebars/submenu.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier substr_replace.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/substr_replace.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier substr_replace.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/substr_replace.php

Espaces de nommage

utf8

Fonctions

utf8_substr_replace ($str, $repl, $start, $length=NULL)

Documentation des fonctions

◆ utf8_substr_replace()

utf8_substr_replace | ( | $str,
 |  | $repl,
 |  | $start,
 |  | $length = NULL
 | ) |

UTF-8 aware substr_replace. Note: requires utf8_substr to be loaded

Voir également
http://www.php.net/substr_replace
utf8_strlen
utf8_substr

Références $start, et utf8_strlen().

Référencé par utf8_ucwords_callback().


Joomla CMS: Référence du fichier subtoolbar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • includes
Structures de données | Espaces de nommage
Référence du fichier subtoolbar.php

Structures de données

class JSubMenuHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier suggestions.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • controllers
Structures de données | Espaces de nommage
Référence du fichier suggestions.json.php

Structures de données

class FinderControllerSuggestions

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier suggestions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • models
Structures de données | Espaces de nommage | Variables
Référence du fichier suggestions.php

Structures de données

class FinderModelSuggestions

Espaces de nommage

Joomla\Site

Variables

const FINDER_PATH_INDEXER JPATH_ADMINISTRATOR . '/components/com_finder/helpers/indexer'

Documentation des variables

◆ FINDER_PATH_INDEXER

const FINDER_PATH_INDEXER JPATH_ADMINISTRATOR . '/components/com_finder/helpers/indexer'


Joomla CMS: Référence du fichier summary.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier summary.php

Structures de données

class InstallationControllerSummary

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier switcher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • radio
Espaces de nommage | Variables
Référence du fichier switcher.php

Espaces de nommage

Joomla\Site

Variables

if(! $displayData['class']||strpos($displayData['class'], 'btn-group')===false) $renderer = new FileLayout('joomla.form.field.radio', null, $this->options)

Documentation des variables

◆ $renderer

if (! $displayData[ 'class']||strpos( $displayData[ 'class'], 'btn-group')===false) $renderer = new FileLayout('joomla.form.field.radio', null, $this->options)


Joomla CMS: Référence du fichier sysinfo.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • models
Structures de données | Espaces de nommage
Référence du fichier sysinfo.php

Structures de données

class AdminModelSysInfo

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier SyslogLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
  • Logger
Structures de données | Espaces de nommage
Référence du fichier SyslogLogger.php

Structures de données

class SyslogLogger

Espaces de nommage

Joomla\CMS\Log\Logger


Joomla CMS: Référence du fichier system.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier system.php

Structures de données

class JHtmlSystem

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Table.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Table.php

Structures de données

class Table

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier table.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
Structures de données | Espaces de nommage
Référence du fichier table.php

Structures de données

class FOFTable

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier TableInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier TableInterface.php

Structures de données

interface TableInterface

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier tables.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • config
  • domain
Structures de données | Espaces de nommage
Référence du fichier tables.php

Structures de données

class FOFConfigDomainTables

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier tabs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier tabs.php

Structures de données

class JHtmlTabs

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier tag.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_tags/controllers/tag.php

Structures de données

class TagsControllerTag

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier tag.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_tags/models/tag.php

Structures de données

class TagsModelTag

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier tag.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • tables
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_tags/tables/tag.php

Structures de données

class TagsTableTag

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier tag.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_tags/models/tag.php

Structures de données

class TagsModelTag

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier tag.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • batch
Espaces de nommage
Référence du fichier layouts/joomla/html/batch/tag.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier tag.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
Espaces de nommage | Variables
Référence du fichier layouts/joomla/html/tag.php

Espaces de nommage

Joomla\Site

Variables

$chosenAjaxSettings

Documentation des variables

◆ $chosenAjaxSettings

$chosenAjaxSettings
Valeur initiale :
= new Registry(
array(
'selector' => $selector,
'type' => 'GET',
'url' => JUri::root() . 'index.php?option=com_tags&task=tags.searchAjax',
'dataType' => 'json',
'jsonTermKey' => 'like',
'minTermLength' => $minTermLength
)
)
$selector
$selector
Definition: administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php:14
Joomla\Registry\Registry
Definition: joomla/registry/src/Registry.php:18


Joomla CMS: Référence du fichier tag.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/tag.php

Structures de données

class JHtmlTag

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier tag.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/tag.php

Structures de données

class FOFFormFieldTag

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier TagField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier TagField.php

Structures de données

class TagField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier TaggableTableInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Tag
Structures de données | Espaces de nommage
Référence du fichier TaggableTableInterface.php

Structures de données

interface TaggableTableInterface

Espaces de nommage

Joomla\CMS\Tag


Joomla CMS: Référence du fichier TaggableTableTrait.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Tag
Espaces de nommage
Référence du fichier TaggableTableTrait.php

Espaces de nommage

Joomla\CMS\Tag


Joomla CMS: Référence du fichier Tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
  • Observer
Structures de données | Espaces de nommage
Référence du fichier Tags.php

Structures de données

class Tags

Espaces de nommage

Joomla\CMS\Table\Observer


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_tags/controllers/tags.php

Structures de données

class TagsControllerTags

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_tags/helpers/tags.php

Structures de données

class TagsHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_tags/models/tags.php

Structures de données

class TagsModelTags

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
Espaces de nommage | Variables
Référence du fichier administrator/components/com_tags/tags.php

Espaces de nommage

Joomla\Administrator

Variables

if(!JFactory::getUser() ->authorise('core.manage', 'com_tags')) $controller = JControllerLegacy::getInstance('Tags')

Documentation des variables

◆ $controller

if (!JFactory::getUser() ->authorise( 'core.manage', 'com_tags')) $controller = JControllerLegacy::getInstance('Tags')


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • controllers
Structures de données | Espaces de nommage
Référence du fichier components/com_tags/controllers/tags.php

Structures de données

class TagsControllerTags

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • models
Structures de données | Espaces de nommage
Référence du fichier components/com_tags/models/tags.php

Structures de données

class TagsModelTags

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
Espaces de nommage | Variables
Référence du fichier components/com_tags/tags.php

Espaces de nommage

Joomla\Site

Variables

$controller = JControllerLegacy::getInstance('Tags')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Tags')


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier layouts/joomla/content/tags.php

Espaces de nommage

Joomla\Site

Variables

$authorised = JFactory::getUser()->getAuthorisedViewLevels()
$link_class = $tagParams->get('tag_link_class', 'label label-info')
endif
endforeach

Documentation des variables

◆ $authorised

$authorised = JFactory::getUser()->getAuthorisedViewLevels()

Référencé par ContentViewForm\display(), Access\getAuthorisedViewLevels(), ModArticlesPopularHelper\getList(), ModArticlesNewsHelper\getList(), ModArticlesLatestHelper\getList(), ModArticlesCategoryHelper\getList(), et PlgSystemActionLogs\onUserAfterSave().

◆ $link_class

$link_class = $tagParams->get('tag_link_class', 'label label-info')

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
  • behavior
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/table/behavior/tags.php

Structures de données

class FOFTableBehaviorTags

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • data
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/github/package/data/tags.php

Structures de données

class JGithubPackageDataTags

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • tags
Structures de données | Espaces de nommage
Référence du fichier plugins/finder/tags/tags.php

Structures de données

class PlgFinderTags

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier tags.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • tags
Structures de données | Espaces de nommage
Référence du fichier plugins/search/tags/tags.php

Structures de données

class PlgSearchTags

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier TagsHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier TagsHelper.php

Structures de données

class TagsHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier Tar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
Structures de données | Espaces de nommage
Référence du fichier Tar.php

Structures de données

class Tar

Espaces de nommage

Joomla\Archive


Joomla CMS: Référence du fichier tar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • archive
Structures de données | Espaces de nommage
Référence du fichier tar.php

Structures de données

class JArchiveTar

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier taxonomy.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Structures de données | Espaces de nommage
Référence du fichier taxonomy.php

Structures de données

class FinderIndexerTaxonomy

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier teams.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • orgs
Structures de données | Espaces de nommage
Référence du fichier teams.php

Structures de données

class JGithubPackageOrgsTeams

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier tel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/tel.php

Espaces de nommage

Joomla\Site

Variables

$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"'
$attributes

Documentation des variables

◆ $attributes

$attributes
Valeur initiale :
= array(
!empty($size) ? 'size="' . $size . '"' : '',
$disabled ? 'disabled' : '',
$readonly ? 'readonly' : '',
strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
$autocomplete,
$autofocus ? ' autofocus' : '',
$spellcheck ? '' : 'spellcheck="false"',
$onchange ? ' onchange="' . $onchange . '"' : '',
!empty($maxLength) ? $maxLength : '',
$required ? 'required aria-required="true"' : '',
)
$required
$required
Definition: components/com_contact/layouts/joomla/form/renderfield.php:43
$autofocus
$autofocus
Definition: advanced.php:79
ENT_COMPAT
else ENT_COMPAT
Definition: components/com_newsfeeds/views/category/tmpl/default_items.php:20
$hint
$hint
Definition: advanced.php:66
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34
$disabled
$disabled
Definition: administrator/templates/hathor/html/com_banners/banners/default.php:177
$onchange
$onchange
Definition: layouts/joomla/form/field/checkboxes.php:78
$autocomplete
$autocomplete
Definition: layouts/joomla/form/field/tel.php:52
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

◆ $autocomplete

$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"'


Joomla CMS: Référence du fichier tel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/tel.php

Structures de données

class JHtmlTel

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier tel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/tel.php

Structures de données

class FOFFormFieldTel

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier tel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/tel.php

Structures de données

class JFormFieldTel

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier TelRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier TelRule.php

Structures de données

class TelRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier template.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/template.php

Structures de données

class TemplatesControllerTemplate

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier template.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • helpers
Structures de données | Espaces de nommage
Référence du fichier helpers/template.php

Structures de données

class TemplateHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier template.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • models
Structures de données | Espaces de nommage
Référence du fichier models/template.php

Structures de données

class TemplatesModelTemplate

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier TemplateAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Adapter
Structures de données | Espaces de nommage
Référence du fichier TemplateAdapter.php

Structures de données

class TemplateAdapter

Espaces de nommage

Joomla\CMS\Installer\Adapter


Joomla CMS: Référence du fichier templatelocation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier templatelocation.php

Structures de données

class JFormFieldTemplateLocation

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier templatename.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier templatename.php

Structures de données

class JFormFieldTemplateName

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier templates.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/helpers/html/templates.php

Structures de données

class JHtmlTemplates

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier templates.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/helpers/templates.php

Structures de données

class TemplatesHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier templates.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/models/templates.php

Structures de données

class TemplatesModelTemplates

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier templates.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
Espaces de nommage | Variables
Référence du fichier administrator/components/com_templates/templates.php

Espaces de nommage

Joomla\Administrator

Variables

$controller = JControllerLegacy::getInstance('Templates')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Templates')


Joomla CMS: Référence du fichier templates.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • model
Structures de données | Espaces de nommage
Référence du fichier components/com_config/model/templates.php

Structures de données

class ConfigModelTemplates

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier TemplatestyleField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier TemplatestyleField.php

Structures de données

class TemplatestyleField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier terms.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • terms
  • field
Structures de données | Espaces de nommage
Référence du fichier field/terms.php

Structures de données

class JFormFieldterms

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier terms.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • terms
Structures de données | Espaces de nommage
Référence du fichier terms.php

Structures de données

class PlgUserTerms

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Text.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
Structures de données | Espaces de nommage
Référence du fichier Text.php

Structures de données

class Text

Espaces de nommage

Joomla\CMS\Language


Joomla CMS: Référence du fichier text.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/text.php

Espaces de nommage

Joomla\Site

Variables

$list = ''
if($options) | $autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"'
$attributes
if($options) foreach( $options as $option)(! $option->value) | endif
endforeach

Documentation des variables

◆ $attributes

$attributes
Valeur initiale :
= array(
!empty($class) ? 'class="' . $class . '"' : '',
!empty($size) ? 'size="' . $size . '"' : '',
$disabled ? 'disabled' : '',
$readonly ? 'readonly' : '',
$list,
strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
$onchange ? ' onchange="' . $onchange . '"' : '',
!empty($maxLength) ? $maxLength : '',
$required ? 'required aria-required="true"' : '',
$autocomplete,
$autofocus ? ' autofocus' : '',
$spellcheck ? '' : 'spellcheck="false"',
!empty($inputmode) ? $inputmode : '',
!empty($pattern) ? 'pattern="' . $pattern . '"' : '',
)
$required
$required
Definition: components/com_contact/layouts/joomla/form/renderfield.php:43
$autofocus
$autofocus
Definition: advanced.php:79
ENT_COMPAT
else ENT_COMPAT
Definition: components/com_newsfeeds/views/category/tmpl/default_items.php:20
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19
$hint
$hint
Definition: advanced.php:66
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34
$disabled
$disabled
Definition: administrator/templates/hathor/html/com_banners/banners/default.php:177
$onchange
$onchange
Definition: layouts/joomla/form/field/checkboxes.php:78
$autocomplete
if($options) $autocomplete
Definition: layouts/joomla/form/field/text.php:58
$list
$list
Definition: layouts/joomla/form/field/text.php:51
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

◆ $autocomplete

$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"'

◆ $list

$list = ''

◆ endforeach

endforeach

◆ endif

endif


Joomla CMS: Référence du fichier text.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/text.php

Structures de données

class FOFFormFieldText

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier text.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/model/field/text.php

Structures de données

class FOFModelFieldText

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier text.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/text.php

Structures de données

class JFormFieldText

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier text.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • text
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/text/text.php

Structures de données

class PlgFieldsText

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier text.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • text
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/text/tmpl/text.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
if($value=='') if (is_array( $value))

Documentation des variables

◆ $value

$value = $field->value

◆ if

if ( $value=='') if(is_array($value))


Joomla CMS: Référence du fichier text_filters.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Espaces de nommage | Variables
Référence du fichier text_filters.php

Espaces de nommage

Joomla\Site

Variables

if(!empty($displayData->description)) | endif
$fieldsnames = explode(',', $displayData->fieldsname)
foreach( $fieldsnames as $fieldname)($displayData->form->getFieldset($fieldname) as $field) | endforeach

Documentation des variables

◆ $fieldsnames

$fieldsnames = explode(',', $displayData->fieldsname)

◆ endforeach

endforeach

◆ endif

if (!empty( $displayData->description)) endif


Joomla CMS: Référence du fichier textarea.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/textarea.php

Espaces de nommage

Joomla\Site

Variables

$autocomplete = !$autocomplete ? 'autocomplete="off"' : 'autocomplete="' . $autocomplete . '"'
$attributes

Documentation des variables

◆ $attributes

$attributes
Valeur initiale :
= array(
$columns ?: '',
$rows ?: '',
!empty($class) ? 'class="' . $class . '"' : '',
strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
$disabled ? 'disabled' : '',
$readonly ? 'readonly' : '',
$onchange ? 'onchange="' . $onchange . '"' : '',
$onclick ? 'onclick="' . $onclick . '"' : '',
$required ? 'required aria-required="true"' : '',
$autocomplete,
$autofocus ? 'autofocus' : '',
$spellcheck ? '' : 'spellcheck="false"',
$maxlength ? $maxlength: ''
)
$required
$required
Definition: components/com_contact/layouts/joomla/form/renderfield.php:43
$autofocus
$autofocus
Definition: advanced.php:79
ENT_COMPAT
else ENT_COMPAT
Definition: components/com_newsfeeds/views/category/tmpl/default_items.php:20
$columns
$columns
Definition: administrator/components/com_categories/views/categories/tmpl/default.php:31
$autocomplete
$autocomplete
Definition: layouts/joomla/form/field/textarea.php:52
$onclick
$onclick
Definition: administrator/components/com_contact/views/contacts/tmpl/modal.php:38
$class
$class
Definition: components/com_modules/views/module/tmpl/edit_options.php:19
$hint
$hint
Definition: advanced.php:66
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34
$rows
$rows
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:18
$disabled
$disabled
Definition: administrator/templates/hathor/html/com_banners/banners/default.php:177
$onchange
$onchange
Definition: layouts/joomla/form/field/checkboxes.php:78
$maxlength
$maxlength
Definition: mod_search.php:41
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

◆ $autocomplete

$autocomplete = !$autocomplete ? 'autocomplete="off"' : 'autocomplete="' . $autocomplete . '"'


Joomla CMS: Référence du fichier textarea.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • tinymce
Espaces de nommage | Variables
Référence du fichier layouts/joomla/tinymce/textarea.php

Espaces de nommage

Joomla\Site

Variables

$data = $displayData

Documentation des variables

◆ $data

$data = $displayData


Joomla CMS: Référence du fichier textarea.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/textarea.php

Structures de données

class FOFFormFieldTextarea

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier textarea.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/textarea.php

Structures de données

class JFormFieldTextarea

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier textarea.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • textarea
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/textarea/textarea.php

Structures de données

class PlgFieldsTextarea

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier textarea.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • textarea
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/textarea/tmpl/textarea.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
if ( $value=='')

Documentation des variables

◆ $value

$value = $field->value

◆ if

if($value=='')


Joomla CMS: Référence du fichier textdiff.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier textdiff.php

Structures de données

class JHtmlTextdiff

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier textfilter3919.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier textfilter3919.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_textfilter3919_condition ()

Documentation des fonctions

◆ admin_postinstall_textfilter3919_condition()

admin_postinstall_textfilter3919_condition ( )

Notifies users the changes from the default textfilter.

This check returns true regardless of condition.

Renvoie
boolean
Depuis
3.9.19


Joomla CMS: Référence du fichier thumbs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier thumbs.php

Espaces de nommage

Joomla\Administrator

Variables

$params = JComponentHelper::getParams('com_media')
$path = 'file_path'
$doc = JFactory::getDocument()

Documentation des variables

◆ $doc

$doc = JFactory::getDocument()

◆ $params

$params = JComponentHelper::getParams('com_media')

◆ $path

$path = 'file_path'


Joomla CMS: Référence du fichier thumbs_docs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier thumbs_docs.php

Espaces de nommage

Joomla\Administrator

Variables

$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
if($this->canDelete) task =file.delete&amp
tmpl =index&amp
endif
endforeach

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ endforeach

endforeach

◆ endif

endif

◆ task

if ( $this->canDelete) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier thumbs_folders.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_media/views/medialist/tmpl/thumbs_folders.php

Espaces de nommage

Joomla\Administrator

Variables

foreach( $this->folders as $i=> $folder)($this->canDelete) task =folder.delete&amp
tmpl =index&amp
endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif

◆ task

foreach ($this->folders as $i => $folder) ( $this->canDelete) task =folder.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier thumbs_folders.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • com_media
  • medialist
Espaces de nommage | Variables
Référence du fichier templates/isis/html/com_media/medialist/thumbs_folders.php

Espaces de nommage

Joomla\Administrator

Variables

foreach( $this->folders as $i=> $folder)($this->canDelete) task =folder.delete&amp
tmpl =index&amp
endif
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

endif

◆ task

foreach ($this->folders as $i => $folder) ( $this->canDelete) task =folder.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier thumbs_imgs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier components/com_media/views/medialist/tmpl/thumbs_imgs.php

Espaces de nommage

Joomla\Administrator

Variables

$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
if($this->canDelete) task =file.delete&amp
tmpl =index&amp
endif
endforeach

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ endforeach

endforeach

◆ endif

endif

◆ task

if ( $this->canDelete) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier thumbs_imgs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • com_media
  • medialist
Espaces de nommage | Variables
Référence du fichier templates/isis/html/com_media/medialist/thumbs_imgs.php

Espaces de nommage

Joomla\Administrator

Variables

$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
if($this->canDelete) task =file.delete&amp
tmpl =index&amp
endif
endforeach

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ endforeach

endforeach

◆ endif

endif

◆ task

if ( $this->canDelete) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier thumbs_up.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier thumbs_up.php

Espaces de nommage

Joomla\Administrator

Variables

if($this->state->folder !='') view =mediaList&amp
tmpl =component&amp
folder =<?php echo rawurlencode($this->state->parent)
endif

Documentation des variables

◆ endif

endif

◆ folder

folder =<?php echo rawurlencode($this->state->parent)

◆ tmpl

tmpl =component&amp

◆ view

if ( $this->state->folder !='') view =mediaList&amp


Joomla CMS: Référence du fichier thumbs_videos.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Espaces de nommage | Variables
Référence du fichier thumbs_videos.php

Espaces de nommage

Joomla\Administrator

Variables

$params = new Registry
$dispatcher = JEventDispatcher::getInstance()
if($this->canDelete) task =file.delete&amp
tmpl =index&amp
endif
endforeach

Documentation des variables

◆ $dispatcher

$dispatcher = JEventDispatcher::getInstance()

◆ $params

$params = new Registry

◆ endforeach

endforeach

◆ endif

endif

◆ task

if ( $this->canDelete) task =file.delete&amp

◆ tmpl

tmpl =index&amp


Joomla CMS: Référence du fichier timer.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • timer
Structures de données | Espaces de nommage
Référence du fichier timer.php

Structures de données

class FOFUtilsTimer

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier timezone.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/timezone.php

Structures de données

class FOFFormFieldTimezone

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier timezone.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/timezone.php

Structures de données

class JFormFieldTimezone

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier tinymce.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • tinymce
Structures de données | Espaces de nommage
Référence du fichier tinymce.php

Structures de données

class PlgEditorTinymce

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier tinymcebuilder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • editors
  • tinymce
  • field
Espaces de nommage | Variables
Référence du fichier layouts/plugins/editors/tinymce/field/tinymcebuilder.php

Espaces de nommage

Joomla\Plugin

Variables

if($languageFile) | $doc = JFactory::getDocument()
foreach ($setsNames as $num=> $title)
endforeach
$presetButtonClases
foreach($setsNames as $num=> $title)(empty($value['toolbars'][$num]['menu']) &&empty($value['toolbars'][$num]['toolbar1']) &&empty($value['toolbars'][$num]['toolbar2'])) | $valMenu = empty($value['toolbars'][$num]['menu']) ? array() : $value['toolbars'][$num]['menu']
$valBar1 = empty($value['toolbars'][$num]['toolbar1']) ? array() : $value['toolbars'][$num]['toolbar1']
$valBar2 = empty($value['toolbars'][$num]['toolbar2']) ? array() : $value['toolbars'][$num]['toolbar2']
foreach | (array_keys($toolbarPreset) as $presetName) ( $presetButtonClases[ $presetName]) ? 'btn-primary'

Documentation des variables

◆ $doc

if ( $languageFile) $doc = JFactory::getDocument()

◆ $presetButtonClases

$presetButtonClases
Valeur initiale :
= array(
'simple' => 'btn-success',
'medium' => 'btn-info',
'advanced' => 'btn-warning',
)

◆ $valBar1

$valBar1 = empty($value['toolbars'][$num]['toolbar1']) ? array() : $value['toolbars'][$num]['toolbar1']

◆ $valBar2

$valBar2 = empty($value['toolbars'][$num]['toolbar2']) ? array() : $value['toolbars'][$num]['toolbar2']

◆ $valMenu

foreach ( $setsNames as $num => $title ) (empty( $value[ 'toolbars'][ $num][ 'menu']) &&empty( $value[ 'toolbars'][ $num][ 'toolbar1']) &&empty( $value[ 'toolbars'][ $num][ 'toolbar2'])) $valMenu = empty($value['toolbars'][$num]['menu']) ? array() : $value['toolbars'][$num]['menu']

◆ (array_keys($toolbarPreset) as $presetName)

foreach (array_keys( $toolbarPreset) as $presetName)($presetButtonClases[$presetName]) ? 'btn-primary'

◆ endforeach

endforeach

◆ foreach

foreach( $setsNames as $num=> $title)


Joomla CMS: Référence du fichier tinymcebuilder.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • tinymce
  • field
Structures de données | Espaces de nommage
Référence du fichier plugins/editors/tinymce/field/tinymcebuilder.php

Structures de données

class JFormFieldTinymceBuilder

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier title.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/title.php

Espaces de nommage

Joomla\Site

Variables

$class = 'pagetitle'
if (!empty( $displayData[ 'icon']))

Documentation des variables

◆ $class

$class = 'pagetitle'

◆ if

if(!empty($displayData['icon']))


Joomla CMS: Référence du fichier title.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier layouts/joomla/toolbar/title.php

Espaces de nommage

Joomla\Site

Variables

$icon = empty($displayData['icon']) ? 'generic' : preg_replace('#\.[^ .]*$#', '', $displayData['icon'])

Documentation des variables

◆ $icon

$icon = empty($displayData['icon']) ? 'generic' : preg_replace('#\.[^ .]*$#', '', $displayData['icon'])


Joomla CMS: Référence du fichier title.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/title.php

Structures de données

class FOFFormFieldTitle

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier title_alias.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Espaces de nommage | Variables
Référence du fichier title_alias.php

Espaces de nommage

Joomla\Site

Variables

$form = $displayData->getForm()
$title = $form->getField('title') ? 'title' : ($form->getField('name') ? 'name' : '')

Documentation des variables

◆ $form

$form = $displayData->getForm()

◆ $title

$title = $form->getField('title') ? 'title' : ($form->getField('name') ? 'name' : '')


Joomla CMS: Référence du fichier toc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • pagebreak
  • tmpl
Espaces de nommage | Variables
Référence du fichier toc.php

Espaces de nommage

Joomla\Plugin

Variables

if($headingtext) endif
foreach ( $list as $listItem)
endforeach

Documentation des variables

◆ endforeach

endforeach

◆ endif

if ( $headingtext) endif

◆ foreach

foreach($list as $listItem)


Joomla CMS: Référence du fichier toggle.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • sidebars
Espaces de nommage
Référence du fichier toggle.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier togglebutton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • tinymce
Espaces de nommage | Variables
Référence du fichier togglebutton.php

Espaces de nommage

Joomla\Site

Variables

$name = $displayData

Documentation des variables

◆ $name

$name = $displayData


Joomla CMS: Référence du fichier token.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Structures de données | Espaces de nommage
Référence du fichier token.php

Structures de données

class FinderIndexerToken

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier Toolbar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
Structures de données | Espaces de nommage
Référence du fichier Toolbar.php

Structures de données

class Toolbar

Espaces de nommage

Joomla\CMS\Toolbar


Joomla CMS: Référence du fichier toolbar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_postinstall/toolbar.php

Structures de données

class PostinstallToolbar

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier toolbar.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • toolbar
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/toolbar/toolbar.php

Structures de données

class FOFToolbar

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier ToolbarButton.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
Structures de données | Espaces de nommage
Référence du fichier ToolbarButton.php

Structures de données

class ToolbarButton

Espaces de nommage

Joomla\CMS\Toolbar


Joomla CMS: Référence du fichier ToolbarHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
Structures de données | Espaces de nommage
Référence du fichier ToolbarHelper.php

Structures de données

class ToolbarHelper

Espaces de nommage

Joomla\CMS\Toolbar


Joomla CMS: Référence du fichier tos.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • profile
  • field
Structures de données | Espaces de nommage
Référence du fichier tos.php

Structures de données

class JFormFieldTos

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier totp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/encrypt/totp.php

Structures de données

class FOFEncryptTotp

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier totp.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • totp
Structures de données | Espaces de nommage
Référence du fichier plugins/twofactorauth/totp/totp.php

Structures de données

class PlgTwofactorauthTotp

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier tracks.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/tracks.php

Structures de données

class BannersControllerTracks

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier tracks.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
Structures de données | Espaces de nommage
Référence du fichier models/tracks.php

Structures de données

class BannersModelTracks

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier tracks.raw.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • controllers
Structures de données | Espaces de nommage
Référence du fichier tracks.raw.php

Structures de données

class BannersControllerTracks

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier transcode_wrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • idna_convert
Espaces de nommage | Fonctions
Référence du fichier transcode_wrapper.php

Espaces de nommage

IDNA

Fonctions

encode_utf8 ($string='', $encoding='iso-8859-1', $safe_mode=false)
decode_utf8 ($string='', $encoding='iso-8859-1', $safe_mode=false)
map_w1252_iso8859_1 ($string='')
map_iso8859_1_w1252 ($string='')

Documentation des fonctions

◆ decode_utf8()

decode_utf8 | ( | $string = '',
 |  | $encoding = 'iso-8859-1',
 |  | $safe_mode = false
 | ) |

Convert a string from UTF-8 to any of various encodings

Paramètres
string | String to decode [
string | Encoding; Default: ISO-8859-1] [
bool | Safe Mode: if set to TRUE, the original string is retunred on errors]
Renvoie
string The decoded string or false on failure
Depuis
0.0.1

Références elseif, et map_iso8859_1_w1252().

◆ encode_utf8()

encode_utf8 | ( | $string = '',
 |  | $encoding = 'iso-8859-1',
 |  | $safe_mode = false
 | ) |

Convert a string from any of various encodings to UTF-8

Paramètres
string | String to encode [
string | Encoding; Default: ISO-8859-1] [
bool | Safe Mode: if set to TRUE, the original string is retunred on errors]
Renvoie
string The encoded string or false on failure
Depuis
0.0.1
Note
This file has been modified by the Joomla! Project and no longer reflects the original work of its author.

Références elseif, et map_w1252_iso8859_1().

◆ map_iso8859_1_w1252()

map_iso8859_1_w1252 ( $string = '' )

Special treatment for our guys in Redmond Windows-1252 is basically ISO-8859-1 – with some exceptions, which get accounted for here

Paramètres
string | Your input in ISO-8859-1
string | The resulting Win1252 string
Depuis
3.0.8

Références $i, et $return.

Référencé par decode_utf8().

◆ map_w1252_iso8859_1()

map_w1252_iso8859_1 ( $string = '' )

Special treatment for our guys in Redmond Windows-1252 is basically ISO-8859-1 – with some exceptions, which get accounted for here

Paramètres
string | Your input in Win1252
string | The resulting ISO-8859-1 string
Depuis
3.0.8

Références $i, et $return.

Référencé par encode_utf8().


Joomla CMS: Référence du fichier Transliterate.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
Structures de données | Espaces de nommage
Référence du fichier Transliterate.php

Structures de données

class Transliterate

Espaces de nommage

Joomla\CMS\Language


Joomla CMS: Référence du fichier TransliterateWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
  • Wrapper
Structures de données | Espaces de nommage
Référence du fichier TransliterateWrapper.php

Structures de données

class TransliterateWrapper

Espaces de nommage

Joomla\CMS\Language\Wrapper


Joomla CMS: Référence du fichier TransportInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
Structures de données | Espaces de nommage
Référence du fichier TransportInterface.php

Structures de données

interface TransportInterface

Espaces de nommage

Joomla\CMS\Http


Joomla CMS: Référence du fichier Tree.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
Structures de données | Espaces de nommage
Référence du fichier Tree.php

Structures de données

class Tree

Espaces de nommage

Joomla\CMS\Menu


Joomla CMS: Référence du fichier tree.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • base
Structures de données | Espaces de nommage
Référence du fichier tree.php

Structures de données

class JTree

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier treeprefix.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
Espaces de nommage
Référence du fichier treeprefix.php

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier trees.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • data
Structures de données | Espaces de nommage
Référence du fichier trees.php

Structures de données

class JGithubPackageDataTrees

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier trends.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier trends.php

Structures de données

class JTwitterTrends

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier trim.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/trim.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier trim.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/trim.php

Espaces de nommage

utf8

Fonctions

utf8_ltrim ( $str, $charlist=FALSE)
utf8_rtrim ( $str, $charlist=FALSE)
utf8_trim ( $str, $charlist=FALSE)

Documentation des fonctions

◆ utf8_ltrim()

utf8_ltrim | ( | $str,
 |  | $charlist = FALSE
 | ) |

Référencé par utf8_trim().

◆ utf8_rtrim()

utf8_rtrim | ( | $str,
 |  | $charlist = FALSE
 | ) |

Référencé par utf8_trim().

◆ utf8_trim()

utf8_trim | ( | $str,
 |  | $charlist = FALSE
 | ) |

Références utf8_ltrim(), et utf8_rtrim().


Joomla CMS: Référence du fichier TripleDesCipher.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Cipher
Structures de données | Espaces de nommage
Référence du fichier TripleDesCipher.php

Structures de données

class TripleDesCipher

Espaces de nommage

Joomla\CMS\Crypt\Cipher


Joomla CMS: Référence du fichier twitter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier twitter.php

Structures de données

class JTwitter

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier txt.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • parser
Structures de données | Espaces de nommage
Référence du fichier txt.php

Structures de données

class FinderIndexerParserTxt

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier type.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier com_fields/models/fields/type.php

Structures de données

class JFormFieldType

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier type.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier com_installer/models/fields/type.php

Structures de données

class JFormFieldType

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ucfirst.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/ucfirst.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier ucfirst.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/ucfirst.php

Espaces de nommage

utf8

Fonctions

utf8_ucfirst ($str)

Documentation des fonctions

◆ utf8_ucfirst()

utf8_ucfirst ( $str )

Références utf8_strlen(), et utf8_strtoupper().


Joomla CMS: Référence du fichier UCM.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • UCM
Structures de données | Espaces de nommage
Référence du fichier UCM.php

Structures de données

interface UCM

Espaces de nommage

Joomla\CMS\UCM


Joomla CMS: Référence du fichier Ucm.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Ucm.php

Structures de données

class Ucm

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier UCMBase.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • UCM
Structures de données | Espaces de nommage
Référence du fichier UCMBase.php

Structures de données

class UCMBase

Espaces de nommage

Joomla\CMS\UCM


Joomla CMS: Référence du fichier UCMContent.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • UCM
Structures de données | Espaces de nommage
Référence du fichier UCMContent.php

Structures de données

class UCMContent

Espaces de nommage

Joomla\CMS\UCM


Joomla CMS: Référence du fichier UCMType.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • UCM
Structures de données | Espaces de nommage
Référence du fichier UCMType.php

Structures de données

class UCMType

Espaces de nommage

Joomla\CMS\UCM


Joomla CMS: Référence du fichier uctc.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • idna_convert
Structures de données | Espaces de nommage
Référence du fichier uctc.php

Structures de données

class uctc

Espaces de nommage

phlyMail


Joomla CMS: Référence du fichier ucwords.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/ucwords.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier ucwords.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/ucwords.php

Espaces de nommage

utf8

Fonctions

utf8_ucwords ($str)
utf8_ucwords_callback ($matches)

Documentation des fonctions

◆ utf8_ucwords()

utf8_ucwords ( $str )

◆ utf8_ucwords_callback()

utf8_ucwords_callback ( $matches )

Références utf8_strtoupper(), et utf8_substr_replace().


Joomla CMS: Référence du fichier Unescaper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
Structures de données | Espaces de nommage
Référence du fichier Unescaper.php

Structures de données

class Unescaper

Espaces de nommage

Symfony\Component\Yaml


Joomla CMS: Référence du fichier unicode.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • utils
Variables
Référence du fichier phputf8/utils/unicode.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier unicode.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • utils
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/utils/unicode.php

Espaces de nommage

utf8

Fonctions

utf8_to_unicode ($str)
utf8_from_unicode ($arr)

Documentation des fonctions

◆ utf8_from_unicode()

utf8_from_unicode ( $arr )

Référencé par utf8_specials_pattern(), utf8_strtolower(), et utf8_strtoupper().

◆ utf8_to_unicode()

utf8_to_unicode ( $str )

End of the multi-octet sequence. mUcs4 now contains the final Unicode codepoint to be output

((0xC0 & (*in) != 0x80) && (mState != 0)) Incomplete multi-octet sequence.

Références $i, et $tmp.

Référencé par utf8_strtolower(), et utf8_strtoupper().


Joomla CMS: Référence du fichier uniqueid.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • field
Structures de données | Espaces de nommage
Référence du fichier field/uniqueid.php

Structures de données

class PlgSystemStatsFormFieldUniqueid

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier uniqueid.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • layouts
  • field
Espaces de nommage
Référence du fichier layouts/field/uniqueid.php

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier UnknownArchiveException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
  • Exception
Structures de données | Espaces de nommage
Référence du fichier UnknownArchiveException.php

Structures de données

class UnknownArchiveException

Espaces de nommage

Joomla\Archive\Exception


Joomla CMS: Référence du fichier Unserialize.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • brumann
  • polyfill-unserialize
  • src
Structures de données | Espaces de nommage
Référence du fichier Unserialize.php

Structures de données

class Unserialize

Espaces de nommage

Brumann\Polyfill


Joomla CMS: Référence du fichier unsupported.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exception
Structures de données | Espaces de nommage
Référence du fichier unsupported.php

Structures de données

class JDatabaseExceptionUnsupported

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier UnsupportedArchiveException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
  • Exception
Structures de données | Espaces de nommage
Référence du fichier UnsupportedArchiveException.php

Structures de données

class UnsupportedArchiveException

Espaces de nommage

Joomla\Archive\Exception


Joomla CMS: Référence du fichier UnsupportedCacheException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Exception
Structures de données | Espaces de nommage
Référence du fichier UnsupportedCacheException.php

Structures de données

class UnsupportedCacheException

Espaces de nommage

Joomla\CMS\Cache\Exception


Joomla CMS: Référence du fichier UnsupportedStorageException.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Session
  • Exception
Structures de données | Espaces de nommage
Référence du fichier UnsupportedStorageException.php

Structures de données

class UnsupportedStorageException

Espaces de nommage

Joomla\CMS\Session\Exception


Joomla CMS: Référence du fichier Update.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Table/Update.php

Structures de données

class Update

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier Update.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Updater
Structures de données | Espaces de nommage
Référence du fichier Updater/Update.php

Structures de données

class Update

Espaces de nommage

Joomla\CMS\Updater


Joomla CMS: Référence du fichier update.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/controllers/update.php

Structures de données

class InstallerControllerUpdate

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier update.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/models/update.php

Structures de données

class InstallerModelUpdate

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier update.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_joomlaupdate/controllers/update.php

Structures de données

class JoomlaupdateControllerUpdate

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier update.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • update
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/utils/update/update.php

Structures de données

class FOFUtilsUpdate

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier update_cron.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • cli
Structures de données | Espaces de nommage | Variables
Référence du fichier update_cron.php

Structures de données

class Updatecron

Espaces de nommage

Joomla\Cli

Variables

const | _JEXEC = 1
if(file_exists(dirname(__DIR__) . '/defines.php')) | if (!defined( '_JDEFINES'))

Documentation des variables

◆ _JEXEC

const _JEXEC = 1

This is a CRON script which should be called from the command-line, not the web. For example something like: /usr/bin/php /path/to/site/cli/update_cron.php

◆ if

if (file_exists(dirname(__DIR__) . '/defines.php')) if(!defined('_JDEFINES'))


Joomla CMS: Référence du fichier UpdateAdapter.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Updater
Structures de données | Espaces de nommage
Référence du fichier UpdateAdapter.php

Structures de données

class UpdateAdapter

Espaces de nommage

Joomla\CMS\Updater


Joomla CMS: Référence du fichier updatecachetime.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • updatenotification
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier updatecachetime.php

Espaces de nommage

Joomla\Plugin

Fonctions

updatecachetime_postinstall_condition ()
updatecachetime_postinstall_action ()

Documentation des fonctions

◆ updatecachetime_postinstall_action()

updatecachetime_postinstall_action ( )

Sets the cachetimeout back to the default (6 hours)

Renvoie
void
Depuis
3.6.3

◆ updatecachetime_postinstall_condition()

updatecachetime_postinstall_condition ( )

Checks if the com_installer config for the cache Hours are eq 0 and the updatenotification Plugin is enabled

Renvoie
boolean
Depuis
3.6.3


Joomla CMS: Référence du fichier updatedefaultsettings.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Espaces de nommage | Fonctions
Référence du fichier updatedefaultsettings.php

Espaces de nommage

Joomla\Administrator

Fonctions

admin_postinstall_updatedefaultsettings_condition ()

Documentation des fonctions

◆ admin_postinstall_updatedefaultsettings_condition()

admin_postinstall_updatedefaultsettings_condition ( )

Notifies users of a change in various default settings

This check returns true regardless of condition.

Renvoie
boolean
Depuis
3.8.8


Joomla CMS: Référence du fichier updatenotification.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • updatenotification
Structures de données | Espaces de nommage
Référence du fichier updatenotification.php

Structures de données

class PlgSystemUpdatenotification

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Updater.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Updater
Structures de données | Espaces de nommage
Référence du fichier Updater.php

Structures de données

class Updater

Espaces de nommage

Joomla\CMS\Updater


Joomla CMS: Référence du fichier updater.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observer
Structures de données | Espaces de nommage
Référence du fichier updater.php

Structures de données

class JObserverUpdater

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier UpdateSite.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier UpdateSite.php

Structures de données

class UpdateSite

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier updatesites.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • controllers
Structures de données | Espaces de nommage
Référence du fichier controllers/updatesites.php

Structures de données

class InstallerControllerUpdatesites

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier updatesites.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier helpers/html/updatesites.php

Structures de données

class InstallerHtmlUpdatesites

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier updatesites.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Structures de données | Espaces de nommage
Référence du fichier models/updatesites.php

Structures de données

class InstallerModelUpdatesites

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier uploaddirs.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • tinymce
  • field
Structures de données | Espaces de nommage
Référence du fichier uploaddirs.php

Structures de données

class JFormFieldUploaddirs

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier uploadmedia.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • layouts
  • toolbar
Espaces de nommage | Variables
Référence du fichier components/com_media/layouts/toolbar/uploadmedia.php

Espaces de nommage

Joomla\Administrator

Variables

$title = JText::_('JTOOLBAR_UPLOAD')

Documentation des variables

◆ $title

$title = JText::_('JTOOLBAR_UPLOAD')


Joomla CMS: Référence du fichier uploadmedia.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_media
  • toolbar
Espaces de nommage | Variables
Référence du fichier templates/hathor/html/layouts/com_media/toolbar/uploadmedia.php

Espaces de nommage

Joomla\Administrator

Variables

$title = JText::_('JTOOLBAR_UPLOAD')

Documentation des variables

◆ $title

$title = JText::_('JTOOLBAR_UPLOAD')


Joomla CMS: Référence du fichier Uri.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Uri
Structures de données | Espaces de nommage
Référence du fichier src/Uri/Uri.php

Structures de données

class Uri

Espaces de nommage

Joomla\CMS\Uri


Joomla CMS: Référence du fichier Uri.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • uri
  • src
Structures de données | Espaces de nommage
Référence du fichier vendor/joomla/uri/src/Uri.php

Structures de données

class Uri

Espaces de nommage

Joomla\Uri


Joomla CMS: Référence du fichier UriHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • uri
  • src
Structures de données | Espaces de nommage
Référence du fichier UriHelper.php

Structures de données

class UriHelper

Espaces de nommage

Joomla\Uri


Joomla CMS: Référence du fichier UriImmutable.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • uri
  • src
Structures de données | Espaces de nommage
Référence du fichier UriImmutable.php

Structures de données

class UriImmutable

Espaces de nommage

Joomla\Uri


Joomla CMS: Référence du fichier UriInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • uri
  • src
Structures de données | Espaces de nommage
Référence du fichier UriInterface.php

Structures de données

interface UriInterface

Espaces de nommage

Joomla\Uri


Joomla CMS: Référence du fichier Url.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
  • Node
Structures de données | Espaces de nommage
Référence du fichier Url.php

Structures de données

class Url

Espaces de nommage

Joomla\CMS\Menu\Node


Joomla CMS: Référence du fichier url.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/url.php

Espaces de nommage

Joomla\Site

Variables

$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"'
$attributes

Documentation des variables

◆ $attributes

$attributes
Valeur initiale :
= array(
!empty($size) ? ' size="' . $size . '"' : '',
$disabled ? ' disabled' : '',
$readonly ? ' readonly' : '',
strlen($hint) ? ' placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
$autocomplete,
$autofocus ? ' autofocus' : '',
$spellcheck ? '' : ' spellcheck="false"',
$onchange ? ' onchange="' . $onchange . '"' : '',
!empty($maxLength) ? $maxLength : '',
$required ? ' required aria-required="true"' : '',
)
$required
$required
Definition: components/com_contact/layouts/joomla/form/renderfield.php:43
$autofocus
$autofocus
Definition: advanced.php:79
ENT_COMPAT
else ENT_COMPAT
Definition: components/com_newsfeeds/views/category/tmpl/default_items.php:20
$hint
$hint
Definition: advanced.php:66
htmlspecialchars
htmlspecialchars(json_encode( $options))
Definition: plugins/editors/codemirror/layouts/editors/codemirror/element.php:34
$disabled
$disabled
Definition: administrator/templates/hathor/html/com_banners/banners/default.php:177
$autocomplete
$autocomplete
Definition: layouts/joomla/form/field/url.php:51
$onchange
$onchange
Definition: layouts/joomla/form/field/checkboxes.php:78
$readonly
empty($onchange) ? null if($required) if(strtoupper($value)=='NOW') $readonly
Definition: layouts/joomla/form/field/calendar.php:87

◆ $autocomplete

$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"'


Joomla CMS: Référence du fichier url.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/url.php

Structures de données

class FOFFormFieldUrl

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier url.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/form/fields/url.php

Structures de données

class JFormFieldUrl

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier url.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • url
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/url/tmpl/url.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
if($value=='') $attributes = ''
if (!JUri::isInternal( $value))

Documentation des variables

◆ $attributes

if ( $value=='') $attributes = ''

◆ $value

$value = $field->value

◆ if

if(!JUri::isInternal($value))


Joomla CMS: Référence du fichier url.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • url
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/url/url.php

Structures de données

class PlgFieldsUrl

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier urlinstaller.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • urlinstaller
Structures de données | Espaces de nommage
Référence du fichier urlinstaller.php

Structures de données

class PlgInstallerUrlInstaller

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier UrlRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier UrlRule.php

Structures de données

class UrlRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier UrlSafe.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Base64
Structures de données
Référence du fichier UrlSafe.php

Structures de données

class ParagonIE_Sodium_Core_Base64_UrlSafe


Joomla CMS: Référence du fichier User.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Table/User.php

Structures de données

class User

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier User.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • User
Structures de données | Espaces de nommage
Référence du fichier User/User.php

Structures de données

class User

Espaces de nommage

Joomla\CMS\User


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/controllers/user.php

Structures de données

class UsersControllerUser

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/models/user.php

Structures de données

class UsersModelUser

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/html/layouts/joomla/form/field/user.php

Espaces de nommage

Joomla\Administrator

Variables

if(! $readonly) | $uri = new JUri('index.php?option=com_users&view=users&layout=modal&tmpl=component&required=0&field={field-user-id}&ismoo=0')
if($required) if(!empty($groups)) if(!empty($excluded)) if($this->escape($userName)===JText::_('JLIB_FORM_SELECT_USER')) | $inputAttributes
if($class) if($size) if($required) | if (! $readonly)
endif

Documentation des variables

◆ $inputAttributes

if ( $required) if (!empty( $groups)) if (!empty( $excluded)) if ( $this->escape( $userName)===JText::_( 'JLIB_FORM_SELECT_USER')) $inputAttributes
Valeur initiale :
= array(
'type' => 'text', 'id' => $id, 'class' => 'field-user-input-name', 'value' => $this->escape($userName)
)
$id
$id
Definition: administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php:12

◆ $uri

if (! $readonly) $uri = new JUri('index.php?option=com_users&view=users&layout=modal&tmpl=component&required=0&field={field-user-id}&ismoo=0')

◆ endif

endif

◆ if

if(! $readonly) ( ! $readonly )


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier components/com_users/controllers/user.php

Structures de données

class UsersControllerUser

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier layouts/joomla/form/field/user.php

Espaces de nommage

Joomla\Site

Variables

if(! $readonly) | $uri = new JUri('index.php?option=com_users&view=users&layout=modal&tmpl=component&required=0')
if($required) if(!empty($groups)) if(!empty($excluded)) if($this->escape($userName)===JText::_('JLIB_FORM_SELECT_USER')) | $inputAttributes
if($size) if($required) if(! $readonly) | $anchorAttributes
endif
if (! $readonly)

Documentation des variables

◆ $anchorAttributes

if ( $size) if ( $required) if (! $readonly) $anchorAttributes
Valeur initiale :
= array(
'class' => 'btn btn-primary modal_' . $id, 'title' => JText::_('JLIB_FORM_CHANGE_USER'), 'rel' => '{handler: \'iframe\', size: {x: 800, y: 500}}'
)
$id
$id
Definition: administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php:12

◆ $inputAttributes

if ( $required) if (!empty( $groups)) if (!empty( $excluded)) if ( $this->escape( $userName)===JText::_( 'JLIB_FORM_SELECT_USER')) $inputAttributes
Valeur initiale :
= array(
'type' => 'text', 'id' => $id, 'value' => $this->escape($userName)
)
$id
$id
Definition: administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php:12

◆ $uri

if (! $readonly) $uri = new JUri('index.php?option=com_users&view=users&layout=modal&tmpl=component&required=0')

◆ endif

endif

◆ if

if(! $readonly)


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • batch
Espaces de nommage | Variables
Référence du fichier layouts/joomla/html/batch/user.php

Espaces de nommage

Joomla\Site

Variables

$optionNo = ''
if ( $noUser)

Documentation des variables

◆ $optionNo

$optionNo = ''

◆ if

if($noUser)


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Structures de données | Espaces de nommage
Référence du fichier libraries/cms/html/user.php

Structures de données

class JHtmlUser

Espaces de nommage

Joomla\Libraries


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/form/field/user.php

Structures de données

class FOFFormFieldUser

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/facebook/user.php

Structures de données

class JFacebookUser

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • openstreetmap
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/openstreetmap/user.php

Structures de données

class JOpenstreetmapUser

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • user
  • tmpl
Espaces de nommage | Variables
Référence du fichier plugins/fields/user/tmpl/user.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
$texts = array()
foreach ( $value as $userId)

Documentation des variables

◆ $texts

$texts = array()

◆ $value

if ( $value=='') $value = $field->value

◆ foreach

foreach($value as $userId)


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • user
Structures de données | Espaces de nommage
Référence du fichier plugins/fields/user/user.php

Structures de données

class PlgFieldsUser

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • user
Structures de données | Espaces de nommage
Référence du fichier plugins/privacy/user/user.php

Structures de données

class PlgPrivacyUser

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier user.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • layouts
  • joomla
  • form
  • field
Espaces de nommage | Variables
Référence du fichier templates/protostar/html/layouts/joomla/form/field/user.php

Espaces de nommage

Joomla\Site

Variables

$link
if(JText::_('JLIB_FORM_SELECT_USER')===htmlspecialchars($userName, ENT_COMPAT, 'UTF-8')) if(! $readonly)< div class="field-user-wrapper" data-url="<?php echo $link; ?> data modal
endif
if (! $readonly)

Documentation des variables

◆ $link

$link
Valeur initiale :
= 'index.php?option=com_users&amp;view=users&amp;layout=modal&amp;tmpl=component&amp;required='
. ($required ? 1 : 0) . '&amp;field={field-user-id}&amp;ismoo=0'
. (isset($groups) ? ('&amp;groups=' . base64_encode(json_encode($groups))) : '')
. (isset($excluded) ? ('&amp;excluded=' . base64_encode(json_encode($excluded))) : '')
$required
$required
Definition: components/com_contact/layouts/joomla/form/renderfield.php:43
$groups
$groups
Definition: administrator/components/com_users/views/levels/tmpl/default.php:83
json_encode
json_encode('#' . $selector . 'Tabs')
Definition: addtabscript.php:19

◆ endif

endif

◆ if

if(! $readonly)

◆ modal

if (JText::_( 'JLIB_FORM_SELECT_USER')===htmlspecialchars( $userName, ENT_COMPAT, 'UTF-8')) if (! $readonly)<div class="field-user-wrapper" data-url="<?php echo $link; ?> data modal
Valeur initiale :
=".modal"
data-modal-width="100%"
data-modal-height="400px"
data-input=".field-user-input"
data-input-name=".field-user-input-name"
data-button-select=".button-select"
>
<div class="input-append">
<input
type="text" id="<?php echo $id; ?>"
value="<?php echo htmlspecialchars($userName, ENT_COMPAT, 'UTF-8'); ?>"
placeholder="<?php echo JText::_('JLIB_FORM_SELECT_USER'); ?>"
readonly
class="field-user-input-name <?php echo $class ? (string) $class : ''?>"
<?php echo $size ? ' size="' . (int) $size . '"' : ''
height
elseif($this->showJedAndWebInstaller) line height
Definition: administrator/components/com_installer/views/install/tmpl/default.php:113
modal
if(JText::_('JLIB_FORM_SELECT_USER')===htmlspecialchars($userName, ENT_COMPAT, 'UTF-8')) if(! $readonly)< div class="field-user-wrapper" data-url="<?php echo $link; ?> data modal
Definition: templates/protostar/html/layouts/joomla/form/field/user.php:69
name
$this name
Definition: components/com_config/view/application/tmpl/default_cache.php:12
width
max width
Definition: administrator/components/com_templates/views/template/tmpl/default.php:170
value
$object2 $name value
Definition: views/compare/tmpl/compare.php:86
button
button
Definition: plugins/installer/packageinstaller/tmpl/default.php:60

Référencé par TemplatesViewTemplate\addToolbar(), JFormFieldModal_Contact\getInput(), JFormFieldModal_Newsfeed\getInput(), JFormFieldModal_Category\getInput(), JFormFieldModal_Article\getInput(), et JFormFieldModal_Menu\getInput().


Joomla CMS: Référence du fichier UseractiveField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier UseractiveField.php

Structures de données

class UseractiveField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier UserField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier UserField.php

Structures de données

class UserField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier Usergroup.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier Usergroup.php

Structures de données

class Usergroup

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier usergroup.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Structures de données | Espaces de nommage
Référence du fichier fof/form/field/usergroup.php

Structures de données

class FOFFormFieldUsergroup

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier usergroup.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Structures de données | Espaces de nommage
Référence du fichier joomla/form/fields/usergroup.php

Structures de données

class JFormFieldUsergroup

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier usergrouplist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • usergrouplist
  • tmpl
Espaces de nommage | Variables
Référence du fichier tmpl/usergrouplist.php

Espaces de nommage

Joomla\Plugin

Variables

$value = $field->value
$texts = array()
$groups = UsersHelper::getGroups()
foreach ( $groups as $group)

Documentation des variables

◆ $groups

$groups = UsersHelper::getGroups()

◆ $texts

$texts = array()

◆ $value

$value = $field->value

◆ foreach

foreach($groups as $group)


Joomla CMS: Référence du fichier usergrouplist.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • usergrouplist
Structures de données | Espaces de nommage
Référence du fichier usergrouplist.php

Structures de données

class PlgFieldsUsergrouplist

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier UsergrouplistField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier UsergrouplistField.php

Structures de données

class UsergrouplistField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier UserGroupsHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Structures de données | Espaces de nommage
Référence du fichier UserGroupsHelper.php

Structures de données

class UserGroupsHelper

Espaces de nommage

Joomla\CMS\Helper


Joomla CMS: Référence du fichier UserHelper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • User
Structures de données | Espaces de nommage
Référence du fichier UserHelper.php

Structures de données

class UserHelper

Espaces de nommage

Joomla\CMS\User


Joomla CMS: Référence du fichier usermessages.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier usermessages.php

Structures de données

class JFormFieldUserMessages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier username.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • form
  • rule
Structures de données | Espaces de nommage
Référence du fichier username.php

Structures de données

class InstallationFormRuleUsername

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier UsernameRule.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Structures de données | Espaces de nommage
Référence du fichier UsernameRule.php

Structures de données

class UsernameRule

Espaces de nommage

Joomla\CMS\Form\Rule


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/controllers/users.php

Structures de données

class UsersControllerUsers

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/helpers/html/users.php

Structures de données

class JHtmlUsers

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • helpers
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/helpers/users.php

Structures de données

class UsersHelper

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/models/users.php

Structures de données

class UsersModelUsers

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
Espaces de nommage | Variables
Référence du fichier administrator/components/com_users/users.php

Espaces de nommage

Joomla\Administrator

Variables

$controller = JControllerLegacy::getInstance('Users')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Users')


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • helpers
  • html
Structures de données | Espaces de nommage
Référence du fichier components/com_users/helpers/html/users.php

Structures de données

class JHtmlUsers

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
Espaces de nommage | Variables
Référence du fichier components/com_users/users.php

Espaces de nommage

Joomla\Site

Variables

$controller = JControllerLegacy::getInstance('Users')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Users')


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/github/package/users.php

Structures de données

class JGithubPackageUsers

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/mediawiki/users.php

Structures de données

class JMediawikiUsers

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier users.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/twitter/users.php

Structures de données

class JTwitterUsers

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier UserstateField.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Structures de données | Espaces de nommage
Référence du fichier UserstateField.php

Structures de données

class UserstateField

Espaces de nommage

Joomla\CMS\Form\Field


Joomla CMS: Référence du fichier UserWrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • User
Structures de données | Espaces de nommage
Référence du fichier UserWrapper.php

Structures de données

class UserWrapper

Espaces de nommage

Joomla\CMS\User


Joomla CMS: Référence du fichier utf8.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Variables
Référence du fichier phputf8/utf8.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier utf8.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Espaces de nommage | Variables
Référence du fichier vendor/joomla/string/src/phputf8/utf8.php

Espaces de nommage

utf8

Variables

if(!defined('UTF8')) if(extension_loaded('mbstring')) $UTF8_ar = array()
if (!defined( 'UTF8_CORE'))

Documentation des variables

◆ $UTF8_ar

if (!defined( 'UTF8')) if (extension_loaded( 'mbstring')) $UTF8_ar = array()

Put the current directory in this constant If string overloading is active, it will break many of the native implementations. mbstring.func_overload must be set to 0, 1 or 4 in php.ini (string overloading disabled). Also need to check we have the correct internal mbstring encoding Check whether PCRE has been compiled with UTF-8 support

◆ if

if(!defined('UTF8_CORE'))

Load the smartest implementations of utf8_strpos, utf8_strrpos and utf8_substr Load the native implementation of utf8_substr_replace


Joomla CMS: Référence du fichier Util.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/Util.php

Structures de données

class Util

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier Util.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/Util.php

Structures de données

class ParagonIE_Sodium_Core_Util


Joomla CMS: Référence du fichier Util.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/Util.php

Structures de données

class ParagonIE_Sodium_Core32_Util


Joomla CMS: Référence du fichier Utility.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Utility
Structures de données | Espaces de nommage
Référence du fichier Utility.php

Structures de données

class Utility

Espaces de nommage

Joomla\CMS\Utility


Joomla CMS: Référence du fichier utils.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • string
Structures de données | Espaces de nommage
Référence du fichier string/utils.php

Structures de données

class FOFStringUtils

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier utils.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • template
Structures de données | Espaces de nommage
Référence du fichier template/utils.php

Structures de données

class FOFTemplateUtils

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier validation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • utils
Variables
Référence du fichier phputf8/utils/validation.php

Variables

if (class_exists( 'JLog'))

Documentation des variables

◆ if

if(class_exists('JLog'))


Joomla CMS: Référence du fichier validation.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • utils
Espaces de nommage | Fonctions
Référence du fichier vendor/joomla/string/src/phputf8/utils/validation.php

Espaces de nommage

utf8

Fonctions

utf8_is_valid ($str)
utf8_compliant ($str)

Documentation des fonctions

◆ utf8_compliant()

utf8_compliant ( $str )

◆ utf8_is_valid()

utf8_is_valid ( $str )

End of the multi-octet sequence. mUcs4 now contains the final Unicode codepoint to be output

((0xC0 & (*in) != 0x80) && (mState != 0)) Incomplete multi-octet sequence.

Références $i, et $tmp.


Joomla CMS: Référence du fichier verifyftpsettings.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Structures de données | Espaces de nommage
Référence du fichier verifyftpsettings.php

Structures de données

class InstallationControllerVerifyftpsettings

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier Version.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
Structures de données | Espaces de nommage
Référence du fichier Version.php

Structures de données

class Version

Espaces de nommage

Joomla\CMS


Joomla CMS: Référence du fichier VersionableControllerTrait.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Versioning
Espaces de nommage
Référence du fichier VersionableControllerTrait.php

Espaces de nommage

Joomla\CMS\Versioning


Joomla CMS: Référence du fichier VersionableModelTrait.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Versioning
Espaces de nommage
Référence du fichier VersionableModelTrait.php

Espaces de nommage

Joomla\CMS\Versioning


Joomla CMS: Référence du fichier VersionableTableInterface.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Versioning
Structures de données | Espaces de nommage
Référence du fichier VersionableTableInterface.php

Structures de données

interface VersionableTableInterface

Espaces de nommage

Joomla\CMS\Versioning


Joomla CMS: Référence du fichier versions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier administrator/templates/hathor/html/layouts/joomla/toolbar/versions.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier versions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • toolbar
Espaces de nommage | Variables
Référence du fichier administrator/templates/isis/html/layouts/joomla/toolbar/versions.php

Espaces de nommage

Joomla\Site

Variables

$link

Documentation des variables

◆ $link

$link
Valeur initiale :
= 'index.php?option=com_contenthistory&amp;view=history&amp;layout=modal&amp;tmpl=component&amp;item_id='
. (int) $itemId . '&amp;type_id=' . $typeId . '&amp;type_alias='
. $typeAlias . '&amp;' . JSession::getFormToken() . '=1'
$itemId
$itemId
Definition: components/com_content/views/article/tmpl/default.php:143


Joomla CMS: Référence du fichier versions.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Espaces de nommage
Référence du fichier layouts/joomla/toolbar/versions.php

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier vertical.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_news
  • tmpl
Espaces de nommage | Variables
Référence du fichier vertical.php

Espaces de nommage

Joomla\Site

Variables

for ( $i=0, $n=count( $list);$i< $n;$i++)
if($n > 1 &&(($i< $n - 1)|| $params->get('showLastSeparator'))) endfor

Documentation des variables

◆ endfor

if ( $n > 1 &&(( $i< $n - 1)||$params->get( 'showLastSeparator'))) endfor

◆ for

for($i=0, $n=count($list); $i< $n; $i++)


Joomla CMS: Référence du fichier video.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Structures de données | Espaces de nommage
Référence du fichier video.php

Structures de données

class JFacebookVideo

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier view.feed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • category
Structures de données | Espaces de nommage
Référence du fichier com_contact/views/category/view.feed.php

Structures de données

class ContactViewCategory

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.feed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
Structures de données | Espaces de nommage
Référence du fichier com_content/views/category/view.feed.php

Structures de données

class ContentViewCategory

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.feed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • featured
Structures de données | Espaces de nommage
Référence du fichier com_content/views/featured/view.feed.php

Structures de données

class ContentViewFeatured

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.feed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
  • search
Structures de données | Espaces de nommage
Référence du fichier com_finder/views/search/view.feed.php

Structures de données

class FinderViewSearch

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.feed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tag
Structures de données | Espaces de nommage
Référence du fichier com_tags/views/tag/view.feed.php

Structures de données

class TagsViewTag

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.feed.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tags
Structures de données | Espaces de nommage
Référence du fichier com_tags/views/tags/view.feed.php

Structures de données

class TagsViewTags

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • views
  • actionlogs
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_actionlogs/views/actionlogs/view.html.php

Structures de données

class ActionlogsViewActionlogs

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • help
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_admin/views/help/view.html.php

Structures de données

class AdminViewHelp

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • profile
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_admin/views/profile/view.html.php

Structures de données

class AdminViewProfile

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_admin/views/sysinfo/view.html.php

Structures de données

class AdminViewSysinfo

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
  • association
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_associations/views/association/view.html.php

Structures de données

class AssociationsViewAssociation

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
  • associations
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_associations/views/associations/view.html.php

Structures de données

class AssociationsViewAssociations

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banner
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/views/banner/view.html.php

Structures de données

class BannersViewBanner

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banners
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/views/banners/view.html.php

Structures de données

class BannersViewBanners

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • client
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/views/client/view.html.php

Structures de données

class BannersViewClient

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • clients
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/views/clients/view.html.php

Structures de données

class BannersViewClients

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • download
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/views/download/view.html.php

Structures de données

class BannersViewDownload

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • tracks
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_banners/views/tracks/view.html.php

Structures de données

class BannersViewTracks

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • views
  • cache
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_cache/views/cache/view.html.php

Structures de données

class CacheViewCache

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • views
  • purge
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_cache/views/purge/view.html.php

Structures de données

class CacheViewPurge

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • categories
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/views/categories/view.html.php

Structures de données

class CategoriesViewCategories

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_categories/views/category/view.html.php

Structures de données

class CategoriesViewCategory

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
  • views
  • checkin
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_checkin/views/checkin/view.html.php

Structures de données

class CheckinViewCheckin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/views/contact/view.html.php

Structures de données

class ContactViewContact

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contacts
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contact/views/contacts/view.html.php

Structures de données

class ContactViewContacts

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/views/article/view.html.php

Structures de données

class ContentViewArticle

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • articles
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/views/articles/view.html.php

Structures de données

class ContentViewArticles

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • featured
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_content/views/featured/view.html.php

Structures de données

class ContentViewFeatured

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • compare
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contenthistory/views/compare/view.html.php

Structures de données

class ContenthistoryViewCompare

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • history
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contenthistory/views/history/view.html.php

Structures de données

class ContenthistoryViewHistory

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • preview
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_contenthistory/views/preview/view.html.php

Structures de données

class ContenthistoryViewPreview

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cpanel
  • views
  • cpanel
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_cpanel/views/cpanel/view.html.php

Structures de données

class CpanelViewCpanel

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • field
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/views/field/view.html.php

Structures de données

class FieldsViewField

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • fields
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/views/fields/view.html.php

Structures de données

class FieldsViewFields

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • group
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/views/group/view.html.php

Structures de données

class FieldsViewGroup

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • groups
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_fields/views/groups/view.html.php

Structures de données

class FieldsViewGroups

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • filter
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/views/filter/view.html.php

Structures de données

class FinderViewFilter

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • filters
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/views/filters/view.html.php

Structures de données

class FinderViewFilters

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • index
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/views/index/view.html.php

Structures de données

class FinderViewIndex

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • indexer
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/views/indexer/view.html.php

Structures de données

class FinderViewIndexer

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • maps
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/views/maps/view.html.php

Structures de données

class FinderViewMaps

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • statistics
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_finder/views/statistics/view.html.php

Structures de données

class FinderViewStatistics

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • database
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/views/database/view.html.php

Structures de données

class InstallerViewDatabase

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • discover
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/views/discover/view.html.php

Structures de données

class InstallerViewDiscover

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • install
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/views/install/view.html.php

Structures de données

class InstallerViewInstall

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • languages
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/views/languages/view.html.php

Structures de données

class InstallerViewLanguages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • manage
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/views/manage/view.html.php

Structures de données

class InstallerViewManage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • update
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/views/update/view.html.php

Structures de données

class InstallerViewUpdate

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • updatesites
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/views/updatesites/view.html.php

Structures de données

class InstallerViewUpdatesites

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • warnings
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/views/warnings/view.html.php

Structures de données

class InstallerViewWarnings

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_joomlaupdate/views/default/view.html.php

Structures de données

class JoomlaupdateViewDefault

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • update
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_joomlaupdate/views/update/view.html.php

Structures de données

class JoomlaupdateViewUpdate

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • upload
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_joomlaupdate/views/upload/view.html.php

Structures de données

class JoomlaupdateViewUpload

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • installed
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/views/installed/view.html.php

Structures de données

class LanguagesViewInstalled

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • language
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/views/language/view.html.php

Structures de données

class LanguagesViewLanguage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • languages
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/views/languages/view.html.php

Structures de données

class LanguagesViewLanguages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • multilangstatus
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/views/multilangstatus/view.html.php

Structures de données

class LanguagesViewMultilangstatus

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • override
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/views/override/view.html.php

Structures de données

class LanguagesViewOverride

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • overrides
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_languages/views/overrides/view.html.php

Structures de données

class LanguagesViewOverrides

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
  • views
  • login
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_login/views/login/view.html.php

Structures de données

class LoginViewLogin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • images
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_media/views/images/view.html.php

Structures de données

class MediaViewImages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • imageslist
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_media/views/imageslist/view.html.php

Structures de données

class MediaViewImagesList

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • media
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_media/views/media/view.html.php

Structures de données

class MediaViewMedia

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_media/views/medialist/view.html.php

Structures de données

class MediaViewMediaList

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/views/item/view.html.php

Structures de données

class MenusViewItem

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • items
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/views/items/view.html.php

Structures de données

class MenusViewItems

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menu
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/views/menu/view.html.php

Structures de données

class MenusViewMenu

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menus
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/views/menus/view.html.php

Structures de données

class MenusViewMenus

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menutypes
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_menus/views/menutypes/view.html.php

Structures de données

class MenusViewMenutypes

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • config
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_messages/views/config/view.html.php

Structures de données

class MessagesViewConfig

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • message
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_messages/views/message/view.html.php

Structures de données

class MessagesViewMessage

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • messages
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_messages/views/messages/view.html.php

Structures de données

class MessagesViewMessages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • module
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/views/module/view.html.php

Structures de données

class ModulesViewModule

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • modules
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/views/modules/view.html.php

Structures de données

class ModulesViewModules

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • positions
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/views/positions/view.html.php

Structures de données

class ModulesViewPositions

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • preview
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/views/preview/view.html.php

Structures de données

class ModulesViewPreview

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • select
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_modules/views/select/view.html.php

Structures de données

class ModulesViewSelect

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/views/newsfeed/view.html.php

Structures de données

class NewsfeedsViewNewsfeed

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeeds
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_newsfeeds/views/newsfeeds/view.html.php

Structures de données

class NewsfeedsViewNewsfeeds

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugin
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_plugins/views/plugin/view.html.php

Structures de données

class PluginsViewPlugin

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugins
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_plugins/views/plugins/view.html.php

Structures de données

class PluginsViewPlugins

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
  • views
  • messages
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_postinstall/views/messages/view.html.php

Structures de données

class PostinstallViewMessages

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • capabilities
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/views/capabilities/view.html.php

Structures de données

class PrivacyViewCapabilities

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • consents
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/views/consents/view.html.php

Structures de données

class PrivacyViewConsents

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • dashboard
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/views/dashboard/view.html.php

Structures de données

class PrivacyViewDashboard

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • request
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/views/request/view.html.php

Structures de données

class PrivacyViewRequest

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • requests
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_privacy/views/requests/view.html.php

Structures de données

class PrivacyViewRequests

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • link
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/views/link/view.html.php

Structures de données

class RedirectViewLink

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • links
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_redirect/views/links/view.html.php

Structures de données

class RedirectViewLinks

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • views
  • searches
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_search/views/searches/view.html.php

Structures de données

class SearchViewSearches

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tag
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_tags/views/tag/view.html.php

Structures de données

class TagsViewTag

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tags
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_tags/views/tags/view.html.php

Structures de données

class TagsViewTags

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • style
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/views/style/view.html.php

Structures de données

class TemplatesViewStyle

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • styles
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/views/styles/view.html.php

Structures de données

class TemplatesViewStyles

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/views/template/view.html.php

Structures de données

class TemplatesViewTemplate

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • templates
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_templates/views/templates/view.html.php

Structures de données

class TemplatesViewTemplates

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • debuggroup
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/debuggroup/view.html.php

Structures de données

class UsersViewDebuggroup

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • debuguser
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/debuguser/view.html.php

Structures de données

class UsersViewDebuguser

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • group
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/group/view.html.php

Structures de données

class UsersViewGroup

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • groups
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/groups/view.html.php

Structures de données

class UsersViewGroups

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • level
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/level/view.html.php

Structures de données

class UsersViewLevel

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • levels
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/levels/view.html.php

Structures de données

class UsersViewLevels

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • mail
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/mail/view.html.php

Structures de données

class UsersViewMail

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • note
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/note/view.html.php

Structures de données

class UsersViewNote

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • notes
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/notes/view.html.php

Structures de données

class UsersViewNotes

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • user
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/user/view.html.php

Structures de données

class UsersViewUser

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • users
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_users/views/users/view.html.php

Structures de données

class UsersViewUsers

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • categories
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/views/categories/view.html.php

Structures de données

class ContactViewCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • category
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/views/category/view.html.php

Structures de données

class ContactViewCategory

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/views/contact/view.html.php

Structures de données

class ContactViewContact

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • featured
Structures de données | Espaces de nommage
Référence du fichier components/com_contact/views/featured/view.html.php

Structures de données

class ContactViewFeatured

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • archive
Structures de données | Espaces de nommage
Référence du fichier components/com_content/views/archive/view.html.php

Structures de données

class ContentViewArchive

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • article
Structures de données | Espaces de nommage
Référence du fichier components/com_content/views/article/view.html.php

Structures de données

class ContentViewArticle

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • categories
Structures de données | Espaces de nommage
Référence du fichier components/com_content/views/categories/view.html.php

Structures de données

class ContentViewCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
Structures de données | Espaces de nommage
Référence du fichier components/com_content/views/category/view.html.php

Structures de données

class ContentViewCategory

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • featured
Structures de données | Espaces de nommage
Référence du fichier components/com_content/views/featured/view.html.php

Structures de données

class ContentViewFeatured

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • form
Structures de données | Espaces de nommage
Référence du fichier components/com_content/views/form/view.html.php

Structures de données

class ContentViewForm

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
  • search
Structures de données | Espaces de nommage
Référence du fichier components/com_finder/views/search/view.html.php

Structures de données

class FinderViewSearch

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • views
  • mailto
Structures de données | Espaces de nommage
Référence du fichier components/com_mailto/views/mailto/view.html.php

Structures de données

class MailtoViewMailto

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • views
  • sent
Structures de données | Espaces de nommage
Référence du fichier components/com_mailto/views/sent/view.html.php

Structures de données

class MailtoViewSent

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • categories
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/views/categories/view.html.php

Structures de données

class NewsfeedsViewCategories

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • category
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/views/category/view.html.php

Structures de données

class NewsfeedsViewCategory

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • newsfeed
Structures de données | Espaces de nommage
Référence du fichier components/com_newsfeeds/views/newsfeed/view.html.php

Structures de données

class NewsfeedsViewNewsfeed

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • confirm
Structures de données | Espaces de nommage
Référence du fichier components/com_privacy/views/confirm/view.html.php

Structures de données

class PrivacyViewConfirm

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • remind
Structures de données | Espaces de nommage
Référence du fichier components/com_privacy/views/remind/view.html.php

Structures de données

class PrivacyViewRemind

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • request
Structures de données | Espaces de nommage
Référence du fichier components/com_privacy/views/request/view.html.php

Structures de données

class PrivacyViewRequest

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • views
  • search
Structures de données | Espaces de nommage
Référence du fichier components/com_search/views/search/view.html.php

Structures de données

class SearchViewSearch

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tag
Structures de données | Espaces de nommage
Référence du fichier components/com_tags/views/tag/view.html.php

Structures de données

class TagsViewTag

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tags
Structures de données | Espaces de nommage
Référence du fichier components/com_tags/views/tags/view.html.php

Structures de données

class TagsViewTags

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • login
Structures de données | Espaces de nommage
Référence du fichier components/com_users/views/login/view.html.php

Structures de données

class UsersViewLogin

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • profile
Structures de données | Espaces de nommage
Référence du fichier components/com_users/views/profile/view.html.php

Structures de données

class UsersViewProfile

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • registration
Structures de données | Espaces de nommage
Référence du fichier components/com_users/views/registration/view.html.php

Structures de données

class UsersViewRegistration

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • remind
Structures de données | Espaces de nommage
Référence du fichier components/com_users/views/remind/view.html.php

Structures de données

class UsersViewRemind

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • reset
Structures de données | Espaces de nommage
Référence du fichier components/com_users/views/reset/view.html.php

Structures de données

class UsersViewReset

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.html.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_wrapper
  • views
  • wrapper
Structures de données | Espaces de nommage
Référence du fichier components/com_wrapper/views/wrapper/view.html.php

Structures de données

class WrapperViewWrapper

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
Structures de données | Espaces de nommage
Référence du fichier com_admin/views/sysinfo/view.json.php

Structures de données

class AdminViewSysinfo

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • module
Structures de données | Espaces de nommage
Référence du fichier com_modules/views/module/view.json.php

Structures de données

class ModulesViewModule

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.json.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • style
Structures de données | Espaces de nommage
Référence du fichier com_templates/views/style/view.json.php

Structures de données

class TemplatesViewStyle

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.opensearch.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
  • search
Structures de données | Espaces de nommage
Référence du fichier com_finder/views/search/view.opensearch.php

Structures de données

class FinderViewSearch

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.opensearch.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • views
  • search
Structures de données | Espaces de nommage
Référence du fichier com_search/views/search/view.opensearch.php

Structures de données

class SearchViewSearch

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • default
Structures de données | Espaces de nommage
Référence du fichier administrator/components/com_installer/views/default/view.php

Structures de données

class InstallerViewDefault

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • view
Structures de données | Espaces de nommage
Référence du fichier libraries/fof/view/view.php

Structures de données

class FOFView

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier view.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • view
Structures de données | Espaces de nommage
Référence du fichier libraries/joomla/view/view.php

Structures de données

interface JView

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier view.raw.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • tracks
Structures de données | Espaces de nommage
Référence du fichier view.raw.php

Structures de données

class BannersViewTracks

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.text.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
Structures de données | Espaces de nommage
Référence du fichier view.text.php

Structures de données

class AdminViewSysinfo

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.vcf.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
Structures de données | Espaces de nommage
Référence du fichier view.vcf.php

Structures de données

class ContactViewContact

Espaces de nommage

Joomla\Site


Joomla CMS: Référence du fichier view.xml.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menu
Structures de données | Espaces de nommage
Référence du fichier com_menus/views/menu/view.xml.php

Structures de données

class MenusViewMenu

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier view.xml.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • export
Structures de données | Espaces de nommage
Référence du fichier com_privacy/views/export/view.xml.php

Structures de données

class PrivacyViewExport

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier ViewController.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Controller
Structures de données | Espaces de nommage
Référence du fichier ViewController.php

Structures de données

class ViewController

Espaces de nommage

Joomla\CMS\Cache\Controller


Joomla CMS: Référence du fichier ViewLevel.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Structures de données | Espaces de nommage
Référence du fichier ViewLevel.php

Structures de données

class ViewLevel

Espaces de nommage

Joomla\CMS\Table


Joomla CMS: Référence du fichier views.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • config
  • domain
Structures de données | Espaces de nommage
Référence du fichier views.php

Structures de données

class FOFConfigDomainViews

Espaces de nommage

FrameworkOnFramework


Joomla CMS: Référence du fichier vote.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • vote
  • tmpl
Espaces de nommage | Variables
Référence du fichier tmpl/vote.php

Espaces de nommage

Joomla\Plugin

Variables

$uri = clone JUri::getInstance()
$options = array()
for ( $i=1;$i< 6;$i++)

Documentation des variables

◆ $options

$options = array()

◆ $uri

$uri = clone JUri::getInstance()

◆ for

for($i=1; $i< 6; $i++)


Joomla CMS: Référence du fichier vote.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • vote
Structures de données | Espaces de nommage
Référence du fichier vote.php

Structures de données

class PlgContentVote

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier voteradio.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • models
  • fields
Structures de données | Espaces de nommage
Référence du fichier voteradio.php

Structures de données

class JFormFieldVoteradio

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier W3cLogger.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
  • Logger
Structures de données | Espaces de nommage
Référence du fichier W3cLogger.php

Structures de données

class W3cLogger

Espaces de nommage

Joomla\CMS\Log\Logger


Joomla CMS: Référence du fichier warnings.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Structures de données | Espaces de nommage
Référence du fichier warnings.php

Structures de données

class InstallerModelWarnings

Espaces de nommage

Joomla\Administrator


Joomla CMS: Référence du fichier watching.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • activity
Structures de données | Espaces de nommage
Référence du fichier watching.php

Structures de données

class JGithubPackageActivityWatching

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier web.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • application
Structures de données | Espaces de nommage
Référence du fichier web.php

Structures de données

class InstallationApplicationWeb

Espaces de nommage

Joomla\Installation


Joomla CMS: Référence du fichier WebApplication.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Application
Structures de données | Espaces de nommage
Référence du fichier WebApplication.php

Structures de données

class WebApplication

Espaces de nommage

Joomla\CMS\Application


Joomla CMS: Référence du fichier WebClient.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Web
Structures de données | Espaces de nommage
Référence du fichier WebClient.php

Structures de données

class WebClient

Espaces de nommage

Joomla\Application\Web


Joomla CMS: Référence du fichier Wincache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
  • Storage
Structures de données | Espaces de nommage
Référence du fichier Wincache.php

Structures de données

class Wincache

Espaces de nommage

Joomla\Session\Storage


Joomla CMS: Référence du fichier wincache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Structures de données | Espaces de nommage
Référence du fichier wincache.php

Structures de données

class JSessionStorageWincache

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier WincacheStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier WincacheStorage.php

Structures de données

class WincacheStorage

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier wrapper.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_wrapper
Espaces de nommage | Variables
Référence du fichier wrapper.php

Espaces de nommage

Joomla\Site

Variables

$controller = JControllerLegacy::getInstance('Wrapper')

Documentation des variables

◆ $controller

$controller = JControllerLegacy::getInstance('Wrapper')


Joomla CMS: Référence du fichier X25519.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/X25519.php

Structures de données

class X25519

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier X25519.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/X25519.php

Structures de données

class ParagonIE_Sodium_Core_X25519


Joomla CMS: Référence du fichier X25519.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/X25519.php

Structures de données

class ParagonIE_Sodium_Core32_X25519


Joomla CMS: Référence du fichier Xcache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
  • Storage
Structures de données | Espaces de nommage
Référence du fichier Xcache.php

Structures de données

class Xcache

Espaces de nommage

Joomla\Session\Storage


Joomla CMS: Référence du fichier xcache.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Structures de données | Espaces de nommage
Référence du fichier xcache.php

Structures de données

class JSessionStorageXcache

Espaces de nommage

Joomla\Platform


Joomla CMS: Référence du fichier XcacheStorage.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Structures de données | Espaces de nommage
Référence du fichier XcacheStorage.php

Structures de données

class XcacheStorage

Espaces de nommage

Joomla\CMS\Cache\Storage


Joomla CMS: Référence du fichier XChaCha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier namespaced/Core/XChaCha20.php

Structures de données

class XChaCha20

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier XChaCha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier src/Core/XChaCha20.php

Structures de données

class ParagonIE_Sodium_Core_XChaCha20


Joomla CMS: Référence du fichier XChaCha20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier src/Core32/XChaCha20.php

Structures de données

class ParagonIE_Sodium_Core32_XChaCha20


Joomla CMS: Référence du fichier Xml.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
  • Output
Structures de données | Espaces de nommage
Référence du fichier application/src/Cli/Output/Xml.php

Structures de données

class Xml

Espaces de nommage

Joomla\Application\Cli\Output


Joomla CMS: Référence du fichier Xml.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
  • Format
Structures de données | Espaces de nommage
Référence du fichier registry/src/Format/Xml.php

Structures de données

class Xml

Espaces de nommage

Joomla\Registry\Format


Joomla CMS: Référence du fichier xml.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • helpers
Structures de données | Espaces de nommage | Variables
Référence du fichier xml.php

Structures de données

class ModulesHelperXML

Espaces de nommage

Joomla\Administrator

Variables

try

Documentation des variables

◆ try

try
Valeur initiale :
{
JLog::add('ModulesHelperXML is deprecated. Do not use.', JLog::WARNING, 'deprecated')


Joomla CMS: Référence du fichier XmlDocument.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Structures de données | Espaces de nommage
Référence du fichier XmlDocument.php

Structures de données

class XmlDocument

Espaces de nommage

Joomla\CMS\Document


Joomla CMS: Référence du fichier xmlelement.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • utilities
Structures de données | Espaces de nommage
Référence du fichier xmlelement.php

Structures de données

class JXMLElement

Espaces de nommage

Joomla\Legacy


Joomla CMS: Référence du fichier XSalsa20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Structures de données
Référence du fichier XSalsa20.php

Structures de données

class ParagonIE_Sodium_Core_XSalsa20


Joomla CMS: Référence du fichier XSalsa20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Structures de données
Référence du fichier 2/XSalsa20.php

Structures de données

class ParagonIE_Sodium_Core32_XSalsa20


Joomla CMS: Référence du fichier Xsalsa20.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Structures de données | Espaces de nommage
Référence du fichier Xsalsa20.php

Structures de données

class Xsalsa20

Espaces de nommage

ParagonIE\Sodium\Core


Joomla CMS: Référence du fichier Yaml.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
  • Format
Structures de données | Espaces de nommage
Référence du fichier joomla/registry/src/Format/Yaml.php

Structures de données

class Yaml

Espaces de nommage

Joomla\Registry\Format


Joomla CMS: Référence du fichier Yaml.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
Structures de données | Espaces de nommage
Référence du fichier symfony/yaml/Yaml.php

Structures de données

class Yaml

Espaces de nommage

Symfony\Component\Yaml


Joomla CMS: Référence du fichier yubikey.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • yubikey
Structures de données | Espaces de nommage
Référence du fichier yubikey.php

Structures de données

class PlgTwofactorauthYubikey

Espaces de nommage

Joomla\Plugin


Joomla CMS: Référence du fichier Zip.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
Structures de données | Espaces de nommage
Référence du fichier Zip.php

Structures de données

class Zip

Espaces de nommage

Joomla\Archive


Joomla CMS: Référence du fichier zip.php

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • archive
Structures de données | Espaces de nommage
Référence du fichier zip.php

Structures de données

class JArchiveZip

Espaces de nommage

Joomla\Platform


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- $ -

  • $accessEdit : templates/beez3/html/com_content/article/default.php
  • $accordionStarted : components/com_contact/views/contact/tmpl/default.php
  • $action : mod_submenu.php
  • $activated : administrator/components/com_users/views/users/tmpl/default.php
  • $activatedStates : administrator/components/com_users/views/users/tmpl/modal.php
  • $active : components/com_content/views/category/tmpl/default_articles.php , templates/beez3/html/com_content/featured/default_item.php , components/com_content/views/featured/tmpl/default_item.php , addtab.php , addtabscript.php , components/com_content/views/article/tmpl/default.php , modules/mod_menu/mod_menu.php , templates/beez3/html/com_content/article/default.php , components/com_content/views/category/tmpl/blog_item.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/category/default_articles.php
  • $active_id : modules/mod_menu/mod_menu.php
  • $activeLineColor : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $activeRequests : administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/modules/mod_privacy_dashboard/tmpl/default.php
  • $afterDisplayContent : components/com_content/views/category/tmpl/blog.php , category_default.php
  • $afterDisplayTitle : components/com_content/views/category/tmpl/blog.php , category_default.php
  • $ajaxLoaderImage : default_upload.php
  • $ajaxUri : components/com_config/view/application/tmpl/default_mail.php
  • $ajaxUrl : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • $alert : administrator/templates/isis/html/layouts/joomla/system/message.php , templates/protostar/html/layouts/joomla/system/message.php
  • $aliasArray : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $alt : layouts/joomla/form/field/checkboxes.php , layouts/joomla/form/field/radio.php , modules/mod_banners/tmpl/default.php
  • $anchor_css : default_heading.php , default_separator.php
  • $anchorAttributes : layouts/joomla/form/field/user.php
  • $app : administrator/templates/hathor/error.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_config/component/default.php , administrator/templates/hathor/html/com_contact/contact/edit.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_fields/field/edit.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/group/edit.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , administrator/components/com_categories/views/category/tmpl/edit.php , administrator/templates/hathor/index.php , administrator/templates/hathor/login.php , administrator/components/com_config/config.php , administrator/templates/isis/component.php , administrator/templates/isis/error.php , administrator/components/com_config/view/component/tmpl/default.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php , administrator/components/com_contact/views/contact/tmpl/edit.php , components/com_ajax/ajax.php , components/com_config/config.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , components/com_menus/menus.php , components/com_modules/modules.php , administrator/components/com_content/views/article/tmpl/edit.php , index.php , installation/index.php , administrator/components/com_content/views/articles/tmpl/default.php , layouts/joomla/edit/details.php , layouts/joomla/edit/fieldset.php , administrator/components/com_content/views/articles/tmpl/modal.php , layouts/joomla/edit/global.php , layouts/joomla/edit/params.php , administrator/components/com_fields/fields.php , publishingdata.php , mod_footer.php , administrator/components/com_fields/views/field/tmpl/edit.php , mod_search.php , plugins/installer/folderinstaller/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , templates/beez3/error.php , templates/beez3/html/com_content/archive/default.php , administrator/components/com_fields/views/group/tmpl/edit.php , templates/beez3/html/com_content/archive/default_items.php , templates/beez3/html/com_content/article/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , templates/beez3/html/com_content/categories/default.php , templates/beez3/html/com_content/category/blog.php , components/com_media/views/media/tmpl/default_navigation.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/blog_item.php , layouts/joomla/menu/edit_modules.php , templates/beez3/html/com_content/category/default.php , templates/beez3/html/com_content/category/default_articles.php , administrator/components/com_menus/views/items/tmpl/default.php , templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_content/featured/default_item.php , administrator/components/com_menus/views/items/tmpl/modal.php , templates/protostar/component.php , templates/protostar/error.php , administrator/components/com_newsfeeds/views/newsfeed/tmpl/edit.php , templates/protostar/index.php , protostar/offline.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , templates/system/error.php , system/offline.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/index.php , administrator/templates/hathor/component.php , templates/hathor/cpanel.php
  • $ariaLabel : navigation.php
  • $article : layouts/joomla/content/icons/edit.php
  • $articleId : layouts/joomla/content/icons.php
  • $asset : administrator/components/com_media/media.php , administrator/components/com_media/views/images/tmpl/default.php
  • $assetId : administrator/components/com_content/views/featured/tmpl/default.php , administrator/templates/hathor/html/com_content/featured/default.php
  • $assoc : administrator/components/com_contact/views/contact/tmpl/edit.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/article/tmpl/edit.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeed/tmpl/edit.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/templates/hathor/html/com_contact/contact/edit.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_menus/item/edit.php , templates/hathor/html/com_menus/item/edit_options.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/components/com_categories/views/category/tmpl/edit.php
  • $assocParam : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php
  • $attr : edit_positions.php , com_modules/views/modules/tmpl/default_batch_body.php , administrator/templates/isis/html/layouts/joomla/form/field/media.php , default_positions.php , layouts/joomla/form/field/combo.php , layouts/joomla/form/field/media.php , moduleorder.php , templates/protostar/html/layouts/joomla/form/field/media.php
  • $attribs : administrator/components/com_content/views/articles/tmpl/modal.php , system/privacyconsent/label.php , user/terms/label.php , templates/beez3/html/com_content/article/default.php
  • $attributes : layouts/joomla/form/field/calendar.php , layouts/joomla/form/field/checkboxes.php , layouts/joomla/form/field/email.php , layouts/joomla/form/field/meter.php , layouts/joomla/form/field/number.php , layouts/joomla/form/field/password.php , layouts/joomla/form/field/range.php , layouts/joomla/form/field/tel.php , layouts/joomla/form/field/text.php , layouts/joomla/form/field/textarea.php , layouts/joomla/form/field/url.php , default_component.php , default_url.php , plugins/fields/url/tmpl/url.php
  • $author : administrator/components/com_media/media.php , administrator/components/com_media/views/images/tmpl/default.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/category/tmpl/default_articles.php , author.php , templates/beez3/html/com_content/archive/default_items.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php
  • $authorised : layouts/joomla/content/tags.php
  • $authorURL : default_update.php
  • $autocomplete : advanced.php , layouts/joomla/form/field/email.php , layouts/joomla/form/field/number.php , layouts/joomla/form/field/tel.php , layouts/joomla/form/field/text.php , layouts/joomla/form/field/textarea.php , layouts/joomla/form/field/url.php
  • $autofocus : advanced.php
  • $b : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $background_color : administrator/templates/isis/login.php
  • $backtraceList : backtrace.php
  • $base : modules/mod_menu/mod_menu.php
  • $baseDir : autoload_classmap.php , autoload_files.php , autoload_namespaces.php , autoload_psr4.php
  • $basePath : init.php
  • $beforeDisplayContent : components/com_content/views/category/tmpl/blog.php , category_default.php
  • $behavior : libraries/cms.php
  • $blockPosition : info_block.php
  • $bodyClass : layouts/joomla/modal/body.php
  • $bodyHeight : layouts/joomla/modal/body.php , iframe.php
  • $bootstrap : templates/beez3/index.php
  • $branchFilter : administrator/components/com_finder/views/maps/tmpl/default.php
  • $bscolumns : components/com_tags/views/tags/tmpl/default_items.php
  • $bsspans : components/com_tags/views/tags/tmpl/default_items.php
  • $btnClass : administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php , layouts/joomla/toolbar/standard.php
  • $buffer : plugins/fields/imagelist/tmpl/imagelist.php , plugins/fields/media/tmpl/media.php
  • $button : administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , layouts/joomla/editors/buttons/button.php , mod_search.php
  • $button_pos : mod_search.php
  • $button_text : mod_search.php
  • $buttons : mod_quickicon.php , editors/buttons.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $buttonText : administrator/components/com_installer/views/languages/tmpl/default.php
  • $cacheid : mod_articles_categories.php , mod_articles_category.php
  • $cacheparams : mod_articles_categories.php , mod_articles_category.php , mod_related_items.php , mod_tags_popular.php , mod_tags_similar.php
  • $canChange : administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php
  • $canCheckin : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php
  • $canCreate : administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , components/com_tags/views/tag/tmpl/default_items.php , components/com_tags/views/tags/tmpl/default_items.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $canEdit : administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php , components/com_tags/views/tag/tmpl/default_items.php , components/com_tags/views/tags/tmpl/default_items.php , blog_style_default_item_title.php , category_default.php , layouts/joomla/content/icons.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $canEditCat : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $canEditOwn : administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php
  • $canEditOwnCat : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $canEditOwnParCat : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $canEditParCat : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $canEditState : components/com_tags/views/tag/tmpl/default_items.php , components/com_tags/views/tags/tmpl/default_items.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $canManageCheckin : administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/templates/hathor/html/com_associations/associations/default.php
  • $canManageItems : administrator/components/com_menus/views/menus/tmpl/default.php , administrator/templates/hathor/html/com_menus/menus/default.php
  • $canOrder : administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php
  • $category : administrator/components/com_fields/views/fields/tmpl/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , category_default.php
  • $category_image : administrator/components/com_users/views/notes/tmpl/modal.php
  • $check : administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/debuguser/default.php
  • $checkCreateEdit : components/com_content/content.php
  • $checked : layouts/joomla/form/field/checkboxes.php
  • $chkbox_class : templates/hathor/html/com_modules/module/edit_assignment.php
  • $chosenAjaxSettings : layouts/joomla/html/tag.php
  • $class : components/com_modules/views/module/tmpl/edit_options.php , administrator/modules/mod_menu/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/toolbar/confirm.php , administrator/templates/hathor/html/layouts/joomla/toolbar/link.php , administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php , administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php , administrator/templates/hathor/html/layouts/joomla/toolbar/separator.php , administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php , administrator/templates/hathor/html/layouts/joomla/toolbar/title.php , modules/tmpl/default_options.php , com_contact/layouts/field/render.php , components/com_contact/layouts/joomla/form/renderfield.php , components/com_contact/views/categories/tmpl/default_items.php , components/com_contact/views/category/tmpl/default_children.php , components/com_content/views/categories/tmpl/default_items.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , components/com_newsfeeds/views/category/tmpl/default_children.php , components/com_users/layouts/joomla/form/renderfield.php , categories_default_items.php , layouts/joomla/editors/buttons/button.php , backtrace.php , advanced.php , simple.php , layouts/joomla/form/field/hidden.php , layouts/joomla/form/field/meter.php , layouts/joomla/form/renderfield.php , layouts/joomla/toolbar/confirm.php , layouts/joomla/toolbar/link.php , layouts/joomla/toolbar/modal.php , layouts/joomla/toolbar/popup.php , layouts/joomla/toolbar/slider.php , layouts/joomla/toolbar/standard.php , system/privacyconsent/label.php , user/terms/label.php , plugins/fields/imagelist/tmpl/imagelist.php , plugins/fields/media/tmpl/media.php , templates/beez3/html/com_contact/categories/default_items.php , templates/beez3/html/com_contact/category/default_children.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , templates/beez3/html/com_newsfeeds/category/default_children.php , templates/beez3/html/com_weblinks/categories/default_items.php , templates/beez3/html/com_weblinks/category/default_children.php
  • $class_sfx : modules/mod_menu/mod_menu.php
  • $classes : renderlabel.php
  • $className : categories_default_items.php , category_default.php
  • $client : administrator/components/com_languages/views/overrides/tmpl/default.php , components/com_templates/views/template/tmpl/default_description.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , templates/hathor/html/com_templates/template/default_description.php
  • $clientId : administrator/components/com_menus/views/item/tmpl/edit.php , com_menus/views/items/tmpl/default_batch_body.php , com_menus/views/items/tmpl/default_batch_footer.php , edit_positions.php , administrator/components/com_modules/views/modules/tmpl/default.php , com_modules/views/modules/tmpl/default_batch_body.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/templates/hathor/html/com_menus/item/edit.php , administrator/templates/hathor/html/com_modules/positions/modal.php
  • $cMax : administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , default_modal_file_body.php
  • $color : plugins/editors/codemirror/layouts/editors/codemirror/styles.php , templates/beez3/component.php , templates/beez3/error.php , templates/beez3/index.php
  • $color_is_light : administrator/templates/isis/login.php
  • $cols : plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $colSpan : administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_finder/views/maps/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/templates/hathor/html/com_associations/associations/default.php
  • $columns : administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , components/com_tags/views/tags/tmpl/default_items.php
  • $com_path : modules/mod_articles_category/helper.php
  • $compareMessage : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $compatibilityDisplayNotes : default_preupdatecheck.php
  • $compatibilityTypeGroup : default_preupdatecheck.php
  • $compatibilityTypes : default_preupdatecheck.php
  • $component : administrator/components/com_categories/categories.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , layouts/joomla/menu/edit_modules.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , com_contact/layouts/fields/render.php , com_fields/layouts/fields/render.php , layouts/joomla/edit/global.php
  • $condition : plugins/fields/sql/tmpl/sql.php
  • $config : administrator/includes/framework.php , mod_status.php , bin/keychain.php , finder_indexer.php , components/com_modules/modules.php , includes/framework.php , templates/beez3/index.php
  • $configFieldsets : layouts/joomla/edit/params.php
  • $content : plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $context : administrator/components/com_fields/fields.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , com_contact/layouts/fields/render.php , components/com_fields/fields.php , com_fields/layouts/fields/render.php
  • $control : advanced.php
  • $controller : administrator/components/com_actionlogs/actionlogs.php , admin.php , administrator/components/com_associations/associations.php , administrator/components/com_banners/banners.php , administrator/components/com_cache/cache.php , administrator/components/com_categories/categories.php , administrator/components/com_checkin/checkin.php , administrator/components/com_config/config.php , administrator/components/com_contact/contact.php , administrator/components/com_content/content.php , administrator/components/com_contenthistory/contenthistory.php , components/com_cpanel/cpanel.php , administrator/components/com_fields/fields.php , administrator/components/com_finder/finder.php , administrator/components/com_installer/installer.php , administrator/components/com_joomlaupdate/joomlaupdate.php , administrator/components/com_languages/languages.php , administrator/components/com_login/login.php , administrator/components/com_media/media.php , administrator/components/com_menus/menus.php , com_messages/messages.php , administrator/components/com_modules/modules.php , administrator/components/com_newsfeeds/newsfeeds.php , administrator/components/com_plugins/plugins.php , administrator/components/com_privacy/privacy.php , administrator/components/com_redirect/redirect.php , administrator/components/com_search/search.php , administrator/components/com_tags/tags.php , administrator/components/com_templates/templates.php , administrator/components/com_users/users.php , components/com_banners/banners.php , components/com_config/config.php , components/com_contact/contact.php , components/com_content/content.php , components/com_fields/fields.php , components/com_finder/finder.php , mailto.php , components/com_menus/menus.php , components/com_modules/modules.php , components/com_newsfeeds/newsfeeds.php , components/com_privacy/privacy.php , components/com_search/search.php , components/com_tags/tags.php , components/com_users/users.php , wrapper.php
  • $controllerHelper : administrator/components/com_config/config.php , components/com_config/config.php
  • $cookieLogin : components/com_users/views/login/tmpl/default.php
  • $count : administrator/components/com_content/views/featured/tmpl/default.php , components/com_templates/views/template/tmpl/default_tree.php , administrator/components/com_users/views/levels/tmpl/default.php , mod_status.php , templates/hathor/html/com_modules/module/edit_assignment.php , templates/hathor/html/com_templates/template/default_tree.php , frontediting_modules.php , mod_breadcrumbs.php
  • $countdiff : cloud.php
  • $counter : components/com_content/views/category/tmpl/blog.php , components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/category/blog.php , templates/beez3/html/com_content/featured/default.php
  • $cpanel : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $cparams : templates/beez3/html/com_contact/contact/default.php , encyclopedia.php , templates/beez3/html/com_content/category/blog.php
  • $crypto_exception_handler_object_dont_touch_me : php-encryption/Crypto.php
  • $csite_name : mod_footer.php
  • $css : default_upload.php
  • $cssFileExt : layouts/joomla/form/field/calendar.php
  • $cur_year : mod_footer.php
  • $current : default_submenu.php
  • $current_version : administrator/components/com_installer/views/update/tmpl/default.php
  • $CurrentCatUrl : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $currentDate : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php , blog_style_default_item_title.php , layouts/joomla/content/icons/edit.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php
  • $currentJoomlaVersion : administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • $currentPage : layouts/joomla/pagination/links.php
  • $currentShortVersion : administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , installation/view/languages/tmpl/default.php
  • $customFields : default_custom.php
  • $customGroupText : edit_positions.php , com_modules/views/modules/tmpl/default_batch_body.php , default_positions.php
  • $customOptions : administrator/components/com_menus/layouts/joomla/searchtools/default.php , layouts/joomla/searchtools/default.php
  • $data : administrator/components/com_associations/layouts/joomla/searchtools/default/bar.php , administrator/components/com_languages/layouts/joomla/searchtools/default/bar.php , administrator/components/com_menus/layouts/joomla/searchtools/default/bar.php , administrator/components/com_menus/layouts/joomla/searchtools/default.php , layouts/joomla/form/field/meter.php , layouts/joomla/searchtools/default/bar.php , layouts/joomla/searchtools/default/filters.php , layouts/joomla/searchtools/default/list.php , noitems.php , selector.php , layouts/joomla/searchtools/default.php , sort.php , layouts/joomla/tinymce/textarea.php
  • $dataShowOn : administrator/components/com_config/view/component/tmpl/default.php , layouts/joomla/searchtools/default/filters.php
  • $datashowon : options_default.php
  • $dataToggle : default_submenu.php
  • $date : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , mod_footer.php
  • $db : mod_status.php , plugins/fields/sql/tmpl/sql.php
  • $debugGroups : administrator/components/com_users/views/groups/tmpl/default.php
  • $debugUsers : administrator/components/com_users/views/users/tmpl/default.php
  • $default : modules/mod_menu/mod_menu.php
  • $default_id : modules/mod_menu/mod_menu.php
  • $deleteMessage : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $deleteUrl : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $desc : administrator/components/com_modules/views/select/tmpl/default.php
  • $description : administrator/components/com_templates/views/style/tmpl/edit.php , components/com_tags/views/tags/tmpl/default.php
  • $descriptionImage : components/com_tags/views/tags/tmpl/default.php
  • $direction : administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/modules/mod_feed/tmpl/default.php , administrator/modules/mod_menu/tmpl/default.php , administrator/templates/hathor/html/com_modules/positions/modal.php , components/com_newsfeeds/views/newsfeed/tmpl/default.php , layouts/joomla/content/readmore.php , advanced.php , modules/mod_feed/tmpl/default.php
  • $disableClassName : administrator/components/com_languages/views/languages/tmpl/default.php
  • $disabled : administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , layouts/joomla/form/field/calendar.php , advanced.php , simple.php , layouts/joomla/form/field/hidden.php
  • $disabledLabel : administrator/components/com_languages/views/languages/tmpl/default.php
  • $dispatcher : administrator/components/com_media/views/imageslist/tmpl/default_image.php , details_doc.php , details_docs.php , details_img.php , details_imgs.php , details_video.php , details_videos.php , thumbs_docs.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , thumbs_videos.php , administrator/templates/isis/html/com_media/imageslist/default_image.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , components/com_content/views/category/tmpl/blog.php , category_default.php , templates/protostar/html/com_media/imageslist/default_image.php
  • $display : administrator/templates/isis/html/layouts/joomla/pagination/link.php , layouts/joomla/pagination/link.php
  • $display_count : mod_tags_popular.php
  • $displayData : layouts/joomla/content/icons.php
  • $displayFilters : mod_submenu.php
  • $displayGroups : components/com_contact/views/contact/tmpl/default_user_custom_fields.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php
  • $displayHeader : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $displayMenu : mod_submenu.php
  • $doc : administrator/components/com_media/views/medialist/tmpl/details.php , thumbs.php , administrator/modules/mod_menu/tmpl/default.php , layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $document : administrator/components/com_content/views/article/tmpl/pagebreak.php , administrator/components/com_modules/views/select/tmpl/default.php , layouts/joomla/form/field/calendar.php
  • $doTask : administrator/templates/hathor/html/layouts/joomla/toolbar/confirm.php , administrator/templates/hathor/html/layouts/joomla/toolbar/help.php , administrator/templates/hathor/html/layouts/joomla/toolbar/link.php , administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php , administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php , layouts/joomla/toolbar/confirm.php , layouts/joomla/toolbar/help.php , layouts/joomla/toolbar/link.php , layouts/joomla/toolbar/popup.php , layouts/joomla/toolbar/slider.php , layouts/joomla/toolbar/standard.php
  • $dropdownCaret : default_submenu.php
  • $EditCatTxt : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $editor : administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_modules/views/modules/tmpl/modal.php
  • $editoroptions : administrator/templates/hathor/html/com_content/article/edit.php , components/com_content/views/form/tmpl/edit.php , templates/beez3/html/com_content/form/edit.php
  • $editorText : components/com_config/view/modules/tmpl/default.php
  • $editUrl : frontediting_modules.php
  • $enabled : administrator/modules/mod_menu/mod_menu.php
  • $enabledStates : administrator/components/com_users/views/users/tmpl/modal.php
  • $errPackageTooBig : default_upload.php
  • $errSelectPackage : default_upload.php
  • $expired : administrator/components/com_languages/views/override/tmpl/edit.php
  • $explodeArray : components/com_templates/views/template/tmpl/default_folders.php , components/com_templates/views/template/tmpl/default_tree.php , templates/hathor/html/com_templates/template/default_folders.php , templates/hathor/html/com_templates/template/default_tree.php
  • $extCSS : init.php
  • $extension : administrator/components/com_categories/views/categories/tmpl/default.php , com_categories/views/categories/tmpl/default_batch_body.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , categories_default_items.php , category_default.php
  • $extensionassoc : administrator/components/com_categories/views/category/tmpl/edit.php
  • $extJS : init.php
  • $extraFields : administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/fieldset.php , layouts/joomla/edit/params.php
  • $feed : administrator/modules/mod_feed/mod_feed.php , modules/mod_feed/mod_feed.php
  • $field : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_users/users/modal.php , com_contact/layouts/field/render.php , com_fields/layouts/field/render.php
  • $fieldInput : administrator/components/com_media/views/images/tmpl/default.php
  • $fields : layouts/joomla/menu/edit_modules.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , com_contact/layouts/fields/render.php , components/com_contact/views/contact/tmpl/default_form.php , com_fields/layouts/fields/render.php , default_params.php , layouts/joomla/edit/global.php , publishingdata.php
  • $fieldSet : administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , layouts/joomla/edit/fieldset.php
  • $fieldsets : administrator/components/com_users/views/user/tmpl/edit.php , administrator/templates/hathor/html/com_admin/profile/edit.php , administrator/templates/hathor/html/com_users/user/edit.php , default_custom.php
  • $fieldSets : com_categories/views/category/tmpl/modal_options.php , components/com_contact/views/contact/tmpl/edit_params.php , com_contact/views/contact/tmpl/modal_params.php , components/com_menus/views/item/tmpl/edit_options.php , com_menus/views/item/tmpl/modal_options.php , components/com_modules/views/module/tmpl/edit_options.php , components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php , com_newsfeeds/views/newsfeed/tmpl/modal_params.php , components/com_tags/views/tag/tmpl/edit_options.php , components/com_templates/views/style/tmpl/edit_options.php , administrator/templates/hathor/html/com_categories/category/edit.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/html/com_config/component/default.php , administrator/templates/hathor/html/com_contact/contact/edit.php , templates/hathor/html/com_contact/contact/edit_params.php , administrator/templates/hathor/html/com_content/article/edit.php , templates/hathor/html/com_menus/item/edit_options.php , templates/hathor/html/com_modules/module/edit_options.php , templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php , templates/hathor/html/com_plugins/plugin/edit_options.php , templates/hathor/html/com_tags/tag/edit_metadata.php , templates/hathor/html/com_tags/tag/edit_options.php , templates/hathor/html/com_templates/style/edit_options.php , templates/hathor/html/com_weblinks/weblink/edit_params.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , modules/tmpl/default_options.php , templates/tmpl/default_options.php , layouts/joomla/edit/metadata.php , layouts/joomla/edit/params.php
  • $fieldsnames : options_default.php , text_filters.php
  • $fieldValue : plugins/fields/checkboxes/tmpl/checkboxes.php , plugins/fields/list/tmpl/list.php , plugins/fields/repeatable/tmpl/repeatable.php
  • $fieldValues : plugins/fields/repeatable/tmpl/repeatable.php
  • $file : administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_installer/database/default.php , administrator/templates/isis/error.php
  • $fileArray : components/com_templates/views/template/tmpl/default_tree.php , templates/hathor/html/com_templates/template/default_tree.php
  • $files : templates/beez3/error.php
  • $filesize : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • $filter : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $filterButton : layouts/joomla/searchtools/default/bar.php
  • $filters : mod_submenu.php , layouts/joomla/searchtools/default/bar.php , layouts/joomla/searchtools/default/filters.php
  • $filtersActiveClass : layouts/joomla/searchtools/default.php
  • $filtersClass : administrator/components/com_menus/layouts/joomla/searchtools/default.php
  • $firstTab : administrator/components/com_installer/views/install/tmpl/default.php
  • $folder : mod_random_image.php
  • $fontFamily : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $fontSize : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $footerText : mod_banners.php , mod_languages.php
  • $forcedLanguage : administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php
  • $form : layouts/joomla/menu/edit_modules.php , administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/hathor/html/layouts/joomla/edit/metadata.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/associations.php , layouts/joomla/edit/fieldset.php , layouts/joomla/edit/global.php , layouts/joomla/edit/metadata.php , layouts/joomla/edit/params.php , publishingdata.php , title_alias.php , layouts/joomla/form/field/subform/default.php
  • $format : components/com_ajax/ajax.php , layouts/joomla/form/field/checkboxes.php , advanced.php , layouts/joomla/form/field/radio.php , templates/beez3/error.php , templates/protostar/error.php
  • $formatString : plugins/fields/calendar/tmpl/calendar.php
  • $formSelector : administrator/components/com_menus/layouts/joomla/searchtools/default.php
  • $formUrl : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $forum_url : langforum.php
  • $forumId : langforum.php
  • $frameborder : mod_wrapper.php
  • $frontEndUri : administrator/templates/hathor/login.php , administrator/templates/isis/error.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php
  • $fsCombo : init.php
  • $fskeys : init.php
  • $fullScreenCombo : init.php
  • $function : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_categories/views/category/tmpl/modal.php , administrator/components/com_contact/views/contact/tmpl/modal.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/article/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_menus/views/item/tmpl/modal.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeed/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , administrator/templates/hathor/html/com_users/users/modal.php
  • $g : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $GLOBALS : libraries/legacy/request/request.php
  • $groupClass : administrator/components/com_config/view/component/tmpl/default.php , options_default.php
  • $groups : administrator/components/com_users/views/levels/tmpl/default.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php , tmpl/usergrouplist.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/default_children.php
  • $groupsWithUsers : administrator/templates/hathor/html/com_users/groups/default.php
  • $hasContent : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/templates/hathor/html/com_modules/module/edit.php
  • $hasContentFieldName : administrator/components/com_modules/views/module/tmpl/edit.php
  • $hash : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $header_color : administrator/templates/isis/index.php
  • $header_is_light : administrator/templates/isis/index.php
  • $headerImage : templates/beez3/index.php
  • $headerText : mod_banners.php , mod_languages.php
  • $height : modules/mod_banners/tmpl/default.php , mod_wrapper.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $hidden : administrator/templates/isis/index.php
  • $hidden_fields : templates/hathor/html/com_modules/module/edit_options.php
  • $hiddenFields : layouts/joomla/menu/edit_modules.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , layouts/joomla/edit/global.php , publishingdata.php
  • $hiddenFieldsets : layouts/joomla/edit/params.php
  • $hiddenLinks : edit_container.php
  • $hide : mod_submenu.php
  • $hideActiveFilters : layouts/joomla/searchtools/default.php
  • $hideLinks : administrator/modules/mod_status/tmpl/default.php
  • $highlightMatchColor : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $hint : advanced.php
  • $hits_class : administrator/modules/mod_popular/tmpl/default.php
  • $href : layouts/joomla/editors/buttons/button.php
  • $html : layouts/joomla/menu/edit_modules.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/modules/mod_quickicon/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , administrator/templates/hathor/html/mod_quickicon/default.php , layouts/joomla/edit/fieldset.php , layouts/joomla/edit/global.php , plugins/fields/repeatable/tmpl/repeatable.php
  • $i : administrator/components/com_cache/views/cache/tmpl/default.php , com_categories/views/category/tmpl/modal_options.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_installer/views/warnings/tmpl/default.php , default_upload.php , administrator/components/com_languages/views/overrides/tmpl/default.php , components/com_menus/views/item/tmpl/edit_options.php , com_menus/views/item/tmpl/modal_options.php , components/com_modules/views/module/tmpl/edit_options.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , components/com_tags/views/tag/tmpl/edit_options.php , components/com_templates/views/style/tmpl/edit_options.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_languages/overrides/default.php , templates/hathor/html/com_modules/module/edit_assignment.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/hathor/html/com_users/users/modal.php , modules/tmpl/default_options.php
  • $icon : administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php , layouts/joomla/toolbar/modal.php , layouts/joomla/toolbar/title.php
  • $iconClass : administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $iconmodules : administrator/components/com_cpanel/views/cpanel/tmpl/default.php
  • $iconStates : administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/templates/hathor/html/com_associations/associations/default.php
  • $id : administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php , components/com_content/views/article/tmpl/default_links.php , renderlabel.php , layouts/joomla/links/link.php , layouts/joomla/quickicons/icon.php , addtab.php , addtabscript.php , modules/mod_articles_categories/tmpl/default_items.php , modules/mod_menu/tmpl/default.php , mod_wrapper.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php , templates/beez3/html/com_content/article/default_links.php
  • $idbase : mod_articles_category.php
  • $iframeAttributes : iframe.php
  • $iframeClass : iframe.php
  • $ignoredFieldsets : templates/beez3/html/com_content/form/edit.php
  • $ignoreFields : administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/fieldset.php , layouts/joomla/edit/params.php
  • $ignoreFieldsets : administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/params.php
  • $image : mod_random_image.php
  • $imagebutton : mod_search.php
  • $images : components/com_newsfeeds/views/newsfeed/tmpl/default.php , full_image.php , intro_image.php , mod_random_image.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php
  • $img : rating.php
  • $info : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php
  • $input : administrator/components/com_categories/categories.php , administrator/components/com_categories/views/category/tmpl/edit.php , administrator/components/com_contact/views/contact/tmpl/edit.php , administrator/components/com_content/views/article/tmpl/edit.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_fields/views/field/tmpl/edit.php , administrator/components/com_fields/views/group/tmpl/edit.php , administrator/components/com_login/login.php , administrator/components/com_media/media.php , administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_media/views/imageslist/tmpl/default_folder.php , administrator/components/com_media/views/media/tmpl/default.php , layouts/joomla/menu/edit_modules.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_menus/views/menutypes/tmpl/default.php , administrator/components/com_modules/modules.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_newsfeeds/views/newsfeed/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_templates/views/template/tmpl/default.php , default_modal_delete_footer.php , default_modal_file_body.php , default_modal_folder_body.php , default_modal_folder_footer.php , readonly.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/modules/mod_menu/mod_menu.php , mod_status.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/templates/hathor/html/com_contact/contact/edit.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_fields/field/edit.php , administrator/templates/hathor/html/com_fields/group/edit.php , administrator/templates/hathor/html/com_menus/item/edit.php , administrator/templates/hathor/html/com_menus/menutypes/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_templates/template/default.php , administrator/templates/hathor/html/com_users/users/modal.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/isis/error.php , administrator/templates/isis/html/com_media/imageslist/default_folder.php , administrator/templates/isis/index.php , components/com_ajax/ajax.php , components/com_contact/contact.php , components/com_content/content.php , components/com_fields/fields.php , layouts/joomla/edit/global.php , modules/mod_articles_categories/tmpl/default_items.php , mod_articles_category.php , templates/protostar/html/com_media/imageslist/default_folder.php
  • $inputAttributes : administrator/templates/isis/html/layouts/joomla/form/field/user.php , layouts/joomla/form/field/user.php
  • $inputclass : advanced.php
  • $inputvalue : layouts/joomla/form/field/calendar.php
  • $introcount : components/com_content/views/category/tmpl/blog.php , components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/featured/default.php
  • $isCheckout : administrator/components/com_associations/views/associations/tmpl/modal.php
  • $isEditable : components/com_content/views/category/tmpl/default_articles.php , templates/beez3/html/com_content/category/default_articles.php
  • $isExpired : components/com_content/views/article/tmpl/default.php , components/com_content/views/featured/tmpl/default_item.php
  • $isMail : com_contact/layouts/fields/render.php
  • $isModal : administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/com_menus/item/edit.php
  • $isMoo : administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php
  • $isNotPublishedYet : components/com_content/views/article/tmpl/default.php , components/com_content/views/featured/tmpl/default_item.php
  • $isRtl : components/com_newsfeeds/views/newsfeed/tmpl/default.php , modules/mod_feed/tmpl/default.php
  • $isSingleTag : components/com_tags/views/tag/tmpl/default.php
  • $issues : platform_check.php
  • $isUnpublished : components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php , layouts/joomla/content/icons/edit.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php
  • $item : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/isis/html/layouts/joomla/pagination/link.php , com_contact/layouts/fields/render.php , com_fields/layouts/fields/render.php , categories_default_items.php , layouts/joomla/content/language.php , layouts/joomla/content/readmore.php , layouts/joomla/pagination/link.php
  • $itemId : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/category/tmpl/default_articles.php , components/com_content/views/featured/tmpl/default_item.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/category/default_articles.php , templates/beez3/html/com_content/featured/default_item.php
  • $itemid : administrator/templates/isis/error.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php , frontediting_modules.php , templates/protostar/error.php , templates/protostar/index.php
  • $items : mod_sampledata.php , layouts/joomla/content/associations.php , categories_default_items.php
  • $itemtype : administrator/components/com_associations/associations.php
  • $ititle : mod_wrapper.php
  • $jinput : administrator/templates/hathor/html/com_categories/categories/default.php
  • $joomla : installation/template/index.php
  • $js : default_upload.php , administrator/components/com_privacy/views/request/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/edit.php , plugins/twofactorauth/totp/tmpl/form.php
  • $key : administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_finder/maps/default.php
  • $keyArrayCount : components/com_templates/views/template/tmpl/default_tree.php , templates/hathor/html/com_templates/template/default_tree.php
  • $keywords : advanced.php
  • $label : administrator/components/com_config/view/component/tmpl/default.php , com_contact/layouts/field/render.php , components/com_contact/views/contact/tmpl/default_links.php , components/com_content/views/article/tmpl/default_links.php , com_fields/layouts/field/render.php , system/privacyconsent/label.php , user/terms/label.php , modules/mod_finder/tmpl/default.php , mod_search.php , templates/beez3/html/com_contact/contact/default_links.php , templates/beez3/html/com_content/article/default_links.php
  • $labelClass : default_preupdatecheck.php , com_contact/layouts/field/render.php , com_fields/layouts/field/render.php , modules/mod_finder/tmpl/default.php
  • $lang : finder_indexer.php , plugins/content/pagenavigation/tmpl/default.php , components/com_users/views/profile/tmpl/edit.php , administrator/templates/isis/error.php , administrator/components/com_finder/views/index/tmpl/default.php , administrator/components/com_finder/views/maps/tmpl/default.php , administrator/components/com_media/views/images/tmpl/default.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/components/com_media/views/imageslist/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/modules/mod_menu/mod_menu.php , mod_privacy_dashboard.php , mod_status.php , administrator/templates/hathor/component.php , templates/hathor/cpanel.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/index.php , administrator/templates/hathor/login.php , administrator/templates/isis/component.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php , deletefiles.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php , components/com_contenthistory/contenthistory.php , components/com_media/media.php , components/com_menus/menus.php , components/com_modules/modules.php , components/com_search/views/search/tmpl/default_form.php , modules/mod_finder/tmpl/default.php , mod_search.php , navigation.php
  • $lang_string : administrator/components/com_finder/views/statistics/tmpl/default.php
  • $langFilter : components/com_content/views/category/tmpl/default_articles.php
  • $langs : administrator/modules/mod_login/mod_login.php
  • $language : administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php
  • $last_item_key : modules/mod_breadcrumbs/tmpl/default.php , templates/beez3/html/mod_breadcrumbs/default.php
  • $lastTab : administrator/components/com_installer/views/install/tmpl/default.php
  • $latestJoomlaVersion : administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • $layout : administrator/templates/isis/index.php , templates/protostar/error.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/com_menus/item/edit.php , administrator/templates/isis/error.php , administrator/templates/isis/login.php , com_finder/views/search/tmpl/default_results.php , modules/mod_login/mod_login.php , templates/protostar/index.php
  • $leadingcount : components/com_content/views/category/tmpl/blog.php , components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/category/blog.php , templates/beez3/html/com_content/featured/default.php
  • $legacy : edit_lock.php , create.php , layouts/joomla/content/icons/edit.php , layouts/joomla/content/icons/email.php , print_popup.php , print_screen.php
  • $li : addtabscript.php
  • $license : installation/template/index.php
  • $limit : com_finder/views/search/tmpl/default_results.php
  • $lineHeight : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $link : templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_weblinks/category/default_items.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/templates/isis/html/layouts/joomla/toolbar/versions.php , components/com_contact/views/contact/tmpl/default_links.php , components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/category/tmpl/default_articles.php , components/com_content/views/featured/tmpl/default_item.php , com_finder/views/search/tmpl/default_results.php , mod_random_image.php , mod_syndicate.php , templates/beez3/html/com_contact/contact/default_links.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/category/default_articles.php , templates/beez3/html/com_content/featured/default_item.php , templates/protostar/html/layouts/joomla/form/field/user.php
  • $link_class : layouts/joomla/content/tags.php
  • $linkClass : default_submenu.php
  • $linktype : default_component.php , default_heading.php , default_separator.php , default_url.php
  • $linkUrl : com_finder/views/search/tmpl/default_results.php
  • $list : mod_languages.php , mod_tags_popular.php , mod_articles_news.php , layouts/joomla/form/field/text.php , mod_privacy_dashboard.php , mod_latest.php , mod_latestactions.php , mod_popular.php , mod_stats_admin.php , mod_submenu.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php , layouts/joomla/pagination/links.php , layouts/joomla/pagination/list.php , layouts/joomla/searchtools/default/list.php , mod_articles_archive.php , mod_articles_categories.php , mod_articles_category.php , mod_articles_latest.php , mod_articles_popular.php , mod_banners.php , mod_breadcrumbs.php , modules/mod_menu/mod_menu.php , mod_related_items.php , mod_stats.php , mod_tags_similar.php
  • $listDirn : administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_cache/views/cache/tmpl/default.php , administrator/components/com_actionlogs/views/actionlogs/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_banners/views/tracks/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_finder/views/filters/tmpl/default.php , administrator/components/com_finder/views/index/tmpl/default.php , administrator/components/com_finder/views/maps/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_installer/views/manage/tmpl/default.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_messages/views/messages/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/components/com_users/views/groups/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/templates/hathor/html/com_associations/associations/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_installer/discover/default.php , administrator/templates/hathor/html/com_installer/languages/default.php , administrator/templates/hathor/html/com_installer/manage/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_messages/messages/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_search/searches/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/templates/hathor/html/com_templates/templates/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/groups/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/templates/hathor/html/com_users/users/modal.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , components/com_contact/views/featured/tmpl/default_items.php , components/com_content/views/category/tmpl/default_articles.php , components/com_newsfeeds/views/category/tmpl/default_items.php , list_items.php , templates/beez3/html/com_contact/category/default_items.php , templates/beez3/html/com_newsfeeds/category/default_items.php , templates/beez3/html/com_weblinks/category/default_items.php , administrator/templates/hathor/html/com_users/debuguser/default.php , templates/beez3/html/com_content/category/default_articles.php , administrator/templates/hathor/html/com_users/users/default.php
  • $listOrder : administrator/components/com_actionlogs/views/actionlogs/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_cache/views/cache/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_finder/views/filters/tmpl/default.php , administrator/components/com_finder/views/index/tmpl/default.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_installer/views/manage/tmpl/default.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/components/com_users/views/groups/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_installer/discover/default.php , administrator/templates/hathor/html/com_installer/languages/default.php , administrator/templates/hathor/html/com_installer/manage/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_messages/messages/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/templates/hathor/html/com_templates/templates/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/debuguser/default.php , administrator/templates/hathor/html/com_users/groups/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/hathor/html/com_users/users/modal.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , components/com_content/views/category/tmpl/default_articles.php , components/com_newsfeeds/views/category/tmpl/default_items.php , list_items.php , templates/beez3/html/com_content/category/default_articles.php , templates/beez3/html/com_newsfeeds/category/default_items.php , templates/beez3/html/com_weblinks/category/default_items.php , components/com_contact/views/featured/tmpl/default_items.php , templates/beez3/html/com_contact/category/default_items.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/templates/hathor/html/com_search/searches/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_associations/associations/default.php , administrator/components/com_messages/views/messages/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_finder/views/maps/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_banners/views/tracks/tmpl/default.php
  • $load : mod_wrapper.php
  • $loader : libraries/cms.php
  • $loadUrl : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $location : components/com_contact/views/category/tmpl/default_items.php
  • $loggeduser : administrator/components/com_users/views/users/tmpl/default.php , administrator/templates/hathor/html/com_users/users/default.php
  • $loginmodule : administrator/components/com_login/views/login/tmpl/default.php
  • $logo : templates/beez3/index.php , templates/beez3/error.php
  • $long_description : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php
  • $loop : administrator/templates/isis/error.php , administrator/templates/system/error.php , templates/beez3/error.php , templates/protostar/error.php , templates/system/error.php , administrator/templates/hathor/error.php
  • $mainPageUri : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $manifest : administrator/components/com_installer/views/update/tmpl/default.php
  • $maxcount : cloud.php
  • $maxlength : mod_search.php
  • $maxSize : default_upload.php , administrator/components/com_media/views/media/tmpl/default.php , default_modal_file_body.php , layouts/joomla/form/field/file.php
  • $maxsize : cloud.php
  • $maxSize : administrator/components/com_media/views/images/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php
  • $maxSizeBytes : default_upload.php , plugins/installer/packageinstaller/tmpl/default.php
  • $mediaBaseDir : administrator/components/com_media/media.php
  • $member : modules/mod_whosonline/tmpl/default.php
  • $menu : administrator/modules/mod_menu/mod_menu.php , components/com_content/views/category/tmpl/default_articles.php , templates/beez3/html/com_content/category/default_articles.php
  • $menuclass : templates/beez3/html/com_weblinks/category/default_items.php
  • $menuLinks : edit_container.php
  • $menusEditing : frontediting_modules.php
  • $menuTree : administrator/modules/mod_menu/tmpl/default.php
  • $menuType : administrator/components/com_menus/views/items/tmpl/default.php , com_menus/views/items/tmpl/default_batch_body.php , com_menus/views/items/tmpl/default_batch_footer.php
  • $menutypeid : administrator/templates/hathor/html/com_menus/items/default.php
  • $menuTypes : components/com_modules/views/module/tmpl/edit_assignment.php , components/com_templates/views/style/tmpl/edit_assignment.php , templates/hathor/html/com_modules/module/edit_assignment.php , templates/hathor/html/com_templates/style/edit_assignment.php
  • $message : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , layouts/joomla/toolbar/batch.php , administrator/templates/hathor/html/com_installer/database/default.php
  • $message1 : default_message.php
  • $message2 : default_message.php
  • $messages : logstable.php
  • $mime : default_result.php
  • $minorVersion : administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , installation/view/languages/tmpl/default.php
  • $minsize : cloud.php
  • $mitemid : mod_search.php
  • $mod : administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , frontediting_modules.php
  • $modalAttributes : main.php
  • $modalClasses : main.php
  • $modalWidth : main.php
  • $mode : administrator/components/com_tags/views/tags/tmpl/default.php , mod_articles_category.php
  • $modePath : init.php
  • $modifier : plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $modMenuId : administrator/components/com_menus/views/menus/tmpl/default.php , administrator/templates/hathor/html/com_menus/menus/default.php
  • $modPath : init.php
  • $module : templates/protostar/error.php , templates/beez3/error.php
  • $moduleclass_sfx : modules/mod_feed/mod_feed.php , mod_users_latest.php , mod_whosonline.php , administrator/modules/mod_feed/mod_feed.php , mod_privacy_dashboard.php , mod_stats_admin.php , mod_related_items.php , mod_footer.php , mod_articles_archive.php , mod_articles_latest.php , mod_tags_popular.php , mod_languages.php , mod_banners.php , mod_breadcrumbs.php , modules/mod_custom/mod_custom.php , mod_random_image.php , mod_search.php , mod_stats.php , mod_syndicate.php , mod_tags_similar.php , mod_articles_news.php , mod_articles_popular.php , mod_wrapper.php
  • $moduleHtml : frontediting_modules.php
  • $modules : administrator/components/com_login/views/login/tmpl/default.php
  • $moduleXml : components/com_config/view/modules/tmpl/default.php
  • $msg0 : administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_installer/database/default.php
  • $msg1 : administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_installer/database/default.php
  • $msg2 : administrator/templates/hathor/html/com_installer/database/default.php , administrator/components/com_installer/views/database/tmpl/default.php
  • $msgList : layouts/joomla/system/message.php , administrator/templates/isis/html/layouts/joomla/system/message.php , templates/protostar/html/layouts/joomla/system/message.php , templates/beez3/html/layouts/joomla/system/message.php
  • $msgs : administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_installer/database/default.php
  • $multilang : com_finder/views/search/tmpl/default_results.php
  • $myrtl : components/com_newsfeeds/views/newsfeed/tmpl/default.php , administrator/modules/mod_feed/tmpl/default.php , modules/mod_feed/tmpl/default.php
  • $n : templates/beez3/html/com_weblinks/category/default_items.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/templates/hathor/html/com_content/articles/default.php , templates/beez3/html/com_newsfeeds/category/default_items.php , templates/beez3/html/com_content/category/default_articles.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , components/com_content/views/category/tmpl/default_articles.php , components/com_newsfeeds/views/category/tmpl/default_items.php , components/com_tags/views/tags/tmpl/default_items.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , components/com_tags/views/tag/tmpl/list.php
  • $name : administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , item_title.php , administrator/components/com_modules/views/select/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php , layouts/joomla/edit/fieldset.php , layouts/joomla/toolbar/slider.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php , togglebutton.php , layouts/joomla/toolbar/popup.php
  • $names : mod_users_latest.php
  • $navbar_color : administrator/templates/isis/index.php
  • $navbar_is_light : administrator/templates/isis/index.php
  • $navposition : templates/beez3/error.php , templates/beez3/index.php
  • $noResultsText : layouts/joomla/searchtools/default.php
  • $notice_disabled : administrator/components/com_languages/views/multilangstatus/tmpl/default.php
  • $notice_homes : administrator/components/com_languages/views/multilangstatus/tmpl/default.php
  • $notice_switchers : administrator/components/com_languages/views/multilangstatus/tmpl/default.php
  • $now : administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php
  • $object1 : views/compare/tmpl/compare.php
  • $object2 : views/compare/tmpl/compare.php
  • $offset : administrator/templates/isis/index.php
  • $oid : layouts/joomla/form/field/checkboxes.php
  • $onchange : layouts/joomla/form/field/checkboxes.php , advanced.php , layouts/joomla/form/field/hidden.php
  • $onclick : layouts/joomla/quickicons/icon.php , layouts/joomla/form/field/checkboxes.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , layouts/joomla/editors/buttons/button.php , layouts/joomla/links/link.php
  • $onClick : administrator/components/com_media/views/images/tmpl/default.php
  • $onclick : administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php
  • $onClose : administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , layouts/joomla/toolbar/slider.php
  • $online_num : mod_status.php
  • $oppositeClient : administrator/components/com_languages/views/overrides/tmpl/default.php
  • $oppositeFileName : administrator/components/com_languages/views/overrides/tmpl/default.php
  • $oppositeStrings : administrator/components/com_languages/views/overrides/tmpl/default.php
  • $option : templates/protostar/index.php , templates/beez3/index.php , administrator/templates/isis/error.php , templates/protostar/error.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , modules/mod_articles_categories/tmpl/default_items.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php
  • $optionClass : layouts/joomla/form/field/checkboxes.php
  • $optionDisabled : layouts/joomla/form/field/checkboxes.php
  • $optionNo : layouts/joomla/html/batch/user.php
  • $options : plugins/fields/checkboxes/tmpl/checkboxes.php , plugins/fields/list/tmpl/list.php , layouts/joomla/form/field/media.php , layouts/joomla/pagination/links.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , com_categories/views/categories/tmpl/default_batch_body.php , com_menus/views/items/tmpl/default_batch_body.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , layouts/joomla/edit/associations.php , layouts/joomla/html/batch/item.php , tmpl/vote.php , plugins/fields/radio/tmpl/radio.php , administrator/components/com_associations/views/association/tmpl/edit.php , com_users/views/users/tmpl/default_batch_body.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php
  • $options_str : chosen.php
  • $ordering : administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_fields/groups/default.php
  • $os : import.legacy.php , import.php
  • $output : modules/mod_finder/tmpl/default.php , administrator/modules/mod_status/tmpl/default.php , com_fields/layouts/fields/render.php , modules/mod_search/tmpl/default.php
  • $overlib : layouts/joomla/content/icons/edit.php
  • $pageClass : components/com_newsfeeds/views/category/tmpl/default.php
  • $pages : administrator/templates/isis/html/layouts/joomla/pagination/links.php , layouts/joomla/pagination/links.php
  • $pagesTotal : administrator/templates/isis/html/layouts/joomla/pagination/links.php
  • $pageSubHeading : templates/beez3/html/com_content/category/default.php
  • $panelName : administrator/templates/hathor/html/com_installer/database/default.php
  • $param : administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php
  • $parameters : frontediting_modules.php
  • $params : administrator/components/com_media/media.php , administrator/components/com_media/views/medialist/tmpl/details.php , details_doc.php , thumbs_docs.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , components/com_content/views/article/tmpl/default_links.php , components/com_content/views/category/tmpl/blog_item.php , categories_default_items.php , create.php , layouts/joomla/content/icons/email.php , templates/protostar/index.php , init.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/form/edit.php , templates/protostar/error.php , layouts/joomla/content/readmore.php , templates/beez3/html/com_content/category/blog_item.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php , print_screen.php , components/com_contact/views/contact/tmpl/default_user_custom_fields.php , full_image.php , components/com_content/views/article/tmpl/default.php , details_video.php , thumbs.php , details_img.php , administrator/components/com_media/views/imageslist/tmpl/default_image.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_content/views/article/tmpl/edit.php , administrator/components/com_media/views/images/tmpl/default.php , details_docs.php , details_imgs.php , details_videos.php , thumbs_videos.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , com_redirect/views/links/tmpl/default_batch_body.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/isis/error.php , administrator/templates/isis/html/com_media/imageslist/default_image.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/featured/tmpl/default_item.php , components/com_content/views/form/tmpl/edit.php , blog_style_default_item_title.php , category_default.php , print_popup.php , intro_image.php , mod_wrapper.php , templates/beez3/error.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php , templates/beez3/html/com_content/archive/default_items.php , templates/beez3/html/com_content/article/default_links.php , templates/beez3/html/com_weblinks/form/edit.php , templates/protostar/html/com_media/imageslist/default_image.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , templates/beez3/html/com_content/featured/default_item.php
  • $ParentCatUrl : administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php
  • $parts : includes/defines.php , components/com_ajax/ajax.php , com_contact/layouts/fields/render.php , components/com_fields/fields.php , administrator/includes/defines.php , administrator/components/com_categories/categories.php , administrator/components/com_categories/views/categories/tmpl/default.php , installation/application/defines.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_fields/fields.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , com_fields/layouts/fields/render.php
  • $password : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • $path : administrator/components/com_media/views/medialist/tmpl/details.php , thumbs.php , installation/view/summary/tmpl/default.php , administrator/components/com_media/media.php , modules/mod_menu/mod_menu.php
  • $penult_item_key : modules/mod_breadcrumbs/tmpl/default.php , templates/beez3/html/mod_breadcrumbs/default.php
  • $PHPMAILER_LANG : phpmailer.lang-en_gb.php
  • $popup_upload : administrator/components/com_media/media.php
  • $position : frontediting_modules.php , advanced.php
  • $position7ModuleCount : templates/protostar/index.php
  • $position8ModuleCount : templates/protostar/index.php
  • $positions : edit_positions.php , com_modules/views/modules/tmpl/default_batch_body.php , default_positions.php , com_modules/views/modules/tmpl/default_batch_body.php
  • $prefix : administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php
  • $presentation_style : components/com_contact/views/contact/tmpl/default_user_custom_fields.php , components/com_contact/views/contact/tmpl/default.php
  • $presetButtonClases : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $prev : installation/view/summary/tmpl/default.php
  • $prevlevel : components/com_modules/views/module/tmpl/edit_assignment.php , edit_container.php
  • $published : com_contact/views/contacts/tmpl/default_batch_body.php , layouts/joomla/edit/details.php , com_tags/views/tags/tmpl/default_batch_body.php , administrator/components/com_menus/views/items/tmpl/default.php , com_menus/views/items/tmpl/default_batch_body.php , com_menus/views/items/tmpl/default_batch_footer.php , com_categories/views/categories/tmpl/default_batch_body.php , com_redirect/views/links/tmpl/default_batch_body.php , default_batch.php , com_banners/views/banners/tmpl/default_batch_body.php , com_content/views/articles/tmpl/default_batch_body.php , com_modules/views/modules/tmpl/default_batch_body.php , com_newsfeeds/views/newsfeeds/tmpl/default_batch_body.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • $purchaseTypes : administrator/components/com_banners/views/clients/tmpl/default.php
  • $query : plugins/fields/sql/tmpl/sql.php , mod_status.php , mod_finder.php
  • $r : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $RandomCompatDIR : random.php
  • $range : layouts/joomla/pagination/links.php
  • $rating : rating.php
  • $rcount : rating.php
  • $readonly : layouts/joomla/form/field/calendar.php , advanced.php , simple.php
  • $redirectUri : frontediting_modules.php
  • $rel : components/com_contact/layouts/joomla/form/renderfield.php , layouts/joomla/form/renderfield.php , layouts/joomla/links/link.php , components/com_users/layouts/joomla/form/renderfield.php
  • $renderer : switcher.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php
  • $required : components/com_contact/layouts/joomla/form/renderfield.php , advanced.php , components/com_users/layouts/joomla/form/renderfield.php , system/privacyconsent/label.php , user/terms/label.php
  • $resetOptions : com_users/views/users/tmpl/default_batch_body.php
  • $results : category_default.php , components/com_ajax/ajax.php , components/com_content/views/category/tmpl/blog.php
  • $return : default_login.php , administrator/modules/mod_login/mod_login.php , administrator/components/com_menus/views/menus/tmpl/default.php , modules/mod_login/mod_login.php , administrator/templates/hathor/html/com_menus/menus/default.php
  • $returnUrl : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • $root : administrator/modules/mod_menu/tmpl/default.php
  • $route : default_result.php , mod_finder.php
  • $row : components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/featured/default.php
  • $rowcount : components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/featured/default.php
  • $rows : plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $rssrtl : modules/mod_feed/mod_feed.php , administrator/modules/mod_feed/mod_feed.php
  • $rssurl : administrator/modules/mod_feed/mod_feed.php , modules/mod_feed/mod_feed.php
  • $saveHistory : layouts/joomla/menu/edit_modules.php , layouts/joomla/edit/details.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php , layouts/joomla/edit/global.php , administrator/templates/hathor/html/com_weblinks/weblink/edit.php , administrator/templates/hathor/html/com_tags/tag/edit.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/templates/hathor/html/com_contact/contact/edit.php
  • $saveOrder : administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php
  • $script : administrator/templates/hathor/html/com_modules/module/edit.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , components/com_modules/views/module/tmpl/edit_assignment.php , administrator/components/com_menus/views/item/tmpl/edit.php , edit_container.php , administrator/components/com_modules/views/module/tmpl/edit.php , modules/mod_finder/tmpl/default.php , administrator/components/com_users/views/mail/tmpl/default.php , main.php , administrator/templates/hathor/html/com_menus/item/edit.php , administrator/components/com_menus/views/menus/tmpl/default.php
  • $scroll : mod_wrapper.php
  • $searchButton : layouts/joomla/searchtools/default/bar.php
  • $searchFilterDesc : administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/modal.php
  • $section : administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php
  • $selected : edit_container.php , components/com_modules/views/module/tmpl/edit_assignment.php
  • $selectedPosition : edit_positions.php
  • $selector : starttabsetscript.php , starttabset.php , addtabscript.php , layouts/joomla/toolbar/modal.php , administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php
  • $selectorFieldName : layouts/joomla/searchtools/default.php
  • $self : administrator/components/com_users/views/users/tmpl/default.php
  • $separator : mod_breadcrumbs.php , com_redirect/views/links/tmpl/default_batch_body.php
  • $serverinfo : mod_stats.php , mod_stats_admin.php
  • $set_Itemid : mod_search.php
  • $short_desc : administrator/components/com_modules/views/select/tmpl/default.php
  • $short_description : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php
  • $show_advanced : modules/mod_finder/tmpl/default.php
  • $show_contact_category : components/com_contact/views/contact/tmpl/default.php
  • $show_description : default_result.php
  • $show_last : modules/mod_breadcrumbs/tmpl/default.php
  • $showAll : modules/mod_menu/mod_menu.php
  • $showAsTooltip : layouts/joomla/form/field/media.php
  • $showbottom : templates/beez3/index.php , templates/beez3/error.php
  • $showCategoryHeadingTitleText : templates/beez3/html/com_content/category/default.php
  • $showCategoryTitle : templates/beez3/html/com_content/category/default.php
  • $showDate : mod_related_items.php
  • $showEmailIcon : templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/featured/default_item.php
  • $showFilterButton : layouts/joomla/searchtools/default.php
  • $showIpColumn : logstable.php
  • $showLabel : com_contact/layouts/field/render.php , com_fields/layouts/field/render.php , modules/mod_finder/tmpl/default.php
  • $showleft : templates/beez3/index.php , templates/beez3/error.php
  • $showLimitBox : layouts/joomla/pagination/links.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php
  • $showLimitStart : layouts/joomla/pagination/links.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php
  • $showmode : mod_whosonline.php
  • $shownumber : mod_users_latest.php
  • $showPagesLinks : administrator/templates/isis/html/layouts/joomla/pagination/links.php , layouts/joomla/pagination/links.php
  • $showPreUpdateCheck : administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • $showPreview : layouts/joomla/form/field/media.php
  • $showPrintIcon : templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_content/article/default.php
  • $showRightColumn : templates/beez3/error.php , templates/beez3/index.php
  • $showSelector : layouts/joomla/searchtools/default.php
  • $showSubmenu : administrator/templates/isis/index.php , administrator/templates/isis/error.php
  • $siteinfo : mod_stats_admin.php , mod_stats.php
  • $sitename : administrator/templates/isis/error.php , templates/protostar/error.php , templates/protostar/index.php , administrator/templates/isis/login.php , protostar/offline.php , administrator/templates/isis/index.php
  • $spans : administrator/components/com_cpanel/views/cpanel/tmpl/default.php
  • $starImageOff : rating.php
  • $starImageOn : rating.php
  • $start : com_finder/views/search/tmpl/default_results.php
  • $startMem : index.php , administrator/index.php
  • $startTime : administrator/index.php , index.php
  • $state : default_message.php , edit_positions.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/components/com_modules/views/positions/tmpl/modal.php
  • $stateIcons : administrator/components/com_privacy/views/consents/tmpl/default.php
  • $stateMsgs : administrator/components/com_privacy/views/consents/tmpl/default.php
  • $statusFixed : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $step : layouts/joomla/pagination/links.php
  • $stickyBar : administrator/templates/isis/index.php
  • $stickyToolbar : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $style : components/com_media/views/media/tmpl/default_navigation.php , administrator/components/com_media/views/media/tmpl/default.php , edit_container.php , administrator/templates/hathor/html/layouts/joomla/toolbar/separator.php
  • $subject : administrator/components/com_users/views/notes/tmpl/default.php
  • $sublayout : layouts/joomla/form/field/subform/repeatable.php
  • $suffix : modules/mod_finder/tmpl/default.php
  • $table_head : repeatable-table.php
  • $tabName : administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/params.php
  • $tabs : administrator/components/com_installer/views/install/tmpl/default.php
  • $tabSetStarted : components/com_contact/views/contact/tmpl/default.php
  • $tagsData : category_default.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $target : components/com_content/views/article/tmpl/default_links.php , templates/beez3/html/com_content/article/default_links.php , mod_wrapper.php , frontediting_modules.php , layouts/joomla/links/link.php , administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php , layouts/joomla/quickicons/icon.php
  • $task : administrator/components/com_login/login.php , templates/protostar/index.php , com_messages/messages.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/isis/index.php , templates/protostar/error.php , administrator/templates/isis/login.php , administrator/modules/mod_status/tmpl/default.php , administrator/templates/isis/error.php
  • $template : administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_config/component/default.php , administrator/components/com_config/view/component/tmpl/default.php
  • $templateparams : templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/archive/default.php , templates/beez3/html/com_content/archive/default_items.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_content/category/default.php , templates/beez3/html/com_content/category/blog.php
  • $text : system/privacyconsent/label.php , administrator/templates/hathor/html/com_users/debuguser/default.php , layouts/joomla/toolbar/link.php , layouts/joomla/toolbar/popup.php , components/com_modules/layouts/toolbar/cancelselect.php , layouts/joomla/quickicons/icon.php , components/com_modules/layouts/toolbar/newmodule.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , mod_search.php , administrator/templates/hathor/html/layouts/joomla/toolbar/help.php , administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php , templates/hathor/html/layouts/com_modules/toolbar/newmodule.php , mod_syndicate.php , layouts/joomla/links/link.php , administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php , layouts/joomla/toolbar/confirm.php , layouts/joomla/toolbar/help.php , layouts/joomla/toolbar/standard.php , user/terms/label.php , administrator/templates/hathor/html/layouts/joomla/toolbar/link.php , layouts/joomla/toolbar/slider.php , administrator/templates/hathor/html/layouts/joomla/toolbar/confirm.php , mysettings.php , administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php , layouts/joomla/toolbar/modal.php , templates/hathor/html/layouts/com_modules/toolbar/cancelselect.php , administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php
  • $texts : plugins/fields/radio/tmpl/radio.php , plugins/fields/user/tmpl/user.php , plugins/fields/list/tmpl/list.php , tmpl/usergrouplist.php , plugins/fields/checkboxes/tmpl/checkboxes.php , plugins/fields/sql/tmpl/sql.php
  • $title : components/com_media/layouts/toolbar/uploadmedia.php , addtabscript.php , layouts/joomla/links/link.php , administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php , administrator/templates/hathor/html/com_finder/maps/default.php , renderlabel.php , sort.php , templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_content/archive/default_items.php , default_separator.php , templates/hathor/html/layouts/com_media/toolbar/newfolder.php , templates/hathor/html/layouts/com_media/toolbar/uploadmedia.php , parent_category.php , templates/beez3/html/com_content/category/blog_item.php , administrator/templates/hathor/html/layouts/joomla/toolbar/batch.php , default_heading.php , layouts/joomla/quickicons/icon.php , administrator/components/com_redirect/layouts/toolbar/batch.php , layouts/joomla/content/info_block/category.php , components/com_media/layouts/toolbar/newfolder.php , layouts/joomla/toolbar/batch.php , templates/hathor/html/layouts/com_media/toolbar/deletemedia.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php , navigation.php , layouts/joomla/edit/details.php , item_title.php , layouts/joomla/editors/buttons/button.php , components/com_media/layouts/toolbar/deletemedia.php , title_alias.php
  • $tmp : default_custom.php
  • $tmpl : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_menus/views/menutypes/tmpl/default.php , administrator/templates/hathor/html/com_menus/menutypes/default.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/com_menus/item/edit.php
  • $toolbar : mod_toolbar.php
  • $tooltip : edit_lock.php
  • $total : com_finder/views/search/tmpl/default_results.php
  • $total_users : mod_status.php
  • $totalRequests : administrator/modules/mod_privacy_dashboard/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php
  • $tparams : components/com_contact/views/contact/tmpl/default.php
  • $twofactormethods : finaliseconfirm.php , administrator/modules/mod_login/mod_login.php , protostar/offline.php , captive.php , system/offline.php , modules/mod_login/mod_login.php
  • $txtPackageSize : default_upload.php
  • $type : administrator/templates/hathor/html/com_modules/positions/modal.php , modules/mod_login/mod_login.php , administrator/components/com_modules/views/positions/tmpl/modal.php
  • $typeOfSpacer : components/com_users/layouts/joomla/form/renderfield.php , components/com_contact/layouts/joomla/form/renderfield.php
  • $ulTarget : components/com_media/views/media/tmpl/default_folders.php
  • $unread : mod_status.php
  • $upper_limit : components/com_search/views/search/tmpl/default_form.php , mod_search.php
  • $urgentRequestDate : administrator/components/com_privacy/views/requests/tmpl/default.php
  • $uri : administrator/templates/hathor/html/com_menus/menus/default.php , tmpl/vote.php , layouts/joomla/form/field/user.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/templates/isis/html/layouts/joomla/form/field/user.php
  • $url : administrator/templates/isis/html/layouts/joomla/form/field/media.php , mod_wrapper.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/archive/default_items.php , templates/protostar/html/layouts/joomla/form/field/media.php , templates/beez3/html/com_content/featured/default_item.php
  • $urls : components/com_content/views/article/tmpl/default_links.php , templates/beez3/html/com_content/article/default.php , components/com_content/views/article/tmpl/default.php , templates/beez3/html/com_content/article/default_links.php
  • $useDefList : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/featured/tmpl/default_item.php
  • $useftp : installation/view/summary/tmpl/default.php
  • $uselessMenuItem : components/com_modules/views/module/tmpl/edit_assignment.php
  • $user : administrator/templates/hathor/html/com_templates/templates/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/components/com_finder/views/filters/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , components/com_tags/views/tags/tmpl/default_items.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_cpanel/views/cpanel/tmpl/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , components/com_content/content.php , administrator/templates/hathor/html/com_messages/messages/default.php , details_doc.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , details_img.php , components/com_templates/views/style/tmpl/edit_assignment.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_media/media.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/isis/index.php , templates/protostar/error.php , administrator/components/com_privacy/views/consents/tmpl/default.php , details_imgs.php , administrator/modules/mod_menu/mod_menu.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , templates/hathor/html/com_templates/style/edit_assignment.php , administrator/templates/hathor/html/com_categories/categories/default.php , components/com_content/views/category/tmpl/blog_children.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , templates/beez3/html/com_content/article/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , details_up.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/components/com_media/views/images/tmpl/default.php , templates/beez3/html/com_weblinks/category/default_items.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , templates/protostar/index.php , components/com_content/views/category/tmpl/default_children.php , details_video.php , administrator/components/com_templates/views/styles/tmpl/default.php , templates/beez3/html/com_content/category/default_children.php , modules/mod_login/mod_login.php , administrator/components/com_users/views/levels/tmpl/default.php , components/com_config/view/templates/tmpl/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_users/groups/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/templates/hathor/html/com_menus/items/default.php , details_folder.php , administrator/templates/hathor/html/com_templates/style/edit.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/templates/isis/error.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , mod_status.php , administrator/components/com_privacy/views/requests/tmpl/default.php , components/com_tags/views/tag/tmpl/default_items.php , administrator/components/com_modules/modules.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , components/com_content/views/article/tmpl/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , templates/beez3/html/com_content/category/blog_children.php , administrator/components/com_messages/views/messages/tmpl/default.php
  • $userFieldGroups : components/com_contact/views/contact/tmpl/default_user_custom_fields.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php
  • $userId : administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/components/com_finder/views/filters/tmpl/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menus/default.php
  • $userRequired : administrator/components/com_users/views/users/tmpl/modal.php
  • $users : mod_logged.php
  • $usersConfig : default_login.php , modules/mod_login/tmpl/default.php
  • $UTF8_ar : vendor/joomla/string/src/phputf8/utf8.php
  • $UTF8_BAD : vendor/joomla/string/src/phputf8/utils/patterns.php
  • $UTF8_MATCH : vendor/joomla/string/src/phputf8/utils/patterns.php
  • $UTF8_VALID : vendor/joomla/string/src/phputf8/utils/patterns.php
  • $valBar1 : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $valBar2 : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $validate : advanced.php
  • $valMenu : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $value : plugins/fields/text/tmpl/text.php , plugins/fields/media/tmpl/media.php , com_fields/layouts/field/render.php , plugins/fields/color/tmpl/color.php , layouts/joomla/form/field/checkboxes.php , tmpl/usergrouplist.php , plugins/fields/integer/tmpl/integer.php , plugins/fields/editor/tmpl/editor.php , plugins/fields/radio/tmpl/radio.php , plugins/fields/url/tmpl/url.php , plugins/fields/sql/tmpl/sql.php , layouts/joomla/form/field/range.php , layouts/joomla/form/field/meter.php , layouts/joomla/form/field/number.php , plugins/fields/imagelist/tmpl/imagelist.php , plugins/fields/user/tmpl/user.php , plugins/fields/calendar/tmpl/calendar.php , plugins/fields/textarea/tmpl/textarea.php , com_contact/layouts/field/render.php
  • $valueClass : com_fields/layouts/field/render.php
  • $vendorDir : autoload_classmap.php , autoload_files.php , autoload_namespaces.php , autoload_psr4.php
  • $version : administrator/components/com_installer/views/languages/tmpl/default.php , administrator/templates/hathor/html/com_installer/languages/default.php , administrator/includes/framework.php , installation/view/languages/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , mod_version.php , includes/framework.php
  • $version1 : views/compare/tmpl/compare.php
  • $version2 : views/compare/tmpl/compare.php
  • $versionFields : layouts/stats.php
  • $view : modules/mod_articles_categories/tmpl/default_items.php , administrator/components/com_media/media.php , administrator/templates/isis/login.php , administrator/templates/isis/index.php , templates/protostar/error.php , administrator/templates/isis/error.php , templates/protostar/index.php
  • $width : mod_wrapper.php , templates/beez3/html/com_weblinks/category/default_items.php , mod_search.php , modules/mod_banners/tmpl/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- ( -

  • (!empty($buttons)) : section-byfieldsets.php , layouts/joomla/form/field/subform/repeatable/section.php , table/section-byfieldsets.php , layouts/joomla/form/field/subform/repeatable-table/section.php
  • (!empty($this->lead_items)) : components/com_content/views/category/tmpl/blog.php , components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/category/blog.php , templates/beez3/html/com_content/featured/default.php
  • ($child->numitems|| $this->params->get('show_empty_categories')||count($child->getChildren())) : templates/beez3/html/com_contact/category/default_children.php , templates/beez3/html/com_newsfeeds/category/default_children.php , templates/beez3/html/com_weblinks/category/default_children.php
  • ($clientId==1) : com_menus/views/items/tmpl/default_batch_body.php
  • ($displayData->get('form') ->getFieldset('jmetadata') as $field) : administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • ($displayData['active']) : layouts/joomla/pagination/link.php
  • ($fieldSets as $name=> $fieldSet) : administrator/templates/hathor/html/com_config/component/default.php
  • ($form->getFieldsets() as $fieldset) : table/section-byfieldsets.php
  • ($group as $item) : modules/mod_articles_category/tmpl/default.php
  • ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren())) : templates/beez3/html/com_contact/categories/default_items.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , templates/beez3/html/com_weblinks/categories/default_items.php
  • ($key !==$last_item_key) : modules/mod_breadcrumbs/tmpl/default.php
  • ($language->active) : modules/mod_languages/tmpl/default.php
  • ($list as $language) : templates/beez3/html/mod_languages/default.php
  • ($menuTypes as &$type) : components/com_modules/views/module/tmpl/edit_assignment.php , templates/hathor/html/com_templates/style/edit_assignment.php
  • ($object1 as $name=> $value) : views/compare/tmpl/compare.php
  • ($presentation_style==='sliders') : components/com_contact/views/contact/tmpl/default.php
  • ($presentation_style==='tabs') : components/com_contact/views/contact/tmpl/default.php
  • ($row->next) : plugins/content/pagenavigation/tmpl/default.php
  • ($row->prev) : plugins/content/pagenavigation/tmpl/default.php
  • ($showPageHeading=$this->params->get('show_page_heading')) : templates/beez3/html/com_content/category/default.php
  • ($subValue->value|| $newSubValue) : views/compare/tmpl/compare.php
  • ($this->contact->image) : encyclopedia.php
  • ($this->contentlangs as $contentlang) : administrator/components/com_languages/views/multilangstatus/tmpl/default.php
  • ($this->form->getFieldset($name) as $field) : templates/hathor/html/com_plugins/plugin/edit_options.php , templates/hathor/html/com_modules/module/edit_options.php
  • ($this->items as $i=> $item) : components/com_contact/views/featured/tmpl/default_items.php
  • ($this->items as $item) : administrator/templates/hathor/html/com_postinstall/messages/default.php
  • ($this->params->get('show_empty_categories')|| $child->numitems||count($child->getChildren())) : components/com_contact/views/category/tmpl/default_children.php
  • ($this->params->get('show_empty_categories_cat')|| $item->numitems||count($item->getChildren())) : components/com_content/views/categories/tmpl/default_items.php , components/com_contact/views/categories/tmpl/default_items.php
  • ($this->params->get('show_headings')) : templates/beez3/html/com_contact/category/default_items.php
  • ($this->state->folder !='') : details_up.php
  • (array_keys($toolbarPreset) as $presetName) : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • (count($list)) : administrator/modules/mod_latestactions/tmpl/default.php
  • (empty($displayData['print'])) : layouts/joomla/content/icons.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- _ -

  • __pad0__ : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/tracks/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , components/com_finder/views/search/tmpl/default.php , components/com_newsfeeds/views/category/tmpl/default_items.php , administrator/components/com_installer/views/install/tmpl/default.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , components/com_privacy/views/request/tmpl/default.php , components/com_search/views/search/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , components/com_users/views/login/tmpl/default_logout.php , default_core.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , components/com_wrapper/views/wrapper/tmpl/default.php , installation/view/install/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , installation/view/languages/tmpl/default.php , blog_style_default_item_title.php , administrator/components/com_installer/views/manage/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , modules/mod_articles_category/tmpl/default.php , _item.php , administrator/components/com_privacy/views/requests/tmpl/default.php , modules/mod_banners/tmpl/default.php , modules/mod_breadcrumbs/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , views/compare/tmpl/compare.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , modules/mod_languages/tmpl/default.php , modules/mod_login/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , cloud.php , modules/mod_tags_similar/tmpl/default.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_templates/views/template/tmpl/default.php , templates/beez3/error.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_config/view/component/tmpl/default.php , views/preview/tmpl/preview.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/modules/mod_latest/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/modules/mod_latestactions/tmpl/default.php , administrator/modules/mod_logged/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php , administrator/modules/mod_privacy_dashboard/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/modules/mod_submenu/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/components/com_modules/views/module/tmpl/edit.php , templates/tmpl/default_options.php , components/com_contact/views/category/tmpl/default_items.php , administrator/components/com_installer/views/database/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , components/com_contact/views/contact/tmpl/default_profile.php , components/com_contact/views/featured/tmpl/default_items.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/article/tmpl/default.php
  • __pad10__ : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , print_screen.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad11__ : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_content/articles/default.php , print_screen.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad12__ : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_content/articles/default.php , layouts/joomla/content/icons.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad13__ : administrator/templates/hathor/html/com_content/articles/default.php , layouts/joomla/content/info_block/associations.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad14__ : administrator/templates/hathor/html/com_content/articles/modal.php , author.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad15__ : administrator/templates/hathor/html/com_content/featured/default.php , intro_image.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad16__ : administrator/templates/hathor/html/com_content/featured/default.php , layouts/joomla/content/readmore.php , templates/beez3/html/com_content/category/default_articles.php
  • __pad17__ : administrator/templates/hathor/html/com_content/featured/default.php , layouts/joomla/edit/details.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad18__ : administrator/templates/hathor/html/com_contenthistory/history/modal.php , layouts/joomla/edit/details.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad19__ : administrator/templates/hathor/html/com_fields/fields/default.php , layouts/joomla/edit/details.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad1__ : administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_installer/views/install/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , components/com_modules/views/module/tmpl/edit_assignment.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/template/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/modules/mod_latest/tmpl/default.php , administrator/modules/mod_logged/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , components/com_contact/views/category/tmpl/default_items.php , components/com_contact/views/contact/tmpl/default_profile.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/category/tmpl/default_articles.php , components/com_content/views/featured/tmpl/default_item.php , components/com_finder/views/search/tmpl/default_form.php , components/com_search/views/search/tmpl/default.php , default_custom.php , components/com_wrapper/views/wrapper/tmpl/default.php , categories_default.php , modules/mod_articles_category/tmpl/default.php , modules/mod_breadcrumbs/tmpl/default.php , modules/mod_languages/tmpl/default.php , modules/mod_login/tmpl/default.php , modules/mod_tags_popular/tmpl/default.php , modules/mod_tags_similar/tmpl/default.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_contact/categories/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php
  • __pad20__ : administrator/templates/hathor/html/com_fields/fields/default.php , layouts/joomla/pagination/link.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad21__ : administrator/templates/hathor/html/com_fields/fields/default.php , layouts/joomla/searchtools/default/bar.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad22__ : administrator/templates/hathor/html/com_fields/groups/default.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad23__ : administrator/templates/hathor/html/com_fields/groups/default.php , templates/beez3/html/com_newsfeeds/categories/default.php
  • __pad24__ : administrator/templates/hathor/html/com_finder/filters/default.php , templates/beez3/html/com_newsfeeds/category/default_items.php
  • __pad25__ : administrator/templates/hathor/html/com_finder/maps/default.php , templates/beez3/html/com_weblinks/categories/default.php
  • __pad26__ : administrator/templates/hathor/html/com_installer/database/default.php , templates/beez3/html/com_weblinks/category/default_items.php
  • __pad27__ : administrator/templates/hathor/html/com_installer/discover/default.php , templates/beez3/html/com_weblinks/category/default_items.php
  • __pad28__ : administrator/templates/hathor/html/com_installer/update/default.php , templates/beez3/html/mod_languages/default.php
  • __pad29__ : templates/beez3/html/mod_languages/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • __pad2__ : modules/mod_articles_category/tmpl/default.php , components/com_content/views/category/tmpl/default_articles.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , default_preupdatecheck.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/template/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , components/com_contact/views/contact/tmpl/default_profile.php , com_search/views/search/tmpl/default_results.php , default_params.php , create.php , modules/mod_languages/tmpl/default.php , modules/mod_login/tmpl/default.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_contact/category/default_items.php , administrator/components/com_content/views/articles/tmpl/default.php
  • __pad30__ : administrator/templates/hathor/html/com_joomlaupdate/default/default.php , templates/beez3/html/mod_login/default.php
  • __pad31__ : administrator/templates/hathor/html/com_languages/languages/default.php , templates/beez3/html/mod_login/default_logout.php
  • __pad32__ : administrator/templates/hathor/html/com_languages/languages/default.php , templates/protostar/html/layouts/joomla/form/field/media.php
  • __pad33__ : administrator/templates/hathor/html/com_languages/languages/default.php
  • __pad34__ : administrator/templates/hathor/html/com_languages/languages/default.php
  • __pad35__ : administrator/templates/hathor/html/com_languages/overrides/default.php
  • __pad36__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad37__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad38__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad39__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad3__ : create.php , modules/mod_articles_category/tmpl/default.php , modules/mod_languages/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_contact/contact/default_profile.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/components/com_users/views/notes/tmpl/modal.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_categories/views/categories/tmpl/modal.php , modules/mod_login/tmpl/default_logout.php , administrator/components/com_content/views/featured/tmpl/default.php , default_update.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , components/com_users/views/profile/tmpl/edit.php
  • __pad40__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad41__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad42__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad43__ : administrator/templates/hathor/html/com_menus/menus/default.php
  • __pad44__ : administrator/templates/hathor/html/com_menus/menus/default.php
  • __pad45__ : administrator/templates/hathor/html/com_menus/menus/default.php
  • __pad46__ : administrator/templates/hathor/html/com_modules/module/edit.php
  • __pad47__ : templates/hathor/html/com_modules/module/edit_options.php
  • __pad48__ : administrator/templates/hathor/html/com_modules/modules/default.php
  • __pad49__ : administrator/templates/hathor/html/com_modules/modules/default.php
  • __pad4__ : modules/mod_articles_category/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/modal.php , templates/beez3/html/com_content/archive/default_items.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , modules/mod_languages/tmpl/default.php , layouts/joomla/content/icons/edit.php , administrator/components/com_content/views/featured/tmpl/default.php
  • __pad50__ : administrator/templates/hathor/html/com_modules/modules/default.php
  • __pad51__ : administrator/templates/hathor/html/com_modules/modules/default.php
  • __pad52__ : administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php
  • __pad53__ : administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php
  • __pad54__ : administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php
  • __pad55__ : administrator/templates/hathor/html/com_plugins/plugin/edit.php
  • __pad56__ : templates/hathor/html/com_plugins/plugin/edit_options.php
  • __pad57__ : administrator/templates/hathor/html/com_plugins/plugins/default.php
  • __pad58__ : administrator/templates/hathor/html/com_plugins/plugins/default.php
  • __pad59__ : administrator/templates/hathor/html/com_postinstall/messages/default.php
  • __pad5__ : administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , edit_lock.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , templates/beez3/html/com_content/archive/default_items.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php
  • __pad60__ : administrator/templates/hathor/html/com_postinstall/messages/default.php
  • __pad61__ : administrator/templates/hathor/html/com_redirect/links/default.php
  • __pad62__ : administrator/templates/hathor/html/com_search/searches/default.php
  • __pad63__ : administrator/templates/hathor/html/com_tags/tags/default.php
  • __pad64__ : administrator/templates/hathor/html/com_templates/style/edit.php
  • __pad65__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad66__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad67__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad68__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad69__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad6__ : layouts/joomla/content/icons/email.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , templates/beez3/html/com_content/archive/default_items.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php
  • __pad70__ : administrator/templates/hathor/html/com_users/debuggroup/default.php
  • __pad71__ : administrator/templates/hathor/html/com_users/debuguser/default.php
  • __pad72__ : administrator/templates/hathor/html/com_users/levels/default.php
  • __pad73__ : administrator/templates/hathor/html/com_users/levels/default.php
  • __pad74__ : administrator/templates/hathor/html/com_users/notes/default.php
  • __pad75__ : administrator/templates/hathor/html/com_users/notes/default.php
  • __pad76__ : administrator/templates/hathor/html/com_users/notes/default.php
  • __pad77__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad78__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad79__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad7__ : administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/archive/default_items.php , administrator/templates/hathor/html/com_categories/categories/default.php , layouts/joomla/content/icons/email.php , administrator/components/com_menus/views/items/tmpl/modal.php
  • __pad80__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad81__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad82__ : administrator/templates/hathor/html/com_weblinks/weblinks/default.php
  • __pad83__ : administrator/templates/hathor/html/com_weblinks/weblinks/default.php
  • __pad84__ : administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • __pad85__ : administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • __pad86__ : administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • __pad87__ : administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php
  • __pad88__ : administrator/templates/isis/html/layouts/joomla/form/field/media.php
  • __pad89__ : administrator/templates/isis/html/layouts/joomla/pagination/link.php
  • __pad8__ : templates/beez3/html/com_content/article/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , print_popup.php , administrator/components/com_menus/views/items/tmpl/modal.php , plugins/installer/packageinstaller/tmpl/default.php
  • __pad90__ : administrator/templates/isis/index.php
  • __pad91__ : administrator/templates/isis/login.php
  • __pad9__ : plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , print_popup.php , templates/beez3/html/com_content/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php
  • _AKEEBA_RESTORATION : restore.php
  • _JEXEC : update_cron.php , finder_indexer.php , garbagecron.php , installation/index.php , deletefiles.php , sessionMetadataGc.php , index.php , bin/keychain.php , administrator/index.php , sessionGc.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- a -

  • a : administrator/templates/isis/error.php , templates/protostar/error.php
  • actions : plugins/installer/packageinstaller/tmpl/default.php
  • admin_postinstall_addnosniff_condition() : addnosniff.php
  • admin_postinstall_behindproxy_condition() : behindproxy.php
  • admin_postinstall_eaccelerator_action() : eaccelerator.php
  • admin_postinstall_eaccelerator_condition() : eaccelerator.php
  • admin_postinstall_htaccess_condition() : htaccess.php
  • admin_postinstall_htaccesssvg_condition() : htaccesssvg.php
  • admin_postinstall_joomla40checks_condition() : joomla40checks.php
  • admin_postinstall_languageaccess340_condition() : languageaccess340.php
  • admin_postinstall_statscollection_condition() : statscollection.php
  • admin_postinstall_textfilter3919_condition() : textfilter3919.php
  • admin_postinstall_updatedefaultsettings_condition() : updatedefaultsettings.php
  • AK_STATE_DATA : restore.php
  • AK_STATE_DATAREAD : restore.php
  • AK_STATE_DONE : restore.php
  • AK_STATE_HEADER : restore.php
  • AK_STATE_NOFILE : restore.php
  • AK_STATE_POSTPROC : restore.php
  • align : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • alltext : administrator/components/com_modules/views/preview/tmpl/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- b -

  • background : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • bannersBuildRoute() : components/com_banners/router.php
  • bannersParseRoute() : components/com_banners/router.php
  • bar : plugins/installer/packageinstaller/tmpl/default.php
  • baseUrl : com_finder/views/search/tmpl/default_results.php
  • behindproxy_postinstall_action() : behindproxy.php
  • block : administrator/templates/hathor/html/com_users/users/default.php , administrator/components/com_users/views/users/tmpl/default.php
  • break : components/com_contact/views/contact/tmpl/default_profile.php , default_preupdatecheck.php , templates/beez3/html/com_contact/contact/default_profile.php
  • button : plugins/installer/packageinstaller/tmpl/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- c -

  • cachemode : mod_articles_categories.php , mod_articles_category.php , mod_tags_popular.php , mod_tags_similar.php , mod_related_items.php
  • cat_link : administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php
  • catch : administrator/components/com_config/models/application.php , administrator/components/com_config/models/component.php
  • category : components/com_newsfeeds/views/category/tmpl/default_children.php , templates/beez3/html/com_contact/category/default_children.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_newsfeeds/category/default_children.php , templates/beez3/html/com_weblinks/category/default_children.php , components/com_contact/views/category/tmpl/default_children.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php
  • children : components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php
  • code : administrator/components/com_installer/views/languages/tmpl/default.php , installation/view/languages/tmpl/default.php
  • color : plugins/installer/packageinstaller/tmpl/default.php
  • colorIsLight() : administrator/templates/isis/index.php , administrator/templates/isis/login.php
  • column : administrator/templates/hathor/html/com_templates/template/default.php
  • COM_MEDIA_BASE : administrator/components/com_media/media.php
  • COM_MEDIA_BASEURL : administrator/components/com_media/media.php
  • COM_MENUS_TYPE_CHOOSE : administrator/templates/hathor/html/com_menus/menutypes/default.php
  • COM_TAGS_NO_TAGS : components/com_tags/views/tags/tmpl/default_items.php
  • composerRequirec14bde14f8c86840049f5c1809c453dd() : autoload_real.php
  • configFieldsets : administrator/components/com_content/views/article/tmpl/edit.php
  • ContactBuildRoute() : components/com_contact/router.php
  • ContactParseRoute() : components/com_contact/router.php
  • content : administrator/modules/mod_custom/mod_custom.php
  • contentBuildRoute() : components/com_content/router.php
  • contentParseRoute() : components/com_content/router.php
  • CSS : plugins/installer/packageinstaller/tmpl/default.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- d -

  • debugMsg() : restore.php
  • decode_utf8() : transcode_wrapper.php
  • description : components/com_config/view/application/tmpl/default_permissions.php , templates/beez3/html/com_contact/categories/default.php , templates/beez3/html/com_weblinks/categories/default.php , templates/beez3/html/com_newsfeeds/categories/default.php , templates/beez3/html/com_content/categories/default.php , components/com_content/views/category/tmpl/blog.php , category_default.php , categories_default.php , components/com_config/view/application/tmpl/default_filters.php
  • DIRECTORY_SEPARATOR : restore.php
  • DO_PEDANTIC_TEST : autoload-pedantic.php
  • dragZone : plugins/installer/packageinstaller/tmpl/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- e -

  • edit : templates/beez3/html/com_content/category/default_articles.php
  • else : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_cache/views/cache/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/com_finder/filters/default.php , plugins/fields/integer/tmpl/integer.php , templates/beez3/html/com_contact/category/default_items.php , administrator/templates/hathor/html/com_finder/index/default.php , templates/beez3/html/com_contact/contact/default_form.php , templates/beez3/html/com_contact/contact/default_profile.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , templates/beez3/html/com_content/archive/default.php , templates/beez3/html/com_content/archive/default_items.php , administrator/templates/hathor/html/com_installer/database/default.php , templates/beez3/html/com_content/category/default_articles.php , templates/beez3/html/com_newsfeeds/category/default_items.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , administrator/templates/hathor/html/com_installer/discover/default.php , templates/beez3/html/com_weblinks/category/default_items.php , templates/protostar/error.php , administrator/templates/hathor/html/com_installer/manage/default.php , templates/protostar/index.php , protostar/offline.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_installer/warnings/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_installer/views/warnings/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/templates/hathor/html/com_messages/messages/default.php , administrator/templates/hathor/html/com_modules/module/edit.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , components/com_templates/views/template/tmpl/default_tree.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , templates/hathor/html/com_templates/template/default_tree.php , administrator/templates/hathor/html/com_templates/templates/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/debuguser/default.php , administrator/components/com_installer/views/database/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/templates/hathor/html/com_users/user/edit.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php , administrator/components/com_banners/views/tracks/tmpl/default.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , administrator/includes/framework.php , administrator/templates/hathor/index.php , administrator/templates/hathor/login.php , administrator/modules/mod_feed/tmpl/default.php , administrator/templates/isis/error.php , administrator/templates/isis/html/layouts/joomla/pagination/link.php , edit_container.php , default_submenu.php , com_contact/layouts/fields/render.php , components/com_contact/views/category/tmpl/default_items.php , mod_status.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_articles.php , administrator/components/com_installer/views/install/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/modules/mod_submenu/tmpl/default.php , components/com_content/views/category/tmpl/default_children.php , com_fields/layouts/fields/render.php , administrator/templates/hathor/component.php , components/com_newsfeeds/views/category/tmpl/default_items.php , components/com_newsfeeds/views/newsfeed/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , templates/hathor/cpanel.php , components/com_users/views/login/tmpl/default.php , components/com_users/views/profile/tmpl/edit.php , administrator/templates/hathor/html/com_admin/profile/edit.php , includes/framework.php , layouts/joomla/content/icons/edit.php , administrator/components/com_config/view/component/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/templates/hathor/html/com_banners/banners/default.php , layouts/joomla/content/language.php , layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/com_banners/clients/default.php , advanced.php , layouts/joomla/form/field/media.php , components/com_modules/views/module/tmpl/edit_assignment.php , administrator/templates/hathor/html/com_banners/tracks/default.php , layouts/joomla/form/field/number.php , repeatable-table.php , administrator/templates/hathor/html/com_cache/cache/default.php , main.php , layouts/joomla/pagination/link.php , administrator/components/com_installer/views/manage/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/templates/hathor/html/com_cache/purge/default.php , system/privacyconsent/label.php , user/terms/label.php , administrator/templates/hathor/html/com_contact/contacts/default.php , paragonie/sodium_compat/autoload.php , modules/mod_feed/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/templates/hathor/html/com_content/articles/default.php , mod_footer.php , modules/mod_search/tmpl/default.php , administrator/templates/hathor/html/com_content/featured/default.php , modules/mod_syndicate/tmpl/default.php , cloud.php
  • elseif : administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_menus/layouts/joomla/searchtools/default/bar.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , layouts/joomla/content/readmore.php , paragonie/sodium_compat/autoload.php , modules/mod_articles_category/tmpl/default.php , modules/mod_breadcrumbs/tmpl/default.php , modules/mod_finder/tmpl/default.php , default_component.php , default_url.php
  • eName : administrator/components/com_content/views/article/tmpl/pagebreak.php
  • encode_utf8() : transcode_wrapper.php
  • endfor : horizontal.php , vertical.php
  • endforeach : administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/modal.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/modules/mod_latest/tmpl/default.php , administrator/modules/mod_latestactions/tmpl/default.php , administrator/modules/mod_logged/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php , administrator/modules/mod_privacy_dashboard/tmpl/default.php , administrator/modules/mod_submenu/tmpl/default.php , administrator/templates/hathor/html/com_admin/help/default.php , administrator/templates/hathor/html/com_admin/profile/edit.php , templates/hathor/html/com_admin/sysinfo/default_config.php , templates/hathor/html/com_admin/sysinfo/default_directory.php , administrator/templates/hathor/html/com_banners/banner/edit.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/client/edit.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_banners/download/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_categories/category/edit.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , templates/hathor/html/com_config/application/default_cache.php , templates/hathor/html/com_config/application/default_cookie.php , templates/hathor/html/com_config/application/default_database.php , templates/hathor/html/com_config/application/default_debug.php , templates/hathor/html/com_config/application/default_filters.php , templates/hathor/html/com_config/application/default_ftp.php , templates/hathor/html/com_config/application/default_locale.php , administrator/templates/hathor/html/com_config/application/default_metadata.php , templates/hathor/html/com_config/application/default_permissions.php , administrator/templates/hathor/html/com_config/application/default_seo.php , templates/hathor/html/com_config/application/default_server.php , templates/hathor/html/com_config/application/default_session.php , administrator/templates/hathor/html/com_config/application/default_site.php , templates/hathor/html/com_config/application/default_system.php , administrator/templates/hathor/html/com_config/component/default.php , administrator/templates/hathor/html/com_contact/contact/edit.php , templates/hathor/html/com_contact/contact/edit_params.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_installer/database/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , templates/hathor/html/com_menus/item/edit_options.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_menus/menutypes/default.php , administrator/templates/hathor/html/com_messages/messages/default.php , templates/hathor/html/com_modules/module/edit_options.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_modules/positions/modal.php , templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , templates/hathor/html/com_plugins/plugin/edit_options.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_search/searches/default.php , templates/hathor/html/com_tags/tag/edit_metadata.php , templates/hathor/html/com_tags/tag/edit_options.php , logstable.php , administrator/templates/hathor/html/com_tags/tags/default.php , templates/hathor/html/com_templates/style/edit_assignment.php , administrator/components/com_admin/views/help/tmpl/default.php , templates/hathor/html/com_templates/style/edit_options.php , templates/hathor/html/com_templates/template/default_folders.php , components/com_admin/views/sysinfo/tmpl/default_config.php , templates/hathor/html/com_templates/template/default_tree.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , components/com_admin/views/sysinfo/tmpl/default_directory.php , administrator/templates/hathor/html/com_users/debuguser/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/templates/hathor/html/com_users/user/edit.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/hathor/html/com_users/users/modal.php , administrator/components/com_banners/views/clients/tmpl/default.php , templates/hathor/html/com_weblinks/weblink/edit_params.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/components/com_banners/views/download/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php , administrator/templates/hathor/html/layouts/joomla/edit/metadata.php , administrator/components/com_banners/views/tracks/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php , administrator/templates/isis/error.php , administrator/components/com_cache/views/cache/tmpl/default.php , templates/isis/html/com_media/medialist/thumbs_folders.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php , administrator/templates/isis/html/layouts/joomla/system/message.php , administrator/components/com_categories/views/categories/tmpl/modal.php , components/com_config/view/config/tmpl/default_metadata.php , components/com_config/view/config/tmpl/default_seo.php , com_categories/views/category/tmpl/modal_options.php , components/com_config/view/config/tmpl/default_site.php , modules/tmpl/default_options.php , components/com_config/view/application/tmpl/default_navigation.php , templates/tmpl/default_options.php , components/com_contact/views/categories/tmpl/default_items.php , administrator/components/com_config/view/component/tmpl/default.php , components/com_contact/views/category/tmpl/default_children.php , components/com_contact/views/category/tmpl/default_items.php , components/com_config/view/component/tmpl/default_navigation.php , components/com_contact/views/contact/tmpl/default_articles.php , components/com_contact/views/contact/tmpl/default_form.php , components/com_contact/views/contact/tmpl/edit_params.php , components/com_contact/views/contact/tmpl/default_links.php , components/com_contact/views/contact/tmpl/default_profile.php , com_contact/views/contact/tmpl/modal_params.php , components/com_contact/views/contact/tmpl/default_user_custom_fields.php , components/com_contact/views/featured/tmpl/default_items.php , administrator/components/com_contact/views/contacts/tmpl/default.php , components/com_content/views/article/tmpl/default_links.php , components/com_content/views/categories/tmpl/default_items.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , components/com_content/views/category/tmpl/blog.php , components/com_content/views/category/tmpl/blog_children.php , administrator/components/com_content/views/articles/tmpl/default.php , components/com_content/views/category/tmpl/blog_links.php , components/com_content/views/category/tmpl/default_articles.php , administrator/components/com_content/views/articles/tmpl/modal.php , components/com_content/views/category/tmpl/default_children.php , components/com_content/views/featured/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , components/com_content/views/featured/tmpl/default_links.php , com_finder/views/search/tmpl/default_results.php , views/compare/tmpl/compare.php , components/com_mailto/views/mailto/tmpl/default.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , components/com_newsfeeds/views/category/tmpl/default_children.php , components/com_newsfeeds/views/category/tmpl/default_items.php , views/preview/tmpl/preview.php , components/com_privacy/views/confirm/tmpl/default.php , components/com_privacy/views/remind/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , components/com_privacy/views/request/tmpl/default.php , components/com_search/views/search/tmpl/default_form.php , administrator/components/com_fields/views/groups/tmpl/default.php , com_search/views/search/tmpl/default_results.php , components/com_tags/views/tags/tmpl/default_items.php , administrator/components/com_finder/views/statistics/tmpl/default.php , default_custom.php , default_params.php , administrator/components/com_installer/views/database/tmpl/default.php , components/com_users/views/profile/tmpl/edit.php , components/com_users/views/registration/tmpl/default.php , administrator/components/com_installer/views/discover/tmpl/default.php , components/com_users/views/remind/tmpl/default.php , components/com_users/views/reset/tmpl/complete.php , administrator/components/com_installer/views/install/tmpl/default.php , components/com_users/views/reset/tmpl/confirm.php , components/com_users/views/reset/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , installation/view/install/tmpl/default.php , installation/view/languages/tmpl/default.php , administrator/components/com_installer/views/manage/tmpl/default.php , installation/view/preinstall/tmpl/default.php , installation/view/summary/tmpl/default.php , administrator/components/com_installer/views/update/tmpl/default.php , layouts/joomla/content/associations.php , blog_style_default_links.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , layouts/joomla/content/info_block/associations.php , options_default.php , administrator/components/com_installer/views/warnings/tmpl/default.php , layouts/joomla/content/tags.php , text_filters.php , default_preupdatecheck.php , layouts/joomla/edit/metadata.php , editors/buttons.php , default_update.php , layouts/joomla/form/field/checkboxes.php , simple.php , default_upload.php , layouts/joomla/form/field/subform/default.php , section-byfieldsets.php , administrator/components/com_languages/views/installed/tmpl/default.php , layouts/joomla/form/field/subform/repeatable/section.php , table/section-byfieldsets.php , administrator/components/com_languages/views/languages/tmpl/default.php , layouts/joomla/form/field/subform/repeatable-table/section.php , layouts/joomla/form/field/subform/repeatable.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , layouts/joomla/form/field/text.php , layouts/joomla/pagination/links.php , administrator/components/com_languages/views/overrides/tmpl/default.php , layouts/joomla/pagination/list.php , layouts/joomla/searchtools/default/filters.php , components/com_media/views/media/tmpl/default_folders.php , layouts/joomla/searchtools/default/list.php , layouts/joomla/system/message.php , details_docs.php , setoptions.php , layouts/plugins/editors/tinymce/field/tinymcebuilder.php , details_folders.php , modules/mod_articles_archive/tmpl/default.php , modules/mod_articles_category/tmpl/default.php , details_imgs.php , modules/mod_articles_latest/tmpl/default.php , modules/mod_articles_news/tmpl/default.php , details_videos.php , modules/mod_articles_popular/tmpl/default.php , modules/mod_breadcrumbs/tmpl/default.php , thumbs_docs.php , modules/mod_languages/tmpl/default.php , modules/mod_related_items/tmpl/default.php , components/com_media/views/medialist/tmpl/thumbs_folders.php , modules/mod_stats/tmpl/default.php , cloud.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , modules/mod_tags_popular/tmpl/default.php , modules/mod_tags_similar/tmpl/default.php , thumbs_videos.php , modules/mod_users_latest/tmpl/default.php , modules/mod_whosonline/tmpl/default.php , edit_container.php , toc.php , layouts/stats.php , components/com_menus/views/item/tmpl/edit_options.php , templates/beez3/error.php , templates/beez3/html/com_contact/categories/default_items.php , com_menus/views/item/tmpl/modal_options.php , templates/beez3/html/com_contact/category/default_children.php , templates/beez3/html/com_contact/category/default_items.php , administrator/components/com_menus/views/items/tmpl/default.php , templates/beez3/html/com_contact/contact/default_articles.php , templates/beez3/html/com_contact/contact/default_form.php , administrator/components/com_menus/views/items/tmpl/modal.php , templates/beez3/html/com_contact/contact/default_links.php , templates/beez3/html/com_contact/contact/default_profile.php , administrator/components/com_menus/views/menus/tmpl/default.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php , templates/beez3/html/com_content/archive/default_items.php , administrator/components/com_menus/views/menutypes/tmpl/default.php , templates/beez3/html/com_content/article/default_links.php , templates/beez3/html/com_content/categories/default_items.php , components/com_modules/views/module/tmpl/edit_assignment.php , templates/beez3/html/com_content/category/blog.php , templates/beez3/html/com_content/category/blog_children.php , components/com_modules/views/module/tmpl/edit_options.php , templates/beez3/html/com_content/category/blog_links.php , templates/beez3/html/com_content/category/default_articles.php , administrator/components/com_modules/views/modules/tmpl/default.php , templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_content/featured/default.php , administrator/components/com_modules/views/modules/tmpl/modal.php , templates/beez3/html/com_content/featured/default_links.php , templates/protostar/html/layouts/joomla/system/message.php , templates/beez3/html/mod_languages/default.php , templates/beez3/html/mod_breadcrumbs/default.php , templates/beez3/html/com_content/form/edit.php , templates/beez3/html/com_weblinks/category/default_items.php , templates/beez3/html/com_weblinks/category/default_children.php , administrator/components/com_modules/views/positions/tmpl/modal.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , templates/beez3/html/com_newsfeeds/category/default_children.php , administrator/components/com_modules/views/select/tmpl/default.php , templates/beez3/html/com_newsfeeds/category/default_items.php , templates/beez3/html/com_weblinks/categories/default_items.php , components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php , com_newsfeeds/views/newsfeed/tmpl/modal_params.php , templates/beez3/html/layouts/joomla/system/message.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , components/com_tags/views/tag/tmpl/edit_metadata.php , components/com_tags/views/tag/tmpl/edit_options.php , administrator/components/com_tags/views/tags/tmpl/default.php , components/com_templates/views/style/tmpl/edit_assignment.php , components/com_templates/views/style/tmpl/edit_options.php , components/com_templates/views/template/tmpl/default_folders.php , components/com_templates/views/template/tmpl/default_tree.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php
  • endif : components/com_templates/views/template/tmpl/default_tree.php , administrator/templates/hathor/html/com_users/notes/default.php , layouts/joomla/form/field/user.php , layouts/joomla/modal/header.php , components/com_contact/views/contact/tmpl/default_articles.php , components/com_content/views/featured/tmpl/default.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , layouts/joomla/searchtools/default/bar.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , components/com_tags/views/tag/tmpl/default.php , layouts/joomla/pagination/links.php , administrator/components/com_installer/views/manage/tmpl/default.php , details_folders.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , layouts/joomla/searchtools/default.php , thumbs_docs.php , components/com_users/views/reset/tmpl/default.php , layouts/joomla/searchtools/default/list.php , administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/components/com_menus/views/item/tmpl/edit.php , edit_container.php , com_menus/views/item/tmpl/modal_options.php , _item.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_menus/views/menu/tmpl/edit.php , modules/mod_articles_category/tmpl/default.php , default_preupdatecheck.php , administrator/components/com_modules/views/modules/tmpl/default.php , com_modules/views/modules/tmpl/default_batch_body.php , administrator/components/com_modules/views/positions/tmpl/modal.php , modules/mod_finder/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , com_newsfeeds/views/newsfeeds/tmpl/default_batch_body.php , modules/mod_breadcrumbs/tmpl/default.php , modules/mod_languages/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , modules/mod_random_image/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , modules/mod_login/tmpl/default_logout.php , modules/mod_syndicate/tmpl/default.php , components/com_templates/views/style/tmpl/edit_assignment.php , components/com_templates/views/style/tmpl/edit_options.php , components/com_templates/views/template/tmpl/default_folders.php , modules/mod_tags_popular/tmpl/default.php , section-byfieldsets.php , layouts/joomla/system/message.php , cloud.php , components/com_newsfeeds/views/category/tmpl/default.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/modules/mod_feed/tmpl/default.php , rating.php , administrator/modules/mod_logged/tmpl/default.php , administrator/modules/mod_login/tmpl/default.php , plugins/content/pagenavigation/tmpl/default.php , templates/beez3/error.php , administrator/modules/mod_title/tmpl/default.php , administrator/modules/mod_version/tmpl/default.php , administrator/templates/hathor/html/com_admin/profile/edit.php , templates/beez3/html/com_contact/categories/default_items.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , templates/beez3/html/com_contact/categories/default.php , templates/beez3/html/com_contact/category/default.php , templates/hathor/html/com_config/application/default_ftplogin.php , administrator/templates/hathor/html/com_config/component/default.php , templates/hathor/html/com_contact/contact/edit_params.php , templates/beez3/html/com_contact/contact/default.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_content/articles/default.php , templates/beez3/html/com_contact/category/default_items.php , templates/beez3/html/com_contact/contact/default_address.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/index/default.php , templates/beez3/html/com_contact/contact/default_form.php , templates/hathor/html/com_installer/default/default_ftp.php , navigation.php , templates/beez3/html/com_contact/contact/default_articles.php , templates/beez3/html/com_contact/contact/default_links.php , administrator/templates/hathor/html/com_languages/installed/default.php , templates/hathor/html/com_languages/installed/default_ftp.php , administrator/templates/hathor/html/com_languages/overrides/default.php , templates/beez3/html/com_content/archive/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menu/edit.php , encyclopedia.php , templates/beez3/html/com_content/archive/default_items.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , templates/beez3/html/com_content/article/default_links.php , templates/hathor/html/com_plugins/plugin/edit_options.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/categories/default.php , templates/hathor/html/com_tags/tag/edit_metadata.php , templates/hathor/html/com_tags/tag/edit_options.php , default_error.php , templates/beez3/html/com_content/category/blog_children.php , templates/hathor/html/com_templates/style/edit_options.php , templates/beez3/html/com_content/category/blog.php , components/com_search/views/search/tmpl/default_form.php , templates/beez3/html/com_content/category/blog_item.php , administrator/templates/hathor/html/com_users/debuguser/default.php , templates/beez3/html/com_contact/contact/default_profile.php , modules/mod_whosonline/tmpl/default.php , templates/beez3/html/com_content/category/default_articles.php , components/com_privacy/views/request/tmpl/default.php , templates/beez3/html/com_content/category/default.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_content/category/default_children.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php , default_login.php , components/com_users/layouts/joomla/form/renderfield.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , administrator/templates/hathor/html/mod_quickicon/default.php , templates/beez3/html/com_newsfeeds/categories/default.php , components/com_users/views/login/tmpl/default_logout.php , templates/beez3/html/com_newsfeeds/category/default.php , administrator/templates/isis/html/layouts/joomla/form/field/media.php , default_custom.php , default_core.php , templates/beez3/html/com_newsfeeds/category/default_items.php , components/com_tags/views/tags/tmpl/default.php , templates/beez3/html/com_newsfeeds/category/default_children.php , templates/beez3/html/com_content/form/edit.php , templates/beez3/html/com_weblinks/categories/default.php , administrator/templates/system/error.php , components/com_users/views/registration/tmpl/default.php , components/com_users/views/registration/tmpl/complete.php , templates/beez3/html/com_weblinks/category/default_children.php , com_contact/layouts/field/render.php , templates/beez3/html/com_weblinks/category/default.php , components/com_users/views/remind/tmpl/default.php , templates/beez3/html/com_weblinks/category/default_items.php , components/com_contact/views/category/tmpl/default_items.php , templates/beez3/html/com_content/featured/default_item.php , components/com_users/views/reset/tmpl/confirm.php , templates/beez3/html/layouts/joomla/system/message.php , default_params.php , templates/beez3/html/com_weblinks/form/edit.php , templates/beez3/html/com_weblinks/categories/default_items.php , templates/beez3/html/mod_languages/default.php , components/com_contact/views/featured/tmpl/default.php , templates/beez3/html/mod_login/default.php , templates/beez3/html/com_content/featured/default.php , templates/protostar/error.php , components/com_content/views/article/tmpl/default.php , templates/beez3/index.php , templates/beez3/html/mod_login/default_logout.php , templates/protostar/html/layouts/joomla/form/field/media.php , components/com_content/views/category/tmpl/blog_children.php , templates/protostar/index.php , templates/protostar/html/layouts/joomla/system/message.php , protostar/offline.php , components/com_wrapper/views/wrapper/tmpl/default.php , system/offline.php , templates/system/error.php , thumbs_up.php , components/com_finder/views/search/tmpl/default.php , details_videos.php , details_up.php , details_img.php , components/com_mailto/views/mailto/tmpl/default.php , details_doc.php , components/com_media/views/media/tmpl/default_folders.php , administrator/components/com_media/views/media/tmpl/default.php , components/com_newsfeeds/views/newsfeed/tmpl/default.php , default_update.php , finaliseconfirm.php , components/com_newsfeeds/views/category/tmpl/default_children.php , administrator/components/com_languages/views/installed/tmpl/default.php , components/com_newsfeeds/views/category/tmpl/default_items.php , components/com_content/views/featured/tmpl/default_item.php , default_result.php , components/com_installer/views/default/tmpl/default_ftp.php , installation/view/summary/tmpl/default.php , installation/view/preinstall/tmpl/default.php , layouts/joomla/content/associations.php , views/preview/tmpl/preview.php , categories_default.php , blog_style_default_item_title.php , category_default.php , layouts/joomla/content/icons.php , layouts/joomla/content/icons/edit.php , create.php , edit_lock.php , installation/view/install/tmpl/default.php , print_popup.php , layouts/joomla/content/icons/email.php , administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/modal.php , info_block.php , author.php , intro_image.php , com_banners/views/banners/tmpl/default_batch_body.php , administrator/components/com_banners/views/banners/tmpl/default.php , options_default.php , layouts/joomla/content/info_block/associations.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , com_categories/views/category/tmpl/modal_options.php , administrator/components/com_config/view/component/tmpl/default.php , com_contact/views/contact/tmpl/modal_params.php , com_contact/views/contacts/tmpl/default_batch_body.php , com_finder/views/search/tmpl/default_results.php , views/compare/tmpl/compare.php , administrator/components/com_cpanel/views/cpanel/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , default_message.php , administrator/components/com_installer/views/install/tmpl/default.php , layouts/joomla/form/renderfield.php , default_nodownload.php , table/section-byfieldsets.php , captive.php , administrator/components/com_languages/views/languages/tmpl/default.php , components/com_content/views/form/tmpl/edit.php , layouts/joomla/searchtools/default/filters.php , details_folder.php , details_imgs.php , layouts/joomla/form/field/subform/repeatable/section.php , sort.php , administrator/components/com_menus/layouts/joomla/searchtools/default.php , components/com_menus/views/item/tmpl/edit_options.php , com_menus/views/items/tmpl/default_batch_footer.php , modules/mod_banners/tmpl/default.php , components/com_modules/views/module/tmpl/edit_options.php , administrator/components/com_modules/views/modules/tmpl/modal.php , com_newsfeeds/views/newsfeed/tmpl/modal_params.php , modules/mod_articles_archive/tmpl/default.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_redirect/views/link/tmpl/edit.php , components/com_tags/views/tag/tmpl/edit_metadata.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/components/com_templates/views/styles/tmpl/default.php , installation/view/complete/tmpl/default.php , modules/mod_tags_similar/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/modal.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/modules/mod_latestactions/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php , administrator/modules/mod_submenu/tmpl/default.php , administrator/templates/hathor/error.php , administrator/templates/hathor/html/com_banners/client/edit.php , toc.php , administrator/templates/hathor/html/com_config/application/default.php , administrator/templates/hathor/html/com_contact/contact/edit.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_cpanel/cpanel/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_installer/database/default.php , templates/beez3/html/com_contact/category/default_children.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , templates/hathor/html/com_menus/item/edit_options.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php , administrator/templates/hathor/html/com_plugins/plugin/edit.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php , administrator/templates/hathor/html/com_tags/tag/edit.php , administrator/templates/hathor/html/com_tags/tags/default.php , templates/hathor/html/com_templates/style/edit_assignment.php , components/com_search/views/search/tmpl/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/levels/default.php , components/com_privacy/views/remind/tmpl/default.php , com_search/views/search/tmpl/default_results.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/templates/hathor/html/layouts/joomla/edit/metadata.php , administrator/templates/hathor/html/mod_login/default.php , components/com_tags/views/tags/tmpl/default_items.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , administrator/templates/isis/html/layouts/joomla/form/field/user.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php , components/com_users/views/profile/tmpl/default.php , administrator/templates/isis/login.php , components/com_config/view/modules/tmpl/default.php , templates/tmpl/default_options.php , components/com_users/views/profile/tmpl/edit.php , components/com_contact/views/category/tmpl/default_children.php , components/com_contact/views/contact/tmpl/default.php , components/com_tags/views/tag/tmpl/list.php , components/com_users/views/reset/tmpl/complete.php , components/com_contact/views/contact/tmpl/default_user_custom_fields.php , components/com_contact/views/featured/tmpl/default_items.php , components/com_content/views/archive/tmpl/default_items.php , modules/mod_users_latest/tmpl/default.php , components/com_content/views/category/tmpl/blog.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/category/tmpl/default_children.php , components/com_finder/views/search/tmpl/default_form.php , com_fields/layouts/field/render.php , components/com_contact/views/contact/tmpl/default_form.php , components/com_content/views/article/tmpl/default_links.php , components/com_content/views/category/tmpl/default_articles.php , templates/protostar/html/layouts/joomla/form/field/user.php , components/com_content/views/categories/tmpl/default_items.php , components/com_contact/views/contact/tmpl/default_links.php , components/com_content/views/archive/tmpl/default.php , layouts/joomla/form/field/subform/repeatable-table/section.php , administrator/components/com_installer/views/database/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , installation/view/languages/tmpl/default.php , layouts/joomla/editors/buttons/button.php , installation/view/defaultlanguage/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , print_screen.php , layouts/joomla/edit/details.php , com_categories/views/categories/tmpl/default_batch_body.php , administrator/components/com_banners/views/tracks/tmpl/default.php , layouts/joomla/content/tags.php , administrator/components/com_associations/layouts/joomla/searchtools/default/bar.php , administrator/components/com_cache/views/cache/tmpl/default.php , components/com_config/view/application/tmpl/default_navigation.php , text_filters.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_installer/views/discover/tmpl/default_item.php , administrator/components/com_installer/views/warnings/tmpl/default.php , default_upload.php , administrator/components/com_media/views/medialist/tmpl/details.php , details_docs.php , layouts/joomla/pagination/link.php , thumbs_videos.php , administrator/components/com_menus/views/menus/tmpl/default.php , components/com_modules/views/module/tmpl/edit_assignment.php , components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , modules/mod_login/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/modules/mod_latest/tmpl/default.php , administrator/modules/mod_quickicon/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_menus/item/edit.php , templates/hathor/html/com_modules/module/edit_options.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , administrator/templates/hathor/html/com_search/searches/default.php , administrator/templates/hathor/html/com_templates/style/edit.php , templates/hathor/html/com_templates/template/default_tree.php , components/com_privacy/views/confirm/tmpl/default.php , templates/hathor/html/com_weblinks/weblink/edit_params.php , administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php , templates/isis/html/com_media/medialist/thumbs_folders.php , administrator/templates/isis/html/layouts/joomla/pagination/link.php , administrator/templates/isis/index.php , modules/tmpl/default_options.php , components/com_contact/views/categories/tmpl/default_items.php , components/com_contact/views/contact/tmpl/default_profile.php , administrator/templates/hathor/html/com_users/user/edit.php , administrator/templates/isis/html/layouts/joomla/system/message.php , components/com_contact/layouts/joomla/form/renderfield.php , components/com_contact/views/contact/tmpl/default_address.php , administrator/templates/isis/html/mod_version/default.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/isis/error.php , administrator/templates/hathor/html/com_weblinks/weblink/edit.php , layouts/joomla/form/field/text.php , layouts/joomla/form/field/subform/repeatable.php , layouts/joomla/form/field/password.php , full_image.php , layouts/joomla/edit/metadata.php , item_title.php , logstable.php , default_batch.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , details_video.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , default_modal_file_body.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/modules/mod_privacy_dashboard/tmpl/default.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_installer/manage/default.php , administrator/templates/hathor/html/com_modules/module/edit.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/templates/hathor/html/com_installer/discover/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , templates/hathor/html/com_templates/template/default_folders.php , administrator/templates/hathor/html/com_installer/install/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_installer/views/languages/tmpl/default.php , editors/buttons.php , components/com_config/view/component/tmpl/default_navigation.php , components/com_config/view/application/tmpl/default_ftplogin.php , com_content/views/articles/tmpl/default_batch_body.php , default_reinstall.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , components/com_media/views/medialist/tmpl/thumbs_folders.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , components/com_tags/views/tag/tmpl/edit_options.php , administrator/components/com_content/views/articles/tmpl/default.php , components/com_contact/views/contact/tmpl/edit_params.php , layouts/joomla/content/readmore.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php
  • endswitch : templates/beez3/html/com_contact/contact/default_profile.php , components/com_contact/views/contact/tmpl/default_profile.php
  • endwhile : administrator/templates/system/error.php , templates/protostar/error.php , administrator/templates/isis/error.php , templates/beez3/error.php , templates/system/error.php , administrator/templates/hathor/error.php
  • ENT_COMPAT : components/com_newsfeeds/views/category/tmpl/default_items.php , intro_image.php , templates/beez3/html/com_weblinks/category/default_items.php , templates/beez3/html/com_newsfeeds/category/default_items.php
  • ENT_QUOTES : administrator/templates/isis/login.php , administrator/modules/mod_latest/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php
  • extension : categories_default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- f -

  • false : com_menus/views/items/tmpl/default_batch_footer.php , administrator/components/com_users/views/users/tmpl/default.php , components/com_contact/views/contact/tmpl/default_profile.php , administrator/templates/hathor/html/com_postinstall/messages/default.php
  • family : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • fields : administrator/components/com_templates/views/style/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_modules/views/module/tmpl/edit.php
  • fieldset : administrator/components/com_modules/views/module/tmpl/edit.php , edit_display.php , modal_display.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_templates/views/style/tmpl/edit.php , templates/beez3/html/com_content/form/edit.php
  • fieldsets : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php
  • fieldsname : components/com_config/view/application/tmpl/default_session.php , administrator/components/com_config/view/application/tmpl/default_site.php , components/com_config/view/application/tmpl/default_system.php , components/com_config/view/application/tmpl/default_cache.php , components/com_config/view/application/tmpl/default_cookie.php , components/com_config/view/application/tmpl/default_database.php , components/com_config/view/application/tmpl/default_debug.php , components/com_config/view/application/tmpl/default_filters.php , components/com_config/view/application/tmpl/default_ftp.php , components/com_config/view/application/tmpl/default_locale.php , components/com_config/view/application/tmpl/default_mail.php , administrator/components/com_config/view/application/tmpl/default_metadata.php , components/com_config/view/application/tmpl/default_permissions.php , default_proxy.php , administrator/components/com_config/view/application/tmpl/default_seo.php , components/com_config/view/application/tmpl/default_server.php
  • fileInput : plugins/installer/packageinstaller/tmpl/default.php
  • fileSizeMax : plugins/installer/packageinstaller/tmpl/default.php
  • FINDER_PATH_INDEXER : components/com_finder/models/search.php , suggestions.php
  • FinderBuildRoute() : components/com_finder/router.php
  • FinderParseRoute() : components/com_finder/router.php
  • folder : administrator/components/com_media/views/images/tmpl/default.php , details_folder.php , details_folders.php , thumbs_up.php
  • foldgutter : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • foldmarker : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • for : horizontal.php , vertical.php , tmpl/vote.php
  • foreach : administrator/templates/hathor/html/com_config/application/default_site.php , templates/hathor/html/com_config/application/default_session.php , templates/hathor/html/com_config/application/default_server.php , administrator/templates/hathor/html/com_config/application/default_seo.php , templates/hathor/html/com_config/application/default_permissions.php , administrator/templates/hathor/html/com_config/application/default_metadata.php , templates/hathor/html/com_config/application/default_locale.php , templates/hathor/html/com_config/application/default_ftp.php , templates/hathor/html/com_config/application/default_filters.php , templates/hathor/html/com_config/application/default_debug.php , templates/hathor/html/com_config/application/default_database.php , templates/hathor/html/com_config/application/default_cookie.php , templates/hathor/html/com_config/application/default_cache.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , templates/hathor/html/com_contact/contact/edit_params.php , templates/hathor/html/com_admin/sysinfo/default_config.php , administrator/templates/hathor/html/com_installer/warnings/default.php , administrator/modules/mod_submenu/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_templates/views/templates/tmpl/default.php , components/com_templates/views/style/tmpl/edit_options.php , components/com_tags/views/tag/tmpl/edit_options.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , com_newsfeeds/views/newsfeed/tmpl/modal_params.php , components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/components/com_modules/views/modules/tmpl/modal.php , components/com_modules/views/module/tmpl/edit_options.php , installation/view/preinstall/tmpl/default.php , modules/mod_articles_popular/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , default_preupdatecheck.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , com_contact/views/contact/tmpl/modal_params.php , components/com_contact/views/contact/tmpl/edit_params.php , components/com_config/view/application/tmpl/default_navigation.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , com_categories/views/category/tmpl/modal_options.php , administrator/components/com_cache/views/cache/tmpl/default.php , administrator/components/com_banners/views/tracks/tmpl/default.php , components/com_admin/views/sysinfo/tmpl/default_config.php , logstable.php , modules/mod_articles_archive/tmpl/default.php , templates/beez3/html/mod_languages/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , components/com_users/views/profile/tmpl/edit.php , components/com_config/view/config/tmpl/default_site.php , plugins/fields/media/tmpl/media.php , administrator/templates/hathor/html/com_installer/discover/default.php , plugins/fields/list/tmpl/list.php , administrator/templates/hathor/html/com_banners/banner/edit.php , administrator/templates/hathor/html/com_admin/profile/edit.php , templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php , modules/mod_languages/tmpl/default.php , installation/view/summary/tmpl/default.php , tmpl/usergrouplist.php , modules/mod_articles_latest/tmpl/default.php , plugins/fields/user/tmpl/user.php , components/com_menus/views/item/tmpl/edit_options.php , installation/view/defaultlanguage/tmpl/default.php , templates/hathor/html/com_tags/tag/edit_options.php , toc.php , modules/mod_stats/tmpl/default.php , plugins/fields/sql/tmpl/sql.php , templates/hathor/html/com_weblinks/weblink/edit_params.php , plugins/fields/radio/tmpl/radio.php , plugins/fields/checkboxes/tmpl/checkboxes.php , administrator/templates/hathor/html/com_users/user/edit.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_cpanel/cpanel/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , components/com_config/view/config/tmpl/default_seo.php , administrator/templates/hathor/html/com_modules/positions/modal.php , components/com_config/view/config/tmpl/default_metadata.php , com_menus/views/item/tmpl/modal_options.php , plugins/fields/imagelist/tmpl/imagelist.php , templates/hathor/html/com_tags/tag/edit_metadata.php , administrator/templates/hathor/html/com_templates/templates/default.php , administrator/templates/hathor/html/com_users/users/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_finder/index/default.php , layouts/plugins/editors/tinymce/field/tinymcebuilder.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_search/searches/default.php , administrator/templates/hathor/html/com_contact/contact/edit.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , templates/hathor/html/com_config/application/default_system.php
  • formclass : components/com_config/view/application/tmpl/default_permissions.php
  • fullscreen : plugins/editors/codemirror/layouts/editors/codemirror/styles.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- g -

  • getDocument : administrator/components/com_associations/views/associations/tmpl/modal.php
  • getQueryParam() : restore.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- h -

  • H : components/com_content/views/category/tmpl/default_articles.php
  • h2 : templates/protostar/error.php
  • h3 : templates/protostar/error.php
  • h4 : templates/protostar/error.php
  • h5 : templates/protostar/error.php
  • h6 : templates/protostar/error.php
  • hathormessage_postinstall_action() : hathormessage.php
  • hathormessage_postinstall_condition() : hathormessage.php
  • height : administrator/components/com_installer/views/install/tmpl/default.php , administrator/components/com_templates/views/template/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php
  • hiddenFieldsets : administrator/components/com_content/views/article/tmpl/edit.php
  • holder : administrator/components/com_templates/views/template/tmpl/default.php , administrator/templates/hathor/html/com_templates/template/default.php
  • HTMLFilter() : htmlfilter.php
  • htmlspecialchars : plugins/editors/codemirror/layouts/editors/codemirror/element.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- i -

  • id : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/modal.php
  • if : administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/layouts/joomla/toolbar/title.php , phputf8/str_split.php , phputf8/strcasecmp.php , administrator/templates/isis/component.php , phputf8/strcspn.php , phputf8/stristr.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/templates/isis/error.php , phputf8/strrev.php , phputf8/strspn.php , administrator/templates/isis/html/layouts/joomla/form/field/media.php , phputf8/substr_replace.php , phputf8/trim.php , templates/system/error.php , templates/protostar/index.php , templates/protostar/html/layouts/joomla/form/field/user.php , templates/protostar/html/layouts/joomla/form/field/media.php , templates/protostar/error.php , templates/beez3/index.php , templates/beez3/html/com_newsfeeds/category/default_items.php , templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/category/blog.php , templates/beez3/error.php , plugins/fields/url/tmpl/url.php , plugins/fields/textarea/tmpl/textarea.php , plugins/fields/text/tmpl/text.php , plugins/fields/editor/tmpl/editor.php , plugins/fields/color/tmpl/color.php , mod_search.php , default_separator.php , default_heading.php , modules/mod_menu/tmpl/default.php , modules/mod_login/mod_login.php , modules/mod_languages/tmpl/default.php , modules/mod_banners/tmpl/default.php , _item.php , modules/mod_articles_category/tmpl/default.php , php72compat.php , autoload-phpunit.php , vendor/joomla/string/src/phputf8/utf8.php , phputf8/utils/validation.php , phputf8/utils/unicode.php , phputf8/utils/specials.php , phputf8/utils/position.php , phputf8/utils/patterns.php , phputf8/utils/bad.php , phputf8/utils/ascii.php , phputf8/utf8.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/templates/isis/html/layouts/joomla/form/field/user.php , phputf8/ucfirst.php , phputf8/ucwords.php , administrator/templates/isis/html/layouts/joomla/pagination/link.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php , administrator/templates/isis/html/mod_version/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , phputf8/str_pad.php , phputf8/str_ireplace.php , phputf8/ord.php , phputf8/native/core.php , phputf8/mbstring/core.php , layouts/joomla/searchtools/default.php , layouts/joomla/pagination/links.php , main.php , iframe.php , layouts/joomla/modal/body.php , layouts/joomla/html/image.php , layouts/joomla/html/batch/user.php , renderlabel.php , layouts/joomla/form/field/user.php , layouts/joomla/form/field/subform/repeatable.php , layouts/joomla/form/field/subform/repeatable-table/section.php , table/section-byfieldsets.php , layouts/joomla/form/field/subform/repeatable/section.php , section-byfieldsets.php , layouts/joomla/form/field/password.php , layouts/joomla/form/field/media.php , layouts/joomla/form/field/calendar.php , layouts/joomla/editors/buttons/button.php , layouts/joomla/content/readmore.php , layouts/joomla/content/info_block/associations.php , installation/application/framework.php , index.php , administrator/components/com_fields/views/groups/tmpl/default.php , default_custom.php , components/com_users/views/login/tmpl/default_logout.php , default_login.php , com_search/views/search/tmpl/default_results.php , components/com_newsfeeds/views/newsfeed/tmpl/default.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , default_result.php , components/com_finder/views/search/tmpl/default_form.php , com_fields/layouts/fields/render.php , com_fields/layouts/field/render.php , components/com_content/views/featured/tmpl/default_item.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/category/tmpl/blog.php , components/com_content/views/categories/tmpl/default_items.php , components/com_contact/views/categories/tmpl/default_items.php , com_contact/layouts/field/render.php , update_cron.php , sessionMetadataGc.php , sessionGc.php , garbagecron.php , deletefiles.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php , components/com_templates/views/template/tmpl/default_tree.php , bin/keychain.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_config/view/component/tmpl/default.php , default_preupdatecheck.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/hathor/html/com_users/debuguser/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , templates/hathor/html/com_templates/template/default_tree.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/error.php , mod_title.php , mod_status.php , administrator/modules/mod_popular/tmpl/default.php , mod_popular.php , default_submenu.php , administrator/modules/mod_login/tmpl/default.php , administrator/modules/mod_logged/tmpl/default.php , components/com_users/views/profile/tmpl/edit.php , mod_latestactions.php , administrator/modules/mod_latest/tmpl/default.php , mod_latest.php , administrator/modules/mod_feed/tmpl/default.php , administrator/index.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_users/views/users/tmpl/default.php , default_update.php , administrator/components/com_users/views/users/tmpl/modal.php , components/com_config/view/component/tmpl/default_navigation.php , administrator/components/com_languages/layouts/joomla/searchtools/default/bar.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , mod_logged.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/modal.php , components/com_modules/views/module/tmpl/edit_assignment.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , edit_container.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php
  • ignore_fieldsets : administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_tags/views/tag/tmpl/edit.php , components/com_content/views/form/tmpl/edit.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_content/views/article/tmpl/edit.php , administrator/components/com_users/views/group/tmpl/edit.php
  • inner : administrator/templates/isis/error.php
  • installpackageChange : default_upload.php
  • item : templates/beez3/html/com_content/category/blog.php , components/com_content/views/featured/tmpl/default.php , components/com_content/views/category/tmpl/blog.php , components/com_content/views/article/tmpl/default.php , templates/beez3/html/com_content/featured/default.php
  • items : components/com_contact/views/categories/tmpl/default_items.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , components/com_content/views/categories/tmpl/default_items.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- j -

  • JDEBUG : administrator/includes/framework.php , finder_indexer.php , installation/application/framework.php
  • JERROR_CALLBACK_NOT_CALLABLE : libraries/legacy/error/error.php
  • JERROR_ILLEGAL_MODE : libraries/legacy/error/error.php
  • JERROR_ILLEGAL_OPTIONS : libraries/legacy/error/error.php
  • jimport() : loader.php
  • JOOMLA_MINIMUM_PHP : administrator/index.php , index.php , installation/index.php
  • joomlaCurrentVersion : administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • JoomlaInstaller : administrator/components/com_installer/views/install/tmpl/default.php
  • joomlaTargetVersion : administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • joomlaupdate_ajax_url : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • joomlaupdate_return_url : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • joomlaupdate_totalsize : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • JPATH_ADMINISTRATOR : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_BASE : installation/application/bootstrap.php
  • JPATH_CACHE : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_COMPONENT_ADMINISTRATOR : finder_indexer.php
  • JPATH_CONFIGURATION : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_INSTALLATION : installation/application/defines.php , administrator/includes/defines.php , includes/defines.php
  • JPATH_ISMAC : import.legacy.php
  • JPATH_ISWIN : import.legacy.php
  • JPATH_LIBRARIES : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_MANIFESTS : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_PLUGINS : installation/application/defines.php , administrator/includes/defines.php , includes/defines.php
  • JPATH_ROOT : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_SITE : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_THEMES : includes/defines.php , administrator/includes/defines.php , installation/application/defines.php
  • jQuery : administrator/templates/hathor/html/com_fields/field/edit.php , default_upload.php , administrator/components/com_languages/views/language/tmpl/edit.php , administrator/components/com_joomlaupdate/views/update/tmpl/default.php , administrator/components/com_fields/views/field/tmpl/edit.php , administrator/components/com_banners/views/banner/tmpl/edit.php , administrator/components/com_config/view/component/tmpl/default.php , administrator/components/com_installer/views/install/tmpl/default.php , administrator/components/com_modules/views/preview/tmpl/default.php
  • JREQUEST_ALLOWHTML : libraries/legacy/request/request.php
  • JREQUEST_ALLOWRAW : libraries/legacy/request/request.php
  • JREQUEST_NOTRIM : libraries/legacy/request/request.php
  • JROUTER_MODE_RAW : import.legacy.php , import.php
  • JROUTER_MODE_SEF : import.legacy.php , import.php
  • JS : administrator/templates/hathor/html/com_joomlaupdate/default/default.php , administrator/components/com_joomlaupdate/views/default/tmpl/default.php , init.php , default_upload.php , installation/view/defaultlanguage/tmpl/default.php , edit_container.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/edit.php
  • json_encode : starttabsetscript.php , addtabscript.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- l -

  • language : components/com_content/views/category/tmpl/default_articles.php
  • language_image : administrator/components/com_menus/views/items/tmpl/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/components/com_menus/views/items/tmpl/modal.php
  • language_title : administrator/templates/hathor/html/com_menus/items/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/components/com_menus/views/items/tmpl/default.php
  • left : administrator/components/com_templates/views/template/tmpl/default.php
  • li : views/item/tmpl/edit_modules.php
  • location : modules/mod_banners/tmpl/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- m -

  • map_iso8859_1_w1252() : transcode_wrapper.php
  • map_w1252_iso8859_1() : transcode_wrapper.php
  • margin : administrator/components/com_templates/views/template/tmpl/default.php
  • mark : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • markergutter : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • matchhighlight : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • matchingtag : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • maxLevel : components/com_contact/views/category/tmpl/default_children.php , templates/beez3/html/com_weblinks/category/default_children.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php , components/com_newsfeeds/views/category/tmpl/default_children.php , templates/beez3/html/com_contact/category/default_children.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_newsfeeds/category/default_children.php
  • maxLevelcat : components/com_contact/views/categories/tmpl/default_items.php , components/com_content/views/categories/tmpl/default_items.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , templates/beez3/html/com_contact/categories/default_items.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , templates/beez3/html/com_weblinks/categories/default_items.php
  • menubar : modules/mod_banners/tmpl/default.php
  • menumodules : administrator/templates/isis/error.php
  • method : mod_tags_similar.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/templates/hathor/html/com_menus/items/default.php , mod_articles_categories.php , mod_articles_category.php , mod_related_items.php , mod_tags_popular.php
  • methodparams : mod_articles_categories.php , mod_articles_category.php , mod_related_items.php , mod_tags_popular.php , mod_tags_similar.php
  • modal : templates/protostar/html/layouts/joomla/form/field/user.php
  • modChrome_beezDivision() : templates/beez3/html/modules.php
  • modChrome_beezHide() : templates/beez3/html/modules.php
  • modChrome_beezTabs() : templates/beez3/html/modules.php
  • modChrome_horz() : templates/system/html/modules.php
  • modChrome_html5() : administrator/templates/system/html/modules.php , templates/system/html/modules.php
  • modChrome_no() : templates/protostar/html/modules.php , administrator/templates/isis/html/modules.php
  • modChrome_none() : administrator/templates/system/html/modules.php , templates/system/html/modules.php
  • modChrome_outline() : templates/system/html/modules.php
  • modChrome_rounded() : templates/system/html/modules.php
  • modChrome_sliders() : administrator/templates/system/html/modules.php
  • modChrome_table() : templates/system/html/modules.php
  • modChrome_tabs() : administrator/templates/system/html/modules.php
  • modChrome_title() : administrator/templates/isis/html/modules.php
  • modChrome_well() : templates/protostar/html/modules.php , administrator/templates/isis/html/modules.php
  • modChrome_xhtml() : administrator/templates/system/html/modules.php , templates/system/html/modules.php
  • modChrome_xhtmlid() : administrator/templates/hathor/html/modules.php
  • modeparams : mod_related_items.php , mod_articles_category.php , mod_articles_categories.php , mod_tags_similar.php , mod_tags_popular.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- n -

  • name : components/com_config/view/application/tmpl/default_cache.php , components/com_config/view/application/tmpl/default_cookie.php , components/com_config/view/application/tmpl/default_debug.php , components/com_config/view/application/tmpl/default_mail.php , components/com_config/view/application/tmpl/default_system.php , administrator/components/com_config/view/application/tmpl/default_metadata.php , components/com_config/view/application/tmpl/default_filters.php , components/com_config/view/application/tmpl/default_permissions.php , default_proxy.php , components/com_config/view/application/tmpl/default_database.php , components/com_config/view/application/tmpl/default_ftp.php , administrator/components/com_config/view/application/tmpl/default_seo.php , components/com_config/view/application/tmpl/default_server.php , components/com_config/view/application/tmpl/default_locale.php , components/com_config/view/application/tmpl/default_session.php , administrator/components/com_config/view/application/tmpl/default_site.php
  • nbsp : views/preview/tmpl/preview.php
  • newsfeedsBuildRoute() : components/com_newsfeeds/router.php
  • newsfeedsParseRoute() : components/com_newsfeeds/router.php
  • noheader : components/com_content/views/category/tmpl/default_articles.php
  • null : layouts/joomla/form/field/calendar.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/templates/hathor/html/com_users/users/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- o -

  • onclick : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_menus/items/default.php
  • option : administrator/components/com_config/view/component/tmpl/default.php , administrator/templates/hathor/html/com_users/groups/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- p -

  • pageclass_sfx : com_finder/views/search/tmpl/default_results.php
  • pagination_item_active() : administrator/templates/hathor/html/pagination.php , templates/protostar/html/pagination.php , administrator/templates/isis/html/pagination.php
  • pagination_item_inactive() : administrator/templates/hathor/html/pagination.php , administrator/templates/isis/html/pagination.php , templates/protostar/html/pagination.php
  • pagination_list_footer() : administrator/templates/hathor/html/pagination.php , templates/protostar/html/pagination.php
  • pagination_list_render() : administrator/templates/hathor/html/pagination.php , administrator/templates/isis/html/pagination.php , templates/protostar/html/pagination.php
  • parent : templates/beez3/html/com_contact/categories/default_items.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , templates/beez3/html/com_weblinks/categories/default_items.php , components/com_contact/views/categories/tmpl/default_items.php , components/com_content/views/categories/tmpl/default_items.php
  • percentage : plugins/installer/packageinstaller/tmpl/default.php
  • PHPMailerAutoload() : PHPMailerAutoload.php
  • prefix : components/com_config/config.php , administrator/components/com_config/config.php
  • privacyBuildRoute() : components/com_privacy/router.php
  • privacyParseRoute() : components/com_privacy/router.php
  • progress : plugins/installer/packageinstaller/tmpl/default.php
  • progressBar : plugins/installer/packageinstaller/tmpl/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- r -

  • radius : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • recaptcha_postinstall_action() : plugins/captcha/recaptcha/postinstall/actions.php
  • recaptcha_postinstall_condition() : plugins/captcha/recaptcha/postinstall/actions.php
  • recursive_remove_directory() : restore.php
  • rel : installation/view/defaultlanguage/tmpl/default.php
  • request : administrator/components/com_menus/views/menutypes/tmpl/default.php
  • resizable : modules/mod_banners/tmpl/default.php
  • return : plugins/installer/packageinstaller/tmpl/default.php , com_finder/views/search/tmpl/default_results.php
  • returnUrl : plugins/installer/packageinstaller/tmpl/default.php
  • right : administrator/components/com_templates/views/template/tmpl/default.php , views/item/tmpl/edit_modules.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- s -

  • SASL_CONTINUE : ntlm_sasl_client.php
  • SASL_FAIL : ntlm_sasl_client.php
  • SASL_NTLM_STATE_DONE : ntlm_sasl_client.php
  • SASL_NTLM_STATE_IDENTIFY_DOMAIN : ntlm_sasl_client.php
  • SASL_NTLM_STATE_RESPOND_CHALLENGE : ntlm_sasl_client.php
  • SASL_NTLM_STATE_START : ntlm_sasl_client.php
  • scrollbar : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • scrollbars : modules/mod_banners/tmpl/default.php
  • searchareas : components/com_search/views/search/tmpl/default_form.php
  • searchBuildRoute() : components/com_search/router.php
  • searchParseRoute() : components/com_search/router.php
  • selected : administrator/components/com_templates/views/template/tmpl/default.php , administrator/templates/hathor/html/com_templates/template/default.php
  • shadow : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • showlabel : components/com_config/view/application/tmpl/default_permissions.php
  • SIMPLEPIE_BUILD : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_ALL : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_BASE64 : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_HTML : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_IRI : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_MAYBE_HTML : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_NONE : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_TEXT : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_XHTML : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_CURL : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_FILE_GET_CONTENTS : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_FSOCKOPEN : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_LOCAL : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_NONE : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_REMOTE : SimplePie.php
  • SIMPLEPIE_IANA_LINK_RELATIONS_REGISTRY : SimplePie.php
  • SIMPLEPIE_LINKBACK : SimplePie.php
  • SIMPLEPIE_LOCATOR_ALL : SimplePie.php
  • SIMPLEPIE_LOCATOR_AUTODISCOVERY : SimplePie.php
  • SIMPLEPIE_LOCATOR_LOCAL_BODY : SimplePie.php
  • SIMPLEPIE_LOCATOR_LOCAL_EXTENSION : SimplePie.php
  • SIMPLEPIE_LOCATOR_NONE : SimplePie.php
  • SIMPLEPIE_LOCATOR_REMOTE_BODY : SimplePie.php
  • SIMPLEPIE_LOCATOR_REMOTE_EXTENSION : SimplePie.php
  • SIMPLEPIE_LOWERCASE : SimplePie.php
  • SIMPLEPIE_NAME : SimplePie.php
  • SIMPLEPIE_NAMESPACE_ATOM_03 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_ATOM_10 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_DC_10 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_DC_11 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_GEORSS : SimplePie.php
  • SIMPLEPIE_NAMESPACE_ITUNES : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG2 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG3 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG4 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG5 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RDF : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RSS_090 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RSS_10 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RSS_10_MODULES_CONTENT : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RSS_20 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO : SimplePie.php
  • SIMPLEPIE_NAMESPACE_XHTML : SimplePie.php
  • SIMPLEPIE_NAMESPACE_XML : SimplePie.php
  • SIMPLEPIE_PCRE_HTML_ATTRIBUTE : SimplePie.php
  • SIMPLEPIE_PCRE_XML_ATTRIBUTE : SimplePie.php
  • SIMPLEPIE_SAME_CASE : SimplePie.php
  • SIMPLEPIE_TYPE_ALL : SimplePie.php
  • SIMPLEPIE_TYPE_ATOM_03 : SimplePie.php
  • SIMPLEPIE_TYPE_ATOM_10 : SimplePie.php
  • SIMPLEPIE_TYPE_ATOM_ALL : SimplePie.php
  • SIMPLEPIE_TYPE_NONE : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_090 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_091 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_091_NETSCAPE : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_091_USERLAND : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_092 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_093 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_094 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_10 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_20 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_ALL : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_RDF : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_SYNDICATION : SimplePie.php
  • SIMPLEPIE_UPPERCASE : SimplePie.php
  • SIMPLEPIE_URL : SimplePie.php
  • SIMPLEPIE_USERAGENT : SimplePie.php
  • SIMPLEPIE_VERSION : SimplePie.php
  • size : plugins/editors/codemirror/layouts/editors/codemirror/styles.php , plugins/installer/packageinstaller/tmpl/default.php
  • SODIUM_BASE64_VARIANT_ORIGINAL : php72compat_const.php
  • SODIUM_BASE64_VARIANT_ORIGINAL_NO_PADDING : php72compat_const.php
  • SODIUM_BASE64_VARIANT_URLSAFE : php72compat_const.php
  • SODIUM_BASE64_VARIANT_URLSAFE_NO_PADDING : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_AES256GCM_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_AES256GCM_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_AES256GCM_NPUBBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_AES256GCM_NSECBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AUTH_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_AUTH_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_KEYPAIRBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_MACBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_NONCEBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_PUBLICKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_SEALBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_SECRETKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_SEEDBYTES : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_BYTES_MAX : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_BYTES_MIN : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MAX : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MIN : php72compat_const.php
  • SODIUM_CRYPTO_KDF_BYTES_MAX : php72compat_const.php
  • SODIUM_CRYPTO_KDF_BYTES_MIN : php72compat_const.php
  • SODIUM_CRYPTO_KDF_CONTEXTBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KDF_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_KEYPAIRBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_PRIMITIVE : php72compat_const.php
  • SODIUM_CRYPTO_KX_PUBLICKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_SECRETKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_SEEDBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_SESSIONKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_ALG_ARGON2I13 : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_ALG_ARGON2ID13 : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_MEMLIMIT_MODERATE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_MEMLIMIT_SENSITIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_OPSLIMIT_MODERATE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_OPSLIMIT_SENSITIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SALTBYTES : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_STRPREFIX : php72compat_const.php
  • SODIUM_CRYPTO_SCALARMULT_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_SCALARMULT_SCALARBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETBOX_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETBOX_MACBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETBOX_NONCEBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY : php72compat_const.php
  • SODIUM_CRYPTO_SHORTHASH_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_SHORTHASH_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_KEYPAIRBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_PUBLICKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_SECRETKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_SEEDBYTES : php72compat_const.php
  • SODIUM_CRYPTO_STREAM_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_STREAM_NONCEBYTES : php72compat_const.php
  • SODIUM_CRYPTO_STREAM_XCHACHA20_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_STREAM_XCHACHA20_NONCEBYTES : php72compat_const.php
  • SODIUM_LIBRARY_MAJOR_VERSION : php72compat_const.php
  • SODIUM_LIBRARY_MINOR_VERSION : php72compat_const.php
  • SODIUM_LIBRARY_VERSION : php72compat_const.php
  • status : modules/mod_banners/tmpl/default.php
  • statusmodules : administrator/templates/isis/error.php
  • submenumodules : administrator/templates/isis/index.php , administrator/templates/isis/error.php
  • submitbutton : administrator/components/com_languages/views/override/tmpl/edit.php
  • submitbutton3 : administrator/templates/hathor/html/com_installer/install/default_form.php
  • submitbutton4 : administrator/templates/hathor/html/com_installer/install/default_form.php
  • submitbuttonInstallWebInstaller : administrator/templates/hathor/html/com_installer/install/default_form.php , administrator/components/com_installer/views/install/tmpl/default.php
  • subtemplatename : components/com_contact/views/category/tmpl/default.php , components/com_content/views/category/tmpl/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- t -

  • tab_name : components/com_content/views/form/tmpl/edit.php
  • tagsBuildRoute() : components/com_tags/router.php
  • tagsParseRoute() : components/com_tags/router.php
  • task : administrator/components/com_media/views/media/tmpl/default.php , details_folders.php , thumbs_videos.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , details_img.php , templates/isis/html/com_media/medialist/thumbs_folders.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , details_doc.php , details_imgs.php , details_video.php , details_docs.php , details_videos.php , thumbs_docs.php , details_folder.php , components/com_media/views/medialist/tmpl/thumbs_folders.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php
  • text : administrator/templates/isis/html/layouts/joomla/pagination/link.php , components/com_contact/views/contact/tmpl/default_profile.php , components/com_content/views/category/tmpl/blog.php , category_default.php , templates/beez3/html/com_contact/contact/default_profile.php
  • thead : components/com_content/views/category/tmpl/default_articles.php
  • title : templates/protostar/error.php
  • title_native : modules/mod_languages/tmpl/default.php , templates/beez3/html/mod_languages/default.php
  • tln_body2div() : htmlfilter.php
  • tln_casenormalize() : htmlfilter.php
  • tln_deent() : htmlfilter.php
  • tln_defang() : htmlfilter.php
  • tln_findnxreg() : htmlfilter.php
  • tln_findnxstr() : htmlfilter.php
  • tln_fixatts() : htmlfilter.php
  • tln_fixstyle() : htmlfilter.php
  • tln_fixurl() : htmlfilter.php
  • tln_getnxtag() : htmlfilter.php
  • tln_sanitize() : htmlfilter.php
  • tln_skipspace() : htmlfilter.php
  • tln_tagprint() : htmlfilter.php
  • tln_unspace() : htmlfilter.php
  • tmpl : administrator/components/com_media/views/images/tmpl/default.php , components/com_media/views/medialist/tmpl/thumbs_folders.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , thumbs_up.php , details_doc.php , details_folder.php , details_docs.php , thumbs_docs.php , details_video.php , templates/isis/html/com_media/medialist/thumbs_folders.php , details_img.php , details_imgs.php , details_videos.php , thumbs_videos.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , details_folders.php
  • toggle : administrator/templates/isis/error.php
  • transition : plugins/installer/packageinstaller/tmpl/default.php
  • tree : administrator/components/com_templates/views/template/tmpl/default.php , administrator/templates/hathor/html/com_templates/template/default.php
  • true : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/components/com_menus/views/items/tmpl/default.php
  • try : administrator/components/com_config/models/component.php , xml.php , administrator/components/com_config/models/application.php , bin/keychain.php , plugins/fields/sql/tmpl/sql.php
  • twofactorauth_postinstall_action() : plugins/twofactorauth/totp/postinstall/actions.php
  • twofactorauth_postinstall_condition() : plugins/twofactorauth/totp/postinstall/actions.php
  • twoFactorMethodChange : administrator/components/com_users/views/user/tmpl/edit.php , administrator/templates/hathor/html/com_users/user/edit.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- u -

  • updatecachetime_postinstall_action() : updatecachetime.php
  • updatecachetime_postinstall_condition() : updatecachetime.php
  • uploading : plugins/installer/packageinstaller/tmpl/default.php
  • url : plugins/installer/packageinstaller/tmpl/default.php
  • usersBuildRoute() : components/com_users/router.php
  • usersParseRoute() : components/com_users/router.php
  • utf8_accents_to_ascii() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • UTF8_BAD_5OCTET : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_6OCTET : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_explain() : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_find() : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_findall() : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_identify() : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_NONSHORT : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_replace() : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_SEQID : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_SEQINCOMPLETE : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_strip() : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_SURROGATE : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_UNIOUTRANGE : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_byte_position() : vendor/joomla/string/src/phputf8/utils/position.php
  • utf8_compliant() : vendor/joomla/string/src/phputf8/utils/validation.php
  • utf8_from_unicode() : vendor/joomla/string/src/phputf8/utils/unicode.php
  • utf8_ireplace() : vendor/joomla/string/src/phputf8/str_ireplace.php
  • utf8_is_ascii() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_is_ascii_ctrl() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_is_valid() : vendor/joomla/string/src/phputf8/utils/validation.php
  • utf8_is_word_chars() : vendor/joomla/string/src/phputf8/utils/specials.php
  • utf8_locate_current_chr() : vendor/joomla/string/src/phputf8/utils/position.php
  • utf8_locate_next_chr() : vendor/joomla/string/src/phputf8/utils/position.php
  • utf8_ltrim() : vendor/joomla/string/src/phputf8/trim.php
  • utf8_ord() : vendor/joomla/string/src/phputf8/ord.php
  • utf8_rtrim() : vendor/joomla/string/src/phputf8/trim.php
  • utf8_specials_pattern() : vendor/joomla/string/src/phputf8/utils/specials.php
  • utf8_str_pad() : vendor/joomla/string/src/phputf8/str_pad.php
  • utf8_str_split() : vendor/joomla/string/src/phputf8/str_split.php
  • utf8_strcasecmp() : vendor/joomla/string/src/phputf8/strcasecmp.php
  • utf8_strcspn() : vendor/joomla/string/src/phputf8/strcspn.php
  • utf8_strip_ascii_ctrl() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_strip_non_ascii() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_strip_non_ascii_ctrl() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_strip_specials() : vendor/joomla/string/src/phputf8/utils/specials.php
  • utf8_stristr() : vendor/joomla/string/src/phputf8/stristr.php
  • utf8_strlen() : vendor/joomla/string/src/phputf8/native/core.php , vendor/joomla/string/src/phputf8/mbstring/core.php
  • utf8_strpos() : vendor/joomla/string/src/phputf8/native/core.php , vendor/joomla/string/src/phputf8/mbstring/core.php
  • utf8_strrev() : vendor/joomla/string/src/phputf8/strrev.php
  • utf8_strrpos() : vendor/joomla/string/src/phputf8/native/core.php , vendor/joomla/string/src/phputf8/mbstring/core.php
  • utf8_strspn() : vendor/joomla/string/src/phputf8/strspn.php
  • utf8_strtolower() : vendor/joomla/string/src/phputf8/mbstring/core.php , vendor/joomla/string/src/phputf8/native/core.php
  • utf8_strtoupper() : vendor/joomla/string/src/phputf8/mbstring/core.php , vendor/joomla/string/src/phputf8/native/core.php
  • utf8_substr() : vendor/joomla/string/src/phputf8/mbstring/core.php , vendor/joomla/string/src/phputf8/native/core.php
  • utf8_substr_replace() : vendor/joomla/string/src/phputf8/substr_replace.php
  • utf8_to_unicode() : vendor/joomla/string/src/phputf8/utils/unicode.php
  • utf8_trim() : vendor/joomla/string/src/phputf8/trim.php
  • utf8_ucfirst() : vendor/joomla/string/src/phputf8/ucfirst.php
  • utf8_ucwords() : vendor/joomla/string/src/phputf8/ucwords.php
  • utf8_ucwords_callback() : vendor/joomla/string/src/phputf8/ucwords.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- v -

  • validate() : templates/hathor/html/com_modules/module/edit_assignment.php
  • value : views/compare/tmpl/compare.php , default_params.php , default_custom.php
  • view : administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , thumbs_up.php
  • viewstyle : administrator/components/com_media/views/media/tmpl/default.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- w -

  • width : administrator/components/com_templates/views/template/tmpl/default.php , administrator/templates/hathor/html/com_templates/template/default.php , modules/mod_banners/tmpl/default.php
  • wrapperBuildRoute() : components/com_wrapper/router.php
  • wrapperParseRoute() : components/com_wrapper/router.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- x -

  • xmldata : components/com_templates/views/template/tmpl/default_description.php , templates/hathor/html/com_templates/template/default_description.php


Joomla CMS: Variables globale

Liste de toutes les fonctions, variables, macros, enumérations, et définitions de type avec des liens vers les fichiers auxquels ils appartiennent :

- y -

  • y : administrator/components/com_templates/views/template/tmpl/default.php


Joomla CMS: Variables globale

- a -

  • admin_postinstall_addnosniff_condition() : addnosniff.php
  • admin_postinstall_behindproxy_condition() : behindproxy.php
  • admin_postinstall_eaccelerator_action() : eaccelerator.php
  • admin_postinstall_eaccelerator_condition() : eaccelerator.php
  • admin_postinstall_htaccess_condition() : htaccess.php
  • admin_postinstall_htaccesssvg_condition() : htaccesssvg.php
  • admin_postinstall_joomla40checks_condition() : joomla40checks.php
  • admin_postinstall_languageaccess340_condition() : languageaccess340.php
  • admin_postinstall_statscollection_condition() : statscollection.php
  • admin_postinstall_textfilter3919_condition() : textfilter3919.php
  • admin_postinstall_updatedefaultsettings_condition() : updatedefaultsettings.php

- b -

  • bannersBuildRoute() : components/com_banners/router.php
  • bannersParseRoute() : components/com_banners/router.php
  • behindproxy_postinstall_action() : behindproxy.php

- c -

  • colorIsLight() : administrator/templates/isis/index.php , administrator/templates/isis/login.php
  • composerRequirec14bde14f8c86840049f5c1809c453dd() : autoload_real.php
  • ContactBuildRoute() : components/com_contact/router.php
  • ContactParseRoute() : components/com_contact/router.php
  • contentBuildRoute() : components/com_content/router.php
  • contentParseRoute() : components/com_content/router.php

- d -

  • debugMsg() : restore.php
  • decode_utf8() : transcode_wrapper.php

- e -

  • encode_utf8() : transcode_wrapper.php

- f -

  • FinderBuildRoute() : components/com_finder/router.php
  • FinderParseRoute() : components/com_finder/router.php

- g -

  • getQueryParam() : restore.php

- h -

  • hathormessage_postinstall_action() : hathormessage.php
  • hathormessage_postinstall_condition() : hathormessage.php
  • HTMLFilter() : htmlfilter.php

- j -

  • jimport() : loader.php

- m -

  • map_iso8859_1_w1252() : transcode_wrapper.php
  • map_w1252_iso8859_1() : transcode_wrapper.php
  • modChrome_beezDivision() : templates/beez3/html/modules.php
  • modChrome_beezHide() : templates/beez3/html/modules.php
  • modChrome_beezTabs() : templates/beez3/html/modules.php
  • modChrome_horz() : templates/system/html/modules.php
  • modChrome_html5() : administrator/templates/system/html/modules.php , templates/system/html/modules.php
  • modChrome_no() : administrator/templates/isis/html/modules.php , templates/protostar/html/modules.php
  • modChrome_none() : administrator/templates/system/html/modules.php , templates/system/html/modules.php
  • modChrome_outline() : templates/system/html/modules.php
  • modChrome_rounded() : templates/system/html/modules.php
  • modChrome_sliders() : administrator/templates/system/html/modules.php
  • modChrome_table() : templates/system/html/modules.php
  • modChrome_tabs() : administrator/templates/system/html/modules.php
  • modChrome_title() : administrator/templates/isis/html/modules.php
  • modChrome_well() : administrator/templates/isis/html/modules.php , templates/protostar/html/modules.php
  • modChrome_xhtml() : administrator/templates/system/html/modules.php , templates/system/html/modules.php
  • modChrome_xhtmlid() : administrator/templates/hathor/html/modules.php

- n -

  • newsfeedsBuildRoute() : components/com_newsfeeds/router.php
  • newsfeedsParseRoute() : components/com_newsfeeds/router.php

- p -

  • pagination_item_active() : administrator/templates/hathor/html/pagination.php , administrator/templates/isis/html/pagination.php , templates/protostar/html/pagination.php
  • pagination_item_inactive() : administrator/templates/hathor/html/pagination.php , administrator/templates/isis/html/pagination.php , templates/protostar/html/pagination.php
  • pagination_list_footer() : administrator/templates/hathor/html/pagination.php , templates/protostar/html/pagination.php
  • pagination_list_render() : administrator/templates/hathor/html/pagination.php , administrator/templates/isis/html/pagination.php , templates/protostar/html/pagination.php
  • PHPMailerAutoload() : PHPMailerAutoload.php
  • privacyBuildRoute() : components/com_privacy/router.php
  • privacyParseRoute() : components/com_privacy/router.php

- r -

  • recaptcha_postinstall_action() : plugins/captcha/recaptcha/postinstall/actions.php
  • recaptcha_postinstall_condition() : plugins/captcha/recaptcha/postinstall/actions.php
  • recursive_remove_directory() : restore.php

- s -

  • searchBuildRoute() : components/com_search/router.php
  • searchParseRoute() : components/com_search/router.php

- t -

  • tagsBuildRoute() : components/com_tags/router.php
  • tagsParseRoute() : components/com_tags/router.php
  • tln_body2div() : htmlfilter.php
  • tln_casenormalize() : htmlfilter.php
  • tln_deent() : htmlfilter.php
  • tln_defang() : htmlfilter.php
  • tln_findnxreg() : htmlfilter.php
  • tln_findnxstr() : htmlfilter.php
  • tln_fixatts() : htmlfilter.php
  • tln_fixstyle() : htmlfilter.php
  • tln_fixurl() : htmlfilter.php
  • tln_getnxtag() : htmlfilter.php
  • tln_sanitize() : htmlfilter.php
  • tln_skipspace() : htmlfilter.php
  • tln_tagprint() : htmlfilter.php
  • tln_unspace() : htmlfilter.php
  • twofactorauth_postinstall_action() : plugins/twofactorauth/totp/postinstall/actions.php
  • twofactorauth_postinstall_condition() : plugins/twofactorauth/totp/postinstall/actions.php

- u -

  • updatecachetime_postinstall_action() : updatecachetime.php
  • updatecachetime_postinstall_condition() : updatecachetime.php
  • usersBuildRoute() : components/com_users/router.php
  • usersParseRoute() : components/com_users/router.php
  • utf8_accents_to_ascii() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_bad_explain() : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_find() : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_findall() : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_identify() : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_replace() : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_bad_strip() : vendor/joomla/string/src/phputf8/utils/bad.php
  • utf8_byte_position() : vendor/joomla/string/src/phputf8/utils/position.php
  • utf8_compliant() : vendor/joomla/string/src/phputf8/utils/validation.php
  • utf8_from_unicode() : vendor/joomla/string/src/phputf8/utils/unicode.php
  • utf8_ireplace() : vendor/joomla/string/src/phputf8/str_ireplace.php
  • utf8_is_ascii() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_is_ascii_ctrl() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_is_valid() : vendor/joomla/string/src/phputf8/utils/validation.php
  • utf8_is_word_chars() : vendor/joomla/string/src/phputf8/utils/specials.php
  • utf8_locate_current_chr() : vendor/joomla/string/src/phputf8/utils/position.php
  • utf8_locate_next_chr() : vendor/joomla/string/src/phputf8/utils/position.php
  • utf8_ltrim() : vendor/joomla/string/src/phputf8/trim.php
  • utf8_ord() : vendor/joomla/string/src/phputf8/ord.php
  • utf8_rtrim() : vendor/joomla/string/src/phputf8/trim.php
  • utf8_specials_pattern() : vendor/joomla/string/src/phputf8/utils/specials.php
  • utf8_str_pad() : vendor/joomla/string/src/phputf8/str_pad.php
  • utf8_str_split() : vendor/joomla/string/src/phputf8/str_split.php
  • utf8_strcasecmp() : vendor/joomla/string/src/phputf8/strcasecmp.php
  • utf8_strcspn() : vendor/joomla/string/src/phputf8/strcspn.php
  • utf8_strip_ascii_ctrl() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_strip_non_ascii() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_strip_non_ascii_ctrl() : vendor/joomla/string/src/phputf8/utils/ascii.php
  • utf8_strip_specials() : vendor/joomla/string/src/phputf8/utils/specials.php
  • utf8_stristr() : vendor/joomla/string/src/phputf8/stristr.php
  • utf8_strlen() : vendor/joomla/string/src/phputf8/mbstring/core.php , vendor/joomla/string/src/phputf8/native/core.php
  • utf8_strpos() : vendor/joomla/string/src/phputf8/mbstring/core.php , vendor/joomla/string/src/phputf8/native/core.php
  • utf8_strrev() : vendor/joomla/string/src/phputf8/strrev.php
  • utf8_strrpos() : vendor/joomla/string/src/phputf8/mbstring/core.php , vendor/joomla/string/src/phputf8/native/core.php
  • utf8_strspn() : vendor/joomla/string/src/phputf8/strspn.php
  • utf8_strtolower() : vendor/joomla/string/src/phputf8/mbstring/core.php , vendor/joomla/string/src/phputf8/native/core.php
  • utf8_strtoupper() : vendor/joomla/string/src/phputf8/mbstring/core.php , vendor/joomla/string/src/phputf8/native/core.php
  • utf8_substr() : vendor/joomla/string/src/phputf8/mbstring/core.php , vendor/joomla/string/src/phputf8/native/core.php
  • utf8_substr_replace() : vendor/joomla/string/src/phputf8/substr_replace.php
  • utf8_to_unicode() : vendor/joomla/string/src/phputf8/utils/unicode.php
  • utf8_trim() : vendor/joomla/string/src/phputf8/trim.php
  • utf8_ucfirst() : vendor/joomla/string/src/phputf8/ucfirst.php
  • utf8_ucwords() : vendor/joomla/string/src/phputf8/ucwords.php
  • utf8_ucwords_callback() : vendor/joomla/string/src/phputf8/ucwords.php

- v -

  • validate() : templates/hathor/html/com_modules/module/edit_assignment.php

- w -

  • wrapperBuildRoute() : components/com_wrapper/router.php
  • wrapperParseRoute() : components/com_wrapper/router.php


Joomla CMS: Variables globale

- $ -

  • $accessEdit : templates/beez3/html/com_content/article/default.php
  • $accordionStarted : components/com_contact/views/contact/tmpl/default.php
  • $action : mod_submenu.php
  • $activated : administrator/components/com_users/views/users/tmpl/default.php
  • $activatedStates : administrator/components/com_users/views/users/tmpl/modal.php
  • $active : components/com_content/views/category/tmpl/default_articles.php , templates/beez3/html/com_content/featured/default_item.php , components/com_content/views/featured/tmpl/default_item.php , addtab.php , addtabscript.php , components/com_content/views/article/tmpl/default.php , modules/mod_menu/mod_menu.php , templates/beez3/html/com_content/article/default.php , components/com_content/views/category/tmpl/blog_item.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/category/default_articles.php
  • $active_id : modules/mod_menu/mod_menu.php
  • $activeLineColor : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $activeRequests : administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/modules/mod_privacy_dashboard/tmpl/default.php
  • $afterDisplayContent : components/com_content/views/category/tmpl/blog.php , category_default.php
  • $afterDisplayTitle : components/com_content/views/category/tmpl/blog.php , category_default.php
  • $ajaxLoaderImage : default_upload.php
  • $ajaxUri : components/com_config/view/application/tmpl/default_mail.php
  • $ajaxUrl : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • $alert : administrator/templates/isis/html/layouts/joomla/system/message.php , templates/protostar/html/layouts/joomla/system/message.php
  • $aliasArray : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $alt : layouts/joomla/form/field/checkboxes.php , layouts/joomla/form/field/radio.php , modules/mod_banners/tmpl/default.php
  • $anchor_css : default_heading.php , default_separator.php
  • $anchorAttributes : layouts/joomla/form/field/user.php
  • $app : administrator/templates/hathor/error.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_config/component/default.php , administrator/templates/hathor/html/com_contact/contact/edit.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_fields/field/edit.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/group/edit.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , administrator/components/com_categories/views/category/tmpl/edit.php , administrator/templates/hathor/index.php , administrator/templates/hathor/login.php , administrator/components/com_config/config.php , administrator/templates/isis/component.php , administrator/templates/isis/error.php , administrator/components/com_config/view/component/tmpl/default.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php , administrator/components/com_contact/views/contact/tmpl/edit.php , components/com_ajax/ajax.php , components/com_config/config.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , components/com_menus/menus.php , components/com_modules/modules.php , administrator/components/com_content/views/article/tmpl/edit.php , index.php , installation/index.php , administrator/components/com_content/views/articles/tmpl/default.php , layouts/joomla/edit/details.php , layouts/joomla/edit/fieldset.php , administrator/components/com_content/views/articles/tmpl/modal.php , layouts/joomla/edit/global.php , layouts/joomla/edit/params.php , administrator/components/com_fields/fields.php , publishingdata.php , mod_footer.php , administrator/components/com_fields/views/field/tmpl/edit.php , mod_search.php , plugins/installer/folderinstaller/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , templates/beez3/error.php , templates/beez3/html/com_content/archive/default.php , administrator/components/com_fields/views/group/tmpl/edit.php , templates/beez3/html/com_content/archive/default_items.php , templates/beez3/html/com_content/article/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , templates/beez3/html/com_content/categories/default.php , templates/beez3/html/com_content/category/blog.php , components/com_media/views/media/tmpl/default_navigation.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/blog_item.php , layouts/joomla/menu/edit_modules.php , templates/beez3/html/com_content/category/default.php , templates/beez3/html/com_content/category/default_articles.php , administrator/components/com_menus/views/items/tmpl/default.php , templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_content/featured/default_item.php , administrator/components/com_menus/views/items/tmpl/modal.php , templates/protostar/component.php , templates/protostar/error.php , administrator/components/com_newsfeeds/views/newsfeed/tmpl/edit.php , templates/protostar/index.php , protostar/offline.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , templates/system/error.php , system/offline.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/index.php , administrator/templates/hathor/component.php , templates/hathor/cpanel.php
  • $ariaLabel : navigation.php
  • $article : layouts/joomla/content/icons/edit.php
  • $articleId : layouts/joomla/content/icons.php
  • $asset : administrator/components/com_media/media.php , administrator/components/com_media/views/images/tmpl/default.php
  • $assetId : administrator/components/com_content/views/featured/tmpl/default.php , administrator/templates/hathor/html/com_content/featured/default.php
  • $assoc : administrator/components/com_contact/views/contact/tmpl/edit.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/article/tmpl/edit.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeed/tmpl/edit.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/templates/hathor/html/com_contact/contact/edit.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_menus/item/edit.php , templates/hathor/html/com_menus/item/edit_options.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/components/com_categories/views/category/tmpl/edit.php
  • $assocParam : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php
  • $attr : edit_positions.php , com_modules/views/modules/tmpl/default_batch_body.php , administrator/templates/isis/html/layouts/joomla/form/field/media.php , default_positions.php , layouts/joomla/form/field/combo.php , layouts/joomla/form/field/media.php , moduleorder.php , templates/protostar/html/layouts/joomla/form/field/media.php
  • $attribs : administrator/components/com_content/views/articles/tmpl/modal.php , system/privacyconsent/label.php , user/terms/label.php , templates/beez3/html/com_content/article/default.php
  • $attributes : layouts/joomla/form/field/calendar.php , layouts/joomla/form/field/checkboxes.php , layouts/joomla/form/field/email.php , layouts/joomla/form/field/meter.php , layouts/joomla/form/field/number.php , layouts/joomla/form/field/password.php , layouts/joomla/form/field/range.php , layouts/joomla/form/field/tel.php , layouts/joomla/form/field/text.php , layouts/joomla/form/field/textarea.php , layouts/joomla/form/field/url.php , default_component.php , default_url.php , plugins/fields/url/tmpl/url.php
  • $author : administrator/components/com_media/media.php , administrator/components/com_media/views/images/tmpl/default.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/category/tmpl/default_articles.php , author.php , templates/beez3/html/com_content/archive/default_items.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php
  • $authorised : layouts/joomla/content/tags.php
  • $authorURL : default_update.php
  • $autocomplete : advanced.php , layouts/joomla/form/field/email.php , layouts/joomla/form/field/number.php , layouts/joomla/form/field/tel.php , layouts/joomla/form/field/text.php , layouts/joomla/form/field/textarea.php , layouts/joomla/form/field/url.php
  • $autofocus : advanced.php
  • $b : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $background_color : administrator/templates/isis/login.php
  • $backtraceList : backtrace.php
  • $base : modules/mod_menu/mod_menu.php
  • $baseDir : autoload_classmap.php , autoload_files.php , autoload_namespaces.php , autoload_psr4.php
  • $basePath : init.php
  • $beforeDisplayContent : components/com_content/views/category/tmpl/blog.php , category_default.php
  • $behavior : libraries/cms.php
  • $blockPosition : info_block.php
  • $bodyClass : layouts/joomla/modal/body.php
  • $bodyHeight : layouts/joomla/modal/body.php , iframe.php
  • $bootstrap : templates/beez3/index.php
  • $branchFilter : administrator/components/com_finder/views/maps/tmpl/default.php
  • $bscolumns : components/com_tags/views/tags/tmpl/default_items.php
  • $bsspans : components/com_tags/views/tags/tmpl/default_items.php
  • $btnClass : administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php , layouts/joomla/toolbar/standard.php
  • $buffer : plugins/fields/imagelist/tmpl/imagelist.php , plugins/fields/media/tmpl/media.php
  • $button : administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , layouts/joomla/editors/buttons/button.php , mod_search.php
  • $button_pos : mod_search.php
  • $button_text : mod_search.php
  • $buttons : mod_quickicon.php , editors/buttons.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $buttonText : administrator/components/com_installer/views/languages/tmpl/default.php
  • $cacheid : mod_articles_categories.php , mod_articles_category.php
  • $cacheparams : mod_articles_categories.php , mod_articles_category.php , mod_related_items.php , mod_tags_popular.php , mod_tags_similar.php
  • $canChange : administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php
  • $canCheckin : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php
  • $canCreate : administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , components/com_tags/views/tag/tmpl/default_items.php , components/com_tags/views/tags/tmpl/default_items.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $canEdit : administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php , components/com_tags/views/tag/tmpl/default_items.php , components/com_tags/views/tags/tmpl/default_items.php , blog_style_default_item_title.php , category_default.php , layouts/joomla/content/icons.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $canEditCat : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $canEditOwn : administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php
  • $canEditOwnCat : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $canEditOwnParCat : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $canEditParCat : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $canEditState : components/com_tags/views/tag/tmpl/default_items.php , components/com_tags/views/tags/tmpl/default_items.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $canManageCheckin : administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/templates/hathor/html/com_associations/associations/default.php
  • $canManageItems : administrator/components/com_menus/views/menus/tmpl/default.php , administrator/templates/hathor/html/com_menus/menus/default.php
  • $canOrder : administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php
  • $category : administrator/components/com_fields/views/fields/tmpl/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , category_default.php
  • $category_image : administrator/components/com_users/views/notes/tmpl/modal.php
  • $check : administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/debuguser/default.php
  • $checkCreateEdit : components/com_content/content.php
  • $checked : layouts/joomla/form/field/checkboxes.php
  • $chkbox_class : templates/hathor/html/com_modules/module/edit_assignment.php
  • $chosenAjaxSettings : layouts/joomla/html/tag.php
  • $class : components/com_modules/views/module/tmpl/edit_options.php , administrator/modules/mod_menu/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/toolbar/confirm.php , administrator/templates/hathor/html/layouts/joomla/toolbar/link.php , administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php , administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php , administrator/templates/hathor/html/layouts/joomla/toolbar/separator.php , administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php , administrator/templates/hathor/html/layouts/joomla/toolbar/title.php , modules/tmpl/default_options.php , com_contact/layouts/field/render.php , components/com_contact/layouts/joomla/form/renderfield.php , components/com_contact/views/categories/tmpl/default_items.php , components/com_contact/views/category/tmpl/default_children.php , components/com_content/views/categories/tmpl/default_items.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , components/com_newsfeeds/views/category/tmpl/default_children.php , components/com_users/layouts/joomla/form/renderfield.php , categories_default_items.php , layouts/joomla/editors/buttons/button.php , backtrace.php , advanced.php , simple.php , layouts/joomla/form/field/hidden.php , layouts/joomla/form/field/meter.php , layouts/joomla/form/renderfield.php , layouts/joomla/toolbar/confirm.php , layouts/joomla/toolbar/link.php , layouts/joomla/toolbar/modal.php , layouts/joomla/toolbar/popup.php , layouts/joomla/toolbar/slider.php , layouts/joomla/toolbar/standard.php , system/privacyconsent/label.php , user/terms/label.php , plugins/fields/imagelist/tmpl/imagelist.php , plugins/fields/media/tmpl/media.php , templates/beez3/html/com_contact/categories/default_items.php , templates/beez3/html/com_contact/category/default_children.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , templates/beez3/html/com_newsfeeds/category/default_children.php , templates/beez3/html/com_weblinks/categories/default_items.php , templates/beez3/html/com_weblinks/category/default_children.php
  • $class_sfx : modules/mod_menu/mod_menu.php
  • $classes : renderlabel.php
  • $className : categories_default_items.php , category_default.php
  • $client : administrator/components/com_languages/views/overrides/tmpl/default.php , components/com_templates/views/template/tmpl/default_description.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , templates/hathor/html/com_templates/template/default_description.php
  • $clientId : administrator/components/com_menus/views/item/tmpl/edit.php , com_menus/views/items/tmpl/default_batch_body.php , com_menus/views/items/tmpl/default_batch_footer.php , edit_positions.php , administrator/components/com_modules/views/modules/tmpl/default.php , com_modules/views/modules/tmpl/default_batch_body.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/templates/hathor/html/com_menus/item/edit.php , administrator/templates/hathor/html/com_modules/positions/modal.php
  • $cMax : administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , default_modal_file_body.php
  • $color : plugins/editors/codemirror/layouts/editors/codemirror/styles.php , templates/beez3/component.php , templates/beez3/error.php , templates/beez3/index.php
  • $color_is_light : administrator/templates/isis/login.php
  • $cols : plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $colSpan : administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_finder/views/maps/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/templates/hathor/html/com_associations/associations/default.php
  • $columns : administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , components/com_tags/views/tags/tmpl/default_items.php
  • $com_path : modules/mod_articles_category/helper.php
  • $compareMessage : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $compatibilityDisplayNotes : default_preupdatecheck.php
  • $compatibilityTypeGroup : default_preupdatecheck.php
  • $compatibilityTypes : default_preupdatecheck.php
  • $component : administrator/components/com_categories/categories.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , layouts/joomla/menu/edit_modules.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , com_contact/layouts/fields/render.php , com_fields/layouts/fields/render.php , layouts/joomla/edit/global.php
  • $condition : plugins/fields/sql/tmpl/sql.php
  • $config : administrator/includes/framework.php , mod_status.php , bin/keychain.php , finder_indexer.php , components/com_modules/modules.php , includes/framework.php , templates/beez3/index.php
  • $configFieldsets : layouts/joomla/edit/params.php
  • $content : plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $context : administrator/components/com_fields/fields.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , com_contact/layouts/fields/render.php , components/com_fields/fields.php , com_fields/layouts/fields/render.php
  • $control : advanced.php
  • $controller : administrator/components/com_actionlogs/actionlogs.php , admin.php , administrator/components/com_associations/associations.php , administrator/components/com_banners/banners.php , administrator/components/com_cache/cache.php , administrator/components/com_categories/categories.php , administrator/components/com_checkin/checkin.php , administrator/components/com_config/config.php , administrator/components/com_contact/contact.php , administrator/components/com_content/content.php , administrator/components/com_contenthistory/contenthistory.php , components/com_cpanel/cpanel.php , administrator/components/com_fields/fields.php , administrator/components/com_finder/finder.php , administrator/components/com_installer/installer.php , administrator/components/com_joomlaupdate/joomlaupdate.php , administrator/components/com_languages/languages.php , administrator/components/com_login/login.php , administrator/components/com_media/media.php , administrator/components/com_menus/menus.php , com_messages/messages.php , administrator/components/com_modules/modules.php , administrator/components/com_newsfeeds/newsfeeds.php , administrator/components/com_plugins/plugins.php , administrator/components/com_privacy/privacy.php , administrator/components/com_redirect/redirect.php , administrator/components/com_search/search.php , administrator/components/com_tags/tags.php , administrator/components/com_templates/templates.php , administrator/components/com_users/users.php , components/com_banners/banners.php , components/com_config/config.php , components/com_contact/contact.php , components/com_content/content.php , components/com_fields/fields.php , components/com_finder/finder.php , mailto.php , components/com_menus/menus.php , components/com_modules/modules.php , components/com_newsfeeds/newsfeeds.php , components/com_privacy/privacy.php , components/com_search/search.php , components/com_tags/tags.php , components/com_users/users.php , wrapper.php
  • $controllerHelper : administrator/components/com_config/config.php , components/com_config/config.php
  • $cookieLogin : components/com_users/views/login/tmpl/default.php
  • $count : administrator/components/com_content/views/featured/tmpl/default.php , components/com_templates/views/template/tmpl/default_tree.php , administrator/components/com_users/views/levels/tmpl/default.php , mod_status.php , templates/hathor/html/com_modules/module/edit_assignment.php , templates/hathor/html/com_templates/template/default_tree.php , frontediting_modules.php , mod_breadcrumbs.php
  • $countdiff : cloud.php
  • $counter : components/com_content/views/category/tmpl/blog.php , components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/category/blog.php , templates/beez3/html/com_content/featured/default.php
  • $cpanel : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $cparams : templates/beez3/html/com_contact/contact/default.php , encyclopedia.php , templates/beez3/html/com_content/category/blog.php
  • $crypto_exception_handler_object_dont_touch_me : php-encryption/Crypto.php
  • $csite_name : mod_footer.php
  • $css : default_upload.php
  • $cssFileExt : layouts/joomla/form/field/calendar.php
  • $cur_year : mod_footer.php
  • $current : default_submenu.php
  • $current_version : administrator/components/com_installer/views/update/tmpl/default.php
  • $CurrentCatUrl : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $currentDate : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php , blog_style_default_item_title.php , layouts/joomla/content/icons/edit.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php
  • $currentJoomlaVersion : administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • $currentPage : layouts/joomla/pagination/links.php
  • $currentShortVersion : administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , installation/view/languages/tmpl/default.php
  • $customFields : default_custom.php
  • $customGroupText : edit_positions.php , com_modules/views/modules/tmpl/default_batch_body.php , default_positions.php
  • $customOptions : administrator/components/com_menus/layouts/joomla/searchtools/default.php , layouts/joomla/searchtools/default.php
  • $data : administrator/components/com_associations/layouts/joomla/searchtools/default/bar.php , administrator/components/com_languages/layouts/joomla/searchtools/default/bar.php , administrator/components/com_menus/layouts/joomla/searchtools/default/bar.php , administrator/components/com_menus/layouts/joomla/searchtools/default.php , layouts/joomla/form/field/meter.php , layouts/joomla/searchtools/default/bar.php , layouts/joomla/searchtools/default/filters.php , layouts/joomla/searchtools/default/list.php , noitems.php , selector.php , layouts/joomla/searchtools/default.php , sort.php , layouts/joomla/tinymce/textarea.php
  • $dataShowOn : administrator/components/com_config/view/component/tmpl/default.php , layouts/joomla/searchtools/default/filters.php
  • $datashowon : options_default.php
  • $dataToggle : default_submenu.php
  • $date : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , mod_footer.php
  • $db : mod_status.php , plugins/fields/sql/tmpl/sql.php
  • $debugGroups : administrator/components/com_users/views/groups/tmpl/default.php
  • $debugUsers : administrator/components/com_users/views/users/tmpl/default.php
  • $default : modules/mod_menu/mod_menu.php
  • $default_id : modules/mod_menu/mod_menu.php
  • $deleteMessage : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $deleteUrl : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $desc : administrator/components/com_modules/views/select/tmpl/default.php
  • $description : administrator/components/com_templates/views/style/tmpl/edit.php , components/com_tags/views/tags/tmpl/default.php
  • $descriptionImage : components/com_tags/views/tags/tmpl/default.php
  • $direction : administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/modules/mod_feed/tmpl/default.php , administrator/modules/mod_menu/tmpl/default.php , administrator/templates/hathor/html/com_modules/positions/modal.php , components/com_newsfeeds/views/newsfeed/tmpl/default.php , layouts/joomla/content/readmore.php , advanced.php , modules/mod_feed/tmpl/default.php
  • $disableClassName : administrator/components/com_languages/views/languages/tmpl/default.php
  • $disabled : administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , layouts/joomla/form/field/calendar.php , advanced.php , simple.php , layouts/joomla/form/field/hidden.php
  • $disabledLabel : administrator/components/com_languages/views/languages/tmpl/default.php
  • $dispatcher : administrator/components/com_media/views/imageslist/tmpl/default_image.php , details_doc.php , details_docs.php , details_img.php , details_imgs.php , details_video.php , details_videos.php , thumbs_docs.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , thumbs_videos.php , administrator/templates/isis/html/com_media/imageslist/default_image.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , components/com_content/views/category/tmpl/blog.php , category_default.php , templates/protostar/html/com_media/imageslist/default_image.php
  • $display : administrator/templates/isis/html/layouts/joomla/pagination/link.php , layouts/joomla/pagination/link.php
  • $display_count : mod_tags_popular.php
  • $displayData : layouts/joomla/content/icons.php
  • $displayFilters : mod_submenu.php
  • $displayGroups : components/com_contact/views/contact/tmpl/default_user_custom_fields.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php
  • $displayHeader : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $displayMenu : mod_submenu.php
  • $doc : administrator/components/com_media/views/medialist/tmpl/details.php , thumbs.php , administrator/modules/mod_menu/tmpl/default.php , layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $document : administrator/components/com_content/views/article/tmpl/pagebreak.php , administrator/components/com_modules/views/select/tmpl/default.php , layouts/joomla/form/field/calendar.php
  • $doTask : administrator/templates/hathor/html/layouts/joomla/toolbar/confirm.php , administrator/templates/hathor/html/layouts/joomla/toolbar/help.php , administrator/templates/hathor/html/layouts/joomla/toolbar/link.php , administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php , administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php , layouts/joomla/toolbar/confirm.php , layouts/joomla/toolbar/help.php , layouts/joomla/toolbar/link.php , layouts/joomla/toolbar/popup.php , layouts/joomla/toolbar/slider.php , layouts/joomla/toolbar/standard.php
  • $dropdownCaret : default_submenu.php
  • $EditCatTxt : administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $editor : administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_modules/views/modules/tmpl/modal.php
  • $editoroptions : administrator/templates/hathor/html/com_content/article/edit.php , components/com_content/views/form/tmpl/edit.php , templates/beez3/html/com_content/form/edit.php
  • $editorText : components/com_config/view/modules/tmpl/default.php
  • $editUrl : frontediting_modules.php
  • $enabled : administrator/modules/mod_menu/mod_menu.php
  • $enabledStates : administrator/components/com_users/views/users/tmpl/modal.php
  • $errPackageTooBig : default_upload.php
  • $errSelectPackage : default_upload.php
  • $expired : administrator/components/com_languages/views/override/tmpl/edit.php
  • $explodeArray : components/com_templates/views/template/tmpl/default_folders.php , components/com_templates/views/template/tmpl/default_tree.php , templates/hathor/html/com_templates/template/default_folders.php , templates/hathor/html/com_templates/template/default_tree.php
  • $extCSS : init.php
  • $extension : administrator/components/com_categories/views/categories/tmpl/default.php , com_categories/views/categories/tmpl/default_batch_body.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , categories_default_items.php , category_default.php
  • $extensionassoc : administrator/components/com_categories/views/category/tmpl/edit.php
  • $extJS : init.php
  • $extraFields : administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/fieldset.php , layouts/joomla/edit/params.php
  • $feed : administrator/modules/mod_feed/mod_feed.php , modules/mod_feed/mod_feed.php
  • $field : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_users/users/modal.php , com_contact/layouts/field/render.php , com_fields/layouts/field/render.php
  • $fieldInput : administrator/components/com_media/views/images/tmpl/default.php
  • $fields : layouts/joomla/menu/edit_modules.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , com_contact/layouts/fields/render.php , components/com_contact/views/contact/tmpl/default_form.php , com_fields/layouts/fields/render.php , default_params.php , layouts/joomla/edit/global.php , publishingdata.php
  • $fieldSet : administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , layouts/joomla/edit/fieldset.php
  • $fieldsets : administrator/components/com_users/views/user/tmpl/edit.php , administrator/templates/hathor/html/com_admin/profile/edit.php , administrator/templates/hathor/html/com_users/user/edit.php , default_custom.php
  • $fieldSets : com_categories/views/category/tmpl/modal_options.php , components/com_contact/views/contact/tmpl/edit_params.php , com_contact/views/contact/tmpl/modal_params.php , components/com_menus/views/item/tmpl/edit_options.php , com_menus/views/item/tmpl/modal_options.php , components/com_modules/views/module/tmpl/edit_options.php , components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php , com_newsfeeds/views/newsfeed/tmpl/modal_params.php , components/com_tags/views/tag/tmpl/edit_options.php , components/com_templates/views/style/tmpl/edit_options.php , administrator/templates/hathor/html/com_categories/category/edit.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/html/com_config/component/default.php , administrator/templates/hathor/html/com_contact/contact/edit.php , templates/hathor/html/com_contact/contact/edit_params.php , administrator/templates/hathor/html/com_content/article/edit.php , templates/hathor/html/com_menus/item/edit_options.php , templates/hathor/html/com_modules/module/edit_options.php , templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php , templates/hathor/html/com_plugins/plugin/edit_options.php , templates/hathor/html/com_tags/tag/edit_metadata.php , templates/hathor/html/com_tags/tag/edit_options.php , templates/hathor/html/com_templates/style/edit_options.php , templates/hathor/html/com_weblinks/weblink/edit_params.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , modules/tmpl/default_options.php , templates/tmpl/default_options.php , layouts/joomla/edit/metadata.php , layouts/joomla/edit/params.php
  • $fieldsnames : options_default.php , text_filters.php
  • $fieldValue : plugins/fields/checkboxes/tmpl/checkboxes.php , plugins/fields/list/tmpl/list.php , plugins/fields/repeatable/tmpl/repeatable.php
  • $fieldValues : plugins/fields/repeatable/tmpl/repeatable.php
  • $file : administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_installer/database/default.php , administrator/templates/isis/error.php
  • $fileArray : components/com_templates/views/template/tmpl/default_tree.php , templates/hathor/html/com_templates/template/default_tree.php
  • $files : templates/beez3/error.php
  • $filesize : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • $filter : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $filterButton : layouts/joomla/searchtools/default/bar.php
  • $filters : mod_submenu.php , layouts/joomla/searchtools/default/bar.php , layouts/joomla/searchtools/default/filters.php
  • $filtersActiveClass : layouts/joomla/searchtools/default.php
  • $filtersClass : administrator/components/com_menus/layouts/joomla/searchtools/default.php
  • $firstTab : administrator/components/com_installer/views/install/tmpl/default.php
  • $folder : mod_random_image.php
  • $fontFamily : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $fontSize : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $footerText : mod_banners.php , mod_languages.php
  • $forcedLanguage : administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php
  • $form : layouts/joomla/menu/edit_modules.php , administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/hathor/html/layouts/joomla/edit/metadata.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/associations.php , layouts/joomla/edit/fieldset.php , layouts/joomla/edit/global.php , layouts/joomla/edit/metadata.php , layouts/joomla/edit/params.php , publishingdata.php , title_alias.php , layouts/joomla/form/field/subform/default.php
  • $format : components/com_ajax/ajax.php , layouts/joomla/form/field/checkboxes.php , advanced.php , layouts/joomla/form/field/radio.php , templates/beez3/error.php , templates/protostar/error.php
  • $formatString : plugins/fields/calendar/tmpl/calendar.php
  • $formSelector : administrator/components/com_menus/layouts/joomla/searchtools/default.php
  • $formUrl : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $forum_url : langforum.php
  • $forumId : langforum.php
  • $frameborder : mod_wrapper.php
  • $frontEndUri : administrator/templates/hathor/login.php , administrator/templates/isis/error.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php
  • $fsCombo : init.php
  • $fskeys : init.php
  • $fullScreenCombo : init.php
  • $function : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_categories/views/category/tmpl/modal.php , administrator/components/com_contact/views/contact/tmpl/modal.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/article/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_menus/views/item/tmpl/modal.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeed/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , administrator/templates/hathor/html/com_users/users/modal.php
  • $g : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $GLOBALS : libraries/legacy/request/request.php
  • $groupClass : administrator/components/com_config/view/component/tmpl/default.php , options_default.php
  • $groups : administrator/components/com_users/views/levels/tmpl/default.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php , tmpl/usergrouplist.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/default_children.php
  • $groupsWithUsers : administrator/templates/hathor/html/com_users/groups/default.php
  • $hasContent : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/templates/hathor/html/com_modules/module/edit.php
  • $hasContentFieldName : administrator/components/com_modules/views/module/tmpl/edit.php
  • $hash : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $header_color : administrator/templates/isis/index.php
  • $header_is_light : administrator/templates/isis/index.php
  • $headerImage : templates/beez3/index.php
  • $headerText : mod_banners.php , mod_languages.php
  • $height : modules/mod_banners/tmpl/default.php , mod_wrapper.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $hidden : administrator/templates/isis/index.php
  • $hidden_fields : templates/hathor/html/com_modules/module/edit_options.php
  • $hiddenFields : layouts/joomla/menu/edit_modules.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , layouts/joomla/edit/global.php , publishingdata.php
  • $hiddenFieldsets : layouts/joomla/edit/params.php
  • $hiddenLinks : edit_container.php
  • $hide : mod_submenu.php
  • $hideActiveFilters : layouts/joomla/searchtools/default.php
  • $hideLinks : administrator/modules/mod_status/tmpl/default.php
  • $highlightMatchColor : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $hint : advanced.php
  • $hits_class : administrator/modules/mod_popular/tmpl/default.php
  • $href : layouts/joomla/editors/buttons/button.php
  • $html : layouts/joomla/menu/edit_modules.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/modules/mod_quickicon/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , administrator/templates/hathor/html/mod_quickicon/default.php , layouts/joomla/edit/fieldset.php , layouts/joomla/edit/global.php , plugins/fields/repeatable/tmpl/repeatable.php
  • $i : administrator/components/com_cache/views/cache/tmpl/default.php , com_categories/views/category/tmpl/modal_options.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_installer/views/warnings/tmpl/default.php , default_upload.php , administrator/components/com_languages/views/overrides/tmpl/default.php , components/com_menus/views/item/tmpl/edit_options.php , com_menus/views/item/tmpl/modal_options.php , components/com_modules/views/module/tmpl/edit_options.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , components/com_tags/views/tag/tmpl/edit_options.php , components/com_templates/views/style/tmpl/edit_options.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_languages/overrides/default.php , templates/hathor/html/com_modules/module/edit_assignment.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/hathor/html/com_users/users/modal.php , modules/tmpl/default_options.php
  • $icon : administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php , layouts/joomla/toolbar/modal.php , layouts/joomla/toolbar/title.php
  • $iconClass : administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php
  • $iconmodules : administrator/components/com_cpanel/views/cpanel/tmpl/default.php
  • $iconStates : administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/templates/hathor/html/com_associations/associations/default.php
  • $id : administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php , components/com_content/views/article/tmpl/default_links.php , renderlabel.php , layouts/joomla/links/link.php , layouts/joomla/quickicons/icon.php , addtab.php , addtabscript.php , modules/mod_articles_categories/tmpl/default_items.php , modules/mod_menu/tmpl/default.php , mod_wrapper.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php , templates/beez3/html/com_content/article/default_links.php
  • $idbase : mod_articles_category.php
  • $iframeAttributes : iframe.php
  • $iframeClass : iframe.php
  • $ignoredFieldsets : templates/beez3/html/com_content/form/edit.php
  • $ignoreFields : administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/fieldset.php , layouts/joomla/edit/params.php
  • $ignoreFieldsets : administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/params.php
  • $image : mod_random_image.php
  • $imagebutton : mod_search.php
  • $images : components/com_newsfeeds/views/newsfeed/tmpl/default.php , full_image.php , intro_image.php , mod_random_image.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php
  • $img : rating.php
  • $info : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php
  • $input : administrator/components/com_categories/categories.php , administrator/components/com_categories/views/category/tmpl/edit.php , administrator/components/com_contact/views/contact/tmpl/edit.php , administrator/components/com_content/views/article/tmpl/edit.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_fields/views/field/tmpl/edit.php , administrator/components/com_fields/views/group/tmpl/edit.php , administrator/components/com_login/login.php , administrator/components/com_media/media.php , administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_media/views/imageslist/tmpl/default_folder.php , administrator/components/com_media/views/media/tmpl/default.php , layouts/joomla/menu/edit_modules.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_menus/views/menutypes/tmpl/default.php , administrator/components/com_modules/modules.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_newsfeeds/views/newsfeed/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_templates/views/template/tmpl/default.php , default_modal_delete_footer.php , default_modal_file_body.php , default_modal_folder_body.php , default_modal_folder_footer.php , readonly.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/modules/mod_menu/mod_menu.php , mod_status.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/templates/hathor/html/com_contact/contact/edit.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_fields/field/edit.php , administrator/templates/hathor/html/com_fields/group/edit.php , administrator/templates/hathor/html/com_menus/item/edit.php , administrator/templates/hathor/html/com_menus/menutypes/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_templates/template/default.php , administrator/templates/hathor/html/com_users/users/modal.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/isis/error.php , administrator/templates/isis/html/com_media/imageslist/default_folder.php , administrator/templates/isis/index.php , components/com_ajax/ajax.php , components/com_contact/contact.php , components/com_content/content.php , components/com_fields/fields.php , layouts/joomla/edit/global.php , modules/mod_articles_categories/tmpl/default_items.php , mod_articles_category.php , templates/protostar/html/com_media/imageslist/default_folder.php
  • $inputAttributes : administrator/templates/isis/html/layouts/joomla/form/field/user.php , layouts/joomla/form/field/user.php
  • $inputclass : advanced.php
  • $inputvalue : layouts/joomla/form/field/calendar.php
  • $introcount : components/com_content/views/category/tmpl/blog.php , components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/featured/default.php
  • $isCheckout : administrator/components/com_associations/views/associations/tmpl/modal.php
  • $isEditable : components/com_content/views/category/tmpl/default_articles.php , templates/beez3/html/com_content/category/default_articles.php
  • $isExpired : components/com_content/views/article/tmpl/default.php , components/com_content/views/featured/tmpl/default_item.php
  • $isMail : com_contact/layouts/fields/render.php
  • $isModal : administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/com_menus/item/edit.php
  • $isMoo : administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php
  • $isNotPublishedYet : components/com_content/views/article/tmpl/default.php , components/com_content/views/featured/tmpl/default_item.php
  • $isRtl : components/com_newsfeeds/views/newsfeed/tmpl/default.php , modules/mod_feed/tmpl/default.php
  • $isSingleTag : components/com_tags/views/tag/tmpl/default.php
  • $issues : platform_check.php
  • $isUnpublished : components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php , layouts/joomla/content/icons/edit.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/featured/default_item.php
  • $item : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/isis/html/layouts/joomla/pagination/link.php , com_contact/layouts/fields/render.php , com_fields/layouts/fields/render.php , categories_default_items.php , layouts/joomla/content/language.php , layouts/joomla/content/readmore.php , layouts/joomla/pagination/link.php
  • $itemId : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/category/tmpl/default_articles.php , components/com_content/views/featured/tmpl/default_item.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/category/default_articles.php , templates/beez3/html/com_content/featured/default_item.php
  • $itemid : administrator/templates/isis/error.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php , frontediting_modules.php , templates/protostar/error.php , templates/protostar/index.php
  • $items : mod_sampledata.php , layouts/joomla/content/associations.php , categories_default_items.php
  • $itemtype : administrator/components/com_associations/associations.php
  • $ititle : mod_wrapper.php
  • $jinput : administrator/templates/hathor/html/com_categories/categories/default.php
  • $joomla : installation/template/index.php
  • $js : default_upload.php , administrator/components/com_privacy/views/request/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/edit.php , plugins/twofactorauth/totp/tmpl/form.php
  • $key : administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_finder/maps/default.php
  • $keyArrayCount : components/com_templates/views/template/tmpl/default_tree.php , templates/hathor/html/com_templates/template/default_tree.php
  • $keywords : advanced.php
  • $label : administrator/components/com_config/view/component/tmpl/default.php , com_contact/layouts/field/render.php , components/com_contact/views/contact/tmpl/default_links.php , components/com_content/views/article/tmpl/default_links.php , com_fields/layouts/field/render.php , system/privacyconsent/label.php , user/terms/label.php , modules/mod_finder/tmpl/default.php , mod_search.php , templates/beez3/html/com_contact/contact/default_links.php , templates/beez3/html/com_content/article/default_links.php
  • $labelClass : default_preupdatecheck.php , com_contact/layouts/field/render.php , com_fields/layouts/field/render.php , modules/mod_finder/tmpl/default.php
  • $lang : finder_indexer.php , plugins/content/pagenavigation/tmpl/default.php , components/com_users/views/profile/tmpl/edit.php , administrator/templates/isis/error.php , administrator/components/com_finder/views/index/tmpl/default.php , administrator/components/com_finder/views/maps/tmpl/default.php , administrator/components/com_media/views/images/tmpl/default.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/components/com_media/views/imageslist/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/modules/mod_menu/mod_menu.php , mod_privacy_dashboard.php , mod_status.php , administrator/templates/hathor/component.php , templates/hathor/cpanel.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/index.php , administrator/templates/hathor/login.php , administrator/templates/isis/component.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php , deletefiles.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php , components/com_contenthistory/contenthistory.php , components/com_media/media.php , components/com_menus/menus.php , components/com_modules/modules.php , components/com_search/views/search/tmpl/default_form.php , modules/mod_finder/tmpl/default.php , mod_search.php , navigation.php
  • $lang_string : administrator/components/com_finder/views/statistics/tmpl/default.php
  • $langFilter : components/com_content/views/category/tmpl/default_articles.php
  • $langs : administrator/modules/mod_login/mod_login.php
  • $language : administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php
  • $last_item_key : modules/mod_breadcrumbs/tmpl/default.php , templates/beez3/html/mod_breadcrumbs/default.php
  • $lastTab : administrator/components/com_installer/views/install/tmpl/default.php
  • $latestJoomlaVersion : administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • $layout : administrator/templates/isis/index.php , templates/protostar/error.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/com_menus/item/edit.php , administrator/templates/isis/error.php , administrator/templates/isis/login.php , com_finder/views/search/tmpl/default_results.php , modules/mod_login/mod_login.php , templates/protostar/index.php
  • $leadingcount : components/com_content/views/category/tmpl/blog.php , components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/category/blog.php , templates/beez3/html/com_content/featured/default.php
  • $legacy : edit_lock.php , create.php , layouts/joomla/content/icons/edit.php , layouts/joomla/content/icons/email.php , print_popup.php , print_screen.php
  • $li : addtabscript.php
  • $license : installation/template/index.php
  • $limit : com_finder/views/search/tmpl/default_results.php
  • $lineHeight : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $link : templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_weblinks/category/default_items.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/templates/isis/html/layouts/joomla/toolbar/versions.php , components/com_contact/views/contact/tmpl/default_links.php , components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/category/tmpl/default_articles.php , components/com_content/views/featured/tmpl/default_item.php , com_finder/views/search/tmpl/default_results.php , mod_random_image.php , mod_syndicate.php , templates/beez3/html/com_contact/contact/default_links.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/category/default_articles.php , templates/beez3/html/com_content/featured/default_item.php , templates/protostar/html/layouts/joomla/form/field/user.php
  • $link_class : layouts/joomla/content/tags.php
  • $linkClass : default_submenu.php
  • $linktype : default_component.php , default_heading.php , default_separator.php , default_url.php
  • $linkUrl : com_finder/views/search/tmpl/default_results.php
  • $list : mod_languages.php , mod_tags_popular.php , mod_articles_news.php , layouts/joomla/form/field/text.php , mod_privacy_dashboard.php , mod_latest.php , mod_latestactions.php , mod_popular.php , mod_stats_admin.php , mod_submenu.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php , layouts/joomla/pagination/links.php , layouts/joomla/pagination/list.php , layouts/joomla/searchtools/default/list.php , mod_articles_archive.php , mod_articles_categories.php , mod_articles_category.php , mod_articles_latest.php , mod_articles_popular.php , mod_banners.php , mod_breadcrumbs.php , modules/mod_menu/mod_menu.php , mod_related_items.php , mod_stats.php , mod_tags_similar.php
  • $listDirn : administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_cache/views/cache/tmpl/default.php , administrator/components/com_actionlogs/views/actionlogs/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_banners/views/tracks/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_finder/views/filters/tmpl/default.php , administrator/components/com_finder/views/index/tmpl/default.php , administrator/components/com_finder/views/maps/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_installer/views/manage/tmpl/default.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_messages/views/messages/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/components/com_users/views/groups/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/templates/hathor/html/com_associations/associations/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_installer/discover/default.php , administrator/templates/hathor/html/com_installer/languages/default.php , administrator/templates/hathor/html/com_installer/manage/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_messages/messages/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_search/searches/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/templates/hathor/html/com_templates/templates/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/groups/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/templates/hathor/html/com_users/users/modal.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , components/com_contact/views/featured/tmpl/default_items.php , components/com_content/views/category/tmpl/default_articles.php , components/com_newsfeeds/views/category/tmpl/default_items.php , list_items.php , templates/beez3/html/com_contact/category/default_items.php , templates/beez3/html/com_newsfeeds/category/default_items.php , templates/beez3/html/com_weblinks/category/default_items.php , administrator/templates/hathor/html/com_users/debuguser/default.php , templates/beez3/html/com_content/category/default_articles.php , administrator/templates/hathor/html/com_users/users/default.php
  • $listOrder : administrator/components/com_actionlogs/views/actionlogs/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_cache/views/cache/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_finder/views/filters/tmpl/default.php , administrator/components/com_finder/views/index/tmpl/default.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_installer/views/manage/tmpl/default.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/components/com_users/views/groups/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_installer/discover/default.php , administrator/templates/hathor/html/com_installer/languages/default.php , administrator/templates/hathor/html/com_installer/manage/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_messages/messages/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/templates/hathor/html/com_templates/templates/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/debuguser/default.php , administrator/templates/hathor/html/com_users/groups/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/hathor/html/com_users/users/modal.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , components/com_content/views/category/tmpl/default_articles.php , components/com_newsfeeds/views/category/tmpl/default_items.php , list_items.php , templates/beez3/html/com_content/category/default_articles.php , templates/beez3/html/com_newsfeeds/category/default_items.php , templates/beez3/html/com_weblinks/category/default_items.php , components/com_contact/views/featured/tmpl/default_items.php , templates/beez3/html/com_contact/category/default_items.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/templates/hathor/html/com_search/searches/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_associations/associations/default.php , administrator/components/com_messages/views/messages/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_finder/views/maps/tmpl/default.php , administrator/components/com_associations/views/associations/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_banners/views/tracks/tmpl/default.php
  • $load : mod_wrapper.php
  • $loader : libraries/cms.php
  • $loadUrl : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php
  • $location : components/com_contact/views/category/tmpl/default_items.php
  • $loggeduser : administrator/components/com_users/views/users/tmpl/default.php , administrator/templates/hathor/html/com_users/users/default.php
  • $loginmodule : administrator/components/com_login/views/login/tmpl/default.php
  • $logo : templates/beez3/index.php , templates/beez3/error.php
  • $long_description : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php
  • $loop : administrator/templates/isis/error.php , administrator/templates/system/error.php , templates/beez3/error.php , templates/protostar/error.php , templates/system/error.php , administrator/templates/hathor/error.php
  • $mainPageUri : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $manifest : administrator/components/com_installer/views/update/tmpl/default.php
  • $maxcount : cloud.php
  • $maxlength : mod_search.php
  • $maxSize : default_upload.php , administrator/components/com_media/views/media/tmpl/default.php , default_modal_file_body.php , layouts/joomla/form/field/file.php
  • $maxsize : cloud.php
  • $maxSize : administrator/components/com_media/views/images/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php
  • $maxSizeBytes : default_upload.php , plugins/installer/packageinstaller/tmpl/default.php
  • $mediaBaseDir : administrator/components/com_media/media.php
  • $member : modules/mod_whosonline/tmpl/default.php
  • $menu : administrator/modules/mod_menu/mod_menu.php , components/com_content/views/category/tmpl/default_articles.php , templates/beez3/html/com_content/category/default_articles.php
  • $menuclass : templates/beez3/html/com_weblinks/category/default_items.php
  • $menuLinks : edit_container.php
  • $menusEditing : frontediting_modules.php
  • $menuTree : administrator/modules/mod_menu/tmpl/default.php
  • $menuType : administrator/components/com_menus/views/items/tmpl/default.php , com_menus/views/items/tmpl/default_batch_body.php , com_menus/views/items/tmpl/default_batch_footer.php
  • $menutypeid : administrator/templates/hathor/html/com_menus/items/default.php
  • $menuTypes : components/com_modules/views/module/tmpl/edit_assignment.php , components/com_templates/views/style/tmpl/edit_assignment.php , templates/hathor/html/com_modules/module/edit_assignment.php , templates/hathor/html/com_templates/style/edit_assignment.php
  • $message : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , layouts/joomla/toolbar/batch.php , administrator/templates/hathor/html/com_installer/database/default.php
  • $message1 : default_message.php
  • $message2 : default_message.php
  • $messages : logstable.php
  • $mime : default_result.php
  • $minorVersion : administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , installation/view/languages/tmpl/default.php
  • $minsize : cloud.php
  • $mitemid : mod_search.php
  • $mod : administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , frontediting_modules.php
  • $modalAttributes : main.php
  • $modalClasses : main.php
  • $modalWidth : main.php
  • $mode : administrator/components/com_tags/views/tags/tmpl/default.php , mod_articles_category.php
  • $modePath : init.php
  • $modifier : plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $modMenuId : administrator/components/com_menus/views/menus/tmpl/default.php , administrator/templates/hathor/html/com_menus/menus/default.php
  • $modPath : init.php
  • $module : templates/protostar/error.php , templates/beez3/error.php
  • $moduleclass_sfx : modules/mod_feed/mod_feed.php , mod_users_latest.php , mod_whosonline.php , administrator/modules/mod_feed/mod_feed.php , mod_privacy_dashboard.php , mod_stats_admin.php , mod_related_items.php , mod_footer.php , mod_articles_archive.php , mod_articles_latest.php , mod_tags_popular.php , mod_languages.php , mod_banners.php , mod_breadcrumbs.php , modules/mod_custom/mod_custom.php , mod_random_image.php , mod_search.php , mod_stats.php , mod_syndicate.php , mod_tags_similar.php , mod_articles_news.php , mod_articles_popular.php , mod_wrapper.php
  • $moduleHtml : frontediting_modules.php
  • $modules : administrator/components/com_login/views/login/tmpl/default.php
  • $moduleXml : components/com_config/view/modules/tmpl/default.php
  • $msg0 : administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_installer/database/default.php
  • $msg1 : administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_installer/database/default.php
  • $msg2 : administrator/templates/hathor/html/com_installer/database/default.php , administrator/components/com_installer/views/database/tmpl/default.php
  • $msgList : layouts/joomla/system/message.php , administrator/templates/isis/html/layouts/joomla/system/message.php , templates/protostar/html/layouts/joomla/system/message.php , templates/beez3/html/layouts/joomla/system/message.php
  • $msgs : administrator/components/com_installer/views/database/tmpl/default.php , administrator/templates/hathor/html/com_installer/database/default.php
  • $multilang : com_finder/views/search/tmpl/default_results.php
  • $myrtl : components/com_newsfeeds/views/newsfeed/tmpl/default.php , administrator/modules/mod_feed/tmpl/default.php , modules/mod_feed/tmpl/default.php
  • $n : templates/beez3/html/com_weblinks/category/default_items.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/templates/hathor/html/com_content/articles/default.php , templates/beez3/html/com_newsfeeds/category/default_items.php , templates/beez3/html/com_content/category/default_articles.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , components/com_content/views/category/tmpl/default_articles.php , components/com_newsfeeds/views/category/tmpl/default_items.php , components/com_tags/views/tags/tmpl/default_items.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , components/com_tags/views/tag/tmpl/list.php
  • $name : administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , item_title.php , administrator/components/com_modules/views/select/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php , layouts/joomla/edit/fieldset.php , layouts/joomla/toolbar/slider.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php , togglebutton.php , layouts/joomla/toolbar/popup.php
  • $names : mod_users_latest.php
  • $navbar_color : administrator/templates/isis/index.php
  • $navbar_is_light : administrator/templates/isis/index.php
  • $navposition : templates/beez3/error.php , templates/beez3/index.php
  • $noResultsText : layouts/joomla/searchtools/default.php
  • $notice_disabled : administrator/components/com_languages/views/multilangstatus/tmpl/default.php
  • $notice_homes : administrator/components/com_languages/views/multilangstatus/tmpl/default.php
  • $notice_switchers : administrator/components/com_languages/views/multilangstatus/tmpl/default.php
  • $now : administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php
  • $object1 : views/compare/tmpl/compare.php
  • $object2 : views/compare/tmpl/compare.php
  • $offset : administrator/templates/isis/index.php
  • $oid : layouts/joomla/form/field/checkboxes.php
  • $onchange : layouts/joomla/form/field/checkboxes.php , advanced.php , layouts/joomla/form/field/hidden.php
  • $onclick : layouts/joomla/quickicons/icon.php , layouts/joomla/form/field/checkboxes.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , layouts/joomla/editors/buttons/button.php , layouts/joomla/links/link.php
  • $onClick : administrator/components/com_media/views/images/tmpl/default.php
  • $onclick : administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php
  • $onClose : administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , layouts/joomla/toolbar/slider.php
  • $online_num : mod_status.php
  • $oppositeClient : administrator/components/com_languages/views/overrides/tmpl/default.php
  • $oppositeFileName : administrator/components/com_languages/views/overrides/tmpl/default.php
  • $oppositeStrings : administrator/components/com_languages/views/overrides/tmpl/default.php
  • $option : templates/protostar/index.php , templates/beez3/index.php , administrator/templates/isis/error.php , templates/protostar/error.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , modules/mod_articles_categories/tmpl/default_items.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php
  • $optionClass : layouts/joomla/form/field/checkboxes.php
  • $optionDisabled : layouts/joomla/form/field/checkboxes.php
  • $optionNo : layouts/joomla/html/batch/user.php
  • $options : plugins/fields/checkboxes/tmpl/checkboxes.php , plugins/fields/list/tmpl/list.php , layouts/joomla/form/field/media.php , layouts/joomla/pagination/links.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , com_categories/views/categories/tmpl/default_batch_body.php , com_menus/views/items/tmpl/default_batch_body.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , layouts/joomla/edit/associations.php , layouts/joomla/html/batch/item.php , tmpl/vote.php , plugins/fields/radio/tmpl/radio.php , administrator/components/com_associations/views/association/tmpl/edit.php , com_users/views/users/tmpl/default_batch_body.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php
  • $options_str : chosen.php
  • $ordering : administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_fields/groups/default.php
  • $os : import.legacy.php , import.php
  • $output : modules/mod_finder/tmpl/default.php , administrator/modules/mod_status/tmpl/default.php , com_fields/layouts/fields/render.php , modules/mod_search/tmpl/default.php
  • $overlib : layouts/joomla/content/icons/edit.php
  • $pageClass : components/com_newsfeeds/views/category/tmpl/default.php
  • $pages : administrator/templates/isis/html/layouts/joomla/pagination/links.php , layouts/joomla/pagination/links.php
  • $pagesTotal : administrator/templates/isis/html/layouts/joomla/pagination/links.php
  • $pageSubHeading : templates/beez3/html/com_content/category/default.php
  • $panelName : administrator/templates/hathor/html/com_installer/database/default.php
  • $param : administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php
  • $parameters : frontediting_modules.php
  • $params : administrator/components/com_media/media.php , administrator/components/com_media/views/medialist/tmpl/details.php , details_doc.php , thumbs_docs.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , components/com_content/views/article/tmpl/default_links.php , components/com_content/views/category/tmpl/blog_item.php , categories_default_items.php , create.php , layouts/joomla/content/icons/email.php , templates/protostar/index.php , init.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/form/edit.php , templates/protostar/error.php , layouts/joomla/content/readmore.php , templates/beez3/html/com_content/category/blog_item.php , plugins/editors/codemirror/layouts/editors/codemirror/element.php , print_screen.php , components/com_contact/views/contact/tmpl/default_user_custom_fields.php , full_image.php , components/com_content/views/article/tmpl/default.php , details_video.php , thumbs.php , details_img.php , administrator/components/com_media/views/imageslist/tmpl/default_image.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_content/views/article/tmpl/edit.php , administrator/components/com_media/views/images/tmpl/default.php , details_docs.php , details_imgs.php , details_videos.php , thumbs_videos.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , com_redirect/views/links/tmpl/default_batch_body.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/isis/error.php , administrator/templates/isis/html/com_media/imageslist/default_image.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/featured/tmpl/default_item.php , components/com_content/views/form/tmpl/edit.php , blog_style_default_item_title.php , category_default.php , print_popup.php , intro_image.php , mod_wrapper.php , templates/beez3/error.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php , templates/beez3/html/com_content/archive/default_items.php , templates/beez3/html/com_content/article/default_links.php , templates/beez3/html/com_weblinks/form/edit.php , templates/protostar/html/com_media/imageslist/default_image.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , templates/beez3/html/com_content/featured/default_item.php
  • $ParentCatUrl : administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php
  • $parts : includes/defines.php , components/com_ajax/ajax.php , com_contact/layouts/fields/render.php , components/com_fields/fields.php , administrator/includes/defines.php , administrator/components/com_categories/categories.php , administrator/components/com_categories/views/categories/tmpl/default.php , installation/application/defines.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_fields/fields.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , com_fields/layouts/fields/render.php
  • $password : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • $path : administrator/components/com_media/views/medialist/tmpl/details.php , thumbs.php , installation/view/summary/tmpl/default.php , administrator/components/com_media/media.php , modules/mod_menu/mod_menu.php
  • $penult_item_key : modules/mod_breadcrumbs/tmpl/default.php , templates/beez3/html/mod_breadcrumbs/default.php
  • $PHPMAILER_LANG : phpmailer.lang-en_gb.php
  • $popup_upload : administrator/components/com_media/media.php
  • $position : frontediting_modules.php , advanced.php
  • $position7ModuleCount : templates/protostar/index.php
  • $position8ModuleCount : templates/protostar/index.php
  • $positions : edit_positions.php , com_modules/views/modules/tmpl/default_batch_body.php , default_positions.php , com_modules/views/modules/tmpl/default_batch_body.php
  • $prefix : administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php
  • $presentation_style : components/com_contact/views/contact/tmpl/default_user_custom_fields.php , components/com_contact/views/contact/tmpl/default.php
  • $presetButtonClases : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $prev : installation/view/summary/tmpl/default.php
  • $prevlevel : components/com_modules/views/module/tmpl/edit_assignment.php , edit_container.php
  • $published : com_contact/views/contacts/tmpl/default_batch_body.php , layouts/joomla/edit/details.php , com_tags/views/tags/tmpl/default_batch_body.php , administrator/components/com_menus/views/items/tmpl/default.php , com_menus/views/items/tmpl/default_batch_body.php , com_menus/views/items/tmpl/default_batch_footer.php , com_categories/views/categories/tmpl/default_batch_body.php , com_redirect/views/links/tmpl/default_batch_body.php , default_batch.php , com_banners/views/banners/tmpl/default_batch_body.php , com_content/views/articles/tmpl/default_batch_body.php , com_modules/views/modules/tmpl/default_batch_body.php , com_newsfeeds/views/newsfeeds/tmpl/default_batch_body.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • $purchaseTypes : administrator/components/com_banners/views/clients/tmpl/default.php
  • $query : plugins/fields/sql/tmpl/sql.php , mod_status.php , mod_finder.php
  • $r : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • $RandomCompatDIR : random.php
  • $range : layouts/joomla/pagination/links.php
  • $rating : rating.php
  • $rcount : rating.php
  • $readonly : layouts/joomla/form/field/calendar.php , advanced.php , simple.php
  • $redirectUri : frontediting_modules.php
  • $rel : components/com_contact/layouts/joomla/form/renderfield.php , layouts/joomla/form/renderfield.php , layouts/joomla/links/link.php , components/com_users/layouts/joomla/form/renderfield.php
  • $renderer : switcher.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php
  • $required : components/com_contact/layouts/joomla/form/renderfield.php , advanced.php , components/com_users/layouts/joomla/form/renderfield.php , system/privacyconsent/label.php , user/terms/label.php
  • $resetOptions : com_users/views/users/tmpl/default_batch_body.php
  • $results : category_default.php , components/com_ajax/ajax.php , components/com_content/views/category/tmpl/blog.php
  • $return : default_login.php , administrator/modules/mod_login/mod_login.php , administrator/components/com_menus/views/menus/tmpl/default.php , modules/mod_login/mod_login.php , administrator/templates/hathor/html/com_menus/menus/default.php
  • $returnUrl : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • $root : administrator/modules/mod_menu/tmpl/default.php
  • $route : default_result.php , mod_finder.php
  • $row : components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/featured/default.php
  • $rowcount : components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/featured/default.php
  • $rows : plugins/editors/codemirror/layouts/editors/codemirror/element.php
  • $rssrtl : modules/mod_feed/mod_feed.php , administrator/modules/mod_feed/mod_feed.php
  • $rssurl : administrator/modules/mod_feed/mod_feed.php , modules/mod_feed/mod_feed.php
  • $saveHistory : layouts/joomla/menu/edit_modules.php , layouts/joomla/edit/details.php , administrator/templates/hathor/html/layouts/joomla/edit/global.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php , layouts/joomla/edit/global.php , administrator/templates/hathor/html/com_weblinks/weblink/edit.php , administrator/templates/hathor/html/com_tags/tag/edit.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/templates/hathor/html/com_contact/contact/edit.php
  • $saveOrder : administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php
  • $script : administrator/templates/hathor/html/com_modules/module/edit.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , components/com_modules/views/module/tmpl/edit_assignment.php , administrator/components/com_menus/views/item/tmpl/edit.php , edit_container.php , administrator/components/com_modules/views/module/tmpl/edit.php , modules/mod_finder/tmpl/default.php , administrator/components/com_users/views/mail/tmpl/default.php , main.php , administrator/templates/hathor/html/com_menus/item/edit.php , administrator/components/com_menus/views/menus/tmpl/default.php
  • $scroll : mod_wrapper.php
  • $searchButton : layouts/joomla/searchtools/default/bar.php
  • $searchFilterDesc : administrator/components/com_modules/views/modules/tmpl/modal.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/modal.php
  • $section : administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php
  • $selected : edit_container.php , components/com_modules/views/module/tmpl/edit_assignment.php
  • $selectedPosition : edit_positions.php
  • $selector : starttabsetscript.php , starttabset.php , addtabscript.php , layouts/joomla/toolbar/modal.php , administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php
  • $selectorFieldName : layouts/joomla/searchtools/default.php
  • $self : administrator/components/com_users/views/users/tmpl/default.php
  • $separator : mod_breadcrumbs.php , com_redirect/views/links/tmpl/default_batch_body.php
  • $serverinfo : mod_stats.php , mod_stats_admin.php
  • $set_Itemid : mod_search.php
  • $short_desc : administrator/components/com_modules/views/select/tmpl/default.php
  • $short_description : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php
  • $show_advanced : modules/mod_finder/tmpl/default.php
  • $show_contact_category : components/com_contact/views/contact/tmpl/default.php
  • $show_description : default_result.php
  • $show_last : modules/mod_breadcrumbs/tmpl/default.php
  • $showAll : modules/mod_menu/mod_menu.php
  • $showAsTooltip : layouts/joomla/form/field/media.php
  • $showbottom : templates/beez3/index.php , templates/beez3/error.php
  • $showCategoryHeadingTitleText : templates/beez3/html/com_content/category/default.php
  • $showCategoryTitle : templates/beez3/html/com_content/category/default.php
  • $showDate : mod_related_items.php
  • $showEmailIcon : templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/featured/default_item.php
  • $showFilterButton : layouts/joomla/searchtools/default.php
  • $showIpColumn : logstable.php
  • $showLabel : com_contact/layouts/field/render.php , com_fields/layouts/field/render.php , modules/mod_finder/tmpl/default.php
  • $showleft : templates/beez3/index.php , templates/beez3/error.php
  • $showLimitBox : layouts/joomla/pagination/links.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php
  • $showLimitStart : layouts/joomla/pagination/links.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php
  • $showmode : mod_whosonline.php
  • $shownumber : mod_users_latest.php
  • $showPagesLinks : administrator/templates/isis/html/layouts/joomla/pagination/links.php , layouts/joomla/pagination/links.php
  • $showPreUpdateCheck : administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • $showPreview : layouts/joomla/form/field/media.php
  • $showPrintIcon : templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_content/article/default.php
  • $showRightColumn : templates/beez3/error.php , templates/beez3/index.php
  • $showSelector : layouts/joomla/searchtools/default.php
  • $showSubmenu : administrator/templates/isis/index.php , administrator/templates/isis/error.php
  • $siteinfo : mod_stats_admin.php , mod_stats.php
  • $sitename : administrator/templates/isis/error.php , templates/protostar/error.php , templates/protostar/index.php , administrator/templates/isis/login.php , protostar/offline.php , administrator/templates/isis/index.php
  • $spans : administrator/components/com_cpanel/views/cpanel/tmpl/default.php
  • $starImageOff : rating.php
  • $starImageOn : rating.php
  • $start : com_finder/views/search/tmpl/default_results.php
  • $startMem : index.php , administrator/index.php
  • $startTime : administrator/index.php , index.php
  • $state : default_message.php , edit_positions.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/components/com_modules/views/positions/tmpl/modal.php
  • $stateIcons : administrator/components/com_privacy/views/consents/tmpl/default.php
  • $stateMsgs : administrator/components/com_privacy/views/consents/tmpl/default.php
  • $statusFixed : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $step : layouts/joomla/pagination/links.php
  • $stickyBar : administrator/templates/isis/index.php
  • $stickyToolbar : administrator/templates/isis/error.php , administrator/templates/isis/index.php
  • $style : components/com_media/views/media/tmpl/default_navigation.php , administrator/components/com_media/views/media/tmpl/default.php , edit_container.php , administrator/templates/hathor/html/layouts/joomla/toolbar/separator.php
  • $subject : administrator/components/com_users/views/notes/tmpl/default.php
  • $sublayout : layouts/joomla/form/field/subform/repeatable.php
  • $suffix : modules/mod_finder/tmpl/default.php
  • $table_head : repeatable-table.php
  • $tabName : administrator/templates/hathor/html/layouts/joomla/edit/params.php , layouts/joomla/edit/params.php
  • $tabs : administrator/components/com_installer/views/install/tmpl/default.php
  • $tabSetStarted : components/com_contact/views/contact/tmpl/default.php
  • $tagsData : category_default.php , templates/beez3/html/com_weblinks/category/default_items.php
  • $target : components/com_content/views/article/tmpl/default_links.php , templates/beez3/html/com_content/article/default_links.php , mod_wrapper.php , frontediting_modules.php , layouts/joomla/links/link.php , administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php , layouts/joomla/quickicons/icon.php
  • $task : administrator/components/com_login/login.php , templates/protostar/index.php , com_messages/messages.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/isis/index.php , templates/protostar/error.php , administrator/templates/isis/login.php , administrator/modules/mod_status/tmpl/default.php , administrator/templates/isis/error.php
  • $template : administrator/components/com_modules/views/positions/tmpl/modal.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_config/component/default.php , administrator/components/com_config/view/component/tmpl/default.php
  • $templateparams : templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/archive/default.php , templates/beez3/html/com_content/archive/default_items.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_content/category/default.php , templates/beez3/html/com_content/category/blog.php
  • $text : system/privacyconsent/label.php , administrator/templates/hathor/html/com_users/debuguser/default.php , layouts/joomla/toolbar/link.php , layouts/joomla/toolbar/popup.php , components/com_modules/layouts/toolbar/cancelselect.php , layouts/joomla/quickicons/icon.php , components/com_modules/layouts/toolbar/newmodule.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , mod_search.php , administrator/templates/hathor/html/layouts/joomla/toolbar/help.php , administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php , templates/hathor/html/layouts/com_modules/toolbar/newmodule.php , mod_syndicate.php , layouts/joomla/links/link.php , administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php , layouts/joomla/toolbar/confirm.php , layouts/joomla/toolbar/help.php , layouts/joomla/toolbar/standard.php , user/terms/label.php , administrator/templates/hathor/html/layouts/joomla/toolbar/link.php , layouts/joomla/toolbar/slider.php , administrator/templates/hathor/html/layouts/joomla/toolbar/confirm.php , mysettings.php , administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php , administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php , layouts/joomla/toolbar/modal.php , templates/hathor/html/layouts/com_modules/toolbar/cancelselect.php , administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php
  • $texts : plugins/fields/radio/tmpl/radio.php , plugins/fields/user/tmpl/user.php , plugins/fields/list/tmpl/list.php , tmpl/usergrouplist.php , plugins/fields/checkboxes/tmpl/checkboxes.php , plugins/fields/sql/tmpl/sql.php
  • $title : components/com_media/layouts/toolbar/uploadmedia.php , addtabscript.php , layouts/joomla/links/link.php , administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php , administrator/templates/hathor/html/com_finder/maps/default.php , renderlabel.php , sort.php , templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_content/archive/default_items.php , default_separator.php , templates/hathor/html/layouts/com_media/toolbar/newfolder.php , templates/hathor/html/layouts/com_media/toolbar/uploadmedia.php , parent_category.php , templates/beez3/html/com_content/category/blog_item.php , administrator/templates/hathor/html/layouts/joomla/toolbar/batch.php , default_heading.php , layouts/joomla/quickicons/icon.php , administrator/components/com_redirect/layouts/toolbar/batch.php , layouts/joomla/content/info_block/category.php , components/com_media/layouts/toolbar/newfolder.php , layouts/joomla/toolbar/batch.php , templates/hathor/html/layouts/com_media/toolbar/deletemedia.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php , navigation.php , layouts/joomla/edit/details.php , item_title.php , layouts/joomla/editors/buttons/button.php , components/com_media/layouts/toolbar/deletemedia.php , title_alias.php
  • $tmp : default_custom.php
  • $tmpl : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_menus/views/menutypes/tmpl/default.php , administrator/templates/hathor/html/com_menus/menutypes/default.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/com_menus/item/edit.php
  • $toolbar : mod_toolbar.php
  • $tooltip : edit_lock.php
  • $total : com_finder/views/search/tmpl/default_results.php
  • $total_users : mod_status.php
  • $totalRequests : administrator/modules/mod_privacy_dashboard/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php
  • $tparams : components/com_contact/views/contact/tmpl/default.php
  • $twofactormethods : finaliseconfirm.php , administrator/modules/mod_login/mod_login.php , protostar/offline.php , captive.php , system/offline.php , modules/mod_login/mod_login.php
  • $txtPackageSize : default_upload.php
  • $type : administrator/templates/hathor/html/com_modules/positions/modal.php , modules/mod_login/mod_login.php , administrator/components/com_modules/views/positions/tmpl/modal.php
  • $typeOfSpacer : components/com_users/layouts/joomla/form/renderfield.php , components/com_contact/layouts/joomla/form/renderfield.php
  • $ulTarget : components/com_media/views/media/tmpl/default_folders.php
  • $unread : mod_status.php
  • $upper_limit : components/com_search/views/search/tmpl/default_form.php , mod_search.php
  • $urgentRequestDate : administrator/components/com_privacy/views/requests/tmpl/default.php
  • $uri : administrator/templates/hathor/html/com_menus/menus/default.php , tmpl/vote.php , layouts/joomla/form/field/user.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/templates/isis/html/layouts/joomla/form/field/user.php
  • $url : administrator/templates/isis/html/layouts/joomla/form/field/media.php , mod_wrapper.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/archive/default_items.php , templates/protostar/html/layouts/joomla/form/field/media.php , templates/beez3/html/com_content/featured/default_item.php
  • $urls : components/com_content/views/article/tmpl/default_links.php , templates/beez3/html/com_content/article/default.php , components/com_content/views/article/tmpl/default.php , templates/beez3/html/com_content/article/default_links.php
  • $useDefList : components/com_content/views/article/tmpl/default.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/featured/tmpl/default_item.php
  • $useftp : installation/view/summary/tmpl/default.php
  • $uselessMenuItem : components/com_modules/views/module/tmpl/edit_assignment.php
  • $user : administrator/templates/hathor/html/com_templates/templates/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/components/com_finder/views/filters/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , components/com_tags/views/tags/tmpl/default_items.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_cpanel/views/cpanel/tmpl/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , components/com_content/content.php , administrator/templates/hathor/html/com_messages/messages/default.php , details_doc.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , details_img.php , components/com_templates/views/style/tmpl/edit_assignment.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_media/media.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/isis/index.php , templates/protostar/error.php , administrator/components/com_privacy/views/consents/tmpl/default.php , details_imgs.php , administrator/modules/mod_menu/mod_menu.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , templates/hathor/html/com_templates/style/edit_assignment.php , administrator/templates/hathor/html/com_categories/categories/default.php , components/com_content/views/category/tmpl/blog_children.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , templates/beez3/html/com_content/article/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , details_up.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/components/com_media/views/images/tmpl/default.php , templates/beez3/html/com_weblinks/category/default_items.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , templates/protostar/index.php , components/com_content/views/category/tmpl/default_children.php , details_video.php , administrator/components/com_templates/views/styles/tmpl/default.php , templates/beez3/html/com_content/category/default_children.php , modules/mod_login/mod_login.php , administrator/components/com_users/views/levels/tmpl/default.php , components/com_config/view/templates/tmpl/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_users/groups/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/templates/hathor/html/com_menus/items/default.php , details_folder.php , administrator/templates/hathor/html/com_templates/style/edit.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/templates/isis/error.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , mod_status.php , administrator/components/com_privacy/views/requests/tmpl/default.php , components/com_tags/views/tag/tmpl/default_items.php , administrator/components/com_modules/modules.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , components/com_content/views/article/tmpl/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , templates/beez3/html/com_content/category/blog_children.php , administrator/components/com_messages/views/messages/tmpl/default.php
  • $userFieldGroups : components/com_contact/views/contact/tmpl/default_user_custom_fields.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php
  • $userId : administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/components/com_finder/views/filters/tmpl/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menus/default.php
  • $userRequired : administrator/components/com_users/views/users/tmpl/modal.php
  • $users : mod_logged.php
  • $usersConfig : default_login.php , modules/mod_login/tmpl/default.php
  • $UTF8_ar : vendor/joomla/string/src/phputf8/utf8.php
  • $UTF8_BAD : vendor/joomla/string/src/phputf8/utils/patterns.php
  • $UTF8_MATCH : vendor/joomla/string/src/phputf8/utils/patterns.php
  • $UTF8_VALID : vendor/joomla/string/src/phputf8/utils/patterns.php
  • $valBar1 : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $valBar2 : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $validate : advanced.php
  • $valMenu : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • $value : plugins/fields/text/tmpl/text.php , plugins/fields/media/tmpl/media.php , com_fields/layouts/field/render.php , plugins/fields/color/tmpl/color.php , layouts/joomla/form/field/checkboxes.php , tmpl/usergrouplist.php , plugins/fields/integer/tmpl/integer.php , plugins/fields/editor/tmpl/editor.php , plugins/fields/radio/tmpl/radio.php , plugins/fields/url/tmpl/url.php , plugins/fields/sql/tmpl/sql.php , layouts/joomla/form/field/range.php , layouts/joomla/form/field/meter.php , layouts/joomla/form/field/number.php , plugins/fields/imagelist/tmpl/imagelist.php , plugins/fields/user/tmpl/user.php , plugins/fields/calendar/tmpl/calendar.php , plugins/fields/textarea/tmpl/textarea.php , com_contact/layouts/field/render.php
  • $valueClass : com_fields/layouts/field/render.php
  • $vendorDir : autoload_classmap.php , autoload_files.php , autoload_namespaces.php , autoload_psr4.php
  • $version : administrator/components/com_installer/views/languages/tmpl/default.php , administrator/templates/hathor/html/com_installer/languages/default.php , administrator/includes/framework.php , installation/view/languages/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , mod_version.php , includes/framework.php
  • $version1 : views/compare/tmpl/compare.php
  • $version2 : views/compare/tmpl/compare.php
  • $versionFields : layouts/stats.php
  • $view : modules/mod_articles_categories/tmpl/default_items.php , administrator/components/com_media/media.php , administrator/templates/isis/login.php , administrator/templates/isis/index.php , templates/protostar/error.php , administrator/templates/isis/error.php , templates/protostar/index.php
  • $width : mod_wrapper.php , templates/beez3/html/com_weblinks/category/default_items.php , mod_search.php , modules/mod_banners/tmpl/default.php


Joomla CMS: Variables globale

- ( -

  • (!empty($buttons)) : section-byfieldsets.php , layouts/joomla/form/field/subform/repeatable/section.php , table/section-byfieldsets.php , layouts/joomla/form/field/subform/repeatable-table/section.php
  • (!empty($this->lead_items)) : components/com_content/views/category/tmpl/blog.php , components/com_content/views/featured/tmpl/default.php , templates/beez3/html/com_content/category/blog.php , templates/beez3/html/com_content/featured/default.php
  • ($child->numitems|| $this->params->get('show_empty_categories')||count($child->getChildren())) : templates/beez3/html/com_contact/category/default_children.php , templates/beez3/html/com_newsfeeds/category/default_children.php , templates/beez3/html/com_weblinks/category/default_children.php
  • ($clientId==1) : com_menus/views/items/tmpl/default_batch_body.php
  • ($displayData->get('form') ->getFieldset('jmetadata') as $field) : administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • ($displayData['active']) : layouts/joomla/pagination/link.php
  • ($fieldSets as $name=> $fieldSet) : administrator/templates/hathor/html/com_config/component/default.php
  • ($form->getFieldsets() as $fieldset) : table/section-byfieldsets.php
  • ($group as $item) : modules/mod_articles_category/tmpl/default.php
  • ($item->numitems|| $this->params->get('show_empty_categories_cat')||count($item->getChildren())) : templates/beez3/html/com_contact/categories/default_items.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , templates/beez3/html/com_weblinks/categories/default_items.php
  • ($key !==$last_item_key) : modules/mod_breadcrumbs/tmpl/default.php
  • ($language->active) : modules/mod_languages/tmpl/default.php
  • ($list as $language) : templates/beez3/html/mod_languages/default.php
  • ($menuTypes as &$type) : components/com_modules/views/module/tmpl/edit_assignment.php , templates/hathor/html/com_templates/style/edit_assignment.php
  • ($object1 as $name=> $value) : views/compare/tmpl/compare.php
  • ($presentation_style==='sliders') : components/com_contact/views/contact/tmpl/default.php
  • ($presentation_style==='tabs') : components/com_contact/views/contact/tmpl/default.php
  • ($row->next) : plugins/content/pagenavigation/tmpl/default.php
  • ($row->prev) : plugins/content/pagenavigation/tmpl/default.php
  • ($showPageHeading=$this->params->get('show_page_heading')) : templates/beez3/html/com_content/category/default.php
  • ($subValue->value|| $newSubValue) : views/compare/tmpl/compare.php
  • ($this->contact->image) : encyclopedia.php
  • ($this->contentlangs as $contentlang) : administrator/components/com_languages/views/multilangstatus/tmpl/default.php
  • ($this->form->getFieldset($name) as $field) : templates/hathor/html/com_plugins/plugin/edit_options.php , templates/hathor/html/com_modules/module/edit_options.php
  • ($this->items as $i=> $item) : components/com_contact/views/featured/tmpl/default_items.php
  • ($this->items as $item) : administrator/templates/hathor/html/com_postinstall/messages/default.php
  • ($this->params->get('show_empty_categories')|| $child->numitems||count($child->getChildren())) : components/com_contact/views/category/tmpl/default_children.php
  • ($this->params->get('show_empty_categories_cat')|| $item->numitems||count($item->getChildren())) : components/com_content/views/categories/tmpl/default_items.php , components/com_contact/views/categories/tmpl/default_items.php
  • ($this->params->get('show_headings')) : templates/beez3/html/com_contact/category/default_items.php
  • ($this->state->folder !='') : details_up.php
  • (array_keys($toolbarPreset) as $presetName) : layouts/plugins/editors/tinymce/field/tinymcebuilder.php
  • (count($list)) : administrator/modules/mod_latestactions/tmpl/default.php
  • (empty($displayData['print'])) : layouts/joomla/content/icons.php


Joomla CMS: Variables globale

- _ -

  • __pad0__ : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/tracks/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/featured/tmpl/default_item.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , components/com_finder/views/search/tmpl/default.php , components/com_newsfeeds/views/category/tmpl/default_items.php , administrator/components/com_installer/views/install/tmpl/default.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , components/com_privacy/views/request/tmpl/default.php , components/com_search/views/search/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , components/com_users/views/login/tmpl/default_logout.php , default_core.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , components/com_wrapper/views/wrapper/tmpl/default.php , installation/view/install/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , installation/view/languages/tmpl/default.php , blog_style_default_item_title.php , administrator/components/com_installer/views/manage/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , modules/mod_articles_category/tmpl/default.php , _item.php , administrator/components/com_privacy/views/requests/tmpl/default.php , modules/mod_banners/tmpl/default.php , modules/mod_breadcrumbs/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , views/compare/tmpl/compare.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , modules/mod_languages/tmpl/default.php , modules/mod_login/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , cloud.php , modules/mod_tags_similar/tmpl/default.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_templates/views/template/tmpl/default.php , templates/beez3/error.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_config/view/component/tmpl/default.php , views/preview/tmpl/preview.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/modules/mod_latest/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/modules/mod_latestactions/tmpl/default.php , administrator/modules/mod_logged/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php , administrator/modules/mod_privacy_dashboard/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/modules/mod_submenu/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/components/com_modules/views/module/tmpl/edit.php , templates/tmpl/default_options.php , components/com_contact/views/category/tmpl/default_items.php , administrator/components/com_installer/views/database/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , components/com_contact/views/contact/tmpl/default_profile.php , components/com_contact/views/featured/tmpl/default_items.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/article/tmpl/default.php
  • __pad10__ : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , print_screen.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad11__ : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_content/articles/default.php , print_screen.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad12__ : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_content/articles/default.php , layouts/joomla/content/icons.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad13__ : administrator/templates/hathor/html/com_content/articles/default.php , layouts/joomla/content/info_block/associations.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad14__ : administrator/templates/hathor/html/com_content/articles/modal.php , author.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad15__ : administrator/templates/hathor/html/com_content/featured/default.php , intro_image.php , templates/beez3/html/com_content/category/blog_item.php
  • __pad16__ : administrator/templates/hathor/html/com_content/featured/default.php , layouts/joomla/content/readmore.php , templates/beez3/html/com_content/category/default_articles.php
  • __pad17__ : administrator/templates/hathor/html/com_content/featured/default.php , layouts/joomla/edit/details.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad18__ : administrator/templates/hathor/html/com_contenthistory/history/modal.php , layouts/joomla/edit/details.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad19__ : administrator/templates/hathor/html/com_fields/fields/default.php , layouts/joomla/edit/details.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad1__ : administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_installer/views/install/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , components/com_modules/views/module/tmpl/edit_assignment.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/template/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/modules/mod_latest/tmpl/default.php , administrator/modules/mod_logged/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , components/com_contact/views/category/tmpl/default_items.php , components/com_contact/views/contact/tmpl/default_profile.php , components/com_content/views/archive/tmpl/default_items.php , components/com_content/views/category/tmpl/default_articles.php , components/com_content/views/featured/tmpl/default_item.php , components/com_finder/views/search/tmpl/default_form.php , components/com_search/views/search/tmpl/default.php , default_custom.php , components/com_wrapper/views/wrapper/tmpl/default.php , categories_default.php , modules/mod_articles_category/tmpl/default.php , modules/mod_breadcrumbs/tmpl/default.php , modules/mod_languages/tmpl/default.php , modules/mod_login/tmpl/default.php , modules/mod_tags_popular/tmpl/default.php , modules/mod_tags_similar/tmpl/default.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_contact/categories/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php
  • __pad20__ : administrator/templates/hathor/html/com_fields/fields/default.php , layouts/joomla/pagination/link.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad21__ : administrator/templates/hathor/html/com_fields/fields/default.php , layouts/joomla/searchtools/default/bar.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad22__ : administrator/templates/hathor/html/com_fields/groups/default.php , templates/beez3/html/com_content/featured/default_item.php
  • __pad23__ : administrator/templates/hathor/html/com_fields/groups/default.php , templates/beez3/html/com_newsfeeds/categories/default.php
  • __pad24__ : administrator/templates/hathor/html/com_finder/filters/default.php , templates/beez3/html/com_newsfeeds/category/default_items.php
  • __pad25__ : administrator/templates/hathor/html/com_finder/maps/default.php , templates/beez3/html/com_weblinks/categories/default.php
  • __pad26__ : administrator/templates/hathor/html/com_installer/database/default.php , templates/beez3/html/com_weblinks/category/default_items.php
  • __pad27__ : administrator/templates/hathor/html/com_installer/discover/default.php , templates/beez3/html/com_weblinks/category/default_items.php
  • __pad28__ : administrator/templates/hathor/html/com_installer/update/default.php , templates/beez3/html/mod_languages/default.php
  • __pad29__ : templates/beez3/html/mod_languages/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • __pad2__ : modules/mod_articles_category/tmpl/default.php , components/com_content/views/category/tmpl/default_articles.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , default_preupdatecheck.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_templates/views/template/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , components/com_contact/views/contact/tmpl/default_profile.php , com_search/views/search/tmpl/default_results.php , default_params.php , create.php , modules/mod_languages/tmpl/default.php , modules/mod_login/tmpl/default.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_contact/category/default_items.php , administrator/components/com_content/views/articles/tmpl/default.php
  • __pad30__ : administrator/templates/hathor/html/com_joomlaupdate/default/default.php , templates/beez3/html/mod_login/default.php
  • __pad31__ : administrator/templates/hathor/html/com_languages/languages/default.php , templates/beez3/html/mod_login/default_logout.php
  • __pad32__ : administrator/templates/hathor/html/com_languages/languages/default.php , templates/protostar/html/layouts/joomla/form/field/media.php
  • __pad33__ : administrator/templates/hathor/html/com_languages/languages/default.php
  • __pad34__ : administrator/templates/hathor/html/com_languages/languages/default.php
  • __pad35__ : administrator/templates/hathor/html/com_languages/overrides/default.php
  • __pad36__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad37__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad38__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad39__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad3__ : create.php , modules/mod_articles_category/tmpl/default.php , modules/mod_languages/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_contact/contact/default_profile.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/components/com_users/views/notes/tmpl/modal.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_categories/views/categories/tmpl/modal.php , modules/mod_login/tmpl/default_logout.php , administrator/components/com_content/views/featured/tmpl/default.php , default_update.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , components/com_users/views/profile/tmpl/edit.php
  • __pad40__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad41__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad42__ : administrator/templates/hathor/html/com_menus/items/default.php
  • __pad43__ : administrator/templates/hathor/html/com_menus/menus/default.php
  • __pad44__ : administrator/templates/hathor/html/com_menus/menus/default.php
  • __pad45__ : administrator/templates/hathor/html/com_menus/menus/default.php
  • __pad46__ : administrator/templates/hathor/html/com_modules/module/edit.php
  • __pad47__ : templates/hathor/html/com_modules/module/edit_options.php
  • __pad48__ : administrator/templates/hathor/html/com_modules/modules/default.php
  • __pad49__ : administrator/templates/hathor/html/com_modules/modules/default.php
  • __pad4__ : modules/mod_articles_category/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/modal.php , templates/beez3/html/com_content/archive/default_items.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , modules/mod_languages/tmpl/default.php , layouts/joomla/content/icons/edit.php , administrator/components/com_content/views/featured/tmpl/default.php
  • __pad50__ : administrator/templates/hathor/html/com_modules/modules/default.php
  • __pad51__ : administrator/templates/hathor/html/com_modules/modules/default.php
  • __pad52__ : administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php
  • __pad53__ : administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php
  • __pad54__ : administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php
  • __pad55__ : administrator/templates/hathor/html/com_plugins/plugin/edit.php
  • __pad56__ : templates/hathor/html/com_plugins/plugin/edit_options.php
  • __pad57__ : administrator/templates/hathor/html/com_plugins/plugins/default.php
  • __pad58__ : administrator/templates/hathor/html/com_plugins/plugins/default.php
  • __pad59__ : administrator/templates/hathor/html/com_postinstall/messages/default.php
  • __pad5__ : administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , edit_lock.php , administrator/components/com_menus/views/menus/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , templates/beez3/html/com_content/archive/default_items.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php
  • __pad60__ : administrator/templates/hathor/html/com_postinstall/messages/default.php
  • __pad61__ : administrator/templates/hathor/html/com_redirect/links/default.php
  • __pad62__ : administrator/templates/hathor/html/com_search/searches/default.php
  • __pad63__ : administrator/templates/hathor/html/com_tags/tags/default.php
  • __pad64__ : administrator/templates/hathor/html/com_templates/style/edit.php
  • __pad65__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad66__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad67__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad68__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad69__ : administrator/templates/hathor/html/com_templates/template/default.php
  • __pad6__ : layouts/joomla/content/icons/email.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , templates/beez3/html/com_content/archive/default_items.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php
  • __pad70__ : administrator/templates/hathor/html/com_users/debuggroup/default.php
  • __pad71__ : administrator/templates/hathor/html/com_users/debuguser/default.php
  • __pad72__ : administrator/templates/hathor/html/com_users/levels/default.php
  • __pad73__ : administrator/templates/hathor/html/com_users/levels/default.php
  • __pad74__ : administrator/templates/hathor/html/com_users/notes/default.php
  • __pad75__ : administrator/templates/hathor/html/com_users/notes/default.php
  • __pad76__ : administrator/templates/hathor/html/com_users/notes/default.php
  • __pad77__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad78__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad79__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad7__ : administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php , plugins/installer/packageinstaller/tmpl/default.php , templates/beez3/html/com_content/archive/default_items.php , administrator/templates/hathor/html/com_categories/categories/default.php , layouts/joomla/content/icons/email.php , administrator/components/com_menus/views/items/tmpl/modal.php
  • __pad80__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad81__ : administrator/templates/hathor/html/com_users/users/default.php
  • __pad82__ : administrator/templates/hathor/html/com_weblinks/weblinks/default.php
  • __pad83__ : administrator/templates/hathor/html/com_weblinks/weblinks/default.php
  • __pad84__ : administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • __pad85__ : administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • __pad86__ : administrator/templates/hathor/html/layouts/joomla/edit/details.php
  • __pad87__ : administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php
  • __pad88__ : administrator/templates/isis/html/layouts/joomla/form/field/media.php
  • __pad89__ : administrator/templates/isis/html/layouts/joomla/pagination/link.php
  • __pad8__ : templates/beez3/html/com_content/article/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , print_popup.php , administrator/components/com_menus/views/items/tmpl/modal.php , plugins/installer/packageinstaller/tmpl/default.php
  • __pad90__ : administrator/templates/isis/index.php
  • __pad91__ : administrator/templates/isis/login.php
  • __pad9__ : plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , print_popup.php , templates/beez3/html/com_content/categories/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php
  • _AKEEBA_RESTORATION : restore.php
  • _JEXEC : update_cron.php , finder_indexer.php , garbagecron.php , installation/index.php , deletefiles.php , sessionMetadataGc.php , index.php , bin/keychain.php , administrator/index.php , sessionGc.php


Joomla CMS: Variables globale

- a -

  • a : administrator/templates/isis/error.php , templates/protostar/error.php
  • actions : plugins/installer/packageinstaller/tmpl/default.php
  • AK_STATE_DATA : restore.php
  • AK_STATE_DATAREAD : restore.php
  • AK_STATE_DONE : restore.php
  • AK_STATE_HEADER : restore.php
  • AK_STATE_NOFILE : restore.php
  • AK_STATE_POSTPROC : restore.php
  • align : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • alltext : administrator/components/com_modules/views/preview/tmpl/default.php


Joomla CMS: Variables globale

- b -

  • background : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • bar : plugins/installer/packageinstaller/tmpl/default.php
  • baseUrl : com_finder/views/search/tmpl/default_results.php
  • block : administrator/components/com_users/views/users/tmpl/default.php , administrator/templates/hathor/html/com_users/users/default.php
  • break : components/com_contact/views/contact/tmpl/default_profile.php , templates/beez3/html/com_contact/contact/default_profile.php , default_preupdatecheck.php
  • button : plugins/installer/packageinstaller/tmpl/default.php


Joomla CMS: Variables globale

- c -

  • cachemode : mod_articles_categories.php , mod_articles_category.php , mod_tags_popular.php , mod_tags_similar.php , mod_related_items.php
  • cat_link : administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php
  • catch : administrator/components/com_config/models/application.php , administrator/components/com_config/models/component.php
  • category : components/com_newsfeeds/views/category/tmpl/default_children.php , templates/beez3/html/com_contact/category/default_children.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_newsfeeds/category/default_children.php , templates/beez3/html/com_weblinks/category/default_children.php , components/com_contact/views/category/tmpl/default_children.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_children.php
  • children : components/com_content/views/category/tmpl/default_children.php , components/com_content/views/category/tmpl/blog_children.php
  • code : installation/view/languages/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php
  • color : plugins/installer/packageinstaller/tmpl/default.php
  • column : administrator/templates/hathor/html/com_templates/template/default.php
  • COM_MEDIA_BASE : administrator/components/com_media/media.php
  • COM_MEDIA_BASEURL : administrator/components/com_media/media.php
  • COM_MENUS_TYPE_CHOOSE : administrator/templates/hathor/html/com_menus/menutypes/default.php
  • COM_TAGS_NO_TAGS : components/com_tags/views/tags/tmpl/default_items.php
  • configFieldsets : administrator/components/com_content/views/article/tmpl/edit.php
  • content : administrator/modules/mod_custom/mod_custom.php
  • CSS : plugins/installer/packageinstaller/tmpl/default.php , plugins/editors/codemirror/layouts/editors/codemirror/styles.php


Joomla CMS: Variables globale

- d -

  • description : components/com_config/view/application/tmpl/default_filters.php , components/com_config/view/application/tmpl/default_permissions.php , categories_default.php , templates/beez3/html/com_newsfeeds/categories/default.php , templates/beez3/html/com_weblinks/categories/default.php , category_default.php , templates/beez3/html/com_content/categories/default.php , templates/beez3/html/com_contact/categories/default.php , components/com_content/views/category/tmpl/blog.php
  • DIRECTORY_SEPARATOR : restore.php
  • DO_PEDANTIC_TEST : autoload-pedantic.php
  • dragZone : plugins/installer/packageinstaller/tmpl/default.php


Joomla CMS: Variables globale

- e -

  • edit : templates/beez3/html/com_content/category/default_articles.php
  • else : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_cache/views/cache/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/com_finder/filters/default.php , plugins/fields/integer/tmpl/integer.php , templates/beez3/html/com_contact/category/default_items.php , administrator/templates/hathor/html/com_finder/index/default.php , templates/beez3/html/com_contact/contact/default_form.php , templates/beez3/html/com_contact/contact/default_profile.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , templates/beez3/html/com_content/archive/default.php , templates/beez3/html/com_content/archive/default_items.php , administrator/templates/hathor/html/com_installer/database/default.php , templates/beez3/html/com_content/category/default_articles.php , templates/beez3/html/com_newsfeeds/category/default_items.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , administrator/templates/hathor/html/com_installer/discover/default.php , templates/beez3/html/com_weblinks/category/default_items.php , templates/protostar/error.php , administrator/templates/hathor/html/com_installer/manage/default.php , templates/protostar/index.php , protostar/offline.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_installer/warnings/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_installer/views/warnings/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/templates/hathor/html/com_messages/messages/default.php , administrator/templates/hathor/html/com_modules/module/edit.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_templates/views/styles/tmpl/default.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , components/com_templates/views/template/tmpl/default_tree.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/templates/hathor/html/com_templates/styles/default.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , templates/hathor/html/com_templates/template/default_tree.php , administrator/templates/hathor/html/com_templates/templates/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/debuguser/default.php , administrator/components/com_installer/views/database/tmpl/default.php , administrator/components/com_languages/views/overrides/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/templates/hathor/html/com_users/user/edit.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/edit/params.php , administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php , administrator/components/com_banners/views/tracks/tmpl/default.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , administrator/includes/framework.php , administrator/templates/hathor/index.php , administrator/templates/hathor/login.php , administrator/modules/mod_feed/tmpl/default.php , administrator/templates/isis/error.php , administrator/templates/isis/html/layouts/joomla/pagination/link.php , edit_container.php , default_submenu.php , com_contact/layouts/fields/render.php , components/com_contact/views/category/tmpl/default_items.php , mod_status.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_articles.php , administrator/components/com_installer/views/install/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/modules/mod_submenu/tmpl/default.php , components/com_content/views/category/tmpl/default_children.php , com_fields/layouts/fields/render.php , administrator/templates/hathor/component.php , components/com_newsfeeds/views/category/tmpl/default_items.php , components/com_newsfeeds/views/newsfeed/tmpl/default.php , administrator/components/com_menus/views/menus/tmpl/default.php , templates/hathor/cpanel.php , components/com_users/views/login/tmpl/default.php , components/com_users/views/profile/tmpl/edit.php , administrator/templates/hathor/html/com_admin/profile/edit.php , includes/framework.php , layouts/joomla/content/icons/edit.php , administrator/components/com_config/view/component/tmpl/default.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/templates/hathor/html/com_banners/banners/default.php , layouts/joomla/content/language.php , layouts/joomla/edit/fieldset.php , administrator/templates/hathor/html/com_banners/clients/default.php , advanced.php , layouts/joomla/form/field/media.php , components/com_modules/views/module/tmpl/edit_assignment.php , administrator/templates/hathor/html/com_banners/tracks/default.php , layouts/joomla/form/field/number.php , repeatable-table.php , administrator/templates/hathor/html/com_cache/cache/default.php , main.php , layouts/joomla/pagination/link.php , administrator/components/com_installer/views/manage/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/templates/hathor/html/com_cache/purge/default.php , system/privacyconsent/label.php , user/terms/label.php , administrator/templates/hathor/html/com_contact/contacts/default.php , paragonie/sodium_compat/autoload.php , modules/mod_feed/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/templates/hathor/html/com_content/articles/default.php , mod_footer.php , modules/mod_search/tmpl/default.php , administrator/templates/hathor/html/com_content/featured/default.php , modules/mod_syndicate/tmpl/default.php , cloud.php
  • elseif : administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_menus/layouts/joomla/searchtools/default/bar.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_modules/views/modules/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , layouts/joomla/content/readmore.php , paragonie/sodium_compat/autoload.php , modules/mod_articles_category/tmpl/default.php , modules/mod_breadcrumbs/tmpl/default.php , modules/mod_finder/tmpl/default.php , default_component.php , default_url.php
  • eName : administrator/components/com_content/views/article/tmpl/pagebreak.php
  • endfor : horizontal.php , vertical.php
  • endforeach : administrator/components/com_users/views/notes/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/modal.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/modules/mod_latest/tmpl/default.php , administrator/modules/mod_latestactions/tmpl/default.php , administrator/modules/mod_logged/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php , administrator/modules/mod_privacy_dashboard/tmpl/default.php , administrator/modules/mod_submenu/tmpl/default.php , administrator/templates/hathor/html/com_admin/help/default.php , administrator/templates/hathor/html/com_admin/profile/edit.php , templates/hathor/html/com_admin/sysinfo/default_config.php , templates/hathor/html/com_admin/sysinfo/default_directory.php , administrator/templates/hathor/html/com_banners/banner/edit.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_banners/client/edit.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_banners/download/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , administrator/templates/hathor/html/com_categories/category/edit.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , templates/hathor/html/com_config/application/default_cache.php , templates/hathor/html/com_config/application/default_cookie.php , templates/hathor/html/com_config/application/default_database.php , templates/hathor/html/com_config/application/default_debug.php , templates/hathor/html/com_config/application/default_filters.php , templates/hathor/html/com_config/application/default_ftp.php , templates/hathor/html/com_config/application/default_locale.php , administrator/templates/hathor/html/com_config/application/default_metadata.php , templates/hathor/html/com_config/application/default_permissions.php , administrator/templates/hathor/html/com_config/application/default_seo.php , templates/hathor/html/com_config/application/default_server.php , templates/hathor/html/com_config/application/default_session.php , administrator/templates/hathor/html/com_config/application/default_site.php , templates/hathor/html/com_config/application/default_system.php , administrator/templates/hathor/html/com_config/component/default.php , administrator/templates/hathor/html/com_contact/contact/edit.php , templates/hathor/html/com_contact/contact/edit_params.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_content/articles/default.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_finder/index/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_installer/database/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_languages/installed/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , administrator/templates/hathor/html/com_languages/overrides/default.php , templates/hathor/html/com_menus/item/edit_options.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_menus/menutypes/default.php , administrator/templates/hathor/html/com_messages/messages/default.php , templates/hathor/html/com_modules/module/edit_options.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/templates/hathor/html/com_modules/positions/modal.php , templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , templates/hathor/html/com_plugins/plugin/edit_options.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/templates/hathor/html/com_search/searches/default.php , templates/hathor/html/com_tags/tag/edit_metadata.php , logstable.php , templates/hathor/html/com_tags/tag/edit_options.php , administrator/templates/hathor/html/com_tags/tags/default.php , administrator/components/com_admin/views/help/tmpl/default.php , templates/hathor/html/com_templates/style/edit_assignment.php , templates/hathor/html/com_templates/style/edit_options.php , components/com_admin/views/sysinfo/tmpl/default_config.php , templates/hathor/html/com_templates/template/default_folders.php , templates/hathor/html/com_templates/template/default_tree.php , components/com_admin/views/sysinfo/tmpl/default_directory.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , administrator/templates/hathor/html/com_users/debuguser/default.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/templates/hathor/html/com_users/levels/default.php , administrator/templates/hathor/html/com_users/notes/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/templates/hathor/html/com_users/user/edit.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/templates/hathor/html/com_users/users/modal.php , templates/hathor/html/com_weblinks/weblink/edit_params.php , administrator/components/com_banners/views/download/tmpl/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php , administrator/components/com_banners/views/tracks/tmpl/default.php , administrator/templates/hathor/html/layouts/joomla/edit/metadata.php , administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php , administrator/components/com_cache/views/cache/tmpl/default.php , administrator/templates/isis/error.php , templates/isis/html/com_media/medialist/thumbs_folders.php , administrator/components/com_categories/views/categories/tmpl/default.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php , administrator/components/com_categories/views/categories/tmpl/modal.php , administrator/templates/isis/html/layouts/joomla/system/message.php , components/com_config/view/config/tmpl/default_metadata.php , com_categories/views/category/tmpl/modal_options.php , components/com_config/view/config/tmpl/default_seo.php , components/com_config/view/config/tmpl/default_site.php , components/com_config/view/application/tmpl/default_navigation.php , modules/tmpl/default_options.php , templates/tmpl/default_options.php , administrator/components/com_config/view/component/tmpl/default.php , components/com_contact/views/categories/tmpl/default_items.php , components/com_contact/views/category/tmpl/default_children.php , components/com_config/view/component/tmpl/default_navigation.php , components/com_contact/views/category/tmpl/default_items.php , components/com_contact/views/contact/tmpl/default_articles.php , components/com_contact/views/contact/tmpl/edit_params.php , components/com_contact/views/contact/tmpl/default_form.php , components/com_contact/views/contact/tmpl/default_links.php , com_contact/views/contact/tmpl/modal_params.php , components/com_contact/views/contact/tmpl/default_profile.php , components/com_contact/views/contact/tmpl/default_user_custom_fields.php , administrator/components/com_contact/views/contacts/tmpl/default.php , components/com_contact/views/featured/tmpl/default_items.php , components/com_content/views/article/tmpl/default_links.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , components/com_content/views/categories/tmpl/default_items.php , components/com_content/views/category/tmpl/blog.php , administrator/components/com_content/views/articles/tmpl/default.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/blog_links.php , administrator/components/com_content/views/articles/tmpl/modal.php , components/com_content/views/category/tmpl/default_articles.php , components/com_content/views/category/tmpl/default_children.php , administrator/components/com_content/views/featured/tmpl/default.php , components/com_content/views/featured/tmpl/default.php , components/com_content/views/featured/tmpl/default_links.php , views/compare/tmpl/compare.php , com_finder/views/search/tmpl/default_results.php , components/com_mailto/views/mailto/tmpl/default.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , components/com_newsfeeds/views/category/tmpl/default_children.php , views/preview/tmpl/preview.php , components/com_newsfeeds/views/category/tmpl/default_items.php , components/com_privacy/views/confirm/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , components/com_privacy/views/remind/tmpl/default.php , components/com_privacy/views/request/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , components/com_search/views/search/tmpl/default_form.php , com_search/views/search/tmpl/default_results.php , administrator/components/com_finder/views/statistics/tmpl/default.php , components/com_tags/views/tags/tmpl/default_items.php , default_custom.php , administrator/components/com_installer/views/database/tmpl/default.php , default_params.php , components/com_users/views/profile/tmpl/edit.php , administrator/components/com_installer/views/discover/tmpl/default.php , components/com_users/views/registration/tmpl/default.php , components/com_users/views/remind/tmpl/default.php , administrator/components/com_installer/views/install/tmpl/default.php , components/com_users/views/reset/tmpl/complete.php , components/com_users/views/reset/tmpl/confirm.php , administrator/components/com_installer/views/languages/tmpl/default.php , components/com_users/views/reset/tmpl/default.php , installation/view/install/tmpl/default.php , administrator/components/com_installer/views/manage/tmpl/default.php , installation/view/languages/tmpl/default.php , installation/view/preinstall/tmpl/default.php , administrator/components/com_installer/views/update/tmpl/default.php , installation/view/summary/tmpl/default.php , layouts/joomla/content/associations.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , blog_style_default_links.php , layouts/joomla/content/info_block/associations.php , administrator/components/com_installer/views/warnings/tmpl/default.php , options_default.php , layouts/joomla/content/tags.php , default_preupdatecheck.php , text_filters.php , layouts/joomla/edit/metadata.php , default_update.php , editors/buttons.php , layouts/joomla/form/field/checkboxes.php , default_upload.php , simple.php , layouts/joomla/form/field/subform/default.php , administrator/components/com_languages/views/installed/tmpl/default.php , section-byfieldsets.php , layouts/joomla/form/field/subform/repeatable/section.php , administrator/components/com_languages/views/languages/tmpl/default.php , table/section-byfieldsets.php , layouts/joomla/form/field/subform/repeatable-table/section.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , layouts/joomla/form/field/subform/repeatable.php , layouts/joomla/form/field/text.php , administrator/components/com_languages/views/overrides/tmpl/default.php , layouts/joomla/pagination/links.php , layouts/joomla/pagination/list.php , components/com_media/views/media/tmpl/default_folders.php , layouts/joomla/searchtools/default/filters.php , layouts/joomla/searchtools/default/list.php , details_docs.php , layouts/joomla/system/message.php , setoptions.php , details_folders.php , layouts/plugins/editors/tinymce/field/tinymcebuilder.php , modules/mod_articles_archive/tmpl/default.php , details_imgs.php , modules/mod_articles_category/tmpl/default.php , modules/mod_articles_latest/tmpl/default.php , details_videos.php , modules/mod_articles_news/tmpl/default.php , modules/mod_articles_popular/tmpl/default.php , thumbs_docs.php , modules/mod_breadcrumbs/tmpl/default.php , modules/mod_languages/tmpl/default.php , components/com_media/views/medialist/tmpl/thumbs_folders.php , modules/mod_related_items/tmpl/default.php , modules/mod_stats/tmpl/default.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , cloud.php , modules/mod_tags_popular/tmpl/default.php , thumbs_videos.php , modules/mod_tags_similar/tmpl/default.php , modules/mod_users_latest/tmpl/default.php , edit_container.php , modules/mod_whosonline/tmpl/default.php , toc.php , components/com_menus/views/item/tmpl/edit_options.php , layouts/stats.php , templates/beez3/error.php , com_menus/views/item/tmpl/modal_options.php , templates/beez3/html/com_contact/categories/default_items.php , templates/beez3/html/com_contact/category/default_children.php , administrator/components/com_menus/views/items/tmpl/default.php , templates/beez3/html/com_contact/category/default_items.php , templates/beez3/html/com_contact/contact/default_articles.php , administrator/components/com_menus/views/items/tmpl/modal.php , templates/beez3/html/com_contact/contact/default_form.php , templates/beez3/html/com_contact/contact/default_links.php , administrator/components/com_menus/views/menus/tmpl/default.php , templates/beez3/html/com_contact/contact/default_profile.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php , administrator/components/com_menus/views/menutypes/tmpl/default.php , templates/beez3/html/com_content/archive/default_items.php , templates/beez3/html/com_content/article/default_links.php , components/com_modules/views/module/tmpl/edit_assignment.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_content/category/blog.php , components/com_modules/views/module/tmpl/edit_options.php , templates/beez3/html/com_content/category/blog_children.php , templates/beez3/html/com_content/category/blog_links.php , administrator/components/com_modules/views/modules/tmpl/default.php , templates/beez3/html/com_content/category/default_articles.php , templates/beez3/html/com_content/category/default_children.php , administrator/components/com_modules/views/modules/tmpl/modal.php , templates/beez3/html/com_content/featured/default.php , templates/beez3/html/com_content/featured/default_links.php , administrator/components/com_modules/views/positions/tmpl/modal.php , templates/beez3/html/com_content/form/edit.php , templates/protostar/html/layouts/joomla/system/message.php , templates/beez3/html/mod_languages/default.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , templates/beez3/html/layouts/joomla/system/message.php , templates/beez3/html/com_weblinks/category/default_items.php , administrator/components/com_modules/views/select/tmpl/default.php , templates/beez3/html/com_newsfeeds/category/default_children.php , templates/beez3/html/com_newsfeeds/category/default_items.php , components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php , templates/beez3/html/com_weblinks/categories/default_items.php , templates/beez3/html/com_weblinks/category/default_children.php , com_newsfeeds/views/newsfeed/tmpl/modal_params.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , templates/beez3/html/mod_breadcrumbs/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , components/com_tags/views/tag/tmpl/edit_metadata.php , components/com_tags/views/tag/tmpl/edit_options.php , administrator/components/com_tags/views/tags/tmpl/default.php , components/com_templates/views/style/tmpl/edit_assignment.php , components/com_templates/views/style/tmpl/edit_options.php , components/com_templates/views/template/tmpl/default_folders.php , components/com_templates/views/template/tmpl/default_tree.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php
  • endif : components/com_templates/views/template/tmpl/default_tree.php , default_preupdatecheck.php , layouts/joomla/form/field/user.php , administrator/templates/hathor/html/com_users/user/edit.php , components/com_contact/views/contact/tmpl/default_form.php , administrator/components/com_languages/views/installed/tmpl/default.php , components/com_content/views/featured/tmpl/default_item.php , components/com_newsfeeds/views/category/tmpl/default.php , components/com_tags/views/tag/tmpl/default.php , administrator/components/com_installer/views/update/tmpl/default.php , layouts/joomla/pagination/links.php , administrator/components/com_installer/views/updatesites/tmpl/default.php , details_folders.php , details_img.php , administrator/components/com_installer/views/warnings/tmpl/default.php , components/com_users/views/reset/tmpl/default.php , default_nodownload.php , layouts/joomla/form/field/subform/repeatable/section.php , default_reinstall.php , components/com_newsfeeds/views/category/tmpl/default_children.php , administrator/components/com_menus/views/item/tmpl/edit.php , edit_container.php , com_menus/views/item/tmpl/modal_options.php , components/com_privacy/views/confirm/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_menus/views/menu/tmpl/edit.php , modules/mod_articles_category/tmpl/default.php , modules/mod_banners/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/default.php , com_modules/views/modules/tmpl/default_batch_body.php , administrator/components/com_modules/views/positions/tmpl/modal.php , modules/mod_finder/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , com_newsfeeds/views/newsfeeds/tmpl/default_batch_body.php , modules/mod_breadcrumbs/tmpl/default.php , modules/mod_languages/tmpl/default.php , administrator/components/com_privacy/views/capabilities/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , modules/mod_random_image/tmpl/default.php , administrator/components/com_redirect/views/links/tmpl/default.php , administrator/components/com_search/views/searches/tmpl/default.php , modules/mod_login/tmpl/default_logout.php , modules/mod_syndicate/tmpl/default.php , components/com_templates/views/style/tmpl/edit_assignment.php , components/com_templates/views/style/tmpl/edit_options.php , components/com_templates/views/template/tmpl/default_folders.php , modules/mod_tags_popular/tmpl/default.php , section-byfieldsets.php , layouts/joomla/system/message.php , cloud.php , default_upload.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_users/views/users/tmpl/default.php , administrator/modules/mod_feed/tmpl/default.php , rating.php , administrator/modules/mod_logged/tmpl/default.php , administrator/modules/mod_login/tmpl/default.php , plugins/content/pagenavigation/tmpl/default.php , templates/beez3/error.php , administrator/modules/mod_title/tmpl/default.php , administrator/modules/mod_version/tmpl/default.php , administrator/templates/hathor/html/com_admin/profile/edit.php , templates/beez3/html/com_contact/categories/default_items.php , administrator/templates/hathor/html/com_banners/clients/default.php , administrator/templates/hathor/html/com_categories/categories/default.php , templates/beez3/html/com_contact/categories/default.php , templates/beez3/html/com_contact/category/default.php , templates/hathor/html/com_config/application/default_ftplogin.php , administrator/templates/hathor/html/com_config/component/default.php , templates/hathor/html/com_contact/contact/edit_params.php , templates/beez3/html/com_contact/contact/default.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_content/articles/default.php , templates/beez3/html/com_contact/category/default_items.php , templates/beez3/html/com_contact/contact/default_address.php , administrator/templates/hathor/html/com_fields/fields/default.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_finder/index/default.php , templates/beez3/html/com_contact/contact/default_form.php , templates/hathor/html/com_installer/default/default_ftp.php , navigation.php , templates/beez3/html/com_contact/contact/default_articles.php , templates/beez3/html/com_contact/contact/default_links.php , administrator/templates/hathor/html/com_languages/installed/default.php , templates/hathor/html/com_languages/installed/default_ftp.php , administrator/templates/hathor/html/com_languages/overrides/default.php , templates/beez3/html/com_content/archive/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_menus/menu/edit.php , encyclopedia.php , templates/beez3/html/com_content/archive/default_items.php , administrator/templates/hathor/html/com_modules/positions/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php , templates/beez3/html/com_content/article/default_links.php , templates/hathor/html/com_plugins/plugin/edit_options.php , administrator/templates/hathor/html/com_plugins/plugins/default.php , templates/beez3/html/com_content/article/default.php , templates/beez3/html/com_content/categories/default.php , templates/hathor/html/com_tags/tag/edit_metadata.php , templates/hathor/html/com_tags/tag/edit_options.php , administrator/templates/hathor/html/com_templates/style/edit.php , templates/beez3/html/com_content/category/blog_children.php , templates/hathor/html/com_templates/template/default_folders.php , templates/beez3/html/com_content/category/blog.php , components/com_search/views/search/tmpl/default_form.php , templates/beez3/html/com_content/category/blog_item.php , administrator/templates/hathor/html/com_users/levels/default.php , templates/beez3/html/com_contact/contact/default_profile.php , modules/mod_whosonline/tmpl/default.php , templates/beez3/html/com_content/category/default_articles.php , components/com_search/views/search/tmpl/default.php , templates/beez3/html/com_content/category/default.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_content/category/default_children.php , administrator/templates/hathor/html/layouts/joomla/edit/metadata.php , default_login.php , components/com_users/layouts/joomla/form/renderfield.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , administrator/templates/isis/error.php , templates/beez3/html/com_newsfeeds/categories/default.php , components/com_users/views/login/tmpl/default_logout.php , templates/beez3/html/com_newsfeeds/category/default.php , administrator/templates/isis/html/layouts/joomla/form/field/user.php , default_custom.php , default_core.php , templates/beez3/html/com_newsfeeds/category/default_items.php , components/com_tags/views/tags/tmpl/default.php , templates/beez3/html/com_newsfeeds/category/default_children.php , templates/beez3/html/com_content/form/edit.php , templates/beez3/html/com_weblinks/categories/default.php , components/com_config/view/modules/tmpl/default.php , components/com_users/views/registration/tmpl/default.php , components/com_users/views/registration/tmpl/complete.php , templates/beez3/html/com_weblinks/category/default_children.php , components/com_contact/layouts/joomla/form/renderfield.php , templates/beez3/html/com_weblinks/category/default.php , components/com_users/views/remind/tmpl/default.php , templates/beez3/html/com_weblinks/category/default_items.php , components/com_contact/views/contact/tmpl/default.php , templates/beez3/html/com_content/featured/default_item.php , components/com_users/views/reset/tmpl/confirm.php , templates/beez3/html/layouts/joomla/system/message.php , default_params.php , templates/beez3/html/com_weblinks/form/edit.php , templates/beez3/html/com_weblinks/categories/default_items.php , templates/beez3/html/mod_languages/default.php , components/com_contact/views/featured/tmpl/default_items.php , templates/beez3/html/mod_login/default.php , templates/beez3/html/com_content/featured/default.php , templates/protostar/error.php , components/com_content/views/article/tmpl/default_links.php , templates/beez3/index.php , templates/beez3/html/mod_login/default_logout.php , templates/protostar/html/layouts/joomla/form/field/media.php , components/com_content/views/category/tmpl/blog_item.php , templates/protostar/index.php , templates/protostar/html/layouts/joomla/system/message.php , protostar/offline.php , components/com_wrapper/views/wrapper/tmpl/default.php , system/offline.php , templates/system/error.php , thumbs_videos.php , components/com_finder/views/search/tmpl/default_form.php , thumbs_docs.php , details_video.php , details_imgs.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , details_docs.php , administrator/components/com_media/views/medialist/tmpl/details.php , components/com_media/views/media/tmpl/default_folders.php , captive.php , components/com_newsfeeds/views/category/tmpl/default_items.php , administrator/components/com_languages/views/languages/tmpl/default.php , components/com_newsfeeds/views/newsfeed/tmpl/default.php , components/com_content/views/form/tmpl/edit.php , com_finder/views/search/tmpl/default_results.php , administrator/components/com_media/views/media/tmpl/default.php , components/com_mailto/views/mailto/tmpl/default.php , components/com_installer/views/default/tmpl/default_ftp.php , installation/view/summary/tmpl/default.php , installation/view/preinstall/tmpl/default.php , layouts/joomla/content/associations.php , views/preview/tmpl/preview.php , categories_default.php , blog_style_default_item_title.php , category_default.php , layouts/joomla/content/icons.php , layouts/joomla/content/icons/edit.php , create.php , edit_lock.php , installation/view/install/tmpl/default.php , print_popup.php , layouts/joomla/content/icons/email.php , print_screen.php , administrator/components/com_categories/views/categories/tmpl/modal.php , info_block.php , author.php , intro_image.php , com_banners/views/banners/tmpl/default_batch_body.php , administrator/components/com_banners/views/banners/tmpl/default.php , options_default.php , layouts/joomla/content/info_block/associations.php , administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_banners/views/clients/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , com_categories/views/category/tmpl/modal_options.php , administrator/components/com_config/view/component/tmpl/default.php , com_contact/views/contact/tmpl/modal_params.php , com_contact/views/contacts/tmpl/default_batch_body.php , com_fields/layouts/field/render.php , views/compare/tmpl/compare.php , administrator/components/com_cpanel/views/cpanel/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , default_message.php , administrator/components/com_installer/views/install/tmpl/default.php , layouts/joomla/form/renderfield.php , administrator/components/com_joomlaupdate/views/default/tmpl/default.php , layouts/joomla/modal/header.php , finaliseconfirm.php , administrator/components/com_languages/views/multilangstatus/tmpl/default.php , administrator/components/com_media/views/images/tmpl/default.php , layouts/joomla/searchtools/default/filters.php , details_folder.php , details_up.php , details_videos.php , layouts/joomla/searchtools/default/list.php , administrator/components/com_menus/layouts/joomla/searchtools/default.php , _item.php , com_menus/views/items/tmpl/default_batch_footer.php , administrator/components/com_menus/views/menus/tmpl/default.php , components/com_modules/views/module/tmpl/edit_options.php , administrator/components/com_modules/views/modules/tmpl/modal.php , com_newsfeeds/views/newsfeed/tmpl/modal_params.php , modules/mod_articles_archive/tmpl/default.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/components/com_redirect/views/link/tmpl/edit.php , components/com_tags/views/tag/tmpl/edit_metadata.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/components/com_templates/views/styles/tmpl/default.php , installation/view/complete/tmpl/default.php , modules/mod_tags_similar/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/modal.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/modules/mod_latestactions/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php , administrator/modules/mod_submenu/tmpl/default.php , administrator/templates/hathor/error.php , administrator/templates/hathor/html/com_banners/client/edit.php , toc.php , administrator/templates/hathor/html/com_config/application/default.php , administrator/templates/hathor/html/com_contact/contact/edit.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_cpanel/cpanel/default.php , administrator/templates/hathor/html/com_finder/filters/default.php , administrator/templates/hathor/html/com_installer/database/default.php , templates/beez3/html/com_contact/category/default_children.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php , administrator/templates/hathor/html/com_languages/languages/default.php , templates/hathor/html/com_menus/item/edit_options.php , administrator/templates/hathor/html/com_menus/menus/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php , administrator/templates/hathor/html/com_plugins/plugin/edit.php , templates/beez3/html/com_contact/contact/default_user_custom_fields.php , administrator/templates/hathor/html/com_tags/tag/edit.php , administrator/templates/hathor/html/com_tags/tags/default.php , templates/hathor/html/com_templates/style/edit_options.php , default_error.php , administrator/templates/hathor/html/com_users/debuguser/default.php , administrator/templates/hathor/html/com_users/notes/default.php , components/com_privacy/views/request/tmpl/default.php , com_search/views/search/tmpl/default_results.php , administrator/templates/hathor/html/layouts/joomla/edit/details.php , administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php , administrator/templates/hathor/html/mod_quickicon/default.php , components/com_tags/views/tags/tmpl/default_items.php , administrator/templates/isis/html/layouts/joomla/form/field/media.php , administrator/templates/isis/html/layouts/joomla/pagination/link.php , administrator/templates/isis/html/layouts/joomla/system/message.php , components/com_users/views/profile/tmpl/default.php , administrator/templates/system/error.php , modules/tmpl/default_options.php , com_contact/layouts/field/render.php , components/com_users/views/profile/tmpl/edit.php , components/com_contact/views/category/tmpl/default_items.php , components/com_contact/views/contact/tmpl/default_address.php , components/com_tags/views/tag/tmpl/list.php , components/com_users/views/reset/tmpl/complete.php , components/com_contact/views/featured/tmpl/default.php , components/com_content/views/archive/tmpl/default.php , components/com_content/views/article/tmpl/default.php , modules/mod_users_latest/tmpl/default.php , components/com_content/views/category/tmpl/blog_children.php , components/com_content/views/category/tmpl/default_articles.php , components/com_content/views/featured/tmpl/default.php , default_result.php , components/com_finder/views/search/tmpl/default.php , components/com_contact/views/contact/tmpl/default_links.php , components/com_content/views/categories/tmpl/default_items.php , components/com_content/views/category/tmpl/default_children.php , templates/protostar/html/layouts/joomla/form/field/user.php , components/com_content/views/category/tmpl/blog.php , components/com_contact/views/contact/tmpl/default_profile.php , components/com_content/views/archive/tmpl/default_items.php , layouts/joomla/form/field/subform/repeatable-table/section.php , administrator/components/com_installer/views/database/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , installation/view/languages/tmpl/default.php , layouts/joomla/editors/buttons/button.php , installation/view/defaultlanguage/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , full_image.php , layouts/joomla/edit/details.php , com_categories/views/categories/tmpl/default_batch_body.php , administrator/components/com_banners/views/tracks/tmpl/default.php , layouts/joomla/content/tags.php , administrator/components/com_associations/layouts/joomla/searchtools/default/bar.php , administrator/components/com_cache/views/cache/tmpl/default.php , components/com_config/view/application/tmpl/default_navigation.php , text_filters.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_installer/views/discover/tmpl/default_item.php , table/section-byfieldsets.php , layouts/joomla/searchtools/default/bar.php , administrator/components/com_languages/views/overrides/tmpl/default.php , layouts/joomla/searchtools/default.php , sort.php , components/com_menus/views/item/tmpl/edit_options.php , administrator/components/com_menus/views/items/tmpl/default.php , components/com_modules/views/module/tmpl/edit_assignment.php , components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_privacy/views/requests/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , modules/mod_login/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/default.php , administrator/modules/mod_latest/tmpl/default.php , administrator/modules/mod_quickicon/tmpl/default.php , administrator/templates/hathor/html/com_banners/banners/default.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , administrator/templates/hathor/html/com_contact/contacts/default.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_finder/maps/default.php , administrator/templates/hathor/html/com_installer/update/default.php , administrator/templates/hathor/html/com_menus/item/edit.php , templates/hathor/html/com_modules/module/edit_options.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php , administrator/templates/hathor/html/com_search/searches/default.php , templates/hathor/html/com_templates/style/edit_assignment.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , components/com_privacy/views/remind/tmpl/default.php , administrator/templates/hathor/html/com_weblinks/weblinks/default.php , administrator/templates/hathor/html/mod_login/default.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php , administrator/templates/isis/login.php , templates/tmpl/default_options.php , components/com_contact/views/category/tmpl/default_children.php , components/com_contact/views/contact/tmpl/default_user_custom_fields.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/isis/html/mod_version/default.php , components/com_contact/views/categories/tmpl/default_items.php , components/com_contact/views/contact/tmpl/default_articles.php , administrator/templates/isis/index.php , administrator/templates/hathor/html/com_weblinks/weblink/edit.php , templates/isis/html/com_media/medialist/thumbs_folders.php , templates/hathor/html/com_weblinks/weblink/edit_params.php , layouts/joomla/form/field/text.php , layouts/joomla/form/field/subform/repeatable.php , layouts/joomla/form/field/password.php , editors/buttons.php , layouts/joomla/edit/metadata.php , item_title.php , logstable.php , default_batch.php , administrator/components/com_content/views/articles/tmpl/modal.php , administrator/components/com_installer/views/discover/tmpl/default.php , default_update.php , layouts/joomla/pagination/link.php , thumbs_up.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , default_modal_file_body.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/modules/mod_privacy_dashboard/tmpl/default.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/html/com_content/featured/default.php , administrator/templates/hathor/html/com_installer/manage/default.php , administrator/templates/hathor/html/com_modules/module/edit.php , administrator/templates/hathor/html/com_redirect/links/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , administrator/templates/hathor/html/com_installer/discover/default.php , administrator/templates/hathor/html/com_postinstall/messages/default.php , templates/hathor/html/com_templates/template/default_tree.php , administrator/templates/hathor/html/com_installer/install/default.php , administrator/components/com_users/views/debuggroup/tmpl/default.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/components/com_users/views/debuguser/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , administrator/components/com_installer/views/languages/tmpl/default.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , components/com_config/view/component/tmpl/default_navigation.php , components/com_config/view/application/tmpl/default_ftplogin.php , com_content/views/articles/tmpl/default_batch_body.php , details_doc.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , components/com_media/views/medialist/tmpl/thumbs_folders.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php , components/com_tags/views/tag/tmpl/edit_options.php , administrator/components/com_content/views/articles/tmpl/default.php , components/com_contact/views/contact/tmpl/edit_params.php , layouts/joomla/content/readmore.php , administrator/components/com_installer/views/manage/tmpl/default.php
  • endswitch : components/com_contact/views/contact/tmpl/default_profile.php , templates/beez3/html/com_contact/contact/default_profile.php
  • endwhile : templates/beez3/error.php , administrator/templates/system/error.php , templates/system/error.php , administrator/templates/isis/error.php , administrator/templates/hathor/error.php , templates/protostar/error.php
  • ENT_COMPAT : components/com_newsfeeds/views/category/tmpl/default_items.php , intro_image.php , templates/beez3/html/com_weblinks/category/default_items.php , templates/beez3/html/com_newsfeeds/category/default_items.php
  • ENT_QUOTES : administrator/modules/mod_latest/tmpl/default.php , administrator/modules/mod_popular/tmpl/default.php , administrator/templates/isis/login.php
  • extension : categories_default.php


Joomla CMS: Variables globale

- f -

  • false : com_menus/views/items/tmpl/default_batch_footer.php , administrator/components/com_users/views/users/tmpl/default.php , components/com_contact/views/contact/tmpl/default_profile.php , administrator/templates/hathor/html/com_postinstall/messages/default.php
  • family : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • fields : administrator/components/com_templates/views/style/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_modules/views/module/tmpl/edit.php
  • fieldset : administrator/components/com_modules/views/module/tmpl/edit.php , edit_display.php , modal_display.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_templates/views/style/tmpl/edit.php , templates/beez3/html/com_content/form/edit.php
  • fieldsets : administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php
  • fieldsname : components/com_config/view/application/tmpl/default_session.php , administrator/components/com_config/view/application/tmpl/default_site.php , components/com_config/view/application/tmpl/default_system.php , components/com_config/view/application/tmpl/default_cache.php , components/com_config/view/application/tmpl/default_cookie.php , components/com_config/view/application/tmpl/default_database.php , components/com_config/view/application/tmpl/default_debug.php , components/com_config/view/application/tmpl/default_filters.php , components/com_config/view/application/tmpl/default_ftp.php , components/com_config/view/application/tmpl/default_locale.php , components/com_config/view/application/tmpl/default_mail.php , administrator/components/com_config/view/application/tmpl/default_metadata.php , components/com_config/view/application/tmpl/default_permissions.php , default_proxy.php , administrator/components/com_config/view/application/tmpl/default_seo.php , components/com_config/view/application/tmpl/default_server.php
  • fileInput : plugins/installer/packageinstaller/tmpl/default.php
  • fileSizeMax : plugins/installer/packageinstaller/tmpl/default.php
  • FINDER_PATH_INDEXER : components/com_finder/models/search.php , suggestions.php
  • folder : administrator/components/com_media/views/images/tmpl/default.php , details_folder.php , details_folders.php , thumbs_up.php
  • foldgutter : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • foldmarker : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • for : horizontal.php , vertical.php , tmpl/vote.php
  • foreach : administrator/templates/hathor/html/com_contact/contact/edit.php , templates/hathor/html/com_config/application/default_system.php , administrator/templates/hathor/html/com_config/application/default_site.php , templates/hathor/html/com_config/application/default_session.php , templates/hathor/html/com_config/application/default_server.php , administrator/templates/hathor/html/com_config/application/default_seo.php , templates/hathor/html/com_config/application/default_permissions.php , administrator/templates/hathor/html/com_config/application/default_metadata.php , templates/hathor/html/com_config/application/default_locale.php , templates/hathor/html/com_config/application/default_ftp.php , templates/hathor/html/com_config/application/default_filters.php , templates/hathor/html/com_config/application/default_debug.php , templates/hathor/html/com_config/application/default_database.php , templates/hathor/html/com_config/application/default_cookie.php , templates/hathor/html/com_config/application/default_cache.php , administrator/templates/hathor/html/com_checkin/checkin/default.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/html/com_categories/category/edit.php , administrator/templates/hathor/html/com_cache/cache/default.php , administrator/templates/hathor/html/com_banners/tracks/default.php , templates/hathor/html/com_contact/contact/edit_params.php , templates/hathor/html/com_admin/sysinfo/default_config.php , administrator/templates/hathor/html/com_admin/profile/edit.php , administrator/modules/mod_submenu/tmpl/default.php , administrator/components/com_users/views/users/tmpl/modal.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/templates/hathor/html/com_installer/warnings/default.php , components/com_templates/views/style/tmpl/edit_options.php , components/com_tags/views/tag/tmpl/edit_options.php , administrator/components/com_search/views/searches/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , administrator/components/com_privacy/views/consents/tmpl/default.php , com_newsfeeds/views/newsfeed/tmpl/modal_params.php , components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php , administrator/components/com_modules/views/positions/tmpl/modal.php , installation/view/preinstall/tmpl/default.php , modules/mod_articles_popular/tmpl/default.php , com_menus/views/item/tmpl/modal_options.php , components/com_menus/views/item/tmpl/edit_options.php , administrator/components/com_languages/views/overrides/tmpl/default.php , default_preupdatecheck.php , administrator/components/com_installer/views/discover/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/modal.php , administrator/components/com_contenthistory/views/history/tmpl/modal.php , com_contact/views/contact/tmpl/modal_params.php , components/com_contact/views/contact/tmpl/edit_params.php , components/com_config/view/application/tmpl/default_navigation.php , administrator/components/com_checkin/views/checkin/tmpl/default.php , com_categories/views/category/tmpl/modal_options.php , administrator/components/com_cache/views/cache/tmpl/default.php , administrator/components/com_banners/views/tracks/tmpl/default.php , components/com_admin/views/sysinfo/tmpl/default_config.php , logstable.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , components/com_users/views/profile/tmpl/edit.php , components/com_config/view/config/tmpl/default_site.php , plugins/fields/media/tmpl/media.php , administrator/templates/hathor/html/com_installer/discover/default.php , plugins/fields/list/tmpl/list.php , installation/view/defaultlanguage/tmpl/default.php , administrator/templates/hathor/html/com_banners/banner/edit.php , templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php , modules/mod_languages/tmpl/default.php , administrator/components/com_templates/views/templates/tmpl/default.php , tmpl/usergrouplist.php , modules/mod_articles_latest/tmpl/default.php , plugins/fields/user/tmpl/user.php , components/com_modules/views/module/tmpl/edit_options.php , installation/view/summary/tmpl/default.php , templates/hathor/html/com_tags/tag/edit_options.php , toc.php , modules/mod_stats/tmpl/default.php , plugins/fields/sql/tmpl/sql.php , templates/hathor/html/com_weblinks/weblink/edit_params.php , plugins/fields/radio/tmpl/radio.php , plugins/fields/checkboxes/tmpl/checkboxes.php , templates/beez3/html/mod_languages/default.php , administrator/templates/hathor/html/com_content/articles/modal.php , administrator/templates/hathor/html/com_cpanel/cpanel/default.php , administrator/templates/hathor/html/com_finder/maps/default.php , components/com_config/view/config/tmpl/default_seo.php , administrator/templates/hathor/html/com_modules/positions/modal.php , components/com_config/view/config/tmpl/default_metadata.php , administrator/components/com_modules/views/modules/tmpl/modal.php , plugins/fields/imagelist/tmpl/imagelist.php , templates/hathor/html/com_tags/tag/edit_metadata.php , administrator/templates/hathor/html/com_templates/templates/default.php , administrator/templates/hathor/html/com_users/users/modal.php , modules/mod_articles_archive/tmpl/default.php , administrator/templates/hathor/html/com_content/article/edit.php , administrator/templates/hathor/html/com_finder/index/default.php , layouts/plugins/editors/tinymce/field/tinymcebuilder.php , administrator/templates/hathor/html/com_languages/overrides/default.php , administrator/templates/hathor/html/com_search/searches/default.php , administrator/templates/hathor/html/com_users/user/edit.php , administrator/templates/hathor/html/com_contact/contacts/modal.php , administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php
  • formclass : components/com_config/view/application/tmpl/default_permissions.php
  • fullscreen : plugins/editors/codemirror/layouts/editors/codemirror/styles.php


Joomla CMS: Variables globale

- g -

  • getDocument : administrator/components/com_associations/views/associations/tmpl/modal.php


Joomla CMS: Variables globale

- h -

  • H : components/com_content/views/category/tmpl/default_articles.php
  • h2 : templates/protostar/error.php
  • h3 : templates/protostar/error.php
  • h4 : templates/protostar/error.php
  • h5 : templates/protostar/error.php
  • h6 : templates/protostar/error.php
  • height : administrator/components/com_templates/views/template/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php , administrator/components/com_installer/views/install/tmpl/default.php
  • hiddenFieldsets : administrator/components/com_content/views/article/tmpl/edit.php
  • holder : administrator/components/com_templates/views/template/tmpl/default.php , administrator/templates/hathor/html/com_templates/template/default.php
  • htmlspecialchars : plugins/editors/codemirror/layouts/editors/codemirror/element.php


Joomla CMS: Variables globale

- i -

  • id : administrator/components/com_associations/views/associations/tmpl/modal.php , administrator/components/com_postinstall/views/messages/tmpl/default.php , administrator/components/com_users/views/notes/tmpl/modal.php
  • if : administrator/components/com_banners/views/banners/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/templates/hathor/html/layouts/joomla/toolbar/title.php , phputf8/str_split.php , phputf8/strcasecmp.php , administrator/templates/isis/component.php , phputf8/strcspn.php , phputf8/stristr.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/templates/isis/error.php , phputf8/strrev.php , phputf8/strspn.php , administrator/templates/isis/html/layouts/joomla/form/field/media.php , phputf8/substr_replace.php , phputf8/trim.php , templates/system/error.php , templates/protostar/index.php , templates/protostar/html/layouts/joomla/form/field/user.php , templates/protostar/html/layouts/joomla/form/field/media.php , templates/protostar/error.php , templates/beez3/index.php , templates/beez3/html/com_newsfeeds/category/default_items.php , templates/beez3/html/com_content/featured/default_item.php , templates/beez3/html/com_content/category/blog_item.php , templates/beez3/html/com_content/category/blog.php , templates/beez3/error.php , plugins/fields/url/tmpl/url.php , plugins/fields/textarea/tmpl/textarea.php , plugins/fields/text/tmpl/text.php , plugins/fields/editor/tmpl/editor.php , plugins/fields/color/tmpl/color.php , mod_search.php , default_separator.php , default_heading.php , modules/mod_menu/tmpl/default.php , modules/mod_login/mod_login.php , modules/mod_languages/tmpl/default.php , modules/mod_banners/tmpl/default.php , _item.php , modules/mod_articles_category/tmpl/default.php , php72compat.php , autoload-phpunit.php , vendor/joomla/string/src/phputf8/utf8.php , phputf8/utils/validation.php , phputf8/utils/unicode.php , phputf8/utils/specials.php , phputf8/utils/position.php , phputf8/utils/patterns.php , phputf8/utils/bad.php , phputf8/utils/ascii.php , phputf8/utf8.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/templates/isis/html/layouts/joomla/form/field/user.php , phputf8/ucfirst.php , phputf8/ucwords.php , administrator/templates/isis/html/layouts/joomla/pagination/link.php , administrator/components/com_privacy/views/dashboard/tmpl/default.php , administrator/templates/isis/html/layouts/joomla/pagination/links.php , administrator/templates/isis/html/mod_version/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , phputf8/str_pad.php , phputf8/str_ireplace.php , phputf8/ord.php , phputf8/native/core.php , phputf8/mbstring/core.php , layouts/joomla/searchtools/default.php , layouts/joomla/pagination/links.php , main.php , iframe.php , layouts/joomla/modal/body.php , layouts/joomla/html/image.php , layouts/joomla/html/batch/user.php , renderlabel.php , layouts/joomla/form/field/user.php , layouts/joomla/form/field/subform/repeatable.php , layouts/joomla/form/field/subform/repeatable-table/section.php , table/section-byfieldsets.php , layouts/joomla/form/field/subform/repeatable/section.php , section-byfieldsets.php , layouts/joomla/form/field/password.php , layouts/joomla/form/field/media.php , layouts/joomla/form/field/calendar.php , layouts/joomla/editors/buttons/button.php , layouts/joomla/content/readmore.php , layouts/joomla/content/info_block/associations.php , installation/application/framework.php , index.php , administrator/components/com_fields/views/groups/tmpl/default.php , default_custom.php , components/com_users/views/login/tmpl/default_logout.php , default_login.php , com_search/views/search/tmpl/default_results.php , components/com_newsfeeds/views/newsfeed/tmpl/default.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , default_result.php , components/com_finder/views/search/tmpl/default_form.php , com_fields/layouts/fields/render.php , com_fields/layouts/field/render.php , components/com_content/views/featured/tmpl/default_item.php , components/com_content/views/category/tmpl/blog_item.php , components/com_content/views/category/tmpl/blog.php , components/com_content/views/categories/tmpl/default_items.php , components/com_contact/views/categories/tmpl/default_items.php , com_contact/layouts/field/render.php , update_cron.php , sessionMetadataGc.php , sessionGc.php , garbagecron.php , deletefiles.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/templates/isis/index.php , administrator/templates/isis/login.php , components/com_templates/views/template/tmpl/default_tree.php , bin/keychain.php , administrator/components/com_installer/views/update/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_config/view/component/tmpl/default.php , default_preupdatecheck.php , administrator/templates/hathor/html/com_users/users/default.php , administrator/templates/hathor/html/com_users/debuguser/default.php , administrator/templates/hathor/html/com_users/debuggroup/default.php , templates/hathor/html/com_templates/template/default_tree.php , administrator/templates/hathor/html/com_fields/groups/default.php , administrator/templates/hathor/html/com_fields/fields/default.php , templates/hathor/html/com_categories/category/edit_options.php , administrator/templates/hathor/error.php , mod_title.php , mod_status.php , administrator/modules/mod_popular/tmpl/default.php , mod_popular.php , default_submenu.php , administrator/modules/mod_login/tmpl/default.php , administrator/modules/mod_logged/tmpl/default.php , components/com_users/views/profile/tmpl/edit.php , mod_latestactions.php , administrator/modules/mod_latest/tmpl/default.php , mod_latest.php , administrator/modules/mod_feed/tmpl/default.php , administrator/index.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_users/views/users/tmpl/default.php , default_update.php , administrator/components/com_users/views/users/tmpl/modal.php , components/com_config/view/component/tmpl/default_navigation.php , administrator/components/com_languages/layouts/joomla/searchtools/default/bar.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_media/views/media/tmpl/default.php , mod_logged.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_modules/views/modules/tmpl/modal.php , components/com_modules/views/module/tmpl/edit_assignment.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_contact/views/contacts/tmpl/modal.php , edit_container.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/modal.php
  • ignore_fieldsets : administrator/components/com_plugins/views/plugin/tmpl/edit.php , administrator/components/com_users/views/user/tmpl/edit.php , administrator/components/com_tags/views/tag/tmpl/edit.php , components/com_content/views/form/tmpl/edit.php , administrator/components/com_templates/views/style/tmpl/edit.php , administrator/components/com_modules/views/module/tmpl/edit.php , administrator/components/com_menus/views/item/tmpl/edit.php , administrator/components/com_content/views/article/tmpl/edit.php , administrator/components/com_users/views/group/tmpl/edit.php
  • inner : administrator/templates/isis/error.php
  • installpackageChange : default_upload.php
  • item : templates/beez3/html/com_content/category/blog.php , components/com_content/views/featured/tmpl/default.php , components/com_content/views/category/tmpl/blog.php , components/com_content/views/article/tmpl/default.php , templates/beez3/html/com_content/featured/default.php
  • items : components/com_contact/views/categories/tmpl/default_items.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , components/com_content/views/categories/tmpl/default_items.php


Joomla CMS: Variables globale

- j -

  • JDEBUG : administrator/includes/framework.php , finder_indexer.php , installation/application/framework.php
  • JERROR_CALLBACK_NOT_CALLABLE : libraries/legacy/error/error.php
  • JERROR_ILLEGAL_MODE : libraries/legacy/error/error.php
  • JERROR_ILLEGAL_OPTIONS : libraries/legacy/error/error.php
  • JOOMLA_MINIMUM_PHP : index.php , installation/index.php , administrator/index.php
  • joomlaCurrentVersion : administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • JoomlaInstaller : administrator/components/com_installer/views/install/tmpl/default.php
  • joomlaTargetVersion : administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php
  • joomlaupdate_ajax_url : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • joomlaupdate_return_url : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • joomlaupdate_totalsize : administrator/components/com_joomlaupdate/views/update/tmpl/default.php
  • JPATH_ADMINISTRATOR : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_BASE : installation/application/bootstrap.php
  • JPATH_CACHE : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_COMPONENT_ADMINISTRATOR : finder_indexer.php
  • JPATH_CONFIGURATION : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_INSTALLATION : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_ISMAC : import.legacy.php
  • JPATH_ISWIN : import.legacy.php
  • JPATH_LIBRARIES : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_MANIFESTS : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_PLUGINS : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_ROOT : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • JPATH_SITE : includes/defines.php , administrator/includes/defines.php , installation/application/defines.php
  • JPATH_THEMES : administrator/includes/defines.php , includes/defines.php , installation/application/defines.php
  • jQuery : administrator/components/com_joomlaupdate/views/update/tmpl/default.php , administrator/components/com_fields/views/field/tmpl/edit.php , administrator/components/com_modules/views/preview/tmpl/default.php , administrator/components/com_languages/views/language/tmpl/edit.php , administrator/components/com_installer/views/install/tmpl/default.php , administrator/components/com_banners/views/banner/tmpl/edit.php , administrator/components/com_config/view/component/tmpl/default.php , default_upload.php , administrator/templates/hathor/html/com_fields/field/edit.php
  • JREQUEST_ALLOWHTML : libraries/legacy/request/request.php
  • JREQUEST_ALLOWRAW : libraries/legacy/request/request.php
  • JREQUEST_NOTRIM : libraries/legacy/request/request.php
  • JROUTER_MODE_RAW : import.legacy.php , import.php
  • JROUTER_MODE_SEF : import.legacy.php , import.php
  • JS : administrator/components/com_joomlaupdate/views/default/tmpl/default.php , administrator/components/com_privacy/views/request/tmpl/default.php , plugins/installer/packageinstaller/tmpl/default.php , edit_container.php , administrator/templates/hathor/html/com_joomlaupdate/default/default.php , default_upload.php , installation/view/defaultlanguage/tmpl/default.php , init.php , administrator/components/com_privacy/views/request/tmpl/edit.php
  • json_encode : addtabscript.php , starttabsetscript.php


Joomla CMS: Variables globale

- l -

  • language : components/com_content/views/category/tmpl/default_articles.php
  • language_image : administrator/components/com_menus/views/items/tmpl/default.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/components/com_menus/views/items/tmpl/modal.php
  • language_title : administrator/templates/hathor/html/com_menus/items/default.php , administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_modules/modules/default.php , administrator/components/com_menus/views/items/tmpl/default.php
  • left : administrator/components/com_templates/views/template/tmpl/default.php
  • li : views/item/tmpl/edit_modules.php
  • location : modules/mod_banners/tmpl/default.php


Joomla CMS: Variables globale

- m -

  • margin : administrator/components/com_templates/views/template/tmpl/default.php
  • mark : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • markergutter : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • matchhighlight : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • matchingtag : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • maxLevel : components/com_content/views/category/tmpl/default_children.php , components/com_newsfeeds/views/category/tmpl/default_children.php , templates/beez3/html/com_contact/category/default_children.php , templates/beez3/html/com_content/category/blog_children.php , components/com_contact/views/category/tmpl/default_children.php , templates/beez3/html/com_content/category/default_children.php , templates/beez3/html/com_newsfeeds/category/default_children.php , components/com_content/views/category/tmpl/blog_children.php , templates/beez3/html/com_weblinks/category/default_children.php
  • maxLevelcat : components/com_content/views/categories/tmpl/default_items.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , templates/beez3/html/com_contact/categories/default_items.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_newsfeeds/categories/default_items.php , templates/beez3/html/com_weblinks/categories/default_items.php , components/com_contact/views/categories/tmpl/default_items.php
  • menubar : modules/mod_banners/tmpl/default.php
  • menumodules : administrator/templates/isis/error.php
  • method : mod_articles_category.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/templates/hathor/html/com_menus/items/default.php , mod_articles_categories.php , mod_tags_similar.php , mod_tags_popular.php , mod_related_items.php
  • methodparams : mod_articles_category.php , mod_related_items.php , mod_tags_popular.php , mod_articles_categories.php , mod_tags_similar.php
  • modal : templates/protostar/html/layouts/joomla/form/field/user.php
  • modeparams : mod_articles_categories.php , mod_tags_popular.php , mod_tags_similar.php , mod_related_items.php , mod_articles_category.php


Joomla CMS: Variables globale

- n -

  • name : components/com_config/view/application/tmpl/default_cache.php , components/com_config/view/application/tmpl/default_cookie.php , components/com_config/view/application/tmpl/default_debug.php , components/com_config/view/application/tmpl/default_mail.php , components/com_config/view/application/tmpl/default_system.php , administrator/components/com_config/view/application/tmpl/default_metadata.php , components/com_config/view/application/tmpl/default_filters.php , components/com_config/view/application/tmpl/default_permissions.php , default_proxy.php , components/com_config/view/application/tmpl/default_database.php , components/com_config/view/application/tmpl/default_ftp.php , administrator/components/com_config/view/application/tmpl/default_seo.php , components/com_config/view/application/tmpl/default_server.php , components/com_config/view/application/tmpl/default_locale.php , components/com_config/view/application/tmpl/default_session.php , administrator/components/com_config/view/application/tmpl/default_site.php
  • nbsp : views/preview/tmpl/preview.php
  • noheader : components/com_content/views/category/tmpl/default_articles.php
  • null : layouts/joomla/form/field/calendar.php , administrator/components/com_contact/views/contacts/tmpl/default.php , administrator/components/com_content/views/articles/tmpl/default.php , administrator/components/com_fields/views/fields/tmpl/default.php , administrator/components/com_fields/views/groups/tmpl/default.php , administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php , administrator/components/com_plugins/views/plugins/tmpl/default.php , administrator/components/com_languages/views/languages/tmpl/default.php , administrator/components/com_tags/views/tags/tmpl/default.php , administrator/components/com_categories/views/categories/tmpl/default.php , administrator/components/com_content/views/featured/tmpl/default.php , administrator/components/com_menus/views/items/tmpl/default.php , administrator/components/com_users/views/levels/tmpl/default.php , administrator/components/com_banners/views/banners/tmpl/default.php , administrator/templates/hathor/html/com_users/users/default.php


Joomla CMS: Variables globale

- o -

  • onclick : administrator/components/com_contenthistory/views/history/tmpl/modal.php , administrator/templates/hathor/html/com_contenthistory/history/modal.php , administrator/templates/hathor/html/com_menus/items/default.php
  • option : administrator/components/com_config/view/component/tmpl/default.php , administrator/templates/hathor/html/com_users/groups/default.php


Joomla CMS: Variables globale

- p -

  • pageclass_sfx : com_finder/views/search/tmpl/default_results.php
  • parent : components/com_contact/views/categories/tmpl/default_items.php , components/com_newsfeeds/views/categories/tmpl/default_items.php , templates/beez3/html/com_weblinks/categories/default_items.php , templates/beez3/html/com_contact/categories/default_items.php , components/com_content/views/categories/tmpl/default_items.php , templates/beez3/html/com_content/categories/default_items.php , templates/beez3/html/com_newsfeeds/categories/default_items.php
  • percentage : plugins/installer/packageinstaller/tmpl/default.php
  • prefix : components/com_config/config.php , administrator/components/com_config/config.php
  • progress : plugins/installer/packageinstaller/tmpl/default.php
  • progressBar : plugins/installer/packageinstaller/tmpl/default.php


Joomla CMS: Variables globale

- r -

  • radius : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • rel : installation/view/defaultlanguage/tmpl/default.php
  • request : administrator/components/com_menus/views/menutypes/tmpl/default.php
  • resizable : modules/mod_banners/tmpl/default.php
  • return : com_finder/views/search/tmpl/default_results.php , plugins/installer/packageinstaller/tmpl/default.php
  • returnUrl : plugins/installer/packageinstaller/tmpl/default.php
  • right : views/item/tmpl/edit_modules.php , administrator/components/com_templates/views/template/tmpl/default.php


Joomla CMS: Variables globale

- s -

  • SASL_CONTINUE : ntlm_sasl_client.php
  • SASL_FAIL : ntlm_sasl_client.php
  • SASL_NTLM_STATE_DONE : ntlm_sasl_client.php
  • SASL_NTLM_STATE_IDENTIFY_DOMAIN : ntlm_sasl_client.php
  • SASL_NTLM_STATE_RESPOND_CHALLENGE : ntlm_sasl_client.php
  • SASL_NTLM_STATE_START : ntlm_sasl_client.php
  • scrollbar : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • scrollbars : modules/mod_banners/tmpl/default.php
  • searchareas : components/com_search/views/search/tmpl/default_form.php
  • selected : administrator/components/com_templates/views/template/tmpl/default.php , administrator/templates/hathor/html/com_templates/template/default.php
  • shadow : plugins/editors/codemirror/layouts/editors/codemirror/styles.php
  • showlabel : components/com_config/view/application/tmpl/default_permissions.php
  • SIMPLEPIE_BUILD : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_ALL : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_BASE64 : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_HTML : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_IRI : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_MAYBE_HTML : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_NONE : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_TEXT : SimplePie.php
  • SIMPLEPIE_CONSTRUCT_XHTML : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_CURL : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_FILE_GET_CONTENTS : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_FSOCKOPEN : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_LOCAL : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_NONE : SimplePie.php
  • SIMPLEPIE_FILE_SOURCE_REMOTE : SimplePie.php
  • SIMPLEPIE_IANA_LINK_RELATIONS_REGISTRY : SimplePie.php
  • SIMPLEPIE_LINKBACK : SimplePie.php
  • SIMPLEPIE_LOCATOR_ALL : SimplePie.php
  • SIMPLEPIE_LOCATOR_AUTODISCOVERY : SimplePie.php
  • SIMPLEPIE_LOCATOR_LOCAL_BODY : SimplePie.php
  • SIMPLEPIE_LOCATOR_LOCAL_EXTENSION : SimplePie.php
  • SIMPLEPIE_LOCATOR_NONE : SimplePie.php
  • SIMPLEPIE_LOCATOR_REMOTE_BODY : SimplePie.php
  • SIMPLEPIE_LOCATOR_REMOTE_EXTENSION : SimplePie.php
  • SIMPLEPIE_LOWERCASE : SimplePie.php
  • SIMPLEPIE_NAME : SimplePie.php
  • SIMPLEPIE_NAMESPACE_ATOM_03 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_ATOM_10 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_DC_10 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_DC_11 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_GEORSS : SimplePie.php
  • SIMPLEPIE_NAMESPACE_ITUNES : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG2 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG3 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG4 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG5 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RDF : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RSS_090 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RSS_10 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RSS_10_MODULES_CONTENT : SimplePie.php
  • SIMPLEPIE_NAMESPACE_RSS_20 : SimplePie.php
  • SIMPLEPIE_NAMESPACE_W3C_BASIC_GEO : SimplePie.php
  • SIMPLEPIE_NAMESPACE_XHTML : SimplePie.php
  • SIMPLEPIE_NAMESPACE_XML : SimplePie.php
  • SIMPLEPIE_PCRE_HTML_ATTRIBUTE : SimplePie.php
  • SIMPLEPIE_PCRE_XML_ATTRIBUTE : SimplePie.php
  • SIMPLEPIE_SAME_CASE : SimplePie.php
  • SIMPLEPIE_TYPE_ALL : SimplePie.php
  • SIMPLEPIE_TYPE_ATOM_03 : SimplePie.php
  • SIMPLEPIE_TYPE_ATOM_10 : SimplePie.php
  • SIMPLEPIE_TYPE_ATOM_ALL : SimplePie.php
  • SIMPLEPIE_TYPE_NONE : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_090 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_091 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_091_NETSCAPE : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_091_USERLAND : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_092 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_093 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_094 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_10 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_20 : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_ALL : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_RDF : SimplePie.php
  • SIMPLEPIE_TYPE_RSS_SYNDICATION : SimplePie.php
  • SIMPLEPIE_UPPERCASE : SimplePie.php
  • SIMPLEPIE_URL : SimplePie.php
  • SIMPLEPIE_USERAGENT : SimplePie.php
  • SIMPLEPIE_VERSION : SimplePie.php
  • size : plugins/editors/codemirror/layouts/editors/codemirror/styles.php , plugins/installer/packageinstaller/tmpl/default.php
  • SODIUM_BASE64_VARIANT_ORIGINAL : php72compat_const.php
  • SODIUM_BASE64_VARIANT_ORIGINAL_NO_PADDING : php72compat_const.php
  • SODIUM_BASE64_VARIANT_URLSAFE : php72compat_const.php
  • SODIUM_BASE64_VARIANT_URLSAFE_NO_PADDING : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_AES256GCM_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_AES256GCM_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_AES256GCM_NPUBBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_AES256GCM_NSECBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NPUBBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_IETF_NSECBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NPUBBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_CHACHA20POLY1305_NSECBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NPUBBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AEAD_XCHACHA20POLY1305_IETF_NSECBYTES : php72compat_const.php
  • SODIUM_CRYPTO_AUTH_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_AUTH_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_KEYPAIRBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_MACBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_NONCEBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_PUBLICKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_SEALBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_SECRETKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_BOX_SEEDBYTES : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_BYTES_MAX : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_BYTES_MIN : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MAX : php72compat_const.php
  • SODIUM_CRYPTO_GENERICHASH_KEYBYTES_MIN : php72compat_const.php
  • SODIUM_CRYPTO_KDF_BYTES_MAX : php72compat_const.php
  • SODIUM_CRYPTO_KDF_BYTES_MIN : php72compat_const.php
  • SODIUM_CRYPTO_KDF_CONTEXTBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KDF_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_KEYPAIRBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_PRIMITIVE : php72compat_const.php
  • SODIUM_CRYPTO_KX_PUBLICKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_SECRETKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_SEEDBYTES : php72compat_const.php
  • SODIUM_CRYPTO_KX_SESSIONKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_ALG_ARGON2I13 : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_ALG_ARGON2ID13 : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_MEMLIMIT_INTERACTIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_MEMLIMIT_MODERATE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_MEMLIMIT_SENSITIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_OPSLIMIT_INTERACTIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_OPSLIMIT_MODERATE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_OPSLIMIT_SENSITIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SALTBYTES : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_INTERACTIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_MEMLIMIT_SENSITIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_INTERACTIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_OPSLIMIT_SENSITIVE : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_SALTBYTES : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_SCRYPTSALSA208SHA256_STRPREFIX : php72compat_const.php
  • SODIUM_CRYPTO_PWHASH_STRPREFIX : php72compat_const.php
  • SODIUM_CRYPTO_SCALARMULT_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_SCALARMULT_SCALARBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETBOX_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETBOX_MACBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETBOX_NONCEBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_ABYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_HEADERBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_MESSAGEBYTES_MAX : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_FINAL : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PULL : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_PUSH : php72compat_const.php
  • SODIUM_CRYPTO_SECRETSTREAM_XCHACHA20POLY1305_TAG_REKEY : php72compat_const.php
  • SODIUM_CRYPTO_SHORTHASH_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_SHORTHASH_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_BYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_KEYPAIRBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_PUBLICKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_SECRETKEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_SIGN_SEEDBYTES : php72compat_const.php
  • SODIUM_CRYPTO_STREAM_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_STREAM_NONCEBYTES : php72compat_const.php
  • SODIUM_CRYPTO_STREAM_XCHACHA20_KEYBYTES : php72compat_const.php
  • SODIUM_CRYPTO_STREAM_XCHACHA20_NONCEBYTES : php72compat_const.php
  • SODIUM_LIBRARY_MAJOR_VERSION : php72compat_const.php
  • SODIUM_LIBRARY_MINOR_VERSION : php72compat_const.php
  • SODIUM_LIBRARY_VERSION : php72compat_const.php
  • status : modules/mod_banners/tmpl/default.php
  • statusmodules : administrator/templates/isis/error.php
  • submenumodules : administrator/templates/isis/index.php , administrator/templates/isis/error.php
  • submitbutton : administrator/components/com_languages/views/override/tmpl/edit.php
  • submitbutton3 : administrator/templates/hathor/html/com_installer/install/default_form.php
  • submitbutton4 : administrator/templates/hathor/html/com_installer/install/default_form.php
  • submitbuttonInstallWebInstaller : administrator/components/com_installer/views/install/tmpl/default.php , administrator/templates/hathor/html/com_installer/install/default_form.php
  • subtemplatename : components/com_contact/views/category/tmpl/default.php , components/com_content/views/category/tmpl/default.php


Joomla CMS: Variables globale

- t -

  • tab_name : components/com_content/views/form/tmpl/edit.php
  • task : administrator/components/com_media/views/media/tmpl/default.php , details_docs.php , details_imgs.php , templates/isis/html/com_media/medialist/thumbs_folders.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , details_video.php , details_folder.php , details_videos.php , thumbs_docs.php , details_doc.php , details_folders.php , components/com_media/views/medialist/tmpl/thumbs_folders.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , details_img.php , thumbs_videos.php , administrator/components/com_postinstall/views/messages/tmpl/default.php
  • text : administrator/templates/isis/html/layouts/joomla/pagination/link.php , components/com_contact/views/contact/tmpl/default_profile.php , components/com_content/views/category/tmpl/blog.php , category_default.php , templates/beez3/html/com_contact/contact/default_profile.php
  • thead : components/com_content/views/category/tmpl/default_articles.php
  • title : templates/protostar/error.php
  • title_native : modules/mod_languages/tmpl/default.php , templates/beez3/html/mod_languages/default.php
  • tmpl : details_folders.php , details_videos.php , details_img.php , details_imgs.php , details_video.php , thumbs_docs.php , components/com_media/views/medialist/tmpl/thumbs_folders.php , components/com_media/views/medialist/tmpl/thumbs_imgs.php , thumbs_up.php , thumbs_videos.php , templates/isis/html/com_media/medialist/thumbs_imgs.php , templates/isis/html/com_media/medialist/thumbs_folders.php , administrator/components/com_media/views/images/tmpl/default.php , details_doc.php , details_docs.php , details_folder.php
  • toggle : administrator/templates/isis/error.php
  • transition : plugins/installer/packageinstaller/tmpl/default.php
  • tree : administrator/components/com_templates/views/template/tmpl/default.php , administrator/templates/hathor/html/com_templates/template/default.php
  • true : administrator/components/com_menus/views/items/tmpl/modal.php , administrator/templates/hathor/html/com_menus/items/default.php , administrator/components/com_menus/views/items/tmpl/default.php
  • try : administrator/components/com_config/models/application.php , plugins/fields/sql/tmpl/sql.php , administrator/components/com_config/models/component.php , xml.php , bin/keychain.php
  • twoFactorMethodChange : administrator/components/com_users/views/user/tmpl/edit.php , administrator/templates/hathor/html/com_users/user/edit.php


Joomla CMS: Variables globale

- u -

  • uploading : plugins/installer/packageinstaller/tmpl/default.php
  • url : plugins/installer/packageinstaller/tmpl/default.php
  • UTF8_BAD_5OCTET : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_6OCTET : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_NONSHORT : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_SEQID : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_SEQINCOMPLETE : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_SURROGATE : vendor/joomla/string/src/phputf8/utils/bad.php
  • UTF8_BAD_UNIOUTRANGE : vendor/joomla/string/src/phputf8/utils/bad.php


Joomla CMS: Variables globale

- v -

  • value : views/compare/tmpl/compare.php , default_custom.php , default_params.php
  • view : thumbs_up.php , administrator/components/com_media/views/images/tmpl/default.php , administrator/components/com_postinstall/views/messages/tmpl/default.php
  • viewstyle : administrator/components/com_media/views/media/tmpl/default.php


Joomla CMS: Variables globale

- w -

  • width : administrator/components/com_templates/views/template/tmpl/default.php , modules/mod_banners/tmpl/default.php , administrator/templates/hathor/html/com_templates/template/default.php


Joomla CMS: Variables globale

- x -

  • xmldata : components/com_templates/views/template/tmpl/default_description.php , templates/hathor/html/com_templates/template/default_description.php


Joomla CMS: Variables globale

- y -

  • y : administrator/components/com_templates/views/template/tmpl/default.php


Joomla CMS: Exemples

Exemples
Liste de tous les exemples :
  • Converts
  • example.com
  • to
  • with


Joomla CMS: Converts

Converts

Converts a table name to its class name according to Koowa naming conventions.

Paramètres
string $tableName Table name for getting related ClassName.
Renvoie
string SingularClassName

"people" to "Person"

Voir également
tableize


Joomla CMS: example.com

example.com

DKIM signing domain name. '


Joomla CMS: to

to

Method to add an event handler to the map. Event handlers must be passed in either as callback name or fully qualified function declaration

Paramètres
string | $type | The event name
string | $function | The event handling function body

add an event call: $map->addEventHandler('click', 'function(){ alert("map click event"); }');

Renvoie
JGoogleEmbedMaps The object for method chaining
Depuis
3.1.4


Joomla CMS: with

with

Method to get the auto-incremented value from the last INSERT statement. To be called after the INSERT statement, it's MANDATORY to have a sequence on every primary key table.

To get the auto incremented value it's possible to call this function after INSERT INTO query, or use INSERT INTO with RETURNING clause.

insertid() call: $query = $this->getQuery(true) ->insert('jos_dbtest') ->columns('title,start_date,description') ->values("'testTitle2nd','1971-01-01','testDescription2nd'"); $this->setQuery($query); $this->execute(); $id = $this->insertid();


Joomla CMS: Répertoire de référence de Web

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Web
Répertoire de référence de Web

Fichiers

fichier WebClient.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire | form
répertoire | pagination
répertoire | system
répertoire | toolbar


Joomla CMS: Répertoire de référence de com_cache

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_cache
Répertoire de référence de com_cache

Répertoires

répertoire | cache
répertoire | purge


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de com_newsfeeds

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
Répertoire de référence de com_newsfeeds

Répertoires

répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | components/com_newsfeeds/controller.php
fichier | components/com_newsfeeds/newsfeeds.php
fichier | components/com_newsfeeds/router.php


Joomla CMS: Répertoire de référence de layout

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • layout
Répertoire de référence de layout

Fichiers

fichier | libraries/fof/layout/file.php
fichier | libraries/fof/layout/helper.php


Joomla CMS: Répertoire de référence de com_privacy

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
Répertoire de référence de com_privacy

Répertoires

répertoire | controllers
répertoire | models
répertoire | views

Fichiers

fichier | components/com_privacy/controller.php
fichier | components/com_privacy/privacy.php
fichier | components/com_privacy/router.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | administrator/components/com_users/helpers/debug.php
fichier | administrator/components/com_users/helpers/users.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • indexer
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_finder/views/indexer/tmpl/default.php


Joomla CMS: Répertoire de référence de checkin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_checkin
  • checkin
Répertoire de référence de checkin

Fichiers

fichier administrator/templates/hathor/html/com_checkin/checkin/default.php


Joomla CMS: Répertoire de référence de com_contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contact
Répertoire de référence de com_contact

Répertoires

répertoire | contact
répertoire | contacts


Joomla CMS: Répertoire de référence de download

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • download
Répertoire de référence de download

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_banners/views/download/view.html.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_redirect/helpers/html/redirect.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • confirm
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier components/com_privacy/views/confirm/tmpl/default.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • helpers
Répertoire de référence de helpers

Fichiers

fichier | administrator/components/com_actionlogs/helpers/actionlogs.php
fichier | actionlogsphp55.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_toolbar
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_toolbar/tmpl/default.php


Joomla CMS: Répertoire de référence de Categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Categories
Répertoire de référence de Categories

Fichiers

fichier | Categories.php
fichier | CategoryFactory.php
fichier | CategoryFactoryInterface.php
fichier | CategoryInterface.php
fichier | CategoryNode.php
fichier | SectionNotFoundException.php


Joomla CMS: Répertoire de référence de com_fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_fields
Répertoire de référence de com_fields

Répertoires

répertoire | field
répertoire | fields
répertoire | group
répertoire | groups


Joomla CMS: Répertoire de référence de medialist

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
Répertoire de référence de medialist

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_media/views/medialist/view.html.php


Joomla CMS: Répertoire de référence de Google

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Captcha
  • Google
Répertoire de référence de Google

Fichiers

fichier HttpBridgePostRequestMethod.php


Joomla CMS: Répertoire de référence de cache

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • cache
Répertoire de référence de cache

Fichiers

fichier cleaner.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
Répertoire de référence de views

Répertoires

répertoire | banner
répertoire | banners
répertoire | client
répertoire | clients
répertoire | download
répertoire | tracks


Joomla CMS: Répertoire de référence de parser

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • parser
Répertoire de référence de parser

Fichiers

fichier | administrator/components/com_finder/helpers/indexer/parser/html.php
fichier | rtf.php
fichier | txt.php


Joomla CMS: Répertoire de référence de recaptcha

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • captcha
  • recaptcha
Répertoire de référence de recaptcha

Répertoires

répertoire postinstall

Fichiers

fichier recaptcha.php


Joomla CMS: Répertoire de référence de Captcha

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Captcha
Répertoire de référence de Captcha

Répertoires

répertoire Google

Fichiers

fichier Captcha.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • maps
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_finder/views/maps/tmpl/default.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • models
Répertoire de référence de models

Fichiers

fichier models/mailto.php


Joomla CMS: Répertoire de référence de table

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • table
Répertoire de référence de table

Fichiers

fichier session.php


Joomla CMS: Répertoire de référence de users

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • users
Répertoire de référence de users

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/users/view.html.php


Joomla CMS: Répertoire de référence de Filter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
  • Filter
Répertoire de référence de Filter

Fichiers

fichier | Backgroundfill.php
fichier | Brightness.php
fichier | Contrast.php
fichier | Edgedetect.php
fichier | Emboss.php
fichier | Grayscale.php
fichier | Negate.php
fichier | Sketchy.php
fichier | Smooth.php


Joomla CMS: Répertoire de référence de users

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • users
Répertoire de référence de users

Fichiers

fichier | emails.php
fichier | followers.php
fichier | users/keys.php


Joomla CMS: Répertoire de référence de composer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • composer
Répertoire de référence de composer

Fichiers

fichier | autoload_classmap.php
fichier | autoload_files.php
fichier | autoload_namespaces.php
fichier | autoload_psr4.php
fichier | autoload_real.php
fichier | autoload_static.php
fichier | ClassLoader.php
fichier | libraries/vendor/composer/installed.php
fichier | InstalledVersions.php
fichier | platform_check.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • helpers
Répertoire de référence de helpers

Fichiers

fichier | administrator/components/com_search/helpers/search.php
fichier | administrator/components/com_search/helpers/site.php


Joomla CMS: Répertoire de référence de buttons

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • tinymce
  • buttons
Répertoire de référence de buttons

Fichiers

fichier layouts/joomla/tinymce/buttons/button.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • category
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_contact/views/category/tmpl/default.php
fichier | components/com_contact/views/category/tmpl/default_children.php
fichier | components/com_contact/views/category/tmpl/default_items.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_config/view/application/tmpl/default.php
fichier | components/com_config/view/application/tmpl/default_cache.php
fichier | components/com_config/view/application/tmpl/default_cookie.php
fichier | components/com_config/view/application/tmpl/default_database.php
fichier | components/com_config/view/application/tmpl/default_debug.php
fichier | components/com_config/view/application/tmpl/default_filters.php
fichier | components/com_config/view/application/tmpl/default_ftp.php
fichier | components/com_config/view/application/tmpl/default_ftplogin.php
fichier | components/com_config/view/application/tmpl/default_locale.php
fichier | components/com_config/view/application/tmpl/default_mail.php
fichier | administrator/components/com_config/view/application/tmpl/default_metadata.php
fichier | components/com_config/view/application/tmpl/default_navigation.php
fichier | components/com_config/view/application/tmpl/default_permissions.php
fichier | default_proxy.php
fichier | administrator/components/com_config/view/application/tmpl/default_seo.php
fichier | components/com_config/view/application/tmpl/default_server.php
fichier | components/com_config/view/application/tmpl/default_session.php
fichier | administrator/components/com_config/view/application/tmpl/default_site.php
fichier | components/com_config/view/application/tmpl/default_system.php


Joomla CMS: Répertoire de référence de com_ajax

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_ajax
Répertoire de référence de com_ajax

Fichiers

fichier administrator/components/com_ajax/ajax.php


Joomla CMS: Répertoire de référence de behavior

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • behavior
Répertoire de référence de behavior

Fichiers

fichier | libraries/fof/model/behavior/access.php
fichier | emptynonzero.php
fichier | enabled.php
fichier | libraries/fof/model/behavior/filters.php
fichier | libraries/fof/model/behavior/language.php
fichier | private.php


Joomla CMS: Répertoire de référence de iterator

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • iterator
Répertoire de référence de iterator

Fichiers

fichier | libraries/joomla/database/iterator/mysql.php
fichier | joomla/database/iterator/mysqli.php
fichier | joomla/database/iterator/oracle.php
fichier | joomla/database/iterator/pdo.php
fichier | joomla/database/iterator/pdomysql.php
fichier | iterator/pgsql.php
fichier | libraries/joomla/database/iterator/postgresql.php
fichier | joomla/database/iterator/sqlazure.php
fichier | joomla/database/iterator/sqlite.php
fichier | libraries/joomla/database/iterator/sqlsrv.php


Joomla CMS: Répertoire de référence de package

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
Répertoire de référence de package

Répertoires

répertoire | activity
répertoire | data
répertoire | gists
répertoire | issues
répertoire | orgs
répertoire | pulls
répertoire | repositories
répertoire | users

Fichiers

fichier | activity.php
fichier | authorization.php
fichier | libraries/joomla/github/package/data.php
fichier | gists.php
fichier | gitignore.php
fichier | issues.php
fichier | markdown.php
fichier | orgs.php
fichier | pulls.php
fichier | repositories.php
fichier | libraries/joomla/github/package/search.php
fichier | libraries/joomla/github/package/users.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_quickicon
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_quickicon/tmpl/default.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
Répertoire de référence de views

Répertoires

répertoire | database
répertoire | default
répertoire | discover
répertoire | install
répertoire | languages
répertoire | manage
répertoire | update
répertoire | updatesites
répertoire | warnings


Joomla CMS: Répertoire de référence de emailcloak

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • emailcloak
Répertoire de référence de emailcloak

Fichiers

fichier emailcloak.php


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier | layouts/joomla/toolbar/base.php
fichier | layouts/joomla/toolbar/batch.php
fichier | layouts/joomla/toolbar/confirm.php
fichier | layouts/joomla/toolbar/containerclose.php
fichier | layouts/joomla/toolbar/containeropen.php
fichier | layouts/joomla/toolbar/help.php
fichier | layouts/joomla/toolbar/iconclass.php
fichier | layouts/joomla/toolbar/link.php
fichier | layouts/joomla/toolbar/modal.php
fichier | layouts/joomla/toolbar/popup.php
fichier | layouts/joomla/toolbar/separator.php
fichier | layouts/joomla/toolbar/slider.php
fichier | layouts/joomla/toolbar/standard.php
fichier | layouts/joomla/toolbar/title.php
fichier | layouts/joomla/toolbar/versions.php


Joomla CMS: Répertoire de référence de tag

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tag
Répertoire de référence de tag

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_tags/views/tag/view.html.php


Joomla CMS: Répertoire de référence de mod_tags_similar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_similar
Répertoire de référence de mod_tags_similar

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_tags_similar/helper.php
fichier | mod_tags_similar.php


Joomla CMS: Répertoire de référence de mail

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • mail
Répertoire de référence de mail

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/mail/view.html.php


Joomla CMS: Répertoire de référence de sql

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • sql
Répertoire de référence de sql

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/sql/sql.php


Joomla CMS: Répertoire de référence de styles

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • styles
Répertoire de référence de styles

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_templates/views/styles/view.html.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de highlight

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • highlight
Répertoire de référence de highlight

Fichiers

fichier highlight.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
Répertoire de référence de src

Répertoires

répertoire Exception

Fichiers

fichier | Archive.php
fichier | Bzip2.php
fichier | ExtractableInterface.php
fichier | Gzip.php
fichier | Tar.php
fichier | Zip.php


Joomla CMS: Répertoire de référence de SecretStream

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • SecretStream
Répertoire de référence de SecretStream

Fichiers

fichier src/Core32/SecretStream/State.php


Joomla CMS: Répertoire de référence de wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • archive
  • wrapper
Répertoire de référence de wrapper

Fichiers

fichier libraries/joomla/archive/wrapper/archive.php


Joomla CMS: Répertoire de référence de contactcreator

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • contactcreator
Répertoire de référence de contactcreator

Fichiers

fichier contactcreator.php


Joomla CMS: Répertoire de référence de com_banners

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
Répertoire de référence de com_banners

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_banners/banners.php
fichier | administrator/components/com_banners/controller.php


Joomla CMS: Répertoire de référence de mod_tags_popular

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_popular
Répertoire de référence de mod_tags_popular

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_tags_popular/helper.php
fichier | mod_tags_popular.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • help
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_admin/views/help/tmpl/default.php
fichier | langforum.php


Joomla CMS: Répertoire de référence de fr-FR

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • language
  • fr-FR
Répertoire de référence de fr-FR

Fichiers

fichier administrator/language/fr-FR/fr-FR.localise.php


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_modules
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier | templates/hathor/html/layouts/com_modules/toolbar/cancelselect.php
fichier | templates/hathor/html/layouts/com_modules/toolbar/newmodule.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • models
Répertoire de référence de models

Fichiers

fichier | administrator/components/com_admin/models/help.php
fichier | administrator/components/com_admin/models/profile.php
fichier | sysinfo.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • fields
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_fields/views/fields/tmpl/default.php
fichier | com_fields/views/fields/tmpl/default_batch_body.php
fichier | com_fields/views/fields/tmpl/default_batch_footer.php
fichier | administrator/components/com_fields/views/fields/tmpl/modal.php


Joomla CMS: Répertoire de référence de com_contenthistory

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
Répertoire de référence de com_contenthistory

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_contenthistory/contenthistory.php
fichier | administrator/components/com_contenthistory/controller.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • field
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_fields/views/field/tmpl/edit.php


Joomla CMS: Répertoire de référence de Storage

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Storage
Répertoire de référence de Storage

Fichiers

fichier | ApcStorage.php
fichier | ApcuStorage.php
fichier | CacheliteStorage.php
fichier | CacheStorageHelper.php
fichier | FileStorage.php
fichier | MemcachedStorage.php
fichier | MemcacheStorage.php
fichier | RedisStorage.php
fichier | WincacheStorage.php
fichier | XcacheStorage.php


Joomla CMS: Répertoire de référence de templates

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • templates
Répertoire de référence de templates

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_templates/views/templates/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latestactions
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_latestactions/tmpl/default.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_content/models/article.php
fichier | administrator/components/com_content/models/articles.php
fichier | feature.php
fichier | administrator/components/com_content/models/featured.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • notes
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_users/views/notes/tmpl/default.php
fichier | administrator/components/com_users/views/notes/tmpl/modal.php


Joomla CMS: Répertoire de référence de contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contact
  • contact
Répertoire de référence de contact

Fichiers

fichier | administrator/templates/hathor/html/com_contact/contact/edit.php
fichier | templates/hathor/html/com_contact/contact/edit_params.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • models
  • fields
Répertoire de référence de fields

Répertoires

répertoire modal

Fichiers

fichier voteradio.php


Joomla CMS: Répertoire de référence de filesystem

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • platform
  • filesystem
Répertoire de référence de filesystem

Fichiers

fichier | platform/filesystem/filesystem.php
fichier | fof/platform/filesystem/interface.php


Joomla CMS: Répertoire de référence de postinstall

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • updatenotification
  • postinstall
Répertoire de référence de postinstall

Fichiers

fichier updatecachetime.php


Joomla CMS: Répertoire de référence de com_menus

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
Répertoire de référence de com_menus

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | layouts
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_menus/controller.php
fichier | administrator/components/com_menus/menus.php


Joomla CMS: Répertoire de référence de mod_popular

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_popular
Répertoire de référence de mod_popular

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_popular/helper.php
fichier | mod_popular.php


Joomla CMS: Répertoire de référence de messages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • messages
Répertoire de référence de messages

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_messages/views/messages/view.html.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • views
Répertoire de référence de views

Répertoires

répertoire | cache
répertoire | purge


Joomla CMS: Répertoire de référence de gmail

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • authentication
  • gmail
Répertoire de référence de gmail

Fichiers

fichier gmail.php


Joomla CMS: Répertoire de référence de error

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • error
Répertoire de référence de error

Fichiers

fichier backtrace.php


Joomla CMS: Répertoire de référence de profile

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • user
  • profile
Répertoire de référence de profile

Répertoires

répertoire fields


Joomla CMS: Répertoire de référence de category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • category
Répertoire de référence de category

Répertoires

répertoire tmpl

Fichiers

fichier | com_contact/views/category/view.feed.php
fichier | components/com_contact/views/category/view.html.php


Joomla CMS: Répertoire de référence de plugin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_plugins
  • plugin
Répertoire de référence de plugin

Fichiers

fichier | administrator/templates/hathor/html/com_plugins/plugin/edit.php
fichier | templates/hathor/html/com_plugins/plugin/edit_options.php


Joomla CMS: Répertoire de référence de plugin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugin
Répertoire de référence de plugin

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_plugins/views/plugin/view.html.php


Joomla CMS: Répertoire de référence de Interceptor

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Interceptor
Répertoire de référence de Interceptor

Fichiers

fichier | ConjunctionInterceptor.php
fichier | PharExtensionInterceptor.php
fichier | PharMetaDataInterceptor.php


Joomla CMS: Répertoire de référence de profile

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • plugins
  • user
  • profile
Répertoire de référence de profile

Répertoires

répertoire fields


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • layouts
  • joomla
  • form
Répertoire de référence de form

Fichiers

fichier components/com_contact/layouts/joomla/form/renderfield.php


Joomla CMS: Répertoire de référence de plugins

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
Répertoire de référence de plugins

Répertoires

répertoire | actionlog
répertoire | authentication
répertoire | captcha
répertoire | content
répertoire | editors
répertoire | editors-xtd
répertoire | extension
répertoire | fields
répertoire | finder
répertoire | installer
répertoire | privacy
répertoire | quickicon
répertoire | sampledata
répertoire | search
répertoire | system
répertoire | twofactorauth
répertoire | user


Joomla CMS: Répertoire de référence de help

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • help
Répertoire de référence de help

Fichiers

fichier administrator/templates/hathor/html/com_admin/help/default.php


Joomla CMS: Répertoire de référence de Curve25519

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Curve25519
Répertoire de référence de Curve25519

Répertoires

répertoire Ge

Fichiers

fichier | src/Core32/Curve25519/Fe.php
fichier | src/Core32/Curve25519/H.php


Joomla CMS: Répertoire de référence de Client

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Client
Répertoire de référence de Client

Fichiers

fichier | ClientHelper.php
fichier | ClientWrapper.php
fichier | src/Client/FtpClient.php


Joomla CMS: Répertoire de référence de registry

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
Répertoire de référence de registry

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier contentadministrator.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • database
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_installer/views/database/tmpl/default.php


Joomla CMS: Répertoire de référence de com_contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
Répertoire de référence de com_contact

Répertoires

répertoire | categories
répertoire | category
répertoire | contact


Joomla CMS: Répertoire de référence de editors-xtd

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
Répertoire de référence de editors-xtd

Répertoires

répertoire | article
répertoire | contact
répertoire | fields
répertoire | image
répertoire | menu
répertoire | module
répertoire | pagebreak
répertoire | readmore


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • article
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_content/views/article/tmpl/default.php
fichier | components/com_content/views/article/tmpl/default_links.php


Joomla CMS: Répertoire de référence de codemirror

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • codemirror
  • layouts
  • editors
  • codemirror
Répertoire de référence de codemirror

Fichiers

fichier | plugins/editors/codemirror/layouts/editors/codemirror/element.php
fichier | init.php
fichier | plugins/editors/codemirror/layouts/editors/codemirror/styles.php


Joomla CMS: Répertoire de référence de archive

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • archive
Répertoire de référence de archive

Répertoires

répertoire tmpl

Fichiers

fichier components/com_content/views/archive/view.html.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_fields
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire | field
répertoire | fields


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • integration
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire filesystem

Fichiers

fichier fof/integration/joomla/platform.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_associations/models/association.php
fichier | administrator/components/com_associations/models/associations.php


Joomla CMS: Répertoire de référence de route

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • route
Répertoire de référence de route

Répertoires

répertoire wrapper


Joomla CMS: Répertoire de référence de item

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
Répertoire de référence de item

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_menus/views/item/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • capabilities
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_privacy/views/capabilities/tmpl/default.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
Répertoire de référence de views

Répertoires

répertoire | field
répertoire | fields
répertoire | group
répertoire | groups


Joomla CMS: Répertoire de référence de Parse

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Parse
Répertoire de référence de Parse

Fichiers

fichier vendor/simplepie/simplepie/library/SimplePie/Parse/Date.php


Joomla CMS: Répertoire de référence de Controller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Controller
Répertoire de référence de Controller

Fichiers

fichier | CallbackController.php
fichier | OutputController.php
fichier | PageController.php
fichier | ViewController.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
Répertoire de référence de src

Répertoires

répertoire | Cli
répertoire | Web

Fichiers

fichier | AbstractApplication.php
fichier | AbstractCliApplication.php
fichier | AbstractDaemonApplication.php
fichier | AbstractWebApplication.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • exception
Répertoire de référence de exception

Fichiers

fichier exception/exception.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • views
Répertoire de référence de views

Répertoires

répertoire searches


Joomla CMS: Répertoire de référence de Rules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
  • Rules
Répertoire de référence de Rules

Fichiers

fichier | MenuRules.php
fichier | NomenuRules.php
fichier | RulesInterface.php
fichier | StandardRules.php


Joomla CMS: Répertoire de référence de hathor

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
Répertoire de référence de hathor

Répertoires

répertoire | html
répertoire | postinstall

Fichiers

fichier | administrator/templates/hathor/component.php
fichier | templates/hathor/cpanel.php
fichier | administrator/templates/hathor/error.php
fichier | administrator/templates/hathor/index.php
fichier | administrator/templates/hathor/login.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugin
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_plugins/views/plugin/tmpl/edit.php
fichier | components/com_plugins/views/plugin/tmpl/edit_options.php
fichier | administrator/components/com_plugins/views/plugin/tmpl/modal.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • list
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/list/tmpl/list.php


Joomla CMS: Répertoire de référence de quickicon

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
Répertoire de référence de quickicon

Répertoires

répertoire | eos310
répertoire | extensionupdate
répertoire | joomlaupdate
répertoire | phpversioncheck
répertoire | privacycheck


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_menus/models/item.php
fichier | models/items.php
fichier | administrator/components/com_menus/models/menu.php
fichier | administrator/components/com_menus/models/menus.php
fichier | menutypes.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | jsonresponse.php
fichier | administrator/components/com_languages/helpers/languages.php
fichier | multilangstatus.php


Joomla CMS: Répertoire de référence de items

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • items
Répertoire de référence de items

Fichiers

fichier administrator/templates/hathor/html/com_menus/items/default.php


Joomla CMS: Répertoire de référence de login

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
  • views
  • login
Répertoire de référence de login

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_login/views/login/view.html.php


Joomla CMS: Répertoire de référence de mod_status

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_status
Répertoire de référence de mod_status

Répertoires

répertoire tmpl

Fichiers

fichier mod_status.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_tags/controllers/tag.php
fichier | administrator/components/com_tags/controllers/tags.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
Répertoire de référence de src

Répertoires

répertoire Format

Fichiers

fichier | AbstractRegistryFormat.php
fichier | vendor/joomla/registry/src/Factory.php
fichier | FormatInterface.php
fichier | joomla/registry/src/Registry.php


Joomla CMS: Répertoire de référence de Feed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
Répertoire de référence de Feed

Répertoires

répertoire Parser

Fichiers

fichier | Feed.php
fichier | FeedEntry.php
fichier | FeedFactory.php
fichier | FeedLink.php
fichier | FeedParser.php
fichier | FeedPerson.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filter
  • src
Répertoire de référence de src

Fichiers

fichier | vendor/joomla/filter/src/InputFilter.php
fichier | vendor/joomla/filter/src/OutputFilter.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • controllers
Répertoire de référence de controllers

Fichiers

fichier components/com_content/controllers/article.php


Joomla CMS: Répertoire de référence de event

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • event
Répertoire de référence de event

Fichiers

fichier | joomla/event/dispatcher.php
fichier | joomla/event/event.php


Joomla CMS: Répertoire de référence de com_plugins

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_plugins
Répertoire de référence de com_plugins

Répertoires

répertoire | plugin
répertoire | plugins


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • default
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_installer/views/default/tmpl/default_ftp.php
fichier | default_message.php


Joomla CMS: Répertoire de référence de sef

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • sef
Répertoire de référence de sef

Fichiers

fichier sef.php


Joomla CMS: Répertoire de référence de Clients

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
  • Clients
Répertoire de référence de Clients

Fichiers

fichier vendor/joomla/filesystem/src/Clients/FtpClient.php


Joomla CMS: Répertoire de référence de mod_multilangstatus

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_multilangstatus
Répertoire de référence de mod_multilangstatus

Répertoires

répertoire tmpl

Fichiers

fichier mod_multilangstatus.php


Joomla CMS: Répertoire de référence de color

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • color
Répertoire de référence de color

Fichiers

fichier | advanced.php
fichier | simple.php


Joomla CMS: Répertoire de référence de helper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • helper
Répertoire de référence de helper

Fichiers

fichier administrator/components/com_config/helper/config.php


Joomla CMS: Répertoire de référence de mod_articles_news

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_news
Répertoire de référence de mod_articles_news

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_articles_news/helper.php
fichier | mod_articles_news.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_content/views/category/tmpl/blog.php
fichier | components/com_content/views/category/tmpl/blog_children.php
fichier | components/com_content/views/category/tmpl/blog_item.php
fichier | components/com_content/views/category/tmpl/blog_links.php
fichier | components/com_content/views/category/tmpl/default.php
fichier | components/com_content/views/category/tmpl/default_articles.php
fichier | components/com_content/views/category/tmpl/default_children.php


Joomla CMS: Répertoire de référence de pagebreak

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • pagebreak
Répertoire de référence de pagebreak

Fichiers

fichier plugins/editors-xtd/pagebreak/pagebreak.php


Joomla CMS: Répertoire de référence de recaptcha

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
Répertoire de référence de recaptcha

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de mbstring

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • mbstring
Répertoire de référence de mbstring

Fichiers

fichier phputf8/mbstring/core.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • mail
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_users/views/mail/tmpl/default.php


Joomla CMS: Répertoire de référence de group

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • group
Répertoire de référence de group

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_fields/views/group/view.html.php


Joomla CMS: Répertoire de référence de consents

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • consents
Répertoire de référence de consents

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_privacy/views/consents/view.html.php


Joomla CMS: Répertoire de référence de vendor

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
Répertoire de référence de vendor

Répertoires

répertoire | brumann
répertoire | composer
répertoire | google
répertoire | ircmaxell
répertoire | joomla
répertoire | leafo
répertoire | paragonie
répertoire | phpmailer
répertoire | psr
répertoire | simplepie
répertoire | symfony
répertoire | typo3

Fichiers

fichier autoload.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • editor
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/editor/tmpl/editor.php


Joomla CMS: Répertoire de référence de less

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • less
Répertoire de référence de less

Répertoires

répertoire | formatter
répertoire | parser

Fichiers

fichier fof/less/less.php


Joomla CMS: Répertoire de référence de driver

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • driver
Répertoire de référence de driver

Fichiers

fichier | administrator/components/com_finder/helpers/indexer/driver/mysql.php
fichier | administrator/components/com_finder/helpers/indexer/driver/postgresql.php
fichier | administrator/components/com_finder/helpers/indexer/driver/sqlsrv.php


Joomla CMS: Répertoire de référence de aes

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
  • aes
Répertoire de référence de aes

Fichiers

fichier | encrypt/aes/abstract.php
fichier | fof/encrypt/aes/interface.php
fichier | mcrypt.php
fichier | openssl.php


Joomla CMS: Répertoire de référence de controller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
Répertoire de référence de controller

Répertoires

répertoire install

Fichiers

fichier | installation/controller/database.php
fichier | installation/controller/default.php
fichier | detectftproot.php
fichier | controller/ftp.php
fichier | preinstall.php
fichier | removefolder.php
fichier | setdefaultlanguage.php
fichier | setlanguage.php
fichier | installation/controller/site.php
fichier | summary.php
fichier | verifyftpsettings.php


Joomla CMS: Répertoire de référence de menutypes

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menutypes
Répertoire de référence de menutypes

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_menus/views/menutypes/view.html.php


Joomla CMS: Répertoire de référence de Tag

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Tag
Répertoire de référence de Tag

Fichiers

fichier | TaggableTableInterface.php
fichier | TaggableTableTrait.php


Joomla CMS: Répertoire de référence de weblinks

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_weblinks
  • weblinks
Répertoire de référence de weblinks

Fichiers

fichier administrator/templates/hathor/html/com_weblinks/weblinks/default.php


Joomla CMS: Répertoire de référence de plugins

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_plugins
  • plugins
Répertoire de référence de plugins

Fichiers

fichier administrator/templates/hathor/html/com_plugins/plugins/default.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • controllers
Répertoire de référence de controllers

Fichiers

fichier components/com_contact/controllers/contact.php


Joomla CMS: Répertoire de référence de messages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_postinstall
  • messages
Répertoire de référence de messages

Fichiers

fichier administrator/templates/hathor/html/com_postinstall/messages/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • summary
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/summary/tmpl/default.php


Joomla CMS: Répertoire de référence de language

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • language
Répertoire de référence de language

Répertoires

répertoire | en-GB
répertoire | fr-FR


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
Répertoire de référence de views

Répertoires

répertoire | tag
répertoire | tags


Joomla CMS: Répertoire de référence de checkboxes

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • checkboxes
Répertoire de référence de checkboxes

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/checkboxes/checkboxes.php


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/base.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/batch.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/confirm.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/containerclose.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/containeropen.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/help.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/iconclass.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/link.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/modal.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/popup.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/separator.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/slider.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/standard.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/title.php
fichier | administrator/templates/hathor/html/layouts/joomla/toolbar/versions.php


Joomla CMS: Répertoire de référence de installation

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
Répertoire de référence de installation

Répertoires

répertoire | application
répertoire | controller
répertoire | form
répertoire | helper
répertoire | html
répertoire | model
répertoire | response
répertoire | template
répertoire | view

Fichiers

fichier installation/index.php


Joomla CMS: Répertoire de référence de newsfeed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_newsfeeds
  • newsfeed
Répertoire de référence de newsfeed

Fichiers

fichier | administrator/templates/hathor/html/com_newsfeeds/newsfeed/edit.php
fichier | templates/hathor/html/com_newsfeeds/newsfeed/edit_params.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | models/style.php
fichier | administrator/components/com_templates/models/styles.php
fichier | models/template.php
fichier | administrator/components/com_templates/models/templates.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_languages
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_languages/tmpl/default.php


Joomla CMS: Répertoire de référence de yaml

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
Répertoire de référence de yaml

Répertoires

répertoire Exception

Fichiers

fichier | Dumper.php
fichier | Escaper.php
fichier | Inline.php
fichier | symfony/yaml/Parser.php
fichier | Unescaper.php
fichier | symfony/yaml/Yaml.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • templates
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_config/view/templates/tmpl/default.php
fichier | templates/tmpl/default_options.php


Joomla CMS: Répertoire de référence de com_categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_categories
Répertoire de référence de com_categories

Répertoires

répertoire | categories
répertoire | category


Joomla CMS: Répertoire de référence de category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
Répertoire de référence de category

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_categories/views/category/view.html.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_wrapper
  • views
Répertoire de référence de views

Répertoires

répertoire wrapper


Joomla CMS: Répertoire de référence de modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
Répertoire de référence de modules

Répertoires

répertoire | mod_articles_archive
répertoire | mod_articles_categories
répertoire | mod_articles_category
répertoire | mod_articles_latest
répertoire | mod_articles_news
répertoire | mod_articles_popular
répertoire | mod_banners
répertoire | mod_breadcrumbs
répertoire | mod_custom
répertoire | mod_feed
répertoire | mod_finder
répertoire | mod_footer
répertoire | mod_languages
répertoire | mod_login
répertoire | mod_menu
répertoire | mod_random_image
répertoire | mod_related_items
répertoire | mod_search
répertoire | mod_stats
répertoire | mod_syndicate
répertoire | mod_tags_popular
répertoire | mod_tags_similar
répertoire | mod_users_latest
répertoire | mod_whosonline
répertoire | mod_wrapper


Joomla CMS: Répertoire de référence de newsfeed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • newsfeed
Répertoire de référence de newsfeed

Répertoires

répertoire tmpl

Fichiers

fichier components/com_newsfeeds/views/newsfeed/view.html.php


Joomla CMS: Répertoire de référence de modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • modules
Répertoire de référence de modules

Répertoires

répertoire tmpl

Fichiers

fichier components/com_config/view/modules/html.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
  • models
Répertoire de référence de models

Fichiers

fichier administrator/components/com_login/models/login.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • field
Répertoire de référence de field

Fichiers

fichier | plugins/system/stats/field/base.php
fichier | plugins/system/stats/field/data.php
fichier | field/uniqueid.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_newsfeeds/models/newsfeed.php
fichier | administrator/components/com_newsfeeds/models/newsfeeds.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • media
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/media/tmpl/media.php


Joomla CMS: Répertoire de référence de update

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • update
Répertoire de référence de update

Fichiers

fichier | collection.php
fichier | libraries/fof/utils/update/extension.php
fichier | libraries/fof/utils/update/joomla.php
fichier | libraries/fof/utils/update/update.php


Joomla CMS: Répertoire de référence de facebook

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • facebook
Répertoire de référence de facebook

Fichiers

fichier | facebook/album.php
fichier | libraries/joomla/facebook/checkin.php
fichier | comment.php
fichier | joomla/facebook/event.php
fichier | facebook.php
fichier | libraries/joomla/facebook/group.php
fichier | libraries/joomla/facebook/link.php
fichier | libraries/joomla/facebook/note.php
fichier | facebook/oauth.php
fichier | joomla/facebook/object.php
fichier | facebook/photo.php
fichier | post.php
fichier | libraries/joomla/facebook/status.php
fichier | libraries/joomla/facebook/user.php
fichier | video.php


Joomla CMS: Répertoire de référence de Core32

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
Répertoire de référence de Core32

Répertoires

répertoire | ChaCha20
répertoire | Curve25519
répertoire | Poly1305
répertoire | SecretStream

Fichiers

fichier | src/Core32/BLAKE2b.php
fichier | src/Core32/ChaCha20.php
fichier | src/Core32/Curve25519.php
fichier | src/Core32/Ed25519.php
fichier | src/Core32/HChaCha20.php
fichier | src/Core32/HSalsa20.php
fichier | Int32.php
fichier | Int64.php
fichier | src/Core32/Poly1305.php
fichier | src/Core32/Salsa20.php
fichier | src/Core32/SipHash.php
fichier | src/Core32/Util.php
fichier | src/Core32/X25519.php
fichier | src/Core32/XChaCha20.php
fichier | 2/XSalsa20.php


Joomla CMS: Répertoire de référence de importer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • importer
Répertoire de référence de importer

Fichiers

fichier | libraries/joomla/database/importer/mysql.php
fichier | joomla/database/importer/mysqli.php
fichier | joomla/database/importer/pdomysql.php
fichier | importer/pgsql.php
fichier | libraries/joomla/database/importer/postgresql.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | debuggroup.php
fichier | debuguser.php
fichier | administrator/components/com_users/models/group.php
fichier | administrator/components/com_users/models/groups.php
fichier | models/level.php
fichier | models/levels.php
fichier | models/mail.php
fichier | administrator/components/com_users/models/note.php
fichier | models/notes.php
fichier | administrator/components/com_users/models/user.php
fichier | administrator/components/com_users/models/users.php


Joomla CMS: Répertoire de référence de finder

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • finder
Répertoire de référence de finder

Fichiers

fichier plugins/content/finder/finder.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • field
Répertoire de référence de field

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_fields/views/field/view.html.php


Joomla CMS: Répertoire de référence de filter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • filter
Répertoire de référence de filter

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_finder/views/filter/view.html.php


Joomla CMS: Répertoire de référence de system

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • layouts
  • joomla
  • system
Répertoire de référence de system

Fichiers

fichier templates/beez3/html/layouts/joomla/system/message.php


Joomla CMS: Répertoire de référence de mbstring

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • mbstring
Répertoire de référence de mbstring

Fichiers

fichier vendor/joomla/string/src/phputf8/mbstring/core.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • views
Répertoire de référence de views

Répertoires

répertoire | mailto
répertoire | sent


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | branches.php
fichier | contentmap.php
fichier | contenttypes.php
fichier | directories.php
fichier | searchfilter.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • language
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_languages/views/language/tmpl/edit.php


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • form
Répertoire de référence de form

Fichiers

fichier templates/beez3/html/com_content/form/edit.php


Joomla CMS: Répertoire de référence de ChaCha20

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • ChaCha20
Répertoire de référence de ChaCha20

Fichiers

fichier | namespaced/Core/ChaCha20/Ctx.php
fichier | namespaced/Core/ChaCha20/IetfCtx.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • filters
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_finder/views/filters/tmpl/default.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | administrator/components/com_modules/helpers/modules.php
fichier | xml.php


Joomla CMS: Répertoire de référence de query

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • query
Répertoire de référence de query

Fichiers

fichier | libraries/fof/database/query/element.php
fichier | fof/database/query/limitable.php
fichier | libraries/fof/database/query/mysql.php
fichier | fof/database/query/mysqli.php
fichier | fof/database/query/oracle.php
fichier | fof/database/query/pdo.php
fichier | fof/database/query/pdomysql.php
fichier | libraries/fof/database/query/postgresql.php
fichier | fof/database/query/preparable.php
fichier | fof/database/query/sqlazure.php
fichier | fof/database/query/sqlite.php
fichier | libraries/fof/database/query/sqlsrv.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • warnings
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_installer/views/warnings/tmpl/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • archive
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_content/views/archive/tmpl/default.php
fichier | components/com_content/views/archive/tmpl/default_items.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • models
Répertoire de référence de models

Fichiers

fichier administrator/components/com_joomlaupdate/models/default.php


Joomla CMS: Répertoire de référence de com_fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
Répertoire de référence de com_fields

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | libraries
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_fields/controller.php
fichier | administrator/components/com_fields/fields.php


Joomla CMS: Répertoire de référence de actionlogs

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • views
  • actionlogs
Répertoire de référence de actionlogs

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_actionlogs/views/actionlogs/view.html.php


Joomla CMS: Répertoire de référence de dispatcher

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • dispatcher
Répertoire de référence de dispatcher

Fichiers

fichier fof/model/dispatcher/behavior.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
  • models
Répertoire de référence de models

Fichiers

fichier administrator/components/com_checkin/models/checkin.php


Joomla CMS: Répertoire de référence de user

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • user
Répertoire de référence de user

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/user/user.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_templates/helpers/html/templates.php


Joomla CMS: Répertoire de référence de bootstrap

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
  • cms
  • html
  • bootstrap
Répertoire de référence de bootstrap

Fichiers

fichier | addtab.php
fichier | addtabscript.php
fichier | endtab.php
fichier | endtabset.php
fichier | starttabset.php
fichier | starttabsetscript.php


Joomla CMS: Répertoire de référence de mod_articles_categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_categories
Répertoire de référence de mod_articles_categories

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_articles_categories/helper.php
fichier | mod_articles_categories.php


Joomla CMS: Répertoire de référence de Output

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
  • Output
Répertoire de référence de Output

Répertoires

répertoire Processor

Fichiers

fichier | Stdout.php
fichier | application/src/Cli/Output/Xml.php


Joomla CMS: Répertoire de référence de index

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_finder
  • index
Répertoire de référence de index

Fichiers

fichier administrator/templates/hathor/html/com_finder/index/default.php


Joomla CMS: Répertoire de référence de mod_login

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • mod_login
Répertoire de référence de mod_login

Fichiers

fichier | templates/beez3/html/mod_login/default.php
fichier | templates/beez3/html/mod_login/default_logout.php


Joomla CMS: Répertoire de référence de com_modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_modules
Répertoire de référence de com_modules

Fichiers

fichier | components/com_modules/controller.php
fichier | components/com_modules/modules.php


Joomla CMS: Répertoire de référence de com_media

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
Répertoire de référence de com_media

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | layouts
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_media/controller.php
fichier | administrator/components/com_media/media.php


Joomla CMS: Répertoire de référence de mod_login

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_login
Répertoire de référence de mod_login

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_login/helper.php
fichier | administrator/modules/mod_login/mod_login.php


Joomla CMS: Répertoire de référence de tinymce

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • tinymce
Répertoire de référence de tinymce

Répertoires

répertoire buttons

Fichiers

fichier | tinymce/buttons.php
fichier | layouts/joomla/tinymce/textarea.php
fichier | togglebutton.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_redirect/models/link.php
fichier | administrator/components/com_redirect/models/links.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_fields
  • layouts
  • fields
Répertoire de référence de fields

Fichiers

fichier com_fields/layouts/fields/render.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • items
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_menus/views/items/tmpl/default.php
fichier | com_menus/views/items/tmpl/default_batch_body.php
fichier | com_menus/views/items/tmpl/default_batch_footer.php
fichier | administrator/components/com_menus/views/items/tmpl/modal.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_languages/models/installed.php
fichier | administrator/components/com_languages/models/language.php
fichier | administrator/components/com_languages/models/languages.php
fichier | models/override.php
fichier | models/overrides.php
fichier | strings.php


Joomla CMS: Répertoire de référence de mod_logged

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_logged
Répertoire de référence de mod_logged

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_logged/helper.php
fichier | mod_logged.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_contact/helpers/html/contact.php


Joomla CMS: Répertoire de référence de Observer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
  • Observer
Répertoire de référence de Observer

Fichiers

fichier | AbstractObserver.php
fichier | Observer/ContentHistory.php
fichier | Tags.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
Répertoire de référence de views

Répertoires

répertoire | login
répertoire | profile
répertoire | registration
répertoire | remind
répertoire | reset


Joomla CMS: Répertoire de référence de install

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • install
Répertoire de référence de install

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_installer/views/install/view.html.php


Joomla CMS: Répertoire de référence de libraries

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • libraries
Répertoire de référence de libraries

Fichiers

fichier | fieldslistplugin.php
fichier | fieldsplugin.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_fields/models/field.php
fichier | administrator/components/com_fields/models/fields.php
fichier | administrator/components/com_fields/models/group.php
fichier | administrator/components/com_fields/models/groups.php


Joomla CMS: Répertoire de référence de terms

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • terms
Répertoire de référence de terms

Répertoires

répertoire field

Fichiers

fichier terms.php


Joomla CMS: Répertoire de référence de com_contenthistory

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contenthistory
Répertoire de référence de com_contenthistory

Répertoires

répertoire history


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • form
Répertoire de référence de form

Répertoires

répertoire tmpl

Fichiers

fichier components/com_content/views/form/view.html.php


Joomla CMS: Répertoire de référence de repeatable

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
  • repeatable
Répertoire de référence de repeatable

Fichiers

fichier | section-byfieldsets.php
fichier | layouts/joomla/form/field/subform/repeatable/section.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_contact/models/contact.php
fichier | administrator/components/com_contact/models/contacts.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • request
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier components/com_privacy/views/request/tmpl/default.php


Joomla CMS: Répertoire de référence de purge

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_cache
  • purge
Répertoire de référence de purge

Fichiers

fichier administrator/templates/hathor/html/com_cache/purge/default.php


Joomla CMS: Répertoire de référence de plugins

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
Répertoire de référence de plugins

Répertoires

répertoire | editors
répertoire | system
répertoire | user


Joomla CMS: Répertoire de référence de modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_modules
  • modules
Répertoire de référence de modules

Fichiers

fichier administrator/templates/hathor/html/com_modules/modules/default.php


Joomla CMS: Répertoire de référence de archive

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
Répertoire de référence de archive

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de iterator

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • iterator
Répertoire de référence de iterator

Fichiers

fichier | azure.php
fichier | libraries/fof/database/iterator/mysql.php
fichier | fof/database/iterator/mysqli.php
fichier | fof/database/iterator/oracle.php
fichier | fof/database/iterator/pdo.php
fichier | fof/database/iterator/pdomysql.php
fichier | libraries/fof/database/iterator/postgresql.php
fichier | fof/database/iterator/sqlite.php
fichier | libraries/fof/database/iterator/sqlsrv.php


Joomla CMS: Répertoire de référence de Storage

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
  • Storage
Répertoire de référence de Storage

Fichiers

fichier | Apc.php
fichier | Apcu.php
fichier | Database.php
fichier | joomla/session/Joomla/Session/Storage/Memcache.php
fichier | Memcached.php
fichier | None.php
fichier | Wincache.php
fichier | Xcache.php


Joomla CMS: Répertoire de référence de Cli

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
Répertoire de référence de Cli

Répertoires

répertoire Output

Fichiers

fichier | CliInput.php
fichier | CliOutput.php
fichier | ColorProcessor.php
fichier | ColorStyle.php


Joomla CMS: Répertoire de référence de formbehavior

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • formbehavior
Répertoire de référence de formbehavior

Fichiers

fichier | ajaxchosen.php
fichier | chosen.php


Joomla CMS: Répertoire de référence de timer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • timer
Répertoire de référence de timer

Fichiers

fichier timer.php


Joomla CMS: Répertoire de référence de featured

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_content
  • featured
Répertoire de référence de featured

Fichiers

fichier administrator/templates/hathor/html/com_content/featured/default.php


Joomla CMS: Répertoire de référence de Field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Field
Répertoire de référence de Field

Fichiers

fichier | AuthorField.php
fichier | CaptchaField.php
fichier | ChromestyleField.php
fichier | ContenthistoryField.php
fichier | ContentlanguageField.php
fichier | ContenttypeField.php
fichier | EditorField.php
fichier | FrontendlanguageField.php
fichier | HeadertagField.php
fichier | HelpsiteField.php
fichier | LastvisitdaterangeField.php
fichier | LimitboxField.php
fichier | MediaField.php
fichier | MenuField.php
fichier | MenuitemField.php
fichier | ModuleorderField.php
fichier | ModulepositionField.php
fichier | ModuletagField.php
fichier | OrderingField.php
fichier | PluginstatusField.php
fichier | RedirectStatusField.php
fichier | RegistrationdaterangeField.php
fichier | StatusField.php
fichier | TagField.php
fichier | TemplatestyleField.php
fichier | UseractiveField.php
fichier | UserField.php
fichier | UsergrouplistField.php
fichier | UserstateField.php


Joomla CMS: Répertoire de référence de activity

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • activity
Répertoire de référence de activity

Fichiers

fichier | activity/events.php
fichier | notifications.php
fichier | starring.php
fichier | watching.php


Joomla CMS: Répertoire de référence de modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • modules
Répertoire de référence de modules

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_modules/views/modules/view.html.php


Joomla CMS: Répertoire de référence de simplecrypt

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • simplecrypt
Répertoire de référence de simplecrypt

Fichiers

fichier simplecrypt.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • field
Répertoire de référence de field

Fichiers

fichier | fof/form/field/accesslevel.php
fichier | libraries/fof/form/field/actions.php
fichier | libraries/fof/form/field/button.php
fichier | fof/form/field/cachehandler.php
fichier | libraries/fof/form/field/calendar.php
fichier | captcha.php
fichier | fof/form/field/checkbox.php
fichier | libraries/fof/form/field/checkboxes.php
fichier | fof/form/field/components.php
fichier | libraries/fof/form/field/editor.php
fichier | libraries/fof/form/field/email.php
fichier | groupedbutton.php
fichier | fof/form/field/groupedlist.php
fichier | libraries/fof/form/field/hidden.php
fichier | libraries/fof/form/field/image.php
fichier | libraries/fof/form/field/imagelist.php
fichier | libraries/fof/form/field/integer.php
fichier | libraries/fof/form/field/language.php
fichier | libraries/fof/form/field/list.php
fichier | libraries/fof/form/field/media.php
fichier | fof/form/field/model.php
fichier | field/ordering.php
fichier | libraries/fof/form/field/password.php
fichier | libraries/fof/form/field/plugins.php
fichier | field/published.php
fichier | libraries/fof/form/field/radio.php
fichier | relation.php
fichier | fof/form/field/rules.php
fichier | selectrow.php
fichier | fof/form/field/sessionhandler.php
fichier | fof/form/field/spacer.php
fichier | libraries/fof/form/field/sql.php
fichier | libraries/fof/form/field/tag.php
fichier | libraries/fof/form/field/tel.php
fichier | libraries/fof/form/field/text.php
fichier | libraries/fof/form/field/textarea.php
fichier | fof/form/field/timezone.php
fichier | libraries/fof/form/field/title.php
fichier | libraries/fof/form/field/url.php
fichier | libraries/fof/form/field/user.php
fichier | fof/form/field/usergroup.php


Joomla CMS: Répertoire de référence de Type

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Content
  • Type
Répertoire de référence de Type

Fichiers

fichier Sniffer.php


Joomla CMS: Répertoire de référence de com_content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
Répertoire de référence de com_content

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_content/content.php
fichier | administrator/components/com_content/controller.php


Joomla CMS: Répertoire de référence de com_users

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
Répertoire de référence de com_users

Répertoires

répertoire | debuggroup
répertoire | debuguser
répertoire | groups
répertoire | levels
répertoire | note
répertoire | notes
répertoire | user
répertoire | users


Joomla CMS: Répertoire de référence de com_messages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
Répertoire de référence de com_messages

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_messages/controller.php
fichier | com_messages/messages.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
Répertoire de référence de views

Répertoires

répertoire | categories
répertoire | category
répertoire | contact
répertoire | featured


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_sampledata
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_sampledata/tmpl/default.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • categories
Répertoire de référence de categories

Fichiers

fichier | templates/beez3/html/com_content/categories/default.php
fichier | templates/beez3/html/com_content/categories/default_items.php


Joomla CMS: Répertoire de référence de image

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • image
Répertoire de référence de image

Fichiers

fichier plugins/editors-xtd/image/image.php


Joomla CMS: Répertoire de référence de menus

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menus
Répertoire de référence de menus

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_menus/views/menus/view.html.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
Répertoire de référence de src

Répertoires

répertoire | Clients
répertoire | Exception
répertoire | Stream
répertoire | Support

Fichiers

fichier | Buffer.php
fichier | vendor/joomla/filesystem/src/File.php
fichier | vendor/joomla/filesystem/src/Folder.php
fichier | joomla/filesystem/src/Helper.php
fichier | vendor/joomla/filesystem/src/Patcher.php
fichier | vendor/joomla/filesystem/src/Path.php
fichier | vendor/joomla/filesystem/src/Stream.php


Joomla CMS: Répertoire de référence de Wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Access
  • Wrapper
Répertoire de référence de Wrapper

Fichiers

fichier Wrapper/Access.php


Joomla CMS: Répertoire de référence de request

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • request
Répertoire de référence de request

Fichiers

fichier libraries/legacy/request/request.php


Joomla CMS: Répertoire de référence de Wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
  • Wrapper
Répertoire de référence de Wrapper

Fichiers

fichier | JTextWrapper.php
fichier | LanguageHelperWrapper.php
fichier | TransliterateWrapper.php


Joomla CMS: Répertoire de référence de imageslist

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • imageslist
Répertoire de référence de imageslist

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_media/views/imageslist/view.html.php


Joomla CMS: Répertoire de référence de Uri

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Uri
Répertoire de référence de Uri

Fichiers

fichier src/Uri/Uri.php


Joomla CMS: Répertoire de référence de Pathway

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Pathway
Répertoire de référence de Pathway

Fichiers

fichier | Pathway.php
fichier | SitePathway.php


Joomla CMS: Répertoire de référence de tracks

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • tracks
Répertoire de référence de tracks

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/components/com_banners/views/tracks/view.html.php
fichier | view.raw.php


Joomla CMS: Répertoire de référence de gists

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • gists
Répertoire de référence de gists

Fichiers

fichier github/package/gists/comments.php


Joomla CMS: Répertoire de référence de config

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • config
Répertoire de référence de config

Répertoires

répertoire tmpl

Fichiers

fichier components/com_config/view/config/html.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | capabilities.php
fichier | administrator/components/com_privacy/models/consents.php
fichier | dashboard.php
fichier | export.php
fichier | remove.php
fichier | administrator/components/com_privacy/models/request.php
fichier | models/requests.php


Joomla CMS: Répertoire de référence de defaultlanguage

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • defaultlanguage
Répertoire de référence de defaultlanguage

Répertoires

répertoire tmpl

Fichiers

fichier installation/view/defaultlanguage/html.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier administrator/components/com_contenthistory/helpers/contenthistory.php


Joomla CMS: Répertoire de référence de com_newsfeeds

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_newsfeeds
Répertoire de référence de com_newsfeeds

Répertoires

répertoire | newsfeed
répertoire | newsfeeds


Joomla CMS: Répertoire de référence de driver

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
  • driver
Répertoire de référence de driver

Fichiers

fichier | libraries/fof/database/driver/joomla.php
fichier | libraries/fof/database/driver/mysql.php
fichier | fof/database/driver/mysqli.php
fichier | fof/database/driver/oracle.php
fichier | fof/database/driver/pdo.php
fichier | fof/database/driver/pdomysql.php
fichier | libraries/fof/database/driver/postgresql.php
fichier | fof/database/driver/sqlazure.php
fichier | fof/database/driver/sqlite.php
fichier | libraries/fof/database/driver/sqlsrv.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • modules
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_modules/views/modules/tmpl/default.php
fichier | com_modules/views/modules/tmpl/default_batch_body.php
fichier | com_modules/views/modules/tmpl/default_batch_footer.php
fichier | administrator/components/com_modules/views/modules/tmpl/modal.php


Joomla CMS: Répertoire de référence de system

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • layouts
  • joomla
  • system
Répertoire de référence de system

Fichiers

fichier templates/protostar/html/layouts/joomla/system/message.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire | com_media
répertoire | com_messages
répertoire | com_modules
répertoire | joomla
répertoire | plugins


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
  • models
Répertoire de référence de models

Fichiers

fichier | components/com_banners/models/banner.php
fichier | components/com_banners/models/banners.php


Joomla CMS: Répertoire de référence de languagecode

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • languagecode
Répertoire de référence de languagecode

Fichiers

fichier languagecode.php


Joomla CMS: Répertoire de référence de privacycheck

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • privacycheck
Répertoire de référence de privacycheck

Fichiers

fichier privacycheck.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_languages/controllers/installed.php
fichier | administrator/components/com_languages/controllers/language.php
fichier | administrator/components/com_languages/controllers/languages.php
fichier | controllers/override.php
fichier | controllers/overrides.php
fichier | strings.json.php


Joomla CMS: Répertoire de référence de overrides

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • overrides
Répertoire de référence de overrides

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_languages/views/overrides/view.html.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
Répertoire de référence de field

Répertoires

répertoire | color
répertoire | radio
répertoire | subform

Fichiers

fichier | layouts/joomla/form/field/calendar.php
fichier | layouts/joomla/form/field/checkboxes.php
fichier | layouts/joomla/form/field/combo.php
fichier | layouts/joomla/form/field/contenthistory.php
fichier | layouts/joomla/form/field/email.php
fichier | layouts/joomla/form/field/file.php
fichier | layouts/joomla/form/field/hidden.php
fichier | layouts/joomla/form/field/media.php
fichier | layouts/joomla/form/field/meter.php
fichier | moduleorder.php
fichier | layouts/joomla/form/field/number.php
fichier | layouts/joomla/form/field/password.php
fichier | layouts/joomla/form/field/radio.php
fichier | layouts/joomla/form/field/range.php
fichier | layouts/joomla/form/field/tel.php
fichier | layouts/joomla/form/field/text.php
fichier | layouts/joomla/form/field/textarea.php
fichier | layouts/joomla/form/field/url.php
fichier | layouts/joomla/form/field/user.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • controllers
Répertoire de référence de controllers

Fichiers

fichier administrator/components/com_actionlogs/controllers/actionlogs.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
Répertoire de référence de views

Répertoires

répertoire | item
répertoire | items
répertoire | menu
répertoire | menus
répertoire | menutypes


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • module
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_modules/views/module/tmpl/edit.php
fichier | components/com_modules/views/module/tmpl/edit_assignment.php
fichier | components/com_modules/views/module/tmpl/edit_options.php
fichier | edit_positions.php
fichier | administrator/components/com_modules/views/module/tmpl/modal.php


Joomla CMS: Répertoire de référence de Form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
Répertoire de référence de Form

Répertoires

répertoire | Field
répertoire | Rule

Fichiers

fichier | Form.php
fichier | FormField.php
fichier | FormHelper.php
fichier | FormRule.php
fichier | FormWrapper.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • articles
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_content/views/articles/tmpl/default.php
fichier | com_content/views/articles/tmpl/default_batch_body.php
fichier | com_content/views/articles/tmpl/default_batch_footer.php
fichier | administrator/components/com_content/views/articles/tmpl/modal.php


Joomla CMS: Répertoire de référence de default

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
Répertoire de référence de default

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_joomlaupdate/views/default/view.html.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | controllers/history.php
fichier | controllers/preview.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • preinstall
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/preinstall/tmpl/default.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • controllers
Répertoire de référence de controllers

Fichiers

fichier components/com_tags/controllers/tags.php


Joomla CMS: Répertoire de référence de Curve25519

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Curve25519
Répertoire de référence de Curve25519

Répertoires

répertoire Ge

Fichiers

fichier | src/Core/Curve25519/Fe.php
fichier | src/Core/Curve25519/H.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • models
Répertoire de référence de models

Fichiers

fichier | components/com_finder/models/search.php
fichier | suggestions.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | com_plugins/controllers/plugin.php
fichier | administrator/components/com_plugins/controllers/plugins.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | com_categories/controllers/ajax.json.php
fichier | administrator/components/com_categories/controllers/categories.php
fichier | administrator/components/com_categories/controllers/category.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • helpers
Répertoire de référence de helpers

Fichiers

fichier administrator/components/com_cache/helpers/cache.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • remind
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier components/com_users/views/remind/tmpl/default.php


Joomla CMS: Répertoire de référence de Help

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Help
Répertoire de référence de Help

Fichiers

fichier Help.php


Joomla CMS: Répertoire de référence de modal

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • models
  • fields
  • modal
Répertoire de référence de modal

Fichiers

fichier administrator/components/com_newsfeeds/models/fields/modal/newsfeed.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • user
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/user/tmpl/user.php


Joomla CMS: Répertoire de référence de Resolver

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Resolver
Répertoire de référence de Resolver

Fichiers

fichier | PharInvocation.php
fichier | PharInvocationCollection.php
fichier | PharInvocationResolver.php


Joomla CMS: Répertoire de référence de codemirror

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • codemirror
Répertoire de référence de codemirror

Répertoires

répertoire layouts

Fichiers

fichier | codemirror.php
fichier | fonts.php


Joomla CMS: Répertoire de référence de model

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • model
Répertoire de référence de model

Fichiers

fichier | libraries/joomla/model/base.php
fichier | libraries/joomla/model/database.php
fichier | joomla/model/model.php


Joomla CMS: Répertoire de référence de query

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • query
Répertoire de référence de query

Fichiers

fichier | libraries/joomla/database/query/element.php
fichier | joomla/database/query/limitable.php
fichier | libraries/joomla/database/query/mysql.php
fichier | joomla/database/query/mysqli.php
fichier | joomla/database/query/oracle.php
fichier | joomla/database/query/pdo.php
fichier | joomla/database/query/pdomysql.php
fichier | query/pgsql.php
fichier | libraries/joomla/database/query/postgresql.php
fichier | joomla/database/query/preparable.php
fichier | joomla/database/query/sqlazure.php
fichier | joomla/database/query/sqlite.php
fichier | libraries/joomla/database/query/sqlsrv.php


Joomla CMS: Répertoire de référence de debug

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • debug
Répertoire de référence de debug

Fichiers

fichier plugins/system/debug/debug.php


Joomla CMS: Répertoire de référence de Profiler

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Profiler
Répertoire de référence de Profiler

Fichiers

fichier Profiler.php


Joomla CMS: Répertoire de référence de phputf8

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
Répertoire de référence de phputf8

Répertoires

répertoire | mbstring
répertoire | native
répertoire | utils

Fichiers

fichier | phputf8/ord.php
fichier | phputf8/str_ireplace.php
fichier | phputf8/str_pad.php
fichier | phputf8/str_split.php
fichier | phputf8/strcasecmp.php
fichier | phputf8/strcspn.php
fichier | phputf8/stristr.php
fichier | phputf8/strrev.php
fichier | phputf8/strspn.php
fichier | phputf8/substr_replace.php
fichier | phputf8/trim.php
fichier | phputf8/ucfirst.php
fichier | phputf8/ucwords.php
fichier | phputf8/utf8.php


Joomla CMS: Répertoire de référence de idna_convert

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • idna_convert
Répertoire de référence de idna_convert

Fichiers

fichier | idna_convert/idna_convert.class.php
fichier | transcode_wrapper.php
fichier | uctc.php


Joomla CMS: Répertoire de référence de com_plugins

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
Répertoire de référence de com_plugins

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_plugins/controller.php
fichier | administrator/components/com_plugins/plugins.php


Joomla CMS: Répertoire de référence de search

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
  • search
Répertoire de référence de search

Répertoires

répertoire tmpl

Fichiers

fichier | com_finder/views/search/view.feed.php
fichier | components/com_finder/views/search/view.html.php
fichier | com_finder/views/search/view.opensearch.php


Joomla CMS: Répertoire de référence de log

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • log
Répertoire de référence de log

Fichiers

fichier log.php


Joomla CMS: Répertoire de référence de Adapter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Updater
  • Adapter
Répertoire de référence de Adapter

Fichiers

fichier | CollectionAdapter.php
fichier | ExtensionAdapter.php


Joomla CMS: Répertoire de référence de mod_articles_popular

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_popular
Répertoire de référence de mod_articles_popular

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_articles_popular/helper.php
fichier | mod_articles_popular.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • compare
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier views/compare/tmpl/compare.php


Joomla CMS: Répertoire de référence de Table

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Table
Répertoire de référence de Table

Répertoires

répertoire Observer

Fichiers

fichier | Asset.php
fichier | src/Table/Category.php
fichier | Content.php
fichier | ContentHistory.php
fichier | ContentType.php
fichier | CoreContent.php
fichier | Extension.php
fichier | Table/Language.php
fichier | Menu.php
fichier | MenuType.php
fichier | Module.php
fichier | Nested.php
fichier | Table.php
fichier | TableInterface.php
fichier | Ucm.php
fichier | Table/Update.php
fichier | UpdateSite.php
fichier | Table/User.php
fichier | Usergroup.php
fichier | ViewLevel.php


Joomla CMS: Répertoire de référence de Session

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
  • Session
Répertoire de référence de Session

Répertoires

répertoire Storage

Fichiers

fichier | vendor/joomla/session/Joomla/Session/Session.php
fichier | Storage.php


Joomla CMS: Répertoire de référence de Transport

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
  • Transport
Répertoire de référence de Transport

Fichiers

fichier | CurlTransport.php
fichier | SocketTransport.php
fichier | StreamTransport.php


Joomla CMS: Répertoire de référence de string

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
Répertoire de référence de string

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de tracks

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • tracks
Répertoire de référence de tracks

Fichiers

fichier administrator/templates/hathor/html/com_banners/tracks/default.php


Joomla CMS: Répertoire de référence de contacts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contact
  • contacts
Répertoire de référence de contacts

Fichiers

fichier | administrator/templates/hathor/html/com_contact/contacts/default.php
fichier | administrator/templates/hathor/html/com_contact/contacts/modal.php


Joomla CMS: Répertoire de référence de captcha

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • captcha
Répertoire de référence de captcha

Répertoires

répertoire | recaptcha
répertoire | recaptcha_invisible


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
Répertoire de référence de views

Répertoires

répertoire | tag
répertoire | tags


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_footer
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_footer/tmpl/default.php


Joomla CMS: Répertoire de référence de data

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • data
Répertoire de référence de data

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de oauth1

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • oauth1
Répertoire de référence de oauth1

Fichiers

fichier libraries/joomla/oauth1/client.php


Joomla CMS: Répertoire de référence de com_finder

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_finder
Répertoire de référence de com_finder

Répertoires

répertoire | filters
répertoire | index
répertoire | maps


Joomla CMS: Répertoire de référence de Log

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
Répertoire de référence de Log

Répertoires

répertoire Logger

Fichiers

fichier | DelegatingPsrLogger.php
fichier | Log.php
fichier | LogEntry.php
fichier | Logger.php


Joomla CMS: Répertoire de référence de com_installer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
Répertoire de référence de com_installer

Répertoires

répertoire | database
répertoire | default
répertoire | discover
répertoire | install
répertoire | languages
répertoire | manage
répertoire | update
répertoire | warnings


Joomla CMS: Répertoire de référence de error

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • error
Répertoire de référence de error

Fichiers

fichier libraries/legacy/error/error.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • tinymce
  • field
Répertoire de référence de field

Fichiers

fichier | skins.php
fichier | plugins/editors/tinymce/field/tinymcebuilder.php
fichier | uploaddirs.php


Joomla CMS: Répertoire de référence de View

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • View
Répertoire de référence de View

Fichiers

fichier | CategoriesView.php
fichier | CategoryFeedView.php
fichier | CategoryView.php
fichier | HtmlView.php


Joomla CMS: Répertoire de référence de data

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • data
Répertoire de référence de data

Fichiers

fichier | blobs.php
fichier | package/data/commits.php
fichier | package/data/refs.php
fichier | libraries/joomla/github/package/data/tags.php
fichier | trees.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
  • categories
Répertoire de référence de categories

Fichiers

fichier | templates/beez3/html/com_weblinks/categories/default.php
fichier | templates/beez3/html/com_weblinks/categories/default_items.php


Joomla CMS: Répertoire de référence de style

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • style
Répertoire de référence de style

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/components/com_templates/views/style/view.html.php
fichier | com_templates/views/style/view.json.php


Joomla CMS: Répertoire de référence de table

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
Répertoire de référence de table

Répertoires

répertoire | behavior
répertoire | dispatcher

Fichiers

fichier | fof/table/behavior.php
fichier | nested.php
fichier | relations.php
fichier | table.php


Joomla CMS: Répertoire de référence de article

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_content
  • article
Répertoire de référence de article

Fichiers

fichier administrator/templates/hathor/html/com_content/article/edit.php


Joomla CMS: Répertoire de référence de psr

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
Répertoire de référence de psr

Répertoires

répertoire | container
répertoire | log


Joomla CMS: Répertoire de référence de linkedin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • linkedin
Répertoire de référence de linkedin

Fichiers

fichier | communications.php
fichier | companies.php
fichier | libraries/joomla/linkedin/groups.php
fichier | jobs.php
fichier | linkedin.php
fichier | linkedin/oauth.php
fichier | joomla/linkedin/object.php
fichier | linkedin/people.php
fichier | stream.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_fields
  • field
Répertoire de référence de field

Fichiers

fichier administrator/templates/hathor/html/com_fields/field/edit.php


Joomla CMS: Répertoire de référence de utils

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • utils
Répertoire de référence de utils

Fichiers

fichier | vendor/joomla/string/src/phputf8/utils/ascii.php
fichier | vendor/joomla/string/src/phputf8/utils/bad.php
fichier | vendor/joomla/string/src/phputf8/utils/patterns.php
fichier | vendor/joomla/string/src/phputf8/utils/position.php
fichier | vendor/joomla/string/src/phputf8/utils/specials.php
fichier | vendor/joomla/string/src/phputf8/utils/unicode.php
fichier | vendor/joomla/string/src/phputf8/utils/validation.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier languageclient.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • categories
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_newsfeeds/views/categories/tmpl/default.php
fichier | components/com_newsfeeds/views/categories/tmpl/default_items.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • positions
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_modules/views/positions/tmpl/modal.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • modules
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_config/view/modules/tmpl/default.php
fichier | modules/tmpl/default_options.php
fichier | default_positions.php


Joomla CMS: Répertoire de référence de upload

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • upload
Répertoire de référence de upload

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_joomlaupdate/views/upload/view.html.php


Joomla CMS: Répertoire de référence de Feed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Feed
Répertoire de référence de Feed

Fichiers

fichier | FeedEnclosure.php
fichier | FeedImage.php
fichier | FeedItem.php


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • layouts
  • joomla
  • form
Répertoire de référence de form

Répertoires

répertoire field


Joomla CMS: Répertoire de référence de extensionupdate

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • extensionupdate
Répertoire de référence de extensionupdate

Fichiers

fichier extensionupdate.php


Joomla CMS: Répertoire de référence de discover

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • discover
Répertoire de référence de discover

Fichiers

fichier administrator/templates/hathor/html/com_installer/discover/default.php


Joomla CMS: Répertoire de référence de Declaration

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • XML
  • Declaration
Répertoire de référence de Declaration

Fichiers

fichier simplepie/simplepie/library/SimplePie/XML/Declaration/Parser.php


Joomla CMS: Répertoire de référence de grid

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • grid
Répertoire de référence de grid

Fichiers

fichier joomla/grid/grid.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • models
  • fields
Répertoire de référence de fields

Répertoires

répertoire modal

Fichiers

fichier | categoryedit.php
fichier | categoryparent.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire searchtools


Joomla CMS: Répertoire de référence de di

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
Répertoire de référence de di

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de view

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • view
Répertoire de référence de view

Fichiers

fichier | libraries/joomla/view/base.php
fichier | libraries/joomla/view/html.php
fichier | libraries/joomla/view/view.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
Répertoire de référence de html

Répertoires

répertoire | com_contact
répertoire | com_content
répertoire | com_newsfeeds
répertoire | com_weblinks
répertoire | layouts
répertoire | mod_breadcrumbs
répertoire | mod_languages
répertoire | mod_login

Fichiers

fichier templates/beez3/html/modules.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
Répertoire de référence de views

Répertoires

répertoire search


Joomla CMS: Répertoire de référence de installed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_languages
  • installed
Répertoire de référence de installed

Fichiers

fichier | administrator/templates/hathor/html/com_languages/installed/default.php
fichier | templates/hathor/html/com_languages/installed/default_ftp.php


Joomla CMS: Répertoire de référence de lessphp

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • leafo
  • lessphp
Répertoire de référence de lessphp

Fichiers

fichier | lessc.inc.php
fichier | lessify.inc.php


Joomla CMS: Répertoire de référence de medialist

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • com_media
  • medialist
Répertoire de référence de medialist

Fichiers

fichier | templates/isis/html/com_media/medialist/thumbs_folders.php
fichier | templates/isis/html/com_media/medialist/thumbs_imgs.php


Joomla CMS: Répertoire de référence de Poly1305

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Poly1305
Répertoire de référence de Poly1305

Fichiers

fichier namespaced/Core/Poly1305/State.php


Joomla CMS: Répertoire de référence de mailto

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • views
  • mailto
Répertoire de référence de mailto

Répertoires

répertoire tmpl

Fichiers

fichier components/com_mailto/views/mailto/view.html.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • controllers
Répertoire de référence de controllers

Fichiers

fichier controllers/searches.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • tables
Répertoire de référence de tables

Fichiers

fichier | administrator/components/com_banners/tables/banner.php
fichier | administrator/components/com_banners/tables/client.php


Joomla CMS: Répertoire de référence de database

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • database
Répertoire de référence de database

Fichiers

fichier | database/exception.php
fichier | libraries/legacy/database/mysql.php
fichier | legacy/database/mysqli.php
fichier | legacy/database/sqlazure.php
fichier | libraries/legacy/database/sqlsrv.php


Joomla CMS: Répertoire de référence de install

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • controller
  • install
Répertoire de référence de install

Fichiers

fichier | installation/controller/install/config.php
fichier | installation/controller/install/database.php
fichier | database_backup.php
fichier | database_remove.php
fichier | installation/controller/install/email.php
fichier | installation/controller/install/languages.php
fichier | controller/install/sample.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_redirect/controllers/link.php
fichier | administrator/components/com_redirect/controllers/links.php


Joomla CMS: Répertoire de référence de cpanel

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cpanel
  • views
  • cpanel
Répertoire de référence de cpanel

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_cpanel/views/cpanel/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • integer
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/integer/tmpl/integer.php


Joomla CMS: Répertoire de référence de php-encryption

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • php-encryption
Répertoire de référence de php-encryption

Fichiers

fichier php-encryption/Crypto.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • editors
  • tinymce
  • field
Répertoire de référence de field

Répertoires

répertoire tinymcebuilder

Fichiers

fichier layouts/plugins/editors/tinymce/field/tinymcebuilder.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • form
  • field
Répertoire de référence de field

Fichiers

fichier | installation/form/field/language.php
fichier | field/prefix.php
fichier | form/field/sample.php


Joomla CMS: Répertoire de référence de download

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • download
Répertoire de référence de download

Fichiers

fichier administrator/templates/hathor/html/com_banners/download/default.php


Joomla CMS: Répertoire de référence de multilangstatus

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • multilangstatus
Répertoire de référence de multilangstatus

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_languages/views/multilangstatus/view.html.php


Joomla CMS: Répertoire de référence de ftp

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • ftp
Répertoire de référence de ftp

Répertoires

répertoire tmpl


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • controllers
Répertoire de référence de controllers

Fichiers

fichier components/com_privacy/controllers/request.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • codemirror
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire editors


Joomla CMS: Répertoire de référence de native

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • native
Répertoire de référence de native

Fichiers

fichier phputf8/native/core.php


Joomla CMS: Répertoire de référence de config

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • config
Répertoire de référence de config

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_messages/views/config/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_related_items
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_related_items/tmpl/default.php


Joomla CMS: Répertoire de référence de recaptcha_invisible

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • captcha
  • recaptcha_invisible
Répertoire de référence de recaptcha_invisible

Fichiers

fichier recaptcha_invisible.php


Joomla CMS: Répertoire de référence de tinymcebuilder

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • editors
  • tinymce
  • field
  • tinymcebuilder
Répertoire de référence de tinymcebuilder

Fichiers

fichier setoptions.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_privacy_dashboard
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_privacy_dashboard/tmpl/default.php


Joomla CMS: Répertoire de référence de default

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • layouts
  • joomla
  • searchtools
  • default
Répertoire de référence de default

Fichiers

fichier administrator/components/com_languages/layouts/joomla/searchtools/default/bar.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_archive
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_articles_archive/tmpl/default.php


Joomla CMS: Répertoire de référence de languages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • languages
Répertoire de référence de languages

Fichiers

fichier | administrator/templates/hathor/html/com_installer/languages/default.php
fichier | languages/default_filter.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_modules/controllers/module.php
fichier | administrator/components/com_modules/controllers/modules.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_users_latest
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_users_latest/tmpl/default.php


Joomla CMS: Répertoire de référence de simplepie

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
Répertoire de référence de simplepie

Répertoires

répertoire simplepie


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
  • views
  • messages
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_postinstall/views/messages/tmpl/default.php


Joomla CMS: Répertoire de référence de article

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • article
Répertoire de référence de article

Fichiers

fichier plugins/editors-xtd/article/article.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • views
  • actionlogs
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_actionlogs/views/actionlogs/tmpl/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • style
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_templates/views/style/tmpl/edit.php
fichier | components/com_templates/views/style/tmpl/edit_assignment.php
fichier | components/com_templates/views/style/tmpl/edit_options.php


Joomla CMS: Répertoire de référence de pagebreak

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • pagebreak
Répertoire de référence de pagebreak

Répertoires

répertoire tmpl

Fichiers

fichier plugins/content/pagebreak/pagebreak.php


Joomla CMS: Répertoire de référence de textarea

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • textarea
Répertoire de référence de textarea

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/textarea/textarea.php


Joomla CMS: Répertoire de référence de utilities

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • utilities
Répertoire de référence de utilities

Fichiers

fichier xmlelement.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • tables
Répertoire de référence de tables

Fichiers

fichier administrator/components/com_messages/tables/message.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • messages
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_messages/views/messages/tmpl/default.php


Joomla CMS: Répertoire de référence de notes

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • notes
Répertoire de référence de notes

Fichiers

fichier administrator/templates/hathor/html/com_users/notes/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • textarea
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/textarea/tmpl/textarea.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier com_messages/helpers/messages.php


Joomla CMS: Répertoire de référence de controller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
Répertoire de référence de controller

Répertoires

répertoire | config
répertoire | modules
répertoire | templates

Fichiers

fichier | components/com_config/controller/cancel.php
fichier | canceladmin.php
fichier | cmsbase.php
fichier | components/com_config/controller/display.php
fichier | components/com_config/controller/helper.php


Joomla CMS: Répertoire de référence de com_users

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
Répertoire de référence de com_users

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | layouts
répertoire | models
répertoire | views

Fichiers

fichier | components/com_users/controller.php
fichier | components/com_users/router.php
fichier | components/com_users/users.php


Joomla CMS: Répertoire de référence de urlinstaller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • urlinstaller
Répertoire de référence de urlinstaller

Répertoires

répertoire tmpl

Fichiers

fichier urlinstaller.php


Joomla CMS: Répertoire de référence de com_mailto

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
Répertoire de référence de com_mailto

Répertoires

répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | components/com_mailto/controller.php
fichier | mailto.php


Joomla CMS: Répertoire de référence de rules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • models
  • rules
Répertoire de référence de rules

Fichiers

fichier | loginuniquefield.php
fichier | logoutuniquefield.php


Joomla CMS: Répertoire de référence de remind

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • remind
Répertoire de référence de remind

Répertoires

répertoire tmpl

Fichiers

fichier components/com_users/views/remind/view.html.php


Joomla CMS: Répertoire de référence de response

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • response
Répertoire de référence de response

Fichiers

fichier response.php


Joomla CMS: Répertoire de référence de plugins

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • plugins
Répertoire de référence de plugins

Répertoires

répertoire user


Joomla CMS: Répertoire de référence de cache

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • views
  • cache
Répertoire de référence de cache

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_cache/views/cache/view.html.php


Joomla CMS: Répertoire de référence de com_modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_modules
Répertoire de référence de com_modules

Répertoires

répertoire | module
répertoire | modules
répertoire | positions


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier | helpers/html/manage.php
fichier | helpers/html/updatesites.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_news
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | _item.php
fichier | modules/mod_articles_news/tmpl/default.php
fichier | horizontal.php
fichier | vertical.php


Joomla CMS: Répertoire de référence de Wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
  • Wrapper
Répertoire de référence de Wrapper

Fichiers

fichier | FileWrapper.php
fichier | FolderWrapper.php
fichier | PathWrapper.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
Répertoire de référence de views

Répertoires

répertoire | module
répertoire | modules
répertoire | positions
répertoire | preview
répertoire | select


Joomla CMS: Répertoire de référence de inflector

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • inflector
Répertoire de référence de inflector

Fichiers

fichier inflector.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • plugins
  • user
  • profile
  • fields
Répertoire de référence de fields

Fichiers

fichier administrator/templates/hathor/html/layouts/plugins/user/profile/fields/dob.php


Joomla CMS: Répertoire de référence de com_admin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
Répertoire de référence de com_admin

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | postinstall
répertoire | views

Fichiers

fichier | admin.php
fichier | administrator/components/com_admin/controller.php
fichier | script.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • authentication
  • joomla
Répertoire de référence de joomla

Fichiers

fichier plugins/authentication/joomla/joomla.php


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • layouts
  • joomla
  • form
Répertoire de référence de form

Fichiers

fichier components/com_users/layouts/joomla/form/renderfield.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | administrator/components/com_newsfeeds/helpers/associations.php
fichier | administrator/components/com_newsfeeds/helpers/newsfeeds.php


Joomla CMS: Répertoire de référence de namespaced

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
Répertoire de référence de namespaced

Répertoires

répertoire Core

Fichiers

fichier | namespaced/Compat.php
fichier | vendor/paragonie/sodium_compat/namespaced/Crypto.php
fichier | vendor/paragonie/sodium_compat/namespaced/File.php


Joomla CMS: Répertoire de référence de mod_whosonline

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_whosonline
Répertoire de référence de mod_whosonline

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_whosonline/helper.php
fichier | mod_whosonline.php


Joomla CMS: Répertoire de référence de remove

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • remove
Répertoire de référence de remove

Répertoires

répertoire tmpl

Fichiers

fichier installation/view/remove/html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menu
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_menus/views/menu/tmpl/edit.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • helpers
Répertoire de référence de helpers

Fichiers

fichier administrator/components/com_plugins/helpers/plugins.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • tables
Répertoire de référence de tables

Fichiers

fichier administrator/components/com_contact/tables/contact.php


Joomla CMS: Répertoire de référence de components

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
Répertoire de référence de components

Répertoires

répertoire | com_ajax
répertoire | com_banners
répertoire | com_config
répertoire | com_contact
répertoire | com_content
répertoire | com_contenthistory
répertoire | com_fields
répertoire | com_finder
répertoire | com_mailto
répertoire | com_media
répertoire | com_menus
répertoire | com_modules
répertoire | com_newsfeeds
répertoire | com_privacy
répertoire | com_search
répertoire | com_tags
répertoire | com_users
répertoire | com_wrapper


Joomla CMS: Répertoire de référence de dashboard

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • dashboard
Répertoire de référence de dashboard

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_privacy/views/dashboard/view.html.php


Joomla CMS: Répertoire de référence de item

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • item
Répertoire de référence de item

Fichiers

fichier | administrator/templates/hathor/html/com_menus/item/edit.php
fichier | templates/hathor/html/com_menus/item/edit_options.php


Joomla CMS: Répertoire de référence de Filter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filter
Répertoire de référence de Filter

Répertoires

répertoire Wrapper

Fichiers

fichier | src/Filter/InputFilter.php
fichier | src/Filter/OutputFilter.php


Joomla CMS: Répertoire de référence de clients

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • clients
Répertoire de référence de clients

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_banners/views/clients/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • client
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_banners/views/client/tmpl/edit.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • note
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_users/views/note/tmpl/edit.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire form


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • system
  • html
Répertoire de référence de html

Fichiers

fichier templates/system/html/modules.php


Joomla CMS: Répertoire de référence de menu

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menu
Répertoire de référence de menu

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/components/com_menus/views/menu/view.html.php
fichier | com_menus/views/menu/view.xml.php


Joomla CMS: Répertoire de référence de phar-stream-wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
Répertoire de référence de phar-stream-wrapper

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de Filesystem

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
Répertoire de référence de Filesystem

Répertoires

répertoire | Streams
répertoire | Support
répertoire | Wrapper

Fichiers

fichier | src/Filesystem/File.php
fichier | FilesystemHelper.php
fichier | src/Filesystem/Folder.php
fichier | src/Filesystem/Patcher.php
fichier | src/Filesystem/Path.php
fichier | src/Filesystem/Stream.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeeds
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_newsfeeds/views/newsfeeds/tmpl/default.php
fichier | com_newsfeeds/views/newsfeeds/tmpl/default_batch_body.php
fichier | com_newsfeeds/views/newsfeeds/tmpl/default_batch_footer.php
fichier | administrator/components/com_newsfeeds/views/newsfeeds/tmpl/modal.php


Joomla CMS: Répertoire de référence de media

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • media
Répertoire de référence de media

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_media/views/media/view.html.php


Joomla CMS: Répertoire de référence de menus

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • menus
Répertoire de référence de menus

Fichiers

fichier administrator/templates/hathor/html/com_menus/menus/default.php


Joomla CMS: Répertoire de référence de debuguser

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • debuguser
Répertoire de référence de debuguser

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/debuguser/view.html.php


Joomla CMS: Répertoire de référence de exporter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exporter
Répertoire de référence de exporter

Fichiers

fichier | libraries/joomla/database/exporter/mysql.php
fichier | joomla/database/exporter/mysqli.php
fichier | joomla/database/exporter/pdomysql.php
fichier | exporter/pgsql.php
fichier | libraries/joomla/database/exporter/postgresql.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • url
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/url/tmpl/url.php


Joomla CMS: Répertoire de référence de update

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • update
Répertoire de référence de update

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_joomlaupdate/views/update/view.html.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • html
Répertoire de référence de html

Fichiers

fichier installation/html/helper.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • tables
Répertoire de référence de tables

Fichiers

fichier administrator/components/com_menus/tables/menu.php


Joomla CMS: Répertoire de référence de mod_version

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_version
Répertoire de référence de mod_version

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_version/helper.php
fichier | mod_version.php


Joomla CMS: Répertoire de référence de extension

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • extension
Répertoire de référence de extension

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • views
  • searches
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_search/views/searches/tmpl/default.php


Joomla CMS: Répertoire de référence de modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • modules
Répertoire de référence de modules

Fichiers

fichier | components/com_config/controller/modules/cancel.php
fichier | components/com_config/controller/modules/display.php
fichier | components/com_config/controller/modules/save.php


Joomla CMS: Répertoire de référence de Pagination

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Pagination
Répertoire de référence de Pagination

Fichiers

fichier | Pagination.php
fichier | PaginationObject.php


Joomla CMS: Répertoire de référence de com_config

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
Répertoire de référence de com_config

Répertoires

répertoire | controller
répertoire | controllers
répertoire | helper
répertoire | model
répertoire | models
répertoire | view

Fichiers

fichier | administrator/components/com_config/config.php
fichier | administrator/components/com_config/controller.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • helpers
Répertoire de référence de helpers

Fichiers

fichier helpers/mailto.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • component
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_config/view/component/tmpl/default.php
fichier | components/com_config/view/component/tmpl/default_navigation.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_custom
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_custom/tmpl/default.php


Joomla CMS: Répertoire de référence de Phar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
  • Phar
Répertoire de référence de Phar

Fichiers

fichier | vendor/typo3/phar-stream-wrapper/src/Phar/Container.php
fichier | DeserializationException.php
fichier | vendor/typo3/phar-stream-wrapper/src/Phar/Manifest.php
fichier | Reader.php
fichier | ReaderException.php
fichier | Stub.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • templates
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_templates/views/templates/tmpl/default.php


Joomla CMS: Répertoire de référence de application

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • application
Répertoire de référence de application

Fichiers

fichier | administrator/components/com_config/controller/application/cancel.php
fichier | administrator/components/com_config/controller/application/display.php
fichier | removeroot.php
fichier | administrator/components/com_config/controller/application/save.php
fichier | sendtestmail.php
fichier | store.php


Joomla CMS: Répertoire de référence de styles

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • styles
Répertoire de référence de styles

Fichiers

fichier administrator/templates/hathor/html/com_templates/styles/default.php


Joomla CMS: Répertoire de référence de header

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
  • header
Répertoire de référence de header

Fichiers

fichier | fof/form/header/accesslevel.php
fichier | libraries/fof/form/header/field.php
fichier | fielddate.php
fichier | fieldfilterable.php
fichier | fieldsearchable.php
fichier | fieldselectable.php
fichier | fieldsql.php
fichier | filterdate.php
fichier | filterfilterable.php
fichier | filtersearchable.php
fichier | filterselectable.php
fichier | filtersql.php
fichier | libraries/fof/form/header/language.php
fichier | fof/form/header/model.php
fichier | header/ordering.php
fichier | header/published.php
fichier | rowselect.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • updatesites
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_installer/views/updatesites/tmpl/default.php


Joomla CMS: Répertoire de référence de content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • content
Répertoire de référence de content

Fichiers

fichier plugins/finder/content/content.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire | edit
répertoire | quickicons
répertoire | sidebars
répertoire | toolbar


Joomla CMS: Répertoire de référence de featured

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • featured
Répertoire de référence de featured

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_content/views/featured/view.html.php


Joomla CMS: Répertoire de référence de Layout

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Layout
Répertoire de référence de Layout

Fichiers

fichier | BaseLayout.php
fichier | FileLayout.php
fichier | LayoutHelper.php
fichier | LayoutInterface.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
  • src
Répertoire de référence de src

Fichiers

fichier | AbstractEvent.php
fichier | DelegatingDispatcher.php
fichier | Dispatcher.php
fichier | DispatcherAwareInterface.php
fichier | DispatcherAwareTrait.php
fichier | DispatcherInterface.php
fichier | Event.php
fichier | EventImmutable.php
fichier | EventInterface.php
fichier | ListenersPriorityQueue.php
fichier | Priority.php


Joomla CMS: Répertoire de référence de tags

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • tags
Répertoire de référence de tags

Fichiers

fichier plugins/finder/tags/tags.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • install
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/install/tmpl/default.php


Joomla CMS: Répertoire de référence de picasa

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
  • picasa
Répertoire de référence de picasa

Fichiers

fichier | google/data/picasa/album.php
fichier | google/data/picasa/photo.php


Joomla CMS: Répertoire de référence de newsfeed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
Répertoire de référence de newsfeed

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_newsfeeds/views/newsfeed/view.html.php


Joomla CMS: Répertoire de référence de observable

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observable
Répertoire de référence de observable

Fichiers

fichier joomla/observable/interface.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_languages/helpers/html/languages.php


Joomla CMS: Répertoire de référence de filters

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • filters
Répertoire de référence de filters

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_finder/views/filters/view.html.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier administrator/components/com_installer/helpers/installer.php


Joomla CMS: Répertoire de référence de newsfeeds

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeeds
Répertoire de référence de newsfeeds

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_newsfeeds/views/newsfeeds/view.html.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
Répertoire de référence de views

Répertoires

répertoire | contact
répertoire | contacts


Joomla CMS: Répertoire de référence de mod_toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_toolbar
Répertoire de référence de mod_toolbar

Répertoires

répertoire tmpl

Fichiers

fichier mod_toolbar.php


Joomla CMS: Répertoire de référence de none

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • none
Répertoire de référence de none

Fichiers

fichier plugins/editors/none/none.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • fields
Répertoire de référence de fields

Fichiers

fichier plugins/content/fields/fields.php


Joomla CMS: Répertoire de référence de com_postinstall

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_postinstall
Répertoire de référence de com_postinstall

Répertoires

répertoire messages


Joomla CMS: Répertoire de référence de wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • route
  • wrapper
Répertoire de référence de wrapper

Fichiers

fichier libraries/joomla/route/wrapper/route.php


Joomla CMS: Répertoire de référence de database

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
Répertoire de référence de database

Répertoires

répertoire | driver
répertoire | exception
répertoire | exporter
répertoire | importer
répertoire | iterator
répertoire | query

Fichiers

fichier | libraries/joomla/database/database.php
fichier | joomla/database/driver.php
fichier | exporter.php
fichier | joomla/database/factory.php
fichier | importer.php
fichier | joomla/database/interface.php
fichier | joomla/database/iterator.php
fichier | libraries/joomla/database/query.php


Joomla CMS: Répertoire de référence de associations

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
  • associations
Répertoire de référence de associations

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_associations/views/associations/view.html.php


Joomla CMS: Répertoire de référence de beez3

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
Répertoire de référence de beez3

Répertoires

répertoire html

Fichiers

fichier | templates/beez3/component.php
fichier | templates/beez3/error.php
fichier | templates/beez3/index.php
fichier | jsstrings.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
Répertoire de référence de html

Répertoires

répertoire | com_admin
répertoire | com_associations
répertoire | com_banners
répertoire | com_cache
répertoire | com_categories
répertoire | com_checkin
répertoire | com_config
répertoire | com_contact
répertoire | com_content
répertoire | com_contenthistory
répertoire | com_cpanel
répertoire | com_fields
répertoire | com_finder
répertoire | com_installer
répertoire | com_joomlaupdate
répertoire | com_languages
répertoire | com_menus
répertoire | com_messages
répertoire | com_modules
répertoire | com_newsfeeds
répertoire | com_plugins
répertoire | com_postinstall
répertoire | com_redirect
répertoire | com_search
répertoire | com_tags
répertoire | com_templates
répertoire | com_users
répertoire | com_weblinks
répertoire | layouts
répertoire | mod_login
répertoire | mod_quickicon

Fichiers

fichier | administrator/templates/hathor/html/modules.php
fichier | administrator/templates/hathor/html/pagination.php


Joomla CMS: Répertoire de référence de contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • contact
Répertoire de référence de contact

Fichiers

fichier plugins/editors-xtd/contact/contact.php


Joomla CMS: Répertoire de référence de mod_latest

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latest
Répertoire de référence de mod_latest

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_latest/helper.php
fichier | mod_latest.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • fields
Répertoire de référence de fields

Fichiers

fichier plugins/system/fields/fields.php


Joomla CMS: Répertoire de référence de PHP52

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • PHP52
Répertoire de référence de PHP52

Fichiers

fichier SplFixedArray.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • user
  • profile
  • fields
Répertoire de référence de fields

Fichiers

fichier layouts/plugins/user/profile/fields/dob.php


Joomla CMS: Répertoire de référence de associations

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_associations
  • associations
Répertoire de référence de associations

Fichiers

fichier administrator/templates/hathor/html/com_associations/associations/default.php


Joomla CMS: Répertoire de référence de template

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
Répertoire de référence de template

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_templates/views/template/view.html.php


Joomla CMS: Répertoire de référence de Router

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Router
Répertoire de référence de Router

Répertoires

répertoire Exception

Fichiers

fichier | AdministratorRouter.php
fichier | Route.php
fichier | Router.php
fichier | SiteRouter.php


Joomla CMS: Répertoire de référence de protostar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
Répertoire de référence de protostar

Répertoires

répertoire html

Fichiers

fichier | templates/protostar/component.php
fichier | templates/protostar/error.php
fichier | templates/protostar/index.php
fichier | protostar/offline.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_category
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_articles_category/tmpl/default.php


Joomla CMS: Répertoire de référence de application

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
Répertoire de référence de application

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • layouts
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier | components/com_media/layouts/toolbar/deletemedia.php
fichier | components/com_media/layouts/toolbar/newfolder.php
fichier | components/com_media/layouts/toolbar/uploadmedia.php


Joomla CMS: Répertoire de référence de view

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
Répertoire de référence de view

Répertoires

répertoire | application
répertoire | component


Joomla CMS: Répertoire de référence de overrides

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_languages
  • overrides
Répertoire de référence de overrides

Fichiers

fichier administrator/templates/hathor/html/com_languages/overrides/default.php


Joomla CMS: Répertoire de référence de less

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • less
Répertoire de référence de less

Répertoires

répertoire formatter

Fichiers

fichier cms/less/less.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | com_contact/controllers/ajax.json.php
fichier | administrator/components/com_contact/controllers/contact.php
fichier | administrator/components/com_contact/controllers/contacts.php


Joomla CMS: Répertoire de référence de Parser

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
  • Parser
Répertoire de référence de Parser

Répertoires

répertoire Rss

Fichiers

fichier | AtomParser.php
fichier | NamespaceParserInterface.php
fichier | RssParser.php


Joomla CMS: Répertoire de référence de com_banners

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
Répertoire de référence de com_banners

Répertoires

répertoire | banner
répertoire | banners
répertoire | client
répertoire | clients
répertoire | download
répertoire | tracks


Joomla CMS: Répertoire de référence de com_search

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
Répertoire de référence de com_search

Répertoires

répertoire | models
répertoire | views

Fichiers

fichier | components/com_search/controller.php
fichier | components/com_search/router.php
fichier | components/com_search/search.php


Joomla CMS: Répertoire de référence de warnings

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • warnings
Répertoire de référence de warnings

Fichiers

fichier administrator/templates/hathor/html/com_installer/warnings/default.php


Joomla CMS: Répertoire de référence de com_postinstall

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
Répertoire de référence de com_postinstall

Répertoires

répertoire | controllers
répertoire | models
répertoire | views

Fichiers

fichier | postinstall.php
fichier | administrator/components/com_postinstall/toolbar.php


Joomla CMS: Répertoire de référence de input

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • input
Répertoire de référence de input

Répertoires

répertoire jinput

Fichiers

fichier input.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • helpers
Répertoire de référence de helpers

Fichiers

fichier | administrator/components/com_joomlaupdate/helpers/joomlaupdate.php
fichier | administrator/components/com_joomlaupdate/helpers/select.php


Joomla CMS: Répertoire de référence de phpass

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phpass
Répertoire de référence de phpass

Fichiers

fichier PasswordHash.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_search
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_search/tmpl/default.php


Joomla CMS: Répertoire de référence de helper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • helper
Répertoire de référence de helper

Fichiers

fichier installation/helper/database.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
Répertoire de référence de views

Répertoires

répertoire | images
répertoire | imageslist
répertoire | media
répertoire | medialist


Joomla CMS: Répertoire de référence de Editor

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Editor
Répertoire de référence de Editor

Fichiers

fichier Editor.php


Joomla CMS: Répertoire de référence de base

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • base
Répertoire de référence de base

Fichiers

fichier | node.php
fichier | observable.php
fichier | observer.php
fichier | tree.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • form
  • field
Répertoire de référence de field

Fichiers

fichier | administrator/templates/isis/html/layouts/joomla/form/field/media.php
fichier | administrator/templates/isis/html/layouts/joomla/form/field/user.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_random_image
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_random_image/tmpl/default.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • helpers
Répertoire de référence de helpers

Fichiers

fichier | components/com_content/helpers/association.php
fichier | components/com_content/helpers/category.php
fichier | components/com_content/helpers/icon.php
fichier | com_content/helpers/legacyrouter.php
fichier | components/com_content/helpers/query.php
fichier | components/com_content/helpers/route.php


Joomla CMS: Répertoire de référence de Wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
  • Wrapper
Répertoire de référence de Wrapper

Fichiers

fichier FactoryWrapper.php


Joomla CMS: Répertoire de référence de select

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • select
Répertoire de référence de select

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_modules/views/select/view.html.php


Joomla CMS: Répertoire de référence de session

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
Répertoire de référence de session

Répertoires

répertoire | handler
répertoire | storage

Fichiers

fichier storage.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • form
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier components/com_content/views/form/tmpl/edit.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • default
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_joomlaupdate/views/default/tmpl/complete.php
fichier | administrator/components/com_joomlaupdate/views/default/tmpl/default.php
fichier | default_nodownload.php
fichier | default_noupdate.php
fichier | default_preupdatecheck.php
fichier | default_reinstall.php
fichier | default_update.php
fichier | default_updatemefirst.php
fichier | default_upload.php


Joomla CMS: Répertoire de référence de article

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • article
Répertoire de référence de article

Fichiers

fichier | templates/beez3/html/com_content/article/default.php
fichier | templates/beez3/html/com_content/article/default_links.php


Joomla CMS: Répertoire de référence de images

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • images
Répertoire de référence de images

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_media/views/images/view.html.php


Joomla CMS: Répertoire de référence de mod_login

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_login
Répertoire de référence de mod_login

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_login/helper.php
fichier | modules/mod_login/mod_login.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de actionlogs

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • actionlogs
Répertoire de référence de actionlogs

Fichiers

fichier plugins/system/actionlogs/actionlogs.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • models
Répertoire de référence de models

Fichiers

fichier models/searches.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • views
  • purge
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_cache/views/purge/tmpl/default.php


Joomla CMS: Répertoire de référence de phpversioncheck

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • phpversioncheck
Répertoire de référence de phpversioncheck

Fichiers

fichier phpversioncheck.php


Joomla CMS: Répertoire de référence de module

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • module
Répertoire de référence de module

Fichiers

fichier plugins/editors-xtd/module/module.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • category
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_categories/views/category/tmpl/edit.php
fichier | com_categories/views/category/tmpl/edit_associations.php
fichier | components/com_categories/views/category/tmpl/edit_metadata.php
fichier | administrator/components/com_categories/views/category/tmpl/modal.php
fichier | com_categories/views/category/tmpl/modal_associations.php
fichier | modal_extrafields.php
fichier | com_categories/views/category/tmpl/modal_metadata.php
fichier | com_categories/views/category/tmpl/modal_options.php


Joomla CMS: Répertoire de référence de com_newsfeeds

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
Répertoire de référence de com_newsfeeds

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_newsfeeds/controller.php
fichier | administrator/components/com_newsfeeds/newsfeeds.php


Joomla CMS: Répertoire de référence de com_redirect

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
Répertoire de référence de com_redirect

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | layouts
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_redirect/controller.php
fichier | administrator/components/com_redirect/redirect.php


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
  • Exception
Répertoire de référence de Exception

Fichiers

fichier | CacheConnectingException.php
fichier | CacheExceptionInterface.php
fichier | UnsupportedCacheException.php


Joomla CMS: Répertoire de référence de mod_submenu

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_submenu
Répertoire de référence de mod_submenu

Répertoires

répertoire tmpl

Fichiers

fichier mod_submenu.php


Joomla CMS: Répertoire de référence de cms

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • cms
Répertoire de référence de cms

Fichiers

fichier | components/com_config/view/cms/html.php
fichier | components/com_config/view/cms/json.php


Joomla CMS: Répertoire de référence de banner

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banner
Répertoire de référence de banner

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_banners/views/banner/view.html.php


Joomla CMS: Répertoire de référence de pagenavigation

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • pagenavigation
Répertoire de référence de pagenavigation

Répertoires

répertoire tmpl

Fichiers

fichier pagenavigation.php


Joomla CMS: Répertoire de référence de Button

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
  • Button
Répertoire de référence de Button

Fichiers

fichier | ConfirmButton.php
fichier | CustomButton.php
fichier | HelpButton.php
fichier | LinkButton.php
fichier | PopupButton.php
fichier | SeparatorButton.php
fichier | SliderButton.php
fichier | StandardButton.php


Joomla CMS: Répertoire de référence de buttons

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • editors
  • buttons
Répertoire de référence de buttons

Fichiers

fichier layouts/joomla/editors/buttons/button.php


Joomla CMS: Répertoire de référence de default

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
  • default
Répertoire de référence de default

Fichiers

fichier | layouts/joomla/searchtools/default/bar.php
fichier | layouts/joomla/searchtools/default/filters.php
fichier | layouts/joomla/searchtools/default/list.php
fichier | noitems.php
fichier | selector.php


Joomla CMS: Répertoire de référence de group

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_fields
  • group
Répertoire de référence de group

Fichiers

fichier administrator/templates/hathor/html/com_fields/group/edit.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • utilities
  • src
Répertoire de référence de src

Fichiers

fichier | ArrayHelper.php
fichier | IpHelper.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • registration
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_users/views/registration/tmpl/complete.php
fichier | components/com_users/views/registration/tmpl/default.php


Joomla CMS: Répertoire de référence de tinymce

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • tinymce
Répertoire de référence de tinymce

Répertoires

répertoire field

Fichiers

fichier tinymce.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • profile
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_admin/views/profile/tmpl/edit.php


Joomla CMS: Répertoire de référence de com_languages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
Répertoire de référence de com_languages

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | layouts
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_languages/controller.php
fichier | administrator/components/com_languages/languages.php


Joomla CMS: Répertoire de référence de integer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • integer
Répertoire de référence de integer

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/integer/integer.php


Joomla CMS: Répertoire de référence de terms

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • user
  • terms
Répertoire de référence de terms

Fichiers

fichier | user/terms/label.php
fichier | layouts/plugins/user/terms/message.php


Joomla CMS: Répertoire de référence de config

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • config
Répertoire de référence de config

Répertoires

répertoire domain

Fichiers

fichier provider.php


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
  • form
Répertoire de référence de form

Fichiers

fichier templates/beez3/html/com_weblinks/form/edit.php


Joomla CMS: Répertoire de référence de Utility

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Utility
Répertoire de référence de Utility

Fichiers

fichier | BufferStreamHandler.php
fichier | Utility.php


Joomla CMS: Répertoire de référence de languages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • languages
Répertoire de référence de languages

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_languages/views/languages/view.html.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire | export
répertoire | html
répertoire | removal

Fichiers

fichier | com_privacy/helpers/plugin.php
fichier | administrator/components/com_privacy/helpers/privacy.php


Joomla CMS: Répertoire de référence de info_block

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • info_block
Répertoire de référence de info_block

Fichiers

fichier | layouts/joomla/content/info_block/associations.php
fichier | author.php
fichier | layouts/joomla/content/info_block/block.php
fichier | layouts/joomla/content/info_block/category.php
fichier | create_date.php
fichier | hits.php
fichier | modify_date.php
fichier | parent_category.php
fichier | publish_date.php


Joomla CMS: Répertoire de référence de levels

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • levels
Répertoire de référence de levels

Fichiers

fichier administrator/templates/hathor/html/com_users/levels/default.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_modules/helpers/html/modules.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • models
Répertoire de référence de models

Fichiers

fichier | administrator/components/com_config/models/application.php
fichier | administrator/components/com_config/models/component.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_users/controllers/group.php
fichier | administrator/components/com_users/controllers/groups.php
fichier | controllers/level.php
fichier | controllers/levels.php
fichier | controllers/mail.php
fichier | administrator/components/com_users/controllers/note.php
fichier | controllers/notes.php
fichier | administrator/components/com_users/controllers/user.php
fichier | administrator/components/com_users/controllers/users.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • uri
  • src
Répertoire de référence de src

Fichiers

fichier | AbstractUri.php
fichier | vendor/joomla/uri/src/Uri.php
fichier | UriHelper.php
fichier | UriImmutable.php
fichier | UriInterface.php


Joomla CMS: Répertoire de référence de default

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • default
Répertoire de référence de default

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_installer/views/default/view.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier categoriesadministrator.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • layouts
  • joomla
  • form
  • field
Répertoire de référence de field

Fichiers

fichier | templates/protostar/html/layouts/joomla/form/field/contenthistory.php
fichier | templates/protostar/html/layouts/joomla/form/field/media.php
fichier | templates/protostar/html/layouts/joomla/form/field/user.php


Joomla CMS: Répertoire de référence de controller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • controller
Répertoire de référence de controller

Fichiers

fichier libraries/fof/controller/controller.php


Joomla CMS: Répertoire de référence de privacyconsent

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • privacyconsent
Répertoire de référence de privacyconsent

Répertoires

répertoire field

Fichiers

fichier privacyconsent.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • models
Répertoire de référence de models

Fichiers

fichier administrator/components/com_cache/models/cache.php


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
  • src
  • Exception
Répertoire de référence de Exception

Fichiers

fichier | DependencyResolutionException.php
fichier | KeyNotFoundException.php
fichier | ProtectedKeyException.php


Joomla CMS: Répertoire de référence de model

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
Répertoire de référence de model

Répertoires

répertoire | behavior
répertoire | dispatcher
répertoire | field

Fichiers

fichier | fof/model/behavior.php
fichier | libraries/fof/model/field.php
fichier | fof/model/model.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • languages
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_installer/views/languages/tmpl/default.php


Joomla CMS: Répertoire de référence de default

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • default
Répertoire de référence de default

Fichiers

fichier templates/hathor/html/com_installer/default/default_ftp.php


Joomla CMS: Répertoire de référence de groups

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • groups
Répertoire de référence de groups

Fichiers

fichier administrator/templates/hathor/html/com_users/groups/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • folderinstaller
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/installer/folderinstaller/tmpl/default.php


Joomla CMS: Répertoire de référence de includes

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • includes
Répertoire de référence de includes

Fichiers

fichier | administrator/includes/defines.php
fichier | administrator/includes/framework.php
fichier | administrator/includes/helper.php
fichier | subtoolbar.php


Joomla CMS: Répertoire de référence de bin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • bin
Répertoire de référence de bin

Fichiers

fichier bin/keychain.php


Joomla CMS: Répertoire de référence de repeatable

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • repeatable
Répertoire de référence de repeatable

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/repeatable/repeatable.php


Joomla CMS: Répertoire de référence de templates

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
Répertoire de référence de templates

Répertoires

répertoire | beez3
répertoire | protostar
répertoire | system


Joomla CMS: Répertoire de référence de Plugin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Plugin
Répertoire de référence de Plugin

Fichiers

fichier | CMSPlugin.php
fichier | PluginHelper.php


Joomla CMS: Répertoire de référence de history

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_contenthistory
  • history
Répertoire de référence de history

Fichiers

fichier administrator/templates/hathor/html/com_contenthistory/history/modal.php


Joomla CMS: Répertoire de référence de language

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • language
Répertoire de référence de language

Répertoires

répertoire | en-GB
répertoire | fr-FR


Joomla CMS: Répertoire de référence de mod_syndicate

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_syndicate
Répertoire de référence de mod_syndicate

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_syndicate/helper.php
fichier | mod_syndicate.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_menu
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/modules/mod_menu/tmpl/default.php
fichier | default_submenu.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_fields
  • fields
Répertoire de référence de fields

Fichiers

fichier administrator/templates/hathor/html/com_fields/fields/default.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_installer/models/database.php
fichier | models/discover.php
fichier | administrator/components/com_installer/models/extension.php
fichier | models/install.php
fichier | administrator/components/com_installer/models/languages.php
fichier | models/manage.php
fichier | administrator/components/com_installer/models/update.php
fichier | models/updatesites.php
fichier | warnings.php


Joomla CMS: Répertoire de référence de manage

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • manage
Répertoire de référence de manage

Fichiers

fichier | administrator/templates/hathor/html/com_installer/manage/default.php
fichier | manage/default_filter.php


Joomla CMS: Répertoire de référence de random_compat

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
Répertoire de référence de random_compat

Répertoires

répertoire lib


Joomla CMS: Répertoire de référence de user

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • user
Répertoire de référence de user

Fichiers

fichier administrator/templates/hathor/html/com_users/user/edit.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • request
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_privacy/views/request/tmpl/default.php
fichier | administrator/components/com_privacy/views/request/tmpl/edit.php


Joomla CMS: Répertoire de référence de groups

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_fields
  • groups
Répertoire de référence de groups

Fichiers

fichier administrator/templates/hathor/html/com_fields/groups/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_popular
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_popular/tmpl/default.php


Joomla CMS: Répertoire de référence de isis

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
Répertoire de référence de isis

Répertoires

répertoire html

Fichiers

fichier | administrator/templates/isis/component.php
fichier | templates/isis/cpanel.php
fichier | administrator/templates/isis/error.php
fichier | administrator/templates/isis/index.php
fichier | administrator/templates/isis/login.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
  • fields
Répertoire de référence de fields

Répertoires

répertoire modal

Fichiers

fichier | componentscategory.php
fichier | menuitembytype.php
fichier | menuordering.php
fichier | menuparent.php
fichier | menupreset.php
fichier | menutype.php


Joomla CMS: Répertoire de référence de Http

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Http
Répertoire de référence de Http

Répertoires

répertoire | Transport
répertoire | Wrapper

Fichiers

fichier | Http.php
fichier | HttpFactory.php
fichier | src/Http/Response.php
fichier | TransportInterface.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | com_users/helpers/legacyrouter.php
fichier | components/com_users/helpers/route.php


Joomla CMS: Répertoire de référence de debuggroup

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • debuggroup
Répertoire de référence de debuggroup

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/debuggroup/view.html.php


Joomla CMS: Répertoire de référence de input

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • input
Répertoire de référence de input

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • imagelist
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/imagelist/tmpl/imagelist.php


Joomla CMS: Répertoire de référence de SecretStream

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • SecretStream
Répertoire de référence de SecretStream

Fichiers

fichier src/Core/SecretStream/State.php


Joomla CMS: Répertoire de référence de sodium_compat

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
Répertoire de référence de sodium_compat

Répertoires

répertoire | lib
répertoire | namespaced
répertoire | src

Fichiers

fichier | autoload-fast.php
fichier | autoload-pedantic.php
fichier | autoload-php7.php
fichier | autoload-phpunit.php
fichier | paragonie/sodium_compat/autoload.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • categories
Répertoire de référence de categories

Fichiers

fichier | templates/beez3/html/com_contact/categories/default.php
fichier | templates/beez3/html/com_contact/categories/default_items.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • login
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_users/views/login/tmpl/default.php
fichier | default_login.php
fichier | components/com_users/views/login/tmpl/default_logout.php


Joomla CMS: Répertoire de référence de auth

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • auth
Répertoire de référence de auth

Fichiers

fichier oauth2.php


Joomla CMS: Répertoire de référence de plus

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
  • plus
Répertoire de référence de plus

Fichiers

fichier | activities.php
fichier | google/data/plus/comments.php
fichier | google/data/plus/people.php


Joomla CMS: Répertoire de référence de oauth2

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • oauth2
Répertoire de référence de oauth2

Fichiers

fichier libraries/joomla/oauth2/client.php


Joomla CMS: Répertoire de référence de mod_custom

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_custom
Répertoire de référence de mod_custom

Répertoires

répertoire tmpl

Fichiers

fichier modules/mod_custom/mod_custom.php


Joomla CMS: Répertoire de référence de simplepie

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
Répertoire de référence de simplepie

Répertoires

répertoire | idn
répertoire | library

Fichiers

fichier autoloader.php


Joomla CMS: Répertoire de référence de removal

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
  • removal
Répertoire de référence de removal

Fichiers

fichier administrator/components/com_privacy/helpers/removal/status.php


Joomla CMS: Répertoire de référence de packageinstaller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • packageinstaller
Répertoire de référence de packageinstaller

Répertoires

répertoire tmpl

Fichiers

fichier packageinstaller.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | com_content/controllers/ajax.json.php
fichier | administrator/components/com_content/controllers/article.php
fichier | administrator/components/com_content/controllers/articles.php
fichier | administrator/components/com_content/controllers/featured.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_whosonline
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_whosonline/tmpl/default.php


Joomla CMS: Répertoire de référence de Object

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Object
Répertoire de référence de Object

Fichiers

fichier CMSObject.php


Joomla CMS: Répertoire de référence de system

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • system
Répertoire de référence de system

Fichiers

fichier administrator/templates/isis/html/layouts/joomla/system/message.php


Joomla CMS: Répertoire de référence de RequestMethod

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
  • RequestMethod
Répertoire de référence de RequestMethod

Fichiers

fichier | Curl.php
fichier | CurlPost.php
fichier | Post.php
fichier | Socket.php
fichier | SocketPost.php


Joomla CMS: Répertoire de référence de com_content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
Répertoire de référence de com_content

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | components/com_content/content.php
fichier | components/com_content/controller.php
fichier | components/com_content/router.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • levels
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_users/views/levels/tmpl/default.php


Joomla CMS: Répertoire de référence de totp

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • totp
Répertoire de référence de totp

Répertoires

répertoire | postinstall
répertoire | tmpl

Fichiers

fichier plugins/twofactorauth/totp/totp.php


Joomla CMS: Répertoire de référence de String

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • String
Répertoire de référence de String

Fichiers

fichier PunycodeHelper.php


Joomla CMS: Répertoire de référence de icons

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
  • icons
Répertoire de référence de icons

Fichiers

fichier | create.php
fichier | layouts/joomla/content/icons/edit.php
fichier | edit_lock.php
fichier | layouts/joomla/content/icons/email.php
fichier | print_popup.php
fichier | print_screen.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_messages/models/config.php
fichier | administrator/components/com_messages/models/message.php
fichier | com_messages/models/messages.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
Répertoire de référence de views

Répertoires

répertoire | config
répertoire | message
répertoire | messages


Joomla CMS: Répertoire de référence de config

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • config
Répertoire de référence de config

Fichiers

fichier | components/com_config/controller/config/display.php
fichier | components/com_config/controller/config/save.php


Joomla CMS: Répertoire de référence de template

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • template
Répertoire de référence de template

Fichiers

fichier | administrator/templates/hathor/html/com_templates/template/default.php
fichier | templates/hathor/html/com_templates/template/default_description.php
fichier | templates/hathor/html/com_templates/template/default_folders.php
fichier | templates/hathor/html/com_templates/template/default_tree.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • views
  • cache
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_cache/views/cache/tmpl/default.php


Joomla CMS: Répertoire de référence de observable

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • observable
Répertoire de référence de observable

Fichiers

fichier | fof/utils/observable/dispatcher.php
fichier | fof/utils/observable/event.php


Joomla CMS: Répertoire de référence de request

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • request
Répertoire de référence de request

Répertoires

répertoire tmpl

Fichiers

fichier components/com_privacy/views/request/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_wrapper
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_wrapper/tmpl/default.php


Joomla CMS: Répertoire de référence de links

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_redirect
  • links
Répertoire de référence de links

Fichiers

fichier administrator/templates/hathor/html/com_redirect/links/default.php


Joomla CMS: Répertoire de référence de Logger

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Log
  • Logger
Répertoire de référence de Logger

Fichiers

fichier | CallbackLogger.php
fichier | DatabaseLogger.php
fichier | EchoLogger.php
fichier | FormattedtextLogger.php
fichier | MessagequeueLogger.php
fichier | SyslogLogger.php
fichier | W3cLogger.php


Joomla CMS: Répertoire de référence de maps

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_finder
  • maps
Répertoire de référence de maps

Fichiers

fichier administrator/templates/hathor/html/com_finder/maps/default.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • tables
Répertoire de référence de tables

Fichiers

fichier tables/style.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • medialist
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_media/views/medialist/tmpl/default.php
fichier | administrator/components/com_media/views/medialist/tmpl/details.php
fichier | details_doc.php
fichier | details_docs.php
fichier | details_folder.php
fichier | details_folders.php
fichier | details_img.php
fichier | details_imgs.php
fichier | details_up.php
fichier | details_video.php
fichier | details_videos.php
fichier | thumbs.php
fichier | thumbs_docs.php
fichier | components/com_media/views/medialist/tmpl/thumbs_folders.php
fichier | components/com_media/views/medialist/tmpl/thumbs_imgs.php
fichier | thumbs_up.php
fichier | thumbs_videos.php


Joomla CMS: Répertoire de référence de leafo

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • leafo
Répertoire de référence de leafo

Répertoires

répertoire lessphp


Joomla CMS: Répertoire de référence de Factory

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Factory
Répertoire de référence de Factory

Fichiers

fichier | LegacyFactory.php
fichier | MVCFactory.php
fichier | MVCFactoryInterface.php


Joomla CMS: Répertoire de référence de behavior

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
  • behavior
Répertoire de référence de behavior

Fichiers

fichier | assets.php
fichier | libraries/fof/table/behavior/contenthistory.php
fichier | libraries/fof/table/behavior/tags.php


Joomla CMS: Répertoire de référence de indexer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
Répertoire de référence de indexer

Répertoires

répertoire | driver
répertoire | parser
répertoire | stemmer

Fichiers

fichier | adapter.php
fichier | administrator/components/com_finder/helpers/indexer/helper.php
fichier | helpers/indexer/indexer.php
fichier | administrator/components/com_finder/helpers/indexer/parser.php
fichier | administrator/components/com_finder/helpers/indexer/query.php
fichier | result.php
fichier | stemmer.php
fichier | taxonomy.php
fichier | token.php


Joomla CMS: Répertoire de référence de dispatcher

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • dispatcher
Répertoire de référence de dispatcher

Fichiers

fichier legacy/dispatcher/dispatcher.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
  • cms
  • html
Répertoire de référence de html

Répertoires

répertoire bootstrap


Joomla CMS: Répertoire de référence de application

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • application
Répertoire de référence de application

Fichiers

fichier | administrator/templates/hathor/html/com_config/application/default.php
fichier | templates/hathor/html/com_config/application/default_cache.php
fichier | templates/hathor/html/com_config/application/default_cookie.php
fichier | templates/hathor/html/com_config/application/default_database.php
fichier | templates/hathor/html/com_config/application/default_debug.php
fichier | templates/hathor/html/com_config/application/default_filters.php
fichier | templates/hathor/html/com_config/application/default_ftp.php
fichier | templates/hathor/html/com_config/application/default_ftplogin.php
fichier | templates/hathor/html/com_config/application/default_locale.php
fichier | templates/hathor/html/com_config/application/default_mail.php
fichier | administrator/templates/hathor/html/com_config/application/default_metadata.php
fichier | templates/hathor/html/com_config/application/default_navigation.php
fichier | templates/hathor/html/com_config/application/default_permissions.php
fichier | administrator/templates/hathor/html/com_config/application/default_seo.php
fichier | templates/hathor/html/com_config/application/default_server.php
fichier | templates/hathor/html/com_config/application/default_session.php
fichier | administrator/templates/hathor/html/com_config/application/default_site.php
fichier | templates/hathor/html/com_config/application/default_system.php


Joomla CMS: Répertoire de référence de config

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • config
Répertoire de référence de config

Fichiers

fichier libraries/fof/utils/config/helper.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • override
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_languages/views/override/tmpl/edit.php


Joomla CMS: Répertoire de référence de mod_banners

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_banners
Répertoire de référence de mod_banners

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_banners/helper.php
fichier | mod_banners.php


Joomla CMS: Répertoire de référence de Menu

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
Répertoire de référence de Menu

Répertoires

répertoire Node

Fichiers

fichier | AbstractMenu.php
fichier | AdministratorMenu.php
fichier | MenuHelper.php
fichier | MenuItem.php
fichier | Node.php
fichier | SiteMenu.php
fichier | Tree.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_messages/controllers/config.php
fichier | administrator/components/com_messages/controllers/message.php
fichier | com_messages/controllers/messages.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • history
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_contenthistory/views/history/tmpl/modal.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_banners/controllers/banner.php
fichier | administrator/components/com_banners/controllers/banners.php
fichier | administrator/components/com_banners/controllers/client.php
fichier | controllers/clients.php
fichier | controllers/tracks.php
fichier | tracks.raw.php


Joomla CMS: Répertoire de référence de language

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • language
Répertoire de référence de language

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_languages/views/language/view.html.php


Joomla CMS: Répertoire de référence de imagelist

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • imagelist
Répertoire de référence de imagelist

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/imagelist/imagelist.php


Joomla CMS: Répertoire de référence de com_content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_content
Répertoire de référence de com_content

Répertoires

répertoire | article
répertoire | articles
répertoire | featured


Joomla CMS: Répertoire de référence de override

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • override
Répertoire de référence de override

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_languages/views/override/view.html.php


Joomla CMS: Répertoire de référence de note

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • note
Répertoire de référence de note

Fichiers

fichier administrator/templates/hathor/html/com_users/note/edit.php


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Exception
Répertoire de référence de Exception

Fichiers

fichier MissingComponentException.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_menu
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | modules/mod_menu/tmpl/default.php
fichier | default_component.php
fichier | default_heading.php
fichier | default_separator.php
fichier | default_url.php


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_messages
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier mysettings.php


Joomla CMS: Répertoire de référence de Streams

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
  • Streams
Répertoire de référence de Streams

Fichiers

fichier StreamString.php


Joomla CMS: Répertoire de référence de component

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
  • component
Répertoire de référence de component

Fichiers

fichier administrator/templates/hathor/html/com_config/component/default.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier textdiff.php


Joomla CMS: Répertoire de référence de registration

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • registration
Répertoire de référence de registration

Répertoires

répertoire tmpl

Fichiers

fichier components/com_users/views/registration/view.html.php


Joomla CMS: Répertoire de référence de tags

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tags
Répertoire de référence de tags

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_tags/views/tags/view.html.php


Joomla CMS: Répertoire de référence de Core

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
Répertoire de référence de Core

Répertoires

répertoire | Base64
répertoire | ChaCha20
répertoire | Curve25519
répertoire | Poly1305
répertoire | SecretStream

Fichiers

fichier | src/Core/BLAKE2b.php
fichier | src/Core/ChaCha20.php
fichier | src/Core/Curve25519.php
fichier | src/Core/Ed25519.php
fichier | src/Core/HChaCha20.php
fichier | src/Core/HSalsa20.php
fichier | src/Core/Poly1305.php
fichier | Ristretto255.php
fichier | src/Core/Salsa20.php
fichier | src/Core/SipHash.php
fichier | src/Core/Util.php
fichier | src/Core/X25519.php
fichier | src/Core/XChaCha20.php
fichier | XSalsa20.php


Joomla CMS: Répertoire de référence de com_tags

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
Répertoire de référence de com_tags

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_tags/controller.php
fichier | administrator/components/com_tags/tags.php


Joomla CMS: Répertoire de référence de render

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • render
Répertoire de référence de render

Fichiers

fichier | render/abstract.php
fichier | libraries/fof/render/joomla.php
fichier | joomla3.php
fichier | strapper.php


Joomla CMS: Répertoire de référence de contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • contact
Répertoire de référence de contact

Fichiers

fichier plugins/privacy/contact/contact.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
Répertoire de référence de views

Répertoires

répertoire | association
répertoire | associations


Joomla CMS: Répertoire de référence de editors

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
  • codemirror
  • layouts
  • editors
Répertoire de référence de editors

Répertoires

répertoire codemirror


Joomla CMS: Répertoire de référence de com_joomlaupdate

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_joomlaupdate
Répertoire de référence de com_joomlaupdate

Répertoires

répertoire default


Joomla CMS: Répertoire de référence de blog

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • sampledata
  • blog
Répertoire de référence de blog

Fichiers

fichier plugins/sampledata/blog/blog.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • manage
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_installer/views/manage/tmpl/default.php


Joomla CMS: Répertoire de référence de profile

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • profile
Répertoire de référence de profile

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_admin/views/profile/view.html.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • compat
  • src
Répertoire de référence de src

Fichiers

fichier | CallbackFilterIterator.php
fichier | JsonSerializable.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • joomla
Répertoire de référence de joomla

Fichiers

fichier plugins/user/joomla/joomla.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • system
  • html
Répertoire de référence de html

Fichiers

fichier administrator/templates/system/html/modules.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • calendar
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/calendar/tmpl/calendar.php


Joomla CMS: Répertoire de référence de libraries

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
Répertoire de référence de libraries

Répertoires

répertoire | cms
répertoire | fof
répertoire | idna_convert
répertoire | joomla
répertoire | legacy
répertoire | php-encryption
répertoire | phpass
répertoire | phputf8
répertoire | src
répertoire | vendor

Fichiers

fichier | classmap.php
fichier | libraries/cms.php
fichier | import.legacy.php
fichier | import.php
fichier | loader.php


Joomla CMS: Répertoire de référence de system

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • system
Répertoire de référence de system

Fichiers

fichier layouts/joomla/system/message.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • models
Répertoire de référence de models

Fichiers

fichier | administrator/components/com_media/models/list.php
fichier | manager.php


Joomla CMS: Répertoire de référence de phpfunc

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • phpfunc
Répertoire de référence de phpfunc

Fichiers

fichier phpfunc.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • tables
Répertoire de référence de tables

Fichiers

fichier administrator/components/com_users/tables/note.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • content
Répertoire de référence de content

Fichiers

fichier plugins/search/content/content.php


Joomla CMS: Répertoire de référence de installed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • installed
Répertoire de référence de installed

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_languages/views/installed/view.html.php


Joomla CMS: Répertoire de référence de application

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • application
Répertoire de référence de application

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/components/com_config/view/application/html.php
fichier | administrator/components/com_config/view/application/json.php


Joomla CMS: Répertoire de référence de MVC

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
Répertoire de référence de MVC

Répertoires

répertoire | Controller
répertoire | Factory
répertoire | Model
répertoire | View


Joomla CMS: Répertoire de référence de container

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • container
Répertoire de référence de container

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de User

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • User
Répertoire de référence de User

Fichiers

fichier | User/User.php
fichier | UserHelper.php
fichier | UserWrapper.php


Joomla CMS: Répertoire de référence de mod_sampledata

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_sampledata
Répertoire de référence de mod_sampledata

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_sampledata/helper.php
fichier | mod_sampledata.php


Joomla CMS: Répertoire de référence de user

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • plugins
  • user
Répertoire de référence de user

Répertoires

répertoire profile


Joomla CMS: Répertoire de référence de summary

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • summary
Répertoire de référence de summary

Répertoires

répertoire tmpl

Fichiers

fichier installation/view/summary/html.php


Joomla CMS: Répertoire de référence de banners

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • banners
Répertoire de référence de banners

Fichiers

fichier administrator/templates/hathor/html/com_banners/banners/default.php


Joomla CMS: Répertoire de référence de Updater

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Updater
Répertoire de référence de Updater

Répertoires

répertoire Adapter

Fichiers

fichier | DownloadSource.php
fichier | Updater/Update.php
fichier | UpdateAdapter.php
fichier | Updater.php


Joomla CMS: Répertoire de référence de filters

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_finder
  • filters
Répertoire de référence de filters

Fichiers

fichier administrator/templates/hathor/html/com_finder/filters/default.php


Joomla CMS: Répertoire de référence de com_content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
Répertoire de référence de com_content

Répertoires

répertoire | archive
répertoire | article
répertoire | categories
répertoire | category
répertoire | featured
répertoire | form


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
Répertoire de référence de form

Répertoires

répertoire field

Fichiers

fichier | layouts/joomla/form/renderfield.php
fichier | renderlabel.php


Joomla CMS: Répertoire de référence de com_messages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_messages
Répertoire de référence de com_messages

Répertoires

répertoire | message
répertoire | messages


Joomla CMS: Répertoire de référence de component

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • view
  • component
Répertoire de référence de component

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_config/view/component/html.php


Joomla CMS: Répertoire de référence de encrypt

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • encrypt
Répertoire de référence de encrypt

Répertoires

répertoire aes

Fichiers

fichier | aes.php
fichier | base32.php
fichier | randval.php
fichier | randvalinterface.php
fichier | libraries/fof/encrypt/totp.php


Joomla CMS: Répertoire de référence de message

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_messages
  • message
Répertoire de référence de message

Fichiers

fichier administrator/templates/hathor/html/com_messages/message/edit.php


Joomla CMS: Répertoire de référence de com_actionlogs

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
Répertoire de référence de com_actionlogs

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | layouts
répertoire | libraries
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_actionlogs/actionlogs.php
fichier | administrator/components/com_actionlogs/controller.php


Joomla CMS: Répertoire de référence de module

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_modules
  • module
Répertoire de référence de module

Fichiers

fichier | administrator/templates/hathor/html/com_modules/module/edit.php
fichier | templates/hathor/html/com_modules/module/edit_assignment.php
fichier | templates/hathor/html/com_modules/module/edit_options.php


Joomla CMS: Répertoire de référence de contacts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • contacts
Répertoire de référence de contacts

Fichiers

fichier plugins/finder/contacts/contacts.php


Joomla CMS: Répertoire de référence de weblink

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_weblinks
  • weblink
Répertoire de référence de weblink

Fichiers

fichier | administrator/templates/hathor/html/com_weblinks/weblink/edit.php
fichier | templates/hathor/html/com_weblinks/weblink/edit_params.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_newsfeeds/helpers/html/newsfeed.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • tables
Répertoire de référence de tables

Fichiers

fichier | administrator/components/com_fields/tables/field.php
fichier | administrator/components/com_fields/tables/group.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • tracks
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_banners/views/tracks/tmpl/default.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_associations/controllers/association.php
fichier | administrator/components/com_associations/controllers/associations.php


Joomla CMS: Répertoire de référence de google

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
Répertoire de référence de google

Répertoires

répertoire recaptcha


Joomla CMS: Répertoire de référence de mod_quickicon

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • mod_quickicon
Répertoire de référence de mod_quickicon

Fichiers

fichier administrator/templates/hathor/html/mod_quickicon/default.php


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
Répertoire de référence de form

Répertoires

répertoire fields


Joomla CMS: Répertoire de référence de sidebars

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • sidebars
Répertoire de référence de sidebars

Fichiers

fichier administrator/templates/hathor/html/layouts/joomla/sidebars/submenu.php


Joomla CMS: Répertoire de référence de lib

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • lib
Répertoire de référence de lib

Fichiers

fichier | constants.php
fichier | namespaced.php
fichier | php72compat.php
fichier | php72compat_const.php
fichier | ristretto255.php
fichier | sodium_compat.php
fichier | stream-xchacha20.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • models
Répertoire de référence de models

Répertoires

répertoire rules

Fichiers

fichier | components/com_users/models/login.php
fichier | components/com_users/models/profile.php
fichier | models/registration.php
fichier | com_users/models/remind.php
fichier | models/reset.php


Joomla CMS: Répertoire de référence de postinstall

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • totp
  • postinstall
Répertoire de référence de postinstall

Fichiers

fichier plugins/twofactorauth/totp/postinstall/actions.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_newsfeeds
  • categories
Répertoire de référence de categories

Fichiers

fichier | templates/beez3/html/com_newsfeeds/categories/default.php
fichier | templates/beez3/html/com_newsfeeds/categories/default_items.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_contact/views/contact/tmpl/default.php
fichier | components/com_contact/views/contact/tmpl/default_address.php
fichier | components/com_contact/views/contact/tmpl/default_articles.php
fichier | components/com_contact/views/contact/tmpl/default_form.php
fichier | components/com_contact/views/contact/tmpl/default_links.php
fichier | components/com_contact/views/contact/tmpl/default_profile.php
fichier | components/com_contact/views/contact/tmpl/default_user_custom_fields.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | administrator/components/com_categories/helpers/association.php
fichier | administrator/components/com_categories/helpers/categories.php


Joomla CMS: Répertoire de référence de polyfill-php71

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php71
Répertoire de référence de polyfill-php71

Fichiers

fichier | libraries/vendor/symfony/polyfill-php71/bootstrap.php
fichier | Php71.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_users/helpers/html/users.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • models
Répertoire de référence de models

Fichiers

fichier | models/compare.php
fichier | models/history.php
fichier | models/preview.php


Joomla CMS: Répertoire de référence de contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • contact
Répertoire de référence de contact

Fichiers

fichier | templates/beez3/html/com_contact/contact/default.php
fichier | templates/beez3/html/com_contact/contact/default_address.php
fichier | templates/beez3/html/com_contact/contact/default_articles.php
fichier | templates/beez3/html/com_contact/contact/default_form.php
fichier | templates/beez3/html/com_contact/contact/default_links.php
fichier | templates/beez3/html/com_contact/contact/default_profile.php
fichier | templates/beez3/html/com_contact/contact/default_user_custom_fields.php
fichier | encyclopedia.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • text
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/text/tmpl/text.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • defaultlanguage
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/defaultlanguage/tmpl/default.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
Répertoire de référence de html

Répertoires

répertoire | com_media
répertoire | layouts

Fichiers

fichier | templates/protostar/html/modules.php
fichier | templates/protostar/html/pagination.php


Joomla CMS: Répertoire de référence de postinstall

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • captcha
  • recaptcha
  • postinstall
Répertoire de référence de postinstall

Fichiers

fichier plugins/captcha/recaptcha/postinstall/actions.php


Joomla CMS: Répertoire de référence de filesystem

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
Répertoire de référence de filesystem

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • views
  • search
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_search/views/search/tmpl/default.php
fichier | default_error.php
fichier | components/com_search/views/search/tmpl/default_form.php
fichier | com_search/views/search/tmpl/default_results.php


Joomla CMS: Répertoire de référence de compare

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • compare
Répertoire de référence de compare

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_contenthistory/views/compare/view.html.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire | html
répertoire | indexer

Fichiers

fichier | administrator/components/com_finder/helpers/finder.php
fichier | administrator/components/com_finder/helpers/language.php


Joomla CMS: Répertoire de référence de Document

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
Répertoire de référence de Document

Répertoires

répertoire | Feed
répertoire | Opensearch
répertoire | Renderer

Fichiers

fichier | Document.php
fichier | DocumentRenderer.php
fichier | ErrorDocument.php
fichier | FeedDocument.php
fichier | HtmlDocument.php
fichier | ImageDocument.php
fichier | JsonDocument.php
fichier | OpensearchDocument.php
fichier | RawDocument.php
fichier | XmlDocument.php


Joomla CMS: Répertoire de référence de article

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • article
Répertoire de référence de article

Répertoires

répertoire tmpl

Fichiers

fichier components/com_content/views/article/view.html.php


Joomla CMS: Répertoire de référence de sysinfo

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
Répertoire de référence de sysinfo

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/components/com_admin/views/sysinfo/view.html.php
fichier | com_admin/views/sysinfo/view.json.php
fichier | view.text.php


Joomla CMS: Répertoire de référence de paragonie

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
Répertoire de référence de paragonie

Répertoires

répertoire | random_compat
répertoire | sodium_compat


Joomla CMS: Répertoire de référence de default

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • layouts
  • joomla
  • searchtools
  • default
Répertoire de référence de default

Fichiers

fichier administrator/components/com_associations/layouts/joomla/searchtools/default/bar.php


Joomla CMS: Répertoire de référence de com_config

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
Répertoire de référence de com_config

Répertoires

répertoire | controller
répertoire | model
répertoire | view

Fichiers

fichier components/com_config/config.php


Joomla CMS: Répertoire de référence de Schema

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Schema
Répertoire de référence de Schema

Répertoires

répertoire ChangeItem

Fichiers

fichier | ChangeItem.php
fichier | ChangeSet.php


Joomla CMS: Répertoire de référence de jinput

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • input
  • jinput
Répertoire de référence de jinput

Fichiers

fichier | cli.php
fichier | libraries/fof/input/jinput/cookie.php
fichier | files.php
fichier | jinput/input.php
fichier | libraries/fof/input/jinput/json.php


Joomla CMS: Répertoire de référence de mod_related_items

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_related_items
Répertoire de référence de mod_related_items

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_related_items/helper.php
fichier | mod_related_items.php


Joomla CMS: Répertoire de référence de laragon

  • C:
  • laragon
Répertoire de référence de laragon

Répertoires

répertoire www


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • helpers
Répertoire de référence de helpers

Fichiers

fichier | components/com_newsfeeds/helpers/association.php
fichier | components/com_newsfeeds/helpers/category.php
fichier | com_newsfeeds/helpers/legacyrouter.php
fichier | components/com_newsfeeds/helpers/route.php


Joomla CMS: Répertoire de référence de view

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
Répertoire de référence de view

Répertoires

répertoire | cms
répertoire | config
répertoire | modules
répertoire | templates


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • statistics
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_finder/views/statistics/tmpl/default.php


Joomla CMS: Répertoire de référence de readmore

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • readmore
Répertoire de référence de readmore

Fichiers

fichier plugins/editors-xtd/readmore/readmore.php


Joomla CMS: Répertoire de référence de capabilities

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • capabilities
Répertoire de référence de capabilities

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_privacy/views/capabilities/view.html.php


Joomla CMS: Répertoire de référence de levels

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • levels
Répertoire de référence de levels

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/levels/view.html.php


Joomla CMS: Répertoire de référence de com_fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_fields
Répertoire de référence de com_fields

Répertoires

répertoire layouts

Fichiers

fichier | components/com_fields/controller.php
fichier | components/com_fields/fields.php


Joomla CMS: Répertoire de référence de libraries

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • libraries
Répertoire de référence de libraries

Fichiers

fichier actionlogplugin.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_breadcrumbs
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_breadcrumbs/tmpl/default.php


Joomla CMS: Répertoire de référence de url

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • url
Répertoire de référence de url

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/url/url.php


Joomla CMS: Répertoire de référence de edit

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • edit
Répertoire de référence de edit

Fichiers

fichier | administrator/templates/hathor/html/layouts/joomla/edit/details.php
fichier | administrator/templates/hathor/html/layouts/joomla/edit/fieldset.php
fichier | administrator/templates/hathor/html/layouts/joomla/edit/global.php
fichier | administrator/templates/hathor/html/layouts/joomla/edit/metadata.php
fichier | administrator/templates/hathor/html/layouts/joomla/edit/params.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • helpers
Répertoire de référence de helpers

Fichiers

fichier administrator/components/com_media/helpers/media.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • helpers
Répertoire de référence de helpers

Fichiers

fichier administrator/components/com_associations/helpers/associations.php


Joomla CMS: Répertoire de référence de manage

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • manage
Répertoire de référence de manage

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_installer/views/manage/view.html.php


Joomla CMS: Répertoire de référence de mod_languages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_languages
Répertoire de référence de mod_languages

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_languages/helper.php
fichier | mod_languages.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • layouts
Répertoire de référence de layouts

Fichiers

fichier logstable.php


Joomla CMS: Répertoire de référence de Support

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filesystem
  • Support
Répertoire de référence de Support

Fichiers

fichier src/Filesystem/Support/StringController.php


Joomla CMS: Répertoire de référence de category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • category
Répertoire de référence de category

Fichiers

fichier | templates/beez3/html/com_content/category/blog.php
fichier | templates/beez3/html/com_content/category/blog_children.php
fichier | templates/beez3/html/com_content/category/blog_item.php
fichier | templates/beez3/html/com_content/category/blog_links.php
fichier | templates/beez3/html/com_content/category/default.php
fichier | templates/beez3/html/com_content/category/default_articles.php
fichier | templates/beez3/html/com_content/category/default_children.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • actionlog
  • joomla
Répertoire de référence de joomla

Fichiers

fichier plugins/actionlog/joomla/joomla.php


Joomla CMS: Répertoire de référence de user

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
Répertoire de référence de user

Répertoires

répertoire | contactcreator
répertoire | joomla
répertoire | profile
répertoire | terms


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • complete
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/complete/tmpl/default.php


Joomla CMS: Répertoire de référence de eos310

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • eos310
Répertoire de référence de eos310

Fichiers

fichier eos310.php


Joomla CMS: Répertoire de référence de com_users

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
Répertoire de référence de com_users

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_users/controller.php
fichier | administrator/components/com_users/users.php


Joomla CMS: Répertoire de référence de ldap

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • authentication
  • ldap
Répertoire de référence de ldap

Fichiers

fichier ldap.php


Joomla CMS: Répertoire de référence de articles

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • articles
Répertoire de référence de articles

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_content/views/articles/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • languages
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/languages/tmpl/default.php


Joomla CMS: Répertoire de référence de quickicons

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • joomla
  • quickicons
Répertoire de référence de quickicons

Fichiers

fichier administrator/templates/hathor/html/layouts/joomla/quickicons/icon.php


Joomla CMS: Répertoire de référence de event

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • event
Répertoire de référence de event

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de featured

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • featured
Répertoire de référence de featured

Répertoires

répertoire tmpl

Fichiers

fichier | com_content/views/featured/view.feed.php
fichier | components/com_content/views/featured/view.html.php


Joomla CMS: Répertoire de référence de mod_stats_admin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_stats_admin
Répertoire de référence de mod_stats_admin

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_stats_admin/helper.php
fichier | mod_stats_admin.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | actionlog.php
fichier | administrator/components/com_actionlogs/models/actionlogs.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • remind
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier components/com_privacy/views/remind/tmpl/default.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_finder/helpers/html/finder.php


Joomla CMS: Répertoire de référence de www

  • C:
  • laragon
  • www
Répertoire de référence de www

Répertoires

répertoire _install


Joomla CMS: Répertoire de référence de message

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • message
Répertoire de référence de message

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_messages/views/message/view.html.php


Joomla CMS: Répertoire de référence de folderinstaller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • folderinstaller
Répertoire de référence de folderinstaller

Répertoires

répertoire tmpl

Fichiers

fichier folderinstaller.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire | field
répertoire | fields
répertoire | joomla


Joomla CMS: Répertoire de référence de Rule

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Form
  • Rule
Répertoire de référence de Rule

Fichiers

fichier | BooleanRule.php
fichier | CalendarRule.php
fichier | CaptchaRule.php
fichier | ColorRule.php
fichier | CssIdentifierSubstringRule.php
fichier | EmailRule.php
fichier | EqualsRule.php
fichier | ExistsRule.php
fichier | FilePathRule.php
fichier | ModuleLayoutRule.php
fichier | NotequalsRule.php
fichier | NumberRule.php
fichier | OptionsRule.php
fichier | PasswordRule.php
fichier | RulesRule.php
fichier | SubFormRule.php
fichier | TelRule.php
fichier | UrlRule.php
fichier | UsernameRule.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
Répertoire de référence de html

Répertoires

répertoire | batch
répertoire | formbehavior

Fichiers

fichier | layouts/joomla/html/image.php
fichier | layouts/joomla/html/sortablelist.php
fichier | layouts/joomla/html/tag.php
fichier | treeprefix.php


Joomla CMS: Répertoire de référence de default

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • layouts
  • joomla
  • searchtools
  • default
Répertoire de référence de default

Fichiers

fichier administrator/components/com_menus/layouts/joomla/searchtools/default/bar.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
Répertoire de référence de views

Répertoires

répertoire | debuggroup
répertoire | debuguser
répertoire | group
répertoire | groups
répertoire | level
répertoire | levels
répertoire | mail
répertoire | note
répertoire | notes
répertoire | user
répertoire | users


Joomla CMS: Répertoire de référence de idn

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • idn
Répertoire de référence de idn

Fichiers

fichier vendor/simplepie/simplepie/idn/idna_convert.class.php


Joomla CMS: Répertoire de référence de languages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_languages
  • languages
Répertoire de référence de languages

Fichiers

fichier administrator/templates/hathor/html/com_languages/languages/default.php


Joomla CMS: Répertoire de référence de mod_random_image

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_random_image
Répertoire de référence de mod_random_image

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_random_image/helper.php
fichier | mod_random_image.php


Joomla CMS: Répertoire de référence de cms

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
Répertoire de référence de cms

Répertoires

répertoire | class
répertoire | html
répertoire | less


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_fields/controllers/field.php
fichier | administrator/components/com_fields/controllers/fields.php
fichier | administrator/components/com_fields/controllers/group.php
fichier | administrator/components/com_fields/controllers/groups.php


Joomla CMS: Répertoire de référence de module

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • module
Répertoire de référence de module

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/components/com_modules/views/module/view.html.php
fichier | com_modules/views/module/view.json.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • update
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_installer/views/update/tmpl/default.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire toolbar


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • models
Répertoire de référence de models

Répertoires

répertoire rules

Fichiers

fichier | components/com_contact/models/categories.php
fichier | components/com_contact/models/category.php
fichier | components/com_contact/models/contact.php
fichier | components/com_contact/models/featured.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
  • associations
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_associations/views/associations/tmpl/default.php
fichier | administrator/components/com_associations/views/associations/tmpl/modal.php


Joomla CMS: Répertoire de référence de updater

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observer
  • updater
Répertoire de référence de updater

Fichiers

fichier joomla/observer/updater/interface.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • models
Répertoire de référence de models

Fichiers

fichier | administrator/components/com_tags/models/tag.php
fichier | administrator/components/com_tags/models/tags.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • select
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_modules/views/select/tmpl/default.php


Joomla CMS: Répertoire de référence de com_messages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_messages
Répertoire de référence de com_messages

Répertoires

répertoire toolbar


Joomla CMS: Répertoire de référence de installscript

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • installscript
Répertoire de référence de installscript

Fichiers

fichier installscript.php


Joomla CMS: Répertoire de référence de install

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • install
Répertoire de référence de install

Répertoires

répertoire tmpl

Fichiers

fichier installation/view/install/html.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • categories
Répertoire de référence de categories

Répertoires

répertoire tmpl

Fichiers

fichier components/com_newsfeeds/views/categories/view.html.php


Joomla CMS: Répertoire de référence de render

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • hal
  • render
Répertoire de référence de render

Fichiers

fichier | fof/hal/render/interface.php
fichier | libraries/fof/hal/render/json.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • index
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_finder/views/index/tmpl/default.php


Joomla CMS: Répertoire de référence de Cache

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Cache
Répertoire de référence de Cache

Répertoires

répertoire | Controller
répertoire | Exception
répertoire | Storage

Fichiers

fichier | src/Cache/Cache.php
fichier | CacheController.php
fichier | CacheStorage.php


Joomla CMS: Répertoire de référence de administrator

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
Répertoire de référence de administrator

Répertoires

répertoire | components
répertoire | includes
répertoire | language
répertoire | modules
répertoire | templates

Fichiers

fichier administrator/index.php


Joomla CMS: Répertoire de référence de twofactorauth

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
Répertoire de référence de twofactorauth

Répertoires

répertoire | totp
répertoire | yubikey


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • urlinstaller
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/installer/urlinstaller/tmpl/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • images
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_media/views/images/tmpl/default.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
Répertoire de référence de src

Répertoires

répertoire ReCaptcha

Fichiers

fichier google/recaptcha/src/autoload.php


Joomla CMS: Répertoire de référence de mediawiki

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • mediawiki
Répertoire de référence de mediawiki

Fichiers

fichier | libraries/joomla/mediawiki/categories.php
fichier | mediawiki/http.php
fichier | images.php
fichier | libraries/joomla/mediawiki/links.php
fichier | mediawiki.php
fichier | joomla/mediawiki/object.php
fichier | pages.php
fichier | libraries/joomla/mediawiki/search.php
fichier | sites.php
fichier | libraries/joomla/mediawiki/users.php


Joomla CMS: Répertoire de référence de com_newsfeeds

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_newsfeeds
Répertoire de référence de com_newsfeeds

Répertoires

répertoire | categories
répertoire | category


Joomla CMS: Répertoire de référence de articles

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_content
  • articles
Répertoire de référence de articles

Fichiers

fichier | administrator/templates/hathor/html/com_content/articles/default.php
fichier | administrator/templates/hathor/html/com_content/articles/modal.php


Joomla CMS: Répertoire de référence de utils

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
Répertoire de référence de utils

Répertoires

répertoire | array
répertoire | cache
répertoire | config
répertoire | filescheck
répertoire | ini
répertoire | installscript
répertoire | ip
répertoire | object
répertoire | observable
répertoire | phpfunc
répertoire | timer
répertoire | update


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_logged
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_logged/tmpl/default.php


Joomla CMS: Répertoire de référence de cookie

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • authentication
  • cookie
Répertoire de référence de cookie

Fichiers

fichier plugins/authentication/cookie/cookie.php


Joomla CMS: Répertoire de référence de Session

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Session
Répertoire de référence de Session

Répertoires

répertoire Exception

Fichiers

fichier | MetadataManager.php
fichier | src/Session/Session.php


Joomla CMS: Répertoire de référence de newsfeeds

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_newsfeeds
  • newsfeeds
Répertoire de référence de newsfeeds

Fichiers

fichier | administrator/templates/hathor/html/com_newsfeeds/newsfeeds/default.php
fichier | administrator/templates/hathor/html/com_newsfeeds/newsfeeds/modal.php


Joomla CMS: Répertoire de référence de template

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • template
Répertoire de référence de template

Fichiers

fichier | installation/template/body.php
fichier | installation/template/index.php


Joomla CMS: Répertoire de référence de contacts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • contacts
Répertoire de référence de contacts

Fichiers

fichier plugins/search/contacts/contacts.php


Joomla CMS: Répertoire de référence de Support

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
  • Support
Répertoire de référence de Support

Fichiers

fichier vendor/joomla/filesystem/src/Support/StringController.php


Joomla CMS: Répertoire de référence de modal

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • models
  • fields
  • modal
Répertoire de référence de modal

Fichiers

fichier administrator/components/com_contact/models/fields/modal/contact.php


Joomla CMS: Répertoire de référence de contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
Répertoire de référence de contact

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_contact/views/contact/view.html.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
Répertoire de référence de views

Répertoires

répertoire | default
répertoire | update
répertoire | upload


Joomla CMS: Répertoire de référence de client

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • client
Répertoire de référence de client

Fichiers

fichier administrator/templates/hathor/html/com_banners/client/edit.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • models
Répertoire de référence de models

Fichiers

fichier | components/com_tags/models/tag.php
fichier | components/com_tags/models/tags.php


Joomla CMS: Répertoire de référence de com_cpanel

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_cpanel
Répertoire de référence de com_cpanel

Répertoires

répertoire cpanel


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • tables
Répertoire de référence de tables

Fichiers

fichier | consent.php
fichier | administrator/components/com_privacy/tables/request.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_custom
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_custom/tmpl/default.php


Joomla CMS: Répertoire de référence de media

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • media
Répertoire de référence de media

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/media/media.php


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Exception
Répertoire de référence de Exception

Fichiers

fichier ExceptionHandler.php


Joomla CMS: Répertoire de référence de confirmconsent

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • confirmconsent
Répertoire de référence de confirmconsent

Répertoires

répertoire fields

Fichiers

fichier confirmconsent.php


Joomla CMS: Répertoire de référence de mod_breadcrumbs

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • mod_breadcrumbs
Répertoire de référence de mod_breadcrumbs

Fichiers

fichier templates/beez3/html/mod_breadcrumbs/default.php


Joomla CMS: Répertoire de référence de vote

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • vote
Répertoire de référence de vote

Répertoires

répertoire tmpl

Fichiers

fichier vote.php


Joomla CMS: Répertoire de référence de wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • string
  • wrapper
Répertoire de référence de wrapper

Fichiers

fichier | normalise.php
fichier | punycode.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banner
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_banners/views/banner/tmpl/edit.php


Joomla CMS: Répertoire de référence de filescheck

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • filescheck
Répertoire de référence de filescheck

Fichiers

fichier filescheck.php


Joomla CMS: Répertoire de référence de Joomla_31011-Stable-Full_Package_French_v1

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
Répertoire de référence de Joomla_31011-Stable-Full_Package_French_v1

Répertoires

répertoire | administrator
répertoire | bin
répertoire | cli
répertoire | components
répertoire | includes
répertoire | installation
répertoire | language
répertoire | layouts
répertoire | libraries
répertoire | modules
répertoire | plugins
répertoire | templates

Fichiers

fichier index.php


Joomla CMS: Répertoire de référence de history

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • history
Répertoire de référence de history

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_contenthistory/views/history/view.html.php


Joomla CMS: Répertoire de référence de com_contenthistory

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contenthistory
Répertoire de référence de com_contenthistory

Fichiers

fichier components/com_contenthistory/contenthistory.php


Joomla CMS: Répertoire de référence de joomlaupdate

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • quickicon
  • joomlaupdate
Répertoire de référence de joomlaupdate

Fichiers

fichier plugins/quickicon/joomlaupdate/joomlaupdate.php


Joomla CMS: Répertoire de référence de en-GB

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • language
  • en-GB
Répertoire de référence de en-GB

Fichiers

fichier language/en-GB/en-GB.localise.php


Joomla CMS: Répertoire de référence de Application

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Application
Répertoire de référence de Application

Fichiers

fichier | AdministratorApplication.php
fichier | ApplicationHelper.php
fichier | BaseApplication.php
fichier | CliApplication.php
fichier | CMSApplication.php
fichier | DaemonApplication.php
fichier | SiteApplication.php
fichier | WebApplication.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | templatelocation.php
fichier | templatename.php


Joomla CMS: Répertoire de référence de templates

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • templates
Répertoire de référence de templates

Fichiers

fichier administrator/templates/hathor/html/com_templates/templates/default.php


Joomla CMS: Répertoire de référence de repositories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • repositories
Répertoire de référence de repositories

Fichiers

fichier | collaborators.php
fichier | github/package/repositories/comments.php
fichier | package/repositories/commits.php
fichier | contents.php
fichier | downloads.php
fichier | package/repositories/forks.php
fichier | package/repositories/hooks.php
fichier | repositories/keys.php
fichier | merging.php
fichier | libraries/joomla/github/package/repositories/statistics.php
fichier | github/package/repositories/statuses.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | administrator/components/com_content/helpers/associations.php
fichier | administrator/components/com_content/helpers/content.php


Joomla CMS: Répertoire de référence de category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • category
Répertoire de référence de category

Répertoires

répertoire tmpl

Fichiers

fichier | com_content/views/category/view.feed.php
fichier | components/com_content/views/category/view.html.php


Joomla CMS: Répertoire de référence de Curve25519

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Curve25519
Répertoire de référence de Curve25519

Répertoires

répertoire Ge

Fichiers

fichier | namespaced/Core/Curve25519/Fe.php
fichier | namespaced/Core/Curve25519/H.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • views
  • sent
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier components/com_mailto/views/sent/tmpl/default.php


Joomla CMS: Répertoire de référence de filter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filter
Répertoire de référence de filter

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de level

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • level
Répertoire de référence de level

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/level/view.html.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • controllers
Répertoire de référence de controllers

Fichiers

fichier suggestions.json.php


Joomla CMS: Répertoire de référence de languages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • languages
Répertoire de référence de languages

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_installer/views/languages/view.html.php


Joomla CMS: Répertoire de référence de searchtools

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • layouts
  • joomla
  • searchtools
Répertoire de référence de searchtools

Répertoires

répertoire default


Joomla CMS: Répertoire de référence de Stemmer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
  • Stemmer
Répertoire de référence de Stemmer

Fichiers

fichier Porteren.php


Joomla CMS: Répertoire de référence de imageslist

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • com_media
  • imageslist
Répertoire de référence de imageslist

Fichiers

fichier | templates/protostar/html/com_media/imageslist/default_folder.php
fichier | templates/protostar/html/com_media/imageslist/default_image.php


Joomla CMS: Répertoire de référence de pagination

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • pagination
Répertoire de référence de pagination

Fichiers

fichier | administrator/templates/isis/html/layouts/joomla/pagination/link.php
fichier | administrator/templates/isis/html/layouts/joomla/pagination/links.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • tables
Répertoire de référence de tables

Fichiers

fichier | administrator/components/com_finder/tables/filter.php
fichier | administrator/components/com_finder/tables/link.php
fichier | map.php


Joomla CMS: Répertoire de référence de Content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Content
Répertoire de référence de Content

Répertoires

répertoire Type


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • views
Répertoire de référence de views

Répertoires

répertoire search


Joomla CMS: Répertoire de référence de menutypes

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • menutypes
Répertoire de référence de menutypes

Fichiers

fichier administrator/templates/hathor/html/com_menus/menutypes/default.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
Répertoire de référence de views

Répertoires

répertoire | compare
répertoire | history
répertoire | preview


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • layouts
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier administrator/components/com_redirect/layouts/toolbar/batch.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | administrator/components/com_contact/helpers/associations.php
fichier | administrator/components/com_contact/helpers/contact.php


Joomla CMS: Répertoire de référence de log

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
Répertoire de référence de log

Répertoires

répertoire Psr


Joomla CMS: Répertoire de référence de com_media

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • com_media
Répertoire de référence de com_media

Répertoires

répertoire | imageslist
répertoire | medialist


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • brumann
  • polyfill-unserialize
  • src
Répertoire de référence de src

Fichiers

fichier | DisallowedClassesSubstitutor.php
fichier | Unserialize.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | com_menus/controllers/ajax.json.php
fichier | administrator/components/com_menus/controllers/item.php
fichier | controllers/items.php
fichier | administrator/components/com_menus/controllers/menu.php
fichier | administrator/components/com_menus/controllers/menus.php


Joomla CMS: Répertoire de référence de SimplePie

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
Répertoire de référence de SimplePie

Répertoires

répertoire | Cache
répertoire | Content
répertoire | Decode
répertoire | HTTP
répertoire | Net
répertoire | Parse
répertoire | XML

Fichiers

fichier | Author.php
fichier | vendor/simplepie/simplepie/library/SimplePie/Cache.php
fichier | Caption.php
fichier | vendor/simplepie/simplepie/library/SimplePie/Category.php
fichier | Copyright.php
fichier | Core.php
fichier | Credit.php
fichier | Enclosure.php
fichier | simplepie/simplepie/library/SimplePie/Exception.php
fichier | vendor/simplepie/simplepie/library/SimplePie/File.php
fichier | gzdecode.php
fichier | IRI.php
fichier | Item.php
fichier | Locator.php
fichier | Misc.php
fichier | simplepie/simplepie/library/SimplePie/Parser.php
fichier | Rating.php
fichier | simplepie/simplepie/library/SimplePie/Registry.php
fichier | Restriction.php
fichier | Sanitize.php
fichier | Source.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • config
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_messages/views/config/tmpl/default.php


Joomla CMS: Répertoire de référence de messages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_messages
  • messages
Répertoire de référence de messages

Fichiers

fichier administrator/templates/hathor/html/com_messages/messages/default.php


Joomla CMS: Répertoire de référence de Poly1305

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Poly1305
Répertoire de référence de Poly1305

Fichiers

fichier src/Core32/Poly1305/State.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_banners/models/banner.php
fichier | administrator/components/com_banners/models/banners.php
fichier | administrator/components/com_banners/models/client.php
fichier | models/clients.php
fichier | administrator/components/com_banners/models/download.php
fichier | models/tracks.php


Joomla CMS: Répertoire de référence de string

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • string
Répertoire de référence de string

Répertoires

répertoire wrapper

Fichiers

fichier joomla/string/string.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • category
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_newsfeeds/views/category/tmpl/default.php
fichier | components/com_newsfeeds/views/category/tmpl/default_children.php
fichier | components/com_newsfeeds/views/category/tmpl/default_items.php


Joomla CMS: Répertoire de référence de com_redirect

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_redirect
Répertoire de référence de com_redirect

Répertoires

répertoire links


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • views
Répertoire de référence de views

Répertoires

répertoire actionlogs


Joomla CMS: Répertoire de référence de profile

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • profile
Répertoire de référence de profile

Répertoires

répertoire tmpl

Fichiers

fichier components/com_users/views/profile/view.html.php


Joomla CMS: Répertoire de référence de com_ajax

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_ajax
Répertoire de référence de com_ajax

Fichiers

fichier components/com_ajax/ajax.php


Joomla CMS: Répertoire de référence de groups

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • groups
Répertoire de référence de groups

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/groups/view.html.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • layouts
  • field
Répertoire de référence de field

Fichiers

fichier com_contact/layouts/field/render.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | administrator/components/com_menus/helpers/associations.php
fichier | administrator/components/com_menus/helpers/menus.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
Répertoire de référence de views

Répertoires

répertoire | filter
répertoire | filters
répertoire | index
répertoire | indexer
répertoire | maps
répertoire | statistics


Joomla CMS: Répertoire de référence de utils

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • phputf8
  • utils
Répertoire de référence de utils

Fichiers

fichier | phputf8/utils/ascii.php
fichier | phputf8/utils/bad.php
fichier | phputf8/utils/patterns.php
fichier | phputf8/utils/position.php
fichier | phputf8/utils/specials.php
fichier | phputf8/utils/unicode.php
fichier | phputf8/utils/validation.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_version
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_version/tmpl/default.php


Joomla CMS: Répertoire de référence de legacy

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
Répertoire de référence de legacy

Répertoires

répertoire | application
répertoire | base
répertoire | database
répertoire | dispatcher
répertoire | error
répertoire | exception
répertoire | form
répertoire | log
répertoire | request
répertoire | response
répertoire | simplecrypt
répertoire | simplepie
répertoire | table
répertoire | utilities


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • profile
  • field
Répertoire de référence de field

Fichiers

fichier | plugins/user/profile/field/dob.php
fichier | tos.php


Joomla CMS: Répertoire de référence de com_search

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
Répertoire de référence de com_search

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_search/controller.php
fichier | administrator/components/com_search/search.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • filter
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_finder/views/filter/tmpl/edit.php


Joomla CMS: Répertoire de référence de Psr

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
Répertoire de référence de Psr

Répertoires

répertoire Log


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • discover
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_installer/views/discover/tmpl/default.php
fichier | administrator/components/com_installer/views/discover/tmpl/default_item.php


Joomla CMS: Répertoire de référence de Adapter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Adapter
Répertoire de référence de Adapter

Fichiers

fichier | Adapter.php
fichier | AdapterInstance.php


Joomla CMS: Répertoire de référence de com_banners

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
Répertoire de référence de com_banners

Répertoires

répertoire | helpers
répertoire | models

Fichiers

fichier | components/com_banners/banners.php
fichier | components/com_banners/controller.php
fichier | components/com_banners/router.php


Joomla CMS: Répertoire de référence de com_tags

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
Répertoire de référence de com_tags

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | components/com_tags/controller.php
fichier | components/com_tags/router.php
fichier | components/com_tags/tags.php


Joomla CMS: Répertoire de référence de complete

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • complete
Répertoire de référence de complete

Répertoires

répertoire tmpl

Fichiers

fichier installation/view/complete/html.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • model
  • field
Répertoire de référence de field

Fichiers

fichier | boolean.php
fichier | fof/model/field/date.php
fichier | libraries/fof/model/field/number.php
fichier | libraries/fof/model/field/text.php


Joomla CMS: Répertoire de référence de brumann

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • brumann
Répertoire de référence de brumann

Répertoires

répertoire polyfill-unserialize


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • update
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_joomlaupdate/views/update/tmpl/default.php
fichier | finaliseconfirm.php


Joomla CMS: Répertoire de référence de Mail

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Mail
Répertoire de référence de Mail

Répertoires

répertoire language

Fichiers

fichier | Mail.php
fichier | MailHelper.php
fichier | MailWrapper.php


Joomla CMS: Répertoire de référence de radio

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • radio
Répertoire de référence de radio

Fichiers

fichier switcher.php


Joomla CMS: Répertoire de référence de profile

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • profile
Répertoire de référence de profile

Fichiers

fichier administrator/templates/hathor/html/com_admin/profile/edit.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier administrator/components/com_redirect/helpers/redirect.php


Joomla CMS: Répertoire de référence de Decode

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Decode
Répertoire de référence de Decode

Répertoires

répertoire HTML


Joomla CMS: Répertoire de référence de searches

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_search
  • searches
Répertoire de référence de searches

Fichiers

fichier administrator/templates/hathor/html/com_search/searches/default.php


Joomla CMS: Répertoire de référence de cms

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
  • cms
Répertoire de référence de cms

Répertoires

répertoire html


Joomla CMS: Répertoire de référence de featured

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • featured
Répertoire de référence de featured

Fichiers

fichier | templates/beez3/html/com_content/featured/default.php
fichier | templates/beez3/html/com_content/featured/default_item.php
fichier | templates/beez3/html/com_content/featured/default_links.php


Joomla CMS: Répertoire de référence de ChangeItem

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Schema
  • ChangeItem
Répertoire de référence de ChangeItem

Fichiers

fichier | MysqlChangeItem.php
fichier | PostgresqlChangeItem.php
fichier | SqlsrvChangeItem.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • categories
Répertoire de référence de categories

Répertoires

répertoire tmpl

Fichiers

fichier components/com_content/views/categories/view.html.php


Joomla CMS: Répertoire de référence de model

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • model
Répertoire de référence de model

Répertoires

répertoire field

Fichiers

fichier | administrator/components/com_config/model/application.php
fichier | administrator/components/com_config/model/component.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • clients
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_banners/views/clients/tmpl/default.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cpanel
  • views
Répertoire de référence de views

Répertoires

répertoire cpanel


Joomla CMS: Répertoire de référence de Image

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Image
Répertoire de référence de Image

Fichiers

fichier | src/Image/Image.php
fichier | src/Image/ImageFilter.php


Joomla CMS: Répertoire de référence de com_weblinks

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_weblinks
Répertoire de référence de com_weblinks

Répertoires

répertoire | weblink
répertoire | weblinks


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | com_plugins/models/plugin.php
fichier | administrator/components/com_plugins/models/plugins.php


Joomla CMS: Répertoire de référence de phpmailer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
Répertoire de référence de phpmailer

Répertoires

répertoire phpmailer


Joomla CMS: Répertoire de référence de simplepie

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • simplepie
Répertoire de référence de simplepie

Fichiers

fichier legacy/simplepie/factory.php


Joomla CMS: Répertoire de référence de Format

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • registry
  • src
  • Format
Répertoire de référence de Format

Fichiers

fichier | Ini.php
fichier | vendor/joomla/registry/src/Format/Json.php
fichier | Php.php
fichier | registry/src/Format/Xml.php
fichier | joomla/registry/src/Format/Yaml.php


Joomla CMS: Répertoire de référence de group

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • group
Répertoire de référence de group

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/group/view.html.php


Joomla CMS: Répertoire de référence de com_templates

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
Répertoire de référence de com_templates

Répertoires

répertoire | style
répertoire | styles
répertoire | template
répertoire | templates


Joomla CMS: Répertoire de référence de com_admin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
Répertoire de référence de com_admin

Répertoires

répertoire | help
répertoire | profile
répertoire | sysinfo


Joomla CMS: Répertoire de référence de export

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • export
Répertoire de référence de export

Fichiers

fichier com_privacy/views/export/view.xml.php


Joomla CMS: Répertoire de référence de Ge

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
  • Curve25519
  • Ge
Répertoire de référence de Ge

Fichiers

fichier | namespaced/Core/Curve25519/Ge/Cached.php
fichier | namespaced/Core/Curve25519/Ge/P1p1.php
fichier | namespaced/Core/Curve25519/Ge/P2.php
fichier | namespaced/Core/Curve25519/Ge/P3.php
fichier | namespaced/Core/Curve25519/Ge/Precomp.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latest
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_latest/tmpl/default.php


Joomla CMS: Répertoire de référence de actionlogs

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • actionlogs
Répertoire de référence de actionlogs

Fichiers

fichier plugins/privacy/actionlogs/actionlogs.php


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • form
Répertoire de référence de form

Répertoires

répertoire | field
répertoire | rule


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • form
  • fields
Répertoire de référence de fields

Fichiers

fichier | joomla/form/fields/accesslevel.php
fichier | aliastag.php
fichier | joomla/form/fields/cachehandler.php
fichier | libraries/joomla/form/fields/calendar.php
fichier | joomla/form/fields/checkbox.php
fichier | libraries/joomla/form/fields/checkboxes.php
fichier | libraries/joomla/form/fields/color.php
fichier | libraries/joomla/form/fields/combo.php
fichier | joomla/form/fields/components.php
fichier | databaseconnection.php
fichier | libraries/joomla/form/fields/email.php
fichier | libraries/joomla/form/fields/file.php
fichier | filelist.php
fichier | folderlist.php
fichier | joomla/form/fields/groupedlist.php
fichier | libraries/joomla/form/fields/hidden.php
fichier | libraries/joomla/form/fields/imagelist.php
fichier | libraries/joomla/form/fields/integer.php
fichier | libraries/joomla/form/fields/language.php
fichier | libraries/joomla/form/fields/list.php
fichier | libraries/joomla/form/fields/meter.php
fichier | libraries/joomla/form/fields/note.php
fichier | libraries/joomla/form/fields/number.php
fichier | libraries/joomla/form/fields/password.php
fichier | libraries/joomla/form/fields/plugins.php
fichier | predefinedlist.php
fichier | libraries/joomla/form/fields/radio.php
fichier | libraries/joomla/form/fields/range.php
fichier | libraries/joomla/form/fields/repeatable.php
fichier | joomla/form/fields/rules.php
fichier | joomla/form/fields/sessionhandler.php
fichier | joomla/form/fields/spacer.php
fichier | libraries/joomla/form/fields/sql.php
fichier | subform.php
fichier | libraries/joomla/form/fields/tel.php
fichier | libraries/joomla/form/fields/text.php
fichier | libraries/joomla/form/fields/textarea.php
fichier | joomla/form/fields/timezone.php
fichier | libraries/joomla/form/fields/url.php
fichier | joomla/form/fields/usergroup.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
Répertoire de référence de views

Répertoires

répertoire | capabilities
répertoire | consents
répertoire | dashboard
répertoire | export
répertoire | request
répertoire | requests


Joomla CMS: Répertoire de référence de debuguser

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • debuguser
Répertoire de référence de debuguser

Fichiers

fichier administrator/templates/hathor/html/com_users/debuguser/default.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • extension
  • joomla
Répertoire de référence de joomla

Fichiers

fichier plugins/extension/joomla/joomla.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_actionlogs
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | administrator/components/com_actionlogs/models/fields/extension.php
fichier | logcreator.php
fichier | logsdaterange.php
fichier | logtype.php
fichier | plugininfo.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier | components/com_finder/helpers/html/filter.php
fichier | components/com_finder/helpers/html/query.php


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Session
  • Exception
Répertoire de référence de Exception

Fichiers

fichier UnsupportedStorageException.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • tables
Répertoire de référence de tables

Fichiers

fichier administrator/components/com_newsfeeds/tables/newsfeed.php


Joomla CMS: Répertoire de référence de list

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • list
Répertoire de référence de list

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/list/list.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • requests
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_privacy/views/requests/tmpl/default.php


Joomla CMS: Répertoire de référence de library

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
Répertoire de référence de library

Répertoires

répertoire SimplePie

Fichiers

fichier SimplePie.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_stats_admin
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_stats_admin/tmpl/default.php


Joomla CMS: Répertoire de référence de postinstall

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • postinstall
Répertoire de référence de postinstall

Fichiers

fichier hathormessage.php


Joomla CMS: Répertoire de référence de mod_privacy_dashboard

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_privacy_dashboard
Répertoire de référence de mod_privacy_dashboard

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_privacy_dashboard/helper.php
fichier | mod_privacy_dashboard.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • categories
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_categories/views/categories/tmpl/default.php
fichier | com_categories/views/categories/tmpl/default_batch_body.php
fichier | com_categories/views/categories/tmpl/default_batch_footer.php
fichier | administrator/components/com_categories/views/categories/tmpl/modal.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
Répertoire de référence de views

Répertoires

répertoire | archive
répertoire | article
répertoire | categories
répertoire | category
répertoire | featured
répertoire | form


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • model
  • field
Répertoire de référence de field

Fichiers

fichier | configcomponents.php
fichier | administrator/components/com_config/model/field/filters.php


Joomla CMS: Répertoire de référence de Model

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Model
Répertoire de référence de Model

Fichiers

fichier | AdminModel.php
fichier | BaseDatabaseModel.php
fichier | FormModel.php
fichier | ItemModel.php
fichier | ListModel.php


Joomla CMS: Répertoire de référence de mod_finder

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_finder
Répertoire de référence de mod_finder

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_finder/helper.php
fichier | mod_finder.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • reset
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_users/views/reset/tmpl/complete.php
fichier | components/com_users/views/reset/tmpl/confirm.php
fichier | components/com_users/views/reset/tmpl/default.php


Joomla CMS: Répertoire de référence de Net

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Net
Répertoire de référence de Net

Fichiers

fichier IPv6.php


Joomla CMS: Répertoire de référence de association

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
  • association
Répertoire de référence de association

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_associations/views/association/view.html.php


Joomla CMS: Répertoire de référence de Wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Filter
  • Wrapper
Répertoire de référence de Wrapper

Fichiers

fichier OutputFilterWrapper.php


Joomla CMS: Répertoire de référence de mod_login

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • mod_login
Répertoire de référence de mod_login

Fichiers

fichier administrator/templates/hathor/html/mod_login/default.php


Joomla CMS: Répertoire de référence de com_languages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_languages
Répertoire de référence de com_languages

Répertoires

répertoire | installed
répertoire | languages
répertoire | overrides


Joomla CMS: Répertoire de référence de editors

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors
Répertoire de référence de editors

Répertoires

répertoire | codemirror
répertoire | none
répertoire | tinymce


Joomla CMS: Répertoire de référence de com_checkin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
Répertoire de référence de com_checkin

Répertoires

répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_checkin/checkin.php
fichier | administrator/components/com_checkin/controller.php


Joomla CMS: Répertoire de référence de application

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • application
Répertoire de référence de application

Répertoires

répertoire web


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_finder/controllers/filter.php
fichier | administrator/components/com_finder/controllers/filters.php
fichier | administrator/components/com_finder/controllers/index.php
fichier | indexer.json.php
fichier | administrator/components/com_finder/controllers/maps.php


Joomla CMS: Répertoire de référence de discover

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • discover
Répertoire de référence de discover

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_installer/views/discover/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • item
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_menus/views/item/tmpl/edit.php
fichier | com_menus/views/item/tmpl/edit_associations.php
fichier | edit_container.php
fichier | views/item/tmpl/edit_modules.php
fichier | components/com_menus/views/item/tmpl/edit_options.php
fichier | administrator/components/com_menus/views/item/tmpl/modal.php
fichier | com_menus/views/item/tmpl/modal_associations.php
fichier | com_menus/views/item/tmpl/modal_options.php


Joomla CMS: Répertoire de référence de Opensearch

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Opensearch
Répertoire de référence de Opensearch

Fichiers

fichier | OpensearchImage.php
fichier | OpensearchUrl.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | extensionstatus.php
fichier | com_installer/models/fields/folder.php
fichier | location.php
fichier | com_installer/models/fields/type.php


Joomla CMS: Répertoire de référence de com_associations

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_associations
Répertoire de référence de com_associations

Répertoires

répertoire associations


Joomla CMS: Répertoire de référence de polyfill-php73

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php73
Répertoire de référence de polyfill-php73

Répertoires

répertoire Resources

Fichiers

fichier | libraries/vendor/symfony/polyfill-php73/bootstrap.php
fichier | Php73.php


Joomla CMS: Répertoire de référence de com_cache

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
Répertoire de référence de com_cache

Répertoires

répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_cache/cache.php
fichier | administrator/components/com_cache/controller.php


Joomla CMS: Répertoire de référence de application

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • application
Répertoire de référence de application

Fichiers

fichier | installation/application/bootstrap.php
fichier | installation/application/defines.php
fichier | installation/application/framework.php
fichier | installation/application/router.php
fichier | web.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • media
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_media/views/media/tmpl/default.php
fichier | components/com_media/views/media/tmpl/default_folders.php
fichier | components/com_media/views/media/tmpl/default_navigation.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_fields
  • layouts
  • field
Répertoire de référence de field

Fichiers

fichier com_fields/layouts/field/render.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • installed
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_languages/views/installed/tmpl/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tags
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_tags/views/tags/tmpl/default.php
fichier | com_tags/views/tags/tmpl/default_batch_body.php
fichier | com_tags/views/tags/tmpl/default_batch_footer.php


Joomla CMS: Répertoire de référence de index

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • index
Répertoire de référence de index

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_finder/views/index/view.html.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • models
  • fields
Répertoire de référence de fields

Répertoires

répertoire modal


Joomla CMS: Répertoire de référence de tag

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tag
Répertoire de référence de tag

Répertoires

répertoire tmpl

Fichiers

fichier | com_tags/views/tag/view.feed.php
fichier | components/com_tags/views/tag/view.html.php


Joomla CMS: Répertoire de référence de users

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • users
Répertoire de référence de users

Fichiers

fichier | administrator/templates/hathor/html/com_users/users/default.php
fichier | administrator/templates/hathor/html/com_users/users/modal.php


Joomla CMS: Répertoire de référence de Cache

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Cache
Répertoire de référence de Cache

Fichiers

fichier | Base.php
fichier | DB.php
fichier | vendor/simplepie/simplepie/library/SimplePie/Cache/File.php
fichier | simplepie/simplepie/library/SimplePie/Cache/Memcache.php
fichier | MySQL.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
  • src
Répertoire de référence de src

Répertoires

répertoire Filter

Fichiers

fichier | vendor/joomla/image/src/Image.php
fichier | vendor/joomla/image/src/ImageFilter.php


Joomla CMS: Répertoire de référence de cache

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • cache
Répertoire de référence de cache

Fichiers

fichier plugins/system/cache/cache.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • remove
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/remove/tmpl/default.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • layouts
  • fields
Répertoire de référence de fields

Fichiers

fichier com_contact/layouts/fields/render.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_wrapper
  • views
  • wrapper
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier components/com_wrapper/views/wrapper/tmpl/default.php


Joomla CMS: Répertoire de référence de newsfeeds

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • newsfeeds
Répertoire de référence de newsfeeds

Fichiers

fichier plugins/search/newsfeeds/newsfeeds.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | com_newsfeeds/controllers/ajax.json.php
fichier | administrator/components/com_newsfeeds/controllers/newsfeed.php
fichier | administrator/components/com_newsfeeds/controllers/newsfeeds.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_login
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | modules/mod_login/tmpl/default.php
fichier | modules/mod_login/tmpl/default_logout.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire | application
répertoire | archive
répertoire | compat
répertoire | data
répertoire | di
répertoire | event
répertoire | filesystem
répertoire | filter
répertoire | image
répertoire | input
répertoire | ldap
répertoire | registry
répertoire | session
répertoire | string
répertoire | uri
répertoire | utilities


Joomla CMS: Répertoire de référence de Renderer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
Répertoire de référence de Renderer

Répertoires

répertoire | Feed
répertoire | Html


Joomla CMS: Répertoire de référence de ircmaxell

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • ircmaxell
Répertoire de référence de ircmaxell

Répertoires

répertoire password-compat


Joomla CMS: Répertoire de référence de p3p

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • p3p
Répertoire de référence de p3p

Fichiers

fichier p3p.php


Joomla CMS: Répertoire de référence de confirm

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • confirm
Répertoire de référence de confirm

Répertoires

répertoire tmpl

Fichiers

fichier components/com_privacy/views/confirm/view.html.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | itemlanguage.php
fichier | itemtype.php
fichier | modalassociation.php


Joomla CMS: Répertoire de référence de templates

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • templates
Répertoire de référence de templates

Répertoires

répertoire tmpl

Fichiers

fichier components/com_config/view/templates/html.php


Joomla CMS: Répertoire de référence de menu

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • layouts
  • joomla
  • menu
Répertoire de référence de menu

Fichiers

fichier layouts/joomla/menu/edit_modules.php


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier libraries/fof/toolbar/toolbar.php


Joomla CMS: Répertoire de référence de com_modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_modules
Répertoire de référence de com_modules

Répertoires

répertoire toolbar


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banners
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_banners/views/banners/tmpl/default.php
fichier | com_banners/views/banners/tmpl/default_batch_body.php
fichier | com_banners/views/banners/tmpl/default_batch_footer.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
Répertoire de référence de src

Répertoires

répertoire | Core
répertoire | Core32
répertoire | PHP52

Fichiers

fichier | src/Compat.php
fichier | vendor/paragonie/sodium_compat/src/Crypto.php
fichier | Crypto32.php
fichier | vendor/paragonie/sodium_compat/src/File.php
fichier | SodiumException.php


Joomla CMS: Répertoire de référence de rules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • models
  • rules
Répertoire de référence de rules

Fichiers

fichier | contactemail.php
fichier | contactemailmessage.php
fichier | contactemailsubject.php


Joomla CMS: Répertoire de référence de imageslist

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • com_media
  • imageslist
Répertoire de référence de imageslist

Fichiers

fichier | administrator/templates/isis/html/com_media/imageslist/default_folder.php
fichier | administrator/templates/isis/html/com_media/imageslist/default_image.php


Joomla CMS: Répertoire de référence de links

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • links
Répertoire de référence de links

Fichiers

fichier | groupclose.php
fichier | groupopen.php
fichier | groupsclose.php
fichier | groupseparator.php
fichier | groupsopen.php
fichier | layouts/joomla/links/link.php


Joomla CMS: Répertoire de référence de password-compat

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • ircmaxell
  • password-compat
Répertoire de référence de password-compat

Répertoires

répertoire lib


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tags
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_tags/views/tags/tmpl/default.php
fichier | components/com_tags/views/tags/tmpl/default_items.php


Joomla CMS: Répertoire de référence de Router

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
  • Router
Répertoire de référence de Router

Répertoires

répertoire Rules

Fichiers

fichier | RouterBase.php
fichier | RouterInterface.php
fichier | RouterLegacy.php
fichier | RouterView.php
fichier | RouterViewConfiguration.php


Joomla CMS: Répertoire de référence de issues

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • issues
Répertoire de référence de issues

Fichiers

fichier | assignees.php
fichier | github/package/issues/comments.php
fichier | issues/events.php
fichier | labels.php
fichier | package/issues/milestones.php


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • layouts
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier | components/com_modules/layouts/toolbar/cancelselect.php
fichier | components/com_modules/layouts/toolbar/newmodule.php


Joomla CMS: Répertoire de référence de exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • exception
Répertoire de référence de exception

Fichiers

fichier | connecting.php
fichier | executing.php
fichier | unsupported.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • preview
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier views/preview/tmpl/preview.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • users
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_users/views/users/tmpl/default.php
fichier | com_users/views/users/tmpl/default_batch_body.php
fichier | com_users/views/users/tmpl/default_batch_footer.php
fichier | administrator/components/com_users/views/users/tmpl/modal.php


Joomla CMS: Répertoire de référence de com_finder

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
Répertoire de référence de com_finder

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | components/com_finder/controller.php
fichier | components/com_finder/finder.php
fichier | components/com_finder/router.php


Joomla CMS: Répertoire de référence de calendar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • calendar
Répertoire de référence de calendar

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/calendar/calendar.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • helpers
Répertoire de référence de helpers

Fichiers

fichier administrator/components/com_tags/helpers/tags.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire toolbar


Joomla CMS: Répertoire de référence de mod_search

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_search
Répertoire de référence de mod_search

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_search/helper.php
fichier | mod_search.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
  • views
Répertoire de référence de views

Répertoires

répertoire messages


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • install
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_installer/views/install/tmpl/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • featured
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_content/views/featured/tmpl/default.php
fichier | components/com_content/views/featured/tmpl/default_item.php
fichier | components/com_content/views/featured/tmpl/default_links.php


Joomla CMS: Répertoire de référence de searchtools

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • layouts
  • joomla
  • searchtools
Répertoire de référence de searchtools

Répertoires

répertoire default


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_privacy/controllers/consents.php
fichier | administrator/components/com_privacy/controllers/request.php
fichier | request.xml.php
fichier | controllers/requests.php


Joomla CMS: Répertoire de référence de tag

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_tags
  • tag
Répertoire de référence de tag

Fichiers

fichier | administrator/templates/hathor/html/com_tags/tag/edit.php
fichier | templates/hathor/html/com_tags/tag/edit_metadata.php
fichier | templates/hathor/html/com_tags/tag/edit_options.php


Joomla CMS: Répertoire de référence de banners

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • banners
Répertoire de référence de banners

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_banners/views/banners/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier components/com_newsfeeds/views/newsfeed/tmpl/default.php


Joomla CMS: Répertoire de référence de Core

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • namespaced
  • Core
Répertoire de référence de Core

Répertoires

répertoire | ChaCha20
répertoire | Curve25519
répertoire | Poly1305

Fichiers

fichier | namespaced/Core/BLAKE2b.php
fichier | namespaced/Core/ChaCha20.php
fichier | namespaced/Core/Curve25519.php
fichier | namespaced/Core/Ed25519.php
fichier | namespaced/Core/HChaCha20.php
fichier | namespaced/Core/HSalsa20.php
fichier | namespaced/Core/Poly1305.php
fichier | namespaced/Core/Salsa20.php
fichier | namespaced/Core/SipHash.php
fichier | namespaced/Core/Util.php
fichier | namespaced/Core/X25519.php
fichier | namespaced/Core/XChaCha20.php
fichier | Xsalsa20.php


Joomla CMS: Répertoire de référence de Html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
  • Html
Répertoire de référence de Html

Fichiers

fichier | ComponentRenderer.php
fichier | HeadRenderer.php
fichier | MessageRenderer.php
fichier | ModuleRenderer.php
fichier | ModulesRenderer.php


Joomla CMS: Répertoire de référence de fof

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
Répertoire de référence de fof

Répertoires

répertoire | autoloader
répertoire | config
répertoire | controller
répertoire | database
répertoire | dispatcher
répertoire | download
répertoire | encrypt
répertoire | form
répertoire | hal
répertoire | inflector
répertoire | input
répertoire | integration
répertoire | layout
répertoire | less
répertoire | model
répertoire | platform
répertoire | query
répertoire | render
répertoire | string
répertoire | table
répertoire | template
répertoire | toolbar
répertoire | utils
répertoire | view

Fichiers

fichier include.php


Joomla CMS: Répertoire de référence de export

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
  • export
Répertoire de référence de export

Fichiers

fichier | domain.php
fichier | administrator/components/com_privacy/helpers/export/field.php
fichier | administrator/components/com_privacy/helpers/export/item.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • featured
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_content/views/featured/tmpl/default.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • categories
Répertoire de référence de categories

Répertoires

répertoire tmpl

Fichiers

fichier components/com_contact/views/categories/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_feed
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_feed/tmpl/default.php


Joomla CMS: Répertoire de référence de Base64

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Base64
Répertoire de référence de Base64

Fichiers

fichier | Common.php
fichier | Original.php
fichier | UrlSafe.php


Joomla CMS: Répertoire de référence de Date

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Date
Répertoire de référence de Date

Fichiers

fichier src/Date/Date.php


Joomla CMS: Répertoire de référence de formatter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • less
  • formatter
Répertoire de référence de formatter

Fichiers

fichier libraries/cms/less/formatter/joomla.php


Joomla CMS: Répertoire de référence de database

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • database
Répertoire de référence de database

Répertoires

répertoire tmpl


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • views
  • categories
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_content/views/categories/tmpl/default.php
fichier | components/com_content/views/categories/tmpl/default_items.php


Joomla CMS: Répertoire de référence de com_wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_wrapper
Répertoire de référence de com_wrapper

Répertoires

répertoire views

Fichiers

fichier | components/com_wrapper/controller.php
fichier | components/com_wrapper/router.php
fichier | wrapper.php


Joomla CMS: Répertoire de référence de system

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
Répertoire de référence de system

Répertoires

répertoire | actionlogs
répertoire | cache
répertoire | debug
répertoire | fields
répertoire | highlight
répertoire | languagecode
répertoire | languagefilter
répertoire | log
répertoire | logout
répertoire | logrotation
répertoire | p3p
répertoire | privacyconsent
répertoire | redirect
répertoire | remember
répertoire | sef
répertoire | sessiongc
répertoire | stats
répertoire | updatenotification


Joomla CMS: Répertoire de référence de compat

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • compat
Répertoire de référence de compat

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • totp
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/twofactorauth/totp/tmpl/form.php


Joomla CMS: Répertoire de référence de handler

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • handler
Répertoire de référence de handler

Fichiers

fichier | joomla/session/handler/interface.php
fichier | libraries/joomla/session/handler/joomla.php
fichier | native.php


Joomla CMS: Répertoire de référence de installer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
Répertoire de référence de installer

Répertoires

répertoire | folderinstaller
répertoire | packageinstaller
répertoire | urlinstaller


Joomla CMS: Répertoire de référence de Association

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Association
Répertoire de référence de Association

Fichiers

fichier | AssociationExtensionHelper.php
fichier | AssociationExtensionInterface.php


Joomla CMS: Répertoire de référence de Node

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Menu
  • Node
Répertoire de référence de Node

Fichiers

fichier | Component.php
fichier | src/Menu/Node/Container.php
fichier | Heading.php
fichier | Separator.php
fichier | Url.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
Répertoire de référence de views

Répertoires

répertoire | help
répertoire | profile
répertoire | sysinfo


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • user
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_users/views/user/tmpl/edit.php
fichier | edit_groups.php


Joomla CMS: Répertoire de référence de category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_contact
  • category
Répertoire de référence de category

Fichiers

fichier | templates/beez3/html/com_contact/category/default.php
fichier | templates/beez3/html/com_contact/category/default_children.php
fichier | templates/beez3/html/com_contact/category/default_items.php


Joomla CMS: Répertoire de référence de Crypt

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
Répertoire de référence de Crypt

Répertoires

répertoire | Cipher
répertoire | Password

Fichiers

fichier | CipherInterface.php
fichier | Crypt.php
fichier | CryptPassword.php
fichier | Key.php


Joomla CMS: Répertoire de référence de cli

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • cli
Répertoire de référence de cli

Fichiers

fichier | deletefiles.php
fichier | finder_indexer.php
fichier | garbagecron.php
fichier | sessionGc.php
fichier | sessionMetadataGc.php
fichier | update_cron.php


Joomla CMS: Répertoire de référence de google

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
Répertoire de référence de google

Répertoires

répertoire | auth
répertoire | data
répertoire | embed

Fichiers

fichier | auth.php
fichier | libraries/joomla/google/data.php
fichier | embed.php
fichier | google.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • controllers
Répertoire de référence de controllers

Fichiers

fichier administrator/components/com_joomlaupdate/controllers/update.php


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Access
  • Exception
Répertoire de référence de Exception

Fichiers

fichier NotAllowed.php


Joomla CMS: Répertoire de référence de com_media

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • com_media
Répertoire de référence de com_media

Répertoires

répertoire imageslist


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | components/com_users/controllers/profile.php
fichier | controllers/registration.php
fichier | com_users/controllers/remind.php
fichier | controllers/reset.php
fichier | components/com_users/controllers/user.php


Joomla CMS: Répertoire de référence de parser

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • less
  • parser
Répertoire de référence de parser

Fichiers

fichier libraries/fof/less/parser/parser.php


Joomla CMS: Répertoire de référence de cache

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_cache
  • cache
Répertoire de référence de cache

Fichiers

fichier administrator/templates/hathor/html/com_cache/cache/default.php


Joomla CMS: Répertoire de référence de searchtools

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • layouts
  • joomla
  • searchtools
Répertoire de référence de searchtools

Répertoires

répertoire default

Fichiers

fichier administrator/components/com_menus/layouts/joomla/searchtools/default.php


Joomla CMS: Répertoire de référence de database

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • database
Répertoire de référence de database

Fichiers

fichier administrator/templates/hathor/html/com_installer/database/default.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • fields
Répertoire de référence de fields

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_fields/views/fields/view.html.php


Joomla CMS: Répertoire de référence de searches

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_search
  • views
  • searches
Répertoire de référence de searches

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_search/views/searches/view.html.php


Joomla CMS: Répertoire de référence de lib

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • ircmaxell
  • password-compat
  • lib
Répertoire de référence de lib

Fichiers

fichier libraries/vendor/ircmaxell/password-compat/lib/password.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
Répertoire de référence de html

Répertoires

répertoire | com_media
répertoire | layouts
répertoire | mod_version

Fichiers

fichier | administrator/templates/isis/html/modules.php
fichier | administrator/templates/isis/html/pagination.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • fields
Répertoire de référence de fields

Fichiers

fichier plugins/editors-xtd/fields/fields.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • ftp
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/ftp/tmpl/default.php


Joomla CMS: Répertoire de référence de tags

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tags
Répertoire de référence de tags

Répertoires

répertoire tmpl

Fichiers

fichier | com_tags/views/tags/view.feed.php
fichier | components/com_tags/views/tags/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • template
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_templates/views/template/tmpl/default.php
fichier | components/com_templates/views/template/tmpl/default_description.php
fichier | components/com_templates/views/template/tmpl/default_folders.php
fichier | default_modal_copy_body.php
fichier | default_modal_copy_footer.php
fichier | default_modal_delete_body.php
fichier | default_modal_delete_footer.php
fichier | default_modal_file_body.php
fichier | default_modal_file_footer.php
fichier | default_modal_folder_body.php
fichier | default_modal_folder_footer.php
fichier | default_modal_rename_body.php
fichier | default_modal_rename_footer.php
fichier | default_modal_resize_body.php
fichier | default_modal_resize_footer.php
fichier | components/com_templates/views/template/tmpl/default_tree.php
fichier | readonly.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • ldap
  • src
Répertoire de référence de src

Fichiers

fichier LdapClient.php


Joomla CMS: Répertoire de référence de stats

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
Répertoire de référence de stats

Répertoires

répertoire | field
répertoire | layouts

Fichiers

fichier stats.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • layouts
  • field
Répertoire de référence de field

Fichiers

fichier | plugins/system/stats/layouts/field/data.php
fichier | layouts/field/uniqueid.php


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier administrator/templates/isis/html/layouts/joomla/toolbar/versions.php


Joomla CMS: Répertoire de référence de com_menus

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
Répertoire de référence de com_menus

Répertoires

répertoire | item
répertoire | items
répertoire | menu
répertoire | menus
répertoire | menutypes


Joomla CMS: Répertoire de référence de Ge

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Curve25519
  • Ge
Répertoire de référence de Ge

Fichiers

fichier | src/Core/Curve25519/Ge/Cached.php
fichier | src/Core/Curve25519/Ge/P1p1.php
fichier | src/Core/Curve25519/Ge/P2.php
fichier | src/Core/Curve25519/Ge/P3.php
fichier | src/Core/Curve25519/Ge/Precomp.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • helpers
Répertoire de référence de helpers

Fichiers

fichier | components/com_contact/helpers/association.php
fichier | components/com_contact/helpers/category.php
fichier | com_contact/helpers/legacyrouter.php
fichier | components/com_contact/helpers/route.php


Joomla CMS: Répertoire de référence de modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
Répertoire de référence de modules

Répertoires

répertoire | mod_custom
répertoire | mod_feed
répertoire | mod_latest
répertoire | mod_latestactions
répertoire | mod_logged
répertoire | mod_login
répertoire | mod_menu
répertoire | mod_multilangstatus
répertoire | mod_popular
répertoire | mod_privacy_dashboard
répertoire | mod_quickicon
répertoire | mod_sampledata
répertoire | mod_stats_admin
répertoire | mod_status
répertoire | mod_submenu
répertoire | mod_title
répertoire | mod_toolbar
répertoire | mod_version


Joomla CMS: Répertoire de référence de dispatcher

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • table
  • dispatcher
Répertoire de référence de dispatcher

Fichiers

fichier fof/table/dispatcher/behavior.php


Joomla CMS: Répertoire de référence de privacy

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
Répertoire de référence de privacy

Répertoires

répertoire | actionlogs
répertoire | consents
répertoire | contact
répertoire | content
répertoire | message
répertoire | user


Joomla CMS: Répertoire de référence de com_categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
Répertoire de référence de com_categories

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_categories/categories.php
fichier | administrator/components/com_categories/controller.php


Joomla CMS: Répertoire de référence de checkin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
  • views
  • checkin
Répertoire de référence de checkin

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_checkin/views/checkin/view.html.php


Joomla CMS: Répertoire de référence de subform

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
Répertoire de référence de subform

Répertoires

répertoire | repeatable
répertoire | repeatable-table

Fichiers

fichier | layouts/joomla/form/field/subform/default.php
fichier | repeatable-table.php
fichier | layouts/joomla/form/field/subform/repeatable.php


Joomla CMS: Répertoire de référence de mod_wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_wrapper
Répertoire de référence de mod_wrapper

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_wrapper/helper.php
fichier | mod_wrapper.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
Répertoire de référence de views

Répertoires

répertoire | article
répertoire | articles
répertoire | featured


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • models
  • fields
Répertoire de référence de fields

Répertoires

répertoire modal

Fichiers

fichier administrator/components/com_newsfeeds/models/fields/newsfeeds.php


Joomla CMS: Répertoire de référence de indexer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • indexer
Répertoire de référence de indexer

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_finder/views/indexer/view.html.php


Joomla CMS: Répertoire de référence de object

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • object
Répertoire de référence de object

Fichiers

fichier fof/utils/object/object.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | bannerclient.php
fichier | clicks.php
fichier | impmade.php
fichier | imptotal.php


Joomla CMS: Répertoire de référence de remember

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • remember
Répertoire de référence de remember

Fichiers

fichier remember.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_popular
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_articles_popular/tmpl/default.php


Joomla CMS: Répertoire de référence de sysinfo

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_admin
  • sysinfo
Répertoire de référence de sysinfo

Fichiers

fichier | administrator/templates/hathor/html/com_admin/sysinfo/default.php
fichier | templates/hathor/html/com_admin/sysinfo/default_config.php
fichier | templates/hathor/html/com_admin/sysinfo/default_directory.php
fichier | templates/hathor/html/com_admin/sysinfo/default_navigation.php
fichier | templates/hathor/html/com_admin/sysinfo/default_phpsettings.php
fichier | templates/hathor/html/com_admin/sysinfo/default_system.php


Joomla CMS: Répertoire de référence de polyfill-php56

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php56
Répertoire de référence de polyfill-php56

Fichiers

fichier | libraries/vendor/symfony/polyfill-php56/bootstrap.php
fichier | Php56.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • link
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_redirect/views/link/tmpl/edit.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | messagestates.php
fichier | usermessages.php


Joomla CMS: Répertoire de référence de quickicons

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • quickicons
Répertoire de référence de quickicons

Fichiers

fichier layouts/joomla/quickicons/icon.php


Joomla CMS: Répertoire de référence de message

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • message
Répertoire de référence de message

Fichiers

fichier plugins/privacy/message/message.php


Joomla CMS: Répertoire de référence de repeatable-table

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • form
  • field
  • subform
  • repeatable-table
Répertoire de référence de repeatable-table

Fichiers

fichier | table/section-byfieldsets.php
fichier | layouts/joomla/form/field/subform/repeatable-table/section.php


Joomla CMS: Répertoire de référence de client

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • client
Répertoire de référence de client

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_banners/views/client/view.html.php


Joomla CMS: Répertoire de référence de loadmodule

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • loadmodule
Répertoire de référence de loadmodule

Fichiers

fichier loadmodule.php


Joomla CMS: Répertoire de référence de mod_articles_archive

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_archive
Répertoire de référence de mod_articles_archive

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_articles_archive/helper.php
fichier | mod_articles_archive.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
Répertoire de référence de views

Répertoires

répertoire | categories
répertoire | category


Joomla CMS: Répertoire de référence de items

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • items
Répertoire de référence de items

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_menus/views/items/view.html.php


Joomla CMS: Répertoire de référence de image

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • image
Répertoire de référence de image

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de links

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • links
Répertoire de référence de links

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_redirect/views/links/view.html.php


Joomla CMS: Répertoire de référence de category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_categories
  • category
Répertoire de référence de category

Fichiers

fichier | administrator/templates/hathor/html/com_categories/category/edit.php
fichier | templates/hathor/html/com_categories/category/edit_options.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
  • views
  • login
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_login/views/login/tmpl/default.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
Répertoire de référence de views

Répertoires

répertoire | newsfeed
répertoire | newsfeeds


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • input
  • src
Répertoire de référence de src

Fichiers

fichier | vendor/joomla/input/src/Cli.php
fichier | vendor/joomla/input/src/Cookie.php
fichier | vendor/joomla/input/src/Files.php
fichier | vendor/joomla/input/src/Input.php
fichier | vendor/joomla/input/src/Json.php


Joomla CMS: Répertoire de référence de com_joomlaupdate

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
Répertoire de référence de com_joomlaupdate

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_joomlaupdate/controller.php
fichier | administrator/components/com_joomlaupdate/joomlaupdate.php
fichier | restore.php
fichier | restore_finalisation.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
  • controllers
Répertoire de référence de controllers

Fichiers

fichier administrator/components/com_postinstall/controllers/message.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_content/views/article/tmpl/edit.php
fichier | com_content/views/article/tmpl/edit_associations.php
fichier | components/com_content/views/article/tmpl/edit_metadata.php
fichier | administrator/components/com_content/views/article/tmpl/modal.php
fichier | com_content/views/article/tmpl/modal_associations.php
fichier | com_content/views/article/tmpl/modal_metadata.php
fichier | administrator/components/com_content/views/article/tmpl/pagebreak.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • group
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_fields/views/group/tmpl/edit.php


Joomla CMS: Répertoire de référence de featured

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • featured
Répertoire de référence de featured

Répertoires

répertoire tmpl

Fichiers

fichier components/com_contact/views/featured/view.html.php


Joomla CMS: Répertoire de référence de finder

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
Répertoire de référence de finder

Répertoires

répertoire | categories
répertoire | contacts
répertoire | content
répertoire | newsfeeds
répertoire | tags


Joomla CMS: Répertoire de référence de actionlog

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • actionlog
Répertoire de référence de actionlog

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de typo3

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
Répertoire de référence de typo3

Répertoires

répertoire phar-stream-wrapper


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • usergrouplist
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier tmpl/usergrouplist.php


Joomla CMS: Répertoire de référence de menu

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • editors-xtd
  • menu
Répertoire de référence de menu

Fichiers

fichier plugins/editors-xtd/menu/menu.php


Joomla CMS: Répertoire de référence de ldap

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • ldap
Répertoire de référence de ldap

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de Microdata

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Microdata
Répertoire de référence de Microdata

Fichiers

fichier Microdata.php


Joomla CMS: Répertoire de référence de toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_media
  • toolbar
Répertoire de référence de toolbar

Fichiers

fichier | templates/hathor/html/layouts/com_media/toolbar/deletemedia.php
fichier | templates/hathor/html/layouts/com_media/toolbar/newfolder.php
fichier | templates/hathor/html/layouts/com_media/toolbar/uploadmedia.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contacts
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_contact/views/contacts/tmpl/default.php
fichier | default_batch.php
fichier | com_contact/views/contacts/tmpl/default_batch_body.php
fichier | com_contact/views/contacts/tmpl/default_batch_footer.php
fichier | administrator/components/com_contact/views/contacts/tmpl/modal.php


Joomla CMS: Répertoire de référence de web

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • application
  • web
Répertoire de référence de web

Répertoires

répertoire router

Fichiers

fichier libraries/joomla/application/web/router.php


Joomla CMS: Répertoire de référence de editor

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • editor
Répertoire de référence de editor

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/editor/editor.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de edit

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • edit
Répertoire de référence de edit

Fichiers

fichier | layouts/joomla/edit/associations.php
fichier | layouts/joomla/edit/details.php
fichier | layouts/joomla/edit/fieldset.php
fichier | frontediting_modules.php
fichier | layouts/joomla/edit/global.php
fichier | item_title.php
fichier | layouts/joomla/edit/metadata.php
fichier | layouts/joomla/edit/params.php
fichier | publishingdata.php
fichier | title_alias.php


Joomla CMS: Répertoire de référence de plugins

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugins
Répertoire de référence de plugins

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_plugins/views/plugins/view.html.php


Joomla CMS: Répertoire de référence de banner

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • banner
Répertoire de référence de banner

Fichiers

fichier administrator/templates/hathor/html/com_banners/banner/edit.php


Joomla CMS: Répertoire de référence de Toolbar

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Toolbar
Répertoire de référence de Toolbar

Répertoires

répertoire Button

Fichiers

fichier | Toolbar.php
fichier | ToolbarButton.php
fichier | ToolbarHelper.php


Joomla CMS: Répertoire de référence de utilities

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • utilities
Répertoire de référence de utilities

Fichiers

fichier arrayhelper.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • database
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/database/tmpl/default.php


Joomla CMS: Répertoire de référence de embed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • embed
Répertoire de référence de embed

Fichiers

fichier | analytics.php
fichier | libraries/joomla/google/embed/maps.php


Joomla CMS: Répertoire de référence de system

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • system
Répertoire de référence de system

Répertoires

répertoire privacyconsent


Joomla CMS: Répertoire de référence de cpanel

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_cpanel
  • cpanel
Répertoire de référence de cpanel

Fichiers

fichier administrator/templates/hathor/html/com_cpanel/cpanel/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_banners
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_banners/tmpl/default.php


Joomla CMS: Répertoire de référence de search

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
Répertoire de référence de search

Répertoires

répertoire | categories
répertoire | contacts
répertoire | content
répertoire | newsfeeds
répertoire | tags


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
  • Exception
Répertoire de référence de Exception

Fichiers

fichier FilesystemException.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • views
  • mailto
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier components/com_mailto/views/mailto/tmpl/default.php


Joomla CMS: Répertoire de référence de update

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • update
Répertoire de référence de update

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_installer/views/update/view.html.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • joomla
Répertoire de référence de joomla

Fichiers

fichier plugins/content/joomla/joomla.php


Joomla CMS: Répertoire de référence de category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
  • category
Répertoire de référence de category

Fichiers

fichier | templates/beez3/html/com_weblinks/category/default.php
fichier | templates/beez3/html/com_weblinks/category/default_children.php
fichier | templates/beez3/html/com_weblinks/category/default_items.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • debuguser
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_users/views/debuguser/tmpl/default.php


Joomla CMS: Répertoire de référence de remind

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
  • remind
Répertoire de référence de remind

Répertoires

répertoire tmpl

Fichiers

fichier components/com_privacy/views/remind/view.html.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • tables
Répertoire de référence de tables

Fichiers

fichier administrator/components/com_tags/tables/tag.php


Joomla CMS: Répertoire de référence de polyfill-unserialize

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • brumann
  • polyfill-unserialize
Répertoire de référence de polyfill-unserialize

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
Répertoire de référence de fields

Répertoires

répertoire | calendar
répertoire | checkboxes
répertoire | color
répertoire | editor
répertoire | imagelist
répertoire | integer
répertoire | list
répertoire | media
répertoire | radio
répertoire | repeatable
répertoire | sql
répertoire | text
répertoire | textarea
répertoire | url
répertoire | user
répertoire | usergrouplist


Joomla CMS: Répertoire de référence de com_config

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_config
Répertoire de référence de com_config

Répertoires

répertoire | application
répertoire | component


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_finder/models/filter.php
fichier | administrator/components/com_finder/models/filters.php
fichier | administrator/components/com_finder/models/index.php
fichier | models/indexer.php
fichier | administrator/components/com_finder/models/maps.php
fichier | administrator/components/com_finder/models/statistics.php


Joomla CMS: Répertoire de référence de mod_users_latest

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_users_latest
Répertoire de référence de mod_users_latest

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_users_latest/helper.php
fichier | mod_users_latest.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • form
  • field
Répertoire de référence de field

Fichiers

fichier | libraries/legacy/form/field/category.php
fichier | componentlayout.php
fichier | modulelayout.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • views
  • categories
Répertoire de référence de categories

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_categories/views/categories/view.html.php


Joomla CMS: Répertoire de référence de keychain

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • keychain
Répertoire de référence de keychain

Fichiers

fichier libraries/joomla/keychain/keychain.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • typo3
  • phar-stream-wrapper
  • src
Répertoire de référence de src

Répertoires

répertoire | Interceptor
répertoire | Phar
répertoire | Resolver

Fichiers

fichier | Assertable.php
fichier | Behavior.php
fichier | Collectable.php
fichier | typo3/phar-stream-wrapper/src/Exception.php
fichier | typo3/phar-stream-wrapper/src/Helper.php
fichier | Manager.php
fichier | PharStreamWrapper.php
fichier | Resolvable.php


Joomla CMS: Répertoire de référence de com_privacy

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
Répertoire de référence de com_privacy

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_privacy/controller.php
fichier | administrator/components/com_privacy/privacy.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | file.json.php
fichier | administrator/components/com_media/controllers/file.php
fichier | com_media/controllers/folder.php


Joomla CMS: Répertoire de référence de database

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • database
Répertoire de référence de database

Répertoires

répertoire | driver
répertoire | iterator
répertoire | query

Fichiers

fichier | libraries/fof/database/database.php
fichier | fof/database/driver.php
fichier | fof/database/factory.php
fichier | libraries/fof/database/installer.php
fichier | fof/database/interface.php
fichier | fof/database/iterator.php
fichier | libraries/fof/database/query.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_similar
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_tags_similar/tmpl/default.php


Joomla CMS: Répertoire de référence de statistics

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • statistics
Répertoire de référence de statistics

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_finder/views/statistics/view.html.php


Joomla CMS: Répertoire de référence de storage

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • session
  • storage
Répertoire de référence de storage

Fichiers

fichier | apc.php
fichier | apcu.php
fichier | libraries/joomla/session/storage/database.php
fichier | memcache.php
fichier | memcached.php
fichier | libraries/joomla/session/storage/none.php
fichier | redis.php
fichier | wincache.php
fichier | xcache.php


Joomla CMS: Répertoire de référence de mod_menu

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_menu
Répertoire de référence de mod_menu

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_menu/helper.php
fichier | administrator/modules/mod_menu/menu.php
fichier | administrator/modules/mod_menu/mod_menu.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cpanel
  • views
  • cpanel
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_cpanel/views/cpanel/tmpl/default.php


Joomla CMS: Répertoire de référence de mod_feed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_feed
Répertoire de référence de mod_feed

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_feed/helper.php
fichier | modules/mod_feed/mod_feed.php


Joomla CMS: Répertoire de référence de native

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
  • native
Répertoire de référence de native

Fichiers

fichier vendor/joomla/string/src/phputf8/native/core.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • data
  • src
Répertoire de référence de src

Fichiers

fichier | DataObject.php
fichier | DataSet.php
fichier | DumpableInterface.php


Joomla CMS: Répertoire de référence de stubs

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php73
  • Resources
  • stubs
Répertoire de référence de stubs

Fichiers

fichier JsonException.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • group
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_users/views/group/tmpl/edit.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • container
  • src
Répertoire de référence de src

Fichiers

fichier | ContainerExceptionInterface.php
fichier | ContainerInterface.php
fichier | NotFoundExceptionInterface.php


Joomla CMS: Répertoire de référence de Versioning

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Versioning
Répertoire de référence de Versioning

Fichiers

fichier | VersionableControllerTrait.php
fichier | VersionableModelTrait.php
fichier | VersionableTableInterface.php


Joomla CMS: Répertoire de référence de integration

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • integration
Répertoire de référence de integration

Répertoires

répertoire joomla


Joomla CMS: Répertoire de référence de github

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
Répertoire de référence de github

Répertoires

répertoire package

Fichiers

fichier | account.php
fichier | commits.php
fichier | forks.php
fichier | github.php
fichier | hooks.php
fichier | github/http.php
fichier | meta.php
fichier | milestones.php
fichier | joomla/github/object.php
fichier | package.php
fichier | refs.php
fichier | github/statuses.php


Joomla CMS: Répertoire de référence de modal

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • models
  • fields
  • modal
Répertoire de référence de modal

Fichiers

fichier administrator/components/com_content/models/fields/modal/article.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • level
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_users/views/level/tmpl/edit.php


Joomla CMS: Répertoire de référence de editors

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • editors
Répertoire de référence de editors

Répertoires

répertoire buttons

Fichiers

fichier editors/buttons.php


Joomla CMS: Répertoire de référence de system

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • system
Répertoire de référence de system

Répertoires

répertoire html

Fichiers

fichier | administrator/templates/system/component.php
fichier | administrator/templates/system/error.php
fichier | administrator/templates/system/index.php


Joomla CMS: Répertoire de référence de extras

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
  • extras
Répertoire de référence de extras

Fichiers

fichier | EasyPeasyICS.php
fichier | htmlfilter.php
fichier | ntlm_sasl_client.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_content
  • models
Répertoire de référence de models

Fichiers

fichier | components/com_content/models/archive.php
fichier | components/com_content/models/article.php
fichier | components/com_content/models/articles.php
fichier | components/com_content/models/categories.php
fichier | components/com_content/models/category.php
fichier | components/com_content/models/featured.php
fichier | components/com_content/models/form.php


Joomla CMS: Répertoire de référence de site

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • site
Répertoire de référence de site

Répertoires

répertoire tmpl


Joomla CMS: Répertoire de référence de mod_custom

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_custom
Répertoire de référence de mod_custom

Répertoires

répertoire tmpl

Fichiers

fichier administrator/modules/mod_custom/mod_custom.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • overrides
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_languages/views/overrides/tmpl/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • consents
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_privacy/views/consents/tmpl/default.php


Joomla CMS: Répertoire de référence de driver

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • database
  • driver
Répertoire de référence de driver

Fichiers

fichier | libraries/joomla/database/driver/mysql.php
fichier | joomla/database/driver/mysqli.php
fichier | joomla/database/driver/oracle.php
fichier | joomla/database/driver/pdo.php
fichier | joomla/database/driver/pdomysql.php
fichier | driver/pgsql.php
fichier | libraries/joomla/database/driver/postgresql.php
fichier | joomla/database/driver/sqlazure.php
fichier | joomla/database/driver/sqlite.php
fichier | libraries/joomla/database/driver/sqlsrv.php


Joomla CMS: Répertoire de référence de mod_footer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_footer
Répertoire de référence de mod_footer

Répertoires

répertoire tmpl

Fichiers

fichier mod_footer.php


Joomla CMS: Répertoire de référence de com_contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
Répertoire de référence de com_contact

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_contact/contact.php
fichier | administrator/components/com_contact/controller.php


Joomla CMS: Répertoire de référence de Joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
  • Joomla
Répertoire de référence de Joomla

Répertoires

répertoire Session


Joomla CMS: Répertoire de référence de adapter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • download
  • adapter
Répertoire de référence de adapter

Fichiers

fichier | download/adapter/abstract.php
fichier | curl.php
fichier | fopen.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_feed
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_feed/tmpl/default.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • confirmconsent
  • fields
Répertoire de référence de fields

Fichiers

fichier consentbox.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • views
  • tag
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_tags/views/tag/tmpl/default.php
fichier | components/com_tags/views/tag/tmpl/default_items.php
fichier | components/com_tags/views/tag/tmpl/list.php
fichier | list_items.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier com_messages/helpers/html/messages.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • groups
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_fields/views/groups/tmpl/default.php
fichier | com_fields/views/groups/tmpl/default_batch_body.php
fichier | com_fields/views/groups/tmpl/default_batch_footer.php


Joomla CMS: Répertoire de référence de newsfeeds

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • newsfeeds
Répertoire de référence de newsfeeds

Fichiers

fichier plugins/finder/newsfeeds/newsfeeds.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • views
Répertoire de référence de views

Répertoires

répertoire | confirm
répertoire | remind
répertoire | request


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
  • views
Répertoire de référence de views

Répertoires

répertoire login


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • pagebreak
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | navigation.php
fichier | toc.php


Joomla CMS: Répertoire de référence de Cipher

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Cipher
Répertoire de référence de Cipher

Fichiers

fichier | BlowfishCipher.php
fichier | CryptoCipher.php
fichier | McryptCipher.php
fichier | Rijndael256Cipher.php
fichier | SimpleCipher.php
fichier | SodiumCipher.php
fichier | TripleDesCipher.php


Joomla CMS: Répertoire de référence de ChaCha20

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • ChaCha20
Répertoire de référence de ChaCha20

Fichiers

fichier | src/Core/ChaCha20/Ctx.php
fichier | src/Core/ChaCha20/IetfCtx.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | controllers/style.php
fichier | administrator/components/com_templates/controllers/styles.php
fichier | controllers/template.php


Joomla CMS: Répertoire de référence de template

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • template
Répertoire de référence de template

Fichiers

fichier template/utils.php


Joomla CMS: Répertoire de référence de query

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • query
Répertoire de référence de query

Fichiers

fichier query/abstract.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_syndicate
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_syndicate/tmpl/default.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_installer/controllers/database.php
fichier | controllers/discover.php
fichier | controllers/install.php
fichier | controllers/manage.php
fichier | administrator/components/com_installer/controllers/update.php
fichier | controllers/updatesites.php


Joomla CMS: Répertoire de référence de model

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • model
Répertoire de référence de model

Fichiers

fichier | components/com_config/model/cms.php
fichier | components/com_config/model/config.php
fichier | components/com_config/model/form.php
fichier | components/com_config/model/modules.php
fichier | components/com_config/model/templates.php


Joomla CMS: Répertoire de référence de model

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • model
Répertoire de référence de model

Fichiers

fichier | configuration.php
fichier | installation/model/database.php
fichier | model/ftp.php
fichier | installation/model/languages.php
fichier | setup.php


Joomla CMS: Répertoire de référence de domain

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • config
  • domain
Répertoire de référence de domain

Fichiers

fichier | fof/config/domain/dispatcher.php
fichier | fof/config/domain/interface.php
fichier | tables.php
fichier | views.php


Joomla CMS: Répertoire de référence de preview

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • preview
Répertoire de référence de preview

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_modules/views/preview/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • pagenavigation
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/content/pagenavigation/tmpl/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_status
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_status/tmpl/default.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier | directory.php
fichier | phpsetting.php
fichier | system.php


Joomla CMS: Répertoire de référence de messages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
  • views
  • messages
Répertoire de référence de messages

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_postinstall/views/messages/view.html.php


Joomla CMS: Répertoire de référence de rule

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • form
  • rule
Répertoire de référence de rule

Fichiers

fichier | rule/prefix.php
fichier | username.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | fieldcontexts.php
fichier | fieldgroups.php
fichier | fieldlayout.php
fichier | administrator/components/com_fields/models/fields/section.php
fichier | com_fields/models/fields/type.php


Joomla CMS: Répertoire de référence de phputf8

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
  • phputf8
Répertoire de référence de phputf8

Répertoires

répertoire | mbstring
répertoire | native
répertoire | utils

Fichiers

fichier | vendor/joomla/string/src/phputf8/ord.php
fichier | vendor/joomla/string/src/phputf8/str_ireplace.php
fichier | vendor/joomla/string/src/phputf8/str_pad.php
fichier | vendor/joomla/string/src/phputf8/str_split.php
fichier | vendor/joomla/string/src/phputf8/strcasecmp.php
fichier | vendor/joomla/string/src/phputf8/strcspn.php
fichier | vendor/joomla/string/src/phputf8/stristr.php
fichier | vendor/joomla/string/src/phputf8/strrev.php
fichier | vendor/joomla/string/src/phputf8/strspn.php
fichier | vendor/joomla/string/src/phputf8/substr_replace.php
fichier | vendor/joomla/string/src/phputf8/trim.php
fichier | vendor/joomla/string/src/phputf8/ucfirst.php
fichier | vendor/joomla/string/src/phputf8/ucwords.php
fichier | vendor/joomla/string/src/phputf8/utf8.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • vote
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | rating.php
fichier | tmpl/vote.php


Joomla CMS: Répertoire de référence de style

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_templates
  • style
Répertoire de référence de style

Fichiers

fichier | administrator/templates/hathor/html/com_templates/style/edit.php
fichier | templates/hathor/html/com_templates/style/edit_assignment.php
fichier | templates/hathor/html/com_templates/style/edit_options.php


Joomla CMS: Répertoire de référence de openstreetmap

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • openstreetmap
Répertoire de référence de openstreetmap

Fichiers

fichier | changesets.php
fichier | elements.php
fichier | gps.php
fichier | info.php
fichier | openstreetmap/oauth.php
fichier | joomla/openstreetmap/object.php
fichier | openstreetmap.php
fichier | libraries/joomla/openstreetmap/user.php


Joomla CMS: Répertoire de référence de updatenotification

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • updatenotification
Répertoire de référence de updatenotification

Répertoires

répertoire postinstall

Fichiers

fichier updatenotification.php


Joomla CMS: Répertoire de référence de en-GB

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • language
  • en-GB
Répertoire de référence de en-GB

Fichiers

fichier administrator/language/en-GB/en-GB.localise.php


Joomla CMS: Répertoire de référence de mod_articles_category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_category
Répertoire de référence de mod_articles_category

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_articles_category/helper.php
fichier | mod_articles_category.php


Joomla CMS: Répertoire de référence de Extension

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Extension
Répertoire de référence de Extension

Fichiers

fichier ExtensionHelper.php


Joomla CMS: Répertoire de référence de login

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • login
Répertoire de référence de login

Répertoires

répertoire tmpl

Fichiers

fichier components/com_users/views/login/view.html.php


Joomla CMS: Répertoire de référence de notes

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • notes
Répertoire de référence de notes

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/notes/view.html.php


Joomla CMS: Répertoire de référence de includes

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • includes
Répertoire de référence de includes

Fichiers

fichier | includes/defines.php
fichier | includes/framework.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
Répertoire de référence de views

Répertoires

répertoire | style
répertoire | styles
répertoire | template
répertoire | templates


Joomla CMS: Répertoire de référence de com_weblinks

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_weblinks
Répertoire de référence de com_weblinks

Répertoires

répertoire | categories
répertoire | category
répertoire | form


Joomla CMS: Répertoire de référence de stemmer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • helpers
  • indexer
  • stemmer
Répertoire de référence de stemmer

Fichiers

fichier | fr.php
fichier | porter_en.php
fichier | snowball.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
  • views
Répertoire de référence de views

Répertoires

répertoire checkin


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • preview
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_modules/views/preview/tmpl/default.php


Joomla CMS: Répertoire de référence de com_templates

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
Répertoire de référence de com_templates

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_templates/controller.php
fichier | administrator/components/com_templates/templates.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • categories
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_contact/views/categories/tmpl/default.php
fichier | components/com_contact/views/categories/tmpl/default_items.php


Joomla CMS: Répertoire de référence de HTTP

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • HTTP
Répertoire de référence de HTTP

Fichiers

fichier simplepie/simplepie/library/SimplePie/HTTP/Parser.php


Joomla CMS: Répertoire de référence de pulls

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • pulls
Répertoire de référence de pulls

Fichiers

fichier github/package/pulls/comments.php


Joomla CMS: Répertoire de référence de Processor

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • application
  • src
  • Cli
  • Output
  • Processor
Répertoire de référence de Processor

Fichiers

fichier | Output/Processor/ColorProcessor.php
fichier | ProcessorInterface.php


Joomla CMS: Répertoire de référence de update

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • update
Répertoire de référence de update

Fichiers

fichier administrator/templates/hathor/html/com_installer/update/default.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • controllers
Répertoire de référence de controllers

Fichiers

fichier administrator/components/com_admin/controllers/profile.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • dashboard
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_privacy/views/dashboard/tmpl/default.php


Joomla CMS: Répertoire de référence de wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observer
  • wrapper
Répertoire de référence de wrapper

Fichiers

fichier wrapper/mapper.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire | application
répertoire | archive
répertoire | controller
répertoire | database
répertoire | event
répertoire | facebook
répertoire | form
répertoire | github
répertoire | google
répertoire | grid
répertoire | keychain
répertoire | linkedin
répertoire | mediawiki
répertoire | model
répertoire | oauth1
répertoire | oauth2
répertoire | observable
répertoire | observer
répertoire | openstreetmap
répertoire | route
répertoire | session
répertoire | string
répertoire | twitter
répertoire | utilities
répertoire | view

Fichiers

fichier joomla/platform.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_tags
  • helpers
Répertoire de référence de helpers

Fichiers

fichier components/com_tags/helpers/route.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire system


Joomla CMS: Répertoire de référence de ini

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • ini
Répertoire de référence de ini

Fichiers

fichier libraries/fof/utils/ini/parser.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire toolbar


Joomla CMS: Répertoire de référence de warnings

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • warnings
Répertoire de référence de warnings

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_installer/views/warnings/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • view
  • config
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_config/view/config/tmpl/default.php
fichier | components/com_config/view/config/tmpl/default_metadata.php
fichier | components/com_config/view/config/tmpl/default_seo.php
fichier | components/com_config/view/config/tmpl/default_site.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier | helpers/template.php
fichier | administrator/components/com_templates/helpers/templates.php


Joomla CMS: Répertoire de référence de com_installer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
Répertoire de référence de com_installer

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_installer/controller.php
fichier | administrator/components/com_installer/installer.php


Joomla CMS: Répertoire de référence de language

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Mail
  • language
Répertoire de référence de language

Fichiers

fichier phpmailer.lang-en_gb.php


Joomla CMS: Répertoire de référence de com_tags

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_tags
Répertoire de référence de com_tags

Répertoires

répertoire | tag
répertoire | tags


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier components/com_finder/helpers/route.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • debuggroup
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_users/views/debuggroup/tmpl/default.php


Joomla CMS: Répertoire de référence de preview

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contenthistory
  • views
  • preview
Répertoire de référence de preview

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_contenthistory/views/preview/view.html.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_categories
  • categories
Répertoire de référence de categories

Fichiers

fichier administrator/templates/hathor/html/com_categories/categories/default.php


Joomla CMS: Répertoire de référence de wrapper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_wrapper
  • views
  • wrapper
Répertoire de référence de wrapper

Répertoires

répertoire tmpl

Fichiers

fichier components/com_wrapper/views/wrapper/view.html.php


Joomla CMS: Répertoire de référence de components

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
Répertoire de référence de components

Répertoires

répertoire | com_actionlogs
répertoire | com_admin
répertoire | com_ajax
répertoire | com_associations
répertoire | com_banners
répertoire | com_cache
répertoire | com_categories
répertoire | com_checkin
répertoire | com_config
répertoire | com_contact
répertoire | com_content
répertoire | com_contenthistory
répertoire | com_cpanel
répertoire | com_fields
répertoire | com_finder
répertoire | com_installer
répertoire | com_joomlaupdate
répertoire | com_languages
répertoire | com_login
répertoire | com_media
répertoire | com_menus
répertoire | com_messages
répertoire | com_modules
répertoire | com_newsfeeds
répertoire | com_plugins
répertoire | com_postinstall
répertoire | com_privacy
répertoire | com_redirect
répertoire | com_search
répertoire | com_tags
répertoire | com_templates
répertoire | com_users


Joomla CMS: Répertoire de référence de Manifest

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Manifest
Répertoire de référence de Manifest

Fichiers

fichier | LibraryManifest.php
fichier | PackageManifest.php


Joomla CMS: Répertoire de référence de filesystem

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • integration
  • joomla
  • filesystem
Répertoire de référence de filesystem

Fichiers

fichier integration/joomla/filesystem/filesystem.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • tables
Répertoire de référence de tables

Fichiers

fichier administrator/components/com_redirect/tables/link.php


Joomla CMS: Répertoire de référence de database

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • database
Répertoire de référence de database

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_installer/views/database/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • links
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_redirect/views/links/tmpl/default.php
fichier | default_addform.php
fichier | com_redirect/views/links/tmpl/default_batch_body.php
fichier | com_redirect/views/links/tmpl/default_batch_footer.php


Joomla CMS: Répertoire de référence de utilities

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • utilities
Répertoire de référence de utilities

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_title
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_title/tmpl/default.php


Joomla CMS: Répertoire de référence de contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
  • contact
Répertoire de référence de contact

Fichiers

fichier plugins/content/contact/contact.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier components/com_users/helpers/html/users.php


Joomla CMS: Répertoire de référence de Log

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • psr
  • log
  • Psr
  • Log
Répertoire de référence de Log

Fichiers

fichier | AbstractLogger.php
fichier | InvalidArgumentException.php
fichier | LoggerAwareInterface.php
fichier | LoggerAwareTrait.php
fichier | LoggerInterface.php
fichier | LoggerTrait.php
fichier | LogLevel.php
fichier | NullLogger.php


Joomla CMS: Répertoire de référence de com_menus

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_menus
Répertoire de référence de com_menus

Fichiers

fichier | components/com_menus/controller.php
fichier | components/com_menus/menus.php


Joomla CMS: Répertoire de référence de polyfill-util

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-util
Répertoire de référence de polyfill-util

Fichiers

fichier | Binary.php
fichier | BinaryNoFuncOverload.php
fichier | BinaryOnFuncOverload.php


Joomla CMS: Répertoire de référence de templates

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_config
  • controller
  • templates
Répertoire de référence de templates

Fichiers

fichier | components/com_config/controller/templates/display.php
fichier | components/com_config/controller/templates/save.php


Joomla CMS: Répertoire de référence de link

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
  • link
Répertoire de référence de link

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_redirect/views/link/view.html.php


Joomla CMS: Répertoire de référence de controllers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controllers
Répertoire de référence de controllers

Fichiers

fichier | administrator/components/com_config/controllers/application.php
fichier | administrator/components/com_config/controllers/component.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
Répertoire de référence de views

Répertoires

répertoire | installed
répertoire | language
répertoire | languages
répertoire | multilangstatus
répertoire | override
répertoire | overrides


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menutypes
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_menus/views/menutypes/tmpl/default.php


Joomla CMS: Répertoire de référence de fr-FR

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • language
  • fr-FR
Répertoire de référence de fr-FR

Fichiers

fichier language/fr-FR/fr-FR.localise.php


Joomla CMS: Répertoire de référence de sidebars

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • sidebars
Répertoire de référence de sidebars

Fichiers

fichier | layouts/joomla/sidebars/submenu.php
fichier | toggle.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire | joomla
répertoire | libraries
répertoire | plugins


Joomla CMS: Répertoire de référence de archive

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_content
  • archive
Répertoire de référence de archive

Fichiers

fichier | templates/beez3/html/com_content/archive/default.php
fichier | templates/beez3/html/com_content/archive/default_items.php


Joomla CMS: Répertoire de référence de content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • content
Répertoire de référence de content

Fichiers

fichier plugins/privacy/content/content.php


Joomla CMS: Répertoire de référence de menu

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_menus
  • menu
Répertoire de référence de menu

Fichiers

fichier administrator/templates/hathor/html/com_menus/menu/edit.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • di
  • src
Répertoire de référence de src

Répertoires

répertoire Exception

Fichiers

fichier | vendor/joomla/di/src/Container.php
fichier | ContainerAwareInterface.php
fichier | ContainerAwareTrait.php
fichier | ServiceProviderInterface.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_banners/helpers/html/banner.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • views
  • association
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_associations/views/association/tmpl/edit.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire searchtools


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • languages
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_languages/views/languages/tmpl/default.php


Joomla CMS: Répertoire de référence de languagefilter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • languagefilter
Répertoire de référence de languagefilter

Fichiers

fichier languagefilter.php


Joomla CMS: Répertoire de référence de Language

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Language
Répertoire de référence de Language

Répertoires

répertoire | Stemmer
répertoire | Wrapper

Fichiers

fichier | Associations.php
fichier | Language/Language.php
fichier | LanguageHelper.php
fichier | LanguageStemmer.php
fichier | Multilanguage.php
fichier | Text.php
fichier | Transliterate.php


Joomla CMS: Répertoire de référence de Poly1305

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core
  • Poly1305
Répertoire de référence de Poly1305

Fichiers

fichier src/Core/Poly1305/State.php


Joomla CMS: Répertoire de référence de uri

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • uri
Répertoire de référence de uri

Répertoires

répertoire src


Joomla CMS: Répertoire de référence de XML

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • XML
Répertoire de référence de XML

Répertoires

répertoire Declaration


Joomla CMS: Répertoire de référence de help

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • help
Répertoire de référence de help

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_admin/views/help/view.html.php


Joomla CMS: Répertoire de référence de com_search

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_search
Répertoire de référence de com_search

Répertoires

répertoire searches


Joomla CMS: Répertoire de référence de autoloader

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • autoloader
Répertoire de référence de autoloader

Fichiers

fichier | libraries/fof/autoloader/component.php
fichier | fof.php


Joomla CMS: Répertoire de référence de HTML

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • simplepie
  • simplepie
  • library
  • SimplePie
  • Decode
  • HTML
Répertoire de référence de HTML

Fichiers

fichier Entities.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • featured
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_contact/views/featured/tmpl/default.php
fichier | components/com_contact/views/featured/tmpl/default_items.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | modulesmodule.php
fichier | modulesposition.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • finder
  • categories
Répertoire de référence de categories

Fichiers

fichier plugins/finder/categories/categories.php


Joomla CMS: Répertoire de référence de C:

  • C:
Répertoire de référence de C:

Répertoires

répertoire laragon


Joomla CMS: Répertoire de référence de com_associations

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_associations
Répertoire de référence de com_associations

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | layouts
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_associations/associations.php
fichier | administrator/components/com_associations/controller.php


Joomla CMS: Répertoire de référence de Feed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Document
  • Renderer
  • Feed
Répertoire de référence de Feed

Fichiers

fichier | AtomRenderer.php
fichier | RssRenderer.php


Joomla CMS: Répertoire de référence de profile

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • profile
Répertoire de référence de profile

Répertoires

répertoire field

Fichiers

fichier plugins/user/profile/profile.php


Joomla CMS: Répertoire de référence de string

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • string
Répertoire de référence de string

Fichiers

fichier string/utils.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_tags
  • views
  • tag
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_tags/views/tag/tmpl/edit.php
fichier | components/com_tags/views/tag/tmpl/edit_metadata.php
fichier | components/com_tags/views/tag/tmpl/edit_options.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_messages
  • views
  • message
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_messages/views/message/tmpl/default.php
fichier | administrator/components/com_messages/views/message/tmpl/edit.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_checkin
  • views
  • checkin
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_checkin/views/checkin/tmpl/default.php


Joomla CMS: Répertoire de référence de user

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • user
Répertoire de référence de user

Répertoires

répertoire | profile
répertoire | terms


Joomla CMS: Répertoire de référence de default

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_joomlaupdate
  • default
Répertoire de référence de default

Fichiers

fichier administrator/templates/hathor/html/com_joomlaupdate/default/default.php


Joomla CMS: Répertoire de référence de note

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • note
Répertoire de référence de note

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/note/view.html.php


Joomla CMS: Répertoire de référence de phpmailer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • phpmailer
  • phpmailer
Répertoire de référence de phpmailer

Répertoires

répertoire extras

Fichiers

fichier | class.phpmailer.php
fichier | class.phpmaileroauth.php
fichier | class.phpmaileroauthgoogle.php
fichier | class.pop3.php
fichier | class.smtp.php
fichier | PHPMailerAutoload.php


Joomla CMS: Répertoire de référence de redirect

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • redirect
Répertoire de référence de redirect

Fichiers

fichier plugins/system/redirect/redirect.php


Joomla CMS: Répertoire de référence de languages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • languages
Répertoire de référence de languages

Répertoires

répertoire tmpl

Fichiers

fichier installation/view/languages/html.php


Joomla CMS: Répertoire de référence de view

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
Répertoire de référence de view

Répertoires

répertoire | complete
répertoire | database
répertoire | defaultlanguage
répertoire | ftp
répertoire | install
répertoire | languages
répertoire | preinstall
répertoire | remove
répertoire | site
répertoire | summary

Fichiers

fichier installation/view/default.php


Joomla CMS: Répertoire de référence de tags

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • tags
Répertoire de référence de tags

Fichiers

fichier plugins/search/tags/tags.php


Joomla CMS: Répertoire de référence de com_cpanel

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cpanel
Répertoire de référence de com_cpanel

Répertoires

répertoire views

Fichiers

fichier | administrator/components/com_cpanel/controller.php
fichier | components/com_cpanel/cpanel.php


Joomla CMS: Répertoire de référence de purge

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_cache
  • views
  • purge
Répertoire de référence de purge

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_cache/views/purge/view.html.php


Joomla CMS: Répertoire de référence de mod_feed

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_feed
Répertoire de référence de mod_feed

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_feed/helper.php
fichier | administrator/modules/mod_feed/mod_feed.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • checkboxes
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/checkboxes/tmpl/checkboxes.php


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • yaml
  • Exception
Répertoire de référence de Exception

Fichiers

fichier | DumpException.php
fichier | ExceptionInterface.php
fichier | ParseException.php
fichier | RuntimeException.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • protostar
  • html
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire | form
répertoire | system


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
Répertoire de référence de src

Répertoires

répertoire | Access
répertoire | Adapter
répertoire | Application
répertoire | Association
répertoire | Authentication
répertoire | Cache
répertoire | Captcha
répertoire | Categories
répertoire | Client
répertoire | Component
répertoire | Crypt
répertoire | Date
répertoire | Document
répertoire | Editor
répertoire | Environment
répertoire | Exception
répertoire | Extension
répertoire | Feed
répertoire | Filesystem
répertoire | Filter
répertoire | Form
répertoire | Help
répertoire | Helper
répertoire | HTML
répertoire | Http
répertoire | Image
répertoire | Input
répertoire | Installer
répertoire | Language
répertoire | Layout
répertoire | Log
répertoire | Mail
répertoire | Menu
répertoire | Microdata
répertoire | MVC
répertoire | Object
répertoire | Pagination
répertoire | Pathway
répertoire | Plugin
répertoire | Profiler
répertoire | Response
répertoire | Router
répertoire | Schema
répertoire | Session
répertoire | String
répertoire | Table
répertoire | Tag
répertoire | Toolbar
répertoire | UCM
répertoire | Updater
répertoire | Uri
répertoire | User
répertoire | Utility
répertoire | Versioning

Fichiers

fichier | src/Factory.php
fichier | Version.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire | content
répertoire | edit
répertoire | editors
répertoire | error
répertoire | form
répertoire | html
répertoire | links
répertoire | modal
répertoire | pagination
répertoire | quickicons
répertoire | searchtools
répertoire | sidebars
répertoire | system
répertoire | tinymce
répertoire | toolbar


Joomla CMS: Répertoire de référence de Rss

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Feed
  • Parser
  • Rss
Répertoire de référence de Rss

Fichiers

fichier | ItunesRssParser.php
fichier | MediaRssParser.php


Joomla CMS: Répertoire de référence de user

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • user
Répertoire de référence de user

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_users/views/user/view.html.php


Joomla CMS: Répertoire de référence de system

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • system
Répertoire de référence de system

Répertoires

répertoire html

Fichiers

fichier | templates/system/component.php
fichier | templates/system/error.php
fichier | templates/system/index.php
fichier | system/offline.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • tables
Répertoire de référence de tables

Fichiers

fichier administrator/components/com_content/tables/featured.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_joomlaupdate
  • views
  • upload
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier captive.php


Joomla CMS: Répertoire de référence de radio

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • radio
Répertoire de référence de radio

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/radio/radio.php


Joomla CMS: Répertoire de référence de requests

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • requests
Répertoire de référence de requests

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_privacy/views/requests/view.html.php


Joomla CMS: Répertoire de référence de modal

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • models
  • fields
  • modal
Répertoire de référence de modal

Fichiers

fichier administrator/components/com_categories/models/fields/modal/category.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • models
Répertoire de référence de models

Fichiers

fichier components/com_search/models/search.php


Joomla CMS: Répertoire de référence de mod_quickicon

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_quickicon
Répertoire de référence de mod_quickicon

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_quickicon/helper.php
fichier | mod_quickicon.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_stats
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_stats/tmpl/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • repeatable
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/repeatable/tmpl/repeatable.php


Joomla CMS: Répertoire de référence de tinymce

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • editors
  • tinymce
Répertoire de référence de tinymce

Répertoires

répertoire field


Joomla CMS: Répertoire de référence de Response

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Response
Répertoire de référence de Response

Fichiers

fichier JsonResponse.php


Joomla CMS: Répertoire de référence de src

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • string
  • src
Répertoire de référence de src

Répertoires

répertoire phputf8

Fichiers

fichier | Inflector.php
fichier | Normalise.php
fichier | string/src/String.php
fichier | StringHelper.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_finder
  • views
  • search
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_finder/views/search/tmpl/default.php
fichier | components/com_finder/views/search/tmpl/default_form.php
fichier | default_result.php
fichier | com_finder/views/search/tmpl/default_results.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_categories/models/categories.php
fichier | administrator/components/com_categories/models/category.php


Joomla CMS: Répertoire de référence de positions

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • views
  • positions
Répertoire de référence de positions

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_modules/views/positions/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_multilangstatus
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_multilangstatus/tmpl/default.php


Joomla CMS: Répertoire de référence de modal

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • models
  • fields
  • modal
Répertoire de référence de modal

Fichiers

fichier administrator/components/com_menus/models/fields/modal/menu.php


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Router
  • Exception
Répertoire de référence de Exception

Fichiers

fichier RouteNotFoundException.php


Joomla CMS: Répertoire de référence de Adapter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
  • Adapter
Répertoire de référence de Adapter

Fichiers

fichier | ComponentAdapter.php
fichier | FileAdapter.php
fichier | LanguageAdapter.php
fichier | LibraryAdapter.php
fichier | ModuleAdapter.php
fichier | PackageAdapter.php
fichier | PluginAdapter.php
fichier | TemplateAdapter.php


Joomla CMS: Répertoire de référence de Access

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Access
Répertoire de référence de Access

Répertoires

répertoire | Exception
répertoire | Wrapper

Fichiers

fichier | Access.php
fichier | Rule.php
fichier | Rules.php


Joomla CMS: Répertoire de référence de content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • content
Répertoire de référence de content

Répertoires

répertoire | confirmconsent
répertoire | contact
répertoire | emailcloak
répertoire | fields
répertoire | finder
répertoire | joomla
répertoire | loadmodule
répertoire | pagebreak
répertoire | pagenavigation
répertoire | vote


Joomla CMS: Répertoire de référence de router

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • application
  • web
  • router
Répertoire de référence de router

Fichiers

fichier | libraries/joomla/application/web/router/base.php
fichier | rest.php


Joomla CMS: Répertoire de référence de class

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • class
Répertoire de référence de class

Fichiers

fichier cms/class/loader.php


Joomla CMS: Répertoire de référence de search

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_search
  • views
  • search
Répertoire de référence de search

Répertoires

répertoire tmpl

Fichiers

fichier | components/com_search/views/search/view.html.php
fichier | com_search/views/search/view.opensearch.php


Joomla CMS: Répertoire de référence de content

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • content
Répertoire de référence de content

Répertoires

répertoire | icons
répertoire | info_block

Fichiers

fichier | layouts/joomla/content/associations.php
fichier | blog_style_default_item_title.php
fichier | blog_style_default_links.php
fichier | categories_default.php
fichier | categories_default_items.php
fichier | category_default.php
fichier | full_image.php
fichier | layouts/joomla/content/icons.php
fichier | info_block.php
fichier | intro_image.php
fichier | layouts/joomla/content/language.php
fichier | options_default.php
fichier | layouts/joomla/content/readmore.php
fichier | layouts/joomla/content/tags.php
fichier | text_filters.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | groupparent.php
fichier | models/fields/levels.php


Joomla CMS: Répertoire de référence de sessiongc

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • sessiongc
Répertoire de référence de sessiongc

Fichiers

fichier sessiongc.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • site
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier installation/view/site/tmpl/default.php


Joomla CMS: Répertoire de référence de mod_title

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_title
Répertoire de référence de mod_title

Répertoires

répertoire tmpl

Fichiers

fichier mod_title.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_templates
  • views
  • styles
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_templates/views/styles/tmpl/default.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_banners
  • helpers
Répertoire de référence de helpers

Fichiers

fichier | components/com_banners/helpers/banner.php
fichier | components/com_banners/helpers/category.php


Joomla CMS: Répertoire de référence de polyfill-php55

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php55
Répertoire de référence de polyfill-php55

Fichiers

fichier | libraries/vendor/symfony/polyfill-php55/bootstrap.php
fichier | Php55.php
fichier | Php55ArrayColumn.php


Joomla CMS: Répertoire de référence de tags

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_tags
  • tags
Répertoire de référence de tags

Fichiers

fichier administrator/templates/hathor/html/com_tags/tags/default.php


Joomla CMS: Répertoire de référence de com_finder

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
Répertoire de référence de com_finder

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | models
répertoire | tables
répertoire | views

Fichiers

fichier | administrator/components/com_finder/controller.php
fichier | administrator/components/com_finder/finder.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • sql
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/sql/tmpl/sql.php


Joomla CMS: Répertoire de référence de log

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • log
Répertoire de référence de log

Fichiers

fichier logexception.php


Joomla CMS: Répertoire de référence de reset

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • reset
Répertoire de référence de reset

Répertoires

répertoire tmpl

Fichiers

fichier components/com_users/views/reset/view.html.php


Joomla CMS: Répertoire de référence de updatesites

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_installer
  • views
  • updatesites
Répertoire de référence de updatesites

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_installer/views/updatesites/view.html.php


Joomla CMS: Répertoire de référence de grid

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
  • grid
Répertoire de référence de grid

Fichiers

fichier sort.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | requeststatus.php
fichier | requesttype.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_tags_popular
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | cloud.php
fichier | modules/mod_tags_popular/tmpl/default.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_postinstall
  • models
Répertoire de référence de models

Fichiers

fichier com_postinstall/models/messages.php


Joomla CMS: Répertoire de référence de Input

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Input
Répertoire de référence de Input

Fichiers

fichier | src/Input/Cli.php
fichier | src/Input/Cookie.php
fichier | src/Input/Files.php
fichier | src/Input/Input.php
fichier | src/Input/Json.php


Joomla CMS: Répertoire de référence de com_media

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_media
Répertoire de référence de com_media

Fichiers

fichier components/com_media/media.php


Joomla CMS: Répertoire de référence de formatter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • less
  • formatter
Répertoire de référence de formatter

Fichiers

fichier | classic.php
fichier | compressed.php
fichier | libraries/fof/less/formatter/joomla.php
fichier | lessjs.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_menus/helpers/html/menus.php


Joomla CMS: Répertoire de référence de Ge

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • Curve25519
  • Ge
Répertoire de référence de Ge

Fichiers

fichier | src/Core32/Curve25519/Ge/Cached.php
fichier | src/Core32/Curve25519/Ge/P1p1.php
fichier | src/Core32/Curve25519/Ge/P2.php
fichier | src/Core32/Curve25519/Ge/P3.php
fichier | src/Core32/Curve25519/Ge/Precomp.php


Joomla CMS: Répertoire de référence de contacts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contacts
Répertoire de référence de contacts

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_contact/views/contacts/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_finder
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_finder/tmpl/default.php


Joomla CMS: Répertoire de référence de twitter

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • twitter
Répertoire de référence de twitter

Fichiers

fichier | libraries/joomla/twitter/block.php
fichier | directmessages.php
fichier | favorites.php
fichier | friends.php
fichier | libraries/joomla/twitter/help.php
fichier | lists.php
fichier | twitter/oauth.php
fichier | joomla/twitter/object.php
fichier | places.php
fichier | libraries/joomla/twitter/profile.php
fichier | libraries/joomla/twitter/search.php
fichier | twitter/statuses.php
fichier | trends.php
fichier | twitter.php
fichier | libraries/joomla/twitter/users.php


Joomla CMS: Répertoire de référence de polyfill-ctype

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-ctype
Répertoire de référence de polyfill-ctype

Fichiers

fichier | libraries/vendor/symfony/polyfill-ctype/bootstrap.php
fichier | Ctype.php


Joomla CMS: Répertoire de référence de modal

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • modal
Répertoire de référence de modal

Fichiers

fichier | layouts/joomla/modal/body.php
fichier | footer.php
fichier | layouts/joomla/modal/header.php
fichier | iframe.php
fichier | main.php


Joomla CMS: Répertoire de référence de array

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • array
Répertoire de référence de array

Fichiers

fichier array.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_users
  • views
  • groups
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_users/views/groups/tmpl/default.php


Joomla CMS: Répertoire de référence de Exception

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • archive
  • src
  • Exception
Répertoire de référence de Exception

Fichiers

fichier | UnknownArchiveException.php
fichier | UnsupportedArchiveException.php


Joomla CMS: Répertoire de référence de mod_stats

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_stats
Répertoire de référence de mod_stats

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_stats/helper.php
fichier | mod_stats.php


Joomla CMS: Répertoire de référence de response

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • response
Répertoire de référence de response

Fichiers

fichier installation/response/json.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • privacyconsent
  • field
Répertoire de référence de field

Fichiers

fichier plugins/system/privacyconsent/field/privacy.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • views
  • menus
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_menus/views/menus/tmpl/default.php


Joomla CMS: Répertoire de référence de searchtools

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • searchtools
Répertoire de référence de searchtools

Répertoires

répertoire | default
répertoire | grid

Fichiers

fichier layouts/joomla/searchtools/default.php


Joomla CMS: Répertoire de référence de _install

  • C:
  • laragon
  • www
  • _install
Répertoire de référence de _install

Répertoires

répertoire Joomla_31011-Stable-Full_Package_French_v1


Joomla CMS: Répertoire de référence de preinstall

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • installation
  • view
  • preinstall
Répertoire de référence de preinstall

Répertoires

répertoire tmpl

Fichiers

fichier installation/view/preinstall/html.php


Joomla CMS: Répertoire de référence de category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
  • category
Répertoire de référence de category

Répertoires

répertoire tmpl

Fichiers

fichier components/com_newsfeeds/views/category/view.html.php


Joomla CMS: Répertoire de référence de logout

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • logout
Répertoire de référence de logout

Fichiers

fichier logout.php


Joomla CMS: Répertoire de référence de platform

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • platform
Répertoire de référence de platform

Répertoires

répertoire filesystem

Fichiers

fichier | fof/platform/interface.php
fichier | fof/platform/platform.php


Joomla CMS: Répertoire de référence de com_contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
Répertoire de référence de com_contact

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | layouts
répertoire | models
répertoire | views

Fichiers

fichier | components/com_contact/contact.php
fichier | components/com_contact/controller.php
fichier | components/com_contact/router.php


Joomla CMS: Répertoire de référence de Helper

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Helper
Répertoire de référence de Helper

Fichiers

fichier | AuthenticationHelper.php
fichier | CMSHelper.php
fichier | ContentHelper.php
fichier | ContentHistoryHelper.php
fichier | LibraryHelper.php
fichier | MediaHelper.php
fichier | ModuleHelper.php
fichier | RouteHelper.php
fichier | SearchHelper.php
fichier | TagsHelper.php
fichier | UserGroupsHelper.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • views
  • download
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_banners/views/download/tmpl/default.php


Joomla CMS: Répertoire de référence de com_login

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_login
Répertoire de référence de com_login

Répertoires

répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_login/controller.php
fichier | administrator/components/com_login/login.php


Joomla CMS: Répertoire de référence de com_modules

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
Répertoire de référence de com_modules

Répertoires

répertoire | controllers
répertoire | helpers
répertoire | layouts
répertoire | models
répertoire | views

Fichiers

fichier | administrator/components/com_modules/controller.php
fichier | administrator/components/com_modules/modules.php


Joomla CMS: Répertoire de référence de field

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • user
  • terms
  • field
Répertoire de référence de field

Fichiers

fichier field/terms.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_privacy
  • models
Répertoire de référence de models

Fichiers

fichier | components/com_privacy/models/confirm.php
fichier | com_privacy/models/remind.php
fichier | components/com_privacy/models/request.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • color
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/color/tmpl/color.php


Joomla CMS: Répertoire de référence de Password

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Crypt
  • Password
Répertoire de référence de Password

Fichiers

fichier SimpleCryptPassword.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • helpers
Répertoire de référence de helpers

Fichiers

fichier administrator/components/com_fields/helpers/fields.php


Joomla CMS: Répertoire de référence de mod_articles_latest

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_latest
Répertoire de référence de mod_articles_latest

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_articles_latest/helper.php
fichier | mod_articles_latest.php


Joomla CMS: Répertoire de référence de controller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
Répertoire de référence de controller

Répertoires

répertoire | application
répertoire | component


Joomla CMS: Répertoire de référence de archive

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • archive
Répertoire de référence de archive

Répertoires

répertoire wrapper

Fichiers

fichier | libraries/joomla/archive/archive.php
fichier | bzip2.php
fichier | extractable.php
fichier | gzip.php
fichier | tar.php
fichier | zip.php


Joomla CMS: Répertoire de référence de data

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • google
  • data
Répertoire de référence de data

Répertoires

répertoire | picasa
répertoire | plus

Fichiers

fichier | adsense.php
fichier | libraries/joomla/google/data/calendar.php
fichier | picasa.php
fichier | plus.php


Joomla CMS: Répertoire de référence de mod_breadcrumbs

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_breadcrumbs
Répertoire de référence de mod_breadcrumbs

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_breadcrumbs/helper.php
fichier | mod_breadcrumbs.php


Joomla CMS: Répertoire de référence de groups

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_fields
  • views
  • groups
Répertoire de référence de groups

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_fields/views/groups/view.html.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • radio
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/fields/radio/tmpl/radio.php


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_menus
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire | menu
répertoire | searchtools


Joomla CMS: Répertoire de référence de Stream

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • filesystem
  • src
  • Stream
Répertoire de référence de Stream

Fichiers

fichier | filesystem/src/Stream/String.php
fichier | StringWrapper.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • views
Répertoire de référence de views

Répertoires

répertoire | categories
répertoire | category
répertoire | newsfeed


Joomla CMS: Répertoire de référence de postinstall

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • postinstall
Répertoire de référence de postinstall

Fichiers

fichier | addnosniff.php
fichier | behindproxy.php
fichier | eaccelerator.php
fichier | htaccess.php
fichier | htaccesssvg.php
fichier | joomla40checks.php
fichier | languageaccess340.php
fichier | statscollection.php
fichier | textfilter3919.php
fichier | updatedefaultsettings.php


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • form
Répertoire de référence de form

Répertoires

répertoire field


Joomla CMS: Répertoire de référence de Resources

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
  • polyfill-php73
  • Resources
Répertoire de référence de Resources

Répertoires

répertoire stubs


Joomla CMS: Répertoire de référence de consents

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • consents
Répertoire de référence de consents

Fichiers

fichier plugins/privacy/consents/consents.php


Joomla CMS: Répertoire de référence de maps

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_finder
  • views
  • maps
Répertoire de référence de maps

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_finder/views/maps/view.html.php


Joomla CMS: Répertoire de référence de Controller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • MVC
  • Controller
Répertoire de référence de Controller

Fichiers

fichier | AdminController.php
fichier | BaseController.php
fichier | FormController.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_categories
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | modules/mod_articles_categories/tmpl/default.php
fichier | modules/mod_articles_categories/tmpl/default_items.php


Joomla CMS: Répertoire de référence de controller

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • controller
Répertoire de référence de controller

Fichiers

fichier | libraries/joomla/controller/base.php
fichier | libraries/joomla/controller/controller.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • installer
  • packageinstaller
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/installer/packageinstaller/tmpl/default.php


Joomla CMS: Répertoire de référence de application

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • legacy
  • application
Répertoire de référence de application

Fichiers

fichier libraries/legacy/application/application.php


Joomla CMS: Répertoire de référence de yubikey

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • yubikey
Répertoire de référence de yubikey

Répertoires

répertoire tmpl

Fichiers

fichier yubikey.php


Joomla CMS: Répertoire de référence de mod_languages

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • mod_languages
Répertoire de référence de mod_languages

Fichiers

fichier templates/beez3/html/mod_languages/default.php


Joomla CMS: Répertoire de référence de Environment

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Environment
Répertoire de référence de Environment

Fichiers

fichier Browser.php


Joomla CMS: Répertoire de référence de logrotation

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • logrotation
Répertoire de référence de logrotation

Fichiers

fichier logrotation.php


Joomla CMS: Répertoire de référence de category

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • templates
  • beez3
  • html
  • com_newsfeeds
  • category
Répertoire de référence de category

Fichiers

fichier | templates/beez3/html/com_newsfeeds/category/default.php
fichier | templates/beez3/html/com_newsfeeds/category/default_children.php
fichier | templates/beez3/html/com_newsfeeds/category/default_items.php


Joomla CMS: Répertoire de référence de layouts

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • system
  • stats
  • layouts
Répertoire de référence de layouts

Répertoires

répertoire field

Fichiers

fichier | plugins/system/stats/layouts/message.php
fichier | layouts/stats.php


Joomla CMS: Répertoire de référence de article

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_content
  • views
  • article
Répertoire de référence de article

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_content/views/article/view.html.php


Joomla CMS: Répertoire de référence de sent

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_mailto
  • views
  • sent
Répertoire de référence de sent

Répertoires

répertoire tmpl

Fichiers

fichier components/com_mailto/views/sent/view.html.php


Joomla CMS: Répertoire de référence de text

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • text
Répertoire de référence de text

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/text/text.php


Joomla CMS: Répertoire de référence de privacyconsent

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • system
  • privacyconsent
Répertoire de référence de privacyconsent

Fichiers

fichier | system/privacyconsent/label.php
fichier | layouts/plugins/system/privacyconsent/message.php


Joomla CMS: Répertoire de référence de pagination

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • pagination
Répertoire de référence de pagination

Fichiers

fichier | layouts/joomla/pagination/link.php
fichier | layouts/joomla/pagination/links.php
fichier | layouts/joomla/pagination/list.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_newsfeeds
  • views
  • newsfeed
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_newsfeeds/views/newsfeed/tmpl/edit.php
fichier | com_newsfeeds/views/newsfeed/tmpl/edit_associations.php
fichier | edit_display.php
fichier | components/com_newsfeeds/views/newsfeed/tmpl/edit_metadata.php
fichier | components/com_newsfeeds/views/newsfeed/tmpl/edit_params.php
fichier | administrator/components/com_newsfeeds/views/newsfeed/tmpl/modal.php
fichier | com_newsfeeds/views/newsfeed/tmpl/modal_associations.php
fichier | modal_display.php
fichier | com_newsfeeds/views/newsfeed/tmpl/modal_metadata.php
fichier | com_newsfeeds/views/newsfeed/tmpl/modal_params.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • twofactorauth
  • yubikey
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier plugins/twofactorauth/yubikey/tmpl/form.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • cms
  • html
Répertoire de référence de html

Fichiers

fichier | libraries/cms/html/access.php
fichier | actionsdropdown.php
fichier | libraries/cms/html/adminlanguage.php
fichier | libraries/cms/html/batch.php
fichier | cms/html/behavior.php
fichier | libraries/cms/html/bootstrap.php
fichier | libraries/cms/html/category.php
fichier | libraries/cms/html/content.php
fichier | contentlanguage.php
fichier | cms/html/date.php
fichier | libraries/cms/html/debug.php
fichier | dropdown.php
fichier | libraries/cms/html/email.php
fichier | libraries/cms/html/form.php
fichier | formbehavior.php
fichier | cms/html/grid.php
fichier | libraries/cms/html/icons.php
fichier | jgrid.php
fichier | jquery.php
fichier | libraries/cms/html/links.php
fichier | libraries/cms/html/list.php
fichier | libraries/cms/html/menu.php
fichier | libraries/cms/html/number.php
fichier | cms/html/rules.php
fichier | searchtools.php
fichier | libraries/cms/html/select.php
fichier | sidebar.php
fichier | sliders.php
fichier | libraries/cms/html/sortablelist.php
fichier | cms/html/string.php
fichier | tabs.php
fichier | libraries/cms/html/tag.php
fichier | libraries/cms/html/tel.php
fichier | libraries/cms/html/user.php


Joomla CMS: Répertoire de référence de sampledata

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • sampledata
Répertoire de référence de sampledata

Répertoires

répertoire blog


Joomla CMS: Répertoire de référence de mod_latestactions

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_latestactions
Répertoire de référence de mod_latestactions

Répertoires

répertoire tmpl

Fichiers

fichier | administrator/modules/mod_latestactions/helper.php
fichier | mod_latestactions.php


Joomla CMS: Répertoire de référence de mod_version

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • mod_version
Répertoire de référence de mod_version

Fichiers

fichier administrator/templates/isis/html/mod_version/default.php


Joomla CMS: Répertoire de référence de usergrouplist

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • usergrouplist
Répertoire de référence de usergrouplist

Répertoires

répertoire tmpl

Fichiers

fichier usergrouplist.php


Joomla CMS: Répertoire de référence de helpers

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_banners
  • helpers
Répertoire de référence de helpers

Répertoires

répertoire html

Fichiers

fichier administrator/components/com_banners/helpers/banners.php


Joomla CMS: Répertoire de référence de Component

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Component
Répertoire de référence de Component

Répertoires

répertoire | Exception
répertoire | Router

Fichiers

fichier | ComponentHelper.php
fichier | ComponentRecord.php


Joomla CMS: Répertoire de référence de html

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • helpers
  • html
Répertoire de référence de html

Fichiers

fichier administrator/components/com_privacy/helpers/html/helper.php


Joomla CMS: Répertoire de référence de editors

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • plugins
  • editors
Répertoire de référence de editors

Répertoires

répertoire tinymce


Joomla CMS: Répertoire de référence de user

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • privacy
  • user
Répertoire de référence de user

Fichiers

fichier plugins/privacy/user/user.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_submenu
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_submenu/tmpl/default.php


Joomla CMS: Répertoire de référence de request

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_privacy
  • views
  • request
Répertoire de référence de request

Répertoires

répertoire tmpl

Fichiers

fichier administrator/components/com_privacy/views/request/view.html.php


Joomla CMS: Répertoire de référence de HTML

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • HTML
Répertoire de référence de HTML

Fichiers

fichier HTMLHelper.php


Joomla CMS: Répertoire de référence de ip

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • utils
  • ip
Répertoire de référence de ip

Fichiers

fichier ip.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier | pluginelement.php
fichier | pluginordering.php
fichier | plugintype.php


Joomla CMS: Répertoire de référence de symfony

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • symfony
Répertoire de référence de symfony

Répertoires

répertoire | polyfill-ctype
répertoire | polyfill-php55
répertoire | polyfill-php56
répertoire | polyfill-php71
répertoire | polyfill-php73
répertoire | polyfill-util
répertoire | yaml


Joomla CMS: Répertoire de référence de dispatcher

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • dispatcher
Répertoire de référence de dispatcher

Fichiers

fichier fof/dispatcher/dispatcher.php


Joomla CMS: Répertoire de référence de authentication

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • authentication
Répertoire de référence de authentication

Répertoires

répertoire | cookie
répertoire | gmail
répertoire | joomla
répertoire | ldap


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • views
  • profile
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | components/com_users/views/profile/tmpl/default.php
fichier | default_core.php
fichier | default_custom.php
fichier | default_params.php
fichier | components/com_users/views/profile/tmpl/edit.php


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
Répertoire de référence de views

Répertoires

répertoire | plugin
répertoire | plugins


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • form
Répertoire de référence de form

Répertoires

répertoire | field
répertoire | header

Fichiers

fichier | libraries/fof/form/field.php
fichier | libraries/fof/form/form.php
fichier | libraries/fof/form/header.php
fichier | libraries/fof/form/helper.php


Joomla CMS: Répertoire de référence de debuggroup

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_users
  • debuggroup
Répertoire de référence de debuggroup

Fichiers

fichier administrator/templates/hathor/html/com_users/debuggroup/default.php


Joomla CMS: Répertoire de référence de clients

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_banners
  • clients
Répertoire de référence de clients

Fichiers

fichier administrator/templates/hathor/html/com_banners/clients/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_admin
  • views
  • sysinfo
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_admin/views/sysinfo/tmpl/default.php
fichier | components/com_admin/views/sysinfo/tmpl/default_config.php
fichier | components/com_admin/views/sysinfo/tmpl/default_directory.php
fichier | default_phpinfo.php
fichier | components/com_admin/views/sysinfo/tmpl/default_phpsettings.php
fichier | components/com_admin/views/sysinfo/tmpl/default_system.php


Joomla CMS: Répertoire de référence de contact

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_contact
  • views
  • contact
Répertoire de référence de contact

Répertoires

répertoire tmpl

Fichiers

fichier | components/com_contact/views/contact/view.html.php
fichier | view.vcf.php


Joomla CMS: Répertoire de référence de Authentication

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Authentication
Répertoire de référence de Authentication

Fichiers

fichier | Authentication.php
fichier | AuthenticationResponse.php
fichier | ProviderAwareAuthenticationPluginInterface.php


Joomla CMS: Répertoire de référence de hal

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • hal
Répertoire de référence de hal

Répertoires

répertoire render

Fichiers

fichier | document.php
fichier | libraries/fof/hal/link.php
fichier | libraries/fof/hal/links.php


Joomla CMS: Répertoire de référence de fields

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • models
  • fields
Répertoire de référence de fields

Fichiers

fichier administrator/components/com_redirect/models/fields/redirect.php


Joomla CMS: Répertoire de référence de form

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • isis
  • html
  • layouts
  • joomla
  • form
Répertoire de référence de form

Répertoires

répertoire field


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_articles_latest
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier modules/mod_articles_latest/tmpl/default.php


Joomla CMS: Répertoire de référence de UCM

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • UCM
Répertoire de référence de UCM

Fichiers

fichier | UCM.php
fichier | UCMBase.php
fichier | UCMContent.php
fichier | UCMType.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • modules
  • mod_login
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/modules/mod_login/tmpl/default.php


Joomla CMS: Répertoire de référence de color

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • fields
  • color
Répertoire de référence de color

Répertoires

répertoire tmpl

Fichiers

fichier plugins/fields/color/color.php


Joomla CMS: Répertoire de référence de categories

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • plugins
  • search
  • categories
Répertoire de référence de categories

Fichiers

fichier plugins/search/categories/categories.php


Joomla CMS: Répertoire de référence de observer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • observer
Répertoire de référence de observer

Répertoires

répertoire | updater
répertoire | wrapper

Fichiers

fichier | joomla/observer/interface.php
fichier | mapper.php
fichier | updater.php


Joomla CMS: Répertoire de référence de component

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_config
  • controller
  • component
Répertoire de référence de component

Fichiers

fichier | administrator/components/com_config/controller/component/cancel.php
fichier | administrator/components/com_config/controller/component/display.php
fichier | administrator/components/com_config/controller/component/save.php


Joomla CMS: Répertoire de référence de ReCaptcha

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • google
  • recaptcha
  • src
  • ReCaptcha
Répertoire de référence de ReCaptcha

Répertoires

répertoire RequestMethod

Fichiers

fichier | ReCaptcha.php
fichier | RequestMethod.php
fichier | RequestParameters.php
fichier | vendor/google/recaptcha/src/ReCaptcha/Response.php


Joomla CMS: Répertoire de référence de com_media

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • layouts
  • com_media
Répertoire de référence de com_media

Répertoires

répertoire toolbar


Joomla CMS: Répertoire de référence de view

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • view
Répertoire de référence de view

Fichiers

fichier | csv.php
fichier | libraries/fof/view/form.php
fichier | libraries/fof/view/html.php
fichier | libraries/fof/view/json.php
fichier | raw.php
fichier | libraries/fof/view/view.php


Joomla CMS: Répertoire de référence de ChaCha20

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • sodium_compat
  • src
  • Core32
  • ChaCha20
Répertoire de référence de ChaCha20

Fichiers

fichier | src/Core32/ChaCha20/Ctx.php
fichier | src/Core32/ChaCha20/IetfCtx.php


Joomla CMS: Répertoire de référence de positions

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_modules
  • positions
Répertoire de référence de positions

Fichiers

fichier administrator/templates/hathor/html/com_modules/positions/modal.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_languages
  • views
  • multilangstatus
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_languages/views/multilangstatus/tmpl/default.php


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_modules
  • models
Répertoire de référence de models

Répertoires

répertoire fields

Fichiers

fichier | administrator/components/com_modules/models/module.php
fichier | administrator/components/com_modules/models/modules.php
fichier | positions.php
fichier | administrator/components/com_modules/models/select.php


Joomla CMS: Répertoire de référence de com_checkin

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_checkin
Répertoire de référence de com_checkin

Répertoires

répertoire checkin


Joomla CMS: Répertoire de référence de models

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_newsfeeds
  • models
Répertoire de référence de models

Fichiers

fichier | components/com_newsfeeds/models/categories.php
fichier | components/com_newsfeeds/models/category.php
fichier | components/com_newsfeeds/models/newsfeed.php


Joomla CMS: Répertoire de référence de install

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
  • hathor
  • html
  • com_installer
  • install
Répertoire de référence de install

Fichiers

fichier | administrator/templates/hathor/html/com_installer/install/default.php
fichier | administrator/templates/hathor/html/com_installer/install/default_form.php


Joomla CMS: Répertoire de référence de Installer

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • src
  • Installer
Répertoire de référence de Installer

Répertoires

répertoire | Adapter
répertoire | Manifest

Fichiers

fichier | Installer.php
fichier | InstallerAdapter.php
fichier | InstallerExtension.php
fichier | InstallerHelper.php
fichier | InstallerScript.php
fichier | src/Installer/Manifest.php


Joomla CMS: Répertoire de référence de templates

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • templates
Répertoire de référence de templates

Répertoires

répertoire | hathor
répertoire | isis
répertoire | system


Joomla CMS: Répertoire de référence de session

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • joomla
  • session
Répertoire de référence de session

Répertoires

répertoire Joomla


Joomla CMS: Répertoire de référence de views

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_redirect
  • views
Répertoire de référence de views

Répertoires

répertoire | link
répertoire | links


Joomla CMS: Répertoire de référence de joomla

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • components
  • com_users
  • layouts
  • joomla
Répertoire de référence de joomla

Répertoires

répertoire form


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_plugins
  • views
  • plugins
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier administrator/components/com_plugins/views/plugins/tmpl/default.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_media
  • views
  • imageslist
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_media/views/imageslist/tmpl/default.php
fichier | administrator/components/com_media/views/imageslist/tmpl/default_folder.php
fichier | administrator/components/com_media/views/imageslist/tmpl/default_image.php


Joomla CMS: Répertoire de référence de orgs

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • joomla
  • github
  • package
  • orgs
Répertoire de référence de orgs

Fichiers

fichier | members.php
fichier | teams.php


Joomla CMS: Répertoire de référence de libraries

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • libraries
Répertoire de référence de libraries

Répertoires

répertoire cms


Joomla CMS: Répertoire de référence de batch

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • layouts
  • joomla
  • html
  • batch
Répertoire de référence de batch

Fichiers

fichier | layouts/joomla/html/batch/access.php
fichier | layouts/joomla/html/batch/adminlanguage.php
fichier | layouts/joomla/html/batch/item.php
fichier | layouts/joomla/html/batch/language.php
fichier | layouts/joomla/html/batch/tag.php
fichier | layouts/joomla/html/batch/user.php


Joomla CMS: Répertoire de référence de tables

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_categories
  • tables
Répertoire de référence de tables

Fichiers

fichier administrator/components/com_categories/tables/category.php


Joomla CMS: Répertoire de référence de tmpl

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • administrator
  • components
  • com_contact
  • views
  • contact
  • tmpl
Répertoire de référence de tmpl

Fichiers

fichier | administrator/components/com_contact/views/contact/tmpl/edit.php
fichier | com_contact/views/contact/tmpl/edit_associations.php
fichier | components/com_contact/views/contact/tmpl/edit_metadata.php
fichier | components/com_contact/views/contact/tmpl/edit_params.php
fichier | administrator/components/com_contact/views/contact/tmpl/modal.php
fichier | com_contact/views/contact/tmpl/modal_associations.php
fichier | com_contact/views/contact/tmpl/modal_metadata.php
fichier | com_contact/views/contact/tmpl/modal_params.php


Joomla CMS: Répertoire de référence de mod_menu

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • modules
  • mod_menu
Répertoire de référence de mod_menu

Répertoires

répertoire tmpl

Fichiers

fichier | modules/mod_menu/helper.php
fichier | modules/mod_menu/mod_menu.php


Joomla CMS: Répertoire de référence de download

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • fof
  • download
Répertoire de référence de download

Répertoires

répertoire adapter

Fichiers

fichier | libraries/fof/download/download.php
fichier | fof/download/interface.php


Joomla CMS: Répertoire de référence de lib

  • C:
  • laragon
  • www
  • _install
  • Joomla_31011-Stable-Full_Package_French_v1
  • libraries
  • vendor
  • paragonie
  • random_compat
  • lib
Répertoire de référence de lib

Fichiers

fichier | byte_safe_strings.php
fichier | cast_to_int.php
fichier | error_polyfill.php
fichier | random.php
fichier | random_bytes_com_dotnet.php
fichier | random_bytes_dev_urandom.php
fichier | random_bytes_libsodium.php
fichier | random_bytes_libsodium_legacy.php
fichier | random_bytes_mcrypt.php
fichier | random_bytes_openssl.php
fichier | random_int.php


Joomla CMS: Pages associées

Pages associées
Liste de toutes les pages de documentation associées :
Liste des éléments obsolètes